/*===========================================================================*/
/*   (Llib/alsa.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi alsa -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/alsa.scm -o objs/alsa.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>
#include <bglalsa.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_alsazd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_alsazd2objectzd2_bglt;

typedef struct BgL_z62alsazd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62alsazd2errorzb0_bglt;


static obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__alsa_alsaz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__alsa_alsaz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsazd2objectzd2zz__alsa_alsaz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__alsa_alsaz00();
static obj_t BGl_genericzd2initzd2zz__alsa_alsaz00();
static obj_t BGl_z62alsazd2error1113zb0zz__alsa_alsaz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__alsa_alsaz00();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2versionz00zz__alsa_alsaz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__alsa_alsaz00();
BGL_EXPORTED_DECL int bgl_alsa_error(char *, char *, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2deviceszd2listzd2zz__alsa_alsaz00(obj_t);
static BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1101z62zz__alsa_alsaz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62alsazd2errorzb0zz__alsa_alsaz00 = BUNSPEC;
static obj_t BGl_z62alsazd2sndzd2versionz62zz__alsa_alsaz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2deviceszd2listzb0zz__alsa_alsaz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31088ze3ze5zz__alsa_alsaz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_alsazd2objectzd2_bglt BGl_z62lambda1084z62zz__alsa_alsaz00(obj_t);
static obj_t BGl_z62alsazd2initzb0zz__alsa_alsaz00(obj_t, obj_t);
static BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1099z62zz__alsa_alsaz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__alsa_alsaz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_alsaz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__alsa_alsaz00();
static obj_t BGl_z62alsazd2init1068zb0zz__alsa_alsaz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_alsazd2initzd2zz__alsa_alsaz00(BgL_alsazd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2versionzd2envzd2zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2sndza7d21140za7, BGl_z62alsazd2sndzd2versionz62zz__alsa_alsaz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2errorzd2envz00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2error11141z00, BGl_z62alsazd2error1113zb0zz__alsa_alsaz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2deviceszd2listzd2envz00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2sndza7d21142za7, BGl_z62alsazd2sndzd2deviceszd2listzb0zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1122z00zz__alsa_alsaz00, BgL_bgl_string1122za700za7za7_1143za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/alsa/src/Llib/alsa.scm", 62 );
DEFINE_STRING( BGl_string1123z00zz__alsa_alsaz00, BgL_bgl_string1123za700za7za7_1144za7, "&alsa-error1113", 15 );
DEFINE_STRING( BGl_string1124z00zz__alsa_alsaz00, BgL_bgl_string1124za700za7za7_1145za7, "bstring", 7 );
DEFINE_STRING( BGl_string1125z00zz__alsa_alsaz00, BgL_bgl_string1125za700za7za7_1146za7, "&alsa-snd-devices-list", 22 );
DEFINE_STRING( BGl_string1132z00zz__alsa_alsaz00, BgL_bgl_string1132za700za7za7_1147za7, "alsa-init1068", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1126z00zz__alsa_alsaz00, BgL_bgl_za762za7c3za704anonymo1148za7, BGl_z62zc3z04anonymousza31088ze3ze5zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1133z00zz__alsa_alsaz00, BgL_bgl_string1133za700za7za7_1149za7, "&alsa-init", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1127z00zz__alsa_alsaz00, BgL_bgl_za762lambda1084za7621150z00, BGl_z62lambda1084z62zz__alsa_alsaz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1134z00zz__alsa_alsaz00, BgL_bgl_string1134za700za7za7_1151za7, "alsa-object", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1128z00zz__alsa_alsaz00, BgL_bgl_za762za7c3za704anonymo1152za7, BGl_z62zc3z04anonymousza31103ze3ze5zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1135z00zz__alsa_alsaz00, BgL_bgl_string1135za700za7za7_1153za7, "&alsa-error __alsa_alsa alsa-object ", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1129z00zz__alsa_alsaz00, BgL_bgl_za762lambda1101za7621154z00, BGl_z62lambda1101z62zz__alsa_alsaz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2initza7b1155za7, BGl_z62alsazd2initzb0zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1130z00zz__alsa_alsaz00, BgL_bgl_za762lambda1099za7621156z00, BGl_z62lambda1099z62zz__alsa_alsaz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1131z00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2init101157z00, BGl_z62alsazd2init1068zb0zz__alsa_alsaz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__alsa_alsaz00) );
ADD_ROOT( (void *)(&BGl_alsazd2objectzd2zz__alsa_alsaz00) );
ADD_ROOT( (void *)(&BGl_z62alsazd2errorzb0zz__alsa_alsaz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long BgL_checksumz00_213, char * BgL_fromz00_214)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__alsa_alsaz00))
{ 
BGl_requirezd2initializa7ationz75zz__alsa_alsaz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__alsa_alsaz00(); 
BGl_libraryzd2moduleszd2initz00zz__alsa_alsaz00(); 
BGl_cnstzd2initzd2zz__alsa_alsaz00(); 
BGl_objectzd2initzd2zz__alsa_alsaz00(); 
BGl_genericzd2initzd2zz__alsa_alsaz00(); 
return 
BGl_toplevelzd2initzd2zz__alsa_alsaz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__alsa_alsa"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
{ /* Llib/alsa.scm 15 */
 obj_t BgL_cportz00_153;
{ /* Llib/alsa.scm 15 */
 obj_t BgL_stringz00_161;
BgL_stringz00_161 = BGl_string1135z00zz__alsa_alsaz00; 
{ /* Llib/alsa.scm 15 */
 obj_t BgL_startz00_162;
BgL_startz00_162 = 
BINT(((long)0)); 
{ /* Llib/alsa.scm 15 */
 obj_t BgL_endz00_163;
BgL_endz00_163 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_161))); 
{ /* Llib/alsa.scm 15 */

BgL_cportz00_153 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_161, BgL_startz00_162, BgL_endz00_163); } } } } 
{ 
 long BgL_iz00_154;
BgL_iz00_154 = ((long)2); 
BgL_loopz00_155:
if(
(BgL_iz00_154==((long)-1)))
{ /* Llib/alsa.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/alsa.scm 15 */
{ /* Llib/alsa.scm 15 */
 obj_t BgL_arg1138z00_157;
{ /* Llib/alsa.scm 15 */

{ /* Llib/alsa.scm 15 */
 obj_t BgL_locationz00_159;
BgL_locationz00_159 = 
BBOOL(((bool_t)0)); 
{ /* Llib/alsa.scm 15 */

BgL_arg1138z00_157 = 
BGl_readz00zz__readerz00(BgL_cportz00_153, BgL_locationz00_159); } } } 
{ /* Llib/alsa.scm 15 */
 int BgL_tmpz00_243;
BgL_tmpz00_243 = 
(int)(BgL_iz00_154); 
CNST_TABLE_SET(BgL_tmpz00_243, BgL_arg1138z00_157); } } 
{ /* Llib/alsa.scm 15 */
 int BgL_auxz00_160;
BgL_auxz00_160 = 
(int)(
(BgL_iz00_154-((long)1))); 
{ 
 long BgL_iz00_248;
BgL_iz00_248 = 
(long)(BgL_auxz00_160); 
BgL_iz00_154 = BgL_iz00_248; 
goto BgL_loopz00_155;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
return BUNSPEC;} 

}



/* alsa-error */
BGL_EXPORTED_DEF int bgl_alsa_error(char * BgL_procz00_4, char * BgL_msgz00_5, obj_t BgL_objz00_6)
{
{ /* Llib/alsa.scm 43 */
{ /* Llib/alsa.scm 44 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1073z00_16;
{ /* Llib/alsa.scm 44 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1061z00_17;
{ /* Llib/alsa.scm 44 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1059z00_20;
BgL_new1059z00_20 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/alsa.scm 44 */
 long BgL_arg1076z00_21;
BgL_arg1076z00_21 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_20), BgL_arg1076z00_21); } 
BgL_new1061z00_17 = BgL_new1059z00_20; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_17)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_17)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_259;
{ /* Llib/alsa.scm 44 */
 obj_t BgL_arg1074z00_18;
{ /* Llib/alsa.scm 44 */
 obj_t BgL_arg1075z00_19;
{ /* Llib/alsa.scm 44 */
 obj_t BgL_classz00_68;
BgL_classz00_68 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1075z00_19 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_68); } 
BgL_arg1074z00_18 = 
VECTOR_REF(BgL_arg1075z00_19,((long)2)); } 
BgL_auxz00_259 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1074z00_18); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_17)))->BgL_stackz00)=((obj_t)BgL_auxz00_259),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_17)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_4)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_17)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_5)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_17)))->BgL_objz00)=((obj_t)BgL_objz00_6),BUNSPEC); 
BgL_arg1073z00_16 = BgL_new1061z00_17; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1073z00_16)); } 
return 
(int)(((long)0));} 

}



/* &alsa-error1113 */
obj_t BGl_z62alsazd2error1113zb0zz__alsa_alsaz00(obj_t BgL_envz00_113, obj_t BgL_procz00_114, obj_t BgL_msgz00_115, obj_t BgL_objz00_116)
{
{ /* Llib/alsa.scm 43 */
{ /* Llib/alsa.scm 47 */
 int BgL_tmpz00_276;
{ /* Llib/alsa.scm 47 */
 char * BgL_auxz00_286; char * BgL_auxz00_277;
{ /* Llib/alsa.scm 47 */
 obj_t BgL_tmpz00_287;
if(
STRINGP(BgL_msgz00_115))
{ /* Llib/alsa.scm 47 */
BgL_tmpz00_287 = BgL_msgz00_115
; }  else 
{ 
 obj_t BgL_auxz00_290;
BgL_auxz00_290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1122z00zz__alsa_alsaz00, 
BINT(((long)1988)), BGl_string1123z00zz__alsa_alsaz00, BGl_string1124z00zz__alsa_alsaz00, BgL_msgz00_115); 
FAILURE(BgL_auxz00_290,BFALSE,BFALSE);} 
BgL_auxz00_286 = 
BSTRING_TO_STRING(BgL_tmpz00_287); } 
{ /* Llib/alsa.scm 47 */
 obj_t BgL_tmpz00_278;
if(
STRINGP(BgL_procz00_114))
{ /* Llib/alsa.scm 47 */
BgL_tmpz00_278 = BgL_procz00_114
; }  else 
{ 
 obj_t BgL_auxz00_281;
BgL_auxz00_281 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1122z00zz__alsa_alsaz00, 
BINT(((long)1988)), BGl_string1123z00zz__alsa_alsaz00, BGl_string1124z00zz__alsa_alsaz00, BgL_procz00_114); 
FAILURE(BgL_auxz00_281,BFALSE,BFALSE);} 
BgL_auxz00_277 = 
BSTRING_TO_STRING(BgL_tmpz00_278); } 
BgL_tmpz00_276 = 
bgl_alsa_error(BgL_auxz00_277, BgL_auxz00_286, BgL_objz00_116); } 
return 
BINT(BgL_tmpz00_276);} } 

}



/* alsa-snd-version */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2versionz00zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 53 */
return 
string_to_bstring(
(char *)snd_asoundlib_version());} 

}



/* &alsa-snd-version */
obj_t BGl_z62alsazd2sndzd2versionz62zz__alsa_alsaz00(obj_t BgL_envz00_117)
{
{ /* Llib/alsa.scm 53 */
return 
BGl_alsazd2sndzd2versionz00zz__alsa_alsaz00();} 

}



/* alsa-snd-devices-list */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2deviceszd2listzd2zz__alsa_alsaz00(obj_t BgL_ifacez00_7)
{
{ /* Llib/alsa.scm 59 */
{ /* Llib/alsa.scm 60 */
 char * BgL_tmpz00_300;
BgL_tmpz00_300 = 
BSTRING_TO_STRING(BgL_ifacez00_7); 
return 
bgl_snd_devices_list(BgL_tmpz00_300);} } 

}



/* &alsa-snd-devices-list */
obj_t BGl_z62alsazd2sndzd2deviceszd2listzb0zz__alsa_alsaz00(obj_t BgL_envz00_118, obj_t BgL_ifacez00_119)
{
{ /* Llib/alsa.scm 59 */
{ /* Llib/alsa.scm 60 */
 obj_t BgL_auxz00_303;
if(
STRINGP(BgL_ifacez00_119))
{ /* Llib/alsa.scm 60 */
BgL_auxz00_303 = BgL_ifacez00_119
; }  else 
{ 
 obj_t BgL_auxz00_306;
BgL_auxz00_306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1122z00zz__alsa_alsaz00, 
BINT(((long)2539)), BGl_string1125z00zz__alsa_alsaz00, BGl_string1124z00zz__alsa_alsaz00, BgL_ifacez00_119); 
FAILURE(BgL_auxz00_306,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2deviceszd2listzd2zz__alsa_alsaz00(BgL_auxz00_303);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
{ /* Llib/alsa.scm 23 */
 obj_t BgL_arg1082z00_24; obj_t BgL_arg1083z00_25;
{ /* Llib/alsa.scm 23 */
 obj_t BgL_v1064z00_31;
BgL_v1064z00_31 = 
create_vector(((long)0)); 
BgL_arg1082z00_24 = BgL_v1064z00_31; } 
{ /* Llib/alsa.scm 23 */
 obj_t BgL_v1065z00_32;
BgL_v1065z00_32 = 
create_vector(((long)0)); 
BgL_arg1083z00_25 = BgL_v1065z00_32; } 
BGl_alsazd2objectzd2zz__alsa_alsaz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)27479), BFALSE, BGl_proc1127z00zz__alsa_alsaz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1126z00zz__alsa_alsaz00, BFALSE, BgL_arg1082z00_24, BgL_arg1083z00_25); } 
{ /* Llib/alsa.scm 28 */
 obj_t BgL_arg1097z00_38; obj_t BgL_arg1098z00_39;
{ /* Llib/alsa.scm 28 */
 obj_t BgL_v1066z00_55;
BgL_v1066z00_55 = 
create_vector(((long)0)); 
BgL_arg1097z00_38 = BgL_v1066z00_55; } 
{ /* Llib/alsa.scm 28 */
 obj_t BgL_v1067z00_56;
BgL_v1067z00_56 = 
create_vector(((long)0)); 
BgL_arg1098z00_39 = BgL_v1067z00_56; } 
return ( 
BGl_z62alsazd2errorzb0zz__alsa_alsaz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_z62errorz62zz__objectz00, ((long)55645), BGl_proc1130z00zz__alsa_alsaz00, BGl_proc1129z00zz__alsa_alsaz00, BFALSE, BGl_proc1128z00zz__alsa_alsaz00, BFALSE, BgL_arg1097z00_38, BgL_arg1098z00_39), BUNSPEC) ;} } 

}



/* &<@anonymous:1103> */
obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__alsa_alsaz00(obj_t BgL_envz00_125, obj_t BgL_new1058z00_126)
{
{ /* Llib/alsa.scm 28 */
{ 
 BgL_z62alsazd2errorzb0_bglt BgL_auxz00_321;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_321 = 
((BgL_z62alsazd2errorzb0_bglt)BgL_new1058z00_126); 
return 
((obj_t)BgL_auxz00_321);} } 

}



/* &lambda1101 */
BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1101z62zz__alsa_alsaz00(obj_t BgL_envz00_127)
{
{ /* Llib/alsa.scm 28 */
{ /* Llib/alsa.scm 28 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1057z00_166;
BgL_new1057z00_166 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/alsa.scm 28 */
 long BgL_arg1102z00_167;
BgL_arg1102z00_167 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_166), BgL_arg1102z00_167); } 
return BgL_new1057z00_166;} } 

}



/* &lambda1099 */
BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1099z62zz__alsa_alsaz00(obj_t BgL_envz00_128, obj_t BgL_fname1051z00_129, obj_t BgL_location1052z00_130, obj_t BgL_stack1053z00_131, obj_t BgL_proc1054z00_132, obj_t BgL_msg1055z00_133, obj_t BgL_obj1056z00_134)
{
{ /* Llib/alsa.scm 28 */
{ /* Llib/alsa.scm 28 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1063z00_168;
{ /* Llib/alsa.scm 28 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1062z00_169;
BgL_new1062z00_169 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/alsa.scm 28 */
 long BgL_arg1100z00_170;
BgL_arg1100z00_170 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_169), BgL_arg1100z00_170); } 
BgL_new1063z00_168 = BgL_new1062z00_169; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1063z00_168)))->BgL_fnamez00)=((obj_t)BgL_fname1051z00_129),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1063z00_168)))->BgL_locationz00)=((obj_t)BgL_location1052z00_130),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1063z00_168)))->BgL_stackz00)=((obj_t)BgL_stack1053z00_131),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1063z00_168)))->BgL_procz00)=((obj_t)BgL_proc1054z00_132),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1063z00_168)))->BgL_msgz00)=((obj_t)BgL_msg1055z00_133),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1063z00_168)))->BgL_objz00)=((obj_t)BgL_obj1056z00_134),BUNSPEC); 
return BgL_new1063z00_168;} } 

}



/* &<@anonymous:1088> */
obj_t BGl_z62zc3z04anonymousza31088ze3ze5zz__alsa_alsaz00(obj_t BgL_envz00_135, obj_t BgL_new1049z00_136)
{
{ /* Llib/alsa.scm 23 */
return 
((obj_t)
((BgL_alsazd2objectzd2_bglt)BgL_new1049z00_136));} 

}



/* &lambda1084 */
BgL_alsazd2objectzd2_bglt BGl_z62lambda1084z62zz__alsa_alsaz00(obj_t BgL_envz00_137)
{
{ /* Llib/alsa.scm 23 */
{ /* Llib/alsa.scm 23 */
 BgL_alsazd2objectzd2_bglt BgL_new1048z00_172;
BgL_new1048z00_172 = 
((BgL_alsazd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2objectzd2_bgl) ))); 
{ /* Llib/alsa.scm 23 */
 long BgL_arg1087z00_173;
BgL_arg1087z00_173 = 
BGL_CLASS_NUM(BGl_alsazd2objectzd2zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_172), BgL_arg1087z00_173); } 
return BgL_new1048z00_172;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1131z00zz__alsa_alsaz00, BGl_alsazd2objectzd2zz__alsa_alsaz00, BGl_string1132z00zz__alsa_alsaz00);} 

}



/* &alsa-init1068 */
obj_t BGl_z62alsazd2init1068zb0zz__alsa_alsaz00(obj_t BgL_envz00_141, obj_t BgL_oz00_142)
{
{ /* Llib/alsa.scm 37 */
return 
((obj_t)
((BgL_alsazd2objectzd2_bglt)BgL_oz00_142));} 

}



/* alsa-init */
BGL_EXPORTED_DEF obj_t BGl_alsazd2initzd2zz__alsa_alsaz00(BgL_alsazd2objectzd2_bglt BgL_oz00_3)
{
{ /* Llib/alsa.scm 37 */
{ /* Llib/alsa.scm 37 */
 obj_t BgL_method1069z00_64;
{ /* Llib/alsa.scm 37 */
 obj_t BgL_res1112z00_112;
{ /* Llib/alsa.scm 37 */
 long BgL_objzd2classzd2numz00_83;
BgL_objzd2classzd2numz00_83 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/alsa.scm 37 */
 obj_t BgL_arg1801z00_84;
BgL_arg1801z00_84 = 
PROCEDURE_REF(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, 
(int)(((long)1))); 
{ /* Llib/alsa.scm 37 */
 int BgL_offsetz00_87;
BgL_offsetz00_87 = 
(int)(BgL_objzd2classzd2numz00_83); 
{ /* Llib/alsa.scm 37 */
 long BgL_offsetz00_88;
BgL_offsetz00_88 = 
(
(long)(BgL_offsetz00_87)-OBJECT_TYPE); 
{ /* Llib/alsa.scm 37 */
 long BgL_modz00_89;
BgL_modz00_89 = 
(BgL_offsetz00_88 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/alsa.scm 37 */
 long BgL_restz00_91;
BgL_restz00_91 = 
(BgL_offsetz00_88 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/alsa.scm 37 */

{ /* Llib/alsa.scm 37 */
 obj_t BgL_bucketz00_93;
BgL_bucketz00_93 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_84),BgL_modz00_89); 
BgL_res1112z00_112 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_93),BgL_restz00_91); } } } } } } } } 
BgL_method1069z00_64 = BgL_res1112z00_112; } 
return 
PROCEDURE_ENTRY(BgL_method1069z00_64)(BgL_method1069z00_64, 
((obj_t)BgL_oz00_3), BEOA);} } 

}



/* &alsa-init */
obj_t BGl_z62alsazd2initzb0zz__alsa_alsaz00(obj_t BgL_envz00_138, obj_t BgL_oz00_139)
{
{ /* Llib/alsa.scm 37 */
{ /* Llib/alsa.scm 37 */
 BgL_alsazd2objectzd2_bglt BgL_auxz00_401;
{ /* Llib/alsa.scm 37 */
 bool_t BgL_test1163z00_402;
{ /* Llib/alsa.scm 37 */
 obj_t BgL_classz00_175;
BgL_classz00_175 = BGl_alsazd2objectzd2zz__alsa_alsaz00; 
if(
BGL_OBJECTP(BgL_oz00_139))
{ /* Llib/alsa.scm 37 */
 BgL_objectz00_bglt BgL_arg1799z00_177; long BgL_arg1800z00_178;
BgL_arg1799z00_177 = 
(BgL_objectz00_bglt)(BgL_oz00_139); 
BgL_arg1800z00_178 = 
BGL_CLASS_DEPTH(BgL_classz00_175); 
{ /* Llib/alsa.scm 37 */
 bool_t BgL_arg1794z00_182; bool_t BgL_arg1795z00_183;
{ /* Llib/alsa.scm 37 */
 long BgL_idxz00_187;
BgL_idxz00_187 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_177); 
{ /* Llib/alsa.scm 37 */
 obj_t BgL_arg1791z00_188;
{ /* Llib/alsa.scm 37 */
 long BgL_arg1792z00_189;
BgL_arg1792z00_189 = 
(BgL_idxz00_187+BgL_arg1800z00_178); 
BgL_arg1791z00_188 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_189); } 
BgL_arg1794z00_182 = 
(BgL_arg1791z00_188==BgL_classz00_175); } } 
{ /* Llib/alsa.scm 37 */
 bool_t BgL_res1139z00_212;
{ /* Llib/alsa.scm 37 */
 obj_t BgL_oclassz00_197;
{ /* Llib/alsa.scm 37 */
 long BgL_arg1804z00_203;
{ /* Llib/alsa.scm 37 */
 long BgL_arg1805z00_204;
BgL_arg1805z00_204 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_177); 
BgL_arg1804z00_203 = 
(BgL_arg1805z00_204-OBJECT_TYPE); } 
BgL_oclassz00_197 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_203); } 
{ /* Llib/alsa.scm 37 */
 bool_t BgL__ortest_1111z00_198;
BgL__ortest_1111z00_198 = 
(BgL_classz00_175==BgL_oclassz00_197); 
if(BgL__ortest_1111z00_198)
{ /* Llib/alsa.scm 37 */
BgL_res1139z00_212 = BgL__ortest_1111z00_198; }  else 
{ /* Llib/alsa.scm 37 */
 long BgL_odepthz00_199;
BgL_odepthz00_199 = 
BGL_CLASS_DEPTH(BgL_oclassz00_197); 
if(
(BgL_arg1800z00_178<BgL_odepthz00_199))
{ /* Llib/alsa.scm 37 */
 obj_t BgL_arg1793z00_201;
BgL_arg1793z00_201 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_197, BgL_arg1800z00_178); 
BgL_res1139z00_212 = 
(BgL_arg1793z00_201==BgL_classz00_175); }  else 
{ /* Llib/alsa.scm 37 */
BgL_res1139z00_212 = ((bool_t)0); } } } } 
BgL_arg1795z00_183 = BgL_res1139z00_212; } 
BgL_test1163z00_402 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_182, BgL_arg1795z00_183); } }  else 
{ /* Llib/alsa.scm 37 */
BgL_test1163z00_402 = ((bool_t)0)
; } } 
if(BgL_test1163z00_402)
{ /* Llib/alsa.scm 37 */
BgL_auxz00_401 = 
((BgL_alsazd2objectzd2_bglt)BgL_oz00_139)
; }  else 
{ 
 obj_t BgL_auxz00_423;
BgL_auxz00_423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1122z00zz__alsa_alsaz00, 
BINT(((long)1596)), BGl_string1133z00zz__alsa_alsaz00, BGl_string1134z00zz__alsa_alsaz00, BgL_oz00_139); 
FAILURE(BgL_auxz00_423,BFALSE,BFALSE);} } 
return 
BGl_alsazd2initzd2zz__alsa_alsaz00(BgL_auxz00_401);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__alsa_alsaz00()
{
{ /* Llib/alsa.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
