/*===========================================================================*/
/*   (Llib/control.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi alsa -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/control.scm -o objs/control.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>
#include <bglalsa.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62alsazd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62alsazd2errorzb0_bglt;

typedef struct BgL_alsazd2sndzd2ctlz00_bgl {
   header_t header;
   obj_t widening;
   snd_ctl_t * BgL_z42builtinz42;
   obj_t BgL_cardz00;
   obj_t BgL_modez00;
} *BgL_alsazd2sndzd2ctlz00_bglt;

typedef struct BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_alsazd2sndzd2ctlz00_bgl * BgL_ctlz00;
   int BgL_cardz00;
   obj_t BgL_idz00;
   obj_t BgL_driverz00;
   obj_t BgL_namez00;
   obj_t BgL_longnamez00;
   obj_t BgL_mixernamez00;
   obj_t BgL_componentsz00;
} *BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt;

typedef struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_alsazd2sndzd2ctlz00_bgl * BgL_ctlz00;
   int BgL_cardz00;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   int BgL_devicez00;
   int BgL_subdevicez00;
   int BgL_subdevicescountz00;
} *BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt;


static obj_t BGl_z62alsazd2sndzd2ctlzd2rawmidizd2devicesz62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__alsa_controlz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__alsa_controlz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00 = BUNSPEC;
extern obj_t BGl_alsazd2objectzd2zz__alsa_alsaz00;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1101z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__alsa_controlz00();
static obj_t BGl_genericzd2initzd2zz__alsa_controlz00();
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2ctlzd2closezd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31230ze3ze5zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__alsa_controlz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__alsa_controlz00();
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1099z62zz__alsa_controlz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__alsa_controlz00();
static obj_t BGl_z62alsazd2sndzd2ctlzd2openzb0zz__alsa_controlz00(obj_t, obj_t);
static int BGl_symbolzd2ze3ctlzd2modeze3zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__alsa_controlz00(obj_t, obj_t);
extern obj_t BGl_z62alsazd2errorzb0zz__alsa_alsaz00;
static obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1202z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1212z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__alsa_controlz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1225z62zz__alsa_controlz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1228z62zz__alsa_controlz00(obj_t);
static obj_t BGl_z62z52z42sndzd2ctlzd2nilz72zz__alsa_controlz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2ctlzd2rawmidizd2devicesz00zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1236z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1237z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__alsa_controlz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00 = BUNSPEC;
static obj_t BGl_z62lambda1251z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1252z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1335z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__alsa_controlz00(obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1178z62zz__alsa_controlz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1342z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__alsa_controlz00(obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1181z62zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1343z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1268z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__alsa_controlz00();
static obj_t BGl_z62lambda1269z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1189z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_controlz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__alsa_controlz00();
static obj_t BGl_gczd2rootszd2initz00zz__alsa_controlz00();
static obj_t BGl_z62lambda1190z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1355z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1356z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1364z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1365z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1286z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2ctlzd2closezb0zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__alsa_controlz00(obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1536z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1537z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda1623z62zz__alsa_controlz00(obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1380z62zz__alsa_controlz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1624z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1384z62zz__alsa_controlz00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1564z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1565z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_loopze70ze7zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt, long);
static obj_t BGl_z62zc3z04anonymousza31656ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1654z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1655z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1576z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1577z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL snd_ctl_t * BGl_z52z42sndzd2ctlzd2nilz10zz__alsa_controlz00();
static obj_t BGl_z62lambda1674z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1675z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1596z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1597z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2ctlzd2openzd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__alsa_controlz00(obj_t);
static obj_t __cnst[ 25 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2ctlzd2rawmidizd2deviceszd2envzd2zz__alsa_controlz00, BgL_bgl_za762alsaza7d2sndza7d21764za7, BGl_z62alsazd2sndzd2ctlzd2rawmidizd2devicesz62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2ctlzd2openzd2envz00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2sndza7d21765za7, BGl_z62alsazd2sndzd2ctlzd2openzb0zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1700z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1766za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1701z00zz__alsa_controlz00, BgL_bgl_za762lambda1213za7621767z00, BGl_z62lambda1213z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1702z00zz__alsa_controlz00, BgL_bgl_za762lambda1212za7621768z00, BGl_z62lambda1212z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1703z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1769za7, BGl_z62zc3z04anonymousza31183ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1704z00zz__alsa_controlz00, BgL_bgl_za762lambda1181za7621770z00, BGl_z62lambda1181z62zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1705z00zz__alsa_controlz00, BgL_bgl_za762lambda1178za7621771z00, BGl_z62lambda1178z62zz__alsa_controlz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1706z00zz__alsa_controlz00, BgL_bgl_za762lambda1237za7621772z00, BGl_z62lambda1237z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1707z00zz__alsa_controlz00, BgL_bgl_za762lambda1236za7621773z00, BGl_z62lambda1236z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1708z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1774za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1709z00zz__alsa_controlz00, BgL_bgl_za762lambda1252za7621775z00, BGl_z62lambda1252z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1710z00zz__alsa_controlz00, BgL_bgl_za762lambda1251za7621776z00, BGl_z62lambda1251z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1711z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1777za7, BGl_z62zc3z04anonymousza31270ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1712z00zz__alsa_controlz00, BgL_bgl_za762lambda1269za7621778z00, BGl_z62lambda1269z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1713z00zz__alsa_controlz00, BgL_bgl_za762lambda1268za7621779z00, BGl_z62lambda1268z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1714z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1780za7, BGl_z62zc3z04anonymousza31288ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1715z00zz__alsa_controlz00, BgL_bgl_za762lambda1287za7621781z00, BGl_z62lambda1287z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1716z00zz__alsa_controlz00, BgL_bgl_za762lambda1286za7621782z00, BGl_z62lambda1286z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1717z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1783za7, BGl_z62zc3z04anonymousza31336ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1718z00zz__alsa_controlz00, BgL_bgl_za762lambda1335za7621784z00, BGl_z62lambda1335z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1719z00zz__alsa_controlz00, BgL_bgl_za762lambda1334za7621785z00, BGl_z62lambda1334z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1720z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1786za7, BGl_z62zc3z04anonymousza31344ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1721z00zz__alsa_controlz00, BgL_bgl_za762lambda1343za7621787z00, BGl_z62lambda1343z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1722z00zz__alsa_controlz00, BgL_bgl_za762lambda1342za7621788z00, BGl_z62lambda1342z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1723z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1789za7, BGl_z62zc3z04anonymousza31357ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1724z00zz__alsa_controlz00, BgL_bgl_za762lambda1356za7621790z00, BGl_z62lambda1356z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1725z00zz__alsa_controlz00, BgL_bgl_za762lambda1355za7621791z00, BGl_z62lambda1355z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1792za7, BGl_z62zc3z04anonymousza31366ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__alsa_controlz00, BgL_bgl_za762lambda1365za7621793z00, BGl_z62lambda1365z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__alsa_controlz00, BgL_bgl_za762lambda1364za7621794z00, BGl_z62lambda1364z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1795za7, BGl_z62zc3z04anonymousza31230ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__alsa_controlz00, BgL_bgl_za762lambda1228za7621796z00, BGl_z62lambda1228z62zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1731z00zz__alsa_controlz00, BgL_bgl_za762lambda1225za7621797z00, BGl_z62lambda1225z62zz__alsa_controlz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__alsa_controlz00, BgL_bgl_za762lambda1537za7621798z00, BGl_z62lambda1537z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__alsa_controlz00, BgL_bgl_za762lambda1536za7621799z00, BGl_z62lambda1536z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1800za7, BGl_z62zc3z04anonymousza31566ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__alsa_controlz00, BgL_bgl_za762lambda1565za7621801z00, BGl_z62lambda1565z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__alsa_controlz00, BgL_bgl_za762lambda1564za7621802z00, BGl_z62lambda1564z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1737z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1803za7, BGl_z62zc3z04anonymousza31578ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__alsa_controlz00, BgL_bgl_za762lambda1577za7621804z00, BGl_z62lambda1577z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__alsa_controlz00, BgL_bgl_za762lambda1576za7621805z00, BGl_z62lambda1576z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1806za7, BGl_z62zc3z04anonymousza31598ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__alsa_controlz00, BgL_bgl_za762lambda1597za7621807z00, BGl_z62lambda1597z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__alsa_controlz00, BgL_bgl_za762lambda1596za7621808z00, BGl_z62lambda1596z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1809za7, BGl_z62zc3z04anonymousza31625ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1744z00zz__alsa_controlz00, BgL_bgl_za762lambda1624za7621810z00, BGl_z62lambda1624z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__alsa_controlz00, BgL_bgl_za762lambda1623za7621811z00, BGl_z62lambda1623z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1812za7, BGl_z62zc3z04anonymousza31656ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__alsa_controlz00, BgL_bgl_za762lambda1655za7621813z00, BGl_z62lambda1655z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__alsa_controlz00, BgL_bgl_za762lambda1654za7621814z00, BGl_z62lambda1654z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1755z00zz__alsa_controlz00, BgL_bgl_string1755za700za7za7_1815za7, "default", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1816za7, BGl_z62zc3z04anonymousza31676ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1757z00zz__alsa_controlz00, BgL_bgl_string1757za700za7za7_1817za7, "alsa-init", 9 );
DEFINE_STRING( BGl_string1759z00zz__alsa_controlz00, BgL_bgl_string1759za700za7za7_1818za7, "__alsa_control", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__alsa_controlz00, BgL_bgl_za762lambda1675za7621819z00, BGl_z62lambda1675z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__alsa_controlz00, BgL_bgl_za762lambda1674za7621820z00, BGl_z62lambda1674z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1821za7, BGl_z62zc3z04anonymousza31415ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__alsa_controlz00, BgL_bgl_za762lambda1384za7621822z00, BGl_z62lambda1384z62zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1760z00zz__alsa_controlz00, BgL_bgl_string1760za700za7za7_1823za7, "_ alsa-snd-ctl-rawmidi-info subdevicescount subdevice device alsa-snd-ctl-card-info components mixername longname name driver id int ctl __alsa_control alsa-snd-ctl symbol mode bstring card $snd-ctl $builtin async nonblock default ", 231 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__alsa_controlz00, BgL_bgl_za762lambda1380za7621824z00, BGl_z62lambda1380z62zz__alsa_controlz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2initza7d1825za7, BGl_z62alsazd2initzd2alsazd2sndzd2c1099z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2initza7d1826za7, BGl_z62alsazd2initzd2alsazd2sndzd2c1101z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1684z00zz__alsa_controlz00, BgL_bgl_string1684za700za7za7_1827za7, "alsa-snd-ctl-open", 17 );
DEFINE_STRING( BGl_string1685z00zz__alsa_controlz00, BgL_bgl_string1685za700za7za7_1828za7, "ctl device already open", 23 );
DEFINE_STRING( BGl_string1686z00zz__alsa_controlz00, BgL_bgl_string1686za700za7za7_1829za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/alsa/src/Llib/control.scm", 65 );
DEFINE_STRING( BGl_string1687z00zz__alsa_controlz00, BgL_bgl_string1687za700za7za7_1830za7, "&alsa-snd-ctl-open", 18 );
DEFINE_STRING( BGl_string1688z00zz__alsa_controlz00, BgL_bgl_string1688za700za7za7_1831za7, "alsa-snd-ctl", 12 );
DEFINE_STRING( BGl_string1689z00zz__alsa_controlz00, BgL_bgl_string1689za700za7za7_1832za7, "&alsa-snd-ctl-close", 19 );
DEFINE_STRING( BGl_string1690z00zz__alsa_controlz00, BgL_bgl_string1690za700za7za7_1833za7, "", 0 );
DEFINE_STRING( BGl_string1691z00zz__alsa_controlz00, BgL_bgl_string1691za700za7za7_1834za7, "&alsa-snd-ctl-rawmidi-devices", 29 );
DEFINE_STRING( BGl_string1692z00zz__alsa_controlz00, BgL_bgl_string1692za700za7za7_1835za7, "alsa-ctl", 8 );
DEFINE_STRING( BGl_string1693z00zz__alsa_controlz00, BgL_bgl_string1693za700za7za7_1836za7, "Unknown mode", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1694z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1837za7, BGl_z62zc3z04anonymousza31191ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1695z00zz__alsa_controlz00, BgL_bgl_za762lambda1190za7621838z00, BGl_z62lambda1190z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1696z00zz__alsa_controlz00, BgL_bgl_za762lambda1189za7621839z00, BGl_z62lambda1189z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1697z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1840za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1698z00zz__alsa_controlz00, BgL_bgl_za762lambda1203za7621841z00, BGl_z62lambda1203z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1699z00zz__alsa_controlz00, BgL_bgl_za762lambda1202za7621842z00, BGl_z62lambda1202z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42sndzd2ctlzd2nilzd2envzc2zz__alsa_controlz00, BgL_bgl_za762za752za742sndza7d2c1843z00, BGl_z62z52z42sndzd2ctlzd2nilz72zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2ctlzd2closezd2envz00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2sndza7d21844za7, BGl_z62alsazd2sndzd2ctlzd2closezb0zz__alsa_controlz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_alsazd2initzd2envz00zz__alsa_alsaz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__alsa_controlz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__alsa_controlz00(long BgL_checksumz00_792, char * BgL_fromz00_793)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__alsa_controlz00))
{ 
BGl_requirezd2initializa7ationz75zz__alsa_controlz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__alsa_controlz00(); 
BGl_libraryzd2moduleszd2initz00zz__alsa_controlz00(); 
BGl_cnstzd2initzd2zz__alsa_controlz00(); 
BGl_importedzd2moduleszd2initz00zz__alsa_controlz00(); 
BGl_objectzd2initzd2zz__alsa_controlz00(); 
BGl_methodzd2initzd2zz__alsa_controlz00(); 
return 
BGl_toplevelzd2initzd2zz__alsa_controlz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__alsa_control"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
{ /* Llib/control.scm 15 */
 obj_t BgL_cportz00_681;
{ /* Llib/control.scm 15 */
 obj_t BgL_stringz00_689;
BgL_stringz00_689 = BGl_string1760z00zz__alsa_controlz00; 
{ /* Llib/control.scm 15 */
 obj_t BgL_startz00_690;
BgL_startz00_690 = 
BINT(((long)0)); 
{ /* Llib/control.scm 15 */
 obj_t BgL_endz00_691;
BgL_endz00_691 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_689))); 
{ /* Llib/control.scm 15 */

BgL_cportz00_681 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_689, BgL_startz00_690, BgL_endz00_691); } } } } 
{ 
 long BgL_iz00_682;
BgL_iz00_682 = ((long)24); 
BgL_loopz00_683:
if(
(BgL_iz00_682==((long)-1)))
{ /* Llib/control.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/control.scm 15 */
{ /* Llib/control.scm 15 */
 obj_t BgL_arg1763z00_685;
{ /* Llib/control.scm 15 */

{ /* Llib/control.scm 15 */
 obj_t BgL_locationz00_687;
BgL_locationz00_687 = 
BBOOL(((bool_t)0)); 
{ /* Llib/control.scm 15 */

BgL_arg1763z00_685 = 
BGl_readz00zz__readerz00(BgL_cportz00_681, BgL_locationz00_687); } } } 
{ /* Llib/control.scm 15 */
 int BgL_tmpz00_821;
BgL_tmpz00_821 = 
(int)(BgL_iz00_682); 
CNST_TABLE_SET(BgL_tmpz00_821, BgL_arg1763z00_685); } } 
{ /* Llib/control.scm 15 */
 int BgL_auxz00_688;
BgL_auxz00_688 = 
(int)(
(BgL_iz00_682-((long)1))); 
{ 
 long BgL_iz00_826;
BgL_iz00_826 = 
(long)(BgL_auxz00_688); 
BgL_iz00_682 = BgL_iz00_826; 
goto BgL_loopz00_683;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
return BUNSPEC;} 

}



/* %$snd-ctl-nil */
BGL_EXPORTED_DEF snd_ctl_t * BGl_z52z42sndzd2ctlzd2nilz10zz__alsa_controlz00()
{
{ /* Llib/control.scm 55 */
return 
(0L);} 

}



/* &%$snd-ctl-nil */
obj_t BGl_z62z52z42sndzd2ctlzd2nilz72zz__alsa_controlz00(obj_t BgL_envz00_456)
{
{ /* Llib/control.scm 55 */
return 
void_star_to_obj(
BGl_z52z42sndzd2ctlzd2nilz10zz__alsa_controlz00());} 

}



/* alsa-snd-ctl-open */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2openzd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_oz00_5)
{
{ /* Llib/control.scm 79 */
{ /* Llib/control.scm 81 */
 bool_t BgL_test1847z00_832;
{ /* Llib/control.scm 81 */
 snd_ctl_t * BgL_tmpz00_833;
BgL_tmpz00_833 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
BgL_test1847z00_832 = 
(BgL_tmpz00_833 == 0L); } 
if(BgL_test1847z00_832)
{ /* Llib/control.scm 82 */
 int BgL_errz00_20;
{ /* Llib/control.scm 82 */
 obj_t BgL_arg1122z00_28; int BgL_arg1123z00_29;
BgL_arg1122z00_28 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_cardz00); 
BgL_arg1123z00_29 = 
BGl_symbolzd2ze3ctlzd2modeze3zz__alsa_controlz00(
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_modez00)); 
{ /* Llib/control.scm 82 */
 char * BgL_auxz00_841; obj_t BgL_tmpz00_839;
BgL_auxz00_841 = 
BSTRING_TO_STRING(BgL_arg1122z00_28); 
BgL_tmpz00_839 = 
((obj_t)BgL_oz00_5); 
BgL_errz00_20 = 
bgl_snd_ctl_open(BgL_tmpz00_839, BgL_auxz00_841, BgL_arg1123z00_29); } } 
if(
(
(long)(BgL_errz00_20)<((long)0)))
{ /* Llib/control.scm 84 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1117z00_22;
{ /* Llib/control.scm 84 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1078z00_23;
{ /* Llib/control.scm 84 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1077z00_26;
BgL_new1077z00_26 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/control.scm 84 */
 long BgL_arg1121z00_27;
BgL_arg1121z00_27 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_26), BgL_arg1121z00_27); } 
BgL_new1078z00_23 = BgL_new1077z00_26; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_23)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_23)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_855;
{ /* Llib/control.scm 84 */
 obj_t BgL_arg1119z00_24;
{ /* Llib/control.scm 84 */
 obj_t BgL_arg1120z00_25;
{ /* Llib/control.scm 84 */
 obj_t BgL_classz00_384;
BgL_classz00_384 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1120z00_25 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_384); } 
BgL_arg1119z00_24 = 
VECTOR_REF(BgL_arg1120z00_25,((long)2)); } 
BgL_auxz00_855 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1119z00_24); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_23)))->BgL_stackz00)=((obj_t)BgL_auxz00_855),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_23)))->BgL_procz00)=((obj_t)BGl_string1684z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_23)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_20))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_23)))->BgL_objz00)=((obj_t)
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_cardz00)),BUNSPEC); 
BgL_arg1117z00_22 = BgL_new1078z00_23; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1117z00_22));}  else 
{ /* Llib/control.scm 83 */
return 
((obj_t)BgL_oz00_5);} }  else 
{ /* Llib/control.scm 89 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1128z00_31;
{ /* Llib/control.scm 89 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1080z00_32;
{ /* Llib/control.scm 89 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1079z00_35;
BgL_new1079z00_35 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/control.scm 89 */
 long BgL_arg1131z00_36;
BgL_arg1131z00_36 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_35), BgL_arg1131z00_36); } 
BgL_new1080z00_32 = BgL_new1079z00_35; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1080z00_32)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1080z00_32)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_881;
{ /* Llib/control.scm 89 */
 obj_t BgL_arg1129z00_33;
{ /* Llib/control.scm 89 */
 obj_t BgL_arg1130z00_34;
{ /* Llib/control.scm 89 */
 obj_t BgL_classz00_389;
BgL_classz00_389 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1130z00_34 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_389); } 
BgL_arg1129z00_33 = 
VECTOR_REF(BgL_arg1130z00_34,((long)2)); } 
BgL_auxz00_881 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1129z00_33); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1080z00_32)))->BgL_stackz00)=((obj_t)BgL_auxz00_881),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1080z00_32)))->BgL_procz00)=((obj_t)BGl_string1684z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1080z00_32)))->BgL_msgz00)=((obj_t)BGl_string1685z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1080z00_32)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_5)),BUNSPEC); 
BgL_arg1128z00_31 = BgL_new1080z00_32; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1128z00_31));} } } 

}



/* &alsa-snd-ctl-open */
obj_t BGl_z62alsazd2sndzd2ctlzd2openzb0zz__alsa_controlz00(obj_t BgL_envz00_457, obj_t BgL_oz00_458)
{
{ /* Llib/control.scm 79 */
{ /* Llib/control.scm 80 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_896;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_458, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00))
{ /* Llib/control.scm 80 */
BgL_auxz00_896 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_458)
; }  else 
{ 
 obj_t BgL_auxz00_900;
BgL_auxz00_900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1686z00zz__alsa_controlz00, 
BINT(((long)3687)), BGl_string1687z00zz__alsa_controlz00, BGl_string1688z00zz__alsa_controlz00, BgL_oz00_458); 
FAILURE(BgL_auxz00_900,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2ctlzd2openzd2zz__alsa_controlz00(BgL_auxz00_896);} } 

}



/* alsa-snd-ctl-close */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2closezd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_ctlz00_6)
{
{ /* Llib/control.scm 97 */
{ /* Llib/control.scm 99 */
 bool_t BgL_test1850z00_905;
{ /* Llib/control.scm 99 */
 snd_ctl_t * BgL_tmpz00_906;
BgL_tmpz00_906 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_ctlz00_6))->BgL_z42builtinz42); 
BgL_test1850z00_905 = 
(BgL_tmpz00_906 == 0L); } 
if(BgL_test1850z00_905)
{ /* Llib/control.scm 99 */
return BFALSE;}  else 
{ /* Llib/control.scm 100 */
 snd_ctl_t * BgL_arg1142z00_41;
BgL_arg1142z00_41 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_ctlz00_6))->BgL_z42builtinz42); 
return 
BINT(
snd_ctl_close(BgL_arg1142z00_41));} } } 

}



/* &alsa-snd-ctl-close */
obj_t BGl_z62alsazd2sndzd2ctlzd2closezb0zz__alsa_controlz00(obj_t BgL_envz00_459, obj_t BgL_ctlz00_460)
{
{ /* Llib/control.scm 97 */
{ /* Llib/control.scm 98 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_912;
if(
BGl_isazf3zf3zz__objectz00(BgL_ctlz00_460, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00))
{ /* Llib/control.scm 98 */
BgL_auxz00_912 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctlz00_460)
; }  else 
{ 
 obj_t BgL_auxz00_916;
BgL_auxz00_916 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1686z00zz__alsa_controlz00, 
BINT(((long)4387)), BGl_string1689z00zz__alsa_controlz00, BGl_string1688z00zz__alsa_controlz00, BgL_ctlz00_460); 
FAILURE(BgL_auxz00_916,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2ctlzd2closezd2zz__alsa_controlz00(BgL_auxz00_912);} } 

}



/* alsa-snd-ctl-rawmidi-devices */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2rawmidizd2devicesz00zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_ctlz00_7)
{
{ /* Llib/control.scm 105 */
return 
BGl_loopze70ze7zz__alsa_controlz00(BgL_ctlz00_7, ((long)-1));} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_ctlz00_668, long BgL_dz00_44)
{
{ /* Llib/control.scm 106 */
{ /* Llib/control.scm 107 */
 int BgL_devz00_46;
{ /* Llib/control.scm 107 */
 int BgL_auxz00_924; obj_t BgL_tmpz00_922;
BgL_auxz00_924 = 
(int)(BgL_dz00_44); 
BgL_tmpz00_922 = 
((obj_t)BgL_ctlz00_668); 
BgL_devz00_46 = 
bgl_snd_ctl_rawmidi_next_device(BgL_tmpz00_922, BgL_auxz00_924); } 
if(
(
(long)(BgL_devz00_46)>=((long)0)))
{ /* Llib/control.scm 109 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_arg1147z00_48; obj_t BgL_arg1148z00_49;
{ /* Llib/control.scm 109 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1083z00_50;
{ /* Llib/control.scm 109 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1082z00_52;
BgL_new1082z00_52 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl) ))); 
{ /* Llib/control.scm 109 */
 long BgL_arg1150z00_53;
BgL_arg1150z00_53 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_52), BgL_arg1150z00_53); } 
BgL_new1083z00_50 = BgL_new1082z00_52; } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctlz00_668),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_cardz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_idz00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_namez00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_devicez00)=((int)BgL_devz00_46),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_subdevicez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1083z00_50))->BgL_subdevicescountz00)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/control.scm 109 */
 obj_t BgL_fun1149z00_51;
BgL_fun1149z00_51 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
PROCEDURE_ENTRY(BgL_fun1149z00_51)(BgL_fun1149z00_51, 
((obj_t)BgL_new1083z00_50), BEOA); } 
BgL_arg1147z00_48 = BgL_new1083z00_50; } 
BgL_arg1148z00_49 = 
BGl_loopze70ze7zz__alsa_controlz00(BgL_ctlz00_668, 
(BgL_dz00_44+((long)1))); 
return 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1147z00_48), BgL_arg1148z00_49);}  else 
{ /* Llib/control.scm 108 */
return BNIL;} } } 

}



/* &alsa-snd-ctl-rawmidi-devices */
obj_t BGl_z62alsazd2sndzd2ctlzd2rawmidizd2devicesz62zz__alsa_controlz00(obj_t BgL_envz00_461, obj_t BgL_ctlz00_462)
{
{ /* Llib/control.scm 105 */
{ /* Llib/control.scm 107 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_954;
if(
BGl_isazf3zf3zz__objectz00(BgL_ctlz00_462, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00))
{ /* Llib/control.scm 107 */
BgL_auxz00_954 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctlz00_462)
; }  else 
{ 
 obj_t BgL_auxz00_958;
BgL_auxz00_958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1686z00zz__alsa_controlz00, 
BINT(((long)4807)), BGl_string1691z00zz__alsa_controlz00, BGl_string1688z00zz__alsa_controlz00, BgL_ctlz00_462); 
FAILURE(BgL_auxz00_958,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2ctlzd2rawmidizd2devicesz00zz__alsa_controlz00(BgL_auxz00_954);} } 

}



/* symbol->ctl-mode */
int BGl_symbolzd2ze3ctlzd2modeze3zz__alsa_controlz00(obj_t BgL_sz00_8)
{
{ /* Llib/control.scm 118 */
if(
(BgL_sz00_8==
CNST_TABLE_REF(((long)0))))
{ /* Llib/control.scm 119 */
return 
(int)(((long)0));}  else 
{ /* Llib/control.scm 119 */
if(
(BgL_sz00_8==
CNST_TABLE_REF(((long)1))))
{ /* Llib/control.scm 119 */
return SND_CTL_NONBLOCK;}  else 
{ /* Llib/control.scm 119 */
if(
(BgL_sz00_8==
CNST_TABLE_REF(((long)2))))
{ /* Llib/control.scm 119 */
return SND_CTL_ASYNC;}  else 
{ /* Llib/control.scm 123 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1158z00_60;
{ /* Llib/control.scm 123 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1085z00_61;
{ /* Llib/control.scm 123 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1084z00_64;
BgL_new1084z00_64 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/control.scm 123 */
 long BgL_arg1163z00_65;
BgL_arg1163z00_65 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_64), BgL_arg1163z00_65); } 
BgL_new1085z00_61 = BgL_new1084z00_64; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_61)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_61)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_981;
{ /* Llib/control.scm 123 */
 obj_t BgL_arg1159z00_62;
{ /* Llib/control.scm 123 */
 obj_t BgL_arg1162z00_63;
{ /* Llib/control.scm 123 */
 obj_t BgL_classz00_402;
BgL_classz00_402 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1162z00_63 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_402); } 
BgL_arg1159z00_62 = 
VECTOR_REF(BgL_arg1162z00_63,((long)2)); } 
BgL_auxz00_981 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1159z00_62); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_61)))->BgL_stackz00)=((obj_t)BgL_auxz00_981),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_61)))->BgL_procz00)=((obj_t)BGl_string1692z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_61)))->BgL_msgz00)=((obj_t)BGl_string1693z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_61)))->BgL_objz00)=((obj_t)BgL_sz00_8),BUNSPEC); 
BgL_arg1158z00_60 = BgL_new1085z00_61; } 
return 
CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1158z00_60)));} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1175z00_69; obj_t BgL_arg1177z00_70;
{ /* Llib/control.scm 21 */
 obj_t BgL_v1092z00_84;
BgL_v1092z00_84 = 
create_vector(((long)3)); 
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1184z00_85;
BgL_arg1184z00_85 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1696z00zz__alsa_controlz00, BGl_proc1695z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1694z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1092z00_84,((long)0),BgL_arg1184z00_85); } 
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1197z00_98;
BgL_arg1197z00_98 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1699z00zz__alsa_controlz00, BGl_proc1698z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1697z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1092z00_84,((long)1),BgL_arg1197z00_98); } 
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1205z00_111;
BgL_arg1205z00_111 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1702z00zz__alsa_controlz00, BGl_proc1701z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1700z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1092z00_84,((long)2),BgL_arg1205z00_111); } 
BgL_arg1175z00_69 = BgL_v1092z00_84; } 
{ /* Llib/control.scm 21 */
 obj_t BgL_v1093z00_124;
BgL_v1093z00_124 = 
create_vector(((long)0)); 
BgL_arg1177z00_70 = BgL_v1093z00_124; } 
BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)14676), BGl_proc1705z00zz__alsa_controlz00, BGl_proc1704z00zz__alsa_controlz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1703z00zz__alsa_controlz00, BFALSE, BgL_arg1175z00_69, BgL_arg1177z00_70); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1221z00_131; obj_t BgL_arg1224z00_132;
{ /* Llib/control.scm 26 */
 obj_t BgL_v1094z00_151;
BgL_v1094z00_151 = 
create_vector(((long)8)); 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1231z00_152;
BgL_arg1231z00_152 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1707z00zz__alsa_controlz00, BGl_proc1706z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
VECTOR_SET(BgL_v1094z00_151,((long)0),BgL_arg1231z00_152); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1238z00_162;
BgL_arg1238z00_162 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1710z00zz__alsa_controlz00, BGl_proc1709z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1708z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1094z00_151,((long)1),BgL_arg1238z00_162); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1262z00_175;
BgL_arg1262z00_175 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1713z00zz__alsa_controlz00, BGl_proc1712z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1711z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1094z00_151,((long)2),BgL_arg1262z00_175); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1271z00_188;
BgL_arg1271z00_188 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc1716z00zz__alsa_controlz00, BGl_proc1715z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1714z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1094z00_151,((long)3),BgL_arg1271z00_188); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1291z00_201;
BgL_arg1291z00_201 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1719z00zz__alsa_controlz00, BGl_proc1718z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1717z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1094z00_151,((long)4),BgL_arg1291z00_201); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1338z00_214;
BgL_arg1338z00_214 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc1722z00zz__alsa_controlz00, BGl_proc1721z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1720z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1094z00_151,((long)5),BgL_arg1338z00_214); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1345z00_227;
BgL_arg1345z00_227 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1725z00zz__alsa_controlz00, BGl_proc1724z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1723z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1094z00_151,((long)6),BgL_arg1345z00_227); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1358z00_240;
BgL_arg1358z00_240 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc1728z00zz__alsa_controlz00, BGl_proc1727z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1726z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1094z00_151,((long)7),BgL_arg1358z00_240); } 
BgL_arg1221z00_131 = BgL_v1094z00_151; } 
{ /* Llib/control.scm 26 */
 obj_t BgL_v1095z00_253;
BgL_v1095z00_253 = 
create_vector(((long)0)); 
BgL_arg1224z00_132 = BgL_v1095z00_253; } 
BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)19)), 
CNST_TABLE_REF(((long)10)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)44706), BGl_proc1731z00zz__alsa_controlz00, BGl_proc1730z00zz__alsa_controlz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1729z00zz__alsa_controlz00, BFALSE, BgL_arg1221z00_131, BgL_arg1224z00_132); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1378z00_260; obj_t BgL_arg1379z00_261;
{ /* Llib/control.scm 36 */
 obj_t BgL_v1096z00_279;
BgL_v1096z00_279 = 
create_vector(((long)7)); 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1455z00_280;
BgL_arg1455z00_280 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1733z00zz__alsa_controlz00, BGl_proc1732z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
VECTOR_SET(BgL_v1096z00_279,((long)0),BgL_arg1455z00_280); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1541z00_290;
BgL_arg1541z00_290 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1736z00zz__alsa_controlz00, BGl_proc1735z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1734z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1096z00_279,((long)1),BgL_arg1541z00_290); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1572z00_303;
BgL_arg1572z00_303 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1739z00zz__alsa_controlz00, BGl_proc1738z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1737z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1096z00_279,((long)2),BgL_arg1572z00_303); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1590z00_316;
BgL_arg1590z00_316 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1742z00zz__alsa_controlz00, BGl_proc1741z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1740z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1096z00_279,((long)3),BgL_arg1590z00_316); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1609z00_329;
BgL_arg1609z00_329 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc1745z00zz__alsa_controlz00, BGl_proc1744z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1743z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1096z00_279,((long)4),BgL_arg1609z00_329); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1642z00_342;
BgL_arg1642z00_342 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1748z00zz__alsa_controlz00, BGl_proc1747z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1746z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1096z00_279,((long)5),BgL_arg1642z00_342); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1657z00_355;
BgL_arg1657z00_355 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc1751z00zz__alsa_controlz00, BGl_proc1750z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1749z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1096z00_279,((long)6),BgL_arg1657z00_355); } 
BgL_arg1378z00_260 = BgL_v1096z00_279; } 
{ /* Llib/control.scm 36 */
 obj_t BgL_v1097z00_368;
BgL_v1097z00_368 = 
create_vector(((long)0)); 
BgL_arg1379z00_261 = BgL_v1097z00_368; } 
return ( 
BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)10)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)2149), BGl_proc1754z00zz__alsa_controlz00, BGl_proc1753z00zz__alsa_controlz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1752z00zz__alsa_controlz00, BFALSE, BgL_arg1378z00_260, BgL_arg1379z00_261), BUNSPEC) ;} } 

}



/* &<@anonymous:1415> */
obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_524, obj_t BgL_new1075z00_525)
{
{ /* Llib/control.scm 36 */
{ 
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_auxz00_1081;
{ 
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_1082;
{ /* Llib/control.scm 36 */
 obj_t BgL_classz00_694;
BgL_classz00_694 = BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00; 
{ /* Llib/control.scm 36 */
 obj_t BgL__ortest_1113z00_695;
BgL__ortest_1113z00_695 = 
BGL_CLASS_NIL(BgL_classz00_694); 
if(
CBOOL(BgL__ortest_1113z00_695))
{ /* Llib/control.scm 36 */
BgL_auxz00_1082 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL__ortest_1113z00_695)
; }  else 
{ /* Llib/control.scm 36 */
BgL_auxz00_1082 = 
((BgL_alsazd2sndzd2ctlz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_694))
; } } } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)BgL_auxz00_1082),BUNSPEC); } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_cardz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_idz00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_namez00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_devicez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_subdevicez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525)))->BgL_subdevicescountz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1081 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1075z00_525); 
return 
((obj_t)BgL_auxz00_1081);} } 

}



/* &lambda1384 */
BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1384z62zz__alsa_controlz00(obj_t BgL_envz00_526)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1074z00_696;
BgL_new1074z00_696 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl) ))); 
{ /* Llib/control.scm 36 */
 long BgL_arg1414z00_697;
BgL_arg1414z00_697 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_696), BgL_arg1414z00_697); } 
return BgL_new1074z00_696;} } 

}



/* &lambda1380 */
BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1380z62zz__alsa_controlz00(obj_t BgL_envz00_527, obj_t BgL_ctl1067z00_528, obj_t BgL_card1068z00_529, obj_t BgL_id1069z00_530, obj_t BgL_name1070z00_531, obj_t BgL_device1071z00_532, obj_t BgL_subdevice1072z00_533, obj_t BgL_subdevicescount1073z00_534)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_card1068z00_699; int BgL_device1071z00_702; int BgL_subdevice1072z00_703; int BgL_subdevicescount1073z00_704;
BgL_card1068z00_699 = 
CINT(BgL_card1068z00_529); 
BgL_device1071z00_702 = 
CINT(BgL_device1071z00_532); 
BgL_subdevice1072z00_703 = 
CINT(BgL_subdevice1072z00_533); 
BgL_subdevicescount1073z00_704 = 
CINT(BgL_subdevicescount1073z00_534); 
{ /* Llib/control.scm 36 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1091z00_705;
{ /* Llib/control.scm 36 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1090z00_706;
BgL_new1090z00_706 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl) ))); 
{ /* Llib/control.scm 36 */
 long BgL_arg1383z00_707;
BgL_arg1383z00_707 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_706), BgL_arg1383z00_707); } 
BgL_new1091z00_705 = BgL_new1090z00_706; } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctl1067z00_528)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_cardz00)=((int)BgL_card1068z00_699),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1069z00_530)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1070z00_531)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_devicez00)=((int)BgL_device1071z00_702),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_subdevicez00)=((int)BgL_subdevice1072z00_703),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1091z00_705))->BgL_subdevicescountz00)=((int)BgL_subdevicescount1073z00_704),BUNSPEC); 
{ /* Llib/control.scm 36 */
 obj_t BgL_fun1381z00_708;
BgL_fun1381z00_708 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
PROCEDURE_ENTRY(BgL_fun1381z00_708)(BgL_fun1381z00_708, 
((obj_t)BgL_new1091z00_705), BEOA); } 
return BgL_new1091z00_705;} } } 

}



/* &<@anonymous:1676> */
obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_535)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1675 */
obj_t BGl_z62lambda1675z62zz__alsa_controlz00(obj_t BgL_envz00_536, obj_t BgL_oz00_537, obj_t BgL_vz00_538)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_710;
BgL_vz00_710 = 
CINT(BgL_vz00_538); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_537)))->BgL_subdevicescountz00)=((int)BgL_vz00_710),BUNSPEC);} } 

}



/* &lambda1674 */
obj_t BGl_z62lambda1674z62zz__alsa_controlz00(obj_t BgL_envz00_539, obj_t BgL_oz00_540)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_540)))->BgL_subdevicescountz00));} 

}



/* &<@anonymous:1656> */
obj_t BGl_z62zc3z04anonymousza31656ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_541)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__alsa_controlz00(obj_t BgL_envz00_542, obj_t BgL_oz00_543, obj_t BgL_vz00_544)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_713;
BgL_vz00_713 = 
CINT(BgL_vz00_544); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_543)))->BgL_subdevicez00)=((int)BgL_vz00_713),BUNSPEC);} } 

}



/* &lambda1654 */
obj_t BGl_z62lambda1654z62zz__alsa_controlz00(obj_t BgL_envz00_545, obj_t BgL_oz00_546)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_546)))->BgL_subdevicez00));} 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_547)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1624 */
obj_t BGl_z62lambda1624z62zz__alsa_controlz00(obj_t BgL_envz00_548, obj_t BgL_oz00_549, obj_t BgL_vz00_550)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_716;
BgL_vz00_716 = 
CINT(BgL_vz00_550); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_549)))->BgL_devicez00)=((int)BgL_vz00_716),BUNSPEC);} } 

}



/* &lambda1623 */
obj_t BGl_z62lambda1623z62zz__alsa_controlz00(obj_t BgL_envz00_551, obj_t BgL_oz00_552)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_552)))->BgL_devicez00));} 

}



/* &<@anonymous:1598> */
obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_553)
{
{ /* Llib/control.scm 36 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1597 */
obj_t BGl_z62lambda1597z62zz__alsa_controlz00(obj_t BgL_envz00_554, obj_t BgL_oz00_555, obj_t BgL_vz00_556)
{
{ /* Llib/control.scm 36 */
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_555)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_556)),BUNSPEC);} 

}



/* &lambda1596 */
obj_t BGl_z62lambda1596z62zz__alsa_controlz00(obj_t BgL_envz00_557, obj_t BgL_oz00_558)
{
{ /* Llib/control.scm 36 */
return 
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_558)))->BgL_namez00);} 

}



/* &<@anonymous:1578> */
obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_559)
{
{ /* Llib/control.scm 36 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1577 */
obj_t BGl_z62lambda1577z62zz__alsa_controlz00(obj_t BgL_envz00_560, obj_t BgL_oz00_561, obj_t BgL_vz00_562)
{
{ /* Llib/control.scm 36 */
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_561)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_562)),BUNSPEC);} 

}



/* &lambda1576 */
obj_t BGl_z62lambda1576z62zz__alsa_controlz00(obj_t BgL_envz00_563, obj_t BgL_oz00_564)
{
{ /* Llib/control.scm 36 */
return 
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_564)))->BgL_idz00);} 

}



/* &<@anonymous:1566> */
obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_565)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1565 */
obj_t BGl_z62lambda1565z62zz__alsa_controlz00(obj_t BgL_envz00_566, obj_t BgL_oz00_567, obj_t BgL_vz00_568)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_725;
BgL_vz00_725 = 
CINT(BgL_vz00_568); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_567)))->BgL_cardz00)=((int)BgL_vz00_725),BUNSPEC);} } 

}



/* &lambda1564 */
obj_t BGl_z62lambda1564z62zz__alsa_controlz00(obj_t BgL_envz00_569, obj_t BgL_oz00_570)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_570)))->BgL_cardz00));} 

}



/* &lambda1537 */
obj_t BGl_z62lambda1537z62zz__alsa_controlz00(obj_t BgL_envz00_571, obj_t BgL_oz00_572, obj_t BgL_vz00_573)
{
{ /* Llib/control.scm 36 */
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_572)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_vz00_573)),BUNSPEC);} 

}



/* &lambda1536 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1536z62zz__alsa_controlz00(obj_t BgL_envz00_574, obj_t BgL_oz00_575)
{
{ /* Llib/control.scm 36 */
return 
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_575)))->BgL_ctlz00);} 

}



/* &<@anonymous:1230> */
obj_t BGl_z62zc3z04anonymousza31230ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_576, obj_t BgL_new1065z00_577)
{
{ /* Llib/control.scm 26 */
{ 
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_auxz00_1180;
{ 
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_1181;
{ /* Llib/control.scm 26 */
 obj_t BgL_classz00_731;
BgL_classz00_731 = BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00; 
{ /* Llib/control.scm 26 */
 obj_t BgL__ortest_1113z00_732;
BgL__ortest_1113z00_732 = 
BGL_CLASS_NIL(BgL_classz00_731); 
if(
CBOOL(BgL__ortest_1113z00_732))
{ /* Llib/control.scm 26 */
BgL_auxz00_1181 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL__ortest_1113z00_732)
; }  else 
{ /* Llib/control.scm 26 */
BgL_auxz00_1181 = 
((BgL_alsazd2sndzd2ctlz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_731))
; } } } 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)BgL_auxz00_1181),BUNSPEC); } 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_cardz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_idz00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_driverz00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_namez00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_longnamez00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_mixernamez00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577)))->BgL_componentsz00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
BgL_auxz00_1180 = 
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1065z00_577); 
return 
((obj_t)BgL_auxz00_1180);} } 

}



/* &lambda1228 */
BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1228z62zz__alsa_controlz00(obj_t BgL_envz00_578)
{
{ /* Llib/control.scm 26 */
{ /* Llib/control.scm 26 */
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_new1064z00_733;
BgL_new1064z00_733 = 
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bgl) ))); 
{ /* Llib/control.scm 26 */
 long BgL_arg1229z00_734;
BgL_arg1229z00_734 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_733), BgL_arg1229z00_734); } 
return BgL_new1064z00_733;} } 

}



/* &lambda1225 */
BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1225z62zz__alsa_controlz00(obj_t BgL_envz00_579, obj_t BgL_ctl1056z00_580, obj_t BgL_card1057z00_581, obj_t BgL_id1058z00_582, obj_t BgL_driver1059z00_583, obj_t BgL_name1060z00_584, obj_t BgL_longname1061z00_585, obj_t BgL_mixername1062z00_586, obj_t BgL_components1063z00_587)
{
{ /* Llib/control.scm 26 */
{ /* Llib/control.scm 26 */
 int BgL_card1057z00_736;
BgL_card1057z00_736 = 
CINT(BgL_card1057z00_581); 
{ /* Llib/control.scm 26 */
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_new1089z00_743;
{ /* Llib/control.scm 26 */
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_new1088z00_744;
BgL_new1088z00_744 = 
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bgl) ))); 
{ /* Llib/control.scm 26 */
 long BgL_arg1227z00_745;
BgL_arg1227z00_745 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_744), BgL_arg1227z00_745); } 
BgL_new1089z00_743 = BgL_new1088z00_744; } 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctl1056z00_580)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_cardz00)=((int)BgL_card1057z00_736),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1058z00_582)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_driverz00)=((obj_t)
((obj_t)BgL_driver1059z00_583)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1060z00_584)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_longnamez00)=((obj_t)
((obj_t)BgL_longname1061z00_585)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_mixernamez00)=((obj_t)
((obj_t)BgL_mixername1062z00_586)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1089z00_743))->BgL_componentsz00)=((obj_t)
((obj_t)BgL_components1063z00_587)),BUNSPEC); 
{ /* Llib/control.scm 26 */
 obj_t BgL_fun1226z00_746;
BgL_fun1226z00_746 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00); 
PROCEDURE_ENTRY(BgL_fun1226z00_746)(BgL_fun1226z00_746, 
((obj_t)BgL_new1089z00_743), BEOA); } 
return BgL_new1089z00_743;} } } 

}



/* &<@anonymous:1366> */
obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_588)
{
{ /* Llib/control.scm 26 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1365 */
obj_t BGl_z62lambda1365z62zz__alsa_controlz00(obj_t BgL_envz00_589, obj_t BgL_oz00_590, obj_t BgL_vz00_591)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_590)))->BgL_componentsz00)=((obj_t)
((obj_t)BgL_vz00_591)),BUNSPEC);} 

}



/* &lambda1364 */
obj_t BGl_z62lambda1364z62zz__alsa_controlz00(obj_t BgL_envz00_592, obj_t BgL_oz00_593)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_593)))->BgL_componentsz00);} 

}



/* &<@anonymous:1357> */
obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_594)
{
{ /* Llib/control.scm 26 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1356 */
obj_t BGl_z62lambda1356z62zz__alsa_controlz00(obj_t BgL_envz00_595, obj_t BgL_oz00_596, obj_t BgL_vz00_597)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_596)))->BgL_mixernamez00)=((obj_t)
((obj_t)BgL_vz00_597)),BUNSPEC);} 

}



/* &lambda1355 */
obj_t BGl_z62lambda1355z62zz__alsa_controlz00(obj_t BgL_envz00_598, obj_t BgL_oz00_599)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_599)))->BgL_mixernamez00);} 

}



/* &<@anonymous:1344> */
obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_600)
{
{ /* Llib/control.scm 26 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1343 */
obj_t BGl_z62lambda1343z62zz__alsa_controlz00(obj_t BgL_envz00_601, obj_t BgL_oz00_602, obj_t BgL_vz00_603)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_602)))->BgL_longnamez00)=((obj_t)
((obj_t)BgL_vz00_603)),BUNSPEC);} 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__alsa_controlz00(obj_t BgL_envz00_604, obj_t BgL_oz00_605)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_605)))->BgL_longnamez00);} 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_606)
{
{ /* Llib/control.scm 26 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1335 */
obj_t BGl_z62lambda1335z62zz__alsa_controlz00(obj_t BgL_envz00_607, obj_t BgL_oz00_608, obj_t BgL_vz00_609)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_608)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_609)),BUNSPEC);} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__alsa_controlz00(obj_t BgL_envz00_610, obj_t BgL_oz00_611)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_611)))->BgL_namez00);} 

}



/* &<@anonymous:1288> */
obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_612)
{
{ /* Llib/control.scm 26 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__alsa_controlz00(obj_t BgL_envz00_613, obj_t BgL_oz00_614, obj_t BgL_vz00_615)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_614)))->BgL_driverz00)=((obj_t)
((obj_t)BgL_vz00_615)),BUNSPEC);} 

}



/* &lambda1286 */
obj_t BGl_z62lambda1286z62zz__alsa_controlz00(obj_t BgL_envz00_616, obj_t BgL_oz00_617)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_617)))->BgL_driverz00);} 

}



/* &<@anonymous:1270> */
obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_618)
{
{ /* Llib/control.scm 26 */
return BGl_string1690z00zz__alsa_controlz00;} 

}



/* &lambda1269 */
obj_t BGl_z62lambda1269z62zz__alsa_controlz00(obj_t BgL_envz00_619, obj_t BgL_oz00_620, obj_t BgL_vz00_621)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_620)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_621)),BUNSPEC);} 

}



/* &lambda1268 */
obj_t BGl_z62lambda1268z62zz__alsa_controlz00(obj_t BgL_envz00_622, obj_t BgL_oz00_623)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_623)))->BgL_idz00);} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_624)
{
{ /* Llib/control.scm 26 */
return 
BINT(((long)0));} 

}



/* &lambda1252 */
obj_t BGl_z62lambda1252z62zz__alsa_controlz00(obj_t BgL_envz00_625, obj_t BgL_oz00_626, obj_t BgL_vz00_627)
{
{ /* Llib/control.scm 26 */
{ /* Llib/control.scm 26 */
 int BgL_vz00_766;
BgL_vz00_766 = 
CINT(BgL_vz00_627); 
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_626)))->BgL_cardz00)=((int)BgL_vz00_766),BUNSPEC);} } 

}



/* &lambda1251 */
obj_t BGl_z62lambda1251z62zz__alsa_controlz00(obj_t BgL_envz00_628, obj_t BgL_oz00_629)
{
{ /* Llib/control.scm 26 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_629)))->BgL_cardz00));} 

}



/* &lambda1237 */
obj_t BGl_z62lambda1237z62zz__alsa_controlz00(obj_t BgL_envz00_630, obj_t BgL_oz00_631, obj_t BgL_vz00_632)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_631)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_vz00_632)),BUNSPEC);} 

}



/* &lambda1236 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1236z62zz__alsa_controlz00(obj_t BgL_envz00_633, obj_t BgL_oz00_634)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_634)))->BgL_ctlz00);} 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_635, obj_t BgL_new1054z00_636)
{
{ /* Llib/control.scm 21 */
{ 
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_1279;
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1054z00_636)))->BgL_z42builtinz42)=((snd_ctl_t *)
0L),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1054z00_636)))->BgL_cardz00)=((obj_t)BGl_string1690z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1054z00_636)))->BgL_modez00)=((obj_t)
CNST_TABLE_REF(((long)24))),BUNSPEC); 
BgL_auxz00_1279 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1054z00_636); 
return 
((obj_t)BgL_auxz00_1279);} } 

}



/* &lambda1181 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1181z62zz__alsa_controlz00(obj_t BgL_envz00_637)
{
{ /* Llib/control.scm 21 */
{ /* Llib/control.scm 21 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_new1053z00_772;
BgL_new1053z00_772 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlz00_bgl) ))); 
{ /* Llib/control.scm 21 */
 long BgL_arg1182z00_773;
BgL_arg1182z00_773 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_772), BgL_arg1182z00_773); } 
return BgL_new1053z00_772;} } 

}



/* &lambda1178 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1178z62zz__alsa_controlz00(obj_t BgL_envz00_638, obj_t BgL_z42builtin1050z42_639, obj_t BgL_card1051z00_640, obj_t BgL_mode1052z00_641)
{
{ /* Llib/control.scm 21 */
{ /* Llib/control.scm 21 */
 snd_ctl_t * BgL_z42builtin1050z42_774;
BgL_z42builtin1050z42_774 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_639); 
{ /* Llib/control.scm 21 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_new1087z00_777;
{ /* Llib/control.scm 21 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_new1086z00_778;
BgL_new1086z00_778 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlz00_bgl) ))); 
{ /* Llib/control.scm 21 */
 long BgL_arg1180z00_779;
BgL_arg1180z00_779 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_778), BgL_arg1180z00_779); } 
BgL_new1087z00_777 = BgL_new1086z00_778; } 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_new1087z00_777))->BgL_z42builtinz42)=((snd_ctl_t *)BgL_z42builtin1050z42_774),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_new1087z00_777))->BgL_cardz00)=((obj_t)
((obj_t)BgL_card1051z00_640)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_new1087z00_777))->BgL_modez00)=((obj_t)
((obj_t)BgL_mode1052z00_641)),BUNSPEC); 
{ /* Llib/control.scm 21 */
 obj_t BgL_fun1179z00_780;
BgL_fun1179z00_780 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
PROCEDURE_ENTRY(BgL_fun1179z00_780)(BgL_fun1179z00_780, 
((obj_t)BgL_new1087z00_777), BEOA); } 
return BgL_new1087z00_777;} } } 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_642)
{
{ /* Llib/control.scm 21 */
return 
CNST_TABLE_REF(((long)0));} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__alsa_controlz00(obj_t BgL_envz00_643, obj_t BgL_oz00_644, obj_t BgL_vz00_645)
{
{ /* Llib/control.scm 21 */
return 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_644)))->BgL_modez00)=((obj_t)
((obj_t)BgL_vz00_645)),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__alsa_controlz00(obj_t BgL_envz00_646, obj_t BgL_oz00_647)
{
{ /* Llib/control.scm 21 */
return 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_647)))->BgL_modez00);} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_648)
{
{ /* Llib/control.scm 21 */
return BGl_string1755z00zz__alsa_controlz00;} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__alsa_controlz00(obj_t BgL_envz00_649, obj_t BgL_oz00_650, obj_t BgL_vz00_651)
{
{ /* Llib/control.scm 21 */
return 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_650)))->BgL_cardz00)=((obj_t)
((obj_t)BgL_vz00_651)),BUNSPEC);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__alsa_controlz00(obj_t BgL_envz00_652, obj_t BgL_oz00_653)
{
{ /* Llib/control.scm 21 */
return 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_653)))->BgL_cardz00);} 

}



/* &<@anonymous:1191> */
obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_654)
{
{ /* Llib/control.scm 21 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__alsa_controlz00(obj_t BgL_envz00_655, obj_t BgL_oz00_656, obj_t BgL_vz00_657)
{
{ /* Llib/control.scm 21 */
{ /* Llib/control.scm 21 */
 snd_ctl_t * BgL_vz00_788;
BgL_vz00_788 = 
FOREIGN_TO_COBJ(BgL_vz00_657); 
return 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_656)))->BgL_z42builtinz42)=((snd_ctl_t *)BgL_vz00_788),BUNSPEC);} } 

}



/* &lambda1189 */
obj_t BGl_z62lambda1189z62zz__alsa_controlz00(obj_t BgL_envz00_658, obj_t BgL_oz00_659)
{
{ /* Llib/control.scm 21 */
return 
void_star_to_obj(
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_659)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00, BGl_proc1756z00zz__alsa_controlz00, BGl_string1757z00zz__alsa_controlz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00, BGl_proc1758z00zz__alsa_controlz00, BGl_string1757z00zz__alsa_controlz00);} 

}



/* &alsa-init-alsa-snd-c1101 */
obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1101z62zz__alsa_controlz00(obj_t BgL_envz00_664, obj_t BgL_oz00_665)
{
{ /* Llib/control.scm 73 */
{ /* Llib/control.scm 74 */
 obj_t BgL_tmpz00_1331;
BgL_tmpz00_1331 = 
((obj_t)
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_665)); 
bgl_snd_ctl_rawmidi_info_init(BgL_tmpz00_1331); } 
return BUNSPEC;} 

}



/* &alsa-init-alsa-snd-c1099 */
obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1099z62zz__alsa_controlz00(obj_t BgL_envz00_666, obj_t BgL_oz00_667)
{
{ /* Llib/control.scm 67 */
{ /* Llib/control.scm 68 */
 obj_t BgL_tmpz00_1335;
BgL_tmpz00_1335 = 
((obj_t)
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_667)); 
bgl_snd_ctl_card_info_init(BgL_tmpz00_1335); } 
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__alsa_controlz00()
{
{ /* Llib/control.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)265821328), 
BSTRING_TO_STRING(BGl_string1759z00zz__alsa_controlz00));} 

}

#ifdef __cplusplus
}
#endif
