/*===========================================================================*/
/*   (Llib/utils.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafev -safee -copt -fPIC -copt -IPosix Llib/utils.scm -o objs/utils.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_calendarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_idz00;
   obj_t BgL_versionz00;
   obj_t BgL_eventsz00;
   obj_t BgL_methodz00;
} *BgL_calendarz00_bglt;

typedef struct BgL_caleventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_calendarz00;
   obj_t BgL_uidz00;
   obj_t BgL_dtstartz00;
   obj_t BgL_dtendz00;
   obj_t BgL_summaryz00;
   obj_t BgL_descriptionz00;
   obj_t BgL_recurrencez00;
   obj_t BgL_klassz00;
   obj_t BgL_categoriesz00;
   obj_t BgL_z52optionalsz52;
} *BgL_caleventz00_bglt;

typedef struct BgL_calrecurrencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_frequencyz00;
   int BgL_intervalz00;
   obj_t BgL_countz00;
   obj_t BgL_untilz00;
   obj_t BgL_bysecondz00;
   obj_t BgL_byminutez00;
   obj_t BgL_byhourz00;
   obj_t BgL_byweekdayz00;
   obj_t BgL_bymonthdayz00;
   obj_t BgL_byyeardayz00;
   obj_t BgL_byweeknoz00;
   obj_t BgL_bymonthz00;
   obj_t BgL_bysetposz00;
   obj_t BgL_wkstz00;
} *BgL_calrecurrencez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_calendarzd2insertz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt, BgL_caleventz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__calendar_utilsz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t bgl_seconds_to_date(long);
static bool_t BGl_recurrencezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_calendarzd2sortz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt);
BGL_IMPORT obj_t BGl_listzd2splitz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, int, obj_t);
static obj_t BGl_genericzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_objectzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_z62calendarzd2insertz12za2zz__calendar_utilsz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_calendarz00zz__calendar_typesz00;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_calrecurrencez00zz__calendar_typesz00;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__calendar_utilsz00(obj_t, obj_t, obj_t);
static bool_t BGl_iszd2dayzf3z21zz__calendar_utilsz00(obj_t, obj_t);
static obj_t BGl_z62calendarzd2ze3listz53zz__calendar_utilsz00(obj_t, obj_t);
extern obj_t BGl_caleventz00zz__calendar_typesz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__calendar_utilsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__calendar_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_datezd2copyzd2zz__datez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_calendarzd2ze3listz31zz__calendar_utilsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__calendar_utilsz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__calendar_utilsz00();
static obj_t BGl_gczd2rootszd2initz00zz__calendar_utilsz00();
static obj_t BGl_z62caleventzd2duringzd2dayzf3z91zz__calendar_utilsz00(obj_t, obj_t, obj_t);
BGL_IMPORT int BGl_datezd2monthzd2lengthz00zz__datez00(obj_t);
BGL_IMPORT obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_caleventzd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt, obj_t);
static bool_t BGl_simplezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62calendarzd2sortz12za2zz__calendar_utilsz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_caleventzd2duringzd2dayzf3zd2envz21zz__calendar_utilsz00, BgL_bgl_za762caleventza7d2du1541z00, BGl_z62caleventzd2duringzd2dayzf3z91zz__calendar_utilsz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1500z00zz__calendar_utilsz00, BgL_bgl_string1500za700za7za7_1542za7, "no-implemented YEARLY ", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_calendarzd2sortz12zd2envz12zz__calendar_utilsz00, BgL_bgl_za762calendarza7d2so1543z00, BGl_z62calendarzd2sortz12za2zz__calendar_utilsz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1474z00zz__calendar_utilsz00, BgL_bgl_string1474za700za7za7_1544za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/calendar/src/Llib/utils.scm", 67 );
DEFINE_STRING( BGl_string1475z00zz__calendar_utilsz00, BgL_bgl_string1475za700za7za7_1545za7, "calendar-insert!", 16 );
DEFINE_STRING( BGl_string1476z00zz__calendar_utilsz00, BgL_bgl_string1476za700za7za7_1546za7, "date", 4 );
DEFINE_STRING( BGl_string1477z00zz__calendar_utilsz00, BgL_bgl_string1477za700za7za7_1547za7, "pair", 4 );
DEFINE_STRING( BGl_string1478z00zz__calendar_utilsz00, BgL_bgl_string1478za700za7za7_1548za7, "loop", 4 );
DEFINE_STRING( BGl_string1479z00zz__calendar_utilsz00, BgL_bgl_string1479za700za7za7_1549za7, "calevent", 8 );
DEFINE_STRING( BGl_string1480z00zz__calendar_utilsz00, BgL_bgl_string1480za700za7za7_1550za7, "&calendar-insert!", 17 );
DEFINE_STRING( BGl_string1481z00zz__calendar_utilsz00, BgL_bgl_string1481za700za7za7_1551za7, "calendar", 8 );
DEFINE_STRING( BGl_string1483z00zz__calendar_utilsz00, BgL_bgl_string1483za700za7za7_1552za7, "calendar-sort!", 14 );
DEFINE_STRING( BGl_string1484z00zz__calendar_utilsz00, BgL_bgl_string1484za700za7za7_1553za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1485z00zz__calendar_utilsz00, BgL_bgl_string1485za700za7za7_1554za7, "&calendar-sort!", 15 );
DEFINE_STRING( BGl_string1486z00zz__calendar_utilsz00, BgL_bgl_string1486za700za7za7_1555za7, "<@anonymous:1164>", 17 );
DEFINE_STRING( BGl_string1487z00zz__calendar_utilsz00, BgL_bgl_string1487za700za7za7_1556za7, "is-day?", 7 );
DEFINE_STRING( BGl_string1488z00zz__calendar_utilsz00, BgL_bgl_string1488za700za7za7_1557za7, "simple-during-day?", 18 );
DEFINE_STRING( BGl_string1489z00zz__calendar_utilsz00, BgL_bgl_string1489za700za7za7_1558za7, "recurrence-during-day?", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1482z00zz__calendar_utilsz00, BgL_bgl_za762za7c3za704anonymo1559za7, BGl_z62zc3z04anonymousza31164ze3ze5zz__calendar_utilsz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1490z00zz__calendar_utilsz00, BgL_bgl_string1490za700za7za7_1560za7, "calrecurrence", 13 );
DEFINE_STRING( BGl_string1491z00zz__calendar_utilsz00, BgL_bgl_string1491za700za7za7_1561za7, "bint", 4 );
DEFINE_STRING( BGl_string1492z00zz__calendar_utilsz00, BgL_bgl_string1492za700za7za7_1562za7, "calevent-during-day?", 20 );
DEFINE_STRING( BGl_string1493z00zz__calendar_utilsz00, BgL_bgl_string1493za700za7za7_1563za7, "vector", 6 );
DEFINE_STRING( BGl_string1494z00zz__calendar_utilsz00, BgL_bgl_string1494za700za7za7_1564za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1495z00zz__calendar_utilsz00, BgL_bgl_string1495za700za7za7_1565za7, "class", 5 );
DEFINE_STRING( BGl_string1496z00zz__calendar_utilsz00, BgL_bgl_string1496za700za7za7_1566za7, "&calevent-during-day?", 21 );
DEFINE_STRING( BGl_string1497z00zz__calendar_utilsz00, BgL_bgl_string1497za700za7za7_1567za7, "calendar->list", 14 );
DEFINE_STRING( BGl_string1498z00zz__calendar_utilsz00, BgL_bgl_string1498za700za7za7_1568za7, "&calendar->list", 15 );
DEFINE_STRING( BGl_string1499z00zz__calendar_utilsz00, BgL_bgl_string1499za700za7za7_1569za7, "__calendar_utils", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_calendarzd2insertz12zd2envz12zz__calendar_utilsz00, BgL_bgl_za762calendarza7d2in1570z00, BGl_z62calendarzd2insertz12za2zz__calendar_utilsz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_calendarzd2ze3listzd2envze3zz__calendar_utilsz00, BgL_bgl_za762calendarza7d2za7e1571za7, BGl_z62calendarzd2ze3listz53zz__calendar_utilsz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__calendar_utilsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__calendar_utilsz00(long BgL_checksumz00_772, char * BgL_fromz00_773)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__calendar_utilsz00))
{ 
BGl_requirezd2initializa7ationz75zz__calendar_utilsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__calendar_utilsz00(); 
BGl_libraryzd2moduleszd2initz00zz__calendar_utilsz00(); 
BGl_cnstzd2initzd2zz__calendar_utilsz00(); 
BGl_importedzd2moduleszd2initz00zz__calendar_utilsz00(); 
return 
BGl_methodzd2initzd2zz__calendar_utilsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__calendar_utils"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
{ /* Llib/utils.scm 15 */
 obj_t BgL_cportz00_485;
{ /* Llib/utils.scm 15 */
 obj_t BgL_stringz00_493;
BgL_stringz00_493 = BGl_string1500z00zz__calendar_utilsz00; 
{ /* Llib/utils.scm 15 */
 obj_t BgL_startz00_494;
BgL_startz00_494 = 
BINT(((long)0)); 
{ /* Llib/utils.scm 15 */
 obj_t BgL_endz00_495;
BgL_endz00_495 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_493))); 
{ /* Llib/utils.scm 15 */

BgL_cportz00_485 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_493, BgL_startz00_494, BgL_endz00_495); } } } } 
{ 
 long BgL_iz00_486;
BgL_iz00_486 = ((long)1); 
BgL_loopz00_487:
if(
(BgL_iz00_486==((long)-1)))
{ /* Llib/utils.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/utils.scm 15 */
{ /* Llib/utils.scm 15 */
 obj_t BgL_arg1535z00_489;
{ /* Llib/utils.scm 15 */

{ /* Llib/utils.scm 15 */
 obj_t BgL_locationz00_491;
BgL_locationz00_491 = 
BBOOL(((bool_t)0)); 
{ /* Llib/utils.scm 15 */

BgL_arg1535z00_489 = 
BGl_readz00zz__readerz00(BgL_cportz00_485, BgL_locationz00_491); } } } 
{ /* Llib/utils.scm 15 */
 int BgL_tmpz00_801;
BgL_tmpz00_801 = 
(int)(BgL_iz00_486); 
CNST_TABLE_SET(BgL_tmpz00_801, BgL_arg1535z00_489); } } 
{ /* Llib/utils.scm 15 */
 int BgL_auxz00_492;
BgL_auxz00_492 = 
(int)(
(BgL_iz00_486-((long)1))); 
{ 
 long BgL_iz00_806;
BgL_iz00_806 = 
(long)(BgL_auxz00_492); 
BgL_iz00_486 = BgL_iz00_806; 
goto BgL_loopz00_487;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* calendar-insert! */
BGL_EXPORTED_DEF obj_t BGl_calendarzd2insertz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt BgL_calz00_3, BgL_caleventz00_bglt BgL_cez00_4)
{
{ /* Llib/utils.scm 29 */
{ /* Llib/utils.scm 32 */
 bool_t BgL_test1577z00_809;
{ /* Llib/utils.scm 32 */
 bool_t BgL_test1578z00_810;
{ /* Llib/utils.scm 32 */
 obj_t BgL_tmpz00_811;
BgL_tmpz00_811 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_cez00_4))->BgL_dtstartz00); 
BgL_test1578z00_810 = 
BGL_DATEP(BgL_tmpz00_811); } 
if(BgL_test1578z00_810)
{ /* Llib/utils.scm 32 */
BgL_test1577z00_809 = 
NULLP(
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00))
; }  else 
{ /* Llib/utils.scm 32 */
BgL_test1577z00_809 = ((bool_t)1)
; } } 
if(BgL_test1577z00_809)
{ 
 obj_t BgL_auxz00_816;
{ /* Llib/utils.scm 33 */
 obj_t BgL_arg1119z00_30;
BgL_arg1119z00_30 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00); 
BgL_auxz00_816 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_cez00_4), BgL_arg1119z00_30); } 
return 
((((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00)=((obj_t)BgL_auxz00_816),BUNSPEC);}  else 
{ /* Llib/utils.scm 34 */
 long BgL_d1z00_31;
{ /* Llib/utils.scm 34 */
 obj_t BgL_arg1154z00_63;
BgL_arg1154z00_63 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_cez00_4))->BgL_dtstartz00); 
{ /* Llib/utils.scm 34 */
 obj_t BgL_datez00_217;
if(
BGL_DATEP(BgL_arg1154z00_63))
{ /* Llib/utils.scm 34 */
BgL_datez00_217 = BgL_arg1154z00_63; }  else 
{ 
 obj_t BgL_auxz00_824;
BgL_auxz00_824 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)1783)), BGl_string1475z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1154z00_63); 
FAILURE(BgL_auxz00_824,BFALSE,BFALSE);} 
BgL_d1z00_31 = 
bgl_date_to_seconds(BgL_datez00_217); } } 
{ /* Llib/utils.scm 38 */
 obj_t BgL_g1054z00_38;
{ /* Llib/utils.scm 38 */
 obj_t BgL_pairz00_222;
{ /* Llib/utils.scm 38 */
 obj_t BgL_aux1370z00_375;
BgL_aux1370z00_375 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00); 
if(
NULLP(BgL_aux1370z00_375))
{ 
 obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)1972)), BGl_string1475z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_aux1370z00_375); 
FAILURE(BgL_auxz00_832,BFALSE,BFALSE);}  else 
{ /* Llib/utils.scm 38 */
BgL_pairz00_222 = BgL_aux1370z00_375; } } 
BgL_g1054z00_38 = 
CDR(BgL_pairz00_222); } 
{ 
 obj_t BgL_eventsz00_41; obj_t BgL_prevz00_42;
BgL_eventsz00_41 = BgL_g1054z00_38; 
BgL_prevz00_42 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00); 
BgL_zc3z04anonymousza31129ze3z87_43:
if(
NULLP(BgL_eventsz00_41))
{ /* Llib/utils.scm 41 */
 obj_t BgL_arg1131z00_45;
{ /* Llib/utils.scm 41 */
 obj_t BgL_list1132z00_46;
BgL_list1132z00_46 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_cez00_4), BNIL); 
BgL_arg1131z00_45 = BgL_list1132z00_46; } 
{ /* Llib/utils.scm 41 */
 obj_t BgL_pairz00_224;
if(
PAIRP(BgL_prevz00_42))
{ /* Llib/utils.scm 41 */
BgL_pairz00_224 = BgL_prevz00_42; }  else 
{ 
 obj_t BgL_auxz00_843;
BgL_auxz00_843 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2050)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_prevz00_42); 
FAILURE(BgL_auxz00_843,BFALSE,BFALSE);} 
return 
SET_CDR(BgL_pairz00_224, BgL_arg1131z00_45);} }  else 
{ /* Llib/utils.scm 42 */
 BgL_caleventz00_bglt BgL_i1055z00_47;
{ /* Llib/utils.scm 42 */
 obj_t BgL_pairz00_225;
if(
PAIRP(BgL_eventsz00_41))
{ /* Llib/utils.scm 42 */
BgL_pairz00_225 = BgL_eventsz00_41; }  else 
{ 
 obj_t BgL_auxz00_850;
BgL_auxz00_850 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2103)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_eventsz00_41); 
FAILURE(BgL_auxz00_850,BFALSE,BFALSE);} 
{ /* Llib/utils.scm 42 */
 obj_t BgL_aux1376z00_381;
BgL_aux1376z00_381 = 
CAR(BgL_pairz00_225); 
{ /* Llib/utils.scm 42 */
 bool_t BgL_test1584z00_855;
{ /* Llib/utils.scm 42 */
 obj_t BgL_classz00_497;
BgL_classz00_497 = BGl_caleventz00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_aux1376z00_381))
{ /* Llib/utils.scm 42 */
 BgL_objectz00_bglt BgL_arg1799z00_499; long BgL_arg1800z00_500;
BgL_arg1799z00_499 = 
(BgL_objectz00_bglt)(BgL_aux1376z00_381); 
BgL_arg1800z00_500 = 
BGL_CLASS_DEPTH(BgL_classz00_497); 
{ /* Llib/utils.scm 42 */
 bool_t BgL_arg1794z00_504; bool_t BgL_arg1795z00_505;
{ /* Llib/utils.scm 42 */
 long BgL_idxz00_509;
BgL_idxz00_509 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_499); 
{ /* Llib/utils.scm 42 */
 obj_t BgL_arg1791z00_510;
{ /* Llib/utils.scm 42 */
 long BgL_arg1792z00_511;
BgL_arg1792z00_511 = 
(BgL_idxz00_509+BgL_arg1800z00_500); 
BgL_arg1791z00_510 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_511); } 
BgL_arg1794z00_504 = 
(BgL_arg1791z00_510==BgL_classz00_497); } } 
{ /* Llib/utils.scm 42 */
 bool_t BgL_res1536z00_534;
{ /* Llib/utils.scm 42 */
 obj_t BgL_oclassz00_519;
{ /* Llib/utils.scm 42 */
 long BgL_arg1804z00_525;
{ /* Llib/utils.scm 42 */
 long BgL_arg1805z00_526;
BgL_arg1805z00_526 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_499); 
BgL_arg1804z00_525 = 
(BgL_arg1805z00_526-OBJECT_TYPE); } 
BgL_oclassz00_519 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_525); } 
{ /* Llib/utils.scm 42 */
 bool_t BgL__ortest_1111z00_520;
BgL__ortest_1111z00_520 = 
(BgL_classz00_497==BgL_oclassz00_519); 
if(BgL__ortest_1111z00_520)
{ /* Llib/utils.scm 42 */
BgL_res1536z00_534 = BgL__ortest_1111z00_520; }  else 
{ /* Llib/utils.scm 42 */
 long BgL_odepthz00_521;
BgL_odepthz00_521 = 
BGL_CLASS_DEPTH(BgL_oclassz00_519); 
if(
(BgL_arg1800z00_500<BgL_odepthz00_521))
{ /* Llib/utils.scm 42 */
 obj_t BgL_arg1793z00_523;
BgL_arg1793z00_523 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_519, BgL_arg1800z00_500); 
BgL_res1536z00_534 = 
(BgL_arg1793z00_523==BgL_classz00_497); }  else 
{ /* Llib/utils.scm 42 */
BgL_res1536z00_534 = ((bool_t)0); } } } } 
BgL_arg1795z00_505 = BgL_res1536z00_534; } 
BgL_test1584z00_855 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_504, BgL_arg1795z00_505); } }  else 
{ /* Llib/utils.scm 42 */
BgL_test1584z00_855 = ((bool_t)0)
; } } 
if(BgL_test1584z00_855)
{ /* Llib/utils.scm 42 */
BgL_i1055z00_47 = 
((BgL_caleventz00_bglt)BgL_aux1376z00_381); }  else 
{ 
 obj_t BgL_auxz00_876;
BgL_auxz00_876 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2098)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1479z00zz__calendar_utilsz00, BgL_aux1376z00_381); 
FAILURE(BgL_auxz00_876,BFALSE,BFALSE);} } } } 
{ /* Llib/utils.scm 43 */
 bool_t BgL_test1588z00_880;
{ /* Llib/utils.scm 43 */
 obj_t BgL_tmpz00_881;
BgL_tmpz00_881 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1055z00_47))->BgL_dtstartz00); 
BgL_test1588z00_880 = 
BGL_DATEP(BgL_tmpz00_881); } 
if(BgL_test1588z00_880)
{ /* Llib/utils.scm 46 */
 long BgL_d2z00_50;
{ /* Llib/utils.scm 46 */
 obj_t BgL_arg1144z00_54;
BgL_arg1144z00_54 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1055z00_47))->BgL_dtstartz00); 
{ /* Llib/utils.scm 46 */
 obj_t BgL_datez00_226;
if(
BGL_DATEP(BgL_arg1144z00_54))
{ /* Llib/utils.scm 46 */
BgL_datez00_226 = BgL_arg1144z00_54; }  else 
{ 
 obj_t BgL_auxz00_887;
BgL_auxz00_887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2230)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1144z00_54); 
FAILURE(BgL_auxz00_887,BFALSE,BFALSE);} 
BgL_d2z00_50 = 
bgl_date_to_seconds(BgL_datez00_226); } } 
if(
(BgL_d2z00_50>BgL_d1z00_31))
{ /* Llib/utils.scm 48 */
 obj_t BgL_arg1142z00_52;
BgL_arg1142z00_52 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_cez00_4), BgL_eventsz00_41); 
{ /* Llib/utils.scm 48 */
 obj_t BgL_pairz00_229;
if(
PAIRP(BgL_prevz00_42))
{ /* Llib/utils.scm 48 */
BgL_pairz00_229 = BgL_prevz00_42; }  else 
{ 
 obj_t BgL_auxz00_898;
BgL_auxz00_898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2284)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_prevz00_42); 
FAILURE(BgL_auxz00_898,BFALSE,BFALSE);} 
return 
SET_CDR(BgL_pairz00_229, BgL_arg1142z00_52);} }  else 
{ /* Llib/utils.scm 49 */
 obj_t BgL_arg1143z00_53;
{ /* Llib/utils.scm 49 */
 obj_t BgL_pairz00_230;
if(
PAIRP(BgL_eventsz00_41))
{ /* Llib/utils.scm 49 */
BgL_pairz00_230 = BgL_eventsz00_41; }  else 
{ 
 obj_t BgL_auxz00_905;
BgL_auxz00_905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2327)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_eventsz00_41); 
FAILURE(BgL_auxz00_905,BFALSE,BFALSE);} 
BgL_arg1143z00_53 = 
CDR(BgL_pairz00_230); } 
{ 
 obj_t BgL_prevz00_911; obj_t BgL_eventsz00_910;
BgL_eventsz00_910 = BgL_arg1143z00_53; 
BgL_prevz00_911 = BgL_eventsz00_41; 
BgL_prevz00_42 = BgL_prevz00_911; 
BgL_eventsz00_41 = BgL_eventsz00_910; 
goto BgL_zc3z04anonymousza31129ze3z87_43;} } }  else 
{ /* Llib/utils.scm 44 */
 obj_t BgL_arg1145z00_55;
{ /* Llib/utils.scm 44 */
 obj_t BgL_pairz00_231;
if(
PAIRP(BgL_eventsz00_41))
{ /* Llib/utils.scm 44 */
BgL_pairz00_231 = BgL_eventsz00_41; }  else 
{ 
 obj_t BgL_auxz00_914;
BgL_auxz00_914 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2172)), BGl_string1478z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_eventsz00_41); 
FAILURE(BgL_auxz00_914,BFALSE,BFALSE);} 
BgL_arg1145z00_55 = 
CDR(BgL_pairz00_231); } 
{ 
 obj_t BgL_prevz00_920; obj_t BgL_eventsz00_919;
BgL_eventsz00_919 = BgL_arg1145z00_55; 
BgL_prevz00_920 = BgL_eventsz00_41; 
BgL_prevz00_42 = BgL_prevz00_920; 
BgL_eventsz00_41 = BgL_eventsz00_919; 
goto BgL_zc3z04anonymousza31129ze3z87_43;} } } } } } } } } 

}



/* &calendar-insert! */
obj_t BGl_z62calendarzd2insertz12za2zz__calendar_utilsz00(obj_t BgL_envz00_355, obj_t BgL_calz00_356, obj_t BgL_cez00_357)
{
{ /* Llib/utils.scm 29 */
{ /* Llib/utils.scm 30 */
 BgL_caleventz00_bglt BgL_auxz00_930; BgL_calendarz00_bglt BgL_auxz00_922;
if(
BGl_isazf3zf3zz__objectz00(BgL_cez00_357, BGl_caleventz00zz__calendar_typesz00))
{ /* Llib/utils.scm 30 */
BgL_auxz00_930 = 
((BgL_caleventz00_bglt)BgL_cez00_357)
; }  else 
{ 
 obj_t BgL_auxz00_934;
BgL_auxz00_934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)1589)), BGl_string1480z00zz__calendar_utilsz00, BGl_string1479z00zz__calendar_utilsz00, BgL_cez00_357); 
FAILURE(BgL_auxz00_934,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_calz00_356, BGl_calendarz00zz__calendar_typesz00))
{ /* Llib/utils.scm 30 */
BgL_auxz00_922 = 
((BgL_calendarz00_bglt)BgL_calz00_356)
; }  else 
{ 
 obj_t BgL_auxz00_926;
BgL_auxz00_926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)1589)), BGl_string1480z00zz__calendar_utilsz00, BGl_string1481z00zz__calendar_utilsz00, BgL_calz00_356); 
FAILURE(BgL_auxz00_926,BFALSE,BFALSE);} 
return 
BGl_calendarzd2insertz12zc0zz__calendar_utilsz00(BgL_auxz00_922, BgL_auxz00_930);} } 

}



/* calendar-sort! */
BGL_EXPORTED_DEF obj_t BGl_calendarzd2sortz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt BgL_calz00_5)
{
{ /* Llib/utils.scm 55 */
{ 
 obj_t BgL_auxz00_939;
{ /* Llib/utils.scm 58 */
 obj_t BgL_arg1162z00_68;
BgL_arg1162z00_68 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_5))->BgL_eventsz00); 
{ /* Llib/utils.scm 58 */
 obj_t BgL_aux1398z00_401;
BgL_aux1398z00_401 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg1162z00_68, BGl_proc1482z00zz__calendar_utilsz00); 
{ /* Llib/utils.scm 58 */
 bool_t BgL_test1599z00_942;
if(
PAIRP(BgL_aux1398z00_401))
{ /* Llib/utils.scm 58 */
BgL_test1599z00_942 = ((bool_t)1)
; }  else 
{ /* Llib/utils.scm 58 */
BgL_test1599z00_942 = 
NULLP(BgL_aux1398z00_401)
; } 
if(BgL_test1599z00_942)
{ /* Llib/utils.scm 58 */
BgL_auxz00_939 = BgL_aux1398z00_401
; }  else 
{ 
 obj_t BgL_auxz00_946;
BgL_auxz00_946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2689)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1484z00zz__calendar_utilsz00, BgL_aux1398z00_401); 
FAILURE(BgL_auxz00_946,BFALSE,BFALSE);} } } } 
((((BgL_calendarz00_bglt)COBJECT(BgL_calz00_5))->BgL_eventsz00)=((obj_t)BgL_auxz00_939),BUNSPEC); } 
return 
((obj_t)BgL_calz00_5);} 

}



/* &calendar-sort! */
obj_t BGl_z62calendarzd2sortz12za2zz__calendar_utilsz00(obj_t BgL_envz00_359, obj_t BgL_calz00_360)
{
{ /* Llib/utils.scm 55 */
{ /* Llib/utils.scm 56 */
 BgL_calendarz00_bglt BgL_auxz00_952;
if(
BGl_isazf3zf3zz__objectz00(BgL_calz00_360, BGl_calendarz00zz__calendar_typesz00))
{ /* Llib/utils.scm 56 */
BgL_auxz00_952 = 
((BgL_calendarz00_bglt)BgL_calz00_360)
; }  else 
{ 
 obj_t BgL_auxz00_956;
BgL_auxz00_956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2629)), BGl_string1485z00zz__calendar_utilsz00, BGl_string1481z00zz__calendar_utilsz00, BgL_calz00_360); 
FAILURE(BgL_auxz00_956,BFALSE,BFALSE);} 
return 
BGl_calendarzd2sortz12zc0zz__calendar_utilsz00(BgL_auxz00_952);} } 

}



/* &<@anonymous:1164> */
obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__calendar_utilsz00(obj_t BgL_envz00_361, obj_t BgL_e1z00_362, obj_t BgL_e2z00_363)
{
{ /* Llib/utils.scm 59 */
{ /* Llib/utils.scm 60 */
 bool_t BgL_tmpz00_961;
{ /* Llib/utils.scm 60 */
 BgL_caleventz00_bglt BgL_i1057z00_612;
{ /* Llib/utils.scm 61 */
 bool_t BgL_test1602z00_962;
{ /* Llib/utils.scm 61 */
 obj_t BgL_classz00_613;
BgL_classz00_613 = BGl_caleventz00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_e1z00_362))
{ /* Llib/utils.scm 61 */
 BgL_objectz00_bglt BgL_arg1799z00_615; long BgL_arg1800z00_616;
BgL_arg1799z00_615 = 
(BgL_objectz00_bglt)(BgL_e1z00_362); 
BgL_arg1800z00_616 = 
BGL_CLASS_DEPTH(BgL_classz00_613); 
{ /* Llib/utils.scm 61 */
 bool_t BgL_arg1794z00_620; bool_t BgL_arg1795z00_621;
{ /* Llib/utils.scm 61 */
 long BgL_idxz00_625;
BgL_idxz00_625 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_615); 
{ /* Llib/utils.scm 61 */
 obj_t BgL_arg1791z00_626;
{ /* Llib/utils.scm 61 */
 long BgL_arg1792z00_627;
BgL_arg1792z00_627 = 
(BgL_idxz00_625+BgL_arg1800z00_616); 
BgL_arg1791z00_626 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_627); } 
BgL_arg1794z00_620 = 
(BgL_arg1791z00_626==BgL_classz00_613); } } 
{ /* Llib/utils.scm 61 */
 bool_t BgL_res1537z00_632;
{ /* Llib/utils.scm 61 */
 obj_t BgL_oclassz00_636;
{ /* Llib/utils.scm 61 */
 long BgL_arg1804z00_638;
{ /* Llib/utils.scm 61 */
 long BgL_arg1805z00_639;
BgL_arg1805z00_639 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_615); 
BgL_arg1804z00_638 = 
(BgL_arg1805z00_639-OBJECT_TYPE); } 
BgL_oclassz00_636 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_638); } 
{ /* Llib/utils.scm 61 */
 bool_t BgL__ortest_1111z00_645;
BgL__ortest_1111z00_645 = 
(BgL_classz00_613==BgL_oclassz00_636); 
if(BgL__ortest_1111z00_645)
{ /* Llib/utils.scm 61 */
BgL_res1537z00_632 = BgL__ortest_1111z00_645; }  else 
{ /* Llib/utils.scm 61 */
 long BgL_odepthz00_646;
BgL_odepthz00_646 = 
BGL_CLASS_DEPTH(BgL_oclassz00_636); 
if(
(BgL_arg1800z00_616<BgL_odepthz00_646))
{ /* Llib/utils.scm 61 */
 obj_t BgL_arg1793z00_650;
BgL_arg1793z00_650 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_636, BgL_arg1800z00_616); 
BgL_res1537z00_632 = 
(BgL_arg1793z00_650==BgL_classz00_613); }  else 
{ /* Llib/utils.scm 61 */
BgL_res1537z00_632 = ((bool_t)0); } } } } 
BgL_arg1795z00_621 = BgL_res1537z00_632; } 
BgL_test1602z00_962 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_620, BgL_arg1795z00_621); } }  else 
{ /* Llib/utils.scm 61 */
BgL_test1602z00_962 = ((bool_t)0)
; } } 
if(BgL_test1602z00_962)
{ /* Llib/utils.scm 61 */
BgL_i1057z00_612 = 
((BgL_caleventz00_bglt)BgL_e1z00_362); }  else 
{ 
 obj_t BgL_auxz00_983;
BgL_auxz00_983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2773)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1479z00zz__calendar_utilsz00, BgL_e1z00_362); 
FAILURE(BgL_auxz00_983,BFALSE,BFALSE);} } 
{ /* Llib/utils.scm 61 */
 BgL_caleventz00_bglt BgL_i1058z00_651;
{ /* Llib/utils.scm 62 */
 bool_t BgL_test1606z00_987;
{ /* Llib/utils.scm 62 */
 obj_t BgL_classz00_652;
BgL_classz00_652 = BGl_caleventz00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_e2z00_363))
{ /* Llib/utils.scm 62 */
 BgL_objectz00_bglt BgL_arg1799z00_654; long BgL_arg1800z00_655;
BgL_arg1799z00_654 = 
(BgL_objectz00_bglt)(BgL_e2z00_363); 
BgL_arg1800z00_655 = 
BGL_CLASS_DEPTH(BgL_classz00_652); 
{ /* Llib/utils.scm 62 */
 bool_t BgL_arg1794z00_659; bool_t BgL_arg1795z00_660;
{ /* Llib/utils.scm 62 */
 long BgL_idxz00_664;
BgL_idxz00_664 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_654); 
{ /* Llib/utils.scm 62 */
 obj_t BgL_arg1791z00_665;
{ /* Llib/utils.scm 62 */
 long BgL_arg1792z00_666;
BgL_arg1792z00_666 = 
(BgL_idxz00_664+BgL_arg1800z00_655); 
BgL_arg1791z00_665 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_666); } 
BgL_arg1794z00_659 = 
(BgL_arg1791z00_665==BgL_classz00_652); } } 
{ /* Llib/utils.scm 62 */
 bool_t BgL_res1538z00_671;
{ /* Llib/utils.scm 62 */
 obj_t BgL_oclassz00_675;
{ /* Llib/utils.scm 62 */
 long BgL_arg1804z00_677;
{ /* Llib/utils.scm 62 */
 long BgL_arg1805z00_678;
BgL_arg1805z00_678 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_654); 
BgL_arg1804z00_677 = 
(BgL_arg1805z00_678-OBJECT_TYPE); } 
BgL_oclassz00_675 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_677); } 
{ /* Llib/utils.scm 62 */
 bool_t BgL__ortest_1111z00_684;
BgL__ortest_1111z00_684 = 
(BgL_classz00_652==BgL_oclassz00_675); 
if(BgL__ortest_1111z00_684)
{ /* Llib/utils.scm 62 */
BgL_res1538z00_671 = BgL__ortest_1111z00_684; }  else 
{ /* Llib/utils.scm 62 */
 long BgL_odepthz00_685;
BgL_odepthz00_685 = 
BGL_CLASS_DEPTH(BgL_oclassz00_675); 
if(
(BgL_arg1800z00_655<BgL_odepthz00_685))
{ /* Llib/utils.scm 62 */
 obj_t BgL_arg1793z00_689;
BgL_arg1793z00_689 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_675, BgL_arg1800z00_655); 
BgL_res1538z00_671 = 
(BgL_arg1793z00_689==BgL_classz00_652); }  else 
{ /* Llib/utils.scm 62 */
BgL_res1538z00_671 = ((bool_t)0); } } } } 
BgL_arg1795z00_660 = BgL_res1538z00_671; } 
BgL_test1606z00_987 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_659, BgL_arg1795z00_660); } }  else 
{ /* Llib/utils.scm 62 */
BgL_test1606z00_987 = ((bool_t)0)
; } } 
if(BgL_test1606z00_987)
{ /* Llib/utils.scm 62 */
BgL_i1058z00_651 = 
((BgL_caleventz00_bglt)BgL_e2z00_363); }  else 
{ 
 obj_t BgL_auxz00_1008;
BgL_auxz00_1008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2825)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1479z00zz__calendar_utilsz00, BgL_e2z00_363); 
FAILURE(BgL_auxz00_1008,BFALSE,BFALSE);} } 
{ /* Llib/utils.scm 62 */
 bool_t BgL_test1611z00_1012;
{ /* Llib/utils.scm 62 */
 obj_t BgL_tmpz00_1013;
BgL_tmpz00_1013 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1057z00_612))->BgL_dtstartz00); 
BgL_test1611z00_1012 = 
BGL_DATEP(BgL_tmpz00_1013); } 
if(BgL_test1611z00_1012)
{ /* Llib/utils.scm 62 */
 bool_t BgL_test1613z00_1016;
{ /* Llib/utils.scm 62 */
 obj_t BgL_tmpz00_1017;
BgL_tmpz00_1017 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1058z00_651))->BgL_dtstartz00); 
BgL_test1613z00_1016 = 
BGL_DATEP(BgL_tmpz00_1017); } 
if(BgL_test1613z00_1016)
{ /* Llib/utils.scm 63 */
 long BgL_arg1167z00_690; long BgL_arg1171z00_691;
{ /* Llib/utils.scm 63 */
 obj_t BgL_arg1172z00_692;
BgL_arg1172z00_692 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1057z00_612))->BgL_dtstartz00); 
{ /* Llib/utils.scm 63 */
 obj_t BgL_datez00_693;
if(
BGL_DATEP(BgL_arg1172z00_692))
{ /* Llib/utils.scm 63 */
BgL_datez00_693 = BgL_arg1172z00_692; }  else 
{ 
 obj_t BgL_auxz00_1023;
BgL_auxz00_1023 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2874)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1172z00_692); 
FAILURE(BgL_auxz00_1023,BFALSE,BFALSE);} 
BgL_arg1167z00_690 = 
bgl_date_to_seconds(BgL_datez00_693); } } 
{ /* Llib/utils.scm 64 */
 obj_t BgL_arg1175z00_694;
BgL_arg1175z00_694 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1058z00_651))->BgL_dtstartz00); 
{ /* Llib/utils.scm 64 */
 obj_t BgL_datez00_695;
if(
BGL_DATEP(BgL_arg1175z00_694))
{ /* Llib/utils.scm 64 */
BgL_datez00_695 = BgL_arg1175z00_694; }  else 
{ 
 obj_t BgL_auxz00_1031;
BgL_auxz00_1031 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)2898)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1175z00_694); 
FAILURE(BgL_auxz00_1031,BFALSE,BFALSE);} 
BgL_arg1171z00_691 = 
bgl_date_to_seconds(BgL_datez00_695); } } 
BgL_tmpz00_961 = 
(BgL_arg1167z00_690<BgL_arg1171z00_691); }  else 
{ /* Llib/utils.scm 62 */
BgL_tmpz00_961 = ((bool_t)0)
; } }  else 
{ /* Llib/utils.scm 62 */
BgL_tmpz00_961 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_961);} } 

}



/* is-day? */
bool_t BGl_iszd2dayzf3z21zz__calendar_utilsz00(obj_t BgL_dayz00_6, obj_t BgL_dz00_7)
{
{ /* Llib/utils.scm 70 */
{ /* Llib/utils.scm 71 */
 bool_t BgL_test1617z00_1038;
{ /* Llib/utils.scm 71 */
 int BgL_arg1185z00_90; int BgL_arg1186z00_91;
{ /* Llib/utils.scm 71 */
 obj_t BgL_dz00_236;
if(
BGL_DATEP(BgL_dayz00_6))
{ /* Llib/utils.scm 71 */
BgL_dz00_236 = BgL_dayz00_6; }  else 
{ 
 obj_t BgL_auxz00_1041;
BgL_auxz00_1041 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3192)), BGl_string1487z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dayz00_6); 
FAILURE(BgL_auxz00_1041,BFALSE,BFALSE);} 
BgL_arg1185z00_90 = 
BGL_DATE_YEAR(BgL_dz00_236); } 
BgL_arg1186z00_91 = 
BGL_DATE_YEAR(BgL_dz00_7); 
BgL_test1617z00_1038 = 
(
(long)(BgL_arg1185z00_90)==
(long)(BgL_arg1186z00_91)); } 
if(BgL_test1617z00_1038)
{ /* Llib/utils.scm 72 */
 bool_t BgL_test1619z00_1050;
{ /* Llib/utils.scm 72 */
 int BgL_arg1182z00_88; int BgL_arg1184z00_89;
{ /* Llib/utils.scm 72 */
 obj_t BgL_dz00_240;
if(
BGL_DATEP(BgL_dayz00_6))
{ /* Llib/utils.scm 72 */
BgL_dz00_240 = BgL_dayz00_6; }  else 
{ 
 obj_t BgL_auxz00_1053;
BgL_auxz00_1053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3230)), BGl_string1487z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dayz00_6); 
FAILURE(BgL_auxz00_1053,BFALSE,BFALSE);} 
BgL_arg1182z00_88 = 
BGL_DATE_MONTH(BgL_dz00_240); } 
BgL_arg1184z00_89 = 
BGL_DATE_MONTH(BgL_dz00_7); 
BgL_test1619z00_1050 = 
(
(long)(BgL_arg1182z00_88)==
(long)(BgL_arg1184z00_89)); } 
if(BgL_test1619z00_1050)
{ /* Llib/utils.scm 73 */
 int BgL_arg1180z00_86; int BgL_arg1181z00_87;
{ /* Llib/utils.scm 73 */
 obj_t BgL_dz00_244;
if(
BGL_DATEP(BgL_dayz00_6))
{ /* Llib/utils.scm 73 */
BgL_dz00_244 = BgL_dayz00_6; }  else 
{ 
 obj_t BgL_auxz00_1064;
BgL_auxz00_1064 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3267)), BGl_string1487z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dayz00_6); 
FAILURE(BgL_auxz00_1064,BFALSE,BFALSE);} 
BgL_arg1180z00_86 = 
BGL_DATE_DAY(BgL_dz00_244); } 
BgL_arg1181z00_87 = 
BGL_DATE_DAY(BgL_dz00_7); 
return 
(
(long)(BgL_arg1180z00_86)==
(long)(BgL_arg1181z00_87));}  else 
{ /* Llib/utils.scm 72 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 71 */
return ((bool_t)0);} } } 

}



/* simple-during-day? */
bool_t BGl_simplezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt BgL_ez00_8, obj_t BgL_dz00_9)
{
{ /* Llib/utils.scm 78 */
{ /* Llib/utils.scm 80 */
 bool_t BgL_test1623z00_1073;
{ /* Llib/utils.scm 80 */
 obj_t BgL_tmpz00_1074;
BgL_tmpz00_1074 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtstartz00); 
BgL_test1623z00_1073 = 
BGL_DATEP(BgL_tmpz00_1074); } 
if(BgL_test1623z00_1073)
{ /* Llib/utils.scm 81 */
 bool_t BgL__ortest_1065z00_94;
BgL__ortest_1065z00_94 = 
BGl_iszd2dayzf3z21zz__calendar_utilsz00(
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtstartz00), BgL_dz00_9); 
if(BgL__ortest_1065z00_94)
{ /* Llib/utils.scm 81 */
return BgL__ortest_1065z00_94;}  else 
{ /* Llib/utils.scm 82 */
 bool_t BgL_test1626z00_1080;
{ /* Llib/utils.scm 82 */
 obj_t BgL_tmpz00_1081;
BgL_tmpz00_1081 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
BgL_test1626z00_1080 = 
BGL_DATEP(BgL_tmpz00_1081); } 
if(BgL_test1626z00_1080)
{ /* Llib/utils.scm 83 */
 bool_t BgL_test1627z00_1084;
{ /* Llib/utils.scm 83 */
 bool_t BgL__ortest_1079z00_105;
{ /* Llib/utils.scm 83 */
 int BgL_arg1211z00_114;
{ /* Llib/utils.scm 83 */
 obj_t BgL_arg1213z00_115;
BgL_arg1213z00_115 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 83 */
 obj_t BgL_dz00_248;
if(
BGL_DATEP(BgL_arg1213z00_115))
{ /* Llib/utils.scm 83 */
BgL_dz00_248 = BgL_arg1213z00_115; }  else 
{ 
 obj_t BgL_auxz00_1088;
BgL_auxz00_1088 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3712)), BGl_string1488z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1213z00_115); 
FAILURE(BgL_auxz00_1088,BFALSE,BFALSE);} 
BgL_arg1211z00_114 = 
BGL_DATE_HOUR(BgL_dz00_248); } } 
BgL__ortest_1079z00_105 = 
(
(long)(BgL_arg1211z00_114)>((long)0)); } 
if(BgL__ortest_1079z00_105)
{ /* Llib/utils.scm 83 */
BgL_test1627z00_1084 = BgL__ortest_1079z00_105
; }  else 
{ /* Llib/utils.scm 84 */
 bool_t BgL__ortest_1080z00_106;
{ /* Llib/utils.scm 84 */
 int BgL_arg1206z00_112;
{ /* Llib/utils.scm 84 */
 obj_t BgL_arg1207z00_113;
BgL_arg1207z00_113 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 84 */
 obj_t BgL_dz00_250;
if(
BGL_DATEP(BgL_arg1207z00_113))
{ /* Llib/utils.scm 84 */
BgL_dz00_250 = BgL_arg1207z00_113; }  else 
{ 
 obj_t BgL_auxz00_1099;
BgL_auxz00_1099 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3743)), BGl_string1488z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1207z00_113); 
FAILURE(BgL_auxz00_1099,BFALSE,BFALSE);} 
BgL_arg1206z00_112 = 
BGL_DATE_MINUTE(BgL_dz00_250); } } 
BgL__ortest_1080z00_106 = 
(
(long)(BgL_arg1206z00_112)>((long)0)); } 
if(BgL__ortest_1080z00_106)
{ /* Llib/utils.scm 84 */
BgL_test1627z00_1084 = BgL__ortest_1080z00_106
; }  else 
{ /* Llib/utils.scm 85 */
 bool_t BgL__ortest_1081z00_107;
{ /* Llib/utils.scm 85 */
 int BgL_arg1202z00_110;
{ /* Llib/utils.scm 85 */
 obj_t BgL_arg1205z00_111;
BgL_arg1205z00_111 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 85 */
 obj_t BgL_dz00_252;
if(
BGL_DATEP(BgL_arg1205z00_111))
{ /* Llib/utils.scm 85 */
BgL_dz00_252 = BgL_arg1205z00_111; }  else 
{ 
 obj_t BgL_auxz00_1110;
BgL_auxz00_1110 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3774)), BGl_string1488z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1205z00_111); 
FAILURE(BgL_auxz00_1110,BFALSE,BFALSE);} 
BgL_arg1202z00_110 = 
BGL_DATE_SECOND(BgL_dz00_252); } } 
BgL__ortest_1081z00_107 = 
(
(long)(BgL_arg1202z00_110)>((long)0)); } 
if(BgL__ortest_1081z00_107)
{ /* Llib/utils.scm 85 */
BgL_test1627z00_1084 = BgL__ortest_1081z00_107
; }  else 
{ /* Llib/utils.scm 86 */
 int BgL_arg1200z00_108;
{ /* Llib/utils.scm 86 */
 obj_t BgL_arg1201z00_109;
BgL_arg1201z00_109 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 86 */
 obj_t BgL_dz00_254;
if(
BGL_DATEP(BgL_arg1201z00_109))
{ /* Llib/utils.scm 86 */
BgL_dz00_254 = BgL_arg1201z00_109; }  else 
{ 
 obj_t BgL_auxz00_1121;
BgL_auxz00_1121 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3802)), BGl_string1488z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1201z00_109); 
FAILURE(BgL_auxz00_1121,BFALSE,BFALSE);} 
BgL_arg1200z00_108 = 
BGL_DATE_DAY(BgL_dz00_254); } } 
BgL_test1627z00_1084 = 
(
(long)(BgL_arg1200z00_108)>((long)0)); } } } } 
if(BgL_test1627z00_1084)
{ /* Llib/utils.scm 87 */
 long BgL_dsz00_97;
BgL_dsz00_97 = 
bgl_date_to_seconds(BgL_dz00_9); 
{ /* Llib/utils.scm 88 */
 bool_t BgL__ortest_1082z00_98;
BgL__ortest_1082z00_98 = 
BGl_iszd2dayzf3z21zz__calendar_utilsz00(
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00), BgL_dz00_9); 
if(BgL__ortest_1082z00_98)
{ /* Llib/utils.scm 88 */
return BgL__ortest_1082z00_98;}  else 
{ /* Llib/utils.scm 89 */
 bool_t BgL_test1636z00_1132;
{ /* Llib/utils.scm 89 */
 long BgL_arg1190z00_102;
{ /* Llib/utils.scm 89 */
 obj_t BgL_arg1197z00_103;
BgL_arg1197z00_103 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtstartz00); 
{ /* Llib/utils.scm 89 */
 obj_t BgL_datez00_257;
if(
BGL_DATEP(BgL_arg1197z00_103))
{ /* Llib/utils.scm 89 */
BgL_datez00_257 = BgL_arg1197z00_103; }  else 
{ 
 obj_t BgL_auxz00_1136;
BgL_auxz00_1136 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3914)), BGl_string1488z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1197z00_103); 
FAILURE(BgL_auxz00_1136,BFALSE,BFALSE);} 
BgL_arg1190z00_102 = 
bgl_date_to_seconds(BgL_datez00_257); } } 
BgL_test1636z00_1132 = 
(BgL_arg1190z00_102<BgL_dsz00_97); } 
if(BgL_test1636z00_1132)
{ /* Llib/utils.scm 90 */
 long BgL_arg1188z00_100;
{ /* Llib/utils.scm 90 */
 obj_t BgL_arg1189z00_101;
BgL_arg1189z00_101 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 90 */
 obj_t BgL_datez00_260;
if(
BGL_DATEP(BgL_arg1189z00_101))
{ /* Llib/utils.scm 90 */
BgL_datez00_260 = BgL_arg1189z00_101; }  else 
{ 
 obj_t BgL_auxz00_1145;
BgL_auxz00_1145 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)3954)), BGl_string1488z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1189z00_101); 
FAILURE(BgL_auxz00_1145,BFALSE,BFALSE);} 
BgL_arg1188z00_100 = 
bgl_date_to_seconds(BgL_datez00_260); } } 
return 
(BgL_arg1188z00_100>BgL_dsz00_97);}  else 
{ /* Llib/utils.scm 89 */
return ((bool_t)0);} } } }  else 
{ /* Llib/utils.scm 83 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 82 */
return ((bool_t)0);} } }  else 
{ /* Llib/utils.scm 80 */
return ((bool_t)0);} } } 

}



/* recurrence-during-day? */
bool_t BGl_recurrencezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt BgL_ez00_10, obj_t BgL_dz00_11)
{
{ /* Llib/utils.scm 99 */
{ /* Llib/utils.scm 100 */
 long BgL_dsz00_119;
BgL_dsz00_119 = 
bgl_date_to_seconds(BgL_dz00_11); 
{ /* Llib/utils.scm 102 */
 bool_t BgL_test1639z00_1152;
{ /* Llib/utils.scm 102 */
 BgL_calrecurrencez00_bglt BgL_i1086z00_158;
{ /* Llib/utils.scm 103 */
 obj_t BgL_aux1430z00_437;
BgL_aux1430z00_437 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_recurrencez00); 
{ /* Llib/utils.scm 103 */
 bool_t BgL_test1640z00_1154;
{ /* Llib/utils.scm 103 */
 obj_t BgL_classz00_696;
BgL_classz00_696 = BGl_calrecurrencez00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_aux1430z00_437))
{ /* Llib/utils.scm 103 */
 BgL_objectz00_bglt BgL_arg1799z00_698; long BgL_arg1800z00_699;
BgL_arg1799z00_698 = 
(BgL_objectz00_bglt)(BgL_aux1430z00_437); 
BgL_arg1800z00_699 = 
BGL_CLASS_DEPTH(BgL_classz00_696); 
{ /* Llib/utils.scm 103 */
 bool_t BgL_arg1794z00_703; bool_t BgL_arg1795z00_704;
{ /* Llib/utils.scm 103 */
 long BgL_idxz00_708;
BgL_idxz00_708 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_698); 
{ /* Llib/utils.scm 103 */
 obj_t BgL_arg1791z00_709;
{ /* Llib/utils.scm 103 */
 long BgL_arg1792z00_710;
BgL_arg1792z00_710 = 
(BgL_idxz00_708+BgL_arg1800z00_699); 
BgL_arg1791z00_709 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_710); } 
BgL_arg1794z00_703 = 
(BgL_arg1791z00_709==BgL_classz00_696); } } 
{ /* Llib/utils.scm 103 */
 bool_t BgL_res1539z00_733;
{ /* Llib/utils.scm 103 */
 obj_t BgL_oclassz00_718;
{ /* Llib/utils.scm 103 */
 long BgL_arg1804z00_724;
{ /* Llib/utils.scm 103 */
 long BgL_arg1805z00_725;
BgL_arg1805z00_725 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_698); 
BgL_arg1804z00_724 = 
(BgL_arg1805z00_725-OBJECT_TYPE); } 
BgL_oclassz00_718 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_724); } 
{ /* Llib/utils.scm 103 */
 bool_t BgL__ortest_1111z00_719;
BgL__ortest_1111z00_719 = 
(BgL_classz00_696==BgL_oclassz00_718); 
if(BgL__ortest_1111z00_719)
{ /* Llib/utils.scm 103 */
BgL_res1539z00_733 = BgL__ortest_1111z00_719; }  else 
{ /* Llib/utils.scm 103 */
 long BgL_odepthz00_720;
BgL_odepthz00_720 = 
BGL_CLASS_DEPTH(BgL_oclassz00_718); 
if(
(BgL_arg1800z00_699<BgL_odepthz00_720))
{ /* Llib/utils.scm 103 */
 obj_t BgL_arg1793z00_722;
BgL_arg1793z00_722 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_718, BgL_arg1800z00_699); 
BgL_res1539z00_733 = 
(BgL_arg1793z00_722==BgL_classz00_696); }  else 
{ /* Llib/utils.scm 103 */
BgL_res1539z00_733 = ((bool_t)0); } } } } 
BgL_arg1795z00_704 = BgL_res1539z00_733; } 
BgL_test1640z00_1154 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_703, BgL_arg1795z00_704); } }  else 
{ /* Llib/utils.scm 103 */
BgL_test1640z00_1154 = ((bool_t)0)
; } } 
if(BgL_test1640z00_1154)
{ /* Llib/utils.scm 103 */
BgL_i1086z00_158 = 
((BgL_calrecurrencez00_bglt)BgL_aux1430z00_437); }  else 
{ 
 obj_t BgL_auxz00_1175;
BgL_auxz00_1175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)4696)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1490z00zz__calendar_utilsz00, BgL_aux1430z00_437); 
FAILURE(BgL_auxz00_1175,BFALSE,BFALSE);} } } 
{ /* Llib/utils.scm 103 */
 bool_t BgL__ortest_1087z00_159;
{ /* Llib/utils.scm 103 */
 bool_t BgL_test1645z00_1179;
{ /* Llib/utils.scm 103 */
 obj_t BgL_tmpz00_1180;
BgL_tmpz00_1180 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1086z00_158))->BgL_untilz00); 
BgL_test1645z00_1179 = 
BGL_DATEP(BgL_tmpz00_1180); } 
if(BgL_test1645z00_1179)
{ /* Llib/utils.scm 103 */
BgL__ortest_1087z00_159 = ((bool_t)0); }  else 
{ /* Llib/utils.scm 103 */
BgL__ortest_1087z00_159 = ((bool_t)1); } } 
if(BgL__ortest_1087z00_159)
{ /* Llib/utils.scm 103 */
BgL_test1639z00_1152 = BgL__ortest_1087z00_159
; }  else 
{ /* Llib/utils.scm 104 */
 long BgL_arg1270z00_160;
{ /* Llib/utils.scm 104 */
 obj_t BgL_arg1271z00_161;
BgL_arg1271z00_161 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1086z00_158))->BgL_untilz00); 
{ /* Llib/utils.scm 104 */
 obj_t BgL_datez00_264;
if(
BGL_DATEP(BgL_arg1271z00_161))
{ /* Llib/utils.scm 104 */
BgL_datez00_264 = BgL_arg1271z00_161; }  else 
{ 
 obj_t BgL_auxz00_1187;
BgL_auxz00_1187 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)4746)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1271z00_161); 
FAILURE(BgL_auxz00_1187,BFALSE,BFALSE);} 
BgL_arg1270z00_160 = 
bgl_date_to_seconds(BgL_datez00_264); } } 
BgL_test1639z00_1152 = 
(BgL_arg1270z00_160>BgL_dsz00_119); } } } 
if(BgL_test1639z00_1152)
{ /* Llib/utils.scm 105 */
 BgL_calrecurrencez00_bglt BgL_i1088z00_122;
{ /* Llib/utils.scm 108 */
 obj_t BgL_aux1434z00_443;
BgL_aux1434z00_443 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_recurrencez00); 
{ /* Llib/utils.scm 108 */
 bool_t BgL_test1648z00_1194;
{ /* Llib/utils.scm 108 */
 obj_t BgL_classz00_734;
BgL_classz00_734 = BGl_calrecurrencez00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_aux1434z00_443))
{ /* Llib/utils.scm 108 */
 BgL_objectz00_bglt BgL_arg1799z00_736; long BgL_arg1800z00_737;
BgL_arg1799z00_736 = 
(BgL_objectz00_bglt)(BgL_aux1434z00_443); 
BgL_arg1800z00_737 = 
BGL_CLASS_DEPTH(BgL_classz00_734); 
{ /* Llib/utils.scm 108 */
 bool_t BgL_arg1794z00_741; bool_t BgL_arg1795z00_742;
{ /* Llib/utils.scm 108 */
 long BgL_idxz00_746;
BgL_idxz00_746 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_736); 
{ /* Llib/utils.scm 108 */
 obj_t BgL_arg1791z00_747;
{ /* Llib/utils.scm 108 */
 long BgL_arg1792z00_748;
BgL_arg1792z00_748 = 
(BgL_idxz00_746+BgL_arg1800z00_737); 
BgL_arg1791z00_747 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_748); } 
BgL_arg1794z00_741 = 
(BgL_arg1791z00_747==BgL_classz00_734); } } 
{ /* Llib/utils.scm 108 */
 bool_t BgL_res1540z00_771;
{ /* Llib/utils.scm 108 */
 obj_t BgL_oclassz00_756;
{ /* Llib/utils.scm 108 */
 long BgL_arg1804z00_762;
{ /* Llib/utils.scm 108 */
 long BgL_arg1805z00_763;
BgL_arg1805z00_763 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_736); 
BgL_arg1804z00_762 = 
(BgL_arg1805z00_763-OBJECT_TYPE); } 
BgL_oclassz00_756 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_762); } 
{ /* Llib/utils.scm 108 */
 bool_t BgL__ortest_1111z00_757;
BgL__ortest_1111z00_757 = 
(BgL_classz00_734==BgL_oclassz00_756); 
if(BgL__ortest_1111z00_757)
{ /* Llib/utils.scm 108 */
BgL_res1540z00_771 = BgL__ortest_1111z00_757; }  else 
{ /* Llib/utils.scm 108 */
 long BgL_odepthz00_758;
BgL_odepthz00_758 = 
BGL_CLASS_DEPTH(BgL_oclassz00_756); 
if(
(BgL_arg1800z00_737<BgL_odepthz00_758))
{ /* Llib/utils.scm 108 */
 obj_t BgL_arg1793z00_760;
BgL_arg1793z00_760 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_756, BgL_arg1800z00_737); 
BgL_res1540z00_771 = 
(BgL_arg1793z00_760==BgL_classz00_734); }  else 
{ /* Llib/utils.scm 108 */
BgL_res1540z00_771 = ((bool_t)0); } } } } 
BgL_arg1795z00_742 = BgL_res1540z00_771; } 
BgL_test1648z00_1194 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_741, BgL_arg1795z00_742); } }  else 
{ /* Llib/utils.scm 108 */
BgL_test1648z00_1194 = ((bool_t)0)
; } } 
if(BgL_test1648z00_1194)
{ /* Llib/utils.scm 108 */
BgL_i1088z00_122 = 
((BgL_calrecurrencez00_bglt)BgL_aux1434z00_443); }  else 
{ 
 obj_t BgL_auxz00_1215;
BgL_auxz00_1215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)4859)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1490z00zz__calendar_utilsz00, BgL_aux1434z00_443); 
FAILURE(BgL_auxz00_1215,BFALSE,BFALSE);} } } 
{ /* Llib/utils.scm 108 */
 obj_t BgL_casezd2valuezd2_123;
BgL_casezd2valuezd2_123 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_frequencyz00); 
if(
(BgL_casezd2valuezd2_123==
CNST_TABLE_REF(((long)0))))
{ /* Llib/utils.scm 110 */
 bool_t BgL_test1653z00_1223;
{ /* Llib/utils.scm 110 */
 bool_t BgL__ortest_1091z00_146;
BgL__ortest_1091z00_146 = 
(
(long)(
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_intervalz00))==((long)1)); 
if(BgL__ortest_1091z00_146)
{ /* Llib/utils.scm 110 */
BgL_test1653z00_1223 = BgL__ortest_1091z00_146
; }  else 
{ /* Llib/utils.scm 111 */
 bool_t BgL_test1656z00_1228;
{ /* Llib/utils.scm 111 */
 obj_t BgL_tmpz00_1229;
BgL_tmpz00_1229 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
BgL_test1656z00_1228 = 
BGL_DATEP(BgL_tmpz00_1229); } 
if(BgL_test1656z00_1228)
{ /* Llib/utils.scm 112 */
 bool_t BgL_test1657z00_1232;
{ /* Llib/utils.scm 112 */
 long BgL_arg1262z00_152;
{ /* Llib/utils.scm 112 */
 int BgL_arg1263z00_153; int BgL_arg1264z00_154;
{ /* Llib/utils.scm 112 */
 obj_t BgL_arg1267z00_155;
BgL_arg1267z00_155 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 112 */
 obj_t BgL_dz00_269;
if(
BGL_DATEP(BgL_arg1267z00_155))
{ /* Llib/utils.scm 112 */
BgL_dz00_269 = BgL_arg1267z00_155; }  else 
{ 
 obj_t BgL_auxz00_1236;
BgL_auxz00_1236 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)4983)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1267z00_155); 
FAILURE(BgL_auxz00_1236,BFALSE,BFALSE);} 
BgL_arg1263z00_153 = 
BGL_DATE_YEAR(BgL_dz00_269); } } 
BgL_arg1264z00_154 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_intervalz00); 
{ /* Llib/utils.scm 112 */
 long BgL_n1z00_270; long BgL_n2z00_271;
BgL_n1z00_270 = 
(long)(BgL_arg1263z00_153); 
BgL_n2z00_271 = 
(long)(BgL_arg1264z00_154); 
{ /* Llib/utils.scm 112 */
 bool_t BgL_test1659z00_1244;
{ /* Llib/utils.scm 112 */
 long BgL_arg1353z00_273;
BgL_arg1353z00_273 = 
(((BgL_n1z00_270) | (BgL_n2z00_271)) & -2147483648); 
BgL_test1659z00_1244 = 
(BgL_arg1353z00_273==((long)0)); } 
if(BgL_test1659z00_1244)
{ /* Llib/utils.scm 112 */
 int32_t BgL_arg1350z00_274;
{ /* Llib/utils.scm 112 */
 int32_t BgL_arg1351z00_275; int32_t BgL_arg1352z00_276;
BgL_arg1351z00_275 = 
(int32_t)(BgL_n1z00_270); 
BgL_arg1352z00_276 = 
(int32_t)(BgL_n2z00_271); 
BgL_arg1350z00_274 = 
(BgL_arg1351z00_275%BgL_arg1352z00_276); } 
{ /* Llib/utils.scm 112 */
 long BgL_arg1447z00_281;
BgL_arg1447z00_281 = 
(long)(BgL_arg1350z00_274); 
BgL_arg1262z00_152 = 
(long)(BgL_arg1447z00_281); } }  else 
{ /* Llib/utils.scm 112 */
BgL_arg1262z00_152 = 
(BgL_n1z00_270%BgL_n2z00_271); } } } } 
BgL_test1657z00_1232 = 
(BgL_arg1262z00_152==((long)0)); } 
if(BgL_test1657z00_1232)
{ /* Llib/utils.scm 113 */
 int BgL_arg1250z00_149; int BgL_arg1251z00_150;
{ /* Llib/utils.scm 113 */
 obj_t BgL_arg1252z00_151;
BgL_arg1252z00_151 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 113 */
 obj_t BgL_dz00_284;
if(
BGL_DATEP(BgL_arg1252z00_151))
{ /* Llib/utils.scm 113 */
BgL_dz00_284 = BgL_arg1252z00_151; }  else 
{ 
 obj_t BgL_auxz00_1257;
BgL_auxz00_1257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5021)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1252z00_151); 
FAILURE(BgL_auxz00_1257,BFALSE,BFALSE);} 
BgL_arg1250z00_149 = 
BGL_DATE_YEAR(BgL_dz00_284); } } 
BgL_arg1251z00_150 = 
BGL_DATE_YEAR(BgL_dz00_11); 
BgL_test1653z00_1223 = 
(
(long)(BgL_arg1250z00_149)==
(long)(BgL_arg1251z00_150)); }  else 
{ /* Llib/utils.scm 112 */
BgL_test1653z00_1223 = ((bool_t)0)
; } }  else 
{ /* Llib/utils.scm 111 */
BgL_test1653z00_1223 = ((bool_t)0)
; } } } 
if(BgL_test1653z00_1223)
{ /* Llib/utils.scm 114 */
 bool_t BgL_test1661z00_1266;
{ /* Llib/utils.scm 114 */
 bool_t BgL__ortest_1094z00_132;
if(
NULLP(
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_bymonthz00)))
{ /* Llib/utils.scm 114 */
BgL__ortest_1094z00_132 = ((bool_t)0); }  else 
{ /* Llib/utils.scm 115 */
 bool_t BgL_test1663z00_1270;
{ /* Llib/utils.scm 115 */
 obj_t BgL_tmpz00_1271;
{ /* Llib/utils.scm 115 */
 obj_t BgL_pairz00_288;
{ /* Llib/utils.scm 115 */
 obj_t BgL_aux1440z00_451;
BgL_aux1440z00_451 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_bymonthz00); 
if(
NULLP(BgL_aux1440z00_451))
{ 
 obj_t BgL_auxz00_1275;
BgL_auxz00_1275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5093)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_aux1440z00_451); 
FAILURE(BgL_auxz00_1275,BFALSE,BFALSE);}  else 
{ /* Llib/utils.scm 115 */
BgL_pairz00_288 = BgL_aux1440z00_451; } } 
BgL_tmpz00_1271 = 
CAR(BgL_pairz00_288); } 
BgL_test1663z00_1270 = 
INTEGERP(BgL_tmpz00_1271); } 
if(BgL_test1663z00_1270)
{ /* Llib/utils.scm 116 */
 int BgL_arg1231z00_140; obj_t BgL_arg1234z00_141;
BgL_arg1231z00_140 = 
BGL_DATE_MONTH(BgL_dz00_11); 
{ /* Llib/utils.scm 116 */
 obj_t BgL_pairz00_290;
{ /* Llib/utils.scm 116 */
 obj_t BgL_aux1442z00_453;
BgL_aux1442z00_453 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_bymonthz00); 
if(
NULLP(BgL_aux1442z00_453))
{ 
 obj_t BgL_auxz00_1285;
BgL_auxz00_1285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5135)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1477z00zz__calendar_utilsz00, BgL_aux1442z00_453); 
FAILURE(BgL_auxz00_1285,BFALSE,BFALSE);}  else 
{ /* Llib/utils.scm 116 */
BgL_pairz00_290 = BgL_aux1442z00_453; } } 
BgL_arg1234z00_141 = 
CAR(BgL_pairz00_290); } 
{ /* Llib/utils.scm 116 */
 long BgL_n1z00_291; long BgL_n2z00_292;
BgL_n1z00_291 = 
(long)(BgL_arg1231z00_140); 
{ /* Llib/utils.scm 116 */
 obj_t BgL_tmpz00_1291;
if(
INTEGERP(BgL_arg1234z00_141))
{ /* Llib/utils.scm 116 */
BgL_tmpz00_1291 = BgL_arg1234z00_141
; }  else 
{ 
 obj_t BgL_auxz00_1294;
BgL_auxz00_1294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5147)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1491z00zz__calendar_utilsz00, BgL_arg1234z00_141); 
FAILURE(BgL_auxz00_1294,BFALSE,BFALSE);} 
BgL_n2z00_292 = 
(long)CINT(BgL_tmpz00_1291); } 
BgL__ortest_1094z00_132 = 
(BgL_n1z00_291==BgL_n2z00_292); } }  else 
{ /* Llib/utils.scm 115 */
BgL__ortest_1094z00_132 = ((bool_t)0); } } 
if(BgL__ortest_1094z00_132)
{ /* Llib/utils.scm 114 */
BgL_test1661z00_1266 = BgL__ortest_1094z00_132
; }  else 
{ /* Llib/utils.scm 117 */
 bool_t BgL_test1668z00_1301;
{ /* Llib/utils.scm 117 */
 obj_t BgL_tmpz00_1302;
BgL_tmpz00_1302 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
BgL_test1668z00_1301 = 
BGL_DATEP(BgL_tmpz00_1302); } 
if(BgL_test1668z00_1301)
{ /* Llib/utils.scm 118 */
 int BgL_arg1227z00_134; int BgL_arg1228z00_135;
{ /* Llib/utils.scm 118 */
 obj_t BgL_arg1229z00_136;
BgL_arg1229z00_136 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 118 */
 obj_t BgL_dz00_293;
if(
BGL_DATEP(BgL_arg1229z00_136))
{ /* Llib/utils.scm 118 */
BgL_dz00_293 = BgL_arg1229z00_136; }  else 
{ 
 obj_t BgL_auxz00_1308;
BgL_auxz00_1308 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5205)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1229z00_136); 
FAILURE(BgL_auxz00_1308,BFALSE,BFALSE);} 
BgL_arg1227z00_134 = 
BGL_DATE_MONTH(BgL_dz00_293); } } 
BgL_arg1228z00_135 = 
BGL_DATE_MONTH(BgL_dz00_11); 
BgL_test1661z00_1266 = 
(
(long)(BgL_arg1227z00_134)==
(long)(BgL_arg1228z00_135)); }  else 
{ /* Llib/utils.scm 117 */
BgL_test1661z00_1266 = ((bool_t)0)
; } } } 
if(BgL_test1661z00_1266)
{ /* Llib/utils.scm 119 */
 bool_t BgL_test1670z00_1317;
{ /* Llib/utils.scm 119 */
 obj_t BgL_tmpz00_1318;
BgL_tmpz00_1318 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
BgL_test1670z00_1317 = 
BGL_DATEP(BgL_tmpz00_1318); } 
if(BgL_test1670z00_1317)
{ /* Llib/utils.scm 120 */
 int BgL_arg1221z00_128; int BgL_arg1224z00_129;
{ /* Llib/utils.scm 120 */
 obj_t BgL_arg1225z00_130;
BgL_arg1225z00_130 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 120 */
 obj_t BgL_dz00_297;
if(
BGL_DATEP(BgL_arg1225z00_130))
{ /* Llib/utils.scm 120 */
BgL_dz00_297 = BgL_arg1225z00_130; }  else 
{ 
 obj_t BgL_auxz00_1324;
BgL_auxz00_1324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5283)), BGl_string1489z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_arg1225z00_130); 
FAILURE(BgL_auxz00_1324,BFALSE,BFALSE);} 
BgL_arg1221z00_128 = 
BGL_DATE_DAY(BgL_dz00_297); } } 
BgL_arg1224z00_129 = 
BGL_DATE_DAY(BgL_dz00_11); 
return 
(
(long)(BgL_arg1221z00_128)==
(long)(BgL_arg1224z00_129));}  else 
{ /* Llib/utils.scm 119 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 114 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 110 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 108 */
CNST_TABLE_REF(((long)1)); 
return ((bool_t)0);} } }  else 
{ /* Llib/utils.scm 102 */
return ((bool_t)0);} } } } 

}



/* calevent-during-day? */
BGL_EXPORTED_DEF obj_t BGl_caleventzd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt BgL_ez00_12, obj_t BgL_dz00_13)
{
{ /* Llib/utils.scm 128 */
{ /* Llib/utils.scm 129 */
 bool_t BgL__ortest_1100z00_165;
BgL__ortest_1100z00_165 = 
BGl_simplezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_ez00_12, BgL_dz00_13); 
if(BgL__ortest_1100z00_165)
{ /* Llib/utils.scm 129 */
return 
BBOOL(BgL__ortest_1100z00_165);}  else 
{ /* Llib/utils.scm 131 */
 bool_t BgL_test1674z00_1337;
{ /* Llib/utils.scm 131 */
 obj_t BgL_arg1285z00_168;
BgL_arg1285z00_168 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_12))->BgL_recurrencez00); 
{ /* Llib/utils.scm 131 */
 obj_t BgL_classz00_301;
BgL_classz00_301 = BGl_calrecurrencez00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_arg1285z00_168))
{ /* Llib/utils.scm 131 */
 BgL_objectz00_bglt BgL_arg1797z00_303;
BgL_arg1797z00_303 = 
(BgL_objectz00_bglt)(BgL_arg1285z00_168); 
{ /* Llib/utils.scm 131 */
 bool_t BgL_arg1794z00_306; bool_t BgL_arg1795z00_307;
{ /* Llib/utils.scm 131 */
 long BgL_idxz00_310;
BgL_idxz00_310 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_303); 
{ /* Llib/utils.scm 131 */
 obj_t BgL_arg1791z00_311;
{ /* Llib/utils.scm 131 */
 long BgL_arg1792z00_312;
BgL_arg1792z00_312 = 
(BgL_idxz00_310+((long)1)); 
{ /* Llib/utils.scm 131 */
 obj_t BgL_vectorz00_314;
{ /* Llib/utils.scm 131 */
 obj_t BgL_aux1450z00_461;
BgL_aux1450z00_461 = BGl_za2inheritancesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1450z00_461))
{ /* Llib/utils.scm 131 */
BgL_vectorz00_314 = BgL_aux1450z00_461; }  else 
{ 
 obj_t BgL_auxz00_1346;
BgL_auxz00_1346 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1492z00zz__calendar_utilsz00, BGl_string1493z00zz__calendar_utilsz00, BgL_aux1450z00_461); 
FAILURE(BgL_auxz00_1346,BFALSE,BFALSE);} } 
{ /* Llib/utils.scm 131 */
 bool_t BgL_test1678z00_1350;
{ /* Llib/utils.scm 131 */
 long BgL_tmpz00_1351;
BgL_tmpz00_1351 = 
VECTOR_LENGTH(BgL_vectorz00_314); 
BgL_test1678z00_1350 = 
BOUND_CHECK(BgL_arg1792z00_312, BgL_tmpz00_1351); } 
if(BgL_test1678z00_1350)
{ /* Llib/utils.scm 131 */
BgL_arg1791z00_311 = 
VECTOR_REF(BgL_vectorz00_314,BgL_arg1792z00_312); }  else 
{ 
 obj_t BgL_auxz00_1355;
BgL_auxz00_1355 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1494z00zz__calendar_utilsz00, BgL_vectorz00_314, 
(int)(
VECTOR_LENGTH(BgL_vectorz00_314)), 
(int)(BgL_arg1792z00_312)); 
FAILURE(BgL_auxz00_1355,BFALSE,BFALSE);} } } } 
BgL_arg1794z00_306 = 
(BgL_arg1791z00_311==BgL_classz00_301); } } 
{ /* Llib/utils.scm 131 */
 bool_t BgL_res1359z00_332;
{ /* Llib/utils.scm 131 */
 obj_t BgL_oclassz00_318;
{ /* Llib/utils.scm 131 */
 long BgL_arg1804z00_324;
{ /* Llib/utils.scm 131 */
 long BgL_arg1805z00_325;
BgL_arg1805z00_325 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_303); 
BgL_arg1804z00_324 = 
(BgL_arg1805z00_325-OBJECT_TYPE); } 
{ /* Llib/utils.scm 131 */
 obj_t BgL_vectorz00_329;
{ /* Llib/utils.scm 131 */
 obj_t BgL_aux1452z00_463;
BgL_aux1452z00_463 = BGl_za2classesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1452z00_463))
{ /* Llib/utils.scm 131 */
BgL_vectorz00_329 = BgL_aux1452z00_463; }  else 
{ 
 obj_t BgL_auxz00_1367;
BgL_auxz00_1367 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1492z00zz__calendar_utilsz00, BGl_string1493z00zz__calendar_utilsz00, BgL_aux1452z00_463); 
FAILURE(BgL_auxz00_1367,BFALSE,BFALSE);} } 
BgL_oclassz00_318 = 
VECTOR_REF(BgL_vectorz00_329,BgL_arg1804z00_324); } } 
{ /* Llib/utils.scm 131 */
 bool_t BgL__ortest_1111z00_319;
BgL__ortest_1111z00_319 = 
(BgL_classz00_301==BgL_oclassz00_318); 
if(BgL__ortest_1111z00_319)
{ /* Llib/utils.scm 131 */
BgL_res1359z00_332 = BgL__ortest_1111z00_319; }  else 
{ /* Llib/utils.scm 131 */
 long BgL_odepthz00_320;
{ /* Llib/utils.scm 131 */
 obj_t BgL_tmpz00_1374;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_318))
{ /* Llib/utils.scm 131 */
BgL_tmpz00_1374 = BgL_oclassz00_318
; }  else 
{ 
 obj_t BgL_auxz00_1377;
BgL_auxz00_1377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1492z00zz__calendar_utilsz00, BGl_string1495z00zz__calendar_utilsz00, BgL_oclassz00_318); 
FAILURE(BgL_auxz00_1377,BFALSE,BFALSE);} 
BgL_odepthz00_320 = 
BGL_CLASS_DEPTH(BgL_tmpz00_1374); } 
if(
(((long)1)<BgL_odepthz00_320))
{ /* Llib/utils.scm 131 */
 obj_t BgL_arg1793z00_322;
{ /* Llib/utils.scm 131 */
 obj_t BgL_tmpz00_1384;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_318))
{ /* Llib/utils.scm 131 */
BgL_tmpz00_1384 = BgL_oclassz00_318
; }  else 
{ 
 obj_t BgL_auxz00_1387;
BgL_auxz00_1387 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1492z00zz__calendar_utilsz00, BGl_string1495z00zz__calendar_utilsz00, BgL_oclassz00_318); 
FAILURE(BgL_auxz00_1387,BFALSE,BFALSE);} 
BgL_arg1793z00_322 = 
BGL_CLASS_ANCESTORS_REF(BgL_tmpz00_1384, ((long)1)); } 
BgL_res1359z00_332 = 
(BgL_arg1793z00_322==BgL_classz00_301); }  else 
{ /* Llib/utils.scm 131 */
BgL_res1359z00_332 = ((bool_t)0); } } } } 
BgL_arg1795z00_307 = BgL_res1359z00_332; } 
BgL_test1674z00_1337 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_306, BgL_arg1795z00_307); } }  else 
{ /* Llib/utils.scm 131 */
BgL_test1674z00_1337 = ((bool_t)0)
; } } } 
if(BgL_test1674z00_1337)
{ /* Llib/utils.scm 131 */
return 
BBOOL(
BGl_recurrencezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_ez00_12, BgL_dz00_13));}  else 
{ /* Llib/utils.scm 131 */
return BFALSE;} } } } 

}



/* &calevent-during-day? */
obj_t BGl_z62caleventzd2duringzd2dayzf3z91zz__calendar_utilsz00(obj_t BgL_envz00_364, obj_t BgL_ez00_365, obj_t BgL_dz00_366)
{
{ /* Llib/utils.scm 128 */
{ /* Llib/utils.scm 129 */
 obj_t BgL_auxz00_1404; BgL_caleventz00_bglt BgL_auxz00_1396;
if(
BGL_DATEP(BgL_dz00_366))
{ /* Llib/utils.scm 129 */
BgL_auxz00_1404 = BgL_dz00_366
; }  else 
{ 
 obj_t BgL_auxz00_1407;
BgL_auxz00_1407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5645)), BGl_string1496z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dz00_366); 
FAILURE(BgL_auxz00_1407,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_365, BGl_caleventz00zz__calendar_typesz00))
{ /* Llib/utils.scm 129 */
BgL_auxz00_1396 = 
((BgL_caleventz00_bglt)BgL_ez00_365)
; }  else 
{ 
 obj_t BgL_auxz00_1400;
BgL_auxz00_1400 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)5645)), BGl_string1496z00zz__calendar_utilsz00, BGl_string1479z00zz__calendar_utilsz00, BgL_ez00_365); 
FAILURE(BgL_auxz00_1400,BFALSE,BFALSE);} 
return 
BGl_caleventzd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_auxz00_1396, BgL_auxz00_1404);} } 

}



/* calendar->list */
BGL_EXPORTED_DEF obj_t BGl_calendarzd2ze3listz31zz__calendar_utilsz00(obj_t BgL_dtz00_14)
{
{ /* Llib/utils.scm 136 */
{ /* Llib/utils.scm 137 */
 int BgL_mlenz00_169;
BgL_mlenz00_169 = 
BGl_datezd2monthzd2lengthz00zz__datez00(BgL_dtz00_14); 
{ /* Llib/utils.scm 137 */
 obj_t BgL_dsz00_170;
BgL_dsz00_170 = 
BGl_datezd2copyzd2zz__datez00(BgL_dtz00_14, 
BINT(((long)1)), BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE); 
{ /* Llib/utils.scm 138 */
 obj_t BgL_dez00_171;
BgL_dez00_171 = 
BGl_datezd2copyzd2zz__datez00(BgL_dtz00_14, 
BINT(BgL_mlenz00_169), BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE); 
{ /* Llib/utils.scm 139 */
 long BgL_startz00_172;
{ /* Llib/utils.scm 140 */
 long BgL_arg1345z00_193; long BgL_arg1348z00_194;
{ /* Llib/utils.scm 140 */
 obj_t BgL_datez00_333;
if(
BGL_DATEP(BgL_dsz00_170))
{ /* Llib/utils.scm 140 */
BgL_datez00_333 = BgL_dsz00_170; }  else 
{ 
 obj_t BgL_auxz00_1419;
BgL_auxz00_1419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)6175)), BGl_string1497z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dsz00_170); 
FAILURE(BgL_auxz00_1419,BFALSE,BFALSE);} 
BgL_arg1345z00_193 = 
bgl_date_to_seconds(BgL_datez00_333); } 
{ /* Llib/utils.scm 141 */
 long BgL_arg1349z00_195;
{ /* Llib/utils.scm 141 */
 long BgL_arg1355z00_197;
{ /* Llib/utils.scm 141 */
 int BgL_arg1357z00_198;
{ /* Llib/utils.scm 141 */
 obj_t BgL_dz00_334;
if(
BGL_DATEP(BgL_dsz00_170))
{ /* Llib/utils.scm 141 */
BgL_dz00_334 = BgL_dsz00_170; }  else 
{ 
 obj_t BgL_auxz00_1426;
BgL_auxz00_1426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)6226)), BGl_string1497z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dsz00_170); 
FAILURE(BgL_auxz00_1426,BFALSE,BFALSE);} 
BgL_arg1357z00_198 = 
BGL_DATE_WDAY(BgL_dz00_334); } 
BgL_arg1355z00_197 = 
(
(long)(BgL_arg1357z00_198)-((long)1)); } 
BgL_arg1349z00_195 = 
(long)(BgL_arg1355z00_197); } 
BgL_arg1348z00_194 = 
(BgL_arg1349z00_195*((long)86400)); } 
{ /* Llib/utils.scm 140 */
 long BgL_res1360z00_341;
{ /* Llib/utils.scm 140 */
 long BgL_tmpz00_1435;
BgL_tmpz00_1435 = 
(BgL_arg1345z00_193-BgL_arg1348z00_194); 
BgL_res1360z00_341 = 
(long)(BgL_tmpz00_1435); } 
BgL_startz00_172 = BgL_res1360z00_341; } } 
{ /* Llib/utils.scm 140 */
 long BgL_endz00_173;
{ /* Llib/utils.scm 143 */
 long BgL_arg1338z00_187; long BgL_arg1339z00_188;
{ /* Llib/utils.scm 143 */
 obj_t BgL_datez00_342;
if(
BGL_DATEP(BgL_dez00_171))
{ /* Llib/utils.scm 143 */
BgL_datez00_342 = BgL_dez00_171; }  else 
{ 
 obj_t BgL_auxz00_1440;
BgL_auxz00_1440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)6288)), BGl_string1497z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dez00_171); 
FAILURE(BgL_auxz00_1440,BFALSE,BFALSE);} 
BgL_arg1338z00_187 = 
bgl_date_to_seconds(BgL_datez00_342); } 
{ /* Llib/utils.scm 144 */
 long BgL_arg1340z00_189;
{ /* Llib/utils.scm 144 */
 long BgL_arg1342z00_191;
{ /* Llib/utils.scm 144 */
 int BgL_arg1343z00_192;
{ /* Llib/utils.scm 144 */
 obj_t BgL_dz00_343;
if(
BGL_DATEP(BgL_dez00_171))
{ /* Llib/utils.scm 144 */
BgL_dz00_343 = BgL_dez00_171; }  else 
{ 
 obj_t BgL_auxz00_1447;
BgL_auxz00_1447 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)6346)), BGl_string1497z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dez00_171); 
FAILURE(BgL_auxz00_1447,BFALSE,BFALSE);} 
BgL_arg1343z00_192 = 
BGL_DATE_WDAY(BgL_dz00_343); } 
BgL_arg1342z00_191 = 
(((long)7)-
(long)(BgL_arg1343z00_192)); } 
BgL_arg1340z00_189 = 
(long)(BgL_arg1342z00_191); } 
BgL_arg1339z00_188 = 
(BgL_arg1340z00_189*((long)86400)); } 
BgL_endz00_173 = 
(BgL_arg1338z00_187+BgL_arg1339z00_188); } 
{ /* Llib/utils.scm 143 */

{ 
 long BgL_iz00_176; obj_t BgL_resz00_177;
BgL_iz00_176 = BgL_startz00_172; 
BgL_resz00_177 = BNIL; 
BgL_zc3z04anonymousza31286ze3z87_178:
if(
(BgL_iz00_176>BgL_endz00_173))
{ /* Llib/utils.scm 148 */
return 
BGl_listzd2splitz12zc0zz__r4_pairs_and_lists_6_3z00(
bgl_reverse_bang(BgL_resz00_177), 
(int)(((long)7)), BNIL);}  else 
{ /* Llib/utils.scm 150 */
 long BgL_arg1291z00_182; obj_t BgL_arg1331z00_183;
BgL_arg1291z00_182 = 
(BgL_iz00_176+((long)86400)); 
BgL_arg1331z00_183 = 
MAKE_YOUNG_PAIR(
bgl_seconds_to_date(BgL_iz00_176), BgL_resz00_177); 
{ 
 obj_t BgL_resz00_1466; long BgL_iz00_1465;
BgL_iz00_1465 = BgL_arg1291z00_182; 
BgL_resz00_1466 = BgL_arg1331z00_183; 
BgL_resz00_177 = BgL_resz00_1466; 
BgL_iz00_176 = BgL_iz00_1465; 
goto BgL_zc3z04anonymousza31286ze3z87_178;} } } } } } } } } } 

}



/* &calendar->list */
obj_t BGl_z62calendarzd2ze3listz53zz__calendar_utilsz00(obj_t BgL_envz00_367, obj_t BgL_dtz00_368)
{
{ /* Llib/utils.scm 136 */
{ /* Llib/utils.scm 137 */
 obj_t BgL_auxz00_1467;
if(
BGL_DATEP(BgL_dtz00_368))
{ /* Llib/utils.scm 137 */
BgL_auxz00_1467 = BgL_dtz00_368
; }  else 
{ 
 obj_t BgL_auxz00_1470;
BgL_auxz00_1470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1474z00zz__calendar_utilsz00, 
BINT(((long)6042)), BGl_string1498z00zz__calendar_utilsz00, BGl_string1476z00zz__calendar_utilsz00, BgL_dtz00_368); 
FAILURE(BgL_auxz00_1470,BFALSE,BFALSE);} 
return 
BGl_calendarzd2ze3listz31zz__calendar_utilsz00(BgL_auxz00_1467);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__calendar_typesz00(((long)75372732), 
BSTRING_TO_STRING(BGl_string1499z00zz__calendar_utilsz00));} 

}

#ifdef __cplusplus
}
#endif
