/*===========================================================================*/
/*   (Llib/flac_alsadec.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_alsadec.scm -o objs/flac_alsadec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>
#include <alsa/asoundlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;

typedef struct BgL_flacalsadecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacalsadecz00_bglt;

typedef struct BgL_flaczd2alsadecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flaczd2alsadecoderzd2_bglt;


static obj_t BGl_z62zc3z04anonymousza31201ze3ze5zz__flac_alsadecz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_alsadecz00 = BUNSPEC;
static obj_t BGl_z62musicdecoderzd2decodezd21156z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_alsadecz00();
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_flacalsadecz00zz__flac_alsadecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_alsadecz00();
static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_alsadecz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__flac_alsadecz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_alsadecz00();
static obj_t BGl_z62flaczd2decoderzd2readzd2fl1160zb0zz__flac_alsadecz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2metadat1158z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62musicdecoderzd2initzd2fl1154z62zz__flac_alsadecz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__flac_alsadecz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_alsadecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static BgL_flacalsadecz00_bglt BGl_z62lambda1178z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flacalsadecz00_bglt BGl_z62lambda1181z62zz__flac_alsadecz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_alsadecz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00();
static obj_t BGl_gczd2rootszd2initz00zz__flac_alsadecz00();
static BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1190z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
static BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1198z62zz__flac_alsadecz00(obj_t);
BGL_IMPORT obj_t bgl_custom_nil();
BGL_EXPORTED_DEF obj_t BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00 = BUNSPEC;
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern obj_t BGl_flacdecz00zz__flac_decoderz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
extern obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00;
static obj_t __cnst[ 22 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00;
DEFINE_STRING( BGl_string1714z00zz__flac_alsadecz00, BgL_bgl_string1714za700za7za7_1734za7, "Llib/flac_alsadec.scm", 21 );
DEFINE_STRING( BGl_string1721z00zz__flac_alsadecz00, BgL_bgl_string1721za700za7za7_1735za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1715z00zz__flac_alsadecz00, BgL_bgl_za762za7c3za704anonymo1736za7, BGl_z62zc3z04anonymousza31183ze3ze5zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1716z00zz__flac_alsadecz00, BgL_bgl_za762lambda1181za7621737z00, BGl_z62lambda1181z62zz__flac_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1723z00zz__flac_alsadecz00, BgL_bgl_string1723za700za7za7_1738za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1717z00zz__flac_alsadecz00, BgL_bgl_za762lambda1178za7621739z00, BGl_z62lambda1178z62zz__flac_alsadecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1718z00zz__flac_alsadecz00, BgL_bgl_za762za7c3za704anonymo1740za7, BGl_z62zc3z04anonymousza31201ze3ze5zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1725z00zz__flac_alsadecz00, BgL_bgl_string1725za700za7za7_1741za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1719z00zz__flac_alsadecz00, BgL_bgl_za762lambda1198za7621742z00, BGl_z62lambda1198z62zz__flac_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1727z00zz__flac_alsadecz00, BgL_bgl_string1727za700za7za7_1743za7, "flac-decoder-metadata", 21 );
DEFINE_STRING( BGl_string1729z00zz__flac_alsadecz00, BgL_bgl_string1729za700za7za7_1744za7, "flac-decoder-read", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1720z00zz__flac_alsadecz00, BgL_bgl_za762lambda1190za7621745z00, BGl_z62lambda1190z62zz__flac_alsadecz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1722z00zz__flac_alsadecz00, BgL_bgl_za762musicdecoderza71746z00, BGl_z62musicdecoderzd2initzd2fl1154z62zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1730z00zz__flac_alsadecz00, BgL_bgl_string1730za700za7za7_1747za7, "__flac_alsadec", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1724z00zz__flac_alsadecz00, BgL_bgl_za762musicdecoderza71748z00, BGl_z62musicdecoderzd2decodezd21156z62zz__flac_alsadecz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1731z00zz__flac_alsadecz00, BgL_bgl_string1731za700za7za7_1749za7, "stop ended :start-threshold :avail-min :rate-resample :access rw-interleaved :format :channels :rate-near :buffer-time-near :buffer-size-near :period-size-near s32 s24-3le s16 buffering play pause flac-alsadecoder __flac_alsadec flacalsadec ", 241 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__flac_alsadecz00, BgL_bgl_za762flacza7d2decode1750z00, BGl_z62flaczd2decoderzd2metadat1158z62zz__flac_alsadecz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__flac_alsadecz00, BgL_bgl_za762flacza7d2decode1751z00, BGl_z62flaczd2decoderzd2readzd2fl1160zb0zz__flac_alsadecz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_alsadecz00) );
ADD_ROOT( (void *)(&BGl_flacalsadecz00zz__flac_alsadecz00) );
ADD_ROOT( (void *)(&BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_alsadecz00(long BgL_checksumz00_644, char * BgL_fromz00_645)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_alsadecz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_alsadecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_alsadecz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(); 
BGl_cnstzd2initzd2zz__flac_alsadecz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(); 
BGl_objectzd2initzd2zz__flac_alsadecz00(); 
BGl_methodzd2initzd2zz__flac_alsadecz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_alsadecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_alsadec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_cportz00_488;
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_stringz00_496;
BgL_stringz00_496 = BGl_string1731z00zz__flac_alsadecz00; 
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_startz00_497;
BgL_startz00_497 = 
BINT(((long)0)); 
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_endz00_498;
BgL_endz00_498 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_496))); 
{ /* Llib/flac_alsadec.scm 15 */

BgL_cportz00_488 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_496, BgL_startz00_497, BgL_endz00_498); } } } } 
{ 
 long BgL_iz00_489;
BgL_iz00_489 = ((long)21); 
BgL_loopz00_490:
if(
(BgL_iz00_489==((long)-1)))
{ /* Llib/flac_alsadec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_arg1733z00_492;
{ /* Llib/flac_alsadec.scm 15 */

{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_locationz00_494;
BgL_locationz00_494 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_alsadec.scm 15 */

BgL_arg1733z00_492 = 
BGl_readz00zz__readerz00(BgL_cportz00_488, BgL_locationz00_494); } } } 
{ /* Llib/flac_alsadec.scm 15 */
 int BgL_tmpz00_679;
BgL_tmpz00_679 = 
(int)(BgL_iz00_489); 
CNST_TABLE_SET(BgL_tmpz00_679, BgL_arg1733z00_492); } } 
{ /* Llib/flac_alsadec.scm 15 */
 int BgL_auxz00_495;
BgL_auxz00_495 = 
(int)(
(BgL_iz00_489-((long)1))); 
{ 
 long BgL_iz00_684;
BgL_iz00_684 = 
(long)(BgL_auxz00_495); 
BgL_iz00_489 = BgL_iz00_684; 
goto BgL_loopz00_490;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), 
BSTRING_TO_STRING(BGl_string1714z00zz__flac_alsadecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1714z00zz__flac_alsadecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_arg1175z00_25; obj_t BgL_arg1177z00_26;
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_v1149z00_53;
BgL_v1149z00_53 = 
create_vector(((long)0)); 
BgL_arg1175z00_25 = BgL_v1149z00_53; } 
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_v1150z00_54;
BgL_v1150z00_54 = 
create_vector(((long)0)); 
BgL_arg1177z00_26 = BgL_v1150z00_54; } 
BGl_flacalsadecz00zz__flac_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_flacdecz00zz__flac_decoderz00, ((long)31914), BGl_proc1717z00zz__flac_alsadecz00, BGl_proc1716z00zz__flac_alsadecz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1715z00zz__flac_alsadecz00, BFALSE, BgL_arg1175z00_25, BgL_arg1177z00_26); } 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_arg1188z00_61; obj_t BgL_arg1189z00_62;
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_v1151z00_85;
BgL_v1151z00_85 = 
create_vector(((long)0)); 
BgL_arg1188z00_61 = BgL_v1151z00_85; } 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_v1152z00_86;
BgL_v1152z00_86 = 
create_vector(((long)0)); 
BgL_arg1189z00_62 = BgL_v1152z00_86; } 
return ( 
BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_flacmusicdecoderz00zz__flac_decoderz00, ((long)10516), BGl_proc1720z00zz__flac_alsadecz00, BGl_proc1719z00zz__flac_alsadecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1718z00zz__flac_alsadecz00, BFALSE, BgL_arg1188z00_61, BgL_arg1189z00_62), BUNSPEC) ;} } 

}



/* &<@anonymous:1201> */
obj_t BGl_z62zc3z04anonymousza31201ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_411, obj_t BgL_new1119z00_412)
{
{ /* Llib/flac_alsadec.scm 30 */
{ 
 BgL_flaczd2alsadecoderzd2_bglt BgL_auxz00_701;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412))))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_701 = 
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1119z00_412); 
return 
((obj_t)BgL_auxz00_701);} } 

}



/* &lambda1198 */
BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1198z62zz__flac_alsadecz00(obj_t BgL_envz00_413)
{
{ /* Llib/flac_alsadec.scm 30 */
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1118z00_501;
BgL_new1118z00_501 = 
((BgL_flaczd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2alsadecoderzd2_bgl) ))); 
{ /* Llib/flac_alsadec.scm 30 */
 long BgL_arg1200z00_502;
BgL_arg1200z00_502 = 
BGL_CLASS_NUM(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_501), BgL_arg1200z00_502); } 
return BgL_new1118z00_501;} } 

}



/* &lambda1190 */
BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1190z62zz__flac_alsadecz00(obj_t BgL_envz00_414, obj_t BgL_mimetypes1106z00_415, obj_t BgL_bufferzd2timezd2near1107z00_416, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1108z75_417, obj_t BgL_periodzd2siza7ezd2nearzd2rat1109z75_418, obj_t BgL_z52z12dpause1110z40_419, obj_t BgL_z52z12dabort1111z40_420, obj_t BgL_z52z12stop1112z40_421, obj_t BgL_z52dmutex1113z52_422, obj_t BgL_z52dcondv1114z52_423, obj_t BgL_z52doutcondv1115z52_424, obj_t BgL_z52flac1116z52_425, obj_t BgL_z52inseek1117z52_426)
{
{ /* Llib/flac_alsadec.scm 30 */
{ /* Llib/flac_alsadec.scm 30 */
 int BgL_bufferzd2timezd2near1107z00_504; int BgL_bufferzd2siza7ezd2nearzd2rat1108z75_505; int BgL_periodzd2siza7ezd2nearzd2rat1109z75_506; bool_t BgL_z52z12dpause1110z40_507; bool_t BgL_z52z12dabort1111z40_508; bool_t BgL_z52z12stop1112z40_509;
BgL_bufferzd2timezd2near1107z00_504 = 
CINT(BgL_bufferzd2timezd2near1107z00_416); 
BgL_bufferzd2siza7ezd2nearzd2rat1108z75_505 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1108z75_417); 
BgL_periodzd2siza7ezd2nearzd2rat1109z75_506 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1109z75_418); 
BgL_z52z12dpause1110z40_507 = 
CBOOL(BgL_z52z12dpause1110z40_419); 
BgL_z52z12dabort1111z40_508 = 
CBOOL(BgL_z52z12dabort1111z40_420); 
BgL_z52z12stop1112z40_509 = 
CBOOL(BgL_z52z12stop1112z40_421); 
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1148z00_513;
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1147z00_514;
BgL_new1147z00_514 = 
((BgL_flaczd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2alsadecoderzd2_bgl) ))); 
{ /* Llib/flac_alsadec.scm 30 */
 long BgL_arg1197z00_515;
BgL_arg1197z00_515 = 
BGL_CLASS_NUM(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_514), BgL_arg1197z00_515); } 
BgL_new1148z00_513 = BgL_new1147z00_514; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1106z00_415)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1107z00_504),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1108z75_505),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1109z75_506),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1110z40_507),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1111z40_508),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1112z40_509),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1113z52_422)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1114z52_423)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1115z52_424)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52flacz52)=((obj_t)BgL_z52flac1116z52_425),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1148z00_513)))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1117z52_426),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_fun1191z00_516;
BgL_fun1191z00_516 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
PROCEDURE_ENTRY(BgL_fun1191z00_516)(BgL_fun1191z00_516, 
((obj_t)BgL_new1148z00_513), BEOA); } 
return BgL_new1148z00_513;} } } 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_427, obj_t BgL_new1104z00_428)
{
{ /* Llib/flac_alsadec.scm 26 */
{ 
 BgL_flacalsadecz00_bglt BgL_auxz00_794;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_outbufz00)=((obj_t)BGl_string1721z00zz__flac_alsadecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52ratezd2minz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428))))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_794 = 
((BgL_flacalsadecz00_bglt)BgL_new1104z00_428); 
return 
((obj_t)BgL_auxz00_794);} } 

}



/* &lambda1181 */
BgL_flacalsadecz00_bglt BGl_z62lambda1181z62zz__flac_alsadecz00(obj_t BgL_envz00_429)
{
{ /* Llib/flac_alsadec.scm 26 */
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1103z00_518;
BgL_new1103z00_518 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 26 */
 long BgL_arg1182z00_519;
BgL_arg1182z00_519 = 
BGL_CLASS_NUM(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_518), BgL_arg1182z00_519); } 
return BgL_new1103z00_518;} } 

}



/* &lambda1178 */
BgL_flacalsadecz00_bglt BGl_z62lambda1178z62zz__flac_alsadecz00(obj_t BgL_envz00_430, obj_t BgL_z42builtin1087z42_431, obj_t BgL_z52flacbuf1088z52_432, obj_t BgL_outbuf1089z00_433, obj_t BgL_z52eof1090z52_434, obj_t BgL_z52sample1091z52_435, obj_t BgL_z52volume1092z52_436, obj_t BgL_md5check1093z00_437, obj_t BgL_z52bchecksum1094z52_438, obj_t BgL_z52rchecksum1095z52_439, obj_t BgL_z52music1096z52_440, obj_t BgL_z52buffer1097z52_441, obj_t BgL_z52decoder1098z52_442, obj_t BgL_z52rate1099z52_443, obj_t BgL_z52ratezd2max1100z80_444, obj_t BgL_z52ratezd2min1101z80_445, obj_t BgL_z52lastzd2percentage1102z80_446)
{
{ /* Llib/flac_alsadec.scm 26 */
{ /* Llib/flac_alsadec.scm 26 */
 FLAC__StreamDecoder * BgL_z42builtin1087z42_520; bool_t BgL_z52eof1090z52_523; long BgL_z52sample1091z52_524; double BgL_z52volume1092z52_525; bool_t BgL_md5check1093z00_526; int BgL_z52bchecksum1094z52_527; int BgL_z52rchecksum1095z52_528; int BgL_z52rate1099z52_529; int BgL_z52ratezd2max1100z80_530; int BgL_z52ratezd2min1101z80_531; int BgL_z52lastzd2percentage1102z80_532;
BgL_z42builtin1087z42_520 = 
FOREIGN_TO_COBJ(BgL_z42builtin1087z42_431); 
BgL_z52eof1090z52_523 = 
CBOOL(BgL_z52eof1090z52_434); 
BgL_z52sample1091z52_524 = 
(long)CINT(BgL_z52sample1091z52_435); 
BgL_z52volume1092z52_525 = 
REAL_TO_DOUBLE(BgL_z52volume1092z52_436); 
BgL_md5check1093z00_526 = 
CBOOL(BgL_md5check1093z00_437); 
BgL_z52bchecksum1094z52_527 = 
CINT(BgL_z52bchecksum1094z52_438); 
BgL_z52rchecksum1095z52_528 = 
CINT(BgL_z52rchecksum1095z52_439); 
BgL_z52rate1099z52_529 = 
CINT(BgL_z52rate1099z52_443); 
BgL_z52ratezd2max1100z80_530 = 
CINT(BgL_z52ratezd2max1100z80_444); 
BgL_z52ratezd2min1101z80_531 = 
CINT(BgL_z52ratezd2min1101z80_445); 
BgL_z52lastzd2percentage1102z80_532 = 
CINT(BgL_z52lastzd2percentage1102z80_446); 
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1146z00_533;
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1145z00_534;
BgL_new1145z00_534 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 26 */
 long BgL_arg1180z00_535;
BgL_arg1180z00_535 = 
BGL_CLASS_NUM(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_534), BgL_arg1180z00_535); } 
BgL_new1146z00_533 = BgL_new1145z00_534; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_z42builtin1087z42_520),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_z52flacbuf1088z52_432)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1089z00_433)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z52eofz52)=((bool_t)BgL_z52eof1090z52_523),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z52samplez52)=((long)BgL_z52sample1091z52_524),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z52volumez52)=((double)BgL_z52volume1092z52_525),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_md5checkz00)=((bool_t)BgL_md5check1093z00_526),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z52bchecksumz52)=((int)BgL_z52bchecksum1094z52_527),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1146z00_533)))->BgL_z52rchecksumz52)=((int)BgL_z52rchecksum1095z52_528),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52musicz52)=((obj_t)BgL_z52music1096z52_440),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1097z52_441),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1098z52_442),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52ratez52)=((int)BgL_z52rate1099z52_529),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52ratezd2maxz80)=((int)BgL_z52ratezd2max1100z80_530),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52ratezd2minz80)=((int)BgL_z52ratezd2min1101z80_531),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1146z00_533)))->BgL_z52lastzd2percentagez80)=((int)BgL_z52lastzd2percentage1102z80_532),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_fun1179z00_536;
BgL_fun1179z00_536 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacalsadecz00zz__flac_alsadecz00); 
PROCEDURE_ENTRY(BgL_fun1179z00_536)(BgL_fun1179z00_536, 
((obj_t)BgL_new1146z00_533), BEOA); } 
return BgL_new1146z00_533;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00, BGl_proc1722z00zz__flac_alsadecz00, BGl_string1723z00zz__flac_alsadecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00, BGl_proc1724z00zz__flac_alsadecz00, BGl_string1725z00zz__flac_alsadecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_flacalsadecz00zz__flac_alsadecz00, BGl_proc1726z00zz__flac_alsadecz00, BGl_string1727z00zz__flac_alsadecz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_flacalsadecz00zz__flac_alsadecz00, BGl_proc1728z00zz__flac_alsadecz00, BGl_string1729z00zz__flac_alsadecz00);} 

}



/* &flac-decoder-read-fl1160 */
obj_t BGl_z62flaczd2decoderzd2readzd2fl1160zb0zz__flac_alsadecz00(obj_t BgL_envz00_456, obj_t BgL_oz00_457, obj_t BgL_siza7eza7_458)
{
{ /* Llib/flac_alsadec.scm 97 */
{ /* Llib/flac_alsadec.scm 98 */
 long BgL_siza7eza7_538;
BgL_siza7eza7_538 = 
(long)CINT(BgL_siza7eza7_458); 
{ /* Llib/flac_alsadec.scm 100 */
 BgL_musicdecoderz00_bglt BgL_i1138z00_539;
BgL_i1138z00_539 = 
((BgL_musicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52decoderz52)); 
{ /* Llib/flac_alsadec.scm 101 */
 BgL_musicbufferz00_bglt BgL_i1139z00_540;
BgL_i1139z00_540 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52)); 
{ /* Llib/flac_alsadec.scm 101 */
 long BgL_inlenz00_541;
BgL_inlenz00_541 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52inlenz52); 
{ /* Llib/flac_alsadec.scm 109 */
 char * BgL_flacbufz00_542;
{ /* Llib/flac_alsadec.scm 109 */
 obj_t BgL_arg1701z00_543;
BgL_arg1701z00_543 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457)))))->BgL_z52flacbufz52); 
BgL_flacbufz00_542 = 
CUSTOM_IDENTIFIER(BgL_arg1701z00_543); } 
{ 

{ 

{ 
 long BgL_siza7eza7_556;
{ 
 long BgL_siza7eza7_563; long BgL_iz00_564;
BgL_siza7eza7_563 = BgL_siza7eza7_538; 
BgL_iz00_564 = ((long)0); 
BgL_loopz00_562:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52z12dpausez40))
{ /* Llib/flac_alsadec.scm 156 */
{ /* Llib/flac_alsadec.scm 157 */
 obj_t BgL_arg1291z00_565;
BgL_arg1291z00_565 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1291z00_565), 
CNST_TABLE_REF(((long)3))); } 
{ /* Llib/flac_alsadec.scm 159 */
 BgL_alsamusicz00_bglt BgL_i1141z00_566;
BgL_i1141z00_566 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 160 */
 BgL_musicstatusz00_bglt BgL_i1142z00_567;
BgL_i1142z00_567 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1141z00_566)))->BgL_z52statusz52); 
{ 
 obj_t BgL_auxz00_945;
{ /* Llib/flac_alsadec.scm 162 */
 obj_t BgL_arg1331z00_568; obj_t BgL_arg1332z00_569;
BgL_arg1331z00_568 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52decoderz52); 
BgL_arg1332z00_569 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_auxz00_945 = 
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_arg1331z00_568), 
((BgL_musicbufferz00_bglt)BgL_arg1332z00_569))); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1142z00_567))->BgL_songposz00)=((obj_t)BgL_auxz00_945),BUNSPEC); } } } 
{ /* Llib/flac_alsadec.scm 163 */
 obj_t BgL_mutex1333z00_570;
BgL_mutex1333z00_570 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1333z00_570); 
{ /* Llib/flac_alsadec.scm 163 */
 bool_t BgL_tmp1755z00_958;
{ 

BgL_liipz00_571:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52z12dpausez40))
{ /* Llib/flac_alsadec.scm 165 */
{ /* Llib/flac_alsadec.scm 166 */
 obj_t BgL_arg1338z00_572; obj_t BgL_arg1339z00_573;
BgL_arg1338z00_572 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52dcondvz52); 
BgL_arg1339z00_573 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52dmutexz52); 
{ /* Llib/flac_alsadec.scm 166 */

BGL_CONDVAR_WAIT(BgL_arg1338z00_572, BgL_arg1339z00_573); } } 
goto BgL_liipz00_571;}  else 
{ /* Llib/flac_alsadec.scm 165 */
BgL_tmp1755z00_958 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1333z00_570); BgL_tmp1755z00_958; } } 
{ /* Llib/flac_alsadec.scm 168 */
 obj_t BgL_arg1340z00_574;
BgL_arg1340z00_574 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1340z00_574), 
CNST_TABLE_REF(((long)4))); } 
{ 

goto BgL_loopz00_562;} }  else 
{ /* Llib/flac_alsadec.scm 156 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52z12dabortz40))
{ /* Llib/flac_alsadec.scm 170 */
return 
BINT(((long)-1));}  else 
{ /* Llib/flac_alsadec.scm 170 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 173 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 175 */
return BEOF;}  else 
{ /* Llib/flac_alsadec.scm 175 */
{ /* Llib/flac_alsadec.scm 178 */
 BgL_alsamusicz00_bglt BgL_i1143z00_575;
BgL_i1143z00_575 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 179 */
 BgL_musicstatusz00_bglt BgL_i1144z00_576;
BgL_i1144z00_576 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1143z00_575)))->BgL_z52statusz52); 
{ 
 int BgL_auxz00_985;
{ /* Llib/flac_alsadec.scm 181 */
 long BgL_tmpz00_986;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1677z00_545;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1684z00_546; BGL_LONGLONG_T BgL_arg1685z00_547;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1688z00_548;
{ /* Llib/flac_alsadec.scm 114 */
 long BgL_arg1691z00_549;
{ /* Llib/flac_alsadec.scm 114 */
 obj_t BgL_arg1692z00_550;
BgL_arg1692z00_550 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_arg1691z00_549 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1692z00_550)); } 
BgL_arg1688z00_548 = 
LONG_TO_LLONG(BgL_arg1691z00_549); } 
BgL_arg1684z00_546 = 
(((BGL_LONGLONG_T)100)*BgL_arg1688z00_548); } 
BgL_arg1685z00_547 = 
LONG_TO_LLONG(BgL_inlenz00_541); 
BgL_arg1677z00_545 = 
(BgL_arg1684z00_546/BgL_arg1685z00_547); } 
BgL_tmpz00_986 = 
LLONG_TO_LONG(BgL_arg1677z00_545); } 
BgL_auxz00_985 = 
(int)(BgL_tmpz00_986); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1144z00_576))->BgL_bufferingz00)=((int)BgL_auxz00_985),BUNSPEC); } } } 
{ /* Llib/flac_alsadec.scm 182 */
 obj_t BgL_arg1348z00_577;
BgL_arg1348z00_577 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1348z00_577), 
CNST_TABLE_REF(((long)5))); } 
{ /* Llib/flac_alsadec.scm 183 */
 obj_t BgL_mutex1349z00_578;
BgL_mutex1349z00_578 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52bmutexz52); 
{ /* Llib/flac_alsadec.scm 183 */
 obj_t BgL_top1762z00_1007;
BgL_top1762z00_1007 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1349z00_578); 
BGL_EXITD_PUSH_PROTECT(BgL_top1762z00_1007, BgL_mutex1349z00_578); BUNSPEC; 
{ /* Llib/flac_alsadec.scm 183 */
 bool_t BgL_tmp1761z00_1006;
{ /* Llib/flac_alsadec.scm 185 */
 bool_t BgL_test1763z00_1011;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1763z00_1011 = ((bool_t)1)
; }  else 
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52z12dabortz40))
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1763z00_1011 = ((bool_t)1)
; }  else 
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 119 */
BgL_test1763z00_1011 = ((bool_t)0)
; }  else 
{ /* Llib/flac_alsadec.scm 120 */
 long BgL_arg1664z00_552;
{ /* Llib/flac_alsadec.scm 120 */
 long BgL_arg1672z00_553;
{ /* Llib/flac_alsadec.scm 120 */
 obj_t BgL_arg1673z00_554;
BgL_arg1673z00_554 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_arg1672z00_553 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1673z00_554)); } 
BgL_arg1664z00_552 = 
(((long)4)*BgL_arg1672z00_553); } 
BgL_test1763z00_1011 = 
(BgL_arg1664z00_552>BgL_inlenz00_541); } } } }  else 
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1763z00_1011 = ((bool_t)1)
; } 
if(BgL_test1763z00_1011)
{ /* Llib/flac_alsadec.scm 185 */
BgL_tmp1761z00_1006 = ((bool_t)0); }  else 
{ /* Llib/flac_alsadec.scm 189 */
 obj_t BgL_arg1354z00_579; obj_t BgL_arg1355z00_580;
BgL_arg1354z00_579 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52bcondvz52); 
BgL_arg1355z00_580 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52bmutexz52); 
{ /* Llib/flac_alsadec.scm 189 */

BgL_tmp1761z00_1006 = 
BGL_CONDVAR_WAIT(BgL_arg1354z00_579, BgL_arg1355z00_580); } } } 
BGL_EXITD_POP_PROTECT(BgL_top1762z00_1007); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1349z00_578); BgL_tmp1761z00_1006; } } } 
{ /* Llib/flac_alsadec.scm 190 */
 obj_t BgL_arg1357z00_581;
BgL_arg1357z00_581 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1357z00_581), 
CNST_TABLE_REF(((long)4))); } 
{ 

goto BgL_loopz00_562;} } }  else 
{ /* Llib/flac_alsadec.scm 193 */
 long BgL_sz00_582;
{ /* Llib/flac_alsadec.scm 193 */
 long BgL_bz00_583;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52tailz52)))
{ /* Llib/flac_alsadec.scm 194 */
BgL_bz00_583 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52tailz52)); }  else 
{ /* Llib/flac_alsadec.scm 194 */
BgL_bz00_583 = 
(BgL_inlenz00_541-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52tailz52)); } 
if(
(BgL_siza7eza7_563<BgL_bz00_583))
{ /* Llib/flac_alsadec.scm 194 */
BgL_sz00_582 = BgL_siza7eza7_563; }  else 
{ /* Llib/flac_alsadec.scm 194 */
BgL_sz00_582 = BgL_bz00_583; } } 
if(
(BgL_sz00_582>((long)0)))
{ /* Llib/flac_alsadec.scm 197 */
{ /* Llib/flac_alsadec.scm 198 */
 char * BgL_arg1360z00_584; long BgL_arg1361z00_585;
BgL_arg1360z00_584 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52inbufpz52); 
BgL_arg1361z00_585 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52tailz52); 
BGL_FLAC_BLIT_STRING(BgL_arg1360z00_584, BgL_arg1361z00_585, BgL_flacbufz00_542, BgL_iz00_564, BgL_sz00_582); BUNSPEC; } 
BgL_siza7eza7_556 = BgL_sz00_582; 
{ /* Llib/flac_alsadec.scm 128 */
 long BgL_ntailz00_557;
BgL_ntailz00_557 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52tailz52)+BgL_siza7eza7_556); 
if(
(BgL_ntailz00_557==BgL_inlenz00_541))
{ /* Llib/flac_alsadec.scm 129 */
BgL_ntailz00_557 = ((long)0); }  else 
{ /* Llib/flac_alsadec.scm 129 */BFALSE; } 
if(
(BgL_ntailz00_557==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52headz52)))
{ /* Llib/flac_alsadec.scm 132 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))<((long)80)))
{ /* Llib/flac_alsadec.scm 133 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 133 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 132 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52tailz52)=((long)BgL_ntailz00_557),BUNSPEC); } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 137 */BFALSE; }  else 
{ /* Llib/flac_alsadec.scm 140 */
 long BgL_availz00_558;
{ /* Llib/flac_alsadec.scm 140 */
 obj_t BgL_arg1653z00_559;
BgL_arg1653z00_559 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_availz00_558 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1653z00_559)); } 
{ /* Llib/flac_alsadec.scm 140 */
 long BgL_pz00_560;
BgL_pz00_560 = 
(
(BgL_availz00_558*((long)100))/BgL_inlenz00_541); 
{ /* Llib/flac_alsadec.scm 141 */

if(
(BgL_pz00_560<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))))
{ /* Llib/flac_alsadec.scm 143 */
{ /* Llib/flac_alsadec.scm 123 */
 obj_t BgL_mutex1655z00_561;
BgL_mutex1655z00_561 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1655z00_561); 
{ /* Llib/flac_alsadec.scm 123 */
 bool_t BgL_tmp1777z00_1089;
{ /* Llib/flac_alsadec.scm 124 */
 obj_t BgL_tmpz00_1091;
BgL_tmpz00_1091 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1139z00_540))->BgL_z52bcondvz52); 
BgL_tmp1777z00_1089 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1091); } 
BGL_MUTEX_UNLOCK(BgL_mutex1655z00_561); BgL_tmp1777z00_1089; } } 
{ /* Llib/flac_alsadec.scm 145 */
 bool_t BgL_test1778z00_1095;
if(
(BgL_pz00_560<=
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52lastzd2percentagez80))))
{ /* Llib/flac_alsadec.scm 145 */
BgL_test1778z00_1095 = 
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratezd2maxz80)))
; }  else 
{ /* Llib/flac_alsadec.scm 145 */
BgL_test1778z00_1095 = ((bool_t)0)
; } 
if(BgL_test1778z00_1095)
{ /* Llib/flac_alsadec.scm 145 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))+((long)10)))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 145 */BFALSE; } } }  else 
{ /* Llib/flac_alsadec.scm 143 */
if(
(BgL_pz00_560>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_alsadec.scm 147 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_alsadec.scm 148 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))-((long)1)))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 148 */BFALSE; } }  else 
{ /* Llib/flac_alsadec.scm 147 */BFALSE; } } 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52lastzd2percentagez80)=((int)
(int)(BgL_pz00_560)),BUNSPEC); BUNSPEC; } } } }  else 
{ /* Llib/flac_alsadec.scm 197 */BFALSE; } 
if(
(BgL_sz00_582<BgL_siza7eza7_563))
{ 
 long BgL_iz00_1153; long BgL_siza7eza7_1151;
BgL_siza7eza7_1151 = 
(BgL_siza7eza7_563-BgL_sz00_582); 
BgL_iz00_1153 = 
(BgL_iz00_564+BgL_sz00_582); 
BgL_iz00_564 = BgL_iz00_1153; 
BgL_siza7eza7_563 = BgL_siza7eza7_1151; 
goto BgL_loopz00_562;}  else 
{ /* Llib/flac_alsadec.scm 200 */
return 
BINT(
(BgL_iz00_564+BgL_sz00_582));} } } } } } } } } } } } } } 

}



/* &flac-decoder-metadat1158 */
obj_t BGl_z62flaczd2decoderzd2metadat1158z62zz__flac_alsadecz00(obj_t BgL_envz00_459, obj_t BgL_oz00_460, obj_t BgL_totalz00_461, obj_t BgL_ratez00_462, obj_t BgL_channelsz00_463, obj_t BgL_bpsz00_464)
{
{ /* Llib/flac_alsadec.scm 72 */
{ /* Llib/flac_alsadec.scm 74 */
 BgL_alsamusicz00_bglt BgL_i1134z00_587;
BgL_i1134z00_587 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_460))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 75 */
 obj_t BgL_encodingz00_588;
if(
INTEGERP(BgL_bpsz00_464))
{ /* Llib/flac_alsadec.scm 75 */
switch( 
(long)CINT(BgL_bpsz00_464)) { case ((long)8) : 

BgL_encodingz00_588 = 
CNST_TABLE_REF(((long)6)); break;case ((long)16) : 

BgL_encodingz00_588 = 
CNST_TABLE_REF(((long)6)); break;case ((long)24) : 

BgL_encodingz00_588 = 
CNST_TABLE_REF(((long)7)); break;case ((long)32) : 

BgL_encodingz00_588 = 
CNST_TABLE_REF(((long)8)); break;
default: 
BgL_encodingz00_588 = BUNSPEC; } }  else 
{ /* Llib/flac_alsadec.scm 75 */
BgL_encodingz00_588 = BUNSPEC; } 
BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1134z00_587))->BgL_pcmz00)); 
{ /* Llib/flac_alsadec.scm 81 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1228z00_589; long BgL_arg1229z00_590; long BgL_arg1230z00_591;
BgL_arg1228z00_589 = 
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1134z00_587))->BgL_pcmz00); 
BgL_arg1229z00_590 = 
(
(long)CINT(BgL_ratez00_462)/((long)2)); 
BgL_arg1230z00_591 = 
(
(long)CINT(BgL_ratez00_462)/((long)8)); 
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_list1231z00_592;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1234z00_593;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1235z00_594;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1238z00_595;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1239z00_596;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1242z00_597;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1250z00_598;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1251z00_599;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1252z00_600;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1262z00_601;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1263z00_602;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1264z00_603;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1267z00_604;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1268z00_605;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1269z00_606;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1270z00_607;
BgL_arg1270z00_607 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1230z00_591), BNIL); 
BgL_arg1269z00_606 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BgL_arg1270z00_607); } 
BgL_arg1268z00_605 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1229z00_590), BgL_arg1269z00_606); } 
BgL_arg1267z00_604 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BgL_arg1268z00_605); } 
BgL_arg1264z00_603 = 
MAKE_YOUNG_PAIR(
BINT(((long)500000)), BgL_arg1267z00_604); } 
BgL_arg1263z00_602 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BgL_arg1264z00_603); } 
BgL_arg1262z00_601 = 
MAKE_YOUNG_PAIR(BgL_ratez00_462, BgL_arg1263z00_602); } 
BgL_arg1252z00_600 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BgL_arg1262z00_601); } 
BgL_arg1251z00_599 = 
MAKE_YOUNG_PAIR(BgL_channelsz00_463, BgL_arg1252z00_600); } 
BgL_arg1250z00_598 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BgL_arg1251z00_599); } 
BgL_arg1242z00_597 = 
MAKE_YOUNG_PAIR(BgL_encodingz00_588, BgL_arg1250z00_598); } 
BgL_arg1239z00_596 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg1242z00_597); } 
BgL_arg1238z00_595 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BgL_arg1239z00_596); } 
BgL_arg1235z00_594 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BgL_arg1238z00_595); } 
BgL_arg1234z00_593 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1235z00_594); } 
BgL_list1231z00_592 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BgL_arg1234z00_593); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1228z00_589, BgL_list1231z00_592); } } 
{ /* Llib/flac_alsadec.scm 90 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1271z00_608;
BgL_arg1271z00_608 = 
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1134z00_587))->BgL_pcmz00); 
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_list1272z00_609;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1279z00_610;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1283z00_611;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1285z00_612;
BgL_arg1285z00_612 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BNIL); 
BgL_arg1283z00_611 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1285z00_612); } 
BgL_arg1279z00_610 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1283z00_611); } 
BgL_list1272z00_609 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg1279z00_610); } 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1271z00_608, BgL_list1272z00_609);} } } } } 

}



/* &musicdecoder-decode-1156 */
obj_t BGl_z62musicdecoderzd2decodezd21156z62zz__flac_alsadecz00(obj_t BgL_envz00_465, obj_t BgL_decz00_466, obj_t BgL_amz00_467, obj_t BgL_bufferz00_468)
{
{ /* Llib/flac_alsadec.scm 50 */
{ /* Llib/flac_alsadec.scm 54 */
 BgL_flacdecz00_bglt BgL_i1124z00_616;
BgL_i1124z00_616 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_466))))->BgL_z52flacz52)); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1124z00_616))->BgL_z52bufferz52)=((obj_t)
((obj_t)
((BgL_musicbufferz00_bglt)BgL_bufferz00_468))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1124z00_616))->BgL_z52musicz52)=((obj_t)
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_467))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1124z00_616))->BgL_z52decoderz52)=((obj_t)
((obj_t)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_466))),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_exitd1127z00_617;
BgL_exitd1127z00_617 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac_alsadec.scm 65 */
 obj_t BgL_zc3z04anonymousza31222ze3z87_618;
BgL_zc3z04anonymousza31222ze3z87_618 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_alsadecz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31222ze3z87_618, 
(int)(((long)0)), 
((obj_t)BgL_i1124z00_616)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31222ze3z87_618, 
(int)(((long)1)), 
((obj_t)
((BgL_alsamusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_467)))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31222ze3z87_618, 
(int)(((long)2)), 
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_467))); 
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1818z00_619;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1819z00_620;
BgL_arg1819z00_620 = 
BGL_EXITD_PROTECT(BgL_exitd1127z00_617); 
BgL_arg1818z00_619 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31222ze3z87_618, BgL_arg1819z00_620); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1127z00_617, BgL_arg1818z00_619); BUNSPEC; } 
{ /* Llib/flac_alsadec.scm 61 */
 obj_t BgL_tmp1129z00_621;
{ /* Llib/flac_alsadec.scm 61 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_i1132z00_622;
BgL_i1132z00_622 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_467))))->BgL_pcmz00); 
if(
(
(long)(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1132z00_622))->BgL_hwbpsz00))<=((long)16)))
{ /* Llib/flac_alsadec.scm 63 */
 obj_t BgL_arg1218z00_623;
BgL_arg1218z00_623 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_466))))->BgL_z52flacz52); 
BgL_tmp1129z00_621 = 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1218z00_623)); }  else 
{ /* Llib/flac_alsadec.scm 64 */
 obj_t BgL_arg1219z00_624;
BgL_arg1219z00_624 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_466))))->BgL_z52flacz52); 
BgL_tmp1129z00_621 = 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1219z00_624)); } } 
{ /* Llib/flac_alsadec.scm 60 */
 bool_t BgL_test1785z00_1265;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1817z00_625;
BgL_arg1817z00_625 = 
BGL_EXITD_PROTECT(BgL_exitd1127z00_617); 
BgL_test1785z00_1265 = 
PAIRP(BgL_arg1817z00_625); } 
if(BgL_test1785z00_1265)
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1815z00_626;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1816z00_627;
BgL_arg1816z00_627 = 
BGL_EXITD_PROTECT(BgL_exitd1127z00_617); 
BgL_arg1815z00_626 = 
CDR(
((obj_t)BgL_arg1816z00_627)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1127z00_617, BgL_arg1815z00_626); BUNSPEC; }  else 
{ /* Llib/flac_alsadec.scm 60 */BFALSE; } } 
BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_alsadecz00(BgL_zc3z04anonymousza31222ze3z87_618); 
return BgL_tmp1129z00_621;} } } } } 

}



/* &<@anonymous:1222> */
obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_469)
{
{ /* Llib/flac_alsadec.scm 60 */
{ /* Llib/flac_alsadec.scm 65 */
 BgL_flacdecz00_bglt BgL_i1124z00_470; BgL_alsamusicz00_bglt BgL_i1125z00_471; BgL_musicbufz00_bglt BgL_amz00_472;
BgL_i1124z00_470 = 
((BgL_flacdecz00_bglt)
PROCEDURE_REF(BgL_envz00_469, 
(int)(((long)0)))); 
BgL_i1125z00_471 = 
((BgL_alsamusicz00_bglt)
PROCEDURE_REF(BgL_envz00_469, 
(int)(((long)1)))); 
BgL_amz00_472 = 
((BgL_musicbufz00_bglt)
PROCEDURE_REF(BgL_envz00_469, 
(int)(((long)2)))); 
{ /* Llib/flac_alsadec.scm 65 */
 BgL_musicbufferz00_bglt BgL_i1131z00_628;
BgL_i1131z00_628 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1124z00_470))->BgL_z52bufferz52)); 
BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1125z00_471))->BgL_pcmz00)); 
{ /* Llib/flac_alsadec.scm 67 */
 obj_t BgL_arg1225z00_629;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1131z00_628))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 67 */
BgL_arg1225z00_629 = 
CNST_TABLE_REF(((long)20)); }  else 
{ /* Llib/flac_alsadec.scm 67 */
BgL_arg1225z00_629 = 
CNST_TABLE_REF(((long)21)); } 
return 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_472), BgL_arg1225z00_629);} } } } 

}



/* &musicdecoder-init-fl1154 */
obj_t BGl_z62musicdecoderzd2initzd2fl1154z62zz__flac_alsadecz00(obj_t BgL_envz00_473, obj_t BgL_decz00_474)
{
{ /* Llib/flac_alsadec.scm 42 */
{ 

{ /* Llib/flac_alsadec.scm 42 */
 obj_t BgL_nextzd2method1153zd2_632;
BgL_nextzd2method1153zd2_632 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474)), BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
PROCEDURE_ENTRY(BgL_nextzd2method1153zd2_632)(BgL_nextzd2method1153zd2_632, 
((obj_t)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474)), BEOA); } 
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474))))->BgL_z52flacz52)))
{ /* Llib/flac_alsadec.scm 45 */
return BFALSE;}  else 
{ 
 obj_t BgL_auxz00_1306;
{ /* Llib/flac_alsadec.scm 45 */
 BgL_flacalsadecz00_bglt BgL_new1122z00_633;
{ /* Llib/flac_alsadec.scm 45 */
 BgL_flacalsadecz00_bglt BgL_new1121z00_634;
BgL_new1121z00_634 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 45 */
 long BgL_arg1213z00_635;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_636;
BgL_classz00_636 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1213z00_635 = 
BGL_CLASS_NUM(BgL_classz00_636); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_634), BgL_arg1213z00_635); } 
BgL_new1122z00_633 = BgL_new1121z00_634; } 
{ 
 void * BgL_auxz00_1313;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1205z00_637;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1206z00_638;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_639;
BgL_classz00_639 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1206z00_638 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_639); } 
BgL_arg1205z00_637 = 
VECTOR_REF(BgL_arg1206z00_638,((long)0)); } 
BgL_auxz00_1313 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1205z00_637)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_1313),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1320;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1207z00_640;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1211z00_641;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_642;
BgL_classz00_642 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1211z00_641 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_642); } 
BgL_arg1207z00_640 = 
VECTOR_REF(BgL_arg1211z00_641,((long)1)); } 
BgL_auxz00_1320 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1207z00_640); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_1320),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_outbufz00)=((obj_t)BGl_string1721z00zz__flac_alsadecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1122z00_633)))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)50))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1122z00_633)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_fun1212z00_643;
BgL_fun1212z00_643 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacalsadecz00zz__flac_alsadecz00); 
PROCEDURE_ENTRY(BgL_fun1212z00_643)(BgL_fun1212z00_643, 
((obj_t)BgL_new1122z00_633), BEOA); } 
BgL_auxz00_1306 = 
((obj_t)BgL_new1122z00_633); } 
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_1306),BUNSPEC);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00()
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__flac_flacz00(((long)107017853), 
BSTRING_TO_STRING(BGl_string1730z00zz__flac_alsadecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__flac_decoderz00(((long)630617), 
BSTRING_TO_STRING(BGl_string1730z00zz__flac_alsadecz00));} 

}

#ifdef __cplusplus
}
#endif
