/*===========================================================================*/
/*   (Llib/flac_decoder.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_decoder.scm -o objs/flac_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;


BGL_EXPORTED_DECL int BGl_flaczd2debugzd2zz__flac_decoderz00();
static obj_t BGl_requirezd2initializa7ationz75zz__flac_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musicbufferzd2tellzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62flaczd2debugzb0zz__flac_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2seekzd2fl1145z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2lengthzd21153zb0zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_decoderz00();
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62flaczd2decoderzd2seekzd2fl1151zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_decoderz00();
static obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__flac_decoderz00();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62musicdecoderzd2positio1139zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2readzd2fl1147zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_decoderz00();
static obj_t BGl_z62zc3z04anonymousza31227ze3ze5zz__flac_decoderz00(obj_t);
extern long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicbufferzd2lengthzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicbufferz00zz__multimediazd2musicbufzd2;
static obj_t BGl_z62zc3z04anonymousza31245ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2fl1131z62zz__flac_decoderz00(obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2tellzd2fl1149zb0zz__flac_decoderz00(obj_t, obj_t);
static BgL_flacdecz00_bglt BGl_z62lambda1203z62zz__flac_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1215z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1216z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2resetz12zd21137z70zz__flac_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62lambda1225z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62lambda1226z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1232z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
extern long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62flaczd2decoderzd2resetz12zd21133za2zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1243z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1244z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2infozd2fl1141z62zz__flac_decoderz00(obj_t, obj_t);
BGL_IMPORT int bgl_debug();
static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__flac_decoderz00(obj_t);
static BgL_flacmusicdecoderz00_bglt BGl_z62lambda1339z62zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flacmusicdecoderz00_bglt BGl_z62lambda1342z62zz__flac_decoderz00(obj_t);
static obj_t BGl_z62lambda1263z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62lambda1264z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_decoderz00();
extern obj_t BGl_flaczd2decoderzd2zz__flac_flacz00;
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_decoderz00();
static obj_t BGl_gczd2rootszd2initz00zz__flac_decoderz00();
static obj_t BGl_z62lambda1271z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1355z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1356z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t bgl_custom_nil();
BGL_IMPORT obj_t BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, obj_t);
static obj_t BGl_z62lambda1364z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1365z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21143z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_decoderz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_flacdecz00zz__flac_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writezd2f1135zb0zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_za2debugzd2portza2zd2zz__flac_decoderz00;
BGL_EXPORTED_DECL int BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(long, char *, long, long);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00 = BUNSPEC;
static obj_t __cnst[ 18 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2031z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72045z00, BGl_z62musicdecoderzd2seekzd2fl1145z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2033z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2046z00, BGl_z62flaczd2decoderzd2readzd2fl1147zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2040z00zz__flac_decoderz00, BgL_bgl_string2040za700za7za7_2047za7, "flac-decoder-length", 19 );
DEFINE_STRING( BGl_string2041z00zz__flac_decoderz00, BgL_bgl_string2041za700za7za7_2048za7, "__flac_decoder", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2035z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2049z00, BGl_z62flaczd2decoderzd2tellzd2fl1149zb0zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2042z00zz__flac_decoderz00, BgL_bgl_string2042za700za7za7_2050za7, "(\"audio/flac\" \"application/x-flac\" \"audio/x-flac\") buffering play pause flacmusicdecoder %inseek %flac __flac_decoder flacdec %last-percentage %rate-min %rate-max int %rate %decoder %buffer obj %music ", 201 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2037z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2051z00, BGl_z62flaczd2decoderzd2seekzd2fl1151zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2039z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2052z00, BGl_z62flaczd2decoderzd2lengthzd21153zb0zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2checksumzd2debugzd2envzd2zz__flac_decoderz00, BgL_bgl_za762flacza7d2checks2053z00, BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00, 0L, BUNSPEC, 4 );
extern obj_t BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2debugzd2envz00zz__flac_decoderz00, BgL_bgl_za762flacza7d2debugza72054za7, BGl_z62flaczd2debugzb0zz__flac_decoderz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1979z00zz__flac_decoderz00, BgL_bgl_string1979za700za7za7_2055za7, "Llib/flac_decoder.scm", 21 );
DEFINE_STRING( BGl_string1980z00zz__flac_decoderz00, BgL_bgl_string1980za700za7za7_2056za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/flac/src/Llib/flac_decoder.scm", 70 );
DEFINE_STRING( BGl_string1981z00zz__flac_decoderz00, BgL_bgl_string1981za700za7za7_2057za7, "&flac-checksum-debug", 20 );
DEFINE_STRING( BGl_string1982z00zz__flac_decoderz00, BgL_bgl_string1982za700za7za7_2058za7, "bint", 4 );
DEFINE_STRING( BGl_string1983z00zz__flac_decoderz00, BgL_bgl_string1983za700za7za7_2059za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1984z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2060za7, BGl_z62zc3z04anonymousza31217ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__flac_decoderz00, BgL_bgl_za762lambda1216za7622061z00, BGl_z62lambda1216z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1986z00zz__flac_decoderz00, BgL_bgl_za762lambda1215za7622062z00, BGl_z62lambda1215z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1987z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2063za7, BGl_z62zc3z04anonymousza31227ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1988z00zz__flac_decoderz00, BgL_bgl_za762lambda1226za7622064z00, BGl_z62lambda1226z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1989z00zz__flac_decoderz00, BgL_bgl_za762lambda1225za7622065z00, BGl_z62lambda1225z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1990z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2066za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1991z00zz__flac_decoderz00, BgL_bgl_za762lambda1233za7622067z00, BGl_z62lambda1233z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1992z00zz__flac_decoderz00, BgL_bgl_za762lambda1232za7622068z00, BGl_z62lambda1232z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1993z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2069za7, BGl_z62zc3z04anonymousza31245ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1994z00zz__flac_decoderz00, BgL_bgl_za762lambda1244za7622070z00, BGl_z62lambda1244z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1995z00zz__flac_decoderz00, BgL_bgl_za762lambda1243za7622071z00, BGl_z62lambda1243z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1996z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2072za7, BGl_z62zc3z04anonymousza31265ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1997z00zz__flac_decoderz00, BgL_bgl_za762lambda1264za7622073z00, BGl_z62lambda1264z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1998z00zz__flac_decoderz00, BgL_bgl_za762lambda1263za7622074z00, BGl_z62lambda1263z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1999z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2075za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2000z00zz__flac_decoderz00, BgL_bgl_za762lambda1272za7622076z00, BGl_z62lambda1272z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__flac_decoderz00, BgL_bgl_za762lambda1271za7622077z00, BGl_z62lambda1271z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2002z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2078za7, BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__flac_decoderz00, BgL_bgl_za762lambda1288za7622079z00, BGl_z62lambda1288z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2004z00zz__flac_decoderz00, BgL_bgl_za762lambda1287za7622080z00, BGl_z62lambda1287z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2081za7, BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2006z00zz__flac_decoderz00, BgL_bgl_za762lambda1203za7622082z00, BGl_z62lambda1203z62zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2083za7, BGl_z62zc3z04anonymousza31357ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2008z00zz__flac_decoderz00, BgL_bgl_za762lambda1356za7622084z00, BGl_z62lambda1356z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__flac_decoderz00, BgL_bgl_za762lambda1355za7622085z00, BGl_z62lambda1355z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2016z00zz__flac_decoderz00, BgL_bgl_string2016za700za7za7_2086za7, "", 0 );
DEFINE_STRING( BGl_string2018z00zz__flac_decoderz00, BgL_bgl_string2018za700za7za7_2087za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2010z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2088za7, BGl_z62zc3z04anonymousza31366ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__flac_decoderz00, BgL_bgl_za762lambda1365za7622089z00, BGl_z62lambda1365z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2012z00zz__flac_decoderz00, BgL_bgl_za762lambda1364za7622090z00, BGl_z62lambda1364z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2091za7, BGl_z62zc3z04anonymousza31344ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2020z00zz__flac_decoderz00, BgL_bgl_string2020za700za7za7_2092za7, "flac-decoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2014z00zz__flac_decoderz00, BgL_bgl_za762lambda1342za7622093z00, BGl_z62lambda1342z62zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__flac_decoderz00, BgL_bgl_za762lambda1339za7622094z00, BGl_z62lambda1339z62zz__flac_decoderz00, 0L, BUNSPEC, 12 );
DEFINE_STRING( BGl_string2022z00zz__flac_decoderz00, BgL_bgl_string2022za700za7za7_2095za7, "flac-decoder-write", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72096z00, BGl_z62musicdecoderzd2initzd2fl1131z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2024z00zz__flac_decoderz00, BgL_bgl_string2024za700za7za7_2097za7, "musicdecoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2019z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2098z00, BGl_z62flaczd2decoderzd2resetz12zd21133za2zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2026z00zz__flac_decoderz00, BgL_bgl_string2026za700za7za7_2099za7, "musicdecoder-position", 21 );
DEFINE_STRING( BGl_string2028z00zz__flac_decoderz00, BgL_bgl_string2028za700za7za7_2100za7, "musicdecoder-info", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2021z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2101z00, BGl_z62flaczd2decoderzd2writezd2f1135zb0zz__flac_decoderz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2023z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72102z00, BGl_z62musicdecoderzd2resetz12zd21137z70zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2030z00zz__flac_decoderz00, BgL_bgl_string2030za700za7za7_2103za7, "musicdecoder-volume-set!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2025z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72104z00, BGl_z62musicdecoderzd2positio1139zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2032z00zz__flac_decoderz00, BgL_bgl_string2032za700za7za7_2105za7, "musicdecoder-seek", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2027z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72106z00, BGl_z62musicdecoderzd2infozd2fl1141z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2034z00zz__flac_decoderz00, BgL_bgl_string2034za700za7za7_2107za7, "flac-decoder-read", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2029z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72108z00, BGl_z62musicdecoderzd2volumezd21143z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2036z00zz__flac_decoderz00, BgL_bgl_string2036za700za7za7_2109za7, "flac-decoder-tell", 17 );
DEFINE_STRING( BGl_string2038z00zz__flac_decoderz00, BgL_bgl_string2038za700za7za7_2110za7, "flac-decoder-seek", 17 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_decoderz00) );
ADD_ROOT( (void *)(&BGl_flacdecz00zz__flac_decoderz00) );
ADD_ROOT( (void *)(&BGl_flacmusicdecoderz00zz__flac_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long BgL_checksumz00_1028, char * BgL_fromz00_1029)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(); 
BGl_cnstzd2initzd2zz__flac_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(); 
BGl_objectzd2initzd2zz__flac_decoderz00(); 
BGl_methodzd2initzd2zz__flac_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_cportz00_858;
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_stringz00_866;
BgL_stringz00_866 = BGl_string2042z00zz__flac_decoderz00; 
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_startz00_867;
BgL_startz00_867 = 
BINT(((long)0)); 
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_endz00_868;
BgL_endz00_868 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_866))); 
{ /* Llib/flac_decoder.scm 15 */

BgL_cportz00_858 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_866, BgL_startz00_867, BgL_endz00_868); } } } } 
{ 
 long BgL_iz00_859;
BgL_iz00_859 = ((long)17); 
BgL_loopz00_860:
if(
(BgL_iz00_859==((long)-1)))
{ /* Llib/flac_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_arg2044z00_862;
{ /* Llib/flac_decoder.scm 15 */

{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_locationz00_864;
BgL_locationz00_864 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_decoder.scm 15 */

BgL_arg2044z00_862 = 
BGl_readz00zz__readerz00(BgL_cportz00_858, BgL_locationz00_864); } } } 
{ /* Llib/flac_decoder.scm 15 */
 int BgL_tmpz00_1064;
BgL_tmpz00_1064 = 
(int)(BgL_iz00_859); 
CNST_TABLE_SET(BgL_tmpz00_1064, BgL_arg2044z00_862); } } 
{ /* Llib/flac_decoder.scm 15 */
 int BgL_auxz00_865;
BgL_auxz00_865 = 
(int)(
(BgL_iz00_859-((long)1))); 
{ 
 long BgL_iz00_1069;
BgL_iz00_1069 = 
(long)(BgL_auxz00_865); 
BgL_iz00_859 = BgL_iz00_1069; 
goto BgL_loopz00_860;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1979z00zz__flac_decoderz00)); 
return ( 
BGl_za2debugzd2portza2zd2zz__flac_decoderz00 = ((bool_t)0), BUNSPEC) ;} 

}



/* flac-debug */
BGL_EXPORTED_DEF int BGl_flaczd2debugzd2zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 53 */
if(
(((long)0)>((long)0)))
{ /* Llib/flac_decoder.scm 55 */
(long)(
bgl_debug()); }  else 
{ /* Llib/flac_decoder.scm 55 */((long)0); } 
return 
(int)(((long)1));} 

}



/* &flac-debug */
obj_t BGl_z62flaczd2debugzb0zz__flac_decoderz00(obj_t BgL_envz00_659)
{
{ /* Llib/flac_decoder.scm 53 */
return 
BINT(
BGl_flaczd2debugzd2zz__flac_decoderz00());} 

}



/* flac-checksum-debug */
BGL_EXPORTED_DEF int BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(long BgL_cz00_3, char * BgL_bufferz00_4, long BgL_iz00_5, long BgL_sz00_6)
{
{ /* Llib/flac_decoder.scm 63 */
{ 
 long BgL_nz00_476; long BgL_cz00_477;
{ /* Llib/flac_decoder.scm 64 */
 long BgL_tmpz00_1081;
BgL_nz00_476 = ((long)0); 
BgL_cz00_477 = BgL_cz00_3; 
BgL_loopz00_475:
if(
(BgL_nz00_476==BgL_sz00_6))
{ /* Llib/flac_decoder.scm 66 */
BgL_tmpz00_1081 = BgL_cz00_477
; }  else 
{ /* Llib/flac_decoder.scm 68 */
 long BgL_arg1163z00_481; long BgL_arg1167z00_482;
BgL_arg1163z00_481 = 
(BgL_nz00_476+((long)1)); 
{ /* Llib/flac_decoder.scm 68 */
 char BgL_arg1171z00_484;
{ /* Llib/flac_decoder.scm 68 */
 long BgL_tmpz00_1085;
BgL_tmpz00_1085 = 
(BgL_iz00_5+BgL_nz00_476); 
BgL_arg1171z00_484 = 
BGL_FLAC_STRING_REF(BgL_bufferz00_4, BgL_tmpz00_1085); } 
BgL_arg1167z00_482 = 
(BgL_cz00_477 ^ 
(long)(BgL_arg1171z00_484)); } 
{ 
 long BgL_cz00_1091; long BgL_nz00_1090;
BgL_nz00_1090 = BgL_arg1163z00_481; 
BgL_cz00_1091 = BgL_arg1167z00_482; 
BgL_cz00_477 = BgL_cz00_1091; 
BgL_nz00_476 = BgL_nz00_1090; 
goto BgL_loopz00_475;} } 
return 
(int)(BgL_tmpz00_1081);} } } 

}



/* &flac-checksum-debug */
obj_t BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00(obj_t BgL_envz00_660, obj_t BgL_cz00_661, obj_t BgL_bufferz00_662, obj_t BgL_iz00_663, obj_t BgL_sz00_664)
{
{ /* Llib/flac_decoder.scm 63 */
{ /* Llib/flac_decoder.scm 64 */
 int BgL_tmpz00_1093;
{ /* Llib/flac_decoder.scm 64 */
 long BgL_auxz00_1121; long BgL_auxz00_1112; char * BgL_auxz00_1103; long BgL_auxz00_1094;
{ /* Llib/flac_decoder.scm 64 */
 obj_t BgL_tmpz00_1122;
if(
INTEGERP(BgL_sz00_664))
{ /* Llib/flac_decoder.scm 64 */
BgL_tmpz00_1122 = BgL_sz00_664
; }  else 
{ 
 obj_t BgL_auxz00_1125;
BgL_auxz00_1125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1980z00zz__flac_decoderz00, 
BINT(((long)2760)), BGl_string1981z00zz__flac_decoderz00, BGl_string1982z00zz__flac_decoderz00, BgL_sz00_664); 
FAILURE(BgL_auxz00_1125,BFALSE,BFALSE);} 
BgL_auxz00_1121 = 
(long)CINT(BgL_tmpz00_1122); } 
{ /* Llib/flac_decoder.scm 64 */
 obj_t BgL_tmpz00_1113;
if(
INTEGERP(BgL_iz00_663))
{ /* Llib/flac_decoder.scm 64 */
BgL_tmpz00_1113 = BgL_iz00_663
; }  else 
{ 
 obj_t BgL_auxz00_1116;
BgL_auxz00_1116 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1980z00zz__flac_decoderz00, 
BINT(((long)2760)), BGl_string1981z00zz__flac_decoderz00, BGl_string1982z00zz__flac_decoderz00, BgL_iz00_663); 
FAILURE(BgL_auxz00_1116,BFALSE,BFALSE);} 
BgL_auxz00_1112 = 
(long)CINT(BgL_tmpz00_1113); } 
{ /* Llib/flac_decoder.scm 64 */
 obj_t BgL_tmpz00_1104;
if(
STRINGP(BgL_bufferz00_662))
{ /* Llib/flac_decoder.scm 64 */
BgL_tmpz00_1104 = BgL_bufferz00_662
; }  else 
{ 
 obj_t BgL_auxz00_1107;
BgL_auxz00_1107 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1980z00zz__flac_decoderz00, 
BINT(((long)2760)), BGl_string1981z00zz__flac_decoderz00, BGl_string1983z00zz__flac_decoderz00, BgL_bufferz00_662); 
FAILURE(BgL_auxz00_1107,BFALSE,BFALSE);} 
BgL_auxz00_1103 = 
BSTRING_TO_STRING(BgL_tmpz00_1104); } 
{ /* Llib/flac_decoder.scm 64 */
 obj_t BgL_tmpz00_1095;
if(
INTEGERP(BgL_cz00_661))
{ /* Llib/flac_decoder.scm 64 */
BgL_tmpz00_1095 = BgL_cz00_661
; }  else 
{ 
 obj_t BgL_auxz00_1098;
BgL_auxz00_1098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1980z00zz__flac_decoderz00, 
BINT(((long)2760)), BGl_string1981z00zz__flac_decoderz00, BGl_string1982z00zz__flac_decoderz00, BgL_cz00_661); 
FAILURE(BgL_auxz00_1098,BFALSE,BFALSE);} 
BgL_auxz00_1094 = 
(long)CINT(BgL_tmpz00_1095); } 
BgL_tmpz00_1093 = 
BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(BgL_auxz00_1094, BgL_auxz00_1103, BgL_auxz00_1112, BgL_auxz00_1121); } 
return 
BINT(BgL_tmpz00_1093);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1201z00_73; obj_t BgL_arg1202z00_74;
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_v1126z00_80;
BgL_v1126z00_80 = 
create_vector(((long)7)); 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1207z00_81;
BgL_arg1207z00_81 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1986z00zz__flac_decoderz00, BGl_proc1985z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1984z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1126z00_80,((long)0),BgL_arg1207z00_81); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1218z00_94;
BgL_arg1218z00_94 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1989z00zz__flac_decoderz00, BGl_proc1988z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1987z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1126z00_80,((long)1),BgL_arg1218z00_94); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1228z00_107;
BgL_arg1228z00_107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1992z00zz__flac_decoderz00, BGl_proc1991z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1990z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1126z00_80,((long)2),BgL_arg1228z00_107); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1235z00_120;
BgL_arg1235z00_120 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1995z00zz__flac_decoderz00, BGl_proc1994z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1993z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1126z00_80,((long)3),BgL_arg1235z00_120); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1250z00_133;
BgL_arg1250z00_133 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1998z00zz__flac_decoderz00, BGl_proc1997z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1996z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1126z00_80,((long)4),BgL_arg1250z00_133); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1267z00_146;
BgL_arg1267z00_146 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2001z00zz__flac_decoderz00, BGl_proc2000z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1999z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1126z00_80,((long)5),BgL_arg1267z00_146); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1279z00_159;
BgL_arg1279z00_159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2004z00zz__flac_decoderz00, BGl_proc2003z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2002z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1126z00_80,((long)6),BgL_arg1279z00_159); } 
BgL_arg1201z00_73 = BgL_v1126z00_80; } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_v1127z00_172;
BgL_v1127z00_172 = 
create_vector(((long)0)); 
BgL_arg1202z00_74 = BgL_v1127z00_172; } 
BGl_flacdecz00zz__flac_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_flaczd2decoderzd2zz__flac_flacz00, ((long)58322), BFALSE, BGl_proc2006z00zz__flac_decoderz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc2005z00zz__flac_decoderz00, BFALSE, BgL_arg1201z00_73, BgL_arg1202z00_74); } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1333z00_178; obj_t BgL_arg1338z00_179;
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_v1128z00_202;
BgL_v1128z00_202 = 
create_vector(((long)2)); 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1345z00_203;
BgL_arg1345z00_203 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2009z00zz__flac_decoderz00, BGl_proc2008z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2007z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1128z00_202,((long)0),BgL_arg1345z00_203); } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1358z00_216;
BgL_arg1358z00_216 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc2012z00zz__flac_decoderz00, BGl_proc2011z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2010z00zz__flac_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1128z00_202,((long)1),BgL_arg1358z00_216); } 
BgL_arg1333z00_178 = BgL_v1128z00_202; } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_v1129z00_229;
BgL_v1129z00_229 = 
create_vector(((long)0)); 
BgL_arg1338z00_179 = BgL_v1129z00_229; } 
return ( 
BGl_flacmusicdecoderz00zz__flac_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)10)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, ((long)48433), BGl_proc2015z00zz__flac_decoderz00, BGl_proc2014z00zz__flac_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc2013z00zz__flac_decoderz00, BFALSE, BgL_arg1333z00_178, BgL_arg1338z00_179), BUNSPEC) ;} } 

}



/* &<@anonymous:1344> */
obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_697, obj_t BgL_new1091z00_698)
{
{ /* Llib/flac_decoder.scm 37 */
{ 
 BgL_flacmusicdecoderz00_bglt BgL_auxz00_1178;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698)))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698)))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1178 = 
((BgL_flacmusicdecoderz00_bglt)BgL_new1091z00_698); 
return 
((obj_t)BgL_auxz00_1178);} } 

}



/* &lambda1342 */
BgL_flacmusicdecoderz00_bglt BGl_z62lambda1342z62zz__flac_decoderz00(obj_t BgL_envz00_699)
{
{ /* Llib/flac_decoder.scm 37 */
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1090z00_871;
BgL_new1090z00_871 = 
((BgL_flacmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacmusicdecoderz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 37 */
 long BgL_arg1343z00_872;
BgL_arg1343z00_872 = 
BGL_CLASS_NUM(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_871), BgL_arg1343z00_872); } 
return BgL_new1090z00_871;} } 

}



/* &lambda1339 */
BgL_flacmusicdecoderz00_bglt BGl_z62lambda1339z62zz__flac_decoderz00(obj_t BgL_envz00_700, obj_t BgL_mimetypes1078z00_701, obj_t BgL_bufferzd2timezd2near1079z00_702, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1080z75_703, obj_t BgL_periodzd2siza7ezd2nearzd2rat1081z75_704, obj_t BgL_z52z12dpause1082z40_705, obj_t BgL_z52z12dabort1083z40_706, obj_t BgL_z52z12stop1084z40_707, obj_t BgL_z52dmutex1085z52_708, obj_t BgL_z52dcondv1086z52_709, obj_t BgL_z52doutcondv1087z52_710, obj_t BgL_z52flac1088z52_711, obj_t BgL_z52inseek1089z52_712)
{
{ /* Llib/flac_decoder.scm 37 */
{ /* Llib/flac_decoder.scm 37 */
 int BgL_bufferzd2timezd2near1079z00_874; int BgL_bufferzd2siza7ezd2nearzd2rat1080z75_875; int BgL_periodzd2siza7ezd2nearzd2rat1081z75_876; bool_t BgL_z52z12dpause1082z40_877; bool_t BgL_z52z12dabort1083z40_878; bool_t BgL_z52z12stop1084z40_879;
BgL_bufferzd2timezd2near1079z00_874 = 
CINT(BgL_bufferzd2timezd2near1079z00_702); 
BgL_bufferzd2siza7ezd2nearzd2rat1080z75_875 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1080z75_703); 
BgL_periodzd2siza7ezd2nearzd2rat1081z75_876 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1081z75_704); 
BgL_z52z12dpause1082z40_877 = 
CBOOL(BgL_z52z12dpause1082z40_705); 
BgL_z52z12dabort1083z40_878 = 
CBOOL(BgL_z52z12dabort1083z40_706); 
BgL_z52z12stop1084z40_879 = 
CBOOL(BgL_z52z12stop1084z40_707); 
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1123z00_883;
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1122z00_884;
BgL_new1122z00_884 = 
((BgL_flacmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacmusicdecoderz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 37 */
 long BgL_arg1341z00_885;
BgL_arg1341z00_885 = 
BGL_CLASS_NUM(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_884), BgL_arg1341z00_885); } 
BgL_new1123z00_883 = BgL_new1122z00_884; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1078z00_701)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1079z00_874),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1080z75_875),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1081z75_876),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1082z40_877),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1083z40_878),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1084z40_879),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1085z52_708)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1086z52_709)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1123z00_883)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1087z52_710)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_new1123z00_883))->BgL_z52flacz52)=((obj_t)BgL_z52flac1088z52_711),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_new1123z00_883))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1089z52_712),BUNSPEC); 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_fun1340z00_886;
BgL_fun1340z00_886 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
PROCEDURE_ENTRY(BgL_fun1340z00_886)(BgL_fun1340z00_886, 
((obj_t)BgL_new1123z00_883), BEOA); } 
return BgL_new1123z00_883;} } } 

}



/* &<@anonymous:1366> */
obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_713)
{
{ /* Llib/flac_decoder.scm 37 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1365 */
obj_t BGl_z62lambda1365z62zz__flac_decoderz00(obj_t BgL_envz00_714, obj_t BgL_oz00_715, obj_t BgL_vz00_716)
{
{ /* Llib/flac_decoder.scm 37 */
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_715)))->BgL_z52inseekz52)=((obj_t)BgL_vz00_716),BUNSPEC);} 

}



/* &lambda1364 */
obj_t BGl_z62lambda1364z62zz__flac_decoderz00(obj_t BgL_envz00_717, obj_t BgL_oz00_718)
{
{ /* Llib/flac_decoder.scm 37 */
return 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_718)))->BgL_z52inseekz52);} 

}



/* &<@anonymous:1357> */
obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_719)
{
{ /* Llib/flac_decoder.scm 37 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1356 */
obj_t BGl_z62lambda1356z62zz__flac_decoderz00(obj_t BgL_envz00_720, obj_t BgL_oz00_721, obj_t BgL_vz00_722)
{
{ /* Llib/flac_decoder.scm 37 */
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_721)))->BgL_z52flacz52)=((obj_t)BgL_vz00_722),BUNSPEC);} 

}



/* &lambda1355 */
obj_t BGl_z62lambda1355z62zz__flac_decoderz00(obj_t BgL_envz00_723, obj_t BgL_oz00_724)
{
{ /* Llib/flac_decoder.scm 37 */
return 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_724)))->BgL_z52flacz52);} 

}



/* &<@anonymous:1206> */
obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_725, obj_t BgL_new1076z00_726)
{
{ /* Llib/flac_decoder.scm 28 */
{ 
 BgL_flacdecz00_bglt BgL_auxz00_1277;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_outbufz00)=((obj_t)BGl_string2016z00zz__flac_decoderz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1076z00_726))))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1076z00_726)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1277 = 
((BgL_flacdecz00_bglt)BgL_new1076z00_726); 
return 
((obj_t)BgL_auxz00_1277);} } 

}



/* &lambda1203 */
BgL_flacdecz00_bglt BGl_z62lambda1203z62zz__flac_decoderz00(obj_t BgL_envz00_727)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 BgL_flacdecz00_bglt BgL_new1075z00_892;
BgL_new1075z00_892 = 
((BgL_flacdecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacdecz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 28 */
 long BgL_arg1205z00_893;
BgL_arg1205z00_893 = 
BGL_CLASS_NUM(BGl_flacdecz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_892), BgL_arg1205z00_893); } 
return BgL_new1075z00_892;} } 

}



/* &<@anonymous:1289> */
obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_728)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(((long)0));} 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__flac_decoderz00(obj_t BgL_envz00_729, obj_t BgL_oz00_730, obj_t BgL_vz00_731)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_895;
BgL_vz00_895 = 
CINT(BgL_vz00_731); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_730)))->BgL_z52lastzd2percentagez80)=((int)BgL_vz00_895),BUNSPEC);} } 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__flac_decoderz00(obj_t BgL_envz00_732, obj_t BgL_oz00_733)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_733)))->BgL_z52lastzd2percentagez80));} 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_734)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(((long)50));} 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__flac_decoderz00(obj_t BgL_envz00_735, obj_t BgL_oz00_736, obj_t BgL_vz00_737)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_898;
BgL_vz00_898 = 
CINT(BgL_vz00_737); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_736)))->BgL_z52ratezd2minz80)=((int)BgL_vz00_898),BUNSPEC);} } 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__flac_decoderz00(obj_t BgL_envz00_738, obj_t BgL_oz00_739)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_739)))->BgL_z52ratezd2minz80));} 

}



/* &<@anonymous:1265> */
obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_740)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(((long)80));} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__flac_decoderz00(obj_t BgL_envz00_741, obj_t BgL_oz00_742, obj_t BgL_vz00_743)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_901;
BgL_vz00_901 = 
CINT(BgL_vz00_743); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_742)))->BgL_z52ratezd2maxz80)=((int)BgL_vz00_901),BUNSPEC);} } 

}



/* &lambda1263 */
obj_t BGl_z62lambda1263z62zz__flac_decoderz00(obj_t BgL_envz00_744, obj_t BgL_oz00_745)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_745)))->BgL_z52ratezd2maxz80));} 

}



/* &<@anonymous:1245> */
obj_t BGl_z62zc3z04anonymousza31245ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_746)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(((long)80));} 

}



/* &lambda1244 */
obj_t BGl_z62lambda1244z62zz__flac_decoderz00(obj_t BgL_envz00_747, obj_t BgL_oz00_748, obj_t BgL_vz00_749)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_904;
BgL_vz00_904 = 
CINT(BgL_vz00_749); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_748)))->BgL_z52ratez52)=((int)BgL_vz00_904),BUNSPEC);} } 

}



/* &lambda1243 */
obj_t BGl_z62lambda1243z62zz__flac_decoderz00(obj_t BgL_envz00_750, obj_t BgL_oz00_751)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_751)))->BgL_z52ratez52));} 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_752)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__flac_decoderz00(obj_t BgL_envz00_753, obj_t BgL_oz00_754, obj_t BgL_vz00_755)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_754)))->BgL_z52decoderz52)=((obj_t)BgL_vz00_755),BUNSPEC);} 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__flac_decoderz00(obj_t BgL_envz00_756, obj_t BgL_oz00_757)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_757)))->BgL_z52decoderz52);} 

}



/* &<@anonymous:1227> */
obj_t BGl_z62zc3z04anonymousza31227ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_758)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1226 */
obj_t BGl_z62lambda1226z62zz__flac_decoderz00(obj_t BgL_envz00_759, obj_t BgL_oz00_760, obj_t BgL_vz00_761)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_760)))->BgL_z52bufferz52)=((obj_t)BgL_vz00_761),BUNSPEC);} 

}



/* &lambda1225 */
obj_t BGl_z62lambda1225z62zz__flac_decoderz00(obj_t BgL_envz00_762, obj_t BgL_oz00_763)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_763)))->BgL_z52bufferz52);} 

}



/* &<@anonymous:1217> */
obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_764)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1216 */
obj_t BGl_z62lambda1216z62zz__flac_decoderz00(obj_t BgL_envz00_765, obj_t BgL_oz00_766, obj_t BgL_vz00_767)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_766)))->BgL_z52musicz52)=((obj_t)BgL_vz00_767),BUNSPEC);} 

}



/* &lambda1215 */
obj_t BGl_z62lambda1215z62zz__flac_decoderz00(obj_t BgL_envz00_768, obj_t BgL_oz00_769)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_769)))->BgL_z52musicz52);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2017z00zz__flac_decoderz00, BGl_string2018z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2019z00zz__flac_decoderz00, BGl_string2020z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2021z00zz__flac_decoderz00, BGl_string2022z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2023z00zz__flac_decoderz00, BGl_string2024z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2025z00zz__flac_decoderz00, BGl_string2026z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2027z00zz__flac_decoderz00, BGl_string2028z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2029z00zz__flac_decoderz00, BGl_string2030z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2031z00zz__flac_decoderz00, BGl_string2032z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2033z00zz__flac_decoderz00, BGl_string2034z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2035z00zz__flac_decoderz00, BGl_string2036z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2037z00zz__flac_decoderz00, BGl_string2038z00zz__flac_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2039z00zz__flac_decoderz00, BGl_string2040z00zz__flac_decoderz00);} 

}



/* &flac-decoder-length-1153 */
obj_t BGl_z62flaczd2decoderzd2lengthzd21153zb0zz__flac_decoderz00(obj_t BgL_envz00_790, obj_t BgL_oz00_791)
{
{ /* Llib/flac_decoder.scm 272 */
{ /* Llib/flac_decoder.scm 274 */
 BgL_flacmusicdecoderz00_bglt BgL_i1120z00_913;
BgL_i1120z00_913 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_791)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 275 */
 BgL_flacdecz00_bglt BgL_i1121z00_914;
BgL_i1121z00_914 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1120z00_913))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 276 */
 obj_t BgL_arg1829z00_915;
BgL_arg1829z00_915 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1121z00_914))->BgL_z52bufferz52); 
return 
BGl_musicbufferzd2lengthzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1829z00_915));} } } } 

}



/* &flac-decoder-seek-fl1151 */
obj_t BGl_z62flaczd2decoderzd2seekzd2fl1151zb0zz__flac_decoderz00(obj_t BgL_envz00_792, obj_t BgL_oz00_793, obj_t BgL_offz00_794)
{
{ /* Llib/flac_decoder.scm 261 */
{ /* Llib/flac_decoder.scm 263 */
 BgL_flacmusicdecoderz00_bglt BgL_i1118z00_917;
BgL_i1118z00_917 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_793)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 264 */
 bool_t BgL_test2119z00_1399;
{ /* Llib/flac_decoder.scm 264 */
 obj_t BgL_arg1828z00_918;
BgL_arg1828z00_918 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_793)))->BgL_z52bufferz52); 
{ /* Llib/flac_decoder.scm 264 */
 obj_t BgL_classz00_919;
BgL_classz00_919 = BGl_musicbufferz00zz__multimediazd2musicbufzd2; 
if(
BGL_OBJECTP(BgL_arg1828z00_918))
{ /* Llib/flac_decoder.scm 264 */
 BgL_objectz00_bglt BgL_arg1797z00_920;
BgL_arg1797z00_920 = 
(BgL_objectz00_bglt)(BgL_arg1828z00_918); 
{ /* Llib/flac_decoder.scm 264 */
 bool_t BgL_arg1794z00_921; bool_t BgL_arg1795z00_922;
{ /* Llib/flac_decoder.scm 264 */
 long BgL_idxz00_923;
BgL_idxz00_923 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_920); 
BgL_arg1794z00_921 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_923+((long)1)))==BgL_classz00_919); } 
{ /* Llib/flac_decoder.scm 264 */
 bool_t BgL_res1831z00_926;
{ /* Llib/flac_decoder.scm 264 */
 obj_t BgL_oclassz00_927;
{ /* Llib/flac_decoder.scm 264 */
 long BgL_arg1804z00_928;
{ /* Llib/flac_decoder.scm 264 */
 long BgL_arg1805z00_929;
BgL_arg1805z00_929 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_920); 
BgL_arg1804z00_928 = 
(BgL_arg1805z00_929-OBJECT_TYPE); } 
BgL_oclassz00_927 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_928); } 
{ /* Llib/flac_decoder.scm 264 */
 bool_t BgL__ortest_1111z00_930;
BgL__ortest_1111z00_930 = 
(BgL_classz00_919==BgL_oclassz00_927); 
if(BgL__ortest_1111z00_930)
{ /* Llib/flac_decoder.scm 264 */
BgL_res1831z00_926 = BgL__ortest_1111z00_930; }  else 
{ /* Llib/flac_decoder.scm 264 */
 long BgL_odepthz00_931;
BgL_odepthz00_931 = 
BGL_CLASS_DEPTH(BgL_oclassz00_927); 
if(
(((long)1)<BgL_odepthz00_931))
{ /* Llib/flac_decoder.scm 264 */
 obj_t BgL_arg1793z00_932;
BgL_arg1793z00_932 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_927, ((long)1)); 
BgL_res1831z00_926 = 
(BgL_arg1793z00_932==BgL_classz00_919); }  else 
{ /* Llib/flac_decoder.scm 264 */
BgL_res1831z00_926 = ((bool_t)0); } } } } 
BgL_arg1795z00_922 = BgL_res1831z00_926; } 
BgL_test2119z00_1399 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_921, BgL_arg1795z00_922); } }  else 
{ /* Llib/flac_decoder.scm 264 */
BgL_test2119z00_1399 = ((bool_t)0)
; } } } 
if(BgL_test2119z00_1399)
{ /* Llib/flac_decoder.scm 264 */
{ /* Llib/flac_decoder.scm 265 */
 obj_t BgL_arg1827z00_933;
BgL_arg1827z00_933 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_793)))->BgL_z52bufferz52); 
BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1827z00_933), BgL_offz00_794); } 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1118z00_917))->BgL_z52inseekz52)=((obj_t)BFALSE),BUNSPEC); 
return BTRUE;}  else 
{ /* Llib/flac_decoder.scm 264 */
return BFALSE;} } } } 

}



/* &flac-decoder-tell-fl1149 */
obj_t BGl_z62flaczd2decoderzd2tellzd2fl1149zb0zz__flac_decoderz00(obj_t BgL_envz00_795, obj_t BgL_oz00_796)
{
{ /* Llib/flac_decoder.scm 251 */
{ /* Llib/flac_decoder.scm 253 */
 BgL_flacmusicdecoderz00_bglt BgL_i1115z00_935;
BgL_i1115z00_935 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_796)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 254 */
 BgL_flacdecz00_bglt BgL_i1116z00_936;
BgL_i1116z00_936 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1115z00_935))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 255 */
 bool_t BgL_test2123z00_1430;
{ /* Llib/flac_decoder.scm 255 */
 obj_t BgL_arg1824z00_937;
BgL_arg1824z00_937 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1116z00_936))->BgL_z52bufferz52); 
{ /* Llib/flac_decoder.scm 255 */
 obj_t BgL_classz00_938;
BgL_classz00_938 = BGl_musicbufferz00zz__multimediazd2musicbufzd2; 
if(
BGL_OBJECTP(BgL_arg1824z00_937))
{ /* Llib/flac_decoder.scm 255 */
 BgL_objectz00_bglt BgL_arg1797z00_939;
BgL_arg1797z00_939 = 
(BgL_objectz00_bglt)(BgL_arg1824z00_937); 
{ /* Llib/flac_decoder.scm 255 */
 bool_t BgL_arg1794z00_940; bool_t BgL_arg1795z00_941;
{ /* Llib/flac_decoder.scm 255 */
 long BgL_idxz00_942;
BgL_idxz00_942 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_939); 
BgL_arg1794z00_940 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_942+((long)1)))==BgL_classz00_938); } 
{ /* Llib/flac_decoder.scm 255 */
 bool_t BgL_res1830z00_945;
{ /* Llib/flac_decoder.scm 255 */
 obj_t BgL_oclassz00_946;
{ /* Llib/flac_decoder.scm 255 */
 long BgL_arg1804z00_947;
{ /* Llib/flac_decoder.scm 255 */
 long BgL_arg1805z00_948;
BgL_arg1805z00_948 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_939); 
BgL_arg1804z00_947 = 
(BgL_arg1805z00_948-OBJECT_TYPE); } 
BgL_oclassz00_946 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_947); } 
{ /* Llib/flac_decoder.scm 255 */
 bool_t BgL__ortest_1111z00_949;
BgL__ortest_1111z00_949 = 
(BgL_classz00_938==BgL_oclassz00_946); 
if(BgL__ortest_1111z00_949)
{ /* Llib/flac_decoder.scm 255 */
BgL_res1830z00_945 = BgL__ortest_1111z00_949; }  else 
{ /* Llib/flac_decoder.scm 255 */
 long BgL_odepthz00_950;
BgL_odepthz00_950 = 
BGL_CLASS_DEPTH(BgL_oclassz00_946); 
if(
(((long)1)<BgL_odepthz00_950))
{ /* Llib/flac_decoder.scm 255 */
 obj_t BgL_arg1793z00_951;
BgL_arg1793z00_951 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_946, ((long)1)); 
BgL_res1830z00_945 = 
(BgL_arg1793z00_951==BgL_classz00_938); }  else 
{ /* Llib/flac_decoder.scm 255 */
BgL_res1830z00_945 = ((bool_t)0); } } } } 
BgL_arg1795z00_941 = BgL_res1830z00_945; } 
BgL_test2123z00_1430 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_940, BgL_arg1795z00_941); } }  else 
{ /* Llib/flac_decoder.scm 255 */
BgL_test2123z00_1430 = ((bool_t)0)
; } } } 
if(BgL_test2123z00_1430)
{ /* Llib/flac_decoder.scm 256 */
 obj_t BgL_arg1823z00_952;
BgL_arg1823z00_952 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1116z00_936))->BgL_z52bufferz52); 
return 
BGl_musicbufferzd2tellzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1823z00_952));}  else 
{ /* Llib/flac_decoder.scm 255 */
return BFALSE;} } } } } 

}



/* &flac-decoder-read-fl1147 */
obj_t BGl_z62flaczd2decoderzd2readzd2fl1147zb0zz__flac_decoderz00(obj_t BgL_envz00_797, obj_t BgL_oz00_798, obj_t BgL_siza7eza7_799)
{
{ /* Llib/flac_decoder.scm 143 */
{ /* Llib/flac_decoder.scm 144 */
 long BgL_siza7eza7_954;
BgL_siza7eza7_954 = 
(long)CINT(BgL_siza7eza7_799); 
{ /* Llib/flac_decoder.scm 146 */
 BgL_musicdecoderz00_bglt BgL_i1105z00_955;
BgL_i1105z00_955 = 
((BgL_musicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 147 */
 BgL_musicbufferz00_bglt BgL_i1106z00_956;
BgL_i1106z00_956 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52bufferz52)); 
{ /* Llib/flac_decoder.scm 147 */
 long BgL_inlenz00_957;
BgL_inlenz00_957 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52inlenz52); 
{ /* Llib/flac_decoder.scm 155 */
 char * BgL_flacbufz00_958;
{ /* Llib/flac_decoder.scm 155 */
 obj_t BgL_arg1820z00_959;
BgL_arg1820z00_959 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_798))))->BgL_z52flacbufz52); 
BgL_flacbufz00_958 = 
CUSTOM_IDENTIFIER(BgL_arg1820z00_959); } 
{ 

{ 

{ 
 long BgL_siza7eza7_972;
{ 
 long BgL_siza7eza7_979; long BgL_iz00_980;
BgL_siza7eza7_979 = BgL_siza7eza7_954; 
BgL_iz00_980 = ((long)0); 
BgL_loopz00_978:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52z12dpausez40))
{ /* Llib/flac_decoder.scm 200 */
{ /* Llib/flac_decoder.scm 201 */
 obj_t BgL_arg1576z00_981;
BgL_arg1576z00_981 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1576z00_981), 
CNST_TABLE_REF(((long)14))); } 
{ /* Llib/flac_decoder.scm 203 */
 BgL_musicz00_bglt BgL_i1110z00_982;
BgL_i1110z00_982 = 
((BgL_musicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52musicz52)); 
{ /* Llib/flac_decoder.scm 204 */
 BgL_musicstatusz00_bglt BgL_i1111z00_983;
BgL_i1111z00_983 = 
(((BgL_musicz00_bglt)COBJECT(BgL_i1110z00_982))->BgL_z52statusz52); 
{ 
 obj_t BgL_auxz00_1476;
{ /* Llib/flac_decoder.scm 206 */
 obj_t BgL_arg1590z00_984; obj_t BgL_arg1591z00_985;
BgL_arg1590z00_984 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52decoderz52); 
BgL_arg1591z00_985 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52bufferz52); 
BgL_auxz00_1476 = 
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_arg1590z00_984), 
((BgL_musicbufferz00_bglt)BgL_arg1591z00_985))); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1111z00_983))->BgL_songposz00)=((obj_t)BgL_auxz00_1476),BUNSPEC); } } } 
{ /* Llib/flac_decoder.scm 207 */
 obj_t BgL_mutex1592z00_986;
BgL_mutex1592z00_986 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1592z00_986); 
{ /* Llib/flac_decoder.scm 207 */
 bool_t BgL_tmp2128z00_1487;
{ 

BgL_liipz00_987:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52z12dpausez40))
{ /* Llib/flac_decoder.scm 209 */
{ /* Llib/flac_decoder.scm 210 */
 obj_t BgL_arg1595z00_988; obj_t BgL_arg1609z00_989;
BgL_arg1595z00_988 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52dcondvz52); 
BgL_arg1609z00_989 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52dmutexz52); 
{ /* Llib/flac_decoder.scm 210 */

BGL_CONDVAR_WAIT(BgL_arg1595z00_988, BgL_arg1609z00_989); } } 
goto BgL_liipz00_987;}  else 
{ /* Llib/flac_decoder.scm 209 */
BgL_tmp2128z00_1487 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1592z00_986); BgL_tmp2128z00_1487; } } 
{ /* Llib/flac_decoder.scm 212 */
 obj_t BgL_arg1611z00_990;
BgL_arg1611z00_990 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1611z00_990), 
CNST_TABLE_REF(((long)15))); } 
{ 

goto BgL_loopz00_978;} }  else 
{ /* Llib/flac_decoder.scm 200 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52z12dabortz40))
{ /* Llib/flac_decoder.scm 214 */
return 
BINT(((long)-1));}  else 
{ /* Llib/flac_decoder.scm 214 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 217 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 219 */
return BEOF;}  else 
{ /* Llib/flac_decoder.scm 219 */
{ /* Llib/flac_decoder.scm 222 */
 BgL_musicz00_bglt BgL_i1112z00_991;
BgL_i1112z00_991 = 
((BgL_musicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52musicz52)); 
{ 
 int BgL_auxz00_1510;
{ /* Llib/flac_decoder.scm 225 */
 long BgL_tmpz00_1512;
{ /* Llib/flac_decoder.scm 160 */
 BGL_LONGLONG_T BgL_arg1796z00_961;
{ /* Llib/flac_decoder.scm 160 */
 BGL_LONGLONG_T BgL_arg1798z00_962; BGL_LONGLONG_T BgL_arg1808z00_963;
{ /* Llib/flac_decoder.scm 160 */
 BGL_LONGLONG_T BgL_arg1809z00_964;
{ /* Llib/flac_decoder.scm 160 */
 long BgL_arg1812z00_965;
{ /* Llib/flac_decoder.scm 160 */
 obj_t BgL_arg1813z00_966;
BgL_arg1813z00_966 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52bufferz52); 
BgL_arg1812z00_965 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1813z00_966)); } 
BgL_arg1809z00_964 = 
LONG_TO_LLONG(BgL_arg1812z00_965); } 
BgL_arg1798z00_962 = 
(((BGL_LONGLONG_T)100)*BgL_arg1809z00_964); } 
BgL_arg1808z00_963 = 
LONG_TO_LLONG(BgL_inlenz00_957); 
BgL_arg1796z00_961 = 
(BgL_arg1798z00_962/BgL_arg1808z00_963); } 
BgL_tmpz00_1512 = 
LLONG_TO_LONG(BgL_arg1796z00_961); } 
BgL_auxz00_1510 = 
(int)(BgL_tmpz00_1512); } 
((((BgL_musicstatusz00_bglt)COBJECT(
(((BgL_musicz00_bglt)COBJECT(BgL_i1112z00_991))->BgL_z52statusz52)))->BgL_bufferingz00)=((int)BgL_auxz00_1510),BUNSPEC); } } 
{ /* Llib/flac_decoder.scm 226 */
 obj_t BgL_arg1622z00_992;
BgL_arg1622z00_992 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1622z00_992), 
CNST_TABLE_REF(((long)16))); } 
{ /* Llib/flac_decoder.scm 227 */
 obj_t BgL_mutex1623z00_993;
BgL_mutex1623z00_993 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 227 */
 obj_t BgL_top2134z00_1531;
BgL_top2134z00_1531 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1623z00_993); 
BGL_EXITD_PUSH_PROTECT(BgL_top2134z00_1531, BgL_mutex1623z00_993); BUNSPEC; 
{ /* Llib/flac_decoder.scm 227 */
 bool_t BgL_tmp2133z00_1530;
{ /* Llib/flac_decoder.scm 229 */
 bool_t BgL_test2135z00_1535;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 229 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 229 */
BgL_test2135z00_1535 = ((bool_t)1)
; }  else 
{ /* Llib/flac_decoder.scm 229 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1105z00_955))->BgL_z52z12dabortz40))
{ /* Llib/flac_decoder.scm 229 */
BgL_test2135z00_1535 = ((bool_t)1)
; }  else 
{ /* Llib/flac_decoder.scm 229 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 165 */
BgL_test2135z00_1535 = ((bool_t)0)
; }  else 
{ /* Llib/flac_decoder.scm 166 */
 long BgL_arg1770z00_968;
{ /* Llib/flac_decoder.scm 166 */
 long BgL_arg1777z00_969;
{ /* Llib/flac_decoder.scm 166 */
 obj_t BgL_arg1789z00_970;
BgL_arg1789z00_970 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52bufferz52); 
BgL_arg1777z00_969 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1789z00_970)); } 
BgL_arg1770z00_968 = 
(((long)4)*BgL_arg1777z00_969); } 
BgL_test2135z00_1535 = 
(BgL_arg1770z00_968>BgL_inlenz00_957); } } } }  else 
{ /* Llib/flac_decoder.scm 229 */
BgL_test2135z00_1535 = ((bool_t)1)
; } 
if(BgL_test2135z00_1535)
{ /* Llib/flac_decoder.scm 229 */
BgL_tmp2133z00_1530 = ((bool_t)0); }  else 
{ /* Llib/flac_decoder.scm 233 */
 obj_t BgL_arg1642z00_994; obj_t BgL_arg1643z00_995;
BgL_arg1642z00_994 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52bcondvz52); 
BgL_arg1643z00_995 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 233 */

BgL_tmp2133z00_1530 = 
BGL_CONDVAR_WAIT(BgL_arg1642z00_994, BgL_arg1643z00_995); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2134z00_1531); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1623z00_993); BgL_tmp2133z00_1530; } } } 
{ /* Llib/flac_decoder.scm 234 */
 obj_t BgL_arg1651z00_996;
BgL_arg1651z00_996 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1651z00_996), 
CNST_TABLE_REF(((long)15))); } 
{ 

goto BgL_loopz00_978;} } }  else 
{ /* Llib/flac_decoder.scm 237 */
 long BgL_sz00_997;
{ /* Llib/flac_decoder.scm 237 */
 long BgL_bz00_998;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52tailz52)))
{ /* Llib/flac_decoder.scm 238 */
BgL_bz00_998 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52tailz52)); }  else 
{ /* Llib/flac_decoder.scm 238 */
BgL_bz00_998 = 
(BgL_inlenz00_957-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52tailz52)); } 
if(
(BgL_siza7eza7_979<BgL_bz00_998))
{ /* Llib/flac_decoder.scm 238 */
BgL_sz00_997 = BgL_siza7eza7_979; }  else 
{ /* Llib/flac_decoder.scm 238 */
BgL_sz00_997 = BgL_bz00_998; } } 
if(
(BgL_sz00_997>((long)0)))
{ /* Llib/flac_decoder.scm 241 */
{ /* Llib/flac_decoder.scm 242 */
 char * BgL_arg1653z00_999; long BgL_arg1654z00_1000;
BgL_arg1653z00_999 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52inbufpz52); 
BgL_arg1654z00_1000 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52tailz52); 
BGL_FLAC_BLIT_STRING(BgL_arg1653z00_999, BgL_arg1654z00_1000, BgL_flacbufz00_958, BgL_iz00_980, BgL_sz00_997); BUNSPEC; } 
BgL_siza7eza7_972 = BgL_sz00_997; 
{ /* Llib/flac_decoder.scm 170 */
 long BgL_ntailz00_973;
BgL_ntailz00_973 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52tailz52)+BgL_siza7eza7_972); 
if(
(BgL_ntailz00_973==BgL_inlenz00_957))
{ /* Llib/flac_decoder.scm 171 */
BgL_ntailz00_973 = ((long)0); }  else 
{ /* Llib/flac_decoder.scm 171 */BFALSE; } 
if(
(BgL_ntailz00_973==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52headz52)))
{ /* Llib/flac_decoder.scm 174 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52))<((long)80)))
{ /* Llib/flac_decoder.scm 175 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 175 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 174 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52tailz52)=((long)BgL_ntailz00_973),BUNSPEC); } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 179 */BFALSE; }  else 
{ /* Llib/flac_decoder.scm 182 */
 long BgL_availz00_974;
{ /* Llib/flac_decoder.scm 182 */
 obj_t BgL_arg1766z00_975;
BgL_arg1766z00_975 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52bufferz52); 
BgL_availz00_974 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1766z00_975)); } 
{ /* Llib/flac_decoder.scm 182 */
 long BgL_pz00_976;
BgL_pz00_976 = 
(
(BgL_availz00_974*((long)100))/BgL_inlenz00_957); 
{ /* Llib/flac_decoder.scm 183 */

if(
(BgL_pz00_976<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52))))
{ /* Llib/flac_decoder.scm 185 */
{ /* Llib/flac_decoder.scm 187 */
 obj_t BgL_mutex1714z00_977;
BgL_mutex1714z00_977 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1714z00_977); 
{ /* Llib/flac_decoder.scm 187 */
 bool_t BgL_tmp2148z00_1607;
{ /* Llib/flac_decoder.scm 188 */
 obj_t BgL_tmpz00_1609;
BgL_tmpz00_1609 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1106z00_956))->BgL_z52bcondvz52); 
BgL_tmp2148z00_1607 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1609); } 
BGL_MUTEX_UNLOCK(BgL_mutex1714z00_977); BgL_tmp2148z00_1607; } } 
{ /* Llib/flac_decoder.scm 189 */
 bool_t BgL_test2149z00_1613;
if(
(BgL_pz00_976<=
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52lastzd2percentagez80))))
{ /* Llib/flac_decoder.scm 189 */
BgL_test2149z00_1613 = 
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52))<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratezd2maxz80)))
; }  else 
{ /* Llib/flac_decoder.scm 189 */
BgL_test2149z00_1613 = ((bool_t)0)
; } 
if(BgL_test2149z00_1613)
{ /* Llib/flac_decoder.scm 189 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52))+((long)10)))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 189 */BFALSE; } } }  else 
{ /* Llib/flac_decoder.scm 185 */
if(
(BgL_pz00_976>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_decoder.scm 191 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52))>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_decoder.scm 192 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52ratez52))-((long)1)))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 192 */BFALSE; } }  else 
{ /* Llib/flac_decoder.scm 191 */BFALSE; } } 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_798)))->BgL_z52lastzd2percentagez80)=((int)
(int)(BgL_pz00_976)),BUNSPEC); BUNSPEC; } } } }  else 
{ /* Llib/flac_decoder.scm 241 */BFALSE; } 
if(
(BgL_sz00_997<BgL_siza7eza7_979))
{ 
 long BgL_iz00_1660; long BgL_siza7eza7_1658;
BgL_siza7eza7_1658 = 
(BgL_siza7eza7_979-BgL_sz00_997); 
BgL_iz00_1660 = 
(BgL_iz00_980+BgL_sz00_997); 
BgL_iz00_980 = BgL_iz00_1660; 
BgL_siza7eza7_979 = BgL_siza7eza7_1658; 
goto BgL_loopz00_978;}  else 
{ /* Llib/flac_decoder.scm 244 */
return 
BINT(
(BgL_iz00_980+BgL_sz00_997));} } } } } } } } } } } } } } 

}



/* &musicdecoder-seek-fl1145 */
obj_t BGl_z62musicdecoderzd2seekzd2fl1145z62zz__flac_decoderz00(obj_t BgL_envz00_800, obj_t BgL_oz00_801, obj_t BgL_secz00_802)
{
{ /* Llib/flac_decoder.scm 130 */
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_801)))->BgL_z52inseekz52)))
{ /* Llib/flac_decoder.scm 132 */
return BFALSE;}  else 
{ /* Llib/flac_decoder.scm 132 */
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_801)))->BgL_z52inseekz52)=((obj_t)BTRUE),BUNSPEC); 
{ /* Llib/flac_decoder.scm 134 */
 BgL_flacdecz00_bglt BgL_i1103z00_1002;
BgL_i1103z00_1002 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_801)))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 135 */
 unsigned long BgL_bpsz00_1003;
{ /* Llib/flac_decoder.scm 135 */
 FLAC__StreamDecoder * BgL_arg1572z00_1004;
BgL_arg1572z00_1004 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1103z00_1002)))->BgL_z42builtinz42); 
BgL_bpsz00_1003 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_arg1572z00_1004); } 
{ /* Llib/flac_decoder.scm 135 */
 unsigned long BgL_sratez00_1005;
{ /* Llib/flac_decoder.scm 136 */
 FLAC__StreamDecoder * BgL_arg1564z00_1006;
BgL_arg1564z00_1006 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1103z00_1002)))->BgL_z42builtinz42); 
BgL_sratez00_1005 = 
FLAC__stream_decoder_get_sample_rate(BgL_arg1564z00_1006); } 
{ /* Llib/flac_decoder.scm 136 */
 BGL_LONGLONG_T BgL_offz00_1007;
{ /* Llib/flac_decoder.scm 137 */
 BGL_LONGLONG_T BgL_arg1555z00_1008; BGL_LONGLONG_T BgL_arg1563z00_1009;
{ /* Llib/flac_decoder.scm 137 */
 long BgL_tmpz00_1679;
BgL_tmpz00_1679 = 
(long)(BgL_sratez00_1005); 
BgL_arg1555z00_1008 = 
LONG_TO_LLONG(BgL_tmpz00_1679); } 
{ /* Llib/flac_decoder.scm 137 */
 long BgL_tmpz00_1682;
BgL_tmpz00_1682 = 
(long)CINT(BgL_secz00_802); 
BgL_arg1563z00_1009 = 
LONG_TO_LLONG(BgL_tmpz00_1682); } 
BgL_offz00_1007 = 
(BgL_arg1555z00_1008*BgL_arg1563z00_1009); } 
{ /* Llib/flac_decoder.scm 137 */

{ /* Llib/flac_decoder.scm 138 */
 FLAC__StreamDecoder * BgL_arg1554z00_1010;
BgL_arg1554z00_1010 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1103z00_1002)))->BgL_z42builtinz42); 
{ /* Llib/flac_decoder.scm 138 */
 long BgL_tmpz00_1688;
{ /* Llib/flac_decoder.scm 138 */
 unsigned BGL_LONGLONG_T BgL_tmpz00_1689;
BgL_tmpz00_1689 = 
(unsigned BGL_LONGLONG_T)(BgL_offz00_1007); 
BgL_tmpz00_1688 = 
FLAC__stream_decoder_seek_absolute(BgL_arg1554z00_1010, BgL_tmpz00_1689); } 
return 
BINT(BgL_tmpz00_1688);} } } } } } } } } 

}



/* &musicdecoder-volume-1143 */
obj_t BGl_z62musicdecoderzd2volumezd21143z62zz__flac_decoderz00(obj_t BgL_envz00_803, obj_t BgL_oz00_804, obj_t BgL_volz00_805)
{
{ /* Llib/flac_decoder.scm 123 */
{ /* Llib/flac_decoder.scm 125 */
 obj_t BgL_arg1541z00_1012;
BgL_arg1541z00_1012 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_804)))->BgL_z52flacz52); 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1541z00_1012), BgL_volz00_805);} } 

}



/* &musicdecoder-info-fl1141 */
obj_t BGl_z62musicdecoderzd2infozd2fl1141z62zz__flac_decoderz00(obj_t BgL_envz00_806, obj_t BgL_oz00_807)
{
{ /* Llib/flac_decoder.scm 116 */
{ /* Llib/flac_decoder.scm 117 */
 long BgL_tmpz00_1697;
{ /* Llib/flac_decoder.scm 118 */
 obj_t BgL_arg1536z00_1014;
BgL_arg1536z00_1014 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_807)))->BgL_z52flacz52); 
BgL_tmpz00_1697 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1536z00_1014)); } 
return 
BINT(BgL_tmpz00_1697);} } 

}



/* &musicdecoder-positio1139 */
obj_t BGl_z62musicdecoderzd2positio1139zb0zz__flac_decoderz00(obj_t BgL_envz00_808, obj_t BgL_oz00_809, obj_t BgL_abufz00_810)
{
{ /* Llib/flac_decoder.scm 109 */
{ /* Llib/flac_decoder.scm 110 */
 long BgL_tmpz00_1703;
{ /* Llib/flac_decoder.scm 111 */
 obj_t BgL_arg1535z00_1016;
BgL_arg1535z00_1016 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_809)))->BgL_z52flacz52); 
BgL_tmpz00_1703 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1535z00_1016)); } 
return 
BINT(BgL_tmpz00_1703);} } 

}



/* &musicdecoder-reset!-1137 */
obj_t BGl_z62musicdecoderzd2resetz12zd21137z70zz__flac_decoderz00(obj_t BgL_envz00_811, obj_t BgL_oz00_812)
{
{ /* Llib/flac_decoder.scm 101 */
{ 

{ /* Llib/flac_decoder.scm 103 */
 obj_t BgL_arg1456z00_1020;
BgL_arg1456z00_1020 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_812)))->BgL_z52flacz52); 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1456z00_1020)); } 
{ /* Llib/flac_decoder.scm 101 */
 obj_t BgL_nextzd2method1136zd2_1019;
BgL_nextzd2method1136zd2_1019 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_812)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1136zd2_1019)(BgL_nextzd2method1136zd2_1019, 
((obj_t)
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_812)), BEOA);} } } 

}



/* &flac-decoder-write-f1135 */
obj_t BGl_z62flaczd2decoderzd2writezd2f1135zb0zz__flac_decoderz00(obj_t BgL_envz00_813, obj_t BgL_oz00_814, obj_t BgL_siza7eza7_815, obj_t BgL_ratez00_816, obj_t BgL_channelsz00_817, obj_t BgL_bpsz00_818)
{
{ /* Llib/flac_decoder.scm 92 */
if(
(
(long)CINT(BgL_siza7eza7_815)>((long)0)))
{ /* Llib/flac_decoder.scm 94 */
{ /* Llib/flac_decoder.scm 95 */
 obj_t BgL_arg1414z00_1022; obj_t BgL_arg1455z00_1023;
BgL_arg1414z00_1022 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_814)))->BgL_z52musicz52); 
BgL_arg1455z00_1023 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_814))))->BgL_outbufz00); 
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_arg1414z00_1022), BgL_arg1455z00_1023, 
(long)CINT(BgL_siza7eza7_815)); } 
return BTRUE;}  else 
{ /* Llib/flac_decoder.scm 94 */
return BFALSE;} } 

}



/* &flac-decoder-reset!-1133 */
obj_t BGl_z62flaczd2decoderzd2resetz12zd21133za2zz__flac_decoderz00(obj_t BgL_envz00_819, obj_t BgL_oz00_820)
{
{ /* Llib/flac_decoder.scm 81 */
{ 

((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_820)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_820)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_820))))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_820))))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
{ /* Llib/flac_decoder.scm 81 */
 obj_t BgL_nextzd2method1132zd2_1026;
BgL_nextzd2method1132zd2_1026 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_820)), BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1132zd2_1026)(BgL_nextzd2method1132zd2_1026, 
((obj_t)
((BgL_flacdecz00_bglt)BgL_oz00_820)), BEOA);} } } 

}



/* &musicdecoder-init-fl1131 */
obj_t BGl_z62musicdecoderzd2initzd2fl1131z62zz__flac_decoderz00(obj_t BgL_envz00_821, obj_t BgL_decz00_822)
{
{ /* Llib/flac_decoder.scm 73 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_822))))->BgL_mimetypesz00)))
{ /* Llib/flac_decoder.scm 75 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_822))))->BgL_mimetypesz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC);}  else 
{ /* Llib/flac_decoder.scm 75 */
return BFALSE;} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_decoderz00()
{
{ /* Llib/flac_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__flac_flacz00(((long)107017853), 
BSTRING_TO_STRING(BGl_string2041z00zz__flac_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
