/*===========================================================================*/
/*   (Llib/flac_padec.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_padec.scm -o objs/flac_padec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/error.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>
#include <pulse/simple.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_pulseaudiozd2simplezd2_bgl {
   header_t header;
   obj_t widening;
   pa_simple * BgL_z42builtinz42;
   obj_t BgL_srvnamez00;
   obj_t BgL_namez00;
   obj_t BgL_streamz00;
   long BgL_ratez00;
   long BgL_channelsz00;
   int BgL_bpsz00;
   obj_t BgL_formatz00;
} *BgL_pulseaudiozd2simplezd2_bglt;

typedef struct BgL_pulseaudiomusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_pulseaudiozd2simplezd2_bgl * BgL_simplez00;
   obj_t BgL_namez00;
} *BgL_pulseaudiomusicz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;

typedef struct BgL_flacpadecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacpadecz00_bglt;

typedef struct BgL_flaczd2pulseaudiodecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flaczd2pulseaudiodecoderzd2_bglt;


BGL_IMPORT obj_t BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00;
static obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_padecz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31220ze3ze5zz__flac_padecz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_padecz00();
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_padecz00();
static obj_t BGl_objectzd2initzd2zz__flac_padecz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
BGL_IMPORT obj_t BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_pulseaudiomusicz00_bglt, BgL_pulseaudiozd2simplezd2_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_padecz00();
static obj_t BGl_z62flaczd2decoderzd2metadat1146z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2fl1142z62zz__flac_padecz00(obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31168ze3ze5zz__flac_padecz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__flac_padecz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_padecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
static BgL_flacpadecz00_bglt BGl_z62lambda1160z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flacpadecz00_bglt BGl_z62lambda1163z62zz__flac_padecz00(obj_t);
static BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1180z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1183z62zz__flac_padecz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_padecz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_padecz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_padecz00();
static obj_t BGl_gczd2rootszd2initz00zz__flac_padecz00();
BGL_IMPORT obj_t bgl_custom_nil();
BGL_IMPORT int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_flacpadecz00zz__flac_padecz00 = BUNSPEC;
extern obj_t BGl_flacdecz00zz__flac_decoderz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00;
static obj_t __cnst[ 6 ] ;


DEFINE_STRING( BGl_string1242z00zz__flac_padecz00, BgL_bgl_string1242za700za7za7_1263za7, "Llib/flac_padec.scm", 19 );
DEFINE_STRING( BGl_string1249z00zz__flac_padecz00, BgL_bgl_string1249za700za7za7_1264za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1243z00zz__flac_padecz00, BgL_bgl_za762za7c3za704anonymo1265za7, BGl_z62zc3z04anonymousza31168ze3ze5zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1244z00zz__flac_padecz00, BgL_bgl_za762lambda1163za7621266z00, BGl_z62lambda1163z62zz__flac_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1251z00zz__flac_padecz00, BgL_bgl_string1251za700za7za7_1267za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1245z00zz__flac_padecz00, BgL_bgl_za762lambda1160za7621268z00, BGl_z62lambda1160z62zz__flac_padecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1246z00zz__flac_padecz00, BgL_bgl_za762za7c3za704anonymo1269za7, BGl_z62zc3z04anonymousza31185ze3ze5zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1253z00zz__flac_padecz00, BgL_bgl_string1253za700za7za7_1270za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1247z00zz__flac_padecz00, BgL_bgl_za762lambda1183za7621271z00, BGl_z62lambda1183z62zz__flac_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1248z00zz__flac_padecz00, BgL_bgl_za762lambda1180za7621272z00, BGl_z62lambda1180z62zz__flac_padecz00, 0L, BUNSPEC, 12 );
DEFINE_STRING( BGl_string1255z00zz__flac_padecz00, BgL_bgl_string1255za700za7za7_1273za7, "flac-decoder-metadata", 21 );
DEFINE_STRING( BGl_string1256z00zz__flac_padecz00, BgL_bgl_string1256za700za7za7_1274za7, "pulseaudio-simple-flush", 23 );
DEFINE_STRING( BGl_string1257z00zz__flac_padecz00, BgL_bgl_string1257za700za7za7_1275za7, "__flac_padec", 12 );
DEFINE_STRING( BGl_string1258z00zz__flac_padecz00, BgL_bgl_string1258za700za7za7_1276za7, "stop ended s16 flac-pulseaudiodecoder __flac_padec flacpadec ", 61 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1250z00zz__flac_padecz00, BgL_bgl_za762musicdecoderza71277z00, BGl_z62musicdecoderzd2initzd2fl1142z62zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1252z00zz__flac_padecz00, BgL_bgl_za762musicdecoderza71278z00, BGl_z62musicdecoderzd2decodezd21144z62zz__flac_padecz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1254z00zz__flac_padecz00, BgL_bgl_za762flacza7d2decode1279z00, BGl_z62flaczd2decoderzd2metadat1146z62zz__flac_padecz00, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_padecz00) );
ADD_ROOT( (void *)(&BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00) );
ADD_ROOT( (void *)(&BGl_flacpadecz00zz__flac_padecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_padecz00(long BgL_checksumz00_392, char * BgL_fromz00_393)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_padecz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_padecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_padecz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(); 
BGl_cnstzd2initzd2zz__flac_padecz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_padecz00(); 
BGl_objectzd2initzd2zz__flac_padecz00(); 
BGl_methodzd2initzd2zz__flac_padecz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_padecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_padec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_cportz00_285;
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_stringz00_293;
BgL_stringz00_293 = BGl_string1258z00zz__flac_padecz00; 
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_startz00_294;
BgL_startz00_294 = 
BINT(((long)0)); 
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_endz00_295;
BgL_endz00_295 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_293))); 
{ /* Llib/flac_padec.scm 15 */

BgL_cportz00_285 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_293, BgL_startz00_294, BgL_endz00_295); } } } } 
{ 
 long BgL_iz00_286;
BgL_iz00_286 = ((long)5); 
BgL_loopz00_287:
if(
(BgL_iz00_286==((long)-1)))
{ /* Llib/flac_padec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_arg1262z00_289;
{ /* Llib/flac_padec.scm 15 */

{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_locationz00_291;
BgL_locationz00_291 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_padec.scm 15 */

BgL_arg1262z00_289 = 
BGl_readz00zz__readerz00(BgL_cportz00_285, BgL_locationz00_291); } } } 
{ /* Llib/flac_padec.scm 15 */
 int BgL_tmpz00_428;
BgL_tmpz00_428 = 
(int)(BgL_iz00_286); 
CNST_TABLE_SET(BgL_tmpz00_428, BgL_arg1262z00_289); } } 
{ /* Llib/flac_padec.scm 15 */
 int BgL_auxz00_292;
BgL_auxz00_292 = 
(int)(
(BgL_iz00_286-((long)1))); 
{ 
 long BgL_iz00_433;
BgL_iz00_433 = 
(long)(BgL_auxz00_292); 
BgL_iz00_286 = BgL_iz00_433; 
goto BgL_loopz00_287;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)0), 
BSTRING_TO_STRING(BGl_string1242z00zz__flac_padecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1242z00zz__flac_padecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_arg1158z00_23; obj_t BgL_arg1159z00_24;
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_v1137z00_51;
BgL_v1137z00_51 = 
create_vector(((long)0)); 
BgL_arg1158z00_23 = BgL_v1137z00_51; } 
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_v1138z00_52;
BgL_v1138z00_52 = 
create_vector(((long)0)); 
BgL_arg1159z00_24 = BgL_v1138z00_52; } 
BGl_flacpadecz00zz__flac_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_flacdecz00zz__flac_decoderz00, ((long)11770), BGl_proc1245z00zz__flac_padecz00, BGl_proc1244z00zz__flac_padecz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1243z00zz__flac_padecz00, BFALSE, BgL_arg1158z00_23, BgL_arg1159z00_24); } 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_arg1177z00_59; obj_t BgL_arg1179z00_60;
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_v1139z00_83;
BgL_v1139z00_83 = 
create_vector(((long)0)); 
BgL_arg1177z00_59 = BgL_v1139z00_83; } 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_v1140z00_84;
BgL_v1140z00_84 = 
create_vector(((long)0)); 
BgL_arg1179z00_60 = BgL_v1140z00_84; } 
return ( 
BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_flacmusicdecoderz00zz__flac_decoderz00, ((long)38574), BGl_proc1248z00zz__flac_padecz00, BGl_proc1247z00zz__flac_padecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1246z00zz__flac_padecz00, BFALSE, BgL_arg1177z00_59, BgL_arg1179z00_60), BUNSPEC) ;} } 

}



/* &<@anonymous:1185> */
obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__flac_padecz00(obj_t BgL_envz00_215, obj_t BgL_new1113z00_216)
{
{ /* Llib/flac_padec.scm 35 */
{ 
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_auxz00_450;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_450 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216); 
return 
((obj_t)BgL_auxz00_450);} } 

}



/* &lambda1183 */
BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1183z62zz__flac_padecz00(obj_t BgL_envz00_217)
{
{ /* Llib/flac_padec.scm 35 */
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1112z00_298;
BgL_new1112z00_298 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/flac_padec.scm 35 */
 long BgL_arg1184z00_299;
BgL_arg1184z00_299 = 
BGL_CLASS_NUM(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_298), BgL_arg1184z00_299); } 
return BgL_new1112z00_298;} } 

}



/* &lambda1180 */
BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1180z62zz__flac_padecz00(obj_t BgL_envz00_218, obj_t BgL_mimetypes1100z00_219, obj_t BgL_bufferzd2timezd2near1101z00_220, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1102z75_221, obj_t BgL_periodzd2siza7ezd2nearzd2rat1103z75_222, obj_t BgL_z52z12dpause1104z40_223, obj_t BgL_z52z12dabort1105z40_224, obj_t BgL_z52z12stop1106z40_225, obj_t BgL_z52dmutex1107z52_226, obj_t BgL_z52dcondv1108z52_227, obj_t BgL_z52doutcondv1109z52_228, obj_t BgL_z52flac1110z52_229, obj_t BgL_z52inseek1111z52_230)
{
{ /* Llib/flac_padec.scm 35 */
{ /* Llib/flac_padec.scm 35 */
 int BgL_bufferzd2timezd2near1101z00_301; int BgL_bufferzd2siza7ezd2nearzd2rat1102z75_302; int BgL_periodzd2siza7ezd2nearzd2rat1103z75_303; bool_t BgL_z52z12dpause1104z40_304; bool_t BgL_z52z12dabort1105z40_305; bool_t BgL_z52z12stop1106z40_306;
BgL_bufferzd2timezd2near1101z00_301 = 
CINT(BgL_bufferzd2timezd2near1101z00_220); 
BgL_bufferzd2siza7ezd2nearzd2rat1102z75_302 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1102z75_221); 
BgL_periodzd2siza7ezd2nearzd2rat1103z75_303 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1103z75_222); 
BgL_z52z12dpause1104z40_304 = 
CBOOL(BgL_z52z12dpause1104z40_223); 
BgL_z52z12dabort1105z40_305 = 
CBOOL(BgL_z52z12dabort1105z40_224); 
BgL_z52z12stop1106z40_306 = 
CBOOL(BgL_z52z12stop1106z40_225); 
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1136z00_310;
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1135z00_311;
BgL_new1135z00_311 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/flac_padec.scm 35 */
 long BgL_arg1182z00_312;
BgL_arg1182z00_312 = 
BGL_CLASS_NUM(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_311), BgL_arg1182z00_312); } 
BgL_new1136z00_310 = BgL_new1135z00_311; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1100z00_219)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1101z00_301),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1102z75_302),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1103z75_303),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1104z40_304),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1105z40_305),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1106z40_306),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1107z52_226)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1108z52_227)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1109z52_228)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52flacz52)=((obj_t)BgL_z52flac1110z52_229),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1136z00_310)))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1111z52_230),BUNSPEC); 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_fun1181z00_313;
BgL_fun1181z00_313 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
PROCEDURE_ENTRY(BgL_fun1181z00_313)(BgL_fun1181z00_313, 
((obj_t)BgL_new1136z00_310), BEOA); } 
return BgL_new1136z00_310;} } } 

}



/* &<@anonymous:1168> */
obj_t BGl_z62zc3z04anonymousza31168ze3ze5zz__flac_padecz00(obj_t BgL_envz00_231, obj_t BgL_new1098z00_232)
{
{ /* Llib/flac_padec.scm 26 */
{ 
 BgL_flacpadecz00_bglt BgL_auxz00_543;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_outbufz00)=((obj_t)BGl_string1249z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52ratezd2minz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1098z00_232))))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_543 = 
((BgL_flacpadecz00_bglt)BgL_new1098z00_232); 
return 
((obj_t)BgL_auxz00_543);} } 

}



/* &lambda1163 */
BgL_flacpadecz00_bglt BGl_z62lambda1163z62zz__flac_padecz00(obj_t BgL_envz00_233)
{
{ /* Llib/flac_padec.scm 26 */
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1097z00_315;
BgL_new1097z00_315 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 26 */
 long BgL_arg1167z00_316;
BgL_arg1167z00_316 = 
BGL_CLASS_NUM(BGl_flacpadecz00zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_315), BgL_arg1167z00_316); } 
return BgL_new1097z00_315;} } 

}



/* &lambda1160 */
BgL_flacpadecz00_bglt BGl_z62lambda1160z62zz__flac_padecz00(obj_t BgL_envz00_234, obj_t BgL_z42builtin1081z42_235, obj_t BgL_z52flacbuf1082z52_236, obj_t BgL_outbuf1083z00_237, obj_t BgL_z52eof1084z52_238, obj_t BgL_z52sample1085z52_239, obj_t BgL_z52volume1086z52_240, obj_t BgL_md5check1087z00_241, obj_t BgL_z52bchecksum1088z52_242, obj_t BgL_z52rchecksum1089z52_243, obj_t BgL_z52music1090z52_244, obj_t BgL_z52buffer1091z52_245, obj_t BgL_z52decoder1092z52_246, obj_t BgL_z52rate1093z52_247, obj_t BgL_z52ratezd2max1094z80_248, obj_t BgL_z52ratezd2min1095z80_249, obj_t BgL_z52lastzd2percentage1096z80_250)
{
{ /* Llib/flac_padec.scm 26 */
{ /* Llib/flac_padec.scm 26 */
 FLAC__StreamDecoder * BgL_z42builtin1081z42_317; bool_t BgL_z52eof1084z52_320; long BgL_z52sample1085z52_321; double BgL_z52volume1086z52_322; bool_t BgL_md5check1087z00_323; int BgL_z52bchecksum1088z52_324; int BgL_z52rchecksum1089z52_325; int BgL_z52rate1093z52_326; int BgL_z52ratezd2max1094z80_327; int BgL_z52ratezd2min1095z80_328; int BgL_z52lastzd2percentage1096z80_329;
BgL_z42builtin1081z42_317 = 
FOREIGN_TO_COBJ(BgL_z42builtin1081z42_235); 
BgL_z52eof1084z52_320 = 
CBOOL(BgL_z52eof1084z52_238); 
BgL_z52sample1085z52_321 = 
(long)CINT(BgL_z52sample1085z52_239); 
BgL_z52volume1086z52_322 = 
REAL_TO_DOUBLE(BgL_z52volume1086z52_240); 
BgL_md5check1087z00_323 = 
CBOOL(BgL_md5check1087z00_241); 
BgL_z52bchecksum1088z52_324 = 
CINT(BgL_z52bchecksum1088z52_242); 
BgL_z52rchecksum1089z52_325 = 
CINT(BgL_z52rchecksum1089z52_243); 
BgL_z52rate1093z52_326 = 
CINT(BgL_z52rate1093z52_247); 
BgL_z52ratezd2max1094z80_327 = 
CINT(BgL_z52ratezd2max1094z80_248); 
BgL_z52ratezd2min1095z80_328 = 
CINT(BgL_z52ratezd2min1095z80_249); 
BgL_z52lastzd2percentage1096z80_329 = 
CINT(BgL_z52lastzd2percentage1096z80_250); 
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1134z00_330;
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1133z00_331;
BgL_new1133z00_331 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 26 */
 long BgL_arg1162z00_332;
BgL_arg1162z00_332 = 
BGL_CLASS_NUM(BGl_flacpadecz00zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_331), BgL_arg1162z00_332); } 
BgL_new1134z00_330 = BgL_new1133z00_331; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_z42builtin1081z42_317),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_z52flacbuf1082z52_236)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1083z00_237)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z52eofz52)=((bool_t)BgL_z52eof1084z52_320),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z52samplez52)=((long)BgL_z52sample1085z52_321),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z52volumez52)=((double)BgL_z52volume1086z52_322),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_md5checkz00)=((bool_t)BgL_md5check1087z00_323),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z52bchecksumz52)=((int)BgL_z52bchecksum1088z52_324),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_330)))->BgL_z52rchecksumz52)=((int)BgL_z52rchecksum1089z52_325),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52musicz52)=((obj_t)BgL_z52music1090z52_244),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1091z52_245),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1092z52_246),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52ratez52)=((int)BgL_z52rate1093z52_326),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52ratezd2maxz80)=((int)BgL_z52ratezd2max1094z80_327),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52ratezd2minz80)=((int)BgL_z52ratezd2min1095z80_328),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_330)))->BgL_z52lastzd2percentagez80)=((int)BgL_z52lastzd2percentage1096z80_329),BUNSPEC); 
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_fun1161z00_333;
BgL_fun1161z00_333 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
PROCEDURE_ENTRY(BgL_fun1161z00_333)(BgL_fun1161z00_333, 
((obj_t)BgL_new1134z00_330), BEOA); } 
return BgL_new1134z00_330;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00, BGl_proc1250z00zz__flac_padecz00, BGl_string1251z00zz__flac_padecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00, BGl_proc1252z00zz__flac_padecz00, BGl_string1253z00zz__flac_padecz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_flacpadecz00zz__flac_padecz00, BGl_proc1254z00zz__flac_padecz00, BGl_string1255z00zz__flac_padecz00);} 

}



/* &flac-decoder-metadat1146 */
obj_t BGl_z62flaczd2decoderzd2metadat1146z62zz__flac_padecz00(obj_t BgL_envz00_259, obj_t BgL_oz00_260, obj_t BgL_totalz00_261, obj_t BgL_ratez00_262, obj_t BgL_channelsz00_263, obj_t BgL_bpsz00_264)
{
{ /* Llib/flac_padec.scm 78 */
{ /* Llib/flac_padec.scm 80 */
 BgL_pulseaudiomusicz00_bglt BgL_i1130z00_335;
BgL_i1130z00_335 = 
((BgL_pulseaudiomusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_oz00_260))))->BgL_z52musicz52)); 
{ /* Llib/flac_padec.scm 81 */
 obj_t BgL_arg1226z00_336; BgL_pulseaudiozd2simplezd2_bglt BgL_arg1227z00_337;
BgL_arg1226z00_336 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_oz00_260))))->BgL_z52musicz52); 
{ /* Llib/flac_padec.scm 82 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1132z00_338;
{ /* Llib/flac_padec.scm 82 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1131z00_339;
BgL_new1131z00_339 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/flac_padec.scm 82 */
 long BgL_arg1231z00_340;
BgL_arg1231z00_340 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_339), BgL_arg1231z00_340); } 
BgL_new1132z00_338 = BgL_new1131z00_339; } 
{ 
 void * BgL_auxz00_675;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_arg1228z00_341;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_arg1229z00_342;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_classz00_343;
BgL_classz00_343 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
BgL_arg1229z00_342 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_343); } 
BgL_arg1228z00_341 = 
VECTOR_REF(BgL_arg1229z00_342,((long)0)); } 
BgL_auxz00_675 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1228z00_341)); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_z42builtinz42)=((pa_simple *)BgL_auxz00_675),BUNSPEC); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_srvnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_namez00)=((obj_t)
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_i1130z00_335))->BgL_namez00)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_ratez00)=((long)
(long)CINT(BgL_ratez00_262)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_channelsz00)=((long)
(long)CINT(BgL_channelsz00_263)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_bpsz00)=((int)
CINT(BgL_bpsz00_264)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_338))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)3))),BUNSPEC); 
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_fun1230z00_344;
BgL_fun1230z00_344 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
PROCEDURE_ENTRY(BgL_fun1230z00_344)(BgL_fun1230z00_344, 
((obj_t)BgL_new1132z00_338), BEOA); } 
BgL_arg1227z00_337 = BgL_new1132z00_338; } 
return 
BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(
((BgL_pulseaudiomusicz00_bglt)BgL_arg1226z00_336), BgL_arg1227z00_337);} } } 

}



/* &musicdecoder-decode-1144 */
obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__flac_padecz00(obj_t BgL_envz00_265, obj_t BgL_decz00_266, obj_t BgL_amz00_267, obj_t BgL_bufferz00_268)
{
{ /* Llib/flac_padec.scm 55 */
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52)))
{ /* Llib/flac_padec.scm 59 */BFALSE; }  else 
{ 
 obj_t BgL_auxz00_706;
{ /* Llib/flac_padec.scm 59 */
 BgL_flacpadecz00_bglt BgL_new1119z00_348;
{ /* Llib/flac_padec.scm 59 */
 BgL_flacpadecz00_bglt BgL_new1118z00_349;
BgL_new1118z00_349 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 59 */
 long BgL_arg1211z00_350;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_351;
BgL_classz00_351 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1211z00_350 = 
BGL_CLASS_NUM(BgL_classz00_351); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_349), BgL_arg1211z00_350); } 
BgL_new1119z00_348 = BgL_new1118z00_349; } 
{ 
 void * BgL_auxz00_713;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1202z00_352;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1205z00_353;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_354;
BgL_classz00_354 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1205z00_353 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_354); } 
BgL_arg1202z00_352 = 
VECTOR_REF(BgL_arg1205z00_353,((long)0)); } 
BgL_auxz00_713 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1202z00_352)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_713),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_720;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1206z00_355;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1207z00_356;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_357;
BgL_classz00_357 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1207z00_356 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_357); } 
BgL_arg1206z00_355 = 
VECTOR_REF(BgL_arg1207z00_356,((long)1)); } 
BgL_auxz00_720 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1206z00_355); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_720),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_outbufz00)=((obj_t)BGl_string1249z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_348)))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)50))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_348)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_fun1208z00_358;
BgL_fun1208z00_358 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
PROCEDURE_ENTRY(BgL_fun1208z00_358)(BgL_fun1208z00_358, 
((obj_t)BgL_new1119z00_348), BEOA); } 
BgL_auxz00_706 = 
((obj_t)BgL_new1119z00_348); } 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_706),BUNSPEC); } 
{ /* Llib/flac_padec.scm 60 */
 BgL_flacpadecz00_bglt BgL_i1120z00_359;
BgL_i1120z00_359 = 
((BgL_flacpadecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52)); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_359)))->BgL_z52bufferz52)=((obj_t)
((obj_t)
((BgL_musicbufferz00_bglt)BgL_bufferz00_268))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_359)))->BgL_z52musicz52)=((obj_t)
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_267))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_359)))->BgL_z52decoderz52)=((obj_t)
((obj_t)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))),BUNSPEC); 
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_exitd1123z00_360;
BgL_exitd1123z00_360 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac_padec.scm 71 */
 obj_t BgL_zc3z04anonymousza31220ze3z87_361;
BgL_zc3z04anonymousza31220ze3z87_361 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31220ze3ze5zz__flac_padecz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31220ze3z87_361, 
(int)(((long)0)), 
((obj_t)BgL_i1120z00_359)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31220ze3z87_361, 
(int)(((long)1)), 
((obj_t)
((BgL_pulseaudiomusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_267)))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31220ze3z87_361, 
(int)(((long)2)), 
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_267))); 
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1818z00_362;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1819z00_363;
BgL_arg1819z00_363 = 
BGL_EXITD_PROTECT(BgL_exitd1123z00_360); 
BgL_arg1818z00_362 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31220ze3z87_361, BgL_arg1819z00_363); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1123z00_360, BgL_arg1818z00_362); BUNSPEC; } 
{ /* Llib/flac_padec.scm 67 */
 obj_t BgL_tmp1125z00_364;
{ /* Llib/flac_padec.scm 67 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_i1128z00_365;
BgL_i1128z00_365 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_267))))->BgL_simplez00); 
if(
(
(long)(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_i1128z00_365))->BgL_bpsz00))<=((long)16)))
{ /* Llib/flac_padec.scm 69 */
 obj_t BgL_arg1215z00_366;
BgL_arg1215z00_366 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52); 
BgL_tmp1125z00_364 = 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1215z00_366)); }  else 
{ /* Llib/flac_padec.scm 70 */
 obj_t BgL_arg1218z00_367;
BgL_arg1218z00_367 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52); 
BgL_tmp1125z00_364 = 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1218z00_367)); } } 
{ /* Llib/flac_padec.scm 66 */
 bool_t BgL_test1285z00_820;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1817z00_368;
BgL_arg1817z00_368 = 
BGL_EXITD_PROTECT(BgL_exitd1123z00_360); 
BgL_test1285z00_820 = 
PAIRP(BgL_arg1817z00_368); } 
if(BgL_test1285z00_820)
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1815z00_369;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1816z00_370;
BgL_arg1816z00_370 = 
BGL_EXITD_PROTECT(BgL_exitd1123z00_360); 
BgL_arg1815z00_369 = 
CDR(
((obj_t)BgL_arg1816z00_370)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1123z00_360, BgL_arg1815z00_369); BUNSPEC; }  else 
{ /* Llib/flac_padec.scm 66 */BFALSE; } } 
BGl_z62zc3z04anonymousza31220ze3ze5zz__flac_padecz00(BgL_zc3z04anonymousza31220ze3z87_361); 
return BgL_tmp1125z00_364;} } } } } 

}



/* &<@anonymous:1220> */
obj_t BGl_z62zc3z04anonymousza31220ze3ze5zz__flac_padecz00(obj_t BgL_envz00_269)
{
{ /* Llib/flac_padec.scm 66 */
{ /* Llib/flac_padec.scm 71 */
 BgL_flacpadecz00_bglt BgL_i1120z00_270; BgL_pulseaudiomusicz00_bglt BgL_i1121z00_271; BgL_musicbufz00_bglt BgL_amz00_272;
BgL_i1120z00_270 = 
((BgL_flacpadecz00_bglt)
PROCEDURE_REF(BgL_envz00_269, 
(int)(((long)0)))); 
BgL_i1121z00_271 = 
((BgL_pulseaudiomusicz00_bglt)
PROCEDURE_REF(BgL_envz00_269, 
(int)(((long)1)))); 
BgL_amz00_272 = 
((BgL_musicbufz00_bglt)
PROCEDURE_REF(BgL_envz00_269, 
(int)(((long)2)))); 
{ /* Llib/flac_padec.scm 71 */
 BgL_musicbufferz00_bglt BgL_i1127z00_371;
BgL_i1127z00_371 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_270)))->BgL_z52bufferz52)); 
{ /* Llib/flac_padec.scm 72 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1221z00_372;
BgL_arg1221z00_372 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_i1121z00_271))->BgL_simplez00); 
{ /* Llib/flac_padec.scm 72 */
 int BgL_errz00_373;
BgL_errz00_373 = 
(int)(((long)0)); 
{ /* Llib/flac_padec.scm 72 */
 pa_simple * BgL_arg1082z00_374; int * BgL_arg1083z00_375;
BgL_arg1082z00_374 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_arg1221z00_372))->BgL_z42builtinz42); 
BgL_arg1083z00_375 = 
&(BgL_errz00_373); 
pa_simple_flush(BgL_arg1082z00_374, BgL_arg1083z00_375); } 
if(
(
(long)(BgL_errz00_373)<((long)0)))
{ /* Llib/flac_padec.scm 72 */
 char * BgL_arg1087z00_376;
{ /* Llib/flac_padec.scm 72 */
 int BgL_tmpz00_848;
BgL_tmpz00_848 = 
(int)(((long)0)); 
BgL_arg1087z00_376 = 
pa_strerror(BgL_tmpz00_848); } 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1256z00zz__flac_padecz00), BgL_arg1087z00_376, 
BINT(((long)0)))); }  else 
{ /* Llib/flac_padec.scm 72 */BFALSE; } } } 
{ /* Llib/flac_padec.scm 73 */
 obj_t BgL_arg1224z00_377;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1127z00_371))->BgL_z52eofz52))
{ /* Llib/flac_padec.scm 73 */
BgL_arg1224z00_377 = 
CNST_TABLE_REF(((long)4)); }  else 
{ /* Llib/flac_padec.scm 73 */
BgL_arg1224z00_377 = 
CNST_TABLE_REF(((long)5)); } 
return 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_272), BgL_arg1224z00_377);} } } } 

}



/* &musicdecoder-init-fl1142 */
obj_t BGl_z62musicdecoderzd2initzd2fl1142z62zz__flac_padecz00(obj_t BgL_envz00_273, obj_t BgL_decz00_274)
{
{ /* Llib/flac_padec.scm 47 */
{ 

{ /* Llib/flac_padec.scm 47 */
 obj_t BgL_nextzd2method1141zd2_380;
BgL_nextzd2method1141zd2_380 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274)), BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
PROCEDURE_ENTRY(BgL_nextzd2method1141zd2_380)(BgL_nextzd2method1141zd2_380, 
((obj_t)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274)), BEOA); } 
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274))))->BgL_z52flacz52)))
{ /* Llib/flac_padec.scm 50 */
return BFALSE;}  else 
{ 
 obj_t BgL_auxz00_875;
{ /* Llib/flac_padec.scm 50 */
 BgL_flacpadecz00_bglt BgL_new1116z00_381;
{ /* Llib/flac_padec.scm 50 */
 BgL_flacpadecz00_bglt BgL_new1115z00_382;
BgL_new1115z00_382 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 50 */
 long BgL_arg1200z00_383;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_384;
BgL_classz00_384 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1200z00_383 = 
BGL_CLASS_NUM(BgL_classz00_384); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_382), BgL_arg1200z00_383); } 
BgL_new1116z00_381 = BgL_new1115z00_382; } 
{ 
 void * BgL_auxz00_882;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1188z00_385;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1189z00_386;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_387;
BgL_classz00_387 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1189z00_386 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_387); } 
BgL_arg1188z00_385 = 
VECTOR_REF(BgL_arg1189z00_386,((long)0)); } 
BgL_auxz00_882 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1188z00_385)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_882),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_889;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1190z00_388;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1197z00_389;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_390;
BgL_classz00_390 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1197z00_389 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_390); } 
BgL_arg1190z00_388 = 
VECTOR_REF(BgL_arg1197z00_389,((long)1)); } 
BgL_auxz00_889 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1190z00_388); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_889),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_outbufz00)=((obj_t)BGl_string1249z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_381)))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)50))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_381)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_fun1198z00_391;
BgL_fun1198z00_391 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
PROCEDURE_ENTRY(BgL_fun1198z00_391)(BgL_fun1198z00_391, 
((obj_t)BgL_new1116z00_381), BEOA); } 
BgL_auxz00_875 = 
((obj_t)BgL_new1116z00_381); } 
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_875),BUNSPEC);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_padecz00()
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__flac_flacz00(((long)107017853), 
BSTRING_TO_STRING(BGl_string1257z00zz__flac_padecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__flac_decoderz00(((long)630617), 
BSTRING_TO_STRING(BGl_string1257z00zz__flac_padecz00));} 

}

#ifdef __cplusplus
}
#endif
