/*===========================================================================*/
/*   (Llib/_pthread.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/_pthread.scm -o objs/_pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52 = BUNSPEC;
static obj_t BGl_z62objectzd2displayzd2z52pthr1105z30zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62terminatez62zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31123ze3ze5zz__ft_z52pthreadz52(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52pthreadz52();
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
static obj_t BGl_z62objectzd2writezd2z52pthrea1103z30zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_z52pthreadz52();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31141ze3ze5zz__ft_z52pthreadz52(obj_t);
extern obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_z52pthreadz52();
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52pthreadz52();
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52userzd2currentzd2thread1107z30zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2currentzd2thread1113z30zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00;
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_z52pthreadz52zz__ft_z52typesz52;
static obj_t BGl_z62zc3z04anonymousza31280ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62z52userzd2threadzd2sleepz12zd21111zf0zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z52userzd2threadzd2sleepz12zd21117zf0zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31168ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52();
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
static obj_t BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00();
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52pthreadz52();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52();
extern obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52();
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52();
static obj_t BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31157ze3ze70z60zz__ft_z52pthreadz52(BgL_fthreadz00_bglt, BgL_fthreadz00_bglt);
static obj_t BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = BUNSPEC;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21109zf0zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00();
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21115zf0zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
static obj_t BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
extern obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2enterzd2schedulerzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21456za7, BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1410z00zz__ft_z52pthreadz52, BgL_bgl_string1410za700za7za7_1457za7, "Llib/_pthread.scm", 17 );
DEFINE_STRING( BGl_string1412z00zz__ft_z52pthreadz52, BgL_bgl_string1412za700za7za7_1458za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/fthread/src/Llib/_pthread.scm", 69 );
DEFINE_STRING( BGl_string1413z00zz__ft_z52pthreadz52, BgL_bgl_string1413za700za7za7_1459za7, "&%fscheduler-new", 16 );
DEFINE_STRING( BGl_string1414z00zz__ft_z52pthreadz52, BgL_bgl_string1414za700za7za7_1460za7, "%scheduler", 10 );
DEFINE_STRING( BGl_string1415z00zz__ft_z52pthreadz52, BgL_bgl_string1415za700za7za7_1461za7, "&%pthread-new", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2switchzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21462za7, BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1416z00zz__ft_z52pthreadz52, BgL_bgl_string1416za700za7za7_1463za7, "fthread", 7 );
DEFINE_STRING( BGl_string1417z00zz__ft_z52pthreadz52, BgL_bgl_string1417za700za7za7_1464za7, "Illegal cleanup function", 24 );
DEFINE_STRING( BGl_string1418z00zz__ft_z52pthreadz52, BgL_bgl_string1418za700za7za7_1465za7, "&%pthread-wait", 14 );
DEFINE_STRING( BGl_string1419z00zz__ft_z52pthreadz52, BgL_bgl_string1419za700za7za7_1466za7, "%pthread", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1411z00zz__ft_z52pthreadz52, BgL_bgl_za762za7c3za704anonymo1467za7, BGl_z62zc3z04anonymousza31123ze3ze5zz__ft_z52pthreadz52, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1420z00zz__ft_z52pthreadz52, BgL_bgl_string1420za700za7za7_1468za7, "&%pthread-switch", 16 );
DEFINE_STRING( BGl_string1421z00zz__ft_z52pthreadz52, BgL_bgl_string1421za700za7za7_1469za7, "Bogus (current-thread) procedure", 32 );
DEFINE_STRING( BGl_string1422z00zz__ft_z52pthreadz52, BgL_bgl_string1422za700za7za7_1470za7, "Undefined current-thread", 24 );
DEFINE_STRING( BGl_string1423z00zz__ft_z52pthreadz52, BgL_bgl_string1423za700za7za7_1471za7, "&%pthread-enter-scheduler", 25 );
DEFINE_STRING( BGl_string1424z00zz__ft_z52pthreadz52, BgL_bgl_string1424za700za7za7_1472za7, "&%pthread-leave-scheduler", 25 );
DEFINE_STRING( BGl_string1425z00zz__ft_z52pthreadz52, BgL_bgl_string1425za700za7za7_1473za7, "&%async-spawn", 13 );
DEFINE_STRING( BGl_string1426z00zz__ft_z52pthreadz52, BgL_bgl_string1426za700za7za7_1474za7, "procedure", 9 );
DEFINE_STRING( BGl_string1427z00zz__ft_z52pthreadz52, BgL_bgl_string1427za700za7za7_1475za7, "&%async-synchronize", 19 );
DEFINE_STRING( BGl_string1428z00zz__ft_z52pthreadz52, BgL_bgl_string1428za700za7za7_1476za7, "&%async-asynchronize", 20 );
DEFINE_STRING( BGl_string1429z00zz__ft_z52pthreadz52, BgL_bgl_string1429za700za7za7_1477za7, "&%async-scheduler-wait", 22 );
DEFINE_STRING( BGl_string1430z00zz__ft_z52pthreadz52, BgL_bgl_string1430za700za7za7_1478za7, "&%async-scheduler-notify", 24 );
DEFINE_STRING( BGl_string1432z00zz__ft_z52pthreadz52, BgL_bgl_string1432za700za7za7_1479za7, "object-write", 12 );
DEFINE_STRING( BGl_string1434z00zz__ft_z52pthreadz52, BgL_bgl_string1434za700za7za7_1480za7, "object-display", 14 );
DEFINE_STRING( BGl_string1436z00zz__ft_z52pthreadz52, BgL_bgl_string1436za700za7za7_1481za7, "%user-current-thread", 20 );
DEFINE_STRING( BGl_string1438z00zz__ft_z52pthreadz52, BgL_bgl_string1438za700za7za7_1482za7, "%user-thread-yield!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1431z00zz__ft_z52pthreadz52, BgL_bgl_za762objectza7d2writ1483z00, va_generic_entry, BGl_z62objectzd2writezd2z52pthrea1103z30zz__ft_z52pthreadz52, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1433z00zz__ft_z52pthreadz52, BgL_bgl_za762objectza7d2disp1484z00, va_generic_entry, BGl_z62objectzd2displayzd2z52pthr1105z30zz__ft_z52pthreadz52, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1440z00zz__ft_z52pthreadz52, BgL_bgl_string1440za700za7za7_1485za7, "%user-thread-sleep!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1435z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2cur1486za7, BGl_z62z52userzd2currentzd2thread1107z30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1437z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1487za7, BGl_z62z52userzd2threadzd2yieldz12zd21109zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1444z00zz__ft_z52pthreadz52, BgL_bgl_string1444za700za7za7_1488za7, "*self*", 6 );
DEFINE_STRING( BGl_string1445z00zz__ft_z52pthreadz52, BgL_bgl_string1445za700za7za7_1489za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1439z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1490za7, BGl_z62z52userzd2threadzd2sleepz12zd21111zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1446z00zz__ft_z52pthreadz52, BgL_bgl_string1446za700za7za7_1491za7, " parent:", 8 );
DEFINE_STRING( BGl_string1447z00zz__ft_z52pthreadz52, BgL_bgl_string1447za700za7za7_1492za7, "#<%pthread:", 11 );
DEFINE_STRING( BGl_string1448z00zz__ft_z52pthreadz52, BgL_bgl_string1448za700za7za7_1493za7, "__ft_%pthread", 13 );
DEFINE_STRING( BGl_string1449z00zz__ft_z52pthreadz52, BgL_bgl_string1449za700za7za7_1494za7, "async %pthread-enter-scheduler ", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1441z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2cur1495za7, BGl_z62z52userzd2currentzd2thread1113z30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1442z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1496za7, BGl_z62z52userzd2threadzd2yieldz12zd21115zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1443z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1497za7, BGl_z62z52userzd2threadzd2sleepz12zd21117zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2spawnzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sp1498za7, BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2schedulerzd2notifyzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sc1499za7, BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2schedulerzd2waitzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sc1500za7, BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2synchroniza7ezd2envzf5zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sy1501za7, BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2waitzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21502za7, BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2asynchroniza7ezd2envzf5zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2as1503za7, BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2newzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21504za7, BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52fschedulerzd2newzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752fscheduler1505z00, BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2leavezd2schedulerzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21506za7, BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52) );
ADD_ROOT( (void *)(&BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long BgL_checksumz00_1084, char * BgL_fromz00_1085)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(); 
BGl_cnstzd2initzd2zz__ft_z52pthreadz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(); 
BGl_methodzd2initzd2zz__ft_z52pthreadz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52pthreadz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_%pthread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_cportz00_969;
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_stringz00_977;
BgL_stringz00_977 = BGl_string1449z00zz__ft_z52pthreadz52; 
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_startz00_978;
BgL_startz00_978 = 
BINT(((long)0)); 
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_endz00_979;
BgL_endz00_979 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_977))); 
{ /* Llib/_pthread.scm 6 */

BgL_cportz00_969 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_977, BgL_startz00_978, BgL_endz00_979); } } } } 
{ 
 long BgL_iz00_970;
BgL_iz00_970 = ((long)1); 
BgL_loopz00_971:
if(
(BgL_iz00_970==((long)-1)))
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;}  else 
{ /* Llib/_pthread.scm 6 */
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_arg1455z00_973;
{ /* Llib/_pthread.scm 6 */

{ /* Llib/_pthread.scm 6 */
 obj_t BgL_locationz00_975;
BgL_locationz00_975 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_pthread.scm 6 */

BgL_arg1455z00_973 = 
BGl_readz00zz__readerz00(BgL_cportz00_969, BgL_locationz00_975); } } } 
{ /* Llib/_pthread.scm 6 */
 int BgL_tmpz00_1120;
BgL_tmpz00_1120 = 
(int)(BgL_iz00_970); 
CNST_TABLE_SET(BgL_tmpz00_1120, BgL_arg1455z00_973); } } 
{ /* Llib/_pthread.scm 6 */
 int BgL_auxz00_976;
BgL_auxz00_976 = 
(int)(
(BgL_iz00_970-((long)1))); 
{ 
 long BgL_iz00_1125;
BgL_iz00_1125 = 
(long)(BgL_auxz00_976); 
BgL_iz00_970 = BgL_iz00_1125; 
goto BgL_loopz00_971;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1410z00zz__ft_z52pthreadz52)); 
BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = BFALSE; 
return BUNSPEC;} 

}



/* %get-scheduler-token */
obj_t BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 36 */
{ /* Llib/_pthread.scm 37 */
 obj_t BgL_scdlz00_39;
BgL_scdlz00_39 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_test1509z00_1131;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_classz00_276;
BgL_classz00_276 = BGl_z52schedulerz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_scdlz00_39))
{ /* Llib/_pthread.scm 38 */
 BgL_objectz00_bglt BgL_arg1797z00_278;
BgL_arg1797z00_278 = 
(BgL_objectz00_bglt)(BgL_scdlz00_39); 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_arg1794z00_281; bool_t BgL_arg1795z00_282;
{ /* Llib/_pthread.scm 38 */
 long BgL_idxz00_285;
BgL_idxz00_285 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_278); 
BgL_arg1794z00_281 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_285+((long)4)))==BgL_classz00_276); } 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_res1364z00_307;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_oclassz00_293;
{ /* Llib/_pthread.scm 38 */
 long BgL_arg1804z00_299;
{ /* Llib/_pthread.scm 38 */
 long BgL_arg1805z00_300;
BgL_arg1805z00_300 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_278); 
BgL_arg1804z00_299 = 
(BgL_arg1805z00_300-OBJECT_TYPE); } 
BgL_oclassz00_293 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_299); } 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL__ortest_1111z00_294;
BgL__ortest_1111z00_294 = 
(BgL_classz00_276==BgL_oclassz00_293); 
if(BgL__ortest_1111z00_294)
{ /* Llib/_pthread.scm 38 */
BgL_res1364z00_307 = BgL__ortest_1111z00_294; }  else 
{ /* Llib/_pthread.scm 38 */
 long BgL_odepthz00_295;
BgL_odepthz00_295 = 
BGL_CLASS_DEPTH(BgL_oclassz00_293); 
if(
(((long)4)<BgL_odepthz00_295))
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_arg1793z00_297;
BgL_arg1793z00_297 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_293, ((long)4)); 
BgL_res1364z00_307 = 
(BgL_arg1793z00_297==BgL_classz00_276); }  else 
{ /* Llib/_pthread.scm 38 */
BgL_res1364z00_307 = ((bool_t)0); } } } } 
BgL_arg1795z00_282 = BgL_res1364z00_307; } 
BgL_test1509z00_1131 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_281, BgL_arg1795z00_282); } }  else 
{ /* Llib/_pthread.scm 38 */
BgL_test1509z00_1131 = ((bool_t)0)
; } } 
if(BgL_test1509z00_1131)
{ /* Llib/_pthread.scm 38 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_39)))->BgL_currentzd2tokenzd2);}  else 
{ /* Llib/_pthread.scm 38 */
return BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52;} } } } 

}



/* %set-scheduler-token! */
obj_t BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_tokenz00_3)
{
{ /* Llib/_pthread.scm 43 */
{ /* Llib/_pthread.scm 44 */
 obj_t BgL_scdlz00_42;
BgL_scdlz00_42 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_test1513z00_1153;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_classz00_308;
BgL_classz00_308 = BGl_z52schedulerz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_scdlz00_42))
{ /* Llib/_pthread.scm 45 */
 BgL_objectz00_bglt BgL_arg1797z00_310;
BgL_arg1797z00_310 = 
(BgL_objectz00_bglt)(BgL_scdlz00_42); 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_arg1794z00_313; bool_t BgL_arg1795z00_314;
{ /* Llib/_pthread.scm 45 */
 long BgL_idxz00_317;
BgL_idxz00_317 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_310); 
BgL_arg1794z00_313 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_317+((long)4)))==BgL_classz00_308); } 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_res1365z00_339;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_oclassz00_325;
{ /* Llib/_pthread.scm 45 */
 long BgL_arg1804z00_331;
{ /* Llib/_pthread.scm 45 */
 long BgL_arg1805z00_332;
BgL_arg1805z00_332 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_310); 
BgL_arg1804z00_331 = 
(BgL_arg1805z00_332-OBJECT_TYPE); } 
BgL_oclassz00_325 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_331); } 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL__ortest_1111z00_326;
BgL__ortest_1111z00_326 = 
(BgL_classz00_308==BgL_oclassz00_325); 
if(BgL__ortest_1111z00_326)
{ /* Llib/_pthread.scm 45 */
BgL_res1365z00_339 = BgL__ortest_1111z00_326; }  else 
{ /* Llib/_pthread.scm 45 */
 long BgL_odepthz00_327;
BgL_odepthz00_327 = 
BGL_CLASS_DEPTH(BgL_oclassz00_325); 
if(
(((long)4)<BgL_odepthz00_327))
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_arg1793z00_329;
BgL_arg1793z00_329 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_325, ((long)4)); 
BgL_res1365z00_339 = 
(BgL_arg1793z00_329==BgL_classz00_308); }  else 
{ /* Llib/_pthread.scm 45 */
BgL_res1365z00_339 = ((bool_t)0); } } } } 
BgL_arg1795z00_314 = BgL_res1365z00_339; } 
BgL_test1513z00_1153 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_313, BgL_arg1795z00_314); } }  else 
{ /* Llib/_pthread.scm 45 */
BgL_test1513z00_1153 = ((bool_t)0)
; } } 
if(BgL_test1513z00_1153)
{ /* Llib/_pthread.scm 45 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_42)))->BgL_currentzd2tokenzd2)=((obj_t)
((obj_t)BgL_tokenz00_3)),BUNSPEC);}  else 
{ /* Llib/_pthread.scm 45 */
return ( 
BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = 
((obj_t)BgL_tokenz00_3), BUNSPEC) ;} } } } 

}



/* %fscheduler-new */
BGL_EXPORTED_DEF obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt BgL_scdlz00_4)
{
{ /* Llib/_pthread.scm 53 */
{ /* Llib/_pthread.scm 56 */
 BgL_z52pthreadz52_bglt BgL_z52pthz52_46;
{ /* Llib/_pthread.scm 56 */
 BgL_z52pthreadz52_bglt BgL_new1064z00_47;
{ /* Llib/_pthread.scm 58 */
 BgL_z52pthreadz52_bglt BgL_new1063z00_56;
BgL_new1063z00_56 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 58 */
 long BgL_arg1140z00_57;
BgL_arg1140z00_57 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_56), BgL_arg1140z00_57); } 
BgL_new1064z00_47 = BgL_new1063z00_56; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1064z00_47)))->BgL_namez00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_scdlz00_4)))->BgL_namez00)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_47)))->BgL_bodyz00)=((obj_t)BGl_proc1411z00zz__ft_z52pthreadz52),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_47)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_47)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_47)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_47)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_47))->BgL_fthreadz00)=((obj_t)
((obj_t)BgL_scdlz00_4)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1197;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1127z00_49;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1128z00_50;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_343;
BgL_classz00_343 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1128z00_50 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_343); } 
BgL_arg1127z00_49 = 
VECTOR_REF(BgL_arg1128z00_50,((long)9)); } 
BgL_auxz00_1197 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1127z00_49); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_47))->BgL_mutexz00)=((obj_t)BgL_auxz00_1197),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1202;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1129z00_51;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1130z00_52;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_345;
BgL_classz00_345 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1130z00_52 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_345); } 
BgL_arg1129z00_51 = 
VECTOR_REF(BgL_arg1130z00_52,((long)10)); } 
BgL_auxz00_1202 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1129z00_51); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_47))->BgL_condvarz00)=((obj_t)BgL_auxz00_1202),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1207;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1131z00_53;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1138z00_54;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_347;
BgL_classz00_347 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1138z00_54 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_347); } 
BgL_arg1131z00_53 = 
VECTOR_REF(BgL_arg1138z00_54,((long)11)); } 
BgL_auxz00_1207 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1131z00_53); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_47))->BgL_idz00)=((obj_t)BgL_auxz00_1207),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_47))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 56 */
 obj_t BgL_fun1139z00_55;
BgL_fun1139z00_55 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1139z00_55)(BgL_fun1139z00_55, 
((obj_t)BgL_new1064z00_47), BEOA); } 
BgL_z52pthz52_46 = BgL_new1064z00_47; } 
return 
((obj_t)BgL_z52pthz52_46);} } 

}



/* &%fscheduler-new */
obj_t BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52(obj_t BgL_envz00_831, obj_t BgL_scdlz00_832)
{
{ /* Llib/_pthread.scm 53 */
{ /* Llib/_pthread.scm 55 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1220;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_832, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 55 */
BgL_auxz00_1220 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_832)
; }  else 
{ 
 obj_t BgL_auxz00_1224;
BgL_auxz00_1224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)1881)), BGl_string1413z00zz__ft_z52pthreadz52, BGl_string1414z00zz__ft_z52pthreadz52, BgL_scdlz00_832); 
FAILURE(BgL_auxz00_1224,BFALSE,BFALSE);} 
return 
BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_auxz00_1220);} } 

}



/* &<@anonymous:1123> */
obj_t BGl_z62zc3z04anonymousza31123ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_833)
{
{ /* Llib/_pthread.scm 57 */
return BUNSPEC;} 

}



/* %pthread-new */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt BgL_ftz00_5)
{
{ /* Llib/_pthread.scm 66 */
{ /* Llib/_pthread.scm 95 */
 obj_t BgL_z52pthz52_853;
BgL_z52pthz52_853 = 
MAKE_CELL(BUNSPEC); 
{ /* Llib/_pthread.scm 95 */
 BgL_z52pthreadz52_bglt BgL_g1155z00_74;
{ /* Llib/_pthread.scm 96 */
 BgL_z52pthreadz52_bglt BgL_new1080z00_61;
{ /* Llib/_pthread.scm 102 */
 BgL_z52pthreadz52_bglt BgL_new1079z00_72;
BgL_new1079z00_72 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 102 */
 long BgL_arg1153z00_73;
BgL_arg1153z00_73 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_72), BgL_arg1153z00_73); } 
BgL_new1080z00_61 = BgL_new1079z00_72; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1080z00_61)))->BgL_namez00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_ftz00_5)))->BgL_namez00)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1237;
{ /* Llib/_pthread.scm 98 */
 obj_t BgL_zc3z04anonymousza31141ze3z87_837;
BgL_zc3z04anonymousza31141ze3z87_837 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31141ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31141ze3z87_837, 
(int)(((long)0)), 
((obj_t)BgL_ftz00_5)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31141ze3z87_837, 
(int)(((long)1)), 
((obj_t)BgL_z52pthz52_853)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31141ze3z87_837, 
(int)(((long)2)), 
((obj_t)BgL_ftz00_5)); 
BgL_auxz00_1237 = BgL_zc3z04anonymousza31141ze3z87_837; } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_61)))->BgL_bodyz00)=((obj_t)BgL_auxz00_1237),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_61)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_61)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_61)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_61)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_61))->BgL_fthreadz00)=((obj_t)
((obj_t)BgL_ftz00_5)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1263;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1144z00_65;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1145z00_66;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_360;
BgL_classz00_360 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1145z00_66 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_360); } 
BgL_arg1144z00_65 = 
VECTOR_REF(BgL_arg1145z00_66,((long)9)); } 
BgL_auxz00_1263 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1144z00_65); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_61))->BgL_mutexz00)=((obj_t)BgL_auxz00_1263),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1268;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1147z00_67;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1148z00_68;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_362;
BgL_classz00_362 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1148z00_68 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_362); } 
BgL_arg1147z00_67 = 
VECTOR_REF(BgL_arg1148z00_68,((long)10)); } 
BgL_auxz00_1268 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1147z00_67); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_61))->BgL_condvarz00)=((obj_t)BgL_auxz00_1268),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1273;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1149z00_69;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1150z00_70;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_364;
BgL_classz00_364 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1150z00_70 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_364); } 
BgL_arg1149z00_69 = 
VECTOR_REF(BgL_arg1150z00_70,((long)11)); } 
BgL_auxz00_1273 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1149z00_69); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_61))->BgL_idz00)=((obj_t)BgL_auxz00_1273),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_61))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 96 */
 obj_t BgL_fun1151z00_71;
BgL_fun1151z00_71 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1151z00_71)(BgL_fun1151z00_71, 
((obj_t)BgL_new1080z00_61), BEOA); } 
BgL_g1155z00_74 = BgL_new1080z00_61; } 
CELL_SET(BgL_z52pthz52_853, 
((obj_t)BgL_g1155z00_74)); 
return 
CELL_REF(BgL_z52pthz52_853);} } } 

}



/* &%pthread-new */
obj_t BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52(obj_t BgL_envz00_838, obj_t BgL_ftz00_839)
{
{ /* Llib/_pthread.scm 66 */
{ /* Llib/_pthread.scm 68 */
 BgL_fthreadz00_bglt BgL_auxz00_1286;
if(
BGl_isazf3zf3zz__objectz00(BgL_ftz00_839, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_pthread.scm 68 */
BgL_auxz00_1286 = 
((BgL_fthreadz00_bglt)BgL_ftz00_839)
; }  else 
{ 
 obj_t BgL_auxz00_1290;
BgL_auxz00_1290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)2397)), BGl_string1415z00zz__ft_z52pthreadz52, BGl_string1416z00zz__ft_z52pthreadz52, BgL_ftz00_839); 
FAILURE(BgL_auxz00_1290,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_auxz00_1286);} } 

}



/* &<@anonymous:1141> */
obj_t BGl_z62zc3z04anonymousza31141ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_840)
{
{ /* Llib/_pthread.scm 98 */
{ /* Llib/_pthread.scm 99 */
 BgL_fthreadz00_bglt BgL_i1078z00_841; obj_t BgL_z52pthz52_842; BgL_fthreadz00_bglt BgL_ftz00_843;
BgL_i1078z00_841 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_840, 
(int)(((long)0)))); 
BgL_z52pthz52_842 = 
PROCEDURE_REF(BgL_envz00_840, 
(int)(((long)1))); 
BgL_ftz00_843 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_840, 
(int)(((long)2)))); 
{ 
 BgL_fthreadz00_bglt BgL_tz00_982;
{ /* Llib/_pthread.scm 99 */
 obj_t BgL_arg1142z00_991;
BgL_arg1142z00_991 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1078z00_841))->BgL_schedulerz00); 
{ /* Llib/_pthread.scm 99 */
 obj_t BgL_list1143z00_992;
BgL_list1143z00_992 = 
MAKE_YOUNG_PAIR(BgL_arg1142z00_991, BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1143z00_992); } } 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)
((BgL_z52pthreadz52_bglt)
CELL_REF(BgL_z52pthz52_842)))); 
BgL_tz00_982 = BgL_ftz00_843; 
BGl_zc3z04exitza31157ze3ze70z60zz__ft_z52pthreadz52(BgL_tz00_982, BgL_tz00_982); 
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_arg1171z00_983; obj_t BgL_arg1172z00_984;
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_new1077z00_985;
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_new1076z00_986;
BgL_new1076z00_986 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/_pthread.scm 85 */
 long BgL_arg1175z00_987;
BgL_arg1175z00_987 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_986), BgL_arg1175z00_987); } 
BgL_new1077z00_985 = BgL_new1076z00_986; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1077z00_985))->BgL_threadz00)=((BgL_fthreadz00_bglt)BgL_tz00_982),BUNSPEC); 
BgL_arg1171z00_983 = BgL_new1077z00_985; } 
BgL_arg1172z00_984 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_982))->BgL_z52resultz52); 
{ /* Llib/_pthread.scm 85 */
 obj_t BgL_list1173z00_988;
BgL_list1173z00_988 = 
MAKE_YOUNG_PAIR(BgL_arg1172z00_984, BNIL); 
BGl_broadcastz12z12zz__ft_schedulerz00(
((obj_t)BgL_arg1171z00_983), BgL_list1173z00_988); } } 
{ /* Llib/_pthread.scm 87 */
 bool_t BgL_test1519z00_1319;
{ /* Llib/_pthread.scm 87 */
 obj_t BgL_tmpz00_1320;
BgL_tmpz00_1320 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_982))->BgL_z52cleanupz52); 
BgL_test1519z00_1319 = 
PROCEDUREP(BgL_tmpz00_1320); } 
if(BgL_test1519z00_1319)
{ /* Llib/_pthread.scm 87 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_982))->BgL_z52cleanupz52), 
(int)(((long)1))))
{ /* Llib/_pthread.scm 89 */
 obj_t BgL_fun1181z00_989;
BgL_fun1181z00_989 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_982))->BgL_z52cleanupz52); 
PROCEDURE_ENTRY(BgL_fun1181z00_989)(BgL_fun1181z00_989, 
((obj_t)BgL_tz00_982), BEOA); }  else 
{ /* Llib/_pthread.scm 90 */
 obj_t BgL_arg1182z00_990;
BgL_arg1182z00_990 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_982))->BgL_z52cleanupz52); 
BGl_errorz00zz__errorz00(
((obj_t)BgL_tz00_982), BGl_string1417z00zz__ft_z52pthreadz52, BgL_arg1182z00_990); } }  else 
{ /* Llib/_pthread.scm 87 */BFALSE; } } 
return 
BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_tz00_982);} } } 

}



/* <@exit:1157>~0 */
obj_t BGl_zc3z04exitza31157ze3ze70z60zz__ft_z52pthreadz52(BgL_fthreadz00_bglt BgL_i1065z00_922, BgL_fthreadz00_bglt BgL_tz00_921)
{
{ /* Llib/_pthread.scm 70 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1070z00_79;
if( SET_EXIT(BgL_an_exit1070z00_79 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1070z00_79 = 
(void *)jmpbuf; 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_env1074z00_80;
BgL_env1074z00_80 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1074z00_80, BgL_an_exit1070z00_79, ((long)1)); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_an_exitd1071z00_81;
BgL_an_exitd1071z00_81 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1074z00_80); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_terminatez00_834;
BgL_terminatez00_834 = 
MAKE_FX_PROCEDURE(BGl_z62terminatez62zz__ft_z52pthreadz52, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_terminatez00_834, 
(int)(((long)0)), BgL_an_exitd1071z00_81); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_res1073z00_84;
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_921))->BgL_z52terminatez52)=((obj_t)BgL_terminatez00_834),BUNSPEC); 
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_zc3z04anonymousza31168ze3z87_836; obj_t BgL_zc3z04anonymousza31160ze3z87_835;
BgL_zc3z04anonymousza31168ze3z87_836 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31168ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)0)), 
(int)(((long)1))); 
BgL_zc3z04anonymousza31160ze3z87_835 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31168ze3z87_836, 
(int)(((long)0)), 
((obj_t)BgL_i1065z00_922)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31160ze3z87_835, 
(int)(((long)0)), 
((obj_t)BgL_tz00_921)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31160ze3z87_835, 
(int)(((long)1)), BgL_an_exitd1071z00_81); 
BgL_res1073z00_84 = 
BGl_withzd2exceptionzd2handlerz00zz__errorz00(BgL_zc3z04anonymousza31160ze3z87_835, BgL_zc3z04anonymousza31168ze3z87_836); } 
POP_ENV_EXIT(BgL_env1074z00_80); 
return BgL_res1073z00_84;} } } } 
}} 

}



/* &<@anonymous:1168> */
obj_t BGl_z62zc3z04anonymousza31168ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_844)
{
{ /* Llib/_pthread.scm 81 */
{ /* Llib/_pthread.scm 81 */
 BgL_fthreadz00_bglt BgL_i1065z00_845;
BgL_i1065z00_845 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_844, 
(int)(((long)0)))); 
{ 
 obj_t BgL_auxz00_1367;
{ /* Llib/_pthread.scm 83 */
 obj_t BgL_fun1169z00_993;
BgL_fun1169z00_993 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1065z00_845))->BgL_bodyz00); 
BgL_auxz00_1367 = 
PROCEDURE_ENTRY(BgL_fun1169z00_993)(BgL_fun1169z00_993, BEOA); } 
return 
((((BgL_fthreadz00_bglt)COBJECT(BgL_i1065z00_845))->BgL_z52resultz52)=((obj_t)BgL_auxz00_1367),BUNSPEC);} } } 

}



/* &<@anonymous:1160> */
obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_846, obj_t BgL_ez00_849)
{
{ /* Llib/_pthread.scm 74 */
{ /* Llib/_pthread.scm 75 */
 BgL_fthreadz00_bglt BgL_tz00_847; obj_t BgL_an_exitd1071z00_848;
BgL_tz00_847 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_846, 
(int)(((long)0)))); 
BgL_an_exitd1071z00_848 = 
PROCEDURE_REF(BgL_envz00_846, 
(int)(((long)1))); 
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_994;
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1068z00_995;
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1067z00_996;
BgL_new1067z00_996 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/_pthread.scm 75 */
 long BgL_arg1167z00_997;
BgL_arg1167z00_997 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_996), BgL_arg1167z00_997); } 
BgL_new1068z00_995 = BgL_new1067z00_996; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_995)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_995)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1386;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_arg1162z00_998;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_arg1163z00_999;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_classz00_1000;
BgL_classz00_1000 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1163z00_999 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1000); } 
BgL_arg1162z00_998 = 
VECTOR_REF(BgL_arg1163z00_999,((long)2)); } 
BgL_auxz00_1386 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1162z00_998); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_995)))->BgL_stackz00)=((obj_t)BgL_auxz00_1386),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1068z00_995))->BgL_reasonz00)=((obj_t)BgL_ez00_849),BUNSPEC); 
BgL_uz00_994 = BgL_new1068z00_995; } 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_847))->BgL_z52exczd2resultz80)=((obj_t)
((obj_t)BgL_uz00_994)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_849); 
return 
unwind_stack_until(BgL_an_exitd1071z00_848, BFALSE, BFALSE, BFALSE, BFALSE);} } } 

}



/* &terminate */
obj_t BGl_z62terminatez62zz__ft_z52pthreadz52(obj_t BgL_envz00_850, obj_t BgL_val1072z00_852)
{
{ /* Llib/_pthread.scm 70 */
return 
unwind_stack_until(
PROCEDURE_REF(BgL_envz00_850, 
(int)(((long)0))), BFALSE, BgL_val1072z00_852, BFALSE, BFALSE);} 

}



/* %pthread-wait */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_ftz00_6)
{
{ /* Llib/_pthread.scm 109 */
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_mutex1186z00_117;
BgL_mutex1186z00_117 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_top1522z00_1402;
BgL_top1522z00_1402 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1186z00_117); 
BGL_EXITD_PUSH_PROTECT(BgL_top1522z00_1402, BgL_mutex1186z00_117); BUNSPEC; 
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_tmp1521z00_1401;
{ 

{ /* Llib/_pthread.scm 117 */
 bool_t BgL_tmpz00_1406;
BgL_zc3z04anonymousza31187ze3z87_119:
{ /* Llib/_pthread.scm 118 */
 bool_t BgL_test1523z00_1407;
{ /* Llib/_pthread.scm 118 */
 obj_t BgL_arg1198z00_127;
BgL_arg1198z00_127 = 
BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(); 
BgL_test1523z00_1407 = 
(BgL_arg1198z00_127==
((obj_t)BgL_ftz00_6)); } 
if(BgL_test1523z00_1407)
{ /* Llib/_pthread.scm 118 */
BgL_tmpz00_1406 = ((bool_t)0)
; }  else 
{ /* Llib/_pthread.scm 118 */
{ /* Llib/_pthread.scm 119 */
 obj_t BgL_arg1190z00_122; obj_t BgL_arg1197z00_123;
BgL_arg1190z00_122 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_condvarz00); 
BgL_arg1197z00_123 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 119 */

BGL_CONDVAR_WAIT(BgL_arg1190z00_122, BgL_arg1197z00_123); } } 
goto BgL_zc3z04anonymousza31187ze3z87_119;} } 
BgL_tmp1521z00_1401 = 
BBOOL(BgL_tmpz00_1406); } } 
BGL_EXITD_POP_PROTECT(BgL_top1522z00_1402); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1186z00_117); 
return BgL_tmp1521z00_1401;} } } } 

}



/* &%pthread-wait */
obj_t BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52(obj_t BgL_envz00_856, obj_t BgL_ftz00_857)
{
{ /* Llib/_pthread.scm 109 */
{ /* Llib/_pthread.scm 111 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1417;
if(
BGl_isazf3zf3zz__objectz00(BgL_ftz00_857, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 111 */
BgL_auxz00_1417 = 
((BgL_z52pthreadz52_bglt)BgL_ftz00_857)
; }  else 
{ 
 obj_t BgL_auxz00_1421;
BgL_auxz00_1421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)3945)), BGl_string1418z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_ftz00_857); 
FAILURE(BgL_auxz00_1421,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_auxz00_1417);} } 

}



/* %pthread-switch */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t BgL_ftz00_7, BgL_z52pthreadz52_bglt BgL_ntz00_8)
{
{ /* Llib/_pthread.scm 125 */
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_mutex1199z00_372;
BgL_mutex1199z00_372 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ntz00_8))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_top1526z00_1428;
BgL_top1526z00_1428 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1199z00_372); 
BGL_EXITD_PUSH_PROTECT(BgL_top1526z00_1428, BgL_mutex1199z00_372); BUNSPEC; 
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_tmp1525z00_1427;
BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_ntz00_8); 
{ /* Llib/_pthread.scm 134 */
 obj_t BgL_arg1200z00_373;
BgL_arg1200z00_373 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ntz00_8))->BgL_condvarz00); 
BgL_tmp1525z00_1427 = 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_arg1200z00_373)); } 
BGL_EXITD_POP_PROTECT(BgL_top1526z00_1428); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1199z00_372); 
return BgL_tmp1525z00_1427;} } } } 

}



/* &%pthread-switch */
obj_t BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52(obj_t BgL_envz00_858, obj_t BgL_ftz00_859, obj_t BgL_ntz00_860)
{
{ /* Llib/_pthread.scm 125 */
{ /* Llib/_pthread.scm 130 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1438;
if(
BGl_isazf3zf3zz__objectz00(BgL_ntz00_860, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 130 */
BgL_auxz00_1438 = 
((BgL_z52pthreadz52_bglt)BgL_ntz00_860)
; }  else 
{ 
 obj_t BgL_auxz00_1442;
BgL_auxz00_1442 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)4678)), BGl_string1420z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_ntz00_860); 
FAILURE(BgL_auxz00_1442,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_ftz00_859, BgL_auxz00_1438);} } 

}



/* %pthread-enter-scheduler */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_9)
{
{ /* Llib/_pthread.scm 139 */
if(
CBOOL(
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)))
{ /* Llib/_pthread.scm 145 */BFALSE; }  else 
{ /* Llib/_pthread.scm 145 */
{ /* Llib/_pthread.scm 146 */
 obj_t BgL_thz00_134;
BgL_thz00_134 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_test1529z00_1451;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_classz00_375;
BgL_classz00_375 = BGl_z52pthreadz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 149 */
 BgL_objectz00_bglt BgL_arg1797z00_377;
BgL_arg1797z00_377 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_arg1794z00_380; bool_t BgL_arg1795z00_381;
{ /* Llib/_pthread.scm 149 */
 long BgL_idxz00_384;
BgL_idxz00_384 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_377); 
BgL_arg1794z00_380 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_384+((long)3)))==BgL_classz00_375); } 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_res1366z00_406;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_oclassz00_392;
{ /* Llib/_pthread.scm 149 */
 long BgL_arg1804z00_398;
{ /* Llib/_pthread.scm 149 */
 long BgL_arg1805z00_399;
BgL_arg1805z00_399 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_377); 
BgL_arg1804z00_398 = 
(BgL_arg1805z00_399-OBJECT_TYPE); } 
BgL_oclassz00_392 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_398); } 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL__ortest_1111z00_393;
BgL__ortest_1111z00_393 = 
(BgL_classz00_375==BgL_oclassz00_392); 
if(BgL__ortest_1111z00_393)
{ /* Llib/_pthread.scm 149 */
BgL_res1366z00_406 = BgL__ortest_1111z00_393; }  else 
{ /* Llib/_pthread.scm 149 */
 long BgL_odepthz00_394;
BgL_odepthz00_394 = 
BGL_CLASS_DEPTH(BgL_oclassz00_392); 
if(
(((long)3)<BgL_odepthz00_394))
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_arg1793z00_396;
BgL_arg1793z00_396 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_392, ((long)3)); 
BgL_res1366z00_406 = 
(BgL_arg1793z00_396==BgL_classz00_375); }  else 
{ /* Llib/_pthread.scm 149 */
BgL_res1366z00_406 = ((bool_t)0); } } } } 
BgL_arg1795z00_381 = BgL_res1366z00_406; } 
BgL_test1529z00_1451 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_380, BgL_arg1795z00_381); } }  else 
{ /* Llib/_pthread.scm 149 */
BgL_test1529z00_1451 = ((bool_t)0)
; } } 
if(BgL_test1529z00_1451)
{ /* Llib/_pthread.scm 149 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1421z00zz__ft_z52pthreadz52, BgL_thz00_134); }  else 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_test1533z00_1472;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_classz00_407;
BgL_classz00_407 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 154 */
 BgL_objectz00_bglt BgL_arg1797z00_409;
BgL_arg1797z00_409 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_arg1794z00_412; bool_t BgL_arg1795z00_413;
{ /* Llib/_pthread.scm 154 */
 long BgL_idxz00_416;
BgL_idxz00_416 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_409); 
BgL_arg1794z00_412 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_416+((long)3)))==BgL_classz00_407); } 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_res1367z00_438;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_oclassz00_424;
{ /* Llib/_pthread.scm 154 */
 long BgL_arg1804z00_430;
{ /* Llib/_pthread.scm 154 */
 long BgL_arg1805z00_431;
BgL_arg1805z00_431 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_409); 
BgL_arg1804z00_430 = 
(BgL_arg1805z00_431-OBJECT_TYPE); } 
BgL_oclassz00_424 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_430); } 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL__ortest_1111z00_425;
BgL__ortest_1111z00_425 = 
(BgL_classz00_407==BgL_oclassz00_424); 
if(BgL__ortest_1111z00_425)
{ /* Llib/_pthread.scm 154 */
BgL_res1367z00_438 = BgL__ortest_1111z00_425; }  else 
{ /* Llib/_pthread.scm 154 */
 long BgL_odepthz00_426;
BgL_odepthz00_426 = 
BGL_CLASS_DEPTH(BgL_oclassz00_424); 
if(
(((long)3)<BgL_odepthz00_426))
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_arg1793z00_428;
BgL_arg1793z00_428 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_424, ((long)3)); 
BgL_res1367z00_438 = 
(BgL_arg1793z00_428==BgL_classz00_407); }  else 
{ /* Llib/_pthread.scm 154 */
BgL_res1367z00_438 = ((bool_t)0); } } } } 
BgL_arg1795z00_413 = BgL_res1367z00_438; } 
BgL_test1533z00_1472 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_412, BgL_arg1795z00_413); } }  else 
{ /* Llib/_pthread.scm 154 */
BgL_test1533z00_1472 = ((bool_t)0)
; } } 
if(BgL_test1533z00_1472)
{ /* Llib/_pthread.scm 154 */BUNSPEC; }  else 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_test1538z00_1491;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1213z00_144;
BgL_arg1213z00_144 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00); 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 157 */
 BgL_objectz00_bglt BgL_arg1799z00_441; long BgL_arg1800z00_442;
BgL_arg1799z00_441 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_tmpz00_1496;
BgL_tmpz00_1496 = 
((obj_t)BgL_arg1213z00_144); 
BgL_arg1800z00_442 = 
BGL_CLASS_DEPTH(BgL_tmpz00_1496); } 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_arg1794z00_446; bool_t BgL_arg1795z00_447;
{ /* Llib/_pthread.scm 157 */
 long BgL_idxz00_451;
BgL_idxz00_451 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_441); 
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1791z00_452;
BgL_arg1791z00_452 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_451+BgL_arg1800z00_442)); 
BgL_arg1794z00_446 = 
(BgL_arg1791z00_452==
((obj_t)BgL_arg1213z00_144)); } } 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_res1368z00_476;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_oclassz00_461;
{ /* Llib/_pthread.scm 157 */
 long BgL_arg1804z00_467;
{ /* Llib/_pthread.scm 157 */
 long BgL_arg1805z00_468;
BgL_arg1805z00_468 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_441); 
BgL_arg1804z00_467 = 
(BgL_arg1805z00_468-OBJECT_TYPE); } 
BgL_oclassz00_461 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_467); } 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL__ortest_1111z00_462;
BgL__ortest_1111z00_462 = 
(
((obj_t)BgL_arg1213z00_144)==BgL_oclassz00_461); 
if(BgL__ortest_1111z00_462)
{ /* Llib/_pthread.scm 157 */
BgL_res1368z00_476 = BgL__ortest_1111z00_462; }  else 
{ /* Llib/_pthread.scm 157 */
 long BgL_odepthz00_463;
BgL_odepthz00_463 = 
BGL_CLASS_DEPTH(BgL_oclassz00_461); 
if(
(BgL_arg1800z00_442<BgL_odepthz00_463))
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1793z00_465;
BgL_arg1793z00_465 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_461, BgL_arg1800z00_442); 
BgL_res1368z00_476 = 
(BgL_arg1793z00_465==
((obj_t)BgL_arg1213z00_144)); }  else 
{ /* Llib/_pthread.scm 157 */
BgL_res1368z00_476 = ((bool_t)0); } } } } 
BgL_arg1795z00_447 = BgL_res1368z00_476; } 
BgL_test1538z00_1491 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_446, BgL_arg1795z00_447); } }  else 
{ /* Llib/_pthread.scm 157 */
BgL_test1538z00_1491 = ((bool_t)0)
; } } 
if(BgL_test1538z00_1491)
{ /* Llib/_pthread.scm 157 */BUNSPEC; }  else 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_test1543z00_1517;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_classz00_477;
BgL_classz00_477 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 160 */
 BgL_objectz00_bglt BgL_arg1797z00_479;
BgL_arg1797z00_479 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_arg1794z00_482; bool_t BgL_arg1795z00_483;
{ /* Llib/_pthread.scm 160 */
 long BgL_idxz00_486;
BgL_idxz00_486 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_479); 
BgL_arg1794z00_482 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_486+((long)2)))==BgL_classz00_477); } 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_res1369z00_508;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_oclassz00_494;
{ /* Llib/_pthread.scm 160 */
 long BgL_arg1804z00_500;
{ /* Llib/_pthread.scm 160 */
 long BgL_arg1805z00_501;
BgL_arg1805z00_501 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_479); 
BgL_arg1804z00_500 = 
(BgL_arg1805z00_501-OBJECT_TYPE); } 
BgL_oclassz00_494 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_500); } 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL__ortest_1111z00_495;
BgL__ortest_1111z00_495 = 
(BgL_classz00_477==BgL_oclassz00_494); 
if(BgL__ortest_1111z00_495)
{ /* Llib/_pthread.scm 160 */
BgL_res1369z00_508 = BgL__ortest_1111z00_495; }  else 
{ /* Llib/_pthread.scm 160 */
 long BgL_odepthz00_496;
BgL_odepthz00_496 = 
BGL_CLASS_DEPTH(BgL_oclassz00_494); 
if(
(((long)2)<BgL_odepthz00_496))
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_arg1793z00_498;
BgL_arg1793z00_498 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_494, ((long)2)); 
BgL_res1369z00_508 = 
(BgL_arg1793z00_498==BgL_classz00_477); }  else 
{ /* Llib/_pthread.scm 160 */
BgL_res1369z00_508 = ((bool_t)0); } } } } 
BgL_arg1795z00_483 = BgL_res1369z00_508; } 
BgL_test1543z00_1517 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_482, BgL_arg1795z00_483); } }  else 
{ /* Llib/_pthread.scm 160 */
BgL_test1543z00_1517 = ((bool_t)0)
; } } 
if(BgL_test1543z00_1517)
{ /* Llib/_pthread.scm 160 */
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)=((obj_t)BgL_thz00_134),BUNSPEC); }  else 
{ /* Llib/_pthread.scm 163 */
 bool_t BgL_test1547z00_1537;
if(
BOOLEANP(BgL_thz00_134))
{ /* Llib/_pthread.scm 163 */
if(
CBOOL(BgL_thz00_134))
{ /* Llib/_pthread.scm 163 */
BgL_test1547z00_1537 = ((bool_t)0)
; }  else 
{ /* Llib/_pthread.scm 163 */
BgL_test1547z00_1537 = ((bool_t)1)
; } }  else 
{ /* Llib/_pthread.scm 163 */
BgL_test1547z00_1537 = ((bool_t)0)
; } 
if(BgL_test1547z00_1537)
{ /* Llib/_pthread.scm 163 */
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/_pthread.scm 169 */
 obj_t BgL_arg1211z00_142;
BgL_arg1211z00_142 = 
bgl_find_runtime_type(BgL_thz00_134); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1422z00zz__ft_z52pthreadz52, BgL_arg1211z00_142); } } } } } } } BUNSPEC; } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_test1551z00_1546;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1219z00_148;
BgL_arg1219z00_148 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_classz00_509;
BgL_classz00_509 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1219z00_148))
{ /* Llib/_pthread.scm 173 */
 BgL_objectz00_bglt BgL_arg1797z00_511;
BgL_arg1797z00_511 = 
(BgL_objectz00_bglt)(BgL_arg1219z00_148); 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_arg1794z00_514; bool_t BgL_arg1795z00_515;
{ /* Llib/_pthread.scm 173 */
 long BgL_idxz00_518;
BgL_idxz00_518 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_511); 
BgL_arg1794z00_514 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_518+((long)3)))==BgL_classz00_509); } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_res1370z00_540;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_oclassz00_526;
{ /* Llib/_pthread.scm 173 */
 long BgL_arg1804z00_532;
{ /* Llib/_pthread.scm 173 */
 long BgL_arg1805z00_533;
BgL_arg1805z00_533 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_511); 
BgL_arg1804z00_532 = 
(BgL_arg1805z00_533-OBJECT_TYPE); } 
BgL_oclassz00_526 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_532); } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL__ortest_1111z00_527;
BgL__ortest_1111z00_527 = 
(BgL_classz00_509==BgL_oclassz00_526); 
if(BgL__ortest_1111z00_527)
{ /* Llib/_pthread.scm 173 */
BgL_res1370z00_540 = BgL__ortest_1111z00_527; }  else 
{ /* Llib/_pthread.scm 173 */
 long BgL_odepthz00_528;
BgL_odepthz00_528 = 
BGL_CLASS_DEPTH(BgL_oclassz00_526); 
if(
(((long)3)<BgL_odepthz00_528))
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1793z00_530;
BgL_arg1793z00_530 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_526, ((long)3)); 
BgL_res1370z00_540 = 
(BgL_arg1793z00_530==BgL_classz00_509); }  else 
{ /* Llib/_pthread.scm 173 */
BgL_res1370z00_540 = ((bool_t)0); } } } } 
BgL_arg1795z00_515 = BgL_res1370z00_540; } 
BgL_test1551z00_1546 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_514, BgL_arg1795z00_515); } }  else 
{ /* Llib/_pthread.scm 173 */
BgL_test1551z00_1546 = ((bool_t)0)
; } } } 
if(BgL_test1551z00_1546)
{ /* Llib/_pthread.scm 173 */BFALSE; }  else 
{ /* Llib/_pthread.scm 173 */
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00)); } } 
{ /* Llib/_pthread.scm 177 */
 BgL_schedulerz00_bglt BgL_i1084z00_149;
BgL_i1084z00_149 = 
((BgL_schedulerz00_bglt)
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00)); 
{ /* Llib/_pthread.scm 178 */
 obj_t BgL_fun1220z00_150;
BgL_fun1220z00_150 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_i1084z00_149)))->BgL_bodyz00); 
return 
PROCEDURE_ENTRY(BgL_fun1220z00_150)(BgL_fun1220z00_150, BEOA);} } } 

}



/* &%pthread-enter-scheduler */
obj_t BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52(obj_t BgL_envz00_861, obj_t BgL_scdlz00_862)
{
{ /* Llib/_pthread.scm 139 */
{ /* Llib/_pthread.scm 143 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1575;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_862, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 143 */
BgL_auxz00_1575 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_862)
; }  else 
{ 
 obj_t BgL_auxz00_1579;
BgL_auxz00_1579 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)5251)), BGl_string1423z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_862); 
FAILURE(BgL_auxz00_1579,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_auxz00_1575);} } 

}



/* %pthread-leave-scheduler */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_10)
{
{ /* Llib/_pthread.scm 183 */
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_test1557z00_1584;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1224z00_154;
BgL_arg1224z00_154 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_classz00_541;
BgL_classz00_541 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1224z00_154))
{ /* Llib/_pthread.scm 187 */
 BgL_objectz00_bglt BgL_arg1797z00_543;
BgL_arg1797z00_543 = 
(BgL_objectz00_bglt)(BgL_arg1224z00_154); 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_arg1794z00_546; bool_t BgL_arg1795z00_547;
{ /* Llib/_pthread.scm 187 */
 long BgL_idxz00_550;
BgL_idxz00_550 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_543); 
BgL_arg1794z00_546 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_550+((long)2)))==BgL_classz00_541); } 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_res1371z00_572;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_oclassz00_558;
{ /* Llib/_pthread.scm 187 */
 long BgL_arg1804z00_564;
{ /* Llib/_pthread.scm 187 */
 long BgL_arg1805z00_565;
BgL_arg1805z00_565 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_543); 
BgL_arg1804z00_564 = 
(BgL_arg1805z00_565-OBJECT_TYPE); } 
BgL_oclassz00_558 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_564); } 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL__ortest_1111z00_559;
BgL__ortest_1111z00_559 = 
(BgL_classz00_541==BgL_oclassz00_558); 
if(BgL__ortest_1111z00_559)
{ /* Llib/_pthread.scm 187 */
BgL_res1371z00_572 = BgL__ortest_1111z00_559; }  else 
{ /* Llib/_pthread.scm 187 */
 long BgL_odepthz00_560;
BgL_odepthz00_560 = 
BGL_CLASS_DEPTH(BgL_oclassz00_558); 
if(
(((long)2)<BgL_odepthz00_560))
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1793z00_562;
BgL_arg1793z00_562 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_558, ((long)2)); 
BgL_res1371z00_572 = 
(BgL_arg1793z00_562==BgL_classz00_541); }  else 
{ /* Llib/_pthread.scm 187 */
BgL_res1371z00_572 = ((bool_t)0); } } } } 
BgL_arg1795z00_547 = BgL_res1371z00_572; } 
BgL_test1557z00_1584 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_546, BgL_arg1795z00_547); } }  else 
{ /* Llib/_pthread.scm 187 */
BgL_test1557z00_1584 = ((bool_t)0)
; } } } 
if(BgL_test1557z00_1584)
{ /* Llib/_pthread.scm 187 */BFALSE; }  else 
{ /* Llib/_pthread.scm 187 */
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(BFALSE); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_10))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); } } 
return BFALSE;} 

}



/* &%pthread-leave-scheduler */
obj_t BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52(obj_t BgL_envz00_863, obj_t BgL_scdlz00_864)
{
{ /* Llib/_pthread.scm 183 */
{ /* Llib/_pthread.scm 187 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1606;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_864, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 187 */
BgL_auxz00_1606 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_864)
; }  else 
{ 
 obj_t BgL_auxz00_1610;
BgL_auxz00_1610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)6787)), BGl_string1424z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_864); 
FAILURE(BgL_auxz00_1610,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_auxz00_1606);} } 

}



/* %async-spawn */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_11, obj_t BgL_bodyz00_12, obj_t BgL_oz00_13)
{
{ /* Llib/_pthread.scm 196 */
{ /* Llib/_pthread.scm 201 */
 BgL_z52pthreadz52_bglt BgL_z52pthz52_155;
{ /* Llib/_pthread.scm 201 */
 BgL_z52pthreadz52_bglt BgL_new1087z00_157;
{ /* Llib/_pthread.scm 204 */
 BgL_z52pthreadz52_bglt BgL_new1086z00_167;
BgL_new1086z00_167 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 204 */
 long BgL_arg1238z00_168;
BgL_arg1238z00_168 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_167), BgL_arg1238z00_168); } 
BgL_new1087z00_157 = BgL_new1086z00_167; } 
{ 
 obj_t BgL_auxz00_1619;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1226z00_158;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1227z00_159; obj_t BgL_arg1228z00_160;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1229z00_161;
BgL_arg1229z00_161 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1457z00_577;
BgL_arg1457z00_577 = 
SYMBOL_TO_STRING(BgL_arg1229z00_161); 
BgL_arg1227z00_159 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_577); } } 
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1457z00_579;
BgL_arg1457z00_579 = 
SYMBOL_TO_STRING(
((obj_t)BgL_oz00_13)); 
BgL_arg1228z00_160 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_579); } 
BgL_arg1226z00_158 = 
string_append(BgL_arg1227z00_159, BgL_arg1228z00_160); } 
BgL_auxz00_1619 = 
bstring_to_symbol(BgL_arg1226z00_158); } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1087z00_157)))->BgL_namez00)=((obj_t)BgL_auxz00_1619),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_157)))->BgL_bodyz00)=((obj_t)BgL_bodyz00_12),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_157)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_157)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_157)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_157)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_157))->BgL_fthreadz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1643;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1230z00_162;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1231z00_163;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_classz00_581;
BgL_classz00_581 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1231z00_163 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_581); } 
BgL_arg1230z00_162 = 
VECTOR_REF(BgL_arg1231z00_163,((long)9)); } 
BgL_auxz00_1643 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1230z00_162); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_157))->BgL_mutexz00)=((obj_t)BgL_auxz00_1643),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1648;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1234z00_164;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1235z00_165;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_classz00_583;
BgL_classz00_583 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1235z00_165 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_583); } 
BgL_arg1234z00_164 = 
VECTOR_REF(BgL_arg1235z00_165,((long)10)); } 
BgL_auxz00_1648 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1234z00_164); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_157))->BgL_condvarz00)=((obj_t)BgL_auxz00_1648),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_157))->BgL_idz00)=((obj_t)BgL_oz00_13),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_157))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 201 */
 obj_t BgL_fun1236z00_166;
BgL_fun1236z00_166 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1236z00_166)(BgL_fun1236z00_166, 
((obj_t)BgL_new1087z00_157), BEOA); } 
BgL_z52pthz52_155 = BgL_new1087z00_157; } 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_z52pthz52_155), BNIL); 
return 
((obj_t)BgL_z52pthz52_155);} } 

}



/* &%async-spawn */
obj_t BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52(obj_t BgL_envz00_865, obj_t BgL_scdlz00_866, obj_t BgL_bodyz00_867, obj_t BgL_oz00_868)
{
{ /* Llib/_pthread.scm 196 */
{ /* Llib/_pthread.scm 201 */
 obj_t BgL_auxz00_1672; BgL_z52pthreadz52_bglt BgL_auxz00_1664;
if(
PROCEDUREP(BgL_bodyz00_867))
{ /* Llib/_pthread.scm 201 */
BgL_auxz00_1672 = BgL_bodyz00_867
; }  else 
{ 
 obj_t BgL_auxz00_1675;
BgL_auxz00_1675 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)7392)), BGl_string1425z00zz__ft_z52pthreadz52, BGl_string1426z00zz__ft_z52pthreadz52, BgL_bodyz00_867); 
FAILURE(BgL_auxz00_1675,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_866, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 201 */
BgL_auxz00_1664 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_866)
; }  else 
{ 
 obj_t BgL_auxz00_1668;
BgL_auxz00_1668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)7392)), BGl_string1425z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_866); 
FAILURE(BgL_auxz00_1668,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_auxz00_1664, BgL_auxz00_1672, BgL_oz00_868);} } 

}



/* %async-synchronize */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_14)
{
{ /* Llib/_pthread.scm 211 */
{ /* Llib/_pthread.scm 215 */
 obj_t BgL_arg1239z00_586;
BgL_arg1239z00_586 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_14))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 215 */

{ /* Llib/_pthread.scm 215 */
 int BgL_arg1680z00_592;
BgL_arg1680z00_592 = 
BGL_MUTEX_LOCK(BgL_arg1239z00_586); 
return 
BBOOL(
(
(long)(BgL_arg1680z00_592)==((long)0)));} } } } 

}



/* &%async-synchronize */
obj_t BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52(obj_t BgL_envz00_869, obj_t BgL_scdlz00_870)
{
{ /* Llib/_pthread.scm 211 */
{ /* Llib/_pthread.scm 214 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1685;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_870, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 214 */
BgL_auxz00_1685 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_870)
; }  else 
{ 
 obj_t BgL_auxz00_1689;
BgL_auxz00_1689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)7893)), BGl_string1427z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_870); 
FAILURE(BgL_auxz00_1689,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_auxz00_1685);} } 

}



/* %async-asynchronize */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_15)
{
{ /* Llib/_pthread.scm 220 */
{ /* Llib/_pthread.scm 224 */
 obj_t BgL_arg1242z00_598;
BgL_arg1242z00_598 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_15))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 224 */
 int BgL_arg1675z00_600;
BgL_arg1675z00_600 = 
BGL_MUTEX_UNLOCK(BgL_arg1242z00_598); 
return 
BBOOL(
(
(long)(BgL_arg1675z00_600)==((long)0)));} } } 

}



/* &%async-asynchronize */
obj_t BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52(obj_t BgL_envz00_871, obj_t BgL_scdlz00_872)
{
{ /* Llib/_pthread.scm 220 */
{ /* Llib/_pthread.scm 223 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1699;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_872, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 223 */
BgL_auxz00_1699 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_872)
; }  else 
{ 
 obj_t BgL_auxz00_1703;
BgL_auxz00_1703 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)8317)), BGl_string1428z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_872); 
FAILURE(BgL_auxz00_1703,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_auxz00_1699);} } 

}



/* %async-scheduler-wait */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_16)
{
{ /* Llib/_pthread.scm 229 */
{ /* Llib/_pthread.scm 233 */
 obj_t BgL_arg1250z00_176; obj_t BgL_arg1251z00_177;
BgL_arg1250z00_176 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_16))->BgL_condvarz00); 
BgL_arg1251z00_177 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_16))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 233 */

return 
BBOOL(
BGL_CONDVAR_WAIT(BgL_arg1250z00_176, BgL_arg1251z00_177));} } } 

}



/* &%async-scheduler-wait */
obj_t BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52(obj_t BgL_envz00_873, obj_t BgL_scdlz00_874)
{
{ /* Llib/_pthread.scm 229 */
{ /* Llib/_pthread.scm 232 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1712;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_874, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 232 */
BgL_auxz00_1712 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_874)
; }  else 
{ 
 obj_t BgL_auxz00_1716;
BgL_auxz00_1716 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)8744)), BGl_string1429z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_874); 
FAILURE(BgL_auxz00_1716,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_auxz00_1712);} } 

}



/* %async-scheduler-notify */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_17)
{
{ /* Llib/_pthread.scm 238 */
{ /* Llib/_pthread.scm 242 */
 obj_t BgL_arg1252z00_608;
BgL_arg1252z00_608 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_17))->BgL_condvarz00); 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_arg1252z00_608));} } 

}



/* &%async-scheduler-notify */
obj_t BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52(obj_t BgL_envz00_875, obj_t BgL_scdlz00_876)
{
{ /* Llib/_pthread.scm 238 */
{ /* Llib/_pthread.scm 241 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1724;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_876, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 241 */
BgL_auxz00_1724 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_876)
; }  else 
{ 
 obj_t BgL_auxz00_1728;
BgL_auxz00_1728 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1412z00zz__ft_z52pthreadz52, 
BINT(((long)9202)), BGl_string1430z00zz__ft_z52pthreadz52, BGl_string1419z00zz__ft_z52pthreadz52, BgL_scdlz00_876); 
FAILURE(BgL_auxz00_1728,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_auxz00_1724);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1431z00zz__ft_z52pthreadz52, BGl_string1432z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1433z00zz__ft_z52pthreadz52, BGl_string1434z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1435z00zz__ft_z52pthreadz52, BGl_string1436z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1437z00zz__ft_z52pthreadz52, BGl_string1438z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1439z00zz__ft_z52pthreadz52, BGl_string1440z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1441z00zz__ft_z52pthreadz52, BGl_string1436z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1442z00zz__ft_z52pthreadz52, BGl_string1438z00zz__ft_z52pthreadz52); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1443z00zz__ft_z52pthreadz52, BGl_string1440z00zz__ft_z52pthreadz52);} 

}



/* &%user-thread-sleep!-1117 */
obj_t BGl_z62z52userzd2threadzd2sleepz12zd21117zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_886, obj_t BgL_oz00_887, obj_t BgL_timeoutz00_888)
{
{ /* Llib/_pthread.scm 317 */
if(
(
(long)CINT(BgL_timeoutz00_888)>((long)0)))
{ /* Llib/_pthread.scm 318 */
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_oz00_887), 
CINT(BgL_timeoutz00_888));}  else 
{ /* Llib/_pthread.scm 318 */
return BFALSE;} } 

}



/* &%user-thread-yield!-1115 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21115zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_889, obj_t BgL_oz00_890)
{
{ /* Llib/_pthread.scm 311 */
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_oz00_890));} 

}



/* &%user-current-thread1113 */
obj_t BGl_z62z52userzd2currentzd2thread1113z30zz__ft_z52pthreadz52(obj_t BgL_envz00_891, obj_t BgL_oz00_892)
{
{ /* Llib/_pthread.scm 305 */
return 
((obj_t)
((BgL_fthreadz00_bglt)BgL_oz00_892));} 

}



/* &%user-thread-sleep!-1111 */
obj_t BGl_z62z52userzd2threadzd2sleepz12zd21111zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_893, obj_t BgL_oz00_894, obj_t BgL_timeoutz00_895)
{
{ /* Llib/_pthread.scm 297 */
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_test1570z00_1751;
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_test1571z00_1752;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1358z00_1005;
BgL_arg1358z00_1005 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_894)))->BgL_fthreadz00); 
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_classz00_1006;
BgL_classz00_1006 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1358z00_1005))
{ /* Llib/_pthread.scm 299 */
 BgL_objectz00_bglt BgL_arg1797z00_1007;
BgL_arg1797z00_1007 = 
(BgL_objectz00_bglt)(BgL_arg1358z00_1005); 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_arg1794z00_1008; bool_t BgL_arg1795z00_1009;
{ /* Llib/_pthread.scm 299 */
 long BgL_idxz00_1010;
BgL_idxz00_1010 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1007); 
BgL_arg1794z00_1008 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1010+((long)2)))==BgL_classz00_1006); } 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_res1377z00_1013;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_oclassz00_1014;
{ /* Llib/_pthread.scm 299 */
 long BgL_arg1804z00_1015;
{ /* Llib/_pthread.scm 299 */
 long BgL_arg1805z00_1016;
BgL_arg1805z00_1016 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1007); 
BgL_arg1804z00_1015 = 
(BgL_arg1805z00_1016-OBJECT_TYPE); } 
BgL_oclassz00_1014 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1015); } 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL__ortest_1111z00_1017;
BgL__ortest_1111z00_1017 = 
(BgL_classz00_1006==BgL_oclassz00_1014); 
if(BgL__ortest_1111z00_1017)
{ /* Llib/_pthread.scm 299 */
BgL_res1377z00_1013 = BgL__ortest_1111z00_1017; }  else 
{ /* Llib/_pthread.scm 299 */
 long BgL_odepthz00_1018;
BgL_odepthz00_1018 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1014); 
if(
(((long)2)<BgL_odepthz00_1018))
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1793z00_1019;
BgL_arg1793z00_1019 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1014, ((long)2)); 
BgL_res1377z00_1013 = 
(BgL_arg1793z00_1019==BgL_classz00_1006); }  else 
{ /* Llib/_pthread.scm 299 */
BgL_res1377z00_1013 = ((bool_t)0); } } } } 
BgL_arg1795z00_1009 = BgL_res1377z00_1013; } 
BgL_test1571z00_1752 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1008, BgL_arg1795z00_1009); } }  else 
{ /* Llib/_pthread.scm 299 */
BgL_test1571z00_1752 = ((bool_t)0)
; } } } 
if(BgL_test1571z00_1752)
{ /* Llib/_pthread.scm 299 */
BgL_test1570z00_1751 = 
(
(long)CINT(BgL_timeoutz00_895)>((long)0))
; }  else 
{ /* Llib/_pthread.scm 299 */
BgL_test1570z00_1751 = ((bool_t)0)
; } } 
if(BgL_test1570z00_1751)
{ /* Llib/_pthread.scm 300 */
 obj_t BgL_arg1357z00_1020;
BgL_arg1357z00_1020 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_894)))->BgL_fthreadz00); 
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_arg1357z00_1020), 
CINT(BgL_timeoutz00_895));}  else 
{ /* Llib/_pthread.scm 299 */
return BFALSE;} } } 

}



/* &%user-thread-yield!-1109 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21109zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_896, obj_t BgL_oz00_897)
{
{ /* Llib/_pthread.scm 289 */
if(
CBOOL(
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_897)))->BgL_fthreadz00)))
{ /* Llib/_pthread.scm 292 */
 obj_t BgL_arg1345z00_1022;
BgL_arg1345z00_1022 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_897)))->BgL_fthreadz00); 
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_arg1345z00_1022));}  else 
{ /* Llib/_pthread.scm 291 */
return BFALSE;} } 

}



/* &%user-current-thread1107 */
obj_t BGl_z62z52userzd2currentzd2thread1107z30zz__ft_z52pthreadz52(obj_t BgL_envz00_898, obj_t BgL_oz00_899)
{
{ /* Llib/_pthread.scm 280 */
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_test1579z00_1788;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1343z00_1024;
BgL_arg1343z00_1024 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_899)))->BgL_fthreadz00); 
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_classz00_1025;
BgL_classz00_1025 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1343z00_1024))
{ /* Llib/_pthread.scm 282 */
 BgL_objectz00_bglt BgL_arg1797z00_1026;
BgL_arg1797z00_1026 = 
(BgL_objectz00_bglt)(BgL_arg1343z00_1024); 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_arg1794z00_1027; bool_t BgL_arg1795z00_1028;
{ /* Llib/_pthread.scm 282 */
 long BgL_idxz00_1029;
BgL_idxz00_1029 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1026); 
BgL_arg1794z00_1027 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1029+((long)2)))==BgL_classz00_1025); } 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_res1374z00_1032;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_oclassz00_1033;
{ /* Llib/_pthread.scm 282 */
 long BgL_arg1804z00_1034;
{ /* Llib/_pthread.scm 282 */
 long BgL_arg1805z00_1035;
BgL_arg1805z00_1035 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1026); 
BgL_arg1804z00_1034 = 
(BgL_arg1805z00_1035-OBJECT_TYPE); } 
BgL_oclassz00_1033 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1034); } 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL__ortest_1111z00_1036;
BgL__ortest_1111z00_1036 = 
(BgL_classz00_1025==BgL_oclassz00_1033); 
if(BgL__ortest_1111z00_1036)
{ /* Llib/_pthread.scm 282 */
BgL_res1374z00_1032 = BgL__ortest_1111z00_1036; }  else 
{ /* Llib/_pthread.scm 282 */
 long BgL_odepthz00_1037;
BgL_odepthz00_1037 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1033); 
if(
(((long)2)<BgL_odepthz00_1037))
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1793z00_1038;
BgL_arg1793z00_1038 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1033, ((long)2)); 
BgL_res1374z00_1032 = 
(BgL_arg1793z00_1038==BgL_classz00_1025); }  else 
{ /* Llib/_pthread.scm 282 */
BgL_res1374z00_1032 = ((bool_t)0); } } } } 
BgL_arg1795z00_1028 = BgL_res1374z00_1032; } 
BgL_test1579z00_1788 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1027, BgL_arg1795z00_1028); } }  else 
{ /* Llib/_pthread.scm 282 */
BgL_test1579z00_1788 = ((bool_t)0)
; } } } 
if(BgL_test1579z00_1788)
{ /* Llib/_pthread.scm 282 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_899)))->BgL_fthreadz00);}  else 
{ /* Llib/_pthread.scm 268 */
 obj_t BgL_csz00_1039;
BgL_csz00_1039 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_test1583z00_1812;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_classz00_1040;
BgL_classz00_1040 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_csz00_1039))
{ /* Llib/_pthread.scm 269 */
 BgL_objectz00_bglt BgL_arg1797z00_1041;
BgL_arg1797z00_1041 = 
(BgL_objectz00_bglt)(BgL_csz00_1039); 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_arg1794z00_1042; bool_t BgL_arg1795z00_1043;
{ /* Llib/_pthread.scm 269 */
 long BgL_idxz00_1044;
BgL_idxz00_1044 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1041); 
BgL_arg1794z00_1042 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1044+((long)3)))==BgL_classz00_1040); } 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_res1375z00_1047;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_oclassz00_1048;
{ /* Llib/_pthread.scm 269 */
 long BgL_arg1804z00_1049;
{ /* Llib/_pthread.scm 269 */
 long BgL_arg1805z00_1050;
BgL_arg1805z00_1050 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1041); 
BgL_arg1804z00_1049 = 
(BgL_arg1805z00_1050-OBJECT_TYPE); } 
BgL_oclassz00_1048 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1049); } 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL__ortest_1111z00_1051;
BgL__ortest_1111z00_1051 = 
(BgL_classz00_1040==BgL_oclassz00_1048); 
if(BgL__ortest_1111z00_1051)
{ /* Llib/_pthread.scm 269 */
BgL_res1375z00_1047 = BgL__ortest_1111z00_1051; }  else 
{ /* Llib/_pthread.scm 269 */
 long BgL_odepthz00_1052;
BgL_odepthz00_1052 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1048); 
if(
(((long)3)<BgL_odepthz00_1052))
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_arg1793z00_1053;
BgL_arg1793z00_1053 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1048, ((long)3)); 
BgL_res1375z00_1047 = 
(BgL_arg1793z00_1053==BgL_classz00_1040); }  else 
{ /* Llib/_pthread.scm 269 */
BgL_res1375z00_1047 = ((bool_t)0); } } } } 
BgL_arg1795z00_1043 = BgL_res1375z00_1047; } 
BgL_test1583z00_1812 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1042, BgL_arg1795z00_1043); } }  else 
{ /* Llib/_pthread.scm 269 */
BgL_test1583z00_1812 = ((bool_t)0)
; } } 
if(BgL_test1583z00_1812)
{ /* Llib/_pthread.scm 269 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_csz00_1039)))->BgL_currentzd2threadzd2);}  else 
{ /* Llib/_pthread.scm 272 */
 obj_t BgL_dsz00_1054;
BgL_dsz00_1054 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_test1587z00_1834;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_classz00_1055;
BgL_classz00_1055 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_dsz00_1054))
{ /* Llib/_pthread.scm 273 */
 BgL_objectz00_bglt BgL_arg1797z00_1056;
BgL_arg1797z00_1056 = 
(BgL_objectz00_bglt)(BgL_dsz00_1054); 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_arg1794z00_1057; bool_t BgL_arg1795z00_1058;
{ /* Llib/_pthread.scm 273 */
 long BgL_idxz00_1059;
BgL_idxz00_1059 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1056); 
BgL_arg1794z00_1057 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1059+((long)3)))==BgL_classz00_1055); } 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_res1376z00_1062;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_oclassz00_1063;
{ /* Llib/_pthread.scm 273 */
 long BgL_arg1804z00_1064;
{ /* Llib/_pthread.scm 273 */
 long BgL_arg1805z00_1065;
BgL_arg1805z00_1065 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1056); 
BgL_arg1804z00_1064 = 
(BgL_arg1805z00_1065-OBJECT_TYPE); } 
BgL_oclassz00_1063 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1064); } 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL__ortest_1111z00_1066;
BgL__ortest_1111z00_1066 = 
(BgL_classz00_1055==BgL_oclassz00_1063); 
if(BgL__ortest_1111z00_1066)
{ /* Llib/_pthread.scm 273 */
BgL_res1376z00_1062 = BgL__ortest_1111z00_1066; }  else 
{ /* Llib/_pthread.scm 273 */
 long BgL_odepthz00_1067;
BgL_odepthz00_1067 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1063); 
if(
(((long)3)<BgL_odepthz00_1067))
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_arg1793z00_1068;
BgL_arg1793z00_1068 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1063, ((long)3)); 
BgL_res1376z00_1062 = 
(BgL_arg1793z00_1068==BgL_classz00_1055); }  else 
{ /* Llib/_pthread.scm 273 */
BgL_res1376z00_1062 = ((bool_t)0); } } } } 
BgL_arg1795z00_1058 = BgL_res1376z00_1062; } 
BgL_test1587z00_1834 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1057, BgL_arg1795z00_1058); } }  else 
{ /* Llib/_pthread.scm 273 */
BgL_test1587z00_1834 = ((bool_t)0)
; } } 
if(BgL_test1587z00_1834)
{ /* Llib/_pthread.scm 273 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_dsz00_1054)))->BgL_currentzd2threadzd2);}  else 
{ /* Llib/_pthread.scm 273 */
return BFALSE;} } } } } } } 

}



/* &object-display-%pthr1105 */
obj_t BGl_z62objectzd2displayzd2z52pthr1105z30zz__ft_z52pthreadz52(obj_t BgL_envz00_900, obj_t BgL_oz00_901, obj_t BgL_portz00_902)
{
{ /* Llib/_pthread.scm 260 */
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_runner1335z00_1070;
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_list1333z00_1071;
BgL_list1333z00_1071 = 
MAKE_YOUNG_PAIR(BgL_portz00_902, BNIL); 
BgL_runner1335z00_1070 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)
((BgL_z52pthreadz52_bglt)BgL_oz00_901)), BgL_list1333z00_1071); } 
{ /* Llib/_pthread.scm 261 */
 BgL_objectz00_bglt BgL_aux1334z00_1072;
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_pairz00_1073;
BgL_pairz00_1073 = BgL_runner1335z00_1070; 
BgL_aux1334z00_1072 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_1073)); } 
BgL_runner1335z00_1070 = 
CDR(BgL_runner1335z00_1070); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1334z00_1072, BgL_runner1335z00_1070);} } } 

}



/* &object-write-%pthrea1103 */
obj_t BGl_z62objectzd2writezd2z52pthrea1103z30zz__ft_z52pthreadz52(obj_t BgL_envz00_903, obj_t BgL_oz00_904, obj_t BgL_portz00_905)
{
{ /* Llib/_pthread.scm 247 */
{ /* Llib/_pthread.scm 248 */
 obj_t BgL_arg1262z00_1075;
{ /* Llib/_pthread.scm 248 */
 bool_t BgL_test1593z00_1863;
if(
PAIRP(BgL_portz00_905))
{ /* Llib/_pthread.scm 248 */
 obj_t BgL_tmpz00_1866;
BgL_tmpz00_1866 = 
CAR(BgL_portz00_905); 
BgL_test1593z00_1863 = 
OUTPUT_PORTP(BgL_tmpz00_1866); }  else 
{ /* Llib/_pthread.scm 248 */
BgL_test1593z00_1863 = ((bool_t)0)
; } 
if(BgL_test1593z00_1863)
{ /* Llib/_pthread.scm 248 */
BgL_arg1262z00_1075 = 
CAR(BgL_portz00_905); }  else 
{ /* Llib/_pthread.scm 250 */
 obj_t BgL_tmpz00_1870;
BgL_tmpz00_1870 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1262z00_1075 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1870); } } 
{ /* Llib/_pthread.scm 252 */
 obj_t BgL_zc3z04anonymousza31280ze3z87_1076;
BgL_zc3z04anonymousza31280ze3z87_1076 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31280ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31280ze3z87_1076, 
(int)(((long)0)), 
((obj_t)
((BgL_z52pthreadz52_bglt)BgL_oz00_904))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1262z00_1075, BgL_zc3z04anonymousza31280ze3z87_1076);} } } 

}



/* &<@anonymous:1280> */
obj_t BGl_z62zc3z04anonymousza31280ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_906)
{
{ /* Llib/_pthread.scm 251 */
{ /* Llib/_pthread.scm 252 */
 BgL_z52pthreadz52_bglt BgL_oz00_907;
BgL_oz00_907 = 
((BgL_z52pthreadz52_bglt)
PROCEDURE_REF(BgL_envz00_906, 
(int)(((long)0)))); 
{ /* Llib/_pthread.scm 254 */
 obj_t BgL_thezd2parentzd2_1077;
if(
(
((obj_t)BgL_oz00_907)==
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_oz00_907))->BgL_parentz00)))
{ /* Llib/_pthread.scm 254 */
BgL_thezd2parentzd2_1077 = BGl_string1444z00zz__ft_z52pthreadz52; }  else 
{ /* Llib/_pthread.scm 254 */
BgL_thezd2parentzd2_1077 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_oz00_907))->BgL_parentz00); } 
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1283z00_1078;
BgL_arg1283z00_1078 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_oz00_907)))->BgL_namez00); 
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_list1284z00_1079;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1285z00_1080;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1286z00_1081;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1287z00_1082;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1288z00_1083;
BgL_arg1288z00_1083 = 
MAKE_YOUNG_PAIR(BGl_string1445z00zz__ft_z52pthreadz52, BNIL); 
BgL_arg1287z00_1082 = 
MAKE_YOUNG_PAIR(BgL_thezd2parentzd2_1077, BgL_arg1288z00_1083); } 
BgL_arg1286z00_1081 = 
MAKE_YOUNG_PAIR(BGl_string1446z00zz__ft_z52pthreadz52, BgL_arg1287z00_1082); } 
BgL_arg1285z00_1080 = 
MAKE_YOUNG_PAIR(BgL_arg1283z00_1078, BgL_arg1286z00_1081); } 
BgL_list1284z00_1079 = 
MAKE_YOUNG_PAIR(BGl_string1447z00zz__ft_z52pthreadz52, BgL_arg1285z00_1080); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1284z00_1079);} } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52()
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_z52pthreadz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_z52pthreadz52));} 

}

#ifdef __cplusplus
}
#endif
