/*===========================================================================*/
/*   (Llib/_scheduler.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/_scheduler.scm -o objs/_scheduler.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31201ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52 = BUNSPEC;
static obj_t BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52schedulerz52();
static obj_t BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_genericzd2initzd2zz__ft_z52schedulerz52();
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_objectzd2initzd2zz__ft_z52schedulerz52();
extern obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt, obj_t, obj_t);
static obj_t BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_fthreadz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52schedulerz52();
static BgL_schedulerz00_bglt BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__ft_z52schedulerz52(obj_t);
extern obj_t BGl_ftenvzd2threadszd2zz__ft_envz00(BgL_ftenvz00_bglt);
extern bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31264ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
extern BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t);
extern obj_t BGl_signalzd2emitzd2zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
static obj_t BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
static obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_cnstzd2initzd2zz__ft_z52schedulerz52();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52();
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52();
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52();
extern obj_t BGl_instantzd2envz12zc0zz__ft_envz00(BgL_ftenvz00_bglt);
static bool_t BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62ntz62zz__ft_z52schedulerz52(obj_t);
static obj_t BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
extern obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t, BgL_threadz00_bglt);
static obj_t BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52broadcastz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752broadcastza71610za7, BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2spawnzd2asynczd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71611za7, BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1601z00zz__ft_z52schedulerz52, BgL_bgl_string1601za700za7za7_1612za7, "&%scheduler-spawn-async", 23 );
DEFINE_STRING( BGl_string1602z00zz__ft_z52schedulerz52, BgL_bgl_string1602za700za7za7_1613za7, "&%broadcast!", 12 );
DEFINE_STRING( BGl_string1603z00zz__ft_z52schedulerz52, BgL_bgl_string1603za700za7za7_1614za7, "&%scheduler-add-broadcast!", 26 );
DEFINE_STRING( BGl_string1604z00zz__ft_z52schedulerz52, BgL_bgl_string1604za700za7za7_1615za7, "&%scheduler-time", 16 );
DEFINE_STRING( BGl_string1605z00zz__ft_z52schedulerz52, BgL_bgl_string1605za700za7za7_1616za7, "&%scheduler-waiting-threads", 27 );
DEFINE_STRING( BGl_string1606z00zz__ft_z52schedulerz52, BgL_bgl_string1606za700za7za7_1617za7, "__ft_%scheduler", 15 );
DEFINE_STRING( BGl_string1607z00zz__ft_z52schedulerz52, BgL_bgl_string1607za700za7za7_1618za7, "dead ", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1600z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1619za7, BGl_z62zc3z04anonymousza31270ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52getzd2optionalzd2schedulerzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752getza7d2opti1620za7, BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1580z00zz__ft_z52schedulerz52, BgL_bgl_string1580za700za7za7_1621za7, "Llib/_scheduler.scm", 19 );
DEFINE_STRING( BGl_string1581z00zz__ft_z52schedulerz52, BgL_bgl_string1581za700za7za7_1622za7, "Illegal scheduler", 17 );
DEFINE_STRING( BGl_string1582z00zz__ft_z52schedulerz52, BgL_bgl_string1582za700za7za7_1623za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/fthread/src/Llib/_scheduler.scm", 71 );
DEFINE_STRING( BGl_string1583z00zz__ft_z52schedulerz52, BgL_bgl_string1583za700za7za7_1624za7, "&%get-optional-scheduler", 24 );
DEFINE_STRING( BGl_string1584z00zz__ft_z52schedulerz52, BgL_bgl_string1584za700za7za7_1625za7, "symbol", 6 );
DEFINE_STRING( BGl_string1585z00zz__ft_z52schedulerz52, BgL_bgl_string1585za700za7za7_1626za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1586z00zz__ft_z52schedulerz52, BgL_bgl_string1586za700za7za7_1627za7, "&%scheduler-add-async-runnable!", 31 );
DEFINE_STRING( BGl_string1587z00zz__ft_z52schedulerz52, BgL_bgl_string1587za700za7za7_1628za7, "%scheduler", 10 );
DEFINE_STRING( BGl_string1588z00zz__ft_z52schedulerz52, BgL_bgl_string1588za700za7za7_1629za7, "fthread", 7 );
DEFINE_STRING( BGl_string1589z00zz__ft_z52schedulerz52, BgL_bgl_string1589za700za7za7_1630za7, "&%scheduler-add-async!", 22 );
DEFINE_STRING( BGl_string1590z00zz__ft_z52schedulerz52, BgL_bgl_string1590za700za7za7_1631za7, "%sigasync", 9 );
DEFINE_STRING( BGl_string1592z00zz__ft_z52schedulerz52, BgL_bgl_string1592za700za7za7_1632za7, "&%scheduler-next-thread", 23 );
DEFINE_STRING( BGl_string1593z00zz__ft_z52schedulerz52, BgL_bgl_string1593za700za7za7_1633za7, "scheduler", 9 );
DEFINE_STRING( BGl_string1594z00zz__ft_z52schedulerz52, BgL_bgl_string1594za700za7za7_1634za7, "&%scheduler-switch-to-next-thread", 33 );
DEFINE_STRING( BGl_string1595z00zz__ft_z52schedulerz52, BgL_bgl_string1595za700za7za7_1635za7, "&%schedule-instant", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulezd2instantzd2envz52zz__ft_z52schedulerz52, BgL_bgl_za762za752scheduleza7d1636za7, BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1591z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1637za7, BGl_z62zc3z04anonymousza31181ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1596z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1638za7, BGl_z62zc3z04anonymousza31201ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1597z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1639za7, BGl_z62zc3z04anonymousza31284ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1598z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1640za7, BGl_z62zc3z04anonymousza31251ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1599z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1641za7, BGl_z62zc3z04anonymousza31264ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2asynczd2runnablez12zd2envz40zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71642za7, BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2asyncz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71643za7, BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2timezd2envz52zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71644za7, BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2nextzd2threadzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71645za7, BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2broadcastz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71646za7, BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2switchzd2tozd2nextzd2threadzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71647za7, BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2waitingzd2threadszd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71648za7, BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long BgL_checksumz00_613, char * BgL_fromz00_614)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(); 
BGl_cnstzd2initzd2zz__ft_z52schedulerz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52schedulerz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_%scheduler"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_cportz00_590;
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_stringz00_598;
BgL_stringz00_598 = BGl_string1607z00zz__ft_z52schedulerz52; 
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_startz00_599;
BgL_startz00_599 = 
BINT(((long)0)); 
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_endz00_600;
BgL_endz00_600 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_598))); 
{ /* Llib/_scheduler.scm 15 */

BgL_cportz00_590 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_598, BgL_startz00_599, BgL_endz00_600); } } } } 
{ 
 long BgL_iz00_591;
BgL_iz00_591 = ((long)0); 
BgL_loopz00_592:
if(
(BgL_iz00_591==((long)-1)))
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_scheduler.scm 15 */
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_arg1609z00_594;
{ /* Llib/_scheduler.scm 15 */

{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_locationz00_596;
BgL_locationz00_596 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_scheduler.scm 15 */

BgL_arg1609z00_594 = 
BGl_readz00zz__readerz00(BgL_cportz00_590, BgL_locationz00_596); } } } 
{ /* Llib/_scheduler.scm 15 */
 int BgL_tmpz00_643;
BgL_tmpz00_643 = 
(int)(BgL_iz00_591); 
CNST_TABLE_SET(BgL_tmpz00_643, BgL_arg1609z00_594); } } 
{ /* Llib/_scheduler.scm 15 */
 int BgL_auxz00_597;
BgL_auxz00_597 = 
(int)(
(BgL_iz00_591-((long)1))); 
{ 
 long BgL_iz00_648;
BgL_iz00_648 = 
(long)(BgL_auxz00_597); 
BgL_iz00_591 = BgL_iz00_648; 
goto BgL_loopz00_592;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1580z00zz__ft_z52schedulerz52)); 
return BFALSE;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__ft_z52schedulerz52(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_40;
BgL_headz00_40 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_41; obj_t BgL_tailz00_42;
BgL_prevz00_41 = BgL_headz00_40; 
BgL_tailz00_42 = BgL_l1z00_1; 
BgL_loopz00_43:
if(
PAIRP(BgL_tailz00_42))
{ 
 obj_t BgL_newzd2prevzd2_45;
BgL_newzd2prevzd2_45 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_42), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_41, BgL_newzd2prevzd2_45); 
{ 
 obj_t BgL_tailz00_660; obj_t BgL_prevz00_659;
BgL_prevz00_659 = BgL_newzd2prevzd2_45; 
BgL_tailz00_660 = 
CDR(BgL_tailz00_42); 
BgL_tailz00_42 = BgL_tailz00_660; 
BgL_prevz00_41 = BgL_prevz00_659; 
goto BgL_loopz00_43;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_40);} } } 

}



/* %get-optional-scheduler */
BGL_EXPORTED_DEF BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t BgL_whoz00_3, obj_t BgL_oz00_4)
{
{ /* Llib/_scheduler.scm 54 */
if(
NULLP(BgL_oz00_4))
{ /* Llib/_scheduler.scm 57 */
 obj_t BgL_sz00_49;
BgL_sz00_49 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_test1653z00_666;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_classz00_317;
BgL_classz00_317 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_sz00_49))
{ /* Llib/_scheduler.scm 58 */
 BgL_objectz00_bglt BgL_arg1797z00_319;
BgL_arg1797z00_319 = 
(BgL_objectz00_bglt)(BgL_sz00_49); 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_arg1794z00_322; bool_t BgL_arg1795z00_323;
{ /* Llib/_scheduler.scm 58 */
 long BgL_idxz00_326;
BgL_idxz00_326 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_319); 
BgL_arg1794z00_322 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_326+((long)3)))==BgL_classz00_317); } 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_res1542z00_348;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_oclassz00_334;
{ /* Llib/_scheduler.scm 58 */
 long BgL_arg1804z00_340;
{ /* Llib/_scheduler.scm 58 */
 long BgL_arg1805z00_341;
BgL_arg1805z00_341 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_319); 
BgL_arg1804z00_340 = 
(BgL_arg1805z00_341-OBJECT_TYPE); } 
BgL_oclassz00_334 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_340); } 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL__ortest_1111z00_335;
BgL__ortest_1111z00_335 = 
(BgL_classz00_317==BgL_oclassz00_334); 
if(BgL__ortest_1111z00_335)
{ /* Llib/_scheduler.scm 58 */
BgL_res1542z00_348 = BgL__ortest_1111z00_335; }  else 
{ /* Llib/_scheduler.scm 58 */
 long BgL_odepthz00_336;
BgL_odepthz00_336 = 
BGL_CLASS_DEPTH(BgL_oclassz00_334); 
if(
(((long)3)<BgL_odepthz00_336))
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_arg1793z00_338;
BgL_arg1793z00_338 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_334, ((long)3)); 
BgL_res1542z00_348 = 
(BgL_arg1793z00_338==BgL_classz00_317); }  else 
{ /* Llib/_scheduler.scm 58 */
BgL_res1542z00_348 = ((bool_t)0); } } } } 
BgL_arg1795z00_323 = BgL_res1542z00_348; } 
BgL_test1653z00_666 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_322, BgL_arg1795z00_323); } }  else 
{ /* Llib/_scheduler.scm 58 */
BgL_test1653z00_666 = ((bool_t)0)
; } } 
if(BgL_test1653z00_666)
{ /* Llib/_scheduler.scm 58 */
return 
((BgL_schedulerz00_bglt)BgL_sz00_49);}  else 
{ /* Llib/_scheduler.scm 60 */
 BgL_schedulerz00_bglt BgL_arg1131z00_51;
BgL_arg1131z00_51 = 
BGl_makezd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_scheduler.scm 60 */
 obj_t BgL_list1132z00_52;
BgL_list1132z00_52 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1131z00_51), BNIL); 
return 
((BgL_schedulerz00_bglt)
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1132z00_52));} } } }  else 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_test1658z00_691;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1142z00_58;
BgL_arg1142z00_58 = 
CAR(BgL_oz00_4); 
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_classz00_350;
BgL_classz00_350 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1142z00_58))
{ /* Llib/_scheduler.scm 61 */
 BgL_objectz00_bglt BgL_arg1797z00_352;
BgL_arg1797z00_352 = 
(BgL_objectz00_bglt)(BgL_arg1142z00_58); 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_arg1794z00_355; bool_t BgL_arg1795z00_356;
{ /* Llib/_scheduler.scm 61 */
 long BgL_idxz00_359;
BgL_idxz00_359 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_352); 
BgL_arg1794z00_355 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_359+((long)3)))==BgL_classz00_350); } 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_res1543z00_381;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_oclassz00_367;
{ /* Llib/_scheduler.scm 61 */
 long BgL_arg1804z00_373;
{ /* Llib/_scheduler.scm 61 */
 long BgL_arg1805z00_374;
BgL_arg1805z00_374 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_352); 
BgL_arg1804z00_373 = 
(BgL_arg1805z00_374-OBJECT_TYPE); } 
BgL_oclassz00_367 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_373); } 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL__ortest_1111z00_368;
BgL__ortest_1111z00_368 = 
(BgL_classz00_350==BgL_oclassz00_367); 
if(BgL__ortest_1111z00_368)
{ /* Llib/_scheduler.scm 61 */
BgL_res1543z00_381 = BgL__ortest_1111z00_368; }  else 
{ /* Llib/_scheduler.scm 61 */
 long BgL_odepthz00_369;
BgL_odepthz00_369 = 
BGL_CLASS_DEPTH(BgL_oclassz00_367); 
if(
(((long)3)<BgL_odepthz00_369))
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1793z00_371;
BgL_arg1793z00_371 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_367, ((long)3)); 
BgL_res1543z00_381 = 
(BgL_arg1793z00_371==BgL_classz00_350); }  else 
{ /* Llib/_scheduler.scm 61 */
BgL_res1543z00_381 = ((bool_t)0); } } } } 
BgL_arg1795z00_356 = BgL_res1543z00_381; } 
BgL_test1658z00_691 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_355, BgL_arg1795z00_356); } }  else 
{ /* Llib/_scheduler.scm 61 */
BgL_test1658z00_691 = ((bool_t)0)
; } } } 
if(BgL_test1658z00_691)
{ /* Llib/_scheduler.scm 61 */
return 
((BgL_schedulerz00_bglt)
CAR(BgL_oz00_4));}  else 
{ /* Llib/_scheduler.scm 64 */
 obj_t BgL_arg1140z00_57;
BgL_arg1140z00_57 = 
CAR(BgL_oz00_4); 
return 
((BgL_schedulerz00_bglt)
BGl_errorz00zz__errorz00(BgL_whoz00_3, BGl_string1581z00zz__ft_z52schedulerz52, BgL_arg1140z00_57));} } } 

}



/* &%get-optional-scheduler */
BgL_schedulerz00_bglt BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52(obj_t BgL_envz00_463, obj_t BgL_whoz00_464, obj_t BgL_oz00_465)
{
{ /* Llib/_scheduler.scm 54 */
{ /* Llib/_scheduler.scm 56 */
 obj_t BgL_auxz00_723; obj_t BgL_auxz00_716;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_oz00_465))
{ /* Llib/_scheduler.scm 56 */
BgL_auxz00_723 = BgL_oz00_465
; }  else 
{ 
 obj_t BgL_auxz00_726;
BgL_auxz00_726 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)2487)), BGl_string1583z00zz__ft_z52schedulerz52, BGl_string1585z00zz__ft_z52schedulerz52, BgL_oz00_465); 
FAILURE(BgL_auxz00_726,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_whoz00_464))
{ /* Llib/_scheduler.scm 56 */
BgL_auxz00_716 = BgL_whoz00_464
; }  else 
{ 
 obj_t BgL_auxz00_719;
BgL_auxz00_719 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)2487)), BGl_string1583z00zz__ft_z52schedulerz52, BGl_string1584z00zz__ft_z52schedulerz52, BgL_whoz00_464); 
FAILURE(BgL_auxz00_719,BFALSE,BFALSE);} 
return 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(BgL_auxz00_716, BgL_auxz00_723);} } 

}



/* %scheduler-get-async-runnable */
obj_t BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_5, obj_t BgL_nvz00_6)
{
{ /* Llib/_scheduler.scm 73 */
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_arg1143z00_60;
BgL_arg1143z00_60 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_5)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1143z00_60)); } 
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_g1066z00_61;
{ /* Llib/_scheduler.scm 76 */
 obj_t BgL_vz00_63;
BgL_vz00_63 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_5))->BgL_asynczd2runnablezd2); 
if(
PAIRP(BgL_nvz00_6))
{ /* Llib/_scheduler.scm 77 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_5))->BgL_asynczd2runnablezd2)=((obj_t)
CAR(BgL_nvz00_6)),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 77 */BFALSE; } 
BgL_g1066z00_61 = BgL_vz00_63; } 
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_arg1144z00_62;
BgL_arg1144z00_62 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_5)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1144z00_62)); } 
return BgL_g1066z00_61;} } 

}



/* %scheduler-add-async-runnable! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_7, BgL_fthreadz00_bglt BgL_tz00_8)
{
{ /* Llib/_scheduler.scm 88 */
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_arg1147z00_68;
BgL_arg1147z00_68 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1147z00_68)); } 
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_g1069z00_69;
{ 
 obj_t BgL_auxz00_748;
{ /* Llib/_scheduler.scm 94 */
 obj_t BgL_arg1149z00_72;
BgL_arg1149z00_72 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_7))->BgL_asynczd2runnablezd2); 
BgL_auxz00_748 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_8), BgL_arg1149z00_72); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_7))->BgL_asynczd2runnablezd2)=((obj_t)BgL_auxz00_748),BUNSPEC); } 
{ /* Llib/_scheduler.scm 95 */
 obj_t BgL_arg1150z00_73;
BgL_arg1150z00_73 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1150z00_73)); } 
BgL_g1069z00_69 = BUNSPEC; 
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_arg1148z00_70;
BgL_arg1148z00_70 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1148z00_70)); } 
return BgL_g1069z00_69;} } 

}



/* &%scheduler-add-async-runnable! */
obj_t BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52(obj_t BgL_envz00_466, obj_t BgL_scdlz00_467, obj_t BgL_tz00_468)
{
{ /* Llib/_scheduler.scm 88 */
{ /* Llib/_scheduler.scm 91 */
 BgL_fthreadz00_bglt BgL_auxz00_769; BgL_z52schedulerz52_bglt BgL_auxz00_761;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_468, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 91 */
BgL_auxz00_769 = 
((BgL_fthreadz00_bglt)BgL_tz00_468)
; }  else 
{ 
 obj_t BgL_auxz00_773;
BgL_auxz00_773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)4155)), BGl_string1586z00zz__ft_z52schedulerz52, BGl_string1588z00zz__ft_z52schedulerz52, BgL_tz00_468); 
FAILURE(BgL_auxz00_773,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_467, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 91 */
BgL_auxz00_761 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_467)
; }  else 
{ 
 obj_t BgL_auxz00_765;
BgL_auxz00_765 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)4155)), BGl_string1586z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_467); 
FAILURE(BgL_auxz00_765,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_auxz00_761, BgL_auxz00_769);} } 

}



/* %scheduler-add-async! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_9, BgL_z52sigasyncz52_bglt BgL_sigz00_10)
{
{ /* Llib/_scheduler.scm 101 */
{ 
 obj_t BgL_auxz00_778;
{ /* Llib/_scheduler.scm 103 */
 obj_t BgL_arg1153z00_386;
BgL_arg1153z00_386 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_tospawnz00); 
BgL_auxz00_778 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sigz00_10), BgL_arg1153z00_386); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_tospawnz00)=((obj_t)BgL_auxz00_778),BUNSPEC);} } 

}



/* &%scheduler-add-async! */
obj_t BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_469, obj_t BgL_scdlz00_470, obj_t BgL_sigz00_471)
{
{ /* Llib/_scheduler.scm 101 */
{ /* Llib/_scheduler.scm 102 */
 BgL_z52sigasyncz52_bglt BgL_auxz00_791; BgL_z52schedulerz52_bglt BgL_auxz00_783;
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_471, BGl_z52sigasyncz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 102 */
BgL_auxz00_791 = 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_471)
; }  else 
{ 
 obj_t BgL_auxz00_795;
BgL_auxz00_795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)4674)), BGl_string1589z00zz__ft_z52schedulerz52, BGl_string1590z00zz__ft_z52schedulerz52, BgL_sigz00_471); 
FAILURE(BgL_auxz00_795,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_470, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 102 */
BgL_auxz00_783 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_470)
; }  else 
{ 
 obj_t BgL_auxz00_787;
BgL_auxz00_787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)4674)), BGl_string1589z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_470); 
FAILURE(BgL_auxz00_787,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_auxz00_783, BgL_auxz00_791);} } 

}



/* %scheduler-next-thread */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt BgL_tz00_11, BgL_schedulerz00_bglt BgL_scdlz00_12)
{
{ /* Llib/_scheduler.scm 108 */
{ /* Llib/_scheduler.scm 152 */
 obj_t BgL_arg1179z00_387;
{ /* Llib/_scheduler.scm 152 */
 obj_t BgL_tmpz00_800;
BgL_tmpz00_800 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1179z00_387 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_800); } 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1179z00_387, BGl_proc1591z00zz__ft_z52schedulerz52); } 
{ 
 obj_t BgL_runnablez00_79;
{ /* Llib/_scheduler.scm 115 */
 obj_t BgL_arg1154z00_78;
BgL_arg1154z00_78 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2); 
BgL_runnablez00_79 = BgL_arg1154z00_78; 
BgL_zc3z04anonymousza31155ze3z87_80:
if(
PAIRP(BgL_runnablez00_79))
{ /* Llib/_scheduler.scm 118 */
 obj_t BgL_ntz00_82;
BgL_ntz00_82 = 
CAR(BgL_runnablez00_79); 
if(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_82)))->BgL_z52iszd2suspendz80))
{ /* Llib/_scheduler.scm 120 */
{ 
 obj_t BgL_auxz00_812;
{ /* Llib/_scheduler.scm 122 */
 obj_t BgL_arg1158z00_85;
BgL_arg1158z00_85 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2yieldzd2); 
BgL_auxz00_812 = 
MAKE_YOUNG_PAIR(BgL_ntz00_82, BgL_arg1158z00_85); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2yieldzd2)=((obj_t)BgL_auxz00_812),BUNSPEC); } 
{ 
 obj_t BgL_runnablez00_818;
BgL_runnablez00_818 = 
CDR(BgL_runnablez00_79); 
BgL_runnablez00_79 = BgL_runnablez00_818; 
goto BgL_zc3z04anonymousza31155ze3z87_80;} }  else 
{ /* Llib/_scheduler.scm 120 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_ntz00_82), BNIL))
{ 
 obj_t BgL_runnablez00_823;
BgL_runnablez00_823 = 
CDR(BgL_runnablez00_79); 
BgL_runnablez00_79 = BgL_runnablez00_823; 
goto BgL_zc3z04anonymousza31155ze3z87_80;}  else 
{ /* Llib/_scheduler.scm 124 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)=((obj_t)
CDR(BgL_runnablez00_79)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 128 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 128 */BFALSE; } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_currentzd2threadzd2)=((obj_t)BgL_ntz00_82),BUNSPEC); 
return BgL_ntz00_82;} } }  else 
{ /* Llib/_scheduler.scm 133 */
 obj_t BgL_asyncz00_96;
{ /* Llib/_scheduler.scm 133 */
 obj_t BgL_list1178z00_104;
BgL_list1178z00_104 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_asyncz00_96 = 
BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12), BgL_list1178z00_104); } 
if(
NULLP(BgL_asyncz00_96))
{ /* Llib/_scheduler.scm 134 */
return 
((obj_t)BgL_scdlz00_12);}  else 
{ /* Llib/_scheduler.scm 135 */
 obj_t BgL_ntz00_98;
BgL_ntz00_98 = 
CAR(BgL_asyncz00_96); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)=((obj_t)
CDR(BgL_asyncz00_96)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 137 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 137 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2))),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_currentzd2threadzd2)=((obj_t)BgL_ntz00_98),BUNSPEC); 
return BgL_ntz00_98;} } } } } 

}



/* &%scheduler-next-thread */
obj_t BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t BgL_envz00_473, obj_t BgL_tz00_474, obj_t BgL_scdlz00_475)
{
{ /* Llib/_scheduler.scm 108 */
{ /* Llib/_scheduler.scm 109 */
 BgL_schedulerz00_bglt BgL_auxz00_867; BgL_fthreadz00_bglt BgL_auxz00_859;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_475, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 109 */
BgL_auxz00_867 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_475)
; }  else 
{ 
 obj_t BgL_auxz00_871;
BgL_auxz00_871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)5042)), BGl_string1592z00zz__ft_z52schedulerz52, BGl_string1593z00zz__ft_z52schedulerz52, BgL_scdlz00_475); 
FAILURE(BgL_auxz00_871,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_474, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 109 */
BgL_auxz00_859 = 
((BgL_fthreadz00_bglt)BgL_tz00_474)
; }  else 
{ 
 obj_t BgL_auxz00_863;
BgL_auxz00_863 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)5042)), BGl_string1592z00zz__ft_z52schedulerz52, BGl_string1588z00zz__ft_z52schedulerz52, BgL_tz00_474); 
FAILURE(BgL_auxz00_863,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_auxz00_859, BgL_auxz00_867);} } 

}



/* &<@anonymous:1181> */
obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_476)
{
{ /* Llib/_scheduler.scm 153 */
return BUNSPEC;} 

}



/* %scheduler-switch-to-next-thread */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt BgL_tz00_15, BgL_schedulerz00_bglt BgL_scdlz00_16)
{
{ /* Llib/_scheduler.scm 171 */
{ /* Llib/_scheduler.scm 174 */
 obj_t BgL_ntz00_112;
BgL_ntz00_112 = 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_15, BgL_scdlz00_16); 
{ /* Llib/_scheduler.scm 177 */
 obj_t BgL_arg1182z00_114; obj_t BgL_arg1184z00_115;
BgL_arg1182z00_114 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52builtinz52); 
BgL_arg1184z00_115 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_112)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_arg1182z00_114, 
((BgL_z52pthreadz52_bglt)BgL_arg1184z00_115)); } 
if(
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52statez52)==
CNST_TABLE_REF(((long)0))))
{ /* Llib/_scheduler.scm 178 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 178 */
{ /* Llib/_scheduler.scm 179 */
 obj_t BgL_arg1188z00_118;
BgL_arg1188z00_118 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52builtinz52); 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1188z00_118)); } 
return BUNSPEC;} } } 

}



/* &%scheduler-switch-to-next-thread */
obj_t BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t BgL_envz00_477, obj_t BgL_tz00_478, obj_t BgL_scdlz00_479)
{
{ /* Llib/_scheduler.scm 171 */
{ /* Llib/_scheduler.scm 172 */
 BgL_schedulerz00_bglt BgL_auxz00_897; BgL_fthreadz00_bglt BgL_auxz00_889;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_479, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 172 */
BgL_auxz00_897 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_479)
; }  else 
{ 
 obj_t BgL_auxz00_901;
BgL_auxz00_901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)7677)), BGl_string1594z00zz__ft_z52schedulerz52, BGl_string1593z00zz__ft_z52schedulerz52, BgL_scdlz00_479); 
FAILURE(BgL_auxz00_901,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_478, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 172 */
BgL_auxz00_889 = 
((BgL_fthreadz00_bglt)BgL_tz00_478)
; }  else 
{ 
 obj_t BgL_auxz00_893;
BgL_auxz00_893 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)7677)), BGl_string1594z00zz__ft_z52schedulerz52, BGl_string1588z00zz__ft_z52schedulerz52, BgL_tz00_478); 
FAILURE(BgL_auxz00_893,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_auxz00_889, BgL_auxz00_897);} } 

}



/* %schedule-instant */
BGL_EXPORTED_DEF obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_20)
{
{ /* Llib/_scheduler.scm 195 */
BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_20)); 
BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(
((BgL_fthreadz00_bglt)BgL_scdlz00_20), 
((BgL_schedulerz00_bglt)BgL_scdlz00_20)); 
return 
BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_scdlz00_20);} 

}



/* &%schedule-instant */
obj_t BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52(obj_t BgL_envz00_480, obj_t BgL_scdlz00_481)
{
{ /* Llib/_scheduler.scm 195 */
{ /* Llib/_scheduler.scm 211 */
 BgL_z52schedulerz52_bglt BgL_auxz00_917;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_481, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 211 */
BgL_auxz00_917 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_481)
; }  else 
{ 
 obj_t BgL_auxz00_921;
BgL_auxz00_921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)9510)), BGl_string1595z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_481); 
FAILURE(BgL_auxz00_921,BFALSE,BFALSE);} 
return 
BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_auxz00_917);} } 

}



/* %env-init-instant */
bool_t BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(BgL_schedulerz00_bglt BgL_scdlz00_21)
{
{ /* Llib/_scheduler.scm 220 */
{ /* Llib/_scheduler.scm 222 */
 obj_t BgL_g1110z00_121;
BgL_g1110z00_121 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_21))))->BgL_envzb2zb2); 
{ 
 obj_t BgL_l1108z00_123;
BgL_l1108z00_123 = BgL_g1110z00_121; 
BgL_zc3z04anonymousza31190ze3z87_124:
if(
PAIRP(BgL_l1108z00_123))
{ /* Llib/_scheduler.scm 222 */
{ /* Llib/_scheduler.scm 222 */
 obj_t BgL_arg1197z00_126;
BgL_arg1197z00_126 = 
CAR(BgL_l1108z00_123); 
BGl_instantzd2envz12zc0zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1197z00_126)); } 
{ 
 obj_t BgL_l1108z00_934;
BgL_l1108z00_934 = 
CDR(BgL_l1108z00_123); 
BgL_l1108z00_123 = BgL_l1108z00_934; 
goto BgL_zc3z04anonymousza31190ze3z87_124;} }  else 
{ /* Llib/_scheduler.scm 222 */
return ((bool_t)1);} } } } 

}



/* %sort-threads */
obj_t BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(obj_t BgL_threadsz00_22)
{
{ /* Llib/_scheduler.scm 227 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_threadsz00_22, BGl_proc1596z00zz__ft_z52schedulerz52);} 

}



/* &<@anonymous:1201> */
obj_t BGl_z62zc3z04anonymousza31201ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_483, obj_t BgL_t1z00_484, obj_t BgL_t2z00_485)
{
{ /* Llib/_scheduler.scm 229 */
return 
BBOOL(
(
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_t1z00_484)))->BgL_z52identz52))<
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_t2z00_485)))->BgL_z52identz52))));} 

}



/* %select-threads! */
obj_t BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_23)
{
{ /* Llib/_scheduler.scm 240 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/_scheduler.scm 264 */
 obj_t BgL_runnablez00_492;
{ /* Llib/_scheduler.scm 264 */
 obj_t BgL_cellvalz00_946;
BgL_cellvalz00_946 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2yieldzd2); 
BgL_runnablez00_492 = 
MAKE_CELL(BgL_cellvalz00_946); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 obj_t BgL_auxz00_949;
{ /* Llib/_scheduler.scm 267 */
 obj_t BgL_arg1207z00_147;
BgL_arg1207z00_147 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2timeoutzd2); 
{ /* Llib/_scheduler.scm 268 */
 obj_t BgL_zc3z04anonymousza31208ze3z87_486;
BgL_zc3z04anonymousza31208ze3z87_486 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31208ze3ze5zz__ft_z52schedulerz52, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31208ze3z87_486, 
(int)(((long)0)), 
((obj_t)BgL_scdlz00_23)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31208ze3z87_486, 
(int)(((long)1)), 
((obj_t)BgL_runnablez00_492)); 
BgL_auxz00_949 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31208ze3z87_486, BgL_arg1207z00_147); } } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_auxz00_949),BUNSPEC); } 
if(
CBOOL(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_23)))->BgL_strictzd2orderzf3z21)))
{ /* Llib/_scheduler.scm 285 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)=((obj_t)
BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(
CELL_REF(BgL_runnablez00_492))),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 285 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)=((obj_t)
CELL_REF(BgL_runnablez00_492)),BUNSPEC); } 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 288 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC);}  else 
{ /* Llib/_scheduler.scm 288 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2))),BUNSPEC);} } } 

}



/* &<@anonymous:1208> */
obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_487, obj_t BgL_tz00_490)
{
{ /* Llib/_scheduler.scm 267 */
{ /* Llib/_scheduler.scm 268 */
 BgL_z52schedulerz52_bglt BgL_i1081z00_488; obj_t BgL_runnablez00_489;
BgL_i1081z00_488 = 
((BgL_z52schedulerz52_bglt)
PROCEDURE_REF(BgL_envz00_487, 
(int)(((long)0)))); 
BgL_runnablez00_489 = 
PROCEDURE_REF(BgL_envz00_487, 
(int)(((long)1))); 
{ /* Llib/_scheduler.scm 268 */
 bool_t BgL_tmpz00_981;
{ 

{ /* Llib/_scheduler.scm 269 */
 int BgL_aux1085z00_603;
BgL_aux1085z00_603 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_490)))->BgL_z52timeoutz52); 
{ /* Llib/_scheduler.scm 269 */
 obj_t BgL_aux1087z00_604;
BgL_aux1087z00_604 = 
BINT(BgL_aux1085z00_603); 
switch( 
(long)CINT(BgL_aux1087z00_604)) { case ((long)0) : 

BgL_tmpz00_981 = ((bool_t)0); break;case ((long)1) : 

{ /* Llib/_scheduler.scm 276 */
 obj_t BgL_g1125z00_605;
BgL_g1125z00_605 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_490)))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1120z00_607;
BgL_l1120z00_607 = BgL_g1125z00_605; 
BgL_zc3z04anonymousza31537ze3z87_606:
if(
PAIRP(BgL_l1120z00_607))
{ /* Llib/_scheduler.scm 276 */
{ /* Llib/_scheduler.scm 276 */
 obj_t BgL_sz00_608;
BgL_sz00_608 = 
CAR(BgL_l1120z00_607); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_608, 
((BgL_threadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_490))); } 
{ 
 obj_t BgL_l1120z00_993;
BgL_l1120z00_993 = 
CDR(BgL_l1120z00_607); 
BgL_l1120z00_607 = BgL_l1120z00_993; 
goto BgL_zc3z04anonymousza31537ze3z87_606;} }  else 
{ /* Llib/_scheduler.scm 276 */((bool_t)1); } } } 
{ /* Llib/_scheduler.scm 277 */
 obj_t BgL_auxz00_609;
BgL_auxz00_609 = 
MAKE_YOUNG_PAIR(BgL_tz00_490, 
CELL_REF(BgL_runnablez00_489)); 
CELL_SET(BgL_runnablez00_489, BgL_auxz00_609); } 
BgL_tmpz00_981 = ((bool_t)0); break;
default: 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_490)))->BgL_z52timeoutz52)=((int)
(int)(
(
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_490)))->BgL_z52timeoutz52))-((long)1)))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1081z00_488))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
BgL_tmpz00_981 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_tmpz00_981);} } } 

}



/* %start-new-threads */
obj_t BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_sz00_24)
{
{ /* Llib/_scheduler.scm 297 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00)))
{ /* Llib/_scheduler.scm 301 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 301 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)))
{ /* Llib/_scheduler.scm 303 */
{ 
 obj_t BgL_auxz00_1013;
{ /* Llib/_scheduler.scm 309 */
 obj_t BgL_arg1228z00_173; obj_t BgL_arg1229z00_174;
BgL_arg1228z00_173 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2); 
{ /* Llib/_scheduler.scm 309 */
 obj_t BgL_arg1230z00_175;
BgL_arg1230z00_175 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00); 
BgL_arg1229z00_174 = 
bgl_reverse_bang(BgL_arg1230z00_175); } 
BgL_auxz00_1013 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BgL_arg1228z00_173, BgL_arg1229z00_174); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_1013),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2))),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 303 */
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2), 
bgl_reverse_bang(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00))); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2))),BUNSPEC); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %terminate-threads */
obj_t BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_25)
{
{ /* Llib/_scheduler.scm 319 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)))
{ /* Llib/_scheduler.scm 324 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 329 */
 obj_t BgL_thdsz00_182;
BgL_thdsz00_182 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1597z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/_scheduler.scm 340 */
 obj_t BgL_runnablez00_183; obj_t BgL_yieldz00_184; obj_t BgL_timeoutz00_185;
BgL_runnablez00_183 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1598z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)); 
BgL_yieldz00_184 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1599z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2yieldzd2)); 
BgL_timeoutz00_185 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1600z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2timeoutzd2)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)=((obj_t)BgL_thdsz00_182),BUNSPEC); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(
((BgL_fthreadz00_bglt)BgL_scdlz00_25), 
((BgL_schedulerz00_bglt)BgL_scdlz00_25)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)=((obj_t)BgL_runnablez00_183),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2yieldzd2)=((obj_t)BgL_yieldz00_184),BUNSPEC); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_timeoutz00_185),BUNSPEC);} } } 

}



/* &<@anonymous:1270> */
obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_498, obj_t BgL_tz00_499)
{
{ /* Llib/_scheduler.scm 346 */
{ /* Llib/_scheduler.scm 347 */
 bool_t BgL_tmpz00_1049;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_499), BNIL))
{ /* Llib/_scheduler.scm 347 */
BgL_tmpz00_1049 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 347 */
BgL_tmpz00_1049 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1049);} } 

}



/* &<@anonymous:1264> */
obj_t BGl_z62zc3z04anonymousza31264ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_500, obj_t BgL_tz00_501)
{
{ /* Llib/_scheduler.scm 343 */
{ /* Llib/_scheduler.scm 344 */
 bool_t BgL_tmpz00_1054;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_501), BNIL))
{ /* Llib/_scheduler.scm 344 */
BgL_tmpz00_1054 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 344 */
BgL_tmpz00_1054 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1054);} } 

}



/* &<@anonymous:1251> */
obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_502, obj_t BgL_tz00_503)
{
{ /* Llib/_scheduler.scm 340 */
{ /* Llib/_scheduler.scm 341 */
 bool_t BgL_tmpz00_1059;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_503), BNIL))
{ /* Llib/_scheduler.scm 341 */
BgL_tmpz00_1059 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 341 */
BgL_tmpz00_1059 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1059);} } 

}



/* &<@anonymous:1284> */
obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_504, obj_t BgL_tz00_505)
{
{ /* Llib/_scheduler.scm 329 */
{ /* Llib/_scheduler.scm 330 */
 bool_t BgL_tmpz00_1064;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_505), BNIL))
{ /* Llib/_scheduler.scm 330 */
{ /* Llib/_scheduler.scm 332 */
 obj_t BgL_list1285z00_610;
BgL_list1285z00_610 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_505), BgL_list1285z00_610); } 
BgL_tmpz00_1064 = ((bool_t)1); }  else 
{ /* Llib/_scheduler.scm 330 */
BgL_tmpz00_1064 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_1064);} } 

}



/* %suspend/resume-threads */
obj_t BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_26)
{
{ /* Llib/_scheduler.scm 364 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)))
{ /* Llib/_scheduler.scm 366 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 366 */
{ /* Llib/_scheduler.scm 368 */
 obj_t BgL_g1113z00_222;
BgL_g1113z00_222 = 
bgl_reverse_bang(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)); 
{ 
 obj_t BgL_l1111z00_224;
BgL_l1111z00_224 = BgL_g1113z00_222; 
BgL_zc3z04anonymousza31290ze3z87_225:
if(
PAIRP(BgL_l1111z00_224))
{ /* Llib/_scheduler.scm 371 */
{ /* Llib/_scheduler.scm 369 */
 obj_t BgL_vz00_227;
BgL_vz00_227 = 
CAR(BgL_l1111z00_224); 
{ /* Llib/_scheduler.scm 369 */
 BgL_fthreadz00_bglt BgL_i1092z00_228;
BgL_i1092z00_228 = 
((BgL_fthreadz00_bglt)
CAR(
((obj_t)BgL_vz00_227))); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_i1092z00_228))->BgL_z52iszd2suspendz80)=((bool_t)
CBOOL(
CDR(
((obj_t)BgL_vz00_227)))),BUNSPEC); } } 
{ 
 obj_t BgL_l1111z00_1087;
BgL_l1111z00_1087 = 
CDR(BgL_l1111z00_224); 
BgL_l1111z00_224 = BgL_l1111z00_1087; 
goto BgL_zc3z04anonymousza31290ze3z87_225;} }  else 
{ /* Llib/_scheduler.scm 371 */((bool_t)1); } } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %scheduler-spawn-async */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_27, BgL_z52sigasyncz52_bglt BgL_sigz00_28)
{
{ /* Llib/_scheduler.scm 377 */
if(
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_spawnedz00))
{ /* Llib/_scheduler.scm 379 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_ntz00_506;
BgL_ntz00_506 = 
MAKE_FX_PROCEDURE(BGl_z62ntz62zz__ft_z52schedulerz52, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_ntz00_506, 
(int)(((long)0)), 
((obj_t)BgL_sigz00_28)); 
PROCEDURE_SET(BgL_ntz00_506, 
(int)(((long)1)), 
((obj_t)BgL_scdlz00_27)); 
PROCEDURE_SET(BgL_ntz00_506, 
(int)(((long)2)), 
((obj_t)BgL_sigz00_28)); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_spawnedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/_scheduler.scm 385 */
 obj_t BgL_arg1338z00_237; obj_t BgL_arg1339z00_238;
BgL_arg1338z00_237 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_27)))->BgL_z52builtinz52); 
BgL_arg1339z00_238 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_idz00); 
BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1338z00_237), BgL_ntz00_506, BgL_arg1339z00_238); } 
return BUNSPEC;} } 

}



/* &%scheduler-spawn-async */
obj_t BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52(obj_t BgL_envz00_507, obj_t BgL_scdlz00_508, obj_t BgL_sigz00_509)
{
{ /* Llib/_scheduler.scm 377 */
{ /* Llib/_scheduler.scm 378 */
 BgL_z52sigasyncz52_bglt BgL_auxz00_1118; BgL_z52schedulerz52_bglt BgL_auxz00_1110;
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_509, BGl_z52sigasyncz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 378 */
BgL_auxz00_1118 = 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_509)
; }  else 
{ 
 obj_t BgL_auxz00_1122;
BgL_auxz00_1122 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)16633)), BGl_string1601z00zz__ft_z52schedulerz52, BGl_string1590z00zz__ft_z52schedulerz52, BgL_sigz00_509); 
FAILURE(BgL_auxz00_1122,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_508, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 378 */
BgL_auxz00_1110 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_508)
; }  else 
{ 
 obj_t BgL_auxz00_1114;
BgL_auxz00_1114 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)16633)), BGl_string1601z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_508); 
FAILURE(BgL_auxz00_1114,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_auxz00_1110, BgL_auxz00_1118);} } 

}



/* &nt */
obj_t BGl_z62ntz62zz__ft_z52schedulerz52(obj_t BgL_envz00_510)
{
{ /* Llib/_scheduler.scm 380 */
{ /* Llib/_scheduler.scm 381 */
 BgL_z52sigasyncz52_bglt BgL_i1093z00_511; BgL_z52schedulerz52_bglt BgL_scdlz00_512; BgL_z52sigasyncz52_bglt BgL_sigz00_513;
BgL_i1093z00_511 = 
((BgL_z52sigasyncz52_bglt)
PROCEDURE_REF(BgL_envz00_510, 
(int)(((long)0)))); 
BgL_scdlz00_512 = 
((BgL_z52schedulerz52_bglt)
PROCEDURE_REF(BgL_envz00_510, 
(int)(((long)1)))); 
BgL_sigz00_513 = 
((BgL_z52sigasyncz52_bglt)
PROCEDURE_REF(BgL_envz00_510, 
(int)(((long)2)))); 
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_arg1341z00_611;
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_fun1342z00_612;
BgL_fun1342z00_612 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_i1093z00_511))->BgL_thunkz00); 
BgL_arg1341z00_611 = 
PROCEDURE_ENTRY(BgL_fun1342z00_612)(BgL_fun1342z00_612, BEOA); } 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_scdlz00_512, 
((obj_t)BgL_sigz00_513), BgL_arg1341z00_611); } 
return BUNSPEC;} } 

}



/* %spawn-async */
obj_t BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_29)
{
{ /* Llib/_scheduler.scm 395 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00)))
{ /* Llib/_scheduler.scm 397 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 397 */
{ /* Llib/_scheduler.scm 398 */
 obj_t BgL_g1116z00_246;
BgL_g1116z00_246 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00); 
{ 
 obj_t BgL_l1114z00_248;
BgL_l1114z00_248 = BgL_g1116z00_246; 
BgL_zc3z04anonymousza31345ze3z87_249:
if(
PAIRP(BgL_l1114z00_248))
{ /* Llib/_scheduler.scm 398 */
{ /* Llib/_scheduler.scm 398 */
 obj_t BgL_sz00_251;
BgL_sz00_251 = 
CAR(BgL_l1114z00_248); 
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_scdlz00_29, 
((BgL_z52sigasyncz52_bglt)BgL_sz00_251)); } 
{ 
 obj_t BgL_l1114z00_1151;
BgL_l1114z00_1151 = 
CDR(BgL_l1114z00_248); 
BgL_l1114z00_248 = BgL_l1114z00_1151; 
goto BgL_zc3z04anonymousza31345ze3z87_249;} }  else 
{ /* Llib/_scheduler.scm 398 */((bool_t)1); } } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %broadcast! */
BGL_EXPORTED_DEF obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_30, obj_t BgL_sigz00_31, obj_t BgL_valz00_32)
{
{ /* Llib/_scheduler.scm 404 */
{ /* Llib/_scheduler.scm 408 */
 obj_t BgL_arg1354z00_431;
BgL_arg1354z00_431 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_30)))->BgL_envzb2zb2); 
return 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_sigz00_31, BgL_valz00_32, BgL_arg1354z00_431);} } 

}



/* &%broadcast! */
obj_t BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_514, obj_t BgL_scdlz00_515, obj_t BgL_sigz00_516, obj_t BgL_valz00_517)
{
{ /* Llib/_scheduler.scm 404 */
{ /* Llib/_scheduler.scm 407 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1157;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_515, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 407 */
BgL_auxz00_1157 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_515)
; }  else 
{ 
 obj_t BgL_auxz00_1161;
BgL_auxz00_1161 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)17989)), BGl_string1602z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_515); 
FAILURE(BgL_auxz00_1161,BFALSE,BFALSE);} 
return 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_auxz00_1157, BgL_sigz00_516, BgL_valz00_517);} } 

}



/* %scheduler-broadcast*! */
obj_t BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_33)
{
{ /* Llib/_scheduler.scm 413 */
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_arg1355z00_259;
BgL_arg1355z00_259 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_33)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1355z00_259)); } 
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_g1099z00_260;
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00)))
{ /* Llib/_scheduler.scm 421 */
BgL_g1099z00_260 = BFALSE; }  else 
{ /* Llib/_scheduler.scm 421 */
{ /* Llib/_scheduler.scm 423 */
 obj_t BgL_g1119z00_265;
BgL_g1119z00_265 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00); 
{ 
 obj_t BgL_l1117z00_267;
BgL_l1117z00_267 = BgL_g1119z00_265; 
BgL_zc3z04anonymousza31360ze3z87_268:
if(
PAIRP(BgL_l1117z00_267))
{ /* Llib/_scheduler.scm 423 */
{ /* Llib/_scheduler.scm 423 */
 obj_t BgL_arg1363z00_270;
BgL_arg1363z00_270 = 
CAR(BgL_l1117z00_267); 
{ /* Llib/_scheduler.scm 415 */
 obj_t BgL_arg1368z00_440; obj_t BgL_arg1377z00_441;
BgL_arg1368z00_440 = 
CAR(
((obj_t)BgL_arg1363z00_270)); 
BgL_arg1377z00_441 = 
CDR(
((obj_t)BgL_arg1363z00_270)); 
{ /* Llib/_scheduler.scm 408 */
 obj_t BgL_arg1354z00_446;
BgL_arg1354z00_446 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_33)))->BgL_envzb2zb2); 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_arg1368z00_440, BgL_arg1377z00_441, BgL_arg1354z00_446); } } } 
{ 
 obj_t BgL_l1117z00_1184;
BgL_l1117z00_1184 = 
CDR(BgL_l1117z00_267); 
BgL_l1117z00_267 = BgL_l1117z00_1184; 
goto BgL_zc3z04anonymousza31360ze3z87_268;} }  else 
{ /* Llib/_scheduler.scm 423 */((bool_t)1); } } } 
BgL_g1099z00_260 = 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); } 
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_arg1357z00_261;
BgL_arg1357z00_261 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_33)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1357z00_261)); } 
return BgL_g1099z00_260;} } 

}



/* %scheduler-add-broadcast! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_34, obj_t BgL_sigz00_35, obj_t BgL_valz00_36)
{
{ /* Llib/_scheduler.scm 433 */
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_arg1378z00_280;
BgL_arg1378z00_280 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1378z00_280)); } 
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_g1102z00_281;
{ /* Llib/_scheduler.scm 437 */
 obj_t BgL_svz00_284;
BgL_svz00_284 = 
MAKE_YOUNG_PAIR(BgL_sigz00_35, BgL_valz00_36); 
{ 
 obj_t BgL_auxz00_1196;
{ /* Llib/_scheduler.scm 438 */
 obj_t BgL_arg1380z00_285;
BgL_arg1380z00_285 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_34))->BgL_tobroadcastz00); 
BgL_auxz00_1196 = 
MAKE_YOUNG_PAIR(BgL_svz00_284, BgL_arg1380z00_285); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_34))->BgL_tobroadcastz00)=((obj_t)BgL_auxz00_1196),BUNSPEC); } } 
{ /* Llib/_scheduler.scm 439 */
 obj_t BgL_arg1381z00_286;
BgL_arg1381z00_286 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1381z00_286)); } 
BgL_g1102z00_281 = BUNSPEC; 
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_arg1379z00_282;
BgL_arg1379z00_282 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1379z00_282)); } 
return BgL_g1102z00_281;} } 

}



/* &%scheduler-add-broadcast! */
obj_t BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_518, obj_t BgL_scdlz00_519, obj_t BgL_sigz00_520, obj_t BgL_valz00_521)
{
{ /* Llib/_scheduler.scm 433 */
{ /* Llib/_scheduler.scm 434 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1208;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_519, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 434 */
BgL_auxz00_1208 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_519)
; }  else 
{ 
 obj_t BgL_auxz00_1212;
BgL_auxz00_1212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)19122)), BGl_string1603z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_519); 
FAILURE(BgL_auxz00_1212,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_auxz00_1208, BgL_sigz00_520, BgL_valz00_521);} } 

}



/* %scheduler-time */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt BgL_scdlz00_37)
{
{ /* Llib/_scheduler.scm 445 */
return 
BINT(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)
CAR(
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_37))->BgL_envzb2zb2)))))->BgL_instantz00));} 

}



/* &%scheduler-time */
obj_t BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52(obj_t BgL_envz00_522, obj_t BgL_scdlz00_523)
{
{ /* Llib/_scheduler.scm 445 */
{ /* Llib/_scheduler.scm 447 */
 BgL_schedulerz00_bglt BgL_auxz00_1222;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_523, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 447 */
BgL_auxz00_1222 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_523)
; }  else 
{ 
 obj_t BgL_auxz00_1226;
BgL_auxz00_1226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)19672)), BGl_string1604z00zz__ft_z52schedulerz52, BGl_string1593z00zz__ft_z52schedulerz52, BgL_scdlz00_523); 
FAILURE(BgL_auxz00_1226,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_auxz00_1222);} } 

}



/* %scheduler-waiting-threads */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_38)
{
{ /* Llib/_scheduler.scm 453 */
{ 
 obj_t BgL_envsz00_294; obj_t BgL_thsz00_295;
{ /* Llib/_scheduler.scm 455 */
 obj_t BgL_arg1384z00_293;
BgL_arg1384z00_293 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_38)))->BgL_envzb2zb2); 
BgL_envsz00_294 = BgL_arg1384z00_293; 
BgL_thsz00_295 = BNIL; 
BgL_zc3z04anonymousza31385ze3z87_296:
if(
PAIRP(BgL_envsz00_294))
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1414z00_298; obj_t BgL_arg1455z00_299;
BgL_arg1414z00_298 = 
CDR(BgL_envsz00_294); 
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1456z00_300;
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1535z00_301;
BgL_arg1535z00_301 = 
CAR(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_38)))->BgL_envzb2zb2)); 
BgL_arg1456z00_300 = 
BGl_ftenvzd2threadszd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1535z00_301)); } 
BgL_arg1455z00_299 = 
BGl_appendzd221010zd2zz__ft_z52schedulerz52(BgL_arg1456z00_300, BgL_thsz00_295); } 
{ 
 obj_t BgL_thsz00_1243; obj_t BgL_envsz00_1242;
BgL_envsz00_1242 = BgL_arg1414z00_298; 
BgL_thsz00_1243 = BgL_arg1455z00_299; 
BgL_thsz00_295 = BgL_thsz00_1243; 
BgL_envsz00_294 = BgL_envsz00_1242; 
goto BgL_zc3z04anonymousza31385ze3z87_296;} }  else 
{ /* Llib/_scheduler.scm 457 */
return BgL_thsz00_295;} } } } 

}



/* &%scheduler-waiting-threads */
obj_t BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52(obj_t BgL_envz00_524, obj_t BgL_scdlz00_525)
{
{ /* Llib/_scheduler.scm 453 */
{ /* Llib/_scheduler.scm 454 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1244;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_525, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 454 */
BgL_auxz00_1244 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_525)
; }  else 
{ 
 obj_t BgL_auxz00_1248;
BgL_auxz00_1248 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__ft_z52schedulerz52, 
BINT(((long)19994)), BGl_string1605z00zz__ft_z52schedulerz52, BGl_string1587z00zz__ft_z52schedulerz52, BgL_scdlz00_525); 
FAILURE(BgL_auxz00_1248,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_auxz00_1244);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52()
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1606z00zz__ft_z52schedulerz52));} 

}

#ifdef __cplusplus
}
#endif
