/*===========================================================================*/
/*   (Llib/_types.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/_types.scm -o objs/_types.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_genericzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_z52typesz52();
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__ft_z52typesz52(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52schedulerz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_z62zc3z04anonymousza31154ze3ze5zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31166ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1212z62zz__ft_z52typesz52(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52pthreadz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62lambda1213z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31361ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static BgL_z52schedulerz52_bglt BGl_z62lambda1140z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1222z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31370ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1223z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__ft_z52typesz52(obj_t);
static BgL_z52schedulerz52_bglt BGl_z62lambda1143z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1229z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1230z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1151z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1152z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__ft_z52typesz52(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_z62lambda1240z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1164z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1165z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31178ze3ze5zz__ft_z52typesz52(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sigasyncz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62lambda1334z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1415z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1335z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1416z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1176z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1177z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_z62lambda1342z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1343z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1263z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1183z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1264z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1184z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52();
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52typesz52();
static obj_t BGl_z62lambda1271z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1192z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static BgL_z52sigasyncz52_bglt BGl_z62lambda1356z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t);
static BgL_z52sigasyncz52_bglt BGl_z62lambda1358z62zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1287z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1368z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1369z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1380z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1623z62zz__ft_z52typesz52(obj_t, obj_t);
static BgL_z52pthreadz52_bglt BGl_z62lambda1542z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31564ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1381z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1624z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static BgL_z52pthreadz52_bglt BGl_z62lambda1555z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31656ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1654z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1655z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1576z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1577z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1674z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1675z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1596z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1597z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t __cnst[ 35 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1700z00zz__ft_z52typesz52, BgL_bgl_za762lambda1212za7621764z00, BGl_z62lambda1212z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1701z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1765za7, BGl_z62zc3z04anonymousza31224ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1702z00zz__ft_z52typesz52, BgL_bgl_za762lambda1223za7621766z00, BGl_z62lambda1223z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1703z00zz__ft_z52typesz52, BgL_bgl_za762lambda1222za7621767z00, BGl_z62lambda1222z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1704z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1768za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1705z00zz__ft_z52typesz52, BgL_bgl_za762lambda1230za7621769z00, BGl_z62lambda1230z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1706z00zz__ft_z52typesz52, BgL_bgl_za762lambda1229za7621770z00, BGl_z62lambda1229z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1707z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1771za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1708z00zz__ft_z52typesz52, BgL_bgl_za762lambda1241za7621772z00, BGl_z62lambda1241z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1709z00zz__ft_z52typesz52, BgL_bgl_za762lambda1240za7621773z00, BGl_z62lambda1240z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1710z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1774za7, BGl_z62zc3z04anonymousza31265ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1711z00zz__ft_z52typesz52, BgL_bgl_za762lambda1264za7621775z00, BGl_z62lambda1264z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1712z00zz__ft_z52typesz52, BgL_bgl_za762lambda1263za7621776z00, BGl_z62lambda1263z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1713z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1777za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1714z00zz__ft_z52typesz52, BgL_bgl_za762lambda1272za7621778z00, BGl_z62lambda1272z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1715z00zz__ft_z52typesz52, BgL_bgl_za762lambda1271za7621779z00, BGl_z62lambda1271z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1716z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1780za7, BGl_z62zc3z04anonymousza31289ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1717z00zz__ft_z52typesz52, BgL_bgl_za762lambda1288za7621781z00, BGl_z62lambda1288z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1718z00zz__ft_z52typesz52, BgL_bgl_za762lambda1287za7621782z00, BGl_z62lambda1287z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1719z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1783za7, BGl_z62zc3z04anonymousza31336ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1720z00zz__ft_z52typesz52, BgL_bgl_za762lambda1335za7621784z00, BGl_z62lambda1335z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1721z00zz__ft_z52typesz52, BgL_bgl_za762lambda1334za7621785z00, BGl_z62lambda1334z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1722z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1786za7, BGl_z62zc3z04anonymousza31344ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1723z00zz__ft_z52typesz52, BgL_bgl_za762lambda1343za7621787z00, BGl_z62lambda1343z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1724z00zz__ft_z52typesz52, BgL_bgl_za762lambda1342za7621788z00, BGl_z62lambda1342z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1725z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1789za7, BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__ft_z52typesz52, BgL_bgl_za762lambda1143za7621790z00, BGl_z62lambda1143z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__ft_z52typesz52, BgL_bgl_za762lambda1140za7621791z00, BGl_z62lambda1140z62zz__ft_z52typesz52, 0L, BUNSPEC, 34 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1792za7, BGl_z62zc3z04anonymousza31370ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__ft_z52typesz52, BgL_bgl_za762lambda1369za7621793z00, BGl_z62lambda1369z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
extern obj_t BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__ft_z52typesz52, BgL_bgl_za762lambda1368za7621794z00, BGl_z62lambda1368z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1731z00zz__ft_z52typesz52, BgL_bgl_za762lambda1381za7621795z00, BGl_z62lambda1381z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__ft_z52typesz52, BgL_bgl_za762lambda1380za7621796z00, BGl_z62lambda1380z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__ft_z52typesz52, BgL_bgl_za762lambda1416za7621797z00, BGl_z62lambda1416z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__ft_z52typesz52, BgL_bgl_za762lambda1415za7621798z00, BGl_z62lambda1415z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1799za7, BGl_z62zc3z04anonymousza31361ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__ft_z52typesz52, BgL_bgl_za762lambda1358za7621800z00, BGl_z62lambda1358z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1737z00zz__ft_z52typesz52, BgL_bgl_za762lambda1356za7621801z00, BGl_z62lambda1356z62zz__ft_z52typesz52, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1802za7, BGl_z62zc3z04anonymousza31578ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__ft_z52typesz52, BgL_bgl_za762lambda1577za7621803z00, BGl_z62lambda1577z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__ft_z52typesz52, BgL_bgl_za762lambda1576za7621804z00, BGl_z62lambda1576z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1805za7, BGl_z62zc3z04anonymousza31598ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__ft_z52typesz52, BgL_bgl_za762lambda1597za7621806z00, BGl_z62lambda1597z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__ft_z52typesz52, BgL_bgl_za762lambda1596za7621807z00, BGl_z62lambda1596z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1744z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1808za7, BGl_z62zc3z04anonymousza31625ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__ft_z52typesz52, BgL_bgl_za762lambda1624za7621809z00, BGl_z62lambda1624z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__ft_z52typesz52, BgL_bgl_za762lambda1623za7621810z00, BGl_z62lambda1623z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1811za7, BGl_z62zc3z04anonymousza31656ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__ft_z52typesz52, BgL_bgl_za762lambda1655za7621812z00, BGl_z62lambda1655z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__ft_z52typesz52, BgL_bgl_za762lambda1654za7621813z00, BGl_z62lambda1654z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1757z00zz__ft_z52typesz52, BgL_bgl_string1757za700za7za7_1814za7, "__ft_%types", 11 );
DEFINE_STRING( BGl_string1758z00zz__ft_z52typesz52, BgL_bgl_string1758za700za7za7_1815za7, "condition-variable $fth _ %pthread parent condvar mutex fthread %sigasync thunk symbol id spawned __ft_%types %scheduler current-token tospawn tobroadcast tosuspend/resume toterminate tostart threads-yield threads-timeout async-runnable threads-runnable-last-pair pair-nil threads-runnable bool %threads-ready int %live-thread-number obj current-thread procedure next-instant ", 376 );
DEFINE_STRING( BGl_string1679z00zz__ft_z52typesz52, BgL_bgl_string1679za700za7za7_1816za7, "Llib/_types.scm", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1817za7, BGl_z62zc3z04anonymousza31676ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__ft_z52typesz52, BgL_bgl_za762lambda1675za7621818z00, BGl_z62lambda1675z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__ft_z52typesz52, BgL_bgl_za762lambda1674za7621819z00, BGl_z62lambda1674z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1820za7, BGl_z62zc3z04anonymousza31564ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__ft_z52typesz52, BgL_bgl_za762lambda1555za7621821z00, BGl_z62lambda1555z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__ft_z52typesz52, BgL_bgl_za762lambda1542za7621822z00, BGl_z62lambda1542z62zz__ft_z52typesz52, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1823za7, BGl_z62zc3z04anonymousza31154ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1680z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1824za7, BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1681z00zz__ft_z52typesz52, BgL_bgl_za762lambda1152za7621825z00, BGl_z62lambda1152z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1682z00zz__ft_z52typesz52, BgL_bgl_za762lambda1151za7621826z00, BGl_z62lambda1151z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1683z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1827za7, BGl_z62zc3z04anonymousza31166ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1684z00zz__ft_z52typesz52, BgL_bgl_za762lambda1165za7621828z00, BGl_z62lambda1165z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1685z00zz__ft_z52typesz52, BgL_bgl_za762lambda1164za7621829z00, BGl_z62lambda1164z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1686z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1830za7, BGl_z62zc3z04anonymousza31178ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1687z00zz__ft_z52typesz52, BgL_bgl_za762lambda1177za7621831z00, BGl_z62lambda1177z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1688z00zz__ft_z52typesz52, BgL_bgl_za762lambda1176za7621832z00, BGl_z62lambda1176z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1689z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1833za7, BGl_z62zc3z04anonymousza31185ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1690z00zz__ft_z52typesz52, BgL_bgl_za762lambda1184za7621834z00, BGl_z62lambda1184z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1691z00zz__ft_z52typesz52, BgL_bgl_za762lambda1183za7621835z00, BGl_z62lambda1183z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1692z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1836za7, BGl_z62zc3z04anonymousza31193ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1693z00zz__ft_z52typesz52, BgL_bgl_za762lambda1192za7621837z00, BGl_z62lambda1192z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1694z00zz__ft_z52typesz52, BgL_bgl_za762lambda1191za7621838z00, BGl_z62lambda1191z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1695z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1839za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1696z00zz__ft_z52typesz52, BgL_bgl_za762lambda1203za7621840z00, BGl_z62lambda1203z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1697z00zz__ft_z52typesz52, BgL_bgl_za762lambda1202za7621841z00, BGl_z62lambda1202z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1698z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1842za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1699z00zz__ft_z52typesz52, BgL_bgl_za762lambda1213za7621843z00, BGl_z62lambda1213z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52schedulerz52zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52pthreadz52zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52sigasyncz52zz__ft_z52typesz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long BgL_checksumz00_887, char * BgL_fromz00_888)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52typesz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52typesz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52typesz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52(); 
BGl_cnstzd2initzd2zz__ft_z52typesz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52(); 
BGl_objectzd2initzd2zz__ft_z52typesz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52typesz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 15 */
 obj_t BgL_cportz00_756;
{ /* Llib/_types.scm 15 */
 obj_t BgL_stringz00_764;
BgL_stringz00_764 = BGl_string1758z00zz__ft_z52typesz52; 
{ /* Llib/_types.scm 15 */
 obj_t BgL_startz00_765;
BgL_startz00_765 = 
BINT(((long)0)); 
{ /* Llib/_types.scm 15 */
 obj_t BgL_endz00_766;
BgL_endz00_766 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_764))); 
{ /* Llib/_types.scm 15 */

BgL_cportz00_756 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_764, BgL_startz00_765, BgL_endz00_766); } } } } 
{ 
 long BgL_iz00_757;
BgL_iz00_757 = ((long)34); 
BgL_loopz00_758:
if(
(BgL_iz00_757==((long)-1)))
{ /* Llib/_types.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 15 */
 obj_t BgL_arg1763z00_760;
{ /* Llib/_types.scm 15 */

{ /* Llib/_types.scm 15 */
 obj_t BgL_locationz00_762;
BgL_locationz00_762 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_types.scm 15 */

BgL_arg1763z00_760 = 
BGl_readz00zz__readerz00(BgL_cportz00_756, BgL_locationz00_762); } } } 
{ /* Llib/_types.scm 15 */
 int BgL_tmpz00_916;
BgL_tmpz00_916 = 
(int)(BgL_iz00_757); 
CNST_TABLE_SET(BgL_tmpz00_916, BgL_arg1763z00_760); } } 
{ /* Llib/_types.scm 15 */
 int BgL_auxz00_763;
BgL_auxz00_763 = 
(int)(
(BgL_iz00_757-((long)1))); 
{ 
 long BgL_iz00_921;
BgL_iz00_921 = 
(long)(BgL_auxz00_763); 
BgL_iz00_757 = BgL_iz00_921; 
goto BgL_loopz00_758;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1679z00zz__ft_z52typesz52)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1138z00_14; obj_t BgL_arg1139z00_15;
{ /* Llib/_types.scm 21 */
 obj_t BgL_v1120z00_60;
BgL_v1120z00_60 = 
create_vector(((long)15)); 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1147z00_61;
BgL_arg1147z00_61 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1682z00zz__ft_z52typesz52, BGl_proc1681z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1680z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1120z00_60,((long)0),BgL_arg1147z00_61); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1158z00_77;
BgL_arg1158z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1685z00zz__ft_z52typesz52, BGl_proc1684z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1683z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1120z00_60,((long)1),BgL_arg1158z00_77); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1167z00_90;
BgL_arg1167z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1688z00zz__ft_z52typesz52, BGl_proc1687z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1686z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1120z00_60,((long)2),BgL_arg1167z00_90); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1179z00_103;
BgL_arg1179z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1691z00zz__ft_z52typesz52, BGl_proc1690z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1689z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1120z00_60,((long)3),BgL_arg1179z00_103); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1186z00_116;
BgL_arg1186z00_116 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1694z00zz__ft_z52typesz52, BGl_proc1693z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1692z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)4),BgL_arg1186z00_116); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1197z00_129;
BgL_arg1197z00_129 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc1697z00zz__ft_z52typesz52, BGl_proc1696z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1695z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)5),BgL_arg1197z00_129); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1205z00_142;
BgL_arg1205z00_142 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1700z00zz__ft_z52typesz52, BGl_proc1699z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1698z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)6),BgL_arg1205z00_142); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1215z00_155;
BgL_arg1215z00_155 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1703z00zz__ft_z52typesz52, BGl_proc1702z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1701z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)7),BgL_arg1215z00_155); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1225z00_168;
BgL_arg1225z00_168 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1706z00zz__ft_z52typesz52, BGl_proc1705z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1704z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)8),BgL_arg1225z00_168); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1234z00_181;
BgL_arg1234z00_181 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc1709z00zz__ft_z52typesz52, BGl_proc1708z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1707z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)9),BgL_arg1234z00_181); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1250z00_194;
BgL_arg1250z00_194 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1712z00zz__ft_z52typesz52, BGl_proc1711z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1710z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)10),BgL_arg1250z00_194); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1267z00_207;
BgL_arg1267z00_207 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc1715z00zz__ft_z52typesz52, BGl_proc1714z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1713z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)11),BgL_arg1267z00_207); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1279z00_220;
BgL_arg1279z00_220 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1718z00zz__ft_z52typesz52, BGl_proc1717z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1716z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)12),BgL_arg1279z00_220); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1291z00_233;
BgL_arg1291z00_233 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc1721z00zz__ft_z52typesz52, BGl_proc1720z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1719z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1120z00_60,((long)13),BgL_arg1291z00_233); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1338z00_246;
BgL_arg1338z00_246 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1724z00zz__ft_z52typesz52, BGl_proc1723z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1722z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1120z00_60,((long)14),BgL_arg1338z00_246); } 
BgL_arg1138z00_14 = BgL_v1120z00_60; } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_v1121z00_259;
BgL_v1121z00_259 = 
create_vector(((long)0)); 
BgL_arg1139z00_15 = BgL_v1121z00_259; } 
BGl_z52schedulerz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)20)), 
CNST_TABLE_REF(((long)21)), BGl_schedulerz00zz__ft_typesz00, ((long)62772), BGl_proc1727z00zz__ft_z52typesz52, BGl_proc1726z00zz__ft_z52typesz52, BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00, BGl_proc1725z00zz__ft_z52typesz52, BFALSE, BgL_arg1138z00_14, BgL_arg1139z00_15); } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1354z00_266; obj_t BgL_arg1355z00_267;
{ /* Llib/_types.scm 54 */
 obj_t BgL_v1122z00_280;
BgL_v1122z00_280 = 
create_vector(((long)3)); 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1363z00_281;
BgL_arg1363z00_281 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc1730z00zz__ft_z52typesz52, BGl_proc1729z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1728z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1122z00_280,((long)0),BgL_arg1363z00_281); } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1377z00_294;
BgL_arg1377z00_294 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1732z00zz__ft_z52typesz52, BGl_proc1731z00zz__ft_z52typesz52, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1122z00_280,((long)1),BgL_arg1377z00_294); } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1383z00_304;
BgL_arg1383z00_304 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc1734z00zz__ft_z52typesz52, BGl_proc1733z00zz__ft_z52typesz52, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1122z00_280,((long)2),BgL_arg1383z00_304); } 
BgL_arg1354z00_266 = BgL_v1122z00_280; } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_v1123z00_314;
BgL_v1123z00_314 = 
create_vector(((long)0)); 
BgL_arg1355z00_267 = BgL_v1123z00_314; } 
BGl_z52sigasyncz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)26)), 
CNST_TABLE_REF(((long)21)), BGl_objectz00zz__objectz00, ((long)49897), BGl_proc1737z00zz__ft_z52typesz52, BGl_proc1736z00zz__ft_z52typesz52, BFALSE, BGl_proc1735z00zz__ft_z52typesz52, BFALSE, BgL_arg1354z00_266, BgL_arg1355z00_267); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1536z00_321; obj_t BgL_arg1541z00_322;
{ /* Llib/_types.scm 63 */
 obj_t BgL_v1124z00_344;
BgL_v1124z00_344 = 
create_vector(((long)5)); 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1572z00_345;
BgL_arg1572z00_345 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc1740z00zz__ft_z52typesz52, BGl_proc1739z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1738z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1124z00_344,((long)0),BgL_arg1572z00_345); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1590z00_358;
BgL_arg1590z00_358 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc1743z00zz__ft_z52typesz52, BGl_proc1742z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1741z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1124z00_344,((long)1),BgL_arg1590z00_358); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1609z00_372;
BgL_arg1609z00_372 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc1746z00zz__ft_z52typesz52, BGl_proc1745z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1744z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1124z00_344,((long)2),BgL_arg1609z00_372); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1642z00_386;
BgL_arg1642z00_386 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1749z00zz__ft_z52typesz52, BGl_proc1748z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1747z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1124z00_344,((long)3),BgL_arg1642z00_386); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1657z00_399;
BgL_arg1657z00_399 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc1752z00zz__ft_z52typesz52, BGl_proc1751z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1750z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1124z00_344,((long)4),BgL_arg1657z00_399); } 
BgL_arg1536z00_321 = BgL_v1124z00_344; } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_v1125z00_412;
BgL_v1125z00_412 = 
create_vector(((long)0)); 
BgL_arg1541z00_322 = BgL_v1125z00_412; } 
return ( 
BGl_z52pthreadz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)21)), BGl_pthreadz00zz__pth_threadz00, ((long)3660), BGl_proc1755z00zz__ft_z52typesz52, BGl_proc1754z00zz__ft_z52typesz52, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1753z00zz__ft_z52typesz52, BFALSE, BgL_arg1536z00_321, BgL_arg1541z00_322), BUNSPEC) ;} } 

}



/* &<@anonymous:1564> */
obj_t BGl_z62zc3z04anonymousza31564ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_553, obj_t BgL_new1113z00_554)
{
{ /* Llib/_types.scm 63 */
{ 
 BgL_z52pthreadz52_bglt BgL_auxz00_1033;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554))))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554))))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554))))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554))))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554)))->BgL_fthreadz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554)))->BgL_mutexz00)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554)))->BgL_condvarz00)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554)))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554)))->BgL_parentz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1033 = 
((BgL_z52pthreadz52_bglt)BgL_new1113z00_554); 
return 
((obj_t)BgL_auxz00_1033);} } 

}



/* &lambda1555 */
BgL_z52pthreadz52_bglt BGl_z62lambda1555z62zz__ft_z52typesz52(obj_t BgL_envz00_555)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 63 */
 BgL_z52pthreadz52_bglt BgL_new1112z00_769;
BgL_new1112z00_769 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_types.scm 63 */
 long BgL_arg1563z00_770;
BgL_arg1563z00_770 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_769), BgL_arg1563z00_770); } 
return BgL_new1112z00_769;} } 

}



/* &lambda1542 */
BgL_z52pthreadz52_bglt BGl_z62lambda1542z62zz__ft_z52typesz52(obj_t BgL_envz00_556, obj_t BgL_name1100z00_557, obj_t BgL_body1101z00_558, obj_t BgL_detachedp1102z00_559, obj_t BgL_endzd2result1103zd2_560, obj_t BgL_endzd2exception1104zd2_561, obj_t BgL_z42builtin1105z42_562, obj_t BgL_fthread1106z00_563, obj_t BgL_mutex1107z00_564, obj_t BgL_condvar1108z00_565, obj_t BgL_id1109z00_566, obj_t BgL_parent1110z00_567)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 63 */
 bool_t BgL_detachedp1102z00_772; void * BgL_z42builtin1105z42_773;
BgL_detachedp1102z00_772 = 
CBOOL(BgL_detachedp1102z00_559); 
BgL_z42builtin1105z42_773 = 
FOREIGN_TO_COBJ(BgL_z42builtin1105z42_562); 
{ /* Llib/_types.scm 63 */
 BgL_z52pthreadz52_bglt BgL_new1119z00_777;
{ /* Llib/_types.scm 63 */
 BgL_z52pthreadz52_bglt BgL_new1118z00_778;
BgL_new1118z00_778 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_types.scm 63 */
 long BgL_arg1554z00_779;
BgL_arg1554z00_779 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_778), BgL_arg1554z00_779); } 
BgL_new1119z00_777 = BgL_new1118z00_778; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1119z00_777)))->BgL_namez00)=((obj_t)BgL_name1100z00_557),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1119z00_777)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1101z00_558)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1119z00_777)))->BgL_detachedpz00)=((bool_t)BgL_detachedp1102z00_772),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1119z00_777)))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1103zd2_560),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1119z00_777)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1104zd2_561),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1119z00_777)))->BgL_z42builtinz42)=((void *)BgL_z42builtin1105z42_773),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1119z00_777))->BgL_fthreadz00)=((obj_t)BgL_fthread1106z00_563),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1119z00_777))->BgL_mutexz00)=((obj_t)
((obj_t)BgL_mutex1107z00_564)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1119z00_777))->BgL_condvarz00)=((obj_t)
((obj_t)BgL_condvar1108z00_565)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1119z00_777))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1109z00_566)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1119z00_777))->BgL_parentz00)=((obj_t)BgL_parent1110z00_567),BUNSPEC); 
{ /* Llib/_types.scm 63 */
 obj_t BgL_fun1543z00_780;
BgL_fun1543z00_780 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1543z00_780)(BgL_fun1543z00_780, 
((obj_t)BgL_new1119z00_777), BEOA); } 
return BgL_new1119z00_777;} } } 

}



/* &<@anonymous:1676> */
obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_568)
{
{ /* Llib/_types.scm 63 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1675 */
obj_t BGl_z62lambda1675z62zz__ft_z52typesz52(obj_t BgL_envz00_569, obj_t BgL_oz00_570, obj_t BgL_vz00_571)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_570)))->BgL_parentz00)=((obj_t)BgL_vz00_571),BUNSPEC);} 

}



/* &lambda1674 */
obj_t BGl_z62lambda1674z62zz__ft_z52typesz52(obj_t BgL_envz00_572, obj_t BgL_oz00_573)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_573)))->BgL_parentz00);} 

}



/* &<@anonymous:1656> */
obj_t BGl_z62zc3z04anonymousza31656ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_574)
{
{ /* Llib/_types.scm 63 */
return 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)33)));} 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__ft_z52typesz52(obj_t BgL_envz00_575, obj_t BgL_oz00_576, obj_t BgL_vz00_577)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_576)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_577)),BUNSPEC);} 

}



/* &lambda1654 */
obj_t BGl_z62lambda1654z62zz__ft_z52typesz52(obj_t BgL_envz00_578, obj_t BgL_oz00_579)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_579)))->BgL_idz00);} 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_580)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 69 */

{ /* Llib/_types.scm 69 */
 obj_t BgL_namez00_786;
BgL_namez00_786 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)34))); 
{ /* Llib/_types.scm 69 */

return 
bgl_make_condvar(BgL_namez00_786);} } } } 

}



/* &lambda1624 */
obj_t BGl_z62lambda1624z62zz__ft_z52typesz52(obj_t BgL_envz00_581, obj_t BgL_oz00_582, obj_t BgL_vz00_583)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_582)))->BgL_condvarz00)=((obj_t)
((obj_t)BgL_vz00_583)),BUNSPEC);} 

}



/* &lambda1623 */
obj_t BGl_z62lambda1623z62zz__ft_z52typesz52(obj_t BgL_envz00_584, obj_t BgL_oz00_585)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_585)))->BgL_condvarz00);} 

}



/* &<@anonymous:1598> */
obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_586)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 67 */

{ /* Llib/_types.scm 67 */
 obj_t BgL_namez00_790;
BgL_namez00_790 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)28))); 
{ /* Llib/_types.scm 67 */

return 
bgl_make_mutex(BgL_namez00_790);} } } } 

}



/* &lambda1597 */
obj_t BGl_z62lambda1597z62zz__ft_z52typesz52(obj_t BgL_envz00_587, obj_t BgL_oz00_588, obj_t BgL_vz00_589)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_588)))->BgL_mutexz00)=((obj_t)
((obj_t)BgL_vz00_589)),BUNSPEC);} 

}



/* &lambda1596 */
obj_t BGl_z62lambda1596z62zz__ft_z52typesz52(obj_t BgL_envz00_590, obj_t BgL_oz00_591)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_591)))->BgL_mutexz00);} 

}



/* &<@anonymous:1578> */
obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_592)
{
{ /* Llib/_types.scm 63 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1577 */
obj_t BGl_z62lambda1577z62zz__ft_z52typesz52(obj_t BgL_envz00_593, obj_t BgL_oz00_594, obj_t BgL_vz00_595)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_594)))->BgL_fthreadz00)=((obj_t)BgL_vz00_595),BUNSPEC);} 

}



/* &lambda1576 */
obj_t BGl_z62lambda1576z62zz__ft_z52typesz52(obj_t BgL_envz00_596, obj_t BgL_oz00_597)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_597)))->BgL_fthreadz00);} 

}



/* &<@anonymous:1361> */
obj_t BGl_z62zc3z04anonymousza31361ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_598, obj_t BgL_new1098z00_599)
{
{ /* Llib/_types.scm 54 */
{ 
 BgL_z52sigasyncz52_bglt BgL_auxz00_1138;
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_599)))->BgL_spawnedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_599)))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_599)))->BgL_thunkz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_1138 = 
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_599); 
return 
((obj_t)BgL_auxz00_1138);} } 

}



/* &lambda1358 */
BgL_z52sigasyncz52_bglt BGl_z62lambda1358z62zz__ft_z52typesz52(obj_t BgL_envz00_600)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
 BgL_z52sigasyncz52_bglt BgL_new1097z00_797;
BgL_new1097z00_797 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/_types.scm 54 */
 long BgL_arg1360z00_798;
BgL_arg1360z00_798 = 
BGL_CLASS_NUM(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_797), BgL_arg1360z00_798); } 
return BgL_new1097z00_797;} } 

}



/* &lambda1356 */
BgL_z52sigasyncz52_bglt BGl_z62lambda1356z62zz__ft_z52typesz52(obj_t BgL_envz00_601, obj_t BgL_spawned1094z00_602, obj_t BgL_id1095z00_603, obj_t BgL_thunk1096z00_604)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
 bool_t BgL_spawned1094z00_799;
BgL_spawned1094z00_799 = 
CBOOL(BgL_spawned1094z00_602); 
{ /* Llib/_types.scm 54 */
 BgL_z52sigasyncz52_bglt BgL_new1117z00_802;
{ /* Llib/_types.scm 54 */
 BgL_z52sigasyncz52_bglt BgL_new1116z00_803;
BgL_new1116z00_803 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/_types.scm 54 */
 long BgL_arg1357z00_804;
BgL_arg1357z00_804 = 
BGL_CLASS_NUM(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_803), BgL_arg1357z00_804); } 
BgL_new1117z00_802 = BgL_new1116z00_803; } 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1117z00_802))->BgL_spawnedz00)=((bool_t)BgL_spawned1094z00_799),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1117z00_802))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1095z00_603)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1117z00_802))->BgL_thunkz00)=((obj_t)
((obj_t)BgL_thunk1096z00_604)),BUNSPEC); 
return BgL_new1117z00_802;} } } 

}



/* &lambda1416 */
obj_t BGl_z62lambda1416z62zz__ft_z52typesz52(obj_t BgL_envz00_605, obj_t BgL_oz00_606, obj_t BgL_vz00_607)
{
{ /* Llib/_types.scm 54 */
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_606)))->BgL_thunkz00)=((obj_t)
((obj_t)BgL_vz00_607)),BUNSPEC);} 

}



/* &lambda1415 */
obj_t BGl_z62lambda1415z62zz__ft_z52typesz52(obj_t BgL_envz00_608, obj_t BgL_oz00_609)
{
{ /* Llib/_types.scm 54 */
return 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_609)))->BgL_thunkz00);} 

}



/* &lambda1381 */
obj_t BGl_z62lambda1381z62zz__ft_z52typesz52(obj_t BgL_envz00_610, obj_t BgL_oz00_611, obj_t BgL_vz00_612)
{
{ /* Llib/_types.scm 54 */
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_611)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_612)),BUNSPEC);} 

}



/* &lambda1380 */
obj_t BGl_z62lambda1380z62zz__ft_z52typesz52(obj_t BgL_envz00_613, obj_t BgL_oz00_614)
{
{ /* Llib/_types.scm 54 */
return 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_614)))->BgL_idz00);} 

}



/* &<@anonymous:1370> */
obj_t BGl_z62zc3z04anonymousza31370ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_615)
{
{ /* Llib/_types.scm 54 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1369 */
obj_t BGl_z62lambda1369z62zz__ft_z52typesz52(obj_t BgL_envz00_616, obj_t BgL_oz00_617, obj_t BgL_vz00_618)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
 bool_t BgL_vz00_812;
BgL_vz00_812 = 
CBOOL(BgL_vz00_618); 
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_617)))->BgL_spawnedz00)=((bool_t)BgL_vz00_812),BUNSPEC);} } 

}



/* &lambda1368 */
obj_t BGl_z62lambda1368z62zz__ft_z52typesz52(obj_t BgL_envz00_619, obj_t BgL_oz00_620)
{
{ /* Llib/_types.scm 54 */
return 
BBOOL(
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_620)))->BgL_spawnedz00));} 

}



/* &<@anonymous:1145> */
obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_621, obj_t BgL_new1092z00_622)
{
{ /* Llib/_types.scm 21 */
{ 
 BgL_z52schedulerz52_bglt BgL_auxz00_1179;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_schedulerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52builtinz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52timeoutz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52terminatez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52awakezd2signalz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52awakezd2valuez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52cleanupz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_envzb2zb2)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622))))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_nextzd2instantzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_currentzd2threadzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_threadszd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_asynczd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_threadszd2timeoutzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622)))->BgL_currentzd2tokenzd2)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1179 = 
((BgL_z52schedulerz52_bglt)BgL_new1092z00_622); 
return 
((obj_t)BgL_auxz00_1179);} } 

}



/* &lambda1143 */
BgL_z52schedulerz52_bglt BGl_z62lambda1143z62zz__ft_z52typesz52(obj_t BgL_envz00_623)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 BgL_z52schedulerz52_bglt BgL_new1091z00_815;
BgL_new1091z00_815 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/_types.scm 21 */
 long BgL_arg1144z00_816;
BgL_arg1144z00_816 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_815), BgL_arg1144z00_816); } 
return BgL_new1091z00_815;} } 

}



/* &lambda1140 */
BgL_z52schedulerz52_bglt BGl_z62lambda1140z62zz__ft_z52typesz52(obj_t BgL_envz00_624, obj_t BgL_name1057z00_625, obj_t BgL_scheduler1058z00_626, obj_t BgL_z52builtin1059z52_627, obj_t BgL_z52timeout1060z52_628, obj_t BgL_z52state1061z52_629, obj_t BgL_z52iszd2suspend1062z80_630, obj_t BgL_z52terminate1063z52_631, obj_t BgL_z52result1064z52_632, obj_t BgL_z52exczd2result1065z80_633, obj_t BgL_z52exczd2raised1066z80_634, obj_t BgL_z52ident1067z52_635, obj_t BgL_z52signals1068z52_636, obj_t BgL_z52awakezd2signal1069z80_637, obj_t BgL_z52awakezd2value1070z80_638, obj_t BgL_z52cleanup1071z52_639, obj_t BgL_z52specific1072z52_640, obj_t BgL_body1073z00_641, obj_t BgL_envzb21074zb2_642, obj_t BgL_strictzd2orderzf31075z21_643, obj_t BgL_nextzd2instant1076zd2_644, obj_t BgL_currentzd2thread1077zd2_645, obj_t BgL_z52livezd2threadzd2number1078z52_646, obj_t BgL_z52threadszd2ready1079z80_647, obj_t BgL_threadszd2runnable1080zd2_648, obj_t BgL_threadszd2runnablezd2las1081z00_649, obj_t BgL_asynczd2runnable1082zd2_650, obj_t BgL_threadszd2timeout1083zd2_651, obj_t BgL_threadszd2yield1084zd2_652, obj_t BgL_tostart1085z00_653, obj_t BgL_toterminate1086z00_654, obj_t BgL_tosuspendzf2resume1087zf2_655, obj_t BgL_tobroadcast1088z00_656, obj_t BgL_tospawn1089z00_657, obj_t BgL_currentzd2token1090zd2_658)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 int BgL_z52timeout1060z52_817; bool_t BgL_z52iszd2suspend1062z80_819; bool_t BgL_z52exczd2raised1066z80_821; int BgL_z52ident1067z52_822; int BgL_z52livezd2threadzd2number1078z52_828; bool_t BgL_z52threadszd2ready1079z80_829;
BgL_z52timeout1060z52_817 = 
CINT(BgL_z52timeout1060z52_628); 
BgL_z52iszd2suspend1062z80_819 = 
CBOOL(BgL_z52iszd2suspend1062z80_630); 
BgL_z52exczd2raised1066z80_821 = 
CBOOL(BgL_z52exczd2raised1066z80_634); 
BgL_z52ident1067z52_822 = 
CINT(BgL_z52ident1067z52_635); 
BgL_z52livezd2threadzd2number1078z52_828 = 
CINT(BgL_z52livezd2threadzd2number1078z52_646); 
BgL_z52threadszd2ready1079z80_829 = 
CBOOL(BgL_z52threadszd2ready1079z80_647); 
{ /* Llib/_types.scm 21 */
 BgL_z52schedulerz52_bglt BgL_new1115z00_840;
{ /* Llib/_types.scm 21 */
 BgL_z52schedulerz52_bglt BgL_new1114z00_841;
BgL_new1114z00_841 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/_types.scm 21 */
 long BgL_arg1142z00_842;
BgL_arg1142z00_842 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_841), BgL_arg1142z00_842); } 
BgL_new1115z00_840 = BgL_new1114z00_841; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1115z00_840)))->BgL_namez00)=((obj_t)BgL_name1057z00_625),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_schedulerz00)=((obj_t)BgL_scheduler1058z00_626),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52builtinz52)=((obj_t)BgL_z52builtin1059z52_627),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52timeoutz52)=((int)BgL_z52timeout1060z52_817),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52statez52)=((obj_t)
((obj_t)BgL_z52state1061z52_629)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52iszd2suspendz80)=((bool_t)BgL_z52iszd2suspend1062z80_819),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52terminatez52)=((obj_t)
((obj_t)BgL_z52terminate1063z52_631)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52resultz52)=((obj_t)BgL_z52result1064z52_632),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52exczd2resultz80)=((obj_t)BgL_z52exczd2result1065z80_633),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52exczd2raisedz80)=((bool_t)BgL_z52exczd2raised1066z80_821),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52identz52)=((int)BgL_z52ident1067z52_822),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52signalsz52)=((obj_t)
((obj_t)BgL_z52signals1068z52_636)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52awakezd2signalz80)=((obj_t)BgL_z52awakezd2signal1069z80_637),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52awakezd2valuez80)=((obj_t)BgL_z52awakezd2value1070z80_638),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52cleanupz52)=((obj_t)BgL_z52cleanup1071z52_639),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_z52specificz52)=((obj_t)BgL_z52specific1072z52_640),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1115z00_840)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1073z00_641)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1115z00_840)))->BgL_envzb2zb2)=((obj_t)
((obj_t)BgL_envzb21074zb2_642)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1115z00_840)))->BgL_strictzd2orderzf3z21)=((obj_t)
((obj_t)BgL_strictzd2orderzf31075z21_643)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_nextzd2instantzd2)=((obj_t)
((obj_t)BgL_nextzd2instant1076zd2_644)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_currentzd2threadzd2)=((obj_t)BgL_currentzd2thread1077zd2_645),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_z52livezd2threadzd2numberz52)=((int)BgL_z52livezd2threadzd2number1078z52_828),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_z52threadszd2readyz80)=((bool_t)BgL_z52threadszd2ready1079z80_829),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_threadszd2runnablezd2)=((obj_t)
((obj_t)BgL_threadszd2runnable1080zd2_648)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
((obj_t)BgL_threadszd2runnablezd2las1081z00_649)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_asynczd2runnablezd2)=((obj_t)
((obj_t)BgL_asynczd2runnable1082zd2_650)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_threadszd2timeoutzd2)=((obj_t)
((obj_t)BgL_threadszd2timeout1083zd2_651)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_threadszd2yieldzd2)=((obj_t)
((obj_t)BgL_threadszd2yield1084zd2_652)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_tostartz00)=((obj_t)
((obj_t)BgL_tostart1085z00_653)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_toterminatez00)=((obj_t)
((obj_t)BgL_toterminate1086z00_654)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_tosuspendzf2resumezf2)=((obj_t)
((obj_t)BgL_tosuspendzf2resume1087zf2_655)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_tobroadcastz00)=((obj_t)
((obj_t)BgL_tobroadcast1088z00_656)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_tospawnz00)=((obj_t)
((obj_t)BgL_tospawn1089z00_657)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1115z00_840))->BgL_currentzd2tokenzd2)=((obj_t)BgL_currentzd2token1090zd2_658),BUNSPEC); 
{ /* Llib/_types.scm 21 */
 obj_t BgL_fun1141z00_843;
BgL_fun1141z00_843 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52schedulerz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1141z00_843)(BgL_fun1141z00_843, 
((obj_t)BgL_new1115z00_840), BEOA); } 
return BgL_new1115z00_840;} } } 

}



/* &<@anonymous:1344> */
obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_659)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1343 */
obj_t BGl_z62lambda1343z62zz__ft_z52typesz52(obj_t BgL_envz00_660, obj_t BgL_oz00_661, obj_t BgL_vz00_662)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_661)))->BgL_currentzd2tokenzd2)=((obj_t)BgL_vz00_662),BUNSPEC);} 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__ft_z52typesz52(obj_t BgL_envz00_663, obj_t BgL_oz00_664)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_664)))->BgL_currentzd2tokenzd2);} 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_665)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1335 */
obj_t BGl_z62lambda1335z62zz__ft_z52typesz52(obj_t BgL_envz00_666, obj_t BgL_oz00_667, obj_t BgL_vz00_668)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_667)))->BgL_tospawnz00)=((obj_t)
((obj_t)BgL_vz00_668)),BUNSPEC);} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__ft_z52typesz52(obj_t BgL_envz00_669, obj_t BgL_oz00_670)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_670)))->BgL_tospawnz00);} 

}



/* &<@anonymous:1289> */
obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_671)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__ft_z52typesz52(obj_t BgL_envz00_672, obj_t BgL_oz00_673, obj_t BgL_vz00_674)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_673)))->BgL_tobroadcastz00)=((obj_t)
((obj_t)BgL_vz00_674)),BUNSPEC);} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__ft_z52typesz52(obj_t BgL_envz00_675, obj_t BgL_oz00_676)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_676)))->BgL_tobroadcastz00);} 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_677)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__ft_z52typesz52(obj_t BgL_envz00_678, obj_t BgL_oz00_679, obj_t BgL_vz00_680)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_679)))->BgL_tosuspendzf2resumezf2)=((obj_t)
((obj_t)BgL_vz00_680)),BUNSPEC);} 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__ft_z52typesz52(obj_t BgL_envz00_681, obj_t BgL_oz00_682)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_682)))->BgL_tosuspendzf2resumezf2);} 

}



/* &<@anonymous:1265> */
obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_683)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__ft_z52typesz52(obj_t BgL_envz00_684, obj_t BgL_oz00_685, obj_t BgL_vz00_686)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_685)))->BgL_toterminatez00)=((obj_t)
((obj_t)BgL_vz00_686)),BUNSPEC);} 

}



/* &lambda1263 */
obj_t BGl_z62lambda1263z62zz__ft_z52typesz52(obj_t BgL_envz00_687, obj_t BgL_oz00_688)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_688)))->BgL_toterminatez00);} 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_689)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__ft_z52typesz52(obj_t BgL_envz00_690, obj_t BgL_oz00_691, obj_t BgL_vz00_692)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_691)))->BgL_tostartz00)=((obj_t)
((obj_t)BgL_vz00_692)),BUNSPEC);} 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__ft_z52typesz52(obj_t BgL_envz00_693, obj_t BgL_oz00_694)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_694)))->BgL_tostartz00);} 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_695)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__ft_z52typesz52(obj_t BgL_envz00_696, obj_t BgL_oz00_697, obj_t BgL_vz00_698)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_697)))->BgL_threadszd2yieldzd2)=((obj_t)
((obj_t)BgL_vz00_698)),BUNSPEC);} 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__ft_z52typesz52(obj_t BgL_envz00_699, obj_t BgL_oz00_700)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_700)))->BgL_threadszd2yieldzd2);} 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_701)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1223 */
obj_t BGl_z62lambda1223z62zz__ft_z52typesz52(obj_t BgL_envz00_702, obj_t BgL_oz00_703, obj_t BgL_vz00_704)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_703)))->BgL_threadszd2timeoutzd2)=((obj_t)
((obj_t)BgL_vz00_704)),BUNSPEC);} 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__ft_z52typesz52(obj_t BgL_envz00_705, obj_t BgL_oz00_706)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_706)))->BgL_threadszd2timeoutzd2);} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_707)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__ft_z52typesz52(obj_t BgL_envz00_708, obj_t BgL_oz00_709, obj_t BgL_vz00_710)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_709)))->BgL_asynczd2runnablezd2)=((obj_t)
((obj_t)BgL_vz00_710)),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__ft_z52typesz52(obj_t BgL_envz00_711, obj_t BgL_oz00_712)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_712)))->BgL_asynczd2runnablezd2);} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_713)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__ft_z52typesz52(obj_t BgL_envz00_714, obj_t BgL_oz00_715, obj_t BgL_vz00_716)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_715)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
((obj_t)BgL_vz00_716)),BUNSPEC);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__ft_z52typesz52(obj_t BgL_envz00_717, obj_t BgL_oz00_718)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_718)))->BgL_threadszd2runnablezd2lastzd2pairzd2);} 

}



/* &<@anonymous:1193> */
obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_719)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1192 */
obj_t BGl_z62lambda1192z62zz__ft_z52typesz52(obj_t BgL_envz00_720, obj_t BgL_oz00_721, obj_t BgL_vz00_722)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_721)))->BgL_threadszd2runnablezd2)=((obj_t)
((obj_t)BgL_vz00_722)),BUNSPEC);} 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__ft_z52typesz52(obj_t BgL_envz00_723, obj_t BgL_oz00_724)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_724)))->BgL_threadszd2runnablezd2);} 

}



/* &<@anonymous:1185> */
obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_725)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1184 */
obj_t BGl_z62lambda1184z62zz__ft_z52typesz52(obj_t BgL_envz00_726, obj_t BgL_oz00_727, obj_t BgL_vz00_728)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 bool_t BgL_vz00_877;
BgL_vz00_877 = 
CBOOL(BgL_vz00_728); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_727)))->BgL_z52threadszd2readyz80)=((bool_t)BgL_vz00_877),BUNSPEC);} } 

}



/* &lambda1183 */
obj_t BGl_z62lambda1183z62zz__ft_z52typesz52(obj_t BgL_envz00_729, obj_t BgL_oz00_730)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_730)))->BgL_z52threadszd2readyz80));} 

}



/* &<@anonymous:1178> */
obj_t BGl_z62zc3z04anonymousza31178ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_731)
{
{ /* Llib/_types.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1177 */
obj_t BGl_z62lambda1177z62zz__ft_z52typesz52(obj_t BgL_envz00_732, obj_t BgL_oz00_733, obj_t BgL_vz00_734)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 int BgL_vz00_880;
BgL_vz00_880 = 
CINT(BgL_vz00_734); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_733)))->BgL_z52livezd2threadzd2numberz52)=((int)BgL_vz00_880),BUNSPEC);} } 

}



/* &lambda1176 */
obj_t BGl_z62lambda1176z62zz__ft_z52typesz52(obj_t BgL_envz00_735, obj_t BgL_oz00_736)
{
{ /* Llib/_types.scm 21 */
return 
BINT(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_736)))->BgL_z52livezd2threadzd2numberz52));} 

}



/* &<@anonymous:1166> */
obj_t BGl_z62zc3z04anonymousza31166ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_737)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1165 */
obj_t BGl_z62lambda1165z62zz__ft_z52typesz52(obj_t BgL_envz00_738, obj_t BgL_oz00_739, obj_t BgL_vz00_740)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_739)))->BgL_currentzd2threadzd2)=((obj_t)BgL_vz00_740),BUNSPEC);} 

}



/* &lambda1164 */
obj_t BGl_z62lambda1164z62zz__ft_z52typesz52(obj_t BgL_envz00_741, obj_t BgL_oz00_742)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_742)))->BgL_currentzd2threadzd2);} 

}



/* &<@anonymous:1153> */
obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_743)
{
{ /* Llib/_types.scm 21 */
return BGl_proc1756z00zz__ft_z52typesz52;} 

}



/* &lambda1152 */
obj_t BGl_z62lambda1152z62zz__ft_z52typesz52(obj_t BgL_envz00_744, obj_t BgL_oz00_745, obj_t BgL_vz00_746)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_745)))->BgL_nextzd2instantzd2)=((obj_t)
((obj_t)BgL_vz00_746)),BUNSPEC);} 

}



/* &lambda1151 */
obj_t BGl_z62lambda1151z62zz__ft_z52typesz52(obj_t BgL_envz00_747, obj_t BgL_oz00_748)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_748)))->BgL_nextzd2instantzd2);} 

}



/* &<@anonymous:1154> */
obj_t BGl_z62zc3z04anonymousza31154ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_749, obj_t BgL_sz00_750, obj_t BgL_iz00_751)
{
{ /* Llib/_types.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1757z00zz__ft_z52typesz52));} 

}

#ifdef __cplusplus
}
#endif
