/*===========================================================================*/
/*   (Llib/scheduler.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/scheduler.scm -o objs/scheduler.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;

typedef struct BgL_z52envz52_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52lastzd2signalsz80;
} *BgL_z52envz52_bglt;


static obj_t BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_schedulerz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_schedulerz00();
static obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__ft_schedulerz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_schedulerz00();
BGL_EXPORTED_DECL obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_schedulerz00();
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62broadcastz12z70zz__ft_schedulerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__ft_schedulerz00();
static BgL_schedulerz00_bglt BGl_z62makezd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_threadzd2parameterzd2setz12z12zz__threadz00(obj_t, obj_t);
static obj_t BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00(obj_t, obj_t, obj_t);
extern bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
extern obj_t BGl_z52envz52zz__ft_z52envz52;
static obj_t BGl_z62zc3z04anonymousza31149ze3ze5zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62withzd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31159ze3ze5zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_schedulerz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
extern obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00();
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
extern obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
BGL_EXPORTED_DECL obj_t BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_schedulerz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_schedulerz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00();
BGL_EXPORTED_DECL obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00();
static obj_t BGl_gczd2rootszd2initz00zz__ft_schedulerz00();
static obj_t BGl_z62zc3z04anonymousza31199ze3ze5zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00();
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt);
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2parameterzd2zz__threadz00(obj_t);
BGL_EXPORTED_DECL int BGl_schedulerzd2instantzd2zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2terminatez12zc0zz__threadz00(BgL_threadz00_bglt);
static obj_t BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_schedulerz00_bglt);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
extern obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_schedulez00zz__ft_schedulerz00(BgL_z52schedulerz52_bglt);
static obj_t __cnst[ 11 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_defaultzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762defaultza7d2sch1591z00, va_generic_entry, BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2startz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2s1592z00, va_generic_entry, BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string1557z00zz__ft_schedulerz00, BgL_bgl_string1557za700za7za7_1593za7, "Llib/scheduler.scm", 18 );
DEFINE_STRING( BGl_string1558z00zz__ft_schedulerz00, BgL_bgl_string1558za700za7za7_1594za7, "Read-only value", 15 );
DEFINE_STRING( BGl_string1559z00zz__ft_schedulerz00, BgL_bgl_string1559za700za7za7_1595za7, "default-scheduler", 17 );
DEFINE_STRING( BGl_string1560z00zz__ft_schedulerz00, BgL_bgl_string1560za700za7za7_1596za7, "Illegal scheduler", 17 );
DEFINE_STRING( BGl_string1561z00zz__ft_schedulerz00, BgL_bgl_string1561za700za7za7_1597za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/fthread/src/Llib/scheduler.scm", 70 );
DEFINE_STRING( BGl_string1562z00zz__ft_schedulerz00, BgL_bgl_string1562za700za7za7_1598za7, "&with-scheduler", 15 );
DEFINE_STRING( BGl_string1563z00zz__ft_schedulerz00, BgL_bgl_string1563za700za7za7_1599za7, "scheduler", 9 );
DEFINE_STRING( BGl_string1564z00zz__ft_schedulerz00, BgL_bgl_string1564za700za7za7_1600za7, "procedure", 9 );
DEFINE_STRING( BGl_string1568z00zz__ft_schedulerz00, BgL_bgl_string1568za700za7za7_1601za7, "scheduler-start!", 16 );
DEFINE_STRING( BGl_string1569z00zz__ft_schedulerz00, BgL_bgl_string1569za700za7za7_1602za7, "Illegal optional parameter", 26 );
DEFINE_STRING( BGl_string1570z00zz__ft_schedulerz00, BgL_bgl_string1570za700za7za7_1603za7, "broadcast!", 10 );
DEFINE_STRING( BGl_string1571z00zz__ft_schedulerz00, BgL_bgl_string1571za700za7za7_1604za7, "Unattached thread", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1565z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1605za7, BGl_z62zc3z04anonymousza31159ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1572z00zz__ft_schedulerz00, BgL_bgl_string1572za700za7za7_1606za7, "&scheduler-broadcast!", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1566z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1607za7, BGl_z62zc3z04anonymousza31199ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1573z00zz__ft_schedulerz00, BgL_bgl_string1573za700za7za7_1608za7, "scheduler-react!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1567z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1609za7, BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1574z00zz__ft_schedulerz00, BgL_bgl_string1574za700za7za7_1610za7, "scheduler-instant", 17 );
DEFINE_STRING( BGl_string1575z00zz__ft_schedulerz00, BgL_bgl_string1575za700za7za7_1611za7, "__ft_scheduler", 14 );
DEFINE_STRING( BGl_string1576z00zz__ft_schedulerz00, BgL_bgl_string1576za700za7za7_1612za7, "scheduler-start! scheduler-react! await dead ready done unattached scheduler fthread*default-scheduler* current-scheduler-set! %current@__ft_scheduler ", 151 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2reactz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2r1613z00, va_generic_entry, BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2broadcastz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2b1614z00, va_generic_entry, BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2instantzd2envz00zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2i1615z00, va_generic_entry, BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_withzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762withza7d2schedu1616z00, BGl_z62withzd2schedulerzb0zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_currentzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762currentza7d2sch1617z00, BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_broadcastz12zd2envzc0zz__ft_schedulerz00, BgL_bgl_za762broadcastza712za71618za7, va_generic_entry, BGl_z62broadcastz12z70zz__ft_schedulerz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2terminatez12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2t1619z00, va_generic_entry, BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762makeza7d2schedu1620z00, va_generic_entry, BGl_z62makezd2schedulerzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_currentzd2schedulerzd2setz12zd2envzc0zz__ft_schedulerz00, BgL_bgl_za762currentza7d2sch1621z00, BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long BgL_checksumz00_860, char * BgL_fromz00_861)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_schedulerz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_schedulerz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_schedulerz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(); 
BGl_cnstzd2initzd2zz__ft_schedulerz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_schedulerz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_scheduler"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_cportz00_836;
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_stringz00_844;
BgL_stringz00_844 = BGl_string1576z00zz__ft_schedulerz00; 
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_startz00_845;
BgL_startz00_845 = 
BINT(((long)0)); 
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_endz00_846;
BgL_endz00_846 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_844))); 
{ /* Llib/scheduler.scm 15 */

BgL_cportz00_836 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_844, BgL_startz00_845, BgL_endz00_846); } } } } 
{ 
 long BgL_iz00_837;
BgL_iz00_837 = ((long)10); 
BgL_loopz00_838:
if(
(BgL_iz00_837==((long)-1)))
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/scheduler.scm 15 */
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_arg1590z00_840;
{ /* Llib/scheduler.scm 15 */

{ /* Llib/scheduler.scm 15 */
 obj_t BgL_locationz00_842;
BgL_locationz00_842 = 
BBOOL(((bool_t)0)); 
{ /* Llib/scheduler.scm 15 */

BgL_arg1590z00_840 = 
BGl_readz00zz__readerz00(BgL_cportz00_836, BgL_locationz00_842); } } } 
{ /* Llib/scheduler.scm 15 */
 int BgL_tmpz00_895;
BgL_tmpz00_895 = 
(int)(BgL_iz00_837); 
CNST_TABLE_SET(BgL_tmpz00_895, BgL_arg1590z00_840); } } 
{ /* Llib/scheduler.scm 15 */
 int BgL_auxz00_843;
BgL_auxz00_843 = 
(int)(
(BgL_iz00_837-((long)1))); 
{ 
 long BgL_iz00_900;
BgL_iz00_900 = 
(long)(BgL_auxz00_843); 
BgL_iz00_837 = BgL_iz00_900; 
goto BgL_loopz00_838;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1557z00zz__ft_schedulerz00)); 
BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BFALSE; 
BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = BFALSE; 
return ( 
BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__ft_schedulerz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_20;
BgL_headz00_20 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_21; obj_t BgL_tailz00_22;
BgL_prevz00_21 = BgL_headz00_20; 
BgL_tailz00_22 = BgL_l1z00_1; 
BgL_loopz00_23:
if(
PAIRP(BgL_tailz00_22))
{ 
 obj_t BgL_newzd2prevzd2_25;
BgL_newzd2prevzd2_25 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_22), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_21, BgL_newzd2prevzd2_25); 
{ 
 obj_t BgL_tailz00_913; obj_t BgL_prevz00_912;
BgL_prevz00_912 = BgL_newzd2prevzd2_25; 
BgL_tailz00_913 = 
CDR(BgL_tailz00_22); 
BgL_tailz00_22 = BgL_tailz00_913; 
BgL_prevz00_21 = BgL_prevz00_912; 
goto BgL_loopz00_23;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_20);} } } 

}



/* current-scheduler */
BGL_EXPORTED_DEF obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 53 */
{ /* Llib/scheduler.scm 54 */
 obj_t BgL_thz00_28;
BgL_thz00_28 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_test1627z00_917;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_classz00_281;
BgL_classz00_281 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_28))
{ /* Llib/scheduler.scm 56 */
 BgL_objectz00_bglt BgL_arg1797z00_283;
BgL_arg1797z00_283 = 
(BgL_objectz00_bglt)(BgL_thz00_28); 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_arg1794z00_286; bool_t BgL_arg1795z00_287;
{ /* Llib/scheduler.scm 56 */
 long BgL_idxz00_290;
BgL_idxz00_290 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_283); 
BgL_arg1794z00_286 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_290+((long)3)))==BgL_classz00_281); } 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_res1536z00_312;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_oclassz00_298;
{ /* Llib/scheduler.scm 56 */
 long BgL_arg1804z00_304;
{ /* Llib/scheduler.scm 56 */
 long BgL_arg1805z00_305;
BgL_arg1805z00_305 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_283); 
BgL_arg1804z00_304 = 
(BgL_arg1805z00_305-OBJECT_TYPE); } 
BgL_oclassz00_298 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_304); } 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL__ortest_1111z00_299;
BgL__ortest_1111z00_299 = 
(BgL_classz00_281==BgL_oclassz00_298); 
if(BgL__ortest_1111z00_299)
{ /* Llib/scheduler.scm 56 */
BgL_res1536z00_312 = BgL__ortest_1111z00_299; }  else 
{ /* Llib/scheduler.scm 56 */
 long BgL_odepthz00_300;
BgL_odepthz00_300 = 
BGL_CLASS_DEPTH(BgL_oclassz00_298); 
if(
(((long)3)<BgL_odepthz00_300))
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_arg1793z00_302;
BgL_arg1793z00_302 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_298, ((long)3)); 
BgL_res1536z00_312 = 
(BgL_arg1793z00_302==BgL_classz00_281); }  else 
{ /* Llib/scheduler.scm 56 */
BgL_res1536z00_312 = ((bool_t)0); } } } } 
BgL_arg1795z00_287 = BgL_res1536z00_312; } 
BgL_test1627z00_917 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_286, BgL_arg1795z00_287); } }  else 
{ /* Llib/scheduler.scm 56 */
BgL_test1627z00_917 = ((bool_t)0)
; } } 
if(BgL_test1627z00_917)
{ /* Llib/scheduler.scm 56 */
return BgL_thz00_28;}  else 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_test1631z00_936;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_classz00_313;
BgL_classz00_313 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_28))
{ /* Llib/scheduler.scm 58 */
 BgL_objectz00_bglt BgL_arg1797z00_315;
BgL_arg1797z00_315 = 
(BgL_objectz00_bglt)(BgL_thz00_28); 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_arg1794z00_318; bool_t BgL_arg1795z00_319;
{ /* Llib/scheduler.scm 58 */
 long BgL_idxz00_322;
BgL_idxz00_322 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_315); 
BgL_arg1794z00_318 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_322+((long)2)))==BgL_classz00_313); } 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_res1537z00_344;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_oclassz00_330;
{ /* Llib/scheduler.scm 58 */
 long BgL_arg1804z00_336;
{ /* Llib/scheduler.scm 58 */
 long BgL_arg1805z00_337;
BgL_arg1805z00_337 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_315); 
BgL_arg1804z00_336 = 
(BgL_arg1805z00_337-OBJECT_TYPE); } 
BgL_oclassz00_330 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_336); } 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL__ortest_1111z00_331;
BgL__ortest_1111z00_331 = 
(BgL_classz00_313==BgL_oclassz00_330); 
if(BgL__ortest_1111z00_331)
{ /* Llib/scheduler.scm 58 */
BgL_res1537z00_344 = BgL__ortest_1111z00_331; }  else 
{ /* Llib/scheduler.scm 58 */
 long BgL_odepthz00_332;
BgL_odepthz00_332 = 
BGL_CLASS_DEPTH(BgL_oclassz00_330); 
if(
(((long)2)<BgL_odepthz00_332))
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_arg1793z00_334;
BgL_arg1793z00_334 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_330, ((long)2)); 
BgL_res1537z00_344 = 
(BgL_arg1793z00_334==BgL_classz00_313); }  else 
{ /* Llib/scheduler.scm 58 */
BgL_res1537z00_344 = ((bool_t)0); } } } } 
BgL_arg1795z00_319 = BgL_res1537z00_344; } 
BgL_test1631z00_936 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_318, BgL_arg1795z00_319); } }  else 
{ /* Llib/scheduler.scm 58 */
BgL_test1631z00_936 = ((bool_t)0)
; } } 
if(BgL_test1631z00_936)
{ /* Llib/scheduler.scm 58 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_28)))->BgL_schedulerz00);}  else 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_test1635z00_957;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_classz00_345;
BgL_classz00_345 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_thz00_28))
{ /* Llib/scheduler.scm 60 */
 BgL_objectz00_bglt BgL_arg1797z00_347;
BgL_arg1797z00_347 = 
(BgL_objectz00_bglt)(BgL_thz00_28); 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_arg1794z00_350; bool_t BgL_arg1795z00_351;
{ /* Llib/scheduler.scm 60 */
 long BgL_idxz00_354;
BgL_idxz00_354 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_347); 
BgL_arg1794z00_350 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_354+((long)1)))==BgL_classz00_345); } 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_res1538z00_376;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_oclassz00_362;
{ /* Llib/scheduler.scm 60 */
 long BgL_arg1804z00_368;
{ /* Llib/scheduler.scm 60 */
 long BgL_arg1805z00_369;
BgL_arg1805z00_369 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_347); 
BgL_arg1804z00_368 = 
(BgL_arg1805z00_369-OBJECT_TYPE); } 
BgL_oclassz00_362 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_368); } 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL__ortest_1111z00_363;
BgL__ortest_1111z00_363 = 
(BgL_classz00_345==BgL_oclassz00_362); 
if(BgL__ortest_1111z00_363)
{ /* Llib/scheduler.scm 60 */
BgL_res1538z00_376 = BgL__ortest_1111z00_363; }  else 
{ /* Llib/scheduler.scm 60 */
 long BgL_odepthz00_364;
BgL_odepthz00_364 = 
BGL_CLASS_DEPTH(BgL_oclassz00_362); 
if(
(((long)1)<BgL_odepthz00_364))
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_arg1793z00_366;
BgL_arg1793z00_366 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_362, ((long)1)); 
BgL_res1538z00_376 = 
(BgL_arg1793z00_366==BgL_classz00_345); }  else 
{ /* Llib/scheduler.scm 60 */
BgL_res1538z00_376 = ((bool_t)0); } } } } 
BgL_arg1795z00_351 = BgL_res1538z00_376; } 
BgL_test1635z00_957 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_350, BgL_arg1795z00_351); } }  else 
{ /* Llib/scheduler.scm 60 */
BgL_test1635z00_957 = ((bool_t)0)
; } } 
if(BgL_test1635z00_957)
{ /* Llib/scheduler.scm 60 */
return 
BGl_threadzd2parameterzd2zz__threadz00(
CNST_TABLE_REF(((long)0)));}  else 
{ /* Llib/scheduler.scm 60 */
return BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00;} } } } } } 

}



/* &current-scheduler */
obj_t BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_763)
{
{ /* Llib/scheduler.scm 53 */
return 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00();} 

}



/* current-scheduler-set! */
BGL_EXPORTED_DEF obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t BgL_scdlz00_3)
{
{ /* Llib/scheduler.scm 65 */
{ /* Llib/scheduler.scm 66 */
 obj_t BgL_thz00_33;
BgL_thz00_33 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_test1639z00_980;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_classz00_377;
BgL_classz00_377 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_33))
{ /* Llib/scheduler.scm 68 */
 BgL_objectz00_bglt BgL_arg1797z00_379;
BgL_arg1797z00_379 = 
(BgL_objectz00_bglt)(BgL_thz00_33); 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_arg1794z00_382; bool_t BgL_arg1795z00_383;
{ /* Llib/scheduler.scm 68 */
 long BgL_idxz00_386;
BgL_idxz00_386 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_379); 
BgL_arg1794z00_382 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_386+((long)2)))==BgL_classz00_377); } 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_res1539z00_408;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_oclassz00_394;
{ /* Llib/scheduler.scm 68 */
 long BgL_arg1804z00_400;
{ /* Llib/scheduler.scm 68 */
 long BgL_arg1805z00_401;
BgL_arg1805z00_401 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_379); 
BgL_arg1804z00_400 = 
(BgL_arg1805z00_401-OBJECT_TYPE); } 
BgL_oclassz00_394 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_400); } 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL__ortest_1111z00_395;
BgL__ortest_1111z00_395 = 
(BgL_classz00_377==BgL_oclassz00_394); 
if(BgL__ortest_1111z00_395)
{ /* Llib/scheduler.scm 68 */
BgL_res1539z00_408 = BgL__ortest_1111z00_395; }  else 
{ /* Llib/scheduler.scm 68 */
 long BgL_odepthz00_396;
BgL_odepthz00_396 = 
BGL_CLASS_DEPTH(BgL_oclassz00_394); 
if(
(((long)2)<BgL_odepthz00_396))
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_arg1793z00_398;
BgL_arg1793z00_398 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_394, ((long)2)); 
BgL_res1539z00_408 = 
(BgL_arg1793z00_398==BgL_classz00_377); }  else 
{ /* Llib/scheduler.scm 68 */
BgL_res1539z00_408 = ((bool_t)0); } } } } 
BgL_arg1795z00_383 = BgL_res1539z00_408; } 
BgL_test1639z00_980 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_382, BgL_arg1795z00_383); } }  else 
{ /* Llib/scheduler.scm 68 */
BgL_test1639z00_980 = ((bool_t)0)
; } } 
if(BgL_test1639z00_980)
{ /* Llib/scheduler.scm 68 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string1558z00zz__ft_schedulerz00, BgL_thz00_33);}  else 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_test1644z00_1001;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_classz00_409;
BgL_classz00_409 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_thz00_33))
{ /* Llib/scheduler.scm 70 */
 BgL_objectz00_bglt BgL_arg1797z00_411;
BgL_arg1797z00_411 = 
(BgL_objectz00_bglt)(BgL_thz00_33); 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_arg1794z00_414; bool_t BgL_arg1795z00_415;
{ /* Llib/scheduler.scm 70 */
 long BgL_idxz00_418;
BgL_idxz00_418 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_411); 
BgL_arg1794z00_414 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_418+((long)1)))==BgL_classz00_409); } 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_res1540z00_440;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_oclassz00_426;
{ /* Llib/scheduler.scm 70 */
 long BgL_arg1804z00_432;
{ /* Llib/scheduler.scm 70 */
 long BgL_arg1805z00_433;
BgL_arg1805z00_433 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_411); 
BgL_arg1804z00_432 = 
(BgL_arg1805z00_433-OBJECT_TYPE); } 
BgL_oclassz00_426 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_432); } 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL__ortest_1111z00_427;
BgL__ortest_1111z00_427 = 
(BgL_classz00_409==BgL_oclassz00_426); 
if(BgL__ortest_1111z00_427)
{ /* Llib/scheduler.scm 70 */
BgL_res1540z00_440 = BgL__ortest_1111z00_427; }  else 
{ /* Llib/scheduler.scm 70 */
 long BgL_odepthz00_428;
BgL_odepthz00_428 = 
BGL_CLASS_DEPTH(BgL_oclassz00_426); 
if(
(((long)1)<BgL_odepthz00_428))
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_arg1793z00_430;
BgL_arg1793z00_430 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_426, ((long)1)); 
BgL_res1540z00_440 = 
(BgL_arg1793z00_430==BgL_classz00_409); }  else 
{ /* Llib/scheduler.scm 70 */
BgL_res1540z00_440 = ((bool_t)0); } } } } 
BgL_arg1795z00_415 = BgL_res1540z00_440; } 
BgL_test1644z00_1001 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_414, BgL_arg1795z00_415); } }  else 
{ /* Llib/scheduler.scm 70 */
BgL_test1644z00_1001 = ((bool_t)0)
; } } 
if(BgL_test1644z00_1001)
{ /* Llib/scheduler.scm 70 */
return 
BGl_threadzd2parameterzd2setz12z12zz__threadz00(
CNST_TABLE_REF(((long)0)), BgL_scdlz00_3);}  else 
{ /* Llib/scheduler.scm 70 */
return ( 
BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BgL_scdlz00_3, BUNSPEC) ;} } } } } 

}



/* &current-scheduler-set! */
obj_t BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00(obj_t BgL_envz00_764, obj_t BgL_scdlz00_765)
{
{ /* Llib/scheduler.scm 65 */
return 
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(BgL_scdlz00_765);} 

}



/* default-scheduler */
BGL_EXPORTED_DEF obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t BgL_scdlz00_4)
{
{ /* Llib/scheduler.scm 78 */
{ /* Llib/scheduler.scm 79 */
 obj_t BgL_thz00_36;
BgL_thz00_36 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_test1648z00_1024;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_objz00_441; obj_t BgL_classz00_442;
BgL_objz00_441 = BgL_thz00_36; 
BgL_classz00_442 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_441))
{ /* Llib/scheduler.scm 82 */
 BgL_objectz00_bglt BgL_arg1797z00_444;
BgL_arg1797z00_444 = 
(BgL_objectz00_bglt)(BgL_objz00_441); 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_arg1794z00_447; bool_t BgL_arg1795z00_448;
{ /* Llib/scheduler.scm 82 */
 long BgL_idxz00_451;
BgL_idxz00_451 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_444); 
BgL_arg1794z00_447 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_451+((long)2)))==BgL_classz00_442); } 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_res1541z00_473;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_oclassz00_459;
{ /* Llib/scheduler.scm 82 */
 long BgL_arg1804z00_465;
{ /* Llib/scheduler.scm 82 */
 long BgL_arg1805z00_466;
BgL_arg1805z00_466 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_444); 
BgL_arg1804z00_465 = 
(BgL_arg1805z00_466-OBJECT_TYPE); } 
BgL_oclassz00_459 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_465); } 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL__ortest_1111z00_460;
BgL__ortest_1111z00_460 = 
(BgL_classz00_442==BgL_oclassz00_459); 
if(BgL__ortest_1111z00_460)
{ /* Llib/scheduler.scm 82 */
BgL_res1541z00_473 = BgL__ortest_1111z00_460; }  else 
{ /* Llib/scheduler.scm 82 */
 long BgL_odepthz00_461;
BgL_odepthz00_461 = 
BGL_CLASS_DEPTH(BgL_oclassz00_459); 
if(
(((long)2)<BgL_odepthz00_461))
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_arg1793z00_463;
BgL_arg1793z00_463 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_459, ((long)2)); 
BgL_res1541z00_473 = 
(BgL_arg1793z00_463==BgL_classz00_442); }  else 
{ /* Llib/scheduler.scm 82 */
BgL_res1541z00_473 = ((bool_t)0); } } } } 
BgL_arg1795z00_448 = BgL_res1541z00_473; } 
BgL_test1648z00_1024 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_447, BgL_arg1795z00_448); } }  else 
{ /* Llib/scheduler.scm 82 */
BgL_test1648z00_1024 = ((bool_t)0)
; } } 
if(BgL_test1648z00_1024)
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_sz00_38;
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_test1652z00_1043;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_objz00_474; obj_t BgL_classz00_475;
BgL_objz00_474 = BgL_thz00_36; 
BgL_classz00_475 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_474))
{ /* Llib/scheduler.scm 83 */
 BgL_objectz00_bglt BgL_arg1797z00_477;
BgL_arg1797z00_477 = 
(BgL_objectz00_bglt)(BgL_objz00_474); 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_arg1794z00_480; bool_t BgL_arg1795z00_481;
{ /* Llib/scheduler.scm 83 */
 long BgL_idxz00_484;
BgL_idxz00_484 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_477); 
BgL_arg1794z00_480 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_484+((long)3)))==BgL_classz00_475); } 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_res1542z00_506;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_oclassz00_492;
{ /* Llib/scheduler.scm 83 */
 long BgL_arg1804z00_498;
{ /* Llib/scheduler.scm 83 */
 long BgL_arg1805z00_499;
BgL_arg1805z00_499 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_477); 
BgL_arg1804z00_498 = 
(BgL_arg1805z00_499-OBJECT_TYPE); } 
BgL_oclassz00_492 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_498); } 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL__ortest_1111z00_493;
BgL__ortest_1111z00_493 = 
(BgL_classz00_475==BgL_oclassz00_492); 
if(BgL__ortest_1111z00_493)
{ /* Llib/scheduler.scm 83 */
BgL_res1542z00_506 = BgL__ortest_1111z00_493; }  else 
{ /* Llib/scheduler.scm 83 */
 long BgL_odepthz00_494;
BgL_odepthz00_494 = 
BGL_CLASS_DEPTH(BgL_oclassz00_492); 
if(
(((long)3)<BgL_odepthz00_494))
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_arg1793z00_496;
BgL_arg1793z00_496 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_492, ((long)3)); 
BgL_res1542z00_506 = 
(BgL_arg1793z00_496==BgL_classz00_475); }  else 
{ /* Llib/scheduler.scm 83 */
BgL_res1542z00_506 = ((bool_t)0); } } } } 
BgL_arg1795z00_481 = BgL_res1542z00_506; } 
BgL_test1652z00_1043 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_480, BgL_arg1795z00_481); } }  else 
{ /* Llib/scheduler.scm 83 */
BgL_test1652z00_1043 = ((bool_t)0)
; } } 
if(BgL_test1652z00_1043)
{ /* Llib/scheduler.scm 83 */
BgL_sz00_38 = BgL_thz00_36; }  else 
{ /* Llib/scheduler.scm 85 */
 BgL_fthreadz00_bglt BgL_i1063z00_42;
BgL_i1063z00_42 = 
((BgL_fthreadz00_bglt)BgL_thz00_36); 
BgL_sz00_38 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1063z00_42))->BgL_schedulerz00); } } 
{ /* Llib/scheduler.scm 87 */
 BgL_z52pthreadz52_bglt BgL_i1065z00_40;
BgL_i1065z00_40 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_sz00_38)))->BgL_z52builtinz52)); 
BgL_thz00_36 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1065z00_40))->BgL_parentz00); } }  else 
{ /* Llib/scheduler.scm 82 */BFALSE; } } 
if(
NULLP(BgL_scdlz00_4))
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_test1658z00_1070;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_objz00_507; obj_t BgL_classz00_508;
BgL_objz00_507 = BgL_thz00_36; 
BgL_classz00_508 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_507))
{ /* Llib/scheduler.scm 92 */
 BgL_objectz00_bglt BgL_arg1797z00_510;
BgL_arg1797z00_510 = 
(BgL_objectz00_bglt)(BgL_objz00_507); 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_arg1794z00_513; bool_t BgL_arg1795z00_514;
{ /* Llib/scheduler.scm 92 */
 long BgL_idxz00_517;
BgL_idxz00_517 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_510); 
BgL_arg1794z00_513 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_517+((long)1)))==BgL_classz00_508); } 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_res1543z00_539;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_oclassz00_525;
{ /* Llib/scheduler.scm 92 */
 long BgL_arg1804z00_531;
{ /* Llib/scheduler.scm 92 */
 long BgL_arg1805z00_532;
BgL_arg1805z00_532 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_510); 
BgL_arg1804z00_531 = 
(BgL_arg1805z00_532-OBJECT_TYPE); } 
BgL_oclassz00_525 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_531); } 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL__ortest_1111z00_526;
BgL__ortest_1111z00_526 = 
(BgL_classz00_508==BgL_oclassz00_525); 
if(BgL__ortest_1111z00_526)
{ /* Llib/scheduler.scm 92 */
BgL_res1543z00_539 = BgL__ortest_1111z00_526; }  else 
{ /* Llib/scheduler.scm 92 */
 long BgL_odepthz00_527;
BgL_odepthz00_527 = 
BGL_CLASS_DEPTH(BgL_oclassz00_525); 
if(
(((long)1)<BgL_odepthz00_527))
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_arg1793z00_529;
BgL_arg1793z00_529 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_525, ((long)1)); 
BgL_res1543z00_539 = 
(BgL_arg1793z00_529==BgL_classz00_508); }  else 
{ /* Llib/scheduler.scm 92 */
BgL_res1543z00_539 = ((bool_t)0); } } } } 
BgL_arg1795z00_514 = BgL_res1543z00_539; } 
BgL_test1658z00_1070 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_513, BgL_arg1795z00_514); } }  else 
{ /* Llib/scheduler.scm 92 */
BgL_test1658z00_1070 = ((bool_t)0)
; } } 
if(BgL_test1658z00_1070)
{ /* Llib/scheduler.scm 92 */
return 
BGl_threadzd2parameterzd2zz__threadz00(
CNST_TABLE_REF(((long)2)));}  else 
{ /* Llib/scheduler.scm 92 */
return BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00;} }  else 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_test1662z00_1091;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1138z00_50;
BgL_arg1138z00_50 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_classz00_541;
BgL_classz00_541 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1138z00_50))
{ /* Llib/scheduler.scm 95 */
 BgL_objectz00_bglt BgL_arg1797z00_543;
BgL_arg1797z00_543 = 
(BgL_objectz00_bglt)(BgL_arg1138z00_50); 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_arg1794z00_546; bool_t BgL_arg1795z00_547;
{ /* Llib/scheduler.scm 95 */
 long BgL_idxz00_550;
BgL_idxz00_550 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_543); 
BgL_arg1794z00_546 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_550+((long)3)))==BgL_classz00_541); } 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_res1544z00_572;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_oclassz00_558;
{ /* Llib/scheduler.scm 95 */
 long BgL_arg1804z00_564;
{ /* Llib/scheduler.scm 95 */
 long BgL_arg1805z00_565;
BgL_arg1805z00_565 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_543); 
BgL_arg1804z00_564 = 
(BgL_arg1805z00_565-OBJECT_TYPE); } 
BgL_oclassz00_558 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_564); } 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL__ortest_1111z00_559;
BgL__ortest_1111z00_559 = 
(BgL_classz00_541==BgL_oclassz00_558); 
if(BgL__ortest_1111z00_559)
{ /* Llib/scheduler.scm 95 */
BgL_res1544z00_572 = BgL__ortest_1111z00_559; }  else 
{ /* Llib/scheduler.scm 95 */
 long BgL_odepthz00_560;
BgL_odepthz00_560 = 
BGL_CLASS_DEPTH(BgL_oclassz00_558); 
if(
(((long)3)<BgL_odepthz00_560))
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1793z00_562;
BgL_arg1793z00_562 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_558, ((long)3)); 
BgL_res1544z00_572 = 
(BgL_arg1793z00_562==BgL_classz00_541); }  else 
{ /* Llib/scheduler.scm 95 */
BgL_res1544z00_572 = ((bool_t)0); } } } } 
BgL_arg1795z00_547 = BgL_res1544z00_572; } 
BgL_test1662z00_1091 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_546, BgL_arg1795z00_547); } }  else 
{ /* Llib/scheduler.scm 95 */
BgL_test1662z00_1091 = ((bool_t)0)
; } } } 
if(BgL_test1662z00_1091)
{ /* Llib/scheduler.scm 95 */
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_test1666z00_1112;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_objz00_573; obj_t BgL_classz00_574;
BgL_objz00_573 = BgL_thz00_36; 
BgL_classz00_574 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_573))
{ /* Llib/scheduler.scm 96 */
 BgL_objectz00_bglt BgL_arg1797z00_576;
BgL_arg1797z00_576 = 
(BgL_objectz00_bglt)(BgL_objz00_573); 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_arg1794z00_579; bool_t BgL_arg1795z00_580;
{ /* Llib/scheduler.scm 96 */
 long BgL_idxz00_583;
BgL_idxz00_583 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_576); 
BgL_arg1794z00_579 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_583+((long)1)))==BgL_classz00_574); } 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_res1545z00_605;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_oclassz00_591;
{ /* Llib/scheduler.scm 96 */
 long BgL_arg1804z00_597;
{ /* Llib/scheduler.scm 96 */
 long BgL_arg1805z00_598;
BgL_arg1805z00_598 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_576); 
BgL_arg1804z00_597 = 
(BgL_arg1805z00_598-OBJECT_TYPE); } 
BgL_oclassz00_591 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_597); } 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL__ortest_1111z00_592;
BgL__ortest_1111z00_592 = 
(BgL_classz00_574==BgL_oclassz00_591); 
if(BgL__ortest_1111z00_592)
{ /* Llib/scheduler.scm 96 */
BgL_res1545z00_605 = BgL__ortest_1111z00_592; }  else 
{ /* Llib/scheduler.scm 96 */
 long BgL_odepthz00_593;
BgL_odepthz00_593 = 
BGL_CLASS_DEPTH(BgL_oclassz00_591); 
if(
(((long)1)<BgL_odepthz00_593))
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_arg1793z00_595;
BgL_arg1793z00_595 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_591, ((long)1)); 
BgL_res1545z00_605 = 
(BgL_arg1793z00_595==BgL_classz00_574); }  else 
{ /* Llib/scheduler.scm 96 */
BgL_res1545z00_605 = ((bool_t)0); } } } } 
BgL_arg1795z00_580 = BgL_res1545z00_605; } 
BgL_test1666z00_1112 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_579, BgL_arg1795z00_580); } }  else 
{ /* Llib/scheduler.scm 96 */
BgL_test1666z00_1112 = ((bool_t)0)
; } } 
if(BgL_test1666z00_1112)
{ /* Llib/scheduler.scm 97 */
 obj_t BgL_arg1130z00_48;
BgL_arg1130z00_48 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
BGl_threadzd2parameterzd2setz12z12zz__threadz00(
CNST_TABLE_REF(((long)2)), BgL_arg1130z00_48); }  else 
{ /* Llib/scheduler.scm 96 */
BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = 
CAR(
((obj_t)BgL_scdlz00_4)); } } 
return 
CAR(
((obj_t)BgL_scdlz00_4));}  else 
{ /* Llib/scheduler.scm 101 */
 obj_t BgL_arg1131z00_49;
BgL_arg1131z00_49 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
return 
BGl_errorz00zz__errorz00(BGl_string1559z00zz__ft_schedulerz00, BGl_string1560z00zz__ft_schedulerz00, BgL_arg1131z00_49);} } } } 

}



/* &default-scheduler */
obj_t BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_766, obj_t BgL_scdlz00_767)
{
{ /* Llib/scheduler.scm 78 */
return 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_scdlz00_767);} 

}



/* with-scheduler */
BGL_EXPORTED_DEF obj_t BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_5, obj_t BgL_thunkz00_6)
{
{ /* Llib/scheduler.scm 106 */
{ /* Llib/scheduler.scm 107 */
 obj_t BgL_oldz00_51;
BgL_oldz00_51 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_exitd1066z00_52;
BgL_exitd1066z00_52 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_zc3z04anonymousza31140ze3z87_768;
BgL_zc3z04anonymousza31140ze3z87_768 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31140ze3ze5zz__ft_schedulerz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31140ze3z87_768, 
(int)(((long)0)), BgL_oldz00_51); 
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1818z00_611;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1819z00_612;
BgL_arg1819z00_612 = 
BGL_EXITD_PROTECT(BgL_exitd1066z00_52); 
BgL_arg1818z00_611 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31140ze3z87_768, BgL_arg1819z00_612); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1066z00_52, BgL_arg1818z00_611); BUNSPEC; } 
{ /* Llib/scheduler.scm 110 */
 obj_t BgL_tmp1068z00_54;
{ /* Llib/scheduler.scm 110 */
 obj_t BgL_list1139z00_55;
BgL_list1139z00_55 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sz00_5), BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1139z00_55); } 
BgL_tmp1068z00_54 = 
PROCEDURE_ENTRY(BgL_thunkz00_6)(BgL_thunkz00_6, BEOA); 
{ /* Llib/scheduler.scm 108 */
 bool_t BgL_test1670z00_1159;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1817z00_614;
BgL_arg1817z00_614 = 
BGL_EXITD_PROTECT(BgL_exitd1066z00_52); 
BgL_test1670z00_1159 = 
PAIRP(BgL_arg1817z00_614); } 
if(BgL_test1670z00_1159)
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1815z00_615;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1816z00_616;
BgL_arg1816z00_616 = 
BGL_EXITD_PROTECT(BgL_exitd1066z00_52); 
BgL_arg1815z00_615 = 
CDR(
((obj_t)BgL_arg1816z00_616)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1066z00_52, BgL_arg1815z00_615); BUNSPEC; }  else 
{ /* Llib/scheduler.scm 108 */BFALSE; } } 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_list1141z00_618;
BgL_list1141z00_618 = 
MAKE_YOUNG_PAIR(BgL_oldz00_51, BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1141z00_618); } 
return BgL_tmp1068z00_54;} } } } } 

}



/* &with-scheduler */
obj_t BGl_z62withzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_769, obj_t BgL_sz00_770, obj_t BgL_thunkz00_771)
{
{ /* Llib/scheduler.scm 106 */
{ /* Llib/scheduler.scm 107 */
 obj_t BgL_auxz00_1176; BgL_schedulerz00_bglt BgL_auxz00_1168;
if(
PROCEDUREP(BgL_thunkz00_771))
{ /* Llib/scheduler.scm 107 */
BgL_auxz00_1176 = BgL_thunkz00_771
; }  else 
{ 
 obj_t BgL_auxz00_1179;
BgL_auxz00_1179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1561z00zz__ft_schedulerz00, 
BINT(((long)3989)), BGl_string1562z00zz__ft_schedulerz00, BGl_string1564z00zz__ft_schedulerz00, BgL_thunkz00_771); 
FAILURE(BgL_auxz00_1179,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_770, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/scheduler.scm 107 */
BgL_auxz00_1168 = 
((BgL_schedulerz00_bglt)BgL_sz00_770)
; }  else 
{ 
 obj_t BgL_auxz00_1172;
BgL_auxz00_1172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1561z00zz__ft_schedulerz00, 
BINT(((long)3989)), BGl_string1562z00zz__ft_schedulerz00, BGl_string1563z00zz__ft_schedulerz00, BgL_sz00_770); 
FAILURE(BgL_auxz00_1172,BFALSE,BFALSE);} 
return 
BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_auxz00_1168, BgL_auxz00_1176);} } 

}



/* &<@anonymous:1140> */
obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_772)
{
{ /* Llib/scheduler.scm 108 */
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_oldz00_773;
BgL_oldz00_773 = 
PROCEDURE_REF(BgL_envz00_772, 
(int)(((long)0))); 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_list1141z00_848;
BgL_list1141z00_848 = 
MAKE_YOUNG_PAIR(BgL_oldz00_773, BNIL); 
return 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1141z00_848);} } } 

}



/* make-scheduler */
BGL_EXPORTED_DEF BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t BgL_argsz00_7)
{
{ /* Llib/scheduler.scm 117 */
{ /* Llib/scheduler.scm 119 */
 obj_t BgL_idz00_60;
BgL_idz00_60 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)3))); 
{ /* Llib/scheduler.scm 119 */
 bool_t BgL_orderzd2setzf3z21_61;
if(
PAIRP(BgL_argsz00_7))
{ /* Llib/scheduler.scm 120 */
 obj_t BgL_tmpz00_1192;
BgL_tmpz00_1192 = 
CAR(BgL_argsz00_7); 
BgL_orderzd2setzf3z21_61 = 
BOOLEANP(BgL_tmpz00_1192); }  else 
{ /* Llib/scheduler.scm 120 */
BgL_orderzd2setzf3z21_61 = ((bool_t)0); } 
{ /* Llib/scheduler.scm 120 */
 obj_t BgL_orderz00_62;
if(BgL_orderzd2setzf3z21_61)
{ /* Llib/scheduler.scm 121 */
BgL_orderz00_62 = 
CAR(BgL_argsz00_7); }  else 
{ /* Llib/scheduler.scm 121 */
BgL_orderz00_62 = BFALSE; } 
{ /* Llib/scheduler.scm 121 */
 obj_t BgL_envsz00_63;
if(BgL_orderzd2setzf3z21_61)
{ /* Llib/scheduler.scm 122 */
BgL_envsz00_63 = 
CDR(BgL_argsz00_7); }  else 
{ /* Llib/scheduler.scm 122 */
BgL_envsz00_63 = BgL_argsz00_7; } 
{ /* Llib/scheduler.scm 122 */

{ /* Llib/scheduler.scm 123 */
 obj_t BgL_sz00_783;
BgL_sz00_783 = 
MAKE_CELL(BUNSPEC); 
{ /* Llib/scheduler.scm 123 */
 BgL_z52schedulerz52_bglt BgL_g1163z00_86;
{ /* Llib/scheduler.scm 123 */
 BgL_z52schedulerz52_bglt BgL_new1072z00_70;
{ /* Llib/scheduler.scm 125 */
 BgL_z52schedulerz52_bglt BgL_new1071z00_84;
BgL_new1071z00_84 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/scheduler.scm 125 */
 long BgL_arg1162z00_85;
BgL_arg1162z00_85 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_84), BgL_arg1162z00_85); } 
BgL_new1072z00_70 = BgL_new1071z00_84; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1072z00_70)))->BgL_namez00)=((obj_t)BgL_idz00_60),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_schedulerz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52builtinz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52timeoutz52)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)4))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1217;
{ /* Llib/types.scm 28 */
 obj_t BgL_arg1147z00_71;
{ /* Llib/types.scm 28 */
 obj_t BgL_arg1148z00_72;
{ /* Llib/types.scm 28 */
 obj_t BgL_classz00_625;
BgL_classz00_625 = BGl_z52schedulerz52zz__ft_z52typesz52; 
BgL_arg1148z00_72 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_625); } 
BgL_arg1147z00_71 = 
VECTOR_REF(BgL_arg1148z00_72,((long)8)); } 
BgL_auxz00_1217 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1147z00_71); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52terminatez52)=((obj_t)BgL_auxz00_1217),BUNSPEC); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52awakezd2signalz80)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52awakezd2valuez80)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52cleanupz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1242;
{ /* Llib/scheduler.scm 124 */
 obj_t BgL_zc3z04anonymousza31149ze3z87_775;
BgL_zc3z04anonymousza31149ze3z87_775 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31149ze3ze5zz__ft_schedulerz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31149ze3z87_775, 
(int)(((long)0)), 
((obj_t)BgL_sz00_783)); 
BgL_auxz00_1242 = BgL_zc3z04anonymousza31149ze3z87_775; } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1072z00_70)))->BgL_bodyz00)=((obj_t)BgL_auxz00_1242),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1251;
{ /* Llib/scheduler.scm 126 */
 obj_t BgL_arg1150z00_74;
{ /* Llib/scheduler.scm 126 */
 BgL_z52envz52_bglt BgL_arg1153z00_75;
{ /* Llib/scheduler.scm 126 */
 BgL_z52envz52_bglt BgL_new1074z00_77;
{ /* Llib/_env.scm 25 */
 BgL_z52envz52_bglt BgL_new1073z00_78;
BgL_new1073z00_78 = 
((BgL_z52envz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* Llib/_env.scm 25 */
 long BgL_arg1158z00_79;
{ /* Llib/_env.scm 25 */
 obj_t BgL_classz00_627;
BgL_classz00_627 = BGl_z52envz52zz__ft_z52envz52; 
BgL_arg1158z00_79 = 
BGL_CLASS_NUM(BgL_classz00_627); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_78), BgL_arg1158z00_79); } 
BgL_new1074z00_77 = BgL_new1073z00_78; } 
((((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_new1074z00_77)))->BgL_instantz00)=((long)((long)0)),BUNSPEC); 
((((BgL_z52envz52_bglt)COBJECT(BgL_new1074z00_77))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52envz52_bglt)COBJECT(BgL_new1074z00_77))->BgL_z52lastzd2signalsz80)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1153z00_75 = BgL_new1074z00_77; } 
{ /* Llib/scheduler.scm 126 */
 obj_t BgL_list1154z00_76;
BgL_list1154z00_76 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1153z00_75), BNIL); 
BgL_arg1150z00_74 = BgL_list1154z00_76; } } 
BgL_auxz00_1251 = 
BGl_appendzd221010zd2zz__ft_schedulerz00(BgL_envsz00_63, BgL_arg1150z00_74); } 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1072z00_70)))->BgL_envzb2zb2)=((obj_t)BgL_auxz00_1251),BUNSPEC); } 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1072z00_70)))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_nextzd2instantzd2)=((obj_t)BGl_proc1565z00zz__ft_schedulerz00),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_currentzd2threadzd2)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_threadszd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_asynczd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_threadszd2timeoutzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1072z00_70))->BgL_currentzd2tokenzd2)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/scheduler.scm 123 */
 obj_t BgL_fun1160z00_83;
BgL_fun1160z00_83 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52schedulerz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1160z00_83)(BgL_fun1160z00_83, 
((obj_t)BgL_new1072z00_70), BEOA); } 
BgL_g1163z00_86 = BgL_new1072z00_70; } 
CELL_SET(BgL_sz00_783, 
((obj_t)BgL_g1163z00_86)); 
{ /* Llib/scheduler.scm 130 */
 BgL_z52schedulerz52_bglt BgL_i1075z00_65;
BgL_i1075z00_65 = 
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
CELL_REF(BgL_sz00_783))); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_i1075z00_65)))->BgL_z52builtinz52)=((obj_t)
BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
CELL_REF(BgL_sz00_783))))),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_i1075z00_65)))->BgL_strictzd2orderzf3z21)=((obj_t)BgL_orderz00_62),BUNSPEC); } 
if(
CBOOL(
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL)))
{ /* Llib/scheduler.scm 134 */BFALSE; }  else 
{ /* Llib/scheduler.scm 134 */
 obj_t BgL_list1145z00_68;
BgL_list1145z00_68 = 
MAKE_YOUNG_PAIR(
CELL_REF(BgL_sz00_783), BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1145z00_68); } 
return 
((BgL_schedulerz00_bglt)
((BgL_schedulerz00_bglt)
CELL_REF(BgL_sz00_783)));} } } } } } } } 

}



/* &make-scheduler */
BgL_schedulerz00_bglt BGl_z62makezd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_776, obj_t BgL_argsz00_777)
{
{ /* Llib/scheduler.scm 117 */
return 
BGl_makezd2schedulerzd2zz__ft_schedulerz00(BgL_argsz00_777);} 

}



/* &<@anonymous:1159> */
obj_t BGl_z62zc3z04anonymousza31159ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_778, obj_t BgL_sz00_779, obj_t BgL_iz00_780)
{
{ /* Llib/_types.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1149> */
obj_t BGl_z62zc3z04anonymousza31149ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_781)
{
{ /* Llib/scheduler.scm 124 */
{ /* Llib/scheduler.scm 124 */
 obj_t BgL_sz00_782;
BgL_sz00_782 = 
PROCEDURE_REF(BgL_envz00_781, 
(int)(((long)0))); 
return 
BGl_schedulez00zz__ft_schedulerz00(
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
CELL_REF(BgL_sz00_782))));} } 

}



/* scheduler-state */
obj_t BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_8)
{
{ /* Llib/scheduler.scm 141 */
if(
(
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_z52livezd2threadzd2numberz52))==((long)0)))
{ /* Llib/scheduler.scm 149 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/scheduler.scm 151 */
 bool_t BgL_test1680z00_1319;
if(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_z52threadszd2readyz80))
{ /* Llib/scheduler.scm 151 */
BgL_test1680z00_1319 = ((bool_t)1)
; }  else 
{ /* Llib/scheduler.scm 151 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_tostartz00)))
{ /* Llib/scheduler.scm 152 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_toterminatez00)))
{ /* Llib/scheduler.scm 154 */
 obj_t BgL_tmpz00_1331;
BgL_tmpz00_1331 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_tosuspendzf2resumezf2); 
BgL_test1680z00_1319 = 
PAIRP(BgL_tmpz00_1331); }  else 
{ /* Llib/scheduler.scm 153 */
BgL_test1680z00_1319 = ((bool_t)1)
; } }  else 
{ /* Llib/scheduler.scm 152 */
BgL_test1680z00_1319 = ((bool_t)1)
; } } 
if(BgL_test1680z00_1319)
{ /* Llib/scheduler.scm 151 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/scheduler.scm 151 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_sz00_8), BNIL))
{ /* Llib/scheduler.scm 157 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/scheduler.scm 157 */
return 
CNST_TABLE_REF(((long)8));} } } } 

}



/* schedule */
obj_t BGl_schedulez00zz__ft_schedulerz00(BgL_z52schedulerz52_bglt BgL_scdlz00_9)
{
{ /* Llib/scheduler.scm 168 */
{ /* Llib/scheduler.scm 172 */
 obj_t BgL_g1078z00_112;
BgL_g1078z00_112 = 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_9)); 
{ 
 obj_t BgL_iz00_114;
BgL_iz00_114 = BgL_g1078z00_112; 
BgL_zc3z04anonymousza31191ze3z87_115:
BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_scdlz00_9); 
{ /* Llib/scheduler.scm 174 */
 bool_t BgL_test1685z00_1344;
{ /* Llib/scheduler.scm 174 */
 obj_t BgL_fun1198z00_119;
BgL_fun1198z00_119 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_nextzd2instantzd2); 
BgL_test1685z00_1344 = 
CBOOL(
PROCEDURE_ENTRY(BgL_fun1198z00_119)(BgL_fun1198z00_119, 
((obj_t)BgL_scdlz00_9), BgL_iz00_114, BEOA)); } 
if(BgL_test1685z00_1344)
{ /* Llib/scheduler.scm 175 */
 long BgL_arg1197z00_118;
BgL_arg1197z00_118 = 
(
(long)CINT(BgL_iz00_114)+((long)1)); 
{ 
 obj_t BgL_iz00_1355;
BgL_iz00_1355 = 
BINT(BgL_arg1197z00_118); 
BgL_iz00_114 = BgL_iz00_1355; 
goto BgL_zc3z04anonymousza31191ze3z87_115;} }  else 
{ /* Llib/scheduler.scm 174 */((bool_t)0); } } } } 
return BUNSPEC;} 

}



/* scheduler-react! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(obj_t BgL_oz00_10)
{
{ /* Llib/scheduler.scm 184 */
{ /* Llib/scheduler.scm 185 */
 BgL_schedulerz00_bglt BgL_scdlz00_121;
BgL_scdlz00_121 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)9)), BgL_oz00_10); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_121)))->BgL_nextzd2instantzd2)=((obj_t)BGl_proc1566z00zz__ft_schedulerz00),BUNSPEC); 
{ /* Llib/scheduler.scm 193 */
 obj_t BgL_arg1201z00_129;
BgL_arg1201z00_129 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_121)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1201z00_129)); } 
return 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_scdlz00_121);} } 

}



/* &scheduler-react! */
obj_t BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00(obj_t BgL_envz00_787, obj_t BgL_oz00_788)
{
{ /* Llib/scheduler.scm 184 */
return 
BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(BgL_oz00_788);} 

}



/* &<@anonymous:1199> */
obj_t BGl_z62zc3z04anonymousza31199ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_789, obj_t BgL_scdlz00_790, obj_t BgL_iz00_791)
{
{ /* Llib/scheduler.scm 188 */
{ /* Llib/scheduler.scm 190 */
 obj_t BgL_arg1200z00_849;
BgL_arg1200z00_849 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_790))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1200z00_849));} } 

}



/* scheduler-start! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(obj_t BgL_argsz00_11)
{
{ /* Llib/scheduler.scm 200 */
{ /* Llib/scheduler.scm 201 */
 bool_t BgL_iterpz00_130;
if(
PAIRP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 201 */
BgL_iterpz00_130 = 
BGl_numberzf3zf3zz__r4_numbers_6_5z00(
CAR(BgL_argsz00_11)); }  else 
{ /* Llib/scheduler.scm 201 */
BgL_iterpz00_130 = ((bool_t)0); } 
{ /* Llib/scheduler.scm 201 */
 obj_t BgL_scdlz00_131;
if(
NULLP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 202 */
BgL_scdlz00_131 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 204 */
 obj_t BgL_arg1267z00_196;
BgL_arg1267z00_196 = 
CDR(
((obj_t)BgL_argsz00_11)); 
BgL_scdlz00_131 = 
((obj_t)
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)10)), BgL_arg1267z00_196)); } 
{ /* Llib/scheduler.scm 202 */
 obj_t BgL_stopz00_132;
if(
NULLP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 206 */
BgL_stopz00_132 = BGl_proc1567z00zz__ft_schedulerz00; }  else 
{ /* Llib/scheduler.scm 209 */
 bool_t BgL_test1689z00_1386;
{ /* Llib/scheduler.scm 209 */
 obj_t BgL_arg1263z00_193;
BgL_arg1263z00_193 = 
CAR(
((obj_t)BgL_argsz00_11)); 
BgL_test1689z00_1386 = 
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1263z00_193); } 
if(BgL_test1689z00_1386)
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_stz00_181;
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_arg1238z00_184; obj_t BgL_arg1239z00_185;
BgL_arg1238z00_184 = 
CAR(
((obj_t)BgL_argsz00_11)); 
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_arg1242z00_186;
BgL_arg1242z00_186 = 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_131)); 
BgL_arg1239z00_185 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_arg1242z00_186, 
BINT(((long)-1))); } 
BgL_stz00_181 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_arg1238z00_184, BgL_arg1239z00_185); } 
{ /* Llib/scheduler.scm 211 */
 obj_t BgL_zc3z04anonymousza31237ze3z87_795;
BgL_zc3z04anonymousza31237ze3z87_795 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31237ze3ze5zz__ft_schedulerz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31237ze3z87_795, 
(int)(((long)0)), BgL_stz00_181); 
BgL_stopz00_132 = BgL_zc3z04anonymousza31237ze3z87_795; } }  else 
{ /* Llib/scheduler.scm 213 */
 bool_t BgL_test1690z00_1402;
{ /* Llib/scheduler.scm 213 */
 obj_t BgL_tmpz00_1403;
BgL_tmpz00_1403 = 
CAR(
((obj_t)BgL_argsz00_11)); 
BgL_test1690z00_1402 = 
PROCEDUREP(BgL_tmpz00_1403); } 
if(BgL_test1690z00_1402)
{ /* Llib/scheduler.scm 214 */
 obj_t BgL_zc3z04anonymousza31252ze3z87_796;
BgL_zc3z04anonymousza31252ze3z87_796 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31252ze3ze5zz__ft_schedulerz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31252ze3z87_796, 
(int)(((long)0)), BgL_argsz00_11); 
BgL_stopz00_132 = BgL_zc3z04anonymousza31252ze3z87_796; }  else 
{ /* Llib/scheduler.scm 213 */
BgL_stopz00_132 = 
BGl_errorz00zz__errorz00(BGl_string1568z00zz__ft_schedulerz00, BGl_string1569z00zz__ft_schedulerz00, BgL_argsz00_11); } } } 
{ /* Llib/scheduler.scm 205 */

{ /* Llib/scheduler.scm 221 */
 obj_t BgL_nozd2busyzd2waitingzd2nextzd2instantz00_793; obj_t BgL_busyzd2waitingzd2nextzd2instantzd2_792;
BgL_nozd2busyzd2waitingzd2nextzd2instantz00_793 = 
MAKE_FX_PROCEDURE(BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00, 
(int)(((long)2)), 
(int)(((long)1))); 
BgL_busyzd2waitingzd2nextzd2instantzd2_792 = 
MAKE_FX_PROCEDURE(BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_nozd2busyzd2waitingzd2nextzd2instantz00_793, 
(int)(((long)0)), BgL_stopz00_132); 
PROCEDURE_SET(BgL_busyzd2waitingzd2nextzd2instantzd2_792, 
(int)(((long)0)), BgL_stopz00_132); 
{ 
 obj_t BgL_auxz00_1423;
if(BgL_iterpz00_130)
{ /* Llib/scheduler.scm 267 */
BgL_auxz00_1423 = BgL_busyzd2waitingzd2nextzd2instantzd2_792
; }  else 
{ /* Llib/scheduler.scm 267 */
BgL_auxz00_1423 = BgL_nozd2busyzd2waitingzd2nextzd2instantz00_793
; } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_131)))->BgL_nextzd2instantzd2)=((obj_t)BgL_auxz00_1423),BUNSPEC); } 
{ /* Llib/scheduler.scm 272 */
 obj_t BgL_arg1202z00_137;
BgL_arg1202z00_137 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_131))))->BgL_z52builtinz52); 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1202z00_137)); } 
return BUNSPEC;} } } } } } 

}



/* &scheduler-start! */
obj_t BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00(obj_t BgL_envz00_797, obj_t BgL_argsz00_798)
{
{ /* Llib/scheduler.scm 200 */
return 
BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(BgL_argsz00_798);} 

}



/* &busy-waiting-next-instant */
obj_t BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00(obj_t BgL_envz00_799, obj_t BgL_scdlz00_801, obj_t BgL_iz00_802)
{
{ /* Llib/scheduler.scm 235 */
{ /* Llib/scheduler.scm 221 */
 obj_t BgL_stopz00_800;
BgL_stopz00_800 = 
PROCEDURE_REF(BgL_envz00_799, 
(int)(((long)0))); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_stopz00_800)(BgL_stopz00_800, BgL_iz00_802, BEOA)))
{ /* Llib/scheduler.scm 223 */
 obj_t BgL_arg1205z00_850;
BgL_arg1205z00_850 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_801))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1205z00_850));}  else 
{ /* Llib/scheduler.scm 224 */
 obj_t BgL_statez00_851;
BgL_statez00_851 = 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(
((BgL_schedulerz00_bglt)BgL_scdlz00_801)); 
if(
(BgL_statez00_851==
CNST_TABLE_REF(((long)6))))
{ /* Llib/scheduler.scm 227 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 227 */
if(
(BgL_statez00_851==
CNST_TABLE_REF(((long)8))))
{ /* Llib/scheduler.scm 227 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 235 */
 obj_t BgL_arg1211z00_852;
BgL_arg1211z00_852 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_801))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1211z00_852));} } } } } 

}



/* &no-busy-waiting-next-instant */
obj_t BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00(obj_t BgL_envz00_803, obj_t BgL_scdlz00_805, obj_t BgL_iz00_806)
{
{ /* Llib/scheduler.scm 263 */
{ /* Llib/scheduler.scm 237 */
 obj_t BgL_stopz00_804;
BgL_stopz00_804 = 
PROCEDURE_REF(BgL_envz00_803, 
(int)(((long)0))); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_stopz00_804)(BgL_stopz00_804, BgL_iz00_806, BEOA)))
{ /* Llib/scheduler.scm 239 */
 obj_t BgL_arg1214z00_853;
BgL_arg1214z00_853 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_805))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1214z00_853));}  else 
{ /* Llib/scheduler.scm 240 */
 obj_t BgL_statez00_854;
BgL_statez00_854 = 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(
((BgL_schedulerz00_bglt)BgL_scdlz00_805)); 
if(
(BgL_statez00_854==
CNST_TABLE_REF(((long)6))))
{ /* Llib/scheduler.scm 243 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 243 */
if(
(BgL_statez00_854==
CNST_TABLE_REF(((long)8))))
{ /* Llib/scheduler.scm 243 */
{ /* Llib/scheduler.scm 251 */
 obj_t BgL_arg1218z00_855;
BgL_arg1218z00_855 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_805))))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1218z00_855)); } 
{ /* Llib/scheduler.scm 255 */
 bool_t BgL_test1699z00_1485;
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_805)))->BgL_tobroadcastz00)))
{ /* Llib/scheduler.scm 255 */
BgL_test1699z00_1485 = 
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_805)))->BgL_asynczd2runnablezd2))
; }  else 
{ /* Llib/scheduler.scm 255 */
BgL_test1699z00_1485 = ((bool_t)0)
; } 
if(BgL_test1699z00_1485)
{ /* Llib/scheduler.scm 255 */
{ /* Llib/scheduler.scm 257 */
 obj_t BgL_arg1226z00_856;
BgL_arg1226z00_856 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_805))))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1226z00_856)); } BUNSPEC; }  else 
{ /* Llib/scheduler.scm 255 */BFALSE; } } 
{ /* Llib/scheduler.scm 259 */
 obj_t BgL_arg1229z00_857;
BgL_arg1229z00_857 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_805))))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1229z00_857)); } 
return BTRUE;}  else 
{ /* Llib/scheduler.scm 263 */
 obj_t BgL_arg1230z00_858;
BgL_arg1230z00_858 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_805))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1230z00_858));} } } } } 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_807, obj_t BgL_iz00_808)
{
{ /* Llib/scheduler.scm 207 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1237> */
obj_t BGl_z62zc3z04anonymousza31237ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_809, obj_t BgL_iz00_811)
{
{ /* Llib/scheduler.scm 211 */
return 
BBOOL(
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_iz00_811, 
PROCEDURE_REF(BgL_envz00_809, 
(int)(((long)0)))));} 

}



/* &<@anonymous:1252> */
obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_812, obj_t BgL_iz00_814)
{
{ /* Llib/scheduler.scm 214 */
{ /* Llib/scheduler.scm 215 */
 obj_t BgL_argsz00_813;
BgL_argsz00_813 = 
PROCEDURE_REF(BgL_envz00_812, 
(int)(((long)0))); 
{ /* Llib/scheduler.scm 215 */
 obj_t BgL_fun1253z00_859;
BgL_fun1253z00_859 = 
CAR(
((obj_t)BgL_argsz00_813)); 
return 
PROCEDURE_ENTRY(BgL_fun1253z00_859)(BgL_fun1253z00_859, BgL_iz00_814, BEOA);} } } 

}



/* broadcast! */
BGL_EXPORTED_DEF obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t BgL_sigz00_12, obj_t BgL_valz00_13)
{
{ /* Llib/scheduler.scm 278 */
{ /* Llib/scheduler.scm 279 */
 obj_t BgL_tz00_199; obj_t BgL_vz00_200;
BgL_tz00_199 = 
BGl_currentzd2threadzd2zz__threadz00(); 
if(
PAIRP(BgL_valz00_13))
{ /* Llib/scheduler.scm 280 */
BgL_vz00_200 = 
CAR(BgL_valz00_13); }  else 
{ /* Llib/scheduler.scm 280 */
BgL_vz00_200 = BUNSPEC; } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_test1702z00_1525;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_classz00_647;
BgL_classz00_647 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_199))
{ /* Llib/scheduler.scm 281 */
 BgL_objectz00_bglt BgL_arg1797z00_649;
BgL_arg1797z00_649 = 
(BgL_objectz00_bglt)(BgL_tz00_199); 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_arg1794z00_652; bool_t BgL_arg1795z00_653;
{ /* Llib/scheduler.scm 281 */
 long BgL_idxz00_656;
BgL_idxz00_656 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_649); 
BgL_arg1794z00_652 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_656+((long)1)))==BgL_classz00_647); } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_res1547z00_678;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_oclassz00_664;
{ /* Llib/scheduler.scm 281 */
 long BgL_arg1804z00_670;
{ /* Llib/scheduler.scm 281 */
 long BgL_arg1805z00_671;
BgL_arg1805z00_671 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_649); 
BgL_arg1804z00_670 = 
(BgL_arg1805z00_671-OBJECT_TYPE); } 
BgL_oclassz00_664 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_670); } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL__ortest_1111z00_665;
BgL__ortest_1111z00_665 = 
(BgL_classz00_647==BgL_oclassz00_664); 
if(BgL__ortest_1111z00_665)
{ /* Llib/scheduler.scm 281 */
BgL_res1547z00_678 = BgL__ortest_1111z00_665; }  else 
{ /* Llib/scheduler.scm 281 */
 long BgL_odepthz00_666;
BgL_odepthz00_666 = 
BGL_CLASS_DEPTH(BgL_oclassz00_664); 
if(
(((long)1)<BgL_odepthz00_666))
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_arg1793z00_668;
BgL_arg1793z00_668 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_664, ((long)1)); 
BgL_res1547z00_678 = 
(BgL_arg1793z00_668==BgL_classz00_647); }  else 
{ /* Llib/scheduler.scm 281 */
BgL_res1547z00_678 = ((bool_t)0); } } } } 
BgL_arg1795z00_653 = BgL_res1547z00_678; } 
BgL_test1702z00_1525 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_652, BgL_arg1795z00_653); } }  else 
{ /* Llib/scheduler.scm 281 */
BgL_test1702z00_1525 = ((bool_t)0)
; } } 
if(BgL_test1702z00_1525)
{ /* Llib/scheduler.scm 281 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_199)))
{ /* Llib/scheduler.scm 284 */
 obj_t BgL_arg1279z00_204;
BgL_arg1279z00_204 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_199)))->BgL_schedulerz00); 
return 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_arg1279z00_204), BgL_sigz00_12, BgL_vz00_200);}  else 
{ /* Llib/scheduler.scm 282 */
return 
BGl_errorz00zz__errorz00(BGl_string1570z00zz__ft_schedulerz00, BGl_string1571z00zz__ft_schedulerz00, BgL_tz00_199);} }  else 
{ /* Llib/scheduler.scm 281 */
return BFALSE;} } } } 

}



/* &broadcast! */
obj_t BGl_z62broadcastz12z70zz__ft_schedulerz00(obj_t BgL_envz00_815, obj_t BgL_sigz00_816, obj_t BgL_valz00_817)
{
{ /* Llib/scheduler.scm 278 */
return 
BGl_broadcastz12z12zz__ft_schedulerz00(BgL_sigz00_816, BgL_valz00_817);} 

}



/* scheduler-broadcast! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_14, obj_t BgL_sigz00_15, obj_t BgL_valz00_16)
{
{ /* Llib/scheduler.scm 290 */
{ /* Llib/scheduler.scm 291 */
 obj_t BgL_arg1283z00_679;
if(
PAIRP(BgL_valz00_16))
{ /* Llib/scheduler.scm 291 */
BgL_arg1283z00_679 = 
CAR(BgL_valz00_16); }  else 
{ /* Llib/scheduler.scm 291 */
BgL_arg1283z00_679 = BUNSPEC; } 
return 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_sz00_14), BgL_sigz00_15, BgL_arg1283z00_679);} } 

}



/* &scheduler-broadcast! */
obj_t BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00(obj_t BgL_envz00_818, obj_t BgL_sz00_819, obj_t BgL_sigz00_820, obj_t BgL_valz00_821)
{
{ /* Llib/scheduler.scm 290 */
{ /* Llib/scheduler.scm 291 */
 BgL_schedulerz00_bglt BgL_auxz00_1558;
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_819, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/scheduler.scm 291 */
BgL_auxz00_1558 = 
((BgL_schedulerz00_bglt)BgL_sz00_819)
; }  else 
{ 
 obj_t BgL_auxz00_1562;
BgL_auxz00_1562 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1561z00zz__ft_schedulerz00, 
BINT(((long)10938)), BGl_string1572z00zz__ft_schedulerz00, BGl_string1563z00zz__ft_schedulerz00, BgL_sz00_819); 
FAILURE(BgL_auxz00_1562,BFALSE,BFALSE);} 
return 
BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_auxz00_1558, BgL_sigz00_820, BgL_valz00_821);} } 

}



/* scheduler-terminate! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(obj_t BgL_sz00_17)
{
{ /* Llib/scheduler.scm 296 */
{ /* Llib/scheduler.scm 297 */
 obj_t BgL_sz00_208;
if(
NULLP(BgL_sz00_17))
{ /* Llib/scheduler.scm 298 */
BgL_sz00_208 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_test1713z00_1570;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1364z00_257;
BgL_arg1364z00_257 = 
CAR(
((obj_t)BgL_sz00_17)); 
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_classz00_683;
BgL_classz00_683 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1364z00_257))
{ /* Llib/scheduler.scm 300 */
 BgL_objectz00_bglt BgL_arg1797z00_685;
BgL_arg1797z00_685 = 
(BgL_objectz00_bglt)(BgL_arg1364z00_257); 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_arg1794z00_688; bool_t BgL_arg1795z00_689;
{ /* Llib/scheduler.scm 300 */
 long BgL_idxz00_692;
BgL_idxz00_692 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_685); 
BgL_arg1794z00_688 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_692+((long)3)))==BgL_classz00_683); } 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_res1548z00_714;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_oclassz00_700;
{ /* Llib/scheduler.scm 300 */
 long BgL_arg1804z00_706;
{ /* Llib/scheduler.scm 300 */
 long BgL_arg1805z00_707;
BgL_arg1805z00_707 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_685); 
BgL_arg1804z00_706 = 
(BgL_arg1805z00_707-OBJECT_TYPE); } 
BgL_oclassz00_700 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_706); } 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL__ortest_1111z00_701;
BgL__ortest_1111z00_701 = 
(BgL_classz00_683==BgL_oclassz00_700); 
if(BgL__ortest_1111z00_701)
{ /* Llib/scheduler.scm 300 */
BgL_res1548z00_714 = BgL__ortest_1111z00_701; }  else 
{ /* Llib/scheduler.scm 300 */
 long BgL_odepthz00_702;
BgL_odepthz00_702 = 
BGL_CLASS_DEPTH(BgL_oclassz00_700); 
if(
(((long)3)<BgL_odepthz00_702))
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1793z00_704;
BgL_arg1793z00_704 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_700, ((long)3)); 
BgL_res1548z00_714 = 
(BgL_arg1793z00_704==BgL_classz00_683); }  else 
{ /* Llib/scheduler.scm 300 */
BgL_res1548z00_714 = ((bool_t)0); } } } } 
BgL_arg1795z00_689 = BgL_res1548z00_714; } 
BgL_test1713z00_1570 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_688, BgL_arg1795z00_689); } }  else 
{ /* Llib/scheduler.scm 300 */
BgL_test1713z00_1570 = ((bool_t)0)
; } } } 
if(BgL_test1713z00_1570)
{ /* Llib/scheduler.scm 300 */
BgL_sz00_208 = 
CAR(
((obj_t)BgL_sz00_17)); }  else 
{ /* Llib/scheduler.scm 305 */
 obj_t BgL_arg1363z00_256;
BgL_arg1363z00_256 = 
CAR(
((obj_t)BgL_sz00_17)); 
BgL_sz00_208 = 
BGl_errorz00zz__errorz00(BGl_string1573z00zz__ft_schedulerz00, BGl_string1560z00zz__ft_schedulerz00, BgL_arg1363z00_256); } } 
{ /* Llib/scheduler.scm 322 */
 obj_t BgL_arg1286z00_210;
BgL_arg1286z00_210 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_currentzd2threadzd2); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1286z00_210)); } 
{ /* Llib/scheduler.scm 323 */
 obj_t BgL_g1097z00_211;
BgL_g1097z00_211 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_tosuspendzf2resumezf2); 
{ 
 obj_t BgL_l1095z00_213;
BgL_l1095z00_213 = BgL_g1097z00_211; 
BgL_zc3z04anonymousza31287ze3z87_214:
if(
PAIRP(BgL_l1095z00_213))
{ /* Llib/scheduler.scm 323 */
{ /* Llib/scheduler.scm 323 */
 obj_t BgL_arg1291z00_216;
BgL_arg1291z00_216 = 
CAR(BgL_l1095z00_213); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1291z00_216)); } 
{ 
 obj_t BgL_l1095z00_1607;
BgL_l1095z00_1607 = 
CDR(BgL_l1095z00_213); 
BgL_l1095z00_213 = BgL_l1095z00_1607; 
goto BgL_zc3z04anonymousza31287ze3z87_214;} }  else 
{ /* Llib/scheduler.scm 323 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 324 */
 obj_t BgL_g1100z00_219;
BgL_g1100z00_219 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_threadszd2runnablezd2); 
{ 
 obj_t BgL_l1098z00_221;
BgL_l1098z00_221 = BgL_g1100z00_219; 
BgL_zc3z04anonymousza31332ze3z87_222:
if(
PAIRP(BgL_l1098z00_221))
{ /* Llib/scheduler.scm 324 */
{ /* Llib/scheduler.scm 324 */
 obj_t BgL_arg1338z00_224;
BgL_arg1338z00_224 = 
CAR(BgL_l1098z00_221); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1338z00_224)); } 
{ 
 obj_t BgL_l1098z00_1616;
BgL_l1098z00_1616 = 
CDR(BgL_l1098z00_221); 
BgL_l1098z00_221 = BgL_l1098z00_1616; 
goto BgL_zc3z04anonymousza31332ze3z87_222;} }  else 
{ /* Llib/scheduler.scm 324 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 325 */
 obj_t BgL_g1103z00_227;
BgL_g1103z00_227 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_threadszd2yieldzd2); 
{ 
 obj_t BgL_l1101z00_229;
BgL_l1101z00_229 = BgL_g1103z00_227; 
BgL_zc3z04anonymousza31340ze3z87_230:
if(
PAIRP(BgL_l1101z00_229))
{ /* Llib/scheduler.scm 325 */
{ /* Llib/scheduler.scm 325 */
 obj_t BgL_arg1343z00_232;
BgL_arg1343z00_232 = 
CAR(BgL_l1101z00_229); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1343z00_232)); } 
{ 
 obj_t BgL_l1101z00_1625;
BgL_l1101z00_1625 = 
CDR(BgL_l1101z00_229); 
BgL_l1101z00_229 = BgL_l1101z00_1625; 
goto BgL_zc3z04anonymousza31340ze3z87_230;} }  else 
{ /* Llib/scheduler.scm 325 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 326 */
 obj_t BgL_g1106z00_235;
BgL_g1106z00_235 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_threadszd2timeoutzd2); 
{ 
 obj_t BgL_l1104z00_237;
BgL_l1104z00_237 = BgL_g1106z00_235; 
BgL_zc3z04anonymousza31346ze3z87_238:
if(
PAIRP(BgL_l1104z00_237))
{ /* Llib/scheduler.scm 326 */
{ /* Llib/scheduler.scm 326 */
 obj_t BgL_arg1348z00_240;
BgL_arg1348z00_240 = 
CAR(BgL_l1104z00_237); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1348z00_240)); } 
{ 
 obj_t BgL_l1104z00_1634;
BgL_l1104z00_1634 = 
CDR(BgL_l1104z00_237); 
BgL_l1104z00_237 = BgL_l1104z00_1634; 
goto BgL_zc3z04anonymousza31346ze3z87_238;} }  else 
{ /* Llib/scheduler.scm 326 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 328 */
 obj_t BgL_g1109z00_243;
BgL_g1109z00_243 = 
BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)); 
{ 
 obj_t BgL_l1107z00_245;
BgL_l1107z00_245 = BgL_g1109z00_243; 
BgL_zc3z04anonymousza31350ze3z87_246:
if(
PAIRP(BgL_l1107z00_245))
{ /* Llib/scheduler.scm 328 */
{ /* Llib/scheduler.scm 328 */
 obj_t BgL_arg1354z00_248;
BgL_arg1354z00_248 = 
CAR(BgL_l1107z00_245); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1354z00_248)); } 
{ 
 obj_t BgL_l1107z00_1643;
BgL_l1107z00_1643 = 
CDR(BgL_l1107z00_245); 
BgL_l1107z00_245 = BgL_l1107z00_1643; 
goto BgL_zc3z04anonymousza31350ze3z87_246;} }  else 
{ /* Llib/scheduler.scm 328 */((bool_t)1); } } } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_208)))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/scheduler.scm 333 */
 obj_t BgL_list1356z00_251;
BgL_list1356z00_251 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
return 
BBOOL(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_sz00_208), BgL_list1356z00_251));} } } 

}



/* &scheduler-terminate! */
obj_t BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00(obj_t BgL_envz00_822, obj_t BgL_sz00_823)
{
{ /* Llib/scheduler.scm 296 */
return 
BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(BgL_sz00_823);} 

}



/* scheduler-instant */
BGL_EXPORTED_DEF int BGl_schedulerzd2instantzd2zz__ft_schedulerz00(obj_t BgL_sz00_18)
{
{ /* Llib/scheduler.scm 338 */
{ /* Llib/scheduler.scm 339 */
 obj_t BgL_sz00_258;
if(
NULLP(BgL_sz00_18))
{ /* Llib/scheduler.scm 340 */
BgL_sz00_258 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_test1723z00_1657;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1455z00_267;
BgL_arg1455z00_267 = 
CAR(
((obj_t)BgL_sz00_18)); 
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_classz00_728;
BgL_classz00_728 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1455z00_267))
{ /* Llib/scheduler.scm 342 */
 BgL_objectz00_bglt BgL_arg1797z00_730;
BgL_arg1797z00_730 = 
(BgL_objectz00_bglt)(BgL_arg1455z00_267); 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_arg1794z00_733; bool_t BgL_arg1795z00_734;
{ /* Llib/scheduler.scm 342 */
 long BgL_idxz00_737;
BgL_idxz00_737 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_730); 
BgL_arg1794z00_733 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_737+((long)3)))==BgL_classz00_728); } 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_res1549z00_759;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_oclassz00_745;
{ /* Llib/scheduler.scm 342 */
 long BgL_arg1804z00_751;
{ /* Llib/scheduler.scm 342 */
 long BgL_arg1805z00_752;
BgL_arg1805z00_752 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_730); 
BgL_arg1804z00_751 = 
(BgL_arg1805z00_752-OBJECT_TYPE); } 
BgL_oclassz00_745 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_751); } 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL__ortest_1111z00_746;
BgL__ortest_1111z00_746 = 
(BgL_classz00_728==BgL_oclassz00_745); 
if(BgL__ortest_1111z00_746)
{ /* Llib/scheduler.scm 342 */
BgL_res1549z00_759 = BgL__ortest_1111z00_746; }  else 
{ /* Llib/scheduler.scm 342 */
 long BgL_odepthz00_747;
BgL_odepthz00_747 = 
BGL_CLASS_DEPTH(BgL_oclassz00_745); 
if(
(((long)3)<BgL_odepthz00_747))
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1793z00_749;
BgL_arg1793z00_749 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_745, ((long)3)); 
BgL_res1549z00_759 = 
(BgL_arg1793z00_749==BgL_classz00_728); }  else 
{ /* Llib/scheduler.scm 342 */
BgL_res1549z00_759 = ((bool_t)0); } } } } 
BgL_arg1795z00_734 = BgL_res1549z00_759; } 
BgL_test1723z00_1657 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_733, BgL_arg1795z00_734); } }  else 
{ /* Llib/scheduler.scm 342 */
BgL_test1723z00_1657 = ((bool_t)0)
; } } } 
if(BgL_test1723z00_1657)
{ /* Llib/scheduler.scm 342 */
BgL_sz00_258 = 
CAR(
((obj_t)BgL_sz00_18)); }  else 
{ /* Llib/scheduler.scm 345 */
 obj_t BgL_arg1414z00_266;
BgL_arg1414z00_266 = 
CAR(
((obj_t)BgL_sz00_18)); 
BgL_sz00_258 = 
BGl_errorz00zz__errorz00(BGl_string1574z00zz__ft_schedulerz00, BGl_string1560z00zz__ft_schedulerz00, BgL_arg1414z00_266); } } 
return 
(int)(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)
CAR(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_sz00_258))))->BgL_envzb2zb2)))))->BgL_instantz00));} } 

}



/* &scheduler-instant */
obj_t BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00(obj_t BgL_envz00_824, obj_t BgL_sz00_825)
{
{ /* Llib/scheduler.scm 338 */
return 
BINT(
BGl_schedulerzd2instantzd2zz__ft_schedulerz00(BgL_sz00_825));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00()
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_threadz00(((long)431919647), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1575z00zz__ft_schedulerz00));} 

}

#ifdef __cplusplus
}
#endif
