/*===========================================================================*/
/*   (Llib/thread.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/thread.scm -o objs/thread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_joinzd2timeoutzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_joinzd2timeoutzd2exceptionz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitza2z12z62zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2fthr1153z62zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62threadzd2resumez12za2zz__ft_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31679ze3ze5zz__ft_threadz00(obj_t);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_threadz00();
static obj_t BGl_z62threadzd2joinz12zd2fthread1145z70zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_threadz00();
static obj_t BGl_objectzd2initzd2zz__ft_threadz00();
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
static obj_t BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2awaitz12za2zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2fthread1147z62zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_threadz00();
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
extern obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2cleanupzd2fthre1157z62zz__ft_threadz00(obj_t, obj_t);
extern bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00 = BUNSPEC;
extern obj_t BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(obj_t, obj_t, BgL_threadz00_bglt);
extern bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__ft_threadz00(obj_t);
extern bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
BGL_IMPORT obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2ft1151z70zz__ft_threadz00(obj_t, obj_t);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00();
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31349ze3ze5zz__ft_threadz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitz12zc0zz__ft_threadz00(obj_t, obj_t);
static BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1343z62zz__ft_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1346z62zz__ft_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_threadz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_threadz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_threadz00();
extern obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__ft_threadz00();
BGL_EXPORTED_DECL obj_t BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2suspendz12za2zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121155z70zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_signalzd2lookupzd2zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_fthreadz00_bglt, obj_t, bool_t);
extern obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21159za2zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_signalzd2valuezd2zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2fthrea1149z70zz__ft_threadz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t);
extern obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62objectzd2equalzf3zd2z52sigjo1143zc3zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
extern obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
extern obj_t BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(obj_t, obj_t);
static obj_t __cnst[ 11 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2resumez12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2resu1834z00, BGl_z62threadzd2resumez12za2zz__ft_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitz12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1835z00, va_generic_entry, BGl_z62threadzd2awaitz12za2zz__ft_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1800z00zz__ft_threadz00, BgL_bgl_string1800za700za7za7_1836za7, "&thread-resume!", 15 );
DEFINE_STRING( BGl_string1805z00zz__ft_threadz00, BgL_bgl_string1805za700za7za7_1837za7, "object-equal?", 13 );
DEFINE_STRING( BGl_string1807z00zz__ft_threadz00, BgL_bgl_string1807za700za7za7_1838za7, "thread-join!", 12 );
DEFINE_STRING( BGl_string1809z00zz__ft_threadz00, BgL_bgl_string1809za700za7za7_1839za7, "object-write", 12 );
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1801z00zz__ft_threadz00, BgL_bgl_za762za7c3za704anonymo1840za7, BGl_z62zc3z04anonymousza31349ze3ze5zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1802z00zz__ft_threadz00, BgL_bgl_za762lambda1346za7621841z00, BGl_z62lambda1346z62zz__ft_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1803z00zz__ft_threadz00, BgL_bgl_za762lambda1343za7621842z00, BGl_z62lambda1343z62zz__ft_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1804z00zz__ft_threadz00, BgL_bgl_za762objectza7d2equa1843z00, BGl_z62objectzd2equalzf3zd2z52sigjo1143zc3zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1811z00zz__ft_threadz00, BgL_bgl_string1811za700za7za7_1844za7, "thread-start!", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__ft_threadz00, BgL_bgl_za762threadza7d2join1845z00, va_generic_entry, BGl_z62threadzd2joinz12zd2fthread1145z70zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1813z00zz__ft_threadz00, BgL_bgl_string1813za700za7za7_1846za7, "thread-terminate!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1808z00zz__ft_threadz00, BgL_bgl_za762objectza7d2writ1847z00, va_generic_entry, BGl_z62objectzd2writezd2fthread1147z62zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1815z00zz__ft_threadz00, BgL_bgl_string1815za700za7za7_1848za7, "thread-specific", 15 );
DEFINE_STRING( BGl_string1817z00zz__ft_threadz00, BgL_bgl_string1817za700za7za7_1849za7, "thread-specific-set!", 20 );
DEFINE_STRING( BGl_string1819z00zz__ft_threadz00, BgL_bgl_string1819za700za7za7_1850za7, "thread-cleanup", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1810z00zz__ft_threadz00, BgL_bgl_za762threadza7d2star1851z00, va_generic_entry, BGl_z62threadzd2startz12zd2fthrea1149z70zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1812z00zz__ft_threadz00, BgL_bgl_za762threadza7d2term1852z00, BGl_z62threadzd2terminatez12zd2ft1151z70zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1814z00zz__ft_threadz00, BgL_bgl_za762threadza7d2spec1853z00, BGl_z62threadzd2specificzd2fthr1153z62zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1821z00zz__ft_threadz00, BgL_bgl_string1821za700za7za7_1854za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1822z00zz__ft_threadz00, BgL_bgl_string1822za700za7za7_1855za7, "thread already running", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1816z00zz__ft_threadz00, BgL_bgl_za762threadza7d2spec1856z00, BGl_z62threadzd2specificzd2setz121155z70zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1823z00zz__ft_threadz00, BgL_bgl_string1823za700za7za7_1857za7, ">", 1 );
DEFINE_STRING( BGl_string1824z00zz__ft_threadz00, BgL_bgl_string1824za700za7za7_1858za7, " signals=", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1818z00zz__ft_threadz00, BgL_bgl_za762threadza7d2clea1859z00, BGl_z62threadzd2cleanupzd2fthre1157z62zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1825z00zz__ft_threadz00, BgL_bgl_string1825za700za7za7_1860za7, " timeout=", 9 );
DEFINE_STRING( BGl_string1826z00zz__ft_threadz00, BgL_bgl_string1826za700za7za7_1861za7, " state=", 7 );
DEFINE_STRING( BGl_string1827z00zz__ft_threadz00, BgL_bgl_string1827za700za7za7_1862za7, "#<fthread:", 10 );
DEFINE_STRING( BGl_string1828z00zz__ft_threadz00, BgL_bgl_string1828za700za7za7_1863za7, "thread-join", 11 );
DEFINE_STRING( BGl_string1829z00zz__ft_threadz00, BgL_bgl_string1829za700za7za7_1864za7, "integer", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1820z00zz__ft_threadz00, BgL_bgl_za762threadza7d2clea1865z00, BGl_z62threadzd2cleanupzd2setz12zd21159za2zz__ft_threadz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STRING( BGl_string1830z00zz__ft_threadz00, BgL_bgl_string1830za700za7za7_1866za7, "__ft_thread", 11 );
DEFINE_STRING( BGl_string1831z00zz__ft_threadz00, BgL_bgl_string1831za700za7za7_1867za7, "dead terminated started thread-start! thread-terminate! __ft_thread join-timeout-exception thread-resume! thread-suspend! end init ", 131 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitzd2valuesza2z12zd2envz62zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1868z00, va_generic_entry, BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1786z00zz__ft_threadz00, BgL_bgl_string1786za700za7za7_1869za7, "Llib/thread.scm", 15 );
DEFINE_STRING( BGl_string1787z00zz__ft_threadz00, BgL_bgl_string1787za700za7za7_1870za7, "thread-await", 12 );
DEFINE_STRING( BGl_string1788z00zz__ft_threadz00, BgL_bgl_string1788za700za7za7_1871za7, "Illegal timeout", 15 );
DEFINE_STRING( BGl_string1789z00zz__ft_threadz00, BgL_bgl_string1789za700za7za7_1872za7, "unattached thread", 17 );
DEFINE_STRING( BGl_string1790z00zz__ft_threadz00, BgL_bgl_string1790za700za7za7_1873za7, "no such thread", 14 );
DEFINE_STRING( BGl_string1791z00zz__ft_threadz00, BgL_bgl_string1791za700za7za7_1874za7, "thread-await*", 13 );
DEFINE_STRING( BGl_string1792z00zz__ft_threadz00, BgL_bgl_string1792za700za7za7_1875za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/fthread/src/Llib/thread.scm", 67 );
DEFINE_STRING( BGl_string1793z00zz__ft_threadz00, BgL_bgl_string1793za700za7za7_1876za7, "&thread-await*!", 15 );
DEFINE_STRING( BGl_string1794z00zz__ft_threadz00, BgL_bgl_string1794za700za7za7_1877za7, "pair", 4 );
DEFINE_STRING( BGl_string1795z00zz__ft_threadz00, BgL_bgl_string1795za700za7za7_1878za7, "&thread-get-values*!", 20 );
DEFINE_STRING( BGl_string1796z00zz__ft_threadz00, BgL_bgl_string1796za700za7za7_1879za7, "&thread-await-values*!", 22 );
DEFINE_STRING( BGl_string1797z00zz__ft_threadz00, BgL_bgl_string1797za700za7za7_1880za7, "Unattached thread", 17 );
DEFINE_STRING( BGl_string1798z00zz__ft_threadz00, BgL_bgl_string1798za700za7za7_1881za7, "&thread-suspend!", 16 );
DEFINE_STRING( BGl_string1799z00zz__ft_threadz00, BgL_bgl_string1799za700za7za7_1882za7, "fthread", 7 );
BGL_IMPORT obj_t BGl_objectzd2equalzf3zd2envzf3zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2getzd2valuesza2z12zd2envz62zz__ft_threadz00, BgL_bgl_za762threadza7d2getza71883za7, BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2suspendz12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2susp1884z00, BGl_z62threadzd2suspendz12za2zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitza2z12zd2envzb0zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1885z00, va_generic_entry, BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2getzd2valuesz12zd2envzc0zz__ft_threadz00, BgL_bgl_za762threadza7d2getza71886za7, BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitzd2valuesz12zd2envzc0zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1887z00, va_generic_entry, BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00, BUNSPEC, -2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_threadz00) );
ADD_ROOT( (void *)(&BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long BgL_checksumz00_1087, char * BgL_fromz00_1088)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ft_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(); 
BGl_cnstzd2initzd2zz__ft_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_threadz00(); 
BGl_objectzd2initzd2zz__ft_threadz00(); 
BGl_methodzd2initzd2zz__ft_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_cportz00_942;
{ /* Llib/thread.scm 15 */
 obj_t BgL_stringz00_950;
BgL_stringz00_950 = BGl_string1831z00zz__ft_threadz00; 
{ /* Llib/thread.scm 15 */
 obj_t BgL_startz00_951;
BgL_startz00_951 = 
BINT(((long)0)); 
{ /* Llib/thread.scm 15 */
 obj_t BgL_endz00_952;
BgL_endz00_952 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_950))); 
{ /* Llib/thread.scm 15 */

BgL_cportz00_942 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_950, BgL_startz00_951, BgL_endz00_952); } } } } 
{ 
 long BgL_iz00_943;
BgL_iz00_943 = ((long)10); 
BgL_loopz00_944:
if(
(BgL_iz00_943==((long)-1)))
{ /* Llib/thread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_arg1833z00_946;
{ /* Llib/thread.scm 15 */

{ /* Llib/thread.scm 15 */
 obj_t BgL_locationz00_948;
BgL_locationz00_948 = 
BBOOL(((bool_t)0)); 
{ /* Llib/thread.scm 15 */

BgL_arg1833z00_946 = 
BGl_readz00zz__readerz00(BgL_cportz00_942, BgL_locationz00_948); } } } 
{ /* Llib/thread.scm 15 */
 int BgL_tmpz00_1125;
BgL_tmpz00_1125 = 
(int)(BgL_iz00_943); 
CNST_TABLE_SET(BgL_tmpz00_1125, BgL_arg1833z00_946); } } 
{ /* Llib/thread.scm 15 */
 int BgL_auxz00_949;
BgL_auxz00_949 = 
(int)(
(BgL_iz00_943-((long)1))); 
{ 
 long BgL_iz00_1130;
BgL_iz00_1130 = 
(long)(BgL_auxz00_949); 
BgL_iz00_943 = BgL_iz00_1130; 
goto BgL_loopz00_944;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1786z00zz__ft_threadz00)); 
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
return BUNSPEC;} 

}



/* thread-await! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitz12zc0zz__ft_threadz00(obj_t BgL_sigz00_7, obj_t BgL_argz00_8)
{
{ /* Llib/thread.scm 107 */
{ /* Llib/thread.scm 108 */
 obj_t BgL_tz00_42;
BgL_tz00_42 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 108 */

{ 
 BgL_schedulerz00_bglt BgL_scdlz00_79; obj_t BgL_sigz00_80; obj_t BgL_timeoutz00_81; BgL_schedulerz00_bglt BgL_scdlz00_53; obj_t BgL_sigz00_54;
{ /* Llib/thread.scm 159 */
 bool_t BgL_test1890z00_1137;
{ /* Llib/thread.scm 159 */
 obj_t BgL_classz00_504;
BgL_classz00_504 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_42))
{ /* Llib/thread.scm 159 */
 BgL_objectz00_bglt BgL_arg1797z00_506;
BgL_arg1797z00_506 = 
(BgL_objectz00_bglt)(BgL_tz00_42); 
{ /* Llib/thread.scm 159 */
 bool_t BgL_arg1794z00_509; bool_t BgL_arg1795z00_510;
{ /* Llib/thread.scm 159 */
 long BgL_idxz00_513;
BgL_idxz00_513 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_506); 
BgL_arg1794z00_509 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_513+((long)1)))==BgL_classz00_504); } 
{ /* Llib/thread.scm 159 */
 bool_t BgL_res1752z00_535;
{ /* Llib/thread.scm 159 */
 obj_t BgL_oclassz00_521;
{ /* Llib/thread.scm 159 */
 long BgL_arg1804z00_527;
{ /* Llib/thread.scm 159 */
 long BgL_arg1805z00_528;
BgL_arg1805z00_528 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_506); 
BgL_arg1804z00_527 = 
(BgL_arg1805z00_528-OBJECT_TYPE); } 
BgL_oclassz00_521 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_527); } 
{ /* Llib/thread.scm 159 */
 bool_t BgL__ortest_1111z00_522;
BgL__ortest_1111z00_522 = 
(BgL_classz00_504==BgL_oclassz00_521); 
if(BgL__ortest_1111z00_522)
{ /* Llib/thread.scm 159 */
BgL_res1752z00_535 = BgL__ortest_1111z00_522; }  else 
{ /* Llib/thread.scm 159 */
 long BgL_odepthz00_523;
BgL_odepthz00_523 = 
BGL_CLASS_DEPTH(BgL_oclassz00_521); 
if(
(((long)1)<BgL_odepthz00_523))
{ /* Llib/thread.scm 159 */
 obj_t BgL_arg1793z00_525;
BgL_arg1793z00_525 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_521, ((long)1)); 
BgL_res1752z00_535 = 
(BgL_arg1793z00_525==BgL_classz00_504); }  else 
{ /* Llib/thread.scm 159 */
BgL_res1752z00_535 = ((bool_t)0); } } } } 
BgL_arg1795z00_510 = BgL_res1752z00_535; } 
BgL_test1890z00_1137 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_509, BgL_arg1795z00_510); } }  else 
{ /* Llib/thread.scm 159 */
BgL_test1890z00_1137 = ((bool_t)0)
; } } 
if(BgL_test1890z00_1137)
{ /* Llib/thread.scm 159 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42)))
{ /* Llib/thread.scm 161 */
if(
PAIRP(BgL_argz00_8))
{ /* Llib/thread.scm 165 */
 obj_t BgL_arg1167z00_49; obj_t BgL_arg1171z00_50;
BgL_arg1167z00_49 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_42)))->BgL_schedulerz00); 
BgL_arg1171z00_50 = 
CAR(BgL_argz00_8); 
BgL_scdlz00_79 = 
((BgL_schedulerz00_bglt)BgL_arg1167z00_49); 
BgL_sigz00_80 = BgL_sigz00_7; 
BgL_timeoutz00_81 = BgL_arg1171z00_50; 
{ /* Llib/thread.scm 137 */
 bool_t BgL_test1896z00_1164;
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_timeoutz00_81))
{ /* Llib/thread.scm 137 */
if(
INTEGERP(BgL_timeoutz00_81))
{ /* Llib/thread.scm 137 */
BgL_test1896z00_1164 = 
(
(long)CINT(BgL_timeoutz00_81)>((long)0))
; }  else 
{ /* Llib/thread.scm 137 */
BgL_test1896z00_1164 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_timeoutz00_81, 
BINT(((long)0)))
; } }  else 
{ /* Llib/thread.scm 137 */
BgL_test1896z00_1164 = ((bool_t)0)
; } 
if(BgL_test1896z00_1164)
{ /* Llib/thread.scm 140 */
 bool_t BgL_test1899z00_1173;
{ /* Llib/thread.scm 140 */
 obj_t BgL_arg1213z00_96;
BgL_arg1213z00_96 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2); 
BgL_test1899z00_1173 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_80, BgL_arg1213z00_96)); } 
if(BgL_test1899z00_1173)
{ /* Llib/thread.scm 140 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_80, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 140 */
{ /* Llib/thread.scm 144 */
 obj_t BgL_arg1201z00_90;
BgL_arg1201z00_90 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_sigz00_80, BgL_arg1201z00_90, 
((BgL_threadz00_bglt)BgL_tz00_42)); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL_test1900z00_1182;
{ /* Llib/thread.scm 147 */
 obj_t BgL_classz00_472;
BgL_classz00_472 = BGl_z52sigasyncz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_sigz00_80))
{ /* Llib/thread.scm 147 */
 BgL_objectz00_bglt BgL_arg1797z00_474;
BgL_arg1797z00_474 = 
(BgL_objectz00_bglt)(BgL_sigz00_80); 
{ /* Llib/thread.scm 147 */
 bool_t BgL_arg1794z00_477; bool_t BgL_arg1795z00_478;
{ /* Llib/thread.scm 147 */
 long BgL_idxz00_481;
BgL_idxz00_481 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_474); 
BgL_arg1794z00_477 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_481+((long)1)))==BgL_classz00_472); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL_res1751z00_503;
{ /* Llib/thread.scm 147 */
 obj_t BgL_oclassz00_489;
{ /* Llib/thread.scm 147 */
 long BgL_arg1804z00_495;
{ /* Llib/thread.scm 147 */
 long BgL_arg1805z00_496;
BgL_arg1805z00_496 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_474); 
BgL_arg1804z00_495 = 
(BgL_arg1805z00_496-OBJECT_TYPE); } 
BgL_oclassz00_489 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_495); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL__ortest_1111z00_490;
BgL__ortest_1111z00_490 = 
(BgL_classz00_472==BgL_oclassz00_489); 
if(BgL__ortest_1111z00_490)
{ /* Llib/thread.scm 147 */
BgL_res1751z00_503 = BgL__ortest_1111z00_490; }  else 
{ /* Llib/thread.scm 147 */
 long BgL_odepthz00_491;
BgL_odepthz00_491 = 
BGL_CLASS_DEPTH(BgL_oclassz00_489); 
if(
(((long)1)<BgL_odepthz00_491))
{ /* Llib/thread.scm 147 */
 obj_t BgL_arg1793z00_493;
BgL_arg1793z00_493 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_489, ((long)1)); 
BgL_res1751z00_503 = 
(BgL_arg1793z00_493==BgL_classz00_472); }  else 
{ /* Llib/thread.scm 147 */
BgL_res1751z00_503 = ((bool_t)0); } } } } 
BgL_arg1795z00_478 = BgL_res1751z00_503; } 
BgL_test1900z00_1182 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_477, BgL_arg1795z00_478); } }  else 
{ /* Llib/thread.scm 147 */
BgL_test1900z00_1182 = ((bool_t)0)
; } } 
if(BgL_test1900z00_1182)
{ /* Llib/thread.scm 147 */
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_79), 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_80)); }  else 
{ /* Llib/thread.scm 147 */BFALSE; } } 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42), 
CINT(BgL_timeoutz00_81)); 
{ /* Llib/thread.scm 152 */
 bool_t BgL_test1904z00_1207;
{ /* Llib/thread.scm 152 */
 obj_t BgL_arg1211z00_95;
BgL_arg1211z00_95 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2); 
BgL_test1904z00_1207 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_80, BgL_arg1211z00_95)); } 
if(BgL_test1904z00_1207)
{ /* Llib/thread.scm 152 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_80, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 152 */
return BFALSE;} } } }  else 
{ /* Llib/thread.scm 137 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__ft_threadz00, BGl_string1788z00zz__ft_threadz00, BgL_timeoutz00_81);} } }  else 
{ /* Llib/thread.scm 168 */
 obj_t BgL_arg1172z00_52;
BgL_arg1172z00_52 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_42)))->BgL_schedulerz00); 
BgL_scdlz00_53 = 
((BgL_schedulerz00_bglt)BgL_arg1172z00_52); 
BgL_sigz00_54 = BgL_sigz00_7; 
{ /* Llib/thread.scm 113 */
 bool_t BgL_test1905z00_1217;
{ /* Llib/thread.scm 113 */
 obj_t BgL_arg1186z00_78;
BgL_arg1186z00_78 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2); 
BgL_test1905z00_1217 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_54, BgL_arg1186z00_78)); } 
if(BgL_test1905z00_1217)
{ /* Llib/thread.scm 113 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_54, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 116 */
 bool_t BgL_test1906z00_1223;
{ /* Llib/thread.scm 116 */
 bool_t BgL_test1907z00_1224;
{ /* Llib/thread.scm 116 */
 obj_t BgL_classz00_432;
BgL_classz00_432 = BGl_z52sigasyncz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_sigz00_54))
{ /* Llib/thread.scm 116 */
 BgL_objectz00_bglt BgL_arg1797z00_434;
BgL_arg1797z00_434 = 
(BgL_objectz00_bglt)(BgL_sigz00_54); 
{ /* Llib/thread.scm 116 */
 bool_t BgL_arg1794z00_437; bool_t BgL_arg1795z00_438;
{ /* Llib/thread.scm 116 */
 long BgL_idxz00_441;
BgL_idxz00_441 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_434); 
BgL_arg1794z00_437 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_441+((long)1)))==BgL_classz00_432); } 
{ /* Llib/thread.scm 116 */
 bool_t BgL_res1750z00_463;
{ /* Llib/thread.scm 116 */
 obj_t BgL_oclassz00_449;
{ /* Llib/thread.scm 116 */
 long BgL_arg1804z00_455;
{ /* Llib/thread.scm 116 */
 long BgL_arg1805z00_456;
BgL_arg1805z00_456 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_434); 
BgL_arg1804z00_455 = 
(BgL_arg1805z00_456-OBJECT_TYPE); } 
BgL_oclassz00_449 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_455); } 
{ /* Llib/thread.scm 116 */
 bool_t BgL__ortest_1111z00_450;
BgL__ortest_1111z00_450 = 
(BgL_classz00_432==BgL_oclassz00_449); 
if(BgL__ortest_1111z00_450)
{ /* Llib/thread.scm 116 */
BgL_res1750z00_463 = BgL__ortest_1111z00_450; }  else 
{ /* Llib/thread.scm 116 */
 long BgL_odepthz00_451;
BgL_odepthz00_451 = 
BGL_CLASS_DEPTH(BgL_oclassz00_449); 
if(
(((long)1)<BgL_odepthz00_451))
{ /* Llib/thread.scm 116 */
 obj_t BgL_arg1793z00_453;
BgL_arg1793z00_453 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_449, ((long)1)); 
BgL_res1750z00_463 = 
(BgL_arg1793z00_453==BgL_classz00_432); }  else 
{ /* Llib/thread.scm 116 */
BgL_res1750z00_463 = ((bool_t)0); } } } } 
BgL_arg1795z00_438 = BgL_res1750z00_463; } 
BgL_test1907z00_1224 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_437, BgL_arg1795z00_438); } }  else 
{ /* Llib/thread.scm 116 */
BgL_test1907z00_1224 = ((bool_t)0)
; } } 
if(BgL_test1907z00_1224)
{ /* Llib/thread.scm 116 */
if(
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_spawnedz00))
{ /* Llib/thread.scm 118 */
BgL_test1906z00_1223 = ((bool_t)0)
; }  else 
{ /* Llib/thread.scm 118 */
BgL_test1906z00_1223 = ((bool_t)1)
; } }  else 
{ /* Llib/thread.scm 116 */
BgL_test1906z00_1223 = ((bool_t)0)
; } } 
if(BgL_test1906z00_1223)
{ /* Llib/thread.scm 116 */
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_spawnedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/thread.scm 123 */
 obj_t BgL_arg1181z00_65;
BgL_arg1181z00_65 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_idz00); 
BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42), BgL_arg1181z00_65); } 
{ /* Llib/thread.scm 124 */
 obj_t BgL_resz00_66;
{ /* Llib/thread.scm 124 */
 obj_t BgL_exitd1084z00_67;
BgL_exitd1084z00_67 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/thread.scm 126 */
 obj_t BgL_zc3z04anonymousza31183ze3z87_835;
BgL_zc3z04anonymousza31183ze3z87_835 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31183ze3ze5zz__ft_threadz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_835, 
(int)(((long)0)), BgL_tz00_42); 
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1818z00_464;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1819z00_465;
BgL_arg1819z00_465 = 
BGL_EXITD_PROTECT(BgL_exitd1084z00_67); 
BgL_arg1818z00_464 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31183ze3z87_835, BgL_arg1819z00_465); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1084z00_67, BgL_arg1818z00_464); BUNSPEC; } 
{ /* Llib/thread.scm 125 */
 obj_t BgL_tmp1086z00_69;
{ /* Llib/thread.scm 125 */
 obj_t BgL_fun1182z00_70;
BgL_fun1182z00_70 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_thunkz00); 
BgL_tmp1086z00_69 = 
PROCEDURE_ENTRY(BgL_fun1182z00_70)(BgL_fun1182z00_70, BEOA); } 
{ /* Llib/thread.scm 124 */
 bool_t BgL_test1912z00_1266;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1817z00_467;
BgL_arg1817z00_467 = 
BGL_EXITD_PROTECT(BgL_exitd1084z00_67); 
BgL_test1912z00_1266 = 
PAIRP(BgL_arg1817z00_467); } 
if(BgL_test1912z00_1266)
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1815z00_468;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1816z00_469;
BgL_arg1816z00_469 = 
BGL_EXITD_PROTECT(BgL_exitd1084z00_67); 
BgL_arg1815z00_468 = 
CDR(
((obj_t)BgL_arg1816z00_469)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1084z00_67, BgL_arg1815z00_468); BUNSPEC; }  else 
{ /* Llib/thread.scm 124 */BFALSE; } } 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(BgL_tz00_42); 
BgL_resz00_66 = BgL_tmp1086z00_69; } } } 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_53), BgL_sigz00_54, BgL_resz00_66); 
return BgL_resz00_66;} }  else 
{ /* Llib/thread.scm 116 */
{ /* Llib/thread.scm 131 */
 obj_t BgL_arg1184z00_73;
BgL_arg1184z00_73 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_sigz00_54, BgL_arg1184z00_73, 
((BgL_threadz00_bglt)BgL_tz00_42)); } 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42)); 
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_54, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2));} } } } }  else 
{ /* Llib/thread.scm 161 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__ft_threadz00, BGl_string1789z00zz__ft_threadz00, BgL_tz00_42);} }  else 
{ /* Llib/thread.scm 159 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__ft_threadz00, BGl_string1790z00zz__ft_threadz00, BgL_tz00_42);} } } } } } 

}



/* &thread-await! */
obj_t BGl_z62threadzd2awaitz12za2zz__ft_threadz00(obj_t BgL_envz00_836, obj_t BgL_sigz00_837, obj_t BgL_argz00_838)
{
{ /* Llib/thread.scm 107 */
return 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(BgL_sigz00_837, BgL_argz00_838);} 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__ft_threadz00(obj_t BgL_envz00_839)
{
{ /* Llib/thread.scm 124 */
return 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(
PROCEDURE_REF(BgL_envz00_839, 
(int)(((long)0))));} 

}



/* thread-await*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitza2z12z62zz__ft_threadz00(obj_t BgL_sza2za2_9, obj_t BgL_argz00_10)
{
{ /* Llib/thread.scm 173 */
{ /* Llib/thread.scm 174 */
 obj_t BgL_tz00_101;
BgL_tz00_101 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 174 */

{ 
 obj_t BgL_eza2za2_143; obj_t BgL_sz00_144; obj_t BgL_timeoutz00_145; obj_t BgL_eza2za2_112; obj_t BgL_sz00_113;
{ /* Llib/thread.scm 215 */
 bool_t BgL_test1913z00_1291;
{ /* Llib/thread.scm 215 */
 obj_t BgL_classz00_550;
BgL_classz00_550 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_101))
{ /* Llib/thread.scm 215 */
 BgL_objectz00_bglt BgL_arg1797z00_552;
BgL_arg1797z00_552 = 
(BgL_objectz00_bglt)(BgL_tz00_101); 
{ /* Llib/thread.scm 215 */
 bool_t BgL_arg1794z00_555; bool_t BgL_arg1795z00_556;
{ /* Llib/thread.scm 215 */
 long BgL_idxz00_559;
BgL_idxz00_559 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_552); 
BgL_arg1794z00_555 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_559+((long)1)))==BgL_classz00_550); } 
{ /* Llib/thread.scm 215 */
 bool_t BgL_res1753z00_581;
{ /* Llib/thread.scm 215 */
 obj_t BgL_oclassz00_567;
{ /* Llib/thread.scm 215 */
 long BgL_arg1804z00_573;
{ /* Llib/thread.scm 215 */
 long BgL_arg1805z00_574;
BgL_arg1805z00_574 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_552); 
BgL_arg1804z00_573 = 
(BgL_arg1805z00_574-OBJECT_TYPE); } 
BgL_oclassz00_567 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_573); } 
{ /* Llib/thread.scm 215 */
 bool_t BgL__ortest_1111z00_568;
BgL__ortest_1111z00_568 = 
(BgL_classz00_550==BgL_oclassz00_567); 
if(BgL__ortest_1111z00_568)
{ /* Llib/thread.scm 215 */
BgL_res1753z00_581 = BgL__ortest_1111z00_568; }  else 
{ /* Llib/thread.scm 215 */
 long BgL_odepthz00_569;
BgL_odepthz00_569 = 
BGL_CLASS_DEPTH(BgL_oclassz00_567); 
if(
(((long)1)<BgL_odepthz00_569))
{ /* Llib/thread.scm 215 */
 obj_t BgL_arg1793z00_571;
BgL_arg1793z00_571 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_567, ((long)1)); 
BgL_res1753z00_581 = 
(BgL_arg1793z00_571==BgL_classz00_550); }  else 
{ /* Llib/thread.scm 215 */
BgL_res1753z00_581 = ((bool_t)0); } } } } 
BgL_arg1795z00_556 = BgL_res1753z00_581; } 
BgL_test1913z00_1291 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_555, BgL_arg1795z00_556); } }  else 
{ /* Llib/thread.scm 215 */
BgL_test1913z00_1291 = ((bool_t)0)
; } } 
if(BgL_test1913z00_1291)
{ /* Llib/thread.scm 215 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_101)))
{ /* Llib/thread.scm 217 */
if(
PAIRP(BgL_argz00_10))
{ /* Llib/thread.scm 221 */
 obj_t BgL_arg1218z00_108; obj_t BgL_arg1219z00_109;
BgL_arg1218z00_108 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_101)))->BgL_schedulerz00); 
BgL_arg1219z00_109 = 
CAR(BgL_argz00_10); 
BgL_eza2za2_143 = BgL_sza2za2_9; 
BgL_sz00_144 = BgL_arg1218z00_108; 
BgL_timeoutz00_145 = BgL_arg1219z00_109; 
{ /* Llib/thread.scm 194 */
 bool_t BgL_test1919z00_1318;
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_timeoutz00_145))
{ /* Llib/thread.scm 194 */
if(
INTEGERP(BgL_timeoutz00_145))
{ /* Llib/thread.scm 194 */
BgL_test1919z00_1318 = 
(
(long)CINT(BgL_timeoutz00_145)>=((long)0))
; }  else 
{ /* Llib/thread.scm 194 */
BgL_test1919z00_1318 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_timeoutz00_145, 
BINT(((long)0)))
; } }  else 
{ /* Llib/thread.scm 194 */
BgL_test1919z00_1318 = ((bool_t)0)
; } 
if(BgL_test1919z00_1318)
{ /* Llib/thread.scm 196 */
 obj_t BgL_g1095z00_151;
BgL_g1095z00_151 = 
CNST_TABLE_REF(((long)0)); 
{ 
 obj_t BgL_esz00_153; obj_t BgL_stagez00_154;
BgL_esz00_153 = BgL_eza2za2_143; 
BgL_stagez00_154 = BgL_g1095z00_151; 
BgL_zc3z04anonymousza31247ze3z87_155:
if(
NULLP(BgL_esz00_153))
{ /* Llib/thread.scm 199 */
if(
(BgL_stagez00_154==
CNST_TABLE_REF(((long)0))))
{ /* Llib/thread.scm 200 */
{ /* Llib/thread.scm 202 */
 BgL_schedulerz00_bglt BgL_i1097z00_159;
BgL_i1097z00_159 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_101)))->BgL_schedulerz00)); 
{ 
 obj_t BgL_l1126z00_161;
BgL_l1126z00_161 = BgL_eza2za2_143; 
BgL_zc3z04anonymousza31250ze3z87_162:
if(
PAIRP(BgL_l1126z00_161))
{ /* Llib/thread.scm 203 */
{ /* Llib/thread.scm 204 */
 obj_t BgL_ez00_164;
BgL_ez00_164 = 
CAR(BgL_l1126z00_161); 
{ /* Llib/thread.scm 204 */
 obj_t BgL_arg1252z00_165;
BgL_arg1252z00_165 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1097z00_159))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_ez00_164, BgL_arg1252z00_165, 
((BgL_threadz00_bglt)BgL_tz00_101)); } } 
{ 
 obj_t BgL_l1126z00_1342;
BgL_l1126z00_1342 = 
CDR(BgL_l1126z00_161); 
BgL_l1126z00_161 = BgL_l1126z00_1342; 
goto BgL_zc3z04anonymousza31250ze3z87_162;} }  else 
{ /* Llib/thread.scm 203 */((bool_t)1); } } } 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_101), 
CINT(BgL_timeoutz00_145)); 
{ 
 obj_t BgL_stagez00_1348; obj_t BgL_esz00_1347;
BgL_esz00_1347 = BgL_eza2za2_143; 
BgL_stagez00_1348 = 
CNST_TABLE_REF(((long)1)); 
BgL_stagez00_154 = BgL_stagez00_1348; 
BgL_esz00_153 = BgL_esz00_1347; 
goto BgL_zc3z04anonymousza31247ze3z87_155;} }  else 
{ /* Llib/thread.scm 200 */
{ /* Llib/thread.scm 208 */
 int BgL_tmpz00_1350;
BgL_tmpz00_1350 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1350); } 
{ /* Llib/thread.scm 208 */
 int BgL_tmpz00_1353;
BgL_tmpz00_1353 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1353, BFALSE); } 
return BFALSE;} }  else 
{ /* Llib/thread.scm 209 */
 bool_t BgL_test1925z00_1356;
{ /* Llib/thread.scm 209 */
 obj_t BgL_arg1270z00_178; obj_t BgL_arg1271z00_179;
BgL_arg1270z00_178 = 
CAR(
((obj_t)BgL_esz00_153)); 
BgL_arg1271z00_179 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_144)))->BgL_envzb2zb2); 
BgL_test1925z00_1356 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_arg1270z00_178, BgL_arg1271z00_179)); } 
if(BgL_test1925z00_1356)
{ /* Llib/thread.scm 210 */
 obj_t BgL_val0_1130z00_173; obj_t BgL_val1_1131z00_174;
{ /* Llib/thread.scm 210 */
 obj_t BgL_arg1267z00_175; obj_t BgL_arg1268z00_176;
BgL_arg1267z00_175 = 
CAR(
((obj_t)BgL_esz00_153)); 
BgL_arg1268z00_176 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_144)))->BgL_envzb2zb2); 
BgL_val0_1130z00_173 = 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_arg1267z00_175, BgL_arg1268z00_176); } 
BgL_val1_1131z00_174 = 
CAR(
((obj_t)BgL_esz00_153)); 
{ /* Llib/thread.scm 210 */
 int BgL_tmpz00_1370;
BgL_tmpz00_1370 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1370); } 
{ /* Llib/thread.scm 210 */
 int BgL_tmpz00_1373;
BgL_tmpz00_1373 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1373, BgL_val1_1131z00_174); } 
return BgL_val0_1130z00_173;}  else 
{ /* Llib/thread.scm 212 */
 obj_t BgL_arg1269z00_177;
BgL_arg1269z00_177 = 
CDR(
((obj_t)BgL_esz00_153)); 
{ 
 obj_t BgL_esz00_1378;
BgL_esz00_1378 = BgL_arg1269z00_177; 
BgL_esz00_153 = BgL_esz00_1378; 
goto BgL_zc3z04anonymousza31247ze3z87_155;} } } } }  else 
{ /* Llib/thread.scm 194 */
return 
BGl_errorz00zz__errorz00(BGl_string1791z00zz__ft_threadz00, BGl_string1788z00zz__ft_threadz00, BgL_timeoutz00_145);} } }  else 
{ /* Llib/thread.scm 224 */
 obj_t BgL_arg1221z00_111;
BgL_arg1221z00_111 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_101)))->BgL_schedulerz00); 
BgL_eza2za2_112 = BgL_sza2za2_9; 
BgL_sz00_113 = BgL_arg1221z00_111; 
{ 
 obj_t BgL_esz00_117;
BgL_esz00_117 = BgL_eza2za2_112; 
BgL_zc3z04anonymousza31223ze3z87_118:
if(
NULLP(BgL_esz00_117))
{ /* Llib/thread.scm 180 */
{ 
 obj_t BgL_l1120z00_122;
BgL_l1120z00_122 = BgL_eza2za2_112; 
BgL_zc3z04anonymousza31225ze3z87_123:
if(
PAIRP(BgL_l1120z00_122))
{ /* Llib/thread.scm 182 */
{ /* Llib/thread.scm 183 */
 obj_t BgL_ez00_125;
BgL_ez00_125 = 
CAR(BgL_l1120z00_122); 
{ /* Llib/thread.scm 183 */
 obj_t BgL_arg1227z00_126;
BgL_arg1227z00_126 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_113)))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_ez00_125, BgL_arg1227z00_126, 
((BgL_threadz00_bglt)BgL_tz00_101)); } } 
{ 
 obj_t BgL_l1120z00_1391;
BgL_l1120z00_1391 = 
CDR(BgL_l1120z00_122); 
BgL_l1120z00_122 = BgL_l1120z00_1391; 
goto BgL_zc3z04anonymousza31225ze3z87_123;} }  else 
{ /* Llib/thread.scm 182 */((bool_t)1); } } 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_101)); 
{ /* Llib/thread.scm 187 */
 obj_t BgL_val0_1122z00_130; obj_t BgL_val1_1123z00_131;
BgL_val0_1122z00_130 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_101)))->BgL_z52awakezd2valuez80); 
BgL_val1_1123z00_131 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_101)))->BgL_z52awakezd2signalz80); 
{ /* Llib/thread.scm 187 */
 int BgL_tmpz00_1399;
BgL_tmpz00_1399 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1399); } 
{ /* Llib/thread.scm 187 */
 int BgL_tmpz00_1402;
BgL_tmpz00_1402 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1402, BgL_val1_1123z00_131); } 
return BgL_val0_1122z00_130;} }  else 
{ /* Llib/thread.scm 188 */
 bool_t BgL_test1928z00_1405;
{ /* Llib/thread.scm 188 */
 obj_t BgL_arg1239z00_140; obj_t BgL_arg1242z00_141;
BgL_arg1239z00_140 = 
CAR(
((obj_t)BgL_esz00_117)); 
BgL_arg1242z00_141 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_113)))->BgL_envzb2zb2); 
BgL_test1928z00_1405 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_arg1239z00_140, BgL_arg1242z00_141)); } 
if(BgL_test1928z00_1405)
{ /* Llib/thread.scm 189 */
 obj_t BgL_val0_1124z00_135; obj_t BgL_val1_1125z00_136;
{ /* Llib/thread.scm 189 */
 obj_t BgL_arg1234z00_137; obj_t BgL_arg1235z00_138;
BgL_arg1234z00_137 = 
CAR(
((obj_t)BgL_esz00_117)); 
BgL_arg1235z00_138 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_113)))->BgL_envzb2zb2); 
BgL_val0_1124z00_135 = 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_arg1234z00_137, BgL_arg1235z00_138); } 
BgL_val1_1125z00_136 = 
CAR(
((obj_t)BgL_esz00_117)); 
{ /* Llib/thread.scm 189 */
 int BgL_tmpz00_1419;
BgL_tmpz00_1419 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1419); } 
{ /* Llib/thread.scm 189 */
 int BgL_tmpz00_1422;
BgL_tmpz00_1422 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1422, BgL_val1_1125z00_136); } 
return BgL_val0_1124z00_135;}  else 
{ /* Llib/thread.scm 191 */
 obj_t BgL_arg1238z00_139;
BgL_arg1238z00_139 = 
CDR(
((obj_t)BgL_esz00_117)); 
{ 
 obj_t BgL_esz00_1427;
BgL_esz00_1427 = BgL_arg1238z00_139; 
BgL_esz00_117 = BgL_esz00_1427; 
goto BgL_zc3z04anonymousza31223ze3z87_118;} } } } } }  else 
{ /* Llib/thread.scm 217 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__ft_threadz00, BGl_string1789z00zz__ft_threadz00, BgL_tz00_101);} }  else 
{ /* Llib/thread.scm 215 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__ft_threadz00, BGl_string1790z00zz__ft_threadz00, BgL_tz00_101);} } } } } } 

}



/* &thread-await*! */
obj_t BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00(obj_t BgL_envz00_841, obj_t BgL_sza2za2_842, obj_t BgL_argz00_843)
{
{ /* Llib/thread.scm 173 */
{ /* Llib/thread.scm 174 */
 obj_t BgL_auxz00_1430;
if(
PAIRP(BgL_sza2za2_842))
{ /* Llib/thread.scm 174 */
BgL_auxz00_1430 = BgL_sza2za2_842
; }  else 
{ 
 obj_t BgL_auxz00_1433;
BgL_auxz00_1433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1792z00zz__ft_threadz00, 
BINT(((long)6510)), BGl_string1793z00zz__ft_threadz00, BGl_string1794z00zz__ft_threadz00, BgL_sza2za2_842); 
FAILURE(BgL_auxz00_1433,BFALSE,BFALSE);} 
return 
BGl_threadzd2awaitza2z12z62zz__ft_threadz00(BgL_auxz00_1430, BgL_argz00_843);} } 

}



/* thread-get-values! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(obj_t BgL_sz00_11)
{
{ /* Llib/thread.scm 229 */
{ /* Llib/thread.scm 230 */
 obj_t BgL_tz00_185;
BgL_tz00_185 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 231 */
 bool_t BgL_test1930z00_1439;
{ /* Llib/thread.scm 231 */
 obj_t BgL_classz00_583;
BgL_classz00_583 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_185))
{ /* Llib/thread.scm 231 */
 BgL_objectz00_bglt BgL_arg1797z00_585;
BgL_arg1797z00_585 = 
(BgL_objectz00_bglt)(BgL_tz00_185); 
{ /* Llib/thread.scm 231 */
 bool_t BgL_arg1794z00_588; bool_t BgL_arg1795z00_589;
{ /* Llib/thread.scm 231 */
 long BgL_idxz00_592;
BgL_idxz00_592 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_585); 
BgL_arg1794z00_588 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_592+((long)1)))==BgL_classz00_583); } 
{ /* Llib/thread.scm 231 */
 bool_t BgL_res1754z00_614;
{ /* Llib/thread.scm 231 */
 obj_t BgL_oclassz00_600;
{ /* Llib/thread.scm 231 */
 long BgL_arg1804z00_606;
{ /* Llib/thread.scm 231 */
 long BgL_arg1805z00_607;
BgL_arg1805z00_607 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_585); 
BgL_arg1804z00_606 = 
(BgL_arg1805z00_607-OBJECT_TYPE); } 
BgL_oclassz00_600 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_606); } 
{ /* Llib/thread.scm 231 */
 bool_t BgL__ortest_1111z00_601;
BgL__ortest_1111z00_601 = 
(BgL_classz00_583==BgL_oclassz00_600); 
if(BgL__ortest_1111z00_601)
{ /* Llib/thread.scm 231 */
BgL_res1754z00_614 = BgL__ortest_1111z00_601; }  else 
{ /* Llib/thread.scm 231 */
 long BgL_odepthz00_602;
BgL_odepthz00_602 = 
BGL_CLASS_DEPTH(BgL_oclassz00_600); 
if(
(((long)1)<BgL_odepthz00_602))
{ /* Llib/thread.scm 231 */
 obj_t BgL_arg1793z00_604;
BgL_arg1793z00_604 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_600, ((long)1)); 
BgL_res1754z00_614 = 
(BgL_arg1793z00_604==BgL_classz00_583); }  else 
{ /* Llib/thread.scm 231 */
BgL_res1754z00_614 = ((bool_t)0); } } } } 
BgL_arg1795z00_589 = BgL_res1754z00_614; } 
BgL_test1930z00_1439 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_588, BgL_arg1795z00_589); } }  else 
{ /* Llib/thread.scm 231 */
BgL_test1930z00_1439 = ((bool_t)0)
; } } 
if(BgL_test1930z00_1439)
{ /* Llib/thread.scm 231 */
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_185)); 
{ /* Llib/thread.scm 234 */
 BgL_schedulerz00_bglt BgL_i1101z00_188;
BgL_i1101z00_188 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_185)))->BgL_schedulerz00)); 
return 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_sz00_11, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1101z00_188))->BgL_envzb2zb2));} }  else 
{ /* Llib/thread.scm 231 */
return BFALSE;} } } } 

}



/* &thread-get-values! */
obj_t BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00(obj_t BgL_envz00_844, obj_t BgL_sz00_845)
{
{ /* Llib/thread.scm 229 */
return 
BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(BgL_sz00_845);} 

}



/* thread-get-values*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(obj_t BgL_sza2za2_12)
{
{ /* Llib/thread.scm 240 */
{ /* Llib/thread.scm 241 */
 obj_t BgL_tz00_190;
BgL_tz00_190 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 242 */
 bool_t BgL_test1934z00_1467;
{ /* Llib/thread.scm 242 */
 obj_t BgL_classz00_615;
BgL_classz00_615 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_190))
{ /* Llib/thread.scm 242 */
 BgL_objectz00_bglt BgL_arg1797z00_617;
BgL_arg1797z00_617 = 
(BgL_objectz00_bglt)(BgL_tz00_190); 
{ /* Llib/thread.scm 242 */
 bool_t BgL_arg1794z00_620; bool_t BgL_arg1795z00_621;
{ /* Llib/thread.scm 242 */
 long BgL_idxz00_624;
BgL_idxz00_624 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_617); 
BgL_arg1794z00_620 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_624+((long)1)))==BgL_classz00_615); } 
{ /* Llib/thread.scm 242 */
 bool_t BgL_res1755z00_646;
{ /* Llib/thread.scm 242 */
 obj_t BgL_oclassz00_632;
{ /* Llib/thread.scm 242 */
 long BgL_arg1804z00_638;
{ /* Llib/thread.scm 242 */
 long BgL_arg1805z00_639;
BgL_arg1805z00_639 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_617); 
BgL_arg1804z00_638 = 
(BgL_arg1805z00_639-OBJECT_TYPE); } 
BgL_oclassz00_632 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_638); } 
{ /* Llib/thread.scm 242 */
 bool_t BgL__ortest_1111z00_633;
BgL__ortest_1111z00_633 = 
(BgL_classz00_615==BgL_oclassz00_632); 
if(BgL__ortest_1111z00_633)
{ /* Llib/thread.scm 242 */
BgL_res1755z00_646 = BgL__ortest_1111z00_633; }  else 
{ /* Llib/thread.scm 242 */
 long BgL_odepthz00_634;
BgL_odepthz00_634 = 
BGL_CLASS_DEPTH(BgL_oclassz00_632); 
if(
(((long)1)<BgL_odepthz00_634))
{ /* Llib/thread.scm 242 */
 obj_t BgL_arg1793z00_636;
BgL_arg1793z00_636 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_632, ((long)1)); 
BgL_res1755z00_646 = 
(BgL_arg1793z00_636==BgL_classz00_615); }  else 
{ /* Llib/thread.scm 242 */
BgL_res1755z00_646 = ((bool_t)0); } } } } 
BgL_arg1795z00_621 = BgL_res1755z00_646; } 
BgL_test1934z00_1467 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_620, BgL_arg1795z00_621); } }  else 
{ /* Llib/thread.scm 242 */
BgL_test1934z00_1467 = ((bool_t)0)
; } } 
if(BgL_test1934z00_1467)
{ /* Llib/thread.scm 242 */
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_190)); 
{ /* Llib/thread.scm 244 */
 obj_t BgL_head1134z00_194;
BgL_head1134z00_194 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1132z00_196; obj_t BgL_tail1135z00_197;
BgL_l1132z00_196 = BgL_sza2za2_12; 
BgL_tail1135z00_197 = BgL_head1134z00_194; 
BgL_zc3z04anonymousza31282ze3z87_198:
if(
NULLP(BgL_l1132z00_196))
{ /* Llib/thread.scm 244 */
return 
CDR(BgL_head1134z00_194);}  else 
{ /* Llib/thread.scm 244 */
 obj_t BgL_newtail1136z00_200;
{ /* Llib/thread.scm 244 */
 obj_t BgL_arg1286z00_202;
{ /* Llib/thread.scm 244 */
 obj_t BgL_sz00_203;
BgL_sz00_203 = 
CAR(
((obj_t)BgL_l1132z00_196)); 
{ /* Llib/thread.scm 246 */
 BgL_schedulerz00_bglt BgL_i1103z00_205;
BgL_i1103z00_205 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_190)))->BgL_schedulerz00)); 
BgL_arg1286z00_202 = 
MAKE_YOUNG_PAIR(BgL_sz00_203, 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_sz00_203, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1103z00_205))->BgL_envzb2zb2))); } } 
BgL_newtail1136z00_200 = 
MAKE_YOUNG_PAIR(BgL_arg1286z00_202, BNIL); } 
SET_CDR(BgL_tail1135z00_197, BgL_newtail1136z00_200); 
{ /* Llib/thread.scm 244 */
 obj_t BgL_arg1285z00_201;
BgL_arg1285z00_201 = 
CDR(
((obj_t)BgL_l1132z00_196)); 
{ 
 obj_t BgL_tail1135z00_1505; obj_t BgL_l1132z00_1504;
BgL_l1132z00_1504 = BgL_arg1285z00_201; 
BgL_tail1135z00_1505 = BgL_newtail1136z00_200; 
BgL_tail1135z00_197 = BgL_tail1135z00_1505; 
BgL_l1132z00_196 = BgL_l1132z00_1504; 
goto BgL_zc3z04anonymousza31282ze3z87_198;} } } } } }  else 
{ /* Llib/thread.scm 242 */
return BFALSE;} } } } 

}



/* &thread-get-values*! */
obj_t BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00(obj_t BgL_envz00_846, obj_t BgL_sza2za2_847)
{
{ /* Llib/thread.scm 240 */
{ /* Llib/thread.scm 241 */
 obj_t BgL_auxz00_1506;
if(
PAIRP(BgL_sza2za2_847))
{ /* Llib/thread.scm 241 */
BgL_auxz00_1506 = BgL_sza2za2_847
; }  else 
{ 
 obj_t BgL_auxz00_1509;
BgL_auxz00_1509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1792z00zz__ft_threadz00, 
BINT(((long)8929)), BGl_string1795z00zz__ft_threadz00, BGl_string1794z00zz__ft_threadz00, BgL_sza2za2_847); 
FAILURE(BgL_auxz00_1509,BFALSE,BFALSE);} 
return 
BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(BgL_auxz00_1506);} } 

}



/* thread-await-values! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(obj_t BgL_sz00_13, obj_t BgL_tmtz00_14)
{
{ /* Llib/thread.scm 253 */
{ /* Llib/thread.scm 254 */
 obj_t BgL_runner1291z00_651;
{ /* Llib/thread.scm 254 */
 obj_t BgL_list1289z00_652;
BgL_list1289z00_652 = 
MAKE_YOUNG_PAIR(BgL_tmtz00_14, BNIL); 
BgL_runner1291z00_651 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_sz00_13, BgL_list1289z00_652); } 
{ /* Llib/thread.scm 254 */
 obj_t BgL_aux1290z00_653;
BgL_aux1290z00_653 = 
CAR(BgL_runner1291z00_651); 
BgL_runner1291z00_651 = 
CDR(BgL_runner1291z00_651); 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(BgL_aux1290z00_653, BgL_runner1291z00_651); } } 
return 
BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(BgL_sz00_13);} 

}



/* &thread-await-values! */
obj_t BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00(obj_t BgL_envz00_848, obj_t BgL_sz00_849, obj_t BgL_tmtz00_850)
{
{ /* Llib/thread.scm 253 */
return 
BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(BgL_sz00_849, BgL_tmtz00_850);} 

}



/* thread-await-values*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(obj_t BgL_sza2za2_15, obj_t BgL_tmtz00_16)
{
{ /* Llib/thread.scm 260 */
{ /* Llib/thread.scm 261 */
 obj_t BgL_runner1294z00_656;
{ /* Llib/thread.scm 261 */
 obj_t BgL_list1292z00_657;
BgL_list1292z00_657 = 
MAKE_YOUNG_PAIR(BgL_tmtz00_16, BNIL); 
BgL_runner1294z00_656 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_sza2za2_15, BgL_list1292z00_657); } 
{ /* Llib/thread.scm 261 */
 obj_t BgL_aux1293z00_658;
BgL_aux1293z00_658 = 
CAR(BgL_runner1294z00_656); 
BgL_runner1294z00_656 = 
CDR(BgL_runner1294z00_656); 
BGl_threadzd2awaitza2z12z62zz__ft_threadz00(BgL_aux1293z00_658, BgL_runner1294z00_656); } } 
return 
BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(BgL_sza2za2_15);} 

}



/* &thread-await-values*! */
obj_t BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00(obj_t BgL_envz00_851, obj_t BgL_sza2za2_852, obj_t BgL_tmtz00_853)
{
{ /* Llib/thread.scm 260 */
{ /* Llib/thread.scm 261 */
 obj_t BgL_auxz00_1527;
if(
PAIRP(BgL_sza2za2_852))
{ /* Llib/thread.scm 261 */
BgL_auxz00_1527 = BgL_sza2za2_852
; }  else 
{ 
 obj_t BgL_auxz00_1530;
BgL_auxz00_1530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1792z00zz__ft_threadz00, 
BINT(((long)9790)), BGl_string1796z00zz__ft_threadz00, BGl_string1794z00zz__ft_threadz00, BgL_sza2za2_852); 
FAILURE(BgL_auxz00_1530,BFALSE,BFALSE);} 
return 
BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(BgL_auxz00_1527, BgL_tmtz00_853);} } 

}



/* thread-suspend/resume! */
obj_t BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_22, obj_t BgL_whoz00_23, bool_t BgL_valz00_24)
{
{ /* Llib/thread.scm 341 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_tz00_22))
{ /* Llib/thread.scm 346 */
 bool_t BgL_test1942z00_1537;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_tz00_22, BNIL))
{ /* Llib/thread.scm 346 */
BgL_test1942z00_1537 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 346 */
if(
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_tz00_22, BNIL))
{ /* Llib/thread.scm 347 */
BgL_test1942z00_1537 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 347 */
BgL_test1942z00_1537 = 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_tz00_22, BNIL)
; } } 
if(BgL_test1942z00_1537)
{ /* Llib/thread.scm 346 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 355 */
 BgL_z52schedulerz52_bglt BgL_i1112z00_225;
BgL_i1112z00_225 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_22))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_1545;
{ /* Llib/thread.scm 356 */
 obj_t BgL_arg1331z00_226; obj_t BgL_arg1332z00_227;
BgL_arg1331z00_226 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_22), 
BBOOL(BgL_valz00_24)); 
BgL_arg1332z00_227 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1112z00_225))->BgL_tosuspendzf2resumezf2); 
BgL_auxz00_1545 = 
MAKE_YOUNG_PAIR(BgL_arg1331z00_226, BgL_arg1332z00_227); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1112z00_225))->BgL_tosuspendzf2resumezf2)=((obj_t)BgL_auxz00_1545),BUNSPEC);} } }  else 
{ /* Llib/thread.scm 343 */
return 
BGl_errorz00zz__errorz00(BgL_whoz00_23, BGl_string1797z00zz__ft_threadz00, 
((obj_t)BgL_tz00_22));} } 

}



/* thread-suspend! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_25)
{
{ /* Llib/thread.scm 361 */
return 
BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_tz00_25, 
CNST_TABLE_REF(((long)2)), ((bool_t)1));} 

}



/* &thread-suspend! */
obj_t BGl_z62threadzd2suspendz12za2zz__ft_threadz00(obj_t BgL_envz00_854, obj_t BgL_tz00_855)
{
{ /* Llib/thread.scm 361 */
{ /* Llib/thread.scm 362 */
 BgL_fthreadz00_bglt BgL_auxz00_1556;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_855, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/thread.scm 362 */
BgL_auxz00_1556 = 
((BgL_fthreadz00_bglt)BgL_tz00_855)
; }  else 
{ 
 obj_t BgL_auxz00_1560;
BgL_auxz00_1560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1792z00zz__ft_threadz00, 
BINT(((long)14254)), BGl_string1798z00zz__ft_threadz00, BGl_string1799z00zz__ft_threadz00, BgL_tz00_855); 
FAILURE(BgL_auxz00_1560,BFALSE,BFALSE);} 
return 
BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_auxz00_1556);} } 

}



/* thread-resume! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_26)
{
{ /* Llib/thread.scm 367 */
return 
BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_tz00_26, 
CNST_TABLE_REF(((long)3)), ((bool_t)0));} 

}



/* &thread-resume! */
obj_t BGl_z62threadzd2resumez12za2zz__ft_threadz00(obj_t BgL_envz00_856, obj_t BgL_tz00_857)
{
{ /* Llib/thread.scm 367 */
{ /* Llib/thread.scm 368 */
 BgL_fthreadz00_bglt BgL_auxz00_1567;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_857, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/thread.scm 368 */
BgL_auxz00_1567 = 
((BgL_fthreadz00_bglt)BgL_tz00_857)
; }  else 
{ 
 obj_t BgL_auxz00_1571;
BgL_auxz00_1571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1792z00zz__ft_threadz00, 
BINT(((long)14555)), BGl_string1800z00zz__ft_threadz00, BGl_string1799z00zz__ft_threadz00, BgL_tz00_857); 
FAILURE(BgL_auxz00_1571,BFALSE,BFALSE);} 
return 
BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_auxz00_1567);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 31 */
 obj_t BgL_arg1341z00_236; obj_t BgL_arg1342z00_237;
{ /* Llib/thread.scm 31 */
 obj_t BgL_v1137z00_250;
BgL_v1137z00_250 = 
create_vector(((long)0)); 
BgL_arg1341z00_236 = BgL_v1137z00_250; } 
{ /* Llib/thread.scm 31 */
 obj_t BgL_v1138z00_251;
BgL_v1138z00_251 = 
create_vector(((long)0)); 
BgL_arg1342z00_237 = BgL_v1138z00_251; } 
return ( 
BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), BGl_z62exceptionz62zz__objectz00, ((long)60410), BGl_proc1803z00zz__ft_threadz00, BGl_proc1802z00zz__ft_threadz00, BFALSE, BGl_proc1801z00zz__ft_threadz00, BFALSE, BgL_arg1341z00_236, BgL_arg1342z00_237), BUNSPEC) ;} } 

}



/* &<@anonymous:1349> */
obj_t BGl_z62zc3z04anonymousza31349ze3ze5zz__ft_threadz00(obj_t BgL_envz00_861, obj_t BgL_new1066z00_862)
{
{ /* Llib/thread.scm 31 */
{ 
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_auxz00_1581;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1066z00_862))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1066z00_862))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1066z00_862))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1581 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1066z00_862); 
return 
((obj_t)BgL_auxz00_1581);} } 

}



/* &lambda1346 */
BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1346z62zz__ft_threadz00(obj_t BgL_envz00_863)
{
{ /* Llib/thread.scm 31 */
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1065z00_955;
BgL_new1065z00_955 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 31 */
 long BgL_arg1348z00_956;
BgL_arg1348z00_956 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_955), BgL_arg1348z00_956); } 
return BgL_new1065z00_955;} } 

}



/* &lambda1343 */
BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1343z62zz__ft_threadz00(obj_t BgL_envz00_864, obj_t BgL_fname1062z00_865, obj_t BgL_location1063z00_866, obj_t BgL_stack1064z00_867)
{
{ /* Llib/thread.scm 31 */
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1118z00_957;
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1117z00_958;
BgL_new1117z00_958 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 31 */
 long BgL_arg1345z00_959;
BgL_arg1345z00_959 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_958), BgL_arg1345z00_959); } 
BgL_new1118z00_957 = BgL_new1117z00_958; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1118z00_957)))->BgL_fnamez00)=((obj_t)BgL_fname1062z00_865),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1118z00_957)))->BgL_locationz00)=((obj_t)BgL_location1063z00_866),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1118z00_957)))->BgL_stackz00)=((obj_t)BgL_stack1064z00_867),BUNSPEC); 
return BgL_new1118z00_957;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2equalzf3zd2envzf3zz__objectz00, BGl_z52sigjoinz52zz__ft_typesz00, BGl_proc1804z00zz__ft_threadz00, BGl_string1805z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1806z00zz__ft_threadz00, BGl_string1807z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1808z00zz__ft_threadz00, BGl_string1809z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1810z00zz__ft_threadz00, BGl_string1811z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1812z00zz__ft_threadz00, BGl_string1813z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1814z00zz__ft_threadz00, BGl_string1815z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1816z00zz__ft_threadz00, BGl_string1817z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1818z00zz__ft_threadz00, BGl_string1819z00zz__ft_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1820z00zz__ft_threadz00, BGl_string1821z00zz__ft_threadz00);} 

}



/* &thread-cleanup-set!-1159 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21159za2zz__ft_threadz00(obj_t BgL_envz00_878, obj_t BgL_thz00_879, obj_t BgL_vz00_880)
{
{ /* Llib/thread.scm 394 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_879)))->BgL_z52cleanupz52)=((obj_t)BgL_vz00_880),BUNSPEC);} 

}



/* &thread-cleanup-fthre1157 */
obj_t BGl_z62threadzd2cleanupzd2fthre1157z62zz__ft_threadz00(obj_t BgL_envz00_881, obj_t BgL_thz00_882)
{
{ /* Llib/thread.scm 387 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_882)))->BgL_z52cleanupz52);} 

}



/* &thread-specific-set!1155 */
obj_t BGl_z62threadzd2specificzd2setz121155z70zz__ft_threadz00(obj_t BgL_envz00_883, obj_t BgL_thz00_884, obj_t BgL_vz00_885)
{
{ /* Llib/thread.scm 380 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_884)))->BgL_z52specificz52)=((obj_t)BgL_vz00_885),BUNSPEC);} 

}



/* &thread-specific-fthr1153 */
obj_t BGl_z62threadzd2specificzd2fthr1153z62zz__ft_threadz00(obj_t BgL_envz00_886, obj_t BgL_thz00_887)
{
{ /* Llib/thread.scm 373 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_887)))->BgL_z52specificz52);} 

}



/* &thread-terminate!-ft1151 */
obj_t BGl_z62threadzd2terminatez12zd2ft1151z70zz__ft_threadz00(obj_t BgL_envz00_888, obj_t BgL_tz00_889)
{
{ /* Llib/thread.scm 309 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_889)))
{ /* Llib/thread.scm 318 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_889), BNIL))
{ /* Llib/thread.scm 321 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 321 */
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_889), BNIL))
{ /* Llib/thread.scm 324 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 324 */
{ /* Llib/thread.scm 329 */
 obj_t BgL_list1739z00_965;
BgL_list1739z00_965 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_889), BgL_list1739z00_965); } 
{ 
 obj_t BgL_auxz00_1636;
{ /* Llib/thread.scm 331 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1109z00_966;
{ /* Llib/thread.scm 331 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1108z00_967;
BgL_new1108z00_967 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 331 */
 long BgL_arg1742z00_968;
{ /* Llib/thread.scm 331 */
 obj_t BgL_classz00_969;
BgL_classz00_969 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1742z00_968 = 
BGL_CLASS_NUM(BgL_classz00_969); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_967), BgL_arg1742z00_968); } 
BgL_new1109z00_966 = BgL_new1108z00_967; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_966)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_966)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1646;
{ /* Llib/thread.scm 331 */
 obj_t BgL_arg1740z00_970;
{ /* Llib/thread.scm 331 */
 obj_t BgL_arg1741z00_971;
{ /* Llib/thread.scm 331 */
 obj_t BgL_classz00_972;
BgL_classz00_972 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1741z00_971 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_972); } 
BgL_arg1740z00_970 = 
VECTOR_REF(BgL_arg1741z00_971,((long)2)); } 
BgL_auxz00_1646 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1740z00_970); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_966)))->BgL_stackz00)=((obj_t)BgL_auxz00_1646),BUNSPEC); } 
BgL_auxz00_1636 = 
((obj_t)BgL_new1109z00_966); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_889)))->BgL_z52exczd2resultz80)=((obj_t)BgL_auxz00_1636),BUNSPEC); } 
{ /* Llib/thread.scm 334 */
 BgL_z52schedulerz52_bglt BgL_i1110z00_973;
BgL_i1110z00_973 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_889)))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_1657;
{ /* Llib/thread.scm 336 */
 obj_t BgL_arg1744z00_974;
BgL_arg1744z00_974 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1110z00_973))->BgL_toterminatez00); 
BgL_auxz00_1657 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_889)), BgL_arg1744z00_974); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1110z00_973))->BgL_toterminatez00)=((obj_t)BgL_auxz00_1657),BUNSPEC);} } } } }  else 
{ /* Llib/thread.scm 318 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1797z00zz__ft_threadz00, 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_889)));} } 

}



/* &thread-start!-fthrea1149 */
obj_t BGl_z62threadzd2startz12zd2fthrea1149z70zz__ft_threadz00(obj_t BgL_envz00_890, obj_t BgL_tz00_891, obj_t BgL_oz00_892)
{
{ /* Llib/thread.scm 280 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_891)))
{ /* Llib/thread.scm 286 */
return 
BGl_errorz00zz__errorz00(BGl_string1811z00zz__ft_threadz00, BGl_string1822z00zz__ft_threadz00, 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_891)));}  else 
{ /* Llib/thread.scm 288 */
 BgL_schedulerz00_bglt BgL_scdlz00_976;
BgL_scdlz00_976 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)7)), BgL_oz00_892); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_891)))->BgL_schedulerz00)=((obj_t)
((obj_t)BgL_scdlz00_976)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_891)))->BgL_z52builtinz52)=((obj_t)
BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(
((BgL_fthreadz00_bglt)BgL_tz00_891))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_891)))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)8))),BUNSPEC); 
{ /* Llib/thread.scm 295 */
 obj_t BgL_arg1728z00_977;
BgL_arg1728z00_977 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_891)))->BgL_z52builtinz52); 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1728z00_977), BNIL); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_976)))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(
(((long)1)+
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_976)))->BgL_z52livezd2threadzd2numberz52))))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1696;
{ /* Llib/thread.scm 302 */
 obj_t BgL_arg1731z00_978;
BgL_arg1731z00_978 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_976)))->BgL_tostartz00); 
BgL_auxz00_1696 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_891)), BgL_arg1731z00_978); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_976)))->BgL_tostartz00)=((obj_t)BgL_auxz00_1696),BUNSPEC); } 
return 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_891));} } 

}



/* &object-write-fthread1147 */
obj_t BGl_z62objectzd2writezd2fthread1147z62zz__ft_threadz00(obj_t BgL_envz00_893, obj_t BgL_oz00_894, obj_t BgL_portz00_895)
{
{ /* Llib/thread.scm 267 */
{ /* Llib/thread.scm 268 */
 obj_t BgL_arg1674z00_980;
if(
PAIRP(BgL_portz00_895))
{ /* Llib/thread.scm 268 */
BgL_arg1674z00_980 = 
CAR(BgL_portz00_895); }  else 
{ /* Llib/thread.scm 268 */
 obj_t BgL_tmpz00_1709;
BgL_tmpz00_1709 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1674z00_980 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1709); } 
{ /* Llib/thread.scm 270 */
 obj_t BgL_zc3z04anonymousza31679ze3z87_981;
BgL_zc3z04anonymousza31679ze3z87_981 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31679ze3ze5zz__ft_threadz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31679ze3z87_981, 
(int)(((long)0)), 
((obj_t)
((BgL_fthreadz00_bglt)BgL_oz00_894))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1674z00_980, BgL_zc3z04anonymousza31679ze3z87_981);} } } 

}



/* &<@anonymous:1679> */
obj_t BGl_z62zc3z04anonymousza31679ze3ze5zz__ft_threadz00(obj_t BgL_envz00_896)
{
{ /* Llib/thread.scm 269 */
{ /* Llib/thread.scm 270 */
 BgL_fthreadz00_bglt BgL_oz00_897;
BgL_oz00_897 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_896, 
(int)(((long)0)))); 
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1684z00_982; obj_t BgL_arg1685z00_983; int BgL_arg1688z00_984; obj_t BgL_arg1691z00_985;
BgL_arg1684z00_982 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_oz00_897)))->BgL_namez00); 
BgL_arg1685z00_983 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_897))->BgL_z52statez52); 
BgL_arg1688z00_984 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_897))->BgL_z52timeoutz52); 
BgL_arg1691z00_985 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_897))->BgL_z52signalsz52); 
{ /* Llib/thread.scm 271 */
 obj_t BgL_list1692z00_986;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1701z00_987;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1704z00_988;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1706z00_989;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1707z00_990;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1709z00_991;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1710z00_992;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1712z00_993;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1725z00_994;
BgL_arg1725z00_994 = 
MAKE_YOUNG_PAIR(BGl_string1823z00zz__ft_threadz00, BNIL); 
BgL_arg1712z00_993 = 
MAKE_YOUNG_PAIR(BgL_arg1691z00_985, BgL_arg1725z00_994); } 
BgL_arg1710z00_992 = 
MAKE_YOUNG_PAIR(BGl_string1824z00zz__ft_threadz00, BgL_arg1712z00_993); } 
BgL_arg1709z00_991 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1688z00_984), BgL_arg1710z00_992); } 
BgL_arg1707z00_990 = 
MAKE_YOUNG_PAIR(BGl_string1825z00zz__ft_threadz00, BgL_arg1709z00_991); } 
BgL_arg1706z00_989 = 
MAKE_YOUNG_PAIR(BgL_arg1685z00_983, BgL_arg1707z00_990); } 
BgL_arg1704z00_988 = 
MAKE_YOUNG_PAIR(BGl_string1826z00zz__ft_threadz00, BgL_arg1706z00_989); } 
BgL_arg1701z00_987 = 
MAKE_YOUNG_PAIR(BgL_arg1684z00_982, BgL_arg1704z00_988); } 
BgL_list1692z00_986 = 
MAKE_YOUNG_PAIR(BGl_string1827z00zz__ft_threadz00, BgL_arg1701z00_987); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1692z00_986);} } } } 

}



/* &thread-join!-fthread1145 */
obj_t BGl_z62threadzd2joinz12zd2fthread1145z70zz__ft_threadz00(obj_t BgL_envz00_898, obj_t BgL_tz00_899, obj_t BgL_argsz00_900)
{
{ /* Llib/thread.scm 59 */
{ /* Llib/thread.scm 61 */
 bool_t BgL_test1952z00_1739;
if(
(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52statez52)==
CNST_TABLE_REF(((long)9))))
{ /* Llib/thread.scm 61 */
BgL_test1952z00_1739 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 61 */
BgL_test1952z00_1739 = 
(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52statez52)==
CNST_TABLE_REF(((long)10)))
; } 
if(BgL_test1952z00_1739)
{ /* Llib/thread.scm 61 */
if(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2raisedz80))
{ /* Llib/thread.scm 62 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 62 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52resultz52);} }  else 
{ 
 obj_t BgL_toz00_1048; obj_t BgL_tozd2valzd2_1049; obj_t BgL_toz00_1019;
if(
PAIRP(BgL_argsz00_900))
{ /* Llib/thread.scm 65 */
 obj_t BgL_cdrzd2110zd2_1071;
BgL_cdrzd2110zd2_1071 = 
CDR(BgL_argsz00_900); 
if(
PAIRP(BgL_cdrzd2110zd2_1071))
{ /* Llib/thread.scm 65 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1071)))
{ /* Llib/thread.scm 65 */
BgL_toz00_1048 = 
CAR(BgL_argsz00_900); 
BgL_tozd2valzd2_1049 = 
CAR(BgL_cdrzd2110zd2_1071); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_toz00_1048))
{ /* Llib/thread.scm 69 */
 obj_t BgL_vz00_1050;
{ /* Llib/thread.scm 69 */
 BgL_z52sigjoinz52_bglt BgL_arg1574z00_1051;
{ /* Llib/thread.scm 69 */
 BgL_z52sigjoinz52_bglt BgL_new1071z00_1052;
{ /* Llib/thread.scm 70 */
 BgL_z52sigjoinz52_bglt BgL_new1070z00_1053;
BgL_new1070z00_1053 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 70 */
 long BgL_arg1576z00_1054;
BgL_arg1576z00_1054 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_1053), BgL_arg1576z00_1054); } 
BgL_new1071z00_1052 = BgL_new1070z00_1053; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1071z00_1052))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_899)),BUNSPEC); 
BgL_arg1574z00_1051 = BgL_new1071z00_1052; } 
{ /* Llib/thread.scm 69 */
 obj_t BgL_list1575z00_1055;
BgL_list1575z00_1055 = 
MAKE_YOUNG_PAIR(BgL_toz00_1048, BNIL); 
BgL_vz00_1050 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1574z00_1051), BgL_list1575z00_1055); } } 
{ /* Llib/thread.scm 74 */
 bool_t BgL_test1959z00_1776;
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1573z00_1056;
BgL_arg1573z00_1056 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 74 */
 obj_t BgL_classz00_1057;
BgL_classz00_1057 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1573z00_1056))
{ /* Llib/thread.scm 74 */
 BgL_objectz00_bglt BgL_arg1797z00_1058;
BgL_arg1797z00_1058 = 
(BgL_objectz00_bglt)(BgL_arg1573z00_1056); 
{ /* Llib/thread.scm 74 */
 bool_t BgL_arg1794z00_1059; bool_t BgL_arg1795z00_1060;
{ /* Llib/thread.scm 74 */
 long BgL_idxz00_1061;
BgL_idxz00_1061 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1058); 
BgL_arg1794z00_1059 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1061+((long)3)))==BgL_classz00_1057); } 
{ /* Llib/thread.scm 74 */
 bool_t BgL_res1757z00_1064;
{ /* Llib/thread.scm 74 */
 obj_t BgL_oclassz00_1065;
{ /* Llib/thread.scm 74 */
 long BgL_arg1804z00_1066;
{ /* Llib/thread.scm 74 */
 long BgL_arg1805z00_1067;
BgL_arg1805z00_1067 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1058); 
BgL_arg1804z00_1066 = 
(BgL_arg1805z00_1067-OBJECT_TYPE); } 
BgL_oclassz00_1065 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1066); } 
{ /* Llib/thread.scm 74 */
 bool_t BgL__ortest_1111z00_1068;
BgL__ortest_1111z00_1068 = 
(BgL_classz00_1057==BgL_oclassz00_1065); 
if(BgL__ortest_1111z00_1068)
{ /* Llib/thread.scm 74 */
BgL_res1757z00_1064 = BgL__ortest_1111z00_1068; }  else 
{ /* Llib/thread.scm 74 */
 long BgL_odepthz00_1069;
BgL_odepthz00_1069 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1065); 
if(
(((long)3)<BgL_odepthz00_1069))
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1793z00_1070;
BgL_arg1793z00_1070 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1065, ((long)3)); 
BgL_res1757z00_1064 = 
(BgL_arg1793z00_1070==BgL_classz00_1057); }  else 
{ /* Llib/thread.scm 74 */
BgL_res1757z00_1064 = ((bool_t)0); } } } } 
BgL_arg1795z00_1060 = BgL_res1757z00_1064; } 
BgL_test1959z00_1776 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1059, BgL_arg1795z00_1060); } }  else 
{ /* Llib/thread.scm 74 */
BgL_test1959z00_1776 = ((bool_t)0)
; } } } 
if(BgL_test1959z00_1776)
{ /* Llib/thread.scm 74 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 74 */
if(
CBOOL(BgL_vz00_1050))
{ /* Llib/thread.scm 76 */
return BgL_vz00_1050;}  else 
{ /* Llib/thread.scm 76 */
return BgL_tozd2valzd2_1049;} } } }  else 
{ /* Llib/thread.scm 67 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1828z00zz__ft_threadz00, BGl_string1829z00zz__ft_threadz00, BgL_toz00_1048);} }  else 
{ /* Llib/thread.scm 65 */
BgL_tagzd2103zd2_996:
{ /* Llib/thread.scm 95 */
 obj_t BgL_vz00_999;
{ /* Llib/thread.scm 95 */
 BgL_z52sigjoinz52_bglt BgL_arg1654z00_1000;
{ /* Llib/thread.scm 95 */
 BgL_z52sigjoinz52_bglt BgL_new1079z00_1001;
{ /* Llib/thread.scm 96 */
 BgL_z52sigjoinz52_bglt BgL_new1078z00_1002;
BgL_new1078z00_1002 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 96 */
 long BgL_arg1657z00_1003;
BgL_arg1657z00_1003 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_1002), BgL_arg1657z00_1003); } 
BgL_new1079z00_1001 = BgL_new1078z00_1002; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1079z00_1001))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_899)),BUNSPEC); 
BgL_arg1654z00_1000 = BgL_new1079z00_1001; } 
BgL_vz00_999 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1654z00_1000), BNIL); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL_test1964z00_1813;
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1653z00_1004;
BgL_arg1653z00_1004 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 99 */
 obj_t BgL_classz00_1005;
BgL_classz00_1005 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1653z00_1004))
{ /* Llib/thread.scm 99 */
 BgL_objectz00_bglt BgL_arg1797z00_1006;
BgL_arg1797z00_1006 = 
(BgL_objectz00_bglt)(BgL_arg1653z00_1004); 
{ /* Llib/thread.scm 99 */
 bool_t BgL_arg1794z00_1007; bool_t BgL_arg1795z00_1008;
{ /* Llib/thread.scm 99 */
 long BgL_idxz00_1009;
BgL_idxz00_1009 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1006); 
BgL_arg1794z00_1007 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1009+((long)3)))==BgL_classz00_1005); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL_res1759z00_1012;
{ /* Llib/thread.scm 99 */
 obj_t BgL_oclassz00_1013;
{ /* Llib/thread.scm 99 */
 long BgL_arg1804z00_1014;
{ /* Llib/thread.scm 99 */
 long BgL_arg1805z00_1015;
BgL_arg1805z00_1015 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1006); 
BgL_arg1804z00_1014 = 
(BgL_arg1805z00_1015-OBJECT_TYPE); } 
BgL_oclassz00_1013 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1014); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL__ortest_1111z00_1016;
BgL__ortest_1111z00_1016 = 
(BgL_classz00_1005==BgL_oclassz00_1013); 
if(BgL__ortest_1111z00_1016)
{ /* Llib/thread.scm 99 */
BgL_res1759z00_1012 = BgL__ortest_1111z00_1016; }  else 
{ /* Llib/thread.scm 99 */
 long BgL_odepthz00_1017;
BgL_odepthz00_1017 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1013); 
if(
(((long)3)<BgL_odepthz00_1017))
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1793z00_1018;
BgL_arg1793z00_1018 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1013, ((long)3)); 
BgL_res1759z00_1012 = 
(BgL_arg1793z00_1018==BgL_classz00_1005); }  else 
{ /* Llib/thread.scm 99 */
BgL_res1759z00_1012 = ((bool_t)0); } } } } 
BgL_arg1795z00_1008 = BgL_res1759z00_1012; } 
BgL_test1964z00_1813 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1007, BgL_arg1795z00_1008); } }  else 
{ /* Llib/thread.scm 99 */
BgL_test1964z00_1813 = ((bool_t)0)
; } } } 
if(BgL_test1964z00_1813)
{ /* Llib/thread.scm 99 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 99 */
return BgL_vz00_999;} } } } }  else 
{ /* Llib/thread.scm 65 */
if(
NULLP(BgL_cdrzd2110zd2_1071))
{ /* Llib/thread.scm 65 */
BgL_toz00_1019 = 
CAR(BgL_argsz00_900); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_toz00_1019))
{ /* Llib/thread.scm 83 */
 obj_t BgL_vz00_1020;
{ /* Llib/thread.scm 83 */
 BgL_z52sigjoinz52_bglt BgL_arg1623z00_1021;
{ /* Llib/thread.scm 83 */
 BgL_z52sigjoinz52_bglt BgL_new1074z00_1022;
{ /* Llib/thread.scm 84 */
 BgL_z52sigjoinz52_bglt BgL_new1073z00_1023;
BgL_new1073z00_1023 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 84 */
 long BgL_arg1642z00_1024;
BgL_arg1642z00_1024 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1023), BgL_arg1642z00_1024); } 
BgL_new1074z00_1022 = BgL_new1073z00_1023; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1074z00_1022))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_899)),BUNSPEC); 
BgL_arg1623z00_1021 = BgL_new1074z00_1022; } 
{ /* Llib/thread.scm 83 */
 obj_t BgL_list1624z00_1025;
BgL_list1624z00_1025 = 
MAKE_YOUNG_PAIR(BgL_toz00_1019, BNIL); 
BgL_vz00_1020 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1623z00_1021), BgL_list1624z00_1025); } } 
{ /* Llib/thread.scm 88 */
 bool_t BgL_test1970z00_1850;
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1622z00_1026;
BgL_arg1622z00_1026 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 88 */
 obj_t BgL_classz00_1027;
BgL_classz00_1027 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1622z00_1026))
{ /* Llib/thread.scm 88 */
 BgL_objectz00_bglt BgL_arg1797z00_1028;
BgL_arg1797z00_1028 = 
(BgL_objectz00_bglt)(BgL_arg1622z00_1026); 
{ /* Llib/thread.scm 88 */
 bool_t BgL_arg1794z00_1029; bool_t BgL_arg1795z00_1030;
{ /* Llib/thread.scm 88 */
 long BgL_idxz00_1031;
BgL_idxz00_1031 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1028); 
BgL_arg1794z00_1029 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1031+((long)3)))==BgL_classz00_1027); } 
{ /* Llib/thread.scm 88 */
 bool_t BgL_res1758z00_1034;
{ /* Llib/thread.scm 88 */
 obj_t BgL_oclassz00_1035;
{ /* Llib/thread.scm 88 */
 long BgL_arg1804z00_1036;
{ /* Llib/thread.scm 88 */
 long BgL_arg1805z00_1037;
BgL_arg1805z00_1037 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1028); 
BgL_arg1804z00_1036 = 
(BgL_arg1805z00_1037-OBJECT_TYPE); } 
BgL_oclassz00_1035 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1036); } 
{ /* Llib/thread.scm 88 */
 bool_t BgL__ortest_1111z00_1038;
BgL__ortest_1111z00_1038 = 
(BgL_classz00_1027==BgL_oclassz00_1035); 
if(BgL__ortest_1111z00_1038)
{ /* Llib/thread.scm 88 */
BgL_res1758z00_1034 = BgL__ortest_1111z00_1038; }  else 
{ /* Llib/thread.scm 88 */
 long BgL_odepthz00_1039;
BgL_odepthz00_1039 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1035); 
if(
(((long)3)<BgL_odepthz00_1039))
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1793z00_1040;
BgL_arg1793z00_1040 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1035, ((long)3)); 
BgL_res1758z00_1034 = 
(BgL_arg1793z00_1040==BgL_classz00_1027); }  else 
{ /* Llib/thread.scm 88 */
BgL_res1758z00_1034 = ((bool_t)0); } } } } 
BgL_arg1795z00_1030 = BgL_res1758z00_1034; } 
BgL_test1970z00_1850 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1029, BgL_arg1795z00_1030); } }  else 
{ /* Llib/thread.scm 88 */
BgL_test1970z00_1850 = ((bool_t)0)
; } } } 
if(BgL_test1970z00_1850)
{ /* Llib/thread.scm 88 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_899)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 88 */
if(
CBOOL(BgL_vz00_1020))
{ /* Llib/thread.scm 90 */
return BgL_vz00_1020;}  else 
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_arg1595z00_1041;
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1077z00_1042;
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1076z00_1043;
BgL_new1076z00_1043 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 93 */
 long BgL_arg1612z00_1044;
BgL_arg1612z00_1044 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_1043), BgL_arg1612z00_1044); } 
BgL_new1077z00_1042 = BgL_new1076z00_1043; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_1042)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_1042)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1884;
{ /* Llib/thread.scm 93 */
 obj_t BgL_arg1609z00_1045;
{ /* Llib/thread.scm 93 */
 obj_t BgL_arg1611z00_1046;
{ /* Llib/thread.scm 93 */
 obj_t BgL_classz00_1047;
BgL_classz00_1047 = BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00; 
BgL_arg1611z00_1046 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1047); } 
BgL_arg1609z00_1045 = 
VECTOR_REF(BgL_arg1611z00_1046,((long)2)); } 
BgL_auxz00_1884 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1609z00_1045); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_1042)))->BgL_stackz00)=((obj_t)BgL_auxz00_1884),BUNSPEC); } 
BgL_arg1595z00_1041 = BgL_new1077z00_1042; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1595z00_1041));} } } }  else 
{ /* Llib/thread.scm 81 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1828z00zz__ft_threadz00, BGl_string1829z00zz__ft_threadz00, BgL_toz00_1019);} }  else 
{ /* Llib/thread.scm 65 */
goto BgL_tagzd2103zd2_996;} } }  else 
{ /* Llib/thread.scm 65 */
goto BgL_tagzd2103zd2_996;} } } } 

}



/* &object-equal?-%sigjo1143 */
obj_t BGl_z62objectzd2equalzf3zd2z52sigjo1143zc3zz__ft_threadz00(obj_t BgL_envz00_901, obj_t BgL_o1z00_902, obj_t BgL_o2z00_903)
{
{ /* Llib/thread.scm 50 */
{ /* Llib/thread.scm 51 */
 bool_t BgL_tmpz00_1894;
{ /* Llib/thread.scm 51 */
 bool_t BgL_test1975z00_1895;
{ /* Llib/thread.scm 51 */
 obj_t BgL_classz00_1073;
BgL_classz00_1073 = BGl_z52sigjoinz52zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_o2z00_903))
{ /* Llib/thread.scm 51 */
 BgL_objectz00_bglt BgL_arg1797z00_1074;
BgL_arg1797z00_1074 = 
(BgL_objectz00_bglt)(BgL_o2z00_903); 
{ /* Llib/thread.scm 51 */
 bool_t BgL_arg1794z00_1075; bool_t BgL_arg1795z00_1076;
{ /* Llib/thread.scm 51 */
 long BgL_idxz00_1077;
BgL_idxz00_1077 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1074); 
BgL_arg1794z00_1075 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1077+((long)1)))==BgL_classz00_1073); } 
{ /* Llib/thread.scm 51 */
 bool_t BgL_res1756z00_1080;
{ /* Llib/thread.scm 51 */
 obj_t BgL_oclassz00_1081;
{ /* Llib/thread.scm 51 */
 long BgL_arg1804z00_1082;
{ /* Llib/thread.scm 51 */
 long BgL_arg1805z00_1083;
BgL_arg1805z00_1083 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1074); 
BgL_arg1804z00_1082 = 
(BgL_arg1805z00_1083-OBJECT_TYPE); } 
BgL_oclassz00_1081 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1082); } 
{ /* Llib/thread.scm 51 */
 bool_t BgL__ortest_1111z00_1084;
BgL__ortest_1111z00_1084 = 
(BgL_classz00_1073==BgL_oclassz00_1081); 
if(BgL__ortest_1111z00_1084)
{ /* Llib/thread.scm 51 */
BgL_res1756z00_1080 = BgL__ortest_1111z00_1084; }  else 
{ /* Llib/thread.scm 51 */
 long BgL_odepthz00_1085;
BgL_odepthz00_1085 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1081); 
if(
(((long)1)<BgL_odepthz00_1085))
{ /* Llib/thread.scm 51 */
 obj_t BgL_arg1793z00_1086;
BgL_arg1793z00_1086 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1081, ((long)1)); 
BgL_res1756z00_1080 = 
(BgL_arg1793z00_1086==BgL_classz00_1073); }  else 
{ /* Llib/thread.scm 51 */
BgL_res1756z00_1080 = ((bool_t)0); } } } } 
BgL_arg1795z00_1076 = BgL_res1756z00_1080; } 
BgL_test1975z00_1895 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1075, BgL_arg1795z00_1076); } }  else 
{ /* Llib/thread.scm 51 */
BgL_test1975z00_1895 = ((bool_t)0)
; } } 
if(BgL_test1975z00_1895)
{ /* Llib/thread.scm 51 */
BgL_tmpz00_1894 = 
(
((obj_t)
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_o1z00_902)))->BgL_threadz00))==
((obj_t)
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_o2z00_903)))->BgL_threadz00)))
; }  else 
{ /* Llib/thread.scm 51 */
BgL_tmpz00_1894 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_1894);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1830z00zz__ft_threadz00));} 

}

#ifdef __cplusplus
}
#endif
