/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/process.scm -o objs/process.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;

typedef struct BgL_uvprocessz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z42onexitz42;
} *BgL_uvprocessz00_bglt;

typedef struct BgL_uvprocessoptionsz00_bgl {
   header_t header;
   obj_t widening;
   uv_process_options_t * BgL_z42builtinz42;
} *BgL_uvprocessoptionsz00_bglt;


BGL_EXPORTED_DECL int BGl_uvzd2killzd2zz__libuv_processz00(int, int);
extern uv_process_t * bgl_uv_process_new(BgL_uvprocessz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_processz00 = BUNSPEC;
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00();
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int, BgL_uvhandlez00_bglt);
extern obj_t BGl_UvTtyz00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2zz__libuv_processz00();
static obj_t BGl_toplevelzd2initzd2zz__libuv_processz00();
static obj_t BGl_z62UVzd2PROCESSzd2DETACHEDz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2SETUIDz62zz__libuv_processz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_processz00();
static obj_t BGl_objectzd2initzd2zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_UVzd2INHERITzd2FDz00zz__libuv_processz00();
static obj_t BGl__uvzd2processzd2spawnz00zz__libuv_processz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62z52uvzd2initzd2UvProcess1080z30zz__libuv_processz00(obj_t, obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2SETGIDz62zz__libuv_processz00(obj_t);
extern obj_t BGl_UvFilez00zz__libuv_typesz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_processz00();
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z70zz__libuv_processz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2processzd2killz00zz__libuv_processz00(BgL_uvprocessz00_bglt, int);
static obj_t BGl_z62uvzd2processzd2killz62zz__libuv_processz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2DETACHEDz00zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_UVzd2READABLEzd2PIPEz00zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_UVzd2INHERITzd2STREAMz00zz__libuv_processz00();
BGL_EXPORTED_DECL int BGl_uvzd2processzd2spawnz00zz__libuv_processz00(BgL_uvprocessz00_bglt, BgL_uvprocessoptionsz00_bglt, obj_t, obj_t);
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2setz12za2zz__libuv_processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2killzb0zz__libuv_processz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvProcessz00zz__libuv_typesz00;
extern obj_t BGl_UvStreamz00zz__libuv_typesz00;
extern obj_t BGl_UvProcessOptionsz00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_netz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62UVzd2READABLEzd2PIPEz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2HIDEzb0zz__libuv_processz00(obj_t);
extern long BGl_uvzd2streamzd2fdz00zz__libuv_netz00(BgL_uvstreamz00_bglt);
static obj_t BGl_z62UVzd2CREATEzd2PIPEz62zz__libuv_processz00(obj_t);
extern int bgl_uv_spawn(BgL_uvloopz00_bglt, BgL_uvprocessz00_bglt, BgL_uvprocessoptionsz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_processz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_processz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_processz00();
static obj_t BGl_gczd2rootszd2initz00zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int, int);
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz00zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int, obj_t);
static obj_t BGl_z62UVzd2IGNOREzb0zz__libuv_processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2WRITABLEzd2PIPEz00zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2SETUIDz00zz__libuv_processz00();
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z70zz__libuv_processz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2CREATEzd2PIPEz00zz__libuv_processz00();
static obj_t BGl_z62UVzd2INHERITzd2FDz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2INHERITzd2STREAMz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz62zz__libuv_processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2IGNOREzd2zz__libuv_processz00();
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2SETGIDz00zz__libuv_processz00();
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z70zz__libuv_processz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52uvzd2initzd2UvProcessOp1082z30zz__libuv_processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zc0zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int);
static obj_t BGl_z62UVzd2WRITABLEzd2PIPEz62zz__libuv_processz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STRING( BGl_string1150z00zz__libuv_processz00, BgL_bgl_string1150za700za7za7_1154za7, "__libuv_process", 15 );
DEFINE_STRING( BGl_string1151z00zz__libuv_processz00, BgL_bgl_string1151za700za7za7_1155za7, ":loop :callback ", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1147z00zz__libuv_processz00, BgL_bgl_za762za752uvza7d2initza71156z00, BGl_z62z52uvzd2initzd2UvProcess1080z30zz__libuv_processz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1149z00zz__libuv_processz00, BgL_bgl_za762za752uvza7d2initza71157z00, BGl_z62z52uvzd2initzd2UvProcessOp1082z30zz__libuv_processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2SETUIDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71158za7, BGl_z62UVzd2PROCESSzd2SETUIDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2spawnzd2envzd2zz__libuv_processz00, BgL_bgl__uvza7d2processza7d21159z00, opt_generic_entry, BGl__uvzd2processzd2spawnz00zz__libuv_processz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2DETACHEDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71160za7, BGl_z62UVzd2PROCESSzd2DETACHEDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12zd2envzc0zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71161za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z70zz__libuv_processz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zd2envz12zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71162za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2setz12za2zz__libuv_processz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2killzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71163za7, BGl_z62uvzd2processzd2killz62zz__libuv_processz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2IGNOREzd2envz00zz__libuv_processz00, BgL_bgl_za762uvza7d2ignoreza7b1164za7, BGl_z62UVzd2IGNOREzb0zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2SETGIDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71165za7, BGl_z62UVzd2PROCESSzd2SETGIDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2WRITABLEzd2PIPEzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2writable1166z00, BGl_z62UVzd2WRITABLEzd2PIPEz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2INHERITzd2FDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2inheritza71167za7, BGl_z62UVzd2INHERITzd2FDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12zd2envzc0zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71168za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z70zz__libuv_processz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2killzd2envz00zz__libuv_processz00, BgL_bgl_za762uvza7d2killza7b0za71169z00, BGl_z62uvzd2killzb0zz__libuv_processz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2CREATEzd2PIPEzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2createza7d1170za7, BGl_z62UVzd2CREATEzd2PIPEz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2READABLEzd2PIPEzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2readable1171z00, BGl_z62UVzd2READABLEzd2PIPEz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2envz00zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71172za7, BGl_z62UVzd2PROCESSzd2WINDOWSzd2HIDEzb0zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71173za7, BGl_z62UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12zd2envzc0zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71174za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z70zz__libuv_processz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2INHERITzd2STREAMzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2inheritza71175za7, BGl_z62UVzd2INHERITzd2STREAMz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1145z00zz__libuv_processz00, BgL_bgl_string1145za700za7za7_1176za7, "uv-process-options-stdio-container-fd-set!", 42 );
DEFINE_STRING( BGl_string1146z00zz__libuv_processz00, BgL_bgl_string1146za700za7za7_1177za7, "UvFile/UvTty/UvStream", 21 );
DEFINE_STRING( BGl_string1148z00zz__libuv_processz00, BgL_bgl_string1148za700za7za7_1178za7, "%uv-init", 8 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_processz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_processz00(long BgL_checksumz00_287, char * BgL_fromz00_288)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_processz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_processz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_processz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_processz00(); 
BGl_cnstzd2initzd2zz__libuv_processz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_processz00(); 
BGl_methodzd2initzd2zz__libuv_processz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_processz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_process"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
{ /* Llib/process.scm 15 */
 obj_t BgL_cportz00_272;
{ /* Llib/process.scm 15 */
 obj_t BgL_stringz00_280;
BgL_stringz00_280 = BGl_string1151z00zz__libuv_processz00; 
{ /* Llib/process.scm 15 */
 obj_t BgL_startz00_281;
BgL_startz00_281 = 
BINT(((long)0)); 
{ /* Llib/process.scm 15 */
 obj_t BgL_endz00_282;
BgL_endz00_282 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_280))); 
{ /* Llib/process.scm 15 */

BgL_cportz00_272 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_280, BgL_startz00_281, BgL_endz00_282); } } } } 
{ 
 long BgL_iz00_273;
BgL_iz00_273 = ((long)1); 
BgL_loopz00_274:
if(
(BgL_iz00_273==((long)-1)))
{ /* Llib/process.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/process.scm 15 */
{ /* Llib/process.scm 15 */
 obj_t BgL_arg1153z00_276;
{ /* Llib/process.scm 15 */

{ /* Llib/process.scm 15 */
 obj_t BgL_locationz00_278;
BgL_locationz00_278 = 
BBOOL(((bool_t)0)); 
{ /* Llib/process.scm 15 */

BgL_arg1153z00_276 = 
BGl_readz00zz__readerz00(BgL_cportz00_272, BgL_locationz00_278); } } } 
{ /* Llib/process.scm 15 */
 int BgL_tmpz00_315;
BgL_tmpz00_315 = 
(int)(BgL_iz00_273); 
CNST_TABLE_SET(BgL_tmpz00_315, BgL_arg1153z00_276); } } 
{ /* Llib/process.scm 15 */
 int BgL_auxz00_279;
BgL_auxz00_279 = 
(int)(
(BgL_iz00_273-((long)1))); 
{ 
 long BgL_iz00_320;
BgL_iz00_320 = 
(long)(BgL_auxz00_279); 
BgL_iz00_273 = BgL_iz00_320; 
goto BgL_loopz00_274;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* _uv-process-spawn */
obj_t BGl__uvzd2processzd2spawnz00zz__libuv_processz00(obj_t BgL_env1084z00_10, obj_t BgL_opt1083z00_9)
{
{ /* Llib/process.scm 66 */
{ /* Llib/process.scm 66 */
 obj_t BgL_g1091z00_40; obj_t BgL_g1092z00_41;
BgL_g1091z00_40 = 
VECTOR_REF(BgL_opt1083z00_9,((long)0)); 
BgL_g1092z00_41 = 
VECTOR_REF(BgL_opt1083z00_9,((long)1)); 
{ /* Llib/process.scm 66 */
 obj_t BgL_callbackz00_42;
BgL_callbackz00_42 = BFALSE; 
{ /* Llib/process.scm 66 */
 obj_t BgL_loopz00_43;
BgL_loopz00_43 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/process.scm 66 */

{ /* Llib/process.scm 66 */
 long BgL_index1089z00_44;
{ 
 long BgL_iz00_99;
BgL_iz00_99 = ((long)2); 
BgL_search1086z00_98:
if(
(BgL_iz00_99==
VECTOR_LENGTH(BgL_opt1083z00_9)))
{ /* Llib/process.scm 66 */
BgL_index1089z00_44 = ((long)-1); }  else 
{ /* Llib/process.scm 66 */
 obj_t BgL_vz00_103;
BgL_vz00_103 = 
VECTOR_REF(BgL_opt1083z00_9,BgL_iz00_99); 
if(
(BgL_vz00_103==
CNST_TABLE_REF(((long)0))))
{ /* Llib/process.scm 66 */
BgL_index1089z00_44 = 
(BgL_iz00_99+((long)1)); }  else 
{ 
 long BgL_iz00_335;
BgL_iz00_335 = 
(BgL_iz00_99+((long)2)); 
BgL_iz00_99 = BgL_iz00_335; 
goto BgL_search1086z00_98;} } } 
if(
(BgL_index1089z00_44>=((long)0)))
{ /* Llib/process.scm 66 */
BgL_callbackz00_42 = 
VECTOR_REF(BgL_opt1083z00_9,BgL_index1089z00_44); }  else 
{ /* Llib/process.scm 66 */BFALSE; } } 
{ /* Llib/process.scm 66 */
 long BgL_index1090z00_46;
{ 
 long BgL_iz00_110;
BgL_iz00_110 = ((long)2); 
BgL_search1086z00_109:
if(
(BgL_iz00_110==
VECTOR_LENGTH(BgL_opt1083z00_9)))
{ /* Llib/process.scm 66 */
BgL_index1090z00_46 = ((long)-1); }  else 
{ /* Llib/process.scm 66 */
 obj_t BgL_vz00_114;
BgL_vz00_114 = 
VECTOR_REF(BgL_opt1083z00_9,BgL_iz00_110); 
if(
(BgL_vz00_114==
CNST_TABLE_REF(((long)1))))
{ /* Llib/process.scm 66 */
BgL_index1090z00_46 = 
(BgL_iz00_110+((long)1)); }  else 
{ 
 long BgL_iz00_348;
BgL_iz00_348 = 
(BgL_iz00_110+((long)2)); 
BgL_iz00_110 = BgL_iz00_348; 
goto BgL_search1086z00_109;} } } 
if(
(BgL_index1090z00_46>=((long)0)))
{ /* Llib/process.scm 66 */
BgL_loopz00_43 = 
VECTOR_REF(BgL_opt1083z00_9,BgL_index1090z00_46); }  else 
{ /* Llib/process.scm 66 */BFALSE; } } 
{ /* Llib/process.scm 66 */
 obj_t BgL_arg1098z00_48; obj_t BgL_arg1099z00_49;
BgL_arg1098z00_48 = 
VECTOR_REF(BgL_opt1083z00_9,((long)0)); 
BgL_arg1099z00_49 = 
VECTOR_REF(BgL_opt1083z00_9,((long)1)); 
{ /* Llib/process.scm 66 */
 obj_t BgL_callbackz00_50;
BgL_callbackz00_50 = BgL_callbackz00_42; 
{ /* Llib/process.scm 66 */
 obj_t BgL_loopz00_51;
BgL_loopz00_51 = BgL_loopz00_43; 
return 
BINT(
bgl_uv_spawn(
((BgL_uvloopz00_bglt)BgL_loopz00_51), 
((BgL_uvprocessz00_bglt)BgL_arg1098z00_48), 
((BgL_uvprocessoptionsz00_bglt)BgL_arg1099z00_49), BgL_callbackz00_50));} } } } } } } } 

}



/* uv-process-spawn */
BGL_EXPORTED_DEF int BGl_uvzd2processzd2spawnz00zz__libuv_processz00(BgL_uvprocessz00_bglt BgL_oz00_5, BgL_uvprocessoptionsz00_bglt BgL_optionsz00_6, obj_t BgL_callbackz00_7, obj_t BgL_loopz00_8)
{
{ /* Llib/process.scm 66 */
return 
bgl_uv_spawn(
((BgL_uvloopz00_bglt)BgL_loopz00_8), BgL_oz00_5, BgL_optionsz00_6, BgL_callbackz00_7);} 

}



/* uv-process-kill */
BGL_EXPORTED_DEF int BGl_uvzd2processzd2killz00zz__libuv_processz00(BgL_uvprocessz00_bglt BgL_procz00_11, int BgL_sigz00_12)
{
{ /* Llib/process.scm 72 */
{ /* Llib/process.scm 74 */
 uv_process_t * BgL_arg1107z00_123;
{ /* Llib/process.scm 74 */
 uv_handle_t * BgL_arg1112z00_124;
BgL_arg1112z00_124 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_procz00_11)))->BgL_z42builtinz42); 
BgL_arg1107z00_123 = 
(uv_process_t *)(BgL_arg1112z00_124); } 
return 
uv_process_kill(BgL_arg1107z00_123, BgL_sigz00_12);} } 

}



/* &uv-process-kill */
obj_t BGl_z62uvzd2processzd2killz62zz__libuv_processz00(obj_t BgL_envz00_232, obj_t BgL_procz00_233, obj_t BgL_sigz00_234)
{
{ /* Llib/process.scm 72 */
return 
BINT(
BGl_uvzd2processzd2killz00zz__libuv_processz00(
((BgL_uvprocessz00_bglt)BgL_procz00_233), 
CINT(BgL_sigz00_234)));} 

}



/* uv-kill */
BGL_EXPORTED_DEF int BGl_uvzd2killzd2zz__libuv_processz00(int BgL_pidz00_13, int BgL_sigz00_14)
{
{ /* Llib/process.scm 79 */
return 
uv_kill(BgL_pidz00_13, BgL_sigz00_14);} 

}



/* &uv-kill */
obj_t BGl_z62uvzd2killzb0zz__libuv_processz00(obj_t BgL_envz00_235, obj_t BgL_pidz00_236, obj_t BgL_sigz00_237)
{
{ /* Llib/process.scm 79 */
return 
BINT(
BGl_uvzd2killzd2zz__libuv_processz00(
CINT(BgL_pidz00_236), 
CINT(BgL_sigz00_237)));} 

}



/* uv-process-options-stdio-container-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zc0zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_15, int BgL_lenz00_16)
{
{ /* Llib/process.scm 85 */
{ /* Llib/process.scm 87 */
 uv_process_options_t * BgL_arg1113z00_125;
BgL_arg1113z00_125 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_15))->BgL_z42builtinz42); 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_SET(BgL_arg1113z00_125, BgL_lenz00_16); 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2setz12za2zz__libuv_processz00(obj_t BgL_envz00_238, obj_t BgL_oz00_239, obj_t BgL_lenz00_240)
{
{ /* Llib/process.scm 85 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zc0zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_239), 
CINT(BgL_lenz00_240));} 

}



/* uv-process-options-stdio-container-stream-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_17, int BgL_iz00_18, BgL_uvhandlez00_bglt BgL_hdlz00_19)
{
{ /* Llib/process.scm 92 */
{ /* Llib/process.scm 94 */
 uv_process_options_t * BgL_arg1114z00_127; uv_stream_t * BgL_arg1115z00_128;
BgL_arg1114z00_127 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_17))->BgL_z42builtinz42); 
{ /* Llib/process.scm 96 */
 uv_handle_t * BgL_tmpz00_381;
BgL_tmpz00_381 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_hdlz00_19))->BgL_z42builtinz42); 
BgL_arg1115z00_128 = 
(uv_stream_t *)(BgL_tmpz00_381); } 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_STREAM_SET(BgL_arg1114z00_127, BgL_iz00_18, BgL_arg1115z00_128); 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-stream-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z70zz__libuv_processz00(obj_t BgL_envz00_241, obj_t BgL_oz00_242, obj_t BgL_iz00_243, obj_t BgL_hdlz00_244)
{
{ /* Llib/process.scm 92 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z12zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_242), 
CINT(BgL_iz00_243), 
((BgL_uvhandlez00_bglt)BgL_hdlz00_244));} 

}



/* uv-process-options-stdio-container-fd-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_20, int BgL_iz00_21, obj_t BgL_hdlz00_22)
{
{ /* Llib/process.scm 101 */
{ /* Llib/process.scm 103 */
 uv_process_options_t * BgL_arg1119z00_66; obj_t BgL_arg1120z00_67;
BgL_arg1119z00_66 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_20))->BgL_z42builtinz42); 
{ /* Llib/process.scm 106 */
 bool_t BgL_test1187z00_390;
{ /* Llib/process.scm 106 */
 obj_t BgL_classz00_132;
BgL_classz00_132 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_hdlz00_22))
{ /* Llib/process.scm 106 */
 BgL_objectz00_bglt BgL_arg1797z00_134;
BgL_arg1797z00_134 = 
(BgL_objectz00_bglt)(BgL_hdlz00_22); 
{ /* Llib/process.scm 106 */
 bool_t BgL_arg1794z00_137; bool_t BgL_arg1795z00_138;
{ /* Llib/process.scm 106 */
 long BgL_idxz00_141;
BgL_idxz00_141 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_134); 
BgL_arg1794z00_137 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_141+((long)1)))==BgL_classz00_132); } 
{ /* Llib/process.scm 106 */
 bool_t BgL_res1141z00_163;
{ /* Llib/process.scm 106 */
 obj_t BgL_oclassz00_149;
{ /* Llib/process.scm 106 */
 long BgL_arg1804z00_155;
{ /* Llib/process.scm 106 */
 long BgL_arg1805z00_156;
BgL_arg1805z00_156 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_134); 
BgL_arg1804z00_155 = 
(BgL_arg1805z00_156-OBJECT_TYPE); } 
BgL_oclassz00_149 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_155); } 
{ /* Llib/process.scm 106 */
 bool_t BgL__ortest_1111z00_150;
BgL__ortest_1111z00_150 = 
(BgL_classz00_132==BgL_oclassz00_149); 
if(BgL__ortest_1111z00_150)
{ /* Llib/process.scm 106 */
BgL_res1141z00_163 = BgL__ortest_1111z00_150; }  else 
{ /* Llib/process.scm 106 */
 long BgL_odepthz00_151;
BgL_odepthz00_151 = 
BGL_CLASS_DEPTH(BgL_oclassz00_149); 
if(
(((long)1)<BgL_odepthz00_151))
{ /* Llib/process.scm 106 */
 obj_t BgL_arg1793z00_153;
BgL_arg1793z00_153 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_149, ((long)1)); 
BgL_res1141z00_163 = 
(BgL_arg1793z00_153==BgL_classz00_132); }  else 
{ /* Llib/process.scm 106 */
BgL_res1141z00_163 = ((bool_t)0); } } } } 
BgL_arg1795z00_138 = BgL_res1141z00_163; } 
BgL_test1187z00_390 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_137, BgL_arg1795z00_138); } }  else 
{ /* Llib/process.scm 106 */
BgL_test1187z00_390 = ((bool_t)0)
; } } 
if(BgL_test1187z00_390)
{ /* Llib/process.scm 106 */
BgL_arg1120z00_67 = 
BINT(
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_hdlz00_22)))->BgL_fdz00)); }  else 
{ /* Llib/process.scm 107 */
 bool_t BgL_test1191z00_412;
{ /* Llib/process.scm 107 */
 obj_t BgL_classz00_164;
BgL_classz00_164 = BGl_UvTtyz00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_hdlz00_22))
{ /* Llib/process.scm 107 */
 BgL_objectz00_bglt BgL_arg1797z00_166;
BgL_arg1797z00_166 = 
(BgL_objectz00_bglt)(BgL_hdlz00_22); 
{ /* Llib/process.scm 107 */
 bool_t BgL_arg1794z00_169; bool_t BgL_arg1795z00_170;
{ /* Llib/process.scm 107 */
 long BgL_idxz00_173;
BgL_idxz00_173 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_166); 
BgL_arg1794z00_169 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_173+((long)4)))==BgL_classz00_164); } 
{ /* Llib/process.scm 107 */
 bool_t BgL_res1142z00_195;
{ /* Llib/process.scm 107 */
 obj_t BgL_oclassz00_181;
{ /* Llib/process.scm 107 */
 long BgL_arg1804z00_187;
{ /* Llib/process.scm 107 */
 long BgL_arg1805z00_188;
BgL_arg1805z00_188 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_166); 
BgL_arg1804z00_187 = 
(BgL_arg1805z00_188-OBJECT_TYPE); } 
BgL_oclassz00_181 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_187); } 
{ /* Llib/process.scm 107 */
 bool_t BgL__ortest_1111z00_182;
BgL__ortest_1111z00_182 = 
(BgL_classz00_164==BgL_oclassz00_181); 
if(BgL__ortest_1111z00_182)
{ /* Llib/process.scm 107 */
BgL_res1142z00_195 = BgL__ortest_1111z00_182; }  else 
{ /* Llib/process.scm 107 */
 long BgL_odepthz00_183;
BgL_odepthz00_183 = 
BGL_CLASS_DEPTH(BgL_oclassz00_181); 
if(
(((long)4)<BgL_odepthz00_183))
{ /* Llib/process.scm 107 */
 obj_t BgL_arg1793z00_185;
BgL_arg1793z00_185 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_181, ((long)4)); 
BgL_res1142z00_195 = 
(BgL_arg1793z00_185==BgL_classz00_164); }  else 
{ /* Llib/process.scm 107 */
BgL_res1142z00_195 = ((bool_t)0); } } } } 
BgL_arg1795z00_170 = BgL_res1142z00_195; } 
BgL_test1191z00_412 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_169, BgL_arg1795z00_170); } }  else 
{ /* Llib/process.scm 107 */
BgL_test1191z00_412 = ((bool_t)0)
; } } 
if(BgL_test1191z00_412)
{ /* Llib/process.scm 107 */
BgL_arg1120z00_67 = 
BINT(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_hdlz00_22)))->BgL_fdz00)); }  else 
{ /* Llib/process.scm 108 */
 bool_t BgL_test1195z00_434;
{ /* Llib/process.scm 108 */
 obj_t BgL_classz00_196;
BgL_classz00_196 = BGl_UvStreamz00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_hdlz00_22))
{ /* Llib/process.scm 108 */
 BgL_objectz00_bglt BgL_arg1797z00_198;
BgL_arg1797z00_198 = 
(BgL_objectz00_bglt)(BgL_hdlz00_22); 
{ /* Llib/process.scm 108 */
 bool_t BgL_arg1794z00_201; bool_t BgL_arg1795z00_202;
{ /* Llib/process.scm 108 */
 long BgL_idxz00_205;
BgL_idxz00_205 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_198); 
BgL_arg1794z00_201 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_205+((long)3)))==BgL_classz00_196); } 
{ /* Llib/process.scm 108 */
 bool_t BgL_res1143z00_227;
{ /* Llib/process.scm 108 */
 obj_t BgL_oclassz00_213;
{ /* Llib/process.scm 108 */
 long BgL_arg1804z00_219;
{ /* Llib/process.scm 108 */
 long BgL_arg1805z00_220;
BgL_arg1805z00_220 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_198); 
BgL_arg1804z00_219 = 
(BgL_arg1805z00_220-OBJECT_TYPE); } 
BgL_oclassz00_213 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_219); } 
{ /* Llib/process.scm 108 */
 bool_t BgL__ortest_1111z00_214;
BgL__ortest_1111z00_214 = 
(BgL_classz00_196==BgL_oclassz00_213); 
if(BgL__ortest_1111z00_214)
{ /* Llib/process.scm 108 */
BgL_res1143z00_227 = BgL__ortest_1111z00_214; }  else 
{ /* Llib/process.scm 108 */
 long BgL_odepthz00_215;
BgL_odepthz00_215 = 
BGL_CLASS_DEPTH(BgL_oclassz00_213); 
if(
(((long)3)<BgL_odepthz00_215))
{ /* Llib/process.scm 108 */
 obj_t BgL_arg1793z00_217;
BgL_arg1793z00_217 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_213, ((long)3)); 
BgL_res1143z00_227 = 
(BgL_arg1793z00_217==BgL_classz00_196); }  else 
{ /* Llib/process.scm 108 */
BgL_res1143z00_227 = ((bool_t)0); } } } } 
BgL_arg1795z00_202 = BgL_res1143z00_227; } 
BgL_test1195z00_434 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_201, BgL_arg1795z00_202); } }  else 
{ /* Llib/process.scm 108 */
BgL_test1195z00_434 = ((bool_t)0)
; } } 
if(BgL_test1195z00_434)
{ /* Llib/process.scm 108 */
BgL_arg1120z00_67 = 
BINT(
BGl_uvzd2streamzd2fdz00zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_hdlz00_22))); }  else 
{ /* Llib/process.scm 108 */
BgL_arg1120z00_67 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1145z00zz__libuv_processz00, BGl_string1146z00zz__libuv_processz00, BgL_hdlz00_22); } } } } 
{ /* Llib/process.scm 102 */
 int BgL_tmpz00_457;
BgL_tmpz00_457 = 
CINT(BgL_arg1120z00_67); 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_FD_SET(BgL_arg1119z00_66, BgL_iz00_21, BgL_tmpz00_457); } 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-fd-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z70zz__libuv_processz00(obj_t BgL_envz00_245, obj_t BgL_oz00_246, obj_t BgL_iz00_247, obj_t BgL_hdlz00_248)
{
{ /* Llib/process.scm 101 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z12zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_246), 
CINT(BgL_iz00_247), BgL_hdlz00_248);} 

}



/* uv-process-options-stdio-container-flags-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_23, int BgL_iz00_24, int BgL_flagsz00_25)
{
{ /* Llib/process.scm 115 */
{ /* Llib/process.scm 117 */
 uv_process_options_t * BgL_arg1127z00_228;
BgL_arg1127z00_228 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_23))->BgL_z42builtinz42); 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_FLAGS_SET(BgL_arg1127z00_228, BgL_iz00_24, BgL_flagsz00_25); 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-flags-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z70zz__libuv_processz00(obj_t BgL_envz00_249, obj_t BgL_oz00_250, obj_t BgL_iz00_251, obj_t BgL_flagsz00_252)
{
{ /* Llib/process.scm 115 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z12zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_250), 
CINT(BgL_iz00_251), 
CINT(BgL_flagsz00_252));} 

}



/* UV-PROCESS-SETUID */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2SETUIDz00zz__libuv_processz00()
{
{ /* Llib/process.scm 122 */
return 
BINT(UV_PROCESS_SETUID);} 

}



/* &UV-PROCESS-SETUID */
obj_t BGl_z62UVzd2PROCESSzd2SETUIDz62zz__libuv_processz00(obj_t BgL_envz00_253)
{
{ /* Llib/process.scm 122 */
return 
BGl_UVzd2PROCESSzd2SETUIDz00zz__libuv_processz00();} 

}



/* UV-PROCESS-SETGID */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2SETGIDz00zz__libuv_processz00()
{
{ /* Llib/process.scm 128 */
return 
BINT(UV_PROCESS_SETGID);} 

}



/* &UV-PROCESS-SETGID */
obj_t BGl_z62UVzd2PROCESSzd2SETGIDz62zz__libuv_processz00(obj_t BgL_envz00_254)
{
{ /* Llib/process.scm 128 */
return 
BGl_UVzd2PROCESSzd2SETGIDz00zz__libuv_processz00();} 

}



/* UV-PROCESS-DETACHED */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2DETACHEDz00zz__libuv_processz00()
{
{ /* Llib/process.scm 134 */
return 
BINT(UV_PROCESS_DETACHED);} 

}



/* &UV-PROCESS-DETACHED */
obj_t BGl_z62UVzd2PROCESSzd2DETACHEDz62zz__libuv_processz00(obj_t BgL_envz00_255)
{
{ /* Llib/process.scm 134 */
return 
BGl_UVzd2PROCESSzd2DETACHEDz00zz__libuv_processz00();} 

}



/* UV-PROCESS-WINDOWS-VERBATIM-ARGUMENTS */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz00zz__libuv_processz00()
{
{ /* Llib/process.scm 140 */
return 
BINT(UV_PROCESS_WINDOWS_VERBATIM_ARGUMENTS);} 

}



/* &UV-PROCESS-WINDOWS-VERBATIM-ARGUMENTS */
obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz62zz__libuv_processz00(obj_t BgL_envz00_256)
{
{ /* Llib/process.scm 140 */
return 
BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz00zz__libuv_processz00();} 

}



/* UV-PROCESS-WINDOWS-HIDE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 146 */
return 
BINT(UV_PROCESS_WINDOWS_HIDE);} 

}



/* &UV-PROCESS-WINDOWS-HIDE */
obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2HIDEzb0zz__libuv_processz00(obj_t BgL_envz00_257)
{
{ /* Llib/process.scm 146 */
return 
BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2zz__libuv_processz00();} 

}



/* UV-IGNORE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2IGNOREzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 152 */
return 
BINT(UV_IGNORE);} 

}



/* &UV-IGNORE */
obj_t BGl_z62UVzd2IGNOREzb0zz__libuv_processz00(obj_t BgL_envz00_258)
{
{ /* Llib/process.scm 152 */
return 
BGl_UVzd2IGNOREzd2zz__libuv_processz00();} 

}



/* UV-INHERIT-FD */
BGL_EXPORTED_DEF obj_t BGl_UVzd2INHERITzd2FDz00zz__libuv_processz00()
{
{ /* Llib/process.scm 158 */
return 
BINT(UV_INHERIT_FD);} 

}



/* &UV-INHERIT-FD */
obj_t BGl_z62UVzd2INHERITzd2FDz62zz__libuv_processz00(obj_t BgL_envz00_259)
{
{ /* Llib/process.scm 158 */
return 
BGl_UVzd2INHERITzd2FDz00zz__libuv_processz00();} 

}



/* UV-INHERIT-STREAM */
BGL_EXPORTED_DEF obj_t BGl_UVzd2INHERITzd2STREAMz00zz__libuv_processz00()
{
{ /* Llib/process.scm 164 */
return 
BINT(UV_INHERIT_STREAM);} 

}



/* &UV-INHERIT-STREAM */
obj_t BGl_z62UVzd2INHERITzd2STREAMz62zz__libuv_processz00(obj_t BgL_envz00_260)
{
{ /* Llib/process.scm 164 */
return 
BGl_UVzd2INHERITzd2STREAMz00zz__libuv_processz00();} 

}



/* UV-CREATE-PIPE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2CREATEzd2PIPEz00zz__libuv_processz00()
{
{ /* Llib/process.scm 170 */
return 
BINT(UV_CREATE_PIPE);} 

}



/* &UV-CREATE-PIPE */
obj_t BGl_z62UVzd2CREATEzd2PIPEz62zz__libuv_processz00(obj_t BgL_envz00_261)
{
{ /* Llib/process.scm 170 */
return 
BGl_UVzd2CREATEzd2PIPEz00zz__libuv_processz00();} 

}



/* UV-READABLE-PIPE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2READABLEzd2PIPEz00zz__libuv_processz00()
{
{ /* Llib/process.scm 176 */
return 
BINT(UV_READABLE_PIPE);} 

}



/* &UV-READABLE-PIPE */
obj_t BGl_z62UVzd2READABLEzd2PIPEz62zz__libuv_processz00(obj_t BgL_envz00_262)
{
{ /* Llib/process.scm 176 */
return 
BGl_UVzd2READABLEzd2PIPEz00zz__libuv_processz00();} 

}



/* UV-WRITABLE-PIPE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2WRITABLEzd2PIPEz00zz__libuv_processz00()
{
{ /* Llib/process.scm 182 */
return 
BINT(UV_WRITABLE_PIPE);} 

}



/* &UV-WRITABLE-PIPE */
obj_t BGl_z62UVzd2WRITABLEzd2PIPEz62zz__libuv_processz00(obj_t BgL_envz00_263)
{
{ /* Llib/process.scm 182 */
return 
BGl_UVzd2WRITABLEzd2PIPEz00zz__libuv_processz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvProcessz00zz__libuv_typesz00, BGl_proc1147z00zz__libuv_processz00, BGl_string1148z00zz__libuv_processz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvProcessOptionsz00zz__libuv_typesz00, BGl_proc1149z00zz__libuv_processz00, BGl_string1148z00zz__libuv_processz00);} 

}



/* &%uv-init-UvProcessOp1082 */
obj_t BGl_z62z52uvzd2initzd2UvProcessOp1082z30zz__libuv_processz00(obj_t BgL_envz00_266, obj_t BgL_oz00_267)
{
{ /* Llib/process.scm 60 */
return BFALSE;} 

}



/* &%uv-init-UvProcess1080 */
obj_t BGl_z62z52uvzd2initzd2UvProcess1080z30zz__libuv_processz00(obj_t BgL_envz00_268, obj_t BgL_oz00_269)
{
{ /* Llib/process.scm 52 */
{ 
 uv_handle_t * BgL_auxz00_493;
{ /* Llib/process.scm 54 */
 uv_process_t * BgL_arg1128z00_286;
BgL_arg1128z00_286 = 
bgl_uv_process_new(
((BgL_uvprocessz00_bglt)BgL_oz00_269)); 
BgL_auxz00_493 = 
(uv_handle_t *)(BgL_arg1128z00_286); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_oz00_269))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_493),BUNSPEC); } 
return BFALSE;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_processz00()
{
{ /* Llib/process.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1150z00zz__libuv_processz00)); 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(((long)189772635), 
BSTRING_TO_STRING(BGl_string1150z00zz__libuv_processz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_netz00(((long)225963548), 
BSTRING_TO_STRING(BGl_string1150z00zz__libuv_processz00));} 

}

#ifdef __cplusplus
}
#endif
