/*===========================================================================*/
/*   (Llib/mpg123.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123.scm -o objs/mpg123.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_mpg123zd2handlezd2_bgl {
   header_t header;
   obj_t widening;
   mpg123_handle * BgL_z42builtinz42;
   obj_t BgL_decoderz00;
   long BgL_siza7eza7;
} *BgL_mpg123zd2handlezd2_bglt;

typedef struct BgL_z62mpg123zd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62mpg123zd2errorzb0_bglt;


static obj_t BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2error1570zb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_mpg123_getparam(obj_t, enum mpg123_parms);
static obj_t BGl_toplevelzd2initzd2zz__mpg123_mpg123z00();
BGL_EXPORTED_DECL long BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, long);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00 = BUNSPEC;
BGL_EXPORTED_DECL long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_genericzd2initzd2zz__mpg123_mpg123z00();
BGL_EXPORTED_DECL obj_t BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__mpg123_mpg123z00();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_EXPORTED_DECL int bgl_mpg123_error(char *, char *, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_mpg123z00();
static obj_t BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t, long, long, obj_t, long);
static obj_t BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__mpg123_mpg123z00(obj_t, obj_t);
extern int bgl_mpg123_decode(obj_t, char *, long, long, char *, long);
extern long bgl_mpg123_info(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00(obj_t, obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31542ze3ze5zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
extern long bgl_mpg123_position(mpg123_handle *);
static obj_t BGl_z62zc3z04anonymousza31381ze3ze5zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__mpg123_mpg123z00(obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1339z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1342z62zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_mpg123z00();
static enum mpg123_parms BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00();
static obj_t BGl_z62lambda1355z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1356z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
extern double bgl_mpg123_getvolume(mpg123_handle *);
static obj_t BGl_z62lambda1364z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1365z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1536z62zz__mpg123_mpg123z00(obj_t);
static BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1457z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1379z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2handlezd2init1100z62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda1380z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int);
extern long bgl_mpg123_getformat(mpg123_handle *);
static obj_t BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_mpg123zd2handlezd2_bglt BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
extern mpg123_handle * bgl_mpg123_new(char *);
static obj_t __cnst[ 40 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2paramzd2getzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2para1674z00, BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2handlezd2resetz12zd2envzc0zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1675z00, BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2infozd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2info1676z00, BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2volumezd2getzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2volu1677z00, BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1616z00zz__mpg123_mpg123z00, BgL_bgl_string1616za700za7za7_1678za7, "mpg123", 6 );
DEFINE_STRING( BGl_string1617z00zz__mpg123_mpg123z00, BgL_bgl_string1617za700za7za7_1679za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/mpg123/src/Llib/mpg123.scm", 66 );
DEFINE_STRING( BGl_string1618z00zz__mpg123_mpg123z00, BgL_bgl_string1618za700za7za7_1680za7, "&mpg123-handle-close", 20 );
DEFINE_STRING( BGl_string1619z00zz__mpg123_mpg123z00, BgL_bgl_string1619za700za7za7_1681za7, "mpg123-handle", 13 );
DEFINE_STRING( BGl_string1620z00zz__mpg123_mpg123z00, BgL_bgl_string1620za700za7za7_1682za7, "&mpg123-handle-reset!", 21 );
DEFINE_STRING( BGl_string1621z00zz__mpg123_mpg123z00, BgL_bgl_string1621za700za7za7_1683za7, "&mpg123-error1570", 17 );
DEFINE_STRING( BGl_string1622z00zz__mpg123_mpg123z00, BgL_bgl_string1622za700za7za7_1684za7, "bstring", 7 );
DEFINE_STRING( BGl_string1623z00zz__mpg123_mpg123z00, BgL_bgl_string1623za700za7za7_1685za7, "&mpg123-decode", 14 );
DEFINE_STRING( BGl_string1624z00zz__mpg123_mpg123z00, BgL_bgl_string1624za700za7za7_1686za7, "bint", 4 );
DEFINE_STRING( BGl_string1625z00zz__mpg123_mpg123z00, BgL_bgl_string1625za700za7za7_1687za7, "&mpg123-get-format", 18 );
DEFINE_STRING( BGl_string1626z00zz__mpg123_mpg123z00, BgL_bgl_string1626za700za7za7_1688za7, "&mpg123-position", 16 );
DEFINE_STRING( BGl_string1627z00zz__mpg123_mpg123z00, BgL_bgl_string1627za700za7za7_1689za7, "mpg123-decode-status->symbol", 28 );
DEFINE_STRING( BGl_string1628z00zz__mpg123_mpg123z00, BgL_bgl_string1628za700za7za7_1690za7, "Unknown decode-status", 21 );
DEFINE_STRING( BGl_string1629z00zz__mpg123_mpg123z00, BgL_bgl_string1629za700za7za7_1691za7, "&mpg123-decode-status->symbol", 29 );
DEFINE_STRING( BGl_string1630z00zz__mpg123_mpg123z00, BgL_bgl_string1630za700za7za7_1692za7, "mpg123-format->alsa-format", 26 );
DEFINE_STRING( BGl_string1631z00zz__mpg123_mpg123z00, BgL_bgl_string1631za700za7za7_1693za7, "Unknown format", 14 );
DEFINE_STRING( BGl_string1632z00zz__mpg123_mpg123z00, BgL_bgl_string1632za700za7za7_1694za7, "&mpg123-param-get", 17 );
DEFINE_STRING( BGl_string1633z00zz__mpg123_mpg123z00, BgL_bgl_string1633za700za7za7_1695za7, "symbol", 6 );
DEFINE_STRING( BGl_string1634z00zz__mpg123_mpg123z00, BgL_bgl_string1634za700za7za7_1696za7, "mpg123-param->symbol", 20 );
DEFINE_STRING( BGl_string1635z00zz__mpg123_mpg123z00, BgL_bgl_string1635za700za7za7_1697za7, "unknown param", 13 );
DEFINE_STRING( BGl_string1636z00zz__mpg123_mpg123z00, BgL_bgl_string1636za700za7za7_1698za7, "&mpg123-info", 12 );
DEFINE_STRING( BGl_string1637z00zz__mpg123_mpg123z00, BgL_bgl_string1637za700za7za7_1699za7, "MPG123-SEEK, f=", 15 );
DEFINE_STRING( BGl_string1638z00zz__mpg123_mpg123z00, BgL_bgl_string1638za700za7za7_1700za7, ":", 1 );
DEFINE_STRING( BGl_string1639z00zz__mpg123_mpg123z00, BgL_bgl_string1639za700za7za7_1701za7, ",", 1 );
DEFINE_STRING( BGl_string1640z00zz__mpg123_mpg123z00, BgL_bgl_string1640za700za7za7_1702za7, "Llib/mpg123.scm", 15 );
DEFINE_STRING( BGl_string1641z00zz__mpg123_mpg123z00, BgL_bgl_string1641za700za7za7_1703za7, "MPG123-SEEK, o=", 15 );
DEFINE_STRING( BGl_string1642z00zz__mpg123_mpg123z00, BgL_bgl_string1642za700za7za7_1704za7, "&mpg123-seek", 12 );
DEFINE_STRING( BGl_string1643z00zz__mpg123_mpg123z00, BgL_bgl_string1643za700za7za7_1705za7, "Cannot get volume", 17 );
DEFINE_STRING( BGl_string1644z00zz__mpg123_mpg123z00, BgL_bgl_string1644za700za7za7_1706za7, "&mpg123-volume-get", 18 );
DEFINE_STRING( BGl_string1645z00zz__mpg123_mpg123z00, BgL_bgl_string1645za700za7za7_1707za7, "&mpg123-volume-set!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1646z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1708za7, BGl_z62zc3z04anonymousza31357ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1647z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1356za7621709z00, BGl_z62lambda1356z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1648z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1355za7621710z00, BGl_z62lambda1355z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1649z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1711za7, BGl_z62zc3z04anonymousza31366ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1650z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1365za7621712z00, BGl_z62lambda1365z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1651z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1364za7621713z00, BGl_z62lambda1364z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1652z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1714za7, BGl_z62zc3z04anonymousza31381ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1653z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1380za7621715z00, BGl_z62lambda1380z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1654z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1379za7621716z00, BGl_z62lambda1379z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1655z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1717za7, BGl_z62zc3z04anonymousza31344ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1662z00zz__mpg123_mpg123z00, BgL_bgl_string1662za700za7za7_1718za7, "mpg123-handle-init1100", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1656z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1342za7621719z00, BGl_z62lambda1342z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1663z00zz__mpg123_mpg123z00, BgL_bgl_string1663za700za7za7_1720za7, "&mpg123-handle-init", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1657z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1339za7621721z00, BGl_z62lambda1339z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1664z00zz__mpg123_mpg123z00, BgL_bgl_string1664za700za7za7_1722za7, "&mpg123-error __mpg123_mpg123 mpg123-handle long size obj decoder $mpg123-handle $builtin index-size resync-limit remove-flags timeout outscale icy-interval decode-frames start-frame upspeed downspeed rva down-sample force-rate add-flags flags verbose float64 float u32 s32 mu-law a-law s8 u8 u16 s16 done need-more err new-format ok ", 334 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1658z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1723za7, BGl_z62zc3z04anonymousza31542ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1659z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1536za7621724z00, BGl_z62lambda1536z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1660z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1457za7621725z00, BGl_z62lambda1457z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1661z00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1726z00, BGl_z62mpg123zd2handlezd2init1100z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2errorzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2erro1727z00, BGl_z62mpg123zd2error1570zb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1728z00, BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2volumezd2setz12zd2envzc0zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2volu1729z00, BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2decodezd2statuszd2ze3symbolzd2envze3zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2deco1730z00, BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2positionzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2posi1731z00, BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42mpg123zd2handlezd2nilzd2envzc2zz__mpg123_mpg123z00, BgL_bgl_za762za752za742mpg123za71732z00, BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2getzd2formatzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2getza71733za7, BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2decodezd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2deco1734z00, BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2seekzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2seek1735z00, BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2handlezd2closezd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1736z00, BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00) );
ADD_ROOT( (void *)(&BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00) );
ADD_ROOT( (void *)(&BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long BgL_checksumz00_684, char * BgL_fromz00_685)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(); 
BGl_cnstzd2initzd2zz__mpg123_mpg123z00(); 
BGl_objectzd2initzd2zz__mpg123_mpg123z00(); 
BGl_genericzd2initzd2zz__mpg123_mpg123z00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_mpg123z00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__mpg123_mpg123"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_cportz00_609;
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_stringz00_617;
BgL_stringz00_617 = BGl_string1664z00zz__mpg123_mpg123z00; 
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_startz00_618;
BgL_startz00_618 = 
BINT(((long)0)); 
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_endz00_619;
BgL_endz00_619 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_617))); 
{ /* Llib/mpg123.scm 15 */

BgL_cportz00_609 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_617, BgL_startz00_618, BgL_endz00_619); } } } } 
{ 
 long BgL_iz00_610;
BgL_iz00_610 = ((long)39); 
BgL_loopz00_611:
if(
(BgL_iz00_610==((long)-1)))
{ /* Llib/mpg123.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_arg1672z00_613;
{ /* Llib/mpg123.scm 15 */

{ /* Llib/mpg123.scm 15 */
 obj_t BgL_locationz00_615;
BgL_locationz00_615 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123.scm 15 */

BgL_arg1672z00_613 = 
BGl_readz00zz__readerz00(BgL_cportz00_609, BgL_locationz00_615); } } } 
{ /* Llib/mpg123.scm 15 */
 int BgL_tmpz00_717;
BgL_tmpz00_717 = 
(int)(BgL_iz00_610); 
CNST_TABLE_SET(BgL_tmpz00_717, BgL_arg1672z00_613); } } 
{ /* Llib/mpg123.scm 15 */
 int BgL_auxz00_616;
BgL_auxz00_616 = 
(int)(
(BgL_iz00_610-((long)1))); 
{ 
 long BgL_iz00_722;
BgL_iz00_722 = 
(long)(BgL_auxz00_616); 
BgL_iz00_610 = BgL_iz00_722; 
goto BgL_loopz00_611;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 222 */
 int BgL_errz00_32;
BgL_errz00_32 = 
mpg123_init(); 
if(
(
(long)(BgL_errz00_32)==
(long)(MPG123_OK)))
{ /* Llib/mpg123.scm 223 */
return BFALSE;}  else 
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1107z00_34;
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1078z00_35;
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1077z00_38;
BgL_new1077z00_38 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 224 */
 long BgL_arg1114z00_39;
BgL_arg1114z00_39 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_38), BgL_arg1114z00_39); } 
BgL_new1078z00_35 = BgL_new1077z00_38; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_35)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_35)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_738;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_arg1112z00_36;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_arg1113z00_37;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_classz00_295;
BgL_classz00_295 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1113z00_37 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_295); } 
BgL_arg1112z00_36 = 
VECTOR_REF(BgL_arg1113z00_37,((long)2)); } 
BgL_auxz00_738 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1112z00_36); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_35)))->BgL_stackz00)=((obj_t)BgL_auxz00_738),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_35)))->BgL_procz00)=((obj_t)BGl_string1616z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_35)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)mpg123_plain_strerror(BgL_errz00_32))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_35)))->BgL_objz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1107z00_34 = BgL_new1078z00_35; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1107z00_34));} } } 

}



/* %$mpg123-handle-nil */
BGL_EXPORTED_DEF obj_t BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 48 */
return 
void_star_to_obj((mpg123_handle *)0L);} 

}



/* &%$mpg123-handle-nil */
obj_t BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00(obj_t BgL_envz00_455)
{
{ /* Llib/mpg123.scm 48 */
return 
BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00();} 

}



/* mpg123-handle-close */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_4)
{
{ /* Llib/mpg123.scm 64 */
{ /* Llib/mpg123.scm 66 */
 mpg123_handle * BgL_arg1120z00_298;
BgL_arg1120z00_298 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42); 
mpg123_delete(BgL_arg1120z00_298); BUNSPEC; } 
return 
((obj_t)BgL_oz00_4);} 

}



/* &mpg123-handle-close */
obj_t BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00(obj_t BgL_envz00_456, obj_t BgL_oz00_457)
{
{ /* Llib/mpg123.scm 64 */
{ /* Llib/mpg123.scm 65 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_759;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_457, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 65 */
BgL_auxz00_759 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_457)
; }  else 
{ 
 obj_t BgL_auxz00_763;
BgL_auxz00_763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)3009)), BGl_string1618z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_oz00_457); 
FAILURE(BgL_auxz00_763,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_auxz00_759);} } 

}



/* mpg123-handle-reset! */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_5)
{
{ /* Llib/mpg123.scm 72 */
{ /* Llib/mpg123.scm 74 */
 mpg123_handle * BgL_tmpz00_768;
BgL_tmpz00_768 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
mpg123_close(BgL_tmpz00_768); } 
{ /* Llib/mpg123.scm 75 */
 mpg123_handle * BgL_arg1122z00_301;
BgL_arg1122z00_301 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
return 
BINT(
mpg123_open_feed(BgL_arg1122z00_301));} } 

}



/* &mpg123-handle-reset! */
obj_t BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00(obj_t BgL_envz00_458, obj_t BgL_oz00_459)
{
{ /* Llib/mpg123.scm 72 */
{ /* Llib/mpg123.scm 73 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_774;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_459, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 73 */
BgL_auxz00_774 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_459)
; }  else 
{ 
 obj_t BgL_auxz00_778;
BgL_auxz00_778 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)3366)), BGl_string1620z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_oz00_459); 
FAILURE(BgL_auxz00_778,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_auxz00_774);} } 

}



/* mpg123-error */
BGL_EXPORTED_DEF int bgl_mpg123_error(char * BgL_procz00_6, char * BgL_msgz00_7, obj_t BgL_objz00_8)
{
{ /* Llib/mpg123.scm 80 */
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1123z00_53;
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1067z00_54;
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1066z00_57;
BgL_new1066z00_57 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 81 */
 long BgL_arg1129z00_58;
BgL_arg1129z00_58 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_57), BgL_arg1129z00_58); } 
BgL_new1067z00_54 = BgL_new1066z00_57; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_54)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_54)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_791;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_arg1127z00_55;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_arg1128z00_56;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_classz00_305;
BgL_classz00_305 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1128z00_56 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_305); } 
BgL_arg1127z00_55 = 
VECTOR_REF(BgL_arg1128z00_56,((long)2)); } 
BgL_auxz00_791 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1127z00_55); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_54)))->BgL_stackz00)=((obj_t)BgL_auxz00_791),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1067z00_54)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_6)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1067z00_54)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_7)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1067z00_54)))->BgL_objz00)=((obj_t)BgL_objz00_8),BUNSPEC); 
BgL_arg1123z00_53 = BgL_new1067z00_54; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1123z00_53)); } 
return 
(int)(((long)0));} 

}



/* &mpg123-error1570 */
obj_t BGl_z62mpg123zd2error1570zb0zz__mpg123_mpg123z00(obj_t BgL_envz00_460, obj_t BgL_procz00_461, obj_t BgL_msgz00_462, obj_t BgL_objz00_463)
{
{ /* Llib/mpg123.scm 80 */
{ /* Llib/mpg123.scm 84 */
 int BgL_tmpz00_808;
{ /* Llib/mpg123.scm 84 */
 char * BgL_auxz00_818; char * BgL_auxz00_809;
{ /* Llib/mpg123.scm 84 */
 obj_t BgL_tmpz00_819;
if(
STRINGP(BgL_msgz00_462))
{ /* Llib/mpg123.scm 84 */
BgL_tmpz00_819 = BgL_msgz00_462
; }  else 
{ 
 obj_t BgL_auxz00_822;
BgL_auxz00_822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)3828)), BGl_string1621z00zz__mpg123_mpg123z00, BGl_string1622z00zz__mpg123_mpg123z00, BgL_msgz00_462); 
FAILURE(BgL_auxz00_822,BFALSE,BFALSE);} 
BgL_auxz00_818 = 
BSTRING_TO_STRING(BgL_tmpz00_819); } 
{ /* Llib/mpg123.scm 84 */
 obj_t BgL_tmpz00_810;
if(
STRINGP(BgL_procz00_461))
{ /* Llib/mpg123.scm 84 */
BgL_tmpz00_810 = BgL_procz00_461
; }  else 
{ 
 obj_t BgL_auxz00_813;
BgL_auxz00_813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)3828)), BGl_string1621z00zz__mpg123_mpg123z00, BGl_string1622z00zz__mpg123_mpg123z00, BgL_procz00_461); 
FAILURE(BgL_auxz00_813,BFALSE,BFALSE);} 
BgL_auxz00_809 = 
BSTRING_TO_STRING(BgL_tmpz00_810); } 
BgL_tmpz00_808 = 
bgl_mpg123_error(BgL_auxz00_809, BgL_auxz00_818, BgL_objz00_463); } 
return 
BINT(BgL_tmpz00_808);} } 

}



/* mpg123-decode */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_9, obj_t BgL_inbufz00_10, long BgL_inoffz00_11, long BgL_insza7za7_12, obj_t BgL_outbufz00_13, long BgL_outsza7za7_14)
{
{ /* Llib/mpg123.scm 90 */
{ /* Llib/mpg123.scm 91 */
 int BgL_statusz00_307;
BgL_statusz00_307 = 
bgl_mpg123_decode(
((obj_t)BgL_mz00_9), 
BSTRING_TO_STRING(BgL_inbufz00_10), BgL_inoffz00_11, BgL_insza7za7_12, 
BSTRING_TO_STRING(BgL_outbufz00_13), BgL_outsza7za7_14); 
{ /* Llib/mpg123.scm 92 */
 obj_t BgL_val0_1091z00_308; long BgL_val1_1092z00_309;
BgL_val0_1091z00_308 = 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_statusz00_307); 
BgL_val1_1092z00_309 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_9))->BgL_siza7eza7); 
{ /* Llib/mpg123.scm 92 */
 int BgL_tmpz00_835;
BgL_tmpz00_835 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_835); } 
{ /* Llib/mpg123.scm 92 */
 obj_t BgL_auxz00_840; int BgL_tmpz00_838;
BgL_auxz00_840 = 
BINT(BgL_val1_1092z00_309); 
BgL_tmpz00_838 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_838, BgL_auxz00_840); } 
return BgL_val0_1091z00_308;} } } 

}



/* &mpg123-decode */
obj_t BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00(obj_t BgL_envz00_464, obj_t BgL_mz00_465, obj_t BgL_inbufz00_466, obj_t BgL_inoffz00_467, obj_t BgL_insza7za7_468, obj_t BgL_outbufz00_469, obj_t BgL_outsza7za7_470)
{
{ /* Llib/mpg123.scm 90 */
{ /* Llib/mpg123.scm 91 */
 long BgL_auxz00_883; obj_t BgL_auxz00_876; long BgL_auxz00_867; long BgL_auxz00_858; obj_t BgL_auxz00_851; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_843;
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_884;
if(
INTEGERP(BgL_outsza7za7_470))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_884 = BgL_outsza7za7_470
; }  else 
{ 
 obj_t BgL_auxz00_887;
BgL_auxz00_887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1623z00zz__mpg123_mpg123z00, BGl_string1624z00zz__mpg123_mpg123z00, BgL_outsza7za7_470); 
FAILURE(BgL_auxz00_887,BFALSE,BFALSE);} 
BgL_auxz00_883 = 
(long)CINT(BgL_tmpz00_884); } 
if(
STRINGP(BgL_outbufz00_469))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_876 = BgL_outbufz00_469
; }  else 
{ 
 obj_t BgL_auxz00_879;
BgL_auxz00_879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1623z00zz__mpg123_mpg123z00, BGl_string1622z00zz__mpg123_mpg123z00, BgL_outbufz00_469); 
FAILURE(BgL_auxz00_879,BFALSE,BFALSE);} 
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_868;
if(
INTEGERP(BgL_insza7za7_468))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_868 = BgL_insza7za7_468
; }  else 
{ 
 obj_t BgL_auxz00_871;
BgL_auxz00_871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1623z00zz__mpg123_mpg123z00, BGl_string1624z00zz__mpg123_mpg123z00, BgL_insza7za7_468); 
FAILURE(BgL_auxz00_871,BFALSE,BFALSE);} 
BgL_auxz00_867 = 
(long)CINT(BgL_tmpz00_868); } 
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_859;
if(
INTEGERP(BgL_inoffz00_467))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_859 = BgL_inoffz00_467
; }  else 
{ 
 obj_t BgL_auxz00_862;
BgL_auxz00_862 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1623z00zz__mpg123_mpg123z00, BGl_string1624z00zz__mpg123_mpg123z00, BgL_inoffz00_467); 
FAILURE(BgL_auxz00_862,BFALSE,BFALSE);} 
BgL_auxz00_858 = 
(long)CINT(BgL_tmpz00_859); } 
if(
STRINGP(BgL_inbufz00_466))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_851 = BgL_inbufz00_466
; }  else 
{ 
 obj_t BgL_auxz00_854;
BgL_auxz00_854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1623z00zz__mpg123_mpg123z00, BGl_string1622z00zz__mpg123_mpg123z00, BgL_inbufz00_466); 
FAILURE(BgL_auxz00_854,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_465, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_843 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_465)
; }  else 
{ 
 obj_t BgL_auxz00_847;
BgL_auxz00_847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1623z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_465); 
FAILURE(BgL_auxz00_847,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_auxz00_843, BgL_auxz00_851, BgL_auxz00_858, BgL_auxz00_867, BgL_auxz00_876, BgL_auxz00_883);} } 

}



/* mpg123-get-format */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_15)
{
{ /* Llib/mpg123.scm 99 */
{ /* Llib/mpg123.scm 101 */
 long BgL_ratez00_64;
BgL_ratez00_64 = 
bgl_mpg123_getformat(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_15))->BgL_z42builtinz42)); 
{ /* Llib/mpg123.scm 102 */
 obj_t BgL_channelsz00_65; obj_t BgL_encodingz00_66;
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_tmpz00_311;
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_895;
BgL_tmpz00_895 = 
(int)(((long)1)); 
BgL_tmpz00_311 = 
BGL_MVALUES_VAL(BgL_tmpz00_895); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_898;
BgL_tmpz00_898 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_898, BUNSPEC); } 
BgL_channelsz00_65 = BgL_tmpz00_311; } 
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_tmpz00_312;
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_901;
BgL_tmpz00_901 = 
(int)(((long)2)); 
BgL_tmpz00_312 = 
BGL_MVALUES_VAL(BgL_tmpz00_901); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_904;
BgL_tmpz00_904 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_904, BUNSPEC); } 
BgL_encodingz00_66 = BgL_tmpz00_312; } 
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_val2_1095z00_69;
BgL_val2_1095z00_69 = 
BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(BgL_encodingz00_66); 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_908;
BgL_tmpz00_908 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_908); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_911;
BgL_tmpz00_911 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_911, BgL_channelsz00_65); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_914;
BgL_tmpz00_914 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_914, BgL_val2_1095z00_69); } 
return 
BINT(BgL_ratez00_64);} } } } 

}



/* &mpg123-get-format */
obj_t BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00(obj_t BgL_envz00_471, obj_t BgL_mz00_472)
{
{ /* Llib/mpg123.scm 99 */
{ /* Llib/mpg123.scm 100 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_918;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_472, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 100 */
BgL_auxz00_918 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_472)
; }  else 
{ 
 obj_t BgL_auxz00_922;
BgL_auxz00_922 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)4578)), BGl_string1625z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_472); 
FAILURE(BgL_auxz00_922,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_auxz00_918);} } 

}



/* mpg123-position */
BGL_EXPORTED_DEF long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_16)
{
{ /* Llib/mpg123.scm 108 */
return 
bgl_mpg123_position(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_16))->BgL_z42builtinz42));} 

}



/* &mpg123-position */
obj_t BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00(obj_t BgL_envz00_473, obj_t BgL_mz00_474)
{
{ /* Llib/mpg123.scm 108 */
{ /* Llib/mpg123.scm 109 */
 long BgL_tmpz00_929;
{ /* Llib/mpg123.scm 109 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_930;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_474, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 109 */
BgL_auxz00_930 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_474)
; }  else 
{ 
 obj_t BgL_auxz00_934;
BgL_auxz00_934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)5037)), BGl_string1626z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_474); 
FAILURE(BgL_auxz00_934,BFALSE,BFALSE);} 
BgL_tmpz00_929 = 
BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_auxz00_930); } 
return 
BINT(BgL_tmpz00_929);} } 

}



/* mpg123-decode-status->symbol */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int BgL_sz00_17)
{
{ /* Llib/mpg123.scm 115 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_OK)))
{ /* Llib/mpg123.scm 117 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/mpg123.scm 117 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_NEW_FORMAT)))
{ /* Llib/mpg123.scm 118 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/mpg123.scm 118 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_ERR)))
{ /* Llib/mpg123.scm 119 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/mpg123.scm 119 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_NEED_MORE)))
{ /* Llib/mpg123.scm 120 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/mpg123.scm 120 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_DONE)))
{ /* Llib/mpg123.scm 121 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1138z00_78;
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1072z00_79;
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1071z00_82;
BgL_new1071z00_82 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 122 */
 long BgL_arg1142z00_83;
BgL_arg1142z00_83 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_82), BgL_arg1142z00_83); } 
BgL_new1072z00_79 = BgL_new1071z00_82; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_79)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_79)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_973;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_arg1139z00_80;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_arg1140z00_81;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_classz00_328;
BgL_classz00_328 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1140z00_81 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_328); } 
BgL_arg1139z00_80 = 
VECTOR_REF(BgL_arg1140z00_81,((long)2)); } 
BgL_auxz00_973 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1139z00_80); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_79)))->BgL_stackz00)=((obj_t)BgL_auxz00_973),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_79)))->BgL_procz00)=((obj_t)BGl_string1627z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_79)))->BgL_msgz00)=((obj_t)BGl_string1628z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_79)))->BgL_objz00)=((obj_t)
BINT(BgL_sz00_17)),BUNSPEC); 
BgL_arg1138z00_78 = BgL_new1072z00_79; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1138z00_78));} } } } } } 

}



/* &mpg123-decode-status->symbol */
obj_t BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00(obj_t BgL_envz00_475, obj_t BgL_sz00_476)
{
{ /* Llib/mpg123.scm 115 */
{ /* Llib/mpg123.scm 117 */
 int BgL_auxz00_988;
{ /* Llib/mpg123.scm 117 */
 obj_t BgL_tmpz00_989;
if(
INTEGERP(BgL_sz00_476))
{ /* Llib/mpg123.scm 117 */
BgL_tmpz00_989 = BgL_sz00_476
; }  else 
{ 
 obj_t BgL_auxz00_992;
BgL_auxz00_992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)5397)), BGl_string1629z00zz__mpg123_mpg123z00, BGl_string1624z00zz__mpg123_mpg123z00, BgL_sz00_476); 
FAILURE(BgL_auxz00_992,BFALSE,BFALSE);} 
BgL_auxz00_988 = 
CINT(BgL_tmpz00_989); } 
return 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_auxz00_988);} } 

}



/* mpg123-format->symbol */
obj_t BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(obj_t BgL_fz00_18)
{
{ /* Llib/mpg123.scm 130 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_16))
{ /* Llib/mpg123.scm 132 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/mpg123.scm 132 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_16))
{ /* Llib/mpg123.scm 133 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/mpg123.scm 133 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_8))
{ /* Llib/mpg123.scm 134 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/mpg123.scm 134 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_8))
{ /* Llib/mpg123.scm 135 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Llib/mpg123.scm 135 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_ALAW_8))
{ /* Llib/mpg123.scm 136 */
return 
CNST_TABLE_REF(((long)9));}  else 
{ /* Llib/mpg123.scm 136 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_ULAW_8))
{ /* Llib/mpg123.scm 137 */
return 
CNST_TABLE_REF(((long)10));}  else 
{ /* Llib/mpg123.scm 137 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_32))
{ /* Llib/mpg123.scm 138 */
return 
CNST_TABLE_REF(((long)11));}  else 
{ /* Llib/mpg123.scm 138 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_32))
{ /* Llib/mpg123.scm 139 */
return 
CNST_TABLE_REF(((long)12));}  else 
{ /* Llib/mpg123.scm 139 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_FLOAT_32))
{ /* Llib/mpg123.scm 144 */
return 
CNST_TABLE_REF(((long)13));}  else 
{ /* Llib/mpg123.scm 144 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_FLOAT_64))
{ /* Llib/mpg123.scm 145 */
return 
CNST_TABLE_REF(((long)14));}  else 
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1153z00_94;
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1074z00_95;
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1073z00_98;
BgL_new1073z00_98 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 146 */
 long BgL_arg1159z00_99;
BgL_arg1159z00_99 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_98), BgL_arg1159z00_99); } 
BgL_new1074z00_95 = BgL_new1073z00_98; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1074z00_95)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1074z00_95)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1046;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_arg1154z00_96;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_arg1158z00_97;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_classz00_353;
BgL_classz00_353 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1158z00_97 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_353); } 
BgL_arg1154z00_96 = 
VECTOR_REF(BgL_arg1158z00_97,((long)2)); } 
BgL_auxz00_1046 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1154z00_96); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1074z00_95)))->BgL_stackz00)=((obj_t)BgL_auxz00_1046),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1074z00_95)))->BgL_procz00)=((obj_t)BGl_string1630z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1074z00_95)))->BgL_msgz00)=((obj_t)BGl_string1631z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1074z00_95)))->BgL_objz00)=((obj_t)BgL_fz00_18),BUNSPEC); 
BgL_arg1153z00_94 = BgL_new1074z00_95; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1153z00_94));} } } } } } } } } } } 

}



/* mpg123-param-get */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_19, obj_t BgL_typez00_20)
{
{ /* Llib/mpg123.scm 154 */
{ /* Llib/mpg123.scm 156 */
 mpg123_handle * BgL_arg1162z00_356; enum mpg123_parms BgL_arg1163z00_357;
BgL_arg1162z00_356 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_19))->BgL_z42builtinz42); 
BgL_arg1163z00_357 = 
BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(BgL_typez00_20); 
return 
bgl_mpg123_getparam(
void_star_to_obj(BgL_arg1162z00_356), BgL_arg1163z00_357);} } 

}



/* &mpg123-param-get */
obj_t BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00(obj_t BgL_envz00_477, obj_t BgL_mz00_478, obj_t BgL_typez00_479)
{
{ /* Llib/mpg123.scm 154 */
{ /* Llib/mpg123.scm 155 */
 obj_t BgL_auxz00_1072; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1064;
if(
SYMBOLP(BgL_typez00_479))
{ /* Llib/mpg123.scm 155 */
BgL_auxz00_1072 = BgL_typez00_479
; }  else 
{ 
 obj_t BgL_auxz00_1075;
BgL_auxz00_1075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)7171)), BGl_string1632z00zz__mpg123_mpg123z00, BGl_string1633z00zz__mpg123_mpg123z00, BgL_typez00_479); 
FAILURE(BgL_auxz00_1075,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_478, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 155 */
BgL_auxz00_1064 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_478)
; }  else 
{ 
 obj_t BgL_auxz00_1068;
BgL_auxz00_1068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)7171)), BGl_string1632z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_478); 
FAILURE(BgL_auxz00_1068,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_auxz00_1064, BgL_auxz00_1072);} } 

}



/* symbol->mpg123-param */
enum mpg123_parms BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(obj_t BgL_pz00_25)
{
{ /* Llib/mpg123.scm 196 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)15))))
{ /* Llib/mpg123.scm 197 */
return MPG123_VERBOSE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)16))))
{ /* Llib/mpg123.scm 197 */
return MPG123_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)17))))
{ /* Llib/mpg123.scm 197 */
return MPG123_ADD_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)18))))
{ /* Llib/mpg123.scm 197 */
return MPG123_FORCE_RATE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)19))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DOWN_SAMPLE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)20))))
{ /* Llib/mpg123.scm 197 */
return MPG123_RVA;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)21))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DOWNSPEED;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)22))))
{ /* Llib/mpg123.scm 197 */
return MPG123_UPSPEED;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)23))))
{ /* Llib/mpg123.scm 197 */
return MPG123_START_FRAME;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)24))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DECODE_FRAMES;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)25))))
{ /* Llib/mpg123.scm 197 */
return MPG123_ICY_INTERVAL;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)26))))
{ /* Llib/mpg123.scm 197 */
return MPG123_OUTSCALE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)27))))
{ /* Llib/mpg123.scm 197 */
return MPG123_TIMEOUT;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)28))))
{ /* Llib/mpg123.scm 197 */
return MPG123_REMOVE_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)29))))
{ /* Llib/mpg123.scm 197 */
return MPG123_RESYNC_LIMIT;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)30))))
{ /* Llib/mpg123.scm 197 */
return MPG123_INDEX_SIZE;}  else 
{ /* Llib/mpg123.scm 197 */
return 
(long)CINT(
BGl_errorz00zz__errorz00(BGl_string1634z00zz__mpg123_mpg123z00, BGl_string1635z00zz__mpg123_mpg123z00, BgL_pz00_25));} } } } } } } } } } } } } } } } } 

}



/* mpg123-info */
BGL_EXPORTED_DEF long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_26)
{
{ /* Llib/mpg123.scm 232 */
{ /* Llib/mpg123.scm 234 */
 mpg123_handle * BgL_arg1211z00_375;
BgL_arg1211z00_375 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_26))->BgL_z42builtinz42); 
return 
bgl_mpg123_info(
void_star_to_obj(BgL_arg1211z00_375));} } 

}



/* &mpg123-info */
obj_t BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00(obj_t BgL_envz00_480, obj_t BgL_mz00_481)
{
{ /* Llib/mpg123.scm 232 */
{ /* Llib/mpg123.scm 233 */
 long BgL_tmpz00_1133;
{ /* Llib/mpg123.scm 233 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1134;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_481, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 233 */
BgL_auxz00_1134 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_481)
; }  else 
{ 
 obj_t BgL_auxz00_1138;
BgL_auxz00_1138 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)10878)), BGl_string1636z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_481); 
FAILURE(BgL_auxz00_1138,BFALSE,BFALSE);} 
BgL_tmpz00_1133 = 
BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_auxz00_1134); } 
return 
BINT(BgL_tmpz00_1133);} } 

}



/* mpg123-seek */
BGL_EXPORTED_DEF long BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_27, long BgL_secz00_28)
{
{ /* Llib/mpg123.scm 239 */
{ /* Llib/mpg123.scm 241 */
 long BgL_fz00_146;
{ /* Llib/mpg123.scm 241 */
 mpg123_handle * BgL_arg1235z00_164; double BgL_arg1238z00_165;
BgL_arg1235z00_164 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_27))->BgL_z42builtinz42); 
BgL_arg1238z00_165 = 
(double)(BgL_secz00_28); 
BgL_fz00_146 = 
mpg123_timeframe(BgL_arg1235z00_164, BgL_arg1238z00_165); } 
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1213z00_147;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_tmpz00_1147;
BgL_tmpz00_1147 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1213z00_147 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1147); } 
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_list1214z00_148;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1215z00_149;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1218z00_150;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1219z00_151;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1221z00_152;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1224z00_153;
BgL_arg1224z00_153 = 
MAKE_YOUNG_PAIR(
BINT(BgL_fz00_146), BNIL); 
BgL_arg1221z00_152 = 
MAKE_YOUNG_PAIR(BGl_string1637z00zz__mpg123_mpg123z00, BgL_arg1224z00_153); } 
BgL_arg1219z00_151 = 
MAKE_YOUNG_PAIR(BGl_string1638z00zz__mpg123_mpg123z00, BgL_arg1221z00_152); } 
BgL_arg1218z00_150 = 
MAKE_YOUNG_PAIR(
BINT(((long)242)), BgL_arg1219z00_151); } 
BgL_arg1215z00_149 = 
MAKE_YOUNG_PAIR(BGl_string1639z00zz__mpg123_mpg123z00, BgL_arg1218z00_150); } 
BgL_list1214z00_148 = 
MAKE_YOUNG_PAIR(BGl_string1640z00zz__mpg123_mpg123z00, BgL_arg1215z00_149); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1213z00_147, BgL_list1214z00_148); } } 
{ /* Llib/mpg123.scm 243 */
 long BgL_oz00_154;
{ /* Llib/mpg123.scm 243 */
 mpg123_handle * BgL_tmpz00_1159;
BgL_tmpz00_1159 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_27))->BgL_z42builtinz42); 
BgL_oz00_154 = 
mpg123_seek_frame(BgL_tmpz00_1159, BgL_fz00_146, SEEK_SET); } 
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1225z00_155;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_tmpz00_1162;
BgL_tmpz00_1162 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1225z00_155 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1162); } 
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_list1226z00_156;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1227z00_157;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1228z00_158;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1229z00_159;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1230z00_160;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1231z00_161;
BgL_arg1231z00_161 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oz00_154), BNIL); 
BgL_arg1230z00_160 = 
MAKE_YOUNG_PAIR(BGl_string1641z00zz__mpg123_mpg123z00, BgL_arg1231z00_161); } 
BgL_arg1229z00_159 = 
MAKE_YOUNG_PAIR(BGl_string1638z00zz__mpg123_mpg123z00, BgL_arg1230z00_160); } 
BgL_arg1228z00_158 = 
MAKE_YOUNG_PAIR(
BINT(((long)244)), BgL_arg1229z00_159); } 
BgL_arg1227z00_157 = 
MAKE_YOUNG_PAIR(BGl_string1639z00zz__mpg123_mpg123z00, BgL_arg1228z00_158); } 
BgL_list1226z00_156 = 
MAKE_YOUNG_PAIR(BGl_string1640z00zz__mpg123_mpg123z00, BgL_arg1227z00_157); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1225z00_155, BgL_list1226z00_156); } } 
if(
(BgL_oz00_154<((long)0)))
{ /* Llib/mpg123.scm 245 */
return ((long)0);}  else 
{ /* Llib/mpg123.scm 245 */
return BgL_oz00_154;} } } } 

}



/* &mpg123-seek */
obj_t BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00(obj_t BgL_envz00_482, obj_t BgL_mz00_483, obj_t BgL_secz00_484)
{
{ /* Llib/mpg123.scm 239 */
{ /* Llib/mpg123.scm 240 */
 long BgL_tmpz00_1176;
{ /* Llib/mpg123.scm 240 */
 long BgL_auxz00_1185; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1177;
{ /* Llib/mpg123.scm 240 */
 obj_t BgL_tmpz00_1186;
if(
INTEGERP(BgL_secz00_484))
{ /* Llib/mpg123.scm 240 */
BgL_tmpz00_1186 = BgL_secz00_484
; }  else 
{ 
 obj_t BgL_auxz00_1189;
BgL_auxz00_1189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)11227)), BGl_string1642z00zz__mpg123_mpg123z00, BGl_string1624z00zz__mpg123_mpg123z00, BgL_secz00_484); 
FAILURE(BgL_auxz00_1189,BFALSE,BFALSE);} 
BgL_auxz00_1185 = 
(long)CINT(BgL_tmpz00_1186); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_483, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 240 */
BgL_auxz00_1177 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_483)
; }  else 
{ 
 obj_t BgL_auxz00_1181;
BgL_auxz00_1181 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)11227)), BGl_string1642z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_483); 
FAILURE(BgL_auxz00_1181,BFALSE,BFALSE);} 
BgL_tmpz00_1176 = 
BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_auxz00_1177, BgL_auxz00_1185); } 
return 
BINT(BgL_tmpz00_1176);} } 

}



/* mpg123-volume-get */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_29)
{
{ /* Llib/mpg123.scm 256 */
{ /* Llib/mpg123.scm 258 */
 double BgL_volz00_167;
BgL_volz00_167 = 
bgl_mpg123_getvolume(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_29))->BgL_z42builtinz42)); 
if(
(BgL_volz00_167<((double)0.0)))
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1242z00_169;
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1083z00_170;
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1082z00_173;
BgL_new1082z00_173 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 260 */
 long BgL_arg1252z00_174;
BgL_arg1252z00_174 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_173), BgL_arg1252z00_174); } 
BgL_new1083z00_170 = BgL_new1082z00_173; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_170)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_170)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1208;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_arg1250z00_171;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_arg1251z00_172;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_classz00_385;
BgL_classz00_385 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1251z00_172 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_385); } 
BgL_arg1250z00_171 = 
VECTOR_REF(BgL_arg1251z00_172,((long)2)); } 
BgL_auxz00_1208 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1250z00_171); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_170)))->BgL_stackz00)=((obj_t)BgL_auxz00_1208),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_170)))->BgL_procz00)=((obj_t)BGl_string1616z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_170)))->BgL_msgz00)=((obj_t)BGl_string1643z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_170)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mz00_29)),BUNSPEC); 
BgL_arg1242z00_169 = BgL_new1083z00_170; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1242z00_169));}  else 
{ /* Llib/mpg123.scm 264 */
 double BgL_arg1262z00_175;
BgL_arg1262z00_175 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)100.0)*
sqrt(BgL_volz00_167))); 
return 
BINT(
(long)(BgL_arg1262z00_175));} } } 

}



/* &mpg123-volume-get */
obj_t BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00(obj_t BgL_envz00_485, obj_t BgL_mz00_486)
{
{ /* Llib/mpg123.scm 256 */
{ /* Llib/mpg123.scm 257 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1228;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_486, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 257 */
BgL_auxz00_1228 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_486)
; }  else 
{ 
 obj_t BgL_auxz00_1232;
BgL_auxz00_1232 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)11999)), BGl_string1644z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_486); 
FAILURE(BgL_auxz00_1232,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_auxz00_1228);} } 

}



/* mpg123-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_30, obj_t BgL_volz00_31)
{
{ /* Llib/mpg123.scm 269 */
{ /* Llib/mpg123.scm 271 */
 double BgL_vz00_180;
BgL_vz00_180 = 
(
(double)(
(long)CINT(BgL_volz00_31))/((double)100.0)); 
{ /* Llib/mpg123.scm 271 */
 double BgL_v2z00_181;
BgL_v2z00_181 = 
(BgL_vz00_180*BgL_vz00_180); 
{ /* Llib/mpg123.scm 272 */

{ /* Llib/mpg123.scm 273 */
 int BgL_errz00_182;
{ /* Llib/mpg123.scm 273 */
 mpg123_handle * BgL_tmpz00_1241;
BgL_tmpz00_1241 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_30))->BgL_z42builtinz42); 
BgL_errz00_182 = 
mpg123_volume(BgL_tmpz00_1241, BgL_v2z00_181); } 
if(
(
(long)(BgL_errz00_182)<((long)0)))
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1279z00_184;
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1086z00_185;
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1085z00_188;
BgL_new1085z00_188 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 275 */
 long BgL_arg1286z00_189;
BgL_arg1286z00_189 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_188), BgL_arg1286z00_189); } 
BgL_new1086z00_185 = BgL_new1085z00_188; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1086z00_185)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1086z00_185)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1255;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_arg1283z00_186;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_arg1285z00_187;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_classz00_400;
BgL_classz00_400 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1285z00_187 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_400); } 
BgL_arg1283z00_186 = 
VECTOR_REF(BgL_arg1285z00_187,((long)2)); } 
BgL_auxz00_1255 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1283z00_186); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1086z00_185)))->BgL_stackz00)=((obj_t)BgL_auxz00_1255),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1086z00_185)))->BgL_procz00)=((obj_t)BGl_string1616z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1086z00_185)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)mpg123_plain_strerror(BgL_errz00_182))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1086z00_185)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mz00_30)),BUNSPEC); 
BgL_arg1279z00_184 = BgL_new1086z00_185; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1279z00_184));}  else 
{ /* Llib/mpg123.scm 274 */
return BFALSE;} } } } } } 

}



/* &mpg123-volume-set! */
obj_t BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00(obj_t BgL_envz00_487, obj_t BgL_mz00_488, obj_t BgL_volz00_489)
{
{ /* Llib/mpg123.scm 269 */
{ /* Llib/mpg123.scm 270 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1272;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_488, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 270 */
BgL_auxz00_1272 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_488)
; }  else 
{ 
 obj_t BgL_auxz00_1276;
BgL_auxz00_1276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)12556)), BGl_string1645z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_mz00_488); 
FAILURE(BgL_auxz00_1276,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_auxz00_1272, BgL_volz00_489);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1333z00_195; obj_t BgL_arg1338z00_196;
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_v1096z00_210;
BgL_v1096z00_210 = 
create_vector(((long)3)); 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1345z00_211;
BgL_arg1345z00_211 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc1648z00zz__mpg123_mpg123z00, BGl_proc1647z00zz__mpg123_mpg123z00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1646z00zz__mpg123_mpg123z00, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1096z00_210,((long)0),BgL_arg1345z00_211); } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1358z00_224;
BgL_arg1358z00_224 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc1651z00zz__mpg123_mpg123z00, BGl_proc1650z00zz__mpg123_mpg123z00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1649z00zz__mpg123_mpg123z00, 
CNST_TABLE_REF(((long)34))); 
VECTOR_SET(BgL_v1096z00_210,((long)1),BgL_arg1358z00_224); } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1367z00_237;
BgL_arg1367z00_237 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc1654z00zz__mpg123_mpg123z00, BGl_proc1653z00zz__mpg123_mpg123z00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1652z00zz__mpg123_mpg123z00, 
CNST_TABLE_REF(((long)36))); 
VECTOR_SET(BgL_v1096z00_210,((long)2),BgL_arg1367z00_237); } 
BgL_arg1333z00_195 = BgL_v1096z00_210; } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_v1097z00_250;
BgL_v1097z00_250 = 
create_vector(((long)0)); 
BgL_arg1338z00_196 = BgL_v1097z00_250; } 
BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)38)), BGl_objectz00zz__objectz00, ((long)38616), BGl_proc1657z00zz__mpg123_mpg123z00, BGl_proc1656z00zz__mpg123_mpg123z00, BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BGl_proc1655z00zz__mpg123_mpg123z00, BFALSE, BgL_arg1333z00_195, BgL_arg1338z00_196); } 
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_arg1455z00_257; obj_t BgL_arg1456z00_258;
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_v1098z00_274;
BgL_v1098z00_274 = 
create_vector(((long)0)); 
BgL_arg1455z00_257 = BgL_v1098z00_274; } 
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_v1099z00_275;
BgL_v1099z00_275 = 
create_vector(((long)0)); 
BgL_arg1456z00_258 = BgL_v1099z00_275; } 
return ( 
BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)38)), BGl_z62errorz62zz__objectz00, ((long)29460), BGl_proc1660z00zz__mpg123_mpg123z00, BGl_proc1659z00zz__mpg123_mpg123z00, BFALSE, BGl_proc1658z00zz__mpg123_mpg123z00, BFALSE, BgL_arg1455z00_257, BgL_arg1456z00_258), BUNSPEC) ;} } 

}



/* &<@anonymous:1542> */
obj_t BGl_z62zc3z04anonymousza31542ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_505, obj_t BgL_new1062z00_506)
{
{ /* Llib/mpg123.scm 27 */
{ 
 BgL_z62mpg123zd2errorzb0_bglt BgL_auxz00_1303;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1303 = 
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1062z00_506); 
return 
((obj_t)BgL_auxz00_1303);} } 

}



/* &lambda1536 */
BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1536z62zz__mpg123_mpg123z00(obj_t BgL_envz00_507)
{
{ /* Llib/mpg123.scm 27 */
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1061z00_622;
BgL_new1061z00_622 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 27 */
 long BgL_arg1541z00_623;
BgL_arg1541z00_623 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_622), BgL_arg1541z00_623); } 
return BgL_new1061z00_622;} } 

}



/* &lambda1457 */
BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1457z62zz__mpg123_mpg123z00(obj_t BgL_envz00_508, obj_t BgL_fname1054z00_509, obj_t BgL_location1055z00_510, obj_t BgL_stack1056z00_511, obj_t BgL_proc1057z00_512, obj_t BgL_msg1058z00_513, obj_t BgL_obj1059z00_514)
{
{ /* Llib/mpg123.scm 27 */
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1090z00_624;
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1089z00_625;
BgL_new1089z00_625 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 27 */
 long BgL_arg1535z00_626;
BgL_arg1535z00_626 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_625), BgL_arg1535z00_626); } 
BgL_new1090z00_624 = BgL_new1089z00_625; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1090z00_624)))->BgL_fnamez00)=((obj_t)BgL_fname1054z00_509),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1090z00_624)))->BgL_locationz00)=((obj_t)BgL_location1055z00_510),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1090z00_624)))->BgL_stackz00)=((obj_t)BgL_stack1056z00_511),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1090z00_624)))->BgL_procz00)=((obj_t)BgL_proc1057z00_512),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1090z00_624)))->BgL_msgz00)=((obj_t)BgL_msg1058z00_513),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1090z00_624)))->BgL_objz00)=((obj_t)BgL_obj1059z00_514),BUNSPEC); 
return BgL_new1090z00_624;} } 

}



/* &<@anonymous:1344> */
obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_515, obj_t BgL_new1052z00_516)
{
{ /* Llib/mpg123.scm 21 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1344;
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1052z00_516)))->BgL_z42builtinz42)=((mpg123_handle *)
0L),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1052z00_516)))->BgL_decoderz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1052z00_516)))->BgL_siza7eza7)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_1344 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_new1052z00_516); 
return 
((obj_t)BgL_auxz00_1344);} } 

}



/* &lambda1342 */
BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1342z62zz__mpg123_mpg123z00(obj_t BgL_envz00_517)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1051z00_628;
BgL_new1051z00_628 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123.scm 21 */
 long BgL_arg1343z00_629;
BgL_arg1343z00_629 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_628), BgL_arg1343z00_629); } 
return BgL_new1051z00_628;} } 

}



/* &lambda1339 */
BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1339z62zz__mpg123_mpg123z00(obj_t BgL_envz00_518, obj_t BgL_z42builtin1048z42_519, obj_t BgL_decoder1049z00_520, obj_t BgL_siza7e1050za7_521)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 mpg123_handle * BgL_z42builtin1048z42_630; long BgL_siza7e1050za7_631;
BgL_z42builtin1048z42_630 = 
FOREIGN_TO_COBJ(BgL_z42builtin1048z42_519); 
BgL_siza7e1050za7_631 = 
(long)CINT(BgL_siza7e1050za7_521); 
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1088z00_632;
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1087z00_633;
BgL_new1087z00_633 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123.scm 21 */
 long BgL_arg1341z00_634;
BgL_arg1341z00_634 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_633), BgL_arg1341z00_634); } 
BgL_new1088z00_632 = BgL_new1087z00_633; } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1088z00_632))->BgL_z42builtinz42)=((mpg123_handle *)BgL_z42builtin1048z42_630),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1088z00_632))->BgL_decoderz00)=((obj_t)BgL_decoder1049z00_520),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1088z00_632))->BgL_siza7eza7)=((long)BgL_siza7e1050za7_631),BUNSPEC); 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_fun1340z00_635;
BgL_fun1340z00_635 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
PROCEDURE_ENTRY(BgL_fun1340z00_635)(BgL_fun1340z00_635, 
((obj_t)BgL_new1088z00_632), BEOA); } 
return BgL_new1088z00_632;} } } 

}



/* &<@anonymous:1381> */
obj_t BGl_z62zc3z04anonymousza31381ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_522)
{
{ /* Llib/mpg123.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1380 */
obj_t BGl_z62lambda1380z62zz__mpg123_mpg123z00(obj_t BgL_envz00_523, obj_t BgL_oz00_524, obj_t BgL_vz00_525)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 long BgL_vz00_637;
BgL_vz00_637 = 
(long)CINT(BgL_vz00_525); 
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_524)))->BgL_siza7eza7)=((long)BgL_vz00_637),BUNSPEC);} } 

}



/* &lambda1379 */
obj_t BGl_z62lambda1379z62zz__mpg123_mpg123z00(obj_t BgL_envz00_526, obj_t BgL_oz00_527)
{
{ /* Llib/mpg123.scm 21 */
return 
BINT(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_527)))->BgL_siza7eza7));} 

}



/* &<@anonymous:1366> */
obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_528)
{
{ /* Llib/mpg123.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1365 */
obj_t BGl_z62lambda1365z62zz__mpg123_mpg123z00(obj_t BgL_envz00_529, obj_t BgL_oz00_530, obj_t BgL_vz00_531)
{
{ /* Llib/mpg123.scm 21 */
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_530)))->BgL_decoderz00)=((obj_t)BgL_vz00_531),BUNSPEC);} 

}



/* &lambda1364 */
obj_t BGl_z62lambda1364z62zz__mpg123_mpg123z00(obj_t BgL_envz00_532, obj_t BgL_oz00_533)
{
{ /* Llib/mpg123.scm 21 */
return 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_533)))->BgL_decoderz00);} 

}



/* &<@anonymous:1357> */
obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_534)
{
{ /* Llib/mpg123.scm 21 */
return 
void_star_to_obj((mpg123_handle *)0L);} 

}



/* &lambda1356 */
obj_t BGl_z62lambda1356z62zz__mpg123_mpg123z00(obj_t BgL_envz00_535, obj_t BgL_oz00_536, obj_t BgL_vz00_537)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 mpg123_handle * BgL_vz00_642;
BgL_vz00_642 = 
FOREIGN_TO_COBJ(BgL_vz00_537); 
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_536)))->BgL_z42builtinz42)=((mpg123_handle *)BgL_vz00_642),BUNSPEC);} } 

}



/* &lambda1355 */
obj_t BGl_z62lambda1355z62zz__mpg123_mpg123z00(obj_t BgL_envz00_538, obj_t BgL_oz00_539)
{
{ /* Llib/mpg123.scm 21 */
return 
void_star_to_obj(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_539)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BGl_proc1661z00zz__mpg123_mpg123z00, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00, BGl_string1662z00zz__mpg123_mpg123z00);} 

}



/* &mpg123-handle-init1100 */
obj_t BGl_z62mpg123zd2handlezd2init1100z62zz__mpg123_mpg123z00(obj_t BgL_envz00_543, obj_t BgL_oz00_544)
{
{ /* Llib/mpg123.scm 54 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1393;
{ /* Llib/mpg123.scm 56 */
 char * BgL_dz00_645;
{ /* Llib/mpg123.scm 56 */
 bool_t BgL_test1803z00_1394;
{ /* Llib/mpg123.scm 56 */
 obj_t BgL_tmpz00_1395;
BgL_tmpz00_1395 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_decoderz00); 
BgL_test1803z00_1394 = 
STRINGP(BgL_tmpz00_1395); } 
if(BgL_test1803z00_1394)
{ /* Llib/mpg123.scm 56 */
BgL_dz00_645 = 
BSTRING_TO_STRING(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_decoderz00)); }  else 
{ /* Llib/mpg123.scm 56 */
BgL_dz00_645 = ((char *)0L); } } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_z42builtinz42)=((mpg123_handle *)
bgl_mpg123_new(BgL_dz00_645)),BUNSPEC); } 
{ /* Llib/mpg123.scm 58 */
 mpg123_handle * BgL_tmpz00_1405;
BgL_tmpz00_1405 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_z42builtinz42); 
mpg123_open_feed(BgL_tmpz00_1405); } 
BgL_auxz00_1393 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544); 
return 
((obj_t)BgL_auxz00_1393);} } 

}



/* mpg123-handle-init */
BGL_EXPORTED_DEF BgL_mpg123zd2handlezd2_bglt BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_3)
{
{ /* Llib/mpg123.scm 54 */
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_method1101z00_289;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_res1569z00_454;
{ /* Llib/mpg123.scm 54 */
 long BgL_objzd2classzd2numz00_425;
BgL_objzd2classzd2numz00_425 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1801z00_426;
BgL_arg1801z00_426 = 
PROCEDURE_REF(BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, 
(int)(((long)1))); 
{ /* Llib/mpg123.scm 54 */
 int BgL_offsetz00_429;
BgL_offsetz00_429 = 
(int)(BgL_objzd2classzd2numz00_425); 
{ /* Llib/mpg123.scm 54 */
 long BgL_offsetz00_430;
BgL_offsetz00_430 = 
(
(long)(BgL_offsetz00_429)-OBJECT_TYPE); 
{ /* Llib/mpg123.scm 54 */
 long BgL_modz00_431;
BgL_modz00_431 = 
(BgL_offsetz00_430 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpg123.scm 54 */
 long BgL_restz00_433;
BgL_restz00_433 = 
(BgL_offsetz00_430 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpg123.scm 54 */

{ /* Llib/mpg123.scm 54 */
 obj_t BgL_bucketz00_435;
BgL_bucketz00_435 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_426),BgL_modz00_431); 
BgL_res1569z00_454 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_435),BgL_restz00_433); } } } } } } } } 
BgL_method1101z00_289 = BgL_res1569z00_454; } 
return 
((BgL_mpg123zd2handlezd2_bglt)
PROCEDURE_ENTRY(BgL_method1101z00_289)(BgL_method1101z00_289, 
((obj_t)BgL_oz00_3), BEOA));} } 

}



/* &mpg123-handle-init */
BgL_mpg123zd2handlezd2_bglt BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00(obj_t BgL_envz00_540, obj_t BgL_oz00_541)
{
{ /* Llib/mpg123.scm 54 */
{ /* Llib/mpg123.scm 54 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1442;
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_test1804z00_1443;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_classz00_646;
BgL_classz00_646 = BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00; 
if(
BGL_OBJECTP(BgL_oz00_541))
{ /* Llib/mpg123.scm 54 */
 BgL_objectz00_bglt BgL_arg1799z00_648; long BgL_arg1800z00_649;
BgL_arg1799z00_648 = 
(BgL_objectz00_bglt)(BgL_oz00_541); 
BgL_arg1800z00_649 = 
BGL_CLASS_DEPTH(BgL_classz00_646); 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_arg1794z00_653; bool_t BgL_arg1795z00_654;
{ /* Llib/mpg123.scm 54 */
 long BgL_idxz00_658;
BgL_idxz00_658 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_648); 
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1791z00_659;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1792z00_660;
BgL_arg1792z00_660 = 
(BgL_idxz00_658+BgL_arg1800z00_649); 
BgL_arg1791z00_659 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_660); } 
BgL_arg1794z00_653 = 
(BgL_arg1791z00_659==BgL_classz00_646); } } 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_res1673z00_683;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_oclassz00_668;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1804z00_674;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1805z00_675;
BgL_arg1805z00_675 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_648); 
BgL_arg1804z00_674 = 
(BgL_arg1805z00_675-OBJECT_TYPE); } 
BgL_oclassz00_668 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_674); } 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL__ortest_1111z00_669;
BgL__ortest_1111z00_669 = 
(BgL_classz00_646==BgL_oclassz00_668); 
if(BgL__ortest_1111z00_669)
{ /* Llib/mpg123.scm 54 */
BgL_res1673z00_683 = BgL__ortest_1111z00_669; }  else 
{ /* Llib/mpg123.scm 54 */
 long BgL_odepthz00_670;
BgL_odepthz00_670 = 
BGL_CLASS_DEPTH(BgL_oclassz00_668); 
if(
(BgL_arg1800z00_649<BgL_odepthz00_670))
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1793z00_672;
BgL_arg1793z00_672 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_668, BgL_arg1800z00_649); 
BgL_res1673z00_683 = 
(BgL_arg1793z00_672==BgL_classz00_646); }  else 
{ /* Llib/mpg123.scm 54 */
BgL_res1673z00_683 = ((bool_t)0); } } } } 
BgL_arg1795z00_654 = BgL_res1673z00_683; } 
BgL_test1804z00_1443 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_653, BgL_arg1795z00_654); } }  else 
{ /* Llib/mpg123.scm 54 */
BgL_test1804z00_1443 = ((bool_t)0)
; } } 
if(BgL_test1804z00_1443)
{ /* Llib/mpg123.scm 54 */
BgL_auxz00_1442 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_541)
; }  else 
{ 
 obj_t BgL_auxz00_1464;
BgL_auxz00_1464 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1617z00zz__mpg123_mpg123z00, 
BINT(((long)2480)), BGl_string1663z00zz__mpg123_mpg123z00, BGl_string1619z00zz__mpg123_mpg123z00, BgL_oz00_541); 
FAILURE(BgL_auxz00_1464,BFALSE,BFALSE);} } 
return 
BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_auxz00_1442);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_mpg123z00()
{
{ /* Llib/mpg123.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
