/*===========================================================================*/
/*   (Llib/mpg123_decoder.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123_decoder.scm -o objs/mpg123_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_mpg123zd2handlezd2_bgl {
   header_t header;
   obj_t widening;
   mpg123_handle * BgL_z42builtinz42;
   obj_t BgL_decoderz00;
   long BgL_siza7eza7;
} *BgL_mpg123zd2handlezd2_bglt;

typedef struct BgL_mpg123zd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2decoderzd2_bglt;


static obj_t BGl_z62musicdecoderzd2closezd2m1133z62zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufferzd2streamzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00 = BUNSPEC;
static obj_t BGl_z62musicdecoderzd2decodezd21145z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2mp1131z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static int BGl_mpg123zd2debugzd2zz__mpg123_decoderz00();
static obj_t BGl_toplevelzd2initzd2zz__mpg123_decoderz00();
extern obj_t BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00;
extern long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__mpg123_decoderz00();
static obj_t BGl_z62musicdecoderzd2infozd2mp1139z62zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__mpg123_decoderz00();
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62musicdecoderzd2positio1137zb0zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__mpg123_decoderz00(obj_t);
extern obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_debugz00zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31218ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_decoderz00();
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static long BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(long, BgL_musicbufferz00_bglt);
static obj_t BGl_z62lambda1206z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1207z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds();
static obj_t BGl_z62lambda1216z62zz__mpg123_decoderz00(obj_t, obj_t);
extern int bgl_mpg123_decode(obj_t, char *, long, long, char *, long);
static obj_t BGl_z62lambda1217z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2resetz12zd21135z70zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62lambda1229z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1230z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mp3zd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62lambda1240z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT int bgl_debug();
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62lambda1263z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1264z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_mp3zd2indexzd2zz__multimediazd2mp3zd2(obj_t, long);
static obj_t BGl_z62objectzd2printzd2mpg123zd21129zb0zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t);
static BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1187z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_decoderz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00();
static obj_t BGl_z62musicdecoderzd2seekzd2mp1141z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2initz12zc0zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00();
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_decoderz00();
static obj_t BGl_z62lambda1271z62zz__mpg123_decoderz00(obj_t, obj_t);
static BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1190z62zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62lambda1272z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2infozd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21143z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_newzd2formatzd2zz__mpg123_decoderz00(BgL_mpg123zd2decoderzd2_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = BUNSPEC;
extern obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2drainzd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt);
static obj_t __cnst[ 21 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2closezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1965z00zz__mpg123_decoderz00, BgL_bgl_string1965za700za7za7_2040za7, "Llib/mpg123_decoder.scm", 23 );
DEFINE_STRING( BGl_string1966z00zz__mpg123_decoderz00, BgL_bgl_string1966za700za7za7_2041za7, "/tmp/MPG123.log", 15 );
DEFINE_STRING( BGl_string1967z00zz__mpg123_decoderz00, BgL_bgl_string1967za700za7za7_2042za7, "\n", 1 );
DEFINE_STRING( BGl_string1968z00zz__mpg123_decoderz00, BgL_bgl_string1968za700za7za7_2043za7, " ", 1 );
DEFINE_STRING( BGl_string1969z00zz__mpg123_decoderz00, BgL_bgl_string1969za700za7za7_2044za7, ">>> MPG123_DECODER init ", 24 );
DEFINE_STRING( BGl_string1970z00zz__mpg123_decoderz00, BgL_bgl_string1970za700za7za7_2045za7, ">>> MPG123_DECODER stop ", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1971z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2046za7, BGl_z62zc3z04anonymousza31208ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1972z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1207za7622047z00, BGl_z62lambda1207z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1973z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1206za7622048z00, BGl_z62lambda1206z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1974z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2049za7, BGl_z62zc3z04anonymousza31218ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1975z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1217za7622050z00, BGl_z62lambda1217z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1976z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1216za7622051z00, BGl_z62lambda1216z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1977z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2052za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1978z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1230za7622053z00, BGl_z62lambda1230z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1979z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1229za7622054z00, BGl_z62lambda1229z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1980z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2055za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1981z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1241za7622056z00, BGl_z62lambda1241z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1982z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1240za7622057z00, BGl_z62lambda1240z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1983z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2058za7, BGl_z62zc3z04anonymousza31265ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1984z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1264za7622059z00, BGl_z62lambda1264z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1263za7622060z00, BGl_z62lambda1263z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1992z00zz__mpg123_decoderz00, BgL_bgl_string1992za700za7za7_2061za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1986z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2062za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1987z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1272za7622063z00, BGl_z62lambda1272z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1994z00zz__mpg123_decoderz00, BgL_bgl_string1994za700za7za7_2064za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1988z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1271za7622065z00, BGl_z62lambda1271z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1989z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2066za7, BGl_z62zc3z04anonymousza31198ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1996z00zz__mpg123_decoderz00, BgL_bgl_string1996za700za7za7_2067za7, "musicdecoder-init", 17 );
DEFINE_STRING( BGl_string1998z00zz__mpg123_decoderz00, BgL_bgl_string1998za700za7za7_2068za7, "musicdecoder-close", 18 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1990z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1190za7622069z00, BGl_z62lambda1190z62zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1991z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1187za7622070z00, BGl_z62lambda1187z62zz__mpg123_decoderz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1993z00zz__mpg123_decoderz00, BgL_bgl_za762objectza7d2prin2071z00, BGl_z62objectzd2printzd2mpg123zd21129zb0zz__mpg123_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1995z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72072z00, BGl_z62musicdecoderzd2initzd2mp1131z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1997z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72073z00, BGl_z62musicdecoderzd2closezd2m1133z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1999z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72074z00, BGl_z62musicdecoderzd2resetz12zd21135z70zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string2000z00zz__mpg123_decoderz00, BgL_bgl_string2000za700za7za7_2075za7, "musicdecoder-reset!", 19 );
DEFINE_STRING( BGl_string2002z00zz__mpg123_decoderz00, BgL_bgl_string2002za700za7za7_2076za7, "musicdecoder-position", 21 );
DEFINE_STRING( BGl_string2004z00zz__mpg123_decoderz00, BgL_bgl_string2004za700za7za7_2077za7, "musicdecoder-info", 17 );
DEFINE_STRING( BGl_string2006z00zz__mpg123_decoderz00, BgL_bgl_string2006za700za7za7_2078za7, "musicdecoder-seek", 17 );
DEFINE_STRING( BGl_string2008z00zz__mpg123_decoderz00, BgL_bgl_string2008za700za7za7_2079za7, "musicdecoder-volume-set!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72080z00, BGl_z62musicdecoderzd2positio1137zb0zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72081z00, BGl_z62musicdecoderzd2infozd2mp1139z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2010z00zz__mpg123_decoderz00, BgL_bgl_string2010za700za7za7_2082za7, "musicdecoder-decode", 19 );
DEFINE_STRING( BGl_string2011z00zz__mpg123_decoderz00, BgL_bgl_string2011za700za7za7_2083za7, "\033[0m\033[1;33m", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72084z00, BGl_z62musicdecoderzd2seekzd2mp1141z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2012z00zz__mpg123_decoderz00, BgL_bgl_string2012za700za7za7_2085za7, "\033[0m\033[1;32m", 11 );
DEFINE_STRING( BGl_string2013z00zz__mpg123_decoderz00, BgL_bgl_string2013za700za7za7_2086za7, " EOF", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72087z00, BGl_z62musicdecoderzd2volumezd21143z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2014z00zz__mpg123_decoderz00, BgL_bgl_string2014za700za7za7_2088za7, " url=", 5 );
DEFINE_STRING( BGl_string2015z00zz__mpg123_decoderz00, BgL_bgl_string2015za700za7za7_2089za7, "%\033[0m", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72090z00, BGl_z62musicdecoderzd2decodezd21145z62zz__mpg123_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2016z00zz__mpg123_decoderz00, BgL_bgl_string2016za700za7za7_2091za7, "--- MPG123_DECODER, buffer fill: ", 33 );
DEFINE_STRING( BGl_string2017z00zz__mpg123_decoderz00, BgL_bgl_string2017za700za7za7_2092za7, "...", 3 );
DEFINE_STRING( BGl_string2018z00zz__mpg123_decoderz00, BgL_bgl_string2018za700za7za7_2093za7, "--> MPG123_DECODER, broadcast not-full ", 39 );
DEFINE_STRING( BGl_string2019z00zz__mpg123_decoderz00, BgL_bgl_string2019za700za7za7_2094za7, "~~~ MPG123_DECODER, EOF ", 24 );
DEFINE_STRING( BGl_string2020z00zz__mpg123_decoderz00, BgL_bgl_string2020za700za7za7_2095za7, "<-- MPG123_DECODER, wait not-empty ", 35 );
DEFINE_STRING( BGl_string2021z00zz__mpg123_decoderz00, BgL_bgl_string2021za700za7za7_2096za7, " -> status=", 11 );
DEFINE_STRING( BGl_string2022z00zz__mpg123_decoderz00, BgL_bgl_string2022za700za7za7_2097za7, " hd=", 4 );
DEFINE_STRING( BGl_string2023z00zz__mpg123_decoderz00, BgL_bgl_string2023za700za7za7_2098za7, " tl=", 4 );
DEFINE_STRING( BGl_string2024z00zz__mpg123_decoderz00, BgL_bgl_string2024za700za7za7_2099za7, "~~~ MPG123_DECODER, s=", 22 );
DEFINE_STRING( BGl_string2025z00zz__mpg123_decoderz00, BgL_bgl_string2025za700za7za7_2100za7, "offset=", 7 );
DEFINE_STRING( BGl_string2026z00zz__mpg123_decoderz00, BgL_bgl_string2026za700za7za7_2101za7, ":", 1 );
DEFINE_STRING( BGl_string2027z00zz__mpg123_decoderz00, BgL_bgl_string2027za700za7za7_2102za7, ",", 1 );
DEFINE_STRING( BGl_string2028z00zz__mpg123_decoderz00, BgL_bgl_string2028za700za7za7_2103za7, " size=", 6 );
DEFINE_STRING( BGl_string2029z00zz__mpg123_decoderz00, BgL_bgl_string2029za700za7za7_2104za7, "~~~ MPG123_DECODER, OK s=", 25 );
DEFINE_STRING( BGl_string2030z00zz__mpg123_decoderz00, BgL_bgl_string2030za700za7za7_2105za7, " tail=", 6 );
DEFINE_STRING( BGl_string2031z00zz__mpg123_decoderz00, BgL_bgl_string2031za700za7za7_2106za7, " %empty=", 8 );
DEFINE_STRING( BGl_string2032z00zz__mpg123_decoderz00, BgL_bgl_string2032za700za7za7_2107za7, "~~~ MPG123_DECODER, NEED-MORE s=", 32 );
DEFINE_STRING( BGl_string2033z00zz__mpg123_decoderz00, BgL_bgl_string2033za700za7za7_2108za7, "mp3 decoding error", 18 );
DEFINE_STRING( BGl_string2034z00zz__mpg123_decoderz00, BgL_bgl_string2034za700za7za7_2109za7, "~~~ MPG123_SEEK, seek=", 22 );
DEFINE_STRING( BGl_string2035z00zz__mpg123_decoderz00, BgL_bgl_string2035za700za7za7_2110za7, "#|mpg123-decoder|", 17 );
DEFINE_STRING( BGl_string2036z00zz__mpg123_decoderz00, BgL_bgl_string2036za700za7za7_2111za7, "__mpg123_decoder", 16 );
DEFINE_STRING( BGl_string2037z00zz__mpg123_decoderz00, BgL_bgl_string2037za700za7za7_2112za7, "(\"audio/mpeg\") buffering ended stop play pause unknown _ __mpg123_decoder mpg123-decoder symbol %encoding %channels int %rate long %!dseek obj %mpg123 bstring outbuf ", 166 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00) );
ADD_ROOT( (void *)(&BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long BgL_checksumz00_1003, char * BgL_fromz00_1004)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(); 
BGl_cnstzd2initzd2zz__mpg123_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(); 
BGl_objectzd2initzd2zz__mpg123_decoderz00(); 
BGl_methodzd2initzd2zz__mpg123_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2mp3zd2(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__mpg123_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_cportz00_796;
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_stringz00_804;
BgL_stringz00_804 = BGl_string2037z00zz__mpg123_decoderz00; 
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_startz00_805;
BgL_startz00_805 = 
BINT(((long)0)); 
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_endz00_806;
BgL_endz00_806 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_804))); 
{ /* Llib/mpg123_decoder.scm 15 */

BgL_cportz00_796 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_804, BgL_startz00_805, BgL_endz00_806); } } } } 
{ 
 long BgL_iz00_797;
BgL_iz00_797 = ((long)20); 
BgL_loopz00_798:
if(
(BgL_iz00_797==((long)-1)))
{ /* Llib/mpg123_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_arg2039z00_800;
{ /* Llib/mpg123_decoder.scm 15 */

{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_locationz00_802;
BgL_locationz00_802 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123_decoder.scm 15 */

BgL_arg2039z00_800 = 
BGl_readz00zz__readerz00(BgL_cportz00_796, BgL_locationz00_802); } } } 
{ /* Llib/mpg123_decoder.scm 15 */
 int BgL_tmpz00_1039;
BgL_tmpz00_1039 = 
(int)(BgL_iz00_797); 
CNST_TABLE_SET(BgL_tmpz00_1039, BgL_arg2039z00_800); } } 
{ /* Llib/mpg123_decoder.scm 15 */
 int BgL_auxz00_803;
BgL_auxz00_803 = 
(int)(
(BgL_iz00_797-((long)1))); 
{ 
 long BgL_iz00_1044;
BgL_iz00_1044 = 
(long)(BgL_auxz00_803); 
BgL_iz00_797 = BgL_iz00_1044; 
goto BgL_loopz00_798;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1965z00zz__mpg123_decoderz00)); 
return ( 
BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = BFALSE, BUNSPEC) ;} 

}



/* mpg123-debug */
int BGl_mpg123zd2debugzd2zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 38 */
if(
(((long)0)>((long)0)))
{ /* Llib/mpg123_decoder.scm 39 */
return 
bgl_debug();}  else 
{ /* Llib/mpg123_decoder.scm 39 */
return 
(int)(((long)0));} } 

}



/* new-format */
obj_t BGl_newzd2formatzd2zz__mpg123_decoderz00(BgL_mpg123zd2decoderzd2_bglt BgL_decz00_19, BgL_musicbufz00_bglt BgL_amz00_20, BgL_musicbufferz00_bglt BgL_bufferz00_21)
{
{ /* Llib/mpg123_decoder.scm 303 */
{ /* Llib/mpg123_decoder.scm 305 */
 obj_t BgL_ratez00_35;
{ /* Llib/mpg123_decoder.scm 306 */
 obj_t BgL_arg1150z00_38;
BgL_arg1150z00_38 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52mpg123z52); 
BgL_ratez00_35 = 
BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1150z00_38)); } 
{ /* Llib/mpg123_decoder.scm 306 */
 obj_t BgL_channelsz00_36; obj_t BgL_encodingz00_37;
{ /* Llib/mpg123_decoder.scm 307 */
 obj_t BgL_tmpz00_535;
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1056;
BgL_tmpz00_1056 = 
(int)(((long)1)); 
BgL_tmpz00_535 = 
BGL_MVALUES_VAL(BgL_tmpz00_1056); } 
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1059;
BgL_tmpz00_1059 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1059, BUNSPEC); } 
BgL_channelsz00_36 = BgL_tmpz00_535; } 
{ /* Llib/mpg123_decoder.scm 307 */
 obj_t BgL_tmpz00_536;
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1062;
BgL_tmpz00_1062 = 
(int)(((long)2)); 
BgL_tmpz00_536 = 
BGL_MVALUES_VAL(BgL_tmpz00_1062); } 
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1065;
BgL_tmpz00_1065 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1065, BUNSPEC); } 
BgL_encodingz00_37 = BgL_tmpz00_536; } 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52ratez52)=((int)
CINT(BgL_ratez00_35)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52channelsz52)=((int)
CINT(BgL_channelsz00_36)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52encodingz52)=((obj_t)BgL_encodingz00_37),BUNSPEC); 
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19), 
((BgL_musicz00_bglt)BgL_amz00_20), BgL_bufferz00_21); } } 
{ /* Llib/mpg123_decoder.scm 312 */
 BgL_musicstatusz00_bglt BgL_i1119z00_40;
BgL_i1119z00_40 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_amz00_20)))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1119z00_40))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19), BgL_bufferz00_21))),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 314 */
 long BgL_bratez00_41;
BgL_bratez00_41 = 
BGl_musicdecoderzd2infozd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19)); 
{ /* Llib/mpg123_decoder.scm 315 */
 obj_t BgL_ratez00_42;
{ /* Llib/mpg123_decoder.scm 316 */
 obj_t BgL_tmpz00_537;
{ /* Llib/mpg123_decoder.scm 316 */
 int BgL_tmpz00_1084;
BgL_tmpz00_1084 = 
(int)(((long)1)); 
BgL_tmpz00_537 = 
BGL_MVALUES_VAL(BgL_tmpz00_1084); } 
{ /* Llib/mpg123_decoder.scm 316 */
 int BgL_tmpz00_1087;
BgL_tmpz00_1087 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1087, BUNSPEC); } 
BgL_ratez00_42 = BgL_tmpz00_537; } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1119z00_40))->BgL_bitratez00)=((int)
(int)(BgL_bratez00_41)),BUNSPEC); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1119z00_40))->BgL_khza7za7)=((int)
CINT(BgL_ratez00_42)),BUNSPEC);} } } } 

}



/* debug-init! */
obj_t BGl_debugzd2initz12zc0zz__mpg123_decoderz00(obj_t BgL_urlz00_22)
{
{ /* Llib/mpg123_decoder.scm 327 */
{ /* Llib/mpg123_decoder.scm 328 */

BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BGl_string1966z00zz__mpg123_decoderz00, BTRUE); } 
{ /* Llib/mpg123_decoder.scm 329 */
 BGL_LONGLONG_T BgL_arg1153z00_45;
BgL_arg1153z00_45 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_list1154z00_46;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1158z00_47;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1159z00_48;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1162z00_49;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1163z00_50;
BgL_arg1163z00_50 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1162z00_49 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1153z00_45), BgL_arg1163z00_50); } 
BgL_arg1159z00_48 = 
MAKE_YOUNG_PAIR(BGl_string1968z00zz__mpg123_decoderz00, BgL_arg1162z00_49); } 
BgL_arg1158z00_47 = 
MAKE_YOUNG_PAIR(BgL_urlz00_22, BgL_arg1159z00_48); } 
BgL_list1154z00_46 = 
MAKE_YOUNG_PAIR(BGl_string1969z00zz__mpg123_decoderz00, BgL_arg1158z00_47); } 
return 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1154z00_46);} } } 

}



/* debug-stop! */
obj_t BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(obj_t BgL_urlz00_23)
{
{ /* Llib/mpg123_decoder.scm 334 */
{ /* Llib/mpg123_decoder.scm 335 */
 BGL_LONGLONG_T BgL_arg1167z00_51;
BgL_arg1167z00_51 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_list1168z00_52;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1171z00_53;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1172z00_54;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1175z00_55;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1177z00_56;
BgL_arg1177z00_56 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1175z00_55 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1167z00_51), BgL_arg1177z00_56); } 
BgL_arg1172z00_54 = 
MAKE_YOUNG_PAIR(BGl_string1968z00zz__mpg123_decoderz00, BgL_arg1175z00_55); } 
BgL_arg1171z00_53 = 
MAKE_YOUNG_PAIR(BgL_urlz00_23, BgL_arg1172z00_54); } 
BgL_list1168z00_52 = 
MAKE_YOUNG_PAIR(BGl_string1970z00zz__mpg123_decoderz00, BgL_arg1171z00_53); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1168z00_52); } } 
return 
bgl_close_output_port(BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00);} 

}



/* debug */
obj_t BGl_debugz00zz__mpg123_decoderz00(obj_t BgL_argsz00_24)
{
{ /* Llib/mpg123_decoder.scm 341 */
{ 
 obj_t BgL_l1124z00_58;
BgL_l1124z00_58 = BgL_argsz00_24; 
BgL_zc3z04anonymousza31178ze3z87_59:
if(
PAIRP(BgL_l1124z00_58))
{ /* Llib/mpg123_decoder.scm 342 */
{ /* Llib/mpg123_decoder.scm 342 */
 obj_t BgL_az00_61;
BgL_az00_61 = 
CAR(BgL_l1124z00_58); 
bgl_display_obj(BgL_az00_61, BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00); } 
{ 
 obj_t BgL_l1124z00_1116;
BgL_l1124z00_1116 = 
CDR(BgL_l1124z00_58); 
BgL_l1124z00_58 = BgL_l1124z00_1116; 
goto BgL_zc3z04anonymousza31178ze3z87_59;} }  else 
{ /* Llib/mpg123_decoder.scm 342 */((bool_t)1); } } 
return 
bgl_flush_output_port(BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1185z00_67; obj_t BgL_arg1186z00_68;
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_v1126z00_95;
BgL_v1126z00_95 = 
create_vector(((long)6)); 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1200z00_96;
BgL_arg1200z00_96 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1973z00zz__mpg123_decoderz00, BGl_proc1972z00zz__mpg123_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1971z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1126z00_95,((long)0),BgL_arg1200z00_96); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1211z00_111;
BgL_arg1211z00_111 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1976z00zz__mpg123_decoderz00, BGl_proc1975z00zz__mpg123_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1974z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1126z00_95,((long)1),BgL_arg1211z00_111); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1225z00_130;
BgL_arg1225z00_130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1979z00zz__mpg123_decoderz00, BGl_proc1978z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1977z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1126z00_95,((long)2),BgL_arg1225z00_130); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1234z00_143;
BgL_arg1234z00_143 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1982z00zz__mpg123_decoderz00, BGl_proc1981z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1980z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1126z00_95,((long)3),BgL_arg1234z00_143); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1250z00_156;
BgL_arg1250z00_156 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1985z00zz__mpg123_decoderz00, BGl_proc1984z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1983z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1126z00_95,((long)4),BgL_arg1250z00_156); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1267z00_169;
BgL_arg1267z00_169 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc1988z00zz__mpg123_decoderz00, BGl_proc1987z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1986z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1126z00_95,((long)5),BgL_arg1267z00_169); } 
BgL_arg1185z00_67 = BgL_v1126z00_95; } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_v1127z00_182;
BgL_v1127z00_182 = 
create_vector(((long)0)); 
BgL_arg1186z00_68 = BgL_v1127z00_182; } 
return ( 
BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, ((long)50873), BGl_proc1991z00zz__mpg123_decoderz00, BGl_proc1990z00zz__mpg123_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1989z00zz__mpg123_decoderz00, BFALSE, BgL_arg1185z00_67, BgL_arg1186z00_68), BUNSPEC) ;} } 

}



/* &<@anonymous:1198> */
obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_679, obj_t BgL_new1092z00_680)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ 
 BgL_mpg123zd2decoderzd2_bglt BgL_auxz00_1148;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680)))->BgL_outbufz00)=((obj_t)BGl_string1992z00zz__mpg123_decoderz00),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680)))->BgL_z52mpg123z52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680)))->BgL_z52z12dseekz40)=((long)((long)0)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680)))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680)))->BgL_z52channelsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680)))->BgL_z52encodingz52)=((obj_t)
CNST_TABLE_REF(((long)13))),BUNSPEC); 
BgL_auxz00_1148 = 
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1092z00_680); 
return 
((obj_t)BgL_auxz00_1148);} } 

}



/* &lambda1190 */
BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1190z62zz__mpg123_decoderz00(obj_t BgL_envz00_681)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1091z00_809;
BgL_new1091z00_809 = 
((BgL_mpg123zd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2decoderzd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_arg1197z00_810;
BgL_arg1197z00_810 = 
BGL_CLASS_NUM(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_809), BgL_arg1197z00_810); } 
return BgL_new1091z00_809;} } 

}



/* &lambda1187 */
BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1187z62zz__mpg123_decoderz00(obj_t BgL_envz00_682, obj_t BgL_mimetypes1075z00_683, obj_t BgL_bufferzd2timezd2near1076z00_684, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1077z75_685, obj_t BgL_periodzd2siza7ezd2nearzd2rat1078z75_686, obj_t BgL_z52z12dpause1079z40_687, obj_t BgL_z52z12dabort1080z40_688, obj_t BgL_z52z12stop1081z40_689, obj_t BgL_z52dmutex1082z52_690, obj_t BgL_z52dcondv1083z52_691, obj_t BgL_z52doutcondv1084z52_692, obj_t BgL_outbuf1085z00_693, obj_t BgL_z52mpg1231086z52_694, obj_t BgL_z52z12dseek1087z40_695, obj_t BgL_z52rate1088z52_696, obj_t BgL_z52channels1089z52_697, obj_t BgL_z52encoding1090z52_698)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_bufferzd2timezd2near1076z00_812; int BgL_bufferzd2siza7ezd2nearzd2rat1077z75_813; int BgL_periodzd2siza7ezd2nearzd2rat1078z75_814; bool_t BgL_z52z12dpause1079z40_815; bool_t BgL_z52z12dabort1080z40_816; bool_t BgL_z52z12stop1081z40_817; long BgL_z52z12dseek1087z40_822; int BgL_z52rate1088z52_823; int BgL_z52channels1089z52_824;
BgL_bufferzd2timezd2near1076z00_812 = 
CINT(BgL_bufferzd2timezd2near1076z00_684); 
BgL_bufferzd2siza7ezd2nearzd2rat1077z75_813 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1077z75_685); 
BgL_periodzd2siza7ezd2nearzd2rat1078z75_814 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1078z75_686); 
BgL_z52z12dpause1079z40_815 = 
CBOOL(BgL_z52z12dpause1079z40_687); 
BgL_z52z12dabort1080z40_816 = 
CBOOL(BgL_z52z12dabort1080z40_688); 
BgL_z52z12stop1081z40_817 = 
CBOOL(BgL_z52z12stop1081z40_689); 
BgL_z52z12dseek1087z40_822 = 
(long)CINT(BgL_z52z12dseek1087z40_695); 
BgL_z52rate1088z52_823 = 
CINT(BgL_z52rate1088z52_696); 
BgL_z52channels1089z52_824 = 
CINT(BgL_z52channels1089z52_697); 
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1121z00_826;
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1120z00_827;
BgL_new1120z00_827 = 
((BgL_mpg123zd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2decoderzd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_arg1189z00_828;
BgL_arg1189z00_828 = 
BGL_CLASS_NUM(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_827), BgL_arg1189z00_828); } 
BgL_new1121z00_826 = BgL_new1120z00_827; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1075z00_683)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1076z00_812),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1077z75_813),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1078z75_814),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1079z40_815),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1080z40_816),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1081z40_817),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1082z52_690)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1083z52_691)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1121z00_826)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1084z52_692)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1121z00_826))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1085z00_693)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1121z00_826))->BgL_z52mpg123z52)=((obj_t)BgL_z52mpg1231086z52_694),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1121z00_826))->BgL_z52z12dseekz40)=((long)BgL_z52z12dseek1087z40_822),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1121z00_826))->BgL_z52ratez52)=((int)BgL_z52rate1088z52_823),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1121z00_826))->BgL_z52channelsz52)=((int)BgL_z52channels1089z52_824),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1121z00_826))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_z52encoding1090z52_698)),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_fun1188z00_829;
BgL_fun1188z00_829 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
PROCEDURE_ENTRY(BgL_fun1188z00_829)(BgL_fun1188z00_829, 
((obj_t)BgL_new1121z00_826), BEOA); } 
return BgL_new1121z00_826;} } } 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_699)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
CNST_TABLE_REF(((long)14));} 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__mpg123_decoderz00(obj_t BgL_envz00_700, obj_t BgL_oz00_701, obj_t BgL_vz00_702)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_701)))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_vz00_702)),BUNSPEC);} 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__mpg123_decoderz00(obj_t BgL_envz00_703, obj_t BgL_oz00_704)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_704)))->BgL_z52encodingz52);} 

}



/* &<@anonymous:1265> */
obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_705)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__mpg123_decoderz00(obj_t BgL_envz00_706, obj_t BgL_oz00_707, obj_t BgL_vz00_708)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_vz00_834;
BgL_vz00_834 = 
CINT(BgL_vz00_708); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_707)))->BgL_z52channelsz52)=((int)BgL_vz00_834),BUNSPEC);} } 

}



/* &lambda1263 */
obj_t BGl_z62lambda1263z62zz__mpg123_decoderz00(obj_t BgL_envz00_709, obj_t BgL_oz00_710)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_710)))->BgL_z52channelsz52));} 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_711)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__mpg123_decoderz00(obj_t BgL_envz00_712, obj_t BgL_oz00_713, obj_t BgL_vz00_714)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_vz00_837;
BgL_vz00_837 = 
CINT(BgL_vz00_714); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_713)))->BgL_z52ratez52)=((int)BgL_vz00_837),BUNSPEC);} } 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__mpg123_decoderz00(obj_t BgL_envz00_715, obj_t BgL_oz00_716)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_716)))->BgL_z52ratez52));} 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_717)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(((long)-1));} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__mpg123_decoderz00(obj_t BgL_envz00_718, obj_t BgL_oz00_719, obj_t BgL_vz00_720)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_vz00_840;
BgL_vz00_840 = 
(long)CINT(BgL_vz00_720); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_719)))->BgL_z52z12dseekz40)=((long)BgL_vz00_840),BUNSPEC);} } 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__mpg123_decoderz00(obj_t BgL_envz00_721, obj_t BgL_oz00_722)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_722)))->BgL_z52z12dseekz40));} 

}



/* &<@anonymous:1218> */
obj_t BGl_z62zc3z04anonymousza31218ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_723)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1284;
{ /* Llib/mpg123_decoder.scm 23 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1123z00_842;
{ /* Llib/mpg123_decoder.scm 23 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1122z00_843;
BgL_new1122z00_843 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 23 */
 long BgL_arg1224z00_844;
BgL_arg1224z00_844 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_843), BgL_arg1224z00_844); } 
BgL_new1123z00_842 = BgL_new1122z00_843; } 
{ 
 void * BgL_auxz00_1289;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_arg1219z00_845;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_arg1221z00_846;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_classz00_847;
BgL_classz00_847 = BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00; 
BgL_arg1221z00_846 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_847); } 
BgL_arg1219z00_845 = 
VECTOR_REF(BgL_arg1221z00_846,((long)0)); } 
BgL_auxz00_1289 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1219z00_845)); } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1123z00_842))->BgL_z42builtinz42)=((mpg123_handle *)BgL_auxz00_1289),BUNSPEC); } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1123z00_842))->BgL_decoderz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1123z00_842))->BgL_siza7eza7)=((long)((long)0)),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_fun1222z00_848;
BgL_fun1222z00_848 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
PROCEDURE_ENTRY(BgL_fun1222z00_848)(BgL_fun1222z00_848, 
((obj_t)BgL_new1123z00_842), BEOA); } 
BgL_auxz00_1284 = BgL_new1123z00_842; } 
return 
((obj_t)BgL_auxz00_1284);} } 

}



/* &lambda1217 */
obj_t BGl_z62lambda1217z62zz__mpg123_decoderz00(obj_t BgL_envz00_724, obj_t BgL_oz00_725, obj_t BgL_vz00_726)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_725)))->BgL_z52mpg123z52)=((obj_t)BgL_vz00_726),BUNSPEC);} 

}



/* &lambda1216 */
obj_t BGl_z62lambda1216z62zz__mpg123_decoderz00(obj_t BgL_envz00_727, obj_t BgL_oz00_728)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_728)))->BgL_z52mpg123z52);} 

}



/* &<@anonymous:1208> */
obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_729)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 22 */

return 
make_string(((long)5120), ((unsigned char)' '));} } 

}



/* &lambda1207 */
obj_t BGl_z62lambda1207z62zz__mpg123_decoderz00(obj_t BgL_envz00_730, obj_t BgL_oz00_731, obj_t BgL_vz00_732)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_731)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_732)),BUNSPEC);} 

}



/* &lambda1206 */
obj_t BGl_z62lambda1206z62zz__mpg123_decoderz00(obj_t BgL_envz00_733, obj_t BgL_oz00_734)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_734)))->BgL_outbufz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1993z00zz__mpg123_decoderz00, BGl_string1994z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1995z00zz__mpg123_decoderz00, BGl_string1996z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2closezd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1997z00zz__mpg123_decoderz00, BGl_string1998z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1999z00zz__mpg123_decoderz00, BGl_string2000z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2001z00zz__mpg123_decoderz00, BGl_string2002z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2003z00zz__mpg123_decoderz00, BGl_string2004z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2005z00zz__mpg123_decoderz00, BGl_string2006z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2007z00zz__mpg123_decoderz00, BGl_string2008z00zz__mpg123_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2009z00zz__mpg123_decoderz00, BGl_string2010z00zz__mpg123_decoderz00);} 

}



/* &musicdecoder-decode-1145 */
obj_t BGl_z62musicdecoderzd2decodezd21145z62zz__mpg123_decoderz00(obj_t BgL_envz00_748, obj_t BgL_decz00_749, obj_t BgL_amz00_750, obj_t BgL_bufferz00_751)
{
{ /* Llib/mpg123_decoder.scm 106 */
{ /* Llib/mpg123_decoder.scm 111 */
 bool_t BgL_haszd2beenzd2emptyzd2oncezd2_857;
BgL_haszd2beenzd2emptyzd2oncezd2_857 = ((bool_t)0); 
{ /* Llib/mpg123_decoder.scm 111 */
 long BgL_inlenz00_858;
BgL_inlenz00_858 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52inlenz52); 
{ /* Llib/mpg123_decoder.scm 119 */
 long BgL_outlenz00_859;
BgL_outlenz00_859 = 
STRING_LENGTH(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_outbufz00)); 
{ /* Llib/mpg123_decoder.scm 121 */
 long BgL_decsza7za7_860;
{ /* Llib/mpg123_decoder.scm 121 */
 long BgL_az00_861;
BgL_az00_861 = 
(((long)2)*BgL_outlenz00_859); 
if(
(BgL_az00_861<BgL_inlenz00_858))
{ /* Llib/mpg123_decoder.scm 121 */
BgL_decsza7za7_860 = BgL_az00_861; }  else 
{ /* Llib/mpg123_decoder.scm 121 */
BgL_decsza7za7_860 = BgL_inlenz00_858; } } 
{ 

{ 

{ 

{ 
 long BgL_siza7eza7_881;
{ /* Llib/mpg123_decoder.scm 179 */
 bool_t BgL_test2118z00_1331;
{ /* Llib/mpg123_decoder.scm 179 */
 int BgL_arg1355z00_896;
BgL_arg1355z00_896 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2118z00_1331 = 
(
(long)(BgL_arg1355z00_896)>((long)0)); } 
if(BgL_test2118z00_1331)
{ /* Llib/mpg123_decoder.scm 179 */
BGl_debugzd2initz12zc0zz__mpg123_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_urlz00)); }  else 
{ /* Llib/mpg123_decoder.scm 179 */BFALSE; } } 
if(
(
(long)(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52ratez52))>((long)0)))
{ /* Llib/mpg123_decoder.scm 183 */
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)), 
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)); }  else 
{ /* Llib/mpg123_decoder.scm 183 */BFALSE; } 
{ 

BgL_loopz00_897:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52z12dpausez40))
{ /* Llib/mpg123_decoder.scm 188 */
{ /* Llib/mpg123_decoder.scm 190 */
 BgL_musicstatusz00_bglt BgL_i1108z00_898;
BgL_i1108z00_898 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1108z00_898))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)15))); 
{ /* Llib/mpg123_decoder.scm 193 */
 obj_t BgL_mutex1363z00_899;
BgL_mutex1363z00_899 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1363z00_899); 
{ /* Llib/mpg123_decoder.scm 193 */
 bool_t BgL_tmp2121z00_1369;
{ 

BgL_liipz00_900:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52z12dpausez40))
{ /* Llib/mpg123_decoder.scm 195 */
{ /* Llib/mpg123_decoder.scm 196 */
 obj_t BgL_arg1366z00_901; obj_t BgL_arg1367z00_902;
BgL_arg1366z00_901 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52dcondvz52); 
BgL_arg1367z00_902 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52dmutexz52); 
{ /* Llib/mpg123_decoder.scm 196 */

BGL_CONDVAR_WAIT(BgL_arg1366z00_901, BgL_arg1367z00_902); } } 
goto BgL_liipz00_900;}  else 
{ /* Llib/mpg123_decoder.scm 195 */
BgL_tmp2121z00_1369 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1363z00_899); BgL_tmp2121z00_1369; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)16))); 
goto BgL_loopz00_897;}  else 
{ /* Llib/mpg123_decoder.scm 188 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52z12dabortz40))
{ /* Llib/mpg123_decoder.scm 200 */
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)17))); }  else 
{ /* Llib/mpg123_decoder.scm 200 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52emptyz52))
{ /* Llib/mpg123_decoder.scm 203 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 205 */
{ /* Llib/mpg123_decoder.scm 207 */
 bool_t BgL_test2126z00_1401;
{ /* Llib/mpg123_decoder.scm 207 */
 int BgL_arg1535z00_903;
BgL_arg1535z00_903 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2126z00_1401 = 
(
(long)(BgL_arg1535z00_903)>=((long)2)); } 
if(BgL_test2126z00_1401)
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1414z00_904;
BgL_arg1414z00_904 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_urlz00); 
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_list1415z00_905;
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1455z00_906;
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1456z00_907;
BgL_arg1456z00_907 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1455z00_906 = 
MAKE_YOUNG_PAIR(BgL_arg1414z00_904, BgL_arg1456z00_907); } 
BgL_list1415z00_905 = 
MAKE_YOUNG_PAIR(BGl_string2019z00zz__mpg123_decoderz00, BgL_arg1455z00_906); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1415z00_905); } }  else 
{ /* Llib/mpg123_decoder.scm 207 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Llib/mpg123_decoder.scm 205 */
{ /* Llib/mpg123_decoder.scm 211 */
 bool_t BgL_test2127z00_1415;
{ /* Llib/mpg123_decoder.scm 211 */
 int BgL_arg1574z00_908;
BgL_arg1574z00_908 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2127z00_1415 = 
(
(long)(BgL_arg1574z00_908)>=((long)1)); } 
if(BgL_test2127z00_1415)
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1541z00_909; BGL_LONGLONG_T BgL_arg1554z00_910;
BgL_arg1541z00_909 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_urlz00); 
BgL_arg1554z00_910 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_list1555z00_911;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1563z00_912;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1564z00_913;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1572z00_914;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1573z00_915;
BgL_arg1573z00_915 = 
MAKE_YOUNG_PAIR(BGl_string2017z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1572z00_914 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1554z00_910), BgL_arg1573z00_915); } 
BgL_arg1564z00_913 = 
MAKE_YOUNG_PAIR(BGl_string1968z00zz__mpg123_decoderz00, BgL_arg1572z00_914); } 
BgL_arg1563z00_912 = 
MAKE_YOUNG_PAIR(BgL_arg1541z00_909, BgL_arg1564z00_913); } 
BgL_list1555z00_911 = 
MAKE_YOUNG_PAIR(BGl_string2020z00zz__mpg123_decoderz00, BgL_arg1563z00_912); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1555z00_911); } }  else 
{ /* Llib/mpg123_decoder.scm 211 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 215 */
 BgL_musicstatusz00_bglt BgL_i1110z00_916;
BgL_i1110z00_916 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1110z00_916))->BgL_bufferingz00)=((int)
(int)(
BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(BgL_inlenz00_858, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)19))); 
{ /* Llib/mpg123_decoder.scm 219 */
 obj_t BgL_mutex1575z00_917;
BgL_mutex1575z00_917 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52bmutexz52); 
{ /* Llib/mpg123_decoder.scm 219 */
 obj_t BgL_top2129z00_1443;
BgL_top2129z00_1443 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1575z00_917); 
BGL_EXITD_PUSH_PROTECT(BgL_top2129z00_1443, BgL_mutex1575z00_917); BUNSPEC; 
{ /* Llib/mpg123_decoder.scm 219 */
 bool_t BgL_tmp2128z00_1442;
{ /* Llib/mpg123_decoder.scm 221 */
 bool_t BgL_test2130z00_1447;
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52emptyz52))
{ /* Llib/mpg123_decoder.scm 221 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2130z00_1447 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 221 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749))))->BgL_z52z12dabortz40))
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2130z00_1447 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2130z00_1447 = 
(
(((long)8)*
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))>BgL_inlenz00_858)
; } } }  else 
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2130z00_1447 = ((bool_t)1)
; } 
if(BgL_test2130z00_1447)
{ /* Llib/mpg123_decoder.scm 221 */
BgL_tmp2128z00_1442 = ((bool_t)0); }  else 
{ /* Llib/mpg123_decoder.scm 225 */
 obj_t BgL_arg1590z00_918; obj_t BgL_arg1591z00_919;
BgL_arg1590z00_918 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52bcondvz52); 
BgL_arg1591z00_919 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52bmutexz52); 
{ /* Llib/mpg123_decoder.scm 225 */

BgL_tmp2128z00_1442 = 
BGL_CONDVAR_WAIT(BgL_arg1590z00_918, BgL_arg1591z00_919); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2129z00_1443); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1575z00_917); BgL_tmp2128z00_1442; } } } 
{ /* Llib/mpg123_decoder.scm 226 */
 bool_t BgL_test2134z00_1469;
{ /* Llib/mpg123_decoder.scm 226 */
 int BgL_arg1612z00_920;
BgL_arg1612z00_920 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2134z00_1469 = 
(
(long)(BgL_arg1612z00_920)>=((long)1)); } 
if(BgL_test2134z00_1469)
{ /* Llib/mpg123_decoder.scm 227 */
 BGL_LONGLONG_T BgL_arg1609z00_921;
BgL_arg1609z00_921 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 227 */
 obj_t BgL_list1610z00_922;
{ /* Llib/mpg123_decoder.scm 227 */
 obj_t BgL_arg1611z00_923;
BgL_arg1611z00_923 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_list1610z00_922 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1609z00_921), BgL_arg1611z00_923); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1610z00_922); } }  else 
{ /* Llib/mpg123_decoder.scm 226 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)16))); 
goto BgL_loopz00_897;} }  else 
{ /* Llib/mpg123_decoder.scm 232 */
 long BgL_g1111z00_924;
{ /* Llib/mpg123_decoder.scm 232 */
 long BgL_bz00_925;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52)))
{ /* Llib/mpg123_decoder.scm 233 */
BgL_bz00_925 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52)); }  else 
{ /* Llib/mpg123_decoder.scm 233 */
BgL_bz00_925 = 
(BgL_inlenz00_858-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52)); } 
if(
(BgL_decsza7za7_860<BgL_bz00_925))
{ /* Llib/mpg123_decoder.scm 233 */
BgL_g1111z00_924 = BgL_decsza7za7_860; }  else 
{ /* Llib/mpg123_decoder.scm 233 */
BgL_g1111z00_924 = BgL_bz00_925; } } 
{ 
 long BgL_sz00_927;
BgL_sz00_927 = BgL_g1111z00_924; 
BgL_flushz00_926:
{ /* Llib/mpg123_decoder.scm 236 */
 int BgL_statusz00_928;
{ /* Llib/mpg123_decoder.scm 236 */
 obj_t BgL_arg1830z00_929; char * BgL_arg1831z00_930; long BgL_arg1832z00_931; obj_t BgL_arg1833z00_932;
BgL_arg1830z00_929 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52mpg123z52); 
BgL_arg1831z00_930 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52inbufpz52); 
BgL_arg1832z00_931 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52); 
BgL_arg1833z00_932 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_outbufz00); 
BgL_statusz00_928 = 
bgl_mpg123_decode(BgL_arg1830z00_929, BgL_arg1831z00_930, BgL_arg1832z00_931, BgL_sz00_927, 
BSTRING_TO_STRING(BgL_arg1833z00_932), BgL_outlenz00_859); } 
{ /* Llib/mpg123_decoder.scm 238 */
 bool_t BgL_test2137z00_1508;
{ /* Llib/mpg123_decoder.scm 238 */
 int BgL_arg1677z00_933;
BgL_arg1677z00_933 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2137z00_1508 = 
(
(long)(BgL_arg1677z00_933)>=((long)4)); } 
if(BgL_test2137z00_1508)
{ /* Llib/mpg123_decoder.scm 239 */
 long BgL_arg1624z00_934; long BgL_arg1642z00_935; obj_t BgL_arg1643z00_936;
BgL_arg1624z00_934 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52); 
BgL_arg1642z00_935 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52headz52); 
BgL_arg1643z00_936 = 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_statusz00_928); 
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_list1644z00_937;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1651z00_938;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1653z00_939;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1654z00_940;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1657z00_941;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1664z00_942;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1672z00_943;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1673z00_944;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1674z00_945;
BgL_arg1674z00_945 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1673z00_944 = 
MAKE_YOUNG_PAIR(BgL_arg1643z00_936, BgL_arg1674z00_945); } 
BgL_arg1672z00_943 = 
MAKE_YOUNG_PAIR(BGl_string2021z00zz__mpg123_decoderz00, BgL_arg1673z00_944); } 
BgL_arg1664z00_942 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1642z00_935), BgL_arg1672z00_943); } 
BgL_arg1657z00_941 = 
MAKE_YOUNG_PAIR(BGl_string2022z00zz__mpg123_decoderz00, BgL_arg1664z00_942); } 
BgL_arg1654z00_940 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1624z00_934), BgL_arg1657z00_941); } 
BgL_arg1653z00_939 = 
MAKE_YOUNG_PAIR(BGl_string2023z00zz__mpg123_decoderz00, BgL_arg1654z00_940); } 
BgL_arg1651z00_938 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_927), BgL_arg1653z00_939); } 
BgL_list1644z00_937 = 
MAKE_YOUNG_PAIR(BGl_string2024z00zz__mpg123_decoderz00, BgL_arg1651z00_938); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1644z00_937); } }  else 
{ /* Llib/mpg123_decoder.scm 238 */BFALSE; } } 
if(
(BgL_sz00_927>((long)0)))
{ /* Llib/mpg123_decoder.scm 244 */
BgL_siza7eza7_881 = BgL_sz00_927; 
{ /* Llib/mpg123_decoder.scm 159 */
 long BgL_ntailz00_882;
BgL_ntailz00_882 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52)+BgL_siza7eza7_881); 
if(
(BgL_ntailz00_882==BgL_inlenz00_858))
{ /* Llib/mpg123_decoder.scm 160 */
BgL_ntailz00_882 = ((long)0); }  else 
{ /* Llib/mpg123_decoder.scm 160 */BFALSE; } 
if(
(BgL_ntailz00_882==
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52headz52)))
{ /* Llib/mpg123_decoder.scm 163 */
BgL_haszd2beenzd2emptyzd2oncezd2_857 = ((bool_t)1); 
((((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/mpg123_decoder.scm 163 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52)=((long)BgL_ntailz00_882),BUNSPEC); } 
{ /* Llib/mpg123_decoder.scm 142 */
 bool_t BgL_test2141z00_1545;
{ /* Llib/mpg123_decoder.scm 142 */
 int BgL_arg1902z00_866;
BgL_arg1902z00_866 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2141z00_1545 = 
(
(long)(BgL_arg1902z00_866)>=((long)3)); } 
if(BgL_test2141z00_1545)
{ /* Llib/mpg123_decoder.scm 143 */
 long BgL_pz00_867;
BgL_pz00_867 = 
BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(BgL_inlenz00_858, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)); 
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2142z00_1551;
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2143z00_1552;
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2144z00_1553;
if(
(BgL_pz00_867<((long)75)))
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2144z00_1553 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2144z00_1553 = BgL_haszd2beenzd2emptyzd2oncezd2_857
; } 
if(BgL_test2144z00_1553)
{ /* Llib/mpg123_decoder.scm 144 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 145 */
BgL_test2143z00_1552 = ((bool_t)0)
; }  else 
{ /* Llib/mpg123_decoder.scm 145 */
BgL_test2143z00_1552 = ((bool_t)1)
; } }  else 
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2143z00_1552 = ((bool_t)0)
; } } 
if(BgL_test2143z00_1552)
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2142z00_1551 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 146 */
 int BgL_arg1901z00_868;
BgL_arg1901z00_868 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2142z00_1551 = 
(
(long)(BgL_arg1901z00_868)>=((long)4)); } } 
if(BgL_test2142z00_1551)
{ /* Llib/mpg123_decoder.scm 149 */
 obj_t BgL_arg1885z00_869; obj_t BgL_arg1886z00_870; obj_t BgL_arg1887z00_871;
if(
(BgL_pz00_867>=((long)80)))
{ /* Llib/mpg123_decoder.scm 149 */
BgL_arg1885z00_869 = BGl_string1992z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 149 */
if(
(BgL_pz00_867>((long)25)))
{ /* Llib/mpg123_decoder.scm 150 */
BgL_arg1885z00_869 = BGl_string2011z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 150 */
BgL_arg1885z00_869 = BGl_string2012z00zz__mpg123_decoderz00; } } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 154 */
BgL_arg1886z00_870 = BGl_string2013z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 154 */
BgL_arg1886z00_870 = BGl_string1992z00zz__mpg123_decoderz00; } 
BgL_arg1887z00_871 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_urlz00); 
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_list1888z00_872;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1889z00_873;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1890z00_874;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1891z00_875;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1892z00_876;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1893z00_877;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1894z00_878;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1895z00_879;
BgL_arg1895z00_879 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1894z00_878 = 
MAKE_YOUNG_PAIR(BgL_arg1887z00_871, BgL_arg1895z00_879); } 
BgL_arg1893z00_877 = 
MAKE_YOUNG_PAIR(BGl_string2014z00zz__mpg123_decoderz00, BgL_arg1894z00_878); } 
BgL_arg1892z00_876 = 
MAKE_YOUNG_PAIR(BgL_arg1886z00_870, BgL_arg1893z00_877); } 
BgL_arg1891z00_875 = 
MAKE_YOUNG_PAIR(BGl_string2015z00zz__mpg123_decoderz00, BgL_arg1892z00_876); } 
BgL_arg1890z00_874 = 
MAKE_YOUNG_PAIR(
BINT(BgL_pz00_867), BgL_arg1891z00_875); } 
BgL_arg1889z00_873 = 
MAKE_YOUNG_PAIR(BgL_arg1885z00_869, BgL_arg1890z00_874); } 
BgL_list1888z00_872 = 
MAKE_YOUNG_PAIR(BGl_string2016z00zz__mpg123_decoderz00, BgL_arg1889z00_873); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1888z00_872); } }  else 
{ /* Llib/mpg123_decoder.scm 144 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 142 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 170 */
 bool_t BgL_test2150z00_1581;
{ /* Llib/mpg123_decoder.scm 170 */
 bool_t BgL_test2151z00_1582;
{ /* Llib/mpg123_decoder.scm 137 */
 bool_t BgL__ortest_1106z00_864;
BgL__ortest_1106z00_864 = BgL_haszd2beenzd2emptyzd2oncezd2_857; 
if(BgL__ortest_1106z00_864)
{ /* Llib/mpg123_decoder.scm 137 */
BgL_test2151z00_1582 = BgL__ortest_1106z00_864
; }  else 
{ /* Llib/mpg123_decoder.scm 137 */
BgL_test2151z00_1582 = 
(
(((long)4)*
(BgL_inlenz00_858-
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751))))>BgL_inlenz00_858)
; } } 
if(BgL_test2151z00_1582)
{ /* Llib/mpg123_decoder.scm 170 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2150z00_1581 = ((bool_t)0)
; }  else 
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2150z00_1581 = ((bool_t)1)
; } }  else 
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2150z00_1581 = ((bool_t)0)
; } } 
if(BgL_test2150z00_1581)
{ /* Llib/mpg123_decoder.scm 170 */
{ /* Llib/mpg123_decoder.scm 171 */
 bool_t BgL_test2154z00_1592;
{ /* Llib/mpg123_decoder.scm 171 */
 int BgL_arg1866z00_883;
BgL_arg1866z00_883 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2154z00_1592 = 
(
(long)(BgL_arg1866z00_883)>=((long)2)); } 
if(BgL_test2154z00_1592)
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1858z00_884; BGL_LONGLONG_T BgL_arg1859z00_885;
BgL_arg1858z00_884 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_urlz00); 
BgL_arg1859z00_885 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_list1860z00_886;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1861z00_887;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1863z00_888;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1864z00_889;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1865z00_890;
BgL_arg1865z00_890 = 
MAKE_YOUNG_PAIR(BGl_string2017z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1864z00_889 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1859z00_885), BgL_arg1865z00_890); } 
BgL_arg1863z00_888 = 
MAKE_YOUNG_PAIR(BGl_string1968z00zz__mpg123_decoderz00, BgL_arg1864z00_889); } 
BgL_arg1861z00_887 = 
MAKE_YOUNG_PAIR(BgL_arg1858z00_884, BgL_arg1863z00_888); } 
BgL_list1860z00_886 = 
MAKE_YOUNG_PAIR(BGl_string2018z00zz__mpg123_decoderz00, BgL_arg1861z00_887); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1860z00_886); } }  else 
{ /* Llib/mpg123_decoder.scm 171 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 174 */
 obj_t BgL_mutex1867z00_891;
BgL_mutex1867z00_891 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1867z00_891); 
{ /* Llib/mpg123_decoder.scm 174 */
 bool_t BgL_tmp2155z00_1608;
{ /* Llib/mpg123_decoder.scm 175 */
 obj_t BgL_tmpz00_1610;
BgL_tmpz00_1610 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52bcondvz52); 
BgL_tmp2155z00_1608 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1610); } 
BGL_MUTEX_UNLOCK(BgL_mutex1867z00_891); BgL_tmp2155z00_1608; } } 
{ /* Llib/mpg123_decoder.scm 176 */
 bool_t BgL_test2156z00_1615;
{ /* Llib/mpg123_decoder.scm 176 */
 int BgL_arg1874z00_892;
BgL_arg1874z00_892 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2156z00_1615 = 
(
(long)(BgL_arg1874z00_892)>=((long)2)); } 
if(BgL_test2156z00_1615)
{ /* Llib/mpg123_decoder.scm 177 */
 BGL_LONGLONG_T BgL_arg1871z00_893;
BgL_arg1871z00_893 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 177 */
 obj_t BgL_list1872z00_894;
{ /* Llib/mpg123_decoder.scm 177 */
 obj_t BgL_arg1873z00_895;
BgL_arg1873z00_895 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_list1872z00_894 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1871z00_893), BgL_arg1873z00_895); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1872z00_894); } }  else 
{ /* Llib/mpg123_decoder.scm 176 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 170 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 244 */BFALSE; } 
if(
(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52z12dseekz40)>((long)0)))
{ /* Llib/mpg123_decoder.scm 248 */
 long BgL_offsetz00_946;
{ /* Llib/mpg123_decoder.scm 248 */
 obj_t BgL_arg1709z00_947; long BgL_arg1710z00_948;
BgL_arg1709z00_947 = 
BGl_musicbufferzd2streamzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)); 
BgL_arg1710z00_948 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52z12dseekz40); 
BgL_offsetz00_946 = 
BGl_mp3zd2indexzd2zz__multimediazd2mp3zd2(BgL_arg1709z00_947, 
(long)(BgL_arg1710z00_948)); } 
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1688z00_949;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_tmpz00_1634;
BgL_tmpz00_1634 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1688z00_949 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1634); } 
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_list1689z00_950;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1691z00_951;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1692z00_952;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1701z00_953;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1704z00_954;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1706z00_955;
BgL_arg1706z00_955 = 
MAKE_YOUNG_PAIR(
make_belong(BgL_offsetz00_946), BNIL); 
BgL_arg1704z00_954 = 
MAKE_YOUNG_PAIR(BGl_string2025z00zz__mpg123_decoderz00, BgL_arg1706z00_955); } 
BgL_arg1701z00_953 = 
MAKE_YOUNG_PAIR(BGl_string2026z00zz__mpg123_decoderz00, BgL_arg1704z00_954); } 
BgL_arg1692z00_952 = 
MAKE_YOUNG_PAIR(
BINT(((long)249)), BgL_arg1701z00_953); } 
BgL_arg1691z00_951 = 
MAKE_YOUNG_PAIR(BGl_string2027z00zz__mpg123_decoderz00, BgL_arg1692z00_952); } 
BgL_list1689z00_950 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__mpg123_decoderz00, BgL_arg1691z00_951); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1688z00_949, BgL_list1689z00_950); } } 
BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751), 
make_belong(BgL_offsetz00_946)); 
{ /* Llib/mpg123_decoder.scm 251 */
 obj_t BgL_arg1707z00_956;
BgL_arg1707z00_956 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52mpg123z52); 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1707z00_956)); } 
{ /* Llib/mpg123_decoder.scm 252 */
 BgL_musicstatusz00_bglt BgL_i1112z00_957;
BgL_i1112z00_957 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1112z00_957))->BgL_songposz00)=((obj_t)
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52z12dseekz40))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52z12dseekz40)=((long)((long)-1)),BUNSPEC); } 
goto BgL_loopz00_897;}  else 
{ /* Llib/mpg123_decoder.scm 247 */
if(
(
(long)(BgL_statusz00_928)==
(long)(MPG123_OK)))
{ /* Llib/mpg123_decoder.scm 258 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1113z00_958;
BgL_i1113z00_958 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52mpg123z52)); 
{ /* Llib/mpg123_decoder.scm 259 */
 bool_t BgL_test2159z00_1669;
{ /* Llib/mpg123_decoder.scm 259 */
 int BgL_arg1731z00_959;
BgL_arg1731z00_959 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2159z00_1669 = 
(
(long)(BgL_arg1731z00_959)>=((long)5)); } 
if(BgL_test2159z00_1669)
{ /* Llib/mpg123_decoder.scm 260 */
 long BgL_arg1725z00_960;
BgL_arg1725z00_960 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_958))->BgL_siza7eza7); 
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_list1726z00_961;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1727z00_962;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1728z00_963;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1729z00_964;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1730z00_965;
BgL_arg1730z00_965 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1729z00_964 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1725z00_960), BgL_arg1730z00_965); } 
BgL_arg1728z00_963 = 
MAKE_YOUNG_PAIR(BGl_string2028z00zz__mpg123_decoderz00, BgL_arg1729z00_964); } 
BgL_arg1727z00_962 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_927), BgL_arg1728z00_963); } 
BgL_list1726z00_961 = 
MAKE_YOUNG_PAIR(BGl_string2029z00zz__mpg123_decoderz00, BgL_arg1727z00_962); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1726z00_961); } }  else 
{ /* Llib/mpg123_decoder.scm 259 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_958))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 262 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_750), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_958))->BgL_siza7eza7)); 
{ 
 long BgL_sz00_1690;
BgL_sz00_1690 = ((long)0); 
BgL_sz00_927 = BgL_sz00_1690; 
goto BgL_flushz00_926;} }  else 
{ /* Llib/mpg123_decoder.scm 262 */BFALSE; } }  else 
{ /* Llib/mpg123_decoder.scm 256 */
if(
(
(long)(BgL_statusz00_928)==
(long)(MPG123_NEED_MORE)))
{ /* Llib/mpg123_decoder.scm 266 */
{ /* Llib/mpg123_decoder.scm 268 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1114z00_966;
BgL_i1114z00_966 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52mpg123z52)); 
{ /* Llib/mpg123_decoder.scm 269 */
 bool_t BgL_test2162z00_1698;
{ /* Llib/mpg123_decoder.scm 269 */
 int BgL_arg1790z00_967;
BgL_arg1790z00_967 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2162z00_1698 = 
(
(long)(BgL_arg1790z00_967)>=((long)5)); } 
if(BgL_test2162z00_1698)
{ /* Llib/mpg123_decoder.scm 270 */
 long BgL_arg1747z00_968; bool_t BgL_arg1748z00_969; long BgL_arg1749z00_970;
BgL_arg1747z00_968 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_966))->BgL_siza7eza7); 
BgL_arg1748z00_969 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52emptyz52); 
BgL_arg1749z00_970 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_z52tailz52); 
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_list1750z00_971;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1755z00_972;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1756z00_973;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1763z00_974;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1766z00_975;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1767z00_976;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1770z00_977;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1777z00_978;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1789z00_979;
BgL_arg1789z00_979 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1777z00_978 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1749z00_970), BgL_arg1789z00_979); } 
BgL_arg1770z00_977 = 
MAKE_YOUNG_PAIR(BGl_string2030z00zz__mpg123_decoderz00, BgL_arg1777z00_978); } 
BgL_arg1767z00_976 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1748z00_969), BgL_arg1770z00_977); } 
BgL_arg1766z00_975 = 
MAKE_YOUNG_PAIR(BGl_string2031z00zz__mpg123_decoderz00, BgL_arg1767z00_976); } 
BgL_arg1763z00_974 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1747z00_968), BgL_arg1766z00_975); } 
BgL_arg1756z00_973 = 
MAKE_YOUNG_PAIR(BGl_string2028z00zz__mpg123_decoderz00, BgL_arg1763z00_974); } 
BgL_arg1755z00_972 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_927), BgL_arg1756z00_973); } 
BgL_list1750z00_971 = 
MAKE_YOUNG_PAIR(BGl_string2032z00zz__mpg123_decoderz00, BgL_arg1755z00_972); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1750z00_971); } }  else 
{ /* Llib/mpg123_decoder.scm 269 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_966))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 273 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_750), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_966))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 273 */BFALSE; } } 
goto BgL_loopz00_897;}  else 
{ /* Llib/mpg123_decoder.scm 266 */
if(
(
(long)(BgL_statusz00_928)==
(long)(MPG123_NEW_FORMAT)))
{ /* Llib/mpg123_decoder.scm 277 */
BGl_newzd2formatzd2zz__mpg123_decoderz00(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749), 
((BgL_musicbufz00_bglt)BgL_amz00_750), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)); 
{ /* Llib/mpg123_decoder.scm 280 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1115z00_980;
BgL_i1115z00_980 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52mpg123z52)); 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1115z00_980))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 281 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_750), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1115z00_980))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 281 */BFALSE; } } 
{ 
 long BgL_sz00_1748;
BgL_sz00_1748 = ((long)0); 
BgL_sz00_927 = BgL_sz00_1748; 
goto BgL_flushz00_926;} }  else 
{ /* Llib/mpg123_decoder.scm 277 */
if(
(
(long)(BgL_statusz00_928)==
(long)(MPG123_DONE)))
{ /* Llib/mpg123_decoder.scm 285 */
{ /* Llib/mpg123_decoder.scm 287 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1116z00_981;
BgL_i1116z00_981 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_z52mpg123z52)); 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1116z00_981))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 288 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_750), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_749)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1116z00_981))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 288 */BFALSE; } } 
BGl_musicbufzd2drainzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_750)); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Llib/mpg123_decoder.scm 285 */
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_750)), BGl_string2033z00zz__mpg123_decoderz00); } } } } } } } } } } } 
{ /* Llib/mpg123_decoder.scm 297 */
 bool_t BgL_test2168z00_1773;
{ /* Llib/mpg123_decoder.scm 297 */
 int BgL_arg1846z00_982;
BgL_arg1846z00_982 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2168z00_1773 = 
(
(long)(BgL_arg1846z00_982)>((long)0)); } 
if(BgL_test2168z00_1773)
{ /* Llib/mpg123_decoder.scm 297 */
return 
BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_751)))->BgL_urlz00));}  else 
{ /* Llib/mpg123_decoder.scm 297 */
return BFALSE;} } } } } } } } } } } 

}



/* buffer-percentage-filled~0 */
long BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(long BgL_inlenz00_795, BgL_musicbufferz00_bglt BgL_bufferz00_794)
{
{ /* Llib/mpg123_decoder.scm 129 */
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1913z00_524;
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1914z00_525; BGL_LONGLONG_T BgL_arg1915z00_526;
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1916z00_527;
{ /* Llib/mpg123_decoder.scm 128 */
 long BgL_tmpz00_1780;
BgL_tmpz00_1780 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_794); 
BgL_arg1916z00_527 = 
LONG_TO_LLONG(BgL_tmpz00_1780); } 
BgL_arg1914z00_525 = 
(((BGL_LONGLONG_T)100)*BgL_arg1916z00_527); } 
BgL_arg1915z00_526 = 
LONG_TO_LLONG(BgL_inlenz00_795); 
BgL_arg1913z00_524 = 
(BgL_arg1914z00_525/BgL_arg1915z00_526); } 
return 
LLONG_TO_LONG(BgL_arg1913z00_524);} } 

}



/* &musicdecoder-volume-1143 */
obj_t BGl_z62musicdecoderzd2volumezd21143z62zz__mpg123_decoderz00(obj_t BgL_envz00_752, obj_t BgL_decz00_753, obj_t BgL_volz00_754)
{
{ /* Llib/mpg123_decoder.scm 99 */
{ /* Llib/mpg123_decoder.scm 101 */
 obj_t BgL_arg1345z00_984;
BgL_arg1345z00_984 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_753)))->BgL_z52mpg123z52); 
return 
BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1345z00_984), BgL_volz00_754);} } 

}



/* &musicdecoder-seek-mp1141 */
obj_t BGl_z62musicdecoderzd2seekzd2mp1141z62zz__mpg123_decoderz00(obj_t BgL_envz00_755, obj_t BgL_decz00_756, obj_t BgL_secz00_757)
{
{ /* Llib/mpg123_decoder.scm 89 */
{ /* Llib/mpg123_decoder.scm 91 */
 bool_t BgL_test2169z00_1791;
{ /* Llib/mpg123_decoder.scm 91 */
 int BgL_arg1340z00_986;
BgL_arg1340z00_986 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2169z00_1791 = 
(
(long)(BgL_arg1340z00_986)>=((long)2)); } 
if(BgL_test2169z00_1791)
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_list1336z00_987;
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_arg1338z00_988;
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_arg1339z00_989;
BgL_arg1339z00_989 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1338z00_988 = 
MAKE_YOUNG_PAIR(BgL_secz00_757, BgL_arg1339z00_989); } 
BgL_list1336z00_987 = 
MAKE_YOUNG_PAIR(BGl_string2034z00zz__mpg123_decoderz00, BgL_arg1338z00_988); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1336z00_987); }  else 
{ /* Llib/mpg123_decoder.scm 91 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_756)))->BgL_z52z12dseekz40)<((long)0)))
{ /* Llib/mpg123_decoder.scm 93 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_756)))->BgL_z52z12dseekz40)=((long)
(long)CINT(BgL_secz00_757)),BUNSPEC);}  else 
{ /* Llib/mpg123_decoder.scm 93 */
return BFALSE;} } 

}



/* &musicdecoder-info-mp1139 */
obj_t BGl_z62musicdecoderzd2infozd2mp1139z62zz__mpg123_decoderz00(obj_t BgL_envz00_758, obj_t BgL_decz00_759)
{
{ /* Llib/mpg123_decoder.scm 82 */
{ /* Llib/mpg123_decoder.scm 83 */
 long BgL_tmpz00_1806;
{ /* Llib/mpg123_decoder.scm 84 */
 obj_t BgL_arg1291z00_991;
BgL_arg1291z00_991 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_759)))->BgL_z52mpg123z52); 
BgL_tmpz00_1806 = 
BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1291z00_991)); } 
return 
BINT(BgL_tmpz00_1806);} } 

}



/* &musicdecoder-positio1137 */
obj_t BGl_z62musicdecoderzd2positio1137zb0zz__mpg123_decoderz00(obj_t BgL_envz00_760, obj_t BgL_decz00_761, obj_t BgL_bz00_762)
{
{ /* Llib/mpg123_decoder.scm 75 */
{ /* Llib/mpg123_decoder.scm 76 */
 long BgL_tmpz00_1812;
{ /* Llib/mpg123_decoder.scm 77 */
 long BgL_arg1287z00_993;
{ /* Llib/mpg123_decoder.scm 77 */
 obj_t BgL_arg1288z00_994;
BgL_arg1288z00_994 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_761)))->BgL_z52mpg123z52); 
BgL_arg1287z00_993 = 
BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1288z00_994)); } 
BgL_tmpz00_1812 = 
(BgL_arg1287z00_993/((long)1000)); } 
return 
BINT(BgL_tmpz00_1812);} } 

}



/* &musicdecoder-reset!-1135 */
obj_t BGl_z62musicdecoderzd2resetz12zd21135z70zz__mpg123_decoderz00(obj_t BgL_envz00_763, obj_t BgL_decz00_764)
{
{ /* Llib/mpg123_decoder.scm 67 */
{ 

{ /* Llib/mpg123_decoder.scm 69 */
 obj_t BgL_arg1286z00_998;
BgL_arg1286z00_998 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_764)))->BgL_z52mpg123z52); 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1286z00_998)); } 
{ /* Llib/mpg123_decoder.scm 67 */
 obj_t BgL_nextzd2method1134zd2_997;
BgL_nextzd2method1134zd2_997 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_764)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1134zd2_997)(BgL_nextzd2method1134zd2_997, 
((obj_t)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_764)), BEOA);} } } 

}



/* &musicdecoder-close-m1133 */
obj_t BGl_z62musicdecoderzd2closezd2m1133z62zz__mpg123_decoderz00(obj_t BgL_envz00_765, obj_t BgL_decz00_766)
{
{ /* Llib/mpg123_decoder.scm 60 */
{ /* Llib/mpg123_decoder.scm 62 */
 obj_t BgL_arg1285z00_1000;
BgL_arg1285z00_1000 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_766)))->BgL_z52mpg123z52); 
return 
BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1285z00_1000));} } 

}



/* &musicdecoder-init-mp1131 */
obj_t BGl_z62musicdecoderzd2initzd2mp1131z62zz__mpg123_decoderz00(obj_t BgL_envz00_767, obj_t BgL_decz00_768)
{
{ /* Llib/mpg123_decoder.scm 52 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_768))))->BgL_mimetypesz00)))
{ /* Llib/mpg123_decoder.scm 54 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_768))))->BgL_mimetypesz00)=((obj_t)
CNST_TABLE_REF(((long)20))),BUNSPEC);}  else 
{ /* Llib/mpg123_decoder.scm 54 */
return BFALSE;} } 

}



/* &object-print-mpg123-1129 */
obj_t BGl_z62objectzd2printzd2mpg123zd21129zb0zz__mpg123_decoderz00(obj_t BgL_envz00_769, obj_t BgL_oz00_770, obj_t BgL_portz00_771, obj_t BgL_printzd2slotzd2_772)
{
{ /* Llib/mpg123_decoder.scm 46 */
{ /* Llib/mpg123_decoder.scm 47 */
 obj_t BgL_tmpz00_1845;
BgL_tmpz00_1845 = 
((obj_t)BgL_portz00_771); 
return 
bgl_display_string(BGl_string2035z00zz__mpg123_decoderz00, BgL_tmpz00_1845);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00()
{
{ /* Llib/mpg123_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(((long)388603996), 
BSTRING_TO_STRING(BGl_string2036z00zz__mpg123_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
