/*===========================================================================*/
/*   (Llib/soundcard.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/soundcard.scm -o objs/soundcard.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_mixerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_devicesz00;
} *BgL_mixerz00_bglt;

typedef struct BgL_soundcardz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_devicesz00;
   obj_t BgL_devicez00;
   obj_t BgL_z52devicesz52;
   obj_t BgL_z52mixerz52;
} *BgL_soundcardz00_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2soundcardzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_soundcardzd2openzd2zz__multimediazd2soundcardzd2(BgL_soundcardz00_bglt);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31130ze3ze5zz__multimediazd2soundcardzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2soundcardzd2();
BGL_EXPORTED_DEF obj_t BGl_soundcardz00zz__multimediazd2soundcardzd2 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__multimediazd2soundcardzd2();
static obj_t BGl_z62mixerzd2volumezd2getzd2sou1081zb0zz__multimediazd2soundcardzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
extern char * bgl_mixer_dev_name(obj_t, int);
static obj_t BGl_objectzd2initzd2zz__multimediazd2soundcardzd2();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2soundcardzd2();
extern obj_t bgl_open_mixer(char *);
static obj_t BGl_z62zc3z04anonymousza31148ze3ze5zz__multimediazd2soundcardzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31157ze3ze5zz__multimediazd2soundcardzd2(obj_t);
extern int bgl_mixer_dev_num(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static BgL_soundcardz00_bglt BGl_z62lambda1124z62zz__multimediazd2soundcardzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_soundcardz00_bglt BGl_z62lambda1128z62zz__multimediazd2soundcardzd2(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1140z62zz__multimediazd2soundcardzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1141z62zz__multimediazd2soundcardzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1146z62zz__multimediazd2soundcardzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1147z62zz__multimediazd2soundcardzd2(obj_t, obj_t, obj_t);
extern obj_t bgl_mixer_write_vol(obj_t, int, int);
static obj_t BGl_z62lambda1155z62zz__multimediazd2soundcardzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1156z62zz__multimediazd2soundcardzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2soundcardzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mixerzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2soundcardzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2soundcardzd2();
extern obj_t BGl_mixerz00zz__multimediazd2mixerzd2;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2soundcardzd2();
BGL_IMPORT obj_t BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(int, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2soundcardzd2();
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern int bgl_mixer_read_vol(obj_t, int, bool_t);
static obj_t BGl_z62soundcardzd2openzb0zz__multimediazd2soundcardzd2(obj_t, obj_t);
static obj_t BGl_z62mixerzd2closezd2soundcar1077z62zz__multimediazd2soundcardzd2(obj_t, obj_t);
extern obj_t bgl_close_mixer(obj_t);
static obj_t BGl_z62mixerzd2volumezd2setz12zd2so1079za2zz__multimediazd2soundcardzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 8 ] ;


extern obj_t BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2;
DEFINE_STRING( BGl_string1182z00zz__multimediazd2soundcardzd2, BgL_bgl_string1182za700za7za7_1209za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/multimedia/src/Llib/soundcard.scm", 73 );
DEFINE_STRING( BGl_string1183z00zz__multimediazd2soundcardzd2, BgL_bgl_string1183za700za7za7_1210za7, "&soundcard-open", 15 );
DEFINE_STRING( BGl_string1184z00zz__multimediazd2soundcardzd2, BgL_bgl_string1184za700za7za7_1211za7, "soundcard", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1185z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1141za7621212z00, BGl_z62lambda1141z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1186z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1140za7621213z00, BGl_z62lambda1140z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1187z00zz__multimediazd2soundcardzd2, BgL_bgl_za762za7c3za704anonymo1214za7, BGl_z62zc3z04anonymousza31148ze3ze5zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1188z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1147za7621215z00, BGl_z62lambda1147z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1189z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1146za7621216z00, BGl_z62lambda1146z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1196z00zz__multimediazd2soundcardzd2, BgL_bgl_string1196za700za7za7_1217za7, "", 0 );
DEFINE_STRING( BGl_string1198z00zz__multimediazd2soundcardzd2, BgL_bgl_string1198za700za7za7_1218za7, "mixer-close", 11 );
extern obj_t BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1190z00zz__multimediazd2soundcardzd2, BgL_bgl_za762za7c3za704anonymo1219za7, BGl_z62zc3z04anonymousza31157ze3ze5zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1191z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1156za7621220z00, BGl_z62lambda1156z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1192z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1155za7621221z00, BGl_z62lambda1155z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1193z00zz__multimediazd2soundcardzd2, BgL_bgl_za762za7c3za704anonymo1222za7, BGl_z62zc3z04anonymousza31130ze3ze5zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1194z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1128za7621223z00, BGl_z62lambda1128z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1195z00zz__multimediazd2soundcardzd2, BgL_bgl_za762lambda1124za7621224z00, BGl_z62lambda1124z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1197z00zz__multimediazd2soundcardzd2, BgL_bgl_za762mixerza7d2close1225z00, BGl_z62mixerzd2closezd2soundcar1077z62zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1199z00zz__multimediazd2soundcardzd2, BgL_bgl_za762mixerza7d2volum1226z00, BGl_z62mixerzd2volumezd2setz12zd2so1079za2zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_soundcardzd2openzd2envz00zz__multimediazd2soundcardzd2, BgL_bgl_za762soundcardza7d2o1227z00, BGl_z62soundcardzd2openzb0zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2;
DEFINE_STRING( BGl_string1200z00zz__multimediazd2soundcardzd2, BgL_bgl_string1200za700za7za7_1228za7, "mixer-volume-set!", 17 );
DEFINE_STRING( BGl_string1202z00zz__multimediazd2soundcardzd2, BgL_bgl_string1202za700za7za7_1229za7, "mixer-volume-get", 16 );
DEFINE_STRING( BGl_string1203z00zz__multimediazd2soundcardzd2, BgL_bgl_string1203za700za7za7_1230za7, "Unknown device", 14 );
DEFINE_STRING( BGl_string1204z00zz__multimediazd2soundcardzd2, BgL_bgl_string1204za700za7za7_1231za7, "__multimedia-soundcard", 22 );
DEFINE_STRING( BGl_string1205z00zz__multimediazd2soundcardzd2, BgL_bgl_string1205za700za7za7_1232za7, "__multimedia-soundcard soundcard obj %mixer pair-nil %devices bstring device ", 77 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1201z00zz__multimediazd2soundcardzd2, BgL_bgl_za762mixerza7d2volum1233z00, BGl_z62mixerzd2volumezd2getzd2sou1081zb0zz__multimediazd2soundcardzd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2soundcardzd2) );
ADD_ROOT( (void *)(&BGl_soundcardz00zz__multimediazd2soundcardzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2soundcardzd2(long BgL_checksumz00_366, char * BgL_fromz00_367)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2soundcardzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2soundcardzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2soundcardzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2soundcardzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2soundcardzd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2soundcardzd2(); 
BGl_objectzd2initzd2zz__multimediazd2soundcardzd2(); 
BGl_methodzd2initzd2zz__multimediazd2soundcardzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2soundcardzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-soundcard"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-soundcard"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
{ /* Llib/soundcard.scm 15 */
 obj_t BgL_cportz00_274;
{ /* Llib/soundcard.scm 15 */
 obj_t BgL_stringz00_282;
BgL_stringz00_282 = BGl_string1205z00zz__multimediazd2soundcardzd2; 
{ /* Llib/soundcard.scm 15 */
 obj_t BgL_startz00_283;
BgL_startz00_283 = 
BINT(((long)0)); 
{ /* Llib/soundcard.scm 15 */
 obj_t BgL_endz00_284;
BgL_endz00_284 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_282))); 
{ /* Llib/soundcard.scm 15 */

BgL_cportz00_274 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_282, BgL_startz00_283, BgL_endz00_284); } } } } 
{ 
 long BgL_iz00_275;
BgL_iz00_275 = ((long)7); 
BgL_loopz00_276:
if(
(BgL_iz00_275==((long)-1)))
{ /* Llib/soundcard.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/soundcard.scm 15 */
{ /* Llib/soundcard.scm 15 */
 obj_t BgL_arg1207z00_278;
{ /* Llib/soundcard.scm 15 */

{ /* Llib/soundcard.scm 15 */
 obj_t BgL_locationz00_280;
BgL_locationz00_280 = 
BBOOL(((bool_t)0)); 
{ /* Llib/soundcard.scm 15 */

BgL_arg1207z00_278 = 
BGl_readz00zz__readerz00(BgL_cportz00_274, BgL_locationz00_280); } } } 
{ /* Llib/soundcard.scm 15 */
 int BgL_tmpz00_397;
BgL_tmpz00_397 = 
(int)(BgL_iz00_275); 
CNST_TABLE_SET(BgL_tmpz00_397, BgL_arg1207z00_278); } } 
{ /* Llib/soundcard.scm 15 */
 int BgL_auxz00_281;
BgL_auxz00_281 = 
(int)(
(BgL_iz00_275-((long)1))); 
{ 
 long BgL_iz00_402;
BgL_iz00_402 = 
(long)(BgL_auxz00_281); 
BgL_iz00_275 = BgL_iz00_402; 
goto BgL_loopz00_276;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
return BUNSPEC;} 

}



/* soundcard-open */
BGL_EXPORTED_DEF obj_t BGl_soundcardzd2openzd2zz__multimediazd2soundcardzd2(BgL_soundcardz00_bglt BgL_mz00_3)
{
{ /* Llib/soundcard.scm 37 */
{ /* Llib/soundcard.scm 42 */
 obj_t BgL_mixz00_22;
{ /* Llib/soundcard.scm 42 */
 obj_t BgL_arg1115z00_51;
BgL_arg1115z00_51 = 
(((BgL_soundcardz00_bglt)COBJECT(BgL_mz00_3))->BgL_devicez00); 
BgL_mixz00_22 = 
bgl_open_mixer(
BSTRING_TO_STRING(BgL_arg1115z00_51)); } 
((((BgL_soundcardz00_bglt)COBJECT(BgL_mz00_3))->BgL_z52mixerz52)=((obj_t)BgL_mixz00_22),BUNSPEC); 
{ 
 obj_t BgL_auxz00_409;
{ /* Llib/soundcard.scm 45 */
 obj_t BgL_l01065z00_23;
{ /* Llib/soundcard.scm 47 */
 int BgL_arg1096z00_33;
BgL_arg1096z00_33 = 
bgl_mixer_dev_num(BgL_mixz00_22); 
{ /* Llib/soundcard.scm 47 */
 obj_t BgL_list1097z00_34;
BgL_list1097z00_34 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BNIL); 
BgL_l01065z00_23 = 
BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1096z00_33, BgL_list1097z00_34); } } 
{ 
 obj_t BgL_l1064z00_25;
BgL_l1064z00_25 = BgL_l01065z00_23; 
BgL_zc3z04anonymousza31085ze3z87_26:
if(
NULLP(BgL_l1064z00_25))
{ /* Llib/soundcard.scm 47 */
BgL_auxz00_409 = BgL_l01065z00_23
; }  else 
{ /* Llib/soundcard.scm 47 */
{ /* Llib/soundcard.scm 46 */
 obj_t BgL_arg1087z00_28;
{ /* Llib/soundcard.scm 46 */
 obj_t BgL_nz00_29;
BgL_nz00_29 = 
CAR(
((obj_t)BgL_l1064z00_25)); 
{ /* Llib/soundcard.scm 46 */
 char * BgL_arg1094z00_30;
BgL_arg1094z00_30 = 
bgl_mixer_dev_name(BgL_mixz00_22, 
CINT(BgL_nz00_29)); 
BgL_arg1087z00_28 = 
MAKE_YOUNG_PAIR(
string_to_bstring(BgL_arg1094z00_30), BgL_nz00_29); } } 
{ /* Llib/soundcard.scm 47 */
 obj_t BgL_tmpz00_422;
BgL_tmpz00_422 = 
((obj_t)BgL_l1064z00_25); 
SET_CAR(BgL_tmpz00_422, BgL_arg1087z00_28); } } 
{ /* Llib/soundcard.scm 47 */
 obj_t BgL_arg1095z00_31;
BgL_arg1095z00_31 = 
CDR(
((obj_t)BgL_l1064z00_25)); 
{ 
 obj_t BgL_l1064z00_427;
BgL_l1064z00_427 = BgL_arg1095z00_31; 
BgL_l1064z00_25 = BgL_l1064z00_427; 
goto BgL_zc3z04anonymousza31085ze3z87_26;} } } } } 
((((BgL_soundcardz00_bglt)COBJECT(BgL_mz00_3))->BgL_z52devicesz52)=((obj_t)BgL_auxz00_409),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_429;
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_l1066z00_35;
BgL_l1066z00_35 = 
(((BgL_soundcardz00_bglt)COBJECT(BgL_mz00_3))->BgL_z52devicesz52); 
if(
NULLP(BgL_l1066z00_35))
{ /* Llib/soundcard.scm 48 */
BgL_auxz00_429 = BNIL
; }  else 
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_head1068z00_37;
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_arg1113z00_49;
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_pairz00_149;
BgL_pairz00_149 = 
CAR(BgL_l1066z00_35); 
BgL_arg1113z00_49 = 
CAR(BgL_pairz00_149); } 
BgL_head1068z00_37 = 
MAKE_YOUNG_PAIR(BgL_arg1113z00_49, BNIL); } 
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_g1071z00_38;
BgL_g1071z00_38 = 
CDR(BgL_l1066z00_35); 
{ 
 obj_t BgL_l1066z00_40; obj_t BgL_tail1069z00_41;
BgL_l1066z00_40 = BgL_g1071z00_38; 
BgL_tail1069z00_41 = BgL_head1068z00_37; 
BgL_zc3z04anonymousza31099ze3z87_42:
if(
NULLP(BgL_l1066z00_40))
{ /* Llib/soundcard.scm 48 */
BgL_auxz00_429 = BgL_head1068z00_37
; }  else 
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_newtail1070z00_44;
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_arg1107z00_46;
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_pairz00_152;
BgL_pairz00_152 = 
CAR(
((obj_t)BgL_l1066z00_40)); 
BgL_arg1107z00_46 = 
CAR(BgL_pairz00_152); } 
BgL_newtail1070z00_44 = 
MAKE_YOUNG_PAIR(BgL_arg1107z00_46, BNIL); } 
SET_CDR(BgL_tail1069z00_41, BgL_newtail1070z00_44); 
{ /* Llib/soundcard.scm 48 */
 obj_t BgL_arg1102z00_45;
BgL_arg1102z00_45 = 
CDR(
((obj_t)BgL_l1066z00_40)); 
{ 
 obj_t BgL_tail1069z00_448; obj_t BgL_l1066z00_447;
BgL_l1066z00_447 = BgL_arg1102z00_45; 
BgL_tail1069z00_448 = BgL_newtail1070z00_44; 
BgL_tail1069z00_41 = BgL_tail1069z00_448; 
BgL_l1066z00_40 = BgL_l1066z00_447; 
goto BgL_zc3z04anonymousza31099ze3z87_42;} } } } } } } 
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_mz00_3)))->BgL_devicesz00)=((obj_t)BgL_auxz00_429),BUNSPEC); } } 
return 
((obj_t)BgL_mz00_3);} 

}



/* &soundcard-open */
obj_t BGl_z62soundcardzd2openzb0zz__multimediazd2soundcardzd2(obj_t BgL_envz00_209, obj_t BgL_mz00_210)
{
{ /* Llib/soundcard.scm 37 */
{ /* Llib/soundcard.scm 40 */
 BgL_soundcardz00_bglt BgL_auxz00_451;
{ /* Llib/soundcard.scm 40 */
 bool_t BgL_test1241z00_452;
{ /* Llib/soundcard.scm 40 */
 obj_t BgL_classz00_286;
BgL_classz00_286 = BGl_soundcardz00zz__multimediazd2soundcardzd2; 
if(
BGL_OBJECTP(BgL_mz00_210))
{ /* Llib/soundcard.scm 40 */
 BgL_objectz00_bglt BgL_arg1799z00_288; long BgL_arg1800z00_289;
BgL_arg1799z00_288 = 
(BgL_objectz00_bglt)(BgL_mz00_210); 
BgL_arg1800z00_289 = 
BGL_CLASS_DEPTH(BgL_classz00_286); 
{ /* Llib/soundcard.scm 40 */
 bool_t BgL_arg1794z00_293; bool_t BgL_arg1795z00_294;
{ /* Llib/soundcard.scm 40 */
 long BgL_idxz00_298;
BgL_idxz00_298 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_288); 
{ /* Llib/soundcard.scm 40 */
 obj_t BgL_arg1791z00_299;
{ /* Llib/soundcard.scm 40 */
 long BgL_arg1792z00_300;
BgL_arg1792z00_300 = 
(BgL_idxz00_298+BgL_arg1800z00_289); 
BgL_arg1791z00_299 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_300); } 
BgL_arg1794z00_293 = 
(BgL_arg1791z00_299==BgL_classz00_286); } } 
{ /* Llib/soundcard.scm 40 */
 bool_t BgL_res1208z00_323;
{ /* Llib/soundcard.scm 40 */
 obj_t BgL_oclassz00_308;
{ /* Llib/soundcard.scm 40 */
 long BgL_arg1804z00_314;
{ /* Llib/soundcard.scm 40 */
 long BgL_arg1805z00_315;
BgL_arg1805z00_315 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_288); 
BgL_arg1804z00_314 = 
(BgL_arg1805z00_315-OBJECT_TYPE); } 
BgL_oclassz00_308 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_314); } 
{ /* Llib/soundcard.scm 40 */
 bool_t BgL__ortest_1111z00_309;
BgL__ortest_1111z00_309 = 
(BgL_classz00_286==BgL_oclassz00_308); 
if(BgL__ortest_1111z00_309)
{ /* Llib/soundcard.scm 40 */
BgL_res1208z00_323 = BgL__ortest_1111z00_309; }  else 
{ /* Llib/soundcard.scm 40 */
 long BgL_odepthz00_310;
BgL_odepthz00_310 = 
BGL_CLASS_DEPTH(BgL_oclassz00_308); 
if(
(BgL_arg1800z00_289<BgL_odepthz00_310))
{ /* Llib/soundcard.scm 40 */
 obj_t BgL_arg1793z00_312;
BgL_arg1793z00_312 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_308, BgL_arg1800z00_289); 
BgL_res1208z00_323 = 
(BgL_arg1793z00_312==BgL_classz00_286); }  else 
{ /* Llib/soundcard.scm 40 */
BgL_res1208z00_323 = ((bool_t)0); } } } } 
BgL_arg1795z00_294 = BgL_res1208z00_323; } 
BgL_test1241z00_452 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_293, BgL_arg1795z00_294); } }  else 
{ /* Llib/soundcard.scm 40 */
BgL_test1241z00_452 = ((bool_t)0)
; } } 
if(BgL_test1241z00_452)
{ /* Llib/soundcard.scm 40 */
BgL_auxz00_451 = 
((BgL_soundcardz00_bglt)BgL_mz00_210)
; }  else 
{ 
 obj_t BgL_auxz00_473;
BgL_auxz00_473 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1182z00zz__multimediazd2soundcardzd2, 
BINT(((long)1988)), BGl_string1183z00zz__multimediazd2soundcardzd2, BGl_string1184z00zz__multimediazd2soundcardzd2, BgL_mz00_210); 
FAILURE(BgL_auxz00_473,BFALSE,BFALSE);} } 
return 
BGl_soundcardzd2openzd2zz__multimediazd2soundcardzd2(BgL_auxz00_451);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_arg1122z00_59; obj_t BgL_arg1123z00_60;
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_v1074z00_75;
BgL_v1074z00_75 = 
create_vector(((long)3)); 
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_arg1131z00_76;
BgL_arg1131z00_76 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1186z00zz__multimediazd2soundcardzd2, BGl_proc1185z00zz__multimediazd2soundcardzd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1074z00_75,((long)0),BgL_arg1131z00_76); } 
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_arg1142z00_86;
BgL_arg1142z00_86 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1189z00zz__multimediazd2soundcardzd2, BGl_proc1188z00zz__multimediazd2soundcardzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1187z00zz__multimediazd2soundcardzd2, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1074z00_75,((long)1),BgL_arg1142z00_86); } 
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_arg1149z00_99;
BgL_arg1149z00_99 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1192z00zz__multimediazd2soundcardzd2, BGl_proc1191z00zz__multimediazd2soundcardzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1190z00zz__multimediazd2soundcardzd2, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1074z00_75,((long)2),BgL_arg1149z00_99); } 
BgL_arg1122z00_59 = BgL_v1074z00_75; } 
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_v1075z00_112;
BgL_v1075z00_112 = 
create_vector(((long)0)); 
BgL_arg1123z00_60 = BgL_v1075z00_112; } 
return ( 
BGl_soundcardz00zz__multimediazd2soundcardzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)6)), 
CNST_TABLE_REF(((long)7)), BGl_mixerz00zz__multimediazd2mixerzd2, ((long)29670), BGl_proc1195z00zz__multimediazd2soundcardzd2, BGl_proc1194z00zz__multimediazd2soundcardzd2, BGl_soundcardzd2openzd2envz00zz__multimediazd2soundcardzd2, BGl_proc1193z00zz__multimediazd2soundcardzd2, BFALSE, BgL_arg1122z00_59, BgL_arg1123z00_60), BUNSPEC) ;} } 

}



/* &<@anonymous:1130> */
obj_t BGl_z62zc3z04anonymousza31130ze3ze5zz__multimediazd2soundcardzd2(obj_t BgL_envz00_222, obj_t BgL_new1054z00_223)
{
{ /* Llib/soundcard.scm 28 */
{ 
 BgL_soundcardz00_bglt BgL_auxz00_495;
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)
((BgL_soundcardz00_bglt)BgL_new1054z00_223))))->BgL_devicesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_new1054z00_223)))->BgL_devicez00)=((obj_t)BGl_string1196z00zz__multimediazd2soundcardzd2),BUNSPEC); 
((((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_new1054z00_223)))->BgL_z52devicesz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_new1054z00_223)))->BgL_z52mixerz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_495 = 
((BgL_soundcardz00_bglt)BgL_new1054z00_223); 
return 
((obj_t)BgL_auxz00_495);} } 

}



/* &lambda1128 */
BgL_soundcardz00_bglt BGl_z62lambda1128z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_224)
{
{ /* Llib/soundcard.scm 28 */
{ /* Llib/soundcard.scm 28 */
 BgL_soundcardz00_bglt BgL_new1053z00_325;
BgL_new1053z00_325 = 
((BgL_soundcardz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_soundcardz00_bgl) ))); 
{ /* Llib/soundcard.scm 28 */
 long BgL_arg1129z00_326;
BgL_arg1129z00_326 = 
BGL_CLASS_NUM(BGl_soundcardz00zz__multimediazd2soundcardzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_325), BgL_arg1129z00_326); } 
return BgL_new1053z00_325;} } 

}



/* &lambda1124 */
BgL_soundcardz00_bglt BGl_z62lambda1124z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_225, obj_t BgL_devices1049z00_226, obj_t BgL_device1050z00_227, obj_t BgL_z52devices1051z52_228, obj_t BgL_z52mixer1052z52_229)
{
{ /* Llib/soundcard.scm 28 */
{ /* Llib/soundcard.scm 28 */
 BgL_soundcardz00_bglt BgL_new1062z00_330;
{ /* Llib/soundcard.scm 28 */
 BgL_soundcardz00_bglt BgL_new1061z00_331;
BgL_new1061z00_331 = 
((BgL_soundcardz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_soundcardz00_bgl) ))); 
{ /* Llib/soundcard.scm 28 */
 long BgL_arg1127z00_332;
BgL_arg1127z00_332 = 
BGL_CLASS_NUM(BGl_soundcardz00zz__multimediazd2soundcardzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_331), BgL_arg1127z00_332); } 
BgL_new1062z00_330 = BgL_new1061z00_331; } 
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_new1062z00_330)))->BgL_devicesz00)=((obj_t)
((obj_t)BgL_devices1049z00_226)),BUNSPEC); 
((((BgL_soundcardz00_bglt)COBJECT(BgL_new1062z00_330))->BgL_devicez00)=((obj_t)
((obj_t)BgL_device1050z00_227)),BUNSPEC); 
((((BgL_soundcardz00_bglt)COBJECT(BgL_new1062z00_330))->BgL_z52devicesz52)=((obj_t)
((obj_t)BgL_z52devices1051z52_228)),BUNSPEC); 
((((BgL_soundcardz00_bglt)COBJECT(BgL_new1062z00_330))->BgL_z52mixerz52)=((obj_t)BgL_z52mixer1052z52_229),BUNSPEC); 
{ /* Llib/soundcard.scm 28 */
 obj_t BgL_fun1125z00_333;
BgL_fun1125z00_333 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_soundcardz00zz__multimediazd2soundcardzd2); 
PROCEDURE_ENTRY(BgL_fun1125z00_333)(BgL_fun1125z00_333, 
((obj_t)BgL_new1062z00_330), BEOA); } 
return BgL_new1062z00_330;} } 

}



/* &<@anonymous:1157> */
obj_t BGl_z62zc3z04anonymousza31157ze3ze5zz__multimediazd2soundcardzd2(obj_t BgL_envz00_230)
{
{ /* Llib/soundcard.scm 28 */
return BUNSPEC;} 

}



/* &lambda1156 */
obj_t BGl_z62lambda1156z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_231, obj_t BgL_oz00_232, obj_t BgL_vz00_233)
{
{ /* Llib/soundcard.scm 28 */
return 
((((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_oz00_232)))->BgL_z52mixerz52)=((obj_t)BgL_vz00_233),BUNSPEC);} 

}



/* &lambda1155 */
obj_t BGl_z62lambda1155z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_234, obj_t BgL_oz00_235)
{
{ /* Llib/soundcard.scm 28 */
return 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_oz00_235)))->BgL_z52mixerz52);} 

}



/* &<@anonymous:1148> */
obj_t BGl_z62zc3z04anonymousza31148ze3ze5zz__multimediazd2soundcardzd2(obj_t BgL_envz00_236)
{
{ /* Llib/soundcard.scm 28 */
return BNIL;} 

}



/* &lambda1147 */
obj_t BGl_z62lambda1147z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_237, obj_t BgL_oz00_238, obj_t BgL_vz00_239)
{
{ /* Llib/soundcard.scm 28 */
return 
((((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_oz00_238)))->BgL_z52devicesz52)=((obj_t)
((obj_t)BgL_vz00_239)),BUNSPEC);} 

}



/* &lambda1146 */
obj_t BGl_z62lambda1146z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_240, obj_t BgL_oz00_241)
{
{ /* Llib/soundcard.scm 28 */
return 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_oz00_241)))->BgL_z52devicesz52);} 

}



/* &lambda1141 */
obj_t BGl_z62lambda1141z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_242, obj_t BgL_oz00_243, obj_t BgL_vz00_244)
{
{ /* Llib/soundcard.scm 28 */
return 
((((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_oz00_243)))->BgL_devicez00)=((obj_t)
((obj_t)BgL_vz00_244)),BUNSPEC);} 

}



/* &lambda1140 */
obj_t BGl_z62lambda1140z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_245, obj_t BgL_oz00_246)
{
{ /* Llib/soundcard.scm 28 */
return 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_oz00_246)))->BgL_devicez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, BGl_soundcardz00zz__multimediazd2soundcardzd2, BGl_proc1197z00zz__multimediazd2soundcardzd2, BGl_string1198z00zz__multimediazd2soundcardzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, BGl_soundcardz00zz__multimediazd2soundcardzd2, BGl_proc1199z00zz__multimediazd2soundcardzd2, BGl_string1200z00zz__multimediazd2soundcardzd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, BGl_soundcardz00zz__multimediazd2soundcardzd2, BGl_proc1201z00zz__multimediazd2soundcardzd2, BGl_string1202z00zz__multimediazd2soundcardzd2);} 

}



/* &mixer-volume-get-sou1081 */
obj_t BGl_z62mixerzd2volumezd2getzd2sou1081zb0zz__multimediazd2soundcardzd2(obj_t BgL_envz00_250, obj_t BgL_mz00_251, obj_t BgL_devz00_252)
{
{ /* Llib/soundcard.scm 96 */
{ /* Llib/soundcard.scm 101 */
 int BgL_volz00_344;
{ /* Llib/soundcard.scm 101 */
 obj_t BgL_arg1167z00_345; obj_t BgL_arg1171z00_346;
BgL_arg1167z00_345 = 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_mz00_251)))->BgL_z52mixerz52); 
{ /* Llib/soundcard.scm 73 */
 obj_t BgL_cz00_347;
BgL_cz00_347 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_devz00_252), 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_mz00_251)))->BgL_z52devicesz52)); 
if(
PAIRP(BgL_cz00_347))
{ /* Llib/soundcard.scm 74 */
BgL_arg1171z00_346 = 
CDR(BgL_cz00_347); }  else 
{ /* Llib/soundcard.scm 74 */
BgL_arg1171z00_346 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1203z00zz__multimediazd2soundcardzd2, 
((obj_t)BgL_devz00_252)); } } 
BgL_volz00_344 = 
bgl_mixer_read_vol(BgL_arg1167z00_345, 
CINT(BgL_arg1171z00_346), ((bool_t)1)); } 
{ /* Llib/soundcard.scm 102 */
 long BgL_val0_1072z00_348; long BgL_val1_1073z00_349;
{ /* Llib/soundcard.scm 102 */
 long BgL_n1z00_350; long BgL_n2z00_351;
BgL_n1z00_350 = 
(long)(BgL_volz00_344); 
BgL_n2z00_351 = ((long)256); 
{ /* Llib/soundcard.scm 102 */
 bool_t BgL_test1246z00_561;
{ /* Llib/soundcard.scm 102 */
 long BgL_arg1353z00_352;
BgL_arg1353z00_352 = 
(((BgL_n1z00_350) | (BgL_n2z00_351)) & -2147483648); 
BgL_test1246z00_561 = 
(BgL_arg1353z00_352==((long)0)); } 
if(BgL_test1246z00_561)
{ /* Llib/soundcard.scm 102 */
 int32_t BgL_arg1350z00_353;
{ /* Llib/soundcard.scm 102 */
 int32_t BgL_arg1351z00_354; int32_t BgL_arg1352z00_355;
BgL_arg1351z00_354 = 
(int32_t)(BgL_n1z00_350); 
BgL_arg1352z00_355 = 
(int32_t)(BgL_n2z00_351); 
BgL_arg1350z00_353 = 
(BgL_arg1351z00_354%BgL_arg1352z00_355); } 
{ /* Llib/soundcard.scm 102 */
 long BgL_arg1447z00_356;
BgL_arg1447z00_356 = 
(long)(BgL_arg1350z00_353); 
BgL_val0_1072z00_348 = 
(long)(BgL_arg1447z00_356); } }  else 
{ /* Llib/soundcard.scm 102 */
BgL_val0_1072z00_348 = 
(BgL_n1z00_350%BgL_n2z00_351); } } } 
{ /* Llib/soundcard.scm 102 */
 long BgL_tmpz00_570;
BgL_tmpz00_570 = 
(long)(BgL_volz00_344); 
BgL_val1_1073z00_349 = 
(BgL_tmpz00_570/((long)256)); } 
{ /* Llib/soundcard.scm 102 */
 int BgL_tmpz00_573;
BgL_tmpz00_573 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_573); } 
{ /* Llib/soundcard.scm 102 */
 obj_t BgL_auxz00_578; int BgL_tmpz00_576;
BgL_auxz00_578 = 
BINT(BgL_val1_1073z00_349); 
BgL_tmpz00_576 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_576, BgL_auxz00_578); } 
return 
BINT(BgL_val0_1072z00_348);} } } 

}



/* &mixer-volume-set!-so1079 */
obj_t BGl_z62mixerzd2volumezd2setz12zd2so1079za2zz__multimediazd2soundcardzd2(obj_t BgL_envz00_253, obj_t BgL_mz00_254, obj_t BgL_devz00_255, obj_t BgL_lz00_256, obj_t BgL_rz00_257)
{
{ /* Llib/soundcard.scm 83 */
{ /* Llib/soundcard.scm 87 */
 int BgL_lz00_359; int BgL_rz00_360;
BgL_lz00_359 = 
CINT(BgL_lz00_256); 
BgL_rz00_360 = 
CINT(BgL_rz00_257); 
{ /* Llib/soundcard.scm 88 */
 long BgL_volz00_361;
BgL_volz00_361 = 
(
(((long)256)*
(long)(BgL_rz00_360))+
(long)(BgL_lz00_359)); 
{ /* Llib/soundcard.scm 89 */
 obj_t BgL_arg1159z00_362; obj_t BgL_arg1162z00_363;
BgL_arg1159z00_362 = 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_mz00_254)))->BgL_z52mixerz52); 
{ /* Llib/soundcard.scm 73 */
 obj_t BgL_cz00_364;
BgL_cz00_364 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_devz00_255), 
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_mz00_254)))->BgL_z52devicesz52)); 
if(
PAIRP(BgL_cz00_364))
{ /* Llib/soundcard.scm 74 */
BgL_arg1162z00_363 = 
CDR(BgL_cz00_364); }  else 
{ /* Llib/soundcard.scm 74 */
BgL_arg1162z00_363 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1203z00zz__multimediazd2soundcardzd2, 
((obj_t)BgL_devz00_255)); } } 
return 
bgl_mixer_write_vol(BgL_arg1159z00_362, 
CINT(BgL_arg1162z00_363), 
(int)(BgL_volz00_361));} } } } 

}



/* &mixer-close-soundcar1077 */
obj_t BGl_z62mixerzd2closezd2soundcar1077z62zz__multimediazd2soundcardzd2(obj_t BgL_envz00_258, obj_t BgL_mz00_259)
{
{ /* Llib/soundcard.scm 56 */
return 
bgl_close_mixer(
(((BgL_soundcardz00_bglt)COBJECT(
((BgL_soundcardz00_bglt)BgL_mz00_259)))->BgL_z52mixerz52));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2soundcardzd2()
{
{ /* Llib/soundcard.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2mixerzd2(((long)176492886), 
BSTRING_TO_STRING(BGl_string1204z00zz__multimediazd2soundcardzd2));} 

}

#ifdef __cplusplus
}
#endif
