/*===========================================================================*/
/*   (Llib/pdgencoder.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgencoder.scm -o objs/pdgencoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglphidget_config.h>
#include <bglphidget.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_phidgetz00_bgl {
   header_t header;
   obj_t widening;
   CPhidgetHandle BgL_z42builtinz42;
   int BgL_z52serialzd2numberz80;
} *BgL_phidgetz00_bglt;

typedef struct BgL_phidgetzd2encoderzd2_bgl {
   header_t header;
   obj_t widening;
   CPhidgetHandle BgL_z42builtinz42;
   int BgL_z52serialzd2numberz80;
} *BgL_phidgetzd2encoderzd2_bglt;


static obj_t BGl_z62phidgetzd2encoderzd2inputzd2countzb0zz__phidget_encoderz00(obj_t, obj_t);
extern obj_t BGl_phidgetzd2strerrorzd2zz__phidgetz00(int);
BGL_EXPORTED_DECL bool_t BGl_phidgetzd2encoderzd2enabledzf3zf3zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int);
static obj_t BGl_z62phidgetzd2encoderzd2inputzd2enabledzf3z43zz__phidget_encoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_encoderz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2encoderzd2positionzd2setz12za2zz__phidget_encoderz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2encoderzd2disablez12z12zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__phidget_encoderz00();
extern int bgl_phidget_encoder_get_encoder_count(CPhidgetEncoderHandle, obj_t);
static obj_t BGl_genericzd2initzd2zz__phidget_encoderz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__phidget_encoderz00();
BGL_EXPORTED_DECL bool_t BGl_phidgetzd2encoderzd2inputzd2enabledzf3z21zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int);
BGL_EXPORTED_DECL obj_t bgl_encoder_new(CPhidgetEncoderHandle);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__phidget_encoderz00();
static obj_t BGl_z62z52phidgetzd2initzd2phidge1126z30zz__phidget_encoderz00(obj_t, obj_t);
extern obj_t BGl_phidgetz00zz__phidget_phidgetz00;
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2encoderzd2positionzd2setz12zc0zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int, int);
extern obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2initz12zc0zz__phidgetz00();
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2encoderzd2enablez12z12zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int);
extern int bgl_phidget_encoder_get_index_position(CPhidgetEncoderHandle, int, obj_t);
static obj_t BGl_z62phidgetzd2encoderzd2positionz62zz__phidget_encoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__phidget_encoderz00(obj_t, obj_t);
static obj_t BGl_z62phidgetzd2addzd2eventzd2li1128zb0zz__phidget_encoderz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_encoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_ctypesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
extern int bgl_phidget_encoder_get_position(CPhidgetEncoderHandle, int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__phidget_encoderz00(obj_t, obj_t);
static BgL_phidgetzd2encoderzd2_bglt BGl_z62lambda1178z62zz__phidget_encoderz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2encoderzd2_bglt BGl_z62lambda1181z62zz__phidget_encoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31188ze3ze5zz__phidget_encoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__phidget_encoderz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_encoderz00();
static obj_t BGl_zc3z04exitza31201ze3ze70z60zz__phidget_encoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__phidget_encoderz00();
static obj_t BGl_gczd2rootszd2initz00zz__phidget_encoderz00();
static obj_t BGl_z62phidgetzd2encoderzd2enabledzf3z91zz__phidget_encoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__phidget_encoderz00(obj_t, obj_t);
static obj_t BGl_z62phidgetzd2encoderzd2indexzd2positionzb0zz__phidget_encoderz00(obj_t, obj_t, obj_t);
extern bool_t bgl_phidget_encoder_get_input_enabled(CPhidgetEncoderHandle, int, obj_t);
BGL_EXPORTED_DECL int BGl_phidgetzd2encoderzd2inputzd2countzd2zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt);
BGL_EXPORTED_DECL int BGl_phidgetzd2encoderzd2positionz00zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int);
static obj_t BGl_z62phidgetzd2encoderzd2disablez12z70zz__phidget_encoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderzd2zz__phidget_encoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_phidget_encoder_get_enabled(CPhidgetEncoderHandle, int, obj_t);
static obj_t BGl_z62z42makezd2encoderzf2zz__phidget_encoderz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_phidgetzd2encoderzd2indexzd2positionzd2zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt, int);
extern int bgl_phidget_encoder_get_input_count(CPhidgetEncoderHandle, obj_t);
static obj_t BGl_z62phidgetzd2encoderzd2enablez12z70zz__phidget_encoderz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;


DEFINE_STRING( BGl_string1310z00zz__phidget_encoderz00, BgL_bgl_string1310za700za7za7_1339za7, "phidget-encoder", 15 );
DEFINE_STRING( BGl_string1311z00zz__phidget_encoderz00, BgL_bgl_string1311za700za7za7_1340za7, "bint", 4 );
DEFINE_STRING( BGl_string1312z00zz__phidget_encoderz00, BgL_bgl_string1312za700za7za7_1341za7, "&phidget-encoder-position", 25 );
DEFINE_STRING( BGl_string1313z00zz__phidget_encoderz00, BgL_bgl_string1313za700za7za7_1342za7, "&phidget-encoder-position-set!", 30 );
DEFINE_STRING( BGl_string1314z00zz__phidget_encoderz00, BgL_bgl_string1314za700za7za7_1343za7, "&phidget-encoder-index-position", 31 );
DEFINE_STRING( BGl_string1315z00zz__phidget_encoderz00, BgL_bgl_string1315za700za7za7_1344za7, "&phidget-encoder-enabled?", 25 );
DEFINE_STRING( BGl_string1316z00zz__phidget_encoderz00, BgL_bgl_string1316za700za7za7_1345za7, "&phidget-encoder-enable!", 24 );
DEFINE_STRING( BGl_string1317z00zz__phidget_encoderz00, BgL_bgl_string1317za700za7za7_1346za7, "&phidget-encoder-disable!", 25 );
DEFINE_STRING( BGl_string1318z00zz__phidget_encoderz00, BgL_bgl_string1318za700za7za7_1347za7, "&phidget-encoder-input-count", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2indexzd2positionzd2envz00zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1348z00, BGl_z62phidgetzd2encoderzd2indexzd2positionzb0zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1319z00zz__phidget_encoderz00, BgL_bgl_za762za7c3za704anonymo1349za7, BGl_z62zc3z04anonymousza31188ze3ze5zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1326z00zz__phidget_encoderz00, BgL_bgl_string1326za700za7za7_1350za7, "%phidget-init", 13 );
DEFINE_STRING( BGl_string1328z00zz__phidget_encoderz00, BgL_bgl_string1328za700za7za7_1351za7, "phidget-add-event-listener!", 27 );
DEFINE_STRING( BGl_string1329z00zz__phidget_encoderz00, BgL_bgl_string1329za700za7za7_1352za7, "__phidget_encoder", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1320z00zz__phidget_encoderz00, BgL_bgl_za762za7c3za704anonymo1353za7, BGl_z62zc3z04anonymousza31187ze3ze5zz__phidget_encoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1321z00zz__phidget_encoderz00, BgL_bgl_za762za7c3za704anonymo1354za7, BGl_z62zc3z04anonymousza31198ze3ze5zz__phidget_encoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1322z00zz__phidget_encoderz00, BgL_bgl_za762za7c3za704anonymo1355za7, BGl_z62zc3z04anonymousza31183ze3ze5zz__phidget_encoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1323z00zz__phidget_encoderz00, BgL_bgl_za762lambda1181za7621356z00, BGl_z62lambda1181z62zz__phidget_encoderz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1330z00zz__phidget_encoderz00, BgL_bgl_string1330za700za7za7_1357za7, "__phidget_encoder phidget-encoder int encoder-count ", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1324z00zz__phidget_encoderz00, BgL_bgl_za762lambda1178za7621358z00, BGl_z62lambda1178z62zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1325z00zz__phidget_encoderz00, BgL_bgl_za762za752phidgetza7d21359za7, BGl_z62z52phidgetzd2initzd2phidge1126z30zz__phidget_encoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1327z00zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2add1360z00, BGl_z62phidgetzd2addzd2eventzd2li1128zb0zz__phidget_encoderz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2encoderzd2envz42zz__phidget_encoderz00, BgL_bgl_za762za742makeza7d2enc1361za7, BGl_z62z42makezd2encoderzf2zz__phidget_encoderz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2enabledzf3zd2envz21zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1362z00, BGl_z62phidgetzd2encoderzd2enabledzf3z91zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2positionzd2setz12zd2envz12zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1363z00, BGl_z62phidgetzd2encoderzd2positionzd2setz12za2zz__phidget_encoderz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2positionzd2envzd2zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1364z00, BGl_z62phidgetzd2encoderzd2positionz62zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2enablez12zd2envzc0zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1365z00, BGl_z62phidgetzd2encoderzd2enablez12z70zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2inputzd2countzd2envz00zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1366z00, BGl_z62phidgetzd2encoderzd2inputzd2countzb0zz__phidget_encoderz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2disablez12zd2envzc0zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1367z00, BGl_z62phidgetzd2encoderzd2disablez12z70zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2encoderzd2inputzd2enabledzf3zd2envzf3zz__phidget_encoderz00, BgL_bgl_za762phidgetza7d2enc1368z00, BGl_z62phidgetzd2encoderzd2inputzd2enabledzf3z43zz__phidget_encoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1306z00zz__phidget_encoderz00, BgL_bgl_string1306za700za7za7_1369za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/phidget/src/Llib/pdgencoder.scm", 71 );
DEFINE_STRING( BGl_string1307z00zz__phidget_encoderz00, BgL_bgl_string1307za700za7za7_1370za7, "&$make-encoder", 14 );
DEFINE_STRING( BGl_string1308z00zz__phidget_encoderz00, BgL_bgl_string1308za700za7za7_1371za7, "void*", 5 );
DEFINE_STRING( BGl_string1309z00zz__phidget_encoderz00, BgL_bgl_string1309za700za7za7_1372za7, "&phidget-encoder-input-enabled?", 31 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_encoderz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2encoderzd2zz__phidget_encoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_encoderz00(long BgL_checksumz00_382, char * BgL_fromz00_383)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_encoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_encoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_encoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_encoderz00(); 
BGl_cnstzd2initzd2zz__phidget_encoderz00(); 
BGl_importedzd2moduleszd2initz00zz__phidget_encoderz00(); 
BGl_objectzd2initzd2zz__phidget_encoderz00(); 
BGl_methodzd2initzd2zz__phidget_encoderz00(); 
return 
BGl_toplevelzd2initzd2zz__phidget_encoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__phidget_encoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_encoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
{ /* Llib/pdgencoder.scm 15 */
 obj_t BgL_cportz00_331;
{ /* Llib/pdgencoder.scm 15 */
 obj_t BgL_stringz00_339;
BgL_stringz00_339 = BGl_string1330z00zz__phidget_encoderz00; 
{ /* Llib/pdgencoder.scm 15 */
 obj_t BgL_startz00_340;
BgL_startz00_340 = 
BINT(((long)0)); 
{ /* Llib/pdgencoder.scm 15 */
 obj_t BgL_endz00_341;
BgL_endz00_341 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_339))); 
{ /* Llib/pdgencoder.scm 15 */

BgL_cportz00_331 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_339, BgL_startz00_340, BgL_endz00_341); } } } } 
{ 
 long BgL_iz00_332;
BgL_iz00_332 = ((long)3); 
BgL_loopz00_333:
if(
(BgL_iz00_332==((long)-1)))
{ /* Llib/pdgencoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pdgencoder.scm 15 */
{ /* Llib/pdgencoder.scm 15 */
 obj_t BgL_arg1338z00_335;
{ /* Llib/pdgencoder.scm 15 */

{ /* Llib/pdgencoder.scm 15 */
 obj_t BgL_locationz00_337;
BgL_locationz00_337 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgencoder.scm 15 */

BgL_arg1338z00_335 = 
BGl_readz00zz__readerz00(BgL_cportz00_331, BgL_locationz00_337); } } } 
{ /* Llib/pdgencoder.scm 15 */
 int BgL_tmpz00_414;
BgL_tmpz00_414 = 
(int)(BgL_iz00_332); 
CNST_TABLE_SET(BgL_tmpz00_414, BgL_arg1338z00_335); } } 
{ /* Llib/pdgencoder.scm 15 */
 int BgL_auxz00_338;
BgL_auxz00_338 = 
(int)(
(BgL_iz00_332-((long)1))); 
{ 
 long BgL_iz00_419;
BgL_iz00_419 = 
(long)(BgL_auxz00_338); 
BgL_iz00_332 = BgL_iz00_419; 
goto BgL_loopz00_333;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
return BUNSPEC;} 

}



/* $make-encoder */
BGL_EXPORTED_DEF obj_t bgl_encoder_new(CPhidgetEncoderHandle BgL_mcz00_3)
{
{ /* Llib/pdgencoder.scm 56 */
{ /* Llib/pdgencoder.scm 57 */
 BgL_phidgetzd2encoderzd2_bglt BgL_new1089z00_32;
{ /* Llib/pdgencoder.scm 58 */
 BgL_phidgetzd2encoderzd2_bglt BgL_new1088z00_34;
BgL_new1088z00_34 = 
((BgL_phidgetzd2encoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderzd2_bgl) ))); 
{ /* Llib/pdgencoder.scm 58 */
 long BgL_arg1138z00_35;
BgL_arg1138z00_35 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderzd2zz__phidget_encoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_34), BgL_arg1138z00_35); } 
BgL_new1089z00_32 = BgL_new1088z00_34; } 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1089z00_32)))->BgL_z42builtinz42)=((CPhidgetHandle)
(CPhidgetHandle)(BgL_mcz00_3)),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1089z00_32)))->BgL_z52serialzd2numberz80)=((int)
(int)(((long)-1))),BUNSPEC); 
{ /* Llib/pdgencoder.scm 57 */
 obj_t BgL_fun1132z00_33;
BgL_fun1132z00_33 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_phidgetzd2encoderzd2zz__phidget_encoderz00); 
PROCEDURE_ENTRY(BgL_fun1132z00_33)(BgL_fun1132z00_33, 
((obj_t)BgL_new1089z00_32), BEOA); } 
return 
((obj_t)BgL_new1089z00_32);} } 

}



/* &$make-encoder */
obj_t BGl_z62z42makezd2encoderzf2zz__phidget_encoderz00(obj_t BgL_envz00_219, obj_t BgL_mcz00_220)
{
{ /* Llib/pdgencoder.scm 56 */
{ /* Llib/pdgencoder.scm 57 */
 CPhidgetEncoderHandle BgL_auxz00_439;
if(
FOREIGNP(BgL_mcz00_220))
{ /* Llib/pdgencoder.scm 57 */
BgL_auxz00_439 = 
FOREIGN_TO_COBJ(BgL_mcz00_220)
; }  else 
{ 
 obj_t BgL_auxz00_443;
BgL_auxz00_443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)2556)), BGl_string1307z00zz__phidget_encoderz00, BGl_string1308z00zz__phidget_encoderz00, BgL_mcz00_220); 
FAILURE(BgL_auxz00_443,BFALSE,BFALSE);} 
return 
bgl_encoder_new(BgL_auxz00_439);} } 

}



/* phidget-encoder-input-enabled? */
BGL_EXPORTED_DEF bool_t BGl_phidgetzd2encoderzd2inputzd2enabledzf3z21zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_oz00_8, int BgL_iz00_9)
{
{ /* Llib/pdgencoder.scm 96 */
{ /* Llib/pdgencoder.scm 96 */
 CPhidgetEncoderHandle BgL_arg1139z00_168;
{ /* Llib/pdgencoder.scm 96 */
 CPhidgetHandle BgL_arg1140z00_169;
BgL_arg1140z00_169 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_8)))->BgL_z42builtinz42); 
BgL_arg1139z00_168 = 
(CPhidgetEncoderHandle)(BgL_arg1140z00_169); } 
return 
bgl_phidget_encoder_get_input_enabled(BgL_arg1139z00_168, BgL_iz00_9, 
((obj_t)BgL_oz00_8));} } 

}



/* &phidget-encoder-input-enabled? */
obj_t BGl_z62phidgetzd2encoderzd2inputzd2enabledzf3z43zz__phidget_encoderz00(obj_t BgL_envz00_221, obj_t BgL_oz00_222, obj_t BgL_iz00_223)
{
{ /* Llib/pdgencoder.scm 96 */
{ /* Llib/pdgencoder.scm 96 */
 bool_t BgL_tmpz00_453;
{ /* Llib/pdgencoder.scm 96 */
 int BgL_auxz00_462; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_454;
{ /* Llib/pdgencoder.scm 96 */
 obj_t BgL_tmpz00_463;
if(
INTEGERP(BgL_iz00_223))
{ /* Llib/pdgencoder.scm 96 */
BgL_tmpz00_463 = BgL_iz00_223
; }  else 
{ 
 obj_t BgL_auxz00_466;
BgL_auxz00_466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)3996)), BGl_string1309z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_223); 
FAILURE(BgL_auxz00_466,BFALSE,BFALSE);} 
BgL_auxz00_462 = 
CINT(BgL_tmpz00_463); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_222, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 96 */
BgL_auxz00_454 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_222)
; }  else 
{ 
 obj_t BgL_auxz00_458;
BgL_auxz00_458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)3996)), BGl_string1309z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_oz00_222); 
FAILURE(BgL_auxz00_458,BFALSE,BFALSE);} 
BgL_tmpz00_453 = 
BGl_phidgetzd2encoderzd2inputzd2enabledzf3z21zz__phidget_encoderz00(BgL_auxz00_454, BgL_auxz00_462); } 
return 
BBOOL(BgL_tmpz00_453);} } 

}



/* phidget-encoder-position */
BGL_EXPORTED_DEF int BGl_phidgetzd2encoderzd2positionz00zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_oz00_10, int BgL_iz00_11)
{
{ /* Llib/pdgencoder.scm 98 */
{ /* Llib/pdgencoder.scm 98 */
 CPhidgetEncoderHandle BgL_arg1142z00_171;
{ /* Llib/pdgencoder.scm 98 */
 CPhidgetHandle BgL_arg1143z00_172;
BgL_arg1143z00_172 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_10)))->BgL_z42builtinz42); 
BgL_arg1142z00_171 = 
(CPhidgetEncoderHandle)(BgL_arg1143z00_172); } 
return 
bgl_phidget_encoder_get_position(BgL_arg1142z00_171, BgL_iz00_11, 
((obj_t)BgL_oz00_10));} } 

}



/* &phidget-encoder-position */
obj_t BGl_z62phidgetzd2encoderzd2positionz62zz__phidget_encoderz00(obj_t BgL_envz00_224, obj_t BgL_oz00_225, obj_t BgL_iz00_226)
{
{ /* Llib/pdgencoder.scm 98 */
{ /* Llib/pdgencoder.scm 98 */
 int BgL_tmpz00_478;
{ /* Llib/pdgencoder.scm 98 */
 int BgL_auxz00_487; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_479;
{ /* Llib/pdgencoder.scm 98 */
 obj_t BgL_tmpz00_488;
if(
INTEGERP(BgL_iz00_226))
{ /* Llib/pdgencoder.scm 98 */
BgL_tmpz00_488 = BgL_iz00_226
; }  else 
{ 
 obj_t BgL_auxz00_491;
BgL_auxz00_491 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4086)), BGl_string1312z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_226); 
FAILURE(BgL_auxz00_491,BFALSE,BFALSE);} 
BgL_auxz00_487 = 
CINT(BgL_tmpz00_488); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_225, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 98 */
BgL_auxz00_479 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_225)
; }  else 
{ 
 obj_t BgL_auxz00_483;
BgL_auxz00_483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4086)), BGl_string1312z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_oz00_225); 
FAILURE(BgL_auxz00_483,BFALSE,BFALSE);} 
BgL_tmpz00_478 = 
BGl_phidgetzd2encoderzd2positionz00zz__phidget_encoderz00(BgL_auxz00_479, BgL_auxz00_487); } 
return 
BINT(BgL_tmpz00_478);} } 

}



/* phidget-encoder-position-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderzd2positionzd2setz12zc0zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_oz00_12, int BgL_iz00_13, int BgL_vz00_14)
{
{ /* Llib/pdgencoder.scm 100 */
{ /* Llib/pdgencoder.scm 100 */
 CPhidgetEncoderHandle BgL_arg1144z00_174;
{ /* Llib/pdgencoder.scm 100 */
 CPhidgetHandle BgL_arg1145z00_175;
BgL_arg1145z00_175 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_12)))->BgL_z42builtinz42); 
BgL_arg1144z00_174 = 
(CPhidgetEncoderHandle)(BgL_arg1145z00_175); } 
return 
BINT(
CPhidgetEncoder_setPosition(BgL_arg1144z00_174, BgL_iz00_13, BgL_vz00_14));} } 

}



/* &phidget-encoder-position-set! */
obj_t BGl_z62phidgetzd2encoderzd2positionzd2setz12za2zz__phidget_encoderz00(obj_t BgL_envz00_227, obj_t BgL_oz00_228, obj_t BgL_iz00_229, obj_t BgL_vz00_230)
{
{ /* Llib/pdgencoder.scm 100 */
{ /* Llib/pdgencoder.scm 100 */
 int BgL_auxz00_520; int BgL_auxz00_511; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_503;
{ /* Llib/pdgencoder.scm 100 */
 obj_t BgL_tmpz00_521;
if(
INTEGERP(BgL_vz00_230))
{ /* Llib/pdgencoder.scm 100 */
BgL_tmpz00_521 = BgL_vz00_230
; }  else 
{ 
 obj_t BgL_auxz00_524;
BgL_auxz00_524 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4164)), BGl_string1313z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_vz00_230); 
FAILURE(BgL_auxz00_524,BFALSE,BFALSE);} 
BgL_auxz00_520 = 
CINT(BgL_tmpz00_521); } 
{ /* Llib/pdgencoder.scm 100 */
 obj_t BgL_tmpz00_512;
if(
INTEGERP(BgL_iz00_229))
{ /* Llib/pdgencoder.scm 100 */
BgL_tmpz00_512 = BgL_iz00_229
; }  else 
{ 
 obj_t BgL_auxz00_515;
BgL_auxz00_515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4164)), BGl_string1313z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_229); 
FAILURE(BgL_auxz00_515,BFALSE,BFALSE);} 
BgL_auxz00_511 = 
CINT(BgL_tmpz00_512); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_228, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 100 */
BgL_auxz00_503 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_228)
; }  else 
{ 
 obj_t BgL_auxz00_507;
BgL_auxz00_507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4164)), BGl_string1313z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_oz00_228); 
FAILURE(BgL_auxz00_507,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2encoderzd2positionzd2setz12zc0zz__phidget_encoderz00(BgL_auxz00_503, BgL_auxz00_511, BgL_auxz00_520);} } 

}



/* phidget-encoder-index-position */
BGL_EXPORTED_DEF int BGl_phidgetzd2encoderzd2indexzd2positionzd2zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_oz00_15, int BgL_iz00_16)
{
{ /* Llib/pdgencoder.scm 102 */
{ /* Llib/pdgencoder.scm 102 */
 CPhidgetEncoderHandle BgL_arg1147z00_177;
{ /* Llib/pdgencoder.scm 102 */
 CPhidgetHandle BgL_arg1148z00_178;
BgL_arg1148z00_178 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
BgL_arg1147z00_177 = 
(CPhidgetEncoderHandle)(BgL_arg1148z00_178); } 
return 
bgl_phidget_encoder_get_index_position(BgL_arg1147z00_177, BgL_iz00_16, 
((obj_t)BgL_oz00_15));} } 

}



/* &phidget-encoder-index-position */
obj_t BGl_z62phidgetzd2encoderzd2indexzd2positionzb0zz__phidget_encoderz00(obj_t BgL_envz00_231, obj_t BgL_oz00_232, obj_t BgL_iz00_233)
{
{ /* Llib/pdgencoder.scm 102 */
{ /* Llib/pdgencoder.scm 102 */
 int BgL_tmpz00_535;
{ /* Llib/pdgencoder.scm 102 */
 int BgL_auxz00_544; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_536;
{ /* Llib/pdgencoder.scm 102 */
 obj_t BgL_tmpz00_545;
if(
INTEGERP(BgL_iz00_233))
{ /* Llib/pdgencoder.scm 102 */
BgL_tmpz00_545 = BgL_iz00_233
; }  else 
{ 
 obj_t BgL_auxz00_548;
BgL_auxz00_548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4248)), BGl_string1314z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_233); 
FAILURE(BgL_auxz00_548,BFALSE,BFALSE);} 
BgL_auxz00_544 = 
CINT(BgL_tmpz00_545); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_232, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 102 */
BgL_auxz00_536 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_232)
; }  else 
{ 
 obj_t BgL_auxz00_540;
BgL_auxz00_540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4248)), BGl_string1314z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_oz00_232); 
FAILURE(BgL_auxz00_540,BFALSE,BFALSE);} 
BgL_tmpz00_535 = 
BGl_phidgetzd2encoderzd2indexzd2positionzd2zz__phidget_encoderz00(BgL_auxz00_536, BgL_auxz00_544); } 
return 
BINT(BgL_tmpz00_535);} } 

}



/* phidget-encoder-enabled? */
BGL_EXPORTED_DEF bool_t BGl_phidgetzd2encoderzd2enabledzf3zf3zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_oz00_17, int BgL_iz00_18)
{
{ /* Llib/pdgencoder.scm 104 */
{ /* Llib/pdgencoder.scm 104 */
 CPhidgetEncoderHandle BgL_arg1149z00_180;
{ /* Llib/pdgencoder.scm 104 */
 CPhidgetHandle BgL_arg1150z00_181;
BgL_arg1150z00_181 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_17)))->BgL_z42builtinz42); 
BgL_arg1149z00_180 = 
(CPhidgetEncoderHandle)(BgL_arg1150z00_181); } 
return 
bgl_phidget_encoder_get_enabled(BgL_arg1149z00_180, BgL_iz00_18, 
((obj_t)BgL_oz00_17));} } 

}



/* &phidget-encoder-enabled? */
obj_t BGl_z62phidgetzd2encoderzd2enabledzf3z91zz__phidget_encoderz00(obj_t BgL_envz00_234, obj_t BgL_oz00_235, obj_t BgL_iz00_236)
{
{ /* Llib/pdgencoder.scm 104 */
{ /* Llib/pdgencoder.scm 104 */
 bool_t BgL_tmpz00_560;
{ /* Llib/pdgencoder.scm 104 */
 int BgL_auxz00_569; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_561;
{ /* Llib/pdgencoder.scm 104 */
 obj_t BgL_tmpz00_570;
if(
INTEGERP(BgL_iz00_236))
{ /* Llib/pdgencoder.scm 104 */
BgL_tmpz00_570 = BgL_iz00_236
; }  else 
{ 
 obj_t BgL_auxz00_573;
BgL_auxz00_573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4338)), BGl_string1315z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_236); 
FAILURE(BgL_auxz00_573,BFALSE,BFALSE);} 
BgL_auxz00_569 = 
CINT(BgL_tmpz00_570); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_235, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 104 */
BgL_auxz00_561 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_235)
; }  else 
{ 
 obj_t BgL_auxz00_565;
BgL_auxz00_565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4338)), BGl_string1315z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_oz00_235); 
FAILURE(BgL_auxz00_565,BFALSE,BFALSE);} 
BgL_tmpz00_560 = 
BGl_phidgetzd2encoderzd2enabledzf3zf3zz__phidget_encoderz00(BgL_auxz00_561, BgL_auxz00_569); } 
return 
BBOOL(BgL_tmpz00_560);} } 

}



/* phidget-encoder-enable! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderzd2enablez12z12zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_ez00_19, int BgL_iz00_20)
{
{ /* Llib/pdgencoder.scm 107 */
{ /* Llib/pdgencoder.scm 109 */
 CPhidgetEncoderHandle BgL_arg1153z00_183;
{ /* Llib/pdgencoder.scm 109 */
 CPhidgetHandle BgL_arg1154z00_184;
BgL_arg1154z00_184 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_ez00_19)))->BgL_z42builtinz42); 
BgL_arg1153z00_183 = 
(CPhidgetEncoderHandle)(BgL_arg1154z00_184); } 
bgl_phidget_encoder_enable(BgL_arg1153z00_183, BgL_iz00_20); } 
return BTRUE;} 

}



/* &phidget-encoder-enable! */
obj_t BGl_z62phidgetzd2encoderzd2enablez12z70zz__phidget_encoderz00(obj_t BgL_envz00_237, obj_t BgL_ez00_238, obj_t BgL_iz00_239)
{
{ /* Llib/pdgencoder.scm 107 */
{ /* Llib/pdgencoder.scm 109 */
 int BgL_auxz00_592; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_584;
{ /* Llib/pdgencoder.scm 109 */
 obj_t BgL_tmpz00_593;
if(
INTEGERP(BgL_iz00_239))
{ /* Llib/pdgencoder.scm 109 */
BgL_tmpz00_593 = BgL_iz00_239
; }  else 
{ 
 obj_t BgL_auxz00_596;
BgL_auxz00_596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4586)), BGl_string1316z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_239); 
FAILURE(BgL_auxz00_596,BFALSE,BFALSE);} 
BgL_auxz00_592 = 
CINT(BgL_tmpz00_593); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_238, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 109 */
BgL_auxz00_584 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_ez00_238)
; }  else 
{ 
 obj_t BgL_auxz00_588;
BgL_auxz00_588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4586)), BGl_string1316z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_ez00_238); 
FAILURE(BgL_auxz00_588,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2encoderzd2enablez12z12zz__phidget_encoderz00(BgL_auxz00_584, BgL_auxz00_592);} } 

}



/* phidget-encoder-disable! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderzd2disablez12z12zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_ez00_21, int BgL_iz00_22)
{
{ /* Llib/pdgencoder.scm 112 */
{ /* Llib/pdgencoder.scm 114 */
 CPhidgetEncoderHandle BgL_arg1158z00_186;
{ /* Llib/pdgencoder.scm 114 */
 CPhidgetHandle BgL_arg1159z00_187;
BgL_arg1159z00_187 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_ez00_21)))->BgL_z42builtinz42); 
BgL_arg1158z00_186 = 
(CPhidgetEncoderHandle)(BgL_arg1159z00_187); } 
bgl_phidget_encoder_disable(BgL_arg1158z00_186, BgL_iz00_22); } 
return BTRUE;} 

}



/* &phidget-encoder-disable! */
obj_t BGl_z62phidgetzd2encoderzd2disablez12z70zz__phidget_encoderz00(obj_t BgL_envz00_240, obj_t BgL_ez00_241, obj_t BgL_iz00_242)
{
{ /* Llib/pdgencoder.scm 112 */
{ /* Llib/pdgencoder.scm 114 */
 int BgL_auxz00_614; BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_606;
{ /* Llib/pdgencoder.scm 114 */
 obj_t BgL_tmpz00_615;
if(
INTEGERP(BgL_iz00_242))
{ /* Llib/pdgencoder.scm 114 */
BgL_tmpz00_615 = BgL_iz00_242
; }  else 
{ 
 obj_t BgL_auxz00_618;
BgL_auxz00_618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4767)), BGl_string1317z00zz__phidget_encoderz00, BGl_string1311z00zz__phidget_encoderz00, BgL_iz00_242); 
FAILURE(BgL_auxz00_618,BFALSE,BFALSE);} 
BgL_auxz00_614 = 
CINT(BgL_tmpz00_615); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_241, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 114 */
BgL_auxz00_606 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_ez00_241)
; }  else 
{ 
 obj_t BgL_auxz00_610;
BgL_auxz00_610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)4767)), BGl_string1317z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_ez00_241); 
FAILURE(BgL_auxz00_610,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2encoderzd2disablez12z12zz__phidget_encoderz00(BgL_auxz00_606, BgL_auxz00_614);} } 

}



/* phidget-encoder-input-count */
BGL_EXPORTED_DEF int BGl_phidgetzd2encoderzd2inputzd2countzd2zz__phidget_encoderz00(BgL_phidgetzd2encoderzd2_bglt BgL_oz00_23)
{
{ /* Llib/pdgencoder.scm 120 */
{ /* Llib/pdgencoder.scm 123 */
 CPhidgetEncoderHandle BgL_arg1162z00_189;
{ /* Llib/pdgencoder.scm 123 */
 CPhidgetHandle BgL_arg1163z00_190;
BgL_arg1163z00_190 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_23)))->BgL_z42builtinz42); 
BgL_arg1162z00_189 = 
(CPhidgetEncoderHandle)(BgL_arg1163z00_190); } 
return 
bgl_phidget_encoder_get_input_count(BgL_arg1162z00_189, 
((obj_t)BgL_oz00_23));} } 

}



/* &phidget-encoder-input-count */
obj_t BGl_z62phidgetzd2encoderzd2inputzd2countzb0zz__phidget_encoderz00(obj_t BgL_envz00_243, obj_t BgL_oz00_244)
{
{ /* Llib/pdgencoder.scm 120 */
{ /* Llib/pdgencoder.scm 121 */
 int BgL_tmpz00_629;
{ /* Llib/pdgencoder.scm 121 */
 BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_630;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_244, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00))
{ /* Llib/pdgencoder.scm 121 */
BgL_auxz00_630 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_244)
; }  else 
{ 
 obj_t BgL_auxz00_634;
BgL_auxz00_634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1306z00zz__phidget_encoderz00, 
BINT(((long)5042)), BGl_string1318z00zz__phidget_encoderz00, BGl_string1310z00zz__phidget_encoderz00, BgL_oz00_244); 
FAILURE(BgL_auxz00_634,BFALSE,BFALSE);} 
BgL_tmpz00_629 = 
BGl_phidgetzd2encoderzd2inputzd2countzd2zz__phidget_encoderz00(BgL_auxz00_630); } 
return 
BINT(BgL_tmpz00_629);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
{ /* Llib/pdgencoder.scm 30 */
 obj_t BgL_arg1175z00_63; obj_t BgL_arg1177z00_64;
{ /* Llib/pdgencoder.scm 30 */
 obj_t BgL_v1123z00_77;
BgL_v1123z00_77 = 
create_vector(((long)1)); 
{ /* Llib/pdgencoder.scm 30 */
 obj_t BgL_arg1184z00_78;
BgL_arg1184z00_78 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1320z00zz__phidget_encoderz00, BGl_proc1319z00zz__phidget_encoderz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1123z00_77,((long)0),BgL_arg1184z00_78); } 
BgL_arg1175z00_63 = BgL_v1123z00_77; } 
{ /* Llib/pdgencoder.scm 30 */
 obj_t BgL_v1124z00_88;
BgL_v1124z00_88 = 
create_vector(((long)1)); 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1189z00_89;
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1190z00_90;
BgL_arg1190z00_90 = 
MAKE_YOUNG_PAIR(BGl_proc1321z00zz__phidget_encoderz00, BFALSE); 
BgL_arg1189z00_89 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg1190z00_90); } 
VECTOR_SET(BgL_v1124z00_88,((long)0),BgL_arg1189z00_89); } 
BgL_arg1177z00_64 = BgL_v1124z00_88; } 
return ( 
BGl_phidgetzd2encoderzd2zz__phidget_encoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3)), BGl_phidgetz00zz__phidget_phidgetz00, ((long)21271), BGl_proc1324z00zz__phidget_encoderz00, BGl_proc1323z00zz__phidget_encoderz00, BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_proc1322z00zz__phidget_encoderz00, BFALSE, BgL_arg1175z00_63, BgL_arg1177z00_64), BUNSPEC) ;} } 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__phidget_encoderz00(obj_t BgL_envz00_251, obj_t BgL_new1079z00_252)
{
{ /* Llib/pdgencoder.scm 30 */
{ 
 BgL_phidgetzd2encoderzd2_bglt BgL_auxz00_653;
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2encoderzd2_bglt)BgL_new1079z00_252))))->BgL_z42builtinz42)=((CPhidgetHandle)
0L),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2encoderzd2_bglt)BgL_new1079z00_252))))->BgL_z52serialzd2numberz80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_653 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_new1079z00_252); 
return 
((obj_t)BgL_auxz00_653);} } 

}



/* &lambda1181 */
BgL_phidgetzd2encoderzd2_bglt BGl_z62lambda1181z62zz__phidget_encoderz00(obj_t BgL_envz00_253)
{
{ /* Llib/pdgencoder.scm 30 */
{ /* Llib/pdgencoder.scm 30 */
 BgL_phidgetzd2encoderzd2_bglt BgL_new1078z00_344;
BgL_new1078z00_344 = 
((BgL_phidgetzd2encoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderzd2_bgl) ))); 
{ /* Llib/pdgencoder.scm 30 */
 long BgL_arg1182z00_345;
BgL_arg1182z00_345 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderzd2zz__phidget_encoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_344), BgL_arg1182z00_345); } 
return BgL_new1078z00_344;} } 

}



/* &lambda1178 */
BgL_phidgetzd2encoderzd2_bglt BGl_z62lambda1178z62zz__phidget_encoderz00(obj_t BgL_envz00_254, obj_t BgL_z42builtin1076z42_255, obj_t BgL_z52serialzd2number1077z80_256)
{
{ /* Llib/pdgencoder.scm 30 */
{ /* Llib/pdgencoder.scm 30 */
 CPhidgetHandle BgL_z42builtin1076z42_346; int BgL_z52serialzd2number1077z80_347;
BgL_z42builtin1076z42_346 = 
FOREIGN_TO_COBJ(BgL_z42builtin1076z42_255); 
BgL_z52serialzd2number1077z80_347 = 
CINT(BgL_z52serialzd2number1077z80_256); 
{ /* Llib/pdgencoder.scm 30 */
 BgL_phidgetzd2encoderzd2_bglt BgL_new1104z00_348;
{ /* Llib/pdgencoder.scm 30 */
 BgL_phidgetzd2encoderzd2_bglt BgL_new1103z00_349;
BgL_new1103z00_349 = 
((BgL_phidgetzd2encoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderzd2_bgl) ))); 
{ /* Llib/pdgencoder.scm 30 */
 long BgL_arg1180z00_350;
BgL_arg1180z00_350 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderzd2zz__phidget_encoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_349), BgL_arg1180z00_350); } 
BgL_new1104z00_348 = BgL_new1103z00_349; } 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1104z00_348)))->BgL_z42builtinz42)=((CPhidgetHandle)BgL_z42builtin1076z42_346),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1104z00_348)))->BgL_z52serialzd2numberz80)=((int)BgL_z52serialzd2number1077z80_347),BUNSPEC); 
{ /* Llib/pdgencoder.scm 30 */
 obj_t BgL_fun1179z00_351;
BgL_fun1179z00_351 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_phidgetzd2encoderzd2zz__phidget_encoderz00); 
PROCEDURE_ENTRY(BgL_fun1179z00_351)(BgL_fun1179z00_351, 
((obj_t)BgL_new1104z00_348), BEOA); } 
return BgL_new1104z00_348;} } } 

}



/* &<@anonymous:1198> */
obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__phidget_encoderz00(obj_t BgL_envz00_257, obj_t BgL_oz00_258)
{
{ /* Llib/pdgencoder.scm 31 */
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_env1113z00_352;
BgL_env1113z00_352 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_cell1108z00_353;
BgL_cell1108z00_353 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_val1112z00_354;
BgL_val1112z00_354 = 
BGl_zc3z04exitza31201ze3ze70z60zz__phidget_encoderz00(BgL_oz00_258, BgL_cell1108z00_353, BgL_env1113z00_352); 
if(
(BgL_val1112z00_354==BgL_cell1108z00_353))
{ /* Llib/pdgencoder.scm 34 */
{ /* Llib/pdgencoder.scm 34 */
 int BgL_tmpz00_689;
BgL_tmpz00_689 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_689); } 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1200z00_355;
BgL_arg1200z00_355 = 
CELL_REF(
((obj_t)BgL_val1112z00_354)); 
return 
BINT(((long)0));} }  else 
{ /* Llib/pdgencoder.scm 34 */
return BgL_val1112z00_354;} } } } } 

}



/* <@exit:1201>~0 */
obj_t BGl_zc3z04exitza31201ze3ze70z60zz__phidget_encoderz00(obj_t BgL_oz00_280, obj_t BgL_cell1108z00_279, obj_t BgL_env1113z00_278)
{
{ /* Llib/pdgencoder.scm 34 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1118z00_103;
if( SET_EXIT(BgL_an_exit1118z00_103 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_103 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1113z00_278, BgL_an_exit1118z00_103, ((long)1)); 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_escape1109z00_104;
BgL_escape1109z00_104 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_278); 
{ /* Llib/pdgencoder.scm 34 */
 int BgL_res1121z00_105;
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_ohs1105z00_106;
BgL_ohs1105z00_106 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1113z00_278); 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_hds1106z00_107;
BgL_hds1106z00_107 = 
MAKE_STACK_PAIR(BgL_escape1109z00_104, BgL_cell1108z00_279); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1113z00_278, BgL_hds1106z00_107); BUNSPEC; 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_exitd1114z00_108;
BgL_exitd1114z00_108 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_278); 
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_tmp1116z00_109;
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1206z00_114;
BgL_arg1206z00_114 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_108); 
BgL_tmp1116z00_109 = 
MAKE_YOUNG_PAIR(BgL_ohs1105z00_106, BgL_arg1206z00_114); } 
{ /* Llib/pdgencoder.scm 34 */

BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_108, BgL_tmp1116z00_109); BUNSPEC; 
{ /* Llib/pdgencoder.scm 36 */
 int BgL_tmp1115z00_110;
{ /* Llib/pdgencoder.scm 38 */
 CPhidgetEncoderHandle BgL_arg1202z00_112;
{ /* Llib/pdgencoder.scm 38 */
 CPhidgetHandle BgL_arg1205z00_113;
BgL_arg1205z00_113 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_280)))->BgL_z42builtinz42); 
BgL_arg1202z00_112 = 
(CPhidgetEncoderHandle)(BgL_arg1205z00_113); } 
BgL_tmp1115z00_110 = 
bgl_phidget_encoder_get_encoder_count(BgL_arg1202z00_112, BgL_oz00_280); } 
{ /* Llib/pdgencoder.scm 34 */
 bool_t BgL_test1401z00_710;
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1817z00_193;
BgL_arg1817z00_193 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_108); 
BgL_test1401z00_710 = 
PAIRP(BgL_arg1817z00_193); } 
if(BgL_test1401z00_710)
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1815z00_194;
{ /* Llib/pdgencoder.scm 34 */
 obj_t BgL_arg1816z00_195;
BgL_arg1816z00_195 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_108); 
BgL_arg1815z00_194 = 
CDR(
((obj_t)BgL_arg1816z00_195)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_108, BgL_arg1815z00_194); BUNSPEC; }  else 
{ /* Llib/pdgencoder.scm 34 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1113z00_278, BgL_ohs1105z00_106); BUNSPEC; 
BgL_res1121z00_105 = BgL_tmp1115z00_110; } } } } } } 
POP_ENV_EXIT(BgL_env1113z00_278); 
return 
BINT(BgL_res1121z00_105);} } 
}} 

}



/* &<@anonymous:1188> */
obj_t BGl_z62zc3z04anonymousza31188ze3ze5zz__phidget_encoderz00(obj_t BgL_envz00_259, obj_t BgL_oz00_260, obj_t BgL_vz00_261)
{
{ /* Llib/pdgencoder.scm 30 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_260), 
(int)(((long)6)), BgL_vz00_261);} 

}



/* &<@anonymous:1187> */
obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__phidget_encoderz00(obj_t BgL_envz00_262, obj_t BgL_oz00_263)
{
{ /* Llib/pdgencoder.scm 30 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_263), 
(int)(((long)6)));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00, BGl_proc1325z00zz__phidget_encoderz00, BGl_string1326z00zz__phidget_encoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BGl_phidgetzd2encoderzd2zz__phidget_encoderz00, BGl_proc1327z00zz__phidget_encoderz00, BGl_string1328z00zz__phidget_encoderz00);} 

}



/* &phidget-add-event-li1128 */
obj_t BGl_z62phidgetzd2addzd2eventzd2li1128zb0zz__phidget_encoderz00(obj_t BgL_envz00_268, obj_t BgL_oz00_269, obj_t BgL_eventz00_270, obj_t BgL_procz00_271)
{
{ /* Llib/pdgencoder.scm 72 */
{ /* Llib/pdgencoder.scm 74 */
 bool_t BgL_test1402z00_728;
{ /* Llib/pdgencoder.scm 76 */
 int BgL_arg1252z00_357;
{ /* Llib/pdgencoder.scm 76 */
 CPhidgetEncoderHandle BgL_arg1262z00_358;
{ /* Llib/pdgencoder.scm 76 */
 CPhidgetHandle BgL_arg1263z00_359;
BgL_arg1263z00_359 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_269))))->BgL_z42builtinz42); 
BgL_arg1262z00_358 = 
(CPhidgetEncoderHandle)(BgL_arg1263z00_359); } 
{ /* Llib/pdgencoder.scm 75 */
 obj_t BgL_auxz00_735; char * BgL_tmpz00_733;
BgL_auxz00_735 = 
((obj_t)
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_269)); 
BgL_tmpz00_733 = 
BSTRING_TO_STRING(BgL_eventz00_270); 
BgL_arg1252z00_357 = 
bgl_phidget_encoder_add_event_listener(BgL_arg1262z00_358, BgL_tmpz00_733, BgL_auxz00_735, BgL_procz00_271); } } 
BgL_test1402z00_728 = 
(
(long)(BgL_arg1252z00_357)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1402z00_728)
{ /* Llib/pdgencoder.scm 74 */
return BFALSE;}  else 
{ /* Llib/pdgencoder.scm 74 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1234z00_360;
{ /* Llib/pdgencoder.scm 74 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1094z00_361;
{ /* Llib/pdgencoder.scm 74 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1093z00_362;
BgL_new1093z00_362 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgencoder.scm 74 */
 long BgL_arg1251z00_363;
BgL_arg1251z00_363 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_362), BgL_arg1251z00_363); } 
BgL_new1094z00_361 = BgL_new1093z00_362; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_361)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_361)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_750;
{ /* Llib/pdgencoder.scm 74 */
 obj_t BgL_arg1235z00_364;
{ /* Llib/pdgencoder.scm 74 */
 obj_t BgL_arg1238z00_365;
{ /* Llib/pdgencoder.scm 74 */
 obj_t BgL_classz00_366;
BgL_classz00_366 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1238z00_365 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_366); } 
BgL_arg1235z00_364 = 
VECTOR_REF(BgL_arg1238z00_365,((long)2)); } 
BgL_auxz00_750 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1235z00_364); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_361)))->BgL_stackz00)=((obj_t)BgL_auxz00_750),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1094z00_361)))->BgL_procz00)=((obj_t)BGl_string1328z00zz__phidget_encoderz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_758;
{ /* Llib/pdgencoder.scm 76 */
 int BgL_arg1239z00_367;
{ /* Llib/pdgencoder.scm 76 */
 CPhidgetEncoderHandle BgL_arg1242z00_368;
{ /* Llib/pdgencoder.scm 76 */
 CPhidgetHandle BgL_arg1250z00_369;
BgL_arg1250z00_369 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_269))))->BgL_z42builtinz42); 
BgL_arg1242z00_368 = 
(CPhidgetEncoderHandle)(BgL_arg1250z00_369); } 
{ /* Llib/pdgencoder.scm 75 */
 obj_t BgL_auxz00_766; char * BgL_tmpz00_764;
BgL_auxz00_766 = 
((obj_t)
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_269)); 
BgL_tmpz00_764 = 
BSTRING_TO_STRING(BgL_eventz00_270); 
BgL_arg1239z00_367 = 
bgl_phidget_encoder_add_event_listener(BgL_arg1242z00_368, BgL_tmpz00_764, BgL_auxz00_766, BgL_procz00_271); } } 
BgL_auxz00_758 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1239z00_367); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1094z00_361)))->BgL_msgz00)=((obj_t)BgL_auxz00_758),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1094z00_361)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_269))),BUNSPEC); 
BgL_arg1234z00_360 = BgL_new1094z00_361; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1234z00_360));} } } 

}



/* &%phidget-init-phidge1126 */
obj_t BGl_z62z52phidgetzd2initzd2phidge1126z30zz__phidget_encoderz00(obj_t BgL_envz00_272, obj_t BgL_oz00_273)
{
{ /* Llib/pdgencoder.scm 63 */
BGl_phidgetzd2initz12zc0zz__phidgetz00(); 
{ /* Llib/pdgencoder.scm 65 */
 bool_t BgL_test1403z00_779;
{ /* Llib/pdgencoder.scm 66 */
 int BgL_arg1226z00_371;
{ /* Llib/pdgencoder.scm 66 */
 CPhidgetEncoderHandle * BgL_arg1227z00_372;
{ /* Llib/pdgencoder.scm 66 */
 BgL_phidgetzd2encoderzd2_bglt BgL_tmpz00_780;
BgL_tmpz00_780 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_273); 
BgL_arg1227z00_372 = 
BGL_PHIDGET_ENCODER_BUILTIN(BgL_tmpz00_780); } 
BgL_arg1226z00_371 = 
CPhidgetEncoder_create(BgL_arg1227z00_372); } 
BgL_test1403z00_779 = 
(
(long)(BgL_arg1226z00_371)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1403z00_779)
{ /* Llib/pdgencoder.scm 65 */
return BFALSE;}  else 
{ /* Llib/pdgencoder.scm 65 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1215z00_373;
{ /* Llib/pdgencoder.scm 65 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1091z00_374;
{ /* Llib/pdgencoder.scm 65 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1090z00_375;
BgL_new1090z00_375 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgencoder.scm 65 */
 long BgL_arg1225z00_376;
BgL_arg1225z00_376 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_375), BgL_arg1225z00_376); } 
BgL_new1091z00_374 = BgL_new1090z00_375; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_374)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_374)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_795;
{ /* Llib/pdgencoder.scm 65 */
 obj_t BgL_arg1218z00_377;
{ /* Llib/pdgencoder.scm 65 */
 obj_t BgL_arg1219z00_378;
{ /* Llib/pdgencoder.scm 65 */
 obj_t BgL_classz00_379;
BgL_classz00_379 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1219z00_378 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_379); } 
BgL_arg1218z00_377 = 
VECTOR_REF(BgL_arg1219z00_378,((long)2)); } 
BgL_auxz00_795 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1218z00_377); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_374)))->BgL_stackz00)=((obj_t)BgL_auxz00_795),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_374)))->BgL_procz00)=((obj_t)BGl_string1310z00zz__phidget_encoderz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_803;
{ /* Llib/pdgencoder.scm 66 */
 int BgL_arg1221z00_380;
{ /* Llib/pdgencoder.scm 66 */
 CPhidgetEncoderHandle * BgL_arg1224z00_381;
{ /* Llib/pdgencoder.scm 66 */
 BgL_phidgetzd2encoderzd2_bglt BgL_tmpz00_805;
BgL_tmpz00_805 = 
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_273); 
BgL_arg1224z00_381 = 
BGL_PHIDGET_ENCODER_BUILTIN(BgL_tmpz00_805); } 
BgL_arg1221z00_380 = 
CPhidgetEncoder_create(BgL_arg1224z00_381); } 
BgL_auxz00_803 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1221z00_380); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_374)))->BgL_msgz00)=((obj_t)BgL_auxz00_803),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_374)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_phidgetzd2encoderzd2_bglt)BgL_oz00_273))),BUNSPEC); 
BgL_arg1215z00_373 = BgL_new1091z00_374; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1215z00_373));} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__phidget_encoderz00()
{
{ /* Llib/pdgencoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__phidget_typesz00(((long)253269866), 
BSTRING_TO_STRING(BGl_string1329z00zz__phidget_encoderz00)); 
BGl_modulezd2initializa7ationz75zz__phidget_ctypesz00(((long)348195563), 
BSTRING_TO_STRING(BGl_string1329z00zz__phidget_encoderz00)); 
BGl_modulezd2initializa7ationz75zz__phidgetz00(((long)10161971), 
BSTRING_TO_STRING(BGl_string1329z00zz__phidget_encoderz00)); 
BGl_modulezd2initializa7ationz75zz__phidget_eventz00(((long)347168848), 
BSTRING_TO_STRING(BGl_string1329z00zz__phidget_encoderz00)); 
return 
BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(((long)489304720), 
BSTRING_TO_STRING(BGl_string1329z00zz__phidget_encoderz00));} 

}

#ifdef __cplusplus
}
#endif
