/*===========================================================================*/
/*   (Llib/pdgevent.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgevent.scm -o objs/pdgevent.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglphidget_config.h>
#include <bglphidget.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_z52phidgetz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52phidgetz52_bglt;

typedef struct BgL_z52phidgetzd2eventz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
} *BgL_z52phidgetzd2eventz80_bglt;

typedef struct BgL_phidgetzd2eventzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2eventzd2_bglt;

typedef struct BgL_phidgetzd2errorzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_codez00;
   char * BgL_messagez00;
} *BgL_phidgetzd2errorzd2eventz00_bglt;

typedef struct BgL_phidgetzd2attachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2attachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2detachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2detachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2changezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
} *BgL_phidgetzd2changezd2eventz00_bglt;

typedef struct BgL_phidgetzd2inputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2inputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2outputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2outputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2sensorchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_statez00;
} *BgL_phidgetzd2sensorchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverdisconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2spatialdatazd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_secondsz00;
   int BgL_microsecondsz00;
   double BgL_acxz00;
   double BgL_acyz00;
   double BgL_acza7za7;
   double BgL_anxz00;
   double BgL_anyz00;
   double BgL_anza7za7;
   double BgL_mfxz00;
   double BgL_mfyz00;
   double BgL_mfza7za7;
} *BgL_phidgetzd2spatialdatazd2eventz00_bglt;

typedef struct BgL_phidgetzd2servopositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_positionz00;
} *BgL_phidgetzd2servopositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servovelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2servovelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servocurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2servocurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2stepperinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2steppervelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   BGL_LONGLONG_T BgL_positionz00;
} *BgL_phidgetzd2stepperpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2steppercurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2encoderinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_timez00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderindexzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderindexzd2eventz00_bglt;


extern obj_t BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00;
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_eventz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern obj_t BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_sensorchange_new(obj_t, int, int);
extern obj_t BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00;
static obj_t BGl_toplevelzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00();
extern obj_t BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00;
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_error_new(obj_t, int, char *);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderposition_new(obj_t, int, int, int);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderindex_new(obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_z52phidgetz52_bglt, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_spatialdata_new(obj_t, int, int, double, double, double, double, double, double, double, double, double);
static obj_t BGl_objectzd2initzd2zz__phidget_eventz00();
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_inputchange_new(obj_t, int, bool_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_serverdisconnect_new(obj_t, CPhidgetHandle);
static obj_t BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = BUNSPEC;
extern obj_t BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_outputchange_new(obj_t, int, bool_t);
static obj_t BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00(obj_t);
static obj_t BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__phidget_eventz00(obj_t);
extern obj_t bgl_phidget_new(CPhidgetHandle);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__phidget_eventz00();
extern obj_t BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderinput_new(obj_t, int, bool_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_lock();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servovelocity_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2addzd2eventzd2li1135zb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_steppercurrent_new(obj_t, int, double);
BGL_EXPORTED_DECL obj_t bgl_phidget_unlock();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_attach_new(obj_t, CPhidgetHandle);
extern obj_t BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servoposition_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_motorcontrolvelocity_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_detach_new(obj_t, CPhidgetHandle);
static obj_t BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
extern obj_t BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00;
static bool_t BGl_phidgetzd2initializa7edpz75zz__phidget_eventz00;
extern obj_t BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00;
static obj_t BGl_cnstzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_serverconnect_new(obj_t, CPhidgetHandle);
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00();
static obj_t BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52phidgetz52zz__phidget_typesz00;
static obj_t BGl_importedzd2moduleszd2initz00zz__phidget_eventz00();
static obj_t BGl_gczd2rootszd2initz00zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_signal();
static obj_t BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servocurrent_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_motorcontrolcurrent_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00;
static obj_t BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_steppervelocity_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
extern obj_t BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_stepperinput_new(obj_t, int, int);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_stepperposition_new(obj_t, int, BGL_LONGLONG_T);
static obj_t BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string1314z00zz__phidget_eventz00, BgL_bgl_string1314za700za7za7_1356za7, "Llib/pdgevent.scm", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servocurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1357z00, BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1316z00zz__phidget_eventz00, BgL_bgl_string1316za700za7za7_1358za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/phidget/src/Llib/pdgevent.scm", 69 );
DEFINE_STRING( BGl_string1317z00zz__phidget_eventz00, BgL_bgl_string1317za700za7za7_1359za7, "&phidget-event-error-new", 24 );
DEFINE_STRING( BGl_string1318z00zz__phidget_eventz00, BgL_bgl_string1318za700za7za7_1360za7, "bint", 4 );
DEFINE_STRING( BGl_string1319z00zz__phidget_eventz00, BgL_bgl_string1319za700za7za7_1361za7, "bstring", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2unlockz12zd2envz40zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21362za7, BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1320z00zz__phidget_eventz00, BgL_bgl_string1320za700za7za7_1363za7, "&phidget-event-attach-new", 25 );
DEFINE_STRING( BGl_string1321z00zz__phidget_eventz00, BgL_bgl_string1321za700za7za7_1364za7, "void*", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1315z00zz__phidget_eventz00, BgL_bgl_za762za7c3za704anonymo1365za7, BGl_z62zc3z04anonymousza31144ze3ze5zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1322z00zz__phidget_eventz00, BgL_bgl_string1322za700za7za7_1366za7, "&phidget-event-detach-new", 25 );
DEFINE_STRING( BGl_string1323z00zz__phidget_eventz00, BgL_bgl_string1323za700za7za7_1367za7, "&phidget-event-inputchange-new", 30 );
DEFINE_STRING( BGl_string1324z00zz__phidget_eventz00, BgL_bgl_string1324za700za7za7_1368za7, "&phidget-event-outputchange-new", 31 );
DEFINE_STRING( BGl_string1325z00zz__phidget_eventz00, BgL_bgl_string1325za700za7za7_1369za7, "&phidget-event-sensorchange-new", 31 );
DEFINE_STRING( BGl_string1326z00zz__phidget_eventz00, BgL_bgl_string1326za700za7za7_1370za7, "&phidget-event-serverconnect-new", 32 );
DEFINE_STRING( BGl_string1327z00zz__phidget_eventz00, BgL_bgl_string1327za700za7za7_1371za7, "&phidget-event-serverdisconnect-new", 35 );
DEFINE_STRING( BGl_string1328z00zz__phidget_eventz00, BgL_bgl_string1328za700za7za7_1372za7, "&phidget-event-spatialdata-new", 30 );
DEFINE_STRING( BGl_string1329z00zz__phidget_eventz00, BgL_bgl_string1329za700za7za7_1373za7, "real", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servopositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1374z00, BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1330z00zz__phidget_eventz00, BgL_bgl_string1330za700za7za7_1375za7, "&phidget-event-servoposition-new", 32 );
DEFINE_STRING( BGl_string1331z00zz__phidget_eventz00, BgL_bgl_string1331za700za7za7_1376za7, "&phidget-event-servovelocity-new", 32 );
DEFINE_STRING( BGl_string1332z00zz__phidget_eventz00, BgL_bgl_string1332za700za7za7_1377za7, "&phidget-event-servocurrent-new", 31 );
DEFINE_STRING( BGl_string1333z00zz__phidget_eventz00, BgL_bgl_string1333za700za7za7_1378za7, "&phidget-event-stepperinput-new", 31 );
DEFINE_STRING( BGl_string1334z00zz__phidget_eventz00, BgL_bgl_string1334za700za7za7_1379za7, "&phidget-event-steppervelocity-new", 34 );
DEFINE_STRING( BGl_string1335z00zz__phidget_eventz00, BgL_bgl_string1335za700za7za7_1380za7, "&phidget-event-stepperposition-new", 34 );
DEFINE_STRING( BGl_string1336z00zz__phidget_eventz00, BgL_bgl_string1336za700za7za7_1381za7, "bllong", 6 );
DEFINE_STRING( BGl_string1337z00zz__phidget_eventz00, BgL_bgl_string1337za700za7za7_1382za7, "&phidget-event-steppercurrent-new", 33 );
DEFINE_STRING( BGl_string1338z00zz__phidget_eventz00, BgL_bgl_string1338za700za7za7_1383za7, "&phidget-event-motorcontrolvelocity-new", 39 );
DEFINE_STRING( BGl_string1339z00zz__phidget_eventz00, BgL_bgl_string1339za700za7za7_1384za7, "&phidget-event-motorcontrolcurrent-new", 38 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2sensorchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1385z00, BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1340z00zz__phidget_eventz00, BgL_bgl_string1340za700za7za7_1386za7, "&phidget-event-encoderinput-new", 31 );
DEFINE_STRING( BGl_string1341z00zz__phidget_eventz00, BgL_bgl_string1341za700za7za7_1387za7, "&phidget-event-encoderposition-new", 34 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2steppervelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1388z00, BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1342z00zz__phidget_eventz00, BgL_bgl_string1342za700za7za7_1389za7, "&phidget-event-encoderindex-new", 31 );
DEFINE_STRING( BGl_string1344z00zz__phidget_eventz00, BgL_bgl_string1344za700za7za7_1390za7, "phidget-add-event-li1135", 24 );
DEFINE_STRING( BGl_string1345z00zz__phidget_eventz00, BgL_bgl_string1345za700za7za7_1391za7, "phidget-add-event-listener!", 27 );
DEFINE_STRING( BGl_string1346z00zz__phidget_eventz00, BgL_bgl_string1346za700za7za7_1392za7, "event not supported", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2outputchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1393z00, BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1347z00zz__phidget_eventz00, BgL_bgl_string1347za700za7za7_1394za7, "&phidget-add-event-listener!", 28 );
DEFINE_STRING( BGl_string1348z00zz__phidget_eventz00, BgL_bgl_string1348za700za7za7_1395za7, "%phidget", 8 );
DEFINE_STRING( BGl_string1349z00zz__phidget_eventz00, BgL_bgl_string1349za700za7za7_1396za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1343z00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2add1397z00, BGl_z62phidgetzd2addzd2eventzd2li1135zb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1350z00zz__phidget_eventz00, BgL_bgl_string1350za700za7za7_1398za7, "__phidget_event", 15 );
DEFINE_STRING( BGl_string1351z00zz__phidget_eventz00, BgL_bgl_string1351za700za7za7_1399za7, "phidget ", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderindexzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1400z00, BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2spatialdatazd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1401z00, BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2attachzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1402z00, BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servovelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1403z00, BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2threadzd2initz12zd2envz92zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21404za7, BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2steppercurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1405z00, BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2stepperinputzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1406z00, BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2signalzd2envz52zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21407za7, BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2serverdisconnectzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1408z00, BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2errorzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1409z00, BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderinputzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1410z00, BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2motorcontrolcurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1411z00, BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2lockz12zd2envz40zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21412za7, BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2motorcontrolvelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1413z00, BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2detachzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1414z00, BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderpositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1415z00, BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2serverconnectzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1416z00, BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2add1417z00, BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2inputchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1418z00, BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2stepperpositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1419z00, BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long BgL_checksumz00_664, char * BgL_fromz00_665)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_eventz00))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_eventz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_eventz00(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00(); 
BGl_cnstzd2initzd2zz__phidget_eventz00(); 
BGl_importedzd2moduleszd2initz00zz__phidget_eventz00(); 
BGl_genericzd2initzd2zz__phidget_eventz00(); 
return 
BGl_toplevelzd2initzd2zz__phidget_eventz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_event"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
{ /* Llib/pdgevent.scm 16 */
 obj_t BgL_cportz00_601;
{ /* Llib/pdgevent.scm 16 */
 obj_t BgL_stringz00_609;
BgL_stringz00_609 = BGl_string1351z00zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 16 */
 obj_t BgL_startz00_610;
BgL_startz00_610 = 
BINT(((long)0)); 
{ /* Llib/pdgevent.scm 16 */
 obj_t BgL_endz00_611;
BgL_endz00_611 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_609))); 
{ /* Llib/pdgevent.scm 16 */

BgL_cportz00_601 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_609, BgL_startz00_610, BgL_endz00_611); } } } } 
{ 
 long BgL_iz00_602;
BgL_iz00_602 = ((long)0); 
BgL_loopz00_603:
if(
(BgL_iz00_602==((long)-1)))
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;}  else 
{ /* Llib/pdgevent.scm 16 */
{ /* Llib/pdgevent.scm 16 */
 obj_t BgL_arg1354z00_605;
{ /* Llib/pdgevent.scm 16 */

{ /* Llib/pdgevent.scm 16 */
 obj_t BgL_locationz00_607;
BgL_locationz00_607 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgevent.scm 16 */

BgL_arg1354z00_605 = 
BGl_readz00zz__readerz00(BgL_cportz00_601, BgL_locationz00_607); } } } 
{ /* Llib/pdgevent.scm 16 */
 int BgL_tmpz00_695;
BgL_tmpz00_695 = 
(int)(BgL_iz00_602); 
CNST_TABLE_SET(BgL_tmpz00_695, BgL_arg1354z00_605); } } 
{ /* Llib/pdgevent.scm 16 */
 int BgL_auxz00_608;
BgL_auxz00_608 = 
(int)(
(BgL_iz00_602-((long)1))); 
{ 
 long BgL_iz00_700;
BgL_iz00_700 = 
(long)(BgL_auxz00_608); 
BgL_iz00_602 = BgL_iz00_700; 
goto BgL_loopz00_603;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1314z00zz__phidget_eventz00)); 
{ /* Llib/pdgevent.scm 86 */
 obj_t BgL_namez00_176;
BgL_namez00_176 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00 = 
bgl_make_mutex(BgL_namez00_176); } 
{ /* Llib/pdgevent.scm 87 */
 obj_t BgL_namez00_177;
BgL_namez00_177 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00 = 
bgl_make_condvar(BgL_namez00_177); } 
BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = BUNSPEC; 
BGl_phidgetzd2initializa7edpz75zz__phidget_eventz00 = ((bool_t)0); 
return BUNSPEC;} 

}



/* %phidget-lock! */
BGL_EXPORTED_DEF obj_t bgl_phidget_lock()
{
{ /* Llib/pdgevent.scm 92 */
{ /* Llib/pdgevent.scm 93 */
 obj_t BgL_g1181z00_178;
BgL_g1181z00_178 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 93 */

{ /* Llib/pdgevent.scm 93 */
 int BgL_arg1680z00_183;
BgL_arg1680z00_183 = 
BGL_MUTEX_LOCK(BgL_g1181z00_178); 
return 
BBOOL(
(
(long)(BgL_arg1680z00_183)==((long)0)));} } } } 

}



/* &%phidget-lock! */
obj_t BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00(obj_t BgL_envz00_397)
{
{ /* Llib/pdgevent.scm 92 */
return 
bgl_phidget_lock();} 

}



/* %phidget-unlock! */
BGL_EXPORTED_DEF obj_t bgl_phidget_unlock()
{
{ /* Llib/pdgevent.scm 98 */
{ /* Llib/pdgevent.scm 99 */
 obj_t BgL_mz00_188;
BgL_mz00_188 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 99 */
 int BgL_arg1675z00_189;
BgL_arg1675z00_189 = 
BGL_MUTEX_UNLOCK(BgL_mz00_188); 
return 
BBOOL(
(
(long)(BgL_arg1675z00_189)==((long)0)));} } } 

}



/* &%phidget-unlock! */
obj_t BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00(obj_t BgL_envz00_398)
{
{ /* Llib/pdgevent.scm 98 */
return 
bgl_phidget_unlock();} 

}



/* %phidget-signal */
BGL_EXPORTED_DEF obj_t bgl_phidget_signal()
{
{ /* Llib/pdgevent.scm 104 */
{ /* Llib/pdgevent.scm 105 */
 obj_t BgL_cz00_191;
BgL_cz00_191 = BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00; 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_cz00_191));} } 

}



/* &%phidget-signal */
obj_t BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00(obj_t BgL_envz00_399)
{
{ /* Llib/pdgevent.scm 104 */
return 
bgl_phidget_signal();} 

}



/* %phidget-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 120 */
{ /* Llib/pdgevent.scm 121 */
 bool_t BgL_test1422z00_722;
{ /* Llib/pdgevent.scm 121 */
 obj_t BgL_objz00_192; obj_t BgL_classz00_193;
BgL_objz00_192 = BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00; 
BgL_classz00_193 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_192))
{ /* Llib/pdgevent.scm 121 */
 BgL_objectz00_bglt BgL_arg1797z00_195;
BgL_arg1797z00_195 = 
(BgL_objectz00_bglt)(BgL_objz00_192); 
{ /* Llib/pdgevent.scm 121 */
 bool_t BgL_arg1794z00_198; bool_t BgL_arg1795z00_199;
{ /* Llib/pdgevent.scm 121 */
 long BgL_idxz00_202;
BgL_idxz00_202 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_195); 
BgL_arg1794z00_198 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_202+((long)1)))==BgL_classz00_193); } 
{ /* Llib/pdgevent.scm 121 */
 bool_t BgL_res1201z00_224;
{ /* Llib/pdgevent.scm 121 */
 obj_t BgL_oclassz00_210;
{ /* Llib/pdgevent.scm 121 */
 long BgL_arg1804z00_216;
{ /* Llib/pdgevent.scm 121 */
 long BgL_arg1805z00_217;
BgL_arg1805z00_217 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_195); 
BgL_arg1804z00_216 = 
(BgL_arg1805z00_217-OBJECT_TYPE); } 
BgL_oclassz00_210 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_216); } 
{ /* Llib/pdgevent.scm 121 */
 bool_t BgL__ortest_1111z00_211;
BgL__ortest_1111z00_211 = 
(BgL_classz00_193==BgL_oclassz00_210); 
if(BgL__ortest_1111z00_211)
{ /* Llib/pdgevent.scm 121 */
BgL_res1201z00_224 = BgL__ortest_1111z00_211; }  else 
{ /* Llib/pdgevent.scm 121 */
 long BgL_odepthz00_212;
BgL_odepthz00_212 = 
BGL_CLASS_DEPTH(BgL_oclassz00_210); 
if(
(((long)1)<BgL_odepthz00_212))
{ /* Llib/pdgevent.scm 121 */
 obj_t BgL_arg1793z00_214;
BgL_arg1793z00_214 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_210, ((long)1)); 
BgL_res1201z00_224 = 
(BgL_arg1793z00_214==BgL_classz00_193); }  else 
{ /* Llib/pdgevent.scm 121 */
BgL_res1201z00_224 = ((bool_t)0); } } } } 
BgL_arg1795z00_199 = BgL_res1201z00_224; } 
BgL_test1422z00_722 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_198, BgL_arg1795z00_199); } }  else 
{ /* Llib/pdgevent.scm 121 */
BgL_test1422z00_722 = ((bool_t)0)
; } } 
if(BgL_test1422z00_722)
{ /* Llib/pdgevent.scm 121 */
return BFALSE;}  else 
{ /* Llib/pdgevent.scm 121 */
{ /* Llib/pdgevent.scm 124 */
 BgL_pthreadz00_bglt BgL_new1089z00_86;
{ /* Llib/pdgevent.scm 124 */
 BgL_pthreadz00_bglt BgL_new1088z00_97;
BgL_new1088z00_97 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pdgevent.scm 124 */
 long BgL_arg1147z00_98;
BgL_arg1147z00_98 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_97), BgL_arg1147z00_98); } 
BgL_new1089z00_86 = BgL_new1088z00_97; } 
{ 
 obj_t BgL_auxz00_745;
{ /* Llib/pdgevent.scm 124 */
 obj_t BgL_arg1142z00_87;
{ /* Llib/pdgevent.scm 124 */
 obj_t BgL_arg1143z00_88;
{ /* Llib/pdgevent.scm 124 */
 obj_t BgL_classz00_228;
BgL_classz00_228 = BGl_pthreadz00zz__pth_threadz00; 
BgL_arg1143z00_88 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_228); } 
BgL_arg1142z00_87 = 
VECTOR_REF(BgL_arg1143z00_88,((long)0)); } 
BgL_auxz00_745 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1142z00_87); } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1089z00_86)))->BgL_namez00)=((obj_t)BgL_auxz00_745),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_bodyz00)=((obj_t)BGl_proc1315z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/pdgevent.scm 124 */
 obj_t BgL_fun1146z00_96;
BgL_fun1146z00_96 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
PROCEDURE_ENTRY(BgL_fun1146z00_96)(BgL_fun1146z00_96, 
((obj_t)BgL_new1089z00_86), BEOA); } 
BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = 
((obj_t)BgL_new1089z00_86); } 
return 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00), BNIL);} } } 

}



/* &%phidget-thread-init! */
obj_t BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00(obj_t BgL_envz00_401)
{
{ /* Llib/pdgevent.scm 120 */
return 
BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00();} 

}



/* &<@anonymous:1144> */
obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__phidget_eventz00(obj_t BgL_envz00_402)
{
{ /* Llib/pdgevent.scm 125 */
{ /* Llib/pdgevent.scm 126 */
 obj_t BgL_top1427z00_768;
BgL_top1427z00_768 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1427z00_768, BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); BUNSPEC; 
{ /* Llib/pdgevent.scm 126 */
 obj_t BgL_tmp1426z00_767;
{ 

BgL_loopz00_613:
{ /* Llib/pdgevent.scm 129 */
 obj_t BgL_g1171z00_614; obj_t BgL_g1172z00_615;
BgL_g1171z00_614 = BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00; 
BgL_g1172z00_615 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 128 */

BGL_CONDVAR_WAIT(BgL_g1171z00_614, BgL_g1172z00_615); } } 
bgl_phidget_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_613;} 
BGL_EXITD_POP_PROTECT(BgL_top1427z00_768); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); 
return BgL_tmp1426z00_767;} } } 

}



/* phidget-event-error-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_error_new(obj_t BgL_targetz00_6, int BgL_codez00_7, char * BgL_msgz00_8)
{
{ /* Llib/pdgevent.scm 147 */
{ /* Llib/pdgevent.scm 148 */
 BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1093z00_235;
{ /* Llib/pdgevent.scm 149 */
 BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1092z00_236;
BgL_new1092z00_236 = 
((BgL_phidgetzd2errorzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2errorzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 149 */
 long BgL_arg1149z00_237;
BgL_arg1149z00_237 = 
BGL_CLASS_NUM(BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_236), BgL_arg1149z00_237); } 
BgL_new1093z00_235 = BgL_new1092z00_236; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1093z00_235)))->BgL_targetz00)=((obj_t)BgL_targetz00_6),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1093z00_235))->BgL_codez00)=((int)BgL_codez00_7),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1093z00_235))->BgL_messagez00)=((char *)BgL_msgz00_8),BUNSPEC); 
return 
((obj_t)BgL_new1093z00_235);} } 

}



/* &phidget-event-error-new */
obj_t BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_403, obj_t BgL_targetz00_404, obj_t BgL_codez00_405, obj_t BgL_msgz00_406)
{
{ /* Llib/pdgevent.scm 147 */
{ /* Llib/pdgevent.scm 148 */
 char * BgL_auxz00_794; int BgL_auxz00_785;
{ /* Llib/pdgevent.scm 148 */
 obj_t BgL_tmpz00_795;
if(
STRINGP(BgL_msgz00_406))
{ /* Llib/pdgevent.scm 148 */
BgL_tmpz00_795 = BgL_msgz00_406
; }  else 
{ 
 obj_t BgL_auxz00_798;
BgL_auxz00_798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)7781)), BGl_string1317z00zz__phidget_eventz00, BGl_string1319z00zz__phidget_eventz00, BgL_msgz00_406); 
FAILURE(BgL_auxz00_798,BFALSE,BFALSE);} 
BgL_auxz00_794 = 
BSTRING_TO_STRING(BgL_tmpz00_795); } 
{ /* Llib/pdgevent.scm 148 */
 obj_t BgL_tmpz00_786;
if(
INTEGERP(BgL_codez00_405))
{ /* Llib/pdgevent.scm 148 */
BgL_tmpz00_786 = BgL_codez00_405
; }  else 
{ 
 obj_t BgL_auxz00_789;
BgL_auxz00_789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)7781)), BGl_string1317z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_codez00_405); 
FAILURE(BgL_auxz00_789,BFALSE,BFALSE);} 
BgL_auxz00_785 = 
CINT(BgL_tmpz00_786); } 
return 
bgl_phidget_event_error_new(BgL_targetz00_404, BgL_auxz00_785, BgL_auxz00_794);} } 

}



/* phidget-event-attach-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_attach_new(obj_t BgL_targetz00_9, CPhidgetHandle BgL_phidz00_10)
{
{ /* Llib/pdgevent.scm 156 */
{ /* Llib/pdgevent.scm 157 */
 BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1095z00_241;
{ /* Llib/pdgevent.scm 158 */
 BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1094z00_242;
BgL_new1094z00_242 = 
((BgL_phidgetzd2attachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2attachzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 158 */
 long BgL_arg1150z00_243;
BgL_arg1150z00_243 = 
BGL_CLASS_NUM(BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_242), BgL_arg1150z00_243); } 
BgL_new1095z00_241 = BgL_new1094z00_242; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1095z00_241)))->BgL_targetz00)=((obj_t)BgL_targetz00_9),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1095z00_241)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_10))),BUNSPEC); 
return 
((obj_t)BgL_new1095z00_241);} } 

}



/* &phidget-event-attach-new */
obj_t BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_407, obj_t BgL_targetz00_408, obj_t BgL_phidz00_409)
{
{ /* Llib/pdgevent.scm 156 */
{ /* Llib/pdgevent.scm 157 */
 CPhidgetHandle BgL_auxz00_815;
if(
FOREIGNP(BgL_phidz00_409))
{ /* Llib/pdgevent.scm 157 */
BgL_auxz00_815 = 
FOREIGN_TO_COBJ(BgL_phidz00_409)
; }  else 
{ 
 obj_t BgL_auxz00_819;
BgL_auxz00_819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)8164)), BGl_string1320z00zz__phidget_eventz00, BGl_string1321z00zz__phidget_eventz00, BgL_phidz00_409); 
FAILURE(BgL_auxz00_819,BFALSE,BFALSE);} 
return 
bgl_phidget_event_attach_new(BgL_targetz00_408, BgL_auxz00_815);} } 

}



/* phidget-event-detach-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_detach_new(obj_t BgL_targetz00_11, CPhidgetHandle BgL_phidz00_12)
{
{ /* Llib/pdgevent.scm 164 */
{ /* Llib/pdgevent.scm 165 */
 BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1097z00_247;
{ /* Llib/pdgevent.scm 166 */
 BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1096z00_248;
BgL_new1096z00_248 = 
((BgL_phidgetzd2detachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2detachzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 166 */
 long BgL_arg1153z00_249;
BgL_arg1153z00_249 = 
BGL_CLASS_NUM(BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_248), BgL_arg1153z00_249); } 
BgL_new1097z00_247 = BgL_new1096z00_248; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1097z00_247)))->BgL_targetz00)=((obj_t)BgL_targetz00_11),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1097z00_247)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_12))),BUNSPEC); 
return 
((obj_t)BgL_new1097z00_247);} } 

}



/* &phidget-event-detach-new */
obj_t BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_410, obj_t BgL_targetz00_411, obj_t BgL_phidz00_412)
{
{ /* Llib/pdgevent.scm 164 */
{ /* Llib/pdgevent.scm 165 */
 CPhidgetHandle BgL_auxz00_835;
if(
FOREIGNP(BgL_phidz00_412))
{ /* Llib/pdgevent.scm 165 */
BgL_auxz00_835 = 
FOREIGN_TO_COBJ(BgL_phidz00_412)
; }  else 
{ 
 obj_t BgL_auxz00_839;
BgL_auxz00_839 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)8547)), BGl_string1322z00zz__phidget_eventz00, BGl_string1321z00zz__phidget_eventz00, BgL_phidz00_412); 
FAILURE(BgL_auxz00_839,BFALSE,BFALSE);} 
return 
bgl_phidget_event_detach_new(BgL_targetz00_411, BgL_auxz00_835);} } 

}



/* phidget-event-inputchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_inputchange_new(obj_t BgL_targetz00_13, int BgL_indexz00_14, bool_t BgL_statez00_15)
{
{ /* Llib/pdgevent.scm 172 */
{ /* Llib/pdgevent.scm 173 */
 BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1099z00_253;
{ /* Llib/pdgevent.scm 174 */
 BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1098z00_254;
BgL_new1098z00_254 = 
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2inputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 174 */
 long BgL_arg1154z00_255;
BgL_arg1154z00_255 = 
BGL_CLASS_NUM(BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_254), BgL_arg1154z00_255); } 
BgL_new1099z00_253 = BgL_new1098z00_254; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1099z00_253)))->BgL_targetz00)=((obj_t)BgL_targetz00_13),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1099z00_253)))->BgL_indexz00)=((int)BgL_indexz00_14),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(BgL_new1099z00_253))->BgL_statez00)=((bool_t)BgL_statez00_15),BUNSPEC); 
return 
((obj_t)BgL_new1099z00_253);} } 

}



/* &phidget-event-inputchange-new */
obj_t BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_413, obj_t BgL_targetz00_414, obj_t BgL_indexz00_415, obj_t BgL_statez00_416)
{
{ /* Llib/pdgevent.scm 172 */
{ /* Llib/pdgevent.scm 173 */
 int BgL_auxz00_854;
{ /* Llib/pdgevent.scm 173 */
 obj_t BgL_tmpz00_855;
if(
INTEGERP(BgL_indexz00_415))
{ /* Llib/pdgevent.scm 173 */
BgL_tmpz00_855 = BgL_indexz00_415
; }  else 
{ 
 obj_t BgL_auxz00_858;
BgL_auxz00_858 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)8939)), BGl_string1323z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_415); 
FAILURE(BgL_auxz00_858,BFALSE,BFALSE);} 
BgL_auxz00_854 = 
CINT(BgL_tmpz00_855); } 
return 
bgl_phidget_event_inputchange_new(BgL_targetz00_414, BgL_auxz00_854, 
CBOOL(BgL_statez00_416));} } 

}



/* phidget-event-outputchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_outputchange_new(obj_t BgL_targetz00_16, int BgL_indexz00_17, bool_t BgL_statez00_18)
{
{ /* Llib/pdgevent.scm 181 */
{ /* Llib/pdgevent.scm 182 */
 BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1101z00_259;
{ /* Llib/pdgevent.scm 183 */
 BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1100z00_260;
BgL_new1100z00_260 = 
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2outputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 183 */
 long BgL_arg1158z00_261;
BgL_arg1158z00_261 = 
BGL_CLASS_NUM(BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_260), BgL_arg1158z00_261); } 
BgL_new1101z00_259 = BgL_new1100z00_260; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1101z00_259)))->BgL_targetz00)=((obj_t)BgL_targetz00_16),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1101z00_259)))->BgL_indexz00)=((int)BgL_indexz00_17),BUNSPEC); 
((((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(BgL_new1101z00_259))->BgL_statez00)=((bool_t)BgL_statez00_18),BUNSPEC); 
return 
((obj_t)BgL_new1101z00_259);} } 

}



/* &phidget-event-outputchange-new */
obj_t BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_417, obj_t BgL_targetz00_418, obj_t BgL_indexz00_419, obj_t BgL_statez00_420)
{
{ /* Llib/pdgevent.scm 181 */
{ /* Llib/pdgevent.scm 182 */
 int BgL_auxz00_875;
{ /* Llib/pdgevent.scm 182 */
 obj_t BgL_tmpz00_876;
if(
INTEGERP(BgL_indexz00_419))
{ /* Llib/pdgevent.scm 182 */
BgL_tmpz00_876 = BgL_indexz00_419
; }  else 
{ 
 obj_t BgL_auxz00_879;
BgL_auxz00_879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)9340)), BGl_string1324z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_419); 
FAILURE(BgL_auxz00_879,BFALSE,BFALSE);} 
BgL_auxz00_875 = 
CINT(BgL_tmpz00_876); } 
return 
bgl_phidget_event_outputchange_new(BgL_targetz00_418, BgL_auxz00_875, 
CBOOL(BgL_statez00_420));} } 

}



/* phidget-event-sensorchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_sensorchange_new(obj_t BgL_targetz00_19, int BgL_indexz00_20, int BgL_statez00_21)
{
{ /* Llib/pdgevent.scm 190 */
{ /* Llib/pdgevent.scm 191 */
 BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1103z00_265;
{ /* Llib/pdgevent.scm 192 */
 BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1102z00_266;
BgL_new1102z00_266 = 
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2sensorchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 192 */
 long BgL_arg1159z00_267;
BgL_arg1159z00_267 = 
BGL_CLASS_NUM(BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_266), BgL_arg1159z00_267); } 
BgL_new1103z00_265 = BgL_new1102z00_266; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1103z00_265)))->BgL_targetz00)=((obj_t)BgL_targetz00_19),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1103z00_265)))->BgL_indexz00)=((int)BgL_indexz00_20),BUNSPEC); 
((((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(BgL_new1103z00_265))->BgL_statez00)=((int)BgL_statez00_21),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_265);} } 

}



/* &phidget-event-sensorchange-new */
obj_t BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_421, obj_t BgL_targetz00_422, obj_t BgL_indexz00_423, obj_t BgL_statez00_424)
{
{ /* Llib/pdgevent.scm 190 */
{ /* Llib/pdgevent.scm 191 */
 int BgL_auxz00_905; int BgL_auxz00_896;
{ /* Llib/pdgevent.scm 191 */
 obj_t BgL_tmpz00_906;
if(
INTEGERP(BgL_statez00_424))
{ /* Llib/pdgevent.scm 191 */
BgL_tmpz00_906 = BgL_statez00_424
; }  else 
{ 
 obj_t BgL_auxz00_909;
BgL_auxz00_909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)9741)), BGl_string1325z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_statez00_424); 
FAILURE(BgL_auxz00_909,BFALSE,BFALSE);} 
BgL_auxz00_905 = 
CINT(BgL_tmpz00_906); } 
{ /* Llib/pdgevent.scm 191 */
 obj_t BgL_tmpz00_897;
if(
INTEGERP(BgL_indexz00_423))
{ /* Llib/pdgevent.scm 191 */
BgL_tmpz00_897 = BgL_indexz00_423
; }  else 
{ 
 obj_t BgL_auxz00_900;
BgL_auxz00_900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)9741)), BGl_string1325z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_423); 
FAILURE(BgL_auxz00_900,BFALSE,BFALSE);} 
BgL_auxz00_896 = 
CINT(BgL_tmpz00_897); } 
return 
bgl_phidget_event_sensorchange_new(BgL_targetz00_422, BgL_auxz00_896, BgL_auxz00_905);} } 

}



/* phidget-event-serverconnect-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_serverconnect_new(obj_t BgL_targetz00_22, CPhidgetHandle BgL_phidz00_23)
{
{ /* Llib/pdgevent.scm 199 */
{ /* Llib/pdgevent.scm 200 */
 BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1105z00_271;
{ /* Llib/pdgevent.scm 201 */
 BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1104z00_272;
BgL_new1104z00_272 = 
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 201 */
 long BgL_arg1162z00_273;
BgL_arg1162z00_273 = 
BGL_CLASS_NUM(BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_272), BgL_arg1162z00_273); } 
BgL_new1105z00_271 = BgL_new1104z00_272; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1105z00_271)))->BgL_targetz00)=((obj_t)BgL_targetz00_22),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1105z00_271)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_23))),BUNSPEC); 
return 
((obj_t)BgL_new1105z00_271);} } 

}



/* &phidget-event-serverconnect-new */
obj_t BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_425, obj_t BgL_targetz00_426, obj_t BgL_phidz00_427)
{
{ /* Llib/pdgevent.scm 199 */
{ /* Llib/pdgevent.scm 200 */
 CPhidgetHandle BgL_auxz00_926;
if(
FOREIGNP(BgL_phidz00_427))
{ /* Llib/pdgevent.scm 200 */
BgL_auxz00_926 = 
FOREIGN_TO_COBJ(BgL_phidz00_427)
; }  else 
{ 
 obj_t BgL_auxz00_930;
BgL_auxz00_930 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10140)), BGl_string1326z00zz__phidget_eventz00, BGl_string1321z00zz__phidget_eventz00, BgL_phidz00_427); 
FAILURE(BgL_auxz00_930,BFALSE,BFALSE);} 
return 
bgl_phidget_event_serverconnect_new(BgL_targetz00_426, BgL_auxz00_926);} } 

}



/* phidget-event-serverdisconnect-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_serverdisconnect_new(obj_t BgL_targetz00_24, CPhidgetHandle BgL_phidz00_25)
{
{ /* Llib/pdgevent.scm 207 */
{ /* Llib/pdgevent.scm 208 */
 BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1107z00_277;
{ /* Llib/pdgevent.scm 209 */
 BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1106z00_278;
BgL_new1106z00_278 = 
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 209 */
 long BgL_arg1163z00_279;
BgL_arg1163z00_279 = 
BGL_CLASS_NUM(BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_278), BgL_arg1163z00_279); } 
BgL_new1107z00_277 = BgL_new1106z00_278; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1107z00_277)))->BgL_targetz00)=((obj_t)BgL_targetz00_24),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1107z00_277)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_25))),BUNSPEC); 
return 
((obj_t)BgL_new1107z00_277);} } 

}



/* &phidget-event-serverdisconnect-new */
obj_t BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_428, obj_t BgL_targetz00_429, obj_t BgL_phidz00_430)
{
{ /* Llib/pdgevent.scm 207 */
{ /* Llib/pdgevent.scm 208 */
 CPhidgetHandle BgL_auxz00_946;
if(
FOREIGNP(BgL_phidz00_430))
{ /* Llib/pdgevent.scm 208 */
BgL_auxz00_946 = 
FOREIGN_TO_COBJ(BgL_phidz00_430)
; }  else 
{ 
 obj_t BgL_auxz00_950;
BgL_auxz00_950 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10540)), BGl_string1327z00zz__phidget_eventz00, BGl_string1321z00zz__phidget_eventz00, BgL_phidz00_430); 
FAILURE(BgL_auxz00_950,BFALSE,BFALSE);} 
return 
bgl_phidget_event_serverdisconnect_new(BgL_targetz00_429, BgL_auxz00_946);} } 

}



/* phidget-event-spatialdata-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_spatialdata_new(obj_t BgL_targetz00_26, int BgL_sz00_27, int BgL_msz00_28, double BgL_acxz00_29, double BgL_acyz00_30, double BgL_acza7za7_31, double BgL_anxz00_32, double BgL_anyz00_33, double BgL_anza7za7_34, double BgL_mfxz00_35, double BgL_mfyz00_36, double BgL_mfza7za7_37)
{
{ /* Llib/pdgevent.scm 215 */
{ /* Llib/pdgevent.scm 216 */
 BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1109z00_283;
{ /* Llib/pdgevent.scm 217 */
 BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1108z00_284;
BgL_new1108z00_284 = 
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2spatialdatazd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 217 */
 long BgL_arg1167z00_285;
BgL_arg1167z00_285 = 
BGL_CLASS_NUM(BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_284), BgL_arg1167z00_285); } 
BgL_new1109z00_283 = BgL_new1108z00_284; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1109z00_283)))->BgL_targetz00)=((obj_t)BgL_targetz00_26),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_secondsz00)=((int)BgL_sz00_27),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_microsecondsz00)=((int)BgL_msz00_28),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_acxz00)=((double)BgL_acxz00_29),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_acyz00)=((double)BgL_acyz00_30),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_acza7za7)=((double)BgL_acza7za7_31),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_anxz00)=((double)BgL_anxz00_32),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_anyz00)=((double)BgL_anyz00_33),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_anza7za7)=((double)BgL_anza7za7_34),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_mfxz00)=((double)BgL_mfxz00_35),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_mfyz00)=((double)BgL_mfyz00_36),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1109z00_283))->BgL_mfza7za7)=((double)BgL_mfza7za7_37),BUNSPEC); 
return 
((obj_t)BgL_new1109z00_283);} } 

}



/* &phidget-event-spatialdata-new */
obj_t BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_431, obj_t BgL_targetz00_432, obj_t BgL_sz00_433, obj_t BgL_msz00_434, obj_t BgL_acxz00_435, obj_t BgL_acyz00_436, obj_t BgL_acza7za7_437, obj_t BgL_anxz00_438, obj_t BgL_anyz00_439, obj_t BgL_anza7za7_440, obj_t BgL_mfxz00_441, obj_t BgL_mfyz00_442, obj_t BgL_mfza7za7_443)
{
{ /* Llib/pdgevent.scm 215 */
{ /* Llib/pdgevent.scm 216 */
 double BgL_auxz00_1063; double BgL_auxz00_1054; double BgL_auxz00_1045; double BgL_auxz00_1036; double BgL_auxz00_1027; double BgL_auxz00_1018; double BgL_auxz00_1009; double BgL_auxz00_1000; double BgL_auxz00_991; int BgL_auxz00_982; int BgL_auxz00_973;
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1064;
if(
REALP(BgL_mfza7za7_443))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1064 = BgL_mfza7za7_443
; }  else 
{ 
 obj_t BgL_auxz00_1067;
BgL_auxz00_1067 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_mfza7za7_443); 
FAILURE(BgL_auxz00_1067,BFALSE,BFALSE);} 
BgL_auxz00_1063 = 
REAL_TO_DOUBLE(BgL_tmpz00_1064); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1055;
if(
REALP(BgL_mfyz00_442))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1055 = BgL_mfyz00_442
; }  else 
{ 
 obj_t BgL_auxz00_1058;
BgL_auxz00_1058 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_mfyz00_442); 
FAILURE(BgL_auxz00_1058,BFALSE,BFALSE);} 
BgL_auxz00_1054 = 
REAL_TO_DOUBLE(BgL_tmpz00_1055); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1046;
if(
REALP(BgL_mfxz00_441))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1046 = BgL_mfxz00_441
; }  else 
{ 
 obj_t BgL_auxz00_1049;
BgL_auxz00_1049 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_mfxz00_441); 
FAILURE(BgL_auxz00_1049,BFALSE,BFALSE);} 
BgL_auxz00_1045 = 
REAL_TO_DOUBLE(BgL_tmpz00_1046); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1037;
if(
REALP(BgL_anza7za7_440))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1037 = BgL_anza7za7_440
; }  else 
{ 
 obj_t BgL_auxz00_1040;
BgL_auxz00_1040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_anza7za7_440); 
FAILURE(BgL_auxz00_1040,BFALSE,BFALSE);} 
BgL_auxz00_1036 = 
REAL_TO_DOUBLE(BgL_tmpz00_1037); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1028;
if(
REALP(BgL_anyz00_439))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1028 = BgL_anyz00_439
; }  else 
{ 
 obj_t BgL_auxz00_1031;
BgL_auxz00_1031 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_anyz00_439); 
FAILURE(BgL_auxz00_1031,BFALSE,BFALSE);} 
BgL_auxz00_1027 = 
REAL_TO_DOUBLE(BgL_tmpz00_1028); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1019;
if(
REALP(BgL_anxz00_438))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1019 = BgL_anxz00_438
; }  else 
{ 
 obj_t BgL_auxz00_1022;
BgL_auxz00_1022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_anxz00_438); 
FAILURE(BgL_auxz00_1022,BFALSE,BFALSE);} 
BgL_auxz00_1018 = 
REAL_TO_DOUBLE(BgL_tmpz00_1019); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1010;
if(
REALP(BgL_acza7za7_437))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1010 = BgL_acza7za7_437
; }  else 
{ 
 obj_t BgL_auxz00_1013;
BgL_auxz00_1013 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_acza7za7_437); 
FAILURE(BgL_auxz00_1013,BFALSE,BFALSE);} 
BgL_auxz00_1009 = 
REAL_TO_DOUBLE(BgL_tmpz00_1010); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_1001;
if(
REALP(BgL_acyz00_436))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1001 = BgL_acyz00_436
; }  else 
{ 
 obj_t BgL_auxz00_1004;
BgL_auxz00_1004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_acyz00_436); 
FAILURE(BgL_auxz00_1004,BFALSE,BFALSE);} 
BgL_auxz00_1000 = 
REAL_TO_DOUBLE(BgL_tmpz00_1001); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_992;
if(
REALP(BgL_acxz00_435))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_992 = BgL_acxz00_435
; }  else 
{ 
 obj_t BgL_auxz00_995;
BgL_auxz00_995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_acxz00_435); 
FAILURE(BgL_auxz00_995,BFALSE,BFALSE);} 
BgL_auxz00_991 = 
REAL_TO_DOUBLE(BgL_tmpz00_992); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_983;
if(
INTEGERP(BgL_msz00_434))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_983 = BgL_msz00_434
; }  else 
{ 
 obj_t BgL_auxz00_986;
BgL_auxz00_986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_msz00_434); 
FAILURE(BgL_auxz00_986,BFALSE,BFALSE);} 
BgL_auxz00_982 = 
CINT(BgL_tmpz00_983); } 
{ /* Llib/pdgevent.scm 216 */
 obj_t BgL_tmpz00_974;
if(
INTEGERP(BgL_sz00_433))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_974 = BgL_sz00_433
; }  else 
{ 
 obj_t BgL_auxz00_977;
BgL_auxz00_977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1328z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_sz00_433); 
FAILURE(BgL_auxz00_977,BFALSE,BFALSE);} 
BgL_auxz00_973 = 
CINT(BgL_tmpz00_974); } 
return 
bgl_phidget_event_spatialdata_new(BgL_targetz00_432, BgL_auxz00_973, BgL_auxz00_982, BgL_auxz00_991, BgL_auxz00_1000, BgL_auxz00_1009, BgL_auxz00_1018, BgL_auxz00_1027, BgL_auxz00_1036, BgL_auxz00_1045, BgL_auxz00_1054, BgL_auxz00_1063);} } 

}



/* phidget-event-servoposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servoposition_new(obj_t BgL_targetz00_38, int BgL_indexz00_39, double BgL_positionz00_40)
{
{ /* Llib/pdgevent.scm 233 */
{ /* Llib/pdgevent.scm 234 */
 BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1112z00_289;
{ /* Llib/pdgevent.scm 235 */
 BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1110z00_290;
BgL_new1110z00_290 = 
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servopositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 235 */
 long BgL_arg1171z00_291;
BgL_arg1171z00_291 = 
BGL_CLASS_NUM(BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_290), BgL_arg1171z00_291); } 
BgL_new1112z00_289 = BgL_new1110z00_290; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1112z00_289)))->BgL_targetz00)=((obj_t)BgL_targetz00_38),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1112z00_289))->BgL_indexz00)=((int)BgL_indexz00_39),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1112z00_289))->BgL_positionz00)=((double)BgL_positionz00_40),BUNSPEC); 
return 
((obj_t)BgL_new1112z00_289);} } 

}



/* &phidget-event-servoposition-new */
obj_t BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_444, obj_t BgL_targetz00_445, obj_t BgL_indexz00_446, obj_t BgL_positionz00_447)
{
{ /* Llib/pdgevent.scm 233 */
{ /* Llib/pdgevent.scm 234 */
 double BgL_auxz00_1091; int BgL_auxz00_1082;
{ /* Llib/pdgevent.scm 234 */
 obj_t BgL_tmpz00_1092;
if(
REALP(BgL_positionz00_447))
{ /* Llib/pdgevent.scm 234 */
BgL_tmpz00_1092 = BgL_positionz00_447
; }  else 
{ 
 obj_t BgL_auxz00_1095;
BgL_auxz00_1095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)11506)), BGl_string1330z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_positionz00_447); 
FAILURE(BgL_auxz00_1095,BFALSE,BFALSE);} 
BgL_auxz00_1091 = 
REAL_TO_DOUBLE(BgL_tmpz00_1092); } 
{ /* Llib/pdgevent.scm 234 */
 obj_t BgL_tmpz00_1083;
if(
INTEGERP(BgL_indexz00_446))
{ /* Llib/pdgevent.scm 234 */
BgL_tmpz00_1083 = BgL_indexz00_446
; }  else 
{ 
 obj_t BgL_auxz00_1086;
BgL_auxz00_1086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)11506)), BGl_string1330z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_446); 
FAILURE(BgL_auxz00_1086,BFALSE,BFALSE);} 
BgL_auxz00_1082 = 
CINT(BgL_tmpz00_1083); } 
return 
bgl_phidget_event_servoposition_new(BgL_targetz00_445, BgL_auxz00_1082, BgL_auxz00_1091);} } 

}



/* phidget-event-servovelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servovelocity_new(obj_t BgL_targetz00_41, int BgL_indexz00_42, double BgL_velocityz00_43)
{
{ /* Llib/pdgevent.scm 242 */
{ /* Llib/pdgevent.scm 243 */
 BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1114z00_295;
{ /* Llib/pdgevent.scm 244 */
 BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1113z00_296;
BgL_new1113z00_296 = 
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servovelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 244 */
 long BgL_arg1172z00_297;
BgL_arg1172z00_297 = 
BGL_CLASS_NUM(BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_296), BgL_arg1172z00_297); } 
BgL_new1114z00_295 = BgL_new1113z00_296; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1114z00_295)))->BgL_targetz00)=((obj_t)BgL_targetz00_41),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1114z00_295))->BgL_indexz00)=((int)BgL_indexz00_42),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1114z00_295))->BgL_velocityz00)=((double)BgL_velocityz00_43),BUNSPEC); 
return 
((obj_t)BgL_new1114z00_295);} } 

}



/* &phidget-event-servovelocity-new */
obj_t BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_448, obj_t BgL_targetz00_449, obj_t BgL_indexz00_450, obj_t BgL_velocityz00_451)
{
{ /* Llib/pdgevent.scm 242 */
{ /* Llib/pdgevent.scm 243 */
 double BgL_auxz00_1119; int BgL_auxz00_1110;
{ /* Llib/pdgevent.scm 243 */
 obj_t BgL_tmpz00_1120;
if(
REALP(BgL_velocityz00_451))
{ /* Llib/pdgevent.scm 243 */
BgL_tmpz00_1120 = BgL_velocityz00_451
; }  else 
{ 
 obj_t BgL_auxz00_1123;
BgL_auxz00_1123 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)11908)), BGl_string1331z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_velocityz00_451); 
FAILURE(BgL_auxz00_1123,BFALSE,BFALSE);} 
BgL_auxz00_1119 = 
REAL_TO_DOUBLE(BgL_tmpz00_1120); } 
{ /* Llib/pdgevent.scm 243 */
 obj_t BgL_tmpz00_1111;
if(
INTEGERP(BgL_indexz00_450))
{ /* Llib/pdgevent.scm 243 */
BgL_tmpz00_1111 = BgL_indexz00_450
; }  else 
{ 
 obj_t BgL_auxz00_1114;
BgL_auxz00_1114 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)11908)), BGl_string1331z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_450); 
FAILURE(BgL_auxz00_1114,BFALSE,BFALSE);} 
BgL_auxz00_1110 = 
CINT(BgL_tmpz00_1111); } 
return 
bgl_phidget_event_servovelocity_new(BgL_targetz00_449, BgL_auxz00_1110, BgL_auxz00_1119);} } 

}



/* phidget-event-servocurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servocurrent_new(obj_t BgL_targetz00_44, int BgL_indexz00_45, double BgL_currentz00_46)
{
{ /* Llib/pdgevent.scm 251 */
{ /* Llib/pdgevent.scm 252 */
 BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1116z00_301;
{ /* Llib/pdgevent.scm 253 */
 BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1115z00_302;
BgL_new1115z00_302 = 
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servocurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 253 */
 long BgL_arg1175z00_303;
BgL_arg1175z00_303 = 
BGL_CLASS_NUM(BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_302), BgL_arg1175z00_303); } 
BgL_new1116z00_301 = BgL_new1115z00_302; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1116z00_301)))->BgL_targetz00)=((obj_t)BgL_targetz00_44),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1116z00_301))->BgL_indexz00)=((int)BgL_indexz00_45),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1116z00_301))->BgL_currentz00)=((double)BgL_currentz00_46),BUNSPEC); 
return 
((obj_t)BgL_new1116z00_301);} } 

}



/* &phidget-event-servocurrent-new */
obj_t BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_452, obj_t BgL_targetz00_453, obj_t BgL_indexz00_454, obj_t BgL_currentz00_455)
{
{ /* Llib/pdgevent.scm 251 */
{ /* Llib/pdgevent.scm 252 */
 double BgL_auxz00_1147; int BgL_auxz00_1138;
{ /* Llib/pdgevent.scm 252 */
 obj_t BgL_tmpz00_1148;
if(
REALP(BgL_currentz00_455))
{ /* Llib/pdgevent.scm 252 */
BgL_tmpz00_1148 = BgL_currentz00_455
; }  else 
{ 
 obj_t BgL_auxz00_1151;
BgL_auxz00_1151 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)12308)), BGl_string1332z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_currentz00_455); 
FAILURE(BgL_auxz00_1151,BFALSE,BFALSE);} 
BgL_auxz00_1147 = 
REAL_TO_DOUBLE(BgL_tmpz00_1148); } 
{ /* Llib/pdgevent.scm 252 */
 obj_t BgL_tmpz00_1139;
if(
INTEGERP(BgL_indexz00_454))
{ /* Llib/pdgevent.scm 252 */
BgL_tmpz00_1139 = BgL_indexz00_454
; }  else 
{ 
 obj_t BgL_auxz00_1142;
BgL_auxz00_1142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)12308)), BGl_string1332z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_454); 
FAILURE(BgL_auxz00_1142,BFALSE,BFALSE);} 
BgL_auxz00_1138 = 
CINT(BgL_tmpz00_1139); } 
return 
bgl_phidget_event_servocurrent_new(BgL_targetz00_453, BgL_auxz00_1138, BgL_auxz00_1147);} } 

}



/* phidget-event-stepperinput-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_stepperinput_new(obj_t BgL_targetz00_47, int BgL_indexz00_48, int BgL_statez00_49)
{
{ /* Llib/pdgevent.scm 260 */
{ /* Llib/pdgevent.scm 261 */
 BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1118z00_307;
{ /* Llib/pdgevent.scm 262 */
 BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1117z00_308;
BgL_new1117z00_308 = 
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 262 */
 long BgL_arg1177z00_309;
BgL_arg1177z00_309 = 
BGL_CLASS_NUM(BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_308), BgL_arg1177z00_309); } 
BgL_new1118z00_307 = BgL_new1117z00_308; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1118z00_307)))->BgL_targetz00)=((obj_t)BgL_targetz00_47),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1118z00_307)))->BgL_indexz00)=((int)BgL_indexz00_48),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1118z00_307)))->BgL_statez00)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
((obj_t)BgL_new1118z00_307);} } 

}



/* &phidget-event-stepperinput-new */
obj_t BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_456, obj_t BgL_targetz00_457, obj_t BgL_indexz00_458, obj_t BgL_statez00_459)
{
{ /* Llib/pdgevent.scm 260 */
{ /* Llib/pdgevent.scm 261 */
 int BgL_auxz00_1177; int BgL_auxz00_1168;
{ /* Llib/pdgevent.scm 261 */
 obj_t BgL_tmpz00_1178;
if(
INTEGERP(BgL_statez00_459))
{ /* Llib/pdgevent.scm 261 */
BgL_tmpz00_1178 = BgL_statez00_459
; }  else 
{ 
 obj_t BgL_auxz00_1181;
BgL_auxz00_1181 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)12703)), BGl_string1333z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_statez00_459); 
FAILURE(BgL_auxz00_1181,BFALSE,BFALSE);} 
BgL_auxz00_1177 = 
CINT(BgL_tmpz00_1178); } 
{ /* Llib/pdgevent.scm 261 */
 obj_t BgL_tmpz00_1169;
if(
INTEGERP(BgL_indexz00_458))
{ /* Llib/pdgevent.scm 261 */
BgL_tmpz00_1169 = BgL_indexz00_458
; }  else 
{ 
 obj_t BgL_auxz00_1172;
BgL_auxz00_1172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)12703)), BGl_string1333z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_458); 
FAILURE(BgL_auxz00_1172,BFALSE,BFALSE);} 
BgL_auxz00_1168 = 
CINT(BgL_tmpz00_1169); } 
return 
bgl_phidget_event_stepperinput_new(BgL_targetz00_457, BgL_auxz00_1168, BgL_auxz00_1177);} } 

}



/* phidget-event-steppervelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_steppervelocity_new(obj_t BgL_targetz00_50, int BgL_indexz00_51, double BgL_velocityz00_52)
{
{ /* Llib/pdgevent.scm 269 */
{ /* Llib/pdgevent.scm 270 */
 BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1120z00_313;
{ /* Llib/pdgevent.scm 271 */
 BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1119z00_314;
BgL_new1119z00_314 = 
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 271 */
 long BgL_arg1179z00_315;
BgL_arg1179z00_315 = 
BGL_CLASS_NUM(BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_314), BgL_arg1179z00_315); } 
BgL_new1120z00_313 = BgL_new1119z00_314; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1120z00_313)))->BgL_targetz00)=((obj_t)BgL_targetz00_50),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1120z00_313))->BgL_indexz00)=((int)BgL_indexz00_51),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1120z00_313))->BgL_velocityz00)=((double)BgL_velocityz00_52),BUNSPEC); 
return 
((obj_t)BgL_new1120z00_313);} } 

}



/* &phidget-event-steppervelocity-new */
obj_t BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_460, obj_t BgL_targetz00_461, obj_t BgL_indexz00_462, obj_t BgL_velocityz00_463)
{
{ /* Llib/pdgevent.scm 269 */
{ /* Llib/pdgevent.scm 270 */
 double BgL_auxz00_1205; int BgL_auxz00_1196;
{ /* Llib/pdgevent.scm 270 */
 obj_t BgL_tmpz00_1206;
if(
REALP(BgL_velocityz00_463))
{ /* Llib/pdgevent.scm 270 */
BgL_tmpz00_1206 = BgL_velocityz00_463
; }  else 
{ 
 obj_t BgL_auxz00_1209;
BgL_auxz00_1209 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)13103)), BGl_string1334z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_velocityz00_463); 
FAILURE(BgL_auxz00_1209,BFALSE,BFALSE);} 
BgL_auxz00_1205 = 
REAL_TO_DOUBLE(BgL_tmpz00_1206); } 
{ /* Llib/pdgevent.scm 270 */
 obj_t BgL_tmpz00_1197;
if(
INTEGERP(BgL_indexz00_462))
{ /* Llib/pdgevent.scm 270 */
BgL_tmpz00_1197 = BgL_indexz00_462
; }  else 
{ 
 obj_t BgL_auxz00_1200;
BgL_auxz00_1200 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)13103)), BGl_string1334z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_462); 
FAILURE(BgL_auxz00_1200,BFALSE,BFALSE);} 
BgL_auxz00_1196 = 
CINT(BgL_tmpz00_1197); } 
return 
bgl_phidget_event_steppervelocity_new(BgL_targetz00_461, BgL_auxz00_1196, BgL_auxz00_1205);} } 

}



/* phidget-event-stepperposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_stepperposition_new(obj_t BgL_targetz00_53, int BgL_indexz00_54, BGL_LONGLONG_T BgL_positionz00_55)
{
{ /* Llib/pdgevent.scm 278 */
{ /* Llib/pdgevent.scm 279 */
 BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1122z00_319;
{ /* Llib/pdgevent.scm 280 */
 BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1121z00_320;
BgL_new1121z00_320 = 
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 280 */
 long BgL_arg1180z00_321;
BgL_arg1180z00_321 = 
BGL_CLASS_NUM(BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_320), BgL_arg1180z00_321); } 
BgL_new1122z00_319 = BgL_new1121z00_320; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1122z00_319)))->BgL_targetz00)=((obj_t)BgL_targetz00_53),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1122z00_319))->BgL_indexz00)=((int)BgL_indexz00_54),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1122z00_319))->BgL_positionz00)=((BGL_LONGLONG_T)BgL_positionz00_55),BUNSPEC); 
return 
((obj_t)BgL_new1122z00_319);} } 

}



/* &phidget-event-stepperposition-new */
obj_t BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_464, obj_t BgL_targetz00_465, obj_t BgL_indexz00_466, obj_t BgL_positionz00_467)
{
{ /* Llib/pdgevent.scm 278 */
{ /* Llib/pdgevent.scm 279 */
 BGL_LONGLONG_T BgL_auxz00_1233; int BgL_auxz00_1224;
{ /* Llib/pdgevent.scm 279 */
 obj_t BgL_tmpz00_1234;
if(
LLONGP(BgL_positionz00_467))
{ /* Llib/pdgevent.scm 279 */
BgL_tmpz00_1234 = BgL_positionz00_467
; }  else 
{ 
 obj_t BgL_auxz00_1237;
BgL_auxz00_1237 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)13512)), BGl_string1335z00zz__phidget_eventz00, BGl_string1336z00zz__phidget_eventz00, BgL_positionz00_467); 
FAILURE(BgL_auxz00_1237,BFALSE,BFALSE);} 
BgL_auxz00_1233 = 
BLLONG_TO_LLONG(BgL_tmpz00_1234); } 
{ /* Llib/pdgevent.scm 279 */
 obj_t BgL_tmpz00_1225;
if(
INTEGERP(BgL_indexz00_466))
{ /* Llib/pdgevent.scm 279 */
BgL_tmpz00_1225 = BgL_indexz00_466
; }  else 
{ 
 obj_t BgL_auxz00_1228;
BgL_auxz00_1228 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)13512)), BGl_string1335z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_466); 
FAILURE(BgL_auxz00_1228,BFALSE,BFALSE);} 
BgL_auxz00_1224 = 
CINT(BgL_tmpz00_1225); } 
return 
bgl_phidget_event_stepperposition_new(BgL_targetz00_465, BgL_auxz00_1224, BgL_auxz00_1233);} } 

}



/* phidget-event-steppercurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_steppercurrent_new(obj_t BgL_targetz00_56, int BgL_indexz00_57, double BgL_currentz00_58)
{
{ /* Llib/pdgevent.scm 287 */
{ /* Llib/pdgevent.scm 288 */
 BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1124z00_325;
{ /* Llib/pdgevent.scm 289 */
 BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1123z00_326;
BgL_new1123z00_326 = 
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 289 */
 long BgL_arg1181z00_327;
BgL_arg1181z00_327 = 
BGL_CLASS_NUM(BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_326), BgL_arg1181z00_327); } 
BgL_new1124z00_325 = BgL_new1123z00_326; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1124z00_325)))->BgL_targetz00)=((obj_t)BgL_targetz00_56),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1124z00_325))->BgL_indexz00)=((int)BgL_indexz00_57),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1124z00_325))->BgL_currentz00)=((double)BgL_currentz00_58),BUNSPEC); 
return 
((obj_t)BgL_new1124z00_325);} } 

}



/* &phidget-event-steppercurrent-new */
obj_t BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_468, obj_t BgL_targetz00_469, obj_t BgL_indexz00_470, obj_t BgL_currentz00_471)
{
{ /* Llib/pdgevent.scm 287 */
{ /* Llib/pdgevent.scm 288 */
 double BgL_auxz00_1261; int BgL_auxz00_1252;
{ /* Llib/pdgevent.scm 288 */
 obj_t BgL_tmpz00_1262;
if(
REALP(BgL_currentz00_471))
{ /* Llib/pdgevent.scm 288 */
BgL_tmpz00_1262 = BgL_currentz00_471
; }  else 
{ 
 obj_t BgL_auxz00_1265;
BgL_auxz00_1265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)13918)), BGl_string1337z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_currentz00_471); 
FAILURE(BgL_auxz00_1265,BFALSE,BFALSE);} 
BgL_auxz00_1261 = 
REAL_TO_DOUBLE(BgL_tmpz00_1262); } 
{ /* Llib/pdgevent.scm 288 */
 obj_t BgL_tmpz00_1253;
if(
INTEGERP(BgL_indexz00_470))
{ /* Llib/pdgevent.scm 288 */
BgL_tmpz00_1253 = BgL_indexz00_470
; }  else 
{ 
 obj_t BgL_auxz00_1256;
BgL_auxz00_1256 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)13918)), BGl_string1337z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_470); 
FAILURE(BgL_auxz00_1256,BFALSE,BFALSE);} 
BgL_auxz00_1252 = 
CINT(BgL_tmpz00_1253); } 
return 
bgl_phidget_event_steppercurrent_new(BgL_targetz00_469, BgL_auxz00_1252, BgL_auxz00_1261);} } 

}



/* phidget-event-motorcontrolvelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_motorcontrolvelocity_new(obj_t BgL_targetz00_59, int BgL_indexz00_60, double BgL_velocityz00_61)
{
{ /* Llib/pdgevent.scm 296 */
{ /* Llib/pdgevent.scm 297 */
 BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1126z00_331;
{ /* Llib/pdgevent.scm 298 */
 BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1125z00_332;
BgL_new1125z00_332 = 
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 298 */
 long BgL_arg1182z00_333;
BgL_arg1182z00_333 = 
BGL_CLASS_NUM(BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_332), BgL_arg1182z00_333); } 
BgL_new1126z00_331 = BgL_new1125z00_332; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1126z00_331)))->BgL_targetz00)=((obj_t)BgL_targetz00_59),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1126z00_331))->BgL_indexz00)=((int)BgL_indexz00_60),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1126z00_331))->BgL_velocityz00)=((double)BgL_velocityz00_61),BUNSPEC); 
return 
((obj_t)BgL_new1126z00_331);} } 

}



/* &phidget-event-motorcontrolvelocity-new */
obj_t BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_472, obj_t BgL_targetz00_473, obj_t BgL_indexz00_474, obj_t BgL_velocityz00_475)
{
{ /* Llib/pdgevent.scm 296 */
{ /* Llib/pdgevent.scm 297 */
 double BgL_auxz00_1289; int BgL_auxz00_1280;
{ /* Llib/pdgevent.scm 297 */
 obj_t BgL_tmpz00_1290;
if(
REALP(BgL_velocityz00_475))
{ /* Llib/pdgevent.scm 297 */
BgL_tmpz00_1290 = BgL_velocityz00_475
; }  else 
{ 
 obj_t BgL_auxz00_1293;
BgL_auxz00_1293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)14326)), BGl_string1338z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_velocityz00_475); 
FAILURE(BgL_auxz00_1293,BFALSE,BFALSE);} 
BgL_auxz00_1289 = 
REAL_TO_DOUBLE(BgL_tmpz00_1290); } 
{ /* Llib/pdgevent.scm 297 */
 obj_t BgL_tmpz00_1281;
if(
INTEGERP(BgL_indexz00_474))
{ /* Llib/pdgevent.scm 297 */
BgL_tmpz00_1281 = BgL_indexz00_474
; }  else 
{ 
 obj_t BgL_auxz00_1284;
BgL_auxz00_1284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)14326)), BGl_string1338z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_474); 
FAILURE(BgL_auxz00_1284,BFALSE,BFALSE);} 
BgL_auxz00_1280 = 
CINT(BgL_tmpz00_1281); } 
return 
bgl_phidget_event_motorcontrolvelocity_new(BgL_targetz00_473, BgL_auxz00_1280, BgL_auxz00_1289);} } 

}



/* phidget-event-motorcontrolcurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_motorcontrolcurrent_new(obj_t BgL_targetz00_62, int BgL_indexz00_63, double BgL_currentz00_64)
{
{ /* Llib/pdgevent.scm 305 */
{ /* Llib/pdgevent.scm 306 */
 BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1128z00_337;
{ /* Llib/pdgevent.scm 307 */
 BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1127z00_338;
BgL_new1127z00_338 = 
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 307 */
 long BgL_arg1184z00_339;
BgL_arg1184z00_339 = 
BGL_CLASS_NUM(BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_338), BgL_arg1184z00_339); } 
BgL_new1128z00_337 = BgL_new1127z00_338; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1128z00_337)))->BgL_targetz00)=((obj_t)BgL_targetz00_62),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1128z00_337))->BgL_indexz00)=((int)BgL_indexz00_63),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1128z00_337))->BgL_currentz00)=((double)BgL_currentz00_64),BUNSPEC); 
return 
((obj_t)BgL_new1128z00_337);} } 

}



/* &phidget-event-motorcontrolcurrent-new */
obj_t BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_476, obj_t BgL_targetz00_477, obj_t BgL_indexz00_478, obj_t BgL_currentz00_479)
{
{ /* Llib/pdgevent.scm 305 */
{ /* Llib/pdgevent.scm 306 */
 double BgL_auxz00_1317; int BgL_auxz00_1308;
{ /* Llib/pdgevent.scm 306 */
 obj_t BgL_tmpz00_1318;
if(
REALP(BgL_currentz00_479))
{ /* Llib/pdgevent.scm 306 */
BgL_tmpz00_1318 = BgL_currentz00_479
; }  else 
{ 
 obj_t BgL_auxz00_1321;
BgL_auxz00_1321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)14740)), BGl_string1339z00zz__phidget_eventz00, BGl_string1329z00zz__phidget_eventz00, BgL_currentz00_479); 
FAILURE(BgL_auxz00_1321,BFALSE,BFALSE);} 
BgL_auxz00_1317 = 
REAL_TO_DOUBLE(BgL_tmpz00_1318); } 
{ /* Llib/pdgevent.scm 306 */
 obj_t BgL_tmpz00_1309;
if(
INTEGERP(BgL_indexz00_478))
{ /* Llib/pdgevent.scm 306 */
BgL_tmpz00_1309 = BgL_indexz00_478
; }  else 
{ 
 obj_t BgL_auxz00_1312;
BgL_auxz00_1312 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)14740)), BGl_string1339z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_478); 
FAILURE(BgL_auxz00_1312,BFALSE,BFALSE);} 
BgL_auxz00_1308 = 
CINT(BgL_tmpz00_1309); } 
return 
bgl_phidget_event_motorcontrolcurrent_new(BgL_targetz00_477, BgL_auxz00_1308, BgL_auxz00_1317);} } 

}



/* phidget-event-encoderinput-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderinput_new(obj_t BgL_targetz00_65, int BgL_indexz00_66, bool_t BgL_statez00_67)
{
{ /* Llib/pdgevent.scm 314 */
{ /* Llib/pdgevent.scm 315 */
 BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1130z00_343;
{ /* Llib/pdgevent.scm 316 */
 BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1129z00_344;
BgL_new1129z00_344 = 
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 316 */
 long BgL_arg1185z00_345;
BgL_arg1185z00_345 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_344), BgL_arg1185z00_345); } 
BgL_new1130z00_343 = BgL_new1129z00_344; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1130z00_343)))->BgL_targetz00)=((obj_t)BgL_targetz00_65),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1130z00_343))->BgL_indexz00)=((int)BgL_indexz00_66),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1130z00_343))->BgL_statez00)=((bool_t)BgL_statez00_67),BUNSPEC); 
return 
((obj_t)BgL_new1130z00_343);} } 

}



/* &phidget-event-encoderinput-new */
obj_t BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_480, obj_t BgL_targetz00_481, obj_t BgL_indexz00_482, obj_t BgL_statez00_483)
{
{ /* Llib/pdgevent.scm 314 */
{ /* Llib/pdgevent.scm 315 */
 int BgL_auxz00_1336;
{ /* Llib/pdgevent.scm 315 */
 obj_t BgL_tmpz00_1337;
if(
INTEGERP(BgL_indexz00_482))
{ /* Llib/pdgevent.scm 315 */
BgL_tmpz00_1337 = BgL_indexz00_482
; }  else 
{ 
 obj_t BgL_auxz00_1340;
BgL_auxz00_1340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)15142)), BGl_string1340z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_482); 
FAILURE(BgL_auxz00_1340,BFALSE,BFALSE);} 
BgL_auxz00_1336 = 
CINT(BgL_tmpz00_1337); } 
return 
bgl_phidget_event_encoderinput_new(BgL_targetz00_481, BgL_auxz00_1336, 
CBOOL(BgL_statez00_483));} } 

}



/* phidget-event-encoderposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderposition_new(obj_t BgL_targetz00_68, int BgL_indexz00_69, int BgL_timez00_70, int BgL_positionz00_71)
{
{ /* Llib/pdgevent.scm 323 */
{ /* Llib/pdgevent.scm 324 */
 BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1132z00_349;
{ /* Llib/pdgevent.scm 325 */
 BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1131z00_350;
BgL_new1131z00_350 = 
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 325 */
 long BgL_arg1186z00_351;
BgL_arg1186z00_351 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_350), BgL_arg1186z00_351); } 
BgL_new1132z00_349 = BgL_new1131z00_350; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1132z00_349)))->BgL_targetz00)=((obj_t)BgL_targetz00_68),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1132z00_349))->BgL_indexz00)=((int)BgL_indexz00_69),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1132z00_349))->BgL_timez00)=((int)BgL_timez00_70),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1132z00_349))->BgL_positionz00)=((int)BgL_positionz00_71),BUNSPEC); 
return 
((obj_t)BgL_new1132z00_349);} } 

}



/* &phidget-event-encoderposition-new */
obj_t BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_484, obj_t BgL_targetz00_485, obj_t BgL_indexz00_486, obj_t BgL_timez00_487, obj_t BgL_positionz00_488)
{
{ /* Llib/pdgevent.scm 323 */
{ /* Llib/pdgevent.scm 324 */
 int BgL_auxz00_1375; int BgL_auxz00_1366; int BgL_auxz00_1357;
{ /* Llib/pdgevent.scm 324 */
 obj_t BgL_tmpz00_1376;
if(
INTEGERP(BgL_positionz00_488))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1376 = BgL_positionz00_488
; }  else 
{ 
 obj_t BgL_auxz00_1379;
BgL_auxz00_1379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1341z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_positionz00_488); 
FAILURE(BgL_auxz00_1379,BFALSE,BFALSE);} 
BgL_auxz00_1375 = 
CINT(BgL_tmpz00_1376); } 
{ /* Llib/pdgevent.scm 324 */
 obj_t BgL_tmpz00_1367;
if(
INTEGERP(BgL_timez00_487))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1367 = BgL_timez00_487
; }  else 
{ 
 obj_t BgL_auxz00_1370;
BgL_auxz00_1370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1341z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_timez00_487); 
FAILURE(BgL_auxz00_1370,BFALSE,BFALSE);} 
BgL_auxz00_1366 = 
CINT(BgL_tmpz00_1367); } 
{ /* Llib/pdgevent.scm 324 */
 obj_t BgL_tmpz00_1358;
if(
INTEGERP(BgL_indexz00_486))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1358 = BgL_indexz00_486
; }  else 
{ 
 obj_t BgL_auxz00_1361;
BgL_auxz00_1361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1341z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_486); 
FAILURE(BgL_auxz00_1361,BFALSE,BFALSE);} 
BgL_auxz00_1357 = 
CINT(BgL_tmpz00_1358); } 
return 
bgl_phidget_event_encoderposition_new(BgL_targetz00_485, BgL_auxz00_1357, BgL_auxz00_1366, BgL_auxz00_1375);} } 

}



/* phidget-event-encoderindex-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderindex_new(obj_t BgL_targetz00_72, int BgL_indexz00_73, int BgL_positionz00_74)
{
{ /* Llib/pdgevent.scm 333 */
{ /* Llib/pdgevent.scm 334 */
 BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1134z00_355;
{ /* Llib/pdgevent.scm 335 */
 BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1133z00_356;
BgL_new1133z00_356 = 
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderindexzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 335 */
 long BgL_arg1188z00_357;
BgL_arg1188z00_357 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_356), BgL_arg1188z00_357); } 
BgL_new1134z00_355 = BgL_new1133z00_356; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1134z00_355)))->BgL_targetz00)=((obj_t)BgL_targetz00_72),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1134z00_355))->BgL_indexz00)=((int)BgL_indexz00_73),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1134z00_355))->BgL_positionz00)=((int)BgL_positionz00_74),BUNSPEC); 
return 
((obj_t)BgL_new1134z00_355);} } 

}



/* &phidget-event-encoderindex-new */
obj_t BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_489, obj_t BgL_targetz00_490, obj_t BgL_indexz00_491, obj_t BgL_positionz00_492)
{
{ /* Llib/pdgevent.scm 333 */
{ /* Llib/pdgevent.scm 334 */
 int BgL_auxz00_1403; int BgL_auxz00_1394;
{ /* Llib/pdgevent.scm 334 */
 obj_t BgL_tmpz00_1404;
if(
INTEGERP(BgL_positionz00_492))
{ /* Llib/pdgevent.scm 334 */
BgL_tmpz00_1404 = BgL_positionz00_492
; }  else 
{ 
 obj_t BgL_auxz00_1407;
BgL_auxz00_1407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)15965)), BGl_string1342z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_positionz00_492); 
FAILURE(BgL_auxz00_1407,BFALSE,BFALSE);} 
BgL_auxz00_1403 = 
CINT(BgL_tmpz00_1404); } 
{ /* Llib/pdgevent.scm 334 */
 obj_t BgL_tmpz00_1395;
if(
INTEGERP(BgL_indexz00_491))
{ /* Llib/pdgevent.scm 334 */
BgL_tmpz00_1395 = BgL_indexz00_491
; }  else 
{ 
 obj_t BgL_auxz00_1398;
BgL_auxz00_1398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)15965)), BGl_string1342z00zz__phidget_eventz00, BGl_string1318z00zz__phidget_eventz00, BgL_indexz00_491); 
FAILURE(BgL_auxz00_1398,BFALSE,BFALSE);} 
BgL_auxz00_1394 = 
CINT(BgL_tmpz00_1395); } 
return 
bgl_phidget_event_encoderindex_new(BgL_targetz00_490, BgL_auxz00_1394, BgL_auxz00_1403);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BGl_proc1343z00zz__phidget_eventz00, BGl_z52phidgetz52zz__phidget_typesz00, BGl_string1344z00zz__phidget_eventz00);} 

}



/* &phidget-add-event-li1135 */
obj_t BGl_z62phidgetzd2addzd2eventzd2li1135zb0zz__phidget_eventz00(obj_t BgL_envz00_494, obj_t BgL_objz00_495, obj_t BgL_eventz00_496, obj_t BgL_procz00_497)
{
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 139 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1190z00_619;
{ /* Llib/pdgevent.scm 139 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1091z00_620;
{ /* Llib/pdgevent.scm 139 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1090z00_621;
BgL_new1090z00_621 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgevent.scm 139 */
 long BgL_arg1200z00_622;
BgL_arg1200z00_622 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_621), BgL_arg1200z00_622); } 
BgL_new1091z00_620 = BgL_new1090z00_621; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_620)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_620)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1422;
{ /* Llib/pdgevent.scm 139 */
 obj_t BgL_arg1197z00_623;
{ /* Llib/pdgevent.scm 139 */
 obj_t BgL_arg1198z00_624;
{ /* Llib/pdgevent.scm 139 */
 obj_t BgL_classz00_625;
BgL_classz00_625 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1198z00_624 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_625); } 
BgL_arg1197z00_623 = 
VECTOR_REF(BgL_arg1198z00_624,((long)2)); } 
BgL_auxz00_1422 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1197z00_623); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_620)))->BgL_stackz00)=((obj_t)BgL_auxz00_1422),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_620)))->BgL_procz00)=((obj_t)BGl_string1345z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_620)))->BgL_msgz00)=((obj_t)BGl_string1346z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_620)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_z52phidgetz52_bglt)BgL_objz00_495))),BUNSPEC); 
BgL_arg1190z00_619 = BgL_new1091z00_620; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1190z00_619));} } 

}



/* phidget-add-event-listener! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_z52phidgetz52_bglt BgL_objz00_3, obj_t BgL_eventz00_4, obj_t BgL_procz00_5)
{
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_method1136z00_175;
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_res1206z00_396;
{ /* Llib/pdgevent.scm 137 */
 long BgL_objzd2classzd2numz00_367;
BgL_objzd2classzd2numz00_367 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_objz00_3)); 
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_arg1801z00_368;
BgL_arg1801z00_368 = 
PROCEDURE_REF(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, 
(int)(((long)1))); 
{ /* Llib/pdgevent.scm 137 */
 int BgL_offsetz00_371;
BgL_offsetz00_371 = 
(int)(BgL_objzd2classzd2numz00_367); 
{ /* Llib/pdgevent.scm 137 */
 long BgL_offsetz00_372;
BgL_offsetz00_372 = 
(
(long)(BgL_offsetz00_371)-OBJECT_TYPE); 
{ /* Llib/pdgevent.scm 137 */
 long BgL_modz00_373;
BgL_modz00_373 = 
(BgL_offsetz00_372 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pdgevent.scm 137 */
 long BgL_restz00_375;
BgL_restz00_375 = 
(BgL_offsetz00_372 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pdgevent.scm 137 */

{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_bucketz00_377;
BgL_bucketz00_377 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_368),BgL_modz00_373); 
BgL_res1206z00_396 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_377),BgL_restz00_375); } } } } } } } } 
BgL_method1136z00_175 = BgL_res1206z00_396; } 
return 
PROCEDURE_ENTRY(BgL_method1136z00_175)(BgL_method1136z00_175, 
((obj_t)BgL_objz00_3), BgL_eventz00_4, BgL_procz00_5, BEOA);} } 

}



/* &phidget-add-event-listener! */
obj_t BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00(obj_t BgL_envz00_498, obj_t BgL_objz00_499, obj_t BgL_eventz00_500, obj_t BgL_procz00_501)
{
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_auxz00_1503; obj_t BgL_auxz00_1496; BgL_z52phidgetz52_bglt BgL_auxz00_1470;
if(
PROCEDUREP(BgL_procz00_501))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1503 = BgL_procz00_501
; }  else 
{ 
 obj_t BgL_auxz00_1506;
BgL_auxz00_1506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1347z00zz__phidget_eventz00, BGl_string1349z00zz__phidget_eventz00, BgL_procz00_501); 
FAILURE(BgL_auxz00_1506,BFALSE,BFALSE);} 
if(
STRINGP(BgL_eventz00_500))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1496 = BgL_eventz00_500
; }  else 
{ 
 obj_t BgL_auxz00_1499;
BgL_auxz00_1499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1347z00zz__phidget_eventz00, BGl_string1319z00zz__phidget_eventz00, BgL_eventz00_500); 
FAILURE(BgL_auxz00_1499,BFALSE,BFALSE);} 
{ /* Llib/pdgevent.scm 137 */
 bool_t BgL_test1475z00_1471;
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_classz00_626;
BgL_classz00_626 = BGl_z52phidgetz52zz__phidget_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_499))
{ /* Llib/pdgevent.scm 137 */
 BgL_objectz00_bglt BgL_arg1799z00_628; long BgL_arg1800z00_629;
BgL_arg1799z00_628 = 
(BgL_objectz00_bglt)(BgL_objz00_499); 
BgL_arg1800z00_629 = 
BGL_CLASS_DEPTH(BgL_classz00_626); 
{ /* Llib/pdgevent.scm 137 */
 bool_t BgL_arg1794z00_633; bool_t BgL_arg1795z00_634;
{ /* Llib/pdgevent.scm 137 */
 long BgL_idxz00_638;
BgL_idxz00_638 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_628); 
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_arg1791z00_639;
{ /* Llib/pdgevent.scm 137 */
 long BgL_arg1792z00_640;
BgL_arg1792z00_640 = 
(BgL_idxz00_638+BgL_arg1800z00_629); 
BgL_arg1791z00_639 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_640); } 
BgL_arg1794z00_633 = 
(BgL_arg1791z00_639==BgL_classz00_626); } } 
{ /* Llib/pdgevent.scm 137 */
 bool_t BgL_res1355z00_663;
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_oclassz00_648;
{ /* Llib/pdgevent.scm 137 */
 long BgL_arg1804z00_654;
{ /* Llib/pdgevent.scm 137 */
 long BgL_arg1805z00_655;
BgL_arg1805z00_655 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_628); 
BgL_arg1804z00_654 = 
(BgL_arg1805z00_655-OBJECT_TYPE); } 
BgL_oclassz00_648 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_654); } 
{ /* Llib/pdgevent.scm 137 */
 bool_t BgL__ortest_1111z00_649;
BgL__ortest_1111z00_649 = 
(BgL_classz00_626==BgL_oclassz00_648); 
if(BgL__ortest_1111z00_649)
{ /* Llib/pdgevent.scm 137 */
BgL_res1355z00_663 = BgL__ortest_1111z00_649; }  else 
{ /* Llib/pdgevent.scm 137 */
 long BgL_odepthz00_650;
BgL_odepthz00_650 = 
BGL_CLASS_DEPTH(BgL_oclassz00_648); 
if(
(BgL_arg1800z00_629<BgL_odepthz00_650))
{ /* Llib/pdgevent.scm 137 */
 obj_t BgL_arg1793z00_652;
BgL_arg1793z00_652 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_648, BgL_arg1800z00_629); 
BgL_res1355z00_663 = 
(BgL_arg1793z00_652==BgL_classz00_626); }  else 
{ /* Llib/pdgevent.scm 137 */
BgL_res1355z00_663 = ((bool_t)0); } } } } 
BgL_arg1795z00_634 = BgL_res1355z00_663; } 
BgL_test1475z00_1471 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_633, BgL_arg1795z00_634); } }  else 
{ /* Llib/pdgevent.scm 137 */
BgL_test1475z00_1471 = ((bool_t)0)
; } } 
if(BgL_test1475z00_1471)
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1470 = 
((BgL_z52phidgetz52_bglt)BgL_objz00_499)
; }  else 
{ 
 obj_t BgL_auxz00_1492;
BgL_auxz00_1492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1316z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1347z00zz__phidget_eventz00, BGl_string1348z00zz__phidget_eventz00, BgL_objz00_499); 
FAILURE(BgL_auxz00_1492,BFALSE,BFALSE);} } 
return 
BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_auxz00_1470, BgL_auxz00_1496, BgL_auxz00_1503);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__phidget_typesz00(((long)253269866), 
BSTRING_TO_STRING(BGl_string1350z00zz__phidget_eventz00)); 
return 
BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(((long)489304720), 
BSTRING_TO_STRING(BGl_string1350z00zz__phidget_eventz00));} 

}

#ifdef __cplusplus
}
#endif
