/*===========================================================================*/
/*   (Llib/pdgservo.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgservo.scm -o objs/pdgservo.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglphidget_config.h>
#include <bglphidget.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_phidgetz00_bgl {
   header_t header;
   obj_t widening;
   CPhidgetHandle BgL_z42builtinz42;
   int BgL_z52serialzd2numberz80;
} *BgL_phidgetz00_bglt;

typedef struct BgL_phidgetzd2servozd2_bgl {
   header_t header;
   obj_t widening;
   CPhidgetHandle BgL_z42builtinz42;
   int BgL_z52serialzd2numberz80;
} *BgL_phidgetzd2servozd2_bglt;


extern obj_t BGl_phidgetzd2strerrorzd2zz__phidgetz00(int);
static obj_t BGl_z62phidgetzd2servozd2positionz62zz__phidget_servoz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_servoz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62phidgetzd2servozd2typezd2setz12za2zz__phidget_servoz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2servozd2typez62zz__phidget_servoz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__phidget_servoz00();
BGL_EXPORTED_DECL double BGl_phidgetzd2servozd2positionzd2maxzd2zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int);
BGL_EXPORTED_DECL obj_t bgl_servo_new(CPhidgetServoHandle);
static obj_t BGl_genericzd2initzd2zz__phidget_servoz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__phidget_servoz00();
static obj_t BGl_z62phidgetzd2servozd2positionzd2maxzb0zz__phidget_servoz00(obj_t, obj_t, obj_t);
extern double bgl_phidget_servo_get_position_max(CPhidgetServoHandle, int, obj_t);
extern obj_t BGl_servozd2typezd2ze3symbolze3zz__phidget_ctypesz00(CPhidget_ServoType);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern bool_t BGl_pdgboolzd2ze3boolz31zz__phidget_ctypesz00(int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_phidgetzd2servozd2engagedz00zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int);
static obj_t BGl_methodzd2initzd2zz__phidget_servoz00();
static obj_t BGl_z62zc3z04anonymousza31340ze3ze5zz__phidget_servoz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31332ze3ze5zz__phidget_servoz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31341ze3ze5zz__phidget_servoz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2initzd2phidge1120z30zz__phidget_servoz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2servozd2positionzd2minzd2zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int);
extern CPhidget_ServoType BGl_symbolzd2ze3servozd2typeze3zz__phidget_ctypesz00(obj_t);
extern obj_t BGl_phidgetz00zz__phidget_phidgetz00;
extern obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00;
static obj_t BGl_z62z42makezd2servozf2zz__phidget_servoz00(obj_t, obj_t);
extern obj_t BGl_phidgetzd2initz12zc0zz__phidgetz00();
static obj_t BGl_z62phidgetzd2servozd2positionzd2minzb0zz__phidget_servoz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2servozd2engagedz62zz__phidget_servoz00(obj_t, obj_t, obj_t);
extern double bgl_phidget_servo_get_position_min(CPhidgetServoHandle, int, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
extern int bgl_phidget_servo_get_engaged(CPhidgetServoHandle, int, obj_t);
static obj_t BGl_z62phidgetzd2addzd2eventzd2li1122zb0zz__phidget_servoz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2servozd2parameterszd2setz12za2zz__phidget_servoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2servozd2typez00zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int);
static obj_t BGl_z62zc3z04anonymousza31346ze3ze5zz__phidget_servoz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servozd2zz__phidget_servoz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2servozd2typezd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_servoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_ctypesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_cnstzd2initzd2zz__phidget_servoz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_servoz00();
extern double bgl_phidget_servo_get_position(CPhidgetServoHandle, int, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__phidget_servoz00();
static obj_t BGl_gczd2rootszd2initz00zz__phidget_servoz00();
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2servozd2positionzd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int, double);
BGL_EXPORTED_DECL double BGl_phidgetzd2servozd2positionz00zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int);
static BgL_phidgetzd2servozd2_bglt BGl_z62lambda1288z62zz__phidget_servoz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2servozd2engagedzd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int, bool_t);
static BgL_phidgetzd2servozd2_bglt BGl_z62lambda1292z62zz__phidget_servoz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62phidgetzd2servozd2engagedzd2setz12za2zz__phidget_servoz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern int bgl_phidget_servo_get_servo_type(CPhidgetServoHandle, int, obj_t);
extern int bgl_phidget_servo_add_event_listener(CPhidgetServoHandle, char *, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2servozd2parameterszd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt, int, double, double, double);
static obj_t BGl_z62phidgetzd2servozd2positionzd2setz12za2zz__phidget_servoz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2positionzd2envzd2zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1654z00, BGl_z62phidgetzd2servozd2positionz62zz__phidget_servoz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2engagedzd2setz12zd2envz12zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1655z00, BGl_z62phidgetzd2servozd2engagedzd2setz12za2zz__phidget_servoz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1620z00zz__phidget_servoz00, BgL_bgl_string1620za700za7za7_1656za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/phidget/src/Llib/pdgservo.scm", 69 );
DEFINE_STRING( BGl_string1621z00zz__phidget_servoz00, BgL_bgl_string1621za700za7za7_1657za7, "&$make-servo", 12 );
DEFINE_STRING( BGl_string1622z00zz__phidget_servoz00, BgL_bgl_string1622za700za7za7_1658za7, "void*", 5 );
DEFINE_STRING( BGl_string1623z00zz__phidget_servoz00, BgL_bgl_string1623za700za7za7_1659za7, "&phidget-servo-position", 23 );
DEFINE_STRING( BGl_string1624z00zz__phidget_servoz00, BgL_bgl_string1624za700za7za7_1660za7, "phidget-servo", 13 );
DEFINE_STRING( BGl_string1625z00zz__phidget_servoz00, BgL_bgl_string1625za700za7za7_1661za7, "bint", 4 );
DEFINE_STRING( BGl_string1626z00zz__phidget_servoz00, BgL_bgl_string1626za700za7za7_1662za7, "phidget-servo-position-set!", 27 );
DEFINE_STRING( BGl_string1627z00zz__phidget_servoz00, BgL_bgl_string1627za700za7za7_1663za7, "&phidget-servo-position-set!", 28 );
DEFINE_STRING( BGl_string1628z00zz__phidget_servoz00, BgL_bgl_string1628za700za7za7_1664za7, "real", 4 );
DEFINE_STRING( BGl_string1629z00zz__phidget_servoz00, BgL_bgl_string1629za700za7za7_1665za7, "&phidget-servo-position-max", 27 );
DEFINE_STRING( BGl_string1630z00zz__phidget_servoz00, BgL_bgl_string1630za700za7za7_1666za7, "&phidget-servo-position-min", 27 );
DEFINE_STRING( BGl_string1631z00zz__phidget_servoz00, BgL_bgl_string1631za700za7za7_1667za7, "&phidget-servo-engaged", 22 );
DEFINE_STRING( BGl_string1632z00zz__phidget_servoz00, BgL_bgl_string1632za700za7za7_1668za7, "phidget-servo-engaged-set!", 26 );
DEFINE_STRING( BGl_string1633z00zz__phidget_servoz00, BgL_bgl_string1633za700za7za7_1669za7, "&phidget-servo-engaged-set!", 27 );
DEFINE_STRING( BGl_string1634z00zz__phidget_servoz00, BgL_bgl_string1634za700za7za7_1670za7, "phidget-servo-parameters-set!", 29 );
DEFINE_STRING( BGl_string1635z00zz__phidget_servoz00, BgL_bgl_string1635za700za7za7_1671za7, "&phidget-servo-parameters-set!", 30 );
DEFINE_STRING( BGl_string1636z00zz__phidget_servoz00, BgL_bgl_string1636za700za7za7_1672za7, "&phidget-servo-type", 19 );
DEFINE_STRING( BGl_string1637z00zz__phidget_servoz00, BgL_bgl_string1637za700za7za7_1673za7, "phidget-servo-type-set!", 23 );
DEFINE_STRING( BGl_string1638z00zz__phidget_servoz00, BgL_bgl_string1638za700za7za7_1674za7, "&phidget-servo-type-set!", 24 );
DEFINE_STRING( BGl_string1639z00zz__phidget_servoz00, BgL_bgl_string1639za700za7za7_1675za7, "symbol", 6 );
DEFINE_STRING( BGl_string1647z00zz__phidget_servoz00, BgL_bgl_string1647za700za7za7_1676za7, "%phidget-init", 13 );
DEFINE_STRING( BGl_string1649z00zz__phidget_servoz00, BgL_bgl_string1649za700za7za7_1677za7, "phidget-add-event-listener!", 27 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2positionzd2setz12zd2envz12zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1678z00, BGl_z62phidgetzd2servozd2positionzd2setz12za2zz__phidget_servoz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1640z00zz__phidget_servoz00, BgL_bgl_za762za7c3za704anonymo1679za7, BGl_z62zc3z04anonymousza31341ze3ze5zz__phidget_servoz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1641z00zz__phidget_servoz00, BgL_bgl_za762za7c3za704anonymo1680za7, BGl_z62zc3z04anonymousza31340ze3ze5zz__phidget_servoz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1642z00zz__phidget_servoz00, BgL_bgl_za762za7c3za704anonymo1681za7, BGl_z62zc3z04anonymousza31346ze3ze5zz__phidget_servoz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1643z00zz__phidget_servoz00, BgL_bgl_za762za7c3za704anonymo1682za7, BGl_z62zc3z04anonymousza31332ze3ze5zz__phidget_servoz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1650z00zz__phidget_servoz00, BgL_bgl_string1650za700za7za7_1683za7, "__phidget_servo", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1644z00zz__phidget_servoz00, BgL_bgl_za762lambda1292za7621684z00, BGl_z62lambda1292z62zz__phidget_servoz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1651z00zz__phidget_servoz00, BgL_bgl_string1651za700za7za7_1685za7, "__phidget_servo phidget-servo int motor-count ", 46 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1645z00zz__phidget_servoz00, BgL_bgl_za762lambda1288za7621686z00, BGl_z62lambda1288z62zz__phidget_servoz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1646z00zz__phidget_servoz00, BgL_bgl_za762za752phidgetza7d21687za7, BGl_z62z52phidgetzd2initzd2phidge1120z30zz__phidget_servoz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1648z00zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2add1688z00, BGl_z62phidgetzd2addzd2eventzd2li1122zb0zz__phidget_servoz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2parameterszd2setz12zd2envz12zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1689z00, BGl_z62phidgetzd2servozd2parameterszd2setz12za2zz__phidget_servoz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2engagedzd2envzd2zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1690z00, BGl_z62phidgetzd2servozd2engagedz62zz__phidget_servoz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2typezd2envzd2zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1691z00, BGl_z62phidgetzd2servozd2typez62zz__phidget_servoz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2typezd2setz12zd2envz12zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1692z00, BGl_z62phidgetzd2servozd2typezd2setz12za2zz__phidget_servoz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2positionzd2minzd2envz00zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1693z00, BGl_z62phidgetzd2servozd2positionzd2minzb0zz__phidget_servoz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2servozd2positionzd2maxzd2envz00zz__phidget_servoz00, BgL_bgl_za762phidgetza7d2ser1694z00, BGl_z62phidgetzd2servozd2positionzd2maxzb0zz__phidget_servoz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2servozd2envz42zz__phidget_servoz00, BgL_bgl_za762za742makeza7d2ser1695za7, BGl_z62z42makezd2servozf2zz__phidget_servoz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_servoz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2servozd2zz__phidget_servoz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_servoz00(long BgL_checksumz00_478, char * BgL_fromz00_479)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_servoz00))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_servoz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_servoz00(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_servoz00(); 
BGl_cnstzd2initzd2zz__phidget_servoz00(); 
BGl_importedzd2moduleszd2initz00zz__phidget_servoz00(); 
BGl_objectzd2initzd2zz__phidget_servoz00(); 
BGl_methodzd2initzd2zz__phidget_servoz00(); 
return 
BGl_toplevelzd2initzd2zz__phidget_servoz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_servo"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_servo"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_servo"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_servo"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_servo"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_servo"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_servo"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
{ /* Llib/pdgservo.scm 15 */
 obj_t BgL_cportz00_429;
{ /* Llib/pdgservo.scm 15 */
 obj_t BgL_stringz00_437;
BgL_stringz00_437 = BGl_string1651z00zz__phidget_servoz00; 
{ /* Llib/pdgservo.scm 15 */
 obj_t BgL_startz00_438;
BgL_startz00_438 = 
BINT(((long)0)); 
{ /* Llib/pdgservo.scm 15 */
 obj_t BgL_endz00_439;
BgL_endz00_439 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_437))); 
{ /* Llib/pdgservo.scm 15 */

BgL_cportz00_429 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_437, BgL_startz00_438, BgL_endz00_439); } } } } 
{ 
 long BgL_iz00_430;
BgL_iz00_430 = ((long)3); 
BgL_loopz00_431:
if(
(BgL_iz00_430==((long)-1)))
{ /* Llib/pdgservo.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pdgservo.scm 15 */
{ /* Llib/pdgservo.scm 15 */
 obj_t BgL_arg1653z00_433;
{ /* Llib/pdgservo.scm 15 */

{ /* Llib/pdgservo.scm 15 */
 obj_t BgL_locationz00_435;
BgL_locationz00_435 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgservo.scm 15 */

BgL_arg1653z00_433 = 
BGl_readz00zz__readerz00(BgL_cportz00_429, BgL_locationz00_435); } } } 
{ /* Llib/pdgservo.scm 15 */
 int BgL_tmpz00_506;
BgL_tmpz00_506 = 
(int)(BgL_iz00_430); 
CNST_TABLE_SET(BgL_tmpz00_506, BgL_arg1653z00_433); } } 
{ /* Llib/pdgservo.scm 15 */
 int BgL_auxz00_436;
BgL_auxz00_436 = 
(int)(
(BgL_iz00_430-((long)1))); 
{ 
 long BgL_iz00_511;
BgL_iz00_511 = 
(long)(BgL_auxz00_436); 
BgL_iz00_430 = BgL_iz00_511; 
goto BgL_loopz00_431;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
return BUNSPEC;} 

}



/* $make-servo */
BGL_EXPORTED_DEF obj_t bgl_servo_new(CPhidgetServoHandle BgL_servoz00_3)
{
{ /* Llib/pdgservo.scm 55 */
{ /* Llib/pdgservo.scm 56 */
 BgL_phidgetzd2servozd2_bglt BgL_new1089z00_40;
{ /* Llib/pdgservo.scm 57 */
 BgL_phidgetzd2servozd2_bglt BgL_new1088z00_42;
BgL_new1088z00_42 = 
((BgL_phidgetzd2servozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servozd2_bgl) ))); 
{ /* Llib/pdgservo.scm 57 */
 long BgL_arg1130z00_43;
BgL_arg1130z00_43 = 
BGL_CLASS_NUM(BGl_phidgetzd2servozd2zz__phidget_servoz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_42), BgL_arg1130z00_43); } 
BgL_new1089z00_40 = BgL_new1088z00_42; } 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1089z00_40)))->BgL_z42builtinz42)=((CPhidgetHandle)
(CPhidgetHandle)(BgL_servoz00_3)),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1089z00_40)))->BgL_z52serialzd2numberz80)=((int)
(int)(((long)-1))),BUNSPEC); 
{ /* Llib/pdgservo.scm 56 */
 obj_t BgL_fun1129z00_41;
BgL_fun1129z00_41 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_phidgetzd2servozd2zz__phidget_servoz00); 
PROCEDURE_ENTRY(BgL_fun1129z00_41)(BgL_fun1129z00_41, 
((obj_t)BgL_new1089z00_40), BEOA); } 
return 
((obj_t)BgL_new1089z00_40);} } 

}



/* &$make-servo */
obj_t BGl_z62z42makezd2servozf2zz__phidget_servoz00(obj_t BgL_envz00_295, obj_t BgL_servoz00_296)
{
{ /* Llib/pdgservo.scm 55 */
{ /* Llib/pdgservo.scm 56 */
 CPhidgetServoHandle BgL_auxz00_531;
if(
FOREIGNP(BgL_servoz00_296))
{ /* Llib/pdgservo.scm 56 */
BgL_auxz00_531 = 
FOREIGN_TO_COBJ(BgL_servoz00_296)
; }  else 
{ 
 obj_t BgL_auxz00_535;
BgL_auxz00_535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)2406)), BGl_string1621z00zz__phidget_servoz00, BGl_string1622z00zz__phidget_servoz00, BgL_servoz00_296); 
FAILURE(BgL_auxz00_535,BFALSE,BFALSE);} 
return 
bgl_servo_new(BgL_auxz00_531);} } 

}



/* phidget-servo-position */
BGL_EXPORTED_DEF double BGl_phidgetzd2servozd2positionz00zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_8, int BgL_iz00_9)
{
{ /* Llib/pdgservo.scm 82 */
{ /* Llib/pdgservo.scm 85 */
 CPhidgetServoHandle BgL_arg1131z00_225;
{ /* Llib/pdgservo.scm 85 */
 CPhidgetHandle BgL_arg1138z00_226;
BgL_arg1138z00_226 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_8)))->BgL_z42builtinz42); 
BgL_arg1131z00_225 = 
(CPhidgetServoHandle)(BgL_arg1138z00_226); } 
return 
bgl_phidget_servo_get_position(BgL_arg1131z00_225, BgL_iz00_9, 
((obj_t)BgL_oz00_8));} } 

}



/* &phidget-servo-position */
obj_t BGl_z62phidgetzd2servozd2positionz62zz__phidget_servoz00(obj_t BgL_envz00_297, obj_t BgL_oz00_298, obj_t BgL_iz00_299)
{
{ /* Llib/pdgservo.scm 82 */
{ /* Llib/pdgservo.scm 83 */
 double BgL_tmpz00_545;
{ /* Llib/pdgservo.scm 83 */
 int BgL_auxz00_554; BgL_phidgetzd2servozd2_bglt BgL_auxz00_546;
{ /* Llib/pdgservo.scm 83 */
 obj_t BgL_tmpz00_555;
if(
INTEGERP(BgL_iz00_299))
{ /* Llib/pdgservo.scm 83 */
BgL_tmpz00_555 = BgL_iz00_299
; }  else 
{ 
 obj_t BgL_auxz00_558;
BgL_auxz00_558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)3676)), BGl_string1623z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_299); 
FAILURE(BgL_auxz00_558,BFALSE,BFALSE);} 
BgL_auxz00_554 = 
CINT(BgL_tmpz00_555); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_298, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 83 */
BgL_auxz00_546 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_298)
; }  else 
{ 
 obj_t BgL_auxz00_550;
BgL_auxz00_550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)3676)), BGl_string1623z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_298); 
FAILURE(BgL_auxz00_550,BFALSE,BFALSE);} 
BgL_tmpz00_545 = 
BGl_phidgetzd2servozd2positionz00zz__phidget_servoz00(BgL_auxz00_546, BgL_auxz00_554); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_545);} } 

}



/* phidget-servo-position-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servozd2positionzd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_10, int BgL_iz00_11, double BgL_dz00_12)
{
{ /* Llib/pdgservo.scm 91 */
{ /* Llib/pdgservo.scm 93 */
 bool_t BgL_test1701z00_565;
{ /* Llib/pdgservo.scm 95 */
 int BgL_arg1154z00_61;
{ /* Llib/pdgservo.scm 95 */
 CPhidgetServoHandle BgL_arg1158z00_62;
{ /* Llib/pdgservo.scm 95 */
 CPhidgetHandle BgL_arg1159z00_63;
BgL_arg1159z00_63 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_10)))->BgL_z42builtinz42); 
BgL_arg1158z00_62 = 
(CPhidgetServoHandle)(BgL_arg1159z00_63); } 
BgL_arg1154z00_61 = 
CPhidgetServo_setPosition(BgL_arg1158z00_62, BgL_iz00_11, BgL_dz00_12); } 
BgL_test1701z00_565 = 
(
(long)(BgL_arg1154z00_61)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1701z00_565)
{ /* Llib/pdgservo.scm 93 */
return BFALSE;}  else 
{ /* Llib/pdgservo.scm 93 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1144z00_52;
{ /* Llib/pdgservo.scm 93 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1099z00_53;
{ /* Llib/pdgservo.scm 93 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1098z00_59;
BgL_new1098z00_59 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgservo.scm 93 */
 long BgL_arg1153z00_60;
BgL_arg1153z00_60 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_59), BgL_arg1153z00_60); } 
BgL_new1099z00_53 = BgL_new1098z00_59; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_53)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_53)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_581;
{ /* Llib/pdgservo.scm 93 */
 obj_t BgL_arg1145z00_54;
{ /* Llib/pdgservo.scm 93 */
 obj_t BgL_arg1147z00_55;
{ /* Llib/pdgservo.scm 93 */
 obj_t BgL_classz00_232;
BgL_classz00_232 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1147z00_55 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_232); } 
BgL_arg1145z00_54 = 
VECTOR_REF(BgL_arg1147z00_55,((long)2)); } 
BgL_auxz00_581 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1145z00_54); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_53)))->BgL_stackz00)=((obj_t)BgL_auxz00_581),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1099z00_53)))->BgL_procz00)=((obj_t)BGl_string1626z00zz__phidget_servoz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_589;
{ /* Llib/pdgservo.scm 95 */
 int BgL_arg1148z00_56;
{ /* Llib/pdgservo.scm 95 */
 CPhidgetServoHandle BgL_arg1149z00_57;
{ /* Llib/pdgservo.scm 95 */
 CPhidgetHandle BgL_arg1150z00_58;
BgL_arg1150z00_58 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_10)))->BgL_z42builtinz42); 
BgL_arg1149z00_57 = 
(CPhidgetServoHandle)(BgL_arg1150z00_58); } 
BgL_arg1148z00_56 = 
CPhidgetServo_setPosition(BgL_arg1149z00_57, BgL_iz00_11, BgL_dz00_12); } 
BgL_auxz00_589 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1148z00_56); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1099z00_53)))->BgL_msgz00)=((obj_t)BgL_auxz00_589),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1099z00_53)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_10)),BUNSPEC); 
BgL_arg1144z00_52 = BgL_new1099z00_53; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1144z00_52));} } } 

}



/* &phidget-servo-position-set! */
obj_t BGl_z62phidgetzd2servozd2positionzd2setz12za2zz__phidget_servoz00(obj_t BgL_envz00_300, obj_t BgL_oz00_301, obj_t BgL_iz00_302, obj_t BgL_dz00_303)
{
{ /* Llib/pdgservo.scm 91 */
{ /* Llib/pdgservo.scm 92 */
 double BgL_auxz00_619; int BgL_auxz00_610; BgL_phidgetzd2servozd2_bglt BgL_auxz00_602;
{ /* Llib/pdgservo.scm 92 */
 obj_t BgL_tmpz00_620;
if(
REALP(BgL_dz00_303))
{ /* Llib/pdgservo.scm 92 */
BgL_tmpz00_620 = BgL_dz00_303
; }  else 
{ 
 obj_t BgL_auxz00_623;
BgL_auxz00_623 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4062)), BGl_string1627z00zz__phidget_servoz00, BGl_string1628z00zz__phidget_servoz00, BgL_dz00_303); 
FAILURE(BgL_auxz00_623,BFALSE,BFALSE);} 
BgL_auxz00_619 = 
REAL_TO_DOUBLE(BgL_tmpz00_620); } 
{ /* Llib/pdgservo.scm 92 */
 obj_t BgL_tmpz00_611;
if(
INTEGERP(BgL_iz00_302))
{ /* Llib/pdgservo.scm 92 */
BgL_tmpz00_611 = BgL_iz00_302
; }  else 
{ 
 obj_t BgL_auxz00_614;
BgL_auxz00_614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4062)), BGl_string1627z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_302); 
FAILURE(BgL_auxz00_614,BFALSE,BFALSE);} 
BgL_auxz00_610 = 
CINT(BgL_tmpz00_611); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_301, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 92 */
BgL_auxz00_602 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_301)
; }  else 
{ 
 obj_t BgL_auxz00_606;
BgL_auxz00_606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4062)), BGl_string1627z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_301); 
FAILURE(BgL_auxz00_606,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2servozd2positionzd2setz12zc0zz__phidget_servoz00(BgL_auxz00_602, BgL_auxz00_610, BgL_auxz00_619);} } 

}



/* phidget-servo-position-max */
BGL_EXPORTED_DEF double BGl_phidgetzd2servozd2positionzd2maxzd2zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_13, int BgL_iz00_14)
{
{ /* Llib/pdgservo.scm 102 */
{ /* Llib/pdgservo.scm 105 */
 CPhidgetServoHandle BgL_arg1162z00_235;
{ /* Llib/pdgservo.scm 105 */
 CPhidgetHandle BgL_arg1163z00_236;
BgL_arg1163z00_236 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_13)))->BgL_z42builtinz42); 
BgL_arg1162z00_235 = 
(CPhidgetServoHandle)(BgL_arg1163z00_236); } 
return 
bgl_phidget_servo_get_position_max(BgL_arg1162z00_235, BgL_iz00_14, 
((obj_t)BgL_oz00_13));} } 

}



/* &phidget-servo-position-max */
obj_t BGl_z62phidgetzd2servozd2positionzd2maxzb0zz__phidget_servoz00(obj_t BgL_envz00_304, obj_t BgL_oz00_305, obj_t BgL_iz00_306)
{
{ /* Llib/pdgservo.scm 102 */
{ /* Llib/pdgservo.scm 103 */
 double BgL_tmpz00_634;
{ /* Llib/pdgservo.scm 103 */
 int BgL_auxz00_643; BgL_phidgetzd2servozd2_bglt BgL_auxz00_635;
{ /* Llib/pdgservo.scm 103 */
 obj_t BgL_tmpz00_644;
if(
INTEGERP(BgL_iz00_306))
{ /* Llib/pdgservo.scm 103 */
BgL_tmpz00_644 = BgL_iz00_306
; }  else 
{ 
 obj_t BgL_auxz00_647;
BgL_auxz00_647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4505)), BGl_string1629z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_306); 
FAILURE(BgL_auxz00_647,BFALSE,BFALSE);} 
BgL_auxz00_643 = 
CINT(BgL_tmpz00_644); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_305, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 103 */
BgL_auxz00_635 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_305)
; }  else 
{ 
 obj_t BgL_auxz00_639;
BgL_auxz00_639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4505)), BGl_string1629z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_305); 
FAILURE(BgL_auxz00_639,BFALSE,BFALSE);} 
BgL_tmpz00_634 = 
BGl_phidgetzd2servozd2positionzd2maxzd2zz__phidget_servoz00(BgL_auxz00_635, BgL_auxz00_643); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_634);} } 

}



/* phidget-servo-position-min */
BGL_EXPORTED_DEF double BGl_phidgetzd2servozd2positionzd2minzd2zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_15, int BgL_iz00_16)
{
{ /* Llib/pdgservo.scm 111 */
{ /* Llib/pdgservo.scm 114 */
 CPhidgetServoHandle BgL_arg1167z00_238;
{ /* Llib/pdgservo.scm 114 */
 CPhidgetHandle BgL_arg1171z00_239;
BgL_arg1171z00_239 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
BgL_arg1167z00_238 = 
(CPhidgetServoHandle)(BgL_arg1171z00_239); } 
return 
bgl_phidget_servo_get_position_min(BgL_arg1167z00_238, BgL_iz00_16, 
((obj_t)BgL_oz00_15));} } 

}



/* &phidget-servo-position-min */
obj_t BGl_z62phidgetzd2servozd2positionzd2minzb0zz__phidget_servoz00(obj_t BgL_envz00_307, obj_t BgL_oz00_308, obj_t BgL_iz00_309)
{
{ /* Llib/pdgservo.scm 111 */
{ /* Llib/pdgservo.scm 112 */
 double BgL_tmpz00_659;
{ /* Llib/pdgservo.scm 112 */
 int BgL_auxz00_668; BgL_phidgetzd2servozd2_bglt BgL_auxz00_660;
{ /* Llib/pdgservo.scm 112 */
 obj_t BgL_tmpz00_669;
if(
INTEGERP(BgL_iz00_309))
{ /* Llib/pdgservo.scm 112 */
BgL_tmpz00_669 = BgL_iz00_309
; }  else 
{ 
 obj_t BgL_auxz00_672;
BgL_auxz00_672 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4892)), BGl_string1630z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_309); 
FAILURE(BgL_auxz00_672,BFALSE,BFALSE);} 
BgL_auxz00_668 = 
CINT(BgL_tmpz00_669); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_308, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 112 */
BgL_auxz00_660 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_308)
; }  else 
{ 
 obj_t BgL_auxz00_664;
BgL_auxz00_664 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)4892)), BGl_string1630z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_308); 
FAILURE(BgL_auxz00_664,BFALSE,BFALSE);} 
BgL_tmpz00_659 = 
BGl_phidgetzd2servozd2positionzd2minzd2zz__phidget_servoz00(BgL_auxz00_660, BgL_auxz00_668); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_659);} } 

}



/* phidget-servo-engaged */
BGL_EXPORTED_DEF bool_t BGl_phidgetzd2servozd2engagedz00zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_17, int BgL_iz00_18)
{
{ /* Llib/pdgservo.scm 120 */
{ /* Llib/pdgservo.scm 124 */
 int BgL_arg1172z00_241;
{ /* Llib/pdgservo.scm 124 */
 CPhidgetServoHandle BgL_arg1175z00_242;
{ /* Llib/pdgservo.scm 124 */
 CPhidgetHandle BgL_arg1177z00_243;
BgL_arg1177z00_243 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_17)))->BgL_z42builtinz42); 
BgL_arg1175z00_242 = 
(CPhidgetServoHandle)(BgL_arg1177z00_243); } 
BgL_arg1172z00_241 = 
bgl_phidget_servo_get_engaged(BgL_arg1175z00_242, BgL_iz00_18, 
((obj_t)BgL_oz00_17)); } 
return 
BGl_pdgboolzd2ze3boolz31zz__phidget_ctypesz00(BgL_arg1172z00_241);} } 

}



/* &phidget-servo-engaged */
obj_t BGl_z62phidgetzd2servozd2engagedz62zz__phidget_servoz00(obj_t BgL_envz00_310, obj_t BgL_oz00_311, obj_t BgL_iz00_312)
{
{ /* Llib/pdgservo.scm 120 */
{ /* Llib/pdgservo.scm 121 */
 bool_t BgL_tmpz00_685;
{ /* Llib/pdgservo.scm 121 */
 int BgL_auxz00_694; BgL_phidgetzd2servozd2_bglt BgL_auxz00_686;
{ /* Llib/pdgservo.scm 121 */
 obj_t BgL_tmpz00_695;
if(
INTEGERP(BgL_iz00_312))
{ /* Llib/pdgservo.scm 121 */
BgL_tmpz00_695 = BgL_iz00_312
; }  else 
{ 
 obj_t BgL_auxz00_698;
BgL_auxz00_698 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)5274)), BGl_string1631z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_312); 
FAILURE(BgL_auxz00_698,BFALSE,BFALSE);} 
BgL_auxz00_694 = 
CINT(BgL_tmpz00_695); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_311, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 121 */
BgL_auxz00_686 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_311)
; }  else 
{ 
 obj_t BgL_auxz00_690;
BgL_auxz00_690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)5274)), BGl_string1631z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_311); 
FAILURE(BgL_auxz00_690,BFALSE,BFALSE);} 
BgL_tmpz00_685 = 
BGl_phidgetzd2servozd2engagedz00zz__phidget_servoz00(BgL_auxz00_686, BgL_auxz00_694); } 
return 
BBOOL(BgL_tmpz00_685);} } 

}



/* phidget-servo-engaged-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servozd2engagedzd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_19, int BgL_iz00_20, bool_t BgL_dz00_21)
{
{ /* Llib/pdgservo.scm 130 */
{ /* Llib/pdgservo.scm 132 */
 bool_t BgL_test1714z00_705;
{ /* Llib/pdgservo.scm 134 */
 int BgL_arg1200z00_90;
{ /* Llib/pdgservo.scm 134 */
 CPhidgetServoHandle BgL_arg1201z00_91;
{ /* Llib/pdgservo.scm 134 */
 CPhidgetHandle BgL_arg1205z00_93;
BgL_arg1205z00_93 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_19)))->BgL_z42builtinz42); 
BgL_arg1201z00_91 = 
(CPhidgetServoHandle)(BgL_arg1205z00_93); } 
{ /* Llib/pdgservo.scm 133 */
 int BgL_tmpz00_709;
if(BgL_dz00_21)
{ /* Llib/pdgservo.scm 135 */
BgL_tmpz00_709 = PTRUE
; }  else 
{ /* Llib/pdgservo.scm 135 */
BgL_tmpz00_709 = PFALSE
; } 
BgL_arg1200z00_90 = 
CPhidgetServo_setEngaged(BgL_arg1201z00_91, BgL_iz00_20, BgL_tmpz00_709); } } 
BgL_test1714z00_705 = 
(
(long)(BgL_arg1200z00_90)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1714z00_705)
{ /* Llib/pdgservo.scm 132 */
return BFALSE;}  else 
{ /* Llib/pdgservo.scm 132 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1184z00_80;
{ /* Llib/pdgservo.scm 132 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1105z00_81;
{ /* Llib/pdgservo.scm 132 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1104z00_88;
BgL_new1104z00_88 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgservo.scm 132 */
 long BgL_arg1198z00_89;
BgL_arg1198z00_89 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_88), BgL_arg1198z00_89); } 
BgL_new1105z00_81 = BgL_new1104z00_88; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_81)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_81)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_723;
{ /* Llib/pdgservo.scm 132 */
 obj_t BgL_arg1185z00_82;
{ /* Llib/pdgservo.scm 132 */
 obj_t BgL_arg1186z00_83;
{ /* Llib/pdgservo.scm 132 */
 obj_t BgL_classz00_249;
BgL_classz00_249 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1186z00_83 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_249); } 
BgL_arg1185z00_82 = 
VECTOR_REF(BgL_arg1186z00_83,((long)2)); } 
BgL_auxz00_723 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1185z00_82); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_81)))->BgL_stackz00)=((obj_t)BgL_auxz00_723),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_81)))->BgL_procz00)=((obj_t)BGl_string1632z00zz__phidget_servoz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_731;
{ /* Llib/pdgservo.scm 134 */
 int BgL_arg1188z00_84;
{ /* Llib/pdgservo.scm 134 */
 CPhidgetServoHandle BgL_arg1189z00_85;
{ /* Llib/pdgservo.scm 134 */
 CPhidgetHandle BgL_arg1197z00_87;
BgL_arg1197z00_87 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_19)))->BgL_z42builtinz42); 
BgL_arg1189z00_85 = 
(CPhidgetServoHandle)(BgL_arg1197z00_87); } 
{ /* Llib/pdgservo.scm 133 */
 int BgL_tmpz00_736;
if(BgL_dz00_21)
{ /* Llib/pdgservo.scm 135 */
BgL_tmpz00_736 = PTRUE
; }  else 
{ /* Llib/pdgservo.scm 135 */
BgL_tmpz00_736 = PFALSE
; } 
BgL_arg1188z00_84 = 
CPhidgetServo_setEngaged(BgL_arg1189z00_85, BgL_iz00_20, BgL_tmpz00_736); } } 
BgL_auxz00_731 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1188z00_84); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_81)))->BgL_msgz00)=((obj_t)BgL_auxz00_731),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_81)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_19)),BUNSPEC); 
BgL_arg1184z00_80 = BgL_new1105z00_81; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1184z00_80));} } } 

}



/* &phidget-servo-engaged-set! */
obj_t BGl_z62phidgetzd2servozd2engagedzd2setz12za2zz__phidget_servoz00(obj_t BgL_envz00_313, obj_t BgL_oz00_314, obj_t BgL_iz00_315, obj_t BgL_dz00_316)
{
{ /* Llib/pdgservo.scm 130 */
{ /* Llib/pdgservo.scm 131 */
 int BgL_auxz00_754; BgL_phidgetzd2servozd2_bglt BgL_auxz00_746;
{ /* Llib/pdgservo.scm 131 */
 obj_t BgL_tmpz00_755;
if(
INTEGERP(BgL_iz00_315))
{ /* Llib/pdgservo.scm 131 */
BgL_tmpz00_755 = BgL_iz00_315
; }  else 
{ 
 obj_t BgL_auxz00_758;
BgL_auxz00_758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)5682)), BGl_string1633z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_315); 
FAILURE(BgL_auxz00_758,BFALSE,BFALSE);} 
BgL_auxz00_754 = 
CINT(BgL_tmpz00_755); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_314, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 131 */
BgL_auxz00_746 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_314)
; }  else 
{ 
 obj_t BgL_auxz00_750;
BgL_auxz00_750 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)5682)), BGl_string1633z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_314); 
FAILURE(BgL_auxz00_750,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2servozd2engagedzd2setz12zc0zz__phidget_servoz00(BgL_auxz00_746, BgL_auxz00_754, 
CBOOL(BgL_dz00_316));} } 

}



/* phidget-servo-parameters-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servozd2parameterszd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_22, int BgL_iz00_23, double BgL_d0z00_24, double BgL_d1z00_25, double BgL_d2z00_26)
{
{ /* Llib/pdgservo.scm 141 */
{ /* Llib/pdgservo.scm 143 */
 bool_t BgL_test1719z00_765;
{ /* Llib/pdgservo.scm 145 */
 int BgL_arg1225z00_108;
{ /* Llib/pdgservo.scm 145 */
 CPhidgetServoHandle BgL_arg1226z00_109;
{ /* Llib/pdgservo.scm 145 */
 CPhidgetHandle BgL_arg1227z00_110;
BgL_arg1227z00_110 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1226z00_109 = 
(CPhidgetServoHandle)(BgL_arg1227z00_110); } 
BgL_arg1225z00_108 = 
CPhidgetServo_setServoParameters(BgL_arg1226z00_109, BgL_iz00_23, BgL_d0z00_24, BgL_d1z00_25, BgL_d2z00_26); } 
BgL_test1719z00_765 = 
(
(long)(BgL_arg1225z00_108)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1719z00_765)
{ /* Llib/pdgservo.scm 143 */
return BFALSE;}  else 
{ /* Llib/pdgservo.scm 143 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1213z00_99;
{ /* Llib/pdgservo.scm 143 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1108z00_100;
{ /* Llib/pdgservo.scm 143 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1107z00_106;
BgL_new1107z00_106 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgservo.scm 143 */
 long BgL_arg1224z00_107;
BgL_arg1224z00_107 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_106), BgL_arg1224z00_107); } 
BgL_new1108z00_100 = BgL_new1107z00_106; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_100)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_100)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_781;
{ /* Llib/pdgservo.scm 143 */
 obj_t BgL_arg1214z00_101;
{ /* Llib/pdgservo.scm 143 */
 obj_t BgL_arg1215z00_102;
{ /* Llib/pdgservo.scm 143 */
 obj_t BgL_classz00_256;
BgL_classz00_256 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1215z00_102 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_256); } 
BgL_arg1214z00_101 = 
VECTOR_REF(BgL_arg1215z00_102,((long)2)); } 
BgL_auxz00_781 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1214z00_101); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_100)))->BgL_stackz00)=((obj_t)BgL_auxz00_781),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1108z00_100)))->BgL_procz00)=((obj_t)BGl_string1634z00zz__phidget_servoz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_789;
{ /* Llib/pdgservo.scm 145 */
 int BgL_arg1218z00_103;
{ /* Llib/pdgservo.scm 145 */
 CPhidgetServoHandle BgL_arg1219z00_104;
{ /* Llib/pdgservo.scm 145 */
 CPhidgetHandle BgL_arg1221z00_105;
BgL_arg1221z00_105 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1219z00_104 = 
(CPhidgetServoHandle)(BgL_arg1221z00_105); } 
BgL_arg1218z00_103 = 
CPhidgetServo_setServoParameters(BgL_arg1219z00_104, BgL_iz00_23, BgL_d0z00_24, BgL_d1z00_25, BgL_d2z00_26); } 
BgL_auxz00_789 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1218z00_103); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1108z00_100)))->BgL_msgz00)=((obj_t)BgL_auxz00_789),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1108z00_100)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_22)),BUNSPEC); 
BgL_arg1213z00_99 = BgL_new1108z00_100; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1213z00_99));} } } 

}



/* &phidget-servo-parameters-set! */
obj_t BGl_z62phidgetzd2servozd2parameterszd2setz12za2zz__phidget_servoz00(obj_t BgL_envz00_317, obj_t BgL_oz00_318, obj_t BgL_iz00_319, obj_t BgL_d0z00_320, obj_t BgL_d1z00_321, obj_t BgL_d2z00_322)
{
{ /* Llib/pdgservo.scm 141 */
{ /* Llib/pdgservo.scm 142 */
 double BgL_auxz00_837; double BgL_auxz00_828; double BgL_auxz00_819; int BgL_auxz00_810; BgL_phidgetzd2servozd2_bglt BgL_auxz00_802;
{ /* Llib/pdgservo.scm 142 */
 obj_t BgL_tmpz00_838;
if(
REALP(BgL_d2z00_322))
{ /* Llib/pdgservo.scm 142 */
BgL_tmpz00_838 = BgL_d2z00_322
; }  else 
{ 
 obj_t BgL_auxz00_841;
BgL_auxz00_841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6161)), BGl_string1635z00zz__phidget_servoz00, BGl_string1628z00zz__phidget_servoz00, BgL_d2z00_322); 
FAILURE(BgL_auxz00_841,BFALSE,BFALSE);} 
BgL_auxz00_837 = 
REAL_TO_DOUBLE(BgL_tmpz00_838); } 
{ /* Llib/pdgservo.scm 142 */
 obj_t BgL_tmpz00_829;
if(
REALP(BgL_d1z00_321))
{ /* Llib/pdgservo.scm 142 */
BgL_tmpz00_829 = BgL_d1z00_321
; }  else 
{ 
 obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6161)), BGl_string1635z00zz__phidget_servoz00, BGl_string1628z00zz__phidget_servoz00, BgL_d1z00_321); 
FAILURE(BgL_auxz00_832,BFALSE,BFALSE);} 
BgL_auxz00_828 = 
REAL_TO_DOUBLE(BgL_tmpz00_829); } 
{ /* Llib/pdgservo.scm 142 */
 obj_t BgL_tmpz00_820;
if(
REALP(BgL_d0z00_320))
{ /* Llib/pdgservo.scm 142 */
BgL_tmpz00_820 = BgL_d0z00_320
; }  else 
{ 
 obj_t BgL_auxz00_823;
BgL_auxz00_823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6161)), BGl_string1635z00zz__phidget_servoz00, BGl_string1628z00zz__phidget_servoz00, BgL_d0z00_320); 
FAILURE(BgL_auxz00_823,BFALSE,BFALSE);} 
BgL_auxz00_819 = 
REAL_TO_DOUBLE(BgL_tmpz00_820); } 
{ /* Llib/pdgservo.scm 142 */
 obj_t BgL_tmpz00_811;
if(
INTEGERP(BgL_iz00_319))
{ /* Llib/pdgservo.scm 142 */
BgL_tmpz00_811 = BgL_iz00_319
; }  else 
{ 
 obj_t BgL_auxz00_814;
BgL_auxz00_814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6161)), BGl_string1635z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_319); 
FAILURE(BgL_auxz00_814,BFALSE,BFALSE);} 
BgL_auxz00_810 = 
CINT(BgL_tmpz00_811); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_318, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 142 */
BgL_auxz00_802 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_318)
; }  else 
{ 
 obj_t BgL_auxz00_806;
BgL_auxz00_806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6161)), BGl_string1635z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_318); 
FAILURE(BgL_auxz00_806,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2servozd2parameterszd2setz12zc0zz__phidget_servoz00(BgL_auxz00_802, BgL_auxz00_810, BgL_auxz00_819, BgL_auxz00_828, BgL_auxz00_837);} } 

}



/* phidget-servo-type */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servozd2typez00zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_27, int BgL_iz00_28)
{
{ /* Llib/pdgservo.scm 152 */
{ /* Llib/pdgservo.scm 156 */
 int BgL_arg1228z00_259;
{ /* Llib/pdgservo.scm 156 */
 CPhidgetServoHandle BgL_arg1229z00_260;
{ /* Llib/pdgservo.scm 156 */
 CPhidgetHandle BgL_arg1230z00_261;
BgL_arg1230z00_261 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_27)))->BgL_z42builtinz42); 
BgL_arg1229z00_260 = 
(CPhidgetServoHandle)(BgL_arg1230z00_261); } 
BgL_arg1228z00_259 = 
bgl_phidget_servo_get_servo_type(BgL_arg1229z00_260, BgL_iz00_28, 
((obj_t)BgL_oz00_27)); } 
return 
BGl_servozd2typezd2ze3symbolze3zz__phidget_ctypesz00(
(long)(BgL_arg1228z00_259));} } 

}



/* &phidget-servo-type */
obj_t BGl_z62phidgetzd2servozd2typez62zz__phidget_servoz00(obj_t BgL_envz00_323, obj_t BgL_oz00_324, obj_t BgL_iz00_325)
{
{ /* Llib/pdgservo.scm 152 */
{ /* Llib/pdgservo.scm 153 */
 int BgL_auxz00_862; BgL_phidgetzd2servozd2_bglt BgL_auxz00_854;
{ /* Llib/pdgservo.scm 153 */
 obj_t BgL_tmpz00_863;
if(
INTEGERP(BgL_iz00_325))
{ /* Llib/pdgservo.scm 153 */
BgL_tmpz00_863 = BgL_iz00_325
; }  else 
{ 
 obj_t BgL_auxz00_866;
BgL_auxz00_866 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6607)), BGl_string1636z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_325); 
FAILURE(BgL_auxz00_866,BFALSE,BFALSE);} 
BgL_auxz00_862 = 
CINT(BgL_tmpz00_863); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_324, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 153 */
BgL_auxz00_854 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_324)
; }  else 
{ 
 obj_t BgL_auxz00_858;
BgL_auxz00_858 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)6607)), BGl_string1636z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_324); 
FAILURE(BgL_auxz00_858,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2servozd2typez00zz__phidget_servoz00(BgL_auxz00_854, BgL_auxz00_862);} } 

}



/* phidget-servo-type-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servozd2typezd2setz12zc0zz__phidget_servoz00(BgL_phidgetzd2servozd2_bglt BgL_oz00_29, int BgL_iz00_30, obj_t BgL_tz00_31)
{
{ /* Llib/pdgservo.scm 162 */
{ /* Llib/pdgservo.scm 164 */
 bool_t BgL_test1729z00_872;
{ /* Llib/pdgservo.scm 166 */
 int BgL_arg1268z00_131;
{ /* Llib/pdgservo.scm 166 */
 CPhidgetServoHandle BgL_arg1269z00_132; CPhidget_ServoType BgL_arg1270z00_133;
{ /* Llib/pdgservo.scm 166 */
 CPhidgetHandle BgL_arg1271z00_134;
BgL_arg1271z00_134 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_29)))->BgL_z42builtinz42); 
BgL_arg1269z00_132 = 
(CPhidgetServoHandle)(BgL_arg1271z00_134); } 
BgL_arg1270z00_133 = 
BGl_symbolzd2ze3servozd2typeze3zz__phidget_ctypesz00(BgL_tz00_31); 
BgL_arg1268z00_131 = 
CPhidgetServo_setServoType(BgL_arg1269z00_132, BgL_iz00_30, BgL_arg1270z00_133); } 
BgL_test1729z00_872 = 
(
(long)(BgL_arg1268z00_131)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1729z00_872)
{ /* Llib/pdgservo.scm 164 */
return BFALSE;}  else 
{ /* Llib/pdgservo.scm 164 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1242z00_121;
{ /* Llib/pdgservo.scm 164 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1113z00_122;
{ /* Llib/pdgservo.scm 164 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1112z00_129;
BgL_new1112z00_129 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgservo.scm 164 */
 long BgL_arg1267z00_130;
BgL_arg1267z00_130 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_129), BgL_arg1267z00_130); } 
BgL_new1113z00_122 = BgL_new1112z00_129; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_122)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_122)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_889;
{ /* Llib/pdgservo.scm 164 */
 obj_t BgL_arg1250z00_123;
{ /* Llib/pdgservo.scm 164 */
 obj_t BgL_arg1251z00_124;
{ /* Llib/pdgservo.scm 164 */
 obj_t BgL_classz00_267;
BgL_classz00_267 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1251z00_124 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_267); } 
BgL_arg1250z00_123 = 
VECTOR_REF(BgL_arg1251z00_124,((long)2)); } 
BgL_auxz00_889 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1250z00_123); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_122)))->BgL_stackz00)=((obj_t)BgL_auxz00_889),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_122)))->BgL_procz00)=((obj_t)BGl_string1637z00zz__phidget_servoz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_897;
{ /* Llib/pdgservo.scm 166 */
 int BgL_arg1252z00_125;
{ /* Llib/pdgservo.scm 166 */
 CPhidgetServoHandle BgL_arg1262z00_126; CPhidget_ServoType BgL_arg1263z00_127;
{ /* Llib/pdgservo.scm 166 */
 CPhidgetHandle BgL_arg1264z00_128;
BgL_arg1264z00_128 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_29)))->BgL_z42builtinz42); 
BgL_arg1262z00_126 = 
(CPhidgetServoHandle)(BgL_arg1264z00_128); } 
BgL_arg1263z00_127 = 
BGl_symbolzd2ze3servozd2typeze3zz__phidget_ctypesz00(BgL_tz00_31); 
BgL_arg1252z00_125 = 
CPhidgetServo_setServoType(BgL_arg1262z00_126, BgL_iz00_30, BgL_arg1263z00_127); } 
BgL_auxz00_897 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1252z00_125); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_122)))->BgL_msgz00)=((obj_t)BgL_auxz00_897),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_122)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_29)),BUNSPEC); 
BgL_arg1242z00_121 = BgL_new1113z00_122; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1242z00_121));} } } 

}



/* &phidget-servo-type-set! */
obj_t BGl_z62phidgetzd2servozd2typezd2setz12za2zz__phidget_servoz00(obj_t BgL_envz00_326, obj_t BgL_oz00_327, obj_t BgL_iz00_328, obj_t BgL_tz00_329)
{
{ /* Llib/pdgservo.scm 162 */
{ /* Llib/pdgservo.scm 163 */
 obj_t BgL_auxz00_928; int BgL_auxz00_919; BgL_phidgetzd2servozd2_bglt BgL_auxz00_911;
if(
SYMBOLP(BgL_tz00_329))
{ /* Llib/pdgservo.scm 163 */
BgL_auxz00_928 = BgL_tz00_329
; }  else 
{ 
 obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)7020)), BGl_string1638z00zz__phidget_servoz00, BGl_string1639z00zz__phidget_servoz00, BgL_tz00_329); 
FAILURE(BgL_auxz00_931,BFALSE,BFALSE);} 
{ /* Llib/pdgservo.scm 163 */
 obj_t BgL_tmpz00_920;
if(
INTEGERP(BgL_iz00_328))
{ /* Llib/pdgservo.scm 163 */
BgL_tmpz00_920 = BgL_iz00_328
; }  else 
{ 
 obj_t BgL_auxz00_923;
BgL_auxz00_923 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)7020)), BGl_string1638z00zz__phidget_servoz00, BGl_string1625z00zz__phidget_servoz00, BgL_iz00_328); 
FAILURE(BgL_auxz00_923,BFALSE,BFALSE);} 
BgL_auxz00_919 = 
CINT(BgL_tmpz00_920); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_327, BGl_phidgetzd2servozd2zz__phidget_servoz00))
{ /* Llib/pdgservo.scm 163 */
BgL_auxz00_911 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_327)
; }  else 
{ 
 obj_t BgL_auxz00_915;
BgL_auxz00_915 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__phidget_servoz00, 
BINT(((long)7020)), BGl_string1638z00zz__phidget_servoz00, BGl_string1624z00zz__phidget_servoz00, BgL_oz00_327); 
FAILURE(BgL_auxz00_915,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2servozd2typezd2setz12zc0zz__phidget_servoz00(BgL_auxz00_911, BgL_auxz00_919, BgL_auxz00_928);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
{ /* Llib/pdgservo.scm 29 */
 obj_t BgL_arg1286z00_138; obj_t BgL_arg1287z00_139;
{ /* Llib/pdgservo.scm 29 */
 obj_t BgL_v1117z00_152;
BgL_v1117z00_152 = 
create_vector(((long)1)); 
{ /* Llib/pdgservo.scm 29 */
 obj_t BgL_arg1333z00_153;
BgL_arg1333z00_153 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1641z00zz__phidget_servoz00, BGl_proc1640z00zz__phidget_servoz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1117z00_152,((long)0),BgL_arg1333z00_153); } 
BgL_arg1286z00_138 = BgL_v1117z00_152; } 
{ /* Llib/pdgservo.scm 29 */
 obj_t BgL_v1118z00_163;
BgL_v1118z00_163 = 
create_vector(((long)1)); 
{ /* Llib/pdgservo.scm 33 */
 obj_t BgL_arg1342z00_164;
{ /* Llib/pdgservo.scm 33 */
 obj_t BgL_arg1343z00_165;
BgL_arg1343z00_165 = 
MAKE_YOUNG_PAIR(BGl_proc1642z00zz__phidget_servoz00, BFALSE); 
BgL_arg1342z00_164 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg1343z00_165); } 
VECTOR_SET(BgL_v1118z00_163,((long)0),BgL_arg1342z00_164); } 
BgL_arg1287z00_139 = BgL_v1118z00_163; } 
return ( 
BGl_phidgetzd2servozd2zz__phidget_servoz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3)), BGl_phidgetz00zz__phidget_phidgetz00, ((long)12131), BGl_proc1645z00zz__phidget_servoz00, BGl_proc1644z00zz__phidget_servoz00, BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_proc1643z00zz__phidget_servoz00, BFALSE, BgL_arg1286z00_138, BgL_arg1287z00_139), BUNSPEC) ;} } 

}



/* &<@anonymous:1332> */
obj_t BGl_z62zc3z04anonymousza31332ze3ze5zz__phidget_servoz00(obj_t BgL_envz00_336, obj_t BgL_new1079z00_337)
{
{ /* Llib/pdgservo.scm 29 */
{ 
 BgL_phidgetzd2servozd2_bglt BgL_auxz00_949;
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2servozd2_bglt)BgL_new1079z00_337))))->BgL_z42builtinz42)=((CPhidgetHandle)
0L),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2servozd2_bglt)BgL_new1079z00_337))))->BgL_z52serialzd2numberz80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_949 = 
((BgL_phidgetzd2servozd2_bglt)BgL_new1079z00_337); 
return 
((obj_t)BgL_auxz00_949);} } 

}



/* &lambda1292 */
BgL_phidgetzd2servozd2_bglt BGl_z62lambda1292z62zz__phidget_servoz00(obj_t BgL_envz00_338)
{
{ /* Llib/pdgservo.scm 29 */
{ /* Llib/pdgservo.scm 29 */
 BgL_phidgetzd2servozd2_bglt BgL_new1078z00_442;
BgL_new1078z00_442 = 
((BgL_phidgetzd2servozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servozd2_bgl) ))); 
{ /* Llib/pdgservo.scm 29 */
 long BgL_arg1331z00_443;
BgL_arg1331z00_443 = 
BGL_CLASS_NUM(BGl_phidgetzd2servozd2zz__phidget_servoz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_442), BgL_arg1331z00_443); } 
return BgL_new1078z00_442;} } 

}



/* &lambda1288 */
BgL_phidgetzd2servozd2_bglt BGl_z62lambda1288z62zz__phidget_servoz00(obj_t BgL_envz00_339, obj_t BgL_z42builtin1076z42_340, obj_t BgL_z52serialzd2number1077z80_341)
{
{ /* Llib/pdgservo.scm 29 */
{ /* Llib/pdgservo.scm 29 */
 CPhidgetHandle BgL_z42builtin1076z42_444; int BgL_z52serialzd2number1077z80_445;
BgL_z42builtin1076z42_444 = 
FOREIGN_TO_COBJ(BgL_z42builtin1076z42_340); 
BgL_z52serialzd2number1077z80_445 = 
CINT(BgL_z52serialzd2number1077z80_341); 
{ /* Llib/pdgservo.scm 29 */
 BgL_phidgetzd2servozd2_bglt BgL_new1115z00_446;
{ /* Llib/pdgservo.scm 29 */
 BgL_phidgetzd2servozd2_bglt BgL_new1114z00_447;
BgL_new1114z00_447 = 
((BgL_phidgetzd2servozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servozd2_bgl) ))); 
{ /* Llib/pdgservo.scm 29 */
 long BgL_arg1291z00_448;
BgL_arg1291z00_448 = 
BGL_CLASS_NUM(BGl_phidgetzd2servozd2zz__phidget_servoz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_447), BgL_arg1291z00_448); } 
BgL_new1115z00_446 = BgL_new1114z00_447; } 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1115z00_446)))->BgL_z42builtinz42)=((CPhidgetHandle)BgL_z42builtin1076z42_444),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1115z00_446)))->BgL_z52serialzd2numberz80)=((int)BgL_z52serialzd2number1077z80_445),BUNSPEC); 
{ /* Llib/pdgservo.scm 29 */
 obj_t BgL_fun1289z00_449;
BgL_fun1289z00_449 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_phidgetzd2servozd2zz__phidget_servoz00); 
PROCEDURE_ENTRY(BgL_fun1289z00_449)(BgL_fun1289z00_449, 
((obj_t)BgL_new1115z00_446), BEOA); } 
return BgL_new1115z00_446;} } } 

}



/* &<@anonymous:1346> */
obj_t BGl_z62zc3z04anonymousza31346ze3ze5zz__phidget_servoz00(obj_t BgL_envz00_342, obj_t BgL_oz00_343)
{
{ /* Llib/pdgservo.scm 30 */
{ /* Llib/pdgservo.scm 33 */
 int BgL_tmpz00_980;
{ /* Llib/pdgservo.scm 35 */
 CPhidgetServoHandle BgL_arg1348z00_450;
{ /* Llib/pdgservo.scm 35 */
 CPhidgetHandle BgL_arg1349z00_451;
BgL_arg1349z00_451 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_343)))->BgL_z42builtinz42); 
BgL_arg1348z00_450 = 
(CPhidgetServoHandle)(BgL_arg1349z00_451); } 
BgL_tmpz00_980 = 
bgl_phidget_servo_get_motor_count(BgL_arg1348z00_450, BgL_oz00_343); } 
return 
BINT(BgL_tmpz00_980);} } 

}



/* &<@anonymous:1341> */
obj_t BGl_z62zc3z04anonymousza31341ze3ze5zz__phidget_servoz00(obj_t BgL_envz00_344, obj_t BgL_oz00_345, obj_t BgL_vz00_346)
{
{ /* Llib/pdgservo.scm 29 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_345), 
(int)(((long)6)), BgL_vz00_346);} 

}



/* &<@anonymous:1340> */
obj_t BGl_z62zc3z04anonymousza31340ze3ze5zz__phidget_servoz00(obj_t BgL_envz00_347, obj_t BgL_oz00_348)
{
{ /* Llib/pdgservo.scm 29 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_348), 
(int)(((long)6)));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_phidgetzd2servozd2zz__phidget_servoz00, BGl_proc1646z00zz__phidget_servoz00, BGl_string1647z00zz__phidget_servoz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BGl_phidgetzd2servozd2zz__phidget_servoz00, BGl_proc1648z00zz__phidget_servoz00, BGl_string1649z00zz__phidget_servoz00);} 

}



/* &phidget-add-event-li1122 */
obj_t BGl_z62phidgetzd2addzd2eventzd2li1122zb0zz__phidget_servoz00(obj_t BgL_envz00_353, obj_t BgL_oz00_354, obj_t BgL_eventz00_355, obj_t BgL_procz00_356)
{
{ /* Llib/pdgservo.scm 72 */
{ /* Llib/pdgservo.scm 74 */
 bool_t BgL_test1734z00_994;
{ /* Llib/pdgservo.scm 76 */
 int BgL_arg1555z00_453;
{ /* Llib/pdgservo.scm 76 */
 CPhidgetServoHandle BgL_arg1563z00_454;
{ /* Llib/pdgservo.scm 76 */
 CPhidgetHandle BgL_arg1564z00_455;
BgL_arg1564z00_455 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_354))))->BgL_z42builtinz42); 
BgL_arg1563z00_454 = 
(CPhidgetServoHandle)(BgL_arg1564z00_455); } 
BgL_arg1555z00_453 = 
bgl_phidget_servo_add_event_listener(BgL_arg1563z00_454, 
BSTRING_TO_STRING(BgL_eventz00_355), 
((obj_t)
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_354)), BgL_procz00_356); } 
BgL_test1734z00_994 = 
(
(long)(BgL_arg1555z00_453)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1734z00_994)
{ /* Llib/pdgservo.scm 74 */
return BFALSE;}  else 
{ /* Llib/pdgservo.scm 74 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1414z00_456;
{ /* Llib/pdgservo.scm 74 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1095z00_457;
{ /* Llib/pdgservo.scm 74 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1094z00_458;
BgL_new1094z00_458 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgservo.scm 74 */
 long BgL_arg1554z00_459;
BgL_arg1554z00_459 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_458), BgL_arg1554z00_459); } 
BgL_new1095z00_457 = BgL_new1094z00_458; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1095z00_457)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1095z00_457)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1014;
{ /* Llib/pdgservo.scm 74 */
 obj_t BgL_arg1455z00_460;
{ /* Llib/pdgservo.scm 74 */
 obj_t BgL_arg1456z00_461;
{ /* Llib/pdgservo.scm 74 */
 obj_t BgL_classz00_462;
BgL_classz00_462 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1456z00_461 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_462); } 
BgL_arg1455z00_460 = 
VECTOR_REF(BgL_arg1456z00_461,((long)2)); } 
BgL_auxz00_1014 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1455z00_460); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1095z00_457)))->BgL_stackz00)=((obj_t)BgL_auxz00_1014),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1095z00_457)))->BgL_procz00)=((obj_t)BGl_string1649z00zz__phidget_servoz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1022;
{ /* Llib/pdgservo.scm 76 */
 int BgL_arg1535z00_463;
{ /* Llib/pdgservo.scm 76 */
 CPhidgetServoHandle BgL_arg1536z00_464;
{ /* Llib/pdgservo.scm 76 */
 CPhidgetHandle BgL_arg1541z00_465;
BgL_arg1541z00_465 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_354))))->BgL_z42builtinz42); 
BgL_arg1536z00_464 = 
(CPhidgetServoHandle)(BgL_arg1541z00_465); } 
BgL_arg1535z00_463 = 
bgl_phidget_servo_add_event_listener(BgL_arg1536z00_464, 
BSTRING_TO_STRING(BgL_eventz00_355), 
((obj_t)
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_354)), BgL_procz00_356); } 
BgL_auxz00_1022 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1535z00_463); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1095z00_457)))->BgL_msgz00)=((obj_t)BgL_auxz00_1022),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1095z00_457)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_354))),BUNSPEC); 
BgL_arg1414z00_456 = BgL_new1095z00_457; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1414z00_456));} } } 

}



/* &%phidget-init-phidge1120 */
obj_t BGl_z62z52phidgetzd2initzd2phidge1120z30zz__phidget_servoz00(obj_t BgL_envz00_357, obj_t BgL_oz00_358)
{
{ /* Llib/pdgservo.scm 62 */
BGl_phidgetzd2initz12zc0zz__phidgetz00(); 
{ /* Llib/pdgservo.scm 65 */
 bool_t BgL_test1735z00_1041;
{ /* Llib/pdgservo.scm 66 */
 int BgL_arg1366z00_467;
{ /* Llib/pdgservo.scm 66 */
 CPhidgetServoHandle * BgL_arg1367z00_468;
{ /* Llib/pdgservo.scm 66 */
 BgL_phidgetzd2servozd2_bglt BgL_tmpz00_1042;
BgL_tmpz00_1042 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_358); 
BgL_arg1367z00_468 = 
BGL_PHIDGET_SERVO_BUILTIN(BgL_tmpz00_1042); } 
BgL_arg1366z00_467 = 
CPhidgetServo_create(BgL_arg1367z00_468); } 
BgL_test1735z00_1041 = 
(
(long)(BgL_arg1366z00_467)==
(long)(EPHIDGET_OK)); } 
if(BgL_test1735z00_1041)
{ /* Llib/pdgservo.scm 65 */
return BFALSE;}  else 
{ /* Llib/pdgservo.scm 65 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1357z00_469;
{ /* Llib/pdgservo.scm 65 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1092z00_470;
{ /* Llib/pdgservo.scm 65 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1091z00_471;
BgL_new1091z00_471 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgservo.scm 65 */
 long BgL_arg1364z00_472;
BgL_arg1364z00_472 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_471), BgL_arg1364z00_472); } 
BgL_new1092z00_470 = BgL_new1091z00_471; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_470)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_470)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1057;
{ /* Llib/pdgservo.scm 65 */
 obj_t BgL_arg1358z00_473;
{ /* Llib/pdgservo.scm 65 */
 obj_t BgL_arg1360z00_474;
{ /* Llib/pdgservo.scm 65 */
 obj_t BgL_classz00_475;
BgL_classz00_475 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1360z00_474 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_475); } 
BgL_arg1358z00_473 = 
VECTOR_REF(BgL_arg1360z00_474,((long)2)); } 
BgL_auxz00_1057 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1358z00_473); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_470)))->BgL_stackz00)=((obj_t)BgL_auxz00_1057),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1092z00_470)))->BgL_procz00)=((obj_t)BGl_string1624z00zz__phidget_servoz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1065;
{ /* Llib/pdgservo.scm 66 */
 int BgL_arg1361z00_476;
{ /* Llib/pdgservo.scm 66 */
 CPhidgetServoHandle * BgL_arg1363z00_477;
{ /* Llib/pdgservo.scm 66 */
 BgL_phidgetzd2servozd2_bglt BgL_tmpz00_1067;
BgL_tmpz00_1067 = 
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_358); 
BgL_arg1363z00_477 = 
BGL_PHIDGET_SERVO_BUILTIN(BgL_tmpz00_1067); } 
BgL_arg1361z00_476 = 
CPhidgetServo_create(BgL_arg1363z00_477); } 
BgL_auxz00_1065 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1361z00_476); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1092z00_470)))->BgL_msgz00)=((obj_t)BgL_auxz00_1065),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1092z00_470)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_phidgetzd2servozd2_bglt)BgL_oz00_358))),BUNSPEC); 
BgL_arg1357z00_469 = BgL_new1092z00_470; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1357z00_469));} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__phidget_servoz00()
{
{ /* Llib/pdgservo.scm 15 */
BGl_modulezd2initializa7ationz75zz__phidget_typesz00(((long)253269866), 
BSTRING_TO_STRING(BGl_string1650z00zz__phidget_servoz00)); 
BGl_modulezd2initializa7ationz75zz__phidget_ctypesz00(((long)348195563), 
BSTRING_TO_STRING(BGl_string1650z00zz__phidget_servoz00)); 
BGl_modulezd2initializa7ationz75zz__phidgetz00(((long)10161971), 
BSTRING_TO_STRING(BGl_string1650z00zz__phidget_servoz00)); 
BGl_modulezd2initializa7ationz75zz__phidget_eventz00(((long)347168848), 
BSTRING_TO_STRING(BGl_string1650z00zz__phidget_servoz00)); 
return 
BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(((long)489304720), 
BSTRING_TO_STRING(BGl_string1650z00zz__phidget_servoz00));} 

}

#ifdef __cplusplus
}
#endif
