/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_u/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


extern void * bglpth_thread_new(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2pt1154z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2specificzd2pthr1156z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62threadzd2joinz12zd2pthread1152z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
extern void bglpth_thread_start(void *, obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1142z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31415ze3ze70z60zz__pth_threadz00(obj_t, obj_t, BgL_pthreadz00_bglt);
static obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31280ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1222z62zz__pth_threadz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62lambda1223z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1229z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield();
static obj_t BGl_z62threadzd2initializa7ez12zd2p1146zd7zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1230z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
static obj_t BGl_zc3z04exitza31416ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1243z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1251z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__pth_threadz00(obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
extern void bglpth_thread_join(void *, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1341z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__pth_threadz00(obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1181z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1185z62zz__pth_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00();
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1269z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00();
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00();
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00();
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1271z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31456ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1192z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2pthrea1148z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2uncaugh1138z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121158z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31378ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21162za2zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1160z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1140z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21144zf0zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62threadzd2startzd2joinabl1150z62zz__pth_threadz00(obj_t, obj_t);
static obj_t __cnst[ 18 ] ;


BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1711z00zz__pth_threadz00, BgL_bgl_za762lambda1192za7621778z00, BGl_z62lambda1192z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1712z00zz__pth_threadz00, BgL_bgl_za762lambda1191za7621779z00, BGl_z62lambda1191z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1713z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1780za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1714z00zz__pth_threadz00, BgL_bgl_za762lambda1203za7621781z00, BGl_z62lambda1203z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1715z00zz__pth_threadz00, BgL_bgl_za762lambda1202za7621782z00, BGl_z62lambda1202z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1716z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1783za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1717z00zz__pth_threadz00, BgL_bgl_za762lambda1213za7621784z00, BGl_z62lambda1213z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1718z00zz__pth_threadz00, BgL_bgl_za762lambda1212za7621785z00, BGl_z62lambda1212z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1719z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1786za7, BGl_z62zc3z04anonymousza31224ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1720z00zz__pth_threadz00, BgL_bgl_za762lambda1223za7621787z00, BGl_z62lambda1223z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1721z00zz__pth_threadz00, BgL_bgl_za762lambda1222za7621788z00, BGl_z62lambda1222z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1722z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1789za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1723z00zz__pth_threadz00, BgL_bgl_za762lambda1230za7621790z00, BGl_z62lambda1230z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1724z00zz__pth_threadz00, BgL_bgl_za762lambda1229za7621791z00, BGl_z62lambda1229z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1725z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1792za7, BGl_z62zc3z04anonymousza31187ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__pth_threadz00, BgL_bgl_za762lambda1185za7621793z00, BGl_z62lambda1185z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__pth_threadz00, BgL_bgl_za762lambda1181za7621794z00, BGl_z62lambda1181z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1795za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__pth_threadz00, BgL_bgl_za762lambda1251za7621796z00, BGl_z62lambda1251z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__pth_threadz00, BgL_bgl_za762lambda1243za7621797z00, BGl_z62lambda1243z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1731z00zz__pth_threadz00, BgL_bgl_za762lambda1288za7621798z00, BGl_z62lambda1288z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__pth_threadz00, BgL_bgl_za762lambda1287za7621799z00, BGl_z62lambda1287z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1800za7, BGl_z62zc3z04anonymousza31280ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1740z00zz__pth_threadz00, BgL_bgl_string1740za700za7za7_1801za7, "object-write", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__pth_threadz00, BgL_bgl_za762lambda1271za7621802z00, BGl_z62lambda1271z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__pth_threadz00, BgL_bgl_za762lambda1269za7621803z00, BGl_z62lambda1269z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1742z00zz__pth_threadz00, BgL_bgl_string1742za700za7za7_1804za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1805za7, BGl_z62zc3z04anonymousza31343ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1737z00zz__pth_threadz00, BgL_bgl_za762lambda1341za7621806z00, BGl_z62lambda1341z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1744z00zz__pth_threadz00, BgL_bgl_string1744za700za7za7_1807za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__pth_threadz00, BgL_bgl_za762lambda1339za7621808z00, BGl_z62lambda1339z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ1809z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1138z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1746z00zz__pth_threadz00, BgL_bgl_string1746za700za7za7_1810za7, "%user-thread-yield!", 19 );
DEFINE_STRING( BGl_string1748z00zz__pth_threadz00, BgL_bgl_string1748za700za7za7_1811za7, "thread-initialize!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp1812z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1140z62zz__pth_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin1813z00, BGl_z62objectzd2printzd2uncaugh1142z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1750z00zz__pth_threadz00, BgL_bgl_string1750za700za7za7_1814za7, "thread-start!", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr1815za7, BGl_z62z52userzd2threadzd2yieldz12zd21144zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1752z00zz__pth_threadz00, BgL_bgl_string1752za700za7za7_1816za7, "thread-start-joinable!", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init1817z00, BGl_z62threadzd2initializa7ez12zd2p1146zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1754z00zz__pth_threadz00, BgL_bgl_string1754za700za7za7_1818za7, "thread-join!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1819z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1148z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1756z00zz__pth_threadz00, BgL_bgl_string1756za700za7za7_1820za7, "thread-terminate!", 17 );
DEFINE_STRING( BGl_string1758z00zz__pth_threadz00, BgL_bgl_string1758za700za7za7_1821za7, "thread-specific", 15 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1822z00, BGl_z62threadzd2startzd2joinabl1150z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join1823z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1152z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1760z00zz__pth_threadz00, BgL_bgl_string1760za700za7za7_1824za7, "thread-specific-set!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term1825z00, BGl_z62threadzd2terminatez12zd2pt1154z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1762z00zz__pth_threadz00, BgL_bgl_string1762za700za7za7_1826za7, "thread-cleanup", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1757z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1827z00, BGl_z62threadzd2specificzd2pthr1156z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1764z00zz__pth_threadz00, BgL_bgl_string1764za700za7za7_1828za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1765z00zz__pth_threadz00, BgL_bgl_string1765za700za7za7_1829za7, "Illegal procedure arity", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1759z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1830z00, BGl_z62threadzd2specificzd2setz121158z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1766z00zz__pth_threadz00, BgL_bgl_string1766za700za7za7_1831za7, "detached thread", 15 );
DEFINE_STRING( BGl_string1767z00zz__pth_threadz00, BgL_bgl_string1767za700za7za7_1832za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STRING( BGl_string1768z00zz__pth_threadz00, BgL_bgl_string1768za700za7za7_1833za7, "make-thread", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1834z00, BGl_z62threadzd2cleanupzd2pthre1160z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1835z00, BGl_z62threadzd2cleanupzd2setz12zd21162za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1770z00zz__pth_threadz00, BgL_bgl_string1770za700za7za7_1836za7, "unwind-until!, ~a", 17 );
DEFINE_STRING( BGl_string1771z00zz__pth_threadz00, BgL_bgl_string1771za700za7za7_1837za7, "exit out of thread dynamic scope", 32 );
DEFINE_STRING( BGl_string1772z00zz__pth_threadz00, BgL_bgl_string1772za700za7za7_1838za7, "__pth_thread", 12 );
DEFINE_STRING( BGl_string1773z00zz__pth_threadz00, BgL_bgl_string1773za700za7za7_1839za7, "&pthread- & thread-join! terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 191 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1840za7, BGl_z62zc3z04anonymousza31536ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d21841za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_845, char * BgL_fromz00_846)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_cportz00_701;
{ /* Llib/pthread.scm 15 */
 obj_t BgL_stringz00_709;
BgL_stringz00_709 = BGl_string1773z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_startz00_710;
BgL_startz00_710 = 
BINT(((long)0)); 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_endz00_711;
BgL_endz00_711 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_709))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_701 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_709, BgL_startz00_710, BgL_endz00_711); } } } } 
{ 
 long BgL_iz00_702;
BgL_iz00_702 = ((long)17); 
BgL_loopz00_703:
if(
(BgL_iz00_702==((long)-1)))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_arg1777z00_705;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
 obj_t BgL_locationz00_707;
BgL_locationz00_707 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg1777z00_705 = 
BGl_readz00zz__readerz00(BgL_cportz00_701, BgL_locationz00_707); } } } 
{ /* Llib/pthread.scm 15 */
 int BgL_tmpz00_884;
BgL_tmpz00_884 = 
(int)(BgL_iz00_702); 
CNST_TABLE_SET(BgL_tmpz00_884, BgL_arg1777z00_705); } } 
{ /* Llib/pthread.scm 15 */
 int BgL_auxz00_708;
BgL_auxz00_708 = 
(int)(
(BgL_iz00_702-((long)1))); 
{ 
 long BgL_iz00_889;
BgL_iz00_889 = 
(long)(BgL_auxz00_708); 
BgL_iz00_702 = BgL_iz00_889; 
goto BgL_loopz00_703;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00()
{
{ /* Llib/pthread.scm 205 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_500)
{
{ /* Llib/pthread.scm 205 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1179z00_35; obj_t BgL_arg1180z00_36;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1129z00_53;
BgL_v1129z00_53 = 
create_vector(((long)5)); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1188z00_54;
BgL_arg1188z00_54 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1712z00zz__pth_threadz00, BGl_proc1711z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1129z00_53,((long)0),BgL_arg1188z00_54); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1197z00_64;
BgL_arg1197z00_64 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1715z00zz__pth_threadz00, BGl_proc1714z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1713z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1129z00_53,((long)1),BgL_arg1197z00_64); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1205z00_77;
BgL_arg1205z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1718z00zz__pth_threadz00, BGl_proc1717z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1716z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1129z00_53,((long)2),BgL_arg1205z00_77); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1215z00_90;
BgL_arg1215z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1721z00zz__pth_threadz00, BGl_proc1720z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1719z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1129z00_53,((long)3),BgL_arg1215z00_90); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1225z00_103;
BgL_arg1225z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1724z00zz__pth_threadz00, BGl_proc1723z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1722z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1129z00_53,((long)4),BgL_arg1225z00_103); } 
BgL_arg1179z00_35 = BgL_v1129z00_53; } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1130z00_116;
BgL_v1130z00_116 = 
create_vector(((long)0)); 
BgL_arg1180z00_36 = BgL_v1130z00_116; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_threadz00zz__threadz00, ((long)35369), BGl_proc1727z00zz__pth_threadz00, BGl_proc1726z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1725z00zz__pth_threadz00, BFALSE, BgL_arg1179z00_35, BgL_arg1180z00_36); } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1239z00_123; obj_t BgL_arg1242z00_124;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1131z00_140;
BgL_v1131z00_140 = 
create_vector(((long)0)); 
BgL_arg1239z00_123 = BgL_v1131z00_140; } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1132z00_141;
BgL_v1132z00_141 = 
create_vector(((long)0)); 
BgL_arg1242z00_124 = BgL_v1132z00_141; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)10)), BGl_z62errorz62zz__objectz00, ((long)52138), BGl_proc1730z00zz__pth_threadz00, BGl_proc1729z00zz__pth_threadz00, BFALSE, BGl_proc1728z00zz__pth_threadz00, BFALSE, BgL_arg1239z00_123, BgL_arg1242z00_124); } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1267z00_148; obj_t BgL_arg1268z00_149;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1133z00_163;
BgL_v1133z00_163 = 
create_vector(((long)1)); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1283z00_164;
BgL_arg1283z00_164 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1732z00zz__pth_threadz00, BGl_proc1731z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1133z00_163,((long)0),BgL_arg1283z00_164); } 
BgL_arg1267z00_148 = BgL_v1133z00_163; } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1134z00_174;
BgL_v1134z00_174 = 
create_vector(((long)0)); 
BgL_arg1268z00_149 = BgL_v1134z00_174; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)30717), BGl_proc1735z00zz__pth_threadz00, BGl_proc1734z00zz__pth_threadz00, BFALSE, BGl_proc1733z00zz__pth_threadz00, BFALSE, BgL_arg1267z00_148, BgL_arg1268z00_149); } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1333z00_181; obj_t BgL_arg1338z00_182;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1135z00_195;
BgL_v1135z00_195 = 
create_vector(((long)0)); 
BgL_arg1333z00_181 = BgL_v1135z00_195; } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1136z00_196;
BgL_v1136z00_196 = 
create_vector(((long)0)); 
BgL_arg1338z00_182 = BgL_v1136z00_196; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)35176), BGl_proc1738z00zz__pth_threadz00, BGl_proc1737z00zz__pth_threadz00, BFALSE, BGl_proc1736z00zz__pth_threadz00, BFALSE, BgL_arg1333z00_181, BgL_arg1338z00_182), BUNSPEC) ;} } 

}



/* &<@anonymous:1343> */
obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__pth_threadz00(obj_t BgL_envz00_532, obj_t BgL_new1078z00_533)
{
{ /* Llib/pthread.scm 42 */
{ 
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_941;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1078z00_533))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1078z00_533))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1078z00_533))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_941 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1078z00_533); 
return 
((obj_t)BgL_auxz00_941);} } 

}



/* &lambda1341 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1341z62zz__pth_threadz00(obj_t BgL_envz00_534)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1077z00_714;
BgL_new1077z00_714 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1342z00_715;
BgL_arg1342z00_715 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_714), BgL_arg1342z00_715); } 
return BgL_new1077z00_714;} } 

}



/* &lambda1339 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t BgL_envz00_535, obj_t BgL_fname1074z00_536, obj_t BgL_location1075z00_537, obj_t BgL_stack1076z00_538)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1128z00_716;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1127z00_717;
BgL_new1127z00_717 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1340z00_718;
BgL_arg1340z00_718 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_717), BgL_arg1340z00_718); } 
BgL_new1128z00_716 = BgL_new1127z00_717; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_716)))->BgL_fnamez00)=((obj_t)BgL_fname1074z00_536),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_716)))->BgL_locationz00)=((obj_t)BgL_location1075z00_537),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_716)))->BgL_stackz00)=((obj_t)BgL_stack1076z00_538),BUNSPEC); 
return BgL_new1128z00_716;} } 

}



/* &<@anonymous:1280> */
obj_t BGl_z62zc3z04anonymousza31280ze3ze5zz__pth_threadz00(obj_t BgL_envz00_539, obj_t BgL_new1072z00_540)
{
{ /* Llib/pthread.scm 39 */
{ 
 BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_967;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_540))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_540))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_540))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_540)))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_967 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_540); 
return 
((obj_t)BgL_auxz00_967);} } 

}



/* &lambda1271 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1271z62zz__pth_threadz00(obj_t BgL_envz00_541)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1071z00_720;
BgL_new1071z00_720 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1279z00_721;
BgL_arg1279z00_721 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_720), BgL_arg1279z00_721); } 
return BgL_new1071z00_720;} } 

}



/* &lambda1269 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1269z62zz__pth_threadz00(obj_t BgL_envz00_542, obj_t BgL_fname1067z00_543, obj_t BgL_location1068z00_544, obj_t BgL_stack1069z00_545, obj_t BgL_reason1070z00_546)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1126z00_722;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1125z00_723;
BgL_new1125z00_723 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1270z00_724;
BgL_arg1270z00_724 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_723), BgL_arg1270z00_724); } 
BgL_new1126z00_722 = BgL_new1125z00_723; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_722)))->BgL_fnamez00)=((obj_t)BgL_fname1067z00_543),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_722)))->BgL_locationz00)=((obj_t)BgL_location1068z00_544),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_722)))->BgL_stackz00)=((obj_t)BgL_stack1069z00_545),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1126z00_722))->BgL_reasonz00)=((obj_t)BgL_reason1070z00_546),BUNSPEC); 
return BgL_new1126z00_722;} } 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__pth_threadz00(obj_t BgL_envz00_547, obj_t BgL_oz00_548, obj_t BgL_vz00_549)
{
{ /* Llib/pthread.scm 39 */
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_548)))->BgL_reasonz00)=((obj_t)BgL_vz00_549),BUNSPEC);} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__pth_threadz00(obj_t BgL_envz00_550, obj_t BgL_oz00_551)
{
{ /* Llib/pthread.scm 39 */
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_551)))->BgL_reasonz00);} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__pth_threadz00(obj_t BgL_envz00_552, obj_t BgL_new1065z00_553)
{
{ /* Llib/pthread.scm 37 */
{ 
 BgL_z62threadzd2errorzb0_bglt BgL_auxz00_1000;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1000 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553); 
return 
((obj_t)BgL_auxz00_1000);} } 

}



/* &lambda1251 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1251z62zz__pth_threadz00(obj_t BgL_envz00_554)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1064z00_728;
BgL_new1064z00_728 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1252z00_729;
BgL_arg1252z00_729 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_728), BgL_arg1252z00_729); } 
return BgL_new1064z00_728;} } 

}



/* &lambda1243 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1243z62zz__pth_threadz00(obj_t BgL_envz00_555, obj_t BgL_fname1058z00_556, obj_t BgL_location1059z00_557, obj_t BgL_stack1060z00_558, obj_t BgL_proc1061z00_559, obj_t BgL_msg1062z00_560, obj_t BgL_obj1063z00_561)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1124z00_730;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1123z00_731;
BgL_new1123z00_731 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1250z00_732;
BgL_arg1250z00_732 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_731), BgL_arg1250z00_732); } 
BgL_new1124z00_730 = BgL_new1123z00_731; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_730)))->BgL_fnamez00)=((obj_t)BgL_fname1058z00_556),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_730)))->BgL_locationz00)=((obj_t)BgL_location1059z00_557),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_730)))->BgL_stackz00)=((obj_t)BgL_stack1060z00_558),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1124z00_730)))->BgL_procz00)=((obj_t)BgL_proc1061z00_559),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1124z00_730)))->BgL_msgz00)=((obj_t)BgL_msg1062z00_560),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1124z00_730)))->BgL_objz00)=((obj_t)BgL_obj1063z00_561),BUNSPEC); 
return BgL_new1124z00_730;} } 

}



/* &<@anonymous:1187> */
obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__pth_threadz00(obj_t BgL_envz00_562, obj_t BgL_new1056z00_563)
{
{ /* Llib/pthread.scm 25 */
{ 
 BgL_pthreadz00_bglt BgL_auxz00_1041;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_pthreadz00_bglt)BgL_new1056z00_563))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1056z00_563)))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1056z00_563)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1056z00_563)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1056z00_563)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1056z00_563)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_1041 = 
((BgL_pthreadz00_bglt)BgL_new1056z00_563); 
return 
((obj_t)BgL_auxz00_1041);} } 

}



/* &lambda1185 */
BgL_pthreadz00_bglt BGl_z62lambda1185z62zz__pth_threadz00(obj_t BgL_envz00_564)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1055z00_734;
BgL_new1055z00_734 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1186z00_735;
BgL_arg1186z00_735 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_734), BgL_arg1186z00_735); } 
return BgL_new1055z00_734;} } 

}



/* &lambda1181 */
BgL_pthreadz00_bglt BGl_z62lambda1181z62zz__pth_threadz00(obj_t BgL_envz00_565, obj_t BgL_name1049z00_566, obj_t BgL_body1050z00_567, obj_t BgL_detachedp1051z00_568, obj_t BgL_endzd2result1052zd2_569, obj_t BgL_endzd2exception1053zd2_570, obj_t BgL_z42builtin1054z42_571)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_detachedp1051z00_737; void * BgL_z42builtin1054z42_738;
BgL_detachedp1051z00_737 = 
CBOOL(BgL_detachedp1051z00_568); 
BgL_z42builtin1054z42_738 = 
FOREIGN_TO_COBJ(BgL_z42builtin1054z42_571); 
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1122z00_739;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1121z00_740;
BgL_new1121z00_740 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1184z00_741;
BgL_arg1184z00_741 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_740), BgL_arg1184z00_741); } 
BgL_new1122z00_739 = BgL_new1121z00_740; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1122z00_739)))->BgL_namez00)=((obj_t)BgL_name1049z00_566),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_739))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1050z00_567)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_739))->BgL_detachedpz00)=((bool_t)BgL_detachedp1051z00_737),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_739))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1052zd2_569),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_739))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1053zd2_570),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_739))->BgL_z42builtinz42)=((void *)BgL_z42builtin1054z42_738),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_fun1182z00_742;
BgL_fun1182z00_742 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
PROCEDURE_ENTRY(BgL_fun1182z00_742)(BgL_fun1182z00_742, 
((obj_t)BgL_new1122z00_739), BEOA); } 
return BgL_new1122z00_739;} } } 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__pth_threadz00(obj_t BgL_envz00_572)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__pth_threadz00(obj_t BgL_envz00_573, obj_t BgL_oz00_574, obj_t BgL_vz00_575)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 void * BgL_vz00_744;
BgL_vz00_744 = 
FOREIGN_TO_COBJ(BgL_vz00_575); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_574)))->BgL_z42builtinz42)=((void *)BgL_vz00_744),BUNSPEC);} } 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__pth_threadz00(obj_t BgL_envz00_576, obj_t BgL_oz00_577)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_577)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__pth_threadz00(obj_t BgL_envz00_578)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1223 */
obj_t BGl_z62lambda1223z62zz__pth_threadz00(obj_t BgL_envz00_579, obj_t BgL_oz00_580, obj_t BgL_vz00_581)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_580)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_581),BUNSPEC);} 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__pth_threadz00(obj_t BgL_envz00_582, obj_t BgL_oz00_583)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_583)))->BgL_endzd2exceptionzd2);} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t BgL_envz00_584)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t BgL_envz00_585, obj_t BgL_oz00_586, obj_t BgL_vz00_587)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_586)))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_587),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t BgL_envz00_588, obj_t BgL_oz00_589)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_589)))->BgL_endzd2resultzd2);} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00(obj_t BgL_envz00_590)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t BgL_envz00_591, obj_t BgL_oz00_592, obj_t BgL_vz00_593)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_vz00_751;
BgL_vz00_751 = 
CBOOL(BgL_vz00_593); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_592)))->BgL_detachedpz00)=((bool_t)BgL_vz00_751),BUNSPEC);} } 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t BgL_envz00_594, obj_t BgL_oz00_595)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_595)))->BgL_detachedpz00));} 

}



/* &lambda1192 */
obj_t BGl_z62lambda1192z62zz__pth_threadz00(obj_t BgL_envz00_596, obj_t BgL_oz00_597, obj_t BgL_vz00_598)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_597)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_vz00_598)),BUNSPEC);} 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__pth_threadz00(obj_t BgL_envz00_599, obj_t BgL_oz00_600)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_600)))->BgL_bodyz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1739z00zz__pth_threadz00, BGl_string1740z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1741z00zz__pth_threadz00, BGl_string1742z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1743z00zz__pth_threadz00, BGl_string1744z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1745z00zz__pth_threadz00, BGl_string1746z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1747z00zz__pth_threadz00, BGl_string1748z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1749z00zz__pth_threadz00, BGl_string1750z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1751z00zz__pth_threadz00, BGl_string1752z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1753z00zz__pth_threadz00, BGl_string1754z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1755z00zz__pth_threadz00, BGl_string1756z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1757z00zz__pth_threadz00, BGl_string1758z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1759z00zz__pth_threadz00, BGl_string1760z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1761z00zz__pth_threadz00, BGl_string1762z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1763z00zz__pth_threadz00, BGl_string1764z00zz__pth_threadz00);} 

}



/* &thread-cleanup-set!-1162 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21162za2zz__pth_threadz00(obj_t BgL_envz00_620, obj_t BgL_tz00_621, obj_t BgL_pz00_622)
{
{ /* Llib/pthread.scm 194 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_622, 
(int)(((long)1))))
{ /* Llib/pthread.scm 196 */
{ /* Llib/pthread.scm 198 */
 void * BgL_arg1688z00_757;
BgL_arg1688z00_757 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_621)))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1688z00_757, BgL_pz00_622); BUNSPEC; } 
return BgL_pz00_622;}  else 
{ /* Llib/pthread.scm 196 */
return 
BGl_errorz00zz__errorz00(BGl_string1764z00zz__pth_threadz00, BGl_string1765z00zz__pth_threadz00, BgL_pz00_622);} } 

}



/* &thread-cleanup-pthre1160 */
obj_t BGl_z62threadzd2cleanupzd2pthre1160z62zz__pth_threadz00(obj_t BgL_envz00_623, obj_t BgL_tz00_624)
{
{ /* Llib/pthread.scm 187 */
{ /* Llib/pthread.scm 189 */
 void * BgL_tmpz00_1130;
BgL_tmpz00_1130 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_624)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_1130);} } 

}



/* &thread-specific-set!1158 */
obj_t BGl_z62threadzd2specificzd2setz121158z70zz__pth_threadz00(obj_t BgL_envz00_625, obj_t BgL_tz00_626, obj_t BgL_vz00_627)
{
{ /* Llib/pthread.scm 179 */
{ /* Llib/pthread.scm 181 */
 void * BgL_arg1684z00_760;
BgL_arg1684z00_760 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_626)))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1684z00_760, BgL_vz00_627); BUNSPEC; } 
return BgL_vz00_627;} 

}



/* &thread-specific-pthr1156 */
obj_t BGl_z62threadzd2specificzd2pthr1156z62zz__pth_threadz00(obj_t BgL_envz00_628, obj_t BgL_tz00_629)
{
{ /* Llib/pthread.scm 172 */
{ /* Llib/pthread.scm 174 */
 void * BgL_tmpz00_1137;
BgL_tmpz00_1137 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_629)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_1137);} } 

}



/* &thread-terminate!-pt1154 */
obj_t BGl_z62threadzd2terminatez12zd2pt1154z70zz__pth_threadz00(obj_t BgL_envz00_630, obj_t BgL_tz00_631)
{
{ /* Llib/pthread.scm 163 */
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_631)))->BgL_z42builtinz42)))
{ 
 obj_t BgL_auxz00_1145;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1116z00_763;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1115z00_764;
BgL_new1115z00_764 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 166 */
 long BgL_arg1673z00_765;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_766;
BgL_classz00_766 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1673z00_765 = 
BGL_CLASS_NUM(BgL_classz00_766); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_764), BgL_arg1673z00_765); } 
BgL_new1116z00_763 = BgL_new1115z00_764; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_763)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_763)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1155;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1664z00_767;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1672z00_768;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_769;
BgL_classz00_769 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1672z00_768 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_769); } 
BgL_arg1664z00_767 = 
VECTOR_REF(BgL_arg1672z00_768,((long)2)); } 
BgL_auxz00_1155 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1664z00_767); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_763)))->BgL_stackz00)=((obj_t)BgL_auxz00_1155),BUNSPEC); } 
BgL_auxz00_1145 = 
((obj_t)BgL_new1116z00_763); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_631)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_1145),BUNSPEC); }  else 
{ /* Llib/pthread.scm 165 */BFALSE; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_631));} 

}



/* &thread-join!-pthread1152 */
obj_t BGl_z62threadzd2joinz12zd2pthread1152z70zz__pth_threadz00(obj_t BgL_envz00_632, obj_t BgL_tz00_633, obj_t BgL_timeoutz00_634)
{
{ /* Llib/pthread.scm 146 */
if(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_633)))->BgL_detachedpz00))
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_arg1609z00_771;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1113z00_772;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1112z00_773;
BgL_new1112z00_773 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 150 */
 long BgL_arg1622z00_774;
BgL_arg1622z00_774 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_773), BgL_arg1622z00_774); } 
BgL_new1113z00_772 = BgL_new1112z00_773; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_772)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_772)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1176;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1611z00_775;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1612z00_776;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_classz00_777;
BgL_classz00_777 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_arg1612z00_776 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_777); } 
BgL_arg1611z00_775 = 
VECTOR_REF(BgL_arg1612z00_776,((long)2)); } 
BgL_auxz00_1176 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1611z00_775); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_772)))->BgL_stackz00)=((obj_t)BgL_auxz00_1176),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_772)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)15))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_772)))->BgL_msgz00)=((obj_t)BGl_string1766z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_772)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_633))),BUNSPEC); 
BgL_arg1609z00_771 = BgL_new1113z00_772; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1609z00_771));}  else 
{ /* Llib/pthread.scm 148 */
{ /* Llib/pthread.scm 155 */
 void * BgL_arg1623z00_778; obj_t BgL_arg1624z00_779;
BgL_arg1623z00_778 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_633)))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_634))
{ /* Llib/pthread.scm 155 */
BgL_arg1624z00_779 = 
CAR(BgL_timeoutz00_634); }  else 
{ /* Llib/pthread.scm 155 */
BgL_arg1624z00_779 = BFALSE; } 
bglpth_thread_join(BgL_arg1623z00_778, BgL_arg1624z00_779); BUNSPEC; } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test1848z00_1199;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1653z00_780;
BgL_arg1653z00_780 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_633)))->BgL_endzd2exceptionzd2); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_classz00_781;
BgL_classz00_781 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1653z00_780))
{ /* Llib/pthread.scm 156 */
 BgL_objectz00_bglt BgL_arg1797z00_782;
BgL_arg1797z00_782 = 
(BgL_objectz00_bglt)(BgL_arg1653z00_780); 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_arg1794z00_783; bool_t BgL_arg1795z00_784;
{ /* Llib/pthread.scm 156 */
 long BgL_idxz00_785;
BgL_idxz00_785 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_782); 
BgL_arg1794z00_783 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_785+((long)2)))==BgL_classz00_781); } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_res1689z00_788;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_oclassz00_789;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1804z00_790;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1805z00_791;
BgL_arg1805z00_791 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_782); 
BgL_arg1804z00_790 = 
(BgL_arg1805z00_791-OBJECT_TYPE); } 
BgL_oclassz00_789 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_790); } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL__ortest_1111z00_792;
BgL__ortest_1111z00_792 = 
(BgL_classz00_781==BgL_oclassz00_789); 
if(BgL__ortest_1111z00_792)
{ /* Llib/pthread.scm 156 */
BgL_res1689z00_788 = BgL__ortest_1111z00_792; }  else 
{ /* Llib/pthread.scm 156 */
 long BgL_odepthz00_793;
BgL_odepthz00_793 = 
BGL_CLASS_DEPTH(BgL_oclassz00_789); 
if(
(((long)2)<BgL_odepthz00_793))
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1793z00_794;
BgL_arg1793z00_794 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_789, ((long)2)); 
BgL_res1689z00_788 = 
(BgL_arg1793z00_794==BgL_classz00_781); }  else 
{ /* Llib/pthread.scm 156 */
BgL_res1689z00_788 = ((bool_t)0); } } } } 
BgL_arg1795z00_784 = BgL_res1689z00_788; } 
BgL_test1848z00_1199 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_783, BgL_arg1795z00_784); } }  else 
{ /* Llib/pthread.scm 156 */
BgL_test1848z00_1199 = ((bool_t)0)
; } } } 
if(BgL_test1848z00_1199)
{ /* Llib/pthread.scm 156 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_633)))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 156 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_633)))->BgL_endzd2resultzd2);} } } } 

}



/* &thread-start-joinabl1150 */
obj_t BGl_z62threadzd2startzd2joinabl1150z62zz__pth_threadz00(obj_t BgL_envz00_635, obj_t BgL_tz00_636)
{
{ /* Llib/pthread.scm 137 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_636)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 140 */
 void * BgL_arg1594z00_796;
BgL_arg1594z00_796 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_636)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1594z00_796, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_636)), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_636));} 

}



/* &thread-start!-pthrea1148 */
obj_t BGl_z62threadzd2startz12zd2pthrea1148z70zz__pth_threadz00(obj_t BgL_envz00_637, obj_t BgL_tz00_638, obj_t BgL_scdz00_639)
{
{ /* Llib/pthread.scm 128 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_638)))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 131 */
 void * BgL_arg1590z00_798;
BgL_arg1590z00_798 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_638)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1590z00_798, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_638)), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_638));} 

}



/* &thread-initialize!-p1146 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1146zd7zz__pth_threadz00(obj_t BgL_envz00_640, obj_t BgL_oz00_641)
{
{ /* Llib/pthread.scm 88 */
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 89 */BFALSE; }  else 
{ /* Llib/pthread.scm 92 */
 obj_t BgL_arg1363z00_800;
BgL_arg1363z00_800 = 
bgl_typeof(
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_641))); 
{ /* Llib/pthread.scm 90 */
 obj_t BgL_list1364z00_801;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1366z00_802;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1367z00_803;
BgL_arg1367z00_803 = 
MAKE_YOUNG_PAIR(BgL_arg1363z00_800, BNIL); 
BgL_arg1366z00_802 = 
MAKE_YOUNG_PAIR(BGl_string1767z00zz__pth_threadz00, BgL_arg1367z00_803); } 
BgL_list1364z00_801 = 
MAKE_YOUNG_PAIR(BGl_string1768z00zz__pth_threadz00, BgL_arg1366z00_802); } 
BGl_warningz00zz__errorz00(BgL_list1364z00_801); } } 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_bz00_804;
BgL_bz00_804 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_bz00_804, 
(int)(((long)0)), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_641))); 
PROCEDURE_SET(BgL_bz00_804, 
(int)(((long)1)), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_641))); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_641)))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_804)),BUNSPEC);} } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_642)
{
{ /* Llib/pthread.scm 94 */
{ /* Llib/pthread.scm 95 */
 BgL_pthreadz00_bglt BgL_i1082z00_643; BgL_pthreadz00_bglt BgL_oz00_644;
BgL_i1082z00_643 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_642, 
(int)(((long)0)))); 
BgL_oz00_644 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_642, 
(int)(((long)1)))); 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_idz00_805;
{ /* Llib/pthread.scm 95 */
 bool_t BgL_test1853z00_1272;
{ /* Llib/pthread.scm 95 */
 obj_t BgL_tmpz00_1273;
BgL_tmpz00_1273 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1082z00_643)))->BgL_namez00); 
BgL_test1853z00_1272 = 
SYMBOLP(BgL_tmpz00_1273); } 
if(BgL_test1853z00_1272)
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1572z00_806;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1573z00_807; obj_t BgL_arg1574z00_808;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_809;
BgL_symbolz00_809 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1457z00_810;
BgL_arg1457z00_810 = 
SYMBOL_TO_STRING(BgL_symbolz00_809); 
BgL_arg1573z00_807 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_810); } } 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1575z00_811;
BgL_arg1575z00_811 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1082z00_643)))->BgL_namez00); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1457z00_812;
BgL_arg1457z00_812 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg1575z00_811)); 
BgL_arg1574z00_808 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_812); } } 
BgL_arg1572z00_806 = 
string_append(BgL_arg1573z00_807, BgL_arg1574z00_808); } 
BgL_idz00_805 = 
bstring_to_symbol(BgL_arg1572z00_806); }  else 
{ /* Llib/pthread.scm 95 */
BgL_idz00_805 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)17))); } } 
{ /* Llib/pthread.scm 98 */

BGL_PUSH_TRACE(BgL_idz00_805, BUNSPEC); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_zc3z04anonymousza31378ze3z87_813;
BgL_zc3z04anonymousza31378ze3z87_813 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31378ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31378ze3z87_813, 
(int)(((long)0)), 
((obj_t)BgL_oz00_644)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31378ze3z87_813); BUNSPEC; } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_env1091z00_814;
BgL_env1091z00_814 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_816;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_cell1086z00_824;
BgL_cell1086z00_824 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_val1090z00_825;
BgL_val1090z00_825 = 
BGl_zc3z04exitza31415ze3ze70z60zz__pth_threadz00(BgL_cell1086z00_824, BgL_env1091z00_814, BgL_i1082z00_643); 
if(
(BgL_val1090z00_825==BgL_cell1086z00_824))
{ /* Llib/pthread.scm 105 */
{ /* Llib/pthread.scm 105 */
 int BgL_tmpz00_1302;
BgL_tmpz00_1302 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_1302); } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1414z00_826;
BgL_arg1414z00_826 = 
CELL_REF(
((obj_t)BgL_val1090z00_825)); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_tmpz00_1307;
BgL_ez00_816 = BgL_arg1414z00_826; 
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_817;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1093z00_818;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1092z00_819;
BgL_new1092z00_819 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 107 */
 long BgL_arg1563z00_820;
BgL_arg1563z00_820 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_819), BgL_arg1563z00_820); } 
BgL_new1093z00_818 = BgL_new1092z00_819; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1093z00_818)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1093z00_818)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1316;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1554z00_821;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1555z00_822;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_classz00_823;
BgL_classz00_823 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1555z00_822 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_823); } 
BgL_arg1554z00_821 = 
VECTOR_REF(BgL_arg1555z00_822,((long)2)); } 
BgL_auxz00_1316 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1554z00_821); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1093z00_818)))->BgL_stackz00)=((obj_t)BgL_auxz00_1316),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1093z00_818))->BgL_reasonz00)=((obj_t)BgL_ez00_816),BUNSPEC); 
BgL_uz00_817 = BgL_new1093z00_818; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_643))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_817)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_816); 
BgL_tmpz00_1307 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_1307);} } }  else 
{ /* Llib/pthread.scm 105 */
return BgL_val1090z00_825;} } } } } } } } } 

}



/* <@exit:1416>~0 */
obj_t BGl_zc3z04exitza31416ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1082z00_697)
{
{ /* Llib/pthread.scm 114 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1097z00_268;
if( SET_EXIT(BgL_an_exit1097z00_268 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1097z00_268 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_env1101z00_269;
BgL_env1101z00_269 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1101z00_269, BgL_an_exit1097z00_268, ((long)1)); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_an_exitd1098z00_270;
BgL_an_exitd1098z00_270 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1101z00_269); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_res1100z00_273;
{ /* Llib/pthread.scm 117 */
 obj_t BgL_zc3z04anonymousza31456ze3z87_613;
BgL_zc3z04anonymousza31456ze3z87_613 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31456ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31456ze3z87_613, 
(int)(((long)0)), BgL_an_exitd1098z00_270); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31456ze3z87_613); } 
{ 
 obj_t BgL_auxz00_1338;
{ /* Llib/pthread.scm 120 */
 obj_t BgL_fun1537z00_282;
BgL_fun1537z00_282 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_697))->BgL_bodyz00); 
BgL_auxz00_1338 = 
PROCEDURE_ENTRY(BgL_fun1537z00_282)(BgL_fun1537z00_282, BEOA); } 
BgL_res1100z00_273 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_697))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_1338),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1101z00_269); 
return BgL_res1100z00_273;} } } 
}} 

}



/* <@exit:1415>~0 */
obj_t BGl_zc3z04exitza31415ze3ze70z60zz__pth_threadz00(obj_t BgL_cell1086z00_700, obj_t BgL_env1091z00_699, BgL_pthreadz00_bglt BgL_i1082z00_698)
{
{ /* Llib/pthread.scm 105 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1103z00_259;
if( SET_EXIT(BgL_an_exit1103z00_259 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1103z00_259 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1091z00_699, BgL_an_exit1103z00_259, ((long)1)); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_escape1087z00_260;
BgL_escape1087z00_260 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1091z00_699); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_res1106z00_261;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_ohs1083z00_262;
BgL_ohs1083z00_262 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1091z00_699); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_hds1084z00_263;
BgL_hds1084z00_263 = 
MAKE_STACK_PAIR(BgL_escape1087z00_260, BgL_cell1086z00_700); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1091z00_699, BgL_hds1084z00_263); BUNSPEC; 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_exitd1094z00_264;
BgL_exitd1094z00_264 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1091z00_699); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_tmp1096z00_265;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1541z00_283;
BgL_arg1541z00_283 = 
BGL_EXITD_PROTECT(BgL_exitd1094z00_264); 
BgL_tmp1096z00_265 = 
MAKE_YOUNG_PAIR(BgL_ohs1083z00_262, BgL_arg1541z00_283); } 
{ /* Llib/pthread.scm 105 */

BGL_EXITD_PROTECT_SET(BgL_exitd1094z00_264, BgL_tmp1096z00_265); BUNSPEC; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_tmp1095z00_266;
BgL_tmp1095z00_266 = 
BGl_zc3z04exitza31416ze3ze70z60zz__pth_threadz00(BgL_i1082z00_698); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_test1855z00_1357;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1817z00_441;
BgL_arg1817z00_441 = 
BGL_EXITD_PROTECT(BgL_exitd1094z00_264); 
BgL_test1855z00_1357 = 
PAIRP(BgL_arg1817z00_441); } 
if(BgL_test1855z00_1357)
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1815z00_442;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1816z00_443;
BgL_arg1816z00_443 = 
BGL_EXITD_PROTECT(BgL_exitd1094z00_264); 
BgL_arg1815z00_442 = 
CDR(
((obj_t)BgL_arg1816z00_443)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1094z00_264, BgL_arg1815z00_442); BUNSPEC; }  else 
{ /* Llib/pthread.scm 105 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1091z00_699, BgL_ohs1083z00_262); BUNSPEC; 
BgL_res1106z00_261 = BgL_tmp1095z00_266; } } } } } } 
POP_ENV_EXIT(BgL_env1091z00_699); 
return BgL_res1106z00_261;} } 
}} 

}



/* &<@anonymous:1456> */
obj_t BGl_z62zc3z04anonymousza31456ze3ze5zz__pth_threadz00(obj_t BgL_envz00_645, obj_t BgL_sz00_647)
{
{ /* Llib/pthread.scm 116 */
{ /* Llib/pthread.scm 117 */
 obj_t BgL_an_exitd1098z00_646;
BgL_an_exitd1098z00_646 = 
PROCEDURE_REF(BgL_envz00_645, 
(int)(((long)0))); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1769z00zz__pth_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1098z00_646, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1536> */
obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__pth_threadz00(obj_t BgL_envz00_648, obj_t BgL_valz00_649)
{
{ /* Llib/pthread.scm 118 */
return BgL_valz00_649;} 

}



/* &<@anonymous:1378> */
obj_t BGl_z62zc3z04anonymousza31378ze3ze5zz__pth_threadz00(obj_t BgL_envz00_650, obj_t BgL_valz00_652)
{
{ /* Llib/pthread.scm 101 */
{ /* Llib/pthread.scm 102 */
 BgL_pthreadz00_bglt BgL_oz00_651;
BgL_oz00_651 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_650, 
(int)(((long)0)))); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_arg1379z00_828;
{ /* Llib/pthread.scm 102 */
 obj_t BgL_list1380z00_829;
BgL_list1380z00_829 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_651), BNIL); 
BgL_arg1379z00_828 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1770z00zz__pth_threadz00, BgL_list1380z00_829); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1379z00_828, BGl_string1771z00zz__pth_threadz00, BgL_valz00_652);} } } 

}



/* &%user-thread-yield!-1144 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21144zf0zz__pth_threadz00(obj_t BgL_envz00_653, obj_t BgL_oz00_654)
{
{ /* Llib/pthread.scm 82 */
return 
BINT(
sched_yield());} 

}



/* &object-print-uncaugh1142 */
obj_t BGl_z62objectzd2printzd2uncaugh1142z62zz__pth_threadz00(obj_t BgL_envz00_655, obj_t BgL_oz00_656, obj_t BgL_portz00_657, obj_t BgL_printzd2slotzd2_658)
{
{ /* Llib/pthread.scm 75 */
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1360z00_832;
BgL_arg1360z00_832 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_656)))->BgL_reasonz00); 
return 
BGl_objectzd2printzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_arg1360z00_832), BgL_portz00_657, BgL_printzd2slotzd2_658);} } 

}



/* &object-display-uncau1140 */
obj_t BGl_z62objectzd2displayzd2uncau1140z62zz__pth_threadz00(obj_t BgL_envz00_659, obj_t BgL_oz00_660, obj_t BgL_portz00_661)
{
{ /* Llib/pthread.scm 68 */
{ /* Llib/pthread.scm 70 */
 obj_t BgL_runner1357z00_834;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1354z00_835;
BgL_arg1354z00_835 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_660)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_list1355z00_836;
BgL_list1355z00_836 = 
MAKE_YOUNG_PAIR(BgL_portz00_661, BNIL); 
BgL_runner1357z00_834 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1354z00_835, BgL_list1355z00_836); } } 
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_aux1356z00_837;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_838;
BgL_pairz00_838 = BgL_runner1357z00_834; 
BgL_aux1356z00_837 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_838)); } 
BgL_runner1357z00_834 = 
CDR(BgL_runner1357z00_834); 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1356z00_837, BgL_runner1357z00_834);} } } 

}



/* &object-write-uncaugh1138 */
obj_t BGl_z62objectzd2writezd2uncaugh1138z62zz__pth_threadz00(obj_t BgL_envz00_662, obj_t BgL_oz00_663, obj_t BgL_portz00_664)
{
{ /* Llib/pthread.scm 61 */
{ /* Llib/pthread.scm 63 */
 obj_t BgL_runner1348z00_840;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1345z00_841;
BgL_arg1345z00_841 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_663)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_list1346z00_842;
BgL_list1346z00_842 = 
MAKE_YOUNG_PAIR(BgL_portz00_664, BNIL); 
BgL_runner1348z00_840 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1345z00_841, BgL_list1346z00_842); } } 
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_aux1347z00_843;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_844;
BgL_pairz00_844 = BgL_runner1348z00_840; 
BgL_aux1347z00_843 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_844)); } 
BgL_runner1348z00_840 = 
CDR(BgL_runner1348z00_840); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1347z00_843, BgL_runner1348z00_840);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(((long)354908835), 
BSTRING_TO_STRING(BGl_string1772z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
