/*===========================================================================*/
/*   (Llib/music.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi pulseaudio -copt -D_REENTRANT -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/music.scm -o objs/music.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/simple.h>
#include <pulse/version.h>
#include <pulse/sample.h>
#include <pulse/error.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_pulseaudiozd2simplezd2_bgl {
   header_t header;
   obj_t widening;
   pa_simple * BgL_z42builtinz42;
   obj_t BgL_srvnamez00;
   obj_t BgL_namez00;
   obj_t BgL_streamz00;
   long BgL_ratez00;
   long BgL_channelsz00;
   int BgL_bpsz00;
   obj_t BgL_formatz00;
} *BgL_pulseaudiozd2simplezd2_bglt;

typedef struct BgL_pulseaudiomusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_pulseaudiozd2simplezd2_bgl * BgL_simplez00;
   obj_t BgL_namez00;
} *BgL_pulseaudiomusicz00_bglt;


static obj_t BGl_z62musiczd2closedzf3zd2pulsea1116z91zz__pulseaudio_musicz00(obj_t, obj_t);
extern obj_t BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pulseaudio_musicz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62musicbufzd2drainzd2pulse1120z62zz__pulseaudio_musicz00(obj_t, obj_t);
static obj_t BGl_z62musiczd2closezd2pulseaud1114z62zz__pulseaudio_musicz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pulseaudio_musicz00();
static obj_t BGl_genericzd2initzd2zz__pulseaudio_musicz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pulseaudio_musicz00();
static obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__pulseaudio_musicz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_musicbufz00zz__multimediazd2musicbufzd2;
static obj_t BGl_z62musicbufzd2resetz12zd2puls1122z70zz__pulseaudio_musicz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
BGL_EXPORTED_DECL obj_t BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_pulseaudiomusicz00_bglt, BgL_pulseaudiozd2simplezd2_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pulseaudio_musicz00();
static obj_t BGl_z62zc3z04anonymousza31162ze3ze5zz__pulseaudio_musicz00(obj_t);
static obj_t BGl_z62musicbufzd2writezd2pulse1118z62zz__pulseaudio_musicz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__pulseaudio_musicz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static BgL_pulseaudiomusicz00_bglt BGl_z62lambda1145z62zz__pulseaudio_musicz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pulseaudiomusicz00_bglt BGl_z62lambda1148z62zz__pulseaudio_musicz00(obj_t);
static obj_t BGl_z62pulseaudiomusiczd2simplezd2setz12z70zz__pulseaudio_musicz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static BgL_pulseaudiozd2simplezd2_bglt BGl_z62lambda1160z62zz__pulseaudio_musicz00(obj_t, obj_t);
static obj_t BGl_z62lambda1161z62zz__pulseaudio_musicz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1180z62zz__pulseaudio_musicz00(obj_t, obj_t);
static obj_t BGl_z62lambda1181z62zz__pulseaudio_musicz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__pulseaudio_musicz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_musicz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pulseaudio_musicz00();
static obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_musicz00();
extern int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_pulseaudiomusicz00zz__pulseaudio_musicz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_pulseaudiozd2simplezd2statez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
BGL_IMPORT obj_t BGl_musicstatusz00zz__multimediazd2musiczd2;
extern obj_t BGl_pulseaudiozd2simplezd2closez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
static obj_t __cnst[ 7 ] ;


DEFINE_STRING( BGl_string1237z00zz__pulseaudio_musicz00, BgL_bgl_string1237za700za7za7_1280za7, "Llib/music.scm", 14 );
DEFINE_STRING( BGl_string1238z00zz__pulseaudio_musicz00, BgL_bgl_string1238za700za7za7_1281za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/pulseaudio/src/Llib/music.scm", 69 );
DEFINE_STRING( BGl_string1239z00zz__pulseaudio_musicz00, BgL_bgl_string1239za700za7za7_1282za7, "&pulseaudiomusic-simple-set!", 28 );
DEFINE_STRING( BGl_string1240z00zz__pulseaudio_musicz00, BgL_bgl_string1240za700za7za7_1283za7, "pulseaudiomusic", 15 );
DEFINE_STRING( BGl_string1241z00zz__pulseaudio_musicz00, BgL_bgl_string1241za700za7za7_1284za7, "pulseaudio-simple", 17 );
BGL_IMPORT obj_t BGl_musicbufzd2drainzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1242z00zz__pulseaudio_musicz00, BgL_bgl_za762za7c3za704anonymo1285za7, BGl_z62zc3z04anonymousza31162ze3ze5zz__pulseaudio_musicz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1243z00zz__pulseaudio_musicz00, BgL_bgl_za762lambda1161za7621286z00, BGl_z62lambda1161z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1244z00zz__pulseaudio_musicz00, BgL_bgl_za762lambda1160za7621287z00, BGl_z62lambda1160z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1251z00zz__pulseaudio_musicz00, BgL_bgl_string1251za700za7za7_1288za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1245z00zz__pulseaudio_musicz00, BgL_bgl_za762za7c3za704anonymo1289za7, BGl_z62zc3z04anonymousza31182ze3ze5zz__pulseaudio_musicz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1252z00zz__pulseaudio_musicz00, BgL_bgl_string1252za700za7za7_1290za7, "bigloo", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1246z00zz__pulseaudio_musicz00, BgL_bgl_za762lambda1181za7621291z00, BGl_z62lambda1181z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1247z00zz__pulseaudio_musicz00, BgL_bgl_za762lambda1180za7621292z00, BGl_z62lambda1180z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1254z00zz__pulseaudio_musicz00, BgL_bgl_string1254za700za7za7_1293za7, "music-close", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1248z00zz__pulseaudio_musicz00, BgL_bgl_za762za7c3za704anonymo1294za7, BGl_z62zc3z04anonymousza31150ze3ze5zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1249z00zz__pulseaudio_musicz00, BgL_bgl_za762lambda1148za7621295z00, BGl_z62lambda1148z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1256z00zz__pulseaudio_musicz00, BgL_bgl_string1256za700za7za7_1296za7, "music-closed?", 13 );
DEFINE_STRING( BGl_string1258z00zz__pulseaudio_musicz00, BgL_bgl_string1258za700za7za7_1297za7, "musicbuf-write", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1250z00zz__pulseaudio_musicz00, BgL_bgl_za762lambda1145za7621298z00, BGl_z62lambda1145z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1253z00zz__pulseaudio_musicz00, BgL_bgl_za762musicza7d2close1299z00, BGl_z62musiczd2closezd2pulseaud1114z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1260z00zz__pulseaudio_musicz00, BgL_bgl_string1260za700za7za7_1300za7, "musicbuf-drain", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1255z00zz__pulseaudio_musicz00, BgL_bgl_za762musicza7d2close1301z00, BGl_z62musiczd2closedzf3zd2pulsea1116z91zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1262z00zz__pulseaudio_musicz00, BgL_bgl_string1262za700za7za7_1302za7, "musicbuf-reset!", 15 );
DEFINE_STRING( BGl_string1263z00zz__pulseaudio_musicz00, BgL_bgl_string1263za700za7za7_1303za7, "pulseaudio-simple-flush", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1257z00zz__pulseaudio_musicz00, BgL_bgl_za762musicbufza7d2wr1304z00, BGl_z62musicbufzd2writezd2pulse1118z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1264z00zz__pulseaudio_musicz00, BgL_bgl_string1264za700za7za7_1305za7, "pulseaudio-simple-drain", 23 );
DEFINE_STRING( BGl_string1265z00zz__pulseaudio_musicz00, BgL_bgl_string1265za700za7za7_1306za7, "pulseaudio-simple-write", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1259z00zz__pulseaudio_musicz00, BgL_bgl_za762musicbufza7d2dr1307z00, BGl_z62musicbufzd2drainzd2pulse1120z62zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1266z00zz__pulseaudio_musicz00, BgL_bgl_string1266za700za7za7_1308za7, "__pulseaudio_music", 18 );
DEFINE_STRING( BGl_string1267z00zz__pulseaudio_musicz00, BgL_bgl_string1267za700za7za7_1309za7, "closed s16 __pulseaudio_music pulseaudiomusic bstring name simple ", 66 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1261z00zz__pulseaudio_musicz00, BgL_bgl_za762musicbufza7d2re1310z00, BGl_z62musicbufzd2resetz12zd2puls1122z70zz__pulseaudio_musicz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2;
BGL_IMPORT obj_t BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiomusiczd2simplezd2setz12zd2envzc0zz__pulseaudio_musicz00, BgL_bgl_za762pulseaudiomus1311za7, BGl_z62pulseaudiomusiczd2simplezd2setz12z70zz__pulseaudio_musicz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_musicbufzd2writezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicbufzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pulseaudio_musicz00) );
ADD_ROOT( (void *)(&BGl_pulseaudiomusicz00zz__pulseaudio_musicz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(long BgL_checksumz00_478, char * BgL_fromz00_479)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pulseaudio_musicz00))
{ 
BGl_requirezd2initializa7ationz75zz__pulseaudio_musicz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__pulseaudio_musicz00(); 
BGl_libraryzd2moduleszd2initz00zz__pulseaudio_musicz00(); 
BGl_cnstzd2initzd2zz__pulseaudio_musicz00(); 
BGl_importedzd2moduleszd2initz00zz__pulseaudio_musicz00(); 
BGl_objectzd2initzd2zz__pulseaudio_musicz00(); 
BGl_methodzd2initzd2zz__pulseaudio_musicz00(); 
return 
BGl_toplevelzd2initzd2zz__pulseaudio_musicz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pulseaudio_music"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pulseaudio_music"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
{ /* Llib/music.scm 15 */
 obj_t BgL_cportz00_387;
{ /* Llib/music.scm 15 */
 obj_t BgL_stringz00_395;
BgL_stringz00_395 = BGl_string1267z00zz__pulseaudio_musicz00; 
{ /* Llib/music.scm 15 */
 obj_t BgL_startz00_396;
BgL_startz00_396 = 
BINT(((long)0)); 
{ /* Llib/music.scm 15 */
 obj_t BgL_endz00_397;
BgL_endz00_397 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_395))); 
{ /* Llib/music.scm 15 */

BgL_cportz00_387 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_395, BgL_startz00_396, BgL_endz00_397); } } } } 
{ 
 long BgL_iz00_388;
BgL_iz00_388 = ((long)6); 
BgL_loopz00_389:
if(
(BgL_iz00_388==((long)-1)))
{ /* Llib/music.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/music.scm 15 */
{ /* Llib/music.scm 15 */
 obj_t BgL_arg1279z00_391;
{ /* Llib/music.scm 15 */

{ /* Llib/music.scm 15 */
 obj_t BgL_locationz00_393;
BgL_locationz00_393 = 
BBOOL(((bool_t)0)); 
{ /* Llib/music.scm 15 */

BgL_arg1279z00_391 = 
BGl_readz00zz__readerz00(BgL_cportz00_387, BgL_locationz00_393); } } } 
{ /* Llib/music.scm 15 */
 int BgL_tmpz00_511;
BgL_tmpz00_511 = 
(int)(BgL_iz00_388); 
CNST_TABLE_SET(BgL_tmpz00_511, BgL_arg1279z00_391); } } 
{ /* Llib/music.scm 15 */
 int BgL_auxz00_394;
BgL_auxz00_394 = 
(int)(
(BgL_iz00_388-((long)1))); 
{ 
 long BgL_iz00_516;
BgL_iz00_516 = 
(long)(BgL_auxz00_394); 
BgL_iz00_388 = BgL_iz00_516; 
goto BgL_loopz00_389;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1237z00zz__pulseaudio_musicz00)); 
return BUNSPEC;} 

}



/* pulseaudiomusic-simple-set! */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_pulseaudiomusicz00_bglt BgL_oz00_10, BgL_pulseaudiozd2simplezd2_bglt BgL_sz00_11)
{
{ /* Llib/music.scm 69 */
{ /* Llib/music.scm 71 */
 bool_t BgL_test1314z00_521;
{ /* Llib/music.scm 71 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1138z00_29;
BgL_arg1138z00_29 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_oz00_10))->BgL_simplez00); 
{ /* Llib/music.scm 71 */
 obj_t BgL_classz00_158;
BgL_classz00_158 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
{ /* Llib/music.scm 71 */
 BgL_objectz00_bglt BgL_arg1797z00_160;
{ /* Llib/music.scm 71 */
 obj_t BgL_tmpz00_523;
BgL_tmpz00_523 = 
((obj_t)
((BgL_objectz00_bglt)BgL_arg1138z00_29)); 
BgL_arg1797z00_160 = 
(BgL_objectz00_bglt)(BgL_tmpz00_523); } 
{ /* Llib/music.scm 71 */
 bool_t BgL_arg1794z00_163; bool_t BgL_arg1795z00_164;
{ /* Llib/music.scm 71 */
 long BgL_idxz00_167;
BgL_idxz00_167 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_160); 
BgL_arg1794z00_163 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_167+((long)1)))==BgL_classz00_158); } 
{ /* Llib/music.scm 71 */
 bool_t BgL_res1222z00_189;
{ /* Llib/music.scm 71 */
 obj_t BgL_oclassz00_175;
{ /* Llib/music.scm 71 */
 long BgL_arg1804z00_181;
{ /* Llib/music.scm 71 */
 long BgL_arg1805z00_182;
BgL_arg1805z00_182 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_160); 
BgL_arg1804z00_181 = 
(BgL_arg1805z00_182-OBJECT_TYPE); } 
BgL_oclassz00_175 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_181); } 
{ /* Llib/music.scm 71 */
 bool_t BgL__ortest_1111z00_176;
BgL__ortest_1111z00_176 = 
(BgL_classz00_158==BgL_oclassz00_175); 
if(BgL__ortest_1111z00_176)
{ /* Llib/music.scm 71 */
BgL_res1222z00_189 = BgL__ortest_1111z00_176; }  else 
{ /* Llib/music.scm 71 */
 long BgL_odepthz00_177;
BgL_odepthz00_177 = 
BGL_CLASS_DEPTH(BgL_oclassz00_175); 
if(
(((long)1)<BgL_odepthz00_177))
{ /* Llib/music.scm 71 */
 obj_t BgL_arg1793z00_179;
BgL_arg1793z00_179 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_175, ((long)1)); 
BgL_res1222z00_189 = 
(BgL_arg1793z00_179==BgL_classz00_158); }  else 
{ /* Llib/music.scm 71 */
BgL_res1222z00_189 = ((bool_t)0); } } } } 
BgL_arg1795z00_164 = BgL_res1222z00_189; } 
BgL_test1314z00_521 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_163, BgL_arg1795z00_164); } } } } 
if(BgL_test1314z00_521)
{ /* Llib/music.scm 71 */
BGl_pulseaudiozd2simplezd2closez00zz__pulseaudio_simplez00(
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_oz00_10))->BgL_simplez00)); }  else 
{ /* Llib/music.scm 71 */BFALSE; } } 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_oz00_10))->BgL_simplez00)=((BgL_pulseaudiozd2simplezd2_bglt)BgL_sz00_11),BUNSPEC); 
return 
((obj_t)BgL_sz00_11);} 

}



/* &pulseaudiomusic-simple-set! */
obj_t BGl_z62pulseaudiomusiczd2simplezd2setz12z70zz__pulseaudio_musicz00(obj_t BgL_envz00_297, obj_t BgL_oz00_298, obj_t BgL_sz00_299)
{
{ /* Llib/music.scm 69 */
{ /* Llib/music.scm 70 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_554; BgL_pulseaudiomusicz00_bglt BgL_auxz00_546;
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_299, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/music.scm 70 */
BgL_auxz00_554 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_sz00_299)
; }  else 
{ 
 obj_t BgL_auxz00_558;
BgL_auxz00_558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1238z00zz__pulseaudio_musicz00, 
BINT(((long)3551)), BGl_string1239z00zz__pulseaudio_musicz00, BGl_string1241z00zz__pulseaudio_musicz00, BgL_sz00_299); 
FAILURE(BgL_auxz00_558,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_298, BGl_pulseaudiomusicz00zz__pulseaudio_musicz00))
{ /* Llib/music.scm 70 */
BgL_auxz00_546 = 
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_298)
; }  else 
{ 
 obj_t BgL_auxz00_550;
BgL_auxz00_550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1238z00zz__pulseaudio_musicz00, 
BINT(((long)3551)), BGl_string1239z00zz__pulseaudio_musicz00, BGl_string1240z00zz__pulseaudio_musicz00, BgL_oz00_298); 
FAILURE(BgL_auxz00_550,BFALSE,BFALSE);} 
return 
BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_auxz00_546, BgL_auxz00_554);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
{ /* Llib/music.scm 22 */
 obj_t BgL_arg1143z00_33; obj_t BgL_arg1144z00_34;
{ /* Llib/music.scm 22 */
 obj_t BgL_v1111z00_65;
BgL_v1111z00_65 = 
create_vector(((long)2)); 
{ /* Llib/music.scm 22 */
 obj_t BgL_arg1153z00_66;
BgL_arg1153z00_66 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1244z00zz__pulseaudio_musicz00, BGl_proc1243z00zz__pulseaudio_musicz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1242z00zz__pulseaudio_musicz00, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
VECTOR_SET(BgL_v1111z00_65,((long)0),BgL_arg1153z00_66); } 
{ /* Llib/music.scm 22 */
 obj_t BgL_arg1172z00_85;
BgL_arg1172z00_85 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_proc1247z00zz__pulseaudio_musicz00, BGl_proc1246z00zz__pulseaudio_musicz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1245z00zz__pulseaudio_musicz00, 
CNST_TABLE_REF(((long)2))); 
VECTOR_SET(BgL_v1111z00_65,((long)1),BgL_arg1172z00_85); } 
BgL_arg1143z00_33 = BgL_v1111z00_65; } 
{ /* Llib/music.scm 22 */
 obj_t BgL_v1112z00_98;
BgL_v1112z00_98 = 
create_vector(((long)0)); 
BgL_arg1144z00_34 = BgL_v1112z00_98; } 
return ( 
BGl_pulseaudiomusicz00zz__pulseaudio_musicz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)3)), 
CNST_TABLE_REF(((long)4)), BGl_musicbufz00zz__multimediazd2musicbufzd2, ((long)62652), BGl_proc1250z00zz__pulseaudio_musicz00, BGl_proc1249z00zz__pulseaudio_musicz00, BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2, BGl_proc1248z00zz__pulseaudio_musicz00, BFALSE, BgL_arg1143z00_33, BgL_arg1144z00_34), BUNSPEC) ;} } 

}



/* &<@anonymous:1150> */
obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__pulseaudio_musicz00(obj_t BgL_envz00_312, obj_t BgL_new1097z00_313)
{
{ /* Llib/music.scm 22 */
{ 
 BgL_pulseaudiomusicz00_bglt BgL_auxz00_575;
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_onstatez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_onvolumez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_onerrorz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_oneventz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
{ 
 BgL_musicstatusz00_bglt BgL_auxz00_592;
{ /* Llib/music.scm 22 */
 obj_t BgL_classz00_400;
BgL_classz00_400 = BGl_musicstatusz00zz__multimediazd2musiczd2; 
{ /* Llib/music.scm 22 */
 obj_t BgL__ortest_1113z00_401;
BgL__ortest_1113z00_401 = 
BGL_CLASS_NIL(BgL_classz00_400); 
if(
CBOOL(BgL__ortest_1113z00_401))
{ /* Llib/music.scm 22 */
BgL_auxz00_592 = 
((BgL_musicstatusz00_bglt)BgL__ortest_1113z00_401)
; }  else 
{ /* Llib/music.scm 22 */
BgL_auxz00_592 = 
((BgL_musicstatusz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_400))
; } } } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)BgL_auxz00_592),BUNSPEC); } 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_inbufz00)=((obj_t)BGl_string1251z00zz__pulseaudio_musicz00),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_decodersz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_mkthreadz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_timeoutz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52nextbufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52playlistz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52usecntz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52amutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52z12pidz40)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313))))->BgL_z52acondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
{ 
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_642;
{ /* Llib/music.scm 22 */
 obj_t BgL_classz00_402;
BgL_classz00_402 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
{ /* Llib/music.scm 22 */
 obj_t BgL__ortest_1113z00_403;
BgL__ortest_1113z00_403 = 
BGL_CLASS_NIL(BgL_classz00_402); 
if(
CBOOL(BgL__ortest_1113z00_403))
{ /* Llib/music.scm 22 */
BgL_auxz00_642 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL__ortest_1113z00_403)
; }  else 
{ /* Llib/music.scm 22 */
BgL_auxz00_642 = 
((BgL_pulseaudiozd2simplezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_402))
; } } } 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313)))->BgL_simplez00)=((BgL_pulseaudiozd2simplezd2_bglt)BgL_auxz00_642),BUNSPEC); } 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313)))->BgL_namez00)=((obj_t)BGl_string1251z00zz__pulseaudio_musicz00),BUNSPEC); 
BgL_auxz00_575 = 
((BgL_pulseaudiomusicz00_bglt)BgL_new1097z00_313); 
return 
((obj_t)BgL_auxz00_575);} } 

}



/* &lambda1148 */
BgL_pulseaudiomusicz00_bglt BGl_z62lambda1148z62zz__pulseaudio_musicz00(obj_t BgL_envz00_314)
{
{ /* Llib/music.scm 22 */
{ /* Llib/music.scm 22 */
 BgL_pulseaudiomusicz00_bglt BgL_new1096z00_404;
BgL_new1096z00_404 = 
((BgL_pulseaudiomusicz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiomusicz00_bgl) ))); 
{ /* Llib/music.scm 22 */
 long BgL_arg1149z00_405;
BgL_arg1149z00_405 = 
BGL_CLASS_NUM(BGl_pulseaudiomusicz00zz__pulseaudio_musicz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_404), BgL_arg1149z00_405); } 
return BgL_new1096z00_404;} } 

}



/* &lambda1145 */
BgL_pulseaudiomusicz00_bglt BGl_z62lambda1145z62zz__pulseaudio_musicz00(obj_t BgL_envz00_315, obj_t BgL_onstate1076z00_316, obj_t BgL_onvolume1077z00_317, obj_t BgL_onerror1078z00_318, obj_t BgL_onevent1079z00_319, obj_t BgL_z52mutex1080z52_320, obj_t BgL_z52status1081z52_321, obj_t BgL_inbuf1082z00_322, obj_t BgL_decoders1083z00_323, obj_t BgL_mkthread1084z00_324, obj_t BgL_timeout1085z00_325, obj_t BgL_z52decoder1086z52_326, obj_t BgL_z52buffer1087z52_327, obj_t BgL_z52nextbuffer1088z52_328, obj_t BgL_z52playlist1089z52_329, obj_t BgL_z52usecnt1090z52_330, obj_t BgL_z52amutex1091z52_331, obj_t BgL_z52z12pid1092z40_332, obj_t BgL_z52acondv1093z52_333, obj_t BgL_simple1094z00_334, obj_t BgL_name1095z00_335)
{
{ /* Llib/music.scm 22 */
{ /* Llib/music.scm 22 */
 int BgL_z52usecnt1090z52_416; int BgL_z52z12pid1092z40_418;
BgL_z52usecnt1090z52_416 = 
CINT(BgL_z52usecnt1090z52_330); 
BgL_z52z12pid1092z40_418 = 
CINT(BgL_z52z12pid1092z40_332); 
{ /* Llib/music.scm 22 */
 BgL_pulseaudiomusicz00_bglt BgL_new1105z00_422;
{ /* Llib/music.scm 22 */
 BgL_pulseaudiomusicz00_bglt BgL_new1104z00_423;
BgL_new1104z00_423 = 
((BgL_pulseaudiomusicz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiomusicz00_bgl) ))); 
{ /* Llib/music.scm 22 */
 long BgL_arg1147z00_424;
BgL_arg1147z00_424 = 
BGL_CLASS_NUM(BGl_pulseaudiomusicz00zz__pulseaudio_musicz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_423), BgL_arg1147z00_424); } 
BgL_new1105z00_422 = BgL_new1104z00_423; } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1105z00_422)))->BgL_onstatez00)=((obj_t)
((obj_t)BgL_onstate1076z00_316)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1105z00_422)))->BgL_onvolumez00)=((obj_t)
((obj_t)BgL_onvolume1077z00_317)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1105z00_422)))->BgL_onerrorz00)=((obj_t)
((obj_t)BgL_onerror1078z00_318)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1105z00_422)))->BgL_oneventz00)=((obj_t)
((obj_t)BgL_onevent1079z00_319)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1105z00_422)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1080z52_320)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1105z00_422)))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)
((BgL_musicstatusz00_bglt)BgL_z52status1081z52_321)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_inbufz00)=((obj_t)
((obj_t)BgL_inbuf1082z00_322)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_decodersz00)=((obj_t)
((obj_t)BgL_decoders1083z00_323)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_mkthreadz00)=((obj_t)
((obj_t)BgL_mkthread1084z00_324)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_timeoutz00)=((obj_t)BgL_timeout1085z00_325),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1086z52_326),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1087z52_327),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52nextbufferz52)=((obj_t)BgL_z52nextbuffer1088z52_328),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52playlistz52)=((obj_t)
((obj_t)BgL_z52playlist1089z52_329)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52usecntz52)=((int)BgL_z52usecnt1090z52_416),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52amutexz52)=((obj_t)
((obj_t)BgL_z52amutex1091z52_331)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52z12pidz40)=((int)BgL_z52z12pid1092z40_418),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1105z00_422)))->BgL_z52acondvz52)=((obj_t)
((obj_t)BgL_z52acondv1093z52_333)),BUNSPEC); 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_new1105z00_422))->BgL_simplez00)=((BgL_pulseaudiozd2simplezd2_bglt)
((BgL_pulseaudiozd2simplezd2_bglt)BgL_simple1094z00_334)),BUNSPEC); 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_new1105z00_422))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1095z00_335)),BUNSPEC); 
{ /* Llib/music.scm 22 */
 obj_t BgL_fun1146z00_425;
BgL_fun1146z00_425 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiomusicz00zz__pulseaudio_musicz00); 
PROCEDURE_ENTRY(BgL_fun1146z00_425)(BgL_fun1146z00_425, 
((obj_t)BgL_new1105z00_422), BEOA); } 
return BgL_new1105z00_422;} } } 

}



/* &<@anonymous:1182> */
obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__pulseaudio_musicz00(obj_t BgL_envz00_336)
{
{ /* Llib/music.scm 22 */
return BGl_string1252z00zz__pulseaudio_musicz00;} 

}



/* &lambda1181 */
obj_t BGl_z62lambda1181z62zz__pulseaudio_musicz00(obj_t BgL_envz00_337, obj_t BgL_oz00_338, obj_t BgL_vz00_339)
{
{ /* Llib/music.scm 22 */
return 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_338)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_339)),BUNSPEC);} 

}



/* &lambda1180 */
obj_t BGl_z62lambda1180z62zz__pulseaudio_musicz00(obj_t BgL_envz00_340, obj_t BgL_oz00_341)
{
{ /* Llib/music.scm 22 */
return 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_341)))->BgL_namez00);} 

}



/* &<@anonymous:1162> */
obj_t BGl_z62zc3z04anonymousza31162ze3ze5zz__pulseaudio_musicz00(obj_t BgL_envz00_342)
{
{ /* Llib/music.scm 22 */
{ 
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_728;
{ /* Llib/music.scm 23 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1107z00_429;
{ /* Llib/music.scm 23 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1106z00_430;
BgL_new1106z00_430 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/music.scm 23 */
 long BgL_arg1171z00_431;
BgL_arg1171z00_431 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_430), BgL_arg1171z00_431); } 
BgL_new1107z00_429 = BgL_new1106z00_430; } 
{ 
 void * BgL_auxz00_733;
{ /* Llib/music.scm 23 */
 obj_t BgL_arg1163z00_432;
{ /* Llib/music.scm 23 */
 obj_t BgL_arg1167z00_433;
{ /* Llib/music.scm 23 */
 obj_t BgL_classz00_434;
BgL_classz00_434 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
BgL_arg1167z00_433 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_434); } 
BgL_arg1163z00_432 = 
VECTOR_REF(BgL_arg1167z00_433,((long)0)); } 
BgL_auxz00_733 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1163z00_432)); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_z42builtinz42)=((pa_simple *)BgL_auxz00_733),BUNSPEC); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_srvnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_namez00)=((obj_t)BGl_string1252z00zz__pulseaudio_musicz00),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_ratez00)=((long)((long)44000)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_channelsz00)=((long)((long)2)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_bpsz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1107z00_429))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)5))),BUNSPEC); 
{ /* Llib/music.scm 23 */
 obj_t BgL_fun1168z00_435;
BgL_fun1168z00_435 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
PROCEDURE_ENTRY(BgL_fun1168z00_435)(BgL_fun1168z00_435, 
((obj_t)BgL_new1107z00_429), BEOA); } 
BgL_auxz00_728 = BgL_new1107z00_429; } 
return 
((obj_t)BgL_auxz00_728);} } 

}



/* &lambda1161 */
obj_t BGl_z62lambda1161z62zz__pulseaudio_musicz00(obj_t BgL_envz00_343, obj_t BgL_oz00_344, obj_t BgL_vz00_345)
{
{ /* Llib/music.scm 22 */
return 
((((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_344)))->BgL_simplez00)=((BgL_pulseaudiozd2simplezd2_bglt)
((BgL_pulseaudiozd2simplezd2_bglt)BgL_vz00_345)),BUNSPEC);} 

}



/* &lambda1160 */
BgL_pulseaudiozd2simplezd2_bglt BGl_z62lambda1160z62zz__pulseaudio_musicz00(obj_t BgL_envz00_346, obj_t BgL_oz00_347)
{
{ /* Llib/music.scm 22 */
return 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_347)))->BgL_simplez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_pulseaudiomusicz00zz__pulseaudio_musicz00, BGl_proc1253z00zz__pulseaudio_musicz00, BGl_string1254z00zz__pulseaudio_musicz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2, BGl_pulseaudiomusicz00zz__pulseaudio_musicz00, BGl_proc1255z00zz__pulseaudio_musicz00, BGl_string1256z00zz__pulseaudio_musicz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicbufzd2writezd2envz00zz__multimediazd2musicbufzd2, BGl_pulseaudiomusicz00zz__pulseaudio_musicz00, BGl_proc1257z00zz__pulseaudio_musicz00, BGl_string1258z00zz__pulseaudio_musicz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicbufzd2drainzd2envz00zz__multimediazd2musicbufzd2, BGl_pulseaudiomusicz00zz__pulseaudio_musicz00, BGl_proc1259z00zz__pulseaudio_musicz00, BGl_string1260z00zz__pulseaudio_musicz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicbufzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_pulseaudiomusicz00zz__pulseaudio_musicz00, BGl_proc1261z00zz__pulseaudio_musicz00, BGl_string1262z00zz__pulseaudio_musicz00);} 

}



/* &musicbuf-reset!-puls1122 */
obj_t BGl_z62musicbufzd2resetz12zd2puls1122z70zz__pulseaudio_musicz00(obj_t BgL_envz00_355, obj_t BgL_oz00_356)
{
{ /* Llib/music.scm 61 */
{ /* Llib/music.scm 63 */
 bool_t BgL_test1321z00_765;
{ /* Llib/music.scm 63 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1201z00_440;
BgL_arg1201z00_440 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_356)))->BgL_simplez00); 
{ /* Llib/music.scm 63 */
 obj_t BgL_classz00_441;
BgL_classz00_441 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
{ /* Llib/music.scm 63 */
 BgL_objectz00_bglt BgL_arg1797z00_442;
{ /* Llib/music.scm 63 */
 obj_t BgL_tmpz00_768;
BgL_tmpz00_768 = 
((obj_t)
((BgL_objectz00_bglt)BgL_arg1201z00_440)); 
BgL_arg1797z00_442 = 
(BgL_objectz00_bglt)(BgL_tmpz00_768); } 
{ /* Llib/music.scm 63 */
 bool_t BgL_arg1794z00_443; bool_t BgL_arg1795z00_444;
{ /* Llib/music.scm 63 */
 long BgL_idxz00_445;
BgL_idxz00_445 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_442); 
BgL_arg1794z00_443 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_445+((long)1)))==BgL_classz00_441); } 
{ /* Llib/music.scm 63 */
 bool_t BgL_res1223z00_448;
{ /* Llib/music.scm 63 */
 obj_t BgL_oclassz00_449;
{ /* Llib/music.scm 63 */
 long BgL_arg1804z00_450;
{ /* Llib/music.scm 63 */
 long BgL_arg1805z00_451;
BgL_arg1805z00_451 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_442); 
BgL_arg1804z00_450 = 
(BgL_arg1805z00_451-OBJECT_TYPE); } 
BgL_oclassz00_449 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_450); } 
{ /* Llib/music.scm 63 */
 bool_t BgL__ortest_1111z00_452;
BgL__ortest_1111z00_452 = 
(BgL_classz00_441==BgL_oclassz00_449); 
if(BgL__ortest_1111z00_452)
{ /* Llib/music.scm 63 */
BgL_res1223z00_448 = BgL__ortest_1111z00_452; }  else 
{ /* Llib/music.scm 63 */
 long BgL_odepthz00_453;
BgL_odepthz00_453 = 
BGL_CLASS_DEPTH(BgL_oclassz00_449); 
if(
(((long)1)<BgL_odepthz00_453))
{ /* Llib/music.scm 63 */
 obj_t BgL_arg1793z00_454;
BgL_arg1793z00_454 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_449, ((long)1)); 
BgL_res1223z00_448 = 
(BgL_arg1793z00_454==BgL_classz00_441); }  else 
{ /* Llib/music.scm 63 */
BgL_res1223z00_448 = ((bool_t)0); } } } } 
BgL_arg1795z00_444 = BgL_res1223z00_448; } 
BgL_test1321z00_765 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_443, BgL_arg1795z00_444); } } } } 
if(BgL_test1321z00_765)
{ /* Llib/music.scm 64 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1200z00_455;
BgL_arg1200z00_455 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_356)))->BgL_simplez00); 
{ /* Llib/music.scm 64 */
 int BgL_errz00_456;
BgL_errz00_456 = 
(int)(((long)0)); 
{ /* Llib/music.scm 64 */
 pa_simple * BgL_arg1202z00_457; int * BgL_arg1205z00_458;
BgL_arg1202z00_457 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_arg1200z00_455))->BgL_z42builtinz42); 
BgL_arg1205z00_458 = 
&(BgL_errz00_456); 
pa_simple_flush(BgL_arg1202z00_457, BgL_arg1205z00_458); } 
if(
(
(long)(BgL_errz00_456)<((long)0)))
{ /* Llib/music.scm 64 */
 char * BgL_arg1207z00_459;
{ /* Llib/music.scm 64 */
 int BgL_tmpz00_796;
BgL_tmpz00_796 = 
(int)(((long)0)); 
BgL_arg1207z00_459 = 
pa_strerror(BgL_tmpz00_796); } 
return 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1263z00zz__pulseaudio_musicz00), BgL_arg1207z00_459, 
BINT(((long)0))));}  else 
{ /* Llib/music.scm 64 */
return BFALSE;} } }  else 
{ /* Llib/music.scm 63 */
return BFALSE;} } } 

}



/* &musicbuf-drain-pulse1120 */
obj_t BGl_z62musicbufzd2drainzd2pulse1120z62zz__pulseaudio_musicz00(obj_t BgL_envz00_357, obj_t BgL_oz00_358)
{
{ /* Llib/music.scm 54 */
{ /* Llib/music.scm 56 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1190z00_461;
BgL_arg1190z00_461 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_358)))->BgL_simplez00); 
{ /* Llib/music.scm 56 */
 int BgL_errz00_462;
BgL_errz00_462 = 
(int)(((long)0)); 
{ /* Llib/music.scm 56 */
 pa_simple * BgL_arg1211z00_463; int * BgL_arg1213z00_464;
BgL_arg1211z00_463 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_arg1190z00_461))->BgL_z42builtinz42); 
BgL_arg1213z00_464 = 
&(BgL_errz00_462); 
pa_simple_drain(BgL_arg1211z00_463, BgL_arg1213z00_464); } 
if(
(
(long)(BgL_errz00_462)<((long)0)))
{ /* Llib/music.scm 56 */
 char * BgL_arg1215z00_465;
{ /* Llib/music.scm 56 */
 int BgL_tmpz00_812;
BgL_tmpz00_812 = 
(int)(((long)0)); 
BgL_arg1215z00_465 = 
pa_strerror(BgL_tmpz00_812); } 
return 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1264z00zz__pulseaudio_musicz00), BgL_arg1215z00_465, 
BINT(((long)0))));}  else 
{ /* Llib/music.scm 56 */
return BFALSE;} } } } 

}



/* &musicbuf-write-pulse1118 */
obj_t BGl_z62musicbufzd2writezd2pulse1118z62zz__pulseaudio_musicz00(obj_t BgL_envz00_359, obj_t BgL_oz00_360, obj_t BgL_outbufz00_361, obj_t BgL_siza7eza7_362)
{
{ /* Llib/music.scm 47 */
{ /* Llib/music.scm 49 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1189z00_467;
BgL_arg1189z00_467 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_360)))->BgL_simplez00); 
{ /* Llib/music.scm 49 */
 long BgL_siza7eza7_468;
BgL_siza7eza7_468 = 
(long)CINT(BgL_siza7eza7_362); 
{ /* Llib/music.scm 49 */
 int BgL_errz00_469;
BgL_errz00_469 = 
(int)(((long)0)); 
{ /* Llib/music.scm 49 */
 pa_simple * BgL_arg1218z00_470; int * BgL_arg1219z00_471;
BgL_arg1218z00_470 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_arg1189z00_467))->BgL_z42builtinz42); 
BgL_arg1219z00_471 = 
&(BgL_errz00_469); 
{ /* Llib/music.scm 49 */
 char * BgL_tmpz00_825;
BgL_tmpz00_825 = 
BSTRING_TO_STRING(
((obj_t)BgL_outbufz00_361)); 
pa_simple_write(BgL_arg1218z00_470, BgL_tmpz00_825, BgL_siza7eza7_468, BgL_arg1219z00_471); } } 
if(
(
(long)(BgL_errz00_469)<((long)0)))
{ /* Llib/music.scm 49 */
 char * BgL_arg1221z00_472;
{ /* Llib/music.scm 49 */
 int BgL_tmpz00_832;
BgL_tmpz00_832 = 
(int)(((long)0)); 
BgL_arg1221z00_472 = 
pa_strerror(BgL_tmpz00_832); } 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1265z00zz__pulseaudio_musicz00), BgL_arg1221z00_472, 
BINT(((long)0)))); }  else 
{ /* Llib/music.scm 49 */BFALSE; } 
return 
BINT(BgL_siza7eza7_468);} } } } 

}



/* &music-closed?-pulsea1116 */
obj_t BGl_z62musiczd2closedzf3zd2pulsea1116z91zz__pulseaudio_musicz00(obj_t BgL_envz00_363, obj_t BgL_oz00_364)
{
{ /* Llib/music.scm 39 */
{ /* Llib/music.scm 40 */
 bool_t BgL_tmpz00_840;
{ /* Llib/music.scm 41 */
 obj_t BgL_mutex1185z00_474;
BgL_mutex1185z00_474 = 
(((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_364))))->BgL_z52amutexz52); 
{ /* Llib/music.scm 41 */
 obj_t BgL_top1328z00_845;
BgL_top1328z00_845 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1185z00_474); 
BGL_EXITD_PUSH_PROTECT(BgL_top1328z00_845, BgL_mutex1185z00_474); BUNSPEC; 
{ /* Llib/music.scm 41 */
 bool_t BgL_tmp1327z00_844;
{ /* Llib/music.scm 42 */
 obj_t BgL_arg1186z00_475;
BgL_arg1186z00_475 = 
BGl_pulseaudiozd2simplezd2statez00zz__pulseaudio_simplez00(
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_364)))->BgL_simplez00)); 
BgL_tmp1327z00_844 = 
(BgL_arg1186z00_475==
CNST_TABLE_REF(((long)6))); } 
BGL_EXITD_POP_PROTECT(BgL_top1328z00_845); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1185z00_474); 
BgL_tmpz00_840 = BgL_tmp1327z00_844; } } } 
return 
BBOOL(BgL_tmpz00_840);} } 

}



/* &music-close-pulseaud1114 */
obj_t BGl_z62musiczd2closezd2pulseaud1114z62zz__pulseaudio_musicz00(obj_t BgL_envz00_365, obj_t BgL_oz00_366)
{
{ /* Llib/music.scm 31 */
{ /* Llib/music.scm 33 */
 obj_t BgL_mutex1183z00_477;
BgL_mutex1183z00_477 = 
(((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_366))))->BgL_z52amutexz52); 
{ /* Llib/music.scm 33 */
 obj_t BgL_top1330z00_861;
BgL_top1330z00_861 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1183z00_477); 
BGL_EXITD_PUSH_PROTECT(BgL_top1330z00_861, BgL_mutex1183z00_477); BUNSPEC; 
{ /* Llib/music.scm 33 */
 obj_t BgL_tmp1329z00_860;
BgL_tmp1329z00_860 = 
BGl_pulseaudiozd2simplezd2closez00zz__pulseaudio_simplez00(
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_oz00_366)))->BgL_simplez00)); 
BGL_EXITD_POP_PROTECT(BgL_top1330z00_861); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1183z00_477); 
return BgL_tmp1329z00_860;} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pulseaudio_musicz00()
{
{ /* Llib/music.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)117276091), 
BSTRING_TO_STRING(BGl_string1266z00zz__pulseaudio_musicz00)); 
return 
BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(((long)129098468), 
BSTRING_TO_STRING(BGl_string1266z00zz__pulseaudio_musicz00));} 

}

#ifdef __cplusplus
}
#endif
