/*===========================================================================*/
/*   (Llib/pulseaudio.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi pulseaudio -copt -D_REENTRANT -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/pulseaudio.scm -o objs/pulseaudio.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/simple.h>
#include <pulse/version.h>
#include <pulse/sample.h>
#include <pulse/error.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pulseaudiozd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pulseaudiozd2objectzd2_bglt;

typedef struct BgL_z62pulseaudiozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62pulseaudiozd2errorzb0_bglt;


static obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pulseaudio_pulseaudioz00();
static obj_t BGl_genericzd2initzd2zz__pulseaudio_pulseaudioz00();
static obj_t BGl_objectzd2initzd2zz__pulseaudio_pulseaudioz00();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2initzd2zz__pulseaudio_pulseaudioz00(BgL_pulseaudiozd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62pulseaudiozd2initzb0zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2headerszd2versionz00zz__pulseaudio_pulseaudioz00();
static obj_t BGl_methodzd2initzd2zz__pulseaudio_pulseaudioz00();
static obj_t BGl_z62pulseaudiozd2headerszd2versionz62zz__pulseaudio_pulseaudioz00(obj_t);
static BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1101z62zz__pulseaudio_pulseaudioz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31088ze3ze5zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_pulseaudiozd2objectzd2_bglt BGl_z62lambda1084z62zz__pulseaudio_pulseaudioz00(obj_t);
static BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1099z62zz__pulseaudio_pulseaudioz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62pulseaudiozd2init1068zb0zz__pulseaudio_pulseaudioz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__pulseaudio_pulseaudioz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_pulseaudioz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_pulseaudioz00();
BGL_EXPORTED_DECL int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00 = BUNSPEC;
static obj_t BGl_z62pulseaudiozd2error1113zb0zz__pulseaudio_pulseaudioz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2headerszd2versionzd2envzd2zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21140z00, BGl_z62pulseaudiozd2headerszd2versionz62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21141z00, BGl_z62pulseaudiozd2initzb0zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1120z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1120za700za7za7_1142za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/pulseaudio/src/Llib/pulseaudio.scm", 74 );
DEFINE_STRING( BGl_string1121z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1121za700za7za7_1143za7, "&pulseaudio-error1113", 21 );
DEFINE_STRING( BGl_string1122z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1122za700za7za7_1144za7, "bstring", 7 );
DEFINE_STRING( BGl_string1129z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1129za700za7za7_1145za7, "pulseaudio-init1068", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1123z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762za7c3za704anonymo1146za7, BGl_z62zc3z04anonymousza31088ze3ze5zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1130z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1130za700za7za7_1147za7, "&pulseaudio-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1124z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762lambda1084za7621148z00, BGl_z62lambda1084z62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1131z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1131za700za7za7_1149za7, "pulseaudio-object", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1125z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762za7c3za704anonymo1150za7, BGl_z62zc3z04anonymousza31103ze3ze5zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1132z00zz__pulseaudio_pulseaudioz00, BgL_bgl_string1132za700za7za7_1151za7, "&pulseaudio-error __pulseaudio_pulseaudio pulseaudio-object ", 60 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1126z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762lambda1101za7621152z00, BGl_z62lambda1101z62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1127z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762lambda1099za7621153z00, BGl_z62lambda1099z62zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1128z00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21154z00, BGl_z62pulseaudiozd2init1068zb0zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2errorzd2envz00zz__pulseaudio_pulseaudioz00, BgL_bgl_za762pulseaudioza7d21155z00, BGl_z62pulseaudiozd2error1113zb0zz__pulseaudio_pulseaudioz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00) );
ADD_ROOT( (void *)(&BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00) );
ADD_ROOT( (void *)(&BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long BgL_checksumz00_208, char * BgL_fromz00_209)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00))
{ 
BGl_requirezd2initializa7ationz75zz__pulseaudio_pulseaudioz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pulseaudio_pulseaudioz00(); 
BGl_libraryzd2moduleszd2initz00zz__pulseaudio_pulseaudioz00(); 
BGl_cnstzd2initzd2zz__pulseaudio_pulseaudioz00(); 
BGl_objectzd2initzd2zz__pulseaudio_pulseaudioz00(); 
BGl_genericzd2initzd2zz__pulseaudio_pulseaudioz00(); 
return 
BGl_toplevelzd2initzd2zz__pulseaudio_pulseaudioz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pulseaudio_pulseaudio"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pulseaudio_pulseaudio"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_cportz00_148;
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_stringz00_156;
BgL_stringz00_156 = BGl_string1132z00zz__pulseaudio_pulseaudioz00; 
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_startz00_157;
BgL_startz00_157 = 
BINT(((long)0)); 
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_endz00_158;
BgL_endz00_158 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_156))); 
{ /* Llib/pulseaudio.scm 15 */

BgL_cportz00_148 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_156, BgL_startz00_157, BgL_endz00_158); } } } } 
{ 
 long BgL_iz00_149;
BgL_iz00_149 = ((long)2); 
BgL_loopz00_150:
if(
(BgL_iz00_149==((long)-1)))
{ /* Llib/pulseaudio.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pulseaudio.scm 15 */
{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_arg1138z00_152;
{ /* Llib/pulseaudio.scm 15 */

{ /* Llib/pulseaudio.scm 15 */
 obj_t BgL_locationz00_154;
BgL_locationz00_154 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pulseaudio.scm 15 */

BgL_arg1138z00_152 = 
BGl_readz00zz__readerz00(BgL_cportz00_148, BgL_locationz00_154); } } } 
{ /* Llib/pulseaudio.scm 15 */
 int BgL_tmpz00_238;
BgL_tmpz00_238 = 
(int)(BgL_iz00_149); 
CNST_TABLE_SET(BgL_tmpz00_238, BgL_arg1138z00_152); } } 
{ /* Llib/pulseaudio.scm 15 */
 int BgL_auxz00_155;
BgL_auxz00_155 = 
(int)(
(BgL_iz00_149-((long)1))); 
{ 
 long BgL_iz00_243;
BgL_iz00_243 = 
(long)(BgL_auxz00_155); 
BgL_iz00_149 = BgL_iz00_243; 
goto BgL_loopz00_150;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
return BUNSPEC;} 

}



/* pulseaudio-error */
BGL_EXPORTED_DEF int bgl_pulseaudio_error(char * BgL_procz00_4, char * BgL_msgz00_5, obj_t BgL_objz00_6)
{
{ /* Llib/pulseaudio.scm 42 */
{ /* Llib/pulseaudio.scm 44 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_arg1073z00_15;
{ /* Llib/pulseaudio.scm 44 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1061z00_16;
{ /* Llib/pulseaudio.scm 44 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1059z00_19;
BgL_new1059z00_19 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62pulseaudiozd2errorzb0_bgl) ))); 
{ /* Llib/pulseaudio.scm 44 */
 long BgL_arg1076z00_20;
BgL_arg1076z00_20 = 
BGL_CLASS_NUM(BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_19), BgL_arg1076z00_20); } 
BgL_new1061z00_16 = BgL_new1059z00_19; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_16)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_16)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_254;
{ /* Llib/pulseaudio.scm 44 */
 obj_t BgL_arg1074z00_17;
{ /* Llib/pulseaudio.scm 44 */
 obj_t BgL_arg1075z00_18;
{ /* Llib/pulseaudio.scm 44 */
 obj_t BgL_classz00_67;
BgL_classz00_67 = BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00; 
BgL_arg1075z00_18 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_67); } 
BgL_arg1074z00_17 = 
VECTOR_REF(BgL_arg1075z00_18,((long)2)); } 
BgL_auxz00_254 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1074z00_17); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_16)))->BgL_stackz00)=((obj_t)BgL_auxz00_254),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_16)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_4)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_16)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_5)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_16)))->BgL_objz00)=((obj_t)BgL_objz00_6),BUNSPEC); 
BgL_arg1073z00_15 = BgL_new1061z00_16; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1073z00_15)); } 
return 
(int)(((long)0));} 

}



/* &pulseaudio-error1113 */
obj_t BGl_z62pulseaudiozd2error1113zb0zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_112, obj_t BgL_procz00_113, obj_t BgL_msgz00_114, obj_t BgL_objz00_115)
{
{ /* Llib/pulseaudio.scm 42 */
{ /* Llib/pulseaudio.scm 47 */
 int BgL_tmpz00_271;
{ /* Llib/pulseaudio.scm 47 */
 char * BgL_auxz00_281; char * BgL_auxz00_272;
{ /* Llib/pulseaudio.scm 47 */
 obj_t BgL_tmpz00_282;
if(
STRINGP(BgL_msgz00_114))
{ /* Llib/pulseaudio.scm 47 */
BgL_tmpz00_282 = BgL_msgz00_114
; }  else 
{ 
 obj_t BgL_auxz00_285;
BgL_auxz00_285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1120z00zz__pulseaudio_pulseaudioz00, 
BINT(((long)2044)), BGl_string1121z00zz__pulseaudio_pulseaudioz00, BGl_string1122z00zz__pulseaudio_pulseaudioz00, BgL_msgz00_114); 
FAILURE(BgL_auxz00_285,BFALSE,BFALSE);} 
BgL_auxz00_281 = 
BSTRING_TO_STRING(BgL_tmpz00_282); } 
{ /* Llib/pulseaudio.scm 47 */
 obj_t BgL_tmpz00_273;
if(
STRINGP(BgL_procz00_113))
{ /* Llib/pulseaudio.scm 47 */
BgL_tmpz00_273 = BgL_procz00_113
; }  else 
{ 
 obj_t BgL_auxz00_276;
BgL_auxz00_276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1120z00zz__pulseaudio_pulseaudioz00, 
BINT(((long)2044)), BGl_string1121z00zz__pulseaudio_pulseaudioz00, BGl_string1122z00zz__pulseaudio_pulseaudioz00, BgL_procz00_113); 
FAILURE(BgL_auxz00_276,BFALSE,BFALSE);} 
BgL_auxz00_272 = 
BSTRING_TO_STRING(BgL_tmpz00_273); } 
BgL_tmpz00_271 = 
bgl_pulseaudio_error(BgL_auxz00_272, BgL_auxz00_281, BgL_objz00_115); } 
return 
BINT(BgL_tmpz00_271);} } 

}



/* pulseaudio-headers-version */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2headerszd2versionz00zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 53 */
return 
string_to_bstring(
pa_get_headers_version());} 

}



/* &pulseaudio-headers-version */
obj_t BGl_z62pulseaudiozd2headerszd2versionz62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_116)
{
{ /* Llib/pulseaudio.scm 53 */
return 
BGl_pulseaudiozd2headerszd2versionz00zz__pulseaudio_pulseaudioz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
{ /* Llib/pulseaudio.scm 23 */
 obj_t BgL_arg1082z00_23; obj_t BgL_arg1083z00_24;
{ /* Llib/pulseaudio.scm 23 */
 obj_t BgL_v1064z00_30;
BgL_v1064z00_30 = 
create_vector(((long)0)); 
BgL_arg1082z00_23 = BgL_v1064z00_30; } 
{ /* Llib/pulseaudio.scm 23 */
 obj_t BgL_v1065z00_31;
BgL_v1065z00_31 = 
create_vector(((long)0)); 
BgL_arg1083z00_24 = BgL_v1065z00_31; } 
BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)54355), BFALSE, BGl_proc1124z00zz__pulseaudio_pulseaudioz00, BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, BGl_proc1123z00zz__pulseaudio_pulseaudioz00, BFALSE, BgL_arg1082z00_23, BgL_arg1083z00_24); } 
{ /* Llib/pulseaudio.scm 28 */
 obj_t BgL_arg1097z00_37; obj_t BgL_arg1098z00_38;
{ /* Llib/pulseaudio.scm 28 */
 obj_t BgL_v1066z00_54;
BgL_v1066z00_54 = 
create_vector(((long)0)); 
BgL_arg1097z00_37 = BgL_v1066z00_54; } 
{ /* Llib/pulseaudio.scm 28 */
 obj_t BgL_v1067z00_55;
BgL_v1067z00_55 = 
create_vector(((long)0)); 
BgL_arg1098z00_38 = BgL_v1067z00_55; } 
return ( 
BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_z62errorz62zz__objectz00, ((long)58711), BGl_proc1127z00zz__pulseaudio_pulseaudioz00, BGl_proc1126z00zz__pulseaudio_pulseaudioz00, BFALSE, BGl_proc1125z00zz__pulseaudio_pulseaudioz00, BFALSE, BgL_arg1097z00_37, BgL_arg1098z00_38), BUNSPEC) ;} } 

}



/* &<@anonymous:1103> */
obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_122, obj_t BgL_new1058z00_123)
{
{ /* Llib/pulseaudio.scm 28 */
{ 
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_auxz00_305;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_305 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BgL_new1058z00_123); 
return 
((obj_t)BgL_auxz00_305);} } 

}



/* &lambda1101 */
BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1101z62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_124)
{
{ /* Llib/pulseaudio.scm 28 */
{ /* Llib/pulseaudio.scm 28 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1057z00_161;
BgL_new1057z00_161 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62pulseaudiozd2errorzb0_bgl) ))); 
{ /* Llib/pulseaudio.scm 28 */
 long BgL_arg1102z00_162;
BgL_arg1102z00_162 = 
BGL_CLASS_NUM(BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_161), BgL_arg1102z00_162); } 
return BgL_new1057z00_161;} } 

}



/* &lambda1099 */
BgL_z62pulseaudiozd2errorzb0_bglt BGl_z62lambda1099z62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_125, obj_t BgL_fname1051z00_126, obj_t BgL_location1052z00_127, obj_t BgL_stack1053z00_128, obj_t BgL_proc1054z00_129, obj_t BgL_msg1055z00_130, obj_t BgL_obj1056z00_131)
{
{ /* Llib/pulseaudio.scm 28 */
{ /* Llib/pulseaudio.scm 28 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1063z00_163;
{ /* Llib/pulseaudio.scm 28 */
 BgL_z62pulseaudiozd2errorzb0_bglt BgL_new1062z00_164;
BgL_new1062z00_164 = 
((BgL_z62pulseaudiozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62pulseaudiozd2errorzb0_bgl) ))); 
{ /* Llib/pulseaudio.scm 28 */
 long BgL_arg1100z00_165;
BgL_arg1100z00_165 = 
BGL_CLASS_NUM(BGl_z62pulseaudiozd2errorzb0zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_164), BgL_arg1100z00_165); } 
BgL_new1063z00_163 = BgL_new1062z00_164; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1063z00_163)))->BgL_fnamez00)=((obj_t)BgL_fname1051z00_126),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1063z00_163)))->BgL_locationz00)=((obj_t)BgL_location1052z00_127),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1063z00_163)))->BgL_stackz00)=((obj_t)BgL_stack1053z00_128),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1063z00_163)))->BgL_procz00)=((obj_t)BgL_proc1054z00_129),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1063z00_163)))->BgL_msgz00)=((obj_t)BgL_msg1055z00_130),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1063z00_163)))->BgL_objz00)=((obj_t)BgL_obj1056z00_131),BUNSPEC); 
return BgL_new1063z00_163;} } 

}



/* &<@anonymous:1088> */
obj_t BGl_z62zc3z04anonymousza31088ze3ze5zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_132, obj_t BgL_new1049z00_133)
{
{ /* Llib/pulseaudio.scm 23 */
return 
((obj_t)
((BgL_pulseaudiozd2objectzd2_bglt)BgL_new1049z00_133));} 

}



/* &lambda1084 */
BgL_pulseaudiozd2objectzd2_bglt BGl_z62lambda1084z62zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_134)
{
{ /* Llib/pulseaudio.scm 23 */
{ /* Llib/pulseaudio.scm 23 */
 BgL_pulseaudiozd2objectzd2_bglt BgL_new1048z00_167;
BgL_new1048z00_167 = 
((BgL_pulseaudiozd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2objectzd2_bgl) ))); 
{ /* Llib/pulseaudio.scm 23 */
 long BgL_arg1087z00_168;
BgL_arg1087z00_168 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_167), BgL_arg1087z00_168); } 
return BgL_new1048z00_167;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, BGl_proc1128z00zz__pulseaudio_pulseaudioz00, BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00, BGl_string1129z00zz__pulseaudio_pulseaudioz00);} 

}



/* &pulseaudio-init1068 */
obj_t BGl_z62pulseaudiozd2init1068zb0zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_138, obj_t BgL_oz00_139)
{
{ /* Llib/pulseaudio.scm 36 */
return 
((obj_t)
((BgL_pulseaudiozd2objectzd2_bglt)BgL_oz00_139));} 

}



/* pulseaudio-init */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2initzd2zz__pulseaudio_pulseaudioz00(BgL_pulseaudiozd2objectzd2_bglt BgL_oz00_3)
{
{ /* Llib/pulseaudio.scm 36 */
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_method1069z00_63;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_res1112z00_111;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_objzd2classzd2numz00_82;
BgL_objzd2classzd2numz00_82 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1801z00_83;
BgL_arg1801z00_83 = 
PROCEDURE_REF(BGl_pulseaudiozd2initzd2envz00zz__pulseaudio_pulseaudioz00, 
(int)(((long)1))); 
{ /* Llib/pulseaudio.scm 36 */
 int BgL_offsetz00_86;
BgL_offsetz00_86 = 
(int)(BgL_objzd2classzd2numz00_82); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_offsetz00_87;
BgL_offsetz00_87 = 
(
(long)(BgL_offsetz00_86)-OBJECT_TYPE); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_modz00_88;
BgL_modz00_88 = 
(BgL_offsetz00_87 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_restz00_90;
BgL_restz00_90 = 
(BgL_offsetz00_87 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pulseaudio.scm 36 */

{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_bucketz00_92;
BgL_bucketz00_92 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_83),BgL_modz00_88); 
BgL_res1112z00_111 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_92),BgL_restz00_90); } } } } } } } } 
BgL_method1069z00_63 = BgL_res1112z00_111; } 
return 
PROCEDURE_ENTRY(BgL_method1069z00_63)(BgL_method1069z00_63, 
((obj_t)BgL_oz00_3), BEOA);} } 

}



/* &pulseaudio-init */
obj_t BGl_z62pulseaudiozd2initzb0zz__pulseaudio_pulseaudioz00(obj_t BgL_envz00_135, obj_t BgL_oz00_136)
{
{ /* Llib/pulseaudio.scm 36 */
{ /* Llib/pulseaudio.scm 36 */
 BgL_pulseaudiozd2objectzd2_bglt BgL_auxz00_385;
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL_test1160z00_386;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_classz00_170;
BgL_classz00_170 = BGl_pulseaudiozd2objectzd2zz__pulseaudio_pulseaudioz00; 
if(
BGL_OBJECTP(BgL_oz00_136))
{ /* Llib/pulseaudio.scm 36 */
 BgL_objectz00_bglt BgL_arg1799z00_172; long BgL_arg1800z00_173;
BgL_arg1799z00_172 = 
(BgL_objectz00_bglt)(BgL_oz00_136); 
BgL_arg1800z00_173 = 
BGL_CLASS_DEPTH(BgL_classz00_170); 
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL_arg1794z00_177; bool_t BgL_arg1795z00_178;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_idxz00_182;
BgL_idxz00_182 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_172); 
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1791z00_183;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_arg1792z00_184;
BgL_arg1792z00_184 = 
(BgL_idxz00_182+BgL_arg1800z00_173); 
BgL_arg1791z00_183 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_184); } 
BgL_arg1794z00_177 = 
(BgL_arg1791z00_183==BgL_classz00_170); } } 
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL_res1139z00_207;
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_oclassz00_192;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_arg1804z00_198;
{ /* Llib/pulseaudio.scm 36 */
 long BgL_arg1805z00_199;
BgL_arg1805z00_199 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_172); 
BgL_arg1804z00_198 = 
(BgL_arg1805z00_199-OBJECT_TYPE); } 
BgL_oclassz00_192 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_198); } 
{ /* Llib/pulseaudio.scm 36 */
 bool_t BgL__ortest_1111z00_193;
BgL__ortest_1111z00_193 = 
(BgL_classz00_170==BgL_oclassz00_192); 
if(BgL__ortest_1111z00_193)
{ /* Llib/pulseaudio.scm 36 */
BgL_res1139z00_207 = BgL__ortest_1111z00_193; }  else 
{ /* Llib/pulseaudio.scm 36 */
 long BgL_odepthz00_194;
BgL_odepthz00_194 = 
BGL_CLASS_DEPTH(BgL_oclassz00_192); 
if(
(BgL_arg1800z00_173<BgL_odepthz00_194))
{ /* Llib/pulseaudio.scm 36 */
 obj_t BgL_arg1793z00_196;
BgL_arg1793z00_196 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_192, BgL_arg1800z00_173); 
BgL_res1139z00_207 = 
(BgL_arg1793z00_196==BgL_classz00_170); }  else 
{ /* Llib/pulseaudio.scm 36 */
BgL_res1139z00_207 = ((bool_t)0); } } } } 
BgL_arg1795z00_178 = BgL_res1139z00_207; } 
BgL_test1160z00_386 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_177, BgL_arg1795z00_178); } }  else 
{ /* Llib/pulseaudio.scm 36 */
BgL_test1160z00_386 = ((bool_t)0)
; } } 
if(BgL_test1160z00_386)
{ /* Llib/pulseaudio.scm 36 */
BgL_auxz00_385 = 
((BgL_pulseaudiozd2objectzd2_bglt)BgL_oz00_136)
; }  else 
{ 
 obj_t BgL_auxz00_407;
BgL_auxz00_407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1120z00zz__pulseaudio_pulseaudioz00, 
BINT(((long)1634)), BGl_string1130z00zz__pulseaudio_pulseaudioz00, BGl_string1131z00zz__pulseaudio_pulseaudioz00, BgL_oz00_136); 
FAILURE(BgL_auxz00_407,BFALSE,BFALSE);} } 
return 
BGl_pulseaudiozd2initzd2zz__pulseaudio_pulseaudioz00(BgL_auxz00_385);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pulseaudio_pulseaudioz00()
{
{ /* Llib/pulseaudio.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
