/*===========================================================================*/
/*   (Llib/thread.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -I/builddir/build/BUILD/bigloo-4.4c-4/api/pthread/src/Posix -copt -fPIC -copt -IPosix Llib/thread.scm -o objs/thread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <srfi18.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_srfi18threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_srfi18threadz00_bglt;


static obj_t BGl_z62threadzd2initializa7ez12zd2s1095zd7zz__srfi18_threadz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__srfi18_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2startzd2joinabl1099z62zz__srfi18_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31123ze3ze5zz__srfi18_threadz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__srfi18_threadz00();
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__srfi18_threadz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_objectzd2initzd2zz__srfi18_threadz00();
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
static obj_t BGl_z62zc3z04anonymousza31143ze3ze5zz__srfi18_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31128ze3ze5zz__srfi18_threadz00(obj_t, obj_t);
extern obj_t BGl_srfi18zd2setupzd2backendz12z12zz__srfi18_backendz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__srfi18_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__srfi18_threadz00();
extern void srfi18_thread_start(void *, obj_t, bool_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static BgL_srfi18threadz00_bglt BGl_z62lambda1118z62zz__srfi18_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static BgL_srfi18threadz00_bglt BGl_z62lambda1121z62zz__srfi18_threadz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__srfi18_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi18_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_zc3z04exitza31139ze3ze70z60zz__srfi18_threadz00(obj_t, obj_t, BgL_srfi18threadz00_bglt);
static obj_t BGl_z62threadzd2startz12zd2srfi181097z70zz__srfi18_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__srfi18_threadz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__srfi18_threadz00();
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__srfi18_threadz00();
static obj_t BGl_gczd2rootszd2initz00zz__srfi18_threadz00();
BGL_EXPORTED_DEF obj_t BGl_srfi18threadz00zz__srfi18_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern void * srfi18_thread_new(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
static obj_t BGl_z62bz62zz__srfi18_threadz00(obj_t);
static obj_t BGl_zc3z04exitza31140ze3ze70z60zz__srfi18_threadz00(BgL_srfi18threadz00_bglt);
static obj_t __cnst[ 5 ] ;


DEFINE_STRING( BGl_string1180z00zz__srfi18_threadz00, BgL_bgl_string1180za700za7za7_1198za7, "Llib/thread.scm", 15 );
DEFINE_STRING( BGl_string1185z00zz__srfi18_threadz00, BgL_bgl_string1185za700za7za7_1199za7, "thread-initialize!", 18 );
DEFINE_STRING( BGl_string1187z00zz__srfi18_threadz00, BgL_bgl_string1187za700za7za7_1200za7, "thread-start!", 13 );
DEFINE_STRING( BGl_string1189z00zz__srfi18_threadz00, BgL_bgl_string1189za700za7za7_1201za7, "thread-start-joinable!", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1181z00zz__srfi18_threadz00, BgL_bgl_za762za7c3za704anonymo1202za7, BGl_z62zc3z04anonymousza31123ze3ze5zz__srfi18_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1182z00zz__srfi18_threadz00, BgL_bgl_za762lambda1121za7621203z00, BGl_z62lambda1121z62zz__srfi18_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1183z00zz__srfi18_threadz00, BgL_bgl_za762lambda1118za7621204z00, BGl_z62lambda1118z62zz__srfi18_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string1190z00zz__srfi18_threadz00, BgL_bgl_string1190za700za7za7_1205za7, "Threads cannot be created until modules are initialized (see the documentation)", 79 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1184z00zz__srfi18_threadz00, BgL_bgl_za762threadza7d2init1206z00, BGl_z62threadzd2initializa7ez12zd2s1095zd7zz__srfi18_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1192z00zz__srfi18_threadz00, BgL_bgl_string1192za700za7za7_1207za7, "unwind-until!, ~a", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1186z00zz__srfi18_threadz00, BgL_bgl_za762threadza7d2star1208z00, va_generic_entry, BGl_z62threadzd2startz12zd2srfi181097z70zz__srfi18_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1193z00zz__srfi18_threadz00, BgL_bgl_string1193za700za7za7_1209za7, "exit out of thread dynamic scope", 32 );
DEFINE_STRING( BGl_string1194z00zz__srfi18_threadz00, BgL_bgl_string1194za700za7za7_1210za7, "__srfi18_thread", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1188z00zz__srfi18_threadz00, BgL_bgl_za762threadza7d2star1211z00, BGl_z62threadzd2startzd2joinabl1099z62zz__srfi18_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1195z00zz__srfi18_threadz00, BgL_bgl_string1195za700za7za7_1212za7, "&srfi18read- & make-thread __srfi18_thread srfi18thread ", 56 );
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1191z00zz__srfi18_threadz00, BgL_bgl_za762za7c3za704anonymo1213za7, BGl_z62zc3z04anonymousza31145ze3ze5zz__srfi18_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__srfi18_threadz00) );
ADD_ROOT( (void *)(&BGl_srfi18threadz00zz__srfi18_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__srfi18_threadz00(long BgL_checksumz00_258, char * BgL_fromz00_259)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__srfi18_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__srfi18_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__srfi18_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__srfi18_threadz00(); 
BGl_cnstzd2initzd2zz__srfi18_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__srfi18_threadz00(); 
BGl_objectzd2initzd2zz__srfi18_threadz00(); 
BGl_methodzd2initzd2zz__srfi18_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__srfi18_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__srfi18_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__srfi18_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_cportz00_204;
{ /* Llib/thread.scm 15 */
 obj_t BgL_stringz00_212;
BgL_stringz00_212 = BGl_string1195z00zz__srfi18_threadz00; 
{ /* Llib/thread.scm 15 */
 obj_t BgL_startz00_213;
BgL_startz00_213 = 
BINT(((long)0)); 
{ /* Llib/thread.scm 15 */
 obj_t BgL_endz00_214;
BgL_endz00_214 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_212))); 
{ /* Llib/thread.scm 15 */

BgL_cportz00_204 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_212, BgL_startz00_213, BgL_endz00_214); } } } } 
{ 
 long BgL_iz00_205;
BgL_iz00_205 = ((long)4); 
BgL_loopz00_206:
if(
(BgL_iz00_205==((long)-1)))
{ /* Llib/thread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_arg1197z00_208;
{ /* Llib/thread.scm 15 */

{ /* Llib/thread.scm 15 */
 obj_t BgL_locationz00_210;
BgL_locationz00_210 = 
BBOOL(((bool_t)0)); 
{ /* Llib/thread.scm 15 */

BgL_arg1197z00_208 = 
BGl_readz00zz__readerz00(BgL_cportz00_204, BgL_locationz00_210); } } } 
{ /* Llib/thread.scm 15 */
 int BgL_tmpz00_296;
BgL_tmpz00_296 = 
(int)(BgL_iz00_205); 
CNST_TABLE_SET(BgL_tmpz00_296, BgL_arg1197z00_208); } } 
{ /* Llib/thread.scm 15 */
 int BgL_auxz00_211;
BgL_auxz00_211 = 
(int)(
(BgL_iz00_205-((long)1))); 
{ 
 long BgL_iz00_301;
BgL_iz00_301 = 
(long)(BgL_auxz00_211); 
BgL_iz00_205 = BgL_iz00_301; 
goto BgL_loopz00_206;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1180z00zz__srfi18_threadz00)); 
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
return 
BGl_srfi18zd2setupzd2backendz12z12zz__srfi18_backendz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 25 */
 obj_t BgL_arg1115z00_18; obj_t BgL_arg1117z00_19;
{ /* Llib/thread.scm 25 */
 obj_t BgL_v1092z00_36;
BgL_v1092z00_36 = 
create_vector(((long)0)); 
BgL_arg1115z00_18 = BgL_v1092z00_36; } 
{ /* Llib/thread.scm 25 */
 obj_t BgL_v1093z00_37;
BgL_v1093z00_37 = 
create_vector(((long)0)); 
BgL_arg1117z00_19 = BgL_v1093z00_37; } 
return ( 
BGl_srfi18threadz00zz__srfi18_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_pthreadz00zz__pth_threadz00, ((long)58498), BGl_proc1183z00zz__srfi18_threadz00, BGl_proc1182z00zz__srfi18_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1181z00zz__srfi18_threadz00, BFALSE, BgL_arg1115z00_18, BgL_arg1117z00_19), BUNSPEC) ;} } 

}



/* &<@anonymous:1123> */
obj_t BGl_z62zc3z04anonymousza31123ze3ze5zz__srfi18_threadz00(obj_t BgL_envz00_158, obj_t BgL_new1061z00_159)
{
{ /* Llib/thread.scm 25 */
{ 
 BgL_srfi18threadz00_bglt BgL_auxz00_313;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159))))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159))))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159))))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159))))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_313 = 
((BgL_srfi18threadz00_bglt)BgL_new1061z00_159); 
return 
((obj_t)BgL_auxz00_313);} } 

}



/* &lambda1121 */
BgL_srfi18threadz00_bglt BGl_z62lambda1121z62zz__srfi18_threadz00(obj_t BgL_envz00_160)
{
{ /* Llib/thread.scm 25 */
{ /* Llib/thread.scm 25 */
 BgL_srfi18threadz00_bglt BgL_new1059z00_217;
BgL_new1059z00_217 = 
((BgL_srfi18threadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_srfi18threadz00_bgl) ))); 
{ /* Llib/thread.scm 25 */
 long BgL_arg1122z00_218;
BgL_arg1122z00_218 = 
BGL_CLASS_NUM(BGl_srfi18threadz00zz__srfi18_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_217), BgL_arg1122z00_218); } 
return BgL_new1059z00_217;} } 

}



/* &lambda1118 */
BgL_srfi18threadz00_bglt BGl_z62lambda1118z62zz__srfi18_threadz00(obj_t BgL_envz00_161, obj_t BgL_name1053z00_162, obj_t BgL_body1054z00_163, obj_t BgL_detachedp1055z00_164, obj_t BgL_endzd2result1056zd2_165, obj_t BgL_endzd2exception1057zd2_166, obj_t BgL_z42builtin1058z42_167)
{
{ /* Llib/thread.scm 25 */
{ /* Llib/thread.scm 25 */
 bool_t BgL_detachedp1055z00_220; void * BgL_z42builtin1058z42_221;
BgL_detachedp1055z00_220 = 
CBOOL(BgL_detachedp1055z00_164); 
BgL_z42builtin1058z42_221 = 
FOREIGN_TO_COBJ(BgL_z42builtin1058z42_167); 
{ /* Llib/thread.scm 25 */
 BgL_srfi18threadz00_bglt BgL_new1091z00_222;
{ /* Llib/thread.scm 25 */
 BgL_srfi18threadz00_bglt BgL_new1090z00_223;
BgL_new1090z00_223 = 
((BgL_srfi18threadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_srfi18threadz00_bgl) ))); 
{ /* Llib/thread.scm 25 */
 long BgL_arg1120z00_224;
BgL_arg1120z00_224 = 
BGL_CLASS_NUM(BGl_srfi18threadz00zz__srfi18_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_223), BgL_arg1120z00_224); } 
BgL_new1091z00_222 = BgL_new1090z00_223; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1091z00_222)))->BgL_namez00)=((obj_t)BgL_name1053z00_162),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1091z00_222)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1054z00_163)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1091z00_222)))->BgL_detachedpz00)=((bool_t)BgL_detachedp1055z00_220),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1091z00_222)))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1056zd2_165),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1091z00_222)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1057zd2_166),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1091z00_222)))->BgL_z42builtinz42)=((void *)BgL_z42builtin1058z42_221),BUNSPEC); 
{ /* Llib/thread.scm 25 */
 obj_t BgL_fun1119z00_225;
BgL_fun1119z00_225 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_srfi18threadz00zz__srfi18_threadz00); 
PROCEDURE_ENTRY(BgL_fun1119z00_225)(BgL_fun1119z00_225, 
((obj_t)BgL_new1091z00_222), BEOA); } 
return BgL_new1091z00_222;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_srfi18threadz00zz__srfi18_threadz00, BGl_proc1184z00zz__srfi18_threadz00, BGl_string1185z00zz__srfi18_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_srfi18threadz00zz__srfi18_threadz00, BGl_proc1186z00zz__srfi18_threadz00, BGl_string1187z00zz__srfi18_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_srfi18threadz00zz__srfi18_threadz00, BGl_proc1188z00zz__srfi18_threadz00, BGl_string1189z00zz__srfi18_threadz00);} 

}



/* &thread-start-joinabl1099 */
obj_t BGl_z62threadzd2startzd2joinabl1099z62zz__srfi18_threadz00(obj_t BgL_envz00_177, obj_t BgL_tz00_178)
{
{ /* Llib/thread.scm 89 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_tz00_178))))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/thread.scm 92 */
 void * BgL_arg1175z00_227;
BgL_arg1175z00_227 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_tz00_178))))->BgL_z42builtinz42); 
srfi18_thread_start(BgL_arg1175z00_227, 
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_tz00_178)), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_tz00_178));} 

}



/* &thread-start!-srfi181097 */
obj_t BGl_z62threadzd2startz12zd2srfi181097z70zz__srfi18_threadz00(obj_t BgL_envz00_179, obj_t BgL_tz00_180, obj_t BgL_scdz00_181)
{
{ /* Llib/thread.scm 80 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_tz00_180))))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/thread.scm 83 */
 void * BgL_arg1172z00_229;
BgL_arg1172z00_229 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_tz00_180))))->BgL_z42builtinz42); 
srfi18_thread_start(BgL_arg1172z00_229, 
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_tz00_180)), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_tz00_180));} 

}



/* &thread-initialize!-s1095 */
obj_t BGl_z62threadzd2initializa7ez12zd2s1095zd7zz__srfi18_threadz00(obj_t BgL_envz00_182, obj_t BgL_oz00_183)
{
{ /* Llib/thread.scm 40 */
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/thread.scm 47 */
 obj_t BgL_bz00_231;
BgL_bz00_231 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__srfi18_threadz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_bz00_231, 
(int)(((long)0)), 
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_oz00_183))); 
PROCEDURE_SET(BgL_bz00_231, 
(int)(((long)1)), 
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_oz00_183))); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_srfi18threadz00_bglt)BgL_oz00_183))))->BgL_z42builtinz42)=((void *)
srfi18_thread_new(BgL_bz00_231)),BUNSPEC);}  else 
{ /* Llib/thread.scm 44 */
 obj_t BgL_arg1171z00_232;
BgL_arg1171z00_232 = 
bgl_find_runtime_type(
((obj_t)
((BgL_srfi18threadz00_bglt)BgL_oz00_183))); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string1190z00zz__srfi18_threadz00, BgL_arg1171z00_232);} } 

}



/* &b */
obj_t BGl_z62bz62zz__srfi18_threadz00(obj_t BgL_envz00_184)
{
{ /* Llib/thread.scm 46 */
{ /* Llib/thread.scm 47 */
 BgL_srfi18threadz00_bglt BgL_i1062z00_185; BgL_srfi18threadz00_bglt BgL_oz00_186;
BgL_i1062z00_185 = 
((BgL_srfi18threadz00_bglt)
PROCEDURE_REF(BgL_envz00_184, 
(int)(((long)0)))); 
BgL_oz00_186 = 
((BgL_srfi18threadz00_bglt)
PROCEDURE_REF(BgL_envz00_184, 
(int)(((long)1)))); 
{ /* Llib/thread.scm 47 */
 obj_t BgL_idz00_233;
{ /* Llib/thread.scm 47 */
 bool_t BgL_test1217z00_417;
{ /* Llib/thread.scm 47 */
 obj_t BgL_tmpz00_418;
BgL_tmpz00_418 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1062z00_185)))->BgL_namez00); 
BgL_test1217z00_417 = 
SYMBOLP(BgL_tmpz00_418); } 
if(BgL_test1217z00_417)
{ /* Llib/thread.scm 48 */
 obj_t BgL_arg1158z00_234;
{ /* Llib/thread.scm 48 */
 obj_t BgL_arg1159z00_235; obj_t BgL_arg1162z00_236;
{ /* Llib/thread.scm 48 */
 obj_t BgL_symbolz00_237;
BgL_symbolz00_237 = 
CNST_TABLE_REF(((long)3)); 
{ /* Llib/thread.scm 48 */
 obj_t BgL_arg1457z00_238;
BgL_arg1457z00_238 = 
SYMBOL_TO_STRING(BgL_symbolz00_237); 
BgL_arg1159z00_235 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_238); } } 
{ /* Llib/thread.scm 48 */
 obj_t BgL_arg1163z00_239;
BgL_arg1163z00_239 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1062z00_185)))->BgL_namez00); 
{ /* Llib/thread.scm 48 */
 obj_t BgL_arg1457z00_240;
BgL_arg1457z00_240 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg1163z00_239)); 
BgL_arg1162z00_236 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_240); } } 
BgL_arg1158z00_234 = 
string_append(BgL_arg1159z00_235, BgL_arg1162z00_236); } 
BgL_idz00_233 = 
bstring_to_symbol(BgL_arg1158z00_234); }  else 
{ /* Llib/thread.scm 47 */
BgL_idz00_233 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)4))); } } 
{ /* Llib/thread.scm 50 */

BGL_PUSH_TRACE(BgL_idz00_233, BUNSPEC); 
{ /* Llib/thread.scm 54 */
 obj_t BgL_zc3z04anonymousza31128ze3z87_241;
BgL_zc3z04anonymousza31128ze3z87_241 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31128ze3ze5zz__srfi18_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31128ze3z87_241, 
(int)(((long)0)), 
((obj_t)BgL_oz00_186)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31128ze3z87_241); BUNSPEC; } 
{ /* Llib/thread.scm 57 */
 obj_t BgL_env1071z00_242;
BgL_env1071z00_242 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_244;
{ /* Llib/thread.scm 57 */
 obj_t BgL_cell1066z00_252;
BgL_cell1066z00_252 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/thread.scm 57 */
 obj_t BgL_val1070z00_253;
BgL_val1070z00_253 = 
BGl_zc3z04exitza31139ze3ze70z60zz__srfi18_threadz00(BgL_cell1066z00_252, BgL_env1071z00_242, BgL_i1062z00_185); 
if(
(BgL_val1070z00_253==BgL_cell1066z00_252))
{ /* Llib/thread.scm 57 */
{ /* Llib/thread.scm 57 */
 int BgL_tmpz00_447;
BgL_tmpz00_447 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_447); } 
{ /* Llib/thread.scm 57 */
 obj_t BgL_arg1138z00_254;
BgL_arg1138z00_254 = 
CELL_REF(
((obj_t)BgL_val1070z00_253)); 
{ /* Llib/thread.scm 57 */
 bool_t BgL_tmpz00_452;
BgL_ez00_244 = BgL_arg1138z00_254; 
{ /* Llib/thread.scm 59 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_245;
{ /* Llib/thread.scm 59 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1073z00_246;
{ /* Llib/thread.scm 59 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1072z00_247;
BgL_new1072z00_247 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/thread.scm 59 */
 long BgL_arg1153z00_248;
BgL_arg1153z00_248 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_247), BgL_arg1153z00_248); } 
BgL_new1073z00_246 = BgL_new1072z00_247; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1073z00_246)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1073z00_246)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_461;
{ /* Llib/thread.scm 59 */
 obj_t BgL_arg1149z00_249;
{ /* Llib/thread.scm 59 */
 obj_t BgL_arg1150z00_250;
{ /* Llib/thread.scm 59 */
 obj_t BgL_classz00_251;
BgL_classz00_251 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1150z00_250 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_251); } 
BgL_arg1149z00_249 = 
VECTOR_REF(BgL_arg1150z00_250,((long)2)); } 
BgL_auxz00_461 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1149z00_249); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1073z00_246)))->BgL_stackz00)=((obj_t)BgL_auxz00_461),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1073z00_246))->BgL_reasonz00)=((obj_t)BgL_ez00_244),BUNSPEC); 
BgL_uz00_245 = BgL_new1073z00_246; } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_i1062z00_185)))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_245)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_244); 
BgL_tmpz00_452 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_452);} } }  else 
{ /* Llib/thread.scm 57 */
return BgL_val1070z00_253;} } } } } } } } } 

}



/* <@exit:1140>~0 */
obj_t BGl_zc3z04exitza31140ze3ze70z60zz__srfi18_threadz00(BgL_srfi18threadz00_bglt BgL_i1062z00_200)
{
{ /* Llib/thread.scm 66 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1077z00_71;
if( SET_EXIT(BgL_an_exit1077z00_71 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1077z00_71 = 
(void *)jmpbuf; 
{ /* Llib/thread.scm 66 */
 obj_t BgL_env1081z00_72;
BgL_env1081z00_72 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1081z00_72, BgL_an_exit1077z00_71, ((long)1)); 
{ /* Llib/thread.scm 66 */
 obj_t BgL_an_exitd1078z00_73;
BgL_an_exitd1078z00_73 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1081z00_72); 
{ /* Llib/thread.scm 66 */
 obj_t BgL_res1080z00_76;
{ /* Llib/thread.scm 69 */
 obj_t BgL_zc3z04anonymousza31143ze3z87_174;
BgL_zc3z04anonymousza31143ze3z87_174 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31143ze3ze5zz__srfi18_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31143ze3z87_174, 
(int)(((long)0)), BgL_an_exitd1078z00_73); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31143ze3z87_174); } 
{ 
 obj_t BgL_auxz00_484;
{ /* Llib/thread.scm 72 */
 obj_t BgL_fun1146z00_85;
BgL_fun1146z00_85 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_i1062z00_200)))->BgL_bodyz00); 
BgL_auxz00_484 = 
PROCEDURE_ENTRY(BgL_fun1146z00_85)(BgL_fun1146z00_85, BEOA); } 
BgL_res1080z00_76 = 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_i1062z00_200)))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_484),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1081z00_72); 
return BgL_res1080z00_76;} } } 
}} 

}



/* <@exit:1139>~0 */
obj_t BGl_zc3z04exitza31139ze3ze70z60zz__srfi18_threadz00(obj_t BgL_cell1066z00_203, obj_t BgL_env1071z00_202, BgL_srfi18threadz00_bglt BgL_i1062z00_201)
{
{ /* Llib/thread.scm 57 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1083z00_62;
if( SET_EXIT(BgL_an_exit1083z00_62 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1083z00_62 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1071z00_202, BgL_an_exit1083z00_62, ((long)1)); 
{ /* Llib/thread.scm 57 */
 obj_t BgL_escape1067z00_63;
BgL_escape1067z00_63 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1071z00_202); 
{ /* Llib/thread.scm 57 */
 obj_t BgL_res1086z00_64;
{ /* Llib/thread.scm 57 */
 obj_t BgL_ohs1063z00_65;
BgL_ohs1063z00_65 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1071z00_202); 
{ /* Llib/thread.scm 57 */
 obj_t BgL_hds1064z00_66;
BgL_hds1064z00_66 = 
MAKE_STACK_PAIR(BgL_escape1067z00_63, BgL_cell1066z00_203); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1071z00_202, BgL_hds1064z00_66); BUNSPEC; 
{ /* Llib/thread.scm 57 */
 obj_t BgL_exitd1074z00_67;
BgL_exitd1074z00_67 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1071z00_202); 
{ /* Llib/thread.scm 57 */
 obj_t BgL_tmp1076z00_68;
{ /* Llib/thread.scm 57 */
 obj_t BgL_arg1147z00_86;
BgL_arg1147z00_86 = 
BGL_EXITD_PROTECT(BgL_exitd1074z00_67); 
BgL_tmp1076z00_68 = 
MAKE_YOUNG_PAIR(BgL_ohs1063z00_65, BgL_arg1147z00_86); } 
{ /* Llib/thread.scm 57 */

BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_67, BgL_tmp1076z00_68); BUNSPEC; 
{ /* Llib/thread.scm 66 */
 obj_t BgL_tmp1075z00_69;
BgL_tmp1075z00_69 = 
BGl_zc3z04exitza31140ze3ze70z60zz__srfi18_threadz00(BgL_i1062z00_201); 
{ /* Llib/thread.scm 57 */
 bool_t BgL_test1219z00_505;
{ /* Llib/thread.scm 57 */
 obj_t BgL_arg1817z00_145;
BgL_arg1817z00_145 = 
BGL_EXITD_PROTECT(BgL_exitd1074z00_67); 
BgL_test1219z00_505 = 
PAIRP(BgL_arg1817z00_145); } 
if(BgL_test1219z00_505)
{ /* Llib/thread.scm 57 */
 obj_t BgL_arg1815z00_146;
{ /* Llib/thread.scm 57 */
 obj_t BgL_arg1816z00_147;
BgL_arg1816z00_147 = 
BGL_EXITD_PROTECT(BgL_exitd1074z00_67); 
BgL_arg1815z00_146 = 
CDR(
((obj_t)BgL_arg1816z00_147)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_67, BgL_arg1815z00_146); BUNSPEC; }  else 
{ /* Llib/thread.scm 57 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1071z00_202, BgL_ohs1063z00_65); BUNSPEC; 
BgL_res1086z00_64 = BgL_tmp1075z00_69; } } } } } } 
POP_ENV_EXIT(BgL_env1071z00_202); 
return BgL_res1086z00_64;} } 
}} 

}



/* &<@anonymous:1143> */
obj_t BGl_z62zc3z04anonymousza31143ze3ze5zz__srfi18_threadz00(obj_t BgL_envz00_187, obj_t BgL_sz00_189)
{
{ /* Llib/thread.scm 68 */
{ /* Llib/thread.scm 69 */
 obj_t BgL_an_exitd1078z00_188;
BgL_an_exitd1078z00_188 = 
PROCEDURE_REF(BgL_envz00_187, 
(int)(((long)0))); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1191z00zz__srfi18_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1078z00_188, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1145> */
obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__srfi18_threadz00(obj_t BgL_envz00_190, obj_t BgL_valz00_191)
{
{ /* Llib/thread.scm 70 */
return BgL_valz00_191;} 

}



/* &<@anonymous:1128> */
obj_t BGl_z62zc3z04anonymousza31128ze3ze5zz__srfi18_threadz00(obj_t BgL_envz00_192, obj_t BgL_valz00_194)
{
{ /* Llib/thread.scm 53 */
{ /* Llib/thread.scm 54 */
 BgL_srfi18threadz00_bglt BgL_oz00_193;
BgL_oz00_193 = 
((BgL_srfi18threadz00_bglt)
PROCEDURE_REF(BgL_envz00_192, 
(int)(((long)0)))); 
{ /* Llib/thread.scm 54 */
 obj_t BgL_arg1129z00_256;
{ /* Llib/thread.scm 54 */
 obj_t BgL_list1130z00_257;
BgL_list1130z00_257 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_193), BNIL); 
BgL_arg1129z00_256 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1192z00zz__srfi18_threadz00, BgL_list1130z00_257); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1129z00_256, BGl_string1193z00zz__srfi18_threadz00, BgL_valz00_194);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__srfi18_threadz00()
{
{ /* Llib/thread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__srfi18_backendz00(((long)208719784), 
BSTRING_TO_STRING(BGl_string1194z00zz__srfi18_threadz00));} 

}

#ifdef __cplusplus
}
#endif
