/*===========================================================================*/
/*   (Llib/wav_decoder.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -safee -unsafe -srfi wav -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/wav_decoder.scm -o objs/wav_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_wavinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
   obj_t BgL_audiofmtz00;
   int BgL_byteratez00;
   int BgL_blockalignz00;
   long BgL_chunksiza7eza7;
} *BgL_wavinfoz00_bglt;

typedef struct BgL_wavmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavmusicdecoderz00_bglt;


static long BGl_z42wavzd2statuszd2okz42zz__wav_decoderz00;
static obj_t BGl_z62musicdecoderzd2decodezd21141z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__wav_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__wav_decoderz00();
BGL_IMPORT obj_t BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, int, obj_t, int, int);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__wav_decoderz00();
static obj_t BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__wav_decoderz00();
static obj_t BGl_z62musicdecoderzd2positio1139zb0zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugz00zz__wav_decoderz00(obj_t);
static long BGl_z42wavzd2statuszd2needzd2morez90zz__wav_decoderz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_zc3z04exitza31198ze3ze70z60zz__wav_decoderz00(int, BgL_wavmusicdecoderz00_bglt, BgL_musicbufferz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_wavzd2decodezd2zz__wav_decoderz00(BgL_wavmusicdecoderz00_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt, int, int);
static obj_t BGl_methodzd2initzd2zz__wav_decoderz00();
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static int BGl_wavzd2debugzd2zz__wav_decoderz00();
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_inczd2tailz12ze70z27zz__wav_decoderz00(BgL_musicbufferz00_bglt, long, BgL_musicbufferz00_bglt, obj_t, long);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__wav_decoderz00(obj_t);
static long BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(long, BgL_musicbufferz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__wav_decoderz00(obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds();
static obj_t BGl_z62musicdecoderzd2resetz12zd21137z70zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static long BGl_z42wavzd2statuszd2newzd2formatz90zz__wav_decoderz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
BGL_IMPORT int bgl_debug();
static obj_t BGl_z62lambda1334z62zz__wav_decoderz00(obj_t, obj_t);
static BgL_wavmusicdecoderz00_bglt BGl_z62lambda1253z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1335z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62lambda1342z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1343z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static BgL_wavmusicdecoderz00_bglt BGl_z62lambda1263z62zz__wav_decoderz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__wav_decoderz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00();
static obj_t BGl_debugzd2initz12zc0zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__wav_decoderz00();
static obj_t BGl_gczd2rootszd2initz00zz__wav_decoderz00();
static obj_t BGl_z62lambda1271z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1355z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1356z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2initzd2wa1135z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21143z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2stopz12zc0zz__wav_decoderz00(obj_t);
extern long BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00();
static long BGl_z42wavzd2statuszd2donez42zz__wav_decoderz00;
static obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62objectzd2printzd2wavmusi1133z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_wavzd2parsezd2headerz00zz__wav_wavz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_wavmusicdecoderz00zz__wav_decoderz00 = BUNSPEC;
static obj_t BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = BUNSPEC;
static bool_t BGl_flushze70ze7zz__wav_decoderz00(BgL_musicbufz00_bglt, BgL_wavmusicdecoderz00_bglt, int);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufferzd2substringzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, int, int);
static obj_t __cnst[ 23 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1961z00zz__wav_decoderz00, BgL_bgl_string1961za700za7za7_2025za7, "Llib/wav_decoder.scm", 20 );
DEFINE_STRING( BGl_string1962z00zz__wav_decoderz00, BgL_bgl_string1962za700za7za7_2026za7, "wav-decode", 10 );
DEFINE_STRING( BGl_string1963z00zz__wav_decoderz00, BgL_bgl_string1963za700za7za7_2027za7, "Cannot play none PCM wav format", 31 );
DEFINE_STRING( BGl_string1964z00zz__wav_decoderz00, BgL_bgl_string1964za700za7za7_2028za7, "/tmp/WAV.log", 12 );
DEFINE_STRING( BGl_string1965z00zz__wav_decoderz00, BgL_bgl_string1965za700za7za7_2029za7, "\n", 1 );
DEFINE_STRING( BGl_string1966z00zz__wav_decoderz00, BgL_bgl_string1966za700za7za7_2030za7, " ", 1 );
DEFINE_STRING( BGl_string1967z00zz__wav_decoderz00, BgL_bgl_string1967za700za7za7_2031za7, ">>> WAV_DECODER init ", 21 );
DEFINE_STRING( BGl_string1968z00zz__wav_decoderz00, BgL_bgl_string1968za700za7za7_2032za7, ">>> WAV_DECODER stop ", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1969z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2033za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1970z00zz__wav_decoderz00, BgL_bgl_za762lambda1272za7622034z00, BGl_z62lambda1272z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1971z00zz__wav_decoderz00, BgL_bgl_za762lambda1271za7622035z00, BGl_z62lambda1271z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1972z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2036za7, BGl_z62zc3z04anonymousza31289ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1973z00zz__wav_decoderz00, BgL_bgl_za762lambda1288za7622037z00, BGl_z62lambda1288z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1974z00zz__wav_decoderz00, BgL_bgl_za762lambda1287za7622038z00, BGl_z62lambda1287z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1975z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2039za7, BGl_z62zc3z04anonymousza31336ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1976z00zz__wav_decoderz00, BgL_bgl_za762lambda1335za7622040z00, BGl_z62lambda1335z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1977z00zz__wav_decoderz00, BgL_bgl_za762lambda1334za7622041z00, BGl_z62lambda1334z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1978z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2042za7, BGl_z62zc3z04anonymousza31344ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1979z00zz__wav_decoderz00, BgL_bgl_za762lambda1343za7622043z00, BGl_z62lambda1343z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1987z00zz__wav_decoderz00, BgL_bgl_string1987za700za7za7_2044za7, "", 0 );
DEFINE_STRING( BGl_string1989z00zz__wav_decoderz00, BgL_bgl_string1989za700za7za7_2045za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1980z00zz__wav_decoderz00, BgL_bgl_za762lambda1342za7622046z00, BGl_z62lambda1342z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1981z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2047za7, BGl_z62zc3z04anonymousza31357ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1982z00zz__wav_decoderz00, BgL_bgl_za762lambda1356za7622048z00, BGl_z62lambda1356z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1983z00zz__wav_decoderz00, BgL_bgl_za762lambda1355za7622049z00, BGl_z62lambda1355z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1984z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2050za7, BGl_z62zc3z04anonymousza31265ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1991z00zz__wav_decoderz00, BgL_bgl_string1991za700za7za7_2051za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__wav_decoderz00, BgL_bgl_za762lambda1263za7622052z00, BGl_z62lambda1263z62zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1986z00zz__wav_decoderz00, BgL_bgl_za762lambda1253za7622053z00, BGl_z62lambda1253z62zz__wav_decoderz00, 0L, BUNSPEC, 15 );
DEFINE_STRING( BGl_string1993z00zz__wav_decoderz00, BgL_bgl_string1993za700za7za7_2054za7, "musicdecoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1988z00zz__wav_decoderz00, BgL_bgl_za762objectza7d2prin2055z00, BGl_z62objectzd2printzd2wavmusi1133z62zz__wav_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1995z00zz__wav_decoderz00, BgL_bgl_string1995za700za7za7_2056za7, "musicdecoder-position", 21 );
DEFINE_STRING( BGl_string1997z00zz__wav_decoderz00, BgL_bgl_string1997za700za7za7_2057za7, "musicdecoder-decode", 19 );
DEFINE_STRING( BGl_string1999z00zz__wav_decoderz00, BgL_bgl_string1999za700za7za7_2058za7, "musicdecoder-volume-set!", 24 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1990z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72059z00, BGl_z62musicdecoderzd2initzd2wa1135z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1992z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72060z00, BGl_z62musicdecoderzd2resetz12zd21137z70zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1994z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72061z00, BGl_z62musicdecoderzd2positio1139zb0zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1996z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72062z00, BGl_z62musicdecoderzd2decodezd21141z62zz__wav_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1998z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72063z00, BGl_z62musicdecoderzd2volumezd21143z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string2000z00zz__wav_decoderz00, BgL_bgl_string2000za700za7za7_2064za7, "~~~ WAV_DECODER, EOF ", 21 );
DEFINE_STRING( BGl_string2001z00zz__wav_decoderz00, BgL_bgl_string2001za700za7za7_2065za7, "...", 3 );
DEFINE_STRING( BGl_string2002z00zz__wav_decoderz00, BgL_bgl_string2002za700za7za7_2066za7, "<-- WAV_DECODER, wait not-empty ", 32 );
DEFINE_STRING( BGl_string2003z00zz__wav_decoderz00, BgL_bgl_string2003za700za7za7_2067za7, " -> status=", 11 );
DEFINE_STRING( BGl_string2004z00zz__wav_decoderz00, BgL_bgl_string2004za700za7za7_2068za7, " hd=", 4 );
DEFINE_STRING( BGl_string2005z00zz__wav_decoderz00, BgL_bgl_string2005za700za7za7_2069za7, " tl=", 4 );
DEFINE_STRING( BGl_string2006z00zz__wav_decoderz00, BgL_bgl_string2006za700za7za7_2070za7, "~~~ WAV_DECODER, s=", 19 );
DEFINE_STRING( BGl_string2007z00zz__wav_decoderz00, BgL_bgl_string2007za700za7za7_2071za7, " size=", 6 );
DEFINE_STRING( BGl_string2008z00zz__wav_decoderz00, BgL_bgl_string2008za700za7za7_2072za7, "~~~ WAV_DECODER, OK s=", 22 );
DEFINE_STRING( BGl_string2009z00zz__wav_decoderz00, BgL_bgl_string2009za700za7za7_2073za7, " tail=", 6 );
DEFINE_STRING( BGl_string2010z00zz__wav_decoderz00, BgL_bgl_string2010za700za7za7_2074za7, " %empty=", 8 );
DEFINE_STRING( BGl_string2011z00zz__wav_decoderz00, BgL_bgl_string2011za700za7za7_2075za7, "~~~ WAV_DECODER, NEED-MORE s=", 29 );
DEFINE_STRING( BGl_string2012z00zz__wav_decoderz00, BgL_bgl_string2012za700za7za7_2076za7, "wav decoding error", 18 );
DEFINE_STRING( BGl_string2013z00zz__wav_decoderz00, BgL_bgl_string2013za700za7za7_2077za7, "\033[0m\033[1;33m", 11 );
DEFINE_STRING( BGl_string2014z00zz__wav_decoderz00, BgL_bgl_string2014za700za7za7_2078za7, "\033[0m\033[1;32m", 11 );
DEFINE_STRING( BGl_string2015z00zz__wav_decoderz00, BgL_bgl_string2015za700za7za7_2079za7, " EOF", 4 );
DEFINE_STRING( BGl_string2016z00zz__wav_decoderz00, BgL_bgl_string2016za700za7za7_2080za7, " url=", 5 );
DEFINE_STRING( BGl_string2017z00zz__wav_decoderz00, BgL_bgl_string2017za700za7za7_2081za7, "%\033[0m", 5 );
DEFINE_STRING( BGl_string2018z00zz__wav_decoderz00, BgL_bgl_string2018za700za7za7_2082za7, "--- WAV_DECODER, buffer fill: ", 30 );
DEFINE_STRING( BGl_string2019z00zz__wav_decoderz00, BgL_bgl_string2019za700za7za7_2083za7, "--> WAV_DECODER, broadcast not-full ", 36 );
DEFINE_STRING( BGl_string2020z00zz__wav_decoderz00, BgL_bgl_string2020za700za7za7_2084za7, "#|wavmusicdecoder|", 18 );
DEFINE_STRING( BGl_string2021z00zz__wav_decoderz00, BgL_bgl_string2021za700za7za7_2085za7, "__wav_decoder", 13 );
DEFINE_STRING( BGl_string2022z00zz__wav_decoderz00, BgL_bgl_string2022za700za7za7_2086za7, "(\"audio/wav\" \"audio/x-wav\" \"audio/x-pn-windows-acm\") error buffering ended stop play pause __wav_decoder wavmusicdecoder %position %size int %cursor obj %header bstring outbuf pcm unknown-status ok need-more done new-format ", 224 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__wav_decoderz00) );
ADD_ROOT( (void *)(&BGl_wavmusicdecoderz00zz__wav_decoderz00) );
ADD_ROOT( (void *)(&BGl_za2debugzd2portza2zd2zz__wav_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long BgL_checksumz00_867, char * BgL_fromz00_868)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__wav_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__wav_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__wav_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(); 
BGl_cnstzd2initzd2zz__wav_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(); 
BGl_objectzd2initzd2zz__wav_decoderz00(); 
BGl_methodzd2initzd2zz__wav_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__wav_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__wav_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_cportz00_738;
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_stringz00_746;
BgL_stringz00_746 = BGl_string2022z00zz__wav_decoderz00; 
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_startz00_747;
BgL_startz00_747 = 
BINT(((long)0)); 
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_endz00_748;
BgL_endz00_748 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_746))); 
{ /* Llib/wav_decoder.scm 15 */

BgL_cportz00_738 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_746, BgL_startz00_747, BgL_endz00_748); } } } } 
{ 
 long BgL_iz00_739;
BgL_iz00_739 = ((long)22); 
BgL_loopz00_740:
if(
(BgL_iz00_739==((long)-1)))
{ /* Llib/wav_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_arg2024z00_742;
{ /* Llib/wav_decoder.scm 15 */

{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_locationz00_744;
BgL_locationz00_744 = 
BBOOL(((bool_t)0)); 
{ /* Llib/wav_decoder.scm 15 */

BgL_arg2024z00_742 = 
BGl_readz00zz__readerz00(BgL_cportz00_738, BgL_locationz00_744); } } } 
{ /* Llib/wav_decoder.scm 15 */
 int BgL_tmpz00_905;
BgL_tmpz00_905 = 
(int)(BgL_iz00_739); 
CNST_TABLE_SET(BgL_tmpz00_905, BgL_arg2024z00_742); } } 
{ /* Llib/wav_decoder.scm 15 */
 int BgL_auxz00_745;
BgL_auxz00_745 = 
(int)(
(BgL_iz00_739-((long)1))); 
{ 
 long BgL_iz00_910;
BgL_iz00_910 = 
(long)(BgL_auxz00_745); 
BgL_iz00_739 = BgL_iz00_910; 
goto BgL_loopz00_740;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1961z00zz__wav_decoderz00)); 
BGl_z42wavzd2statuszd2newzd2formatz90zz__wav_decoderz00 = ((long)1); 
BGl_z42wavzd2statuszd2donez42zz__wav_decoderz00 = ((long)2); 
BGl_z42wavzd2statuszd2needzd2morez90zz__wav_decoderz00 = ((long)3); 
BGl_z42wavzd2statuszd2okz42zz__wav_decoderz00 = ((long)4); 
return ( 
BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = BFALSE, BUNSPEC) ;} 

}



/* wav-debug */
int BGl_wavzd2debugzd2zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 37 */
if(
(((long)0)>((long)0)))
{ /* Llib/wav_decoder.scm 38 */
return 
bgl_debug();}  else 
{ /* Llib/wav_decoder.scm 38 */
return 
(int)(((long)0));} } 

}



/* wav-decode-status->symbol */
obj_t BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(obj_t BgL_statusz00_10)
{
{ /* Llib/wav_decoder.scm 82 */
if(
(((long)1)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 84 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/wav_decoder.scm 84 */
if(
(((long)2)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 85 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/wav_decoder.scm 85 */
if(
(((long)3)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 86 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/wav_decoder.scm 86 */
if(
(((long)4)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 87 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/wav_decoder.scm 87 */
return 
CNST_TABLE_REF(((long)4));} } } } } 

}



/* wav-decode */
obj_t BGl_wavzd2decodezd2zz__wav_decoderz00(BgL_wavmusicdecoderz00_bglt BgL_decz00_14, BgL_musicbufz00_bglt BgL_amz00_15, BgL_musicbufferz00_bglt BgL_bufferz00_16, int BgL_tailz00_17, int BgL_sz00_18)
{
{ /* Llib/wav_decoder.scm 267 */
if(
CBOOL(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52headerz52)))
{ /* Llib/wav_decoder.scm 288 */
 BgL_wavinfoz00_bglt BgL_i1125z00_40;
BgL_i1125z00_40 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52headerz52)); 
if(
(
(long)(BgL_sz00_18)<
(long)(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1125z00_40))->BgL_blockalignz00))))
{ /* Llib/wav_decoder.scm 290 */
{ /* Llib/wav_decoder.scm 291 */
 long BgL_arg1158z00_43; obj_t BgL_arg1159z00_44; int BgL_arg1162z00_45;
BgL_arg1158z00_43 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_bufferz00_16))->BgL_z52tailz52); 
BgL_arg1159z00_44 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_outbufz00); 
BgL_arg1162z00_45 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52); 
BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_bufferz00_16, 
(int)(BgL_arg1158z00_43), BgL_arg1159z00_44, BgL_arg1162z00_45, BgL_sz00_18); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52)=((int)
(int)(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52))+
(long)(BgL_sz00_18)))),BUNSPEC); 
return 
BINT(((long)3));}  else 
{ /* Llib/wav_decoder.scm 294 */
 bool_t BgL_test2096z00_958;
{ /* Llib/wav_decoder.scm 294 */
 long BgL_n1z00_501; long BgL_n2z00_502;
BgL_n1z00_501 = 
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52)); 
{ /* Llib/wav_decoder.scm 294 */
 long BgL_tmpz00_961;
BgL_tmpz00_961 = 
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1125z00_40))->BgL_chunksiza7eza7); 
BgL_n2z00_502 = 
(long)(BgL_tmpz00_961); } 
BgL_test2096z00_958 = 
(BgL_n1z00_501>=BgL_n2z00_502); } 
if(BgL_test2096z00_958)
{ /* Llib/wav_decoder.scm 294 */
return 
BINT(((long)2));}  else 
{ /* Llib/wav_decoder.scm 294 */
{ 
 int BgL_auxz00_966;
{ /* Llib/wav_decoder.scm 297 */
 long BgL_za71za7_505;
BgL_za71za7_505 = 
(long)(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1125z00_40))->BgL_blockalignz00)); 
BgL_auxz00_966 = 
(int)(
(BgL_za71za7_505*
(
(long)(BgL_sz00_18)/BgL_za71za7_505))); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5)=((int)BgL_auxz00_966),BUNSPEC); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52)=((int)
(int)(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52))+
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5))))),BUNSPEC); 
{ /* Llib/wav_decoder.scm 299 */
 long BgL_arg1182z00_55; obj_t BgL_arg1184z00_56; int BgL_arg1185z00_57; int BgL_arg1186z00_58;
BgL_arg1182z00_55 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_bufferz00_16))->BgL_z52tailz52); 
BgL_arg1184z00_56 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_outbufz00); 
BgL_arg1185z00_57 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52); 
BgL_arg1186z00_58 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5); 
BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_bufferz00_16, 
(int)(BgL_arg1182z00_55), BgL_arg1184z00_56, BgL_arg1185z00_57, BgL_arg1186z00_58); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
return 
BINT(((long)4));} } }  else 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_env1114z00_63;
BgL_env1114z00_63 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_cell1109z00_64;
BgL_cell1109z00_64 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_val1113z00_65;
BgL_val1113z00_65 = 
BGl_zc3z04exitza31198ze3ze70z60zz__wav_decoderz00(BgL_sz00_18, BgL_decz00_14, BgL_bufferz00_16, BgL_cell1109z00_64, BgL_env1114z00_63); 
if(
(BgL_val1113z00_65==BgL_cell1109z00_64))
{ /* Llib/wav_decoder.scm 271 */
{ /* Llib/wav_decoder.scm 271 */
 int BgL_tmpz00_995;
BgL_tmpz00_995 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_995); } 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1197z00_67;
BgL_arg1197z00_67 = 
CELL_REF(
((obj_t)BgL_val1113z00_65)); 
return 
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_15), BgL_arg1197z00_67);} }  else 
{ /* Llib/wav_decoder.scm 271 */
return BgL_val1113z00_65;} } } } } 

}



/* <@exit:1198>~0 */
obj_t BGl_zc3z04exitza31198ze3ze70z60zz__wav_decoderz00(int BgL_sz00_737, BgL_wavmusicdecoderz00_bglt BgL_i1105z00_736, BgL_musicbufferz00_bglt BgL_bufferz00_735, obj_t BgL_cell1109z00_734, obj_t BgL_env1114z00_733)
{
{ /* Llib/wav_decoder.scm 271 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1119z00_69;
if( SET_EXIT(BgL_an_exit1119z00_69 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1119z00_69 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1114z00_733, BgL_an_exit1119z00_69, ((long)1)); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_escape1110z00_70;
BgL_escape1110z00_70 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1114z00_733); 
{ /* Llib/wav_decoder.scm 271 */
 long BgL_res1122z00_71;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_ohs1106z00_72;
BgL_ohs1106z00_72 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1114z00_733); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_hds1107z00_73;
BgL_hds1107z00_73 = 
MAKE_STACK_PAIR(BgL_escape1110z00_70, BgL_cell1109z00_734); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1114z00_733, BgL_hds1107z00_73); BUNSPEC; 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_exitd1115z00_74;
BgL_exitd1115z00_74 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1114z00_733); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_tmp1117z00_75;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1214z00_88;
BgL_arg1214z00_88 = 
BGL_EXITD_PROTECT(BgL_exitd1115z00_74); 
BgL_tmp1117z00_75 = 
MAKE_YOUNG_PAIR(BgL_ohs1106z00_72, BgL_arg1214z00_88); } 
{ /* Llib/wav_decoder.scm 271 */

BGL_EXITD_PROTECT_SET(BgL_exitd1115z00_74, BgL_tmp1117z00_75); BUNSPEC; 
{ /* Llib/wav_decoder.scm 274 */
 long BgL_tmp1116z00_76;
{ /* Llib/wav_decoder.scm 274 */
 bool_t BgL_test2098z00_1013;
{ /* Llib/wav_decoder.scm 274 */
 long BgL_arg1213z00_87;
BgL_arg1213z00_87 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
{ /* Llib/wav_decoder.scm 274 */
 long BgL_n1z00_509; long BgL_n2z00_510;
BgL_n1z00_509 = 
(long)(BgL_sz00_737); 
BgL_n2z00_510 = 
(long)(BgL_arg1213z00_87); 
BgL_test2098z00_1013 = 
(BgL_n1z00_509<BgL_n2z00_510); } } 
if(BgL_test2098z00_1013)
{ /* Llib/wav_decoder.scm 274 */
BgL_tmp1116z00_76 = ((long)3); }  else 
{ /* Llib/wav_decoder.scm 276 */
 obj_t BgL_strz00_79;
{ /* Llib/wav_decoder.scm 277 */
 long BgL_arg1207z00_85;
{ /* Llib/wav_decoder.scm 277 */
 long BgL_tmpz00_1018;
BgL_tmpz00_1018 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
BgL_arg1207z00_85 = 
(long)(BgL_tmpz00_1018); } 
BgL_strz00_79 = 
BGl_musicbufferzd2substringzd2zz__multimediazd2musicbufzd2(BgL_bufferz00_735, 
(int)(((long)0)), 
(int)(BgL_arg1207z00_85)); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1105z00_736))->BgL_z52headerz52)=((obj_t)
BGl_wavzd2parsezd2headerz00zz__wav_wavz00(BgL_strz00_79)),BUNSPEC); 
{ /* Llib/wav_decoder.scm 279 */
 BgL_wavinfoz00_bglt BgL_i1118z00_80;
BgL_i1118z00_80 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1105z00_736))->BgL_z52headerz52)); 
if(
(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1118z00_80))->BgL_audiofmtz00)==
CNST_TABLE_REF(((long)5))))
{ /* Llib/wav_decoder.scm 280 */BFALSE; }  else 
{ /* Llib/wav_decoder.scm 280 */
BGl_errorz00zz__errorz00(BGl_string1962z00zz__wav_decoderz00, BGl_string1963z00zz__wav_decoderz00, 
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1118z00_80))->BgL_audiofmtz00)); } } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1105z00_736))->BgL_z52siza7ezf5)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1105z00_736))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1105z00_736))->BgL_z52positionz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_tmp1116z00_76 = ((long)1); } } 
{ /* Llib/wav_decoder.scm 271 */
 bool_t BgL_test2100z00_1040;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1817z00_513;
BgL_arg1817z00_513 = 
BGL_EXITD_PROTECT(BgL_exitd1115z00_74); 
BgL_test2100z00_1040 = 
PAIRP(BgL_arg1817z00_513); } 
if(BgL_test2100z00_1040)
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1815z00_514;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1816z00_515;
BgL_arg1816z00_515 = 
BGL_EXITD_PROTECT(BgL_exitd1115z00_74); 
BgL_arg1815z00_514 = 
CDR(
((obj_t)BgL_arg1816z00_515)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1115z00_74, BgL_arg1815z00_514); BUNSPEC; }  else 
{ /* Llib/wav_decoder.scm 271 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1114z00_733, BgL_ohs1106z00_72); BUNSPEC; 
BgL_res1122z00_71 = BgL_tmp1116z00_76; } } } } } } 
POP_ENV_EXIT(BgL_env1114z00_733); 
return 
BINT(BgL_res1122z00_71);} } 
}} 

}



/* debug-init! */
obj_t BGl_debugzd2initz12zc0zz__wav_decoderz00(obj_t BgL_urlz00_21)
{
{ /* Llib/wav_decoder.scm 317 */
{ /* Llib/wav_decoder.scm 318 */

BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BGl_string1964z00zz__wav_decoderz00, BTRUE); } 
{ /* Llib/wav_decoder.scm 319 */
 BGL_LONGLONG_T BgL_arg1218z00_94;
BgL_arg1218z00_94 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_list1219z00_95;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1221z00_96;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1224z00_97;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1225z00_98;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1226z00_99;
BgL_arg1226z00_99 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1225z00_98 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1218z00_94), BgL_arg1226z00_99); } 
BgL_arg1224z00_97 = 
MAKE_YOUNG_PAIR(BGl_string1966z00zz__wav_decoderz00, BgL_arg1225z00_98); } 
BgL_arg1221z00_96 = 
MAKE_YOUNG_PAIR(BgL_urlz00_21, BgL_arg1224z00_97); } 
BgL_list1219z00_95 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zz__wav_decoderz00, BgL_arg1221z00_96); } 
return 
BGl_debugz00zz__wav_decoderz00(BgL_list1219z00_95);} } } 

}



/* debug-stop! */
obj_t BGl_debugzd2stopz12zc0zz__wav_decoderz00(obj_t BgL_urlz00_22)
{
{ /* Llib/wav_decoder.scm 324 */
{ /* Llib/wav_decoder.scm 325 */
 BGL_LONGLONG_T BgL_arg1227z00_100;
BgL_arg1227z00_100 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_list1228z00_101;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1229z00_102;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1230z00_103;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1231z00_104;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1234z00_105;
BgL_arg1234z00_105 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1231z00_104 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1227z00_100), BgL_arg1234z00_105); } 
BgL_arg1230z00_103 = 
MAKE_YOUNG_PAIR(BGl_string1966z00zz__wav_decoderz00, BgL_arg1231z00_104); } 
BgL_arg1229z00_102 = 
MAKE_YOUNG_PAIR(BgL_urlz00_22, BgL_arg1230z00_103); } 
BgL_list1228z00_101 = 
MAKE_YOUNG_PAIR(BGl_string1968z00zz__wav_decoderz00, BgL_arg1229z00_102); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1228z00_101); } } 
return 
bgl_close_output_port(BGl_za2debugzd2portza2zd2zz__wav_decoderz00);} 

}



/* debug */
obj_t BGl_debugz00zz__wav_decoderz00(obj_t BgL_argsz00_23)
{
{ /* Llib/wav_decoder.scm 331 */
{ 
 obj_t BgL_l1128z00_107;
BgL_l1128z00_107 = BgL_argsz00_23; 
BgL_zc3z04anonymousza31235ze3z87_108:
if(
PAIRP(BgL_l1128z00_107))
{ /* Llib/wav_decoder.scm 332 */
{ /* Llib/wav_decoder.scm 332 */
 obj_t BgL_az00_110;
BgL_az00_110 = 
CAR(BgL_l1128z00_107); 
bgl_display_obj(BgL_az00_110, BGl_za2debugzd2portza2zd2zz__wav_decoderz00); } 
{ 
 obj_t BgL_l1128z00_1072;
BgL_l1128z00_1072 = 
CDR(BgL_l1128z00_107); 
BgL_l1128z00_107 = BgL_l1128z00_1072; 
goto BgL_zc3z04anonymousza31235ze3z87_108;} }  else 
{ /* Llib/wav_decoder.scm 332 */((bool_t)1); } } 
return 
bgl_flush_output_port(BGl_za2debugzd2portza2zd2zz__wav_decoderz00);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1251z00_116; obj_t BgL_arg1252z00_117;
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_v1130z00_143;
BgL_v1130z00_143 = 
create_vector(((long)5)); 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1267z00_144;
BgL_arg1267z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1971z00zz__wav_decoderz00, BGl_proc1970z00zz__wav_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1969z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1130z00_143,((long)0),BgL_arg1267z00_144); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1279z00_159;
BgL_arg1279z00_159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1974z00zz__wav_decoderz00, BGl_proc1973z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1972z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1130z00_143,((long)1),BgL_arg1279z00_159); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1291z00_172;
BgL_arg1291z00_172 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc1977z00zz__wav_decoderz00, BGl_proc1976z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1975z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)11))); 
VECTOR_SET(BgL_v1130z00_143,((long)2),BgL_arg1291z00_172); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1338z00_185;
BgL_arg1338z00_185 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1980z00zz__wav_decoderz00, BGl_proc1979z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1978z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)11))); 
VECTOR_SET(BgL_v1130z00_143,((long)3),BgL_arg1338z00_185); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1345z00_198;
BgL_arg1345z00_198 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1983z00zz__wav_decoderz00, BGl_proc1982z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1981z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)11))); 
VECTOR_SET(BgL_v1130z00_143,((long)4),BgL_arg1345z00_198); } 
BgL_arg1251z00_116 = BgL_v1130z00_143; } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_v1131z00_211;
BgL_v1131z00_211 = 
create_vector(((long)0)); 
BgL_arg1252z00_117 = BgL_v1131z00_211; } 
return ( 
BGl_wavmusicdecoderz00zz__wav_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)15)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, ((long)3767), BGl_proc1986z00zz__wav_decoderz00, BGl_proc1985z00zz__wav_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1984z00zz__wav_decoderz00, BFALSE, BgL_arg1251z00_116, BgL_arg1252z00_117), BUNSPEC) ;} } 

}



/* &<@anonymous:1265> */
obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_631, obj_t BgL_new1091z00_632)
{
{ /* Llib/wav_decoder.scm 21 */
{ 
 BgL_wavmusicdecoderz00_bglt BgL_auxz00_1100;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632)))->BgL_outbufz00)=((obj_t)BGl_string1987z00zz__wav_decoderz00),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632)))->BgL_z52headerz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632)))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632)))->BgL_z52siza7ezf5)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632)))->BgL_z52positionz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1100 = 
((BgL_wavmusicdecoderz00_bglt)BgL_new1091z00_632); 
return 
((obj_t)BgL_auxz00_1100);} } 

}



/* &lambda1263 */
BgL_wavmusicdecoderz00_bglt BGl_z62lambda1263z62zz__wav_decoderz00(obj_t BgL_envz00_633)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1090z00_751;
BgL_new1090z00_751 = 
((BgL_wavmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavmusicdecoderz00_bgl) ))); 
{ /* Llib/wav_decoder.scm 21 */
 long BgL_arg1264z00_752;
BgL_arg1264z00_752 = 
BGL_CLASS_NUM(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_751), BgL_arg1264z00_752); } 
return BgL_new1090z00_751;} } 

}



/* &lambda1253 */
BgL_wavmusicdecoderz00_bglt BGl_z62lambda1253z62zz__wav_decoderz00(obj_t BgL_envz00_634, obj_t BgL_mimetypes1075z00_635, obj_t BgL_bufferzd2timezd2near1076z00_636, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1077z75_637, obj_t BgL_periodzd2siza7ezd2nearzd2rat1078z75_638, obj_t BgL_z52z12dpause1079z40_639, obj_t BgL_z52z12dabort1080z40_640, obj_t BgL_z52z12stop1081z40_641, obj_t BgL_z52dmutex1082z52_642, obj_t BgL_z52dcondv1083z52_643, obj_t BgL_z52doutcondv1084z52_644, obj_t BgL_outbuf1085z00_645, obj_t BgL_z52header1086z52_646, obj_t BgL_z52cursor1087z52_647, obj_t BgL_z52siza7e1088zf5_648, obj_t BgL_z52position1089z52_649)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_bufferzd2timezd2near1076z00_754; int BgL_bufferzd2siza7ezd2nearzd2rat1077z75_755; int BgL_periodzd2siza7ezd2nearzd2rat1078z75_756; bool_t BgL_z52z12dpause1079z40_757; bool_t BgL_z52z12dabort1080z40_758; bool_t BgL_z52z12stop1081z40_759; int BgL_z52cursor1087z52_764; int BgL_z52siza7e1088zf5_765; int BgL_z52position1089z52_766;
BgL_bufferzd2timezd2near1076z00_754 = 
CINT(BgL_bufferzd2timezd2near1076z00_636); 
BgL_bufferzd2siza7ezd2nearzd2rat1077z75_755 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1077z75_637); 
BgL_periodzd2siza7ezd2nearzd2rat1078z75_756 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1078z75_638); 
BgL_z52z12dpause1079z40_757 = 
CBOOL(BgL_z52z12dpause1079z40_639); 
BgL_z52z12dabort1080z40_758 = 
CBOOL(BgL_z52z12dabort1080z40_640); 
BgL_z52z12stop1081z40_759 = 
CBOOL(BgL_z52z12stop1081z40_641); 
BgL_z52cursor1087z52_764 = 
CINT(BgL_z52cursor1087z52_647); 
BgL_z52siza7e1088zf5_765 = 
CINT(BgL_z52siza7e1088zf5_648); 
BgL_z52position1089z52_766 = 
CINT(BgL_z52position1089z52_649); 
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1127z00_767;
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1126z00_768;
BgL_new1126z00_768 = 
((BgL_wavmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavmusicdecoderz00_bgl) ))); 
{ /* Llib/wav_decoder.scm 21 */
 long BgL_arg1262z00_769;
BgL_arg1262z00_769 = 
BGL_CLASS_NUM(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_768), BgL_arg1262z00_769); } 
BgL_new1127z00_767 = BgL_new1126z00_768; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1075z00_635)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1076z00_754),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1077z75_755),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1078z75_756),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1079z40_757),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1080z40_758),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1081z40_759),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1082z52_642)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1083z52_643)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1127z00_767)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1084z52_644)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1127z00_767))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1085z00_645)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1127z00_767))->BgL_z52headerz52)=((obj_t)BgL_z52header1086z52_646),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1127z00_767))->BgL_z52cursorz52)=((int)BgL_z52cursor1087z52_764),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1127z00_767))->BgL_z52siza7ezf5)=((int)BgL_z52siza7e1088zf5_765),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1127z00_767))->BgL_z52positionz52)=((int)BgL_z52position1089z52_766),BUNSPEC); 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_fun1254z00_770;
BgL_fun1254z00_770 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
PROCEDURE_ENTRY(BgL_fun1254z00_770)(BgL_fun1254z00_770, 
((obj_t)BgL_new1127z00_767), BEOA); } 
return BgL_new1127z00_767;} } } 

}



/* &<@anonymous:1357> */
obj_t BGl_z62zc3z04anonymousza31357ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_650)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1356 */
obj_t BGl_z62lambda1356z62zz__wav_decoderz00(obj_t BgL_envz00_651, obj_t BgL_oz00_652, obj_t BgL_vz00_653)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_772;
BgL_vz00_772 = 
CINT(BgL_vz00_653); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_652)))->BgL_z52positionz52)=((int)BgL_vz00_772),BUNSPEC);} } 

}



/* &lambda1355 */
obj_t BGl_z62lambda1355z62zz__wav_decoderz00(obj_t BgL_envz00_654, obj_t BgL_oz00_655)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_655)))->BgL_z52positionz52));} 

}



/* &<@anonymous:1344> */
obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_656)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1343 */
obj_t BGl_z62lambda1343z62zz__wav_decoderz00(obj_t BgL_envz00_657, obj_t BgL_oz00_658, obj_t BgL_vz00_659)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_775;
BgL_vz00_775 = 
CINT(BgL_vz00_659); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_658)))->BgL_z52siza7ezf5)=((int)BgL_vz00_775),BUNSPEC);} } 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__wav_decoderz00(obj_t BgL_envz00_660, obj_t BgL_oz00_661)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_661)))->BgL_z52siza7ezf5));} 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_662)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1335 */
obj_t BGl_z62lambda1335z62zz__wav_decoderz00(obj_t BgL_envz00_663, obj_t BgL_oz00_664, obj_t BgL_vz00_665)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_778;
BgL_vz00_778 = 
CINT(BgL_vz00_665); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_664)))->BgL_z52cursorz52)=((int)BgL_vz00_778),BUNSPEC);} } 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__wav_decoderz00(obj_t BgL_envz00_666, obj_t BgL_oz00_667)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_667)))->BgL_z52cursorz52));} 

}



/* &<@anonymous:1289> */
obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_668)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__wav_decoderz00(obj_t BgL_envz00_669, obj_t BgL_oz00_670, obj_t BgL_vz00_671)
{
{ /* Llib/wav_decoder.scm 21 */
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_670)))->BgL_z52headerz52)=((obj_t)BgL_vz00_671),BUNSPEC);} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__wav_decoderz00(obj_t BgL_envz00_672, obj_t BgL_oz00_673)
{
{ /* Llib/wav_decoder.scm 21 */
return 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_673)))->BgL_z52headerz52);} 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_674)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 22 */

return 
make_string(((long)2048), ((unsigned char)' '));} } 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__wav_decoderz00(obj_t BgL_envz00_675, obj_t BgL_oz00_676, obj_t BgL_vz00_677)
{
{ /* Llib/wav_decoder.scm 21 */
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_676)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_677)),BUNSPEC);} 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__wav_decoderz00(obj_t BgL_envz00_678, obj_t BgL_oz00_679)
{
{ /* Llib/wav_decoder.scm 21 */
return 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_679)))->BgL_outbufz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1988z00zz__wav_decoderz00, BGl_string1989z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1990z00zz__wav_decoderz00, BGl_string1991z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1992z00zz__wav_decoderz00, BGl_string1993z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1994z00zz__wav_decoderz00, BGl_string1995z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1996z00zz__wav_decoderz00, BGl_string1997z00zz__wav_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1998z00zz__wav_decoderz00, BGl_string1999z00zz__wav_decoderz00);} 

}



/* &musicdecoder-volume-1143 */
obj_t BGl_z62musicdecoderzd2volumezd21143z62zz__wav_decoderz00(obj_t BgL_envz00_690, obj_t BgL_decz00_691, obj_t BgL_volz00_692)
{
{ /* Llib/wav_decoder.scm 306 */
return BFALSE;} 

}



/* &musicdecoder-decode-1141 */
obj_t BGl_z62musicdecoderzd2decodezd21141z62zz__wav_decoderz00(obj_t BgL_envz00_693, obj_t BgL_decz00_694, obj_t BgL_amz00_695, obj_t BgL_bufferz00_696)
{
{ /* Llib/wav_decoder.scm 93 */
{ /* Llib/wav_decoder.scm 99 */
struct bgl_cell BgL_box2102_789z00; 
 obj_t BgL_haszd2beenzd2emptyzd2oncezd2_789;
BgL_haszd2beenzd2emptyzd2oncezd2_789 = 
MAKE_CELL_STACK(BFALSE,BgL_box2102_789z00); 
{ /* Llib/wav_decoder.scm 99 */
 long BgL_inlenz00_790;
BgL_inlenz00_790 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52inlenz52); 
{ /* Llib/wav_decoder.scm 107 */
 long BgL_outlenz00_791;
BgL_outlenz00_791 = 
STRING_LENGTH(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)))->BgL_outbufz00)); 
{ 

{ /* Llib/wav_decoder.scm 169 */
 bool_t BgL_test2103z00_1248;
{ /* Llib/wav_decoder.scm 169 */
 int BgL_arg1364z00_793;
BgL_arg1364z00_793 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2103z00_1248 = 
(
(long)(BgL_arg1364z00_793)>((long)0)); } 
if(BgL_test2103z00_1248)
{ /* Llib/wav_decoder.scm 169 */
BGl_debugzd2initz12zc0zz__wav_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_urlz00)); }  else 
{ /* Llib/wav_decoder.scm 169 */BFALSE; } } 
{ 

BgL_loopz00_794:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52z12dpausez40))
{ /* Llib/wav_decoder.scm 173 */
{ /* Llib/wav_decoder.scm 175 */
 BgL_musicstatusz00_bglt BgL_i1101z00_795;
BgL_i1101z00_795 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1101z00_795))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)16))); 
{ /* Llib/wav_decoder.scm 178 */
 obj_t BgL_mutex1370z00_796;
BgL_mutex1370z00_796 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1370z00_796); 
{ /* Llib/wav_decoder.scm 178 */
 bool_t BgL_tmp2105z00_1275;
{ 

BgL_liipz00_797:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52z12dpausez40))
{ /* Llib/wav_decoder.scm 180 */
{ /* Llib/wav_decoder.scm 181 */
 obj_t BgL_arg1377z00_798; obj_t BgL_arg1378z00_799;
BgL_arg1377z00_798 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52dcondvz52); 
BgL_arg1378z00_799 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52dmutexz52); 
{ /* Llib/wav_decoder.scm 181 */

BGL_CONDVAR_WAIT(BgL_arg1377z00_798, BgL_arg1378z00_799); } } 
goto BgL_liipz00_797;}  else 
{ /* Llib/wav_decoder.scm 180 */
BgL_tmp2105z00_1275 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1370z00_796); BgL_tmp2105z00_1275; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)17))); 
goto BgL_loopz00_794;}  else 
{ /* Llib/wav_decoder.scm 173 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52z12dabortz40))
{ /* Llib/wav_decoder.scm 185 */
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Llib/wav_decoder.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52emptyz52))
{ /* Llib/wav_decoder.scm 188 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 190 */
{ /* Llib/wav_decoder.scm 192 */
 bool_t BgL_test2110z00_1307;
{ /* Llib/wav_decoder.scm 192 */
 int BgL_arg1541z00_800;
BgL_arg1541z00_800 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2110z00_1307 = 
(
(long)(BgL_arg1541z00_800)>=((long)2)); } 
if(BgL_test2110z00_1307)
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1455z00_801;
BgL_arg1455z00_801 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_urlz00); 
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_list1456z00_802;
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1535z00_803;
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1536z00_804;
BgL_arg1536z00_804 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1535z00_803 = 
MAKE_YOUNG_PAIR(BgL_arg1455z00_801, BgL_arg1536z00_804); } 
BgL_list1456z00_802 = 
MAKE_YOUNG_PAIR(BGl_string2000z00zz__wav_decoderz00, BgL_arg1535z00_803); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1456z00_802); } }  else 
{ /* Llib/wav_decoder.scm 192 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)19))); }  else 
{ /* Llib/wav_decoder.scm 190 */
{ /* Llib/wav_decoder.scm 196 */
 bool_t BgL_test2111z00_1321;
{ /* Llib/wav_decoder.scm 196 */
 int BgL_arg1576z00_805;
BgL_arg1576z00_805 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2111z00_1321 = 
(
(long)(BgL_arg1576z00_805)>=((long)1)); } 
if(BgL_test2111z00_1321)
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1563z00_806; BGL_LONGLONG_T BgL_arg1564z00_807;
BgL_arg1563z00_806 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_urlz00); 
BgL_arg1564z00_807 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_list1565z00_808;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1572z00_809;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1573z00_810;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1574z00_811;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1575z00_812;
BgL_arg1575z00_812 = 
MAKE_YOUNG_PAIR(BGl_string2001z00zz__wav_decoderz00, BNIL); 
BgL_arg1574z00_811 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1564z00_807), BgL_arg1575z00_812); } 
BgL_arg1573z00_810 = 
MAKE_YOUNG_PAIR(BGl_string1966z00zz__wav_decoderz00, BgL_arg1574z00_811); } 
BgL_arg1572z00_809 = 
MAKE_YOUNG_PAIR(BgL_arg1563z00_806, BgL_arg1573z00_810); } 
BgL_list1565z00_808 = 
MAKE_YOUNG_PAIR(BGl_string2002z00zz__wav_decoderz00, BgL_arg1572z00_809); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1565z00_808); } }  else 
{ /* Llib/wav_decoder.scm 196 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 200 */
 BgL_musicstatusz00_bglt BgL_i1103z00_813;
BgL_i1103z00_813 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_813))->BgL_bufferingz00)=((int)
(int)(
BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(BgL_inlenz00_790, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)20))); 
{ /* Llib/wav_decoder.scm 204 */
 obj_t BgL_mutex1577z00_814;
BgL_mutex1577z00_814 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52bmutexz52); 
{ /* Llib/wav_decoder.scm 204 */
 obj_t BgL_top2113z00_1349;
BgL_top2113z00_1349 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1577z00_814); 
BGL_EXITD_PUSH_PROTECT(BgL_top2113z00_1349, BgL_mutex1577z00_814); BUNSPEC; 
{ /* Llib/wav_decoder.scm 204 */
 bool_t BgL_tmp2112z00_1348;
{ /* Llib/wav_decoder.scm 206 */
 bool_t BgL_test2114z00_1353;
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52emptyz52))
{ /* Llib/wav_decoder.scm 206 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 206 */
BgL_test2114z00_1353 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 206 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_z52z12dabortz40))
{ /* Llib/wav_decoder.scm 206 */
BgL_test2114z00_1353 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 206 */
BgL_test2114z00_1353 = 
(
(((long)8)*
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))>BgL_inlenz00_790)
; } } }  else 
{ /* Llib/wav_decoder.scm 206 */
BgL_test2114z00_1353 = ((bool_t)1)
; } 
if(BgL_test2114z00_1353)
{ /* Llib/wav_decoder.scm 206 */
BgL_tmp2112z00_1348 = ((bool_t)0); }  else 
{ /* Llib/wav_decoder.scm 210 */
 obj_t BgL_arg1590z00_815; obj_t BgL_arg1591z00_816;
BgL_arg1590z00_815 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52bcondvz52); 
BgL_arg1591z00_816 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52bmutexz52); 
{ /* Llib/wav_decoder.scm 210 */

BgL_tmp2112z00_1348 = 
BGL_CONDVAR_WAIT(BgL_arg1590z00_815, BgL_arg1591z00_816); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2113z00_1349); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1577z00_814); BgL_tmp2112z00_1348; } } } 
{ /* Llib/wav_decoder.scm 211 */
 bool_t BgL_test2118z00_1375;
{ /* Llib/wav_decoder.scm 211 */
 int BgL_arg1612z00_817;
BgL_arg1612z00_817 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2118z00_1375 = 
(
(long)(BgL_arg1612z00_817)>=((long)1)); } 
if(BgL_test2118z00_1375)
{ /* Llib/wav_decoder.scm 212 */
 BGL_LONGLONG_T BgL_arg1609z00_818;
BgL_arg1609z00_818 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 212 */
 obj_t BgL_list1610z00_819;
{ /* Llib/wav_decoder.scm 212 */
 obj_t BgL_arg1611z00_820;
BgL_arg1611z00_820 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_list1610z00_819 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1609z00_818), BgL_arg1611z00_820); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1610z00_819); } }  else 
{ /* Llib/wav_decoder.scm 211 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)17))); 
goto BgL_loopz00_794;} }  else 
{ /* Llib/wav_decoder.scm 217 */
 long BgL_sz00_821;
{ /* Llib/wav_decoder.scm 217 */
 long BgL_bz00_822;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52tailz52)))
{ /* Llib/wav_decoder.scm 218 */
BgL_bz00_822 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52tailz52)); }  else 
{ /* Llib/wav_decoder.scm 218 */
BgL_bz00_822 = 
(BgL_inlenz00_790-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52tailz52)); } 
if(
(BgL_outlenz00_791<BgL_bz00_822))
{ /* Llib/wav_decoder.scm 218 */
BgL_sz00_821 = BgL_outlenz00_791; }  else 
{ /* Llib/wav_decoder.scm 218 */
BgL_sz00_821 = BgL_bz00_822; } } 
if(
(BgL_sz00_821==((long)0)))
{ /* Llib/wav_decoder.scm 221 */
goto BgL_loopz00_794;}  else 
{ /* Llib/wav_decoder.scm 223 */
 obj_t BgL_statusz00_823;
{ /* Llib/wav_decoder.scm 223 */
 long BgL_arg1756z00_824;
BgL_arg1756z00_824 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52tailz52); 
BgL_statusz00_823 = 
BGl_wavzd2decodezd2zz__wav_decoderz00(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694), 
((BgL_musicbufz00_bglt)BgL_amz00_695), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_696), 
(int)(BgL_arg1756z00_824), 
(int)(BgL_sz00_821)); } 
{ /* Llib/wav_decoder.scm 224 */
 bool_t BgL_test2122z00_1414;
{ /* Llib/wav_decoder.scm 224 */
 int BgL_arg1677z00_825;
BgL_arg1677z00_825 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2122z00_1414 = 
(
(long)(BgL_arg1677z00_825)>=((long)4)); } 
if(BgL_test2122z00_1414)
{ /* Llib/wav_decoder.scm 225 */
 long BgL_arg1624z00_826; long BgL_arg1642z00_827; obj_t BgL_arg1643z00_828;
BgL_arg1624z00_826 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52tailz52); 
BgL_arg1642z00_827 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52headz52); 
BgL_arg1643z00_828 = 
BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(BgL_statusz00_823); 
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_list1644z00_829;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1651z00_830;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1653z00_831;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1654z00_832;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1657z00_833;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1664z00_834;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1672z00_835;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1673z00_836;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1674z00_837;
BgL_arg1674z00_837 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1673z00_836 = 
MAKE_YOUNG_PAIR(BgL_arg1643z00_828, BgL_arg1674z00_837); } 
BgL_arg1672z00_835 = 
MAKE_YOUNG_PAIR(BGl_string2003z00zz__wav_decoderz00, BgL_arg1673z00_836); } 
BgL_arg1664z00_834 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1642z00_827), BgL_arg1672z00_835); } 
BgL_arg1657z00_833 = 
MAKE_YOUNG_PAIR(BGl_string2004z00zz__wav_decoderz00, BgL_arg1664z00_834); } 
BgL_arg1654z00_832 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1624z00_826), BgL_arg1657z00_833); } 
BgL_arg1653z00_831 = 
MAKE_YOUNG_PAIR(BGl_string2005z00zz__wav_decoderz00, BgL_arg1654z00_832); } 
BgL_arg1651z00_830 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_821), BgL_arg1653z00_831); } 
BgL_list1644z00_829 = 
MAKE_YOUNG_PAIR(BGl_string2006z00zz__wav_decoderz00, BgL_arg1651z00_830); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1644z00_829); } }  else 
{ /* Llib/wav_decoder.scm 224 */BFALSE; } } 
if(
(
(long)CINT(BgL_statusz00_823)==((long)4)))
{ /* Llib/wav_decoder.scm 231 */
{ /* Llib/wav_decoder.scm 233 */
 bool_t BgL_test2124z00_1439;
{ /* Llib/wav_decoder.scm 233 */
 int BgL_arg1706z00_838;
BgL_arg1706z00_838 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2124z00_1439 = 
(
(long)(BgL_arg1706z00_838)>=((long)5)); } 
if(BgL_test2124z00_1439)
{ /* Llib/wav_decoder.scm 234 */
 int BgL_arg1688z00_839;
BgL_arg1688z00_839 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)))->BgL_z52siza7ezf5); 
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_list1689z00_840;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1691z00_841;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1692z00_842;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1701z00_843;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1704z00_844;
BgL_arg1704z00_844 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1701z00_843 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1688z00_839), BgL_arg1704z00_844); } 
BgL_arg1692z00_842 = 
MAKE_YOUNG_PAIR(BGl_string2007z00zz__wav_decoderz00, BgL_arg1701z00_843); } 
BgL_arg1691z00_841 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_821), BgL_arg1692z00_842); } 
BgL_list1689z00_840 = 
MAKE_YOUNG_PAIR(BGl_string2008z00zz__wav_decoderz00, BgL_arg1691z00_841); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1689z00_840); } }  else 
{ /* Llib/wav_decoder.scm 233 */BFALSE; } } 
BGl_flushze70ze7zz__wav_decoderz00(
((BgL_musicbufz00_bglt)BgL_amz00_695), 
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694), 
(int)(BgL_sz00_821)); 
BGl_inczd2tailz12ze70z27zz__wav_decoderz00(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696), BgL_inlenz00_790, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_696), BgL_haszd2beenzd2emptyzd2oncezd2_789, BgL_sz00_821); 
goto BgL_loopz00_794;}  else 
{ /* Llib/wav_decoder.scm 231 */
if(
(
(long)CINT(BgL_statusz00_823)==((long)3)))
{ /* Llib/wav_decoder.scm 239 */
{ /* Llib/wav_decoder.scm 241 */
 bool_t BgL_test2126z00_1463;
{ /* Llib/wav_decoder.scm 241 */
 int BgL_arg1741z00_845;
BgL_arg1741z00_845 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2126z00_1463 = 
(
(long)(BgL_arg1741z00_845)>=((long)5)); } 
if(BgL_test2126z00_1463)
{ /* Llib/wav_decoder.scm 242 */
 int BgL_arg1712z00_846; bool_t BgL_arg1725z00_847; long BgL_arg1726z00_848;
BgL_arg1712z00_846 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)))->BgL_z52siza7ezf5); 
BgL_arg1725z00_847 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52emptyz52); 
BgL_arg1726z00_848 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_z52tailz52); 
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_list1727z00_849;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1728z00_850;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1729z00_851;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1730z00_852;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1731z00_853;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1732z00_854;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1733z00_855;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1739z00_856;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1740z00_857;
BgL_arg1740z00_857 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1739z00_856 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1726z00_848), BgL_arg1740z00_857); } 
BgL_arg1733z00_855 = 
MAKE_YOUNG_PAIR(BGl_string2009z00zz__wav_decoderz00, BgL_arg1739z00_856); } 
BgL_arg1732z00_854 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1725z00_847), BgL_arg1733z00_855); } 
BgL_arg1731z00_853 = 
MAKE_YOUNG_PAIR(BGl_string2010z00zz__wav_decoderz00, BgL_arg1732z00_854); } 
BgL_arg1730z00_852 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1712z00_846), BgL_arg1731z00_853); } 
BgL_arg1729z00_851 = 
MAKE_YOUNG_PAIR(BGl_string2007z00zz__wav_decoderz00, BgL_arg1730z00_852); } 
BgL_arg1728z00_850 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_821), BgL_arg1729z00_851); } 
BgL_list1727z00_849 = 
MAKE_YOUNG_PAIR(BGl_string2011z00zz__wav_decoderz00, BgL_arg1728z00_850); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1727z00_849); } }  else 
{ /* Llib/wav_decoder.scm 241 */BFALSE; } } 
goto BgL_loopz00_794;}  else 
{ /* Llib/wav_decoder.scm 239 */
if(
(
(long)CINT(BgL_statusz00_823)==((long)1)))
{ /* Llib/wav_decoder.scm 246 */
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)), 
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)); 
{ /* Llib/wav_decoder.scm 249 */
 long BgL_arg1744z00_858;
{ /* Llib/wav_decoder.scm 249 */
 long BgL_tmpz00_1496;
BgL_tmpz00_1496 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
BgL_arg1744z00_858 = 
(long)(BgL_tmpz00_1496); } 
BGl_inczd2tailz12ze70z27zz__wav_decoderz00(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696), BgL_inlenz00_790, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_696), BgL_haszd2beenzd2emptyzd2oncezd2_789, BgL_arg1744z00_858); } 
goto BgL_loopz00_794;}  else 
{ /* Llib/wav_decoder.scm 246 */
if(
(
(long)CINT(BgL_statusz00_823)==((long)2)))
{ /* Llib/wav_decoder.scm 251 */
if(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)))->BgL_z52siza7ezf5))>((long)0)))
{ /* Llib/wav_decoder.scm 253 */
BGl_flushze70ze7zz__wav_decoderz00(
((BgL_musicbufz00_bglt)BgL_amz00_695), 
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694), 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694)))->BgL_z52siza7ezf5)); }  else 
{ /* Llib/wav_decoder.scm 253 */((bool_t)0); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), 
CNST_TABLE_REF(((long)19))); }  else 
{ /* Llib/wav_decoder.scm 251 */
{ /* Llib/wav_decoder.scm 257 */
 BgL_musicstatusz00_bglt BgL_i1104z00_859;
BgL_i1104z00_859 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1104z00_859))->BgL_errz00)=((obj_t)BGl_string2012z00zz__wav_decoderz00),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1104z00_859))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)21))),BUNSPEC); } 
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_695)), BGl_string2012z00zz__wav_decoderz00); } } } } } } } } } 
{ /* Llib/wav_decoder.scm 261 */
 bool_t BgL_test2130z00_1528;
{ /* Llib/wav_decoder.scm 261 */
 int BgL_arg1809z00_860;
BgL_arg1809z00_860 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2130z00_1528 = 
(
(long)(BgL_arg1809z00_860)>((long)0)); } 
if(BgL_test2130z00_1528)
{ /* Llib/wav_decoder.scm 261 */
return 
BGl_debugzd2stopz12zc0zz__wav_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_696)))->BgL_urlz00));}  else 
{ /* Llib/wav_decoder.scm 261 */
return BFALSE;} } } } } } } 

}



/* flush~0 */
bool_t BGl_flushze70ze7zz__wav_decoderz00(BgL_musicbufz00_bglt BgL_amz00_723, BgL_wavmusicdecoderz00_bglt BgL_i1099z00_722, int BgL_sza7za7_474)
{
{ /* Llib/wav_decoder.scm 167 */
BGl_flushze70ze7zz__wav_decoderz00:
if(
(
(long)(BgL_sza7za7_474)>((long)0)))
{ /* Llib/wav_decoder.scm 167 */
 long BgL_arg1888z00_477;
{ /* Llib/wav_decoder.scm 167 */
 obj_t BgL_arg1889z00_478;
BgL_arg1889z00_478 = 
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_amz00_723, 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1099z00_722))->BgL_outbufz00), 
(long)(BgL_sza7za7_474)); 
BgL_arg1888z00_477 = 
(
(long)(BgL_sza7za7_474)-
(long)CINT(BgL_arg1889z00_478)); } 
{ 
 int BgL_sza7za7_1544;
BgL_sza7za7_1544 = 
(int)(BgL_arg1888z00_477); 
BgL_sza7za7_474 = BgL_sza7za7_1544; 
goto BGl_flushze70ze7zz__wav_decoderz00;} }  else 
{ /* Llib/wav_decoder.scm 166 */
return ((bool_t)0);} } 

}



/* inc-tail!~0 */
obj_t BGl_inczd2tailz12ze70z27zz__wav_decoderz00(BgL_musicbufferz00_bglt BgL_i1100z00_727, long BgL_inlenz00_726, BgL_musicbufferz00_bglt BgL_bufferz00_725, obj_t BgL_haszd2beenzd2emptyzd2oncezd2_724, long BgL_siza7eza7_443)
{
{ /* Llib/wav_decoder.scm 152 */
{ 

{ /* Llib/wav_decoder.scm 145 */
 long BgL_ntailz00_445;
BgL_ntailz00_445 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52tailz52)+BgL_siza7eza7_443); 
if(
(BgL_ntailz00_445==BgL_inlenz00_726))
{ /* Llib/wav_decoder.scm 146 */
BgL_ntailz00_445 = ((long)0); }  else 
{ /* Llib/wav_decoder.scm 146 */BFALSE; } 
if(
(BgL_ntailz00_445==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52headz52)))
{ /* Llib/wav_decoder.scm 149 */
{ /* Llib/wav_decoder.scm 150 */
 obj_t BgL_auxz00_728;
BgL_auxz00_728 = BTRUE; 
CELL_SET(BgL_haszd2beenzd2emptyzd2oncezd2_724, BgL_auxz00_728); } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/wav_decoder.scm 149 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52tailz52)=((long)BgL_ntailz00_445),BUNSPEC); } 
{ /* Llib/wav_decoder.scm 128 */
 bool_t BgL_test2134z00_1555;
{ /* Llib/wav_decoder.scm 128 */
 int BgL_arg1858z00_442;
BgL_arg1858z00_442 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2134z00_1555 = 
(
(long)(BgL_arg1858z00_442)>=((long)3)); } 
if(BgL_test2134z00_1555)
{ /* Llib/wav_decoder.scm 129 */
 long BgL_pz00_403;
BgL_pz00_403 = 
BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(BgL_inlenz00_726, BgL_bufferz00_725); 
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2135z00_1560;
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2136z00_1561;
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2137z00_1562;
if(
(BgL_pz00_403<((long)75)))
{ /* Llib/wav_decoder.scm 130 */
BgL_test2137z00_1562 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 130 */
BgL_test2137z00_1562 = 
CBOOL(
CELL_REF(BgL_haszd2beenzd2emptyzd2oncezd2_724))
; } 
if(BgL_test2137z00_1562)
{ /* Llib/wav_decoder.scm 130 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 131 */
BgL_test2136z00_1561 = ((bool_t)0)
; }  else 
{ /* Llib/wav_decoder.scm 131 */
BgL_test2136z00_1561 = ((bool_t)1)
; } }  else 
{ /* Llib/wav_decoder.scm 130 */
BgL_test2136z00_1561 = ((bool_t)0)
; } } 
if(BgL_test2136z00_1561)
{ /* Llib/wav_decoder.scm 130 */
BgL_test2135z00_1560 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 132 */
 int BgL_arg1857z00_437;
BgL_arg1857z00_437 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2135z00_1560 = 
(
(long)(BgL_arg1857z00_437)>=((long)4)); } } 
if(BgL_test2135z00_1560)
{ /* Llib/wav_decoder.scm 135 */
 obj_t BgL_arg1841z00_418; obj_t BgL_arg1842z00_419; obj_t BgL_arg1843z00_420;
if(
(BgL_pz00_403>=((long)80)))
{ /* Llib/wav_decoder.scm 135 */
BgL_arg1841z00_418 = BGl_string1987z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 135 */
if(
(BgL_pz00_403>((long)25)))
{ /* Llib/wav_decoder.scm 136 */
BgL_arg1841z00_418 = BGl_string2013z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 136 */
BgL_arg1841z00_418 = BGl_string2014z00zz__wav_decoderz00; } } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 140 */
BgL_arg1842z00_419 = BGl_string2015z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 140 */
BgL_arg1842z00_419 = BGl_string1987z00zz__wav_decoderz00; } 
BgL_arg1843z00_420 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_urlz00); 
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_list1844z00_421;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1845z00_422;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1846z00_423;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1847z00_424;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1848z00_425;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1849z00_426;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1850z00_427;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1851z00_428;
BgL_arg1851z00_428 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_arg1850z00_427 = 
MAKE_YOUNG_PAIR(BgL_arg1843z00_420, BgL_arg1851z00_428); } 
BgL_arg1849z00_426 = 
MAKE_YOUNG_PAIR(BGl_string2016z00zz__wav_decoderz00, BgL_arg1850z00_427); } 
BgL_arg1848z00_425 = 
MAKE_YOUNG_PAIR(BgL_arg1842z00_419, BgL_arg1849z00_426); } 
BgL_arg1847z00_424 = 
MAKE_YOUNG_PAIR(BGl_string2017z00zz__wav_decoderz00, BgL_arg1848z00_425); } 
BgL_arg1846z00_423 = 
MAKE_YOUNG_PAIR(
BINT(BgL_pz00_403), BgL_arg1847z00_424); } 
BgL_arg1845z00_422 = 
MAKE_YOUNG_PAIR(BgL_arg1841z00_418, BgL_arg1846z00_423); } 
BgL_list1844z00_421 = 
MAKE_YOUNG_PAIR(BGl_string2018z00zz__wav_decoderz00, BgL_arg1845z00_422); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1844z00_421); } }  else 
{ /* Llib/wav_decoder.scm 130 */BFALSE; } } }  else 
{ /* Llib/wav_decoder.scm 128 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 156 */
 bool_t BgL_test2143z00_1588;
{ /* Llib/wav_decoder.scm 156 */
 bool_t BgL_test2144z00_1589;
{ /* Llib/wav_decoder.scm 123 */
 long BgL_arg1827z00_396;
{ /* Llib/wav_decoder.scm 123 */
 long BgL_arg1828z00_397; long BgL_arg1829z00_398;
if(
CBOOL(
CELL_REF(BgL_haszd2beenzd2emptyzd2oncezd2_724)))
{ /* Llib/wav_decoder.scm 123 */
BgL_arg1828z00_397 = ((long)2); }  else 
{ /* Llib/wav_decoder.scm 123 */
BgL_arg1828z00_397 = ((long)4); } 
BgL_arg1829z00_398 = 
(BgL_inlenz00_726-
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_725)); 
BgL_arg1827z00_396 = 
(BgL_arg1828z00_397*BgL_arg1829z00_398); } 
BgL_test2144z00_1589 = 
(BgL_arg1827z00_396>BgL_inlenz00_726); } 
if(BgL_test2144z00_1589)
{ /* Llib/wav_decoder.scm 156 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 156 */
BgL_test2143z00_1588 = ((bool_t)0)
; }  else 
{ /* Llib/wav_decoder.scm 156 */
BgL_test2143z00_1588 = ((bool_t)1)
; } }  else 
{ /* Llib/wav_decoder.scm 156 */
BgL_test2143z00_1588 = ((bool_t)0)
; } } 
if(BgL_test2143z00_1588)
{ /* Llib/wav_decoder.scm 156 */
{ /* Llib/wav_decoder.scm 157 */
 bool_t BgL_test2147z00_1598;
{ /* Llib/wav_decoder.scm 157 */
 int BgL_arg1877z00_463;
BgL_arg1877z00_463 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2147z00_1598 = 
(
(long)(BgL_arg1877z00_463)>=((long)2)); } 
if(BgL_test2147z00_1598)
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1870z00_456; BGL_LONGLONG_T BgL_arg1871z00_457;
BgL_arg1870z00_456 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_urlz00); 
BgL_arg1871z00_457 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_list1872z00_458;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1873z00_459;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1874z00_460;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1875z00_461;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1876z00_462;
BgL_arg1876z00_462 = 
MAKE_YOUNG_PAIR(BGl_string2001z00zz__wav_decoderz00, BNIL); 
BgL_arg1875z00_461 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1871z00_457), BgL_arg1876z00_462); } 
BgL_arg1874z00_460 = 
MAKE_YOUNG_PAIR(BGl_string1966z00zz__wav_decoderz00, BgL_arg1875z00_461); } 
BgL_arg1873z00_459 = 
MAKE_YOUNG_PAIR(BgL_arg1870z00_456, BgL_arg1874z00_460); } 
BgL_list1872z00_458 = 
MAKE_YOUNG_PAIR(BGl_string2019z00zz__wav_decoderz00, BgL_arg1873z00_459); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1872z00_458); } }  else 
{ /* Llib/wav_decoder.scm 157 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 160 */
 obj_t BgL_mutex1878z00_464;
BgL_mutex1878z00_464 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1878z00_464); 
{ /* Llib/wav_decoder.scm 160 */
 bool_t BgL_tmp2148z00_1612;
{ /* Llib/wav_decoder.scm 161 */
 obj_t BgL_tmpz00_1614;
BgL_tmpz00_1614 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1100z00_727))->BgL_z52bcondvz52); 
BgL_tmp2148z00_1612 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1614); } 
BGL_MUTEX_UNLOCK(BgL_mutex1878z00_464); BgL_tmp2148z00_1612; } } 
{ /* Llib/wav_decoder.scm 162 */
 bool_t BgL_test2149z00_1618;
{ /* Llib/wav_decoder.scm 162 */
 int BgL_arg1885z00_471;
BgL_arg1885z00_471 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2149z00_1618 = 
(
(long)(BgL_arg1885z00_471)>=((long)2)); } 
if(BgL_test2149z00_1618)
{ /* Llib/wav_decoder.scm 163 */
 BGL_LONGLONG_T BgL_arg1882z00_468;
BgL_arg1882z00_468 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 163 */
 obj_t BgL_list1883z00_469;
{ /* Llib/wav_decoder.scm 163 */
 obj_t BgL_arg1884z00_470;
BgL_arg1884z00_470 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__wav_decoderz00, BNIL); 
BgL_list1883z00_469 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1882z00_468), BgL_arg1884z00_470); } 
return 
BGl_debugz00zz__wav_decoderz00(BgL_list1883z00_469);} }  else 
{ /* Llib/wav_decoder.scm 162 */
return BFALSE;} } }  else 
{ /* Llib/wav_decoder.scm 156 */
return BFALSE;} } } } 

}



/* buffer-percentage-filled~0 */
long BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(long BgL_inlenz00_730, BgL_musicbufferz00_bglt BgL_bufferz00_729)
{
{ /* Llib/wav_decoder.scm 115 */
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1812z00_387;
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1813z00_388; BGL_LONGLONG_T BgL_arg1820z00_389;
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1821z00_390;
{ /* Llib/wav_decoder.scm 114 */
 long BgL_tmpz00_1627;
BgL_tmpz00_1627 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_729); 
BgL_arg1821z00_390 = 
LONG_TO_LLONG(BgL_tmpz00_1627); } 
BgL_arg1813z00_388 = 
(((BGL_LONGLONG_T)100)*BgL_arg1821z00_390); } 
BgL_arg1820z00_389 = 
LONG_TO_LLONG(BgL_inlenz00_730); 
BgL_arg1812z00_387 = 
(BgL_arg1813z00_388/BgL_arg1820z00_389); } 
return 
LLONG_TO_LONG(BgL_arg1812z00_387);} } 

}



/* &musicdecoder-positio1139 */
obj_t BGl_z62musicdecoderzd2positio1139zb0zz__wav_decoderz00(obj_t BgL_envz00_697, obj_t BgL_decz00_698, obj_t BgL_bz00_699)
{
{ /* Llib/wav_decoder.scm 67 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_698)))->BgL_z52positionz52));} 

}



/* &musicdecoder-reset!-1137 */
obj_t BGl_z62musicdecoderzd2resetz12zd21137z70zz__wav_decoderz00(obj_t BgL_envz00_700, obj_t BgL_decz00_701)
{
{ /* Llib/wav_decoder.scm 59 */
{ 

((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_701)))->BgL_z52headerz52)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/wav_decoder.scm 59 */
 obj_t BgL_nextzd2method1136zd2_864;
BgL_nextzd2method1136zd2_864 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_701)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1136zd2_864)(BgL_nextzd2method1136zd2_864, 
((obj_t)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_701)), BEOA);} } } 

}



/* &musicdecoder-init-wa1135 */
obj_t BGl_z62musicdecoderzd2initzd2wa1135z62zz__wav_decoderz00(obj_t BgL_envz00_702, obj_t BgL_decz00_703)
{
{ /* Llib/wav_decoder.scm 51 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_703))))->BgL_mimetypesz00)))
{ /* Llib/wav_decoder.scm 53 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_703))))->BgL_mimetypesz00)=((obj_t)
CNST_TABLE_REF(((long)22))),BUNSPEC);}  else 
{ /* Llib/wav_decoder.scm 53 */
return BFALSE;} } 

}



/* &object-print-wavmusi1133 */
obj_t BGl_z62objectzd2printzd2wavmusi1133z62zz__wav_decoderz00(obj_t BgL_envz00_704, obj_t BgL_oz00_705, obj_t BgL_portz00_706, obj_t BgL_printzd2slotzd2_707)
{
{ /* Llib/wav_decoder.scm 45 */
{ /* Llib/wav_decoder.scm 46 */
 obj_t BgL_tmpz00_1657;
BgL_tmpz00_1657 = 
((obj_t)BgL_portz00_706); 
return 
bgl_display_string(BGl_string2020z00zz__wav_decoderz00, BgL_tmpz00_1657);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__wav_decoderz00()
{
{ /* Llib/wav_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__wav_wavz00(((long)21080121), 
BSTRING_TO_STRING(BGl_string2021z00zz__wav_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
