/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/apply.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_z62makezd2funzd2framezd2sfun1269zb0zzast_applyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_applyz00();
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_applyz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_applyz00();
	static obj_t BGl_z62makezd2funzd2frame1266z62zzast_applyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62makezd2funzd2framezd2cfun1271zb0zzast_applyz00(obj_t,
		obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_applyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
	static obj_t BGl_gczd2rootszd2initz00zzast_applyz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_loopze70ze7zzast_applyz00(BgL_nodez00_bglt, obj_t, obj_t,
		BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_loopze71ze7zzast_applyz00(obj_t, BgL_nodez00_bglt,
		obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1915z00zzast_applyz00,
		BgL_bgl_string1915za700za7za7a1928za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string1916z00zzast_applyz00,
		BgL_bgl_string1916za700za7za7a1929za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string1917z00zzast_applyz00,
		BgL_bgl_string1917za700za7za7a1930za7, "apply", 5);
	      DEFINE_STRING(BGl_string1919z00zzast_applyz00,
		BgL_bgl_string1919za700za7za7a1931za7, "make-fun-frame1266", 18);
	      DEFINE_STRING(BGl_string1920z00zzast_applyz00,
		BgL_bgl_string1920za700za7za7a1932za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1922z00zzast_applyz00,
		BgL_bgl_string1922za700za7za7a1933za7, "make-fun-frame", 14);
	      DEFINE_STRING(BGl_string1924z00zzast_applyz00,
		BgL_bgl_string1924za700za7za7a1934za7, "ast_apply", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21935za7,
		BGl_z62makezd2funzd2frame1266z62zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1925z00zzast_applyz00,
		BgL_bgl_string1925za700za7za7a1936za7,
		"aux make-fun-frame1266 begin set! car if failure quote null? cdr write runner value apply ",
		90);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21937za7,
		BGl_z62makezd2funzd2framezd2sfun1269zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21938za7,
		BGl_z62makezd2funzd2framezd2cfun1271zb0zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762knownza7d2appza7d1939za7,
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21940za7,
		BGl_z62makezd2funzd2framez62zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762applycationza7d1941z00,
		BGl_z62applycationzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_applyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_2352, char *BgL_fromz00_2353)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_applyz00();
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_genericzd2initzd2zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BGl_toplevelzd2initzd2zzast_applyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_apply");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_2302;

				{	/* Ast/apply.scm 14 */
					obj_t BgL_stringz00_2310;

					BgL_stringz00_2310 = BGl_string1925z00zzast_applyz00;
					{	/* Ast/apply.scm 14 */
						obj_t BgL_startz00_2311;

						BgL_startz00_2311 = BINT(((long) 0));
						{	/* Ast/apply.scm 14 */
							obj_t BgL_endz00_2312;

							BgL_endz00_2312 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2310)));
							{	/* Ast/apply.scm 14 */

								BgL_cportz00_2302 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2310, BgL_startz00_2311, BgL_endz00_2312);
				}}}}
				{
					long BgL_iz00_2303;

					BgL_iz00_2303 = ((long) 13);
				BgL_loopz00_2304:
					if ((BgL_iz00_2303 == ((long) -1)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg1927z00_2306;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_2308;

										BgL_locationz00_2308 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg1927z00_2306 =
												BGl_readz00zz__readerz00(BgL_cportz00_2302,
												BgL_locationz00_2308);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_tmpz00_2384;

									BgL_tmpz00_2384 = (int) (BgL_iz00_2303);
									CNST_TABLE_SET(BgL_tmpz00_2384, BgL_arg1927z00_2306);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_2309;

								BgL_auxz00_2309 = (int) ((BgL_iz00_2303 - ((long) 1)));
								{
									long BgL_iz00_2389;

									BgL_iz00_2389 = (long) (BgL_auxz00_2309);
									BgL_iz00_2303 = BgL_iz00_2389;
									goto BgL_loopz00_2304;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}

	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_1382;
				obj_t BgL_argz00_1383;

				if (PAIRP(BgL_expz00_3))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd2109zd2_1388;

						BgL_cdrzd2109zd2_1388 = CDR(BgL_expz00_3);
						if ((CAR(BgL_expz00_3) == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd2109zd2_1388))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd2113zd2_1392;

										BgL_cdrzd2113zd2_1392 = CDR(BgL_cdrzd2109zd2_1388);
										if (PAIRP(BgL_cdrzd2113zd2_1392))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd2113zd2_1392)))
													{	/* Ast/apply.scm 32 */
														BgL_procz00_1382 = CAR(BgL_cdrzd2109zd2_1388);
														BgL_argz00_1383 = CAR(BgL_cdrzd2113zd2_1392);
														{	/* Ast/apply.scm 34 */
															obj_t BgL_locz00_1400;

															BgL_locz00_1400 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_3, BgL_locz00_5);
															{	/* Ast/apply.scm 34 */
																BgL_nodez00_bglt BgL_procz00_1401;

																{	/* Ast/apply.scm 37 */
																	obj_t BgL_arg1332z00_1434;

																	BgL_arg1332z00_1434 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_procz00_1382, BgL_locz00_1400);
																	BgL_procz00_1401 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_procz00_1382, BgL_stackz00_4,
																		BgL_arg1332z00_1434,
																		CNST_TABLE_REF(((long) 0)));
																}
																{	/* Ast/apply.scm 35 */
																	BgL_nodez00_bglt BgL_argz00_1402;

																	{	/* Ast/apply.scm 41 */
																		obj_t BgL_arg1331z00_1433;

																		BgL_arg1331z00_1433 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_argz00_1383, BgL_locz00_1400);
																		BgL_argz00_1402 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_argz00_1383, BgL_stackz00_4,
																			BgL_arg1331z00_1433,
																			CNST_TABLE_REF(((long) 1)));
																	}
																	{	/* Ast/apply.scm 39 */

																		{	/* Ast/apply.scm 43 */
																			bool_t BgL_test1949z00_2414;

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_test1950z00_2415;

																				{	/* Ast/apply.scm 43 */
																					obj_t BgL_classz00_1838;

																					BgL_classz00_1838 =
																						BGl_varz00zzast_nodez00;
																					{	/* Ast/apply.scm 43 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_1840;
																						{	/* Ast/apply.scm 43 */
																							obj_t BgL_tmpz00_2416;

																							BgL_tmpz00_2416 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_procz00_1401));
																							BgL_arg1825z00_1840 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_2416);
																						}
																						{	/* Ast/apply.scm 43 */
																							bool_t BgL_arg1822z00_1843;
																							bool_t BgL_arg1823z00_1844;

																							{	/* Ast/apply.scm 43 */
																								long BgL_idxz00_1847;

																								BgL_idxz00_1847 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_1840);
																								BgL_arg1822z00_1843 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_1847 +
																											((long) 2))) ==
																									BgL_classz00_1838);
																							}
																							{	/* Ast/apply.scm 43 */
																								bool_t BgL_res1895z00_1869;

																								{	/* Ast/apply.scm 43 */
																									obj_t BgL_oclassz00_1855;

																									{	/* Ast/apply.scm 43 */
																										long BgL_arg1833z00_1861;

																										{	/* Ast/apply.scm 43 */
																											long BgL_arg1834z00_1862;

																											BgL_arg1834z00_1862 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_1840);
																											BgL_arg1833z00_1861 =
																												(BgL_arg1834z00_1862 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_1855 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_1861);
																									}
																									{	/* Ast/apply.scm 43 */
																										bool_t
																											BgL__ortest_1110z00_1856;
																										BgL__ortest_1110z00_1856 =
																											(BgL_classz00_1838 ==
																											BgL_oclassz00_1855);
																										if (BgL__ortest_1110z00_1856)
																											{	/* Ast/apply.scm 43 */
																												BgL_res1895z00_1869 =
																													BgL__ortest_1110z00_1856;
																											}
																										else
																											{	/* Ast/apply.scm 43 */
																												long BgL_odepthz00_1857;

																												BgL_odepthz00_1857 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_1855);
																												if ((((long) 2) <
																														BgL_odepthz00_1857))
																													{	/* Ast/apply.scm 43 */
																														obj_t
																															BgL_arg1821z00_1859;
																														BgL_arg1821z00_1859
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_1855,
																															((long) 2));
																														BgL_res1895z00_1869
																															=
																															(BgL_arg1821z00_1859
																															==
																															BgL_classz00_1838);
																													}
																												else
																													{	/* Ast/apply.scm 43 */
																														BgL_res1895z00_1869
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_1844 =
																									BgL_res1895z00_1869;
																							}
																							BgL_test1950z00_2415 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_1843,
																								BgL_arg1823z00_1844);
																						}
																					}
																				}
																				if (BgL_test1950z00_2415)
																					{	/* Ast/apply.scm 44 */
																						bool_t BgL_test1953z00_2435;

																						{	/* Ast/apply.scm 44 */
																							BgL_valuez00_bglt
																								BgL_arg1326z00_1431;
																							BgL_arg1326z00_1431 =
																								(((BgL_variablez00_bglt)
																									COBJECT((((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_procz00_1401)))->
																											BgL_variablez00)))->
																								BgL_valuez00);
																							{	/* Ast/apply.scm 44 */
																								obj_t BgL_classz00_1872;

																								BgL_classz00_1872 =
																									BGl_funz00zzast_varz00;
																								{	/* Ast/apply.scm 44 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_1874;
																									{	/* Ast/apply.scm 44 */
																										obj_t BgL_tmpz00_2439;

																										BgL_tmpz00_2439 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1326z00_1431));
																										BgL_arg1825z00_1874 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_2439);
																									}
																									{	/* Ast/apply.scm 44 */
																										bool_t BgL_arg1822z00_1877;
																										bool_t BgL_arg1823z00_1878;

																										{	/* Ast/apply.scm 44 */
																											long BgL_idxz00_1881;

																											BgL_idxz00_1881 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_1874);
																											BgL_arg1822z00_1877 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_1881 +
																														((long) 2))) ==
																												BgL_classz00_1872);
																										}
																										{	/* Ast/apply.scm 44 */
																											bool_t
																												BgL_res1896z00_1903;
																											{	/* Ast/apply.scm 44 */
																												obj_t
																													BgL_oclassz00_1889;
																												{	/* Ast/apply.scm 44 */
																													long
																														BgL_arg1833z00_1895;
																													{	/* Ast/apply.scm 44 */
																														long
																															BgL_arg1834z00_1896;
																														BgL_arg1834z00_1896
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_1874);
																														BgL_arg1833z00_1895
																															=
																															(BgL_arg1834z00_1896
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_1889 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_1895);
																												}
																												{	/* Ast/apply.scm 44 */
																													bool_t
																														BgL__ortest_1110z00_1890;
																													BgL__ortest_1110z00_1890
																														=
																														(BgL_classz00_1872
																														==
																														BgL_oclassz00_1889);
																													if (BgL__ortest_1110z00_1890)
																														{	/* Ast/apply.scm 44 */
																															BgL_res1896z00_1903
																																=
																																BgL__ortest_1110z00_1890;
																														}
																													else
																														{	/* Ast/apply.scm 44 */
																															long
																																BgL_odepthz00_1891;
																															BgL_odepthz00_1891
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_1889);
																															if ((((long) 2) <
																																	BgL_odepthz00_1891))
																																{	/* Ast/apply.scm 44 */
																																	obj_t
																																		BgL_arg1821z00_1893;
																																	BgL_arg1821z00_1893
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_1889,
																																		((long) 2));
																																	BgL_res1896z00_1903
																																		=
																																		(BgL_arg1821z00_1893
																																		==
																																		BgL_classz00_1872);
																																}
																															else
																																{	/* Ast/apply.scm 44 */
																																	BgL_res1896z00_1903
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_1878 =
																												BgL_res1896z00_1903;
																										}
																										BgL_test1953z00_2435 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_1877,
																											BgL_arg1823z00_1878);
																									}
																								}
																							}
																						}
																						if (BgL_test1953z00_2435)
																							{	/* Ast/apply.scm 45 */
																								bool_t BgL__ortest_1101z00_1424;

																								{	/* Ast/apply.scm 45 */
																									bool_t BgL_test1956z00_2458;

																									{	/* Ast/apply.scm 45 */
																										BgL_variablez00_bglt
																											BgL_arg1325z00_1430;
																										BgL_arg1325z00_1430 =
																											(((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_procz00_1401)))->
																											BgL_variablez00);
																										{	/* Ast/apply.scm 45 */
																											obj_t BgL_classz00_1905;

																											BgL_classz00_1905 =
																												BGl_globalz00zzast_varz00;
																											{	/* Ast/apply.scm 45 */
																												BgL_objectz00_bglt
																													BgL_arg1825z00_1907;
																												{	/* Ast/apply.scm 45 */
																													obj_t BgL_tmpz00_2461;

																													BgL_tmpz00_2461 =
																														((obj_t)
																														((BgL_objectz00_bglt) BgL_arg1325z00_1430));
																													BgL_arg1825z00_1907 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_2461);
																												}
																												{	/* Ast/apply.scm 45 */
																													bool_t
																														BgL_arg1822z00_1910;
																													bool_t
																														BgL_arg1823z00_1911;
																													{	/* Ast/apply.scm 45 */
																														long
																															BgL_idxz00_1914;
																														BgL_idxz00_1914 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1825z00_1907);
																														BgL_arg1822z00_1910
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_1914
																																	+
																																	((long) 2)))
																															==
																															BgL_classz00_1905);
																													}
																													{	/* Ast/apply.scm 45 */
																														bool_t
																															BgL_res1897z00_1936;
																														{	/* Ast/apply.scm 45 */
																															obj_t
																																BgL_oclassz00_1922;
																															{	/* Ast/apply.scm 45 */
																																long
																																	BgL_arg1833z00_1928;
																																{	/* Ast/apply.scm 45 */
																																	long
																																		BgL_arg1834z00_1929;
																																	BgL_arg1834z00_1929
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1825z00_1907);
																																	BgL_arg1833z00_1928
																																		=
																																		(BgL_arg1834z00_1929
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_1922
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1833z00_1928);
																															}
																															{	/* Ast/apply.scm 45 */
																																bool_t
																																	BgL__ortest_1110z00_1923;
																																BgL__ortest_1110z00_1923
																																	=
																																	(BgL_classz00_1905
																																	==
																																	BgL_oclassz00_1922);
																																if (BgL__ortest_1110z00_1923)
																																	{	/* Ast/apply.scm 45 */
																																		BgL_res1897z00_1936
																																			=
																																			BgL__ortest_1110z00_1923;
																																	}
																																else
																																	{	/* Ast/apply.scm 45 */
																																		long
																																			BgL_odepthz00_1924;
																																		BgL_odepthz00_1924
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_1922);
																																		if ((((long)
																																					2) <
																																				BgL_odepthz00_1924))
																																			{	/* Ast/apply.scm 45 */
																																				obj_t
																																					BgL_arg1821z00_1926;
																																				BgL_arg1821z00_1926
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_1922,
																																					((long) 2));
																																				BgL_res1897z00_1936
																																					=
																																					(BgL_arg1821z00_1926
																																					==
																																					BgL_classz00_1905);
																																			}
																																		else
																																			{	/* Ast/apply.scm 45 */
																																				BgL_res1897z00_1936
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_arg1823z00_1911
																															=
																															BgL_res1897z00_1936;
																													}
																													BgL_test1956z00_2458 =
																														BGL_ISA_C_BACKEND
																														(BgL_arg1822z00_1910,
																														BgL_arg1823z00_1911);
																												}
																											}
																										}
																									}
																									if (BgL_test1956z00_2458)
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1101z00_1424 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1101z00_1424 =
																												((bool_t) 1);
																										}
																								}
																								if (BgL__ortest_1101z00_1424)
																									{	/* Ast/apply.scm 45 */
																										BgL_test1949z00_2414 =
																											BgL__ortest_1101z00_1424;
																									}
																								else
																									{	/* Ast/apply.scm 46 */
																										bool_t BgL_test1960z00_2481;

																										{	/* Ast/apply.scm 46 */
																											BgL_variablez00_bglt
																												BgL_arg1324z00_1428;
																											BgL_arg1324z00_1428 =
																												(((BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_procz00_1401)))->
																												BgL_variablez00);
																											BgL_test1960z00_2481 =
																												BGl_globalzd2optionalzf3z21zzast_varz00
																												(((obj_t)
																													BgL_arg1324z00_1428));
																										}
																										if (BgL_test1960z00_2481)
																											{	/* Ast/apply.scm 46 */
																												BgL_test1949z00_2414 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Ast/apply.scm 47 */
																												bool_t
																													BgL_test1961z00_2486;
																												{	/* Ast/apply.scm 47 */
																													BgL_variablez00_bglt
																														BgL_arg1323z00_1427;
																													BgL_arg1323z00_1427 =
																														(((BgL_varz00_bglt)
																															COBJECT((
																																	(BgL_varz00_bglt)
																																	BgL_procz00_1401)))->
																														BgL_variablez00);
																													BgL_test1961z00_2486 =
																														BGl_globalzd2keyzf3z21zzast_varz00
																														(((obj_t)
																															BgL_arg1323z00_1427));
																												}
																												if (BgL_test1961z00_2486)
																													{	/* Ast/apply.scm 47 */
																														BgL_test1949z00_2414
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 47 */
																														BgL_test1949z00_2414
																															= ((bool_t) 1);
																													}
																											}
																									}
																							}
																						else
																							{	/* Ast/apply.scm 44 */
																								BgL_test1949z00_2414 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Ast/apply.scm 43 */
																						BgL_test1949z00_2414 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test1949z00_2414)
																				{	/* Ast/apply.scm 43 */
																					return
																						BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																						(BgL_stackz00_4, BgL_locz00_1400,
																						BgL_procz00_1401, BgL_argz00_1402,
																						BgL_sitez00_6);
																				}
																			else
																				{	/* Ast/apply.scm 49 */
																					BgL_appzd2lyzd2_bglt
																						BgL_new1104z00_1419;
																					{	/* Ast/apply.scm 50 */
																						BgL_appzd2lyzd2_bglt
																							BgL_new1103z00_1420;
																						BgL_new1103z00_1420 =
																							((BgL_appzd2lyzd2_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_appzd2lyzd2_bgl))));
																						{	/* Ast/apply.scm 50 */
																							long BgL_arg1322z00_1421;

																							BgL_arg1322z00_1421 =
																								BGL_CLASS_NUM
																								(BGl_appzd2lyzd2zzast_nodez00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1103z00_1420),
																								BgL_arg1322z00_1421);
																						}
																						{	/* Ast/apply.scm 50 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2496;
																							BgL_tmpz00_2496 =
																								((BgL_objectz00_bglt)
																								BgL_new1103z00_1420);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_2496, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1103z00_1420);
																						BgL_new1104z00_1419 =
																							BgL_new1103z00_1420;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1104z00_1419)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_1400), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1104z00_1419)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2_za2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								COBJECT(BgL_new1104z00_1419))->
																							BgL_funz00) =
																						((BgL_nodez00_bglt)
																							BgL_procz00_1401), BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								COBJECT(BgL_new1104z00_1419))->
																							BgL_argz00) =
																						((BgL_nodez00_bglt)
																							BgL_argz00_1402), BUNSPEC);
																					return ((BgL_nodez00_bglt)
																						BgL_new1104z00_1419);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd2102zd2_1385:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string1915z00zzast_applyz00, BgL_expz00_3,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_3, BgL_locz00_5));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd2102zd2_1385;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd2102zd2_1385;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd2102zd2_1385;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd2102zd2_1385;
					}
			}
		}

	}



/* &applycation->node */
	BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2265, obj_t BgL_expz00_2266, obj_t BgL_stackz00_2267,
		obj_t BgL_locz00_2268, obj_t BgL_sitez00_2269)
	{
		{	/* Ast/apply.scm 31 */
			return
				BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_2266,
				BgL_stackz00_2267, BgL_locz00_2268, BgL_sitez00_2269);
		}

	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_10,
		obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_procz00_12,
		BgL_nodez00_bglt BgL_argz00_13, obj_t BgL_sitez00_14)
	{
		{	/* Ast/apply.scm 107 */
			{	/* Ast/apply.scm 108 */
				BgL_valuez00_bglt BgL_funz00_1436;

				BgL_funz00_1436 =
					(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_procz00_12)))->BgL_variablez00)))->
					BgL_valuez00);
				{	/* Ast/apply.scm 108 */
					long BgL_arityz00_1437;

					BgL_arityz00_1437 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_1436)))->BgL_arityz00);
					{	/* Ast/apply.scm 109 */
						obj_t BgL_framez00_1438;

						BgL_framez00_1438 =
							BGl_makezd2funzd2framez00zzast_applyz00(
							((BgL_funz00_bglt) BgL_funz00_1436));
						{	/* Ast/apply.scm 110 */

							if ((BgL_arityz00_1437 > ((long) 0)))
								{	/* Ast/apply.scm 115 */
									return
										((BgL_nodez00_bglt)
										BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
											BgL_argz00_13, BgL_framez00_1438, BgL_sitez00_14));
								}
							else
								{	/* Ast/apply.scm 115 */
									if ((BgL_arityz00_1437 == ((long) 0)))
										{	/* Ast/apply.scm 126 */
											obj_t BgL_arg1339z00_1954;

											{	/* Ast/apply.scm 126 */
												obj_t BgL_list1340z00_1955;

												BgL_list1340z00_1955 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_procz00_12), BNIL);
												BgL_arg1339z00_1954 = BgL_list1340z00_1955;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1339z00_1954,
												BgL_stackz00_10, BgL_locz00_11, BgL_sitez00_14);
										}
									else
										{	/* Ast/apply.scm 117 */
											return
												((BgL_nodez00_bglt)
												BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
													BgL_argz00_13, BgL_framez00_1438, BgL_sitez00_14));
										}
								}
						}
					}
				}
			}
		}

	}



/* &known-app-ly->node */
	BgL_nodez00_bglt BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2270, obj_t BgL_stackz00_2271, obj_t BgL_locz00_2272,
		obj_t BgL_procz00_2273, obj_t BgL_argz00_2274, obj_t BgL_sitez00_2275)
	{
		{	/* Ast/apply.scm 107 */
			return
				BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_2271,
				BgL_locz00_2272, ((BgL_nodez00_bglt) BgL_procz00_2273),
				((BgL_nodez00_bglt) BgL_argz00_2274), BgL_sitez00_2275);
		}

	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_21,
		obj_t BgL_locz00_22, BgL_nodez00_bglt BgL_procz00_23,
		BgL_nodez00_bglt BgL_argz00_24, obj_t BgL_framez00_25, obj_t BgL_sitez00_26)
	{
		{	/* Ast/apply.scm 147 */
			{	/* Ast/apply.scm 148 */
				BgL_localz00_bglt BgL_runnerz00_1444;
				BgL_typez00_bglt BgL_typez00_1445;

				{	/* Ast/apply.scm 148 */
					obj_t BgL_arg1583z00_1536;

					BgL_arg1583z00_1536 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
					BgL_runnerz00_1444 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1583z00_1536,
						((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
				}
				BgL_typez00_1445 =
					(((BgL_nodez00_bglt) COBJECT(BgL_procz00_23))->BgL_typez00);
				{	/* Ast/apply.scm 151 */
					obj_t BgL_vz00_1962;

					BgL_vz00_1962 = CNST_TABLE_REF(((long) 3));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_runnerz00_1444)))->
							BgL_accessz00) = ((obj_t) BgL_vz00_1962), BUNSPEC);
				}
				{	/* Ast/apply.scm 152 */
					BgL_letzd2varzd2_bglt BgL_new1110z00_1446;

					{	/* Ast/apply.scm 153 */
						BgL_letzd2varzd2_bglt BgL_new1109z00_1534;

						BgL_new1109z00_1534 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 153 */
							long BgL_arg1582z00_1535;

							BgL_arg1582z00_1535 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1109z00_1534),
								BgL_arg1582z00_1535);
						}
						{	/* Ast/apply.scm 153 */
							BgL_objectz00_bglt BgL_tmpz00_2547;

							BgL_tmpz00_2547 = ((BgL_objectz00_bglt) BgL_new1109z00_1534);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2547, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1109z00_1534);
						BgL_new1110z00_1446 = BgL_new1109z00_1534;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1110z00_1446)))->BgL_locz00) =
						((obj_t) BgL_locz00_22), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1110z00_1446)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_1445)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1110z00_1446)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1110z00_1446)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2562;

						{	/* Ast/apply.scm 155 */
							obj_t BgL_arg1341z00_1447;

							BgL_arg1341z00_1447 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_runnerz00_1444), ((obj_t) BgL_argz00_24));
							{	/* Ast/apply.scm 155 */
								obj_t BgL_list1342z00_1448;

								BgL_list1342z00_1448 =
									MAKE_YOUNG_PAIR(BgL_arg1341z00_1447, BNIL);
								BgL_auxz00_2562 = BgL_list1342z00_1448;
						}}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1110z00_1446))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2562), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1110z00_1446))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) BGl_loopze71ze7zzast_applyz00(BgL_sitez00_26,
								BgL_procz00_23, BgL_framez00_25, BgL_stackz00_21,
								BgL_runnerz00_1444, BgL_typez00_1445, BgL_locz00_22,
								BgL_framez00_25)), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1110z00_1446))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return BgL_new1110z00_1446;
				}
			}
		}

	}



/* loop~1 */
	BgL_nodez00_bglt BGl_loopze71ze7zzast_applyz00(obj_t BgL_sitez00_2301,
		BgL_nodez00_bglt BgL_procz00_2300, obj_t BgL_framez00_2299,
		obj_t BgL_stackz00_2298, BgL_localz00_bglt BgL_runnerz00_2297,
		BgL_typez00_bglt BgL_typez00_2296, obj_t BgL_locz00_2295,
		obj_t BgL_localsz00_1450)
	{
		{	/* Ast/apply.scm 156 */
			if (NULLP(BgL_localsz00_1450))
				{	/* Ast/apply.scm 158 */
					BgL_nodez00_bglt BgL_appz00_1453;

					{	/* Ast/apply.scm 160 */
						obj_t BgL_arg1386z00_1475;

						{	/* Ast/apply.scm 160 */
							obj_t BgL_arg1387z00_1476;

							{	/* Ast/apply.scm 160 */
								obj_t BgL_arg1400z00_1477;

								if (NULLP(BgL_framez00_2299))
									{	/* Ast/apply.scm 160 */
										BgL_arg1400z00_1477 = BNIL;
									}
								else
									{	/* Ast/apply.scm 160 */
										obj_t BgL_head1258z00_1480;

										BgL_head1258z00_1480 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1256z00_1482;
											obj_t BgL_tail1259z00_1483;

											BgL_l1256z00_1482 = BgL_framez00_2299;
											BgL_tail1259z00_1483 = BgL_head1258z00_1480;
										BgL_zc3z04anonymousza31402ze3z87_1484:
											if (NULLP(BgL_l1256z00_1482))
												{	/* Ast/apply.scm 160 */
													BgL_arg1400z00_1477 = CDR(BgL_head1258z00_1480);
												}
											else
												{	/* Ast/apply.scm 160 */
													obj_t BgL_newtail1260z00_1486;

													{	/* Ast/apply.scm 160 */
														BgL_refz00_bglt BgL_arg1416z00_1488;

														{	/* Ast/apply.scm 160 */
															obj_t BgL_localz00_1489;

															BgL_localz00_1489 =
																CAR(((obj_t) BgL_l1256z00_1482));
															{	/* Ast/apply.scm 161 */
																BgL_refz00_bglt BgL_new1112z00_1490;

																{	/* Ast/apply.scm 164 */
																	BgL_refz00_bglt BgL_new1111z00_1492;

																	BgL_new1111z00_1492 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Ast/apply.scm 164 */
																		long BgL_arg1419z00_1493;

																		BgL_arg1419z00_1493 =
																			BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1111z00_1492),
																			BgL_arg1419z00_1493);
																	}
																	{	/* Ast/apply.scm 164 */
																		BgL_objectz00_bglt BgL_tmpz00_2585;

																		BgL_tmpz00_2585 =
																			((BgL_objectz00_bglt)
																			BgL_new1111z00_1492);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2585,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1111z00_1492);
																	BgL_new1112z00_1490 = BgL_new1111z00_1492;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1112z00_1490)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2295), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2591;

																	{	/* Ast/apply.scm 163 */
																		BgL_typez00_bglt BgL_arg1418z00_1491;

																		BgL_arg1418z00_1491 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1489))))->
																			BgL_typez00);
																		BgL_auxz00_2591 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1418z00_1491);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1112z00_1490)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2591),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					BgL_new1112z00_1490)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1489)), BUNSPEC);
																BgL_arg1416z00_1488 = BgL_new1112z00_1490;
														}}
														BgL_newtail1260z00_1486 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1416z00_1488), BNIL);
													}
													SET_CDR(BgL_tail1259z00_1483,
														BgL_newtail1260z00_1486);
													{	/* Ast/apply.scm 160 */
														obj_t BgL_arg1415z00_1487;

														BgL_arg1415z00_1487 =
															CDR(((obj_t) BgL_l1256z00_1482));
														{
															obj_t BgL_tail1259z00_2608;
															obj_t BgL_l1256z00_2607;

															BgL_l1256z00_2607 = BgL_arg1415z00_1487;
															BgL_tail1259z00_2608 = BgL_newtail1260z00_1486;
															BgL_tail1259z00_1483 = BgL_tail1259z00_2608;
															BgL_l1256z00_1482 = BgL_l1256z00_2607;
															goto BgL_zc3z04anonymousza31402ze3z87_1484;
														}
													}
												}
										}
									}
								BgL_arg1387z00_1476 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1400z00_1477, BNIL);
							}
							BgL_arg1386z00_1475 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_procz00_2300), BgL_arg1387z00_1476);
						}
						BgL_appz00_1453 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg1386z00_1475,
							BgL_stackz00_2298, BgL_locz00_2295, CNST_TABLE_REF(((long) 1)));
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 169 */
							return BgL_appz00_1453;
						}
					else
						{	/* Ast/apply.scm 173 */
							obj_t BgL_arg1347z00_1454;

							{	/* Ast/apply.scm 173 */
								obj_t BgL_arg1348z00_1455;

								{	/* Ast/apply.scm 173 */
									obj_t BgL_arg1350z00_1456;
									obj_t BgL_arg1354z00_1457;

									{	/* Ast/apply.scm 173 */
										obj_t BgL_arg1357z00_1458;

										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg1358z00_1459;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg1361z00_1460;

												{	/* Ast/apply.scm 173 */
													BgL_refz00_bglt BgL_arg1363z00_1461;

													{	/* Ast/apply.scm 173 */
														BgL_refz00_bglt BgL_new1114z00_1462;

														{	/* Ast/apply.scm 176 */
															BgL_refz00_bglt BgL_new1113z00_1464;

															BgL_new1113z00_1464 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Ast/apply.scm 176 */
																long BgL_arg1366z00_1465;

																BgL_arg1366z00_1465 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1113z00_1464),
																	BgL_arg1366z00_1465);
															}
															{	/* Ast/apply.scm 176 */
																BgL_objectz00_bglt BgL_tmpz00_2620;

																BgL_tmpz00_2620 =
																	((BgL_objectz00_bglt) BgL_new1113z00_1464);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2620,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1113z00_1464);
															BgL_new1114z00_1462 = BgL_new1113z00_1464;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1114z00_1462)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2295), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_2626;

															{	/* Ast/apply.scm 175 */
																BgL_typez00_bglt BgL_arg1364z00_1463;

																BgL_arg1364z00_1463 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_runnerz00_2297)))->BgL_typez00);
																BgL_auxz00_2626 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg1364z00_1463);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1114z00_1462)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2626), BUNSPEC);
														}
														((((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_new1114z00_1462)))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_runnerz00_2297)), BUNSPEC);
														BgL_arg1363z00_1461 = BgL_new1114z00_1462;
													}
													BgL_arg1361z00_1460 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1363z00_1461), BNIL);
												}
												BgL_arg1358z00_1459 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
													BgL_arg1361z00_1460);
											}
											BgL_arg1357z00_1458 =
												MAKE_YOUNG_PAIR(BgL_arg1358z00_1459, BNIL);
										}
										BgL_arg1350z00_1456 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
											BgL_arg1357z00_1458);
									}
									{	/* Ast/apply.scm 180 */
										obj_t BgL_arg1367z00_1466;

										{	/* Ast/apply.scm 180 */
											obj_t BgL_arg1369z00_1467;

											{	/* Ast/apply.scm 180 */
												obj_t BgL_arg1370z00_1468;

												{	/* Ast/apply.scm 180 */
													obj_t BgL_arg1371z00_1469;

													{	/* Ast/apply.scm 180 */
														obj_t BgL_arg1380z00_1470;

														{	/* Ast/apply.scm 180 */
															obj_t BgL_arg1381z00_1471;

															{	/* Ast/apply.scm 180 */
																obj_t BgL_arg1382z00_1472;

																{	/* Ast/apply.scm 180 */
																	obj_t BgL_arg1383z00_1473;

																	{	/* Ast/apply.scm 180 */
																		BgL_variablez00_bglt BgL_arg1385z00_1474;

																		BgL_arg1385z00_1474 =
																			(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_procz00_2300)))->
																			BgL_variablez00);
																		BgL_arg1383z00_1473 =
																			BGl_shapez00zztools_shapez00(((obj_t)
																				BgL_arg1385z00_1474));
																	}
																	BgL_arg1382z00_1472 =
																		MAKE_YOUNG_PAIR(BgL_arg1383z00_1473, BNIL);
																}
																BgL_arg1381z00_1471 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg1382z00_1472);
															}
															BgL_arg1380z00_1470 =
																MAKE_YOUNG_PAIR(BgL_arg1381z00_1471, BNIL);
														}
														BgL_arg1371z00_1469 =
															MAKE_YOUNG_PAIR(BGl_string1916z00zzast_applyz00,
															BgL_arg1380z00_1470);
													}
													BgL_arg1370z00_1468 =
														MAKE_YOUNG_PAIR(BGl_string1917z00zzast_applyz00,
														BgL_arg1371z00_1469);
												}
												BgL_arg1369z00_1467 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
													BgL_arg1370z00_1468);
											}
											BgL_arg1367z00_1466 =
												MAKE_YOUNG_PAIR(BgL_arg1369z00_1467, BNIL);
										}
										BgL_arg1354z00_1457 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_appz00_1453), BgL_arg1367z00_1466);
									}
									BgL_arg1348z00_1455 =
										MAKE_YOUNG_PAIR(BgL_arg1350z00_1456, BgL_arg1354z00_1457);
								}
								BgL_arg1347z00_1454 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
									BgL_arg1348z00_1455);
							}
							return
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1347z00_1454,
								BgL_stackz00_2298, BgL_locz00_2295, BgL_sitez00_2301);
						}
				}
			else
				{	/* Ast/apply.scm 184 */
					BgL_letzd2varzd2_bglt BgL_new1117z00_1495;

					{	/* Ast/apply.scm 185 */
						BgL_letzd2varzd2_bglt BgL_new1115z00_1531;

						BgL_new1115z00_1531 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 185 */
							long BgL_arg1581z00_1532;

							BgL_arg1581z00_1532 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1115z00_1531),
								BgL_arg1581z00_1532);
						}
						{	/* Ast/apply.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_2666;

							BgL_tmpz00_2666 = ((BgL_objectz00_bglt) BgL_new1115z00_1531);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2666, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1115z00_1531);
						BgL_new1117z00_1495 = BgL_new1115z00_1531;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1117z00_1495)))->BgL_locz00) =
						((obj_t) BgL_locz00_2295), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1117z00_1495)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2296)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1117z00_1495)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1117z00_1495)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2681;

						{	/* Ast/apply.scm 188 */
							obj_t BgL_arg1430z00_1496;

							{	/* Ast/apply.scm 188 */
								obj_t BgL_arg1454z00_1498;
								BgL_nodez00_bglt BgL_arg1456z00_1499;

								BgL_arg1454z00_1498 = CAR(((obj_t) BgL_localsz00_1450));
								{	/* Ast/apply.scm 191 */
									obj_t BgL_arg1457z00_1500;

									{	/* Ast/apply.scm 191 */
										obj_t BgL_arg1462z00_1501;

										{	/* Ast/apply.scm 191 */
											BgL_refz00_bglt BgL_arg1477z00_1502;

											{	/* Ast/apply.scm 191 */
												BgL_refz00_bglt BgL_new1119z00_1503;

												{	/* Ast/apply.scm 194 */
													BgL_refz00_bglt BgL_new1118z00_1505;

													BgL_new1118z00_1505 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/apply.scm 194 */
														long BgL_arg1496z00_1506;

														{	/* Ast/apply.scm 194 */
															obj_t BgL_classz00_1988;

															BgL_classz00_1988 = BGl_refz00zzast_nodez00;
															BgL_arg1496z00_1506 =
																BGL_CLASS_NUM(BgL_classz00_1988);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1118z00_1505),
															BgL_arg1496z00_1506);
													}
													{	/* Ast/apply.scm 194 */
														BgL_objectz00_bglt BgL_tmpz00_2688;

														BgL_tmpz00_2688 =
															((BgL_objectz00_bglt) BgL_new1118z00_1505);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2688, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1118z00_1505);
													BgL_new1119z00_1503 = BgL_new1118z00_1505;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1119z00_1503)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2295), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_2694;

													{	/* Ast/apply.scm 193 */
														BgL_typez00_bglt BgL_arg1494z00_1504;

														BgL_arg1494z00_1504 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2297)))->BgL_typez00);
														BgL_auxz00_2694 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1494z00_1504);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1119z00_1503)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2694), BUNSPEC);
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1119z00_1503)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2297)), BUNSPEC);
												BgL_arg1477z00_1502 = BgL_new1119z00_1503;
											}
											BgL_arg1462z00_1501 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1477z00_1502), BNIL);
										}
										BgL_arg1457z00_1500 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
											BgL_arg1462z00_1501);
									}
									BgL_arg1456z00_1499 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1457z00_1500,
										BgL_stackz00_2298, BgL_locz00_2295,
										CNST_TABLE_REF(((long) 1)));
								}
								BgL_arg1430z00_1496 =
									MAKE_YOUNG_PAIR(BgL_arg1454z00_1498,
									((obj_t) BgL_arg1456z00_1499));
							}
							{	/* Ast/apply.scm 187 */
								obj_t BgL_list1431z00_1497;

								BgL_list1431z00_1497 =
									MAKE_YOUNG_PAIR(BgL_arg1430z00_1496, BNIL);
								BgL_auxz00_2681 = BgL_list1431z00_1497;
						}}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1117z00_1495))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2681), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_2714;

						if (NULLP(CDR(((obj_t) BgL_localsz00_1450))))
							{	/* Ast/apply.scm 199 */
								obj_t BgL_arg1500z00_1509;

								BgL_arg1500z00_1509 = CDR(((obj_t) BgL_localsz00_1450));
								BgL_auxz00_2714 =
									BGl_loopze71ze7zzast_applyz00(BgL_sitez00_2301,
									BgL_procz00_2300, BgL_framez00_2299, BgL_stackz00_2298,
									BgL_runnerz00_2297, BgL_typez00_2296, BgL_locz00_2295,
									BgL_arg1500z00_1509);
							}
						else
							{	/* Ast/apply.scm 202 */
								obj_t BgL_arg1520z00_1510;

								{	/* Ast/apply.scm 202 */
									obj_t BgL_arg1524z00_1511;

									{	/* Ast/apply.scm 202 */
										obj_t BgL_arg1534z00_1512;
										obj_t BgL_arg1536z00_1513;

										{	/* Ast/apply.scm 202 */
											obj_t BgL_arg1542z00_1514;

											{	/* Ast/apply.scm 202 */
												BgL_refz00_bglt BgL_arg1543z00_1515;
												obj_t BgL_arg1548z00_1516;

												{	/* Ast/apply.scm 202 */
													BgL_refz00_bglt BgL_new1121z00_1517;

													{	/* Ast/apply.scm 205 */
														BgL_refz00_bglt BgL_new1120z00_1519;

														BgL_new1120z00_1519 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Ast/apply.scm 205 */
															long BgL_arg1552z00_1520;

															{	/* Ast/apply.scm 205 */
																obj_t BgL_classz00_1996;

																BgL_classz00_1996 = BGl_refz00zzast_nodez00;
																BgL_arg1552z00_1520 =
																	BGL_CLASS_NUM(BgL_classz00_1996);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1120z00_1519),
																BgL_arg1552z00_1520);
														}
														{	/* Ast/apply.scm 205 */
															BgL_objectz00_bglt BgL_tmpz00_2726;

															BgL_tmpz00_2726 =
																((BgL_objectz00_bglt) BgL_new1120z00_1519);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2726, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1120z00_1519);
														BgL_new1121z00_1517 = BgL_new1120z00_1519;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1121z00_1517)))->
															BgL_locz00) = ((obj_t) BgL_locz00_2295), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_2732;

														{	/* Ast/apply.scm 204 */
															BgL_typez00_bglt BgL_arg1551z00_1518;

															BgL_arg1551z00_1518 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_runnerz00_2297)))->BgL_typez00);
															BgL_auxz00_2732 =
																BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2_za2z00zztype_cachez00),
																BgL_arg1551z00_1518);
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1121z00_1517)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_2732), BUNSPEC);
													}
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_new1121z00_1517)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_runnerz00_2297)), BUNSPEC);
													BgL_arg1543z00_1515 = BgL_new1121z00_1517;
												}
												{	/* Ast/apply.scm 207 */
													obj_t BgL_arg1554z00_1521;

													{	/* Ast/apply.scm 207 */
														obj_t BgL_arg1555z00_1522;

														{	/* Ast/apply.scm 207 */
															BgL_refz00_bglt BgL_arg1563z00_1523;

															{	/* Ast/apply.scm 207 */
																BgL_refz00_bglt BgL_new1124z00_1524;

																{	/* Ast/apply.scm 210 */
																	BgL_refz00_bglt BgL_new1123z00_1526;

																	BgL_new1123z00_1526 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Ast/apply.scm 210 */
																		long BgL_arg1567z00_1527;

																		{	/* Ast/apply.scm 210 */
																			obj_t BgL_classz00_2001;

																			BgL_classz00_2001 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1567z00_1527 =
																				BGL_CLASS_NUM(BgL_classz00_2001);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1123z00_1526),
																			BgL_arg1567z00_1527);
																	}
																	{	/* Ast/apply.scm 210 */
																		BgL_objectz00_bglt BgL_tmpz00_2746;

																		BgL_tmpz00_2746 =
																			((BgL_objectz00_bglt)
																			BgL_new1123z00_1526);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2746,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1123z00_1526);
																	BgL_new1124z00_1524 = BgL_new1123z00_1526;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1124z00_1524)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2295), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2752;

																	{	/* Ast/apply.scm 209 */
																		BgL_typez00_bglt BgL_arg1564z00_1525;

																		BgL_arg1564z00_1525 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_runnerz00_2297)))->BgL_typez00);
																		BgL_auxz00_2752 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1564z00_1525);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1124z00_1524)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2752),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					BgL_new1124z00_1524)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_runnerz00_2297)), BUNSPEC);
																BgL_arg1563z00_1523 = BgL_new1124z00_1524;
															}
															BgL_arg1555z00_1522 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1563z00_1523), BNIL);
														}
														BgL_arg1554z00_1521 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
															BgL_arg1555z00_1522);
													}
													BgL_arg1548z00_1516 =
														MAKE_YOUNG_PAIR(BgL_arg1554z00_1521, BNIL);
												}
												BgL_arg1542z00_1514 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1543z00_1515), BgL_arg1548z00_1516);
											}
											BgL_arg1534z00_1512 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
												BgL_arg1542z00_1514);
										}
										{	/* Ast/apply.scm 211 */
											BgL_nodez00_bglt BgL_arg1570z00_1528;

											{	/* Ast/apply.scm 211 */
												obj_t BgL_arg1571z00_1529;

												BgL_arg1571z00_1529 = CDR(((obj_t) BgL_localsz00_1450));
												BgL_arg1570z00_1528 =
													BGl_loopze71ze7zzast_applyz00(BgL_sitez00_2301,
													BgL_procz00_2300, BgL_framez00_2299,
													BgL_stackz00_2298, BgL_runnerz00_2297,
													BgL_typez00_2296, BgL_locz00_2295,
													BgL_arg1571z00_1529);
											}
											BgL_arg1536z00_1513 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1570z00_1528), BNIL);
										}
										BgL_arg1524z00_1511 =
											MAKE_YOUNG_PAIR(BgL_arg1534z00_1512, BgL_arg1536z00_1513);
									}
									BgL_arg1520z00_1510 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
										BgL_arg1524z00_1511);
								}
								BgL_auxz00_2714 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1520z00_1510,
									BgL_stackz00_2298, BgL_locz00_2295,
									CNST_TABLE_REF(((long) 1)));
							}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1117z00_1495))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_2714), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1117z00_1495))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1117z00_1495);
				}
		}

	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_27,
		obj_t BgL_locz00_28, BgL_nodez00_bglt BgL_procz00_29,
		BgL_nodez00_bglt BgL_argz00_30, obj_t BgL_framez00_31, obj_t BgL_sitez00_32)
	{
		{	/* Ast/apply.scm 232 */
			{	/* Ast/apply.scm 233 */
				struct bgl_cell BgL_box1969_2294z00;
				obj_t BgL_framez00_2294;

				BgL_framez00_2294 =
					MAKE_CELL_STACK(BgL_framez00_31, BgL_box1969_2294z00);
				{	/* Ast/apply.scm 233 */
					BgL_localz00_bglt BgL_runnerz00_1538;
					BgL_typez00_bglt BgL_typez00_1539;

					{	/* Ast/apply.scm 233 */
						obj_t BgL_arg1713z00_1617;

						BgL_arg1713z00_1617 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
						BgL_runnerz00_1538 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1713z00_1617,
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
					}
					{	/* Ast/apply.scm 234 */
						BgL_typez00_bglt BgL_arg1715z00_1619;

						BgL_arg1715z00_1619 =
							(((BgL_nodez00_bglt) COBJECT(BgL_procz00_29))->BgL_typez00);
						BgL_typez00_1539 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
							BgL_arg1715z00_1619);
					}
					{	/* Ast/apply.scm 235 */
						bool_t BgL_test1970z00_2792;

						{	/* Ast/apply.scm 235 */
							obj_t BgL_objz00_2008;

							BgL_objz00_2008 = CELL_REF(BgL_framez00_2294);
							BgL_test1970z00_2792 = PAIRP(BgL_objz00_2008);
						}
						if (BgL_test1970z00_2792)
							{	/* Ast/apply.scm 236 */
								obj_t BgL_vz00_2010;

								BgL_vz00_2010 = CNST_TABLE_REF(((long) 3));
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_runnerz00_1538)))->
										BgL_accessz00) = ((obj_t) BgL_vz00_2010), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 235 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 237 */
						BgL_letzd2varzd2_bglt BgL_new1126z00_1541;

						{	/* Ast/apply.scm 238 */
							BgL_letzd2varzd2_bglt BgL_new1125z00_1615;

							BgL_new1125z00_1615 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Ast/apply.scm 238 */
								long BgL_arg1712z00_1616;

								BgL_arg1712z00_1616 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1125z00_1615),
									BgL_arg1712z00_1616);
							}
							{	/* Ast/apply.scm 238 */
								BgL_objectz00_bglt BgL_tmpz00_2801;

								BgL_tmpz00_2801 = ((BgL_objectz00_bglt) BgL_new1125z00_1615);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2801, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1125z00_1615);
							BgL_new1126z00_1541 = BgL_new1125z00_1615;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1126z00_1541)))->BgL_locz00) =
							((obj_t) BgL_locz00_28), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1126z00_1541)))->BgL_typez00) =
							((BgL_typez00_bglt)
								BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_typez00_1539)),
							BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1126z00_1541)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1126z00_1541)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_2816;

							{	/* Ast/apply.scm 240 */
								obj_t BgL_arg1586z00_1542;

								BgL_arg1586z00_1542 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_runnerz00_1538), ((obj_t) BgL_argz00_30));
								{	/* Ast/apply.scm 240 */
									obj_t BgL_list1587z00_1543;

									BgL_list1587z00_1543 =
										MAKE_YOUNG_PAIR(BgL_arg1586z00_1542, BNIL);
									BgL_auxz00_2816 = BgL_list1587z00_1543;
							}}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1126z00_1541))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_2816), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1126z00_1541))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BGl_loopze70ze7zzast_applyz00(BgL_procz00_29,
										BgL_framez00_2294, BgL_stackz00_27, BgL_runnerz00_1538,
										BgL_typez00_1539, BgL_locz00_28,
										CELL_REF(BgL_framez00_2294), BNIL))), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1126z00_1541))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1126z00_1541;
					}
				}
			}
		}

	}



/* loop~0 */
	BgL_nodezf2effectzf2_bglt BGl_loopze70ze7zzast_applyz00(BgL_nodez00_bglt
		BgL_procz00_2292, obj_t BgL_framez00_2291, obj_t BgL_stackz00_2290,
		BgL_localz00_bglt BgL_runnerz00_2289, BgL_typez00_bglt BgL_typez00_2288,
		obj_t BgL_locz00_2287, obj_t BgL_localsz00_1546, obj_t BgL_oldz00_1547)
	{
		{	/* Ast/apply.scm 241 */
			if (NULLP(BgL_localsz00_1546))
				{	/* Ast/apply.scm 243 */
					if (NULLP(BgL_oldz00_1547))
						{	/* Ast/apply.scm 246 */
							obj_t BgL_auxz00_2293;

							{	/* Ast/apply.scm 246 */
								obj_t BgL_list1591z00_1551;

								BgL_list1591z00_1551 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_runnerz00_2289), BNIL);
								BgL_auxz00_2293 = BgL_list1591z00_1551;
							}
							CELL_SET(BgL_framez00_2291, BgL_auxz00_2293);
						}
					else
						{	/* Ast/apply.scm 247 */
							obj_t BgL_arg1595z00_1552;

							BgL_arg1595z00_1552 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_runnerz00_2289), BNIL);
							{	/* Ast/apply.scm 247 */
								obj_t BgL_tmpz00_2834;

								BgL_tmpz00_2834 = ((obj_t) BgL_oldz00_1547);
								SET_CDR(BgL_tmpz00_2834, BgL_arg1595z00_1552);
							}
						}
					{	/* Ast/apply.scm 248 */
						BgL_appz00_bglt BgL_new1130z00_1553;

						{	/* Ast/apply.scm 249 */
							BgL_appz00_bglt BgL_new1129z00_1578;

							BgL_new1129z00_1578 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Ast/apply.scm 249 */
								long BgL_arg1620z00_1579;

								BgL_arg1620z00_1579 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1129z00_1578),
									BgL_arg1620z00_1579);
							}
							{	/* Ast/apply.scm 249 */
								BgL_objectz00_bglt BgL_tmpz00_2841;

								BgL_tmpz00_2841 = ((BgL_objectz00_bglt) BgL_new1129z00_1578);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2841, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1129z00_1578);
							BgL_new1130z00_1553 = BgL_new1129z00_1578;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1130z00_1553)))->BgL_locz00) =
							((obj_t) BgL_locz00_2287), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_2847;

							{	/* Ast/apply.scm 250 */
								BgL_typez00_bglt BgL_arg1597z00_1554;

								BgL_arg1597z00_1554 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_procz00_2292)))->
												BgL_variablez00)))->BgL_typez00);
								BgL_auxz00_2847 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_arg1597z00_1554);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1130z00_1553)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2847), BUNSPEC);
						}
						((((BgL_nodezf2effectzf2_bglt) COBJECT(
										((BgL_nodezf2effectzf2_bglt) BgL_new1130z00_1553)))->
								BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1130z00_1553)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_2860;

							{	/* Ast/apply.scm 251 */
								BgL_refz00_bglt BgL_new1131z00_1557;

								{	/* Ast/apply.scm 251 */
									BgL_refz00_bglt BgL_new1135z00_1559;

									BgL_new1135z00_1559 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Ast/apply.scm 251 */
										long BgL_arg1602z00_1560;

										{	/* Ast/apply.scm 251 */
											obj_t BgL_classz00_2024;

											BgL_classz00_2024 = BGl_refz00zzast_nodez00;
											BgL_arg1602z00_1560 = BGL_CLASS_NUM(BgL_classz00_2024);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1135z00_1559),
											BgL_arg1602z00_1560);
									}
									{	/* Ast/apply.scm 251 */
										BgL_objectz00_bglt BgL_tmpz00_2865;

										BgL_tmpz00_2865 =
											((BgL_objectz00_bglt) BgL_new1135z00_1559);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2865, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1135z00_1559);
									BgL_new1131z00_1557 = BgL_new1135z00_1559;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1131z00_1557)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_procz00_2292))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1131z00_1557)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(BgL_procz00_2292))->BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1131z00_1557)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_procz00_2292)))->
											BgL_variablez00)), BUNSPEC);
								BgL_auxz00_2860 = ((BgL_varz00_bglt) BgL_new1131z00_1557);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1130z00_1553))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_2860), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_2881;

							{	/* Ast/apply.scm 252 */
								obj_t BgL_l1261z00_1561;

								BgL_l1261z00_1561 = CELL_REF(BgL_framez00_2291);
								if (NULLP(BgL_l1261z00_1561))
									{	/* Ast/apply.scm 252 */
										BgL_auxz00_2881 = BNIL;
									}
								else
									{	/* Ast/apply.scm 252 */
										obj_t BgL_head1263z00_1563;

										BgL_head1263z00_1563 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1261z00_1565;
											obj_t BgL_tail1264z00_1566;

											BgL_l1261z00_1565 = BgL_l1261z00_1561;
											BgL_tail1264z00_1566 = BgL_head1263z00_1563;
										BgL_zc3z04anonymousza31604ze3z87_1567:
											if (NULLP(BgL_l1261z00_1565))
												{	/* Ast/apply.scm 252 */
													BgL_auxz00_2881 = CDR(BgL_head1263z00_1563);
												}
											else
												{	/* Ast/apply.scm 252 */
													obj_t BgL_newtail1265z00_1569;

													{	/* Ast/apply.scm 252 */
														BgL_refz00_bglt BgL_arg1612z00_1571;

														{	/* Ast/apply.scm 252 */
															obj_t BgL_localz00_1572;

															BgL_localz00_1572 =
																CAR(((obj_t) BgL_l1261z00_1565));
															{	/* Ast/apply.scm 253 */
																BgL_refz00_bglt BgL_new1137z00_1573;

																{	/* Ast/apply.scm 256 */
																	BgL_refz00_bglt BgL_new1136z00_1575;

																	BgL_new1136z00_1575 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Ast/apply.scm 256 */
																		long BgL_arg1619z00_1576;

																		{	/* Ast/apply.scm 256 */
																			obj_t BgL_classz00_2030;

																			BgL_classz00_2030 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1619z00_1576 =
																				BGL_CLASS_NUM(BgL_classz00_2030);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1136z00_1575),
																			BgL_arg1619z00_1576);
																	}
																	{	/* Ast/apply.scm 256 */
																		BgL_objectz00_bglt BgL_tmpz00_2894;

																		BgL_tmpz00_2894 =
																			((BgL_objectz00_bglt)
																			BgL_new1136z00_1575);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2894,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1136z00_1575);
																	BgL_new1137z00_1573 = BgL_new1136z00_1575;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1137z00_1573)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2287), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2900;

																	{	/* Ast/apply.scm 255 */
																		BgL_typez00_bglt BgL_arg1613z00_1574;

																		BgL_arg1613z00_1574 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1572))))->
																			BgL_typez00);
																		BgL_auxz00_2900 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1613z00_1574);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1137z00_1573)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2900),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					BgL_new1137z00_1573)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1572)), BUNSPEC);
																BgL_arg1612z00_1571 = BgL_new1137z00_1573;
														}}
														BgL_newtail1265z00_1569 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1612z00_1571), BNIL);
													}
													SET_CDR(BgL_tail1264z00_1566,
														BgL_newtail1265z00_1569);
													{	/* Ast/apply.scm 252 */
														obj_t BgL_arg1606z00_1570;

														BgL_arg1606z00_1570 =
															CDR(((obj_t) BgL_l1261z00_1565));
														{
															obj_t BgL_tail1264z00_2917;
															obj_t BgL_l1261z00_2916;

															BgL_l1261z00_2916 = BgL_arg1606z00_1570;
															BgL_tail1264z00_2917 = BgL_newtail1265z00_1569;
															BgL_tail1264z00_1566 = BgL_tail1264z00_2917;
															BgL_l1261z00_1565 = BgL_l1261z00_2916;
															goto BgL_zc3z04anonymousza31604ze3z87_1567;
														}
													}
												}
										}
									}
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1130z00_1553))->BgL_argsz00) =
								((obj_t) BgL_auxz00_2881), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1130z00_1553))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						return ((BgL_nodezf2effectzf2_bglt) BgL_new1130z00_1553);
					}
				}
			else
				{	/* Ast/apply.scm 258 */
					BgL_letzd2varzd2_bglt BgL_new1139z00_1580;

					{	/* Ast/apply.scm 259 */
						BgL_letzd2varzd2_bglt BgL_new1138z00_1612;

						BgL_new1138z00_1612 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 259 */
							long BgL_arg1711z00_1613;

							BgL_arg1711z00_1613 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1138z00_1612),
								BgL_arg1711z00_1613);
						}
						{	/* Ast/apply.scm 259 */
							BgL_objectz00_bglt BgL_tmpz00_2925;

							BgL_tmpz00_2925 = ((BgL_objectz00_bglt) BgL_new1138z00_1612);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2925, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1138z00_1612);
						BgL_new1139z00_1580 = BgL_new1138z00_1612;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1139z00_1580)))->BgL_locz00) =
						((obj_t) BgL_locz00_2287), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1139z00_1580)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2288)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1139z00_1580)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1139z00_1580)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2940;

						{	/* Ast/apply.scm 262 */
							obj_t BgL_arg1621z00_1581;

							{	/* Ast/apply.scm 262 */
								obj_t BgL_arg1632z00_1583;
								BgL_nodez00_bglt BgL_arg1633z00_1584;

								BgL_arg1632z00_1583 = CAR(((obj_t) BgL_localsz00_1546));
								{	/* Ast/apply.scm 265 */
									obj_t BgL_arg1636z00_1585;

									{	/* Ast/apply.scm 265 */
										obj_t BgL_arg1647z00_1586;

										{	/* Ast/apply.scm 265 */
											BgL_refz00_bglt BgL_arg1652z00_1587;

											{	/* Ast/apply.scm 265 */
												BgL_refz00_bglt BgL_new1141z00_1588;

												{	/* Ast/apply.scm 268 */
													BgL_refz00_bglt BgL_new1140z00_1590;

													BgL_new1140z00_1590 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/apply.scm 268 */
														long BgL_arg1657z00_1591;

														{	/* Ast/apply.scm 268 */
															obj_t BgL_classz00_2042;

															BgL_classz00_2042 = BGl_refz00zzast_nodez00;
															BgL_arg1657z00_1591 =
																BGL_CLASS_NUM(BgL_classz00_2042);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1140z00_1590),
															BgL_arg1657z00_1591);
													}
													{	/* Ast/apply.scm 268 */
														BgL_objectz00_bglt BgL_tmpz00_2947;

														BgL_tmpz00_2947 =
															((BgL_objectz00_bglt) BgL_new1140z00_1590);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2947, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1140z00_1590);
													BgL_new1141z00_1588 = BgL_new1140z00_1590;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1141z00_1588)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2287), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_2953;

													{	/* Ast/apply.scm 267 */
														BgL_typez00_bglt BgL_arg1656z00_1589;

														BgL_arg1656z00_1589 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2289)))->BgL_typez00);
														BgL_auxz00_2953 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1656z00_1589);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1141z00_1588)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2953), BUNSPEC);
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1141z00_1588)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2289)), BUNSPEC);
												BgL_arg1652z00_1587 = BgL_new1141z00_1588;
											}
											BgL_arg1647z00_1586 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1652z00_1587), BNIL);
										}
										BgL_arg1636z00_1585 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
											BgL_arg1647z00_1586);
									}
									BgL_arg1633z00_1584 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1636z00_1585,
										BgL_stackz00_2290, BgL_locz00_2287,
										CNST_TABLE_REF(((long) 1)));
								}
								BgL_arg1621z00_1581 =
									MAKE_YOUNG_PAIR(BgL_arg1632z00_1583,
									((obj_t) BgL_arg1633z00_1584));
							}
							{	/* Ast/apply.scm 261 */
								obj_t BgL_list1622z00_1582;

								BgL_list1622z00_1582 =
									MAKE_YOUNG_PAIR(BgL_arg1621z00_1581, BNIL);
								BgL_auxz00_2940 = BgL_list1622z00_1582;
						}}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1139z00_1580))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2940), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_2973;

						{	/* Ast/apply.scm 274 */
							obj_t BgL_arg1660z00_1592;

							{	/* Ast/apply.scm 274 */
								obj_t BgL_arg1665z00_1593;

								{	/* Ast/apply.scm 274 */
									obj_t BgL_arg1667z00_1594;
									obj_t BgL_arg1668z00_1595;

									{	/* Ast/apply.scm 274 */
										obj_t BgL_arg1675z00_1596;

										{	/* Ast/apply.scm 274 */
											BgL_refz00_bglt BgL_arg1676z00_1597;
											obj_t BgL_arg1678z00_1598;

											{	/* Ast/apply.scm 274 */
												BgL_refz00_bglt BgL_new1143z00_1599;

												{	/* Ast/apply.scm 277 */
													BgL_refz00_bglt BgL_new1142z00_1601;

													BgL_new1142z00_1601 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/apply.scm 277 */
														long BgL_arg1681z00_1602;

														{	/* Ast/apply.scm 277 */
															obj_t BgL_classz00_2048;

															BgL_classz00_2048 = BGl_refz00zzast_nodez00;
															BgL_arg1681z00_1602 =
																BGL_CLASS_NUM(BgL_classz00_2048);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1142z00_1601),
															BgL_arg1681z00_1602);
													}
													{	/* Ast/apply.scm 277 */
														BgL_objectz00_bglt BgL_tmpz00_2978;

														BgL_tmpz00_2978 =
															((BgL_objectz00_bglt) BgL_new1142z00_1601);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2978, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1142z00_1601);
													BgL_new1143z00_1599 = BgL_new1142z00_1601;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1143z00_1599)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2287), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_2984;

													{	/* Ast/apply.scm 276 */
														BgL_typez00_bglt BgL_arg1679z00_1600;

														BgL_arg1679z00_1600 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2289)))->BgL_typez00);
														BgL_auxz00_2984 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1679z00_1600);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1143z00_1599)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2984), BUNSPEC);
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1143z00_1599)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2289)), BUNSPEC);
												BgL_arg1676z00_1597 = BgL_new1143z00_1599;
											}
											{	/* Ast/apply.scm 278 */
												obj_t BgL_arg1682z00_1603;

												{	/* Ast/apply.scm 278 */
													obj_t BgL_arg1694z00_1604;

													{	/* Ast/apply.scm 278 */
														BgL_refz00_bglt BgL_arg1695z00_1605;

														{	/* Ast/apply.scm 278 */
															BgL_refz00_bglt BgL_new1145z00_1606;

															{	/* Ast/apply.scm 281 */
																BgL_refz00_bglt BgL_new1144z00_1608;

																BgL_new1144z00_1608 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Ast/apply.scm 281 */
																	long BgL_arg1699z00_1609;

																	{	/* Ast/apply.scm 281 */
																		obj_t BgL_classz00_2053;

																		BgL_classz00_2053 = BGl_refz00zzast_nodez00;
																		BgL_arg1699z00_1609 =
																			BGL_CLASS_NUM(BgL_classz00_2053);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1144z00_1608),
																		BgL_arg1699z00_1609);
																}
																{	/* Ast/apply.scm 281 */
																	BgL_objectz00_bglt BgL_tmpz00_2998;

																	BgL_tmpz00_2998 =
																		((BgL_objectz00_bglt) BgL_new1144z00_1608);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2998,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1144z00_1608);
																BgL_new1145z00_1606 = BgL_new1144z00_1608;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1145z00_1606)))->BgL_locz00) =
																((obj_t) BgL_locz00_2287), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_3004;

																{	/* Ast/apply.scm 280 */
																	BgL_typez00_bglt BgL_arg1696z00_1607;

																	BgL_arg1696z00_1607 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_runnerz00_2289)))->BgL_typez00);
																	BgL_auxz00_3004 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00),
																		BgL_arg1696z00_1607);
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1145z00_1606)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_3004),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1145z00_1606)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BgL_runnerz00_2289)), BUNSPEC);
															BgL_arg1695z00_1605 = BgL_new1145z00_1606;
														}
														BgL_arg1694z00_1604 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1695z00_1605), BNIL);
													}
													BgL_arg1682z00_1603 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
														BgL_arg1694z00_1604);
												}
												BgL_arg1678z00_1598 =
													MAKE_YOUNG_PAIR(BgL_arg1682z00_1603, BNIL);
											}
											BgL_arg1675z00_1596 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1676z00_1597), BgL_arg1678z00_1598);
										}
										BgL_arg1667z00_1594 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg1675z00_1596);
									}
									{	/* Ast/apply.scm 282 */
										BgL_nodezf2effectzf2_bglt BgL_arg1703z00_1610;

										{	/* Ast/apply.scm 282 */
											obj_t BgL_arg1706z00_1611;

											BgL_arg1706z00_1611 = CDR(((obj_t) BgL_localsz00_1546));
											BgL_arg1703z00_1610 =
												BGl_loopze70ze7zzast_applyz00(BgL_procz00_2292,
												BgL_framez00_2291, BgL_stackz00_2290,
												BgL_runnerz00_2289, BgL_typez00_2288, BgL_locz00_2287,
												BgL_arg1706z00_1611, BgL_localsz00_1546);
										}
										BgL_arg1668z00_1595 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1703z00_1610), BNIL);
									}
									BgL_arg1665z00_1593 =
										MAKE_YOUNG_PAIR(BgL_arg1667z00_1594, BgL_arg1668z00_1595);
								}
								BgL_arg1660z00_1592 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
									BgL_arg1665z00_1593);
							}
							BgL_auxz00_2973 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1660z00_1592,
								BgL_stackz00_2290, BgL_locz00_2287, CNST_TABLE_REF(((long) 1)));
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1139z00_1580))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_2973), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1139z00_1580))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodezf2effectzf2_bglt) BgL_new1139z00_1580);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_proc1918z00zzast_applyz00, BGl_funz00zzast_varz00,
				BGl_string1919z00zzast_applyz00);
		}

	}



/* &make-fun-frame1266 */
	obj_t BGl_z62makezd2funzd2frame1266z62zzast_applyz00(obj_t BgL_envz00_2277,
		obj_t BgL_funz00_2278)
	{
		{	/* Ast/apply.scm 61 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 12)),
				BGl_string1920z00zzast_applyz00,
				((obj_t) ((BgL_funz00_bglt) BgL_funz00_2278)));
		}

	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_7)
	{
		{	/* Ast/apply.scm 61 */
			{	/* Ast/apply.scm 61 */
				obj_t BgL_method1267z00_1624;

				{	/* Ast/apply.scm 61 */
					obj_t BgL_res1909z00_2089;

					{	/* Ast/apply.scm 61 */
						long BgL_objzd2classzd2numz00_2060;

						BgL_objzd2classzd2numz00_2060 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_7));
						{	/* Ast/apply.scm 61 */
							obj_t BgL_arg1829z00_2061;

							BgL_arg1829z00_2061 =
								PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
								(int) (((long) 1)));
							{	/* Ast/apply.scm 61 */
								int BgL_offsetz00_2064;

								BgL_offsetz00_2064 = (int) (BgL_objzd2classzd2numz00_2060);
								{	/* Ast/apply.scm 61 */
									long BgL_offsetz00_2065;

									BgL_offsetz00_2065 =
										((long) (BgL_offsetz00_2064) - OBJECT_TYPE);
									{	/* Ast/apply.scm 61 */
										long BgL_modz00_2066;

										BgL_modz00_2066 =
											(BgL_offsetz00_2065 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/apply.scm 61 */
											long BgL_restz00_2068;

											BgL_restz00_2068 =
												(BgL_offsetz00_2065 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/apply.scm 61 */

												{	/* Ast/apply.scm 61 */
													obj_t BgL_bucketz00_2070;

													BgL_bucketz00_2070 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2061), BgL_modz00_2066);
													BgL_res1909z00_2089 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2070), BgL_restz00_2068);
					}}}}}}}}
					BgL_method1267z00_1624 = BgL_res1909z00_2089;
				}
				return
					PROCEDURE_ENTRY(BgL_method1267z00_1624) (BgL_method1267z00_1624,
					((obj_t) BgL_funz00_7), BEOA);
			}
		}

	}



/* &make-fun-frame */
	obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t BgL_envz00_2279,
		obj_t BgL_funz00_2280)
	{
		{	/* Ast/apply.scm 61 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				((BgL_funz00_bglt) BgL_funz00_2280));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00,
				BGl_proc1921z00zzast_applyz00, BGl_string1922z00zzast_applyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00,
				BGl_proc1923z00zzast_applyz00, BGl_string1922z00zzast_applyz00);
		}

	}



/* &make-fun-frame-cfun1271 */
	obj_t BGl_z62makezd2funzd2framezd2cfun1271zb0zzast_applyz00(obj_t
		BgL_envz00_2283, obj_t BgL_funz00_2284)
	{
		{	/* Ast/apply.scm 86 */
			{	/* Ast/apply.scm 87 */
				long BgL_arityz00_2316;

				BgL_arityz00_2316 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_cfunz00_bglt) BgL_funz00_2284))))->BgL_arityz00);
				{	/* Ast/apply.scm 88 */
					obj_t BgL_g1107z00_2317;

					BgL_g1107z00_2317 =
						(((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_funz00_2284)))->BgL_argszd2typezd2);
					{
						obj_t BgL_typesz00_2319;
						obj_t BgL_localsz00_2320;

						BgL_typesz00_2319 = BgL_g1107z00_2317;
						BgL_localsz00_2320 = BNIL;
					BgL_loopz00_2318:
						if (NULLP(BgL_typesz00_2319))
							{	/* Ast/apply.scm 91 */
								return bgl_reverse_bang(BgL_localsz00_2320);
							}
						else
							{	/* Ast/apply.scm 93 */
								bool_t BgL_test1976z00_3083;

								if (NULLP(CDR(((obj_t) BgL_typesz00_2319))))
									{	/* Ast/apply.scm 93 */
										BgL_test1976z00_3083 = (BgL_arityz00_2316 < ((long) 0));
									}
								else
									{	/* Ast/apply.scm 93 */
										BgL_test1976z00_3083 = ((bool_t) 0);
									}
								if (BgL_test1976z00_3083)
									{	/* Ast/apply.scm 93 */
										return bgl_reverse_bang(BgL_localsz00_2320);
									}
								else
									{	/* Ast/apply.scm 96 */
										obj_t BgL_arg1752z00_2321;
										obj_t BgL_arg1753z00_2322;

										BgL_arg1752z00_2321 = CDR(((obj_t) BgL_typesz00_2319));
										{	/* Ast/apply.scm 97 */
											BgL_localz00_bglt BgL_arg1759z00_2323;

											{	/* Ast/apply.scm 97 */
												obj_t BgL_arg1761z00_2324;
												obj_t BgL_arg1762z00_2325;

												BgL_arg1761z00_2324 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												BgL_arg1762z00_2325 = CAR(((obj_t) BgL_typesz00_2319));
												BgL_arg1759z00_2323 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(BgL_arg1761z00_2324,
													((BgL_typez00_bglt) BgL_arg1762z00_2325));
											}
											BgL_arg1753z00_2322 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1759z00_2323), BgL_localsz00_2320);
										}
										{
											obj_t BgL_localsz00_3102;
											obj_t BgL_typesz00_3101;

											BgL_typesz00_3101 = BgL_arg1752z00_2321;
											BgL_localsz00_3102 = BgL_arg1753z00_2322;
											BgL_localsz00_2320 = BgL_localsz00_3102;
											BgL_typesz00_2319 = BgL_typesz00_3101;
											goto BgL_loopz00_2318;
										}
									}
							}
					}
				}
			}
		}

	}



/* &make-fun-frame-sfun1269 */
	obj_t BGl_z62makezd2funzd2framezd2sfun1269zb0zzast_applyz00(obj_t
		BgL_envz00_2285, obj_t BgL_funz00_2286)
	{
		{	/* Ast/apply.scm 66 */
			{	/* Ast/apply.scm 67 */
				long BgL_arityz00_2327;

				BgL_arityz00_2327 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_funz00_2286))))->BgL_arityz00);
				{	/* Ast/apply.scm 68 */
					obj_t BgL_g1105z00_2328;

					BgL_g1105z00_2328 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2286)))->BgL_argsz00);
					{
						obj_t BgL_formalsz00_2330;
						obj_t BgL_localsz00_2331;

						BgL_formalsz00_2330 = BgL_g1105z00_2328;
						BgL_localsz00_2331 = BNIL;
					BgL_loopz00_2329:
						if (NULLP(BgL_formalsz00_2330))
							{	/* Ast/apply.scm 71 */
								return bgl_reverse_bang(BgL_localsz00_2331);
							}
						else
							{	/* Ast/apply.scm 73 */
								bool_t BgL_test1979z00_3111;

								if (NULLP(CDR(((obj_t) BgL_formalsz00_2330))))
									{	/* Ast/apply.scm 73 */
										BgL_test1979z00_3111 = (BgL_arityz00_2327 < ((long) 0));
									}
								else
									{	/* Ast/apply.scm 73 */
										BgL_test1979z00_3111 = ((bool_t) 0);
									}
								if (BgL_test1979z00_3111)
									{	/* Ast/apply.scm 73 */
										return bgl_reverse_bang(BgL_localsz00_2331);
									}
								else
									{	/* Ast/apply.scm 76 */
										obj_t BgL_arg1725z00_2332;
										obj_t BgL_arg1726z00_2333;

										BgL_arg1725z00_2332 = CDR(((obj_t) BgL_formalsz00_2330));
										{	/* Ast/apply.scm 77 */
											BgL_localz00_bglt BgL_arg1728z00_2334;

											{	/* Ast/apply.scm 77 */
												obj_t BgL_arg1729z00_2335;
												obj_t BgL_arg1731z00_2336;

												BgL_arg1729z00_2335 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												{	/* Ast/apply.scm 78 */
													bool_t BgL_test1981z00_3123;

													{	/* Ast/apply.scm 78 */
														obj_t BgL_arg1743z00_2337;

														BgL_arg1743z00_2337 =
															CAR(((obj_t) BgL_formalsz00_2330));
														{	/* Ast/apply.scm 78 */
															obj_t BgL_classz00_2338;

															BgL_classz00_2338 = BGl_typez00zztype_typez00;
															if (BGL_OBJECTP(BgL_arg1743z00_2337))
																{	/* Ast/apply.scm 78 */
																	BgL_objectz00_bglt BgL_arg1825z00_2339;

																	BgL_arg1825z00_2339 =
																		(BgL_objectz00_bglt) (BgL_arg1743z00_2337);
																	{	/* Ast/apply.scm 78 */
																		bool_t BgL_arg1822z00_2340;
																		bool_t BgL_arg1823z00_2341;

																		{	/* Ast/apply.scm 78 */
																			long BgL_idxz00_2342;

																			BgL_idxz00_2342 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2339);
																			BgL_arg1822z00_2340 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2342 + ((long) 1))) ==
																				BgL_classz00_2338);
																		}
																		{	/* Ast/apply.scm 78 */
																			bool_t BgL_res1910z00_2345;

																			{	/* Ast/apply.scm 78 */
																				obj_t BgL_oclassz00_2346;

																				{	/* Ast/apply.scm 78 */
																					long BgL_arg1833z00_2347;

																					{	/* Ast/apply.scm 78 */
																						long BgL_arg1834z00_2348;

																						BgL_arg1834z00_2348 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2339);
																						BgL_arg1833z00_2347 =
																							(BgL_arg1834z00_2348 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2346 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2347);
																				}
																				{	/* Ast/apply.scm 78 */
																					bool_t BgL__ortest_1110z00_2349;

																					BgL__ortest_1110z00_2349 =
																						(BgL_classz00_2338 ==
																						BgL_oclassz00_2346);
																					if (BgL__ortest_1110z00_2349)
																						{	/* Ast/apply.scm 78 */
																							BgL_res1910z00_2345 =
																								BgL__ortest_1110z00_2349;
																						}
																					else
																						{	/* Ast/apply.scm 78 */
																							long BgL_odepthz00_2350;

																							BgL_odepthz00_2350 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2346);
																							if ((((long) 1) <
																									BgL_odepthz00_2350))
																								{	/* Ast/apply.scm 78 */
																									obj_t BgL_arg1821z00_2351;

																									BgL_arg1821z00_2351 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2346,
																										((long) 1));
																									BgL_res1910z00_2345 =
																										(BgL_arg1821z00_2351 ==
																										BgL_classz00_2338);
																								}
																							else
																								{	/* Ast/apply.scm 78 */
																									BgL_res1910z00_2345 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2341 = BgL_res1910z00_2345;
																		}
																		BgL_test1981z00_3123 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2340,
																			BgL_arg1823z00_2341);
																	}
																}
															else
																{	/* Ast/apply.scm 78 */
																	BgL_test1981z00_3123 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1981z00_3123)
														{	/* Ast/apply.scm 78 */
															BgL_arg1731z00_2336 =
																CAR(((obj_t) BgL_formalsz00_2330));
														}
													else
														{	/* Ast/apply.scm 78 */
															BgL_arg1731z00_2336 =
																((obj_t)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_formalsz00_2330))))))->
																	BgL_typez00));
														}
												}
												BgL_arg1728z00_2334 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(BgL_arg1729z00_2335,
													((BgL_typez00_bglt) BgL_arg1731z00_2336));
											}
											BgL_arg1726z00_2333 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1728z00_2334), BgL_localsz00_2331);
										}
										{
											obj_t BgL_localsz00_3157;
											obj_t BgL_formalsz00_3156;

											BgL_formalsz00_3156 = BgL_arg1725z00_2332;
											BgL_localsz00_3157 = BgL_arg1726z00_2333;
											BgL_localsz00_2331 = BgL_localsz00_3157;
											BgL_formalsz00_2330 = BgL_formalsz00_3156;
											goto BgL_loopz00_2329;
										}
									}
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
	{
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1924z00zzast_applyz00));
		}

	}

#ifdef __cplusplus
}
#endif
