/*===========================================================================*/
/*   (Ast/glo_decl.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/glo_decl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t,
		obj_t, BgL_valuez00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_glozd2declzd2();
	static obj_t BGl_objectzd2initzd2zzast_glozd2declzd2();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_glozd2declzd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2declzd2();
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt
		BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2();
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2();
	static BgL_globalz00_bglt
		BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_glozd2declzd2();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_loopze70ze7zzast_glozd2declzd2(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1812z00zzast_glozd2declzd2 = BUNSPEC;
	extern obj_t BGl_cvarz00zzast_varz00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2scnstz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1825z00,
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2cfunz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1826z00,
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2sfunz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1827z00,
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 8);
	      DEFINE_STRING(BGl_string1813z00zzast_glozd2declzd2,
		BgL_bgl_string1813za700za7za7a1828za7, "", 0);
	      DEFINE_STRING(BGl_string1814z00zzast_glozd2declzd2,
		BgL_bgl_string1814za700za7za7a1829za7, "Illegal nary argument type", 26);
	      DEFINE_STRING(BGl_string1815z00zzast_glozd2declzd2,
		BgL_bgl_string1815za700za7za7a1830za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string1816z00zzast_glozd2declzd2,
		BgL_bgl_string1816za700za7za7a1831za7, "ast_glo-decl", 12);
	      DEFINE_STRING(BGl_string1817z00zzast_glozd2declzd2,
		BgL_bgl_string1817za700za7za7a1832za7,
		"foreign a-cnst write read (export import) bigloo sgfun \077\077? export bdb static ",
		77);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2cvarz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1833z00,
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2svarz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1834z00,
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 6);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_glozd2declzd2));
		     ADD_ROOT((void *) (&BGl_symbol1812z00zzast_glozd2declzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long
		BgL_checksumz00_2189, char *BgL_fromz00_2190)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2declzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_glozd2declzd2();
					BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2();
					BGl_cnstzd2initzd2zzast_glozd2declzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2();
					return BGl_methodzd2initzd2zzast_glozd2declzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_glo-decl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			{	/* Ast/glo_decl.scm 17 */
				obj_t BgL_cportz00_2177;

				{	/* Ast/glo_decl.scm 17 */
					obj_t BgL_stringz00_2185;

					BgL_stringz00_2185 = BGl_string1817z00zzast_glozd2declzd2;
					{	/* Ast/glo_decl.scm 17 */
						obj_t BgL_startz00_2186;

						BgL_startz00_2186 = BINT(((long) 0));
						{	/* Ast/glo_decl.scm 17 */
							obj_t BgL_endz00_2187;

							BgL_endz00_2187 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2185)));
							{	/* Ast/glo_decl.scm 17 */

								BgL_cportz00_2177 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2185, BgL_startz00_2186, BgL_endz00_2187);
				}}}}
				{
					long BgL_iz00_2178;

					BgL_iz00_2178 = ((long) 10);
				BgL_loopz00_2179:
					if ((BgL_iz00_2178 == ((long) -1)))
						{	/* Ast/glo_decl.scm 17 */
							BUNSPEC;
						}
					else
						{	/* Ast/glo_decl.scm 17 */
							{	/* Ast/glo_decl.scm 17 */
								obj_t BgL_arg1824z00_2181;

								{	/* Ast/glo_decl.scm 17 */

									{	/* Ast/glo_decl.scm 17 */
										obj_t BgL_locationz00_2183;

										BgL_locationz00_2183 = BBOOL(((bool_t) 0));
										{	/* Ast/glo_decl.scm 17 */

											BgL_arg1824z00_2181 =
												BGl_readz00zz__readerz00(BgL_cportz00_2177,
												BgL_locationz00_2183);
										}
									}
								}
								{	/* Ast/glo_decl.scm 17 */
									int BgL_tmpz00_2216;

									BgL_tmpz00_2216 = (int) (BgL_iz00_2178);
									CNST_TABLE_SET(BgL_tmpz00_2216, BgL_arg1824z00_2181);
							}}
							{	/* Ast/glo_decl.scm 17 */
								int BgL_auxz00_2184;

								BgL_auxz00_2184 = (int) ((BgL_iz00_2178 - ((long) 1)));
								{
									long BgL_iz00_2221;

									BgL_iz00_2221 = (long) (BgL_auxz00_2184);
									BgL_iz00_2178 = BgL_iz00_2221;
									goto BgL_loopz00_2179;
								}
							}
						}
				}
			}
			return (BGl_symbol1812z00zzast_glozd2declzd2 =
				bstring_to_symbol(BGl_string1813z00zzast_glozd2declzd2), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_glozd2declzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1513;

				BgL_headz00_1513 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1514;
					obj_t BgL_tailz00_1515;

					BgL_prevz00_1514 = BgL_headz00_1513;
					BgL_tailz00_1515 = BgL_l1z00_1;
				BgL_loopz00_1516:
					if (PAIRP(BgL_tailz00_1515))
						{
							obj_t BgL_newzd2prevzd2_1518;

							BgL_newzd2prevzd2_1518 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1515), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1514, BgL_newzd2prevzd2_1518);
							{
								obj_t BgL_tailz00_2232;
								obj_t BgL_prevz00_2231;

								BgL_prevz00_2231 = BgL_newzd2prevzd2_1518;
								BgL_tailz00_2232 = CDR(BgL_tailz00_1515);
								BgL_tailz00_1515 = BgL_tailz00_2232;
								BgL_prevz00_1514 = BgL_prevz00_2231;
								goto BgL_loopz00_1516;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1513);
				}
			}
		}

	}



/* declare-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_3,
		obj_t BgL_aliasz00_4, obj_t BgL_argsz00_5, obj_t BgL_modulez00_6,
		obj_t BgL_importz00_7, obj_t BgL_classz00_8, obj_t BgL_srcez00_9,
		obj_t BgL_srciz00_10)
	{
		{	/* Ast/glo_decl.scm 56 */
			if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00
				(BgL_argsz00_5))
				{	/* Ast/glo_decl.scm 60 */
					return
						BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2
						(BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_5), BNIL,
						BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
						BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
				}
			else
				{	/* Ast/glo_decl.scm 60 */
					if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00
						(BgL_argsz00_5))
						{	/* Ast/glo_decl.scm 62 */
							return
								BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2
								(BNIL, BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_5),
								BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
								BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
						}
					else
						{	/* Ast/glo_decl.scm 62 */
							return
								BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2
								(BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
								BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
						}
				}
		}

	}



/* &declare-global-sfun! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2133, obj_t BgL_idz00_2134, obj_t BgL_aliasz00_2135,
		obj_t BgL_argsz00_2136, obj_t BgL_modulez00_2137, obj_t BgL_importz00_2138,
		obj_t BgL_classz00_2139, obj_t BgL_srcez00_2140, obj_t BgL_srciz00_2141)
	{
		{	/* Ast/glo_decl.scm 56 */
			return
				BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_idz00_2134,
				BgL_aliasz00_2135, BgL_argsz00_2136, BgL_modulez00_2137,
				BgL_importz00_2138, BgL_classz00_2139, BgL_srcez00_2140,
				BgL_srciz00_2141);
		}

	}



/* declare-global-dsssl-sfun! */
	BgL_globalz00_bglt
		BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2(obj_t
		BgL_optsz00_11, obj_t BgL_keysz00_12, obj_t BgL_idz00_13,
		obj_t BgL_aliasz00_14, obj_t BgL_argsz00_15, obj_t BgL_modulez00_16,
		obj_t BgL_importz00_17, obj_t BgL_classz00_18, obj_t BgL_srcez00_19,
		obj_t BgL_srciz00_20)
	{
		{	/* Ast/glo_decl.scm 70 */
			{	/* Ast/glo_decl.scm 73 */
				long BgL_arityz00_1523;

				BgL_arityz00_1523 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_15);
				{	/* Ast/glo_decl.scm 73 */
					bool_t BgL_exportzf3zf3_1524;

					{	/* Ast/glo_decl.scm 74 */
						bool_t BgL__ortest_1107z00_1614;

						if ((BgL_importz00_17 == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/glo_decl.scm 74 */
								BgL__ortest_1107z00_1614 = ((bool_t) 0);
							}
						else
							{	/* Ast/glo_decl.scm 74 */
								BgL__ortest_1107z00_1614 = ((bool_t) 1);
							}
						if (BgL__ortest_1107z00_1614)
							{	/* Ast/glo_decl.scm 74 */
								BgL_exportzf3zf3_1524 = BgL__ortest_1107z00_1614;
							}
						else
							{	/* Ast/glo_decl.scm 75 */
								obj_t BgL__andtest_1108z00_1615;

								{	/* Ast/glo_decl.scm 75 */
									obj_t BgL_arg1430z00_1616;

									{	/* Ast/glo_decl.scm 75 */
										obj_t BgL_arg1454z00_1617;

										BgL_arg1454z00_1617 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg1430z00_1616 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg1454z00_1617)))->
											BgL_debugzd2supportzd2);
									}
									BgL__andtest_1108z00_1615 =
										BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
												(long) 1)), BgL_arg1430z00_1616);
								}
								if (CBOOL(BgL__andtest_1108z00_1615))
									{	/* Ast/glo_decl.scm 75 */
										BgL_exportzf3zf3_1524 =
											(
											(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3));
									}
								else
									{	/* Ast/glo_decl.scm 75 */
										BgL_exportzf3zf3_1524 = ((bool_t) 0);
									}
							}
					}
					{	/* Ast/glo_decl.scm 74 */
						obj_t BgL_importz00_1525;

						{	/* Ast/glo_decl.scm 77 */
							bool_t BgL_test1846z00_2259;

							if ((BgL_importz00_17 == CNST_TABLE_REF(((long) 0))))
								{	/* Ast/glo_decl.scm 78 */
									bool_t BgL_test1849z00_2263;

									{	/* Ast/glo_decl.scm 78 */
										obj_t BgL_arg1418z00_1612;

										{	/* Ast/glo_decl.scm 78 */
											obj_t BgL_arg1419z00_1613;

											BgL_arg1419z00_1613 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1418z00_1612 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1419z00_1613)))->
												BgL_debugzd2supportzd2);
										}
										BgL_test1849z00_2263 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(CNST_TABLE_REF(((long) 1)), BgL_arg1418z00_1612));
									}
									if (BgL_test1849z00_2263)
										{	/* Ast/glo_decl.scm 78 */
											BgL_test1846z00_2259 =
												(
												(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
												>= ((long) 3));
										}
									else
										{	/* Ast/glo_decl.scm 78 */
											BgL_test1846z00_2259 = ((bool_t) 0);
										}
								}
							else
								{	/* Ast/glo_decl.scm 77 */
									BgL_test1846z00_2259 = ((bool_t) 0);
								}
							if (BgL_test1846z00_2259)
								{	/* Ast/glo_decl.scm 77 */
									BgL_importz00_1525 = CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Ast/glo_decl.scm 77 */
									BgL_importz00_1525 = BgL_importz00_17;
								}
						}
						{	/* Ast/glo_decl.scm 77 */
							obj_t BgL_locz00_1526;

							BgL_locz00_1526 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_19);
							{	/* Ast/glo_decl.scm 82 */
								obj_t BgL_lociz00_1527;

								BgL_lociz00_1527 =
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_srciz00_20, BgL_locz00_1526);
								{	/* Ast/glo_decl.scm 83 */
									obj_t BgL_argsz00_1528;

									if (NULLP(BgL_keysz00_12))
										{	/* Ast/glo_decl.scm 84 */
											BgL_argsz00_1528 = BgL_argsz00_15;
										}
									else
										{	/* Ast/glo_decl.scm 84 */
											BgL_argsz00_1528 =
												BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_12,
												BgL_argsz00_15);
										}
									{	/* Ast/glo_decl.scm 84 */
										obj_t BgL_argszd2typezd2_1529;

										{
											obj_t BgL_argsz00_1565;
											obj_t BgL_resz00_1566;

											BgL_argsz00_1565 = BgL_argsz00_1528;
											BgL_resz00_1566 = BNIL;
										BgL_zc3z04anonymousza31332ze3z87_1567:
											if (NULLP(BgL_argsz00_1565))
												{	/* Ast/glo_decl.scm 102 */
													BgL_argszd2typezd2_1529 =
														bgl_reverse_bang(BgL_resz00_1566);
												}
											else
												{	/* Ast/glo_decl.scm 104 */
													bool_t BgL_test1852z00_2281;

													{	/* Ast/glo_decl.scm 104 */
														obj_t BgL_arg1358z00_1583;

														BgL_arg1358z00_1583 =
															CAR(((obj_t) BgL_argsz00_1565));
														BgL_test1852z00_2281 =
															BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
															(BgL_arg1358z00_1583);
													}
													if (BgL_test1852z00_2281)
														{	/* Ast/glo_decl.scm 105 */
															obj_t BgL_arg1343z00_1571;

															BgL_arg1343z00_1571 =
																CDR(((obj_t) BgL_argsz00_1565));
															{
																obj_t BgL_argsz00_2287;

																BgL_argsz00_2287 = BgL_arg1343z00_1571;
																BgL_argsz00_1565 = BgL_argsz00_2287;
																goto BgL_zc3z04anonymousza31332ze3z87_1567;
															}
														}
													else
														{	/* Ast/glo_decl.scm 107 */
															obj_t BgL_az00_1572;

															{	/* Ast/glo_decl.scm 107 */
																bool_t BgL_test1853z00_2288;

																{	/* Ast/glo_decl.scm 107 */
																	obj_t BgL_tmpz00_2289;

																	BgL_tmpz00_2289 =
																		CAR(((obj_t) BgL_argsz00_1565));
																	BgL_test1853z00_2288 =
																		SYMBOLP(BgL_tmpz00_2289);
																}
																if (BgL_test1853z00_2288)
																	{	/* Ast/glo_decl.scm 107 */
																		BgL_az00_1572 =
																			CAR(((obj_t) BgL_argsz00_1565));
																	}
																else
																	{	/* Ast/glo_decl.scm 109 */
																		obj_t BgL_pairz00_2031;

																		BgL_pairz00_2031 =
																			CAR(((obj_t) BgL_argsz00_1565));
																		BgL_az00_1572 = CAR(BgL_pairz00_2031);
																	}
															}
															{	/* Ast/glo_decl.scm 107 */
																obj_t BgL_tyz00_1573;

																{	/* Ast/glo_decl.scm 110 */
																	BgL_typez00_bglt BgL_tz00_1576;

																	BgL_tz00_1576 =
																		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00
																		(BgL_az00_1572, BgL_locz00_1526,
																		BgL_lociz00_1527);
																	{	/* Ast/glo_decl.scm 112 */
																		bool_t BgL_test1854z00_2299;

																		if (
																			(((obj_t) BgL_tz00_1576) ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_test1854z00_2299 =
																					BgL_exportzf3zf3_1524;
																			}
																		else
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_test1854z00_2299 = ((bool_t) 0);
																			}
																		if (BgL_test1854z00_2299)
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_tyz00_1573 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																		else
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_tyz00_1573 =
																					((obj_t) BgL_tz00_1576);
																			}
																	}
																}
																{	/* Ast/glo_decl.scm 110 */

																	{	/* Ast/glo_decl.scm 115 */
																		obj_t BgL_arg1347z00_1574;
																		obj_t BgL_arg1348z00_1575;

																		BgL_arg1347z00_1574 =
																			CDR(((obj_t) BgL_argsz00_1565));
																		BgL_arg1348z00_1575 =
																			MAKE_YOUNG_PAIR(BgL_tyz00_1573,
																			BgL_resz00_1566);
																		{
																			obj_t BgL_resz00_2308;
																			obj_t BgL_argsz00_2307;

																			BgL_argsz00_2307 = BgL_arg1347z00_1574;
																			BgL_resz00_2308 = BgL_arg1348z00_1575;
																			BgL_resz00_1566 = BgL_resz00_2308;
																			BgL_argsz00_1565 = BgL_argsz00_2307;
																			goto
																				BgL_zc3z04anonymousza31332ze3z87_1567;
																		}
																	}
																}
															}
														}
												}
										}
										{	/* Ast/glo_decl.scm 99 */
											obj_t BgL_argszd2namezd2_1530;

											{
												obj_t BgL_argsz00_1544;
												obj_t BgL_resz00_1545;

												BgL_argsz00_1544 = BgL_argsz00_1528;
												BgL_resz00_1545 = BNIL;
											BgL_zc3z04anonymousza31317ze3z87_1546:
												if (NULLP(BgL_argsz00_1544))
													{	/* Ast/glo_decl.scm 119 */
														BgL_argszd2namezd2_1530 =
															bgl_reverse_bang(BgL_resz00_1545);
													}
												else
													{	/* Ast/glo_decl.scm 121 */
														bool_t BgL_test1857z00_2312;

														{	/* Ast/glo_decl.scm 121 */
															obj_t BgL_arg1331z00_1561;

															BgL_arg1331z00_1561 =
																CAR(((obj_t) BgL_argsz00_1544));
															BgL_test1857z00_2312 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1331z00_1561);
														}
														if (BgL_test1857z00_2312)
															{	/* Ast/glo_decl.scm 122 */
																obj_t BgL_arg1322z00_1550;

																BgL_arg1322z00_1550 =
																	CDR(((obj_t) BgL_argsz00_1544));
																{
																	obj_t BgL_argsz00_2318;

																	BgL_argsz00_2318 = BgL_arg1322z00_1550;
																	BgL_argsz00_1544 = BgL_argsz00_2318;
																	goto BgL_zc3z04anonymousza31317ze3z87_1546;
																}
															}
														else
															{	/* Ast/glo_decl.scm 124 */
																obj_t BgL_az00_1551;

																{	/* Ast/glo_decl.scm 124 */
																	bool_t BgL_test1858z00_2319;

																	{	/* Ast/glo_decl.scm 124 */
																		obj_t BgL_tmpz00_2320;

																		BgL_tmpz00_2320 =
																			CAR(((obj_t) BgL_argsz00_1544));
																		BgL_test1858z00_2319 =
																			SYMBOLP(BgL_tmpz00_2320);
																	}
																	if (BgL_test1858z00_2319)
																		{	/* Ast/glo_decl.scm 124 */
																			BgL_az00_1551 =
																				CAR(((obj_t) BgL_argsz00_1544));
																		}
																	else
																		{	/* Ast/glo_decl.scm 126 */
																			obj_t BgL_pairz00_2040;

																			BgL_pairz00_2040 =
																				CAR(((obj_t) BgL_argsz00_1544));
																			BgL_az00_1551 = CAR(BgL_pairz00_2040);
																		}
																}
																{	/* Ast/glo_decl.scm 124 */
																	obj_t BgL_vidz00_1552;

																	BgL_vidz00_1552 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_az00_1551, BgL_locz00_1526);
																	{	/* Ast/glo_decl.scm 127 */
																		obj_t BgL_varz00_1553;

																		if (
																			(BgL_vidz00_1552 ==
																				BGl_symbol1812z00zzast_glozd2declzd2))
																			{	/* Ast/glo_decl.scm 129 */

																				{	/* Ast/glo_decl.scm 129 */

																					BgL_varz00_1553 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																				}
																			}
																		else
																			{	/* Ast/glo_decl.scm 128 */
																				BgL_varz00_1553 = BgL_vidz00_1552;
																			}
																		{	/* Ast/glo_decl.scm 128 */

																			{	/* Ast/glo_decl.scm 131 */
																				obj_t BgL_arg1323z00_1554;
																				obj_t BgL_arg1324z00_1555;

																				BgL_arg1323z00_1554 =
																					CDR(((obj_t) BgL_argsz00_1544));
																				BgL_arg1324z00_1555 =
																					MAKE_YOUNG_PAIR(BgL_varz00_1553,
																					BgL_resz00_1545);
																				{
																					obj_t BgL_resz00_2337;
																					obj_t BgL_argsz00_2336;

																					BgL_argsz00_2336 =
																						BgL_arg1323z00_1554;
																					BgL_resz00_2337 = BgL_arg1324z00_1555;
																					BgL_resz00_1545 = BgL_resz00_2337;
																					BgL_argsz00_1544 = BgL_argsz00_2336;
																					goto
																						BgL_zc3z04anonymousza31317ze3z87_1546;
																				}
																			}
																		}
																	}
																}
															}
													}
											}
											{	/* Ast/glo_decl.scm 116 */
												obj_t BgL_idzd2typezd2_1531;

												BgL_idzd2typezd2_1531 =
													BGl_parsezd2idzf2importzd2locationzf2zzast_identz00
													(BgL_idz00_13, BgL_locz00_1526, BgL_lociz00_1527);
												{	/* Ast/glo_decl.scm 132 */
													obj_t BgL_typezd2reszd2_1532;

													BgL_typezd2reszd2_1532 = CDR(BgL_idzd2typezd2_1531);
													{	/* Ast/glo_decl.scm 133 */
														obj_t BgL_idz00_1533;

														BgL_idz00_1533 = CAR(BgL_idzd2typezd2_1531);
														{	/* Ast/glo_decl.scm 134 */
															BgL_sfunz00_bglt BgL_sfunz00_1534;

															{	/* Ast/glo_decl.scm 135 */
																BgL_sfunz00_bglt BgL_new1112z00_1539;

																{	/* Ast/glo_decl.scm 136 */
																	BgL_sfunz00_bglt BgL_new1111z00_1540;

																	BgL_new1111z00_1540 =
																		((BgL_sfunz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_sfunz00_bgl))));
																	{	/* Ast/glo_decl.scm 136 */
																		long BgL_arg1316z00_1541;

																		BgL_arg1316z00_1541 =
																			BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1111z00_1540),
																			BgL_arg1316z00_1541);
																	}
																	{	/* Ast/glo_decl.scm 136 */
																		BgL_objectz00_bglt BgL_tmpz00_2345;

																		BgL_tmpz00_2345 =
																			((BgL_objectz00_bglt)
																			BgL_new1111z00_1540);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2345,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1111z00_1540);
																	BgL_new1112z00_1539 = BgL_new1111z00_1540;
																}
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_arityz00) =
																	((long) BgL_arityz00_1523), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_predicatezd2ofzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_stackzd2allocatorzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_topzf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_failsafez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_argszd2noescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1112z00_1539)))->
																		BgL_argszd2retescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_argsz00) =
																	((obj_t) BgL_argszd2typezd2_1529), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_argszd2namezd2) =
																	((obj_t) BgL_argszd2namezd2_1530), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_classz00) =
																	((obj_t) BgL_classz00_18), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_dssslzd2keywordszd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_optionalsz00) =
																	((obj_t) BgL_optsz00_11), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_keysz00) =
																	((obj_t) BgL_keysz00_12), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_thezd2closurezd2globalz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_strengthz00) =
																	((obj_t) CNST_TABLE_REF(((long) 3))),
																	BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1112z00_1539))->
																		BgL_stackablez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																BgL_sfunz00_1534 = BgL_new1112z00_1539;
															}
															{	/* Ast/glo_decl.scm 135 */
																obj_t BgL_oldz00_1535;

																BgL_oldz00_1535 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_1533, BNIL);
																{	/* Ast/glo_decl.scm 142 */
																	BgL_globalz00_bglt BgL_globalz00_1536;

																	BgL_globalz00_1536 =
																		BGl_bindzd2globalz12zc0zzast_envz00
																		(BgL_idz00_1533, BgL_aliasz00_14,
																		BgL_modulez00_16,
																		((BgL_valuez00_bglt) BgL_sfunz00_1534),
																		BgL_importz00_1525, BgL_srcez00_19);
																	{	/* Ast/glo_decl.scm 143 */

																		if (
																			(BgL_typezd2reszd2_1532 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 151 */
																				if (BgL_exportzf3zf3_1524)
																					{	/* Ast/glo_decl.scm 154 */
																						BgL_typez00_bglt BgL_vz00_2049;

																						BgL_vz00_2049 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																						((((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_globalz00_1536)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_vz00_2049), BUNSPEC);
																					}
																				else
																					{	/* Ast/glo_decl.scm 153 */
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_1536)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_typezd2reszd2_1532)),
																							BUNSPEC);
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 151 */
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_1536)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BgL_typezd2reszd2_1532)),
																					BUNSPEC);
																			}
																		return BgL_globalz00_1536;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_glozd2declzd2(obj_t BgL_keysz00_2176,
		obj_t BgL_argsz00_1587)
	{
		{	/* Ast/glo_decl.scm 87 */
			if (NULLP(BgL_argsz00_1587))
				{	/* Ast/glo_decl.scm 89 */
					return BNIL;
				}
			else
				{	/* Ast/glo_decl.scm 89 */
					if ((CAR(((obj_t) BgL_argsz00_1587)) == (BKEY)))
						{	/* Ast/glo_decl.scm 92 */
							obj_t BgL_arg1366z00_1592;
							obj_t BgL_arg1367z00_1593;

							BgL_arg1366z00_1592 = CAR(((obj_t) BgL_argsz00_1587));
							{	/* Ast/glo_decl.scm 95 */
								obj_t BgL_arg1369z00_1594;

								{	/* Ast/glo_decl.scm 95 */
									obj_t BgL_arg1370z00_1595;

									BgL_arg1370z00_1595 =
										BGl_dropz00zz__r4_pairs_and_lists_6_3z00(CDR(
											((obj_t) BgL_argsz00_1587)),
										bgl_list_length(BgL_keysz00_2176));
									BgL_arg1369z00_1594 =
										BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_2176,
										BgL_arg1370z00_1595);
								}
								BgL_arg1367z00_1593 =
									BGl_appendzd221011zd2zzast_glozd2declzd2(BgL_keysz00_2176,
									BgL_arg1369z00_1594);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1366z00_1592, BgL_arg1367z00_1593);
						}
					else
						{	/* Ast/glo_decl.scm 97 */
							obj_t BgL_arg1381z00_1598;
							obj_t BgL_arg1382z00_1599;

							BgL_arg1381z00_1598 = CAR(((obj_t) BgL_argsz00_1587));
							{	/* Ast/glo_decl.scm 97 */
								obj_t BgL_arg1383z00_1600;

								BgL_arg1383z00_1600 = CDR(((obj_t) BgL_argsz00_1587));
								BgL_arg1382z00_1599 =
									BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_2176,
									BgL_arg1383z00_1600);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1381z00_1598, BgL_arg1382z00_1599);
						}
				}
		}

	}



/* declare-global-noopt-sfun! */
	BgL_globalz00_bglt
		BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2(obj_t
		BgL_idz00_37, obj_t BgL_aliasz00_38, obj_t BgL_argsz00_39,
		obj_t BgL_modulez00_40, obj_t BgL_importz00_41, obj_t BgL_classz00_42,
		obj_t BgL_srcez00_43, obj_t BgL_srciz00_44)
	{
		{	/* Ast/glo_decl.scm 177 */
			{	/* Ast/glo_decl.scm 178 */
				long BgL_arityz00_1621;

				BgL_arityz00_1621 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_39);
				{	/* Ast/glo_decl.scm 178 */
					obj_t BgL_argsz00_1622;

					BgL_argsz00_1622 =
						BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_argsz00_39);
					{	/* Ast/glo_decl.scm 179 */
						bool_t BgL_exportzf3zf3_1623;

						{	/* Ast/glo_decl.scm 180 */
							bool_t BgL__ortest_1113z00_1699;

							if ((BgL_importz00_41 == CNST_TABLE_REF(((long) 0))))
								{	/* Ast/glo_decl.scm 180 */
									BgL__ortest_1113z00_1699 = ((bool_t) 0);
								}
							else
								{	/* Ast/glo_decl.scm 180 */
									BgL__ortest_1113z00_1699 = ((bool_t) 1);
								}
							if (BgL__ortest_1113z00_1699)
								{	/* Ast/glo_decl.scm 180 */
									BgL_exportzf3zf3_1623 = BgL__ortest_1113z00_1699;
								}
							else
								{	/* Ast/glo_decl.scm 181 */
									obj_t BgL__andtest_1114z00_1700;

									{	/* Ast/glo_decl.scm 181 */
										obj_t BgL_arg1585z00_1701;

										{	/* Ast/glo_decl.scm 181 */
											obj_t BgL_arg1586z00_1702;

											BgL_arg1586z00_1702 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1585z00_1701 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1586z00_1702)))->
												BgL_debugzd2supportzd2);
										}
										BgL__andtest_1114z00_1700 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
													(long) 1)), BgL_arg1585z00_1701);
									}
									if (CBOOL(BgL__andtest_1114z00_1700))
										{	/* Ast/glo_decl.scm 181 */
											BgL_exportzf3zf3_1623 =
												(
												(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
												>= ((long) 3));
										}
									else
										{	/* Ast/glo_decl.scm 181 */
											BgL_exportzf3zf3_1623 = ((bool_t) 0);
										}
								}
						}
						{	/* Ast/glo_decl.scm 180 */
							obj_t BgL_importz00_1624;

							{	/* Ast/glo_decl.scm 183 */
								bool_t BgL_test1867z00_2433;

								if ((BgL_importz00_41 == CNST_TABLE_REF(((long) 0))))
									{	/* Ast/glo_decl.scm 184 */
										bool_t BgL_test1869z00_2437;

										{	/* Ast/glo_decl.scm 184 */
											obj_t BgL_arg1583z00_1697;

											{	/* Ast/glo_decl.scm 184 */
												obj_t BgL_arg1584z00_1698;

												BgL_arg1584z00_1698 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1583z00_1697 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1584z00_1698)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1869z00_2437 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 1)), BgL_arg1583z00_1697));
										}
										if (BgL_test1869z00_2437)
											{	/* Ast/glo_decl.scm 184 */
												BgL_test1867z00_2433 =
													(
													(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													>= ((long) 3));
											}
										else
											{	/* Ast/glo_decl.scm 184 */
												BgL_test1867z00_2433 = ((bool_t) 0);
											}
									}
								else
									{	/* Ast/glo_decl.scm 183 */
										BgL_test1867z00_2433 = ((bool_t) 0);
									}
								if (BgL_test1867z00_2433)
									{	/* Ast/glo_decl.scm 183 */
										BgL_importz00_1624 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/glo_decl.scm 183 */
										BgL_importz00_1624 = BgL_importz00_41;
									}
							}
							{	/* Ast/glo_decl.scm 183 */
								obj_t BgL_locz00_1625;

								BgL_locz00_1625 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_43);
								{	/* Ast/glo_decl.scm 188 */
									obj_t BgL_lociz00_1626;

									BgL_lociz00_1626 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_srciz00_44, BgL_locz00_1625);
									{	/* Ast/glo_decl.scm 189 */
										obj_t BgL_argszd2typezd2_1627;

										{	/* Ast/glo_decl.scm 190 */
											bool_t BgL_g1116z00_1656;

											BgL_g1116z00_1656 =
												(BgL_classz00_42 == CNST_TABLE_REF(((long) 4)));
											{
												obj_t BgL_argsz00_1658;
												obj_t BgL_resz00_1659;
												bool_t BgL_sgfunzf3zf3_1660;

												BgL_argsz00_1658 = BgL_argsz00_1622;
												BgL_resz00_1659 = BNIL;
												BgL_sgfunzf3zf3_1660 = BgL_g1116z00_1656;
											BgL_zc3z04anonymousza31521ze3z87_1661:
												if (NULLP(BgL_argsz00_1658))
													{	/* Ast/glo_decl.scm 194 */
														if ((BgL_arityz00_1621 >= ((long) 0)))
															{	/* Ast/glo_decl.scm 195 */
																BgL_argszd2typezd2_1627 =
																	bgl_reverse_bang(BgL_resz00_1659);
															}
														else
															{	/* Ast/glo_decl.scm 197 */
																obj_t BgL_typez00_1664;

																BgL_typez00_1664 =
																	CAR(((obj_t) BgL_resz00_1659));
																{	/* Ast/glo_decl.scm 199 */
																	bool_t BgL_test1872z00_2458;

																	if (
																		(BgL_typez00_1664 ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_test1872z00_2458 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_test1872z00_2458 =
																				(BgL_typez00_1664 ==
																				BGl_za2pairzd2nilza2zd2zztype_cachez00);
																		}
																	if (BgL_test1872z00_2458)
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_argszd2typezd2_1627 =
																				bgl_reverse_bang(BgL_resz00_1659);
																		}
																	else
																		{	/* Ast/glo_decl.scm 199 */
																			if (
																				(BgL_typez00_1664 ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Ast/glo_decl.scm 203 */
																					obj_t BgL_arg1534z00_1668;

																					{	/* Ast/glo_decl.scm 203 */
																						obj_t BgL_arg1536z00_1669;

																						BgL_arg1536z00_1669 =
																							CDR(((obj_t) BgL_resz00_1659));
																						BgL_arg1534z00_1668 =
																							MAKE_YOUNG_PAIR
																							(BGl_za2objza2z00zztype_cachez00,
																							BgL_arg1536z00_1669);
																					}
																					BgL_argszd2typezd2_1627 =
																						bgl_reverse_bang
																						(BgL_arg1534z00_1668);
																				}
																			else
																				{	/* Ast/glo_decl.scm 202 */
																					BgL_argszd2typezd2_1627 =
																						BGl_userzd2errorzd2zztools_errorz00
																						(BgL_idz00_37,
																						BGl_string1814z00zzast_glozd2declzd2,
																						BGl_shapez00zztools_shapez00
																						(BgL_typez00_1664), BNIL);
																				}
																		}
																}
															}
													}
												else
													{	/* Ast/glo_decl.scm 208 */
														bool_t BgL_test1875z00_2471;

														{	/* Ast/glo_decl.scm 208 */
															obj_t BgL_arg1564z00_1686;

															BgL_arg1564z00_1686 =
																CAR(((obj_t) BgL_argsz00_1658));
															BgL_test1875z00_2471 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1564z00_1686);
														}
														if (BgL_test1875z00_2471)
															{	/* Ast/glo_decl.scm 209 */
																obj_t BgL_arg1551z00_1675;

																BgL_arg1551z00_1675 =
																	MAKE_YOUNG_PAIR
																	(BGl_za2objza2z00zztype_cachez00,
																	BgL_resz00_1659);
																BgL_argszd2typezd2_1627 =
																	bgl_reverse_bang(BgL_arg1551z00_1675);
															}
														else
															{	/* Ast/glo_decl.scm 211 */
																obj_t BgL_typez00_1676;

																{	/* Ast/glo_decl.scm 211 */
																	BgL_typez00_bglt BgL_tz00_1679;

																	{	/* Ast/glo_decl.scm 212 */
																		obj_t BgL_arg1563z00_1685;

																		BgL_arg1563z00_1685 =
																			CAR(((obj_t) BgL_argsz00_1658));
																		BgL_tz00_1679 =
																			BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00
																			(BgL_arg1563z00_1685, BgL_locz00_1625,
																			BgL_lociz00_1626);
																	}
																	{	/* Ast/glo_decl.scm 213 */
																		bool_t BgL_test1876z00_2480;

																		if (
																			(((obj_t) BgL_tz00_1679) ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 213 */
																				if (BgL_exportzf3zf3_1623)
																					{	/* Ast/glo_decl.scm 214 */
																						BgL_test1876z00_2480 =
																							BgL_exportzf3zf3_1623;
																					}
																				else
																					{	/* Ast/glo_decl.scm 214 */
																						BgL_test1876z00_2480 =
																							BgL_sgfunzf3zf3_1660;
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_test1876z00_2480 = ((bool_t) 0);
																			}
																		if (BgL_test1876z00_2480)
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_typez00_1676 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																		else
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_typez00_1676 =
																					((obj_t) BgL_tz00_1679);
																			}
																	}
																}
																{	/* Ast/glo_decl.scm 217 */
																	obj_t BgL_arg1552z00_1677;
																	obj_t BgL_arg1554z00_1678;

																	BgL_arg1552z00_1677 =
																		CDR(((obj_t) BgL_argsz00_1658));
																	BgL_arg1554z00_1678 =
																		MAKE_YOUNG_PAIR(BgL_typez00_1676,
																		BgL_resz00_1659);
																	{
																		bool_t BgL_sgfunzf3zf3_2491;
																		obj_t BgL_resz00_2490;
																		obj_t BgL_argsz00_2489;

																		BgL_argsz00_2489 = BgL_arg1552z00_1677;
																		BgL_resz00_2490 = BgL_arg1554z00_1678;
																		BgL_sgfunzf3zf3_2491 = ((bool_t) 0);
																		BgL_sgfunzf3zf3_1660 = BgL_sgfunzf3zf3_2491;
																		BgL_resz00_1659 = BgL_resz00_2490;
																		BgL_argsz00_1658 = BgL_argsz00_2489;
																		goto BgL_zc3z04anonymousza31521ze3z87_1661;
																	}
																}
															}
													}
											}
										}
										{	/* Ast/glo_decl.scm 190 */
											obj_t BgL_argszd2namezd2_1628;

											{
												obj_t BgL_argsz00_1642;
												obj_t BgL_resz00_1643;

												BgL_argsz00_1642 = BgL_argsz00_1622;
												BgL_resz00_1643 = BNIL;
											BgL_zc3z04anonymousza31463ze3z87_1644:
												if (NULLP(BgL_argsz00_1642))
													{	/* Ast/glo_decl.scm 223 */
														BgL_argszd2namezd2_1628 =
															bgl_reverse_bang(BgL_resz00_1643);
													}
												else
													{	/* Ast/glo_decl.scm 225 */
														bool_t BgL_test1880z00_2495;

														{	/* Ast/glo_decl.scm 225 */
															obj_t BgL_arg1520z00_1653;

															BgL_arg1520z00_1653 =
																CAR(((obj_t) BgL_argsz00_1642));
															BgL_test1880z00_2495 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1520z00_1653);
														}
														if (BgL_test1880z00_2495)
															{	/* Ast/glo_decl.scm 226 */
																obj_t BgL_arg1494z00_1648;

																BgL_arg1494z00_1648 =
																	CDR(((obj_t) BgL_argsz00_1642));
																{
																	obj_t BgL_argsz00_2501;

																	BgL_argsz00_2501 = BgL_arg1494z00_1648;
																	BgL_argsz00_1642 = BgL_argsz00_2501;
																	goto BgL_zc3z04anonymousza31463ze3z87_1644;
																}
															}
														else
															{	/* Ast/glo_decl.scm 228 */
																obj_t BgL_az00_1649;

																{	/* Ast/glo_decl.scm 228 */
																	obj_t BgL_arg1500z00_1652;

																	BgL_arg1500z00_1652 =
																		CAR(((obj_t) BgL_argsz00_1642));
																	BgL_az00_1649 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_arg1500z00_1652, BgL_locz00_1625);
																}
																{	/* Ast/glo_decl.scm 229 */
																	obj_t BgL_arg1496z00_1650;
																	obj_t BgL_arg1497z00_1651;

																	BgL_arg1496z00_1650 =
																		CDR(((obj_t) BgL_argsz00_1642));
																	BgL_arg1497z00_1651 =
																		MAKE_YOUNG_PAIR(BgL_az00_1649,
																		BgL_resz00_1643);
																	{
																		obj_t BgL_resz00_2509;
																		obj_t BgL_argsz00_2508;

																		BgL_argsz00_2508 = BgL_arg1496z00_1650;
																		BgL_resz00_2509 = BgL_arg1497z00_1651;
																		BgL_resz00_1643 = BgL_resz00_2509;
																		BgL_argsz00_1642 = BgL_argsz00_2508;
																		goto BgL_zc3z04anonymousza31463ze3z87_1644;
																	}
																}
															}
													}
											}
											{	/* Ast/glo_decl.scm 220 */
												obj_t BgL_idzd2typezd2_1629;

												BgL_idzd2typezd2_1629 =
													BGl_parsezd2idzf2importzd2locationzf2zzast_identz00
													(BgL_idz00_37, BgL_locz00_1625, BgL_lociz00_1626);
												{	/* Ast/glo_decl.scm 230 */
													obj_t BgL_typezd2reszd2_1630;

													BgL_typezd2reszd2_1630 = CDR(BgL_idzd2typezd2_1629);
													{	/* Ast/glo_decl.scm 231 */
														obj_t BgL_idz00_1631;

														BgL_idz00_1631 = CAR(BgL_idzd2typezd2_1629);
														{	/* Ast/glo_decl.scm 232 */
															BgL_sfunz00_bglt BgL_sfunz00_1632;

															{	/* Ast/glo_decl.scm 233 */
																BgL_sfunz00_bglt BgL_new1120z00_1637;

																{	/* Ast/glo_decl.scm 234 */
																	BgL_sfunz00_bglt BgL_new1119z00_1638;

																	BgL_new1119z00_1638 =
																		((BgL_sfunz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_sfunz00_bgl))));
																	{	/* Ast/glo_decl.scm 234 */
																		long BgL_arg1462z00_1639;

																		BgL_arg1462z00_1639 =
																			BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1119z00_1638),
																			BgL_arg1462z00_1639);
																	}
																	{	/* Ast/glo_decl.scm 234 */
																		BgL_objectz00_bglt BgL_tmpz00_2517;

																		BgL_tmpz00_2517 =
																			((BgL_objectz00_bglt)
																			BgL_new1119z00_1638);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2517,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1119z00_1638);
																	BgL_new1120z00_1637 = BgL_new1119z00_1638;
																}
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_arityz00) =
																	((long) BgL_arityz00_1621), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_predicatezd2ofzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_stackzd2allocatorzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_topzf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_failsafez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_argszd2noescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1120z00_1637)))->
																		BgL_argszd2retescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_argsz00) =
																	((obj_t) BgL_argszd2typezd2_1627), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_argszd2namezd2) =
																	((obj_t) BgL_argszd2namezd2_1628), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_classz00) =
																	((obj_t) BgL_classz00_42), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_dssslzd2keywordszd2) =
																	((obj_t)
																		BGl_dssslzd2formalszd2zztools_dssslz00
																		(BgL_argsz00_1622)), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_optionalsz00) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_keysz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_thezd2closurezd2globalz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_strengthz00) =
																	((obj_t) CNST_TABLE_REF(((long) 3))),
																	BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1120z00_1637))->
																		BgL_stackablez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																BgL_sfunz00_1632 = BgL_new1120z00_1637;
															}
															{	/* Ast/glo_decl.scm 233 */
																obj_t BgL_oldz00_1633;

																BgL_oldz00_1633 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_1631, BNIL);
																{	/* Ast/glo_decl.scm 239 */
																	BgL_globalz00_bglt BgL_globalz00_1634;

																	BgL_globalz00_1634 =
																		BGl_bindzd2globalz12zc0zzast_envz00
																		(BgL_idz00_1631, BgL_aliasz00_38,
																		BgL_modulez00_40,
																		((BgL_valuez00_bglt) BgL_sfunz00_1632),
																		BgL_importz00_1624, BgL_srcez00_43);
																	{	/* Ast/glo_decl.scm 240 */

																		if (
																			(BgL_typezd2reszd2_1630 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 248 */
																				if (BgL_exportzf3zf3_1623)
																					{	/* Ast/glo_decl.scm 251 */
																						BgL_typez00_bglt BgL_vz00_2079;

																						BgL_vz00_2079 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																						((((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_globalz00_1634)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_vz00_2079), BUNSPEC);
																					}
																				else
																					{	/* Ast/glo_decl.scm 250 */
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_1634)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_typezd2reszd2_1630)),
																							BUNSPEC);
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 248 */
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_1634)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BgL_typezd2reszd2_1630)),
																					BUNSPEC);
																			}
																		return BgL_globalz00_1634;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* declare-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_45,
		obj_t BgL_aliasz00_46, obj_t BgL_modulez00_47, obj_t BgL_importz00_48,
		obj_t BgL_srcez00_49, obj_t BgL_srciz00_50)
	{
		{	/* Ast/glo_decl.scm 260 */
			{	/* Ast/glo_decl.scm 261 */
				obj_t BgL_locz00_1704;

				BgL_locz00_1704 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_49);
				{	/* Ast/glo_decl.scm 261 */
					obj_t BgL_lociz00_1705;

					BgL_lociz00_1705 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_50,
						BgL_locz00_1704);
					{	/* Ast/glo_decl.scm 262 */
						obj_t BgL_idzd2typezd2_1706;

						BgL_idzd2typezd2_1706 =
							BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(BgL_idz00_45,
							BgL_locz00_1704, BgL_lociz00_1705);
						{	/* Ast/glo_decl.scm 263 */
							obj_t BgL_typez00_1707;

							{	/* Ast/glo_decl.scm 264 */
								obj_t BgL_typez00_1728;

								BgL_typez00_1728 = CDR(BgL_idzd2typezd2_1706);
								if (
									((((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_typez00_1728)))->
											BgL_classz00) == CNST_TABLE_REF(((long) 5))))
									{	/* Ast/glo_decl.scm 273 */
										bool_t BgL_test1884z00_2579;

										if ((BgL_typez00_1728 == BGl_za2_za2z00zztype_cachez00))
											{	/* Ast/glo_decl.scm 274 */
												obj_t BgL__ortest_1121z00_1738;

												BgL__ortest_1121z00_1738 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_importz00_48, CNST_TABLE_REF(((long) 6)));
												if (CBOOL(BgL__ortest_1121z00_1738))
													{	/* Ast/glo_decl.scm 274 */
														BgL_test1884z00_2579 =
															CBOOL(BgL__ortest_1121z00_1738);
													}
												else
													{	/* Ast/glo_decl.scm 275 */
														obj_t BgL__andtest_1122z00_1739;

														{	/* Ast/glo_decl.scm 276 */
															obj_t BgL_arg1636z00_1740;

															{	/* Ast/glo_decl.scm 276 */
																obj_t BgL_arg1647z00_1741;

																BgL_arg1647z00_1741 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1636z00_1740 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1647z00_1741)))->
																	BgL_debugzd2supportzd2);
															}
															BgL__andtest_1122z00_1739 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 1)),
																BgL_arg1636z00_1740);
														}
														if (CBOOL(BgL__andtest_1122z00_1739))
															{	/* Ast/glo_decl.scm 275 */
																BgL_test1884z00_2579 =
																	(
																	(long)
																	CINT
																	(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
																	((long) 0));
															}
														else
															{	/* Ast/glo_decl.scm 275 */
																BgL_test1884z00_2579 = ((bool_t) 0);
															}
													}
											}
										else
											{	/* Ast/glo_decl.scm 273 */
												BgL_test1884z00_2579 = ((bool_t) 0);
											}
										if (BgL_test1884z00_2579)
											{	/* Ast/glo_decl.scm 273 */
												BgL_typez00_1707 = BGl_za2objza2z00zztype_cachez00;
											}
										else
											{	/* Ast/glo_decl.scm 273 */
												BgL_typez00_1707 = BgL_typez00_1728;
											}
									}
								else
									{	/* Ast/glo_decl.scm 271 */
										obj_t BgL_arg1652z00_1742;

										BgL_arg1652z00_1742 =
											BGl_shapez00zztools_shapez00(BgL_typez00_1728);
										{	/* Ast/glo_decl.scm 269 */
											obj_t BgL_list1653z00_1743;

											BgL_list1653z00_1743 =
												MAKE_YOUNG_PAIR(BGl_za2_za2z00zztype_cachez00, BNIL);
											BgL_typez00_1707 =
												BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_45,
												BGl_string1815z00zzast_glozd2declzd2,
												BgL_arg1652z00_1742, BgL_list1653z00_1743);
										}
									}
							}
							{	/* Ast/glo_decl.scm 264 */
								obj_t BgL_importz00_1708;

								{	/* Ast/glo_decl.scm 281 */
									bool_t BgL_test1888z00_2599;

									if ((BgL_importz00_48 == CNST_TABLE_REF(((long) 0))))
										{	/* Ast/glo_decl.scm 282 */
											bool_t BgL_test1890z00_2603;

											{	/* Ast/glo_decl.scm 282 */
												obj_t BgL_arg1612z00_1726;

												{	/* Ast/glo_decl.scm 282 */
													obj_t BgL_arg1613z00_1727;

													BgL_arg1613z00_1727 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1612z00_1726 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1613z00_1727)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test1890z00_2603 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 1)), BgL_arg1612z00_1726));
											}
											if (BgL_test1890z00_2603)
												{	/* Ast/glo_decl.scm 282 */
													BgL_test1888z00_2599 =
														(
														(long)
														CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
														((long) 3));
												}
											else
												{	/* Ast/glo_decl.scm 282 */
													BgL_test1888z00_2599 = ((bool_t) 0);
												}
										}
									else
										{	/* Ast/glo_decl.scm 281 */
											BgL_test1888z00_2599 = ((bool_t) 0);
										}
									if (BgL_test1888z00_2599)
										{	/* Ast/glo_decl.scm 281 */
											BgL_importz00_1708 = CNST_TABLE_REF(((long) 2));
										}
									else
										{	/* Ast/glo_decl.scm 281 */
											BgL_importz00_1708 = BgL_importz00_48;
										}
								}
								{	/* Ast/glo_decl.scm 281 */
									obj_t BgL_idz00_1709;

									BgL_idz00_1709 = CAR(BgL_idzd2typezd2_1706);
									{	/* Ast/glo_decl.scm 286 */
										BgL_svarz00_bglt BgL_svarz00_1710;

										{	/* Ast/glo_decl.scm 287 */
											BgL_svarz00_bglt BgL_new1124z00_1714;

											{	/* Ast/glo_decl.scm 287 */
												BgL_svarz00_bglt BgL_new1123z00_1715;

												BgL_new1123z00_1715 =
													((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_svarz00_bgl))));
												{	/* Ast/glo_decl.scm 287 */
													long BgL_arg1595z00_1716;

													BgL_arg1595z00_1716 =
														BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1123z00_1715),
														BgL_arg1595z00_1716);
												}
												{	/* Ast/glo_decl.scm 287 */
													BgL_objectz00_bglt BgL_tmpz00_2618;

													BgL_tmpz00_2618 =
														((BgL_objectz00_bglt) BgL_new1123z00_1715);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2618, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1123z00_1715);
												BgL_new1124z00_1714 = BgL_new1123z00_1715;
											}
											((((BgL_svarz00_bglt) COBJECT(BgL_new1124z00_1714))->
													BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
											BgL_svarz00_1710 = BgL_new1124z00_1714;
										}
										{	/* Ast/glo_decl.scm 287 */
											BgL_globalz00_bglt BgL_globalz00_1711;

											BgL_globalz00_1711 =
												BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1709,
												BgL_aliasz00_46, BgL_modulez00_47,
												((BgL_valuez00_bglt) BgL_svarz00_1710),
												BgL_importz00_1708, BgL_srcez00_49);
											{	/* Ast/glo_decl.scm 288 */

												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_1711)))->
														BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_typez00_1707)), BUNSPEC);
												{	/* Ast/glo_decl.scm 292 */
													obj_t BgL_arg1588z00_1712;

													if (
														(BgL_importz00_1708 == CNST_TABLE_REF(((long) 0))))
														{	/* Ast/glo_decl.scm 292 */
															BgL_arg1588z00_1712 = CNST_TABLE_REF(((long) 7));
														}
													else
														{	/* Ast/glo_decl.scm 292 */
															BgL_arg1588z00_1712 = CNST_TABLE_REF(((long) 8));
														}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1711)))->BgL_accessz00) =
														((obj_t) BgL_arg1588z00_1712), BUNSPEC);
												}
												return BgL_globalz00_1711;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-svar! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2142, obj_t BgL_idz00_2143, obj_t BgL_aliasz00_2144,
		obj_t BgL_modulez00_2145, obj_t BgL_importz00_2146, obj_t BgL_srcez00_2147,
		obj_t BgL_srciz00_2148)
	{
		{	/* Ast/glo_decl.scm 260 */
			return
				BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_idz00_2143,
				BgL_aliasz00_2144, BgL_modulez00_2145, BgL_importz00_2146,
				BgL_srcez00_2147, BgL_srciz00_2148);
		}

	}



/* declare-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t BgL_idz00_51,
		obj_t BgL_aliasz00_52, obj_t BgL_modulez00_53, obj_t BgL_importz00_54,
		obj_t BgL_nodez00_55, obj_t BgL_classz00_56, obj_t BgL_locz00_57)
	{
		{	/* Ast/glo_decl.scm 299 */
			{	/* Ast/glo_decl.scm 300 */
				obj_t BgL_idzd2typezd2_1745;

				BgL_idzd2typezd2_1745 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_51, BgL_locz00_57);
				{	/* Ast/glo_decl.scm 300 */
					obj_t BgL_typez00_1746;

					{	/* Ast/glo_decl.scm 301 */
						obj_t BgL_typez00_1753;

						BgL_typez00_1753 = CDR(BgL_idzd2typezd2_1745);
						if ((BgL_typez00_1753 == BGl_za2_za2z00zztype_cachez00))
							{	/* Ast/glo_decl.scm 305 */
								BgL_typez00_1746 =
									BGl_internalzd2errorzd2zztools_errorz00(BgL_idz00_51,
									BGl_string1815z00zzast_glozd2declzd2,
									BGl_shapez00zztools_shapez00(BgL_typez00_1753));
							}
						else
							{	/* Ast/glo_decl.scm 305 */
								BgL_typez00_1746 = BgL_typez00_1753;
							}
					}
					{	/* Ast/glo_decl.scm 301 */
						obj_t BgL_idz00_1747;

						BgL_idz00_1747 = CAR(BgL_idzd2typezd2_1745);
						{	/* Ast/glo_decl.scm 311 */
							BgL_scnstz00_bglt BgL_scnstz00_1748;

							{	/* Ast/glo_decl.scm 312 */
								BgL_scnstz00_bglt BgL_new1126z00_1750;

								{	/* Ast/glo_decl.scm 314 */
									BgL_scnstz00_bglt BgL_new1125z00_1751;

									BgL_new1125z00_1751 =
										((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstz00_bgl))));
									{	/* Ast/glo_decl.scm 314 */
										long BgL_arg1657z00_1752;

										BgL_arg1657z00_1752 =
											BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1125z00_1751),
											BgL_arg1657z00_1752);
									}
									{	/* Ast/glo_decl.scm 314 */
										BgL_objectz00_bglt BgL_tmpz00_2647;

										BgL_tmpz00_2647 =
											((BgL_objectz00_bglt) BgL_new1125z00_1751);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2647, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1125z00_1751);
									BgL_new1126z00_1750 = BgL_new1125z00_1751;
								}
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1126z00_1750))->
										BgL_nodez00) = ((obj_t) BgL_nodez00_55), BUNSPEC);
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1126z00_1750))->
										BgL_classz00) = ((obj_t) BgL_classz00_56), BUNSPEC);
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1126z00_1750))->
										BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_scnstz00_1748 = BgL_new1126z00_1750;
							}
							{	/* Ast/glo_decl.scm 312 */
								BgL_globalz00_bglt BgL_globalz00_1749;

								BgL_globalz00_1749 =
									BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1747,
									BgL_aliasz00_52, BgL_modulez00_53,
									((BgL_valuez00_bglt) BgL_scnstz00_1748), BgL_importz00_54,
									CNST_TABLE_REF(((long) 9)));
								{	/* Ast/glo_decl.scm 315 */

									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1749)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typez00_1746)),
										BUNSPEC);
									{	/* Ast/glo_decl.scm 319 */
										obj_t BgL_vz00_2109;

										BgL_vz00_2109 = CNST_TABLE_REF(((long) 7));
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_1749)))->
												BgL_accessz00) = ((obj_t) BgL_vz00_2109), BUNSPEC);
									}
									return BgL_globalz00_1749;
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-scnst! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2149, obj_t BgL_idz00_2150, obj_t BgL_aliasz00_2151,
		obj_t BgL_modulez00_2152, obj_t BgL_importz00_2153, obj_t BgL_nodez00_2154,
		obj_t BgL_classz00_2155, obj_t BgL_locz00_2156)
	{
		{	/* Ast/glo_decl.scm 299 */
			return
				BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(BgL_idz00_2150,
				BgL_aliasz00_2151, BgL_modulez00_2152, BgL_importz00_2153,
				BgL_nodez00_2154, BgL_classz00_2155, BgL_locz00_2156);
		}

	}



/* declare-global-cfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_58,
		obj_t BgL_aliasz00_59, obj_t BgL_modulez00_60, obj_t BgL_namez00_61,
		obj_t BgL_treszd2idzd2_62, obj_t BgL_targszd2idzd2_63,
		bool_t BgL_infixzf3zf3_64, bool_t BgL_macrozf3zf3_65, obj_t BgL_srcez00_66,
		obj_t BgL_srciz00_67)
	{
		{	/* Ast/glo_decl.scm 326 */
			{	/* Ast/glo_decl.scm 327 */
				long BgL_arityz00_1756;

				BgL_arityz00_1756 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_targszd2idzd2_63);
				{	/* Ast/glo_decl.scm 327 */
					obj_t BgL_locz00_1757;

					BgL_locz00_1757 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_66);
					{	/* Ast/glo_decl.scm 328 */
						obj_t BgL_lociz00_1758;

						BgL_lociz00_1758 =
							BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_67,
							BgL_locz00_1757);
						{	/* Ast/glo_decl.scm 329 */
							BgL_typez00_bglt BgL_typezd2reszd2_1759;

							BgL_typezd2reszd2_1759 =
								BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
								(BgL_treszd2idzd2_62, BgL_locz00_1757, BgL_lociz00_1758);
							{	/* Ast/glo_decl.scm 330 */
								obj_t BgL_typezd2argszd2_1760;

								{	/* Ast/glo_decl.scm 331 */
									obj_t BgL_l1304z00_1766;

									BgL_l1304z00_1766 =
										BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
										(BgL_targszd2idzd2_63);
									if (NULLP(BgL_l1304z00_1766))
										{	/* Ast/glo_decl.scm 331 */
											BgL_typezd2argszd2_1760 = BNIL;
										}
									else
										{	/* Ast/glo_decl.scm 331 */
											obj_t BgL_head1306z00_1768;

											BgL_head1306z00_1768 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l1304z00_1770;
												obj_t BgL_tail1307z00_1771;

												BgL_l1304z00_1770 = BgL_l1304z00_1766;
												BgL_tail1307z00_1771 = BgL_head1306z00_1768;
											BgL_zc3z04anonymousza31667ze3z87_1772:
												if (NULLP(BgL_l1304z00_1770))
													{	/* Ast/glo_decl.scm 331 */
														BgL_typezd2argszd2_1760 = CDR(BgL_head1306z00_1768);
													}
												else
													{	/* Ast/glo_decl.scm 331 */
														obj_t BgL_newtail1308z00_1774;

														{	/* Ast/glo_decl.scm 331 */
															BgL_typez00_bglt BgL_arg1676z00_1776;

															{	/* Ast/glo_decl.scm 331 */
																obj_t BgL_tz00_1777;

																BgL_tz00_1777 =
																	CAR(((obj_t) BgL_l1304z00_1770));
																BgL_arg1676z00_1776 =
																	BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
																	(BgL_tz00_1777, BgL_locz00_1757,
																	BgL_lociz00_1758);
															}
															BgL_newtail1308z00_1774 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1676z00_1776), BNIL);
														}
														SET_CDR(BgL_tail1307z00_1771,
															BgL_newtail1308z00_1774);
														{	/* Ast/glo_decl.scm 331 */
															obj_t BgL_arg1675z00_1775;

															BgL_arg1675z00_1775 =
																CDR(((obj_t) BgL_l1304z00_1770));
															{
																obj_t BgL_tail1307z00_2684;
																obj_t BgL_l1304z00_2683;

																BgL_l1304z00_2683 = BgL_arg1675z00_1775;
																BgL_tail1307z00_2684 = BgL_newtail1308z00_1774;
																BgL_tail1307z00_1771 = BgL_tail1307z00_2684;
																BgL_l1304z00_1770 = BgL_l1304z00_2683;
																goto BgL_zc3z04anonymousza31667ze3z87_1772;
															}
														}
													}
											}
										}
								}
								{	/* Ast/glo_decl.scm 331 */
									BgL_cfunz00_bglt BgL_cfunz00_1761;

									{	/* Ast/glo_decl.scm 334 */
										BgL_cfunz00_bglt BgL_new1130z00_1763;

										{	/* Ast/glo_decl.scm 334 */
											BgL_cfunz00_bglt BgL_new1129z00_1764;

											BgL_new1129z00_1764 =
												((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_cfunz00_bgl))));
											{	/* Ast/glo_decl.scm 334 */
												long BgL_arg1665z00_1765;

												BgL_arg1665z00_1765 =
													BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1129z00_1764),
													BgL_arg1665z00_1765);
											}
											{	/* Ast/glo_decl.scm 334 */
												BgL_objectz00_bglt BgL_tmpz00_2689;

												BgL_tmpz00_2689 =
													((BgL_objectz00_bglt) BgL_new1129z00_1764);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2689, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1129z00_1764);
											BgL_new1130z00_1763 = BgL_new1129z00_1764;
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1130z00_1763)))->
												BgL_arityz00) = ((long) BgL_arityz00_1756), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_predicatezd2ofzd2) =
											((obj_t) BFALSE), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->
												BgL_stackzd2allocatorzd2) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_topzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_thezd2closurezd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_effectz00) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_failsafez00) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_argszd2noescapezd2) =
											((obj_t) BNIL), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1130z00_1763)))->BgL_argszd2retescapezd2) =
											((obj_t) BNIL), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1130z00_1763))->
												BgL_argszd2typezd2) =
											((obj_t) BgL_typezd2argszd2_1760), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1130z00_1763))->
												BgL_macrozf3zf3) =
											((bool_t) BgL_macrozf3zf3_65), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1130z00_1763))->
												BgL_infixzf3zf3) =
											((bool_t) BgL_infixzf3zf3_64), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1130z00_1763))->
												BgL_methodz00) = ((obj_t) BNIL), BUNSPEC);
										BgL_cfunz00_1761 = BgL_new1130z00_1763;
									}
									{	/* Ast/glo_decl.scm 334 */
										BgL_globalz00_bglt BgL_globalz00_1762;

										BgL_globalz00_1762 =
											BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_58,
											BgL_aliasz00_59, BgL_modulez00_60,
											((BgL_valuez00_bglt) BgL_cfunz00_1761),
											CNST_TABLE_REF(((long) 10)), BgL_srcez00_66);
										{	/* Ast/glo_decl.scm 338 */

											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_1762)))->
													BgL_namez00) = ((obj_t) BgL_namez00_61), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_globalz00_1762)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_typezd2reszd2_1759), BUNSPEC);
											((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_1762))->
													BgL_evaluablezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
											return BgL_globalz00_1762;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-cfun! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2157, obj_t BgL_idz00_2158, obj_t BgL_aliasz00_2159,
		obj_t BgL_modulez00_2160, obj_t BgL_namez00_2161,
		obj_t BgL_treszd2idzd2_2162, obj_t BgL_targszd2idzd2_2163,
		obj_t BgL_infixzf3zf3_2164, obj_t BgL_macrozf3zf3_2165,
		obj_t BgL_srcez00_2166, obj_t BgL_srciz00_2167)
	{
		{	/* Ast/glo_decl.scm 326 */
			return
				BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_idz00_2158,
				BgL_aliasz00_2159, BgL_modulez00_2160, BgL_namez00_2161,
				BgL_treszd2idzd2_2162, BgL_targszd2idzd2_2163,
				CBOOL(BgL_infixzf3zf3_2164), CBOOL(BgL_macrozf3zf3_2165),
				BgL_srcez00_2166, BgL_srciz00_2167);
		}

	}



/* declare-global-cvar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_68,
		obj_t BgL_aliasz00_69, obj_t BgL_namez00_70, obj_t BgL_typezd2idzd2_71,
		bool_t BgL_macrozf3zf3_72, obj_t BgL_srcez00_73, obj_t BgL_srciz00_74)
	{
		{	/* Ast/glo_decl.scm 351 */
			{	/* Ast/glo_decl.scm 352 */
				obj_t BgL_locz00_1779;

				BgL_locz00_1779 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_73);
				{	/* Ast/glo_decl.scm 352 */
					obj_t BgL_lociz00_1780;

					BgL_lociz00_1780 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_74,
						BgL_locz00_1779);
					{	/* Ast/glo_decl.scm 353 */
						BgL_typez00_bglt BgL_typez00_1781;

						BgL_typez00_1781 =
							BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
							(BgL_typezd2idzd2_71, BgL_locz00_1779, BgL_lociz00_1780);
						{	/* Ast/glo_decl.scm 354 */
							BgL_cvarz00_bglt BgL_cvarz00_1782;

							{	/* Ast/glo_decl.scm 355 */
								BgL_cvarz00_bglt BgL_new1132z00_1784;

								{	/* Ast/glo_decl.scm 355 */
									BgL_cvarz00_bglt BgL_new1131z00_1785;

									BgL_new1131z00_1785 =
										((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_cvarz00_bgl))));
									{	/* Ast/glo_decl.scm 355 */
										long BgL_arg1678z00_1786;

										BgL_arg1678z00_1786 =
											BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1131z00_1785),
											BgL_arg1678z00_1786);
									}
									{	/* Ast/glo_decl.scm 355 */
										BgL_objectz00_bglt BgL_tmpz00_2735;

										BgL_tmpz00_2735 =
											((BgL_objectz00_bglt) BgL_new1131z00_1785);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2735, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1131z00_1785);
									BgL_new1132z00_1784 = BgL_new1131z00_1785;
								}
								((((BgL_cvarz00_bglt) COBJECT(BgL_new1132z00_1784))->
										BgL_macrozf3zf3) = ((bool_t) BgL_macrozf3zf3_72), BUNSPEC);
								BgL_cvarz00_1782 = BgL_new1132z00_1784;
							}
							{	/* Ast/glo_decl.scm 355 */
								BgL_globalz00_bglt BgL_globalz00_1783;

								BgL_globalz00_1783 =
									BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_68,
									BgL_aliasz00_69, CNST_TABLE_REF(((long) 10)),
									((BgL_valuez00_bglt) BgL_cvarz00_1782),
									CNST_TABLE_REF(((long) 10)), BgL_srcez00_73);
								{	/* Ast/glo_decl.scm 356 */

									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1783)))->
											BgL_namez00) = ((obj_t) BgL_namez00_70), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_globalz00_1783)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_typez00_1781), BUNSPEC);
									((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_1783))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									return BgL_globalz00_1783;
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-cvar! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2168, obj_t BgL_idz00_2169, obj_t BgL_aliasz00_2170,
		obj_t BgL_namez00_2171, obj_t BgL_typezd2idzd2_2172,
		obj_t BgL_macrozf3zf3_2173, obj_t BgL_srcez00_2174, obj_t BgL_srciz00_2175)
	{
		{	/* Ast/glo_decl.scm 351 */
			return
				BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_idz00_2169,
				BgL_aliasz00_2170, BgL_namez00_2171, BgL_typezd2idzd2_2172,
				CBOOL(BgL_macrozf3zf3_2173), BgL_srcez00_2174, BgL_srciz00_2175);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2()
	{
		{	/* Ast/glo_decl.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1816z00zzast_glozd2declzd2));
		}

	}

#ifdef __cplusplus
}
#endif
