/*===========================================================================*/
/*   (Ast/glo_def.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/glo_def.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;


	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_glozd2defzd2();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_objectzd2initzd2zzast_glozd2defzd2();
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2defzd2();
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
	static BgL_globalz00_bglt
		BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_glozd2defzd2();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t,
		BgL_typez00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern bool_t BGl_dssslzd2prototypezf3z21zztools_dssslz00(obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2methodzd2definitionzd2envzd2zzast_glozd2defzd2,
		BgL_bgl_za762checkza7d2metho1944z00,
		BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2scnstz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71945za7,
		BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string1923z00zzast_glozd2defzd2,
		BgL_bgl_string1923za700za7za7a1946za7, "check-method-definition", 23);
	      DEFINE_STRING(BGl_string1924z00zzast_glozd2defzd2,
		BgL_bgl_string1924za700za7za7a1947za7, "unexpected generic arg", 22);
	      DEFINE_STRING(BGl_string1925z00zzast_glozd2defzd2,
		BgL_bgl_string1925za700za7za7a1948za7,
		"(incompatible DSSSL #!optional prototype)", 41);
	      DEFINE_STRING(BGl_string1926z00zzast_glozd2defzd2,
		BgL_bgl_string1926za700za7za7a1949za7,
		"(incompatible DSSSL #!key prototype)", 36);
	      DEFINE_STRING(BGl_string1927z00zzast_glozd2defzd2,
		BgL_bgl_string1927za700za7za7a1950za7, "(incompatible Dsssl prototype)",
		30);
	      DEFINE_STRING(BGl_string1928z00zzast_glozd2defzd2,
		BgL_bgl_string1928za700za7za7a1951za7, "(arity differs)", 15);
	      DEFINE_STRING(BGl_string1929z00zzast_glozd2defzd2,
		BgL_bgl_string1929za700za7za7a1952za7, "(incompatible formal type)", 26);
	      DEFINE_STRING(BGl_string1930z00zzast_glozd2defzd2,
		BgL_bgl_string1930za700za7za7a1953za7,
		"(incompatible function type result)", 35);
	      DEFINE_STRING(BGl_string1931z00zzast_glozd2defzd2,
		BgL_bgl_string1931za700za7za7a1954za7,
		"(declared as function of another class (~a/~a))", 47);
	      DEFINE_STRING(BGl_string1932z00zzast_glozd2defzd2,
		BgL_bgl_string1932za700za7za7a1955za7, "(not declared as function)", 26);
	      DEFINE_STRING(BGl_string1933z00zzast_glozd2defzd2,
		BgL_bgl_string1933za700za7za7a1956za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string1934z00zzast_glozd2defzd2,
		BgL_bgl_string1934za700za7za7a1957za7, "(incompatible variable type)", 28);
	      DEFINE_STRING(BGl_string1935z00zzast_glozd2defzd2,
		BgL_bgl_string1935za700za7za7a1958za7, "(not declared as a variable)", 28);
	      DEFINE_STRING(BGl_string1936z00zzast_glozd2defzd2,
		BgL_bgl_string1936za700za7za7a1959za7,
		"Prototype and definition don't match", 36);
	      DEFINE_STRING(BGl_string1937z00zzast_glozd2defzd2,
		BgL_bgl_string1937za700za7za7a1960za7, " ", 1);
	      DEFINE_STRING(BGl_string1938z00zzast_glozd2defzd2,
		BgL_bgl_string1938za700za7za7a1961za7, "argument missing", 16);
	      DEFINE_STRING(BGl_string1939z00zzast_glozd2defzd2,
		BgL_bgl_string1939za700za7za7a1962za7, "(generic not found for method)",
		30);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunzd2nozd2warningz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71963za7,
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2, 0L,
		BUNSPEC, 8);
	      DEFINE_STRING(BGl_string1940z00zzast_glozd2defzd2,
		BgL_bgl_string1940za700za7za7a1964za7, "ast_glo-def", 11);
	      DEFINE_STRING(BGl_string1941z00zzast_glozd2defzd2,
		BgL_bgl_string1941za700za7za7a1965za7,
		"bigloo now sgfun static export bdb ", 35);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71966za7,
		BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2svarz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71967za7,
		BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_glozd2defzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long
		BgL_checksumz00_3038, char *BgL_fromz00_3039)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2defzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_glozd2defzd2();
					BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
					BGl_cnstzd2initzd2zzast_glozd2defzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
					return BGl_methodzd2initzd2zzast_glozd2defzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_glo-def");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			{	/* Ast/glo_def.scm 15 */
				obj_t BgL_cportz00_3026;

				{	/* Ast/glo_def.scm 15 */
					obj_t BgL_stringz00_3034;

					BgL_stringz00_3034 = BGl_string1941z00zzast_glozd2defzd2;
					{	/* Ast/glo_def.scm 15 */
						obj_t BgL_startz00_3035;

						BgL_startz00_3035 = BINT(((long) 0));
						{	/* Ast/glo_def.scm 15 */
							obj_t BgL_endz00_3036;

							BgL_endz00_3036 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3034)));
							{	/* Ast/glo_def.scm 15 */

								BgL_cportz00_3026 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3034, BgL_startz00_3035, BgL_endz00_3036);
				}}}}
				{
					long BgL_iz00_3027;

					BgL_iz00_3027 = ((long) 5);
				BgL_loopz00_3028:
					if ((BgL_iz00_3027 == ((long) -1)))
						{	/* Ast/glo_def.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/glo_def.scm 15 */
							{	/* Ast/glo_def.scm 15 */
								obj_t BgL_arg1943z00_3030;

								{	/* Ast/glo_def.scm 15 */

									{	/* Ast/glo_def.scm 15 */
										obj_t BgL_locationz00_3032;

										BgL_locationz00_3032 = BBOOL(((bool_t) 0));
										{	/* Ast/glo_def.scm 15 */

											BgL_arg1943z00_3030 =
												BGl_readz00zz__readerz00(BgL_cportz00_3026,
												BgL_locationz00_3032);
										}
									}
								}
								{	/* Ast/glo_def.scm 15 */
									int BgL_tmpz00_3067;

									BgL_tmpz00_3067 = (int) (BgL_iz00_3027);
									CNST_TABLE_SET(BgL_tmpz00_3067, BgL_arg1943z00_3030);
							}}
							{	/* Ast/glo_def.scm 15 */
								int BgL_auxz00_3033;

								BgL_auxz00_3033 = (int) ((BgL_iz00_3027 - ((long) 1)));
								{
									long BgL_iz00_3072;

									BgL_iz00_3072 = (long) (BgL_auxz00_3033);
									BgL_iz00_3027 = BgL_iz00_3072;
									goto BgL_loopz00_3028;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* def-global-sfun-no-warning! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t
		BgL_idz00_3, obj_t BgL_argsz00_4, obj_t BgL_locz00_5, obj_t BgL_modz00_6,
		obj_t BgL_classz00_7, obj_t BgL_srczd2expzd2_8, obj_t BgL_remz00_9,
		obj_t BgL_nodez00_10)
	{
		{	/* Ast/glo_def.scm 67 */
			{	/* Ast/glo_def.scm 68 */
				int BgL_warningz00_2207;

				BgL_warningz00_2207 = BGl_bigloozd2warningzd2zz__paramz00();
				BGl_bigloozd2warningzd2setz12z12zz__paramz00((int) (((long) 0)));
				{	/* Ast/glo_def.scm 70 */
					BgL_globalz00_bglt BgL_funz00_2208;

					BgL_funz00_2208 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_3,
						BgL_argsz00_4, BgL_locz00_5, BgL_modz00_6, BgL_classz00_7,
						BgL_srczd2expzd2_8, BgL_remz00_9, BgL_nodez00_10);
					BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_warningz00_2207);
					return BgL_funz00_2208;
				}
			}
		}

	}



/* &def-global-sfun-no-warning! */
	BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2992, obj_t BgL_idz00_2993, obj_t BgL_argsz00_2994,
		obj_t BgL_locz00_2995, obj_t BgL_modz00_2996, obj_t BgL_classz00_2997,
		obj_t BgL_srczd2expzd2_2998, obj_t BgL_remz00_2999, obj_t BgL_nodez00_3000)
	{
		{	/* Ast/glo_def.scm 67 */
			return
				BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
				(BgL_idz00_2993, BgL_argsz00_2994, BgL_locz00_2995, BgL_modz00_2996,
				BgL_classz00_2997, BgL_srczd2expzd2_2998, BgL_remz00_2999,
				BgL_nodez00_3000);
		}

	}



/* def-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_idz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_localsz00_13, obj_t BgL_modulez00_14,
		obj_t BgL_classz00_15, obj_t BgL_srczd2expzd2_16, obj_t BgL_remz00_17,
		obj_t BgL_nodez00_18)
	{
		{	/* Ast/glo_def.scm 80 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_11);
			{	/* Ast/glo_def.scm 86 */
				obj_t BgL_locz00_1713;

				BgL_locz00_1713 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_16);
				{	/* Ast/glo_def.scm 86 */
					obj_t BgL_idzd2typezd2_1714;

					BgL_idzd2typezd2_1714 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_11, BgL_locz00_1713);
					{	/* Ast/glo_def.scm 87 */
						obj_t BgL_typezd2reszd2_1715;

						BgL_typezd2reszd2_1715 = CDR(BgL_idzd2typezd2_1714);
						{	/* Ast/glo_def.scm 88 */
							obj_t BgL_idz00_1716;

							BgL_idz00_1716 = CAR(BgL_idzd2typezd2_1714);
							{	/* Ast/glo_def.scm 89 */
								obj_t BgL_importz00_1717;

								{	/* Ast/glo_def.scm 90 */
									bool_t BgL_test1970z00_3086;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3)))
										{	/* Ast/glo_def.scm 91 */
											obj_t BgL_arg1400z00_1770;

											{	/* Ast/glo_def.scm 91 */
												obj_t BgL_arg1401z00_1771;

												BgL_arg1401z00_1771 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1400z00_1770 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1401z00_1771)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1970z00_3086 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1400z00_1770));
										}
									else
										{	/* Ast/glo_def.scm 90 */
											BgL_test1970z00_3086 = ((bool_t) 0);
										}
									if (BgL_test1970z00_3086)
										{	/* Ast/glo_def.scm 90 */
											BgL_importz00_1717 = CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* Ast/glo_def.scm 90 */
											BgL_importz00_1717 = CNST_TABLE_REF(((long) 2));
								}}
								{	/* Ast/glo_def.scm 90 */
									obj_t BgL_oldzd2globalzd2_1718;

									BgL_oldzd2globalzd2_1718 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1716,
										BgL_modulez00_14);
									{	/* Ast/glo_def.scm 94 */
										BgL_globalz00_bglt BgL_globalz00_1719;

										{	/* Ast/glo_def.scm 96 */
											bool_t BgL_test1972z00_3099;

											{	/* Ast/glo_def.scm 96 */
												obj_t BgL_classz00_2214;

												BgL_classz00_2214 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_oldzd2globalzd2_1718))
													{	/* Ast/glo_def.scm 96 */
														BgL_objectz00_bglt BgL_arg1825z00_2216;

														BgL_arg1825z00_2216 =
															(BgL_objectz00_bglt) (BgL_oldzd2globalzd2_1718);
														{	/* Ast/glo_def.scm 96 */
															bool_t BgL_arg1822z00_2219;
															bool_t BgL_arg1823z00_2220;

															{	/* Ast/glo_def.scm 96 */
																long BgL_idxz00_2223;

																BgL_idxz00_2223 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2216);
																BgL_arg1822z00_2219 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2223 + ((long) 2))) ==
																	BgL_classz00_2214);
															}
															{	/* Ast/glo_def.scm 96 */
																bool_t BgL_res1902z00_2245;

																{	/* Ast/glo_def.scm 96 */
																	obj_t BgL_oclassz00_2231;

																	{	/* Ast/glo_def.scm 96 */
																		long BgL_arg1833z00_2237;

																		{	/* Ast/glo_def.scm 96 */
																			long BgL_arg1834z00_2238;

																			BgL_arg1834z00_2238 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2216);
																			BgL_arg1833z00_2237 =
																				(BgL_arg1834z00_2238 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2231 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2237);
																	}
																	{	/* Ast/glo_def.scm 96 */
																		bool_t BgL__ortest_1110z00_2232;

																		BgL__ortest_1110z00_2232 =
																			(BgL_classz00_2214 == BgL_oclassz00_2231);
																		if (BgL__ortest_1110z00_2232)
																			{	/* Ast/glo_def.scm 96 */
																				BgL_res1902z00_2245 =
																					BgL__ortest_1110z00_2232;
																			}
																		else
																			{	/* Ast/glo_def.scm 96 */
																				long BgL_odepthz00_2233;

																				BgL_odepthz00_2233 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2231);
																				if ((((long) 2) < BgL_odepthz00_2233))
																					{	/* Ast/glo_def.scm 96 */
																						obj_t BgL_arg1821z00_2235;

																						BgL_arg1821z00_2235 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2231, ((long) 2));
																						BgL_res1902z00_2245 =
																							(BgL_arg1821z00_2235 ==
																							BgL_classz00_2214);
																					}
																				else
																					{	/* Ast/glo_def.scm 96 */
																						BgL_res1902z00_2245 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2220 = BgL_res1902z00_2245;
															}
															BgL_test1972z00_3099 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2219,
																BgL_arg1823z00_2220);
														}
													}
												else
													{	/* Ast/glo_def.scm 96 */
														BgL_test1972z00_3099 = ((bool_t) 0);
													}
											}
											if (BgL_test1972z00_3099)
												{	/* Ast/glo_def.scm 96 */
													BgL_globalz00_1719 =
														BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2
														(BgL_oldzd2globalzd2_1718, BgL_typezd2reszd2_1715,
														BgL_argsz00_12, BgL_localsz00_13, BgL_classz00_15,
														BgL_srczd2expzd2_16);
												}
											else
												{	/* Ast/glo_def.scm 96 */
													BgL_globalz00_1719 =
														BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
														(BgL_idz00_1716, BFALSE, BgL_argsz00_12,
														BgL_modulez00_14, BgL_importz00_1717,
														BgL_classz00_15, BgL_srczd2expzd2_16, BFALSE);
												}
										}
										{	/* Ast/glo_def.scm 95 */
											obj_t BgL_defzd2loczd2_1720;

											BgL_defzd2loczd2_1720 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_16);
											{	/* Ast/glo_def.scm 102 */

												{	/* Ast/glo_def.scm 103 */
													bool_t BgL_test1976z00_3121;

													{	/* Ast/glo_def.scm 103 */
														BgL_valuez00_bglt BgL_arg1370z00_1763;

														BgL_arg1370z00_1763 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1719)))->BgL_valuez00);
														{	/* Ast/glo_def.scm 103 */
															obj_t BgL_classz00_2247;

															BgL_classz00_2247 = BGl_sfunz00zzast_varz00;
															{	/* Ast/glo_def.scm 103 */
																BgL_objectz00_bglt BgL_arg1825z00_2249;

																{	/* Ast/glo_def.scm 103 */
																	obj_t BgL_tmpz00_3124;

																	BgL_tmpz00_3124 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1370z00_1763));
																	BgL_arg1825z00_2249 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3124);
																}
																{	/* Ast/glo_def.scm 103 */
																	bool_t BgL_arg1822z00_2252;
																	bool_t BgL_arg1823z00_2253;

																	{	/* Ast/glo_def.scm 103 */
																		long BgL_idxz00_2256;

																		BgL_idxz00_2256 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2249);
																		BgL_arg1822z00_2252 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2256 + ((long) 3))) ==
																			BgL_classz00_2247);
																	}
																	{	/* Ast/glo_def.scm 103 */
																		bool_t BgL_res1903z00_2278;

																		{	/* Ast/glo_def.scm 103 */
																			obj_t BgL_oclassz00_2264;

																			{	/* Ast/glo_def.scm 103 */
																				long BgL_arg1833z00_2270;

																				{	/* Ast/glo_def.scm 103 */
																					long BgL_arg1834z00_2271;

																					BgL_arg1834z00_2271 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2249);
																					BgL_arg1833z00_2270 =
																						(BgL_arg1834z00_2271 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2264 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2270);
																			}
																			{	/* Ast/glo_def.scm 103 */
																				bool_t BgL__ortest_1110z00_2265;

																				BgL__ortest_1110z00_2265 =
																					(BgL_classz00_2247 ==
																					BgL_oclassz00_2264);
																				if (BgL__ortest_1110z00_2265)
																					{	/* Ast/glo_def.scm 103 */
																						BgL_res1903z00_2278 =
																							BgL__ortest_1110z00_2265;
																					}
																				else
																					{	/* Ast/glo_def.scm 103 */
																						long BgL_odepthz00_2266;

																						BgL_odepthz00_2266 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2264);
																						if ((((long) 3) <
																								BgL_odepthz00_2266))
																							{	/* Ast/glo_def.scm 103 */
																								obj_t BgL_arg1821z00_2268;

																								BgL_arg1821z00_2268 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2264,
																									((long) 3));
																								BgL_res1903z00_2278 =
																									(BgL_arg1821z00_2268 ==
																									BgL_classz00_2247);
																							}
																						else
																							{	/* Ast/glo_def.scm 103 */
																								BgL_res1903z00_2278 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2253 = BgL_res1903z00_2278;
																	}
																	BgL_test1976z00_3121 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2252,
																		BgL_arg1823z00_2253);
																}
															}
														}
													}
													if (BgL_test1976z00_3121)
														{	/* Ast/glo_def.scm 103 */
															{	/* Ast/glo_def.scm 300 */
																BgL_typez00_bglt BgL_oldzd2typezd2_2281;

																BgL_oldzd2typezd2_2281 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1719)))->BgL_typez00);
																if ((((obj_t) BgL_oldzd2typezd2_2281) ==
																		BGl_za2_za2z00zztype_cachez00))
																	{	/* Ast/glo_def.scm 301 */
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_globalz00_1719)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BgL_typezd2reszd2_1715)), BUNSPEC);
																	}
																else
																	{	/* Ast/glo_def.scm 301 */
																		BFALSE;
																	}
															}
															if (
																(bgl_list_length(BgL_localsz00_13) ==
																	bgl_list_length(
																		(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_globalz00_1719)))->
																							BgL_valuez00))))->BgL_argsz00))))
																{	/* Ast/glo_def.scm 114 */
																	obj_t BgL_typesz00_1728;

																	{	/* Ast/glo_def.scm 114 */
																		obj_t BgL_l1302z00_1739;

																		BgL_l1302z00_1739 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_globalz00_1719)))->
																							BgL_valuez00))))->BgL_argsz00);
																		if (NULLP(BgL_l1302z00_1739))
																			{	/* Ast/glo_def.scm 114 */
																				BgL_typesz00_1728 = BNIL;
																			}
																		else
																			{	/* Ast/glo_def.scm 114 */
																				obj_t BgL_head1304z00_1741;

																				BgL_head1304z00_1741 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				{
																					obj_t BgL_l1302z00_1743;
																					obj_t BgL_tail1305z00_1744;

																					BgL_l1302z00_1743 = BgL_l1302z00_1739;
																					BgL_tail1305z00_1744 =
																						BgL_head1304z00_1741;
																				BgL_zc3z04anonymousza31343ze3z87_1745:
																					if (NULLP(BgL_l1302z00_1743))
																						{	/* Ast/glo_def.scm 114 */
																							BgL_typesz00_1728 =
																								CDR(BgL_head1304z00_1741);
																						}
																					else
																						{	/* Ast/glo_def.scm 114 */
																							obj_t BgL_newtail1306z00_1747;

																							{	/* Ast/glo_def.scm 114 */
																								obj_t BgL_arg1348z00_1749;

																								{	/* Ast/glo_def.scm 114 */
																									obj_t BgL_az00_1750;

																									BgL_az00_1750 =
																										CAR(
																										((obj_t)
																											BgL_l1302z00_1743));
																									{	/* Ast/glo_def.scm 116 */
																										bool_t BgL_test1983z00_3171;

																										{	/* Ast/glo_def.scm 116 */
																											obj_t BgL_classz00_2294;

																											BgL_classz00_2294 =
																												BGl_localz00zzast_varz00;
																											if (BGL_OBJECTP
																												(BgL_az00_1750))
																												{	/* Ast/glo_def.scm 116 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_2296;
																													BgL_arg1825z00_2296 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_1750);
																													{	/* Ast/glo_def.scm 116 */
																														bool_t
																															BgL_arg1822z00_2299;
																														bool_t
																															BgL_arg1823z00_2300;
																														{	/* Ast/glo_def.scm 116 */
																															long
																																BgL_idxz00_2303;
																															BgL_idxz00_2303 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_2296);
																															BgL_arg1822z00_2299
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2303
																																		+
																																		((long) 2)))
																																==
																																BgL_classz00_2294);
																														}
																														{	/* Ast/glo_def.scm 116 */
																															bool_t
																																BgL_res1904z00_2325;
																															{	/* Ast/glo_def.scm 116 */
																																obj_t
																																	BgL_oclassz00_2311;
																																{	/* Ast/glo_def.scm 116 */
																																	long
																																		BgL_arg1833z00_2317;
																																	{	/* Ast/glo_def.scm 116 */
																																		long
																																			BgL_arg1834z00_2318;
																																		BgL_arg1834z00_2318
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_2296);
																																		BgL_arg1833z00_2317
																																			=
																																			(BgL_arg1834z00_2318
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2311
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_2317);
																																}
																																{	/* Ast/glo_def.scm 116 */
																																	bool_t
																																		BgL__ortest_1110z00_2312;
																																	BgL__ortest_1110z00_2312
																																		=
																																		(BgL_classz00_2294
																																		==
																																		BgL_oclassz00_2311);
																																	if (BgL__ortest_1110z00_2312)
																																		{	/* Ast/glo_def.scm 116 */
																																			BgL_res1904z00_2325
																																				=
																																				BgL__ortest_1110z00_2312;
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 116 */
																																			long
																																				BgL_odepthz00_2313;
																																			BgL_odepthz00_2313
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_2311);
																																			if ((((long) 2) < BgL_odepthz00_2313))
																																				{	/* Ast/glo_def.scm 116 */
																																					obj_t
																																						BgL_arg1821z00_2315;
																																					BgL_arg1821z00_2315
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_2311,
																																						((long) 2));
																																					BgL_res1904z00_2325
																																						=
																																						(BgL_arg1821z00_2315
																																						==
																																						BgL_classz00_2294);
																																				}
																																			else
																																				{	/* Ast/glo_def.scm 116 */
																																					BgL_res1904z00_2325
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_2300
																																=
																																BgL_res1904z00_2325;
																														}
																														BgL_test1983z00_3171
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_2299,
																															BgL_arg1823z00_2300);
																													}
																												}
																											else
																												{	/* Ast/glo_def.scm 116 */
																													BgL_test1983z00_3171 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test1983z00_3171)
																											{	/* Ast/glo_def.scm 116 */
																												BgL_arg1348z00_1749 =
																													((obj_t)
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_az00_1750))))->BgL_typez00));
																											}
																										else
																											{	/* Ast/glo_def.scm 118 */
																												bool_t
																													BgL_test1987z00_3194;
																												{	/* Ast/glo_def.scm 118 */
																													obj_t
																														BgL_classz00_2327;
																													BgL_classz00_2327 =
																														BGl_typez00zztype_typez00;
																													if (BGL_OBJECTP
																														(BgL_az00_1750))
																														{	/* Ast/glo_def.scm 118 */
																															BgL_objectz00_bglt
																																BgL_arg1825z00_2329;
																															BgL_arg1825z00_2329
																																=
																																(BgL_objectz00_bglt)
																																(BgL_az00_1750);
																															{	/* Ast/glo_def.scm 118 */
																																bool_t
																																	BgL_arg1822z00_2332;
																																bool_t
																																	BgL_arg1823z00_2333;
																																{	/* Ast/glo_def.scm 118 */
																																	long
																																		BgL_idxz00_2336;
																																	BgL_idxz00_2336
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1825z00_2329);
																																	BgL_arg1822z00_2332
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2336
																																				+
																																				((long)
																																					1)))
																																		==
																																		BgL_classz00_2327);
																																}
																																{	/* Ast/glo_def.scm 118 */
																																	bool_t
																																		BgL_res1905z00_2358;
																																	{	/* Ast/glo_def.scm 118 */
																																		obj_t
																																			BgL_oclassz00_2344;
																																		{	/* Ast/glo_def.scm 118 */
																																			long
																																				BgL_arg1833z00_2350;
																																			{	/* Ast/glo_def.scm 118 */
																																				long
																																					BgL_arg1834z00_2351;
																																				BgL_arg1834z00_2351
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1825z00_2329);
																																				BgL_arg1833z00_2350
																																					=
																																					(BgL_arg1834z00_2351
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2344
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1833z00_2350);
																																		}
																																		{	/* Ast/glo_def.scm 118 */
																																			bool_t
																																				BgL__ortest_1110z00_2345;
																																			BgL__ortest_1110z00_2345
																																				=
																																				(BgL_classz00_2327
																																				==
																																				BgL_oclassz00_2344);
																																			if (BgL__ortest_1110z00_2345)
																																				{	/* Ast/glo_def.scm 118 */
																																					BgL_res1905z00_2358
																																						=
																																						BgL__ortest_1110z00_2345;
																																				}
																																			else
																																				{	/* Ast/glo_def.scm 118 */
																																					long
																																						BgL_odepthz00_2346;
																																					BgL_odepthz00_2346
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_2344);
																																					if ((((long) 1) < BgL_odepthz00_2346))
																																						{	/* Ast/glo_def.scm 118 */
																																							obj_t
																																								BgL_arg1821z00_2348;
																																							BgL_arg1821z00_2348
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_2344,
																																								((long) 1));
																																							BgL_res1905z00_2358
																																								=
																																								(BgL_arg1821z00_2348
																																								==
																																								BgL_classz00_2327);
																																						}
																																					else
																																						{	/* Ast/glo_def.scm 118 */
																																							BgL_res1905z00_2358
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_arg1823z00_2333
																																		=
																																		BgL_res1905z00_2358;
																																}
																																BgL_test1987z00_3194
																																	=
																																	BGL_ISA_C_BACKEND
																																	(BgL_arg1822z00_2332,
																																	BgL_arg1823z00_2333);
																															}
																														}
																													else
																														{	/* Ast/glo_def.scm 118 */
																															BgL_test1987z00_3194
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test1987z00_3194)
																													{	/* Ast/glo_def.scm 118 */
																														BgL_arg1348z00_1749
																															= BgL_az00_1750;
																													}
																												else
																													{	/* Ast/glo_def.scm 118 */
																														BgL_arg1348z00_1749
																															=
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string1923z00zzast_glozd2defzd2,
																															BGl_string1924z00zzast_glozd2defzd2,
																															BGl_shapez00zztools_shapez00
																															(BgL_az00_1750));
																													}
																											}
																									}
																								}
																								BgL_newtail1306z00_1747 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1348z00_1749, BNIL);
																							}
																							SET_CDR(BgL_tail1305z00_1744,
																								BgL_newtail1306z00_1747);
																							{	/* Ast/glo_def.scm 114 */
																								obj_t BgL_arg1347z00_1748;

																								BgL_arg1347z00_1748 =
																									CDR(
																									((obj_t) BgL_l1302z00_1743));
																								{
																									obj_t BgL_tail1305z00_3220;
																									obj_t BgL_l1302z00_3219;

																									BgL_l1302z00_3219 =
																										BgL_arg1347z00_1748;
																									BgL_tail1305z00_3220 =
																										BgL_newtail1306z00_1747;
																									BgL_tail1305z00_1744 =
																										BgL_tail1305z00_3220;
																									BgL_l1302z00_1743 =
																										BgL_l1302z00_3219;
																									goto
																										BgL_zc3z04anonymousza31343ze3z87_1745;
																								}
																							}
																						}
																				}
																			}
																	}
																	{
																		obj_t BgL_ll1307z00_1730;
																		obj_t BgL_ll1308z00_1731;

																		BgL_ll1307z00_1730 = BgL_localsz00_13;
																		BgL_ll1308z00_1731 = BgL_typesz00_1728;
																	BgL_zc3z04anonymousza31336ze3z87_1732:
																		if (NULLP(BgL_ll1307z00_1730))
																			{	/* Ast/glo_def.scm 126 */
																				((bool_t) 1);
																			}
																		else
																			{	/* Ast/glo_def.scm 126 */
																				{	/* Ast/glo_def.scm 126 */
																					obj_t BgL_arg1338z00_1734;
																					obj_t BgL_arg1339z00_1735;

																					BgL_arg1338z00_1734 =
																						CAR(((obj_t) BgL_ll1307z00_1730));
																					BgL_arg1339z00_1735 =
																						CAR(((obj_t) BgL_ll1308z00_1731));
																					{	/* Ast/glo_def.scm 300 */
																						BgL_typez00_bglt
																							BgL_oldzd2typezd2_2365;
																						BgL_oldzd2typezd2_2365 =
																							(((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_arg1338z00_1734)))->
																							BgL_typez00);
																						if ((((obj_t)
																									BgL_oldzd2typezd2_2365) ==
																								BGl_za2_za2z00zztype_cachez00))
																							{	/* Ast/glo_def.scm 301 */
																								((((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													BgL_arg1338z00_1734)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) (
																											(BgL_typez00_bglt)
																											BgL_arg1339z00_1735)),
																									BUNSPEC);
																							}
																						else
																							{	/* Ast/glo_def.scm 301 */
																								BFALSE;
																							}
																					}
																				}
																				{	/* Ast/glo_def.scm 126 */
																					obj_t BgL_arg1340z00_1736;
																					obj_t BgL_arg1341z00_1737;

																					BgL_arg1340z00_1736 =
																						CDR(((obj_t) BgL_ll1307z00_1730));
																					BgL_arg1341z00_1737 =
																						CDR(((obj_t) BgL_ll1308z00_1731));
																					{
																						obj_t BgL_ll1308z00_3240;
																						obj_t BgL_ll1307z00_3239;

																						BgL_ll1307z00_3239 =
																							BgL_arg1340z00_1736;
																						BgL_ll1308z00_3240 =
																							BgL_arg1341z00_1737;
																						BgL_ll1308z00_1731 =
																							BgL_ll1308z00_3240;
																						BgL_ll1307z00_1730 =
																							BgL_ll1307z00_3239;
																						goto
																							BgL_zc3z04anonymousza31336ze3z87_1732;
																					}
																				}
																			}
																	}
																}
															else
																{	/* Ast/glo_def.scm 112 */
																	((bool_t) 0);
																}
															BGl_removezd2varzd2fromz12z12zzast_removez00
																(BgL_remz00_17,
																((BgL_variablez00_bglt) BgL_globalz00_1719));
															{	/* Ast/glo_def.scm 130 */
																BgL_valuez00_bglt BgL_arg1366z00_1760;

																BgL_arg1366z00_1760 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1719)))->BgL_valuez00);
																((((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_arg1366z00_1760)))->BgL_bodyz00) =
																	((obj_t) BgL_nodez00_18), BUNSPEC);
															}
															{	/* Ast/glo_def.scm 132 */
																BgL_valuez00_bglt BgL_arg1367z00_1761;

																BgL_arg1367z00_1761 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1719)))->BgL_valuez00);
																((((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_arg1367z00_1761)))->BgL_argsz00) =
																	((obj_t) BgL_localsz00_13), BUNSPEC);
															}
															{	/* Ast/glo_def.scm 134 */
																BgL_valuez00_bglt BgL_arg1369z00_1762;

																BgL_arg1369z00_1762 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1719)))->BgL_valuez00);
																((((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_arg1369z00_1762)))->BgL_locz00) =
																	((obj_t) BgL_defzd2loczd2_1720), BUNSPEC);
															}
															BGl_leavezd2functionzd2zztools_errorz00();
														}
													else
														{	/* Ast/glo_def.scm 103 */
															BFALSE;
														}
												}
												return BgL_globalz00_1719;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &def-global-sfun! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_3001, obj_t BgL_idz00_3002, obj_t BgL_argsz00_3003,
		obj_t BgL_localsz00_3004, obj_t BgL_modulez00_3005, obj_t BgL_classz00_3006,
		obj_t BgL_srczd2expzd2_3007, obj_t BgL_remz00_3008, obj_t BgL_nodez00_3009)
	{
		{	/* Ast/glo_def.scm 80 */
			return
				BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_3002,
				BgL_argsz00_3003, BgL_localsz00_3004, BgL_modulez00_3005,
				BgL_classz00_3006, BgL_srczd2expzd2_3007, BgL_remz00_3008,
				BgL_nodez00_3009);
		}

	}



/* check-sfun-definition */
	BgL_globalz00_bglt BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_oldz00_19, obj_t BgL_typezd2reszd2_20, obj_t BgL_argsz00_21,
		obj_t BgL_localsz00_22, obj_t BgL_classz00_23, obj_t BgL_srczd2expzd2_24)
	{
		{	/* Ast/glo_def.scm 142 */
			{	/* Ast/glo_def.scm 145 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1772;

				BgL_oldzd2valuezd2_1772 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oldz00_19))))->BgL_valuez00);
				{	/* Ast/glo_def.scm 147 */
					bool_t BgL_test1993z00_3260;

					{	/* Ast/glo_def.scm 147 */
						obj_t BgL_classz00_2379;

						BgL_classz00_2379 = BGl_sfunz00zzast_varz00;
						{	/* Ast/glo_def.scm 147 */
							BgL_objectz00_bglt BgL_arg1825z00_2381;

							{	/* Ast/glo_def.scm 147 */
								obj_t BgL_tmpz00_3261;

								BgL_tmpz00_3261 =
									((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2valuezd2_1772));
								BgL_arg1825z00_2381 = (BgL_objectz00_bglt) (BgL_tmpz00_3261);
							}
							{	/* Ast/glo_def.scm 147 */
								bool_t BgL_arg1822z00_2384;
								bool_t BgL_arg1823z00_2385;

								{	/* Ast/glo_def.scm 147 */
									long BgL_idxz00_2388;

									BgL_idxz00_2388 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2381);
									BgL_arg1822z00_2384 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2388 + ((long) 3))) == BgL_classz00_2379);
								}
								{	/* Ast/glo_def.scm 147 */
									bool_t BgL_res1906z00_2410;

									{	/* Ast/glo_def.scm 147 */
										obj_t BgL_oclassz00_2396;

										{	/* Ast/glo_def.scm 147 */
											long BgL_arg1833z00_2402;

											{	/* Ast/glo_def.scm 147 */
												long BgL_arg1834z00_2403;

												BgL_arg1834z00_2403 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2381);
												BgL_arg1833z00_2402 =
													(BgL_arg1834z00_2403 - OBJECT_TYPE);
											}
											BgL_oclassz00_2396 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2402);
										}
										{	/* Ast/glo_def.scm 147 */
											bool_t BgL__ortest_1110z00_2397;

											BgL__ortest_1110z00_2397 =
												(BgL_classz00_2379 == BgL_oclassz00_2396);
											if (BgL__ortest_1110z00_2397)
												{	/* Ast/glo_def.scm 147 */
													BgL_res1906z00_2410 = BgL__ortest_1110z00_2397;
												}
											else
												{	/* Ast/glo_def.scm 147 */
													long BgL_odepthz00_2398;

													BgL_odepthz00_2398 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2396);
													if ((((long) 3) < BgL_odepthz00_2398))
														{	/* Ast/glo_def.scm 147 */
															obj_t BgL_arg1821z00_2400;

															BgL_arg1821z00_2400 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2396,
																((long) 3));
															BgL_res1906z00_2410 =
																(BgL_arg1821z00_2400 == BgL_classz00_2379);
														}
													else
														{	/* Ast/glo_def.scm 147 */
															BgL_res1906z00_2410 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2385 = BgL_res1906z00_2410;
								}
								BgL_test1993z00_3260 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2384, BgL_arg1823z00_2385);
							}
						}
					}
					if (BgL_test1993z00_3260)
						{	/* Ast/glo_def.scm 147 */
							if (
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1772)))->
										BgL_classz00) == BgL_classz00_23))
								{	/* Ast/glo_def.scm 154 */
									bool_t BgL_test1997z00_3284;

									{	/* Ast/glo_def.scm 154 */
										long BgL_arg1606z00_1849;
										long BgL_arg1612z00_1850;

										BgL_arg1606z00_1849 =
											(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1772))))->
											BgL_arityz00);
										BgL_arg1612z00_1850 =
											BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_21);
										BgL_test1997z00_3284 =
											(BgL_arg1606z00_1849 == BgL_arg1612z00_1850);
									}
									if (BgL_test1997z00_3284)
										{	/* Ast/glo_def.scm 156 */
											bool_t BgL_test1998z00_3290;

											{	/* Ast/glo_def.scm 156 */
												bool_t BgL_arg1603z00_1846;
												BgL_typez00_bglt BgL_arg1604z00_1847;

												BgL_arg1603z00_1846 =
													(CNST_TABLE_REF(((long) 3)) == BgL_classz00_23);
												BgL_arg1604z00_1847 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_oldz00_19))))->
													BgL_typez00);
												BgL_test1998z00_3290 =
													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
													(BgL_arg1603z00_1846,
													((BgL_typez00_bglt) BgL_typezd2reszd2_20),
													BgL_arg1604z00_1847);
											}
											if (BgL_test1998z00_3290)
												{	/* Ast/glo_def.scm 156 */
													if (BGl_dssslzd2prototypezf3z21zztools_dssslz00
														(BgL_argsz00_21))
														{	/* Ast/glo_def.scm 162 */
															if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_21))
																{	/* Ast/glo_def.scm 165 */
																	bool_t BgL_test2001z00_3302;

																	{	/* Ast/glo_def.scm 165 */
																		obj_t BgL_arg1494z00_1788;
																		obj_t BgL_arg1496z00_1789;

																		BgL_arg1494z00_1788 =
																			BGl_dssslzd2optionalszd2zztools_dssslz00
																			(BgL_argsz00_21);
																		BgL_arg1496z00_1789 =
																			(((BgL_sfunz00_bglt)
																				COBJECT(((BgL_sfunz00_bglt)
																						BgL_oldzd2valuezd2_1772)))->
																			BgL_optionalsz00);
																		BgL_test2001z00_3302 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_arg1494z00_1788,
																			BgL_arg1496z00_1789);
																	}
																	if (BgL_test2001z00_3302)
																		{	/* Ast/glo_def.scm 165 */
																			BgL_oldz00_19;
																		}
																	else
																		{	/* Ast/glo_def.scm 167 */
																			obj_t BgL_list1479z00_1787;

																			BgL_list1479z00_1787 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1925z00zzast_glozd2defzd2,
																				BNIL);
																			((obj_t)
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																				(((BgL_globalz00_bglt) BgL_oldz00_19),
																					BgL_srczd2expzd2_24,
																					BgL_list1479z00_1787));
																		}
																}
															else
																{	/* Ast/glo_def.scm 164 */
																	if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_21))
																		{	/* Ast/glo_def.scm 171 */
																			bool_t BgL_test2003z00_3313;

																			{	/* Ast/glo_def.scm 171 */
																				obj_t BgL_arg1524z00_1795;
																				obj_t BgL_arg1534z00_1796;

																				BgL_arg1524z00_1795 =
																					BGl_dssslzd2keyszd2zztools_dssslz00
																					(BgL_argsz00_21);
																				BgL_arg1534z00_1796 =
																					(((BgL_sfunz00_bglt)
																						COBJECT(((BgL_sfunz00_bglt)
																								BgL_oldzd2valuezd2_1772)))->
																					BgL_keysz00);
																				BgL_test2003z00_3313 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg1524z00_1795,
																					BgL_arg1534z00_1796);
																			}
																			if (BgL_test2003z00_3313)
																				{	/* Ast/glo_def.scm 171 */
																					BgL_oldz00_19;
																				}
																			else
																				{	/* Ast/glo_def.scm 173 */
																					obj_t BgL_list1522z00_1794;

																					BgL_list1522z00_1794 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1926z00zzast_glozd2defzd2,
																						BNIL);
																					((obj_t)
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																						(((BgL_globalz00_bglt)
																								BgL_oldz00_19),
																							BgL_srczd2expzd2_24,
																							BgL_list1522z00_1794));
																				}
																		}
																	else
																		{	/* Ast/glo_def.scm 176 */
																			bool_t BgL_test2004z00_3322;

																			{	/* Ast/glo_def.scm 176 */
																				obj_t BgL_arg1548z00_1801;
																				obj_t BgL_arg1551z00_1802;

																				BgL_arg1548z00_1801 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_oldzd2valuezd2_1772)))->
																					BgL_dssslzd2keywordszd2);
																				BgL_arg1551z00_1802 =
																					BGl_dssslzd2formalszd2zztools_dssslz00
																					(BgL_argsz00_21);
																				BgL_test2004z00_3322 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg1548z00_1801,
																					BgL_arg1551z00_1802);
																			}
																			if (BgL_test2004z00_3322)
																				{	/* Ast/glo_def.scm 176 */
																					BFALSE;
																				}
																			else
																				{	/* Ast/glo_def.scm 178 */
																					obj_t BgL_list1544z00_1800;

																					BgL_list1544z00_1800 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1927z00zzast_glozd2defzd2,
																						BNIL);
																					((obj_t)
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																						(((BgL_globalz00_bglt)
																								BgL_oldz00_19),
																							BgL_srczd2expzd2_24,
																							BgL_list1544z00_1800));
																				}
																		}
																}
														}
													else
														{	/* Ast/glo_def.scm 180 */
															obj_t BgL_g1109z00_1803;

															{	/* Ast/glo_def.scm 181 */
																obj_t BgL_l1310z00_1829;

																BgL_l1310z00_1829 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				BgL_oldzd2valuezd2_1772)))->
																	BgL_argsz00);
																if (NULLP(BgL_l1310z00_1829))
																	{	/* Ast/glo_def.scm 181 */
																		BgL_g1109z00_1803 = BNIL;
																	}
																else
																	{	/* Ast/glo_def.scm 181 */
																		obj_t BgL_head1312z00_1831;

																		BgL_head1312z00_1831 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1310z00_1833;
																			obj_t BgL_tail1313z00_1834;

																			BgL_l1310z00_1833 = BgL_l1310z00_1829;
																			BgL_tail1313z00_1834 =
																				BgL_head1312z00_1831;
																		BgL_zc3z04anonymousza31588ze3z87_1835:
																			if (NULLP(BgL_l1310z00_1833))
																				{	/* Ast/glo_def.scm 181 */
																					BgL_g1109z00_1803 =
																						CDR(BgL_head1312z00_1831);
																				}
																			else
																				{	/* Ast/glo_def.scm 181 */
																					obj_t BgL_newtail1314z00_1837;

																					{	/* Ast/glo_def.scm 181 */
																						obj_t BgL_arg1597z00_1839;

																						{	/* Ast/glo_def.scm 181 */
																							obj_t BgL_az00_1840;

																							BgL_az00_1840 =
																								CAR(
																								((obj_t) BgL_l1310z00_1833));
																							{	/* Ast/glo_def.scm 183 */
																								bool_t BgL_test2007z00_3341;

																								{	/* Ast/glo_def.scm 183 */
																									obj_t BgL_classz00_2422;

																									BgL_classz00_2422 =
																										BGl_localz00zzast_varz00;
																									if (BGL_OBJECTP
																										(BgL_az00_1840))
																										{	/* Ast/glo_def.scm 183 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_2424;
																											BgL_arg1825z00_2424 =
																												(BgL_objectz00_bglt)
																												(BgL_az00_1840);
																											{	/* Ast/glo_def.scm 183 */
																												bool_t
																													BgL_arg1822z00_2427;
																												bool_t
																													BgL_arg1823z00_2428;
																												{	/* Ast/glo_def.scm 183 */
																													long BgL_idxz00_2431;

																													BgL_idxz00_2431 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_2424);
																													BgL_arg1822z00_2427 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2431 +
																																((long) 2))) ==
																														BgL_classz00_2422);
																												}
																												{	/* Ast/glo_def.scm 183 */
																													bool_t
																														BgL_res1907z00_2453;
																													{	/* Ast/glo_def.scm 183 */
																														obj_t
																															BgL_oclassz00_2439;
																														{	/* Ast/glo_def.scm 183 */
																															long
																																BgL_arg1833z00_2445;
																															{	/* Ast/glo_def.scm 183 */
																																long
																																	BgL_arg1834z00_2446;
																																BgL_arg1834z00_2446
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_2424);
																																BgL_arg1833z00_2445
																																	=
																																	(BgL_arg1834z00_2446
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2439
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_2445);
																														}
																														{	/* Ast/glo_def.scm 183 */
																															bool_t
																																BgL__ortest_1110z00_2440;
																															BgL__ortest_1110z00_2440
																																=
																																(BgL_classz00_2422
																																==
																																BgL_oclassz00_2439);
																															if (BgL__ortest_1110z00_2440)
																																{	/* Ast/glo_def.scm 183 */
																																	BgL_res1907z00_2453
																																		=
																																		BgL__ortest_1110z00_2440;
																																}
																															else
																																{	/* Ast/glo_def.scm 183 */
																																	long
																																		BgL_odepthz00_2441;
																																	BgL_odepthz00_2441
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2439);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_2441))
																																		{	/* Ast/glo_def.scm 183 */
																																			obj_t
																																				BgL_arg1821z00_2443;
																																			BgL_arg1821z00_2443
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2439,
																																				((long)
																																					2));
																																			BgL_res1907z00_2453
																																				=
																																				(BgL_arg1821z00_2443
																																				==
																																				BgL_classz00_2422);
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 183 */
																																			BgL_res1907z00_2453
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_2428 =
																														BgL_res1907z00_2453;
																												}
																												BgL_test2007z00_3341 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_2427,
																													BgL_arg1823z00_2428);
																											}
																										}
																									else
																										{	/* Ast/glo_def.scm 183 */
																											BgL_test2007z00_3341 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2007z00_3341)
																									{	/* Ast/glo_def.scm 183 */
																										BgL_arg1597z00_1839 =
																											((obj_t)
																											(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_az00_1840))))->BgL_typez00));
																									}
																								else
																									{	/* Ast/glo_def.scm 185 */
																										bool_t BgL_test2011z00_3364;

																										{	/* Ast/glo_def.scm 185 */
																											obj_t BgL_classz00_2455;

																											BgL_classz00_2455 =
																												BGl_typez00zztype_typez00;
																											if (BGL_OBJECTP
																												(BgL_az00_1840))
																												{	/* Ast/glo_def.scm 185 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_2457;
																													BgL_arg1825z00_2457 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_1840);
																													{	/* Ast/glo_def.scm 185 */
																														bool_t
																															BgL_arg1822z00_2460;
																														bool_t
																															BgL_arg1823z00_2461;
																														{	/* Ast/glo_def.scm 185 */
																															long
																																BgL_idxz00_2464;
																															BgL_idxz00_2464 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_2457);
																															BgL_arg1822z00_2460
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2464
																																		+
																																		((long) 1)))
																																==
																																BgL_classz00_2455);
																														}
																														{	/* Ast/glo_def.scm 185 */
																															bool_t
																																BgL_res1908z00_2486;
																															{	/* Ast/glo_def.scm 185 */
																																obj_t
																																	BgL_oclassz00_2472;
																																{	/* Ast/glo_def.scm 185 */
																																	long
																																		BgL_arg1833z00_2478;
																																	{	/* Ast/glo_def.scm 185 */
																																		long
																																			BgL_arg1834z00_2479;
																																		BgL_arg1834z00_2479
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_2457);
																																		BgL_arg1833z00_2478
																																			=
																																			(BgL_arg1834z00_2479
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2472
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_2478);
																																}
																																{	/* Ast/glo_def.scm 185 */
																																	bool_t
																																		BgL__ortest_1110z00_2473;
																																	BgL__ortest_1110z00_2473
																																		=
																																		(BgL_classz00_2455
																																		==
																																		BgL_oclassz00_2472);
																																	if (BgL__ortest_1110z00_2473)
																																		{	/* Ast/glo_def.scm 185 */
																																			BgL_res1908z00_2486
																																				=
																																				BgL__ortest_1110z00_2473;
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 185 */
																																			long
																																				BgL_odepthz00_2474;
																																			BgL_odepthz00_2474
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_2472);
																																			if ((((long) 1) < BgL_odepthz00_2474))
																																				{	/* Ast/glo_def.scm 185 */
																																					obj_t
																																						BgL_arg1821z00_2476;
																																					BgL_arg1821z00_2476
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_2472,
																																						((long) 1));
																																					BgL_res1908z00_2486
																																						=
																																						(BgL_arg1821z00_2476
																																						==
																																						BgL_classz00_2455);
																																				}
																																			else
																																				{	/* Ast/glo_def.scm 185 */
																																					BgL_res1908z00_2486
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_2461
																																=
																																BgL_res1908z00_2486;
																														}
																														BgL_test2011z00_3364
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_2460,
																															BgL_arg1823z00_2461);
																													}
																												}
																											else
																												{	/* Ast/glo_def.scm 185 */
																													BgL_test2011z00_3364 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2011z00_3364)
																											{	/* Ast/glo_def.scm 185 */
																												BgL_arg1597z00_1839 =
																													BgL_az00_1840;
																											}
																										else
																											{	/* Ast/glo_def.scm 185 */
																												BgL_arg1597z00_1839 =
																													BGl_internalzd2errorzd2zztools_errorz00
																													(BGl_string1923z00zzast_glozd2defzd2,
																													BGl_string1924z00zzast_glozd2defzd2,
																													BGl_shapez00zztools_shapez00
																													(BgL_az00_1840));
																											}
																									}
																							}
																						}
																						BgL_newtail1314z00_1837 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1597z00_1839, BNIL);
																					}
																					SET_CDR(BgL_tail1313z00_1834,
																						BgL_newtail1314z00_1837);
																					{	/* Ast/glo_def.scm 181 */
																						obj_t BgL_arg1595z00_1838;

																						BgL_arg1595z00_1838 =
																							CDR(((obj_t) BgL_l1310z00_1833));
																						{
																							obj_t BgL_tail1313z00_3390;
																							obj_t BgL_l1310z00_3389;

																							BgL_l1310z00_3389 =
																								BgL_arg1595z00_1838;
																							BgL_tail1313z00_3390 =
																								BgL_newtail1314z00_1837;
																							BgL_tail1313z00_1834 =
																								BgL_tail1313z00_3390;
																							BgL_l1310z00_1833 =
																								BgL_l1310z00_3389;
																							goto
																								BgL_zc3z04anonymousza31588ze3z87_1835;
																						}
																					}
																				}
																		}
																	}
															}
															{
																obj_t BgL_localsz00_1805;
																obj_t BgL_typesz00_1806;

																BgL_localsz00_1805 = BgL_localsz00_22;
																BgL_typesz00_1806 = BgL_g1109z00_1803;
															BgL_zc3z04anonymousza31552ze3z87_1807:
																if (NULLP(BgL_localsz00_1805))
																	{	/* Ast/glo_def.scm 193 */
																		if (NULLP(BgL_typesz00_1806))
																			{	/* Ast/glo_def.scm 196 */
																				((((BgL_globalz00_bglt) COBJECT(
																								((BgL_globalz00_bglt)
																									BgL_oldz00_19)))->
																						BgL_srcz00) =
																					((obj_t) BgL_srczd2expzd2_24),
																					BUNSPEC);
																			}
																		else
																			{	/* Ast/glo_def.scm 198 */
																				obj_t BgL_list1555z00_1810;

																				BgL_list1555z00_1810 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1928z00zzast_glozd2defzd2,
																					BNIL);
																				((obj_t)
																					BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt) BgL_oldz00_19),
																						BgL_srczd2expzd2_24,
																						BgL_list1555z00_1810));
																			}
																	}
																else
																	{	/* Ast/glo_def.scm 199 */
																		bool_t BgL_test2017z00_3401;

																		if (NULLP(BgL_typesz00_1806))
																			{	/* Ast/glo_def.scm 199 */
																				BgL_test2017z00_3401 = ((bool_t) 1);
																			}
																		else
																			{	/* Ast/glo_def.scm 200 */
																				bool_t BgL_test2019z00_3404;

																				{	/* Ast/glo_def.scm 201 */
																					BgL_typez00_bglt BgL_arg1583z00_1825;
																					obj_t BgL_arg1584z00_1826;

																					BgL_arg1583z00_1825 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_localsz00_1805))))))->
																						BgL_typez00);
																					BgL_arg1584z00_1826 =
																						CAR(((obj_t) BgL_typesz00_1806));
																					BgL_test2019z00_3404 =
																						BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																						(((bool_t) 0), BgL_arg1583z00_1825,
																						((BgL_typez00_bglt)
																							BgL_arg1584z00_1826));
																				}
																				if (BgL_test2019z00_3404)
																					{	/* Ast/glo_def.scm 200 */
																						BgL_test2017z00_3401 = ((bool_t) 0);
																					}
																				else
																					{	/* Ast/glo_def.scm 200 */
																						BgL_test2017z00_3401 = ((bool_t) 1);
																					}
																			}
																		if (BgL_test2017z00_3401)
																			{	/* Ast/glo_def.scm 203 */
																				obj_t BgL_list1580z00_1820;

																				BgL_list1580z00_1820 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1929z00zzast_glozd2defzd2,
																					BNIL);
																				((obj_t)
																					BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt) BgL_oldz00_19),
																						BgL_srczd2expzd2_24,
																						BgL_list1580z00_1820));
																			}
																		else
																			{	/* Ast/glo_def.scm 205 */
																				obj_t BgL_arg1581z00_1821;
																				obj_t BgL_arg1582z00_1822;

																				BgL_arg1581z00_1821 =
																					CDR(((obj_t) BgL_localsz00_1805));
																				BgL_arg1582z00_1822 =
																					CDR(((obj_t) BgL_typesz00_1806));
																				{
																					obj_t BgL_typesz00_3423;
																					obj_t BgL_localsz00_3422;

																					BgL_localsz00_3422 =
																						BgL_arg1581z00_1821;
																					BgL_typesz00_3423 =
																						BgL_arg1582z00_1822;
																					BgL_typesz00_1806 = BgL_typesz00_3423;
																					BgL_localsz00_1805 =
																						BgL_localsz00_3422;
																					goto
																						BgL_zc3z04anonymousza31552ze3z87_1807;
																				}
																			}
																	}
															}
														}
												}
											else
												{	/* Ast/glo_def.scm 159 */
													obj_t BgL_list1602z00_1845;

													BgL_list1602z00_1845 =
														MAKE_YOUNG_PAIR(BGl_string1930z00zzast_glozd2defzd2,
														BNIL);
													((obj_t)
														BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																(BgL_globalz00_bglt) BgL_oldz00_19),
															BgL_srczd2expzd2_24, BgL_list1602z00_1845));
												}
										}
									else
										{	/* Ast/glo_def.scm 155 */
											obj_t BgL_list1605z00_1848;

											BgL_list1605z00_1848 =
												MAKE_YOUNG_PAIR(BGl_string1928z00zzast_glozd2defzd2,
												BNIL);
											((obj_t)
												BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
														(BgL_globalz00_bglt) BgL_oldz00_19),
													BgL_srczd2expzd2_24, BgL_list1605z00_1848));
										}
								}
							else
								{	/* Ast/glo_def.scm 153 */
									obj_t BgL_arg1613z00_1851;

									{	/* Ast/glo_def.scm 153 */
										obj_t BgL_arg1619z00_1853;

										BgL_arg1619z00_1853 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1772)))->
											BgL_classz00);
										{	/* Ast/glo_def.scm 152 */
											obj_t BgL_list1620z00_1854;

											{	/* Ast/glo_def.scm 152 */
												obj_t BgL_arg1621z00_1855;

												BgL_arg1621z00_1855 =
													MAKE_YOUNG_PAIR(BgL_classz00_23, BNIL);
												BgL_list1620z00_1854 =
													MAKE_YOUNG_PAIR(BgL_arg1619z00_1853,
													BgL_arg1621z00_1855);
											}
											BgL_arg1613z00_1851 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1931z00zzast_glozd2defzd2,
												BgL_list1620z00_1854);
										}
									}
									{	/* Ast/glo_def.scm 151 */
										obj_t BgL_list1614z00_1852;

										BgL_list1614z00_1852 =
											MAKE_YOUNG_PAIR(BgL_arg1613z00_1851, BNIL);
										((obj_t)
											BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
												((BgL_globalz00_bglt) BgL_oldz00_19),
												BgL_srczd2expzd2_24, BgL_list1614z00_1852));
									}
								}
						}
					else
						{	/* Ast/glo_def.scm 148 */
							obj_t BgL_list1633z00_1857;

							BgL_list1633z00_1857 =
								MAKE_YOUNG_PAIR(BGl_string1932z00zzast_glozd2defzd2, BNIL);
							((obj_t)
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
									((BgL_globalz00_bglt) BgL_oldz00_19), BgL_srczd2expzd2_24,
									BgL_list1633z00_1857));
						}
				}
				return ((BgL_globalz00_bglt) BgL_oldz00_19);
			}
		}

	}



/* def-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_idz00_25,
		obj_t BgL_modulez00_26, obj_t BgL_nodez00_27, obj_t BgL_classz00_28,
		obj_t BgL_locz00_29)
	{
		{	/* Ast/glo_def.scm 211 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_25);
			{	/* Ast/glo_def.scm 213 */
				obj_t BgL_idzd2typezd2_2496;

				BgL_idzd2typezd2_2496 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_25, BgL_locz00_29);
				{	/* Ast/glo_def.scm 213 */
					obj_t BgL_idzd2idzd2_2497;

					BgL_idzd2idzd2_2497 = CAR(BgL_idzd2typezd2_2496);
					{	/* Ast/glo_def.scm 214 */
						obj_t BgL_oldzd2globalzd2_2498;

						BgL_oldzd2globalzd2_2498 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idzd2idzd2_2497,
							BgL_modulez00_26);
						{	/* Ast/glo_def.scm 215 */
							BgL_globalz00_bglt BgL_globalz00_2499;

							BgL_globalz00_2499 =
								BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2
								(BgL_idz00_25, BFALSE, BgL_modulez00_26,
								CNST_TABLE_REF(((long) 2)), BgL_nodez00_27, BgL_classz00_28,
								BgL_locz00_29);
							{	/* Ast/glo_def.scm 216 */

								BGl_removezd2varzd2fromz12z12zzast_removez00(CNST_TABLE_REF((
											(long) 4)), ((BgL_variablez00_bglt) BgL_globalz00_2499));
								BGl_leavezd2functionzd2zztools_errorz00();
								return BgL_globalz00_2499;
							}
						}
					}
				}
			}
		}

	}



/* &def-global-scnst! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_3010, obj_t BgL_idz00_3011, obj_t BgL_modulez00_3012,
		obj_t BgL_nodez00_3013, obj_t BgL_classz00_3014, obj_t BgL_locz00_3015)
	{
		{	/* Ast/glo_def.scm 211 */
			return
				BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_idz00_3011,
				BgL_modulez00_3012, BgL_nodez00_3013, BgL_classz00_3014,
				BgL_locz00_3015);
		}

	}



/* def-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_idz00_30,
		obj_t BgL_modulez00_31, obj_t BgL_srczd2expzd2_32, obj_t BgL_remz00_33)
	{
		{	/* Ast/glo_def.scm 227 */
			{	/* Ast/glo_def.scm 228 */
				obj_t BgL_locz00_1862;

				BgL_locz00_1862 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_32);
				{	/* Ast/glo_def.scm 228 */
					obj_t BgL_idzd2typezd2_1863;

					BgL_idzd2typezd2_1863 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_30, BgL_locz00_1862);
					{	/* Ast/glo_def.scm 229 */
						obj_t BgL_idzd2idzd2_1864;

						BgL_idzd2idzd2_1864 = CAR(BgL_idzd2typezd2_1863);
						{	/* Ast/glo_def.scm 230 */
							obj_t BgL_oldzd2globalzd2_1865;

							BgL_oldzd2globalzd2_1865 =
								BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idzd2idzd2_1864,
								BgL_modulez00_31);
							{	/* Ast/glo_def.scm 231 */
								obj_t BgL_importz00_1866;

								{	/* Ast/glo_def.scm 232 */
									bool_t BgL_test2020z00_3461;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3)))
										{	/* Ast/glo_def.scm 233 */
											obj_t BgL_arg1675z00_1886;

											{	/* Ast/glo_def.scm 233 */
												obj_t BgL_arg1676z00_1887;

												BgL_arg1676z00_1887 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1675z00_1886 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1676z00_1887)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test2020z00_3461 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1675z00_1886));
										}
									else
										{	/* Ast/glo_def.scm 232 */
											BgL_test2020z00_3461 = ((bool_t) 0);
										}
									if (BgL_test2020z00_3461)
										{	/* Ast/glo_def.scm 232 */
											BgL_importz00_1866 = CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* Ast/glo_def.scm 232 */
											BgL_importz00_1866 = CNST_TABLE_REF(((long) 2));
								}}
								{	/* Ast/glo_def.scm 232 */
									obj_t BgL_typez00_1867;

									{	/* Ast/glo_def.scm 236 */
										obj_t BgL_typez00_1875;

										BgL_typez00_1875 = CDR(BgL_idzd2typezd2_1863);
										if (
											((((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_typez00_1875)))->
													BgL_classz00) == CNST_TABLE_REF(((long) 5))))
											{	/* Ast/glo_def.scm 239 */
												BgL_typez00_1867 = BgL_typez00_1875;
											}
										else
											{	/* Ast/glo_def.scm 239 */
												BgL_typez00_1867 =
													BGl_userzd2errorzd2zztools_errorz00
													(BgL_idzd2idzd2_1864,
													BGl_string1933z00zzast_glozd2defzd2,
													BGl_shapez00zztools_shapez00(BgL_typez00_1875), BNIL);
											}
									}
									{	/* Ast/glo_def.scm 236 */
										BgL_globalz00_bglt BgL_globalz00_1868;

										{	/* Ast/glo_def.scm 245 */
											bool_t BgL_test2023z00_3481;

											{	/* Ast/glo_def.scm 245 */
												obj_t BgL_classz00_2507;

												BgL_classz00_2507 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_oldzd2globalzd2_1865))
													{	/* Ast/glo_def.scm 245 */
														BgL_objectz00_bglt BgL_arg1825z00_2509;

														BgL_arg1825z00_2509 =
															(BgL_objectz00_bglt) (BgL_oldzd2globalzd2_1865);
														{	/* Ast/glo_def.scm 245 */
															bool_t BgL_arg1822z00_2512;
															bool_t BgL_arg1823z00_2513;

															{	/* Ast/glo_def.scm 245 */
																long BgL_idxz00_2516;

																BgL_idxz00_2516 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2509);
																BgL_arg1822z00_2512 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2516 + ((long) 2))) ==
																	BgL_classz00_2507);
															}
															{	/* Ast/glo_def.scm 245 */
																bool_t BgL_res1909z00_2538;

																{	/* Ast/glo_def.scm 245 */
																	obj_t BgL_oclassz00_2524;

																	{	/* Ast/glo_def.scm 245 */
																		long BgL_arg1833z00_2530;

																		{	/* Ast/glo_def.scm 245 */
																			long BgL_arg1834z00_2531;

																			BgL_arg1834z00_2531 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2509);
																			BgL_arg1833z00_2530 =
																				(BgL_arg1834z00_2531 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2524 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2530);
																	}
																	{	/* Ast/glo_def.scm 245 */
																		bool_t BgL__ortest_1110z00_2525;

																		BgL__ortest_1110z00_2525 =
																			(BgL_classz00_2507 == BgL_oclassz00_2524);
																		if (BgL__ortest_1110z00_2525)
																			{	/* Ast/glo_def.scm 245 */
																				BgL_res1909z00_2538 =
																					BgL__ortest_1110z00_2525;
																			}
																		else
																			{	/* Ast/glo_def.scm 245 */
																				long BgL_odepthz00_2526;

																				BgL_odepthz00_2526 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2524);
																				if ((((long) 2) < BgL_odepthz00_2526))
																					{	/* Ast/glo_def.scm 245 */
																						obj_t BgL_arg1821z00_2528;

																						BgL_arg1821z00_2528 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2524, ((long) 2));
																						BgL_res1909z00_2538 =
																							(BgL_arg1821z00_2528 ==
																							BgL_classz00_2507);
																					}
																				else
																					{	/* Ast/glo_def.scm 245 */
																						BgL_res1909z00_2538 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2513 = BgL_res1909z00_2538;
															}
															BgL_test2023z00_3481 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2512,
																BgL_arg1823z00_2513);
														}
													}
												else
													{	/* Ast/glo_def.scm 245 */
														BgL_test2023z00_3481 = ((bool_t) 0);
													}
											}
											if (BgL_test2023z00_3481)
												{	/* Ast/glo_def.scm 245 */
													BgL_globalz00_1868 =
														BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2
														(BgL_oldzd2globalzd2_1865, BgL_typez00_1867,
														BgL_srczd2expzd2_32);
												}
											else
												{	/* Ast/glo_def.scm 245 */
													BgL_globalz00_1868 =
														BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
														(BgL_idz00_30, BFALSE, BgL_modulez00_31,
														BgL_importz00_1866, BgL_srczd2expzd2_32, BFALSE);
												}
										}
										{	/* Ast/glo_def.scm 244 */
											obj_t BgL_defzd2loczd2_1869;

											BgL_defzd2loczd2_1869 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_32);
											{	/* Ast/glo_def.scm 250 */

												{	/* Ast/glo_def.scm 300 */
													BgL_typez00_bglt BgL_oldzd2typezd2_2541;

													BgL_oldzd2typezd2_2541 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_1868)))->
														BgL_typez00);
													if ((((obj_t) BgL_oldzd2typezd2_2541) ==
															BGl_za2_za2z00zztype_cachez00))
														{	/* Ast/glo_def.scm 301 */
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1868)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BgL_typez00_1867)), BUNSPEC);
														}
													else
														{	/* Ast/glo_def.scm 301 */
															BFALSE;
														}
												}
												{	/* Ast/glo_def.scm 254 */
													bool_t BgL_test2028z00_3511;

													{	/* Ast/glo_def.scm 254 */
														BgL_valuez00_bglt BgL_arg1652z00_1873;

														BgL_arg1652z00_1873 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1868)))->BgL_valuez00);
														{	/* Ast/glo_def.scm 254 */
															obj_t BgL_classz00_2547;

															BgL_classz00_2547 = BGl_svarz00zzast_varz00;
															{	/* Ast/glo_def.scm 254 */
																BgL_objectz00_bglt BgL_arg1825z00_2549;

																{	/* Ast/glo_def.scm 254 */
																	obj_t BgL_tmpz00_3514;

																	BgL_tmpz00_3514 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1652z00_1873));
																	BgL_arg1825z00_2549 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3514);
																}
																{	/* Ast/glo_def.scm 254 */
																	bool_t BgL_arg1822z00_2552;
																	bool_t BgL_arg1823z00_2553;

																	{	/* Ast/glo_def.scm 254 */
																		long BgL_idxz00_2556;

																		BgL_idxz00_2556 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2549);
																		BgL_arg1822z00_2552 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2556 + ((long) 2))) ==
																			BgL_classz00_2547);
																	}
																	{	/* Ast/glo_def.scm 254 */
																		bool_t BgL_res1910z00_2578;

																		{	/* Ast/glo_def.scm 254 */
																			obj_t BgL_oclassz00_2564;

																			{	/* Ast/glo_def.scm 254 */
																				long BgL_arg1833z00_2570;

																				{	/* Ast/glo_def.scm 254 */
																					long BgL_arg1834z00_2571;

																					BgL_arg1834z00_2571 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2549);
																					BgL_arg1833z00_2570 =
																						(BgL_arg1834z00_2571 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2564 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2570);
																			}
																			{	/* Ast/glo_def.scm 254 */
																				bool_t BgL__ortest_1110z00_2565;

																				BgL__ortest_1110z00_2565 =
																					(BgL_classz00_2547 ==
																					BgL_oclassz00_2564);
																				if (BgL__ortest_1110z00_2565)
																					{	/* Ast/glo_def.scm 254 */
																						BgL_res1910z00_2578 =
																							BgL__ortest_1110z00_2565;
																					}
																				else
																					{	/* Ast/glo_def.scm 254 */
																						long BgL_odepthz00_2566;

																						BgL_odepthz00_2566 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2564);
																						if ((((long) 2) <
																								BgL_odepthz00_2566))
																							{	/* Ast/glo_def.scm 254 */
																								obj_t BgL_arg1821z00_2568;

																								BgL_arg1821z00_2568 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2564,
																									((long) 2));
																								BgL_res1910z00_2578 =
																									(BgL_arg1821z00_2568 ==
																									BgL_classz00_2547);
																							}
																						else
																							{	/* Ast/glo_def.scm 254 */
																								BgL_res1910z00_2578 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2553 = BgL_res1910z00_2578;
																	}
																	BgL_test2028z00_3511 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2552,
																		BgL_arg1823z00_2553);
																}
															}
														}
													}
													if (BgL_test2028z00_3511)
														{	/* Ast/glo_def.scm 256 */
															BgL_valuez00_bglt BgL_arg1647z00_1872;

															BgL_arg1647z00_1872 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_1868)))->BgL_valuez00);
															((((BgL_svarz00_bglt) COBJECT(((BgL_svarz00_bglt)
																				BgL_arg1647z00_1872)))->BgL_locz00) =
																((obj_t) BgL_defzd2loczd2_1869), BUNSPEC);
														}
													else
														{	/* Ast/glo_def.scm 254 */
															BFALSE;
														}
												}
												BGl_removezd2varzd2fromz12z12zzast_removez00
													(BgL_remz00_33,
													((BgL_variablez00_bglt) BgL_globalz00_1868));
												return BgL_globalz00_1868;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &def-global-svar! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_3016, obj_t BgL_idz00_3017, obj_t BgL_modulez00_3018,
		obj_t BgL_srczd2expzd2_3019, obj_t BgL_remz00_3020)
	{
		{	/* Ast/glo_def.scm 227 */
			return
				BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_3017,
				BgL_modulez00_3018, BgL_srczd2expzd2_3019, BgL_remz00_3020);
		}

	}



/* check-svar-definition */
	BgL_globalz00_bglt BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_oldz00_34, obj_t BgL_typez00_35, obj_t BgL_srczd2expzd2_36)
	{
		{	/* Ast/glo_def.scm 264 */
			{	/* Ast/glo_def.scm 265 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1888;

				BgL_oldzd2valuezd2_1888 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oldz00_34))))->BgL_valuez00);
				{	/* Ast/glo_def.scm 267 */
					bool_t BgL_test2031z00_3543;

					{	/* Ast/glo_def.scm 267 */
						obj_t BgL_classz00_2582;

						BgL_classz00_2582 = BGl_svarz00zzast_varz00;
						{	/* Ast/glo_def.scm 267 */
							BgL_objectz00_bglt BgL_arg1825z00_2584;

							{	/* Ast/glo_def.scm 267 */
								obj_t BgL_tmpz00_3544;

								BgL_tmpz00_3544 =
									((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2valuezd2_1888));
								BgL_arg1825z00_2584 = (BgL_objectz00_bglt) (BgL_tmpz00_3544);
							}
							{	/* Ast/glo_def.scm 267 */
								bool_t BgL_arg1822z00_2587;
								bool_t BgL_arg1823z00_2588;

								{	/* Ast/glo_def.scm 267 */
									long BgL_idxz00_2591;

									BgL_idxz00_2591 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2584);
									BgL_arg1822z00_2587 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2591 + ((long) 2))) == BgL_classz00_2582);
								}
								{	/* Ast/glo_def.scm 267 */
									bool_t BgL_res1911z00_2613;

									{	/* Ast/glo_def.scm 267 */
										obj_t BgL_oclassz00_2599;

										{	/* Ast/glo_def.scm 267 */
											long BgL_arg1833z00_2605;

											{	/* Ast/glo_def.scm 267 */
												long BgL_arg1834z00_2606;

												BgL_arg1834z00_2606 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2584);
												BgL_arg1833z00_2605 =
													(BgL_arg1834z00_2606 - OBJECT_TYPE);
											}
											BgL_oclassz00_2599 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2605);
										}
										{	/* Ast/glo_def.scm 267 */
											bool_t BgL__ortest_1110z00_2600;

											BgL__ortest_1110z00_2600 =
												(BgL_classz00_2582 == BgL_oclassz00_2599);
											if (BgL__ortest_1110z00_2600)
												{	/* Ast/glo_def.scm 267 */
													BgL_res1911z00_2613 = BgL__ortest_1110z00_2600;
												}
											else
												{	/* Ast/glo_def.scm 267 */
													long BgL_odepthz00_2601;

													BgL_odepthz00_2601 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2599);
													if ((((long) 2) < BgL_odepthz00_2601))
														{	/* Ast/glo_def.scm 267 */
															obj_t BgL_arg1821z00_2603;

															BgL_arg1821z00_2603 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2599,
																((long) 2));
															BgL_res1911z00_2613 =
																(BgL_arg1821z00_2603 == BgL_classz00_2582);
														}
													else
														{	/* Ast/glo_def.scm 267 */
															BgL_res1911z00_2613 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2588 = BgL_res1911z00_2613;
								}
								BgL_test2031z00_3543 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2587, BgL_arg1823z00_2588);
							}
						}
					}
					if (BgL_test2031z00_3543)
						{	/* Ast/glo_def.scm 269 */
							bool_t BgL_test2034z00_3563;

							{	/* Ast/glo_def.scm 269 */
								BgL_typez00_bglt BgL_arg1681z00_1893;

								BgL_arg1681z00_1893 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_oldz00_34))))->BgL_typez00);
								BgL_test2034z00_3563 =
									BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t) 0),
									((BgL_typez00_bglt) BgL_typez00_35), BgL_arg1681z00_1893);
							}
							if (BgL_test2034z00_3563)
								{	/* Ast/glo_def.scm 269 */
									return ((BgL_globalz00_bglt) BgL_oldz00_34);
								}
							else
								{	/* Ast/glo_def.scm 270 */
									obj_t BgL_list1680z00_1892;

									BgL_list1680z00_1892 =
										MAKE_YOUNG_PAIR(BGl_string1934z00zzast_glozd2defzd2, BNIL);
									return
										BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
										((BgL_globalz00_bglt) BgL_oldz00_34), BgL_srczd2expzd2_36,
										BgL_list1680z00_1892);
								}
						}
					else
						{	/* Ast/glo_def.scm 268 */
							obj_t BgL_list1682z00_1894;

							BgL_list1682z00_1894 =
								MAKE_YOUNG_PAIR(BGl_string1935z00zzast_glozd2defzd2, BNIL);
							return
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
								((BgL_globalz00_bglt) BgL_oldz00_34), BgL_srczd2expzd2_36,
								BgL_list1682z00_1894);
						}
				}
			}
		}

	}



/* compatible-type? */
	bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t BgL_subzf3zf3_37,
		BgL_typez00_bglt BgL_newz00_38, BgL_typez00_bglt BgL_oldz00_39)
	{
		{	/* Ast/glo_def.scm 277 */
			{	/* Ast/glo_def.scm 278 */
				bool_t BgL__ortest_1111z00_1895;

				BgL__ortest_1111z00_1895 =
					(((obj_t) BgL_newz00_38) == BGl_za2_za2z00zztype_cachez00);
				if (BgL__ortest_1111z00_1895)
					{	/* Ast/glo_def.scm 278 */
						return BgL__ortest_1111z00_1895;
					}
				else
					{	/* Ast/glo_def.scm 279 */
						bool_t BgL__ortest_1113z00_1896;

						BgL__ortest_1113z00_1896 =
							(((obj_t) BgL_oldz00_39) == ((obj_t) BgL_newz00_38));
						if (BgL__ortest_1113z00_1896)
							{	/* Ast/glo_def.scm 279 */
								return BgL__ortest_1113z00_1896;
							}
						else
							{	/* Ast/glo_def.scm 279 */
								if (BgL_subzf3zf3_37)
									{	/* Ast/glo_def.scm 281 */
										bool_t BgL__ortest_1115z00_1898;

										BgL__ortest_1115z00_1898 =
											BGl_typezd2subclasszf3z21zzobject_classz00(BgL_newz00_38,
											BgL_oldz00_39);
										if (BgL__ortest_1115z00_1898)
											{	/* Ast/glo_def.scm 281 */
												return BgL__ortest_1115z00_1898;
											}
										else
											{	/* Ast/glo_def.scm 282 */
												bool_t BgL_test2039z00_3586;

												{	/* Ast/glo_def.scm 282 */
													obj_t BgL_classz00_2615;

													BgL_classz00_2615 = BGl_tclassz00zzobject_classz00;
													{	/* Ast/glo_def.scm 282 */
														BgL_objectz00_bglt BgL_arg1825z00_2617;

														{	/* Ast/glo_def.scm 282 */
															obj_t BgL_tmpz00_3587;

															BgL_tmpz00_3587 = ((obj_t) BgL_newz00_38);
															BgL_arg1825z00_2617 =
																(BgL_objectz00_bglt) (BgL_tmpz00_3587);
														}
														{	/* Ast/glo_def.scm 282 */
															bool_t BgL_arg1822z00_2620;
															bool_t BgL_arg1823z00_2621;

															{	/* Ast/glo_def.scm 282 */
																long BgL_idxz00_2624;

																BgL_idxz00_2624 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2617);
																BgL_arg1822z00_2620 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2624 + ((long) 2))) ==
																	BgL_classz00_2615);
															}
															{	/* Ast/glo_def.scm 282 */
																bool_t BgL_res1912z00_2646;

																{	/* Ast/glo_def.scm 282 */
																	obj_t BgL_oclassz00_2632;

																	{	/* Ast/glo_def.scm 282 */
																		long BgL_arg1833z00_2638;

																		{	/* Ast/glo_def.scm 282 */
																			long BgL_arg1834z00_2639;

																			BgL_arg1834z00_2639 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2617);
																			BgL_arg1833z00_2638 =
																				(BgL_arg1834z00_2639 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2632 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2638);
																	}
																	{	/* Ast/glo_def.scm 282 */
																		bool_t BgL__ortest_1110z00_2633;

																		BgL__ortest_1110z00_2633 =
																			(BgL_classz00_2615 == BgL_oclassz00_2632);
																		if (BgL__ortest_1110z00_2633)
																			{	/* Ast/glo_def.scm 282 */
																				BgL_res1912z00_2646 =
																					BgL__ortest_1110z00_2633;
																			}
																		else
																			{	/* Ast/glo_def.scm 282 */
																				long BgL_odepthz00_2634;

																				BgL_odepthz00_2634 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2632);
																				if ((((long) 2) < BgL_odepthz00_2634))
																					{	/* Ast/glo_def.scm 282 */
																						obj_t BgL_arg1821z00_2636;

																						BgL_arg1821z00_2636 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2632, ((long) 2));
																						BgL_res1912z00_2646 =
																							(BgL_arg1821z00_2636 ==
																							BgL_classz00_2615);
																					}
																				else
																					{	/* Ast/glo_def.scm 282 */
																						BgL_res1912z00_2646 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2621 = BgL_res1912z00_2646;
															}
															BgL_test2039z00_3586 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2620,
																BgL_arg1823z00_2621);
														}
													}
												}
												if (BgL_test2039z00_3586)
													{	/* Ast/glo_def.scm 282 */
														return
															(
															((obj_t) BgL_oldz00_39) ==
															BGl_za2objza2z00zztype_cachez00);
													}
												else
													{	/* Ast/glo_def.scm 282 */
														return ((bool_t) 0);
													}
											}
									}
								else
									{	/* Ast/glo_def.scm 280 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}

	}



/* mismatch-error */
	BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt
		BgL_globalz00_40, obj_t BgL_srczd2expzd2_41, obj_t BgL_addzd2msgzd2_42)
	{
		{	/* Ast/glo_def.scm 287 */
			{	/* Ast/glo_def.scm 289 */
				obj_t BgL_arg1694z00_1901;
				obj_t BgL_arg1695z00_1902;

				if (PAIRP(BgL_addzd2msgzd2_42))
					{	/* Ast/glo_def.scm 289 */
						BgL_arg1694z00_1901 =
							string_append_3(BGl_string1936z00zzast_glozd2defzd2,
							BGl_string1937z00zzast_glozd2defzd2, CAR(BgL_addzd2msgzd2_42));
					}
				else
					{	/* Ast/glo_def.scm 289 */
						BgL_arg1694z00_1901 = BGl_string1936z00zzast_glozd2defzd2;
					}
				BgL_arg1695z00_1902 =
					BGl_shapez00zztools_shapez00(
					(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_40))->BgL_srcz00));
				{	/* Ast/glo_def.scm 289 */
					obj_t BgL_list1696z00_1903;

					BgL_list1696z00_1903 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_40), BNIL);
					return
						((BgL_globalz00_bglt)
						BGl_userzd2errorzd2zztools_errorz00(BgL_arg1694z00_1901,
							BgL_arg1695z00_1902, BgL_srczd2expzd2_41, BgL_list1696z00_1903));
				}
			}
		}

	}



/* check-method-definition */
	BGL_EXPORTED_DEF bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t BgL_idz00_45,
		obj_t BgL_argsz00_46, obj_t BgL_localsz00_47, obj_t BgL_srcz00_48)
	{
		{	/* Ast/glo_def.scm 307 */
			{	/* Ast/glo_def.scm 308 */
				obj_t BgL_locz00_1909;

				BgL_locz00_1909 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_48);
				{	/* Ast/glo_def.scm 308 */
					BgL_typez00_bglt BgL_typezd2reszd2_1910;

					BgL_typezd2reszd2_1910 =
						BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_45, BgL_locz00_1909);
					{	/* Ast/glo_def.scm 309 */
						obj_t BgL_methodzd2idzd2_1911;

						BgL_methodzd2idzd2_1911 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_45, BgL_locz00_1909);
						{	/* Ast/glo_def.scm 310 */
							obj_t BgL_genericz00_1912;

							BgL_genericz00_1912 =
								BGl_findzd2globalzd2zzast_envz00(BgL_idz00_45, BNIL);
							{	/* Ast/glo_def.scm 311 */

								if (NULLP(BgL_argsz00_46))
									{	/* Ast/glo_def.scm 313 */
										BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_45,
											BGl_shapez00zztools_shapez00(BgL_srcz00_48),
											BGl_string1938z00zzast_glozd2defzd2, BNIL);
										return ((bool_t) 1);
									}
								else
									{	/* Ast/glo_def.scm 316 */
										bool_t BgL_test2044z00_3625;

										{	/* Ast/glo_def.scm 316 */
											obj_t BgL_classz00_2654;

											BgL_classz00_2654 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_genericz00_1912))
												{	/* Ast/glo_def.scm 316 */
													BgL_objectz00_bglt BgL_arg1825z00_2656;

													BgL_arg1825z00_2656 =
														(BgL_objectz00_bglt) (BgL_genericz00_1912);
													{	/* Ast/glo_def.scm 316 */
														bool_t BgL_arg1822z00_2659;
														bool_t BgL_arg1823z00_2660;

														{	/* Ast/glo_def.scm 316 */
															long BgL_idxz00_2663;

															BgL_idxz00_2663 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2656);
															BgL_arg1822z00_2659 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2663 + ((long) 2))) ==
																BgL_classz00_2654);
														}
														{	/* Ast/glo_def.scm 316 */
															bool_t BgL_res1913z00_2685;

															{	/* Ast/glo_def.scm 316 */
																obj_t BgL_oclassz00_2671;

																{	/* Ast/glo_def.scm 316 */
																	long BgL_arg1833z00_2677;

																	{	/* Ast/glo_def.scm 316 */
																		long BgL_arg1834z00_2678;

																		BgL_arg1834z00_2678 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2656);
																		BgL_arg1833z00_2677 =
																			(BgL_arg1834z00_2678 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2671 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2677);
																}
																{	/* Ast/glo_def.scm 316 */
																	bool_t BgL__ortest_1110z00_2672;

																	BgL__ortest_1110z00_2672 =
																		(BgL_classz00_2654 == BgL_oclassz00_2671);
																	if (BgL__ortest_1110z00_2672)
																		{	/* Ast/glo_def.scm 316 */
																			BgL_res1913z00_2685 =
																				BgL__ortest_1110z00_2672;
																		}
																	else
																		{	/* Ast/glo_def.scm 316 */
																			long BgL_odepthz00_2673;

																			BgL_odepthz00_2673 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2671);
																			if ((((long) 2) < BgL_odepthz00_2673))
																				{	/* Ast/glo_def.scm 316 */
																					obj_t BgL_arg1821z00_2675;

																					BgL_arg1821z00_2675 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2671, ((long) 2));
																					BgL_res1913z00_2685 =
																						(BgL_arg1821z00_2675 ==
																						BgL_classz00_2654);
																				}
																			else
																				{	/* Ast/glo_def.scm 316 */
																					BgL_res1913z00_2685 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2660 = BgL_res1913z00_2685;
														}
														BgL_test2044z00_3625 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2659,
															BgL_arg1823z00_2660);
													}
												}
											else
												{	/* Ast/glo_def.scm 316 */
													BgL_test2044z00_3625 = ((bool_t) 0);
												}
										}
										if (BgL_test2044z00_3625)
											{	/* Ast/glo_def.scm 321 */
												BgL_valuez00_bglt BgL_genericzd2valuezd2_1917;

												BgL_genericzd2valuezd2_1917 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_genericz00_1912))))->
													BgL_valuez00);
												{	/* Ast/glo_def.scm 323 */
													bool_t BgL_test2048z00_3647;

													{	/* Ast/glo_def.scm 323 */
														obj_t BgL_classz00_2687;

														BgL_classz00_2687 = BGl_sfunz00zzast_varz00;
														{	/* Ast/glo_def.scm 323 */
															BgL_objectz00_bglt BgL_arg1825z00_2689;

															{	/* Ast/glo_def.scm 323 */
																obj_t BgL_tmpz00_3648;

																BgL_tmpz00_3648 =
																	((obj_t)
																	((BgL_objectz00_bglt)
																		BgL_genericzd2valuezd2_1917));
																BgL_arg1825z00_2689 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3648);
															}
															{	/* Ast/glo_def.scm 323 */
																bool_t BgL_arg1822z00_2692;
																bool_t BgL_arg1823z00_2693;

																{	/* Ast/glo_def.scm 323 */
																	long BgL_idxz00_2696;

																	BgL_idxz00_2696 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2689);
																	BgL_arg1822z00_2692 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2696 + ((long) 3))) ==
																		BgL_classz00_2687);
																}
																{	/* Ast/glo_def.scm 323 */
																	bool_t BgL_res1914z00_2718;

																	{	/* Ast/glo_def.scm 323 */
																		obj_t BgL_oclassz00_2704;

																		{	/* Ast/glo_def.scm 323 */
																			long BgL_arg1833z00_2710;

																			{	/* Ast/glo_def.scm 323 */
																				long BgL_arg1834z00_2711;

																				BgL_arg1834z00_2711 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2689);
																				BgL_arg1833z00_2710 =
																					(BgL_arg1834z00_2711 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2704 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2710);
																		}
																		{	/* Ast/glo_def.scm 323 */
																			bool_t BgL__ortest_1110z00_2705;

																			BgL__ortest_1110z00_2705 =
																				(BgL_classz00_2687 ==
																				BgL_oclassz00_2704);
																			if (BgL__ortest_1110z00_2705)
																				{	/* Ast/glo_def.scm 323 */
																					BgL_res1914z00_2718 =
																						BgL__ortest_1110z00_2705;
																				}
																			else
																				{	/* Ast/glo_def.scm 323 */
																					long BgL_odepthz00_2706;

																					BgL_odepthz00_2706 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2704);
																					if ((((long) 3) < BgL_odepthz00_2706))
																						{	/* Ast/glo_def.scm 323 */
																							obj_t BgL_arg1821z00_2708;

																							BgL_arg1821z00_2708 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2704,
																								((long) 3));
																							BgL_res1914z00_2718 =
																								(BgL_arg1821z00_2708 ==
																								BgL_classz00_2687);
																						}
																					else
																						{	/* Ast/glo_def.scm 323 */
																							BgL_res1914z00_2718 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2693 = BgL_res1914z00_2718;
																}
																BgL_test2048z00_3647 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2692,
																	BgL_arg1823z00_2693);
															}
														}
													}
													if (BgL_test2048z00_3647)
														{	/* Ast/glo_def.scm 323 */
															if (
																((((BgL_sfunz00_bglt) COBJECT(
																				((BgL_sfunz00_bglt)
																					BgL_genericzd2valuezd2_1917)))->
																		BgL_classz00) ==
																	CNST_TABLE_REF(((long) 3))))
																{	/* Ast/glo_def.scm 329 */
																	bool_t BgL_test2052z00_3672;

																	{	/* Ast/glo_def.scm 329 */
																		long BgL_arg1753z00_1966;
																		long BgL_arg1759z00_1967;

																		BgL_arg1753z00_1966 =
																			(((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						((BgL_sfunz00_bglt)
																							BgL_genericzd2valuezd2_1917))))->
																			BgL_arityz00);
																		BgL_arg1759z00_1967 =
																			BGl_globalzd2arityzd2zztools_argsz00
																			(BgL_argsz00_46);
																		BgL_test2052z00_3672 =
																			(BgL_arg1753z00_1966 ==
																			BgL_arg1759z00_1967);
																	}
																	if (BgL_test2052z00_3672)
																		{	/* Ast/glo_def.scm 332 */
																			bool_t BgL_test2053z00_3678;

																			{	/* Ast/glo_def.scm 332 */
																				BgL_typez00_bglt BgL_arg1751z00_1964;

																				BgL_arg1751z00_1964 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_genericz00_1912))))->
																					BgL_typez00);
																				BgL_test2053z00_3678 =
																					BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																					(((bool_t) 1), BgL_typezd2reszd2_1910,
																					BgL_arg1751z00_1964);
																			}
																			if (BgL_test2053z00_3678)
																				{	/* Ast/glo_def.scm 337 */
																					obj_t BgL__ortest_1117z00_1926;

																					{	/* Ast/glo_def.scm 337 */
																						obj_t BgL_g1118z00_1927;

																						{	/* Ast/glo_def.scm 338 */
																							obj_t BgL_l1315z00_1947;

																							BgL_l1315z00_1947 =
																								(((BgL_sfunz00_bglt) COBJECT(
																										((BgL_sfunz00_bglt)
																											BgL_genericzd2valuezd2_1917)))->
																								BgL_argsz00);
																							if (NULLP(BgL_l1315z00_1947))
																								{	/* Ast/glo_def.scm 338 */
																									BgL_g1118z00_1927 = BNIL;
																								}
																							else
																								{	/* Ast/glo_def.scm 338 */
																									obj_t BgL_head1317z00_1949;

																									BgL_head1317z00_1949 =
																										MAKE_YOUNG_PAIR(BNIL, BNIL);
																									{
																										obj_t BgL_l1315z00_1951;
																										obj_t BgL_tail1318z00_1952;

																										BgL_l1315z00_1951 =
																											BgL_l1315z00_1947;
																										BgL_tail1318z00_1952 =
																											BgL_head1317z00_1949;
																									BgL_zc3z04anonymousza31741ze3z87_1953:
																										if (NULLP
																											(BgL_l1315z00_1951))
																											{	/* Ast/glo_def.scm 338 */
																												BgL_g1118z00_1927 =
																													CDR
																													(BgL_head1317z00_1949);
																											}
																										else
																											{	/* Ast/glo_def.scm 338 */
																												obj_t
																													BgL_newtail1319z00_1955;
																												{	/* Ast/glo_def.scm 338 */
																													obj_t
																														BgL_arg1746z00_1957;
																													{	/* Ast/glo_def.scm 338 */
																														obj_t BgL_az00_1958;

																														BgL_az00_1958 =
																															CAR(
																															((obj_t)
																																BgL_l1315z00_1951));
																														{	/* Ast/glo_def.scm 340 */
																															bool_t
																																BgL_test2056z00_3693;
																															{	/* Ast/glo_def.scm 340 */
																																obj_t
																																	BgL_classz00_2727;
																																BgL_classz00_2727
																																	=
																																	BGl_localz00zzast_varz00;
																																if (BGL_OBJECTP
																																	(BgL_az00_1958))
																																	{	/* Ast/glo_def.scm 340 */
																																		BgL_objectz00_bglt
																																			BgL_arg1825z00_2729;
																																		BgL_arg1825z00_2729
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_az00_1958);
																																		{	/* Ast/glo_def.scm 340 */
																																			bool_t
																																				BgL_arg1822z00_2732;
																																			bool_t
																																				BgL_arg1823z00_2733;
																																			{	/* Ast/glo_def.scm 340 */
																																				long
																																					BgL_idxz00_2736;
																																				BgL_idxz00_2736
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1825z00_2729);
																																				BgL_arg1822z00_2732
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_2736
																																							+
																																							((long) 2))) == BgL_classz00_2727);
																																			}
																																			{	/* Ast/glo_def.scm 340 */
																																				bool_t
																																					BgL_res1915z00_2758;
																																				{	/* Ast/glo_def.scm 340 */
																																					obj_t
																																						BgL_oclassz00_2744;
																																					{	/* Ast/glo_def.scm 340 */
																																						long
																																							BgL_arg1833z00_2750;
																																						{	/* Ast/glo_def.scm 340 */
																																							long
																																								BgL_arg1834z00_2751;
																																							BgL_arg1834z00_2751
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1825z00_2729);
																																							BgL_arg1833z00_2750
																																								=
																																								(BgL_arg1834z00_2751
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_2744
																																							=
																																							VECTOR_REF
																																							(BGl_za2classesza2z00zz__objectz00,
																																							BgL_arg1833z00_2750);
																																					}
																																					{	/* Ast/glo_def.scm 340 */
																																						bool_t
																																							BgL__ortest_1110z00_2745;
																																						BgL__ortest_1110z00_2745
																																							=
																																							(BgL_classz00_2727
																																							==
																																							BgL_oclassz00_2744);
																																						if (BgL__ortest_1110z00_2745)
																																							{	/* Ast/glo_def.scm 340 */
																																								BgL_res1915z00_2758
																																									=
																																									BgL__ortest_1110z00_2745;
																																							}
																																						else
																																							{	/* Ast/glo_def.scm 340 */
																																								long
																																									BgL_odepthz00_2746;
																																								BgL_odepthz00_2746
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_oclassz00_2744);
																																								if ((((long) 2) < BgL_odepthz00_2746))
																																									{	/* Ast/glo_def.scm 340 */
																																										obj_t
																																											BgL_arg1821z00_2748;
																																										BgL_arg1821z00_2748
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_oclassz00_2744,
																																											((long) 2));
																																										BgL_res1915z00_2758
																																											=
																																											(BgL_arg1821z00_2748
																																											==
																																											BgL_classz00_2727);
																																									}
																																								else
																																									{	/* Ast/glo_def.scm 340 */
																																										BgL_res1915z00_2758
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_arg1823z00_2733
																																					=
																																					BgL_res1915z00_2758;
																																			}
																																			BgL_test2056z00_3693
																																				=
																																				BGL_ISA_C_BACKEND
																																				(BgL_arg1822z00_2732,
																																				BgL_arg1823z00_2733);
																																		}
																																	}
																																else
																																	{	/* Ast/glo_def.scm 340 */
																																		BgL_test2056z00_3693
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test2056z00_3693)
																																{	/* Ast/glo_def.scm 340 */
																																	BgL_arg1746z00_1957
																																		=
																																		((obj_t) ((
																																				(BgL_variablez00_bglt)
																																				COBJECT(
																																					((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_az00_1958))))->BgL_typez00));
																																}
																															else
																																{	/* Ast/glo_def.scm 342 */
																																	bool_t
																																		BgL_test2060z00_3716;
																																	{	/* Ast/glo_def.scm 342 */
																																		obj_t
																																			BgL_classz00_2760;
																																		BgL_classz00_2760
																																			=
																																			BGl_typez00zztype_typez00;
																																		if (BGL_OBJECTP(BgL_az00_1958))
																																			{	/* Ast/glo_def.scm 342 */
																																				BgL_objectz00_bglt
																																					BgL_arg1825z00_2762;
																																				BgL_arg1825z00_2762
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_az00_1958);
																																				{	/* Ast/glo_def.scm 342 */
																																					bool_t
																																						BgL_arg1822z00_2765;
																																					bool_t
																																						BgL_arg1823z00_2766;
																																					{	/* Ast/glo_def.scm 342 */
																																						long
																																							BgL_idxz00_2769;
																																						BgL_idxz00_2769
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1825z00_2762);
																																						BgL_arg1822z00_2765
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_2769
																																									+
																																									((long) 1))) == BgL_classz00_2760);
																																					}
																																					{	/* Ast/glo_def.scm 342 */
																																						bool_t
																																							BgL_res1916z00_2791;
																																						{	/* Ast/glo_def.scm 342 */
																																							obj_t
																																								BgL_oclassz00_2777;
																																							{	/* Ast/glo_def.scm 342 */
																																								long
																																									BgL_arg1833z00_2783;
																																								{	/* Ast/glo_def.scm 342 */
																																									long
																																										BgL_arg1834z00_2784;
																																									BgL_arg1834z00_2784
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1825z00_2762);
																																									BgL_arg1833z00_2783
																																										=
																																										(BgL_arg1834z00_2784
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_2777
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1833z00_2783);
																																							}
																																							{	/* Ast/glo_def.scm 342 */
																																								bool_t
																																									BgL__ortest_1110z00_2778;
																																								BgL__ortest_1110z00_2778
																																									=
																																									(BgL_classz00_2760
																																									==
																																									BgL_oclassz00_2777);
																																								if (BgL__ortest_1110z00_2778)
																																									{	/* Ast/glo_def.scm 342 */
																																										BgL_res1916z00_2791
																																											=
																																											BgL__ortest_1110z00_2778;
																																									}
																																								else
																																									{	/* Ast/glo_def.scm 342 */
																																										long
																																											BgL_odepthz00_2779;
																																										BgL_odepthz00_2779
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_2777);
																																										if ((((long) 1) < BgL_odepthz00_2779))
																																											{	/* Ast/glo_def.scm 342 */
																																												obj_t
																																													BgL_arg1821z00_2781;
																																												BgL_arg1821z00_2781
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_2777,
																																													((long) 1));
																																												BgL_res1916z00_2791
																																													=
																																													(BgL_arg1821z00_2781
																																													==
																																													BgL_classz00_2760);
																																											}
																																										else
																																											{	/* Ast/glo_def.scm 342 */
																																												BgL_res1916z00_2791
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_arg1823z00_2766
																																							=
																																							BgL_res1916z00_2791;
																																					}
																																					BgL_test2060z00_3716
																																						=
																																						BGL_ISA_C_BACKEND
																																						(BgL_arg1822z00_2765,
																																						BgL_arg1823z00_2766);
																																				}
																																			}
																																		else
																																			{	/* Ast/glo_def.scm 342 */
																																				BgL_test2060z00_3716
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																	if (BgL_test2060z00_3716)
																																		{	/* Ast/glo_def.scm 342 */
																																			BgL_arg1746z00_1957
																																				=
																																				BgL_az00_1958;
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 342 */
																																			BgL_arg1746z00_1957
																																				=
																																				BGl_internalzd2errorzd2zztools_errorz00
																																				(BGl_string1923z00zzast_glozd2defzd2,
																																				BGl_string1924z00zzast_glozd2defzd2,
																																				BGl_shapez00zztools_shapez00
																																				(BgL_az00_1958));
																																		}
																																}
																														}
																													}
																													BgL_newtail1319z00_1955
																														=
																														MAKE_YOUNG_PAIR
																														(BgL_arg1746z00_1957,
																														BNIL);
																												}
																												SET_CDR
																													(BgL_tail1318z00_1952,
																													BgL_newtail1319z00_1955);
																												{	/* Ast/glo_def.scm 338 */
																													obj_t
																														BgL_arg1745z00_1956;
																													BgL_arg1745z00_1956 =
																														CDR(((obj_t)
																															BgL_l1315z00_1951));
																													{
																														obj_t
																															BgL_tail1318z00_3742;
																														obj_t
																															BgL_l1315z00_3741;
																														BgL_l1315z00_3741 =
																															BgL_arg1745z00_1956;
																														BgL_tail1318z00_3742
																															=
																															BgL_newtail1319z00_1955;
																														BgL_tail1318z00_1952
																															=
																															BgL_tail1318z00_3742;
																														BgL_l1315z00_1951 =
																															BgL_l1315z00_3741;
																														goto
																															BgL_zc3z04anonymousza31741ze3z87_1953;
																													}
																												}
																											}
																									}
																								}
																						}
																						{
																							obj_t BgL_localsz00_1929;
																							obj_t BgL_typesz00_1930;
																							bool_t BgL_subzf3zf3_1931;

																							BgL_localsz00_1929 =
																								BgL_localsz00_47;
																							BgL_typesz00_1930 =
																								BgL_g1118z00_1927;
																							BgL_subzf3zf3_1931 = ((bool_t) 1);
																						BgL_zc3z04anonymousza31718ze3z87_1932:
																							if (NULLP
																								(BgL_localsz00_1929))
																								{	/* Ast/glo_def.scm 352 */
																									BgL__ortest_1117z00_1926 =
																										BTRUE;
																								}
																							else
																								{	/* Ast/glo_def.scm 352 */
																									if (NULLP(BgL_typesz00_1930))
																										{	/* Ast/glo_def.scm 355 */
																											obj_t
																												BgL_list1721z00_1935;
																											BgL_list1721z00_1935 =
																												MAKE_YOUNG_PAIR
																												(BGl_string1929z00zzast_glozd2defzd2,
																												BNIL);
																											BgL__ortest_1117z00_1926 =
																												((obj_t)
																												BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																												(((BgL_globalz00_bglt)
																														BgL_genericz00_1912),
																													BgL_srcz00_48,
																													BgL_list1721z00_1935));
																										}
																									else
																										{	/* Ast/glo_def.scm 358 */
																											bool_t
																												BgL_test2066z00_3751;
																											{	/* Ast/glo_def.scm 359 */
																												BgL_typez00_bglt
																													BgL_arg1731z00_1943;
																												obj_t
																													BgL_arg1738z00_1944;
																												BgL_arg1731z00_1943 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) CAR(((obj_t) BgL_localsz00_1929))))))->BgL_typez00);
																												BgL_arg1738z00_1944 =
																													CAR(((obj_t)
																														BgL_typesz00_1930));
																												BgL_test2066z00_3751 =
																													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																													(BgL_subzf3zf3_1931,
																													BgL_arg1731z00_1943,
																													((BgL_typez00_bglt)
																														BgL_arg1738z00_1944));
																											}
																											if (BgL_test2066z00_3751)
																												{	/* Ast/glo_def.scm 366 */
																													obj_t
																														BgL_arg1728z00_1940;
																													obj_t
																														BgL_arg1729z00_1941;
																													BgL_arg1728z00_1940 =
																														CDR(((obj_t)
																															BgL_localsz00_1929));
																													BgL_arg1729z00_1941 =
																														CDR(((obj_t)
																															BgL_typesz00_1930));
																													{
																														bool_t
																															BgL_subzf3zf3_3767;
																														obj_t
																															BgL_typesz00_3766;
																														obj_t
																															BgL_localsz00_3765;
																														BgL_localsz00_3765 =
																															BgL_arg1728z00_1940;
																														BgL_typesz00_3766 =
																															BgL_arg1729z00_1941;
																														BgL_subzf3zf3_3767 =
																															((bool_t) 0);
																														BgL_subzf3zf3_1931 =
																															BgL_subzf3zf3_3767;
																														BgL_typesz00_1930 =
																															BgL_typesz00_3766;
																														BgL_localsz00_1929 =
																															BgL_localsz00_3765;
																														goto
																															BgL_zc3z04anonymousza31718ze3z87_1932;
																													}
																												}
																											else
																												{	/* Ast/glo_def.scm 358 */
																													{	/* Ast/glo_def.scm 361 */
																														obj_t
																															BgL_list1730z00_1942;
																														BgL_list1730z00_1942
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1929z00zzast_glozd2defzd2,
																															BNIL);
																														BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																															(((BgL_globalz00_bglt) BgL_genericz00_1912), BgL_srcz00_48, BgL_list1730z00_1942);
																													}
																													BgL__ortest_1117z00_1926
																														= BFALSE;
																												}
																										}
																								}
																						}
																					}
																					if (CBOOL(BgL__ortest_1117z00_1926))
																						{	/* Ast/glo_def.scm 337 */
																							return
																								CBOOL(BgL__ortest_1117z00_1926);
																						}
																					else
																						{	/* Ast/glo_def.scm 337 */
																							return ((bool_t) 1);
																						}
																				}
																			else
																				{	/* Ast/glo_def.scm 332 */
																					{	/* Ast/glo_def.scm 333 */
																						obj_t BgL_list1750z00_1963;

																						BgL_list1750z00_1963 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1930z00zzast_glozd2defzd2,
																							BNIL);
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																							(((BgL_globalz00_bglt)
																								BgL_genericz00_1912),
																							BgL_srcz00_48,
																							BgL_list1750z00_1963);
																					}
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Ast/glo_def.scm 329 */
																			{	/* Ast/glo_def.scm 330 */
																				obj_t BgL_list1752z00_1965;

																				BgL_list1752z00_1965 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1928z00zzast_glozd2defzd2,
																					BNIL);
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt)
																						BgL_genericz00_1912), BgL_srcz00_48,
																					BgL_list1752z00_1965);
																			}
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Ast/glo_def.scm 326 */
																	{	/* Ast/glo_def.scm 327 */
																		obj_t BgL_list1760z00_1968;

																		BgL_list1760z00_1968 =
																			MAKE_YOUNG_PAIR
																			(BGl_string1939z00zzast_glozd2defzd2,
																			BNIL);
																		BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																				(BgL_globalz00_bglt)
																				BgL_genericz00_1912), BgL_srcz00_48,
																			BgL_list1760z00_1968);
																	}
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Ast/glo_def.scm 323 */
															{	/* Ast/glo_def.scm 324 */
																obj_t BgL_list1762z00_1970;

																BgL_list1762z00_1970 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1939z00zzast_glozd2defzd2, BNIL);
																BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																		(BgL_globalz00_bglt) BgL_genericz00_1912),
																	BgL_srcz00_48, BgL_list1762z00_1970);
															}
															return ((bool_t) 0);
														}
												}
											}
										else
											{	/* Ast/glo_def.scm 316 */
												return ((bool_t) 1);
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &check-method-definition */
	obj_t BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2(obj_t
		BgL_envz00_3021, obj_t BgL_idz00_3022, obj_t BgL_argsz00_3023,
		obj_t BgL_localsz00_3024, obj_t BgL_srcz00_3025)
	{
		{	/* Ast/glo_def.scm 307 */
			return
				BBOOL(BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
				(BgL_idz00_3022, BgL_argsz00_3023, BgL_localsz00_3024,
					BgL_srcz00_3025));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2()
	{
		{	/* Ast/glo_def.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1940z00zzast_glozd2defzd2));
		}

	}

#ifdef __cplusplus
}
#endif
