/*===========================================================================*/
/*   (Ast/occur.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/occur.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21301z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez121264za2zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2extern1281z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62occurzd2nodez12zd2switch1293z70zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1299z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_occurz00();
	static obj_t BGl_z62occurzd2nodez12zd2conditio1289z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(BgL_sfunz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2var1267z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_occurz00();
	static obj_t BGl_objectzd2initzd2zzast_occurz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2letzd2fun1295za2zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodezd2sfunz12z70zzast_occurz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_occurz00();
	static obj_t BGl_z62occurzd2nodez12zd2app1275z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2cast1285z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2sequence1271z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31318ze3ze5zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setq1287z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2retblock1303z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2pragma1283z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2sync1273z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1309za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2fail1291z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2funcall1279z70zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2letzd2var1297za2zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_occurz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00();
	static obj_t BGl_gczd2rootszd2initz00zzast_occurz00();
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2patch1269z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2return1305z70zzast_occurz00(obj_t,
		obj_t);
	static bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2makezd2box1307za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2appzd2ly1277za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121311zb0zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_occurzd2nodezd2sfunz12zd2envzc0zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71849za7,
		BGl_z62occurzd2nodezd2sfunz12z70zzast_occurz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1816z00zzast_occurz00,
		BgL_bgl_string1816za700za7za7a1850za7, "occur-node!1264", 15);
	      DEFINE_STRING(BGl_string1818z00zzast_occurz00,
		BgL_bgl_string1818za700za7za7a1851za7, "occur-node!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzast_occurz00,
		BgL_bgl_za762za7c3za704anonymo1852za7,
		BGl_z62zc3z04anonymousza31318ze3ze5zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71853za7,
		BGl_z62occurzd2nodez121264za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71854za7,
		BGl_z62occurzd2nodez12zd2var1267z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71855za7,
		BGl_z62occurzd2nodez12zd2patch1269z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71856za7,
		BGl_z62occurzd2nodez12zd2sequence1271z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71857za7,
		BGl_z62occurzd2nodez12zd2sync1273z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71858za7,
		BGl_z62occurzd2nodez12zd2app1275z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71859za7,
		BGl_z62occurzd2nodez12zd2appzd2ly1277za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71860za7,
		BGl_z62occurzd2nodez12zd2funcall1279z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71861za7,
		BGl_z62occurzd2nodez12zd2extern1281z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71862za7,
		BGl_z62occurzd2nodez12zd2pragma1283z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71863za7,
		BGl_z62occurzd2nodez12zd2cast1285z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71864za7,
		BGl_z62occurzd2nodez12zd2setq1287z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71865za7,
		BGl_z62occurzd2nodez12zd2conditio1289z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71866za7,
		BGl_z62occurzd2nodez12zd2fail1291z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71867za7,
		BGl_z62occurzd2nodez12zd2switch1293z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71868za7,
		BGl_z62occurzd2nodez12zd2letzd2fun1295za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71869za7,
		BGl_z62occurzd2nodez12zd2letzd2var1297za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71870za7,
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1299z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1841z00zzast_occurz00,
		BgL_bgl_string1841za700za7za7a1871za7, "ast_occur", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71872za7,
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21301z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1842z00zzast_occurz00,
		BgL_bgl_string1842za700za7za7a1873za7, "read write done ", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71874za7,
		BGl_z62occurzd2nodez12zd2retblock1303z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71875za7,
		BGl_z62occurzd2nodez12zd2return1305z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71876za7,
		BGl_z62occurzd2nodez12zd2makezd2box1307za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71877za7,
		BGl_z62occurzd2nodez12zd2boxzd2ref1309za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71878za7,
		BGl_z62occurzd2nodez12zd2boxzd2setz121311zb0zzast_occurz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2nodezd2inz12zd2envzc0zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71879za7,
		BGl_z62occurzd2nodezd2inz12z70zzast_occurz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71880za7,
		BGl_z62occurzd2nodez12za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2varzd2envz00zzast_occurz00,
		BgL_bgl_za762occurza7d2varza7b1881za7, BGl_z62occurzd2varzb0zzast_occurz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_occurz00));
		     ADD_ROOT((void *) (&BGl_za2globalza2z00zzast_occurz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long
		BgL_checksumz00_2475, char *BgL_fromz00_2476)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_occurz00))
				{
					BGl_requirezd2initializa7ationz75zzast_occurz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_occurz00();
					BGl_libraryzd2moduleszd2initz00zzast_occurz00();
					BGl_cnstzd2initzd2zzast_occurz00();
					BGl_importedzd2moduleszd2initz00zzast_occurz00();
					BGl_genericzd2initzd2zzast_occurz00();
					BGl_methodzd2initzd2zzast_occurz00();
					return BGl_toplevelzd2initzd2zzast_occurz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_occur");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			{	/* Ast/occur.scm 17 */
				obj_t BgL_cportz00_2313;

				{	/* Ast/occur.scm 17 */
					obj_t BgL_stringz00_2321;

					BgL_stringz00_2321 = BGl_string1842z00zzast_occurz00;
					{	/* Ast/occur.scm 17 */
						obj_t BgL_startz00_2322;

						BgL_startz00_2322 = BINT(((long) 0));
						{	/* Ast/occur.scm 17 */
							obj_t BgL_endz00_2323;

							BgL_endz00_2323 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2321)));
							{	/* Ast/occur.scm 17 */

								BgL_cportz00_2313 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2321, BgL_startz00_2322, BgL_endz00_2323);
				}}}}
				{
					long BgL_iz00_2314;

					BgL_iz00_2314 = ((long) 2);
				BgL_loopz00_2315:
					if ((BgL_iz00_2314 == ((long) -1)))
						{	/* Ast/occur.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/occur.scm 17 */
							{	/* Ast/occur.scm 17 */
								obj_t BgL_arg1848z00_2317;

								{	/* Ast/occur.scm 17 */

									{	/* Ast/occur.scm 17 */
										obj_t BgL_locationz00_2319;

										BgL_locationz00_2319 = BBOOL(((bool_t) 0));
										{	/* Ast/occur.scm 17 */

											BgL_arg1848z00_2317 =
												BGl_readz00zz__readerz00(BgL_cportz00_2313,
												BgL_locationz00_2319);
										}
									}
								}
								{	/* Ast/occur.scm 17 */
									int BgL_tmpz00_2505;

									BgL_tmpz00_2505 = (int) (BgL_iz00_2314);
									CNST_TABLE_SET(BgL_tmpz00_2505, BgL_arg1848z00_2317);
							}}
							{	/* Ast/occur.scm 17 */
								int BgL_auxz00_2320;

								BgL_auxz00_2320 = (int) ((BgL_iz00_2314 - ((long) 1)));
								{
									long BgL_iz00_2510;

									BgL_iz00_2510 = (long) (BgL_auxz00_2320);
									BgL_iz00_2314 = BgL_iz00_2510;
									goto BgL_loopz00_2315;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* occur-var */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Ast/occur.scm 33 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1814z00zzast_occurz00,
				BNIL);
			{
				obj_t BgL_l1236z00_1388;

				BgL_l1236z00_1388 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31319ze3z87_1389:
				if (PAIRP(BgL_l1236z00_1388))
					{	/* Ast/occur.scm 39 */
						{	/* Ast/occur.scm 40 */
							obj_t BgL_globalz00_1391;

							BgL_globalz00_1391 = CAR(BgL_l1236z00_1388);
							{	/* Ast/occur.scm 40 */
								BgL_valuez00_bglt BgL_arg1321z00_1392;

								BgL_arg1321z00_1392 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1391))))->
									BgL_valuez00);
								BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(((BgL_sfunz00_bglt)
										BgL_arg1321z00_1392),
									((BgL_globalz00_bglt) BgL_globalz00_1391));
							}
						}
						{
							obj_t BgL_l1236z00_2523;

							BgL_l1236z00_2523 = CDR(BgL_l1236z00_1388);
							BgL_l1236z00_1388 = BgL_l1236z00_2523;
							goto BgL_zc3z04anonymousza31319ze3z87_1389;
						}
					}
				else
					{	/* Ast/occur.scm 39 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}

	}



/* &occur-var */
	obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t BgL_envz00_2229,
		obj_t BgL_globalsz00_2230)
	{
		{	/* Ast/occur.scm 33 */
			return BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_2230);
		}

	}



/* &<@anonymous:1318> */
	obj_t BGl_z62zc3z04anonymousza31318ze3ze5zzast_occurz00(obj_t BgL_envz00_2231,
		obj_t BgL_globalz00_2232)
	{
		{	/* Ast/occur.scm 35 */
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_2232))))->
					BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
			return ((((BgL_variablez00_bglt)
						COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
									BgL_globalz00_2232))))->BgL_occurrencewz00) =
				((long) ((long) 0)), BUNSPEC);
		}

	}



/* occur-node-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(BgL_sfunz00_bglt BgL_fz00_4,
		BgL_globalz00_bglt BgL_globalz00_5)
	{
		{	/* Ast/occur.scm 47 */
			{	/* Ast/occur.scm 49 */
				obj_t BgL_g1240z00_1396;

				BgL_g1240z00_1396 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_fz00_4))->BgL_argsz00);
				{
					obj_t BgL_l1238z00_1398;

					BgL_l1238z00_1398 = BgL_g1240z00_1396;
				BgL_zc3z04anonymousza31323ze3z87_1399:
					if (PAIRP(BgL_l1238z00_1398))
						{	/* Ast/occur.scm 49 */
							{	/* Ast/occur.scm 49 */
								obj_t BgL_az00_1401;

								BgL_az00_1401 = CAR(BgL_l1238z00_1398);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_az00_1401))))->
										BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
							}
							{
								obj_t BgL_l1238z00_2539;

								BgL_l1238z00_2539 = CDR(BgL_l1238z00_1398);
								BgL_l1238z00_1398 = BgL_l1238z00_2539;
								goto BgL_zc3z04anonymousza31323ze3z87_1399;
							}
						}
					else
						{	/* Ast/occur.scm 49 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 50 */
				obj_t BgL_arg1326z00_1404;

				BgL_arg1326z00_1404 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_fz00_4))->BgL_bodyz00);
				BGl_za2globalza2z00zzast_occurz00 = ((obj_t) BgL_globalz00_5);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1326z00_1404));
			}
		}

	}



/* &occur-node-sfun! */
	obj_t BGl_z62occurzd2nodezd2sfunz12z70zzast_occurz00(obj_t BgL_envz00_2233,
		obj_t BgL_fz00_2234, obj_t BgL_globalz00_2235)
	{
		{	/* Ast/occur.scm 47 */
			return
				BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(
				((BgL_sfunz00_bglt) BgL_fz00_2234),
				((BgL_globalz00_bglt) BgL_globalz00_2235));
		}

	}



/* occur-node-in! */
	BGL_EXPORTED_DEF obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_6,
		BgL_globalz00_bglt BgL_globalz00_7)
	{
		{	/* Ast/occur.scm 55 */
			BGl_za2globalza2z00zzast_occurz00 = ((obj_t) BgL_globalz00_7);
			return BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_6);
		}

	}



/* &occur-node-in! */
	obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t BgL_envz00_2236,
		obj_t BgL_nodez00_2237, obj_t BgL_globalz00_2238)
	{
		{	/* Ast/occur.scm 55 */
			return
				BGl_occurzd2nodezd2inz12z12zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_2237),
				((BgL_globalz00_bglt) BgL_globalz00_2238));
		}

	}



/* occur-node*! */
	bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/occur.scm 294 */
			{
				obj_t BgL_l1262z00_1406;

				BgL_l1262z00_1406 = BgL_nodeza2za2_32;
			BgL_zc3z04anonymousza31327ze3z87_1407:
				if (PAIRP(BgL_l1262z00_1406))
					{	/* Ast/occur.scm 295 */
						{	/* Ast/occur.scm 295 */
							obj_t BgL_arg1331z00_1409;

							BgL_arg1331z00_1409 = CAR(BgL_l1262z00_1406);
							BGl_occurzd2nodez12zc0zzast_occurz00(
								((BgL_nodez00_bglt) BgL_arg1331z00_1409));
						}
						{
							obj_t BgL_l1262z00_2558;

							BgL_l1262z00_2558 = CDR(BgL_l1262z00_1406);
							BgL_l1262z00_1406 = BgL_l1262z00_2558;
							goto BgL_zc3z04anonymousza31327ze3z87_1407;
						}
					}
				else
					{	/* Ast/occur.scm 295 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_proc1815z00zzast_occurz00, BGl_nodez00zzast_nodez00,
				BGl_string1816z00zzast_occurz00);
		}

	}



/* &occur-node!1264 */
	obj_t BGl_z62occurzd2nodez121264za2zzast_occurz00(obj_t BgL_envz00_2240,
		obj_t BgL_nodez00_2241)
	{
		{	/* Ast/occur.scm 67 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* occur-node! */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt
		BgL_nodez00_8)
	{
		{	/* Ast/occur.scm 67 */
			{	/* Ast/occur.scm 67 */
				obj_t BgL_method1265z00_1416;

				{	/* Ast/occur.scm 67 */
					obj_t BgL_res1804z00_1870;

					{	/* Ast/occur.scm 67 */
						long BgL_objzd2classzd2numz00_1841;

						BgL_objzd2classzd2numz00_1841 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_8));
						{	/* Ast/occur.scm 67 */
							obj_t BgL_arg1829z00_1842;

							BgL_arg1829z00_1842 =
								PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
								(int) (((long) 1)));
							{	/* Ast/occur.scm 67 */
								int BgL_offsetz00_1845;

								BgL_offsetz00_1845 = (int) (BgL_objzd2classzd2numz00_1841);
								{	/* Ast/occur.scm 67 */
									long BgL_offsetz00_1846;

									BgL_offsetz00_1846 =
										((long) (BgL_offsetz00_1845) - OBJECT_TYPE);
									{	/* Ast/occur.scm 67 */
										long BgL_modz00_1847;

										BgL_modz00_1847 =
											(BgL_offsetz00_1846 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/occur.scm 67 */
											long BgL_restz00_1849;

											BgL_restz00_1849 =
												(BgL_offsetz00_1846 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/occur.scm 67 */

												{	/* Ast/occur.scm 67 */
													obj_t BgL_bucketz00_1851;

													BgL_bucketz00_1851 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1842), BgL_modz00_1847);
													BgL_res1804z00_1870 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1851), BgL_restz00_1849);
					}}}}}}}}
					BgL_method1265z00_1416 = BgL_res1804z00_1870;
				}
				return
					PROCEDURE_ENTRY(BgL_method1265z00_1416) (BgL_method1265z00_1416,
					((obj_t) BgL_nodez00_8), BEOA);
			}
		}

	}



/* &occur-node! */
	obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t BgL_envz00_2242,
		obj_t BgL_nodez00_2243)
	{
		{	/* Ast/occur.scm 67 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_2243));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_varz00zzast_nodez00,
				BGl_proc1817z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_patchz00zzast_nodez00,
				BGl_proc1819z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1820z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_syncz00zzast_nodez00,
				BGl_proc1821z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_appz00zzast_nodez00,
				BGl_proc1822z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1823z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1824z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_externz00zzast_nodez00,
				BGl_proc1825z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1826z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_castz00zzast_nodez00,
				BGl_proc1827z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_setqz00zzast_nodez00,
				BGl_proc1828z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1829z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_failz00zzast_nodez00,
				BGl_proc1830z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_switchz00zzast_nodez00,
				BGl_proc1831z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1832z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1833z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1834z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1835z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1836z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_returnz00zzast_nodez00,
				BGl_proc1837z00zzast_occurz00, BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1838z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1839z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1840z00zzast_occurz00,
				BGl_string1818z00zzast_occurz00);
		}

	}



/* &occur-node!-box-set!1311 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121311zb0zzast_occurz00(obj_t
		BgL_envz00_2267, obj_t BgL_nodez00_2268)
	{
		{	/* Ast/occur.scm 286 */
			{	/* Ast/occur.scm 288 */
				BgL_varz00_bglt BgL_arg1660z00_2327;

				BgL_arg1660z00_2327 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2268)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1660z00_2327));
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2268)))->BgL_valuez00));
		}

	}



/* &occur-node!-box-ref1309 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1309za2zzast_occurz00(obj_t
		BgL_envz00_2269, obj_t BgL_nodez00_2270)
	{
		{	/* Ast/occur.scm 280 */
			{	/* Ast/occur.scm 281 */
				BgL_varz00_bglt BgL_arg1657z00_2329;

				BgL_arg1657z00_2329 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2270)))->BgL_varz00);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1657z00_2329));
			}
		}

	}



/* &occur-node!-make-box1307 */
	obj_t BGl_z62occurzd2nodez12zd2makezd2box1307za2zzast_occurz00(obj_t
		BgL_envz00_2271, obj_t BgL_nodez00_2272)
	{
		{	/* Ast/occur.scm 274 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2272)))->BgL_valuez00));
		}

	}



/* &occur-node!-return1305 */
	obj_t BGl_z62occurzd2nodez12zd2return1305z70zzast_occurz00(obj_t
		BgL_envz00_2273, obj_t BgL_nodez00_2274)
	{
		{	/* Ast/occur.scm 267 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nodez00_2274)))->BgL_valuez00));
		}

	}



/* &occur-node!-retblock1303 */
	obj_t BGl_z62occurzd2nodez12zd2retblock1303z70zzast_occurz00(obj_t
		BgL_envz00_2275, obj_t BgL_nodez00_2276)
	{
		{	/* Ast/occur.scm 260 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_2276)))->BgL_bodyz00));
		}

	}



/* &occur-node!-jump-ex-1301 */
	obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21301z70zzast_occurz00(obj_t
		BgL_envz00_2277, obj_t BgL_nodez00_2278)
	{
		{	/* Ast/occur.scm 252 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2278)))->BgL_exitz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2278)))->BgL_valuez00));
		}

	}



/* &occur-node!-set-ex-i1299 */
	obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1299z70zzast_occurz00(obj_t
		BgL_envz00_2279, obj_t BgL_nodez00_2280)
	{
		{	/* Ast/occur.scm 240 */
			{	/* Ast/occur.scm 242 */
				BgL_localz00_bglt BgL_i1119z00_2335;

				BgL_i1119z00_2335 =
					((BgL_localz00_bglt)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2280)))->
									BgL_varz00)))->BgL_variablez00));
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_i1119z00_2335)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_i1119z00_2335)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				if (((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_i1119z00_2335)))->BgL_accessz00) ==
						CNST_TABLE_REF(((long) 1))))
					{	/* Ast/occur.scm 245 */
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1119z00_2335)))->
								BgL_accessz00) = ((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
					}
				else
					{	/* Ast/occur.scm 245 */
						BFALSE;
					}
			}
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2280)))->BgL_onexitz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2280)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-var1297 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2var1297za2zzast_occurz00(obj_t
		BgL_envz00_2281, obj_t BgL_nodez00_2282)
	{
		{	/* Ast/occur.scm 224 */
			{	/* Ast/occur.scm 226 */
				obj_t BgL_g1258z00_2337;

				BgL_g1258z00_2337 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2282)))->BgL_bindingsz00);
				{
					obj_t BgL_l1256z00_2339;

					BgL_l1256z00_2339 = BgL_g1258z00_2337;
				BgL_zc3z04anonymousza31596ze3z87_2338:
					if (PAIRP(BgL_l1256z00_2339))
						{	/* Ast/occur.scm 226 */
							{	/* Ast/occur.scm 227 */
								obj_t BgL_bindingz00_2340;

								BgL_bindingz00_2340 = CAR(BgL_l1256z00_2339);
								{	/* Ast/occur.scm 227 */
									BgL_localz00_bglt BgL_i1117z00_2341;

									BgL_i1117z00_2341 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_2340)));
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_i1117z00_2341)))->
											BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_i1117z00_2341)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_i1117z00_2341)))->BgL_accessz00) =
										((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
							}}
							{
								obj_t BgL_l1256z00_2680;

								BgL_l1256z00_2680 = CDR(BgL_l1256z00_2339);
								BgL_l1256z00_2339 = BgL_l1256z00_2680;
								goto BgL_zc3z04anonymousza31596ze3z87_2338;
							}
						}
					else
						{	/* Ast/occur.scm 226 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 232 */
				obj_t BgL_g1261z00_2342;

				BgL_g1261z00_2342 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2282)))->BgL_bindingsz00);
				{
					obj_t BgL_l1259z00_2344;

					BgL_l1259z00_2344 = BgL_g1261z00_2342;
				BgL_zc3z04anonymousza31602ze3z87_2343:
					if (PAIRP(BgL_l1259z00_2344))
						{	/* Ast/occur.scm 232 */
							{	/* Ast/occur.scm 233 */
								obj_t BgL_bindingz00_2345;

								BgL_bindingz00_2345 = CAR(BgL_l1259z00_2344);
								{	/* Ast/occur.scm 233 */
									obj_t BgL_arg1604z00_2346;

									BgL_arg1604z00_2346 = CDR(((obj_t) BgL_bindingz00_2345));
									BGl_occurzd2nodez12zc0zzast_occurz00(
										((BgL_nodez00_bglt) BgL_arg1604z00_2346));
								}
							}
							{
								obj_t BgL_l1259z00_2691;

								BgL_l1259z00_2691 = CDR(BgL_l1259z00_2344);
								BgL_l1259z00_2344 = BgL_l1259z00_2691;
								goto BgL_zc3z04anonymousza31602ze3z87_2343;
							}
						}
					else
						{	/* Ast/occur.scm 232 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2282)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-fun1295 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2fun1295za2zzast_occurz00(obj_t
		BgL_envz00_2283, obj_t BgL_nodez00_2284)
	{
		{	/* Ast/occur.scm 202 */
			{	/* Ast/occur.scm 205 */
				obj_t BgL_g1252z00_2348;

				BgL_g1252z00_2348 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2284)))->BgL_localsz00);
				{
					obj_t BgL_l1250z00_2350;

					BgL_l1250z00_2350 = BgL_g1252z00_2348;
				BgL_zc3z04anonymousza31564ze3z87_2349:
					if (PAIRP(BgL_l1250z00_2350))
						{	/* Ast/occur.scm 205 */
							{	/* Ast/occur.scm 210 */
								obj_t BgL_localz00_2351;

								BgL_localz00_2351 = CAR(BgL_l1250z00_2350);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2351))))->
										BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
								((((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
														BgL_localz00_2351))))->BgL_occurrencewz00) =
									((long) ((long) 0)), BUNSPEC);
								if (((((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
															BgL_localz00_2351))))->BgL_accessz00) ==
										CNST_TABLE_REF(((long) 1))))
									{	/* Ast/occur.scm 210 */
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_2351))))->
												BgL_accessz00) =
											((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
									}
								else
									{	/* Ast/occur.scm 210 */
										BFALSE;
									}
								{	/* Ast/occur.scm 211 */
									obj_t BgL_g1249z00_2352;

									BgL_g1249z00_2352 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_2351))))->
														BgL_valuez00))))->BgL_argsz00);
									{
										obj_t BgL_l1247z00_2354;

										BgL_l1247z00_2354 = BgL_g1249z00_2352;
									BgL_zc3z04anonymousza31571ze3z87_2353:
										if (PAIRP(BgL_l1247z00_2354))
											{	/* Ast/occur.scm 212 */
												{	/* Ast/occur.scm 211 */
													obj_t BgL_az00_2355;

													BgL_az00_2355 = CAR(BgL_l1247z00_2354);
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_az00_2355))))->
															BgL_occurrencez00) =
														((long) ((long) 0)), BUNSPEC);
												}
												{
													obj_t BgL_l1247z00_2728;

													BgL_l1247z00_2728 = CDR(BgL_l1247z00_2354);
													BgL_l1247z00_2354 = BgL_l1247z00_2728;
													goto BgL_zc3z04anonymousza31571ze3z87_2353;
												}
											}
										else
											{	/* Ast/occur.scm 212 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1250z00_2730;

								BgL_l1250z00_2730 = CDR(BgL_l1250z00_2350);
								BgL_l1250z00_2350 = BgL_l1250z00_2730;
								goto BgL_zc3z04anonymousza31564ze3z87_2349;
							}
						}
					else
						{	/* Ast/occur.scm 205 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 214 */
				obj_t BgL_g1255z00_2356;

				BgL_g1255z00_2356 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2284)))->BgL_localsz00);
				{
					obj_t BgL_l1253z00_2358;

					BgL_l1253z00_2358 = BgL_g1255z00_2356;
				BgL_zc3z04anonymousza31583ze3z87_2357:
					if (PAIRP(BgL_l1253z00_2358))
						{	/* Ast/occur.scm 214 */
							{	/* Ast/occur.scm 215 */
								obj_t BgL_localz00_2359;

								BgL_localz00_2359 = CAR(BgL_l1253z00_2358);
								{	/* Ast/occur.scm 215 */
									long BgL_oldz00_2360;

									BgL_oldz00_2360 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2359))))->
										BgL_occurrencez00);
									{	/* Ast/occur.scm 216 */
										obj_t BgL_arg1585z00_2361;

										BgL_arg1585z00_2361 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_2359))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_occurzd2nodez12zc0zzast_occurz00(((BgL_nodez00_bglt)
												BgL_arg1585z00_2361));
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2359))))->
											BgL_occurrencez00) = ((long) BgL_oldz00_2360), BUNSPEC);
							}}
							{
								obj_t BgL_l1253z00_2750;

								BgL_l1253z00_2750 = CDR(BgL_l1253z00_2358);
								BgL_l1253z00_2358 = BgL_l1253z00_2750;
								goto BgL_zc3z04anonymousza31583ze3z87_2357;
							}
						}
					else
						{	/* Ast/occur.scm 214 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2284)))->BgL_bodyz00));
		}

	}



/* &occur-node!-switch1293 */
	obj_t BGl_z62occurzd2nodez12zd2switch1293z70zzast_occurz00(obj_t
		BgL_envz00_2285, obj_t BgL_nodez00_2286)
	{
		{	/* Ast/occur.scm 192 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2286)))->BgL_testz00));
			{	/* Ast/occur.scm 195 */
				obj_t BgL_g1246z00_2363;

				BgL_g1246z00_2363 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2286)))->BgL_clausesz00);
				{
					obj_t BgL_l1244z00_2365;

					{	/* Ast/occur.scm 195 */
						bool_t BgL_tmpz00_2760;

						BgL_l1244z00_2365 = BgL_g1246z00_2363;
					BgL_zc3z04anonymousza31553ze3z87_2364:
						if (PAIRP(BgL_l1244z00_2365))
							{	/* Ast/occur.scm 195 */
								{	/* Ast/occur.scm 196 */
									obj_t BgL_clausez00_2366;

									BgL_clausez00_2366 = CAR(BgL_l1244z00_2365);
									{	/* Ast/occur.scm 196 */
										obj_t BgL_arg1555z00_2367;

										BgL_arg1555z00_2367 = CDR(((obj_t) BgL_clausez00_2366));
										BGl_occurzd2nodez12zc0zzast_occurz00(
											((BgL_nodez00_bglt) BgL_arg1555z00_2367));
									}
								}
								{
									obj_t BgL_l1244z00_2768;

									BgL_l1244z00_2768 = CDR(BgL_l1244z00_2365);
									BgL_l1244z00_2365 = BgL_l1244z00_2768;
									goto BgL_zc3z04anonymousza31553ze3z87_2364;
								}
							}
						else
							{	/* Ast/occur.scm 195 */
								BgL_tmpz00_2760 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2760);
					}
				}
			}
		}

	}



/* &occur-node!-fail1291 */
	obj_t BGl_z62occurzd2nodez12zd2fail1291z70zzast_occurz00(obj_t
		BgL_envz00_2287, obj_t BgL_nodez00_2288)
	{
		{	/* Ast/occur.scm 183 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2288)))->BgL_procz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2288)))->BgL_msgz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2288)))->BgL_objz00));
		}

	}



/* &occur-node!-conditio1289 */
	obj_t BGl_z62occurzd2nodez12zd2conditio1289z70zzast_occurz00(obj_t
		BgL_envz00_2289, obj_t BgL_nodez00_2290)
	{
		{	/* Ast/occur.scm 174 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2290)))->BgL_testz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2290)))->BgL_truez00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2290)))->BgL_falsez00));
		}

	}



/* &occur-node!-setq1287 */
	obj_t BGl_z62occurzd2nodez12zd2setq1287z70zzast_occurz00(obj_t
		BgL_envz00_2291, obj_t BgL_nodez00_2292)
	{
		{	/* Ast/occur.scm 163 */
			{	/* Ast/occur.scm 165 */
				BgL_variablez00_bglt BgL_i1110z00_2371;

				BgL_i1110z00_2371 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2292)))->BgL_varz00)))->
					BgL_variablez00);
				if (((((BgL_variablez00_bglt) COBJECT(BgL_i1110z00_2371))->
							BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
					{	/* Ast/occur.scm 166 */
						((((BgL_variablez00_bglt) COBJECT(BgL_i1110z00_2371))->
								BgL_accessz00) = ((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
					}
				else
					{	/* Ast/occur.scm 166 */
						BFALSE;
					}
				((((BgL_variablez00_bglt) COBJECT(BgL_i1110z00_2371))->
						BgL_occurrencewz00) =
					((long) (((long) 1) +
							(((BgL_variablez00_bglt) COBJECT(BgL_i1110z00_2371))->
								BgL_occurrencewz00))), BUNSPEC);
			}
			{	/* Ast/occur.scm 168 */
				BgL_varz00_bglt BgL_arg1520z00_2372;

				BgL_arg1520z00_2372 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2292)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1520z00_2372));
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2292)))->BgL_valuez00));
		}

	}



/* &occur-node!-cast1285 */
	obj_t BGl_z62occurzd2nodez12zd2cast1285z70zzast_occurz00(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294)
	{
		{	/* Ast/occur.scm 157 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2294)))->BgL_argz00));
		}

	}



/* &occur-node!-pragma1283 */
	obj_t BGl_z62occurzd2nodez12zd2pragma1283z70zzast_occurz00(obj_t
		BgL_envz00_2295, obj_t BgL_nodez00_2296)
	{
		{	/* Ast/occur.scm 143 */
			{

				if (CBOOL(
						(((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_pragmaz00_bglt) BgL_nodez00_2296))))->
							BgL_sidezd2effectzd2)))
					{	/* Ast/occur.scm 146 */
						obj_t BgL_g1243z00_2377;

						BgL_g1243z00_2377 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_pragmaz00_bglt) BgL_nodez00_2296))))->BgL_exprza2za2);
						{
							obj_t BgL_l1241z00_2379;

							BgL_l1241z00_2379 = BgL_g1243z00_2377;
						BgL_zc3z04anonymousza31417ze3z87_2378:
							if (PAIRP(BgL_l1241z00_2379))
								{	/* Ast/occur.scm 151 */
									{	/* Ast/occur.scm 147 */
										obj_t BgL_nz00_2380;

										BgL_nz00_2380 = CAR(BgL_l1241z00_2379);
										{	/* Ast/occur.scm 147 */
											bool_t BgL_test1898z00_2822;

											{	/* Ast/occur.scm 147 */
												bool_t BgL_test1899z00_2823;

												{	/* Ast/occur.scm 147 */
													obj_t BgL_classz00_2381;

													BgL_classz00_2381 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_nz00_2380))
														{	/* Ast/occur.scm 147 */
															BgL_objectz00_bglt BgL_arg1825z00_2382;

															BgL_arg1825z00_2382 =
																(BgL_objectz00_bglt) (BgL_nz00_2380);
															{	/* Ast/occur.scm 147 */
																bool_t BgL_arg1822z00_2383;
																bool_t BgL_arg1823z00_2384;

																{	/* Ast/occur.scm 147 */
																	long BgL_idxz00_2385;

																	BgL_idxz00_2385 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2382);
																	BgL_arg1822z00_2383 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2385 + ((long) 2))) ==
																		BgL_classz00_2381);
																}
																{	/* Ast/occur.scm 147 */
																	bool_t BgL_res1808z00_2388;

																	{	/* Ast/occur.scm 147 */
																		obj_t BgL_oclassz00_2389;

																		{	/* Ast/occur.scm 147 */
																			long BgL_arg1833z00_2390;

																			{	/* Ast/occur.scm 147 */
																				long BgL_arg1834z00_2391;

																				BgL_arg1834z00_2391 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2382);
																				BgL_arg1833z00_2390 =
																					(BgL_arg1834z00_2391 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2389 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2390);
																		}
																		{	/* Ast/occur.scm 147 */
																			bool_t BgL__ortest_1110z00_2392;

																			BgL__ortest_1110z00_2392 =
																				(BgL_classz00_2381 ==
																				BgL_oclassz00_2389);
																			if (BgL__ortest_1110z00_2392)
																				{	/* Ast/occur.scm 147 */
																					BgL_res1808z00_2388 =
																						BgL__ortest_1110z00_2392;
																				}
																			else
																				{	/* Ast/occur.scm 147 */
																					long BgL_odepthz00_2393;

																					BgL_odepthz00_2393 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2389);
																					if ((((long) 2) < BgL_odepthz00_2393))
																						{	/* Ast/occur.scm 147 */
																							obj_t BgL_arg1821z00_2394;

																							BgL_arg1821z00_2394 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2389,
																								((long) 2));
																							BgL_res1808z00_2388 =
																								(BgL_arg1821z00_2394 ==
																								BgL_classz00_2381);
																						}
																					else
																						{	/* Ast/occur.scm 147 */
																							BgL_res1808z00_2388 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2384 = BgL_res1808z00_2388;
																}
																BgL_test1899z00_2823 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2383,
																	BgL_arg1823z00_2384);
															}
														}
													else
														{	/* Ast/occur.scm 147 */
															BgL_test1899z00_2823 = ((bool_t) 0);
														}
												}
												if (BgL_test1899z00_2823)
													{	/* Ast/occur.scm 147 */
														BgL_variablez00_bglt BgL_arg1457z00_2395;

														BgL_arg1457z00_2395 =
															(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2380)))->
															BgL_variablez00);
														{	/* Ast/occur.scm 147 */
															obj_t BgL_classz00_2396;

															BgL_classz00_2396 = BGl_localz00zzast_varz00;
															{	/* Ast/occur.scm 147 */
																BgL_objectz00_bglt BgL_arg1825z00_2397;

																{	/* Ast/occur.scm 147 */
																	obj_t BgL_tmpz00_2844;

																	BgL_tmpz00_2844 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1457z00_2395));
																	BgL_arg1825z00_2397 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2844);
																}
																{	/* Ast/occur.scm 147 */
																	bool_t BgL_arg1822z00_2398;
																	bool_t BgL_arg1823z00_2399;

																	{	/* Ast/occur.scm 147 */
																		long BgL_idxz00_2400;

																		BgL_idxz00_2400 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2397);
																		BgL_arg1822z00_2398 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2400 + ((long) 2))) ==
																			BgL_classz00_2396);
																	}
																	{	/* Ast/occur.scm 147 */
																		bool_t BgL_res1809z00_2403;

																		{	/* Ast/occur.scm 147 */
																			obj_t BgL_oclassz00_2404;

																			{	/* Ast/occur.scm 147 */
																				long BgL_arg1833z00_2405;

																				{	/* Ast/occur.scm 147 */
																					long BgL_arg1834z00_2406;

																					BgL_arg1834z00_2406 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2397);
																					BgL_arg1833z00_2405 =
																						(BgL_arg1834z00_2406 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2404 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2405);
																			}
																			{	/* Ast/occur.scm 147 */
																				bool_t BgL__ortest_1110z00_2407;

																				BgL__ortest_1110z00_2407 =
																					(BgL_classz00_2396 ==
																					BgL_oclassz00_2404);
																				if (BgL__ortest_1110z00_2407)
																					{	/* Ast/occur.scm 147 */
																						BgL_res1809z00_2403 =
																							BgL__ortest_1110z00_2407;
																					}
																				else
																					{	/* Ast/occur.scm 147 */
																						long BgL_odepthz00_2408;

																						BgL_odepthz00_2408 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2404);
																						if ((((long) 2) <
																								BgL_odepthz00_2408))
																							{	/* Ast/occur.scm 147 */
																								obj_t BgL_arg1821z00_2409;

																								BgL_arg1821z00_2409 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2404,
																									((long) 2));
																								BgL_res1809z00_2403 =
																									(BgL_arg1821z00_2409 ==
																									BgL_classz00_2396);
																							}
																						else
																							{	/* Ast/occur.scm 147 */
																								BgL_res1809z00_2403 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2399 = BgL_res1809z00_2403;
																	}
																	BgL_test1898z00_2822 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2398,
																		BgL_arg1823z00_2399);
																}
															}
														}
													}
												else
													{	/* Ast/occur.scm 147 */
														BgL_test1898z00_2822 = ((bool_t) 0);
													}
											}
											if (BgL_test1898z00_2822)
												{	/* Ast/occur.scm 148 */
													BgL_localz00_bglt BgL_i1108z00_2410;

													BgL_i1108z00_2410 =
														((BgL_localz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2380)))->
															BgL_variablez00));
													if (((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_i1108z00_2410)))->BgL_accessz00) ==
															CNST_TABLE_REF(((long) 2))))
														{	/* Ast/occur.scm 149 */
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_i1108z00_2410)))->BgL_accessz00) =
																((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
														}
													else
														{	/* Ast/occur.scm 149 */
															BFALSE;
														}
												}
											else
												{	/* Ast/occur.scm 147 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1241z00_2874;

										BgL_l1241z00_2874 = CDR(BgL_l1241z00_2379);
										BgL_l1241z00_2379 = BgL_l1241z00_2874;
										goto BgL_zc3z04anonymousza31417ze3z87_2378;
									}
								}
							else
								{	/* Ast/occur.scm 151 */
									((bool_t) 1);
								}
						}
					}
				else
					{	/* Ast/occur.scm 145 */
						((bool_t) 0);
					}
				{	/* Ast/occur.scm 143 */
					obj_t BgL_nextzd2method1282zd2_2376;

					BgL_nextzd2method1282zd2_2376 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt) BgL_nodez00_2296)),
						BGl_occurzd2nodez12zd2envz12zzast_occurz00,
						BGl_pragmaz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1282zd2_2376)
						(BgL_nextzd2method1282zd2_2376,
						((obj_t) ((BgL_pragmaz00_bglt) BgL_nodez00_2296)), BEOA);
				}
			}
		}

	}



/* &occur-node!-extern1281 */
	obj_t BGl_z62occurzd2nodez12zd2extern1281z70zzast_occurz00(obj_t
		BgL_envz00_2297, obj_t BgL_nodez00_2298)
	{
		{	/* Ast/occur.scm 135 */
			{	/* Ast/occur.scm 137 */
				obj_t BgL_nodesz00_2412;

				BgL_nodesz00_2412 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2298)))->BgL_exprza2za2);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_nodesz00_2412));
			}
		}

	}



/* &occur-node!-funcall1279 */
	obj_t BGl_z62occurzd2nodez12zd2funcall1279z70zzast_occurz00(obj_t
		BgL_envz00_2299, obj_t BgL_nodez00_2300)
	{
		{	/* Ast/occur.scm 127 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2300)))->BgL_funz00));
			{	/* Ast/occur.scm 130 */
				obj_t BgL_arg1415z00_2414;

				BgL_arg1415z00_2414 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2300)))->BgL_argsz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1415z00_2414));
			}
		}

	}



/* &occur-node!-app-ly1277 */
	obj_t BGl_z62occurzd2nodez12zd2appzd2ly1277za2zzast_occurz00(obj_t
		BgL_envz00_2301, obj_t BgL_nodez00_2302)
	{
		{	/* Ast/occur.scm 119 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2302)))->BgL_funz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2302)))->BgL_argz00));
		}

	}



/* &occur-node!-app1275 */
	obj_t BGl_z62occurzd2nodez12zd2app1275z70zzast_occurz00(obj_t BgL_envz00_2303,
		obj_t BgL_nodez00_2304)
	{
		{	/* Ast/occur.scm 111 */
			{	/* Ast/occur.scm 113 */
				BgL_varz00_bglt BgL_arg1385z00_2417;

				BgL_arg1385z00_2417 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2304)))->BgL_funz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1385z00_2417));
			}
			{	/* Ast/occur.scm 114 */
				obj_t BgL_arg1386z00_2418;

				BgL_arg1386z00_2418 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2304)))->BgL_argsz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1386z00_2418));
			}
		}

	}



/* &occur-node!-sync1273 */
	obj_t BGl_z62occurzd2nodez12zd2sync1273z70zzast_occurz00(obj_t
		BgL_envz00_2305, obj_t BgL_nodez00_2306)
	{
		{	/* Ast/occur.scm 103 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2306)))->BgL_mutexz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2306)))->BgL_prelockz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2306)))->BgL_bodyz00));
		}

	}



/* &occur-node!-sequence1271 */
	obj_t BGl_z62occurzd2nodez12zd2sequence1271z70zzast_occurz00(obj_t
		BgL_envz00_2307, obj_t BgL_nodez00_2308)
	{
		{	/* Ast/occur.scm 97 */
			{	/* Ast/occur.scm 98 */
				obj_t BgL_arg1380z00_2421;

				BgL_arg1380z00_2421 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2308)))->BgL_nodesz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1380z00_2421));
			}
		}

	}



/* &occur-node!-patch1269 */
	obj_t BGl_z62occurzd2nodez12zd2patch1269z70zzast_occurz00(obj_t
		BgL_envz00_2309, obj_t BgL_nodez00_2310)
	{
		{	/* Ast/occur.scm 84 */
			{	/* Ast/occur.scm 86 */
				bool_t BgL_test1906z00_2923;

				{	/* Ast/occur.scm 86 */
					obj_t BgL_arg1370z00_2423;

					BgL_arg1370z00_2423 =
						(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_2310))))->BgL_valuez00);
					{	/* Ast/occur.scm 86 */
						obj_t BgL_classz00_2424;

						BgL_classz00_2424 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_arg1370z00_2423))
							{	/* Ast/occur.scm 86 */
								BgL_objectz00_bglt BgL_arg1825z00_2425;

								BgL_arg1825z00_2425 =
									(BgL_objectz00_bglt) (BgL_arg1370z00_2423);
								{	/* Ast/occur.scm 86 */
									bool_t BgL_arg1822z00_2426;
									bool_t BgL_arg1823z00_2427;

									{	/* Ast/occur.scm 86 */
										long BgL_idxz00_2428;

										BgL_idxz00_2428 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2425);
										BgL_arg1822z00_2426 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2428 + ((long) 2))) == BgL_classz00_2424);
									}
									{	/* Ast/occur.scm 86 */
										bool_t BgL_res1807z00_2431;

										{	/* Ast/occur.scm 86 */
											obj_t BgL_oclassz00_2432;

											{	/* Ast/occur.scm 86 */
												long BgL_arg1833z00_2433;

												{	/* Ast/occur.scm 86 */
													long BgL_arg1834z00_2434;

													BgL_arg1834z00_2434 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2425);
													BgL_arg1833z00_2433 =
														(BgL_arg1834z00_2434 - OBJECT_TYPE);
												}
												BgL_oclassz00_2432 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2433);
											}
											{	/* Ast/occur.scm 86 */
												bool_t BgL__ortest_1110z00_2435;

												BgL__ortest_1110z00_2435 =
													(BgL_classz00_2424 == BgL_oclassz00_2432);
												if (BgL__ortest_1110z00_2435)
													{	/* Ast/occur.scm 86 */
														BgL_res1807z00_2431 = BgL__ortest_1110z00_2435;
													}
												else
													{	/* Ast/occur.scm 86 */
														long BgL_odepthz00_2436;

														BgL_odepthz00_2436 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2432);
														if ((((long) 2) < BgL_odepthz00_2436))
															{	/* Ast/occur.scm 86 */
																obj_t BgL_arg1821z00_2437;

																BgL_arg1821z00_2437 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2432,
																	((long) 2));
																BgL_res1807z00_2431 =
																	(BgL_arg1821z00_2437 == BgL_classz00_2424);
															}
														else
															{	/* Ast/occur.scm 86 */
																BgL_res1807z00_2431 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2427 = BgL_res1807z00_2431;
									}
									BgL_test1906z00_2923 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2426, BgL_arg1823z00_2427);
								}
							}
						else
							{	/* Ast/occur.scm 86 */
								BgL_test1906z00_2923 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1906z00_2923)
					{	/* Ast/occur.scm 87 */
						BgL_variablez00_bglt BgL_vz00_2438;

						BgL_vz00_2438 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														((BgL_patchz00_bglt) BgL_nodez00_2310))))->
											BgL_valuez00))))->BgL_variablez00);
						((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2438))->
								BgL_occurrencewz00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2438))->
										BgL_occurrencewz00) + ((long) 1))), BUNSPEC);
						((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2438))->
								BgL_occurrencez00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2438))->
										BgL_occurrencez00) + ((long) 1))), BUNSPEC);
						{	/* Ast/occur.scm 90 */
							obj_t BgL_vz00_2439;

							BgL_vz00_2439 = CNST_TABLE_REF(((long) 1));
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2438))->
									BgL_accessz00) = ((obj_t) BgL_vz00_2439), BUNSPEC);
					}}
				else
					{	/* Ast/occur.scm 91 */
						obj_t BgL_arg1369z00_2440;

						BgL_arg1369z00_2440 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_patchz00_bglt) BgL_nodez00_2310))))->BgL_valuez00);
						BGl_occurzd2nodez12zc0zzast_occurz00(
							((BgL_nodez00_bglt) BgL_arg1369z00_2440));
					}
			}
			{	/* Ast/occur.scm 92 */
				BgL_varz00_bglt BgL_arg1371z00_2441;

				BgL_arg1371z00_2441 =
					(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_nodez00_2310)))->BgL_refz00);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1371z00_2441));
			}
		}

	}



/* &occur-node!-var1267 */
	obj_t BGl_z62occurzd2nodez12zd2var1267z70zzast_occurz00(obj_t BgL_envz00_2311,
		obj_t BgL_nodez00_2312)
	{
		{	/* Ast/occur.scm 73 */
			{	/* Ast/occur.scm 74 */
				BgL_variablez00_bglt BgL_vz00_2443;

				BgL_vz00_2443 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2312)))->BgL_variablez00);
				{	/* Ast/occur.scm 75 */
					BgL_valuez00_bglt BgL_valuez00_2444;

					BgL_valuez00_2444 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2443))->BgL_valuez00);
					{	/* Ast/occur.scm 76 */
						bool_t BgL_test1910z00_2970;

						{	/* Ast/occur.scm 76 */
							bool_t BgL_test1911z00_2971;

							{	/* Ast/occur.scm 76 */
								obj_t BgL_classz00_2445;

								BgL_classz00_2445 = BGl_scnstz00zzast_varz00;
								{	/* Ast/occur.scm 76 */
									BgL_objectz00_bglt BgL_arg1825z00_2446;

									{	/* Ast/occur.scm 76 */
										obj_t BgL_tmpz00_2972;

										BgL_tmpz00_2972 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2444));
										BgL_arg1825z00_2446 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2972);
									}
									{	/* Ast/occur.scm 76 */
										bool_t BgL_arg1822z00_2447;
										bool_t BgL_arg1823z00_2448;

										{	/* Ast/occur.scm 76 */
											long BgL_idxz00_2449;

											BgL_idxz00_2449 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2446);
											BgL_arg1822z00_2447 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2449 + ((long) 2))) == BgL_classz00_2445);
										}
										{	/* Ast/occur.scm 76 */
											bool_t BgL_res1805z00_2452;

											{	/* Ast/occur.scm 76 */
												obj_t BgL_oclassz00_2453;

												{	/* Ast/occur.scm 76 */
													long BgL_arg1833z00_2454;

													{	/* Ast/occur.scm 76 */
														long BgL_arg1834z00_2455;

														BgL_arg1834z00_2455 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2446);
														BgL_arg1833z00_2454 =
															(BgL_arg1834z00_2455 - OBJECT_TYPE);
													}
													BgL_oclassz00_2453 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2454);
												}
												{	/* Ast/occur.scm 76 */
													bool_t BgL__ortest_1110z00_2456;

													BgL__ortest_1110z00_2456 =
														(BgL_classz00_2445 == BgL_oclassz00_2453);
													if (BgL__ortest_1110z00_2456)
														{	/* Ast/occur.scm 76 */
															BgL_res1805z00_2452 = BgL__ortest_1110z00_2456;
														}
													else
														{	/* Ast/occur.scm 76 */
															long BgL_odepthz00_2457;

															BgL_odepthz00_2457 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2453);
															if ((((long) 2) < BgL_odepthz00_2457))
																{	/* Ast/occur.scm 76 */
																	obj_t BgL_arg1821z00_2458;

																	BgL_arg1821z00_2458 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2453,
																		((long) 2));
																	BgL_res1805z00_2452 =
																		(BgL_arg1821z00_2458 == BgL_classz00_2445);
																}
															else
																{	/* Ast/occur.scm 76 */
																	BgL_res1805z00_2452 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2448 = BgL_res1805z00_2452;
										}
										BgL_test1911z00_2971 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2447,
											BgL_arg1823z00_2448);
									}
								}
							}
							if (BgL_test1911z00_2971)
								{	/* Ast/occur.scm 76 */
									obj_t BgL_arg1347z00_2459;

									BgL_arg1347z00_2459 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_2444)))->BgL_nodez00);
									{	/* Ast/occur.scm 76 */
										obj_t BgL_classz00_2460;

										BgL_classz00_2460 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1347z00_2459))
											{	/* Ast/occur.scm 76 */
												BgL_objectz00_bglt BgL_arg1825z00_2461;

												BgL_arg1825z00_2461 =
													(BgL_objectz00_bglt) (BgL_arg1347z00_2459);
												{	/* Ast/occur.scm 76 */
													bool_t BgL_arg1822z00_2462;
													bool_t BgL_arg1823z00_2463;

													{	/* Ast/occur.scm 76 */
														long BgL_idxz00_2464;

														BgL_idxz00_2464 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2461);
														BgL_arg1822z00_2462 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2464 + ((long) 1))) ==
															BgL_classz00_2460);
													}
													{	/* Ast/occur.scm 76 */
														bool_t BgL_res1806z00_2467;

														{	/* Ast/occur.scm 76 */
															obj_t BgL_oclassz00_2468;

															{	/* Ast/occur.scm 76 */
																long BgL_arg1833z00_2469;

																{	/* Ast/occur.scm 76 */
																	long BgL_arg1834z00_2470;

																	BgL_arg1834z00_2470 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2461);
																	BgL_arg1833z00_2469 =
																		(BgL_arg1834z00_2470 - OBJECT_TYPE);
																}
																BgL_oclassz00_2468 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2469);
															}
															{	/* Ast/occur.scm 76 */
																bool_t BgL__ortest_1110z00_2471;

																BgL__ortest_1110z00_2471 =
																	(BgL_classz00_2460 == BgL_oclassz00_2468);
																if (BgL__ortest_1110z00_2471)
																	{	/* Ast/occur.scm 76 */
																		BgL_res1806z00_2467 =
																			BgL__ortest_1110z00_2471;
																	}
																else
																	{	/* Ast/occur.scm 76 */
																		long BgL_odepthz00_2472;

																		BgL_odepthz00_2472 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2468);
																		if ((((long) 1) < BgL_odepthz00_2472))
																			{	/* Ast/occur.scm 76 */
																				obj_t BgL_arg1821z00_2473;

																				BgL_arg1821z00_2473 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2468, ((long) 1));
																				BgL_res1806z00_2467 =
																					(BgL_arg1821z00_2473 ==
																					BgL_classz00_2460);
																			}
																		else
																			{	/* Ast/occur.scm 76 */
																				BgL_res1806z00_2467 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2463 = BgL_res1806z00_2467;
													}
													BgL_test1910z00_2970 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2462,
														BgL_arg1823z00_2463);
												}
											}
										else
											{	/* Ast/occur.scm 76 */
												BgL_test1910z00_2970 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Ast/occur.scm 76 */
									BgL_test1910z00_2970 = ((bool_t) 0);
								}
						}
						if (BgL_test1910z00_2970)
							{	/* Ast/occur.scm 77 */
								obj_t BgL_arg1343z00_2474;

								BgL_arg1343z00_2474 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_2444)))->BgL_nodez00);
								BGl_occurzd2nodez12zc0zzast_occurz00(
									((BgL_nodez00_bglt) BgL_arg1343z00_2474));
							}
						else
							{	/* Ast/occur.scm 76 */
								BFALSE;
							}
					}
				}
				if ((((obj_t) BgL_vz00_2443) == BGl_za2globalza2z00zzast_occurz00))
					{	/* Ast/occur.scm 78 */
						return BFALSE;
					}
				else
					{	/* Ast/occur.scm 78 */
						return
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2443))->
								BgL_occurrencez00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2443))->
										BgL_occurrencez00) + ((long) 1))), BUNSPEC);
		}}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00()
	{
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1841z00zzast_occurz00));
		}

	}

#ifdef __cplusplus
}
#endif
