/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1262z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21293za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1258z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_substitutez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1283z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1256z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1266z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1268za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62dozd2substitutez121253za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1289za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1273z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1270z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1260z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1279z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_gczd2rootszd2initz00zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1275z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1295za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1285za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1277z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1287za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1264z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1281z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21291za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1297za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7121891z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1859z00zzast_substitutez00,
		BgL_bgl_string1859za700za7za7a1892za7, "do-substitute!1253", 18);
	      DEFINE_STRING(BGl_string1860z00zzast_substitutez00,
		BgL_bgl_string1860za700za7za7a1893za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1862z00zzast_substitutez00,
		BgL_bgl_string1862za700za7za7a1894za7, "do-substitute!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1895z00,
		BGl_z62dozd2substitutez121253za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1896z00,
		BGl_z62dozd2substitutez12zd2atom1256z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1897z00,
		BGl_z62dozd2substitutez12zd2var1258z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1898z00,
		BGl_z62dozd2substitutez12zd2kwote1260z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1899z00,
		BGl_z62dozd2substitutez12zd2seque1262z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1900z00,
		BGl_z62dozd2substitutez12zd2sync1264z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1901z00,
		BGl_z62dozd2substitutez12zd2app1266z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1902z00,
		BGl_z62dozd2substitutez12zd2appzd2l1268za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1903z00,
		BGl_z62dozd2substitutez12zd2funca1270z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1904z00,
		BGl_z62dozd2substitutez12zd2exter1273z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1905z00,
		BGl_z62dozd2substitutez12zd2cast1275z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1906z00,
		BGl_z62dozd2substitutez12zd2setq1277z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1907z00,
		BGl_z62dozd2substitutez12zd2condi1279z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1908z00,
		BGl_z62dozd2substitutez12zd2fail1281z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1909z00,
		BGl_z62dozd2substitutez12zd2switc1283z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1910z00,
		BGl_z62dozd2substitutez12zd2letzd2f1285za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1883z00zzast_substitutez00,
		BgL_bgl_string1883za700za7za7a1911za7, "Illegal application", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1912z00,
		BGl_z62dozd2substitutez12zd2letzd2v1287za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1884z00zzast_substitutez00,
		BgL_bgl_string1884za700za7za7a1913za7, "wrong number of argument(s)", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1914z00,
		BGl_z62dozd2substitutez12zd2setzd2e1289za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1885z00zzast_substitutez00,
		BgL_bgl_string1885za700za7za7a1915za7, "duplicate", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1916z00,
		BGl_z62dozd2substitutez12zd2jumpzd21291za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1886z00zzast_substitutez00,
		BgL_bgl_string1886za700za7za7a1917za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string1887z00zzast_substitutez00,
		BgL_bgl_string1887za700za7za7a1918za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string1888z00zzast_substitutez00,
		BgL_bgl_string1888za700za7za7a1919za7,
		"apply funcall set! app do-substitute!1253 value done ", 53);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1920z00,
		BGl_z62dozd2substitutez12zd2makezd21293za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1921z00,
		BGl_z62dozd2substitutez12zd2boxzd2r1295za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1922z00,
		BGl_z62dozd2substitutez12zd2boxzd2s1297za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1923z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_substitutez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2764, char *BgL_fromz00_2765)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_substitutez00();
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BGl_toplevelzd2initzd2zzast_substitutez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2529;

				{	/* Ast/substitute.scm 14 */
					obj_t BgL_stringz00_2537;

					BgL_stringz00_2537 = BGl_string1888z00zzast_substitutez00;
					{	/* Ast/substitute.scm 14 */
						obj_t BgL_startz00_2538;

						BgL_startz00_2538 = BINT(((long) 0));
						{	/* Ast/substitute.scm 14 */
							obj_t BgL_endz00_2539;

							BgL_endz00_2539 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2537)));
							{	/* Ast/substitute.scm 14 */

								BgL_cportz00_2529 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2537, BgL_startz00_2538, BgL_endz00_2539);
				}}}}
				{
					long BgL_iz00_2530;

					BgL_iz00_2530 = ((long) 6);
				BgL_loopz00_2531:
					if ((BgL_iz00_2530 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg1890z00_2533;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2535;

										BgL_locationz00_2535 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg1890z00_2533 =
												BGl_readz00zz__readerz00(BgL_cportz00_2529,
												BgL_locationz00_2535);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_tmpz00_2795;

									BgL_tmpz00_2795 = (int) (BgL_iz00_2530);
									CNST_TABLE_SET(BgL_tmpz00_2795, BgL_arg1890z00_2533);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2536;

								BgL_auxz00_2536 = (int) ((BgL_iz00_2530 - ((long) 1)));
								{
									long BgL_iz00_2800;

									BgL_iz00_2800 = (long) (BgL_auxz00_2536);
									BgL_iz00_2530 = BgL_iz00_2800;
									goto BgL_loopz00_2531;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}

	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll1234z00_1403;
				obj_t BgL_ll1235z00_1404;

				BgL_ll1234z00_1403 = BgL_whatza2za2_3;
				BgL_ll1235z00_1404 = BgL_byza2za2_4;
			BgL_zc3z04anonymousza31302ze3z87_1405:
				if (NULLP(BgL_ll1234z00_1403))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_1407;
							obj_t BgL_byz00_1408;

							BgL_whatz00_1407 = CAR(((obj_t) BgL_ll1234z00_1403));
							BgL_byz00_1408 = CAR(((obj_t) BgL_ll1235z00_1404));
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_whatz00_1407)))->
									BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_1408), BUNSPEC);
						}
						{	/* Ast/substitute.scm 37 */
							obj_t BgL_arg1304z00_1409;
							obj_t BgL_arg1306z00_1410;

							BgL_arg1304z00_1409 = CDR(((obj_t) BgL_ll1234z00_1403));
							BgL_arg1306z00_1410 = CDR(((obj_t) BgL_ll1235z00_1404));
							{
								obj_t BgL_ll1235z00_2816;
								obj_t BgL_ll1234z00_2815;

								BgL_ll1234z00_2815 = BgL_arg1304z00_1409;
								BgL_ll1235z00_2816 = BgL_arg1306z00_1410;
								BgL_ll1235z00_1404 = BgL_ll1235z00_2816;
								BgL_ll1234z00_1403 = BgL_ll1234z00_2815;
								goto BgL_zc3z04anonymousza31302ze3z87_1405;
							}
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_1412;

				BgL_resz00_1412 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l1237z00_1414;

					BgL_l1237z00_1414 = BgL_whatza2za2_3;
				BgL_zc3z04anonymousza31307ze3z87_1415:
					if (PAIRP(BgL_l1237z00_1414))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_1417;

								BgL_whatz00_1417 = CAR(BgL_l1237z00_1414);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_whatz00_1417)))->
										BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								obj_t BgL_l1237z00_2823;

								BgL_l1237z00_2823 = CDR(BgL_l1237z00_1414);
								BgL_l1237z00_1414 = BgL_l1237z00_2823;
								goto BgL_zc3z04anonymousza31307ze3z87_1415;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_1412;
			}
		}

	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_2433, obj_t BgL_whatza2za2_2434, obj_t BgL_byza2za2_2435,
		obj_t BgL_nodez00_2436, obj_t BgL_sitez00_2437)
	{
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_2434,
				BgL_byza2za2_2435, ((BgL_nodez00_bglt) BgL_nodez00_2436),
				BgL_sitez00_2437);
		}

	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_51,
		obj_t BgL_sitez00_52)
	{
		{	/* Ast/substitute.scm 275 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_51))
				{	/* Ast/substitute.scm 277 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 277 */
					if (NULLP(CDR(((obj_t) BgL_nodeza2za2_51))))
						{	/* Ast/substitute.scm 279 */
							{	/* Ast/substitute.scm 280 */
								BgL_nodez00_bglt BgL_arg1313z00_1423;

								{	/* Ast/substitute.scm 280 */
									obj_t BgL_arg1314z00_1424;

									BgL_arg1314z00_1424 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1313z00_1423 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1314z00_1424), BgL_sitez00_52);
								}
								{	/* Ast/substitute.scm 280 */
									obj_t BgL_auxz00_2840;
									obj_t BgL_tmpz00_2838;

									BgL_auxz00_2840 = ((obj_t) BgL_arg1313z00_1423);
									BgL_tmpz00_2838 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2838, BgL_auxz00_2840);
								}
							}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 279 */
							{	/* Ast/substitute.scm 283 */
								BgL_nodez00_bglt BgL_arg1316z00_1425;

								{	/* Ast/substitute.scm 283 */
									obj_t BgL_arg1317z00_1426;

									BgL_arg1317z00_1426 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1316z00_1425 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1317z00_1426),
										CNST_TABLE_REF(((long) 1)));
								}
								{	/* Ast/substitute.scm 283 */
									obj_t BgL_auxz00_2851;
									obj_t BgL_tmpz00_2849;

									BgL_auxz00_2851 = ((obj_t) BgL_arg1316z00_1425);
									BgL_tmpz00_2849 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2849, BgL_auxz00_2851);
							}}
							{	/* Ast/substitute.scm 284 */
								obj_t BgL_arg1320z00_1427;

								BgL_arg1320z00_1427 = CDR(((obj_t) BgL_nodeza2za2_51));
								{
									obj_t BgL_nodeza2za2_2856;

									BgL_nodeza2za2_2856 = BgL_arg1320z00_1427;
									BgL_nodeza2za2_51 = BgL_nodeza2za2_2856;
									goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
								}
							}
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc1858z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string1859z00zzast_substitutez00);
		}

	}



/* &do-substitute!1253 */
	obj_t BGl_z62dozd2substitutez121253za2zzast_substitutez00(obj_t
		BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_sitez00_2441)
	{
		{	/* Ast/substitute.scm 52 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
				BGl_string1860z00zzast_substitutez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2440)));
		}

	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method1254z00_1434;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res1844z00_1909;

					{	/* Ast/substitute.scm 52 */
						long BgL_objzd2classzd2numz00_1880;

						BgL_objzd2classzd2numz00_1880 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Ast/substitute.scm 52 */
							obj_t BgL_arg1829z00_1881;

							BgL_arg1829z00_1881 =
								PROCEDURE_REF
								(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
								(int) (((long) 1)));
							{	/* Ast/substitute.scm 52 */
								int BgL_offsetz00_1884;

								BgL_offsetz00_1884 = (int) (BgL_objzd2classzd2numz00_1880);
								{	/* Ast/substitute.scm 52 */
									long BgL_offsetz00_1885;

									BgL_offsetz00_1885 =
										((long) (BgL_offsetz00_1884) - OBJECT_TYPE);
									{	/* Ast/substitute.scm 52 */
										long BgL_modz00_1886;

										BgL_modz00_1886 =
											(BgL_offsetz00_1885 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/substitute.scm 52 */
											long BgL_restz00_1888;

											BgL_restz00_1888 =
												(BgL_offsetz00_1885 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/substitute.scm 52 */

												{	/* Ast/substitute.scm 52 */
													obj_t BgL_bucketz00_1890;

													BgL_bucketz00_1890 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1881), BgL_modz00_1886);
													BgL_res1844z00_1909 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1890), BgL_restz00_1888);
					}}}}}}}}
					BgL_method1254z00_1434 = BgL_res1844z00_1909;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1254z00_1434) (BgL_method1254z00_1434,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8, BEOA));
			}
		}

	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443, obj_t BgL_sitez00_2444)
	{
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_2443), BgL_sitez00_2444);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc1861z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc1863z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1864z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1865z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_syncz00zzast_nodez00, BGl_proc1866z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc1867z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1868z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1869z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc1870z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc1871z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc1872z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1873z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc1874z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_switchz00zzast_nodez00, BGl_proc1875z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1876z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1877z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1878z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1879z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1880z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1881z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1882z00zzast_substitutez00,
				BGl_string1862z00zzast_substitutez00);
		}

	}



/* &do-substitute!-box-s1297 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1297za2zzast_substitutez00(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467, obj_t BgL_sitez00_2468)
	{
		{	/* Ast/substitute.scm 267 */
			{	/* Ast/substitute.scm 268 */
				BgL_nodez00_bglt BgL_arg1694z00_2543;

				{	/* Ast/substitute.scm 268 */
					BgL_varz00_bglt BgL_arg1695z00_2544;

					BgL_arg1695z00_2544 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_varz00);
					BgL_arg1694z00_2543 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1695z00_2544),
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1694z00_2543)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 269 */
				BgL_nodez00_bglt BgL_arg1696z00_2545;

				{	/* Ast/substitute.scm 269 */
					BgL_nodez00_bglt BgL_arg1699z00_2546;

					BgL_arg1699z00_2546 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_valuez00);
					BgL_arg1696z00_2545 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1699z00_2546,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1696z00_2545), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467));
		}

	}



/* &do-substitute!-box-r1295 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1295za2zzast_substitutez00(obj_t
		BgL_envz00_2469, obj_t BgL_nodez00_2470, obj_t BgL_sitez00_2471)
	{
		{	/* Ast/substitute.scm 260 */
			{	/* Ast/substitute.scm 261 */
				BgL_nodez00_bglt BgL_arg1681z00_2548;

				{	/* Ast/substitute.scm 261 */
					BgL_varz00_bglt BgL_arg1682z00_2549;

					BgL_arg1682z00_2549 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2470)))->BgL_varz00);
					BgL_arg1681z00_2548 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1682z00_2549),
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2470)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1681z00_2548)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2470));
		}

	}



/* &do-substitute!-make-1293 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21293za2zzast_substitutez00(obj_t
		BgL_envz00_2472, obj_t BgL_nodez00_2473, obj_t BgL_sitez00_2474)
	{
		{	/* Ast/substitute.scm 253 */
			{	/* Ast/substitute.scm 254 */
				BgL_nodez00_bglt BgL_arg1678z00_2551;

				{	/* Ast/substitute.scm 254 */
					BgL_nodez00_bglt BgL_arg1679z00_2552;

					BgL_arg1679z00_2552 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2473)))->BgL_valuez00);
					BgL_arg1678z00_2551 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1679z00_2552,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2473)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1678z00_2551), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2473));
		}

	}



/* &do-substitute!-jump-1291 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21291za2zzast_substitutez00(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476, obj_t BgL_sitez00_2477)
	{
		{	/* Ast/substitute.scm 245 */
			{	/* Ast/substitute.scm 246 */
				BgL_nodez00_bglt BgL_arg1667z00_2554;

				{	/* Ast/substitute.scm 246 */
					BgL_nodez00_bglt BgL_arg1668z00_2555;

					BgL_arg1668z00_2555 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2476)))->BgL_exitz00);
					BgL_arg1667z00_2554 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1668z00_2555,
						CNST_TABLE_REF(((long) 3)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2476)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_arg1667z00_2554), BUNSPEC);
			}
			{	/* Ast/substitute.scm 247 */
				BgL_nodez00_bglt BgL_arg1675z00_2556;

				{	/* Ast/substitute.scm 247 */
					BgL_nodez00_bglt BgL_arg1676z00_2557;

					BgL_arg1676z00_2557 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2476)))->
						BgL_valuez00);
					BgL_arg1675z00_2556 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1676z00_2557,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2476)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_arg1675z00_2556), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2476));
		}

	}



/* &do-substitute!-set-e1289 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1289za2zzast_substitutez00(obj_t
		BgL_envz00_2478, obj_t BgL_nodez00_2479, obj_t BgL_sitez00_2480)
	{
		{	/* Ast/substitute.scm 237 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2479)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2479)))->BgL_bodyz00), BgL_sitez00_2480)),
				BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2479)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2479)))->BgL_onexitz00), BgL_sitez00_2480)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2479));
		}

	}



/* &do-substitute!-let-v1287 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1287za2zzast_substitutez00(obj_t
		BgL_envz00_2481, obj_t BgL_nodez00_2482, obj_t BgL_sitez00_2483)
	{
		{	/* Ast/substitute.scm 227 */
			{	/* Ast/substitute.scm 228 */
				obj_t BgL_g1252z00_2560;

				BgL_g1252z00_2560 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2482)))->BgL_bindingsz00);
				{
					obj_t BgL_l1250z00_2562;

					BgL_l1250z00_2562 = BgL_g1252z00_2560;
				BgL_zc3z04anonymousza31621ze3z87_2561:
					if (PAIRP(BgL_l1250z00_2562))
						{	/* Ast/substitute.scm 230 */
							{	/* Ast/substitute.scm 229 */
								obj_t BgL_bindingz00_2563;

								BgL_bindingz00_2563 = CAR(BgL_l1250z00_2562);
								{	/* Ast/substitute.scm 229 */
									BgL_nodez00_bglt BgL_arg1632z00_2564;

									{	/* Ast/substitute.scm 229 */
										obj_t BgL_arg1633z00_2565;

										BgL_arg1633z00_2565 = CDR(((obj_t) BgL_bindingz00_2563));
										BgL_arg1632z00_2564 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1633z00_2565),
											CNST_TABLE_REF(((long) 1)));
									}
									{	/* Ast/substitute.scm 229 */
										obj_t BgL_auxz00_2989;
										obj_t BgL_tmpz00_2987;

										BgL_auxz00_2989 = ((obj_t) BgL_arg1632z00_2564);
										BgL_tmpz00_2987 = ((obj_t) BgL_bindingz00_2563);
										SET_CDR(BgL_tmpz00_2987, BgL_auxz00_2989);
							}}}
							{
								obj_t BgL_l1250z00_2992;

								BgL_l1250z00_2992 = CDR(BgL_l1250z00_2562);
								BgL_l1250z00_2562 = BgL_l1250z00_2992;
								goto BgL_zc3z04anonymousza31621ze3z87_2561;
							}
						}
					else
						{	/* Ast/substitute.scm 230 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2482)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2varzd2_bglt)
								COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2482)))->
							BgL_bodyz00), BgL_sitez00_2483)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2482));
		}

	}



/* &do-substitute!-let-f1285 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1285za2zzast_substitutez00(obj_t
		BgL_envz00_2484, obj_t BgL_nodez00_2485, obj_t BgL_sitez00_2486)
	{
		{	/* Ast/substitute.scm 215 */
			{	/* Ast/substitute.scm 216 */
				obj_t BgL_g1249z00_2567;

				BgL_g1249z00_2567 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2485)))->BgL_localsz00);
				{
					obj_t BgL_l1247z00_2569;

					BgL_l1247z00_2569 = BgL_g1249z00_2567;
				BgL_zc3z04anonymousza31604ze3z87_2568:
					if (PAIRP(BgL_l1247z00_2569))
						{	/* Ast/substitute.scm 220 */
							{	/* Ast/substitute.scm 217 */
								obj_t BgL_localz00_2570;

								BgL_localz00_2570 = CAR(BgL_l1247z00_2569);
								{	/* Ast/substitute.scm 217 */
									BgL_valuez00_bglt BgL_funz00_2571;

									BgL_funz00_2571 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2570))))->
										BgL_valuez00);
									{	/* Ast/substitute.scm 218 */
										BgL_nodez00_bglt BgL_arg1606z00_2572;

										{	/* Ast/substitute.scm 218 */
											obj_t BgL_arg1612z00_2573;

											BgL_arg1612z00_2573 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2571)))->
												BgL_bodyz00);
											BgL_arg1606z00_2572 =
												BGl_dozd2substitutez12zc0zzast_substitutez00((
													(BgL_nodez00_bglt) BgL_arg1612z00_2573),
												CNST_TABLE_REF(((long) 1)));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2571)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1606z00_2572)), BUNSPEC);
							}}}
							{
								obj_t BgL_l1247z00_3017;

								BgL_l1247z00_3017 = CDR(BgL_l1247z00_2569);
								BgL_l1247z00_2569 = BgL_l1247z00_3017;
								goto BgL_zc3z04anonymousza31604ze3z87_2568;
							}
						}
					else
						{	/* Ast/substitute.scm 220 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2485)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2funzd2_bglt)
								COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2485)))->
							BgL_bodyz00), BgL_sitez00_2486)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2485));
		}

	}



/* &do-substitute!-switc1283 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1283z70zzast_substitutez00(obj_t
		BgL_envz00_2487, obj_t BgL_nodez00_2488, obj_t BgL_sitez00_2489)
	{
		{	/* Ast/substitute.scm 205 */
			{	/* Ast/substitute.scm 206 */
				BgL_nodez00_bglt BgL_arg1588z00_2575;

				{	/* Ast/substitute.scm 206 */
					BgL_nodez00_bglt BgL_arg1595z00_2576;

					BgL_arg1595z00_2576 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2488)))->BgL_testz00);
					BgL_arg1588z00_2575 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1595z00_2576,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2488)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_arg1588z00_2575), BUNSPEC);
			}
			{	/* Ast/substitute.scm 207 */
				obj_t BgL_g1246z00_2577;

				BgL_g1246z00_2577 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2488)))->BgL_clausesz00);
				{
					obj_t BgL_l1244z00_2579;

					BgL_l1244z00_2579 = BgL_g1246z00_2577;
				BgL_zc3z04anonymousza31596ze3z87_2578:
					if (PAIRP(BgL_l1244z00_2579))
						{	/* Ast/substitute.scm 209 */
							{	/* Ast/substitute.scm 208 */
								obj_t BgL_clausez00_2580;

								BgL_clausez00_2580 = CAR(BgL_l1244z00_2579);
								{	/* Ast/substitute.scm 208 */
									BgL_nodez00_bglt BgL_arg1601z00_2581;

									{	/* Ast/substitute.scm 208 */
										obj_t BgL_arg1602z00_2582;

										BgL_arg1602z00_2582 = CDR(((obj_t) BgL_clausez00_2580));
										BgL_arg1601z00_2581 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1602z00_2582),
											BgL_sitez00_2489);
									}
									{	/* Ast/substitute.scm 208 */
										obj_t BgL_auxz00_3043;
										obj_t BgL_tmpz00_3041;

										BgL_auxz00_3043 = ((obj_t) BgL_arg1601z00_2581);
										BgL_tmpz00_3041 = ((obj_t) BgL_clausez00_2580);
										SET_CDR(BgL_tmpz00_3041, BgL_auxz00_3043);
									}
								}
							}
							{
								obj_t BgL_l1244z00_3046;

								BgL_l1244z00_3046 = CDR(BgL_l1244z00_2579);
								BgL_l1244z00_2579 = BgL_l1244z00_3046;
								goto BgL_zc3z04anonymousza31596ze3z87_2578;
							}
						}
					else
						{	/* Ast/substitute.scm 209 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2488));
		}

	}



/* &do-substitute!-fail1281 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1281z70zzast_substitutez00(obj_t
		BgL_envz00_2490, obj_t BgL_nodez00_2491, obj_t BgL_sitez00_2492)
	{
		{	/* Ast/substitute.scm 195 */
			{
				BgL_nodez00_bglt BgL_auxz00_3050;

				{	/* Ast/substitute.scm 197 */
					BgL_nodez00_bglt BgL_arg1584z00_2584;

					BgL_arg1584z00_2584 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2491)))->BgL_procz00);
					BgL_auxz00_3050 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1584z00_2584,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2491)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3050), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3057;

				{	/* Ast/substitute.scm 198 */
					BgL_nodez00_bglt BgL_arg1585z00_2585;

					BgL_arg1585z00_2585 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2491)))->BgL_msgz00);
					BgL_auxz00_3057 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1585z00_2585,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2491)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3057), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3064;

				{	/* Ast/substitute.scm 199 */
					BgL_nodez00_bglt BgL_arg1586z00_2586;

					BgL_arg1586z00_2586 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2491)))->BgL_objz00);
					BgL_auxz00_3064 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1586z00_2586,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2491)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3064), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2491));
		}

	}



/* &do-substitute!-condi1279 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1279z70zzast_substitutez00(obj_t
		BgL_envz00_2493, obj_t BgL_nodez00_2494, obj_t BgL_sitez00_2495)
	{
		{	/* Ast/substitute.scm 185 */
			{
				BgL_nodez00_bglt BgL_auxz00_3073;

				{	/* Ast/substitute.scm 187 */
					BgL_nodez00_bglt BgL_arg1581z00_2588;

					BgL_arg1581z00_2588 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2494)))->BgL_testz00);
					BgL_auxz00_3073 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1581z00_2588,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2494)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3073), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3080;

				{	/* Ast/substitute.scm 188 */
					BgL_nodez00_bglt BgL_arg1582z00_2589;

					BgL_arg1582z00_2589 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2494)))->BgL_truez00);
					BgL_auxz00_3080 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1582z00_2589,
						BgL_sitez00_2495);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2494)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3080), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3086;

				{	/* Ast/substitute.scm 189 */
					BgL_nodez00_bglt BgL_arg1583z00_2590;

					BgL_arg1583z00_2590 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2494)))->BgL_falsez00);
					BgL_auxz00_3086 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1583z00_2590,
						BgL_sitez00_2495);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2494)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3086), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2494));
		}

	}



/* &do-substitute!-setq1277 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1277z70zzast_substitutez00(obj_t
		BgL_envz00_2496, obj_t BgL_nodez00_2497, obj_t BgL_sitez00_2498)
	{
		{	/* Ast/substitute.scm 176 */
			{
				BgL_varz00_bglt BgL_auxz00_3094;

				{	/* Ast/substitute.scm 178 */
					BgL_varz00_bglt BgL_arg1571z00_2592;

					BgL_arg1571z00_2592 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2497)))->BgL_varz00);
					BgL_auxz00_3094 =
						((BgL_varz00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1571z00_2592),
							CNST_TABLE_REF(((long) 4))));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2497)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3094), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3103;

				{	/* Ast/substitute.scm 179 */
					BgL_nodez00_bglt BgL_arg1578z00_2593;

					BgL_arg1578z00_2593 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2497)))->BgL_valuez00);
					BgL_auxz00_3103 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1578z00_2593,
						BgL_sitez00_2498);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2497)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3103), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2497));
		}

	}



/* &do-substitute!-cast1275 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1275z70zzast_substitutez00(obj_t
		BgL_envz00_2499, obj_t BgL_nodez00_2500, obj_t BgL_sitez00_2501)
	{
		{	/* Ast/substitute.scm 169 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2500)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2500)))->BgL_argz00),
						BgL_sitez00_2501)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2500));
		}

	}



/* &do-substitute!-exter1273 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1273z70zzast_substitutez00(obj_t
		BgL_envz00_2502, obj_t BgL_nodez00_2503, obj_t BgL_sitez00_2504)
	{
		{	/* Ast/substitute.scm 162 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2503)))->BgL_exprza2za2),
				BgL_sitez00_2504);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2503));
		}

	}



/* &do-substitute!-funca1270 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1270z70zzast_substitutez00(obj_t
		BgL_envz00_2505, obj_t BgL_nodez00_2506, obj_t BgL_sitez00_2507)
	{
		{	/* Ast/substitute.scm 140 */
			{	/* Ast/substitute.scm 142 */
				BgL_nodez00_bglt BgL_nfunz00_2597;
				obj_t BgL_nargsz00_2598;

				{	/* Ast/substitute.scm 142 */
					BgL_nodez00_bglt BgL_arg1551z00_2599;

					BgL_arg1551z00_2599 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2506)))->BgL_funz00);
					BgL_nfunz00_2597 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1551z00_2599,
						CNST_TABLE_REF(((long) 1)));
				}
				{	/* Ast/substitute.scm 143 */
					obj_t BgL_l1239z00_2600;

					BgL_l1239z00_2600 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2506)))->BgL_argsz00);
					if (NULLP(BgL_l1239z00_2600))
						{	/* Ast/substitute.scm 143 */
							BgL_nargsz00_2598 = BNIL;
						}
					else
						{	/* Ast/substitute.scm 143 */
							obj_t BgL_head1241z00_2601;

							BgL_head1241z00_2601 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1239z00_2603;
								obj_t BgL_tail1242z00_2604;

								BgL_l1239z00_2603 = BgL_l1239z00_2600;
								BgL_tail1242z00_2604 = BgL_head1241z00_2601;
							BgL_zc3z04anonymousza31553ze3z87_2602:
								if (NULLP(BgL_l1239z00_2603))
									{	/* Ast/substitute.scm 143 */
										BgL_nargsz00_2598 = CDR(BgL_head1241z00_2601);
									}
								else
									{	/* Ast/substitute.scm 143 */
										obj_t BgL_newtail1243z00_2605;

										{	/* Ast/substitute.scm 143 */
											BgL_nodez00_bglt BgL_arg1563z00_2606;

											{	/* Ast/substitute.scm 143 */
												obj_t BgL_az00_2607;

												BgL_az00_2607 = CAR(((obj_t) BgL_l1239z00_2603));
												BgL_arg1563z00_2606 =
													BGl_dozd2substitutez12zc0zzast_substitutez00(
													((BgL_nodez00_bglt) BgL_az00_2607),
													CNST_TABLE_REF(((long) 1)));
											}
											BgL_newtail1243z00_2605 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1563z00_2606), BNIL);
										}
										SET_CDR(BgL_tail1242z00_2604, BgL_newtail1243z00_2605);
										{	/* Ast/substitute.scm 143 */
											obj_t BgL_arg1555z00_2608;

											BgL_arg1555z00_2608 = CDR(((obj_t) BgL_l1239z00_2603));
											{
												obj_t BgL_tail1242z00_3146;
												obj_t BgL_l1239z00_3145;

												BgL_l1239z00_3145 = BgL_arg1555z00_2608;
												BgL_tail1242z00_3146 = BgL_newtail1243z00_2605;
												BgL_tail1242z00_2604 = BgL_tail1242z00_3146;
												BgL_l1239z00_2603 = BgL_l1239z00_3145;
												goto BgL_zc3z04anonymousza31553ze3z87_2602;
											}
										}
									}
							}
						}
				}
				{	/* Ast/substitute.scm 144 */
					bool_t BgL_test1935z00_3147;

					{	/* Ast/substitute.scm 144 */
						bool_t BgL_test1936z00_3148;

						{	/* Ast/substitute.scm 144 */
							obj_t BgL_classz00_2609;

							BgL_classz00_2609 = BGl_closurez00zzast_nodez00;
							{	/* Ast/substitute.scm 144 */
								BgL_objectz00_bglt BgL_arg1825z00_2610;

								{	/* Ast/substitute.scm 144 */
									obj_t BgL_tmpz00_3149;

									BgL_tmpz00_3149 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2597));
									BgL_arg1825z00_2610 = (BgL_objectz00_bglt) (BgL_tmpz00_3149);
								}
								{	/* Ast/substitute.scm 144 */
									bool_t BgL_arg1822z00_2611;
									bool_t BgL_arg1823z00_2612;

									{	/* Ast/substitute.scm 144 */
										long BgL_idxz00_2613;

										BgL_idxz00_2613 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2610);
										BgL_arg1822z00_2611 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2613 + ((long) 3))) == BgL_classz00_2609);
									}
									{	/* Ast/substitute.scm 144 */
										bool_t BgL_res1850z00_2616;

										{	/* Ast/substitute.scm 144 */
											obj_t BgL_oclassz00_2617;

											{	/* Ast/substitute.scm 144 */
												long BgL_arg1833z00_2618;

												{	/* Ast/substitute.scm 144 */
													long BgL_arg1834z00_2619;

													BgL_arg1834z00_2619 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2610);
													BgL_arg1833z00_2618 =
														(BgL_arg1834z00_2619 - OBJECT_TYPE);
												}
												BgL_oclassz00_2617 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2618);
											}
											{	/* Ast/substitute.scm 144 */
												bool_t BgL__ortest_1110z00_2620;

												BgL__ortest_1110z00_2620 =
													(BgL_classz00_2609 == BgL_oclassz00_2617);
												if (BgL__ortest_1110z00_2620)
													{	/* Ast/substitute.scm 144 */
														BgL_res1850z00_2616 = BgL__ortest_1110z00_2620;
													}
												else
													{	/* Ast/substitute.scm 144 */
														long BgL_odepthz00_2621;

														BgL_odepthz00_2621 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2617);
														if ((((long) 3) < BgL_odepthz00_2621))
															{	/* Ast/substitute.scm 144 */
																obj_t BgL_arg1821z00_2622;

																BgL_arg1821z00_2622 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2617,
																	((long) 3));
																BgL_res1850z00_2616 =
																	(BgL_arg1821z00_2622 == BgL_classz00_2609);
															}
														else
															{	/* Ast/substitute.scm 144 */
																BgL_res1850z00_2616 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2612 = BgL_res1850z00_2616;
									}
									BgL_test1936z00_3148 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2611, BgL_arg1823z00_2612);
								}
							}
						}
						if (BgL_test1936z00_3148)
							{	/* Ast/substitute.scm 144 */
								BgL_test1935z00_3147 = ((bool_t) 1);
							}
						else
							{	/* Ast/substitute.scm 145 */
								bool_t BgL_test1939z00_3168;

								{	/* Ast/substitute.scm 145 */
									obj_t BgL_classz00_2623;

									BgL_classz00_2623 = BGl_varz00zzast_nodez00;
									{	/* Ast/substitute.scm 145 */
										BgL_objectz00_bglt BgL_arg1825z00_2624;

										{	/* Ast/substitute.scm 145 */
											obj_t BgL_tmpz00_3169;

											BgL_tmpz00_3169 =
												((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2597));
											BgL_arg1825z00_2624 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3169);
										}
										{	/* Ast/substitute.scm 145 */
											bool_t BgL_arg1822z00_2625;
											bool_t BgL_arg1823z00_2626;

											{	/* Ast/substitute.scm 145 */
												long BgL_idxz00_2627;

												BgL_idxz00_2627 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2624);
												BgL_arg1822z00_2625 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2627 + ((long) 2))) ==
													BgL_classz00_2623);
											}
											{	/* Ast/substitute.scm 145 */
												bool_t BgL_res1851z00_2630;

												{	/* Ast/substitute.scm 145 */
													obj_t BgL_oclassz00_2631;

													{	/* Ast/substitute.scm 145 */
														long BgL_arg1833z00_2632;

														{	/* Ast/substitute.scm 145 */
															long BgL_arg1834z00_2633;

															BgL_arg1834z00_2633 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2624);
															BgL_arg1833z00_2632 =
																(BgL_arg1834z00_2633 - OBJECT_TYPE);
														}
														BgL_oclassz00_2631 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2632);
													}
													{	/* Ast/substitute.scm 145 */
														bool_t BgL__ortest_1110z00_2634;

														BgL__ortest_1110z00_2634 =
															(BgL_classz00_2623 == BgL_oclassz00_2631);
														if (BgL__ortest_1110z00_2634)
															{	/* Ast/substitute.scm 145 */
																BgL_res1851z00_2630 = BgL__ortest_1110z00_2634;
															}
														else
															{	/* Ast/substitute.scm 145 */
																long BgL_odepthz00_2635;

																BgL_odepthz00_2635 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2631);
																if ((((long) 2) < BgL_odepthz00_2635))
																	{	/* Ast/substitute.scm 145 */
																		obj_t BgL_arg1821z00_2636;

																		BgL_arg1821z00_2636 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2631, ((long) 2));
																		BgL_res1851z00_2630 =
																			(BgL_arg1821z00_2636 ==
																			BgL_classz00_2623);
																	}
																else
																	{	/* Ast/substitute.scm 145 */
																		BgL_res1851z00_2630 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2626 = BgL_res1851z00_2630;
											}
											BgL_test1939z00_3168 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2625,
												BgL_arg1823z00_2626);
										}
									}
								}
								if (BgL_test1939z00_3168)
									{	/* Ast/substitute.scm 146 */
										BgL_valuez00_bglt BgL_arg1543z00_2637;

										BgL_arg1543z00_2637 =
											(((BgL_variablez00_bglt) COBJECT(
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nfunz00_2597)))->
														BgL_variablez00)))->BgL_valuez00);
										{	/* Ast/substitute.scm 146 */
											obj_t BgL_classz00_2638;

											BgL_classz00_2638 = BGl_funz00zzast_varz00;
											{	/* Ast/substitute.scm 146 */
												BgL_objectz00_bglt BgL_arg1825z00_2639;

												{	/* Ast/substitute.scm 146 */
													obj_t BgL_tmpz00_3191;

													BgL_tmpz00_3191 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1543z00_2637));
													BgL_arg1825z00_2639 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3191);
												}
												{	/* Ast/substitute.scm 146 */
													bool_t BgL_arg1822z00_2640;
													bool_t BgL_arg1823z00_2641;

													{	/* Ast/substitute.scm 146 */
														long BgL_idxz00_2642;

														BgL_idxz00_2642 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2639);
														BgL_arg1822z00_2640 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2642 + ((long) 2))) ==
															BgL_classz00_2638);
													}
													{	/* Ast/substitute.scm 146 */
														bool_t BgL_res1852z00_2645;

														{	/* Ast/substitute.scm 146 */
															obj_t BgL_oclassz00_2646;

															{	/* Ast/substitute.scm 146 */
																long BgL_arg1833z00_2647;

																{	/* Ast/substitute.scm 146 */
																	long BgL_arg1834z00_2648;

																	BgL_arg1834z00_2648 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2639);
																	BgL_arg1833z00_2647 =
																		(BgL_arg1834z00_2648 - OBJECT_TYPE);
																}
																BgL_oclassz00_2646 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2647);
															}
															{	/* Ast/substitute.scm 146 */
																bool_t BgL__ortest_1110z00_2649;

																BgL__ortest_1110z00_2649 =
																	(BgL_classz00_2638 == BgL_oclassz00_2646);
																if (BgL__ortest_1110z00_2649)
																	{	/* Ast/substitute.scm 146 */
																		BgL_res1852z00_2645 =
																			BgL__ortest_1110z00_2649;
																	}
																else
																	{	/* Ast/substitute.scm 146 */
																		long BgL_odepthz00_2650;

																		BgL_odepthz00_2650 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2646);
																		if ((((long) 2) < BgL_odepthz00_2650))
																			{	/* Ast/substitute.scm 146 */
																				obj_t BgL_arg1821z00_2651;

																				BgL_arg1821z00_2651 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2646, ((long) 2));
																				BgL_res1852z00_2645 =
																					(BgL_arg1821z00_2651 ==
																					BgL_classz00_2638);
																			}
																		else
																			{	/* Ast/substitute.scm 146 */
																				BgL_res1852z00_2645 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2641 = BgL_res1852z00_2645;
													}
													BgL_test1935z00_3147 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2640,
														BgL_arg1823z00_2641);
												}
											}
										}
									}
								else
									{	/* Ast/substitute.scm 145 */
										BgL_test1935z00_3147 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test1935z00_3147)
						{	/* Ast/substitute.scm 147 */
							bool_t BgL_test1944z00_3210;

							{	/* Ast/substitute.scm 147 */
								BgL_variablez00_bglt BgL_arg1536z00_2652;
								obj_t BgL_arg1542z00_2653;

								BgL_arg1536z00_2652 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nfunz00_2597)))->BgL_variablez00);
								BgL_arg1542z00_2653 = CDR(((obj_t) BgL_nargsz00_2598));
								BgL_test1944z00_3210 =
									BGl_correctzd2arityzd2appzf3zf3zzast_appz00
									(BgL_arg1536z00_2652, BgL_arg1542z00_2653);
							}
							if (BgL_test1944z00_3210)
								{	/* Ast/substitute.scm 149 */
									obj_t BgL_arg1500z00_2654;
									obj_t BgL_arg1520z00_2655;

									BgL_arg1500z00_2654 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2506))))->
										BgL_locz00);
									BgL_arg1520z00_2655 = CDR(((obj_t) BgL_nargsz00_2598));
									return
										BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
										BgL_arg1500z00_2654, CNST_TABLE_REF(((long) 5)),
										((BgL_varz00_bglt) BgL_nfunz00_2597), BgL_arg1520z00_2655);
								}
							else
								{	/* Ast/substitute.scm 150 */
									obj_t BgL_arg1524z00_2656;
									obj_t BgL_arg1534z00_2657;

									BgL_arg1524z00_2656 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2506))))->
										BgL_locz00);
									BgL_arg1534z00_2657 =
										BGl_shapez00zztools_shapez00(((obj_t) ((BgL_funcallz00_bglt)
												BgL_nodez00_2506)));
									return ((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1524z00_2656, BGl_string1883z00zzast_substitutez00,
											BGl_string1884z00zzast_substitutez00, BgL_arg1534z00_2657,
											BNIL));
								}
						}
					else
						{	/* Ast/substitute.scm 144 */
							((((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_2506)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2597), BUNSPEC);
							((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
												BgL_nodez00_2506)))->BgL_argsz00) =
								((obj_t) BgL_nargsz00_2598), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_2506));
						}
				}
			}
		}

	}



/* &do-substitute!-app-l1268 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1268za2zzast_substitutez00(obj_t
		BgL_envz00_2508, obj_t BgL_nodez00_2509, obj_t BgL_sitez00_2510)
	{
		{	/* Ast/substitute.scm 121 */
			{	/* Ast/substitute.scm 123 */
				BgL_nodez00_bglt BgL_nfunz00_2659;
				BgL_nodez00_bglt BgL_nargz00_2660;

				{	/* Ast/substitute.scm 123 */
					BgL_nodez00_bglt BgL_arg1457z00_2661;

					BgL_arg1457z00_2661 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2509)))->BgL_funz00);
					BgL_nfunz00_2659 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1457z00_2661,
						CNST_TABLE_REF(((long) 6)));
				}
				{	/* Ast/substitute.scm 124 */
					BgL_nodez00_bglt BgL_arg1462z00_2662;

					BgL_arg1462z00_2662 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2509)))->BgL_argz00);
					BgL_nargz00_2660 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1462z00_2662,
						CNST_TABLE_REF(((long) 1)));
				}
				{	/* Ast/substitute.scm 125 */
					bool_t BgL_test1945z00_3246;

					{	/* Ast/substitute.scm 125 */
						bool_t BgL_test1946z00_3247;

						{	/* Ast/substitute.scm 125 */
							obj_t BgL_classz00_2663;

							BgL_classz00_2663 = BGl_closurez00zzast_nodez00;
							{	/* Ast/substitute.scm 125 */
								BgL_objectz00_bglt BgL_arg1825z00_2664;

								{	/* Ast/substitute.scm 125 */
									obj_t BgL_tmpz00_3248;

									BgL_tmpz00_3248 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2659));
									BgL_arg1825z00_2664 = (BgL_objectz00_bglt) (BgL_tmpz00_3248);
								}
								{	/* Ast/substitute.scm 125 */
									bool_t BgL_arg1822z00_2665;
									bool_t BgL_arg1823z00_2666;

									{	/* Ast/substitute.scm 125 */
										long BgL_idxz00_2667;

										BgL_idxz00_2667 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2664);
										BgL_arg1822z00_2665 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2667 + ((long) 3))) == BgL_classz00_2663);
									}
									{	/* Ast/substitute.scm 125 */
										bool_t BgL_res1849z00_2670;

										{	/* Ast/substitute.scm 125 */
											obj_t BgL_oclassz00_2671;

											{	/* Ast/substitute.scm 125 */
												long BgL_arg1833z00_2672;

												{	/* Ast/substitute.scm 125 */
													long BgL_arg1834z00_2673;

													BgL_arg1834z00_2673 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2664);
													BgL_arg1833z00_2672 =
														(BgL_arg1834z00_2673 - OBJECT_TYPE);
												}
												BgL_oclassz00_2671 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2672);
											}
											{	/* Ast/substitute.scm 125 */
												bool_t BgL__ortest_1110z00_2674;

												BgL__ortest_1110z00_2674 =
													(BgL_classz00_2663 == BgL_oclassz00_2671);
												if (BgL__ortest_1110z00_2674)
													{	/* Ast/substitute.scm 125 */
														BgL_res1849z00_2670 = BgL__ortest_1110z00_2674;
													}
												else
													{	/* Ast/substitute.scm 125 */
														long BgL_odepthz00_2675;

														BgL_odepthz00_2675 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2671);
														if ((((long) 3) < BgL_odepthz00_2675))
															{	/* Ast/substitute.scm 125 */
																obj_t BgL_arg1821z00_2676;

																BgL_arg1821z00_2676 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2671,
																	((long) 3));
																BgL_res1849z00_2670 =
																	(BgL_arg1821z00_2676 == BgL_classz00_2663);
															}
														else
															{	/* Ast/substitute.scm 125 */
																BgL_res1849z00_2670 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2666 = BgL_res1849z00_2670;
									}
									BgL_test1946z00_3247 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2665, BgL_arg1823z00_2666);
								}
							}
						}
						if (BgL_test1946z00_3247)
							{	/* Ast/substitute.scm 126 */
								bool_t BgL_test1949z00_3267;

								{	/* Ast/substitute.scm 126 */
									BgL_variablez00_bglt BgL_arg1456z00_2677;

									BgL_arg1456z00_2677 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nfunz00_2659)))->
										BgL_variablez00);
									BgL_test1949z00_3267 =
										BGl_globalzd2optionalzf3z21zzast_varz00(((obj_t)
											BgL_arg1456z00_2677));
								}
								if (BgL_test1949z00_3267)
									{	/* Ast/substitute.scm 126 */
										BgL_test1945z00_3246 = ((bool_t) 0);
									}
								else
									{	/* Ast/substitute.scm 127 */
										bool_t BgL_test1950z00_3272;

										{	/* Ast/substitute.scm 127 */
											BgL_variablez00_bglt BgL_arg1454z00_2678;

											BgL_arg1454z00_2678 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nfunz00_2659)))->
												BgL_variablez00);
											BgL_test1950z00_3272 =
												BGl_globalzd2keyzf3z21zzast_varz00(((obj_t)
													BgL_arg1454z00_2678));
										}
										if (BgL_test1950z00_3272)
											{	/* Ast/substitute.scm 127 */
												BgL_test1945z00_3246 = ((bool_t) 0);
											}
										else
											{	/* Ast/substitute.scm 127 */
												BgL_test1945z00_3246 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Ast/substitute.scm 125 */
								BgL_test1945z00_3246 = ((bool_t) 0);
							}
					}
					if (BgL_test1945z00_3246)
						{	/* Ast/substitute.scm 128 */
							obj_t BgL_arg1418z00_2679;
							BgL_refz00_bglt BgL_arg1419z00_2680;

							BgL_arg1418z00_2679 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2509))))->BgL_locz00);
							{	/* Ast/substitute.scm 128 */
								BgL_refz00_bglt BgL_new1111z00_2681;

								{	/* Ast/substitute.scm 128 */
									BgL_refz00_bglt BgL_new1115z00_2682;

									BgL_new1115z00_2682 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Ast/substitute.scm 128 */
										long BgL_arg1430z00_2683;

										BgL_arg1430z00_2683 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1115z00_2682),
											BgL_arg1430z00_2683);
									}
									{	/* Ast/substitute.scm 128 */
										BgL_objectz00_bglt BgL_tmpz00_3284;

										BgL_tmpz00_3284 =
											((BgL_objectz00_bglt) BgL_new1115z00_2682);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3284, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1115z00_2682);
									BgL_new1111z00_2681 = BgL_new1115z00_2682;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1111z00_2681)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nfunz00_2659))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1111z00_2681)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(BgL_nfunz00_2659))->BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1111z00_2681)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_nfunz00_2659)))->
											BgL_variablez00)), BUNSPEC);
								BgL_arg1419z00_2680 = BgL_new1111z00_2681;
							}
							return
								BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
								BgL_arg1418z00_2679, ((BgL_nodez00_bglt) BgL_arg1419z00_2680),
								BgL_nargz00_2660, BgL_sitez00_2510);
						}
					else
						{	/* Ast/substitute.scm 125 */
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2509)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2659), BUNSPEC);
							((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
												BgL_nodez00_2509)))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_nargz00_2660), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt)
									BgL_nodez00_2509));
						}
				}
			}
		}

	}



/* &do-substitute!-app1266 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1266z70zzast_substitutez00(obj_t
		BgL_envz00_2511, obj_t BgL_nodez00_2512, obj_t BgL_sitez00_2513)
	{
		{	/* Ast/substitute.scm 113 */
			{	/* Ast/substitute.scm 114 */
				BgL_nodez00_bglt BgL_arg1369z00_2685;

				{	/* Ast/substitute.scm 114 */
					BgL_varz00_bglt BgL_arg1370z00_2686;

					BgL_arg1370z00_2686 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2512)))->BgL_funz00);
					BgL_arg1369z00_2685 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1370z00_2686),
						CNST_TABLE_REF(((long) 3)));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2512)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1369z00_2685)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 115 */
				obj_t BgL_arg1371z00_2687;

				BgL_arg1371z00_2687 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2512)))->BgL_argsz00);
				BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg1371z00_2687,
					CNST_TABLE_REF(((long) 1)));
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2512));
		}

	}



/* &do-substitute!-sync1264 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1264z70zzast_substitutez00(obj_t
		BgL_envz00_2514, obj_t BgL_nodez00_2515, obj_t BgL_sitez00_2516)
	{
		{	/* Ast/substitute.scm 104 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2515)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2515)))->BgL_mutexz00),
						BgL_sitez00_2516)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2515)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2515)))->
							BgL_prelockz00), BgL_sitez00_2516)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2515)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2515)))->BgL_bodyz00),
						BgL_sitez00_2516)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2515));
		}

	}



/* &do-substitute!-seque1262 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1262z70zzast_substitutez00(obj_t
		BgL_envz00_2517, obj_t BgL_nodez00_2518, obj_t BgL_sitez00_2519)
	{
		{	/* Ast/substitute.scm 97 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2518)))->BgL_nodesz00),
				BgL_sitez00_2519);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2518));
		}

	}



/* &do-substitute!-kwote1260 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1260z70zzast_substitutez00(obj_t
		BgL_envz00_2520, obj_t BgL_nodez00_2521, obj_t BgL_sitez00_2522)
	{
		{	/* Ast/substitute.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2521));
		}

	}



/* &do-substitute!-var1258 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1258z70zzast_substitutez00(obj_t
		BgL_envz00_2523, obj_t BgL_nodez00_2524, obj_t BgL_sitez00_2525)
	{
		{	/* Ast/substitute.scm 63 */
			{	/* Ast/substitute.scm 64 */
				BgL_variablez00_bglt BgL_varz00_2692;

				BgL_varz00_2692 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2524)))->BgL_variablez00);
				{	/* Ast/substitute.scm 64 */
					obj_t BgL_alphaz00_2693;

					BgL_alphaz00_2693 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2692))->
						BgL_fastzd2alphazd2);
					{	/* Ast/substitute.scm 65 */

						{
							obj_t BgL_alphaz00_2695;

							{
								obj_t BgL_auxz00_3347;

								BgL_alphaz00_2695 = BgL_alphaz00_2693;
							BgL_loopz00_2694:
								if ((BgL_alphaz00_2695 == BUNSPEC))
									{	/* Ast/substitute.scm 68 */
										BgL_auxz00_3347 =
											((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2524));
									}
								else
									{	/* Ast/substitute.scm 70 */
										bool_t BgL_test1952z00_3352;

										{	/* Ast/substitute.scm 70 */
											obj_t BgL_classz00_2696;

											BgL_classz00_2696 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_alphaz00_2695))
												{	/* Ast/substitute.scm 70 */
													BgL_objectz00_bglt BgL_arg1825z00_2697;

													BgL_arg1825z00_2697 =
														(BgL_objectz00_bglt) (BgL_alphaz00_2695);
													{	/* Ast/substitute.scm 70 */
														bool_t BgL_arg1822z00_2698;
														bool_t BgL_arg1823z00_2699;

														{	/* Ast/substitute.scm 70 */
															long BgL_idxz00_2700;

															BgL_idxz00_2700 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2697);
															BgL_arg1822z00_2698 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2700 + ((long) 2))) ==
																BgL_classz00_2696);
														}
														{	/* Ast/substitute.scm 70 */
															bool_t BgL_res1845z00_2703;

															{	/* Ast/substitute.scm 70 */
																obj_t BgL_oclassz00_2704;

																{	/* Ast/substitute.scm 70 */
																	long BgL_arg1833z00_2705;

																	{	/* Ast/substitute.scm 70 */
																		long BgL_arg1834z00_2706;

																		BgL_arg1834z00_2706 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2697);
																		BgL_arg1833z00_2705 =
																			(BgL_arg1834z00_2706 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2704 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2705);
																}
																{	/* Ast/substitute.scm 70 */
																	bool_t BgL__ortest_1110z00_2707;

																	BgL__ortest_1110z00_2707 =
																		(BgL_classz00_2696 == BgL_oclassz00_2704);
																	if (BgL__ortest_1110z00_2707)
																		{	/* Ast/substitute.scm 70 */
																			BgL_res1845z00_2703 =
																				BgL__ortest_1110z00_2707;
																		}
																	else
																		{	/* Ast/substitute.scm 70 */
																			long BgL_odepthz00_2708;

																			BgL_odepthz00_2708 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2704);
																			if ((((long) 2) < BgL_odepthz00_2708))
																				{	/* Ast/substitute.scm 70 */
																					obj_t BgL_arg1821z00_2709;

																					BgL_arg1821z00_2709 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2704, ((long) 2));
																					BgL_res1845z00_2703 =
																						(BgL_arg1821z00_2709 ==
																						BgL_classz00_2696);
																				}
																			else
																				{	/* Ast/substitute.scm 70 */
																					BgL_res1845z00_2703 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2699 = BgL_res1845z00_2703;
														}
														BgL_test1952z00_3352 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2698,
															BgL_arg1823z00_2699);
													}
												}
											else
												{	/* Ast/substitute.scm 70 */
													BgL_test1952z00_3352 = ((bool_t) 0);
												}
										}
										if (BgL_test1952z00_3352)
											{	/* Ast/substitute.scm 71 */
												BgL_variablez00_bglt BgL_arg1326z00_2710;

												BgL_arg1326z00_2710 =
													(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_alphaz00_2695)))->
													BgL_variablez00);
												{
													obj_t BgL_alphaz00_3373;

													BgL_alphaz00_3373 = ((obj_t) BgL_arg1326z00_2710);
													BgL_alphaz00_2695 = BgL_alphaz00_3373;
													goto BgL_loopz00_2694;
												}
											}
										else
											{	/* Ast/substitute.scm 72 */
												bool_t BgL_test1956z00_3375;

												{	/* Ast/substitute.scm 72 */
													obj_t BgL_classz00_2711;

													BgL_classz00_2711 = BGl_variablez00zzast_varz00;
													if (BGL_OBJECTP(BgL_alphaz00_2695))
														{	/* Ast/substitute.scm 72 */
															BgL_objectz00_bglt BgL_arg1825z00_2712;

															BgL_arg1825z00_2712 =
																(BgL_objectz00_bglt) (BgL_alphaz00_2695);
															{	/* Ast/substitute.scm 72 */
																bool_t BgL_arg1822z00_2713;
																bool_t BgL_arg1823z00_2714;

																{	/* Ast/substitute.scm 72 */
																	long BgL_idxz00_2715;

																	BgL_idxz00_2715 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2712);
																	BgL_arg1822z00_2713 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2715 + ((long) 1))) ==
																		BgL_classz00_2711);
																}
																{	/* Ast/substitute.scm 72 */
																	bool_t BgL_res1846z00_2718;

																	{	/* Ast/substitute.scm 72 */
																		obj_t BgL_oclassz00_2719;

																		{	/* Ast/substitute.scm 72 */
																			long BgL_arg1833z00_2720;

																			{	/* Ast/substitute.scm 72 */
																				long BgL_arg1834z00_2721;

																				BgL_arg1834z00_2721 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2712);
																				BgL_arg1833z00_2720 =
																					(BgL_arg1834z00_2721 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2719 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2720);
																		}
																		{	/* Ast/substitute.scm 72 */
																			bool_t BgL__ortest_1110z00_2722;

																			BgL__ortest_1110z00_2722 =
																				(BgL_classz00_2711 ==
																				BgL_oclassz00_2719);
																			if (BgL__ortest_1110z00_2722)
																				{	/* Ast/substitute.scm 72 */
																					BgL_res1846z00_2718 =
																						BgL__ortest_1110z00_2722;
																				}
																			else
																				{	/* Ast/substitute.scm 72 */
																					long BgL_odepthz00_2723;

																					BgL_odepthz00_2723 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2719);
																					if ((((long) 1) < BgL_odepthz00_2723))
																						{	/* Ast/substitute.scm 72 */
																							obj_t BgL_arg1821z00_2724;

																							BgL_arg1821z00_2724 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2719,
																								((long) 1));
																							BgL_res1846z00_2718 =
																								(BgL_arg1821z00_2724 ==
																								BgL_classz00_2711);
																						}
																					else
																						{	/* Ast/substitute.scm 72 */
																							BgL_res1846z00_2718 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2714 = BgL_res1846z00_2718;
																}
																BgL_test1956z00_3375 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2713,
																	BgL_arg1823z00_2714);
															}
														}
													else
														{	/* Ast/substitute.scm 72 */
															BgL_test1956z00_3375 = ((bool_t) 0);
														}
												}
												if (BgL_test1956z00_3375)
													{	/* Ast/substitute.scm 72 */
														{	/* Ast/substitute.scm 73 */
															obj_t BgL_arg1328z00_2725;

															BgL_arg1328z00_2725 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt)
																			((BgL_varz00_bglt) BgL_nodez00_2524))))->
																BgL_locz00);
															BGl_usezd2variablez12zc0zzast_sexpz00((
																	(BgL_variablez00_bglt) BgL_alphaz00_2695),
																BgL_arg1328z00_2725, BgL_sitez00_2525);
														}
														{	/* Ast/substitute.scm 74 */
															bool_t BgL_test1960z00_3399;

															{	/* Ast/substitute.scm 74 */
																bool_t BgL_test1961z00_3400;

																{	/* Ast/substitute.scm 74 */
																	BgL_valuez00_bglt BgL_arg1350z00_2726;

																	BgL_arg1350z00_2726 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_alphaz00_2695)))->BgL_valuez00);
																	{	/* Ast/substitute.scm 74 */
																		obj_t BgL_classz00_2727;

																		BgL_classz00_2727 = BGl_funz00zzast_varz00;
																		{	/* Ast/substitute.scm 74 */
																			BgL_objectz00_bglt BgL_arg1825z00_2728;

																			{	/* Ast/substitute.scm 74 */
																				obj_t BgL_tmpz00_3403;

																				BgL_tmpz00_3403 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1350z00_2726));
																				BgL_arg1825z00_2728 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3403);
																			}
																			{	/* Ast/substitute.scm 74 */
																				bool_t BgL_arg1822z00_2729;
																				bool_t BgL_arg1823z00_2730;

																				{	/* Ast/substitute.scm 74 */
																					long BgL_idxz00_2731;

																					BgL_idxz00_2731 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2728);
																					BgL_arg1822z00_2729 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2731 + ((long) 2))) ==
																						BgL_classz00_2727);
																				}
																				{	/* Ast/substitute.scm 74 */
																					bool_t BgL_res1847z00_2734;

																					{	/* Ast/substitute.scm 74 */
																						obj_t BgL_oclassz00_2735;

																						{	/* Ast/substitute.scm 74 */
																							long BgL_arg1833z00_2736;

																							{	/* Ast/substitute.scm 74 */
																								long BgL_arg1834z00_2737;

																								BgL_arg1834z00_2737 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2728);
																								BgL_arg1833z00_2736 =
																									(BgL_arg1834z00_2737 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2735 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2736);
																						}
																						{	/* Ast/substitute.scm 74 */
																							bool_t BgL__ortest_1110z00_2738;

																							BgL__ortest_1110z00_2738 =
																								(BgL_classz00_2727 ==
																								BgL_oclassz00_2735);
																							if (BgL__ortest_1110z00_2738)
																								{	/* Ast/substitute.scm 74 */
																									BgL_res1847z00_2734 =
																										BgL__ortest_1110z00_2738;
																								}
																							else
																								{	/* Ast/substitute.scm 74 */
																									long BgL_odepthz00_2739;

																									BgL_odepthz00_2739 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2735);
																									if ((((long) 2) <
																											BgL_odepthz00_2739))
																										{	/* Ast/substitute.scm 74 */
																											obj_t BgL_arg1821z00_2740;

																											BgL_arg1821z00_2740 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2735,
																												((long) 2));
																											BgL_res1847z00_2734 =
																												(BgL_arg1821z00_2740 ==
																												BgL_classz00_2727);
																										}
																									else
																										{	/* Ast/substitute.scm 74 */
																											BgL_res1847z00_2734 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2730 =
																						BgL_res1847z00_2734;
																				}
																				BgL_test1961z00_3400 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2729,
																					BgL_arg1823z00_2730);
																			}
																		}
																	}
																}
																if (BgL_test1961z00_3400)
																	{	/* Ast/substitute.scm 74 */
																		if (
																			(BgL_sitez00_2525 ==
																				CNST_TABLE_REF(((long) 3))))
																			{	/* Ast/substitute.scm 74 */
																				BgL_test1960z00_3399 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/substitute.scm 74 */
																				BgL_test1960z00_3399 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/substitute.scm 74 */
																		BgL_test1960z00_3399 = ((bool_t) 0);
																	}
															}
															if (BgL_test1960z00_3399)
																{	/* Ast/substitute.scm 75 */
																	BgL_closurez00_bglt BgL_new1106z00_2741;

																	{	/* Ast/substitute.scm 76 */
																		BgL_closurez00_bglt BgL_new1105z00_2742;

																		BgL_new1105z00_2742 =
																			((BgL_closurez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_closurez00_bgl))));
																		{	/* Ast/substitute.scm 76 */
																			long BgL_arg1347z00_2743;

																			BgL_arg1347z00_2743 =
																				BGL_CLASS_NUM
																				(BGl_closurez00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1105z00_2742),
																				BgL_arg1347z00_2743);
																		}
																		{	/* Ast/substitute.scm 76 */
																			BgL_objectz00_bglt BgL_tmpz00_3429;

																			BgL_tmpz00_3429 =
																				((BgL_objectz00_bglt)
																				BgL_new1105z00_2742);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3429,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1105z00_2742);
																		BgL_new1106z00_2741 = BgL_new1105z00_2742;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1106z00_2741)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2524))))->
																				BgL_locz00)), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_3438;

																		{	/* Ast/substitute.scm 77 */
																			BgL_typez00_bglt BgL_arg1343z00_2744;

																			BgL_arg1343z00_2744 =
																				(((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							((BgL_varz00_bglt)
																								BgL_nodez00_2524))))->
																				BgL_typez00);
																			BgL_auxz00_3438 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2procedureza2z00zztype_cachez00),
																				BgL_arg1343z00_2744);
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1106z00_2741)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_3438),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_new1106z00_2741)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2695)), BUNSPEC);
																	BgL_auxz00_3347 =
																		((obj_t) BgL_new1106z00_2741);
																}
															else
																{	/* Ast/substitute.scm 79 */
																	BgL_refz00_bglt BgL_new1109z00_2745;

																	{	/* Ast/substitute.scm 80 */
																		BgL_refz00_bglt BgL_new1107z00_2746;

																		BgL_new1107z00_2746 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Ast/substitute.scm 80 */
																			long BgL_arg1348z00_2747;

																			BgL_arg1348z00_2747 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1107z00_2746),
																				BgL_arg1348z00_2747);
																		}
																		{	/* Ast/substitute.scm 80 */
																			BgL_objectz00_bglt BgL_tmpz00_3454;

																			BgL_tmpz00_3454 =
																				((BgL_objectz00_bglt)
																				BgL_new1107z00_2746);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3454,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1107z00_2746);
																		BgL_new1109z00_2745 = BgL_new1107z00_2746;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1109z00_2745)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2524))))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1109z00_2745)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2524))))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1109z00_2745)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2695)), BUNSPEC);
																	BgL_auxz00_3347 =
																		((obj_t) BgL_new1109z00_2745);
													}}}
												else
													{	/* Ast/substitute.scm 83 */
														bool_t BgL_test1965z00_3472;

														{	/* Ast/substitute.scm 83 */
															obj_t BgL_classz00_2748;

															BgL_classz00_2748 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_alphaz00_2695))
																{	/* Ast/substitute.scm 83 */
																	BgL_objectz00_bglt BgL_arg1825z00_2749;

																	BgL_arg1825z00_2749 =
																		(BgL_objectz00_bglt) (BgL_alphaz00_2695);
																	{	/* Ast/substitute.scm 83 */
																		bool_t BgL_arg1822z00_2750;
																		bool_t BgL_arg1823z00_2751;

																		{	/* Ast/substitute.scm 83 */
																			long BgL_idxz00_2752;

																			BgL_idxz00_2752 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2749);
																			BgL_arg1822z00_2750 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2752 + ((long) 2))) ==
																				BgL_classz00_2748);
																		}
																		{	/* Ast/substitute.scm 83 */
																			bool_t BgL_res1848z00_2755;

																			{	/* Ast/substitute.scm 83 */
																				obj_t BgL_oclassz00_2756;

																				{	/* Ast/substitute.scm 83 */
																					long BgL_arg1833z00_2757;

																					{	/* Ast/substitute.scm 83 */
																						long BgL_arg1834z00_2758;

																						BgL_arg1834z00_2758 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2749);
																						BgL_arg1833z00_2757 =
																							(BgL_arg1834z00_2758 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2756 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2757);
																				}
																				{	/* Ast/substitute.scm 83 */
																					bool_t BgL__ortest_1110z00_2759;

																					BgL__ortest_1110z00_2759 =
																						(BgL_classz00_2748 ==
																						BgL_oclassz00_2756);
																					if (BgL__ortest_1110z00_2759)
																						{	/* Ast/substitute.scm 83 */
																							BgL_res1848z00_2755 =
																								BgL__ortest_1110z00_2759;
																						}
																					else
																						{	/* Ast/substitute.scm 83 */
																							long BgL_odepthz00_2760;

																							BgL_odepthz00_2760 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2756);
																							if ((((long) 2) <
																									BgL_odepthz00_2760))
																								{	/* Ast/substitute.scm 83 */
																									obj_t BgL_arg1821z00_2761;

																									BgL_arg1821z00_2761 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2756,
																										((long) 2));
																									BgL_res1848z00_2755 =
																										(BgL_arg1821z00_2761 ==
																										BgL_classz00_2748);
																								}
																							else
																								{	/* Ast/substitute.scm 83 */
																									BgL_res1848z00_2755 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2751 = BgL_res1848z00_2755;
																		}
																		BgL_test1965z00_3472 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2750,
																			BgL_arg1823z00_2751);
																	}
																}
															else
																{	/* Ast/substitute.scm 83 */
																	BgL_test1965z00_3472 = ((bool_t) 0);
																}
														}
														if (BgL_test1965z00_3472)
															{	/* Ast/substitute.scm 83 */
																BgL_auxz00_3347 = BgL_alphaz00_2695;
															}
														else
															{	/* Ast/substitute.scm 86 */
																obj_t BgL_arg1354z00_2762;

																BgL_arg1354z00_2762 =
																	BGl_shapez00zztools_shapez00(
																	((obj_t)
																		((BgL_varz00_bglt) BgL_nodez00_2524)));
																BgL_auxz00_3347 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string1885z00zzast_substitutez00,
																	BGl_string1886z00zzast_substitutez00,
																	BgL_arg1354z00_2762);
															}
													}
											}
									}
								return ((BgL_nodez00_bglt) BgL_auxz00_3347);
							}
						}
					}
				}
			}
		}

	}



/* &do-substitute!-atom1256 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1256z70zzast_substitutez00(obj_t
		BgL_envz00_2526, obj_t BgL_nodez00_2527, obj_t BgL_sitez00_2528)
	{
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2527));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
	{
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1887z00zzast_substitutez00));
		}

	}

#ifdef __cplusplus
}
#endif
