/*===========================================================================*/
/*   (Ast/toccur.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/toccur.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t
		BGl_z62occurzd2nodez12zd2setfield1291z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2vsetz121305z62zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2new1293z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2 = BUNSPEC;
	static obj_t
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21323z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t BGl_za2globalza2z00zzast_typezd2occurzd2 = BUNSPEC;
	static obj_t
		BGl_z62occurzd2nodez12zd2letzd2fun1317za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2extern1287z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12za2zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez121272za2zzast_typezd2occurzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzast_typezd2occurzd2();
	static obj_t
		BGl_z62typezd2incrementzd2globalz12z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_typezd2occurzd2();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_typezd2occurzd2();
	static obj_t BGl_z62occurzd2nodez12zd2var1275z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2setq1309z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2instance1299z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2fail1313z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_typezd2occurzd2();
	extern obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2sequence1277z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2app1281z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2castzd2nul1297za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2cast1295z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2letzd2var1319za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62occurzd2nodez12zd2sync1279z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2retblock1331z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2boxzd2ref1327za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static obj_t BGl_z62occurzd2nodez12zd2vref1303z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t
		BGl_z62occurzd2nodez12zd2valloc1307z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2funcall1285z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_typezd2occurzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_typezd2occurzd2();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_typezd2occurzd2();
	static obj_t BGl_gczd2rootszd2initz00zzast_typezd2occurzd2();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static bool_t BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(BgL_nodez00_bglt);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2
		(BgL_globalz00_bglt);
	static obj_t
		BGl_z62occurzd2nodez12zd2getfield1289z70zzast_typezd2occurzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2switch1315z70zzast_typezd2occurzd2(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2vlength1301z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2appzd2ly1283za2zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2boxzd2setz121329zb0zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1321z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2conditio1311z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2makezd2box1325za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2incrementzd2globalz12zd2envzc0zzast_typezd2occurzd2,
		BgL_bgl_za762typeza7d2increm1892z00,
		BGl_z62typezd2incrementzd2globalz12z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1857z00zzast_typezd2occurzd2,
		BgL_bgl_string1857za700za7za7a1893za7, "occur-node!1272", 15);
	      DEFINE_STRING(BGl_string1859z00zzast_typezd2occurzd2,
		BgL_bgl_string1859za700za7za7a1894za7, "occur-node!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71895za7,
		BGl_z62occurzd2nodez121272za2zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71896za7,
		BGl_z62occurzd2nodez12zd2var1275z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71897za7,
		BGl_z62occurzd2nodez12zd2sequence1277z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71898za7,
		BGl_z62occurzd2nodez12zd2sync1279z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71899za7,
		BGl_z62occurzd2nodez12zd2app1281z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71900za7,
		BGl_z62occurzd2nodez12zd2appzd2ly1283za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71901za7,
		BGl_z62occurzd2nodez12zd2funcall1285z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71902za7,
		BGl_z62occurzd2nodez12zd2extern1287z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71903za7,
		BGl_z62occurzd2nodez12zd2getfield1289z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71904za7,
		BGl_z62occurzd2nodez12zd2setfield1291z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71905za7,
		BGl_z62occurzd2nodez12zd2new1293z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71906za7,
		BGl_z62occurzd2nodez12zd2cast1295z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71907za7,
		BGl_z62occurzd2nodez12zd2castzd2nul1297za2zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71908za7,
		BGl_z62occurzd2nodez12zd2instance1299z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71909za7,
		BGl_z62occurzd2nodez12zd2vlength1301z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71910za7,
		BGl_z62occurzd2nodez12zd2vref1303z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71911za7,
		BGl_z62occurzd2nodez12zd2vsetz121305z62zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71912za7,
		BGl_z62occurzd2nodez12zd2valloc1307z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71913za7,
		BGl_z62occurzd2nodez12zd2setq1309z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71914za7,
		BGl_z62occurzd2nodez12zd2conditio1311z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71915za7,
		BGl_z62occurzd2nodez12zd2fail1313z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71916za7,
		BGl_z62occurzd2nodez12zd2switch1315z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1888z00zzast_typezd2occurzd2,
		BgL_bgl_string1888za700za7za7a1917za7, "ast_type-occur", 14);
	      DEFINE_STRING(BGl_string1889z00zzast_typezd2occurzd2,
		BgL_bgl_string1889za700za7za7a1918za7, "done ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71919za7,
		BGl_z62occurzd2nodez12zd2letzd2fun1317za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71920za7,
		BGl_z62occurzd2nodez12zd2letzd2var1319za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71921za7,
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1321z70zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71922za7,
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21323z70zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71923za7,
		BGl_z62occurzd2nodez12zd2makezd2box1325za2zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71924za7,
		BGl_z62occurzd2nodez12zd2boxzd2ref1327za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71925za7,
		BGl_z62occurzd2nodez12zd2boxzd2setz121329zb0zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71926za7,
		BGl_z62occurzd2nodez12zd2retblock1331z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71927za7,
		BGl_z62occurzd2nodez12za2zzast_typezd2occurzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2));
		     ADD_ROOT((void *) (&BGl_za2globalza2z00zzast_typezd2occurzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long
		BgL_checksumz00_2810, char *BgL_fromz00_2811)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_typezd2occurzd2();
					BGl_libraryzd2moduleszd2initz00zzast_typezd2occurzd2();
					BGl_cnstzd2initzd2zzast_typezd2occurzd2();
					BGl_importedzd2moduleszd2initz00zzast_typezd2occurzd2();
					BGl_genericzd2initzd2zzast_typezd2occurzd2();
					BGl_methodzd2initzd2zzast_typezd2occurzd2();
					return BGl_toplevelzd2initzd2zzast_typezd2occurzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_type-occur");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			{	/* Ast/toccur.scm 14 */
				obj_t BgL_cportz00_2664;

				{	/* Ast/toccur.scm 14 */
					obj_t BgL_stringz00_2672;

					BgL_stringz00_2672 = BGl_string1889z00zzast_typezd2occurzd2;
					{	/* Ast/toccur.scm 14 */
						obj_t BgL_startz00_2673;

						BgL_startz00_2673 = BINT(((long) 0));
						{	/* Ast/toccur.scm 14 */
							obj_t BgL_endz00_2674;

							BgL_endz00_2674 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2672)));
							{	/* Ast/toccur.scm 14 */

								BgL_cportz00_2664 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2672, BgL_startz00_2673, BgL_endz00_2674);
				}}}}
				{
					long BgL_iz00_2665;

					BgL_iz00_2665 = ((long) 0);
				BgL_loopz00_2666:
					if ((BgL_iz00_2665 == ((long) -1)))
						{	/* Ast/toccur.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/toccur.scm 14 */
							{	/* Ast/toccur.scm 14 */
								obj_t BgL_arg1891z00_2668;

								{	/* Ast/toccur.scm 14 */

									{	/* Ast/toccur.scm 14 */
										obj_t BgL_locationz00_2670;

										BgL_locationz00_2670 = BBOOL(((bool_t) 0));
										{	/* Ast/toccur.scm 14 */

											BgL_arg1891z00_2668 =
												BGl_readz00zz__readerz00(BgL_cportz00_2664,
												BgL_locationz00_2670);
										}
									}
								}
								{	/* Ast/toccur.scm 14 */
									int BgL_tmpz00_2840;

									BgL_tmpz00_2840 = (int) (BgL_iz00_2665);
									CNST_TABLE_SET(BgL_tmpz00_2840, BgL_arg1891z00_2668);
							}}
							{	/* Ast/toccur.scm 14 */
								int BgL_auxz00_2671;

								BgL_auxz00_2671 = (int) ((BgL_iz00_2665 - ((long) 1)));
								{
									long BgL_iz00_2845;

									BgL_iz00_2845 = (long) (BgL_auxz00_2671);
									BgL_iz00_2665 = BgL_iz00_2845;
									goto BgL_loopz00_2666;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			BGl_za2globalza2z00zzast_typezd2occurzd2 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* type-increment-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Ast/toccur.scm 33 */
			{	/* Ast/toccur.scm 34 */
				bool_t BgL_test1930z00_2848;

				{	/* Ast/toccur.scm 34 */
					BgL_valuez00_bglt BgL_arg1347z00_1615;

					BgL_arg1347z00_1615 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
					{	/* Ast/toccur.scm 34 */
						obj_t BgL_classz00_2074;

						BgL_classz00_2074 = BGl_sfunz00zzast_varz00;
						{	/* Ast/toccur.scm 34 */
							BgL_objectz00_bglt BgL_arg1825z00_2076;

							{	/* Ast/toccur.scm 34 */
								obj_t BgL_tmpz00_2851;

								BgL_tmpz00_2851 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1347z00_1615));
								BgL_arg1825z00_2076 = (BgL_objectz00_bglt) (BgL_tmpz00_2851);
							}
							{	/* Ast/toccur.scm 34 */
								bool_t BgL_arg1822z00_2079;
								bool_t BgL_arg1823z00_2080;

								{	/* Ast/toccur.scm 34 */
									long BgL_idxz00_2083;

									BgL_idxz00_2083 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2076);
									BgL_arg1822z00_2079 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2083 + ((long) 3))) == BgL_classz00_2074);
								}
								{	/* Ast/toccur.scm 34 */
									bool_t BgL_res1838z00_2105;

									{	/* Ast/toccur.scm 34 */
										obj_t BgL_oclassz00_2091;

										{	/* Ast/toccur.scm 34 */
											long BgL_arg1833z00_2097;

											{	/* Ast/toccur.scm 34 */
												long BgL_arg1834z00_2098;

												BgL_arg1834z00_2098 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2076);
												BgL_arg1833z00_2097 =
													(BgL_arg1834z00_2098 - OBJECT_TYPE);
											}
											BgL_oclassz00_2091 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2097);
										}
										{	/* Ast/toccur.scm 34 */
											bool_t BgL__ortest_1110z00_2092;

											BgL__ortest_1110z00_2092 =
												(BgL_classz00_2074 == BgL_oclassz00_2091);
											if (BgL__ortest_1110z00_2092)
												{	/* Ast/toccur.scm 34 */
													BgL_res1838z00_2105 = BgL__ortest_1110z00_2092;
												}
											else
												{	/* Ast/toccur.scm 34 */
													long BgL_odepthz00_2093;

													BgL_odepthz00_2093 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2091);
													if ((((long) 3) < BgL_odepthz00_2093))
														{	/* Ast/toccur.scm 34 */
															obj_t BgL_arg1821z00_2095;

															BgL_arg1821z00_2095 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2091,
																((long) 3));
															BgL_res1838z00_2105 =
																(BgL_arg1821z00_2095 == BgL_classz00_2074);
														}
													else
														{	/* Ast/toccur.scm 34 */
															BgL_res1838z00_2105 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2080 = BgL_res1838z00_2105;
								}
								BgL_test1930z00_2848 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2079, BgL_arg1823z00_2080);
							}
						}
					}
				}
				if (BgL_test1930z00_2848)
					{	/* Ast/toccur.scm 34 */
						return
							BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(
							((obj_t) BgL_globalz00_3));
					}
				else
					{	/* Ast/toccur.scm 36 */
						BgL_typez00_bglt BgL_arg1343z00_1614;

						BgL_arg1343z00_1614 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_typez00);
						return
							BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
							(BgL_arg1343z00_1614);
					}
			}
		}

	}



/* &type-increment-global! */
	obj_t BGl_z62typezd2incrementzd2globalz12z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2570, obj_t BgL_globalz00_2571)
	{
		{	/* Ast/toccur.scm 33 */
			return
				BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
				((BgL_globalz00_bglt) BgL_globalz00_2571));
		}

	}



/* type-increment-sfun! */
	obj_t BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(obj_t
		BgL_varz00_4)
	{
		{	/* Ast/toccur.scm 41 */
			{	/* Ast/toccur.scm 43 */
				BgL_typez00_bglt BgL_arg1348z00_1617;

				BgL_arg1348z00_1617 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_typez00);
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
					(BgL_arg1348z00_1617);
			}
			{	/* Ast/toccur.scm 44 */
				obj_t BgL_g1254z00_1618;

				BgL_g1254z00_1618 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_4)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1252z00_1620;

					BgL_l1252z00_1620 = BgL_g1254z00_1618;
				BgL_zc3z04anonymousza31349ze3z87_1621:
					if (PAIRP(BgL_l1252z00_1620))
						{	/* Ast/toccur.scm 50 */
							{	/* Ast/toccur.scm 46 */
								obj_t BgL_az00_1623;

								BgL_az00_1623 = CAR(BgL_l1252z00_1620);
								{	/* Ast/toccur.scm 46 */
									bool_t BgL_test1934z00_2887;

									{	/* Ast/toccur.scm 46 */
										obj_t BgL_classz00_2111;

										BgL_classz00_2111 = BGl_typez00zztype_typez00;
										if (BGL_OBJECTP(BgL_az00_1623))
											{	/* Ast/toccur.scm 46 */
												BgL_objectz00_bglt BgL_arg1825z00_2113;

												BgL_arg1825z00_2113 =
													(BgL_objectz00_bglt) (BgL_az00_1623);
												{	/* Ast/toccur.scm 46 */
													bool_t BgL_arg1822z00_2116;
													bool_t BgL_arg1823z00_2117;

													{	/* Ast/toccur.scm 46 */
														long BgL_idxz00_2120;

														BgL_idxz00_2120 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2113);
														BgL_arg1822z00_2116 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2120 + ((long) 1))) ==
															BgL_classz00_2111);
													}
													{	/* Ast/toccur.scm 46 */
														bool_t BgL_res1839z00_2142;

														{	/* Ast/toccur.scm 46 */
															obj_t BgL_oclassz00_2128;

															{	/* Ast/toccur.scm 46 */
																long BgL_arg1833z00_2134;

																{	/* Ast/toccur.scm 46 */
																	long BgL_arg1834z00_2135;

																	BgL_arg1834z00_2135 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2113);
																	BgL_arg1833z00_2134 =
																		(BgL_arg1834z00_2135 - OBJECT_TYPE);
																}
																BgL_oclassz00_2128 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2134);
															}
															{	/* Ast/toccur.scm 46 */
																bool_t BgL__ortest_1110z00_2129;

																BgL__ortest_1110z00_2129 =
																	(BgL_classz00_2111 == BgL_oclassz00_2128);
																if (BgL__ortest_1110z00_2129)
																	{	/* Ast/toccur.scm 46 */
																		BgL_res1839z00_2142 =
																			BgL__ortest_1110z00_2129;
																	}
																else
																	{	/* Ast/toccur.scm 46 */
																		long BgL_odepthz00_2130;

																		BgL_odepthz00_2130 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2128);
																		if ((((long) 1) < BgL_odepthz00_2130))
																			{	/* Ast/toccur.scm 46 */
																				obj_t BgL_arg1821z00_2132;

																				BgL_arg1821z00_2132 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2128, ((long) 1));
																				BgL_res1839z00_2142 =
																					(BgL_arg1821z00_2132 ==
																					BgL_classz00_2111);
																			}
																		else
																			{	/* Ast/toccur.scm 46 */
																				BgL_res1839z00_2142 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2117 = BgL_res1839z00_2142;
													}
													BgL_test1934z00_2887 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2116,
														BgL_arg1823z00_2117);
												}
											}
										else
											{	/* Ast/toccur.scm 46 */
												BgL_test1934z00_2887 = ((bool_t) 0);
											}
									}
									if (BgL_test1934z00_2887)
										{	/* Ast/toccur.scm 46 */
											BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
												((BgL_typez00_bglt) BgL_az00_1623));
										}
									else
										{	/* Ast/toccur.scm 48 */
											bool_t BgL_test1938z00_2908;

											{	/* Ast/toccur.scm 48 */
												obj_t BgL_classz00_2143;

												BgL_classz00_2143 = BGl_localz00zzast_varz00;
												if (BGL_OBJECTP(BgL_az00_1623))
													{	/* Ast/toccur.scm 48 */
														BgL_objectz00_bglt BgL_arg1825z00_2145;

														BgL_arg1825z00_2145 =
															(BgL_objectz00_bglt) (BgL_az00_1623);
														{	/* Ast/toccur.scm 48 */
															bool_t BgL_arg1822z00_2148;
															bool_t BgL_arg1823z00_2149;

															{	/* Ast/toccur.scm 48 */
																long BgL_idxz00_2152;

																BgL_idxz00_2152 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2145);
																BgL_arg1822z00_2148 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2152 + ((long) 2))) ==
																	BgL_classz00_2143);
															}
															{	/* Ast/toccur.scm 48 */
																bool_t BgL_res1840z00_2174;

																{	/* Ast/toccur.scm 48 */
																	obj_t BgL_oclassz00_2160;

																	{	/* Ast/toccur.scm 48 */
																		long BgL_arg1833z00_2166;

																		{	/* Ast/toccur.scm 48 */
																			long BgL_arg1834z00_2167;

																			BgL_arg1834z00_2167 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2145);
																			BgL_arg1833z00_2166 =
																				(BgL_arg1834z00_2167 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2160 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2166);
																	}
																	{	/* Ast/toccur.scm 48 */
																		bool_t BgL__ortest_1110z00_2161;

																		BgL__ortest_1110z00_2161 =
																			(BgL_classz00_2143 == BgL_oclassz00_2160);
																		if (BgL__ortest_1110z00_2161)
																			{	/* Ast/toccur.scm 48 */
																				BgL_res1840z00_2174 =
																					BgL__ortest_1110z00_2161;
																			}
																		else
																			{	/* Ast/toccur.scm 48 */
																				long BgL_odepthz00_2162;

																				BgL_odepthz00_2162 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2160);
																				if ((((long) 2) < BgL_odepthz00_2162))
																					{	/* Ast/toccur.scm 48 */
																						obj_t BgL_arg1821z00_2164;

																						BgL_arg1821z00_2164 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2160, ((long) 2));
																						BgL_res1840z00_2174 =
																							(BgL_arg1821z00_2164 ==
																							BgL_classz00_2143);
																					}
																				else
																					{	/* Ast/toccur.scm 48 */
																						BgL_res1840z00_2174 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2149 = BgL_res1840z00_2174;
															}
															BgL_test1938z00_2908 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2148,
																BgL_arg1823z00_2149);
														}
													}
												else
													{	/* Ast/toccur.scm 48 */
														BgL_test1938z00_2908 = ((bool_t) 0);
													}
											}
											if (BgL_test1938z00_2908)
												{	/* Ast/toccur.scm 49 */
													BgL_typez00_bglt BgL_arg1354z00_1626;

													BgL_arg1354z00_1626 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_az00_1623))))->
														BgL_typez00);
													BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
														(BgL_arg1354z00_1626);
												}
											else
												{	/* Ast/toccur.scm 48 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1252z00_2931;

								BgL_l1252z00_2931 = CDR(BgL_l1252z00_1620);
								BgL_l1252z00_1620 = BgL_l1252z00_2931;
								goto BgL_zc3z04anonymousza31349ze3z87_1621;
							}
						}
					else
						{	/* Ast/toccur.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/toccur.scm 51 */
				obj_t BgL_nodez00_1630;

				BgL_nodez00_1630 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_4)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Ast/toccur.scm 52 */
					bool_t BgL_test1942z00_2937;

					{	/* Ast/toccur.scm 52 */
						obj_t BgL_classz00_2179;

						BgL_classz00_2179 = BGl_nodez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_nodez00_1630))
							{	/* Ast/toccur.scm 52 */
								BgL_objectz00_bglt BgL_arg1825z00_2181;

								BgL_arg1825z00_2181 = (BgL_objectz00_bglt) (BgL_nodez00_1630);
								{	/* Ast/toccur.scm 52 */
									bool_t BgL_arg1822z00_2184;
									bool_t BgL_arg1823z00_2185;

									{	/* Ast/toccur.scm 52 */
										long BgL_idxz00_2188;

										BgL_idxz00_2188 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2181);
										BgL_arg1822z00_2184 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2188 + ((long) 1))) == BgL_classz00_2179);
									}
									{	/* Ast/toccur.scm 52 */
										bool_t BgL_res1841z00_2210;

										{	/* Ast/toccur.scm 52 */
											obj_t BgL_oclassz00_2196;

											{	/* Ast/toccur.scm 52 */
												long BgL_arg1833z00_2202;

												{	/* Ast/toccur.scm 52 */
													long BgL_arg1834z00_2203;

													BgL_arg1834z00_2203 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2181);
													BgL_arg1833z00_2202 =
														(BgL_arg1834z00_2203 - OBJECT_TYPE);
												}
												BgL_oclassz00_2196 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2202);
											}
											{	/* Ast/toccur.scm 52 */
												bool_t BgL__ortest_1110z00_2197;

												BgL__ortest_1110z00_2197 =
													(BgL_classz00_2179 == BgL_oclassz00_2196);
												if (BgL__ortest_1110z00_2197)
													{	/* Ast/toccur.scm 52 */
														BgL_res1841z00_2210 = BgL__ortest_1110z00_2197;
													}
												else
													{	/* Ast/toccur.scm 52 */
														long BgL_odepthz00_2198;

														BgL_odepthz00_2198 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2196);
														if ((((long) 1) < BgL_odepthz00_2198))
															{	/* Ast/toccur.scm 52 */
																obj_t BgL_arg1821z00_2200;

																BgL_arg1821z00_2200 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2196,
																	((long) 1));
																BgL_res1841z00_2210 =
																	(BgL_arg1821z00_2200 == BgL_classz00_2179);
															}
														else
															{	/* Ast/toccur.scm 52 */
																BgL_res1841z00_2210 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2185 = BgL_res1841z00_2210;
									}
									BgL_test1942z00_2937 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2184, BgL_arg1823z00_2185);
								}
							}
						else
							{	/* Ast/toccur.scm 52 */
								BgL_test1942z00_2937 = ((bool_t) 0);
							}
					}
					if (BgL_test1942z00_2937)
						{	/* Ast/toccur.scm 52 */
							return
								BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
								((BgL_nodez00_bglt) BgL_nodez00_1630));
						}
					else
						{	/* Ast/toccur.scm 52 */
							return BFALSE;
						}
				}
			}
		}

	}



/* occur-node*! */
	bool_t BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(obj_t BgL_nodeza2za2_37)
	{
		{	/* Ast/toccur.scm 328 */
			{
				obj_t BgL_l1270z00_1634;

				BgL_l1270z00_1634 = BgL_nodeza2za2_37;
			BgL_zc3z04anonymousza31362ze3z87_1635:
				if (PAIRP(BgL_l1270z00_1634))
					{	/* Ast/toccur.scm 329 */
						{	/* Ast/toccur.scm 329 */
							obj_t BgL_arg1364z00_1637;

							BgL_arg1364z00_1637 = CAR(BgL_l1270z00_1634);
							BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
								((BgL_nodez00_bglt) BgL_arg1364z00_1637));
						}
						{
							obj_t BgL_l1270z00_2963;

							BgL_l1270z00_2963 = CDR(BgL_l1270z00_1634);
							BgL_l1270z00_1634 = BgL_l1270z00_2963;
							goto BgL_zc3z04anonymousza31362ze3z87_1635;
						}
					}
				else
					{	/* Ast/toccur.scm 329 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_proc1856z00zzast_typezd2occurzd2, BGl_nodez00zzast_nodez00,
				BGl_string1857z00zzast_typezd2occurzd2);
		}

	}



/* &occur-node!1272 */
	obj_t BGl_z62occurzd2nodez121272za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2573, obj_t BgL_nodez00_2574)
	{
		{	/* Ast/toccur.scm 70 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* occur-node! */
	obj_t BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(BgL_nodez00_bglt
		BgL_nodez00_7)
	{
		{	/* Ast/toccur.scm 70 */
			{	/* Ast/toccur.scm 70 */
				obj_t BgL_method1273z00_1644;

				{	/* Ast/toccur.scm 70 */
					obj_t BgL_res1846z00_2243;

					{	/* Ast/toccur.scm 70 */
						long BgL_objzd2classzd2numz00_2214;

						BgL_objzd2classzd2numz00_2214 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Ast/toccur.scm 70 */
							obj_t BgL_arg1829z00_2215;

							BgL_arg1829z00_2215 =
								PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
								(int) (((long) 1)));
							{	/* Ast/toccur.scm 70 */
								int BgL_offsetz00_2218;

								BgL_offsetz00_2218 = (int) (BgL_objzd2classzd2numz00_2214);
								{	/* Ast/toccur.scm 70 */
									long BgL_offsetz00_2219;

									BgL_offsetz00_2219 =
										((long) (BgL_offsetz00_2218) - OBJECT_TYPE);
									{	/* Ast/toccur.scm 70 */
										long BgL_modz00_2220;

										BgL_modz00_2220 =
											(BgL_offsetz00_2219 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/toccur.scm 70 */
											long BgL_restz00_2222;

											BgL_restz00_2222 =
												(BgL_offsetz00_2219 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/toccur.scm 70 */

												{	/* Ast/toccur.scm 70 */
													obj_t BgL_bucketz00_2224;

													BgL_bucketz00_2224 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2215), BgL_modz00_2220);
													BgL_res1846z00_2243 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2224), BgL_restz00_2222);
					}}}}}}}}
					BgL_method1273z00_1644 = BgL_res1846z00_2243;
				}
				return
					PROCEDURE_ENTRY(BgL_method1273z00_1644) (BgL_method1273z00_1644,
					((obj_t) BgL_nodez00_7), BEOA);
			}
		}

	}



/* &occur-node! */
	obj_t BGl_z62occurzd2nodez12za2zzast_typezd2occurzd2(obj_t BgL_envz00_2575,
		obj_t BgL_nodez00_2576)
	{
		{	/* Ast/toccur.scm 70 */
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2576));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_varz00zzast_nodez00, BGl_proc1858z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1860z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1861z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_appz00zzast_nodez00, BGl_proc1862z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1863z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1864z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_externz00zzast_nodez00, BGl_proc1865z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_getfieldz00zzast_nodez00, BGl_proc1866z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_setfieldz00zzast_nodez00, BGl_proc1867z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_newz00zzast_nodez00, BGl_proc1868z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_castz00zzast_nodez00, BGl_proc1869z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc1870z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_instanceofz00zzast_nodez00, BGl_proc1871z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vlengthz00zzast_nodez00, BGl_proc1872z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vrefz00zzast_nodez00, BGl_proc1873z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vsetz12z12zzast_nodez00, BGl_proc1874z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vallocz00zzast_nodez00, BGl_proc1875z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1876z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_conditionalz00zzast_nodez00, BGl_proc1877z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_failz00zzast_nodez00, BGl_proc1878z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1879z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1880z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1881z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1882z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1883z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1884z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1885z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1886z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_retblockz00zzast_nodez00, BGl_proc1887z00zzast_typezd2occurzd2,
				BGl_string1859z00zzast_typezd2occurzd2);
		}

	}



/* &occur-node!-retblock1331 */
	obj_t BGl_z62occurzd2nodez12zd2retblock1331z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2606, obj_t BgL_nodez00_2607)
	{
		{	/* Ast/toccur.scm 321 */
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_2607)))->BgL_bodyz00));
		}

	}



/* &occur-node!-box-set!1329 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121329zb0zzast_typezd2occurzd2(obj_t
		BgL_envz00_2608, obj_t BgL_nodez00_2609)
	{
		{	/* Ast/toccur.scm 313 */
			{	/* Ast/toccur.scm 315 */
				BgL_varz00_bglt BgL_arg1668z00_2679;

				BgL_arg1668z00_2679 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2609)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					((BgL_nodez00_bglt) BgL_arg1668z00_2679));
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2609)))->BgL_valuez00));
		}

	}



/* &occur-node!-box-ref1327 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1327za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611)
	{
		{	/* Ast/toccur.scm 307 */
			{	/* Ast/toccur.scm 308 */
				BgL_varz00_bglt BgL_arg1667z00_2681;

				BgL_arg1667z00_2681 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2611)))->BgL_varz00);
				return
					BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					((BgL_nodez00_bglt) BgL_arg1667z00_2681));
			}
		}

	}



/* &occur-node!-make-box1325 */
	obj_t BGl_z62occurzd2nodez12zd2makezd2box1325za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2612, obj_t BgL_nodez00_2613)
	{
		{	/* Ast/toccur.scm 301 */
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2613)))->BgL_valuez00));
		}

	}



/* &occur-node!-jump-ex-1323 */
	obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21323z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2614, obj_t BgL_nodez00_2615)
	{
		{	/* Ast/toccur.scm 293 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2615)))->BgL_exitz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2615)))->BgL_valuez00));
		}

	}



/* &occur-node!-set-ex-i1321 */
	obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1321z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2616, obj_t BgL_nodez00_2617)
	{
		{	/* Ast/toccur.scm 286 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2617)))->BgL_onexitz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2617)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-var1319 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2var1319za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2618, obj_t BgL_nodez00_2619)
	{
		{	/* Ast/toccur.scm 274 */
			{	/* Ast/toccur.scm 276 */
				obj_t BgL_g1269z00_2686;

				BgL_g1269z00_2686 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2619)))->BgL_bindingsz00);
				{
					obj_t BgL_l1267z00_2688;

					BgL_l1267z00_2688 = BgL_g1269z00_2686;
				BgL_zc3z04anonymousza31622ze3z87_2687:
					if (PAIRP(BgL_l1267z00_2688))
						{	/* Ast/toccur.scm 276 */
							{	/* Ast/toccur.scm 278 */
								obj_t BgL_bindingz00_2689;

								BgL_bindingz00_2689 = CAR(BgL_l1267z00_2688);
								{	/* Ast/toccur.scm 277 */
									BgL_localz00_bglt BgL_i1125z00_2690;

									BgL_i1125z00_2690 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_2689)));
									{	/* Ast/toccur.scm 278 */
										BgL_typez00_bglt BgL_arg1632z00_2691;

										BgL_arg1632z00_2691 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_i1125z00_2690)))->
											BgL_typez00);
										BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
											(BgL_arg1632z00_2691);
									}
								}
								{	/* Ast/toccur.scm 279 */
									obj_t BgL_arg1633z00_2692;

									BgL_arg1633z00_2692 = CDR(((obj_t) BgL_bindingz00_2689));
									BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
										((BgL_nodez00_bglt) BgL_arg1633z00_2692));
								}
							}
							{
								obj_t BgL_l1267z00_3072;

								BgL_l1267z00_3072 = CDR(BgL_l1267z00_2688);
								BgL_l1267z00_2688 = BgL_l1267z00_3072;
								goto BgL_zc3z04anonymousza31622ze3z87_2687;
							}
						}
					else
						{	/* Ast/toccur.scm 276 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2619)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-fun1317 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2fun1317za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2620, obj_t BgL_nodez00_2621)
	{
		{	/* Ast/toccur.scm 266 */
			{	/* Ast/toccur.scm 268 */
				obj_t BgL_g1266z00_2694;

				BgL_g1266z00_2694 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2621)))->BgL_localsz00);
				{
					obj_t BgL_l1264z00_2696;

					BgL_l1264z00_2696 = BgL_g1266z00_2694;
				BgL_zc3z04anonymousza31614ze3z87_2695:
					if (PAIRP(BgL_l1264z00_2696))
						{	/* Ast/toccur.scm 268 */
							BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(CAR
								(BgL_l1264z00_2696));
							{
								obj_t BgL_l1264z00_3083;

								BgL_l1264z00_3083 = CDR(BgL_l1264z00_2696);
								BgL_l1264z00_2696 = BgL_l1264z00_3083;
								goto BgL_zc3z04anonymousza31614ze3z87_2695;
							}
						}
					else
						{	/* Ast/toccur.scm 268 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2621)))->BgL_bodyz00));
		}

	}



/* &occur-node!-switch1315 */
	obj_t BGl_z62occurzd2nodez12zd2switch1315z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623)
	{
		{	/* Ast/toccur.scm 256 */
			{	/* Ast/toccur.scm 257 */
				bool_t BgL_tmpz00_3088;

				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2623)))->BgL_testz00));
				{	/* Ast/toccur.scm 259 */
					obj_t BgL_g1263z00_2698;

					BgL_g1263z00_2698 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2623)))->BgL_clausesz00);
					{
						obj_t BgL_l1261z00_2700;

						BgL_l1261z00_2700 = BgL_g1263z00_2698;
					BgL_zc3z04anonymousza31607ze3z87_2699:
						if (PAIRP(BgL_l1261z00_2700))
							{	/* Ast/toccur.scm 259 */
								{	/* Ast/toccur.scm 260 */
									obj_t BgL_clausez00_2701;

									BgL_clausez00_2701 = CAR(BgL_l1261z00_2700);
									{	/* Ast/toccur.scm 260 */
										obj_t BgL_arg1612z00_2702;

										BgL_arg1612z00_2702 = CDR(((obj_t) BgL_clausez00_2701));
										BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
											((BgL_nodez00_bglt) BgL_arg1612z00_2702));
									}
								}
								{
									obj_t BgL_l1261z00_3101;

									BgL_l1261z00_3101 = CDR(BgL_l1261z00_2700);
									BgL_l1261z00_2700 = BgL_l1261z00_3101;
									goto BgL_zc3z04anonymousza31607ze3z87_2699;
								}
							}
						else
							{	/* Ast/toccur.scm 259 */
								BgL_tmpz00_3088 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3088);
			}
		}

	}



/* &occur-node!-fail1313 */
	obj_t BGl_z62occurzd2nodez12zd2fail1313z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2624, obj_t BgL_nodez00_2625)
	{
		{	/* Ast/toccur.scm 247 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2625)))->BgL_procz00));
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2625)))->BgL_msgz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2625)))->BgL_objz00));
		}

	}



/* &occur-node!-conditio1311 */
	obj_t BGl_z62occurzd2nodez12zd2conditio1311z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2626, obj_t BgL_nodez00_2627)
	{
		{	/* Ast/toccur.scm 238 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2627)))->BgL_testz00));
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2627)))->BgL_truez00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2627)))->BgL_falsez00));
		}

	}



/* &occur-node!-setq1309 */
	obj_t BGl_z62occurzd2nodez12zd2setq1309z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2628, obj_t BgL_nodez00_2629)
	{
		{	/* Ast/toccur.scm 230 */
			{	/* Ast/toccur.scm 232 */
				BgL_varz00_bglt BgL_arg1586z00_2706;

				BgL_arg1586z00_2706 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2629)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					((BgL_nodez00_bglt) BgL_arg1586z00_2706));
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2629)))->BgL_valuez00));
		}

	}



/* &occur-node!-valloc1307 */
	obj_t BGl_z62occurzd2nodez12zd2valloc1307z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2630, obj_t BgL_nodez00_2631)
	{
		{	/* Ast/toccur.scm 220 */
			{

				{	/* Ast/toccur.scm 222 */
					BgL_typez00_bglt BgL_arg1583z00_2710;

					BgL_arg1583z00_2710 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_2631))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1583z00_2710);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vallocz00_bglt) COBJECT(
								((BgL_vallocz00_bglt) BgL_nodez00_2631)))->BgL_ftypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vallocz00_bglt) COBJECT(
								((BgL_vallocz00_bglt) BgL_nodez00_2631)))->BgL_otypez00));
				{	/* Ast/toccur.scm 220 */
					obj_t BgL_nextzd2method1306zd2_2709;

					BgL_nextzd2method1306zd2_2709 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_2631)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vallocz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1306zd2_2709)
						(BgL_nextzd2method1306zd2_2709,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2631)), BEOA);
				}
			}
		}

	}



/* &occur-node!-vset!1305 */
	obj_t BGl_z62occurzd2nodez12zd2vsetz121305z62zzast_typezd2occurzd2(obj_t
		BgL_envz00_2632, obj_t BgL_nodez00_2633)
	{
		{	/* Ast/toccur.scm 210 */
			{

				{	/* Ast/toccur.scm 212 */
					BgL_typez00_bglt BgL_arg1578z00_2714;

					BgL_arg1578z00_2714 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_2633))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1578z00_2714);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_nodez00_2633)))->BgL_ftypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_nodez00_2633)))->BgL_otypez00));
				{	/* Ast/toccur.scm 210 */
					obj_t BgL_nextzd2method1304zd2_2713;

					BgL_nextzd2method1304zd2_2713 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_2633)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vsetz12z12zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1304zd2_2713)
						(BgL_nextzd2method1304zd2_2713,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2633)), BEOA);
				}
			}
		}

	}



/* &occur-node!-vref1303 */
	obj_t BGl_z62occurzd2nodez12zd2vref1303z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635)
	{
		{	/* Ast/toccur.scm 200 */
			{

				{	/* Ast/toccur.scm 202 */
					BgL_typez00_bglt BgL_arg1567z00_2718;

					BgL_arg1567z00_2718 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_2635))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1567z00_2718);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_nodez00_2635)))->BgL_ftypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_nodez00_2635)))->BgL_otypez00));
				{	/* Ast/toccur.scm 200 */
					obj_t BgL_nextzd2method1302zd2_2717;

					BgL_nextzd2method1302zd2_2717 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_2635)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vrefz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1302zd2_2717)
						(BgL_nextzd2method1302zd2_2717,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2635)), BEOA);
				}
			}
		}

	}



/* &occur-node!-vlength1301 */
	obj_t BGl_z62occurzd2nodez12zd2vlength1301z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2636, obj_t BgL_nodez00_2637)
	{
		{	/* Ast/toccur.scm 191 */
			{

				{	/* Ast/toccur.scm 193 */
					BgL_typez00_bglt BgL_arg1563z00_2722;

					BgL_arg1563z00_2722 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_2637))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1563z00_2722);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_nodez00_2637)))->BgL_vtypez00));
				{	/* Ast/toccur.scm 191 */
					obj_t BgL_nextzd2method1300zd2_2721;

					BgL_nextzd2method1300zd2_2721 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) BgL_nodez00_2637)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vlengthz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1300zd2_2721)
						(BgL_nextzd2method1300zd2_2721,
						((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2637)), BEOA);
				}
			}
		}

	}



/* &occur-node!-instance1299 */
	obj_t BGl_z62occurzd2nodez12zd2instance1299z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2638, obj_t BgL_nodez00_2639)
	{
		{	/* Ast/toccur.scm 182 */
			{

				{	/* Ast/toccur.scm 184 */
					BgL_typez00_bglt BgL_arg1554z00_2726;

					BgL_arg1554z00_2726 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_2639))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1554z00_2726);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_instanceofz00_bglt) COBJECT(
								((BgL_instanceofz00_bglt) BgL_nodez00_2639)))->BgL_classz00));
				{	/* Ast/toccur.scm 182 */
					obj_t BgL_nextzd2method1298zd2_2725;

					BgL_nextzd2method1298zd2_2725 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_2639)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_instanceofz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1298zd2_2725)
						(BgL_nextzd2method1298zd2_2725,
						((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2639)), BEOA);
				}
			}
		}

	}



/* &occur-node!-cast-nul1297 */
	obj_t BGl_z62occurzd2nodez12zd2castzd2nul1297za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641)
	{
		{	/* Ast/toccur.scm 175 */
			{	/* Ast/toccur.scm 177 */
				BgL_typez00_bglt BgL_arg1552z00_2728;

				BgL_arg1552z00_2728 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_2641))))->BgL_typez00);
				return
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
					(BgL_arg1552z00_2728);
			}
		}

	}



/* &occur-node!-cast1295 */
	obj_t BGl_z62occurzd2nodez12zd2cast1295z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2642, obj_t BgL_nodez00_2643)
	{
		{	/* Ast/toccur.scm 166 */
			{

				{	/* Ast/toccur.scm 168 */
					BgL_typez00_bglt BgL_arg1548z00_2732;

					BgL_arg1548z00_2732 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_nodez00_2643))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1548z00_2732);
				}
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2643)))->BgL_argz00));
				{	/* Ast/toccur.scm 166 */
					obj_t BgL_nextzd2method1294zd2_2731;

					BgL_nextzd2method1294zd2_2731 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2643)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_castz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1294zd2_2731)
						(BgL_nextzd2method1294zd2_2731,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2643)), BEOA);
				}
			}
		}

	}



/* &occur-node!-new1293 */
	obj_t BGl_z62occurzd2nodez12zd2new1293z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2644, obj_t BgL_nodez00_2645)
	{
		{	/* Ast/toccur.scm 157 */
			{

				{	/* Ast/toccur.scm 159 */
					BgL_typez00_bglt BgL_arg1534z00_2736;

					BgL_arg1534z00_2736 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_2645))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1534z00_2736);
				}
				{	/* Ast/toccur.scm 160 */
					obj_t BgL_g1260z00_2737;

					BgL_g1260z00_2737 =
						(((BgL_newz00_bglt) COBJECT(
								((BgL_newz00_bglt) BgL_nodez00_2645)))->BgL_argszd2typezd2);
					{
						obj_t BgL_l1258z00_2739;

						BgL_l1258z00_2739 = BgL_g1260z00_2737;
					BgL_zc3z04anonymousza31535ze3z87_2738:
						if (PAIRP(BgL_l1258z00_2739))
							{	/* Ast/toccur.scm 160 */
								{	/* Ast/toccur.scm 160 */
									obj_t BgL_arg1542z00_2740;

									BgL_arg1542z00_2740 = CAR(BgL_l1258z00_2739);
									BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
										((BgL_typez00_bglt) BgL_arg1542z00_2740));
								}
								{
									obj_t BgL_l1258z00_3249;

									BgL_l1258z00_3249 = CDR(BgL_l1258z00_2739);
									BgL_l1258z00_2739 = BgL_l1258z00_3249;
									goto BgL_zc3z04anonymousza31535ze3z87_2738;
								}
							}
						else
							{	/* Ast/toccur.scm 160 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/toccur.scm 157 */
					obj_t BgL_nextzd2method1292zd2_2735;

					BgL_nextzd2method1292zd2_2735 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt) BgL_nodez00_2645)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_newz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1292zd2_2735)
						(BgL_nextzd2method1292zd2_2735,
						((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2645)), BEOA);
				}
			}
		}

	}



/* &occur-node!-setfield1291 */
	obj_t BGl_z62occurzd2nodez12zd2setfield1291z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647)
	{
		{	/* Ast/toccur.scm 147 */
			{

				{	/* Ast/toccur.scm 149 */
					BgL_typez00_bglt BgL_arg1500z00_2744;

					BgL_arg1500z00_2744 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_2647))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1500z00_2744);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_2647)))->BgL_otypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_2647)))->BgL_ftypez00));
				{	/* Ast/toccur.scm 147 */
					obj_t BgL_nextzd2method1290zd2_2743;

					BgL_nextzd2method1290zd2_2743 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt) BgL_nodez00_2647)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_setfieldz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1290zd2_2743)
						(BgL_nextzd2method1290zd2_2743,
						((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2647)), BEOA);
				}
			}
		}

	}



/* &occur-node!-getfield1289 */
	obj_t BGl_z62occurzd2nodez12zd2getfield1289z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2648, obj_t BgL_nodez00_2649)
	{
		{	/* Ast/toccur.scm 137 */
			{

				{	/* Ast/toccur.scm 139 */
					BgL_typez00_bglt BgL_arg1494z00_2748;

					BgL_arg1494z00_2748 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_2649))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1494z00_2748);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_getfieldz00_bglt) COBJECT(
								((BgL_getfieldz00_bglt) BgL_nodez00_2649)))->BgL_otypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_getfieldz00_bglt) COBJECT(
								((BgL_getfieldz00_bglt) BgL_nodez00_2649)))->BgL_ftypez00));
				{	/* Ast/toccur.scm 137 */
					obj_t BgL_nextzd2method1288zd2_2747;

					BgL_nextzd2method1288zd2_2747 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt) BgL_nodez00_2649)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_getfieldz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1288zd2_2747)
						(BgL_nextzd2method1288zd2_2747,
						((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2649)), BEOA);
				}
			}
		}

	}



/* &occur-node!-extern1287 */
	obj_t BGl_z62occurzd2nodez12zd2extern1287z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2650, obj_t BgL_nodez00_2651)
	{
		{	/* Ast/toccur.scm 129 */
			return
				BBOOL(BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2651)))->BgL_exprza2za2)));
		}

	}



/* &occur-node!-funcall1285 */
	obj_t BGl_z62occurzd2nodez12zd2funcall1285z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653)
	{
		{	/* Ast/toccur.scm 120 */
			{	/* Ast/toccur.scm 121 */
				bool_t BgL_tmpz00_3302;

				{	/* Ast/toccur.scm 122 */
					BgL_typez00_bglt BgL_arg1457z00_2751;

					BgL_arg1457z00_2751 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2653)), ((bool_t) 0));
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1457z00_2751);
				}
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2653)))->BgL_funz00));
				BgL_tmpz00_3302 =
					BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2653)))->BgL_argsz00));
				return BBOOL(BgL_tmpz00_3302);
			}
		}

	}



/* &occur-node!-app-ly1283 */
	obj_t BGl_z62occurzd2nodez12zd2appzd2ly1283za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2654, obj_t BgL_nodez00_2655)
	{
		{	/* Ast/toccur.scm 112 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2655)))->BgL_funz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2655)))->BgL_argz00));
		}

	}



/* &occur-node!-app1281 */
	obj_t BGl_z62occurzd2nodez12zd2app1281z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2656, obj_t BgL_nodez00_2657)
	{
		{	/* Ast/toccur.scm 99 */
			{	/* Ast/toccur.scm 100 */
				bool_t BgL_tmpz00_3320;

				{	/* Ast/toccur.scm 101 */
					BgL_varz00_bglt BgL_arg1387z00_2754;

					BgL_arg1387z00_2754 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2657)))->BgL_funz00);
					BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
						((BgL_nodez00_bglt) BgL_arg1387z00_2754));
				}
				BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2657)))->BgL_argsz00));
				{	/* Ast/toccur.scm 103 */
					BgL_variablez00_bglt BgL_varz00_2755;

					BgL_varz00_2755 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2657)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Ast/toccur.scm 103 */
						BgL_valuez00_bglt BgL_valz00_2756;

						BgL_valz00_2756 =
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2755))->BgL_valuez00);
						{	/* Ast/toccur.scm 104 */

							{	/* Ast/toccur.scm 105 */
								bool_t BgL_test1951z00_3332;

								{	/* Ast/toccur.scm 105 */
									obj_t BgL_classz00_2757;

									BgL_classz00_2757 = BGl_cfunz00zzast_varz00;
									{	/* Ast/toccur.scm 105 */
										BgL_objectz00_bglt BgL_arg1825z00_2758;

										{	/* Ast/toccur.scm 105 */
											obj_t BgL_tmpz00_3333;

											BgL_tmpz00_3333 =
												((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2756));
											BgL_arg1825z00_2758 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3333);
										}
										{	/* Ast/toccur.scm 105 */
											bool_t BgL_arg1822z00_2759;
											bool_t BgL_arg1823z00_2760;

											{	/* Ast/toccur.scm 105 */
												long BgL_idxz00_2761;

												BgL_idxz00_2761 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2758);
												BgL_arg1822z00_2759 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2761 + ((long) 3))) ==
													BgL_classz00_2757);
											}
											{	/* Ast/toccur.scm 105 */
												bool_t BgL_res1849z00_2764;

												{	/* Ast/toccur.scm 105 */
													obj_t BgL_oclassz00_2765;

													{	/* Ast/toccur.scm 105 */
														long BgL_arg1833z00_2766;

														{	/* Ast/toccur.scm 105 */
															long BgL_arg1834z00_2767;

															BgL_arg1834z00_2767 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2758);
															BgL_arg1833z00_2766 =
																(BgL_arg1834z00_2767 - OBJECT_TYPE);
														}
														BgL_oclassz00_2765 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2766);
													}
													{	/* Ast/toccur.scm 105 */
														bool_t BgL__ortest_1110z00_2768;

														BgL__ortest_1110z00_2768 =
															(BgL_classz00_2757 == BgL_oclassz00_2765);
														if (BgL__ortest_1110z00_2768)
															{	/* Ast/toccur.scm 105 */
																BgL_res1849z00_2764 = BgL__ortest_1110z00_2768;
															}
														else
															{	/* Ast/toccur.scm 105 */
																long BgL_odepthz00_2769;

																BgL_odepthz00_2769 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2765);
																if ((((long) 3) < BgL_odepthz00_2769))
																	{	/* Ast/toccur.scm 105 */
																		obj_t BgL_arg1821z00_2770;

																		BgL_arg1821z00_2770 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2765, ((long) 3));
																		BgL_res1849z00_2764 =
																			(BgL_arg1821z00_2770 ==
																			BgL_classz00_2757);
																	}
																else
																	{	/* Ast/toccur.scm 105 */
																		BgL_res1849z00_2764 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2760 = BgL_res1849z00_2764;
											}
											BgL_test1951z00_3332 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2759,
												BgL_arg1823z00_2760);
										}
									}
								}
								if (BgL_test1951z00_3332)
									{	/* Ast/toccur.scm 105 */
										BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
											(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2755))->
												BgL_typez00));
										{	/* Ast/toccur.scm 107 */
											obj_t BgL_g1257z00_2771;

											BgL_g1257z00_2771 =
												(((BgL_cfunz00_bglt) COBJECT(
														((BgL_cfunz00_bglt) BgL_valz00_2756)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_l1255z00_2773;

												BgL_l1255z00_2773 = BgL_g1257z00_2771;
											BgL_zc3z04anonymousza31416ze3z87_2772:
												if (PAIRP(BgL_l1255z00_2773))
													{	/* Ast/toccur.scm 107 */
														{	/* Ast/toccur.scm 107 */
															obj_t BgL_arg1418z00_2774;

															BgL_arg1418z00_2774 = CAR(BgL_l1255z00_2773);
															BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																(((BgL_typez00_bglt) BgL_arg1418z00_2774));
														}
														{
															obj_t BgL_l1255z00_3361;

															BgL_l1255z00_3361 = CDR(BgL_l1255z00_2773);
															BgL_l1255z00_2773 = BgL_l1255z00_3361;
															goto BgL_zc3z04anonymousza31416ze3z87_2772;
														}
													}
												else
													{	/* Ast/toccur.scm 107 */
														BgL_tmpz00_3320 = ((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* Ast/toccur.scm 105 */
										BgL_tmpz00_3320 = ((bool_t) 0);
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_3320);
			}
		}

	}



/* &occur-node!-sync1279 */
	obj_t BGl_z62occurzd2nodez12zd2sync1279z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2658, obj_t BgL_nodez00_2659)
	{
		{	/* Ast/toccur.scm 91 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2659)))->BgL_mutexz00));
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2659)))->BgL_prelockz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2659)))->BgL_bodyz00));
		}

	}



/* &occur-node!-sequence1277 */
	obj_t BGl_z62occurzd2nodez12zd2sequence1277z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2660, obj_t BgL_nodez00_2661)
	{
		{	/* Ast/toccur.scm 85 */
			return
				BBOOL(BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2661)))->BgL_nodesz00)));
		}

	}



/* &occur-node!-var1275 */
	obj_t BGl_z62occurzd2nodez12zd2var1275z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2662, obj_t BgL_nodez00_2663)
	{
		{	/* Ast/toccur.scm 76 */
			{	/* Ast/toccur.scm 77 */
				BgL_variablez00_bglt BgL_vz00_2778;

				BgL_vz00_2778 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2663)))->BgL_variablez00);
				{	/* Ast/toccur.scm 78 */
					BgL_valuez00_bglt BgL_valuez00_2779;

					BgL_valuez00_2779 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2778))->BgL_valuez00);
					{	/* Ast/toccur.scm 79 */
						bool_t BgL_test1955z00_3380;

						{	/* Ast/toccur.scm 79 */
							bool_t BgL_test1956z00_3381;

							{	/* Ast/toccur.scm 79 */
								obj_t BgL_classz00_2780;

								BgL_classz00_2780 = BGl_scnstz00zzast_varz00;
								{	/* Ast/toccur.scm 79 */
									BgL_objectz00_bglt BgL_arg1825z00_2781;

									{	/* Ast/toccur.scm 79 */
										obj_t BgL_tmpz00_3382;

										BgL_tmpz00_3382 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2779));
										BgL_arg1825z00_2781 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3382);
									}
									{	/* Ast/toccur.scm 79 */
										bool_t BgL_arg1822z00_2782;
										bool_t BgL_arg1823z00_2783;

										{	/* Ast/toccur.scm 79 */
											long BgL_idxz00_2784;

											BgL_idxz00_2784 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2781);
											BgL_arg1822z00_2782 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2784 + ((long) 2))) == BgL_classz00_2780);
										}
										{	/* Ast/toccur.scm 79 */
											bool_t BgL_res1847z00_2787;

											{	/* Ast/toccur.scm 79 */
												obj_t BgL_oclassz00_2788;

												{	/* Ast/toccur.scm 79 */
													long BgL_arg1833z00_2789;

													{	/* Ast/toccur.scm 79 */
														long BgL_arg1834z00_2790;

														BgL_arg1834z00_2790 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2781);
														BgL_arg1833z00_2789 =
															(BgL_arg1834z00_2790 - OBJECT_TYPE);
													}
													BgL_oclassz00_2788 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2789);
												}
												{	/* Ast/toccur.scm 79 */
													bool_t BgL__ortest_1110z00_2791;

													BgL__ortest_1110z00_2791 =
														(BgL_classz00_2780 == BgL_oclassz00_2788);
													if (BgL__ortest_1110z00_2791)
														{	/* Ast/toccur.scm 79 */
															BgL_res1847z00_2787 = BgL__ortest_1110z00_2791;
														}
													else
														{	/* Ast/toccur.scm 79 */
															long BgL_odepthz00_2792;

															BgL_odepthz00_2792 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2788);
															if ((((long) 2) < BgL_odepthz00_2792))
																{	/* Ast/toccur.scm 79 */
																	obj_t BgL_arg1821z00_2793;

																	BgL_arg1821z00_2793 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2788,
																		((long) 2));
																	BgL_res1847z00_2787 =
																		(BgL_arg1821z00_2793 == BgL_classz00_2780);
																}
															else
																{	/* Ast/toccur.scm 79 */
																	BgL_res1847z00_2787 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2783 = BgL_res1847z00_2787;
										}
										BgL_test1956z00_3381 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2782,
											BgL_arg1823z00_2783);
									}
								}
							}
							if (BgL_test1956z00_3381)
								{	/* Ast/toccur.scm 79 */
									obj_t BgL_arg1381z00_2794;

									BgL_arg1381z00_2794 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_2779)))->BgL_nodez00);
									{	/* Ast/toccur.scm 79 */
										obj_t BgL_classz00_2795;

										BgL_classz00_2795 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1381z00_2794))
											{	/* Ast/toccur.scm 79 */
												BgL_objectz00_bglt BgL_arg1825z00_2796;

												BgL_arg1825z00_2796 =
													(BgL_objectz00_bglt) (BgL_arg1381z00_2794);
												{	/* Ast/toccur.scm 79 */
													bool_t BgL_arg1822z00_2797;
													bool_t BgL_arg1823z00_2798;

													{	/* Ast/toccur.scm 79 */
														long BgL_idxz00_2799;

														BgL_idxz00_2799 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2796);
														BgL_arg1822z00_2797 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2799 + ((long) 1))) ==
															BgL_classz00_2795);
													}
													{	/* Ast/toccur.scm 79 */
														bool_t BgL_res1848z00_2802;

														{	/* Ast/toccur.scm 79 */
															obj_t BgL_oclassz00_2803;

															{	/* Ast/toccur.scm 79 */
																long BgL_arg1833z00_2804;

																{	/* Ast/toccur.scm 79 */
																	long BgL_arg1834z00_2805;

																	BgL_arg1834z00_2805 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2796);
																	BgL_arg1833z00_2804 =
																		(BgL_arg1834z00_2805 - OBJECT_TYPE);
																}
																BgL_oclassz00_2803 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2804);
															}
															{	/* Ast/toccur.scm 79 */
																bool_t BgL__ortest_1110z00_2806;

																BgL__ortest_1110z00_2806 =
																	(BgL_classz00_2795 == BgL_oclassz00_2803);
																if (BgL__ortest_1110z00_2806)
																	{	/* Ast/toccur.scm 79 */
																		BgL_res1848z00_2802 =
																			BgL__ortest_1110z00_2806;
																	}
																else
																	{	/* Ast/toccur.scm 79 */
																		long BgL_odepthz00_2807;

																		BgL_odepthz00_2807 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2803);
																		if ((((long) 1) < BgL_odepthz00_2807))
																			{	/* Ast/toccur.scm 79 */
																				obj_t BgL_arg1821z00_2808;

																				BgL_arg1821z00_2808 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2803, ((long) 1));
																				BgL_res1848z00_2802 =
																					(BgL_arg1821z00_2808 ==
																					BgL_classz00_2795);
																			}
																		else
																			{	/* Ast/toccur.scm 79 */
																				BgL_res1848z00_2802 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2798 = BgL_res1848z00_2802;
													}
													BgL_test1955z00_3380 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2797,
														BgL_arg1823z00_2798);
												}
											}
										else
											{	/* Ast/toccur.scm 79 */
												BgL_test1955z00_3380 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Ast/toccur.scm 79 */
									BgL_test1955z00_3380 = ((bool_t) 0);
								}
						}
						if (BgL_test1955z00_3380)
							{	/* Ast/toccur.scm 80 */
								obj_t BgL_arg1380z00_2809;

								BgL_arg1380z00_2809 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_2779)))->BgL_nodez00);
								return
									BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
									((BgL_nodez00_bglt) BgL_arg1380z00_2809));
							}
						else
							{	/* Ast/toccur.scm 79 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_typezd2occurzd2()
	{
		{	/* Ast/toccur.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1888z00zzast_typezd2occurzd2));
		}

	}

#ifdef __cplusplus
}
#endif
