/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, BgL_valuez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	static obj_t BGl_objectzd2initzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31315ze3ze5zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121300z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121303z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121305z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121307z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz121309z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt,
		obj_t);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	static obj_t BGl_gczd2rootszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7121959za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global1960z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7121961za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global1962z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza71963za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob1964z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck1965z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza71966za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1935z00zzast_envz00,
		BgL_bgl_string1935za700za7za7a1967za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string1936z00zzast_envz00,
		BgL_bgl_string1936za700za7za7a1968za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string1937z00zzast_envz00,
		BgL_bgl_string1937za700za7za7a1969za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string1938z00zzast_envz00,
		BgL_bgl_string1938za700za7za7a1970za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string1939z00zzast_envz00,
		BgL_bgl_string1939za700za7za7a1971za7, "eval", 4);
	      DEFINE_STRING(BGl_string1940z00zzast_envz00,
		BgL_bgl_string1940za700za7za7a1972za7, "unbind-global!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzast_envz00,
		BgL_bgl_za762za7c3za704anonymo1973za7,
		BGl_z62zc3z04anonymousza31315ze3ze5zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1941z00zzast_envz00,
		BgL_bgl_string1941za700za7za7a1974za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string1943z00zzast_envz00,
		BgL_bgl_string1943za700za7za7a1975za7, "restore-value-types!1300", 24);
	      DEFINE_STRING(BGl_string1945z00zzast_envz00,
		BgL_bgl_string1945za700za7za7a1976za7, "restore-value-types!", 20);
	      DEFINE_STRING(BGl_string1949z00zzast_envz00,
		BgL_bgl_string1949za700za7za7a1977za7, "head-restore", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b01978za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1979z00,
		BGl_z62restorezd2valuezd2typesz121300z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1950z00zzast_envz00,
		BgL_bgl_string1950za700za7za7a1980za7,
		"Illegal restored type for foreign function", 42);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1981z00,
		BGl_z62restorezd2valuezd2typesz121303z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1951z00zzast_envz00,
		BgL_bgl_string1951za700za7za7a1982za7, "restore-value-types(sfun)", 25);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val1983z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1952z00zzast_envz00,
		BgL_bgl_string1952za700za7za7a1984za7, "Illegal argument", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1985z00,
		BGl_z62restorezd2valuezd2typesz121305z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1953z00zzast_envz00,
		BgL_bgl_string1953za700za7za7a1986za7, "restore-value-types", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1987z00,
		BGl_z62restorezd2valuezd2typesz121307z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1954z00zzast_envz00,
		BgL_bgl_string1954za700za7za7a1988za7, "Illegal non pair argument", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1989z00,
		BGl_z62restorezd2valuezd2typesz121309z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1955z00zzast_envz00,
		BgL_bgl_string1955za700za7za7a1990za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string1956z00zzast_envz00,
		BgL_bgl_string1956za700za7za7a1991za7,
		"_ eval now read @ get-global/module foreign the-global-environment ", 67);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d21992za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global1993z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo1994z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res1995z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d21996z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_envz00));
		     ADD_ROOT((void *) (&BGl_za2Genvza2z00zzast_envz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00));
		     ADD_ROOT((void *) (&BGl_za2restoredza2z00zzast_envz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2839, char *BgL_fromz00_2840)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_envz00();
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					return BGl_toplevelzd2initzd2zzast_envz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2710;

				{	/* Ast/venv.scm 14 */
					obj_t BgL_stringz00_2718;

					BgL_stringz00_2718 = BGl_string1956z00zzast_envz00;
					{	/* Ast/venv.scm 14 */
						obj_t BgL_startz00_2719;

						BgL_startz00_2719 = BINT(((long) 0));
						{	/* Ast/venv.scm 14 */
							obj_t BgL_endz00_2720;

							BgL_endz00_2720 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2718)));
							{	/* Ast/venv.scm 14 */

								BgL_cportz00_2710 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2718, BgL_startz00_2719, BgL_endz00_2720);
				}}}}
				{
					long BgL_iz00_2711;

					BgL_iz00_2711 = ((long) 7);
				BgL_loopz00_2712:
					if ((BgL_iz00_2711 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg1958z00_2714;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2716;

										BgL_locationz00_2716 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg1958z00_2714 =
												BGl_readz00zz__readerz00(BgL_cportz00_2710,
												BgL_locationz00_2716);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_tmpz00_2873;

									BgL_tmpz00_2873 = (int) (BgL_iz00_2711);
									CNST_TABLE_SET(BgL_tmpz00_2873, BgL_arg1958z00_2714);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2717;

								BgL_auxz00_2717 = (int) ((BgL_iz00_2711 - ((long) 1)));
								{
									long BgL_iz00_2878;

									BgL_iz00_2878 = (long) (BgL_auxz00_2717);
									BgL_iz00_2711 = BgL_iz00_2878;
									goto BgL_loopz00_2712;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}

	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		{	/* Ast/venv.scm 55 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}

	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2642,
		obj_t BgL_genvz00_2643)
	{
		{	/* Ast/venv.scm 55 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2643);
		}

	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		{	/* Ast/venv.scm 64 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc1934z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}

	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2645,
		obj_t BgL_genvz00_2646)
	{
		{	/* Ast/venv.scm 64 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2646);
		}

	}



/* &<@anonymous:1315> */
	obj_t BGl_z62zc3z04anonymousza31315ze3ze5zzast_envz00(obj_t BgL_envz00_2647,
		obj_t BgL_kz00_2648, obj_t BgL_bucketz00_2649)
	{
		{	/* Ast/venv.scm 67 */
			{	/* Ast/venv.scm 68 */
				bool_t BgL_tmpz00_2885;

				{	/* Ast/venv.scm 68 */
					obj_t BgL_g1294z00_2722;

					BgL_g1294z00_2722 = CDR(((obj_t) BgL_bucketz00_2649));
					{
						obj_t BgL_l1292z00_2724;

						BgL_l1292z00_2724 = BgL_g1294z00_2722;
					BgL_zc3z04anonymousza31316ze3z87_2723:
						if (PAIRP(BgL_l1292z00_2724))
							{	/* Ast/venv.scm 88 */
								{	/* Ast/venv.scm 69 */
									obj_t BgL_newz00_2725;

									BgL_newz00_2725 = CAR(BgL_l1292z00_2724);
									BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
										MAKE_YOUNG_PAIR(BgL_newz00_2725,
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
									{	/* Ast/venv.scm 70 */
										obj_t BgL_modulez00_2726;

										BgL_modulez00_2726 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_2725)))->
											BgL_modulez00);
										{	/* Ast/venv.scm 70 */
											obj_t BgL_idz00_2727;

											BgL_idz00_2727 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_newz00_2725))))->
												BgL_idz00);
											{	/* Ast/venv.scm 71 */
												obj_t BgL_bucketz00_2728;

												BgL_bucketz00_2728 =
													BGl_hashtablezd2getzd2zz__hashz00
													(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_2727);
												{	/* Ast/venv.scm 72 */

													if (PAIRP(BgL_bucketz00_2728))
														{	/* Ast/venv.scm 76 */
															bool_t BgL_test2001z00_2900;

															if (
																(BgL_modulez00_2726 ==
																	BGl_za2moduleza2z00zzmodule_modulez00))
																{	/* Ast/venv.scm 76 */
																	BgL_test2001z00_2900 = ((bool_t) 1);
																}
															else
																{	/* Ast/venv.scm 77 */
																	bool_t BgL_test2003z00_2903;

																	{	/* Ast/venv.scm 78 */
																		obj_t BgL_arg1333z00_2729;

																		{
																			BgL_globalz00_bglt BgL_auxz00_2904;

																			{	/* Ast/venv.scm 78 */
																				obj_t BgL_pairz00_2730;

																				BgL_pairz00_2730 =
																					CDR(BgL_bucketz00_2728);
																				BgL_auxz00_2904 =
																					((BgL_globalz00_bglt)
																					CAR(BgL_pairz00_2730));
																			}
																			BgL_arg1333z00_2729 =
																				(((BgL_globalz00_bglt)
																					COBJECT(BgL_auxz00_2904))->
																				BgL_modulez00);
																		}
																		BgL_test2003z00_2903 =
																			(BGl_za2moduleza2z00zzmodule_modulez00 ==
																			BgL_arg1333z00_2729);
																	}
																	if (BgL_test2003z00_2903)
																		{	/* Ast/venv.scm 77 */
																			BgL_test2001z00_2900 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 77 */
																			BgL_test2001z00_2900 = ((bool_t) 1);
																		}
																}
															if (BgL_test2001z00_2900)
																{	/* Ast/venv.scm 84 */
																	obj_t BgL_newzd2bucketzd2_2731;

																	BgL_newzd2bucketzd2_2731 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2725,
																		CDR(BgL_bucketz00_2728));
																	SET_CDR(BgL_bucketz00_2728,
																		BgL_newzd2bucketzd2_2731);
																}
															else
																{	/* Ast/venv.scm 87 */
																	obj_t BgL_arg1328z00_2732;
																	obj_t BgL_arg1331z00_2733;

																	BgL_arg1328z00_2732 = CDR(BgL_bucketz00_2728);
																	BgL_arg1331z00_2733 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2725,
																		CDR(CDR(BgL_bucketz00_2728)));
																	{	/* Ast/venv.scm 87 */
																		obj_t BgL_tmpz00_2917;

																		BgL_tmpz00_2917 =
																			((obj_t) BgL_arg1328z00_2732);
																		SET_CDR(BgL_tmpz00_2917,
																			BgL_arg1331z00_2733);
																	}
																}
														}
													else
														{	/* Ast/venv.scm 75 */
															obj_t BgL_arg1338z00_2734;

															{	/* Ast/venv.scm 75 */
																obj_t BgL_list1339z00_2735;

																{	/* Ast/venv.scm 75 */
																	obj_t BgL_arg1340z00_2736;

																	BgL_arg1340z00_2736 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2725, BNIL);
																	BgL_list1339z00_2735 =
																		MAKE_YOUNG_PAIR(BgL_idz00_2727,
																		BgL_arg1340z00_2736);
																}
																BgL_arg1338z00_2734 = BgL_list1339z00_2735;
															}
															BGl_hashtablezd2putz12zc0zz__hashz00
																(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_2727,
																BgL_arg1338z00_2734);
														}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1292z00_2923;

									BgL_l1292z00_2923 = CDR(BgL_l1292z00_2724);
									BgL_l1292z00_2724 = BgL_l1292z00_2923;
									goto BgL_zc3z04anonymousza31316ze3z87_2723;
								}
							}
						else
							{	/* Ast/venv.scm 88 */
								BgL_tmpz00_2885 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2885);
			}
		}

	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		{	/* Ast/venv.scm 105 */
			{
				obj_t BgL_l1295z00_1606;

				BgL_l1295z00_1606 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3z04anonymousza31342ze3z87_1607:
				if (PAIRP(BgL_l1295z00_1606))
					{	/* Ast/venv.scm 106 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1295z00_1606));
						{
							obj_t BgL_l1295z00_2930;

							BgL_l1295z00_2930 = CDR(BgL_l1295z00_1606);
							BgL_l1295z00_1606 = BgL_l1295z00_2930;
							goto BgL_zc3z04anonymousza31342ze3z87_1607;
						}
					}
				else
					{	/* Ast/venv.scm 106 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}

	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2650)
	{
		{	/* Ast/venv.scm 105 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}

	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		{	/* Ast/venv.scm 112 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_YOUNG_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 115 */
				obj_t BgL_idz00_1612;

				BgL_idz00_1612 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_idz00);
				{	/* Ast/venv.scm 115 */
					BgL_typez00_bglt BgL_typez00_1613;

					BgL_typez00_1613 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
					{	/* Ast/venv.scm 116 */
						BgL_valuez00_bglt BgL_valuez00_1614;

						BgL_valuez00_1614 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
						{	/* Ast/venv.scm 117 */
							obj_t BgL_typeidz00_1615;

							BgL_typeidz00_1615 =
								(((BgL_typez00_bglt) COBJECT(BgL_typez00_1613))->BgL_idz00);
							{	/* Ast/venv.scm 118 */

								{	/* Ast/venv.scm 120 */
									BgL_typez00_bglt BgL_arg1350z00_1616;

									BgL_arg1350z00_1616 =
										BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1615);
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_newz00_6))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg1350z00_1616), BUNSPEC);
								}
								BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1614,
									BgL_idz00_1612);
								{	/* Ast/venv.scm 124 */
									bool_t BgL_test2005z00_2949;

									{	/* Ast/venv.scm 124 */
										bool_t BgL_test2006z00_2950;

										{	/* Ast/venv.scm 124 */
											obj_t BgL_arg1380z00_1631;

											BgL_arg1380z00_1631 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_test2006z00_2950 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1380z00_1631)))->
												BgL_qualifiedzd2typeszd2);
										}
										if (BgL_test2006z00_2950)
											{	/* Ast/venv.scm 124 */
												if (
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_newz00_6)))->
															BgL_modulez00) == CNST_TABLE_REF(((long) 1))))
													{	/* Ast/venv.scm 125 */
														BgL_test2005z00_2949 = ((bool_t) 0);
													}
												else
													{	/* Ast/venv.scm 125 */
														BgL_test2005z00_2949 = ((bool_t) 1);
													}
											}
										else
											{	/* Ast/venv.scm 124 */
												BgL_test2005z00_2949 = ((bool_t) 0);
											}
									}
									if (BgL_test2005z00_2949)
										{	/* Ast/venv.scm 126 */
											obj_t BgL_arg1366z00_1624;
											obj_t BgL_arg1367z00_1625;
											obj_t BgL_arg1369z00_1626;

											BgL_arg1366z00_1624 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_newz00_6)))->
												BgL_modulez00);
											BgL_arg1367z00_1625 =
												(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
															BgL_newz00_6)))->BgL_jvmzd2typezd2namez00);
											BgL_arg1369z00_1626 =
												BGl_shapez00zztools_shapez00(BgL_newz00_6);
											{	/* Ast/venv.scm 126 */
												obj_t BgL_list1370z00_1627;

												BgL_list1370z00_1627 =
													MAKE_YOUNG_PAIR(BgL_arg1369z00_1626, BNIL);
												return
													BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
													(BgL_arg1366z00_1624, BgL_arg1367z00_1625,
													BgL_list1370z00_1627);
											}
										}
									else
										{	/* Ast/venv.scm 124 */
											return BFALSE;
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2651,
		obj_t BgL_newz00_2652)
	{
		{	/* Ast/venv.scm 112 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2652);
		}

	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		{	/* Ast/venv.scm 147 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}

	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2653,
		obj_t BgL_funz00_2654)
	{
		{	/* Ast/venv.scm 147 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2654);
		}

	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		{	/* Ast/venv.scm 226 */
			return BGl_za2Genvza2z00zzast_envz00;
		}

	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2655)
	{
		{	/* Ast/venv.scm 226 */
			return BGl_getzd2genvzd2zzast_envz00();
		}

	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		{	/* Ast/venv.scm 232 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}

	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2656)
	{
		{	/* Ast/venv.scm 232 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}

	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_19,
		obj_t BgL_modulez00_20)
	{
		{	/* Ast/venv.scm 238 */
			{	/* Ast/venv.scm 240 */
				obj_t BgL_bucketz00_1633;
				obj_t BgL_modulez00_1634;

				BgL_bucketz00_1633 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_19);
				if (NULLP(BgL_modulez00_20))
					{	/* Ast/venv.scm 241 */
						BgL_modulez00_1634 = BNIL;
					}
				else
					{	/* Ast/venv.scm 241 */
						BgL_modulez00_1634 = CAR(((obj_t) BgL_modulez00_20));
					}
				if (PAIRP(BgL_bucketz00_1633))
					{	/* Ast/venv.scm 243 */
						if (NULLP(CDR(BgL_bucketz00_1633)))
							{	/* Ast/venv.scm 245 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 245 */
								if (NULLP(BgL_modulez00_1634))
									{	/* Ast/venv.scm 247 */
										return CAR(CDR(BgL_bucketz00_1633));
									}
								else
									{	/* Ast/venv.scm 250 */
										obj_t BgL_g1107z00_1639;

										BgL_g1107z00_1639 = CDR(BgL_bucketz00_1633);
										{
											obj_t BgL_globalsz00_1641;

											BgL_globalsz00_1641 = BgL_g1107z00_1639;
										BgL_zc3z04anonymousza31403ze3z87_1642:
											if (NULLP(BgL_globalsz00_1641))
												{	/* Ast/venv.scm 252 */
													return BFALSE;
												}
											else
												{	/* Ast/venv.scm 252 */
													if (
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt)
																			CAR(
																				((obj_t) BgL_globalsz00_1641)))))->
																BgL_modulez00) == BgL_modulez00_1634))
														{	/* Ast/venv.scm 254 */
															return CAR(((obj_t) BgL_globalsz00_1641));
														}
													else
														{	/* Ast/venv.scm 257 */
															obj_t BgL_arg1418z00_1647;

															BgL_arg1418z00_1647 =
																CDR(((obj_t) BgL_globalsz00_1641));
															{
																obj_t BgL_globalsz00_2999;

																BgL_globalsz00_2999 = BgL_arg1418z00_1647;
																BgL_globalsz00_1641 = BgL_globalsz00_2999;
																goto BgL_zc3z04anonymousza31403ze3z87_1642;
															}
														}
												}
										}
									}
							}
					}
				else
					{	/* Ast/venv.scm 243 */
						return BFALSE;
					}
			}
		}

	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2657,
		obj_t BgL_idz00_2658, obj_t BgL_modulez00_2659)
	{
		{	/* Ast/venv.scm 238 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2658, BgL_modulez00_2659);
		}

	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_21, obj_t BgL_modulez00_22)
	{
		{	/* Ast/venv.scm 262 */
			{	/* Ast/venv.scm 263 */
				obj_t BgL_bucketz00_1653;

				BgL_bucketz00_1653 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_21);
				if (PAIRP(BgL_bucketz00_1653))
					{	/* Ast/venv.scm 265 */
						if (NULLP(CDR(BgL_bucketz00_1653)))
							{	/* Ast/venv.scm 267 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 272 */
								obj_t BgL_g1108z00_1658;

								BgL_g1108z00_1658 = CDR(BgL_bucketz00_1653);
								{
									obj_t BgL_globalsz00_1660;

									BgL_globalsz00_1660 = BgL_g1108z00_1658;
								BgL_zc3z04anonymousza31460ze3z87_1661:
									if (NULLP(BgL_globalsz00_1660))
										{	/* Ast/venv.scm 274 */
											return BFALSE;
										}
									else
										{	/* Ast/venv.scm 274 */
											if (
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	CAR(
																		((obj_t) BgL_globalsz00_1660)))))->
														BgL_modulez00) == BgL_modulez00_22))
												{	/* Ast/venv.scm 276 */
													return CAR(((obj_t) BgL_globalsz00_1660));
												}
											else
												{	/* Ast/venv.scm 279 */
													obj_t BgL_arg1496z00_1666;

													BgL_arg1496z00_1666 =
														CDR(((obj_t) BgL_globalsz00_1660));
													{
														obj_t BgL_globalsz00_3020;

														BgL_globalsz00_3020 = BgL_arg1496z00_1666;
														BgL_globalsz00_1660 = BgL_globalsz00_3020;
														goto BgL_zc3z04anonymousza31460ze3z87_1661;
													}
												}
										}
								}
							}
					}
				else
					{	/* Ast/venv.scm 265 */
						return BFALSE;
					}
			}
		}

	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2660,
		obj_t BgL_idz00_2661, obj_t BgL_modulez00_2662)
	{
		{	/* Ast/venv.scm 262 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2661,
				BgL_modulez00_2662);
		}

	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_23, obj_t BgL_modulez00_24)
	{
		{	/* Ast/venv.scm 284 */
			{	/* Ast/venv.scm 285 */
				obj_t BgL_globalz00_1671;

				BgL_globalz00_1671 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_23,
					BgL_modulez00_24);
				{	/* Ast/venv.scm 286 */
					bool_t BgL_test2018z00_3023;

					{	/* Ast/venv.scm 286 */
						bool_t BgL_test2019z00_3024;

						{	/* Ast/venv.scm 286 */
							obj_t BgL_classz00_2162;

							BgL_classz00_2162 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_globalz00_1671))
								{	/* Ast/venv.scm 286 */
									BgL_objectz00_bglt BgL_arg1825z00_2164;

									BgL_arg1825z00_2164 =
										(BgL_objectz00_bglt) (BgL_globalz00_1671);
									{	/* Ast/venv.scm 286 */
										bool_t BgL_arg1822z00_2167;
										bool_t BgL_arg1823z00_2168;

										{	/* Ast/venv.scm 286 */
											long BgL_idxz00_2171;

											BgL_idxz00_2171 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2164);
											BgL_arg1822z00_2167 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2171 + ((long) 2))) == BgL_classz00_2162);
										}
										{	/* Ast/venv.scm 286 */
											bool_t BgL_res1916z00_2193;

											{	/* Ast/venv.scm 286 */
												obj_t BgL_oclassz00_2179;

												{	/* Ast/venv.scm 286 */
													long BgL_arg1833z00_2185;

													{	/* Ast/venv.scm 286 */
														long BgL_arg1834z00_2186;

														BgL_arg1834z00_2186 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2164);
														BgL_arg1833z00_2185 =
															(BgL_arg1834z00_2186 - OBJECT_TYPE);
													}
													BgL_oclassz00_2179 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2185);
												}
												{	/* Ast/venv.scm 286 */
													bool_t BgL__ortest_1110z00_2180;

													BgL__ortest_1110z00_2180 =
														(BgL_classz00_2162 == BgL_oclassz00_2179);
													if (BgL__ortest_1110z00_2180)
														{	/* Ast/venv.scm 286 */
															BgL_res1916z00_2193 = BgL__ortest_1110z00_2180;
														}
													else
														{	/* Ast/venv.scm 286 */
															long BgL_odepthz00_2181;

															BgL_odepthz00_2181 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2179);
															if ((((long) 2) < BgL_odepthz00_2181))
																{	/* Ast/venv.scm 286 */
																	obj_t BgL_arg1821z00_2183;

																	BgL_arg1821z00_2183 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2179,
																		((long) 2));
																	BgL_res1916z00_2193 =
																		(BgL_arg1821z00_2183 == BgL_classz00_2162);
																}
															else
																{	/* Ast/venv.scm 286 */
																	BgL_res1916z00_2193 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2168 = BgL_res1916z00_2193;
										}
										BgL_test2019z00_3024 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2167,
											BgL_arg1823z00_2168);
									}
								}
							else
								{	/* Ast/venv.scm 286 */
									BgL_test2019z00_3024 = ((bool_t) 0);
								}
						}
						if (BgL_test2019z00_3024)
							{	/* Ast/venv.scm 286 */
								BgL_test2018z00_3023 = ((bool_t) 0);
							}
						else
							{	/* Ast/venv.scm 286 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Ast/venv.scm 286 */
										BgL_test2018z00_3023 = ((bool_t) 0);
									}
								else
									{	/* Ast/venv.scm 286 */
										BgL_test2018z00_3023 = ((bool_t) 1);
									}
							}
					}
					if (BgL_test2018z00_3023)
						{	/* Ast/venv.scm 289 */
							obj_t BgL_arg1524z00_1674;

							{	/* Ast/venv.scm 289 */
								obj_t BgL_list1525z00_1675;

								{	/* Ast/venv.scm 289 */
									obj_t BgL_arg1534z00_1676;

									BgL_arg1534z00_1676 = MAKE_YOUNG_PAIR(BgL_modulez00_24, BNIL);
									BgL_list1525z00_1675 =
										MAKE_YOUNG_PAIR(BgL_idz00_23, BgL_arg1534z00_1676);
								}
								BgL_arg1524z00_1674 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string1935z00zzast_envz00, BgL_list1525z00_1675);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string1936z00zzast_envz00, BgL_arg1524z00_1674);
						}
					else
						{	/* Ast/venv.scm 286 */
							BFALSE;
						}
				}
				return BgL_globalz00_1671;
			}
		}

	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2663,
		obj_t BgL_idz00_2664, obj_t BgL_modulez00_2665)
	{
		{	/* Ast/venv.scm 284 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2664,
				BgL_modulez00_2665);
		}

	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_25,
		obj_t BgL_oz00_26, obj_t BgL_srcez00_27)
	{
		{	/* Ast/venv.scm 295 */
			{	/* Ast/venv.scm 296 */
				bool_t BgL_test2024z00_3051;

				{	/* Ast/venv.scm 296 */
					bool_t BgL_test2025z00_3052;

					{	/* Ast/venv.scm 296 */
						int BgL_arg1571z00_1698;

						BgL_arg1571z00_1698 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_test2025z00_3052 = ((long) (BgL_arg1571z00_1698) > ((long) 0));
					}
					if (BgL_test2025z00_3052)
						{	/* Ast/venv.scm 296 */
							BgL_test2024z00_3051 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 296 */
							BgL_test2024z00_3051 = ((bool_t) 0);
						}
				}
				if (BgL_test2024z00_3051)
					{	/* Ast/venv.scm 298 */
						obj_t BgL_locz00_1683;
						obj_t BgL_oldz00_1684;
						obj_t BgL_newz00_1685;

						{	/* Ast/venv.scm 298 */
							obj_t BgL__ortest_1111z00_1687;

							{	/* Ast/venv.scm 298 */
								obj_t BgL_arg1548z00_1688;

								BgL_arg1548z00_1688 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_oz00_26)))->BgL_srcz00);
								BgL__ortest_1111z00_1687 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg1548z00_1688);
							}
							if (CBOOL(BgL__ortest_1111z00_1687))
								{	/* Ast/venv.scm 298 */
									BgL_locz00_1683 = BgL__ortest_1111z00_1687;
								}
							else
								{	/* Ast/venv.scm 298 */
									BgL_locz00_1683 =
										BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_27);
								}
						}
						{	/* Ast/venv.scm 299 */
							obj_t BgL_arg1551z00_1689;

							{	/* Ast/venv.scm 299 */
								obj_t BgL_arg1552z00_1690;
								obj_t BgL_arg1554z00_1691;

								BgL_arg1552z00_1690 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_oz00_26))))->BgL_idz00);
								{	/* Ast/venv.scm 299 */
									obj_t BgL_arg1555z00_1692;

									BgL_arg1555z00_1692 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_oz00_26)))->BgL_modulez00);
									BgL_arg1554z00_1691 =
										MAKE_YOUNG_PAIR(BgL_arg1555z00_1692, BNIL);
								}
								BgL_arg1551z00_1689 =
									MAKE_YOUNG_PAIR(BgL_arg1552z00_1690, BgL_arg1554z00_1691);
							}
							BgL_oldz00_1684 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
								BgL_arg1551z00_1689);
						}
						{	/* Ast/venv.scm 300 */
							obj_t BgL_arg1563z00_1693;

							{	/* Ast/venv.scm 300 */
								obj_t BgL_arg1564z00_1694;
								obj_t BgL_arg1567z00_1695;

								BgL_arg1564z00_1694 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_nz00_25))))->BgL_idz00);
								{	/* Ast/venv.scm 300 */
									obj_t BgL_arg1570z00_1696;

									BgL_arg1570z00_1696 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_nz00_25)))->BgL_modulez00);
									BgL_arg1567z00_1695 =
										MAKE_YOUNG_PAIR(BgL_arg1570z00_1696, BNIL);
								}
								BgL_arg1563z00_1693 =
									MAKE_YOUNG_PAIR(BgL_arg1564z00_1694, BgL_arg1567z00_1695);
							}
							BgL_newz00_1685 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
								BgL_arg1563z00_1693);
						}
						if (CBOOL(BgL_locz00_1683))
							{	/* Ast/venv.scm 302 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_1683, BgL_oldz00_1684,
									BGl_string1937z00zzast_envz00, BgL_newz00_1685);
							}
						else
							{	/* Ast/venv.scm 302 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1684,
									BGl_string1937z00zzast_envz00, BgL_newz00_1685);
							}
					}
				else
					{	/* Ast/venv.scm 296 */
						return BFALSE;
					}
			}
		}

	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_28,
		obj_t BgL_srcz00_29)
	{
		{	/* Ast/venv.scm 309 */
			{	/* Ast/venv.scm 311 */
				obj_t BgL_locz00_1700;

				BgL_locz00_1700 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_29);
				if (CBOOL(BgL_locz00_1700))
					{	/* Ast/venv.scm 314 */
						obj_t BgL_arg1578z00_1702;
						obj_t BgL_arg1581z00_1703;

						BgL_arg1578z00_1702 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_modulez00);
						BgL_arg1581z00_1703 = BGl_shapez00zztools_shapez00(BgL_oz00_28);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1700,
							BgL_arg1578z00_1702, BGl_string1938z00zzast_envz00,
							BgL_arg1581z00_1703, BNIL);
					}
				else
					{	/* Ast/venv.scm 315 */
						obj_t BgL_arg1583z00_1705;
						obj_t BgL_arg1584z00_1706;

						BgL_arg1583z00_1705 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_modulez00);
						BgL_arg1584z00_1706 = BGl_shapez00zztools_shapez00(BgL_oz00_28);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1583z00_1705,
							BGl_string1938z00zzast_envz00, BgL_arg1584z00_1706, BNIL);
					}
			}
		}

	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_30,
		obj_t BgL_srcz00_31)
	{
		{	/* Ast/venv.scm 320 */
			{	/* Ast/venv.scm 322 */
				obj_t BgL_locz00_1709;

				BgL_locz00_1709 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_31);
				if (CBOOL(BgL_locz00_1709))
					{	/* Ast/venv.scm 325 */
						obj_t BgL_arg1586z00_1711;
						obj_t BgL_arg1588z00_1712;

						BgL_arg1586z00_1711 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_30)))->BgL_modulez00);
						BgL_arg1588z00_1712 = BGl_shapez00zztools_shapez00(BgL_oz00_30);
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1709,
							BgL_arg1586z00_1711, BGl_string1938z00zzast_envz00,
							BgL_arg1588z00_1712);
					}
				else
					{	/* Ast/venv.scm 326 */
						obj_t BgL_arg1595z00_1713;
						obj_t BgL_arg1597z00_1714;

						BgL_arg1595z00_1713 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_30)))->BgL_modulez00);
						BgL_arg1597z00_1714 = BGl_shapez00zztools_shapez00(BgL_oz00_30);
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg1595z00_1713,
							BGl_string1938z00zzast_envz00, BgL_arg1597z00_1714);
					}
			}
		}

	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_32, obj_t BgL_aliasz00_33, obj_t BgL_modulez00_34,
		BgL_valuez00_bglt BgL_valuez00_35, obj_t BgL_importz00_36,
		obj_t BgL_srcz00_37)
	{
		{	/* Ast/venv.scm 343 */
			{	/* Ast/venv.scm 346 */
				obj_t BgL_identz00_1715;

				if (CBOOL(BgL_aliasz00_33))
					{	/* Ast/venv.scm 346 */
						BgL_identz00_1715 = BgL_aliasz00_33;
					}
				else
					{	/* Ast/venv.scm 346 */
						BgL_identz00_1715 = BgL_idz00_32;
					}
				{	/* Ast/venv.scm 346 */
					obj_t BgL_oldz00_1716;

					{	/* Ast/venv.scm 347 */
						obj_t BgL_list1676z00_1756;

						BgL_list1676z00_1756 = MAKE_YOUNG_PAIR(BgL_modulez00_34, BNIL);
						BgL_oldz00_1716 =
							BGl_findzd2globalzd2zzast_envz00(BgL_identz00_1715,
							BgL_list1676z00_1756);
					}
					{	/* Ast/venv.scm 347 */

						{	/* Ast/venv.scm 348 */
							bool_t BgL_test2031z00_3111;

							{	/* Ast/venv.scm 348 */
								obj_t BgL_classz00_2197;

								BgL_classz00_2197 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_oldz00_1716))
									{	/* Ast/venv.scm 348 */
										BgL_objectz00_bglt BgL_arg1825z00_2199;

										BgL_arg1825z00_2199 =
											(BgL_objectz00_bglt) (BgL_oldz00_1716);
										{	/* Ast/venv.scm 348 */
											bool_t BgL_arg1822z00_2202;
											bool_t BgL_arg1823z00_2203;

											{	/* Ast/venv.scm 348 */
												long BgL_idxz00_2206;

												BgL_idxz00_2206 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2199);
												BgL_arg1822z00_2202 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2206 + ((long) 2))) ==
													BgL_classz00_2197);
											}
											{	/* Ast/venv.scm 348 */
												bool_t BgL_res1917z00_2228;

												{	/* Ast/venv.scm 348 */
													obj_t BgL_oclassz00_2214;

													{	/* Ast/venv.scm 348 */
														long BgL_arg1833z00_2220;

														{	/* Ast/venv.scm 348 */
															long BgL_arg1834z00_2221;

															BgL_arg1834z00_2221 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2199);
															BgL_arg1833z00_2220 =
																(BgL_arg1834z00_2221 - OBJECT_TYPE);
														}
														BgL_oclassz00_2214 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2220);
													}
													{	/* Ast/venv.scm 348 */
														bool_t BgL__ortest_1110z00_2215;

														BgL__ortest_1110z00_2215 =
															(BgL_classz00_2197 == BgL_oclassz00_2214);
														if (BgL__ortest_1110z00_2215)
															{	/* Ast/venv.scm 348 */
																BgL_res1917z00_2228 = BgL__ortest_1110z00_2215;
															}
														else
															{	/* Ast/venv.scm 348 */
																long BgL_odepthz00_2216;

																BgL_odepthz00_2216 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2214);
																if ((((long) 2) < BgL_odepthz00_2216))
																	{	/* Ast/venv.scm 348 */
																		obj_t BgL_arg1821z00_2218;

																		BgL_arg1821z00_2218 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2214, ((long) 2));
																		BgL_res1917z00_2228 =
																			(BgL_arg1821z00_2218 ==
																			BgL_classz00_2197);
																	}
																else
																	{	/* Ast/venv.scm 348 */
																		BgL_res1917z00_2228 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2203 = BgL_res1917z00_2228;
											}
											BgL_test2031z00_3111 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2202,
												BgL_arg1823z00_2203);
										}
									}
								else
									{	/* Ast/venv.scm 348 */
										BgL_test2031z00_3111 = ((bool_t) 0);
									}
							}
							if (BgL_test2031z00_3111)
								{	/* Ast/venv.scm 348 */
									if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
										{	/* Ast/venv.scm 350 */
											return ((BgL_globalz00_bglt) BgL_oldz00_1716);
										}
									else
										{	/* Ast/venv.scm 350 */
											if (
												(BgL_modulez00_34 ==
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_oldz00_1716)))->
														BgL_modulez00)))
												{	/* Ast/venv.scm 352 */
													BGl_warningzd2rebindzd2globalz12z12zzast_envz00
														(BgL_oldz00_1716, BgL_srcz00_37);
													return ((BgL_globalz00_bglt) BgL_oldz00_1716);
												}
											else
												{	/* Ast/venv.scm 352 */
													return
														((BgL_globalz00_bglt)
														BGl_errorzd2rebindzd2globalz12z12zzast_envz00
														(BgL_oldz00_1716, BgL_srcz00_37));
												}
										}
								}
							else
								{	/* Ast/venv.scm 357 */
									obj_t BgL_bucketz00_1721;
									BgL_globalz00_bglt BgL_newz00_1722;

									BgL_bucketz00_1721 =
										BGl_hashtablezd2getzd2zz__hashz00
										(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1715);
									{	/* Ast/venv.scm 358 */
										BgL_globalz00_bglt BgL_new1117z00_1752;

										{	/* Ast/venv.scm 364 */
											BgL_globalz00_bglt BgL_new1115z00_1754;

											BgL_new1115z00_1754 =
												((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_globalz00_bgl))));
											{	/* Ast/venv.scm 364 */
												long BgL_arg1675z00_1755;

												BgL_arg1675z00_1755 =
													BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1115z00_1754),
													BgL_arg1675z00_1755);
											}
											{	/* Ast/venv.scm 364 */
												BgL_objectz00_bglt BgL_tmpz00_3146;

												BgL_tmpz00_3146 =
													((BgL_objectz00_bglt) BgL_new1115z00_1754);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3146, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1115z00_1754);
											BgL_new1117z00_1752 = BgL_new1115z00_1754;
										}
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_new1117z00_1752)))->
												BgL_idz00) = ((obj_t) BgL_identz00_1715), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_namez00) =
											((obj_t) BFALSE), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_valuez00) =
											((BgL_valuez00_bglt) BgL_valuez00_35), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_accessz00) =
											((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_fastzd2alphazd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_removablez00) =
											((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_occurrencez00) =
											((long) ((long) 0)), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_occurrencewz00) =
											((long) ((long) 0)), BUNSPEC);
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_new1117z00_1752)))->BgL_userzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_modulez00) = ((obj_t) BgL_modulez00_34), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_importz00) = ((obj_t) BgL_importz00_36), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_srcz00) = ((obj_t) BgL_srcz00_37), BUNSPEC);
										{
											obj_t BgL_auxz00_3180;

											if ((BgL_importz00_36 == CNST_TABLE_REF(((long) 6))))
												{	/* Ast/venv.scm 361 */
													BgL_auxz00_3180 = BGl_string1939z00zzast_envz00;
												}
											else
												{	/* Ast/venv.scm 361 */
													BgL_auxz00_3180 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_34);
												}
											((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
													BgL_jvmzd2typezd2namez00) =
												((obj_t) BgL_auxz00_3180), BUNSPEC);
										}
										((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
												BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
										{
											obj_t BgL_auxz00_3187;

											if (CBOOL(BgL_aliasz00_33))
												{	/* Ast/venv.scm 365 */
													BgL_auxz00_3187 = BgL_idz00_32;
												}
											else
												{	/* Ast/venv.scm 365 */
													BgL_auxz00_3187 = BFALSE;
												}
											((((BgL_globalz00_bglt) COBJECT(BgL_new1117z00_1752))->
													BgL_aliasz00) = ((obj_t) BgL_auxz00_3187), BUNSPEC);
										}
										BgL_newz00_1722 = BgL_new1117z00_1752;
									}
									{	/* Ast/venv.scm 371 */
										bool_t BgL_test2039z00_3191;

										if (PAIRP(BgL_bucketz00_1721))
											{	/* Ast/venv.scm 371 */
												BgL_test2039z00_3191 = NULLP(CDR(BgL_bucketz00_1721));
											}
										else
											{	/* Ast/venv.scm 371 */
												BgL_test2039z00_3191 = ((bool_t) 1);
											}
										if (BgL_test2039z00_3191)
											{	/* Ast/venv.scm 371 */
												{	/* Ast/venv.scm 373 */
													obj_t BgL_arg1612z00_1726;

													{	/* Ast/venv.scm 373 */
														obj_t BgL_list1613z00_1727;

														{	/* Ast/venv.scm 373 */
															obj_t BgL_arg1619z00_1728;

															BgL_arg1619z00_1728 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_newz00_1722), BNIL);
															BgL_list1613z00_1727 =
																MAKE_YOUNG_PAIR(BgL_identz00_1715,
																BgL_arg1619z00_1728);
														}
														BgL_arg1612z00_1726 = BgL_list1613z00_1727;
													}
													BGl_hashtablezd2putz12zc0zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1715,
														BgL_arg1612z00_1726);
												}
												return BgL_newz00_1722;
											}
										else
											{	/* Ast/venv.scm 376 */
												obj_t BgL_oldza2za2_1729;

												BgL_oldza2za2_1729 = CDR(((obj_t) BgL_bucketz00_1721));
												{	/* Ast/venv.scm 376 */
													obj_t BgL_midz00_1730;

													{	/* Ast/venv.scm 378 */
														obj_t BgL_arg1660z00_1748;

														BgL_arg1660z00_1748 =
															(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt)
																		CAR(
																			((obj_t) BgL_oldza2za2_1729)))))->
															BgL_modulez00);
														BgL_midz00_1730 =
															BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
															(BgL_arg1660z00_1748);
													}
													{	/* Ast/venv.scm 377 */

														{	/* Ast/venv.scm 380 */
															bool_t BgL_test2041z00_3207;

															{	/* Ast/venv.scm 380 */
																obj_t BgL_arg1656z00_1746;

																BgL_arg1656z00_1746 =
																	(((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt)
																				CAR(
																					((obj_t) BgL_oldza2za2_1729)))))->
																	BgL_modulez00);
																BgL_test2041z00_3207 =
																	(BgL_arg1656z00_1746 ==
																	BGl_za2moduleza2z00zzmodule_modulez00);
															}
															if (BgL_test2041z00_3207)
																{	/* Ast/venv.scm 380 */
																	{	/* Ast/venv.scm 382 */
																		bool_t BgL_test2042z00_3213;

																		if ((BgL_identz00_1715 == BgL_midz00_1730))
																			{	/* Ast/venv.scm 382 */
																				BgL_test2042z00_3213 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 382 */
																				if (CBOOL
																					(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																					{	/* Ast/venv.scm 382 */
																						BgL_test2042z00_3213 = ((bool_t) 0);
																					}
																				else
																					{	/* Ast/venv.scm 382 */
																						BgL_test2042z00_3213 = ((bool_t) 1);
																					}
																			}
																		if (BgL_test2042z00_3213)
																			{	/* Ast/venv.scm 383 */
																				obj_t BgL_arg1632z00_1736;

																				BgL_arg1632z00_1736 =
																					CAR(((obj_t) BgL_oldza2za2_1729));
																				BGl_warningzd2overridezd2globalz12z12zzast_envz00
																					(BgL_arg1632z00_1736,
																					((obj_t) BgL_newz00_1722),
																					BgL_srcz00_37);
																			}
																		else
																			{	/* Ast/venv.scm 382 */
																				BFALSE;
																			}
																	}
																	{	/* Ast/venv.scm 384 */
																		obj_t BgL_arg1633z00_1738;
																		obj_t BgL_arg1636z00_1739;

																		BgL_arg1633z00_1738 =
																			CDR(((obj_t) BgL_bucketz00_1721));
																		{	/* Ast/venv.scm 384 */
																			obj_t BgL_arg1647z00_1740;

																			{	/* Ast/venv.scm 384 */
																				obj_t BgL_pairz00_2246;

																				BgL_pairz00_2246 =
																					CDR(((obj_t) BgL_bucketz00_1721));
																				BgL_arg1647z00_1740 =
																					CDR(BgL_pairz00_2246);
																			}
																			BgL_arg1636z00_1739 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_newz00_1722),
																				BgL_arg1647z00_1740);
																		}
																		{	/* Ast/venv.scm 384 */
																			obj_t BgL_tmpz00_3229;

																			BgL_tmpz00_3229 =
																				((obj_t) BgL_arg1633z00_1738);
																			SET_CDR(BgL_tmpz00_3229,
																				BgL_arg1636z00_1739);
																		}
																	}
																	return BgL_newz00_1722;
																}
															else
																{	/* Ast/venv.scm 387 */
																	obj_t BgL_newza2za2_1741;

																	BgL_newza2za2_1741 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_newz00_1722),
																		BgL_oldza2za2_1729);
																	{	/* Ast/venv.scm 388 */
																		bool_t BgL_test2045z00_3234;

																		if ((BgL_identz00_1715 == BgL_midz00_1730))
																			{	/* Ast/venv.scm 388 */
																				BgL_test2045z00_3234 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 388 */
																				if (CBOOL
																					(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																					{	/* Ast/venv.scm 388 */
																						BgL_test2045z00_3234 = ((bool_t) 0);
																					}
																				else
																					{	/* Ast/venv.scm 388 */
																						BgL_test2045z00_3234 = ((bool_t) 1);
																					}
																			}
																		if (BgL_test2045z00_3234)
																			{	/* Ast/venv.scm 389 */
																				obj_t BgL_arg1652z00_1744;

																				BgL_arg1652z00_1744 =
																					CAR(((obj_t) BgL_oldza2za2_1729));
																				BGl_warningzd2overridezd2globalz12z12zzast_envz00
																					(((obj_t) BgL_newz00_1722),
																					BgL_arg1652z00_1744, BgL_srcz00_37);
																			}
																		else
																			{	/* Ast/venv.scm 388 */
																				BFALSE;
																			}
																	}
																	{	/* Ast/venv.scm 390 */
																		obj_t BgL_tmpz00_3243;

																		BgL_tmpz00_3243 =
																			((obj_t) BgL_bucketz00_1721);
																		SET_CDR(BgL_tmpz00_3243,
																			BgL_newza2za2_1741);
																	}
																	return BgL_newz00_1722;
																}
														}
													}
												}
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2666, obj_t BgL_idz00_2667, obj_t BgL_aliasz00_2668,
		obj_t BgL_modulez00_2669, obj_t BgL_valuez00_2670, obj_t BgL_importz00_2671,
		obj_t BgL_srcz00_2672)
	{
		{	/* Ast/venv.scm 343 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2667, BgL_aliasz00_2668,
				BgL_modulez00_2669, ((BgL_valuez00_bglt) BgL_valuez00_2670),
				BgL_importz00_2671, BgL_srcz00_2672);
		}

	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_38, obj_t BgL_modulez00_39)
	{
		{	/* Ast/venv.scm 396 */
			{	/* Ast/venv.scm 397 */
				obj_t BgL_globalz00_1758;

				{	/* Ast/venv.scm 397 */
					obj_t BgL_list1704z00_1777;

					BgL_list1704z00_1777 = MAKE_YOUNG_PAIR(BgL_modulez00_39, BNIL);
					BgL_globalz00_1758 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_38,
						BgL_list1704z00_1777);
				}
				{	/* Ast/venv.scm 398 */
					bool_t BgL_test2048z00_3250;

					{	/* Ast/venv.scm 398 */
						obj_t BgL_classz00_2250;

						BgL_classz00_2250 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_globalz00_1758))
							{	/* Ast/venv.scm 398 */
								BgL_objectz00_bglt BgL_arg1825z00_2252;

								BgL_arg1825z00_2252 = (BgL_objectz00_bglt) (BgL_globalz00_1758);
								{	/* Ast/venv.scm 398 */
									bool_t BgL_arg1822z00_2255;
									bool_t BgL_arg1823z00_2256;

									{	/* Ast/venv.scm 398 */
										long BgL_idxz00_2259;

										BgL_idxz00_2259 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2252);
										BgL_arg1822z00_2255 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2259 + ((long) 2))) == BgL_classz00_2250);
									}
									{	/* Ast/venv.scm 398 */
										bool_t BgL_res1919z00_2281;

										{	/* Ast/venv.scm 398 */
											obj_t BgL_oclassz00_2267;

											{	/* Ast/venv.scm 398 */
												long BgL_arg1833z00_2273;

												{	/* Ast/venv.scm 398 */
													long BgL_arg1834z00_2274;

													BgL_arg1834z00_2274 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2252);
													BgL_arg1833z00_2273 =
														(BgL_arg1834z00_2274 - OBJECT_TYPE);
												}
												BgL_oclassz00_2267 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2273);
											}
											{	/* Ast/venv.scm 398 */
												bool_t BgL__ortest_1110z00_2268;

												BgL__ortest_1110z00_2268 =
													(BgL_classz00_2250 == BgL_oclassz00_2267);
												if (BgL__ortest_1110z00_2268)
													{	/* Ast/venv.scm 398 */
														BgL_res1919z00_2281 = BgL__ortest_1110z00_2268;
													}
												else
													{	/* Ast/venv.scm 398 */
														long BgL_odepthz00_2269;

														BgL_odepthz00_2269 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2267);
														if ((((long) 2) < BgL_odepthz00_2269))
															{	/* Ast/venv.scm 398 */
																obj_t BgL_arg1821z00_2271;

																BgL_arg1821z00_2271 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2267,
																	((long) 2));
																BgL_res1919z00_2281 =
																	(BgL_arg1821z00_2271 == BgL_classz00_2250);
															}
														else
															{	/* Ast/venv.scm 398 */
																BgL_res1919z00_2281 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2256 = BgL_res1919z00_2281;
									}
									BgL_test2048z00_3250 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2255, BgL_arg1823z00_2256);
								}
							}
						else
							{	/* Ast/venv.scm 398 */
								BgL_test2048z00_3250 = ((bool_t) 0);
							}
					}
					if (BgL_test2048z00_3250)
						{	/* Ast/venv.scm 400 */
							obj_t BgL_bucketz00_1760;

							BgL_bucketz00_1760 =
								BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
								BgL_idz00_38);
							{	/* Ast/venv.scm 401 */
								obj_t BgL_g1118z00_1761;

								BgL_g1118z00_1761 = CDR(((obj_t) BgL_bucketz00_1760));
								{
									obj_t BgL_curz00_1763;
									obj_t BgL_prevz00_1764;

									BgL_curz00_1763 = BgL_g1118z00_1761;
									BgL_prevz00_1764 = BgL_bucketz00_1760;
								BgL_zc3z04anonymousza31678ze3z87_1765:
									if ((CAR(((obj_t) BgL_curz00_1763)) == BgL_globalz00_1758))
										{	/* Ast/venv.scm 404 */
											obj_t BgL_arg1681z00_1768;

											BgL_arg1681z00_1768 = CDR(((obj_t) BgL_curz00_1763));
											{	/* Ast/venv.scm 404 */
												obj_t BgL_tmpz00_3278;

												BgL_tmpz00_3278 = ((obj_t) BgL_prevz00_1764);
												return SET_CDR(BgL_tmpz00_3278, BgL_arg1681z00_1768);
											}
										}
									else
										{	/* Ast/venv.scm 405 */
											obj_t BgL_arg1682z00_1769;
											obj_t BgL_arg1694z00_1770;

											BgL_arg1682z00_1769 = CDR(((obj_t) BgL_curz00_1763));
											BgL_arg1694z00_1770 = CDR(((obj_t) BgL_prevz00_1764));
											{
												obj_t BgL_prevz00_3286;
												obj_t BgL_curz00_3285;

												BgL_curz00_3285 = BgL_arg1682z00_1769;
												BgL_prevz00_3286 = BgL_arg1694z00_1770;
												BgL_prevz00_1764 = BgL_prevz00_3286;
												BgL_curz00_1763 = BgL_curz00_3285;
												goto BgL_zc3z04anonymousza31678ze3z87_1765;
											}
										}
								}
							}
						}
					else
						{	/* Ast/venv.scm 399 */
							obj_t BgL_arg1696z00_1773;

							{	/* Ast/venv.scm 399 */
								obj_t BgL_arg1699z00_1775;

								{	/* Ast/venv.scm 399 */
									obj_t BgL_arg1703z00_1776;

									BgL_arg1703z00_1776 = MAKE_YOUNG_PAIR(BgL_modulez00_39, BNIL);
									BgL_arg1699z00_1775 =
										MAKE_YOUNG_PAIR(BgL_idz00_38, BgL_arg1703z00_1776);
								}
								BgL_arg1696z00_1773 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
									BgL_arg1699z00_1775);
							}
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1940z00zzast_envz00, BGl_string1941z00zzast_envz00,
								BgL_arg1696z00_1773, BNIL);
						}
				}
			}
		}

	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2673,
		obj_t BgL_idz00_2674, obj_t BgL_modulez00_2675)
	{
		{	/* Ast/venv.scm 396 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2674,
				BgL_modulez00_2675);
		}

	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_40, obj_t BgL_envz00_41)
	{
		{	/* Ast/venv.scm 410 */
			{	/* Ast/venv.scm 411 */
				obj_t BgL_arg1706z00_1778;

				if (NULLP(BgL_envz00_41))
					{	/* Ast/venv.scm 411 */
						BgL_arg1706z00_1778 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 411 */
						BgL_arg1706z00_1778 = CAR(((obj_t) BgL_envz00_41));
					}
				{	/* Ast/venv.scm 412 */
					obj_t BgL_zc3z04anonymousza31713ze3z87_2676;

					BgL_zc3z04anonymousza31713ze3z87_2676 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31713ze3ze5zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31713ze3z87_2676,
						(int) (((long) 0)), BgL_procz00_40);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg1706z00_1778,
						BgL_zc3z04anonymousza31713ze3z87_2676);
				}
			}
		}

	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2677,
		obj_t BgL_procz00_2678, obj_t BgL_envz00_2679)
	{
		{	/* Ast/venv.scm 410 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2678,
				BgL_envz00_2679);
		}

	}



/* &<@anonymous:1713> */
	obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzast_envz00(obj_t BgL_envz00_2680,
		obj_t BgL_kz00_2682, obj_t BgL_bucketz00_2683)
	{
		{	/* Ast/venv.scm 412 */
			{	/* Ast/venv.scm 412 */
				obj_t BgL_procz00_2681;

				BgL_procz00_2681 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2680, (int) (((long) 0))));
				{	/* Ast/venv.scm 412 */
					bool_t BgL_tmpz00_3307;

					{	/* Ast/venv.scm 412 */
						obj_t BgL_g1299z00_2737;

						BgL_g1299z00_2737 = CDR(((obj_t) BgL_bucketz00_2683));
						{
							obj_t BgL_l1297z00_2739;

							BgL_l1297z00_2739 = BgL_g1299z00_2737;
						BgL_zc3z04anonymousza31714ze3z87_2738:
							if (PAIRP(BgL_l1297z00_2739))
								{	/* Ast/venv.scm 412 */
									{	/* Ast/venv.scm 412 */
										obj_t BgL_arg1716z00_2740;

										BgL_arg1716z00_2740 = CAR(BgL_l1297z00_2739);
										PROCEDURE_ENTRY(BgL_procz00_2681) (BgL_procz00_2681,
											BgL_arg1716z00_2740, BEOA);
									}
									{
										obj_t BgL_l1297z00_3317;

										BgL_l1297z00_3317 = CDR(BgL_l1297z00_2739);
										BgL_l1297z00_2739 = BgL_l1297z00_3317;
										goto BgL_zc3z04anonymousza31714ze3z87_2738;
									}
								}
							else
								{	/* Ast/venv.scm 412 */
									BgL_tmpz00_3307 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_tmpz00_3307);
				}
			}
		}

	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_42, obj_t BgL_modulez00_43)
	{
		{	/* Ast/venv.scm 417 */
			{	/* Ast/venv.scm 418 */
				obj_t BgL_bucketz00_1793;

				BgL_bucketz00_1793 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_42);
				if (PAIRP(BgL_bucketz00_1793))
					{	/* Ast/venv.scm 421 */
						obj_t BgL_g1119z00_1795;

						BgL_g1119z00_1795 = CDR(BgL_bucketz00_1793);
						{
							obj_t BgL_globalsz00_1797;
							long BgL_posz00_1798;

							{	/* Ast/venv.scm 421 */
								long BgL_tmpz00_3324;

								BgL_globalsz00_1797 = BgL_g1119z00_1795;
								BgL_posz00_1798 = ((long) 0);
							BgL_zc3z04anonymousza31723ze3z87_1799:
								if (NULLP(BgL_globalsz00_1797))
									{	/* Ast/venv.scm 424 */
										BgL_tmpz00_3324 = ((long) -1);
									}
								else
									{	/* Ast/venv.scm 424 */
										if (
											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt)
																CAR(
																	((obj_t) BgL_globalsz00_1797)))))->
													BgL_modulez00) == BgL_modulez00_43))
											{	/* Ast/venv.scm 426 */
												BgL_tmpz00_3324 = BgL_posz00_1798;
											}
										else
											{	/* Ast/venv.scm 429 */
												obj_t BgL_arg1728z00_1804;
												long BgL_arg1729z00_1805;

												BgL_arg1728z00_1804 =
													CDR(((obj_t) BgL_globalsz00_1797));
												BgL_arg1729z00_1805 = (BgL_posz00_1798 + ((long) 1));
												{
													long BgL_posz00_3337;
													obj_t BgL_globalsz00_3336;

													BgL_globalsz00_3336 = BgL_arg1728z00_1804;
													BgL_posz00_3337 = BgL_arg1729z00_1805;
													BgL_posz00_1798 = BgL_posz00_3337;
													BgL_globalsz00_1797 = BgL_globalsz00_3336;
													goto BgL_zc3z04anonymousza31723ze3z87_1799;
												}
											}
									}
								return BINT(BgL_tmpz00_3324);
							}
						}
					}
				else
					{	/* Ast/venv.scm 419 */
						return BINT(((long) -1));
		}}}

	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2684,
		obj_t BgL_idz00_2685, obj_t BgL_modulez00_2686)
	{
		{	/* Ast/venv.scm 417 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2685,
				BgL_modulez00_2686);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc1942z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string1943z00zzast_envz00);
		}

	}



/* &restore-value-types!1300 */
	obj_t BGl_z62restorezd2valuezd2typesz121300z70zzast_envz00(obj_t
		BgL_envz00_2688, obj_t BgL_valuez00_2689, obj_t BgL_idz00_2690)
	{
		{	/* Ast/venv.scm 153 */
			return BUNSPEC;
		}

	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9, obj_t BgL_idz00_10)
	{
		{	/* Ast/venv.scm 153 */
			{	/* Ast/venv.scm 153 */
				obj_t BgL_method1301z00_1814;

				{	/* Ast/venv.scm 153 */
					obj_t BgL_res1924z00_2327;

					{	/* Ast/venv.scm 153 */
						long BgL_objzd2classzd2numz00_2298;

						BgL_objzd2classzd2numz00_2298 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_9));
						{	/* Ast/venv.scm 153 */
							obj_t BgL_arg1829z00_2299;

							BgL_arg1829z00_2299 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 153 */
								int BgL_offsetz00_2302;

								BgL_offsetz00_2302 = (int) (BgL_objzd2classzd2numz00_2298);
								{	/* Ast/venv.scm 153 */
									long BgL_offsetz00_2303;

									BgL_offsetz00_2303 =
										((long) (BgL_offsetz00_2302) - OBJECT_TYPE);
									{	/* Ast/venv.scm 153 */
										long BgL_modz00_2304;

										BgL_modz00_2304 =
											(BgL_offsetz00_2303 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/venv.scm 153 */
											long BgL_restz00_2306;

											BgL_restz00_2306 =
												(BgL_offsetz00_2303 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/venv.scm 153 */

												{	/* Ast/venv.scm 153 */
													obj_t BgL_bucketz00_2308;

													BgL_bucketz00_2308 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2299), BgL_modz00_2304);
													BgL_res1924z00_2327 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2308), BgL_restz00_2306);
					}}}}}}}}
					BgL_method1301z00_1814 = BgL_res1924z00_2327;
				}
				return
					PROCEDURE_ENTRY(BgL_method1301z00_1814) (BgL_method1301z00_1814,
					((obj_t) BgL_valuez00_9), BgL_idz00_10, BEOA);
			}
		}

	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2691,
		obj_t BgL_valuez00_2692, obj_t BgL_idz00_2693)
	{
		{	/* Ast/venv.scm 153 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2692), BgL_idz00_2693);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc1944z00zzast_envz00,
				BGl_string1945z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc1946z00zzast_envz00,
				BGl_string1945z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc1947z00zzast_envz00,
				BGl_string1945z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc1948z00zzast_envz00,
				BGl_string1945z00zzast_envz00);
		}

	}



/* &restore-value-types!1309 */
	obj_t BGl_z62restorezd2valuezd2typesz121309z70zzast_envz00(obj_t
		BgL_envz00_2698, obj_t BgL_valuez00_2699, obj_t BgL_idz00_2700)
	{
		{	/* Ast/venv.scm 208 */
			{	/* Ast/venv.scm 208 */
				bool_t BgL_tmpz00_3379;

				{

					{	/* Ast/venv.scm 208 */
						obj_t BgL_nextzd2method1308zd2_2744;

						BgL_nextzd2method1308zd2_2744 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_cfunz00_bglt) BgL_valuez00_2699)),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_cfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method1308zd2_2744)
							(BgL_nextzd2method1308zd2_2744,
							((obj_t) ((BgL_cfunz00_bglt) BgL_valuez00_2699)), BgL_idz00_2700,
							BEOA);
					}
					{
						obj_t BgL_argsz00_2746;

						BgL_argsz00_2746 =
							(((BgL_cfunz00_bglt) COBJECT(
									((BgL_cfunz00_bglt) BgL_valuez00_2699)))->BgL_argszd2typezd2);
					BgL_loopz00_2745:
						if (PAIRP(BgL_argsz00_2746))
							{	/* Ast/venv.scm 212 */
								if (
									((((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt)
														CAR(BgL_argsz00_2746))))->BgL_idz00) ==
										CNST_TABLE_REF(((long) 7))))
									{	/* Ast/venv.scm 214 */
										BGl_userzd2warningzd2zztools_errorz00
											(BGl_string1949z00zzast_envz00,
											BGl_string1950z00zzast_envz00, BgL_idz00_2700);
										SET_CAR(BgL_argsz00_2746, BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Ast/venv.scm 220 */
										BgL_typez00_bglt BgL_arg1799z00_2747;

										{	/* Ast/venv.scm 220 */
											obj_t BgL_arg1801z00_2748;

											BgL_arg1801z00_2748 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt)
															CAR(BgL_argsz00_2746))))->BgL_idz00);
											BgL_arg1799z00_2747 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg1801z00_2748);
										}
										{	/* Ast/venv.scm 220 */
											obj_t BgL_tmpz00_3404;

											BgL_tmpz00_3404 = ((obj_t) BgL_arg1799z00_2747);
											SET_CAR(BgL_argsz00_2746, BgL_tmpz00_3404);
										}
									}
								{
									obj_t BgL_argsz00_3407;

									BgL_argsz00_3407 = CDR(BgL_argsz00_2746);
									BgL_argsz00_2746 = BgL_argsz00_3407;
									goto BgL_loopz00_2745;
								}
							}
						else
							{	/* Ast/venv.scm 212 */
								BgL_tmpz00_3379 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3379);
			}
		}

	}



/* &restore-value-types!1307 */
	obj_t BGl_z62restorezd2valuezd2typesz121307z70zzast_envz00(obj_t
		BgL_envz00_2701, obj_t BgL_valuez00_2702, obj_t BgL_idz00_2703)
	{
		{	/* Ast/venv.scm 201 */
			{

				{	/* Ast/venv.scm 201 */
					obj_t BgL_nextzd2method1306zd2_2751;

					BgL_nextzd2method1306zd2_2751 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) BgL_valuez00_2702)),
						BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
						BGl_isfunz00zzinline_inlinez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1306zd2_2751)
						(BgL_nextzd2method1306zd2_2751,
						((obj_t) ((BgL_sfunz00_bglt) BgL_valuez00_2702)), BgL_idz00_2703,
						BEOA);
				}
				{	/* Ast/venv.scm 203 */
					BgL_nodez00_bglt BgL_arg1781z00_2752;

					{
						BgL_isfunz00_bglt BgL_auxz00_3422;

						{
							obj_t BgL_auxz00_3423;

							{	/* Ast/venv.scm 203 */
								BgL_objectz00_bglt BgL_tmpz00_3424;

								BgL_tmpz00_3424 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_2702));
								BgL_auxz00_3423 = BGL_OBJECT_WIDENING(BgL_tmpz00_3424);
							}
							BgL_auxz00_3422 = ((BgL_isfunz00_bglt) BgL_auxz00_3423);
						}
						BgL_arg1781z00_2752 =
							(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3422))->
							BgL_originalzd2bodyzd2);
					}
					return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg1781z00_2752);
				}
			}
		}

	}



/* &restore-value-types!1305 */
	obj_t BGl_z62restorezd2valuezd2typesz121305z70zzast_envz00(obj_t
		BgL_envz00_2704, obj_t BgL_valuez00_2705, obj_t BgL_idz00_2706)
	{
		{	/* Ast/venv.scm 167 */
			{

				{	/* Ast/venv.scm 167 */
					obj_t BgL_nextzd2method1304zd2_2755;

					BgL_nextzd2method1304zd2_2755 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) BgL_valuez00_2705)),
						BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
						BGl_sfunz00zzast_varz00);
					PROCEDURE_ENTRY(BgL_nextzd2method1304zd2_2755)
						(BgL_nextzd2method1304zd2_2755,
						((obj_t) ((BgL_sfunz00_bglt) BgL_valuez00_2705)), BgL_idz00_2706,
						BEOA);
				}
				{
					obj_t BgL_argsz00_2757;

					BgL_argsz00_2757 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_valuez00_2705)))->BgL_argsz00);
				BgL_loopz00_2756:
					if (PAIRP(BgL_argsz00_2757))
						{	/* Ast/venv.scm 173 */
							obj_t BgL_argz00_2758;

							BgL_argz00_2758 = CAR(BgL_argsz00_2757);
							{	/* Ast/venv.scm 175 */
								bool_t BgL_test2061z00_3444;

								{	/* Ast/venv.scm 175 */
									obj_t BgL_classz00_2759;

									BgL_classz00_2759 = BGl_typez00zztype_typez00;
									if (BGL_OBJECTP(BgL_argz00_2758))
										{	/* Ast/venv.scm 175 */
											BgL_objectz00_bglt BgL_arg1825z00_2760;

											BgL_arg1825z00_2760 =
												(BgL_objectz00_bglt) (BgL_argz00_2758);
											{	/* Ast/venv.scm 175 */
												bool_t BgL_arg1822z00_2761;
												bool_t BgL_arg1823z00_2762;

												{	/* Ast/venv.scm 175 */
													long BgL_idxz00_2763;

													BgL_idxz00_2763 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2760);
													BgL_arg1822z00_2761 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2763 + ((long) 1))) ==
														BgL_classz00_2759);
												}
												{	/* Ast/venv.scm 175 */
													bool_t BgL_res1926z00_2766;

													{	/* Ast/venv.scm 175 */
														obj_t BgL_oclassz00_2767;

														{	/* Ast/venv.scm 175 */
															long BgL_arg1833z00_2768;

															{	/* Ast/venv.scm 175 */
																long BgL_arg1834z00_2769;

																BgL_arg1834z00_2769 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2760);
																BgL_arg1833z00_2768 =
																	(BgL_arg1834z00_2769 - OBJECT_TYPE);
															}
															BgL_oclassz00_2767 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2768);
														}
														{	/* Ast/venv.scm 175 */
															bool_t BgL__ortest_1110z00_2770;

															BgL__ortest_1110z00_2770 =
																(BgL_classz00_2759 == BgL_oclassz00_2767);
															if (BgL__ortest_1110z00_2770)
																{	/* Ast/venv.scm 175 */
																	BgL_res1926z00_2766 =
																		BgL__ortest_1110z00_2770;
																}
															else
																{	/* Ast/venv.scm 175 */
																	long BgL_odepthz00_2771;

																	BgL_odepthz00_2771 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2767);
																	if ((((long) 1) < BgL_odepthz00_2771))
																		{	/* Ast/venv.scm 175 */
																			obj_t BgL_arg1821z00_2772;

																			BgL_arg1821z00_2772 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2767, ((long) 1));
																			BgL_res1926z00_2766 =
																				(BgL_arg1821z00_2772 ==
																				BgL_classz00_2759);
																		}
																	else
																		{	/* Ast/venv.scm 175 */
																			BgL_res1926z00_2766 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2762 = BgL_res1926z00_2766;
												}
												BgL_test2061z00_3444 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2761,
													BgL_arg1823z00_2762);
											}
										}
									else
										{	/* Ast/venv.scm 175 */
											BgL_test2061z00_3444 = ((bool_t) 0);
										}
								}
								if (BgL_test2061z00_3444)
									{	/* Ast/venv.scm 176 */
										BgL_typez00_bglt BgL_arg1752z00_2773;

										{	/* Ast/venv.scm 176 */
											obj_t BgL_arg1753z00_2774;

											BgL_arg1753z00_2774 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_argz00_2758)))->BgL_idz00);
											BgL_arg1752z00_2773 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg1753z00_2774);
										}
										{	/* Ast/venv.scm 176 */
											obj_t BgL_tmpz00_3466;

											BgL_tmpz00_3466 = ((obj_t) BgL_arg1752z00_2773);
											SET_CAR(BgL_argsz00_2757, BgL_tmpz00_3466);
										}
									}
								else
									{	/* Ast/venv.scm 177 */
										bool_t BgL_test2065z00_3469;

										{	/* Ast/venv.scm 177 */
											obj_t BgL_classz00_2775;

											BgL_classz00_2775 = BGl_localz00zzast_varz00;
											if (BGL_OBJECTP(BgL_argz00_2758))
												{	/* Ast/venv.scm 177 */
													BgL_objectz00_bglt BgL_arg1825z00_2776;

													BgL_arg1825z00_2776 =
														(BgL_objectz00_bglt) (BgL_argz00_2758);
													{	/* Ast/venv.scm 177 */
														bool_t BgL_arg1822z00_2777;
														bool_t BgL_arg1823z00_2778;

														{	/* Ast/venv.scm 177 */
															long BgL_idxz00_2779;

															BgL_idxz00_2779 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2776);
															BgL_arg1822z00_2777 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2779 + ((long) 2))) ==
																BgL_classz00_2775);
														}
														{	/* Ast/venv.scm 177 */
															bool_t BgL_res1927z00_2782;

															{	/* Ast/venv.scm 177 */
																obj_t BgL_oclassz00_2783;

																{	/* Ast/venv.scm 177 */
																	long BgL_arg1833z00_2784;

																	{	/* Ast/venv.scm 177 */
																		long BgL_arg1834z00_2785;

																		BgL_arg1834z00_2785 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2776);
																		BgL_arg1833z00_2784 =
																			(BgL_arg1834z00_2785 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2783 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2784);
																}
																{	/* Ast/venv.scm 177 */
																	bool_t BgL__ortest_1110z00_2786;

																	BgL__ortest_1110z00_2786 =
																		(BgL_classz00_2775 == BgL_oclassz00_2783);
																	if (BgL__ortest_1110z00_2786)
																		{	/* Ast/venv.scm 177 */
																			BgL_res1927z00_2782 =
																				BgL__ortest_1110z00_2786;
																		}
																	else
																		{	/* Ast/venv.scm 177 */
																			long BgL_odepthz00_2787;

																			BgL_odepthz00_2787 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2783);
																			if ((((long) 2) < BgL_odepthz00_2787))
																				{	/* Ast/venv.scm 177 */
																					obj_t BgL_arg1821z00_2788;

																					BgL_arg1821z00_2788 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2783, ((long) 2));
																					BgL_res1927z00_2782 =
																						(BgL_arg1821z00_2788 ==
																						BgL_classz00_2775);
																				}
																			else
																				{	/* Ast/venv.scm 177 */
																					BgL_res1927z00_2782 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2778 = BgL_res1927z00_2782;
														}
														BgL_test2065z00_3469 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2777,
															BgL_arg1823z00_2778);
													}
												}
											else
												{	/* Ast/venv.scm 177 */
													BgL_test2065z00_3469 = ((bool_t) 0);
												}
										}
										if (BgL_test2065z00_3469)
											{	/* Ast/venv.scm 178 */
												BgL_typez00_bglt BgL_newzd2typezd2_2789;

												{	/* Ast/venv.scm 178 */
													obj_t BgL_arg1759z00_2790;

													BgL_arg1759z00_2790 =
														(((BgL_typez00_bglt) COBJECT(
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_argz00_2758))))->BgL_typez00)))->
														BgL_idz00);
													BgL_newzd2typezd2_2789 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg1759z00_2790);
												}
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_argz00_2758))))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_newzd2typezd2_2789), BUNSPEC);
											}
										else
											{	/* Ast/venv.scm 177 */
												BGl_errorz00zz__errorz00(BGl_string1951z00zzast_envz00,
													BGl_string1952z00zzast_envz00,
													BGl_shapez00zztools_shapez00(BgL_argz00_2758));
											}
									}
							}
							{
								obj_t BgL_argsz00_3498;

								BgL_argsz00_3498 = CDR(BgL_argsz00_2757);
								BgL_argsz00_2757 = BgL_argsz00_3498;
								goto BgL_loopz00_2756;
							}
						}
					else
						{	/* Ast/venv.scm 172 */
							if (NULLP(BgL_argsz00_2757))
								{	/* Ast/venv.scm 186 */
									obj_t BgL_bodyz00_2791;

									BgL_bodyz00_2791 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_valuez00_2705)))->BgL_bodyz00);
									{	/* Ast/venv.scm 188 */
										bool_t BgL_test2070z00_3504;

										{	/* Ast/venv.scm 188 */
											obj_t BgL_classz00_2792;

											BgL_classz00_2792 = BGl_nodez00zzast_nodez00;
											if (BGL_OBJECTP(BgL_bodyz00_2791))
												{	/* Ast/venv.scm 188 */
													BgL_objectz00_bglt BgL_arg1825z00_2793;

													BgL_arg1825z00_2793 =
														(BgL_objectz00_bglt) (BgL_bodyz00_2791);
													{	/* Ast/venv.scm 188 */
														bool_t BgL_arg1822z00_2794;
														bool_t BgL_arg1823z00_2795;

														{	/* Ast/venv.scm 188 */
															long BgL_idxz00_2796;

															BgL_idxz00_2796 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2793);
															BgL_arg1822z00_2794 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2796 + ((long) 1))) ==
																BgL_classz00_2792);
														}
														{	/* Ast/venv.scm 188 */
															bool_t BgL_res1928z00_2799;

															{	/* Ast/venv.scm 188 */
																obj_t BgL_oclassz00_2800;

																{	/* Ast/venv.scm 188 */
																	long BgL_arg1833z00_2801;

																	{	/* Ast/venv.scm 188 */
																		long BgL_arg1834z00_2802;

																		BgL_arg1834z00_2802 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2793);
																		BgL_arg1833z00_2801 =
																			(BgL_arg1834z00_2802 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2800 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2801);
																}
																{	/* Ast/venv.scm 188 */
																	bool_t BgL__ortest_1110z00_2803;

																	BgL__ortest_1110z00_2803 =
																		(BgL_classz00_2792 == BgL_oclassz00_2800);
																	if (BgL__ortest_1110z00_2803)
																		{	/* Ast/venv.scm 188 */
																			BgL_res1928z00_2799 =
																				BgL__ortest_1110z00_2803;
																		}
																	else
																		{	/* Ast/venv.scm 188 */
																			long BgL_odepthz00_2804;

																			BgL_odepthz00_2804 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2800);
																			if ((((long) 1) < BgL_odepthz00_2804))
																				{	/* Ast/venv.scm 188 */
																					obj_t BgL_arg1821z00_2805;

																					BgL_arg1821z00_2805 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2800, ((long) 1));
																					BgL_res1928z00_2799 =
																						(BgL_arg1821z00_2805 ==
																						BgL_classz00_2792);
																				}
																			else
																				{	/* Ast/venv.scm 188 */
																					BgL_res1928z00_2799 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2795 = BgL_res1928z00_2799;
														}
														BgL_test2070z00_3504 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2794,
															BgL_arg1823z00_2795);
													}
												}
											else
												{	/* Ast/venv.scm 188 */
													BgL_test2070z00_3504 = ((bool_t) 0);
												}
										}
										if (BgL_test2070z00_3504)
											{	/* Ast/venv.scm 189 */
												BgL_typez00_bglt BgL_tresz00_2806;

												BgL_tresz00_2806 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_bodyz00_2791)))->
													BgL_typez00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_2791));
												{	/* Ast/venv.scm 191 */
													bool_t BgL_test2074z00_3527;

													{	/* Ast/venv.scm 191 */
														obj_t BgL_classz00_2807;

														BgL_classz00_2807 = BGl_typez00zztype_typez00;
														{	/* Ast/venv.scm 191 */
															BgL_objectz00_bglt BgL_arg1825z00_2808;

															{	/* Ast/venv.scm 191 */
																obj_t BgL_tmpz00_3528;

																BgL_tmpz00_3528 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_tresz00_2806));
																BgL_arg1825z00_2808 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3528);
															}
															{	/* Ast/venv.scm 191 */
																bool_t BgL_arg1822z00_2809;
																bool_t BgL_arg1823z00_2810;

																{	/* Ast/venv.scm 191 */
																	long BgL_idxz00_2811;

																	BgL_idxz00_2811 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2808);
																	BgL_arg1822z00_2809 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2811 + ((long) 1))) ==
																		BgL_classz00_2807);
																}
																{	/* Ast/venv.scm 191 */
																	bool_t BgL_res1929z00_2814;

																	{	/* Ast/venv.scm 191 */
																		obj_t BgL_oclassz00_2815;

																		{	/* Ast/venv.scm 191 */
																			long BgL_arg1833z00_2816;

																			{	/* Ast/venv.scm 191 */
																				long BgL_arg1834z00_2817;

																				BgL_arg1834z00_2817 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2808);
																				BgL_arg1833z00_2816 =
																					(BgL_arg1834z00_2817 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2815 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2816);
																		}
																		{	/* Ast/venv.scm 191 */
																			bool_t BgL__ortest_1110z00_2818;

																			BgL__ortest_1110z00_2818 =
																				(BgL_classz00_2807 ==
																				BgL_oclassz00_2815);
																			if (BgL__ortest_1110z00_2818)
																				{	/* Ast/venv.scm 191 */
																					BgL_res1929z00_2814 =
																						BgL__ortest_1110z00_2818;
																				}
																			else
																				{	/* Ast/venv.scm 191 */
																					long BgL_odepthz00_2819;

																					BgL_odepthz00_2819 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2815);
																					if ((((long) 1) < BgL_odepthz00_2819))
																						{	/* Ast/venv.scm 191 */
																							obj_t BgL_arg1821z00_2820;

																							BgL_arg1821z00_2820 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2815,
																								((long) 1));
																							BgL_res1929z00_2814 =
																								(BgL_arg1821z00_2820 ==
																								BgL_classz00_2807);
																						}
																					else
																						{	/* Ast/venv.scm 191 */
																							BgL_res1929z00_2814 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2810 = BgL_res1929z00_2814;
																}
																BgL_test2074z00_3527 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2809,
																	BgL_arg1823z00_2810);
															}
														}
													}
													if (BgL_test2074z00_3527)
														{	/* Ast/venv.scm 192 */
															BgL_typez00_bglt BgL_arg1770z00_2821;

															BgL_arg1770z00_2821 =
																BGl_findzd2typezd2zztype_envz00(
																(((BgL_typez00_bglt)
																		COBJECT(BgL_tresz00_2806))->BgL_idz00));
															return ((((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_bodyz00_2791)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg1770z00_2821),
																BUNSPEC);
														}
													else
														{	/* Ast/venv.scm 191 */
															return BFALSE;
														}
												}
											}
										else
											{	/* Ast/venv.scm 188 */
												return BFALSE;
											}
									}
								}
							else
								{	/* Ast/venv.scm 185 */
									return
										BGl_errorz00zz__errorz00(BGl_string1953z00zzast_envz00,
										BGl_string1954z00zzast_envz00,
										BGl_shapez00zztools_shapez00(BgL_argsz00_2757));
								}
						}
				}
			}
		}

	}



/* &restore-value-types!1303 */
	obj_t BGl_z62restorezd2valuezd2typesz121303z70zzast_envz00(obj_t
		BgL_envz00_2707, obj_t BgL_valuez00_2708, obj_t BgL_idz00_2709)
	{
		{	/* Ast/venv.scm 159 */
			{	/* Ast/venv.scm 161 */
				bool_t BgL_test2077z00_3555;

				{	/* Ast/venv.scm 161 */
					obj_t BgL_arg1747z00_2823;

					BgL_arg1747z00_2823 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_valuez00_2708)))->BgL_predicatezd2ofzd2);
					{	/* Ast/venv.scm 161 */
						obj_t BgL_classz00_2824;

						BgL_classz00_2824 = BGl_typez00zztype_typez00;
						if (BGL_OBJECTP(BgL_arg1747z00_2823))
							{	/* Ast/venv.scm 161 */
								BgL_objectz00_bglt BgL_arg1825z00_2825;

								BgL_arg1825z00_2825 =
									(BgL_objectz00_bglt) (BgL_arg1747z00_2823);
								{	/* Ast/venv.scm 161 */
									bool_t BgL_arg1822z00_2826;
									bool_t BgL_arg1823z00_2827;

									{	/* Ast/venv.scm 161 */
										long BgL_idxz00_2828;

										BgL_idxz00_2828 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2825);
										BgL_arg1822z00_2826 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2828 + ((long) 1))) == BgL_classz00_2824);
									}
									{	/* Ast/venv.scm 161 */
										bool_t BgL_res1925z00_2831;

										{	/* Ast/venv.scm 161 */
											obj_t BgL_oclassz00_2832;

											{	/* Ast/venv.scm 161 */
												long BgL_arg1833z00_2833;

												{	/* Ast/venv.scm 161 */
													long BgL_arg1834z00_2834;

													BgL_arg1834z00_2834 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2825);
													BgL_arg1833z00_2833 =
														(BgL_arg1834z00_2834 - OBJECT_TYPE);
												}
												BgL_oclassz00_2832 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2833);
											}
											{	/* Ast/venv.scm 161 */
												bool_t BgL__ortest_1110z00_2835;

												BgL__ortest_1110z00_2835 =
													(BgL_classz00_2824 == BgL_oclassz00_2832);
												if (BgL__ortest_1110z00_2835)
													{	/* Ast/venv.scm 161 */
														BgL_res1925z00_2831 = BgL__ortest_1110z00_2835;
													}
												else
													{	/* Ast/venv.scm 161 */
														long BgL_odepthz00_2836;

														BgL_odepthz00_2836 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2832);
														if ((((long) 1) < BgL_odepthz00_2836))
															{	/* Ast/venv.scm 161 */
																obj_t BgL_arg1821z00_2837;

																BgL_arg1821z00_2837 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2832,
																	((long) 1));
																BgL_res1925z00_2831 =
																	(BgL_arg1821z00_2837 == BgL_classz00_2824);
															}
														else
															{	/* Ast/venv.scm 161 */
																BgL_res1925z00_2831 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2827 = BgL_res1925z00_2831;
									}
									BgL_test2077z00_3555 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2826, BgL_arg1823z00_2827);
								}
							}
						else
							{	/* Ast/venv.scm 161 */
								BgL_test2077z00_3555 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2077z00_3555)
					{
						obj_t BgL_auxz00_3576;

						{	/* Ast/venv.scm 162 */
							obj_t BgL_arg1745z00_2838;

							BgL_arg1745z00_2838 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt)
											(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_valuez00_2708)))->
												BgL_predicatezd2ofzd2))))->BgL_idz00);
							BgL_auxz00_3576 =
								((obj_t) BGl_findzd2typezd2zztype_envz00(BgL_arg1745z00_2838));
						}
						return
							((((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_valuez00_2708)))->
								BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_3576), BUNSPEC);
					}
				else
					{	/* Ast/venv.scm 161 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1955z00zzast_envz00));
		}

	}

#ifdef __cplusplus
}
#endif
