/*===========================================================================*/
/*   (BackEnd/cplib.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/cplib.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cplibz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	static obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00();
	static obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzbackend_cplibz00();
	extern obj_t BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
	static obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cplibz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	static obj_t
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t, obj_t);
	static obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31621ze3ze5zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t);
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cplibz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	static obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cplibz00();
	static obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzbackend_cplibz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2globalzd2variableszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1893z00,
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2typezd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t1894z00,
		BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00,
		BgL_bgl_za762resetza7d2globa1895z00,
		BGl_z62resetzd2globalz12za2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2tclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t1896z00,
		BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2idzd2ze3typezd2namezd2envze3zzbackend_cplibz00,
		BgL_bgl_za762classza7d2idza7d21897za7,
		BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_widezd2ze3chunkzd2envze3zzbackend_cplibz00,
		BgL_bgl_za762wideza7d2za7e3chu1898za7,
		BGl_z62widezd2ze3chunkz53zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2entryzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2entr1899z00,
		BGl_z62globalzd2entryzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edzd2envza7zzbackend_cplibz00,
		BgL_bgl_za762getza7d2globalza71900za7,
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1877z00zzbackend_cplibz00,
		BgL_bgl_string1877za700za7za7b1901za7, "_K", 2);
	      DEFINE_STRING(BGl_string1878z00zzbackend_cplibz00,
		BgL_bgl_string1878za700za7za7b1902za7, "object", 6);
	      DEFINE_STRING(BGl_string1879z00zzbackend_cplibz00,
		BgL_bgl_string1879za700za7za7b1903za7, "", 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2wclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2w1904z00,
		BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2arityzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2arit1905z00,
		BGl_z62globalzd2arityzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1880z00zzbackend_cplibz00,
		BgL_bgl_string1880za700za7za7b1906za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string1881z00zzbackend_cplibz00,
		BgL_bgl_string1881za700za7za7b1907za7, ".", 1);
	      DEFINE_STRING(BGl_string1882z00zzbackend_cplibz00,
		BgL_bgl_string1882za700za7za7b1908za7, "bigloo.", 7);
	      DEFINE_STRING(BGl_string1883z00zzbackend_cplibz00,
		BgL_bgl_string1883za700za7za7b1909za7, "_", 1);
	      DEFINE_STRING(BGl_string1884z00zzbackend_cplibz00,
		BgL_bgl_string1884za700za7za7b1910za7, "set-variable-name!", 18);
	      DEFINE_STRING(BGl_string1885z00zzbackend_cplibz00,
		BgL_bgl_string1885za700za7za7b1911za7, "Unknown variable king", 21);
	      DEFINE_STRING(BGl_string1886z00zzbackend_cplibz00,
		BgL_bgl_string1886za700za7za7b1912za7, "Illegal type", 12);
	      DEFINE_STRING(BGl_string1887z00zzbackend_cplibz00,
		BgL_bgl_string1887za700za7za7b1913za7, "wide-chunk", 10);
	      DEFINE_STRING(BGl_string1888z00zzbackend_cplibz00,
		BgL_bgl_string1888za700za7za7b1914za7, "internal error", 14);
	      DEFINE_STRING(BGl_string1889z00zzbackend_cplibz00,
		BgL_bgl_string1889za700za7za7b1915za7, "backend_cplib", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2classeszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1916z00,
		BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1890z00zzbackend_cplibz00,
		BgL_bgl_string1890za700za7za7b1917za7,
		"__cnsts_table get-declared-fields import stvector foreign obj ", 62);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2variablezd2namez12zd2envzc0zzbackend_cplibz00,
		BgL_bgl_za762setza7d2variabl1918z00,
		BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2itszd2superzd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2itsza7d2s1919za7,
		BGl_z62getzd2itszd2superz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2declaredzd2classeszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762forza7d2eachza7d21920za7,
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2fieldszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1921z00,
		BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2jclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2j1922z00,
		BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2fieldzd2typezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2fieldza7d1923za7,
		BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_cplibz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long
		BgL_checksumz00_2927, char *BgL_fromz00_2928)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cplibz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cplibz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cplibz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
					BGl_cnstzd2initzd2zzbackend_cplibz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
					return BGl_toplevelzd2initzd2zzbackend_cplibz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"backend_cplib");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			{	/* BackEnd/cplib.scm 15 */
				obj_t BgL_cportz00_2868;

				{	/* BackEnd/cplib.scm 15 */
					obj_t BgL_stringz00_2876;

					BgL_stringz00_2876 = BGl_string1890z00zzbackend_cplibz00;
					{	/* BackEnd/cplib.scm 15 */
						obj_t BgL_startz00_2877;

						BgL_startz00_2877 = BINT(((long) 0));
						{	/* BackEnd/cplib.scm 15 */
							obj_t BgL_endz00_2878;

							BgL_endz00_2878 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2876)));
							{	/* BackEnd/cplib.scm 15 */

								BgL_cportz00_2868 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2876, BgL_startz00_2877, BgL_endz00_2878);
				}}}}
				{
					long BgL_iz00_2869;

					BgL_iz00_2869 = ((long) 5);
				BgL_loopz00_2870:
					if ((BgL_iz00_2869 == ((long) -1)))
						{	/* BackEnd/cplib.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cplib.scm 15 */
							{	/* BackEnd/cplib.scm 15 */
								obj_t BgL_arg1892z00_2872;

								{	/* BackEnd/cplib.scm 15 */

									{	/* BackEnd/cplib.scm 15 */
										obj_t BgL_locationz00_2874;

										BgL_locationz00_2874 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cplib.scm 15 */

											BgL_arg1892z00_2872 =
												BGl_readz00zz__readerz00(BgL_cportz00_2868,
												BgL_locationz00_2874);
										}
									}
								}
								{	/* BackEnd/cplib.scm 15 */
									int BgL_tmpz00_2959;

									BgL_tmpz00_2959 = (int) (BgL_iz00_2869);
									CNST_TABLE_SET(BgL_tmpz00_2959, BgL_arg1892z00_2872);
							}}
							{	/* BackEnd/cplib.scm 15 */
								int BgL_auxz00_2875;

								BgL_auxz00_2875 = (int) ((BgL_iz00_2869 - ((long) 1)));
								{
									long BgL_iz00_2964;

									BgL_iz00_2964 = (long) (BgL_auxz00_2875);
									BgL_iz00_2869 = BgL_iz00_2964;
									goto BgL_loopz00_2870;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* class-id->type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t BgL_cidz00_13,
		obj_t BgL_midz00_14)
	{
		{	/* BackEnd/cplib.scm 56 */
			{	/* BackEnd/cplib.scm 57 */
				obj_t BgL_idz00_2064;

				{	/* BackEnd/cplib.scm 57 */
					obj_t BgL_arg1281z00_2065;
					obj_t BgL_arg1284z00_2066;

					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_arg1463z00_2068;

						BgL_arg1463z00_2068 = SYMBOL_TO_STRING(BgL_cidz00_13);
						BgL_arg1281z00_2065 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_2068);
					}
					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_arg1463z00_2070;

						BgL_arg1463z00_2070 = SYMBOL_TO_STRING(BgL_midz00_14);
						BgL_arg1284z00_2066 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_2070);
					}
					BgL_idz00_2064 =
						bigloo_module_mangle(BgL_arg1281z00_2065, BgL_arg1284z00_2066);
				}
				return
					string_append(BGl_string1877z00zzbackend_cplibz00, BgL_idz00_2064);
			}
		}

	}



/* &class-id->type-name */
	obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t
		BgL_envz00_2817, obj_t BgL_cidz00_2818, obj_t BgL_midz00_2819)
	{
		{	/* BackEnd/cplib.scm 56 */
			return
				BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(BgL_cidz00_2818,
				BgL_midz00_2819);
		}

	}



/* qualified-real-tclass-name */
	obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_15)
	{
		{	/* BackEnd/cplib.scm 63 */
			{
				BgL_typez00_bglt BgL_superz00_1677;
				obj_t BgL_namez00_1672;
				BgL_typez00_bglt BgL_classz00_1663;

				{	/* BackEnd/cplib.scm 97 */
					obj_t BgL_arg1295z00_1657;
					obj_t BgL_arg1296z00_1658;

					BgL_superz00_1677 = BgL_classz00_15;
					{	/* BackEnd/cplib.scm 87 */
						bool_t BgL_test1926z00_2974;

						{	/* BackEnd/cplib.scm 87 */
							bool_t BgL_test1927z00_2975;

							{	/* BackEnd/cplib.scm 87 */
								obj_t BgL_arg1334z00_1703;

								{
									BgL_tclassz00_bglt BgL_auxz00_2976;

									{
										obj_t BgL_auxz00_2977;

										{	/* BackEnd/cplib.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_2978;

											BgL_tmpz00_2978 =
												((BgL_objectz00_bglt) BgL_superz00_1677);
											BgL_auxz00_2977 = BGL_OBJECT_WIDENING(BgL_tmpz00_2978);
										}
										BgL_auxz00_2976 = ((BgL_tclassz00_bglt) BgL_auxz00_2977);
									}
									BgL_arg1334z00_1703 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2976))->
										BgL_itszd2superzd2);
								}
								{	/* BackEnd/cplib.scm 87 */
									obj_t BgL_classz00_2106;

									BgL_classz00_2106 = BGl_tclassz00zzobject_classz00;
									if (BGL_OBJECTP(BgL_arg1334z00_1703))
										{	/* BackEnd/cplib.scm 87 */
											BgL_objectz00_bglt BgL_arg1825z00_2108;

											BgL_arg1825z00_2108 =
												(BgL_objectz00_bglt) (BgL_arg1334z00_1703);
											{	/* BackEnd/cplib.scm 87 */
												bool_t BgL_arg1822z00_2111;
												bool_t BgL_arg1823z00_2112;

												{	/* BackEnd/cplib.scm 87 */
													long BgL_idxz00_2115;

													BgL_idxz00_2115 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2108);
													BgL_arg1822z00_2111 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2115 + ((long) 2))) ==
														BgL_classz00_2106);
												}
												{	/* BackEnd/cplib.scm 87 */
													bool_t BgL_res1858z00_2137;

													{	/* BackEnd/cplib.scm 87 */
														obj_t BgL_oclassz00_2123;

														{	/* BackEnd/cplib.scm 87 */
															long BgL_arg1833z00_2129;

															{	/* BackEnd/cplib.scm 87 */
																long BgL_arg1834z00_2130;

																BgL_arg1834z00_2130 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2108);
																BgL_arg1833z00_2129 =
																	(BgL_arg1834z00_2130 - OBJECT_TYPE);
															}
															BgL_oclassz00_2123 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2129);
														}
														{	/* BackEnd/cplib.scm 87 */
															bool_t BgL__ortest_1110z00_2124;

															BgL__ortest_1110z00_2124 =
																(BgL_classz00_2106 == BgL_oclassz00_2123);
															if (BgL__ortest_1110z00_2124)
																{	/* BackEnd/cplib.scm 87 */
																	BgL_res1858z00_2137 =
																		BgL__ortest_1110z00_2124;
																}
															else
																{	/* BackEnd/cplib.scm 87 */
																	long BgL_odepthz00_2125;

																	BgL_odepthz00_2125 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2123);
																	if ((((long) 2) < BgL_odepthz00_2125))
																		{	/* BackEnd/cplib.scm 87 */
																			obj_t BgL_arg1821z00_2127;

																			BgL_arg1821z00_2127 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2123, ((long) 2));
																			BgL_res1858z00_2137 =
																				(BgL_arg1821z00_2127 ==
																				BgL_classz00_2106);
																		}
																	else
																		{	/* BackEnd/cplib.scm 87 */
																			BgL_res1858z00_2137 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2112 = BgL_res1858z00_2137;
												}
												BgL_test1927z00_2975 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2111,
													BgL_arg1823z00_2112);
											}
										}
									else
										{	/* BackEnd/cplib.scm 87 */
											BgL_test1927z00_2975 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1927z00_2975)
								{	/* BackEnd/cplib.scm 88 */
									bool_t BgL_test1931z00_3001;

									{	/* BackEnd/cplib.scm 88 */
										obj_t BgL_arg1333z00_1702;

										{
											BgL_tclassz00_bglt BgL_auxz00_3002;

											{
												obj_t BgL_auxz00_3003;

												{	/* BackEnd/cplib.scm 88 */
													BgL_objectz00_bglt BgL_tmpz00_3004;

													BgL_tmpz00_3004 =
														((BgL_objectz00_bglt) BgL_superz00_1677);
													BgL_auxz00_3003 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3004);
												}
												BgL_auxz00_3002 =
													((BgL_tclassz00_bglt) BgL_auxz00_3003);
											}
											BgL_arg1333z00_1702 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3002))->
												BgL_itszd2superzd2);
										}
										BgL_test1931z00_3001 =
											(((obj_t) BgL_superz00_1677) == BgL_arg1333z00_1702);
									}
									if (BgL_test1931z00_3001)
										{	/* BackEnd/cplib.scm 89 */
											bool_t BgL_test1932z00_3011;

											{	/* BackEnd/cplib.scm 89 */
												obj_t BgL_arg1331z00_1700;

												{	/* BackEnd/cplib.scm 89 */
													obj_t BgL_arg1332z00_1701;

													{
														BgL_tclassz00_bglt BgL_auxz00_3012;

														{
															obj_t BgL_auxz00_3013;

															{	/* BackEnd/cplib.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_3014;

																BgL_tmpz00_3014 =
																	((BgL_objectz00_bglt) BgL_superz00_1677);
																BgL_auxz00_3013 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3014);
															}
															BgL_auxz00_3012 =
																((BgL_tclassz00_bglt) BgL_auxz00_3013);
														}
														BgL_arg1332z00_1701 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3012))->
															BgL_itszd2superzd2);
													}
													BgL_arg1331z00_1700 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_arg1332z00_1701)))->
														BgL_idz00);
												}
												BgL_test1932z00_3011 =
													(BgL_arg1331z00_1700 == CNST_TABLE_REF(((long) 0)));
											}
											if (BgL_test1932z00_3011)
												{	/* BackEnd/cplib.scm 89 */
													BgL_test1926z00_2974 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 89 */
													BgL_test1926z00_2974 = ((bool_t) 1);
												}
										}
									else
										{	/* BackEnd/cplib.scm 88 */
											BgL_test1926z00_2974 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/cplib.scm 87 */
									BgL_test1926z00_2974 = ((bool_t) 1);
								}
						}
						if (BgL_test1926z00_2974)
							{	/* BackEnd/cplib.scm 87 */
								BgL_arg1295z00_1657 = BGl_string1880z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 91 */
								BgL_globalz00_bglt BgL_holderz00_1691;

								{
									BgL_tclassz00_bglt BgL_auxz00_3023;

									{
										obj_t BgL_auxz00_3024;

										{	/* BackEnd/cplib.scm 91 */
											BgL_objectz00_bglt BgL_tmpz00_3025;

											BgL_tmpz00_3025 =
												((BgL_objectz00_bglt) BgL_superz00_1677);
											BgL_auxz00_3024 = BGL_OBJECT_WIDENING(BgL_tmpz00_3025);
										}
										BgL_auxz00_3023 = ((BgL_tclassz00_bglt) BgL_auxz00_3024);
									}
									BgL_holderz00_1691 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3023))->
										BgL_holderz00);
								}
								{	/* BackEnd/cplib.scm 92 */
									obj_t BgL_arg1323z00_1692;
									obj_t BgL_arg1324z00_1693;
									obj_t BgL_arg1325z00_1694;

									BgL_arg1323z00_1692 =
										(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1691))->
										BgL_modulez00);
									BgL_arg1324z00_1693 =
										(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1691))->
										BgL_jvmzd2typezd2namez00);
									BgL_arg1325z00_1694 =
										(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
													BgL_superz00_1677)))->BgL_idz00);
									{	/* BackEnd/cplib.scm 92 */
										obj_t BgL_list1326z00_1695;

										BgL_list1326z00_1695 =
											MAKE_YOUNG_PAIR(BgL_arg1325z00_1694, BNIL);
										BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
											(BgL_arg1323z00_1692, BgL_arg1324z00_1693,
											BgL_list1326z00_1695);
									}
								}
								BgL_namez00_1672 =
									(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1691))->
									BgL_modulez00);
								{	/* BackEnd/cplib.scm 79 */
									obj_t BgL_sz00_1674;

									BgL_sz00_1674 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_namez00_1672);
									{	/* BackEnd/cplib.scm 79 */
										obj_t BgL_prefz00_1675;

										BgL_prefz00_1675 = BGl_prefixz00zz__osz00(BgL_sz00_1674);
										{	/* BackEnd/cplib.scm 80 */

											{	/* BackEnd/cplib.scm 81 */
												bool_t BgL_test1933z00_3038;

												{	/* BackEnd/cplib.scm 81 */
													long BgL_l1z00_2096;

													BgL_l1z00_2096 = STRING_LENGTH(BgL_prefz00_1675);
													if ((BgL_l1z00_2096 == STRING_LENGTH(BgL_sz00_1674)))
														{	/* BackEnd/cplib.scm 81 */
															int BgL_arg1289z00_2099;

															{	/* BackEnd/cplib.scm 81 */
																char *BgL_auxz00_3045;
																char *BgL_tmpz00_3043;

																BgL_auxz00_3045 =
																	BSTRING_TO_STRING(BgL_sz00_1674);
																BgL_tmpz00_3043 =
																	BSTRING_TO_STRING(BgL_prefz00_1675);
																BgL_arg1289z00_2099 =
																	memcmp(BgL_tmpz00_3043, BgL_auxz00_3045,
																	BgL_l1z00_2096);
															}
															BgL_test1933z00_3038 =
																((long) (BgL_arg1289z00_2099) == ((long) 0));
														}
													else
														{	/* BackEnd/cplib.scm 81 */
															BgL_test1933z00_3038 = ((bool_t) 0);
														}
												}
												if (BgL_test1933z00_3038)
													{	/* BackEnd/cplib.scm 81 */
														BgL_arg1295z00_1657 =
															BGl_string1879z00zzbackend_cplibz00;
													}
												else
													{	/* BackEnd/cplib.scm 81 */
														BgL_arg1295z00_1657 = BgL_prefz00_1675;
													}
											}
										}
									}
								}
							}
					}
					BgL_classz00_1663 = BgL_classz00_15;
					{	/* BackEnd/cplib.scm 72 */
						bool_t BgL_test1935z00_3051;

						{	/* BackEnd/cplib.scm 72 */
							obj_t BgL_arg1307z00_1671;

							BgL_arg1307z00_1671 = BGl_getzd2objectzd2typez00zztype_cachez00();
							BgL_test1935z00_3051 =
								(((obj_t) BgL_classz00_1663) == BgL_arg1307z00_1671);
						}
						if (BgL_test1935z00_3051)
							{	/* BackEnd/cplib.scm 72 */
								BgL_arg1296z00_1658 = BGl_string1878z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 75 */
								obj_t BgL_modz00_1668;

								{	/* BackEnd/cplib.scm 75 */
									BgL_globalz00_bglt BgL_arg1306z00_1670;

									{
										BgL_tclassz00_bglt BgL_auxz00_3055;

										{
											obj_t BgL_auxz00_3056;

											{	/* BackEnd/cplib.scm 75 */
												BgL_objectz00_bglt BgL_tmpz00_3057;

												BgL_tmpz00_3057 =
													((BgL_objectz00_bglt) BgL_classz00_1663);
												BgL_auxz00_3056 = BGL_OBJECT_WIDENING(BgL_tmpz00_3057);
											}
											BgL_auxz00_3055 = ((BgL_tclassz00_bglt) BgL_auxz00_3056);
										}
										BgL_arg1306z00_1670 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3055))->
											BgL_holderz00);
									}
									BgL_modz00_1668 =
										(((BgL_globalz00_bglt) COBJECT(BgL_arg1306z00_1670))->
										BgL_modulez00);
								}
								{	/* BackEnd/cplib.scm 76 */
									obj_t BgL_arg1304z00_1669;

									BgL_arg1304z00_1669 =
										(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_classz00_1663)))->BgL_idz00);
									{	/* BackEnd/cplib.scm 57 */
										obj_t BgL_idz00_2087;

										{	/* BackEnd/cplib.scm 57 */
											obj_t BgL_arg1281z00_2088;
											obj_t BgL_arg1284z00_2089;

											{	/* BackEnd/cplib.scm 57 */
												obj_t BgL_arg1463z00_2091;

												BgL_arg1463z00_2091 =
													SYMBOL_TO_STRING(BgL_arg1304z00_1669);
												BgL_arg1281z00_2088 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2091);
											}
											{	/* BackEnd/cplib.scm 57 */
												obj_t BgL_arg1463z00_2093;

												BgL_arg1463z00_2093 = SYMBOL_TO_STRING(BgL_modz00_1668);
												BgL_arg1284z00_2089 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2093);
											}
											BgL_idz00_2087 =
												bigloo_module_mangle(BgL_arg1281z00_2088,
												BgL_arg1284z00_2089);
										}
										BgL_arg1296z00_1658 =
											string_append(BGl_string1877z00zzbackend_cplibz00,
											BgL_idz00_2087);
									}
								}
							}
					}
					{	/* BackEnd/cplib.scm 67 */
						bool_t BgL_test1936z00_3071;

						{	/* BackEnd/cplib.scm 67 */
							long BgL_l1z00_2149;

							BgL_l1z00_2149 = STRING_LENGTH(BgL_arg1295z00_1657);
							if ((BgL_l1z00_2149 == ((long) 0)))
								{	/* BackEnd/cplib.scm 67 */
									int BgL_arg1289z00_2152;

									{	/* BackEnd/cplib.scm 67 */
										char *BgL_auxz00_3077;
										char *BgL_tmpz00_3075;

										BgL_auxz00_3077 =
											BSTRING_TO_STRING(BGl_string1879z00zzbackend_cplibz00);
										BgL_tmpz00_3075 = BSTRING_TO_STRING(BgL_arg1295z00_1657);
										BgL_arg1289z00_2152 =
											memcmp(BgL_tmpz00_3075, BgL_auxz00_3077, BgL_l1z00_2149);
									}
									BgL_test1936z00_3071 =
										((long) (BgL_arg1289z00_2152) == ((long) 0));
								}
							else
								{	/* BackEnd/cplib.scm 67 */
									BgL_test1936z00_3071 = ((bool_t) 0);
								}
						}
						if (BgL_test1936z00_3071)
							{	/* BackEnd/cplib.scm 67 */
								return BgL_arg1296z00_1658;
							}
						else
							{	/* BackEnd/cplib.scm 67 */
								return
									string_append_3(BgL_arg1295z00_1657,
									BGl_string1881z00zzbackend_cplibz00, BgL_arg1296z00_1658);
							}
					}
				}
			}
		}

	}



/* qualified-tclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_16)
	{
		{	/* BackEnd/cplib.scm 102 */
			{	/* BackEnd/cplib.scm 103 */
				obj_t BgL_cz00_1708;

				if (BGl_widezd2classzf3z21zzobject_classz00(((obj_t) BgL_classz00_16)))
					{
						BgL_tclassz00_bglt BgL_auxz00_3086;

						{
							obj_t BgL_auxz00_3087;

							{	/* BackEnd/cplib.scm 103 */
								BgL_objectz00_bglt BgL_tmpz00_3088;

								BgL_tmpz00_3088 = ((BgL_objectz00_bglt) BgL_classz00_16);
								BgL_auxz00_3087 = BGL_OBJECT_WIDENING(BgL_tmpz00_3088);
							}
							BgL_auxz00_3086 = ((BgL_tclassz00_bglt) BgL_auxz00_3087);
						}
						BgL_cz00_1708 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3086))->
							BgL_itszd2superzd2);
					}
				else
					{	/* BackEnd/cplib.scm 103 */
						BgL_cz00_1708 = ((obj_t) BgL_classz00_16);
					}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_1708));
			}
		}

	}



/* &qualified-tclass-name */
	obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2820, obj_t BgL_classz00_2821)
	{
		{	/* BackEnd/cplib.scm 102 */
			return
				BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2821));
		}

	}



/* qualified-wclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_17)
	{
		{	/* BackEnd/cplib.scm 109 */
			{	/* BackEnd/cplib.scm 110 */
				obj_t BgL_arg1338z00_2160;

				{
					BgL_wclassz00_bglt BgL_auxz00_3098;

					{
						obj_t BgL_auxz00_3099;

						{	/* BackEnd/cplib.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_3100;

							BgL_tmpz00_3100 = ((BgL_objectz00_bglt) BgL_classz00_17);
							BgL_auxz00_3099 = BGL_OBJECT_WIDENING(BgL_tmpz00_3100);
						}
						BgL_auxz00_3098 = ((BgL_wclassz00_bglt) BgL_auxz00_3099);
					}
					BgL_arg1338z00_2160 =
						(((BgL_wclassz00_bglt) COBJECT(BgL_auxz00_3098))->
						BgL_itszd2classzd2);
				}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_arg1338z00_2160));
			}
		}

	}



/* &qualified-wclass-name */
	obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2822, obj_t BgL_classz00_2823)
	{
		{	/* BackEnd/cplib.scm 109 */
			return
				BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2823));
		}

	}



/* qualified-jclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_18)
	{
		{	/* BackEnd/cplib.scm 115 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_classz00_18)))->BgL_namez00);
		}

	}



/* &qualified-jclass-name */
	obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2824, obj_t BgL_classz00_2825)
	{
		{	/* BackEnd/cplib.scm 115 */
			return
				BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2825));
		}

	}



/* qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_19)
	{
		{	/* BackEnd/cplib.scm 121 */
			{	/* BackEnd/cplib.scm 122 */
				obj_t BgL_idz00_1711;

				BgL_idz00_1711 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_19))->BgL_idz00);
				if ((BgL_idz00_1711 == CNST_TABLE_REF(((long) 1))))
					{	/* BackEnd/cplib.scm 123 */
						return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
					}
				else
					{	/* BackEnd/cplib.scm 125 */
						obj_t BgL_javazd2classzd2_1713;

						BgL_javazd2classzd2_1713 =
							BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_idz00_1711);
						if (STRINGP(BgL_javazd2classzd2_1713))
							{	/* BackEnd/cplib.scm 126 */
								return BgL_javazd2classzd2_1713;
							}
						else
							{	/* BackEnd/cplib.scm 128 */
								obj_t BgL_arg1347z00_1715;

								{	/* BackEnd/cplib.scm 128 */
									obj_t BgL_arg1463z00_2166;

									BgL_arg1463z00_2166 = SYMBOL_TO_STRING(BgL_idz00_1711);
									BgL_arg1347z00_1715 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_2166);
								}
								return
									string_append(BGl_string1882z00zzbackend_cplibz00,
									BgL_arg1347z00_1715);
							}
					}
			}
		}

	}



/* &qualified-type-name */
	obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2826, obj_t BgL_typez00_2827)
	{
		{	/* BackEnd/cplib.scm 121 */
			return
				BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2827));
		}

	}



/* reset-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_20)
	{
		{	/* BackEnd/cplib.scm 134 */
			{	/* BackEnd/cplib.scm 136 */
				obj_t BgL_namez00_1716;

				BgL_namez00_1716 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00);
				if (STRINGP(BgL_namez00_1716))
					{	/* BackEnd/cplib.scm 137 */
						BgL_namez00_1716;
					}
				else
					{	/* BackEnd/cplib.scm 139 */
						obj_t BgL_namez00_1718;

						{	/* BackEnd/cplib.scm 139 */
							obj_t BgL_arg1354z00_1721;

							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL__ortest_1109z00_1722;

								BgL__ortest_1109z00_1722 =
									(((BgL_globalz00_bglt) COBJECT(BgL_varz00_20))->BgL_aliasz00);
								if (CBOOL(BgL__ortest_1109z00_1722))
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1354z00_1721 = BgL__ortest_1109z00_1722;
									}
								else
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1354z00_1721 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_idz00);
									}
							}
							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL_arg1463z00_2171;

								BgL_arg1463z00_2171 =
									SYMBOL_TO_STRING(((obj_t) BgL_arg1354z00_1721));
								BgL_namez00_1718 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1463z00_2171);
							}
						}
						{	/* BackEnd/cplib.scm 141 */
							obj_t BgL_arg1350z00_1719;

							if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
								(BgL_namez00_1718))
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1350z00_1719 = bigloo_mangle(BgL_namez00_1718);
								}
							else
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1350z00_1719 = BgL_namez00_1718;
								}
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00) =
								((obj_t) BgL_arg1350z00_1719), BUNSPEC);
						}
					}
			}
			{	/* BackEnd/cplib.scm 145 */
				BgL_valuez00_bglt BgL_valuez00_1723;

				BgL_valuez00_1723 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 146 */
					bool_t BgL_test1944z00_3144;

					{	/* BackEnd/cplib.scm 146 */
						bool_t BgL_test1945z00_3145;

						{	/* BackEnd/cplib.scm 146 */
							obj_t BgL_classz00_2174;

							BgL_classz00_2174 = BGl_scnstz00zzast_varz00;
							{	/* BackEnd/cplib.scm 146 */
								BgL_objectz00_bglt BgL_arg1825z00_2176;

								{	/* BackEnd/cplib.scm 146 */
									obj_t BgL_tmpz00_3146;

									BgL_tmpz00_3146 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1723));
									BgL_arg1825z00_2176 = (BgL_objectz00_bglt) (BgL_tmpz00_3146);
								}
								{	/* BackEnd/cplib.scm 146 */
									bool_t BgL_arg1822z00_2179;
									bool_t BgL_arg1823z00_2180;

									{	/* BackEnd/cplib.scm 146 */
										long BgL_idxz00_2183;

										BgL_idxz00_2183 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2176);
										BgL_arg1822z00_2179 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2183 + ((long) 2))) == BgL_classz00_2174);
									}
									{	/* BackEnd/cplib.scm 146 */
										bool_t BgL_res1859z00_2205;

										{	/* BackEnd/cplib.scm 146 */
											obj_t BgL_oclassz00_2191;

											{	/* BackEnd/cplib.scm 146 */
												long BgL_arg1833z00_2197;

												{	/* BackEnd/cplib.scm 146 */
													long BgL_arg1834z00_2198;

													BgL_arg1834z00_2198 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2176);
													BgL_arg1833z00_2197 =
														(BgL_arg1834z00_2198 - OBJECT_TYPE);
												}
												BgL_oclassz00_2191 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2197);
											}
											{	/* BackEnd/cplib.scm 146 */
												bool_t BgL__ortest_1110z00_2192;

												BgL__ortest_1110z00_2192 =
													(BgL_classz00_2174 == BgL_oclassz00_2191);
												if (BgL__ortest_1110z00_2192)
													{	/* BackEnd/cplib.scm 146 */
														BgL_res1859z00_2205 = BgL__ortest_1110z00_2192;
													}
												else
													{	/* BackEnd/cplib.scm 146 */
														long BgL_odepthz00_2193;

														BgL_odepthz00_2193 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2191);
														if ((((long) 2) < BgL_odepthz00_2193))
															{	/* BackEnd/cplib.scm 146 */
																obj_t BgL_arg1821z00_2195;

																BgL_arg1821z00_2195 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2191,
																	((long) 2));
																BgL_res1859z00_2205 =
																	(BgL_arg1821z00_2195 == BgL_classz00_2174);
															}
														else
															{	/* BackEnd/cplib.scm 146 */
																BgL_res1859z00_2205 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2180 = BgL_res1859z00_2205;
									}
									BgL_test1945z00_3145 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2179, BgL_arg1823z00_2180);
								}
							}
						}
						if (BgL_test1945z00_3145)
							{	/* BackEnd/cplib.scm 146 */
								BgL_test1944z00_3144 =
									(
									(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_1723)))->
										BgL_classz00) == CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* BackEnd/cplib.scm 146 */
								BgL_test1944z00_3144 = ((bool_t) 0);
							}
					}
					if (BgL_test1944z00_3144)
						{	/* BackEnd/cplib.scm 147 */
							obj_t BgL_arg1361z00_1727;

							{	/* BackEnd/cplib.scm 147 */
								obj_t BgL_sz00_2208;

								BgL_sz00_2208 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_1723)))->BgL_nodez00);
								BgL_arg1361z00_1727 =
									STRUCT_REF(BgL_sz00_2208, (int) (((long) 0)));
							}
							return
								((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1361z00_1727)),
								BUNSPEC);
						}
					else
						{	/* BackEnd/cplib.scm 146 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &reset-global! */
	obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t BgL_envz00_2828,
		obj_t BgL_varz00_2829)
	{
		{	/* BackEnd/cplib.scm 134 */
			return
				BGl_resetzd2globalz12zc0zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2829));
		}

	}



/* set-variable-name! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt
		BgL_variablez00_21)
	{
		{	/* BackEnd/cplib.scm 152 */
			{	/* BackEnd/cplib.scm 154 */
				bool_t BgL_test1948z00_3178;

				{	/* BackEnd/cplib.scm 154 */
					obj_t BgL_tmpz00_3179;

					BgL_tmpz00_3179 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->BgL_namez00);
					BgL_test1948z00_3178 = STRINGP(BgL_tmpz00_3179);
				}
				if (BgL_test1948z00_3178)
					{	/* BackEnd/cplib.scm 154 */
						return
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->
							BgL_namez00);
					}
				else
					{	/* BackEnd/cplib.scm 156 */
						obj_t BgL_nz00_1734;

						{	/* BackEnd/cplib.scm 157 */
							bool_t BgL_test1949z00_3183;

							{	/* BackEnd/cplib.scm 157 */
								obj_t BgL_classz00_2211;

								BgL_classz00_2211 = BGl_globalz00zzast_varz00;
								{	/* BackEnd/cplib.scm 157 */
									BgL_objectz00_bglt BgL_arg1825z00_2213;

									{	/* BackEnd/cplib.scm 157 */
										obj_t BgL_tmpz00_3184;

										BgL_tmpz00_3184 = ((obj_t) BgL_variablez00_21);
										BgL_arg1825z00_2213 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3184);
									}
									{	/* BackEnd/cplib.scm 157 */
										bool_t BgL_arg1822z00_2216;
										bool_t BgL_arg1823z00_2217;

										{	/* BackEnd/cplib.scm 157 */
											long BgL_idxz00_2220;

											BgL_idxz00_2220 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2213);
											BgL_arg1822z00_2216 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2220 + ((long) 2))) == BgL_classz00_2211);
										}
										{	/* BackEnd/cplib.scm 157 */
											bool_t BgL_res1860z00_2242;

											{	/* BackEnd/cplib.scm 157 */
												obj_t BgL_oclassz00_2228;

												{	/* BackEnd/cplib.scm 157 */
													long BgL_arg1833z00_2234;

													{	/* BackEnd/cplib.scm 157 */
														long BgL_arg1834z00_2235;

														BgL_arg1834z00_2235 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2213);
														BgL_arg1833z00_2234 =
															(BgL_arg1834z00_2235 - OBJECT_TYPE);
													}
													BgL_oclassz00_2228 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2234);
												}
												{	/* BackEnd/cplib.scm 157 */
													bool_t BgL__ortest_1110z00_2229;

													BgL__ortest_1110z00_2229 =
														(BgL_classz00_2211 == BgL_oclassz00_2228);
													if (BgL__ortest_1110z00_2229)
														{	/* BackEnd/cplib.scm 157 */
															BgL_res1860z00_2242 = BgL__ortest_1110z00_2229;
														}
													else
														{	/* BackEnd/cplib.scm 157 */
															long BgL_odepthz00_2230;

															BgL_odepthz00_2230 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2228);
															if ((((long) 2) < BgL_odepthz00_2230))
																{	/* BackEnd/cplib.scm 157 */
																	obj_t BgL_arg1821z00_2232;

																	BgL_arg1821z00_2232 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2228,
																		((long) 2));
																	BgL_res1860z00_2242 =
																		(BgL_arg1821z00_2232 == BgL_classz00_2211);
																}
															else
																{	/* BackEnd/cplib.scm 157 */
																	BgL_res1860z00_2242 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2217 = BgL_res1860z00_2242;
										}
										BgL_test1949z00_3183 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2216,
											BgL_arg1823z00_2217);
									}
								}
							}
							if (BgL_test1949z00_3183)
								{	/* BackEnd/cplib.scm 159 */
									obj_t BgL_arg1380z00_1737;
									obj_t BgL_arg1381z00_1738;

									{	/* BackEnd/cplib.scm 159 */
										obj_t BgL_arg1382z00_1739;

										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL__ortest_1113z00_1740;

											BgL__ortest_1113z00_1740 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_21)))->
												BgL_aliasz00);
											if (CBOOL(BgL__ortest_1113z00_1740))
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1382z00_1739 = BgL__ortest_1113z00_1740;
												}
											else
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1382z00_1739 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
												}
										}
										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL_arg1463z00_2244;

											BgL_arg1463z00_2244 =
												SYMBOL_TO_STRING(((obj_t) BgL_arg1382z00_1739));
											BgL_arg1380z00_1737 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2244);
										}
									}
									{	/* BackEnd/cplib.scm 160 */
										obj_t BgL_arg1383z00_1741;

										BgL_arg1383z00_1741 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_variablez00_21)))->
											BgL_modulez00);
										{	/* BackEnd/cplib.scm 160 */
											obj_t BgL_arg1463z00_2246;

											BgL_arg1463z00_2246 =
												SYMBOL_TO_STRING(BgL_arg1383z00_1741);
											BgL_arg1381z00_1738 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2246);
										}
									}
									BgL_nz00_1734 =
										bigloo_module_mangle(BgL_arg1380z00_1737,
										BgL_arg1381z00_1738);
								}
							else
								{	/* BackEnd/cplib.scm 161 */
									bool_t BgL_test1953z00_3217;

									{	/* BackEnd/cplib.scm 161 */
										obj_t BgL_classz00_2247;

										BgL_classz00_2247 = BGl_localz00zzast_varz00;
										{	/* BackEnd/cplib.scm 161 */
											BgL_objectz00_bglt BgL_arg1825z00_2249;

											{	/* BackEnd/cplib.scm 161 */
												obj_t BgL_tmpz00_3218;

												BgL_tmpz00_3218 = ((obj_t) BgL_variablez00_21);
												BgL_arg1825z00_2249 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3218);
											}
											{	/* BackEnd/cplib.scm 161 */
												bool_t BgL_arg1822z00_2252;
												bool_t BgL_arg1823z00_2253;

												{	/* BackEnd/cplib.scm 161 */
													long BgL_idxz00_2256;

													BgL_idxz00_2256 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2249);
													BgL_arg1822z00_2252 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2256 + ((long) 2))) ==
														BgL_classz00_2247);
												}
												{	/* BackEnd/cplib.scm 161 */
													bool_t BgL_res1861z00_2278;

													{	/* BackEnd/cplib.scm 161 */
														obj_t BgL_oclassz00_2264;

														{	/* BackEnd/cplib.scm 161 */
															long BgL_arg1833z00_2270;

															{	/* BackEnd/cplib.scm 161 */
																long BgL_arg1834z00_2271;

																BgL_arg1834z00_2271 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2249);
																BgL_arg1833z00_2270 =
																	(BgL_arg1834z00_2271 - OBJECT_TYPE);
															}
															BgL_oclassz00_2264 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2270);
														}
														{	/* BackEnd/cplib.scm 161 */
															bool_t BgL__ortest_1110z00_2265;

															BgL__ortest_1110z00_2265 =
																(BgL_classz00_2247 == BgL_oclassz00_2264);
															if (BgL__ortest_1110z00_2265)
																{	/* BackEnd/cplib.scm 161 */
																	BgL_res1861z00_2278 =
																		BgL__ortest_1110z00_2265;
																}
															else
																{	/* BackEnd/cplib.scm 161 */
																	long BgL_odepthz00_2266;

																	BgL_odepthz00_2266 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2264);
																	if ((((long) 2) < BgL_odepthz00_2266))
																		{	/* BackEnd/cplib.scm 161 */
																			obj_t BgL_arg1821z00_2268;

																			BgL_arg1821z00_2268 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2264, ((long) 2));
																			BgL_res1861z00_2278 =
																				(BgL_arg1821z00_2268 ==
																				BgL_classz00_2247);
																		}
																	else
																		{	/* BackEnd/cplib.scm 161 */
																			BgL_res1861z00_2278 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2253 = BgL_res1861z00_2278;
												}
												BgL_test1953z00_3217 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2252,
													BgL_arg1823z00_2253);
											}
										}
									}
									if (BgL_test1953z00_3217)
										{	/* BackEnd/cplib.scm 165 */
											obj_t BgL_arg1400z00_1744;

											{	/* BackEnd/cplib.scm 165 */
												obj_t BgL_arg1401z00_1745;
												obj_t BgL_arg1415z00_1746;

												{	/* BackEnd/cplib.scm 165 */
													obj_t BgL_arg1416z00_1747;

													BgL_arg1416z00_1747 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
													{	/* BackEnd/cplib.scm 165 */
														obj_t BgL_arg1463z00_2280;

														BgL_arg1463z00_2280 =
															SYMBOL_TO_STRING(BgL_arg1416z00_1747);
														BgL_arg1401z00_1745 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_2280);
													}
												}
												{	/* BackEnd/cplib.scm 165 */

													BgL_arg1415z00_1746 =
														BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
														((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
																		BgL_variablez00_21)))->BgL_keyz00),
														((long) 10));
												}
												BgL_arg1400z00_1744 =
													string_append_3(BgL_arg1401z00_1745,
													BGl_string1883z00zzbackend_cplibz00,
													BgL_arg1415z00_1746);
											}
											BgL_nz00_1734 = bigloo_mangle(BgL_arg1400z00_1744);
										}
									else
										{	/* BackEnd/cplib.scm 169 */
											obj_t BgL_arg1419z00_1751;

											BgL_arg1419z00_1751 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_variablez00_21));
											BgL_nz00_1734 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1884z00zzbackend_cplibz00,
												BGl_string1885z00zzbackend_cplibz00,
												BgL_arg1419z00_1751);
										}
								}
						}
						((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->
								BgL_namez00) = ((obj_t) BgL_nz00_1734), BUNSPEC);
						return BgL_nz00_1734;
					}
			}
		}

	}



/* &set-variable-name! */
	obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t
		BgL_envz00_2830, obj_t BgL_variablez00_2831)
	{
		{	/* BackEnd/cplib.scm 152 */
			return
				BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_2831));
		}

	}



/* global-entry */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_22)
	{
		{	/* BackEnd/cplib.scm 176 */
			{	/* BackEnd/cplib.scm 178 */
				BgL_valuez00_bglt BgL_valuez00_1753;

				BgL_valuez00_1753 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_22)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 179 */
					bool_t BgL_test1956z00_3254;

					{	/* BackEnd/cplib.scm 179 */
						obj_t BgL_classz00_2282;

						BgL_classz00_2282 = BGl_scnstz00zzast_varz00;
						{	/* BackEnd/cplib.scm 179 */
							BgL_objectz00_bglt BgL_arg1825z00_2284;

							{	/* BackEnd/cplib.scm 179 */
								obj_t BgL_tmpz00_3255;

								BgL_tmpz00_3255 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1753));
								BgL_arg1825z00_2284 = (BgL_objectz00_bglt) (BgL_tmpz00_3255);
							}
							{	/* BackEnd/cplib.scm 179 */
								bool_t BgL_arg1822z00_2287;
								bool_t BgL_arg1823z00_2288;

								{	/* BackEnd/cplib.scm 179 */
									long BgL_idxz00_2291;

									BgL_idxz00_2291 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2284);
									BgL_arg1822z00_2287 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2291 + ((long) 2))) == BgL_classz00_2282);
								}
								{	/* BackEnd/cplib.scm 179 */
									bool_t BgL_res1862z00_2313;

									{	/* BackEnd/cplib.scm 179 */
										obj_t BgL_oclassz00_2299;

										{	/* BackEnd/cplib.scm 179 */
											long BgL_arg1833z00_2305;

											{	/* BackEnd/cplib.scm 179 */
												long BgL_arg1834z00_2306;

												BgL_arg1834z00_2306 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2284);
												BgL_arg1833z00_2305 =
													(BgL_arg1834z00_2306 - OBJECT_TYPE);
											}
											BgL_oclassz00_2299 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2305);
										}
										{	/* BackEnd/cplib.scm 179 */
											bool_t BgL__ortest_1110z00_2300;

											BgL__ortest_1110z00_2300 =
												(BgL_classz00_2282 == BgL_oclassz00_2299);
											if (BgL__ortest_1110z00_2300)
												{	/* BackEnd/cplib.scm 179 */
													BgL_res1862z00_2313 = BgL__ortest_1110z00_2300;
												}
											else
												{	/* BackEnd/cplib.scm 179 */
													long BgL_odepthz00_2301;

													BgL_odepthz00_2301 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2299);
													if ((((long) 2) < BgL_odepthz00_2301))
														{	/* BackEnd/cplib.scm 179 */
															obj_t BgL_arg1821z00_2303;

															BgL_arg1821z00_2303 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2299,
																((long) 2));
															BgL_res1862z00_2313 =
																(BgL_arg1821z00_2303 == BgL_classz00_2282);
														}
													else
														{	/* BackEnd/cplib.scm 179 */
															BgL_res1862z00_2313 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2288 = BgL_res1862z00_2313;
								}
								BgL_test1956z00_3254 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2287, BgL_arg1823z00_2288);
							}
						}
					}
					if (BgL_test1956z00_3254)
						{
							BgL_variablez00_bglt BgL_auxz00_3274;

							{
								BgL_varz00_bglt BgL_auxz00_3275;

								{	/* BackEnd/cplib.scm 180 */
									obj_t BgL_pairz00_2316;

									BgL_pairz00_2316 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt)
													(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valuez00_1753)))->
														BgL_nodez00))))->BgL_argsz00);
									BgL_auxz00_3275 = ((BgL_varz00_bglt) CAR(BgL_pairz00_2316));
								}
								BgL_auxz00_3274 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_3275))->
									BgL_variablez00);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_3274);
						}
					else
						{	/* BackEnd/cplib.scm 179 */
							return BgL_varz00_22;
						}
				}
			}
		}

	}



/* &global-entry */
	BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t
		BgL_envz00_2832, obj_t BgL_varz00_2833)
	{
		{	/* BackEnd/cplib.scm 176 */
			return
				BGl_globalzd2entryzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2833));
		}

	}



/* global-arity */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_23)
	{
		{	/* BackEnd/cplib.scm 186 */
			{	/* BackEnd/cplib.scm 188 */
				BgL_valuez00_bglt BgL_valuez00_1758;

				BgL_valuez00_1758 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_23)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 190 */
					bool_t BgL_test1959z00_3288;

					{	/* BackEnd/cplib.scm 190 */
						obj_t BgL_classz00_2319;

						BgL_classz00_2319 = BGl_scnstz00zzast_varz00;
						{	/* BackEnd/cplib.scm 190 */
							BgL_objectz00_bglt BgL_arg1825z00_2321;

							{	/* BackEnd/cplib.scm 190 */
								obj_t BgL_tmpz00_3289;

								BgL_tmpz00_3289 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1758));
								BgL_arg1825z00_2321 = (BgL_objectz00_bglt) (BgL_tmpz00_3289);
							}
							{	/* BackEnd/cplib.scm 190 */
								bool_t BgL_arg1822z00_2324;
								bool_t BgL_arg1823z00_2325;

								{	/* BackEnd/cplib.scm 190 */
									long BgL_idxz00_2328;

									BgL_idxz00_2328 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2321);
									BgL_arg1822z00_2324 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2328 + ((long) 2))) == BgL_classz00_2319);
								}
								{	/* BackEnd/cplib.scm 190 */
									bool_t BgL_res1863z00_2350;

									{	/* BackEnd/cplib.scm 190 */
										obj_t BgL_oclassz00_2336;

										{	/* BackEnd/cplib.scm 190 */
											long BgL_arg1833z00_2342;

											{	/* BackEnd/cplib.scm 190 */
												long BgL_arg1834z00_2343;

												BgL_arg1834z00_2343 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2321);
												BgL_arg1833z00_2342 =
													(BgL_arg1834z00_2343 - OBJECT_TYPE);
											}
											BgL_oclassz00_2336 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2342);
										}
										{	/* BackEnd/cplib.scm 190 */
											bool_t BgL__ortest_1110z00_2337;

											BgL__ortest_1110z00_2337 =
												(BgL_classz00_2319 == BgL_oclassz00_2336);
											if (BgL__ortest_1110z00_2337)
												{	/* BackEnd/cplib.scm 190 */
													BgL_res1863z00_2350 = BgL__ortest_1110z00_2337;
												}
											else
												{	/* BackEnd/cplib.scm 190 */
													long BgL_odepthz00_2338;

													BgL_odepthz00_2338 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2336);
													if ((((long) 2) < BgL_odepthz00_2338))
														{	/* BackEnd/cplib.scm 190 */
															obj_t BgL_arg1821z00_2340;

															BgL_arg1821z00_2340 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2336,
																((long) 2));
															BgL_res1863z00_2350 =
																(BgL_arg1821z00_2340 == BgL_classz00_2319);
														}
													else
														{	/* BackEnd/cplib.scm 190 */
															BgL_res1863z00_2350 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2325 = BgL_res1863z00_2350;
								}
								BgL_test1959z00_3288 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2324, BgL_arg1823z00_2325);
							}
						}
					}
					if (BgL_test1959z00_3288)
						{	/* BackEnd/cplib.scm 193 */

							{	/* BackEnd/cplib.scm 194 */
								long BgL_tmpz00_3308;

								{
									BgL_funz00_bglt BgL_auxz00_3309;

									{
										BgL_sfunz00_bglt BgL_auxz00_3310;

										{
											BgL_valuez00_bglt BgL_auxz00_3311;

											{
												BgL_variablez00_bglt BgL_auxz00_3312;

												{
													obj_t BgL_auxz00_3313;

													{
														BgL_sfunz00_bglt BgL_auxz00_3314;

														{
															BgL_valuez00_bglt BgL_auxz00_3315;

															{
																BgL_variablez00_bglt BgL_auxz00_3316;

																{
																	BgL_globalz00_bglt BgL_auxz00_3317;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3318;

																		{
																			BgL_varz00_bglt BgL_auxz00_3319;

																			{	/* BackEnd/cplib.scm 192 */
																				obj_t BgL_pairz00_2353;

																				BgL_pairz00_2353 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								(((BgL_scnstz00_bglt) COBJECT(
																											((BgL_scnstz00_bglt)
																												BgL_valuez00_1758)))->
																									BgL_nodez00))))->BgL_argsz00);
																				BgL_auxz00_3319 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2353));
																			}
																			BgL_auxz00_3318 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3319))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_3317 =
																			((BgL_globalz00_bglt) BgL_auxz00_3318);
																	}
																	BgL_auxz00_3316 =
																		((BgL_variablez00_bglt) BgL_auxz00_3317);
																}
																BgL_auxz00_3315 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_auxz00_3316))->BgL_valuez00);
															}
															BgL_auxz00_3314 =
																((BgL_sfunz00_bglt) BgL_auxz00_3315);
														}
														BgL_auxz00_3313 =
															(((BgL_sfunz00_bglt) COBJECT(BgL_auxz00_3314))->
															BgL_thezd2closurezd2globalz00);
													}
													BgL_auxz00_3312 =
														((BgL_variablez00_bglt) BgL_auxz00_3313);
												}
												BgL_auxz00_3311 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3312))->
													BgL_valuez00);
											}
											BgL_auxz00_3310 = ((BgL_sfunz00_bglt) BgL_auxz00_3311);
										}
										BgL_auxz00_3309 = ((BgL_funz00_bglt) BgL_auxz00_3310);
									}
									BgL_tmpz00_3308 =
										(((BgL_funz00_bglt) COBJECT(BgL_auxz00_3309))->
										BgL_arityz00);
								}
								return BINT(BgL_tmpz00_3308);
							}
						}
					else
						{	/* BackEnd/cplib.scm 196 */
							bool_t BgL_test1962z00_3338;

							{	/* BackEnd/cplib.scm 196 */
								obj_t BgL_classz00_2359;

								BgL_classz00_2359 = BGl_sfunz00zzast_varz00;
								{	/* BackEnd/cplib.scm 196 */
									BgL_objectz00_bglt BgL_arg1825z00_2361;

									{	/* BackEnd/cplib.scm 196 */
										obj_t BgL_tmpz00_3339;

										BgL_tmpz00_3339 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1758));
										BgL_arg1825z00_2361 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3339);
									}
									{	/* BackEnd/cplib.scm 196 */
										bool_t BgL_arg1822z00_2364;
										bool_t BgL_arg1823z00_2365;

										{	/* BackEnd/cplib.scm 196 */
											long BgL_idxz00_2368;

											BgL_idxz00_2368 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2361);
											BgL_arg1822z00_2364 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2368 + ((long) 3))) == BgL_classz00_2359);
										}
										{	/* BackEnd/cplib.scm 196 */
											bool_t BgL_res1864z00_2390;

											{	/* BackEnd/cplib.scm 196 */
												obj_t BgL_oclassz00_2376;

												{	/* BackEnd/cplib.scm 196 */
													long BgL_arg1833z00_2382;

													{	/* BackEnd/cplib.scm 196 */
														long BgL_arg1834z00_2383;

														BgL_arg1834z00_2383 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2361);
														BgL_arg1833z00_2382 =
															(BgL_arg1834z00_2383 - OBJECT_TYPE);
													}
													BgL_oclassz00_2376 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2382);
												}
												{	/* BackEnd/cplib.scm 196 */
													bool_t BgL__ortest_1110z00_2377;

													BgL__ortest_1110z00_2377 =
														(BgL_classz00_2359 == BgL_oclassz00_2376);
													if (BgL__ortest_1110z00_2377)
														{	/* BackEnd/cplib.scm 196 */
															BgL_res1864z00_2390 = BgL__ortest_1110z00_2377;
														}
													else
														{	/* BackEnd/cplib.scm 196 */
															long BgL_odepthz00_2378;

															BgL_odepthz00_2378 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2376);
															if ((((long) 3) < BgL_odepthz00_2378))
																{	/* BackEnd/cplib.scm 196 */
																	obj_t BgL_arg1821z00_2380;

																	BgL_arg1821z00_2380 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2376,
																		((long) 3));
																	BgL_res1864z00_2390 =
																		(BgL_arg1821z00_2380 == BgL_classz00_2359);
																}
															else
																{	/* BackEnd/cplib.scm 196 */
																	BgL_res1864z00_2390 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2365 = BgL_res1864z00_2390;
										}
										BgL_test1962z00_3338 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2364,
											BgL_arg1823z00_2365);
									}
								}
							}
							if (BgL_test1962z00_3338)
								{	/* BackEnd/cplib.scm 197 */
									long BgL_xz00_1768;

									BgL_xz00_1768 =
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1758))))->
										BgL_arityz00);
									if ((BgL_xz00_1768 >= ((long) 0)))
										{	/* BackEnd/cplib.scm 198 */
											return BGL_SAFE_MINUS_FX(BgL_xz00_1768, ((long) 1));
										}
									else
										{	/* BackEnd/cplib.scm 198 */
											return BGL_SAFE_PLUS_FX(BgL_xz00_1768, ((long) 1));
								}}
							else
								{	/* BackEnd/cplib.scm 196 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &global-arity */
	obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t BgL_envz00_2834,
		obj_t BgL_varz00_2835)
	{
		{	/* BackEnd/cplib.scm 186 */
			return
				BGl_globalzd2arityzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2835));
		}

	}



/* for-each-declared-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t
		BgL_funz00_24)
	{
		{	/* BackEnd/cplib.scm 205 */
			{	/* BackEnd/cplib.scm 206 */
				obj_t BgL_g1246z00_1774;

				BgL_g1246z00_1774 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1244z00_1776;

					{	/* BackEnd/cplib.scm 215 */
						bool_t BgL_tmpz00_3368;

						BgL_l1244z00_1776 = BgL_g1246z00_1774;
					BgL_zc3z04anonymousza31502ze3z87_1777:
						if (PAIRP(BgL_l1244z00_1776))
							{	/* BackEnd/cplib.scm 215 */
								{	/* BackEnd/cplib.scm 207 */
									obj_t BgL_cz00_1779;

									BgL_cz00_1779 = CAR(BgL_l1244z00_1776);
									{	/* BackEnd/cplib.scm 207 */
										bool_t BgL_widezf3zf3_1780;

										BgL_widezf3zf3_1780 =
											BGl_widezd2classzf3z21zzobject_classz00(BgL_cz00_1779);
										{	/* BackEnd/cplib.scm 212 */
											obj_t BgL_arg1520z00_1781;
											obj_t BgL_arg1524z00_1782;

											if (BgL_widezf3zf3_1780)
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg1520z00_1781 =
														BGl_widezd2ze3chunkz31zzbackend_cplibz00(
														((BgL_typez00_bglt) BgL_cz00_1779));
												}
											else
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg1520z00_1781 = BgL_cz00_1779;
												}
											if (BgL_widezf3zf3_1780)
												{	/* BackEnd/cplib.scm 214 */
													BgL_arg1524z00_1782 =
														((obj_t)
														BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF((
																	(long) 0))));
												}
											else
												{
													BgL_tclassz00_bglt BgL_auxz00_3380;

													{
														obj_t BgL_auxz00_3381;

														{	/* BackEnd/cplib.scm 214 */
															BgL_objectz00_bglt BgL_tmpz00_3382;

															BgL_tmpz00_3382 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_cz00_1779));
															BgL_auxz00_3381 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3382);
														}
														BgL_auxz00_3380 =
															((BgL_tclassz00_bglt) BgL_auxz00_3381);
													}
													BgL_arg1524z00_1782 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3380))->
														BgL_itszd2superzd2);
												}
											PROCEDURE_ENTRY(BgL_funz00_24) (BgL_funz00_24,
												BgL_cz00_1779, BgL_arg1520z00_1781, BgL_arg1524z00_1782,
												BEOA);
										}
									}
								}
								{
									obj_t BgL_l1244z00_3394;

									BgL_l1244z00_3394 = CDR(BgL_l1244z00_1776);
									BgL_l1244z00_1776 = BgL_l1244z00_3394;
									goto BgL_zc3z04anonymousza31502ze3z87_1777;
								}
							}
						else
							{	/* BackEnd/cplib.scm 215 */
								BgL_tmpz00_3368 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_3368);
					}
				}
			}
		}

	}



/* &for-each-declared-classes */
	obj_t BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2836, obj_t BgL_funz00_2837)
	{
		{	/* BackEnd/cplib.scm 205 */
			return
				BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00
				(BgL_funz00_2837);
		}

	}



/* get-declared-classes */
	BGL_EXPORTED_DEF obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 220 */
			{	/* BackEnd/cplib.scm 223 */
				obj_t BgL_rz00_1785;

				BgL_rz00_1785 = BNIL;
				{	/* BackEnd/cplib.scm 224 */
					obj_t BgL_g1249z00_1786;

					BgL_g1249z00_1786 = BGl_getzd2classzd2listz00zzobject_classz00();
					{
						obj_t BgL_l1247z00_1788;

						BgL_l1247z00_1788 = BgL_g1249z00_1786;
					BgL_zc3z04anonymousza31535ze3z87_1789:
						if (PAIRP(BgL_l1247z00_1788))
							{	/* BackEnd/cplib.scm 229 */
								{	/* BackEnd/cplib.scm 225 */
									obj_t BgL_cz00_1791;

									BgL_cz00_1791 = CAR(BgL_l1247z00_1788);
									{	/* BackEnd/cplib.scm 225 */
										bool_t BgL_test1970z00_3402;

										{	/* BackEnd/cplib.scm 225 */
											bool_t BgL_test1971z00_3403;

											{	/* BackEnd/cplib.scm 225 */
												obj_t BgL_arg1564z00_1803;

												{	/* BackEnd/cplib.scm 225 */
													BgL_globalz00_bglt BgL_arg1567z00_1804;

													{
														BgL_tclassz00_bglt BgL_auxz00_3404;

														{
															obj_t BgL_auxz00_3405;

															{	/* BackEnd/cplib.scm 225 */
																BgL_objectz00_bglt BgL_tmpz00_3406;

																BgL_tmpz00_3406 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_cz00_1791));
																BgL_auxz00_3405 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3406);
															}
															BgL_auxz00_3404 =
																((BgL_tclassz00_bglt) BgL_auxz00_3405);
														}
														BgL_arg1567z00_1804 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3404))->
															BgL_holderz00);
													}
													BgL_arg1564z00_1803 =
														(((BgL_globalz00_bglt)
															COBJECT(BgL_arg1567z00_1804))->BgL_importz00);
												}
												BgL_test1971z00_3403 =
													(BgL_arg1564z00_1803 == CNST_TABLE_REF(((long) 3)));
											}
											if (BgL_test1971z00_3403)
												{	/* BackEnd/cplib.scm 225 */
													BgL_test1970z00_3402 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/cplib.scm 225 */
													BgL_test1970z00_3402 =
														(BgL_cz00_1791 ==
														BGl_getzd2objectzd2typez00zztype_cachez00());
												}
										}
										if (BgL_test1970z00_3402)
											{	/* BackEnd/cplib.scm 225 */
												BFALSE;
											}
										else
											{	/* BackEnd/cplib.scm 227 */
												obj_t BgL_arg1554z00_1799;

												if (BGl_widezd2classzf3z21zzobject_classz00
													(BgL_cz00_1791))
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg1554z00_1799 =
															BGl_widezd2ze3chunkz31zzbackend_cplibz00(
															((BgL_typez00_bglt) BgL_cz00_1791));
													}
												else
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg1554z00_1799 = BgL_cz00_1791;
													}
												BgL_rz00_1785 =
													MAKE_YOUNG_PAIR(BgL_arg1554z00_1799, BgL_rz00_1785);
											}
									}
								}
								{
									obj_t BgL_l1247z00_3422;

									BgL_l1247z00_3422 = CDR(BgL_l1247z00_1788);
									BgL_l1247z00_1788 = BgL_l1247z00_3422;
									goto BgL_zc3z04anonymousza31535ze3z87_1789;
								}
							}
						else
							{	/* BackEnd/cplib.scm 229 */
								((bool_t) 1);
							}
					}
				}
				return BgL_rz00_1785;
			}
		}

	}



/* &get-declared-classes */
	obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t
		BgL_envz00_2838)
	{
		{	/* BackEnd/cplib.scm 220 */
			return BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
		}

	}



/* type->class */
	obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_25)
	{
		{	/* BackEnd/cplib.scm 235 */
			{	/* BackEnd/cplib.scm 237 */
				bool_t BgL_test1973z00_3425;

				{	/* BackEnd/cplib.scm 237 */
					obj_t BgL_classz00_2402;

					BgL_classz00_2402 = BGl_tclassz00zzobject_classz00;
					{	/* BackEnd/cplib.scm 237 */
						BgL_objectz00_bglt BgL_arg1825z00_2404;

						{	/* BackEnd/cplib.scm 237 */
							obj_t BgL_tmpz00_3426;

							BgL_tmpz00_3426 = ((obj_t) ((BgL_objectz00_bglt) BgL_typez00_25));
							BgL_arg1825z00_2404 = (BgL_objectz00_bglt) (BgL_tmpz00_3426);
						}
						{	/* BackEnd/cplib.scm 237 */
							bool_t BgL_arg1822z00_2407;
							bool_t BgL_arg1823z00_2408;

							{	/* BackEnd/cplib.scm 237 */
								long BgL_idxz00_2411;

								BgL_idxz00_2411 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2404);
								BgL_arg1822z00_2407 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2411 + ((long) 2))) == BgL_classz00_2402);
							}
							{	/* BackEnd/cplib.scm 237 */
								bool_t BgL_res1865z00_2433;

								{	/* BackEnd/cplib.scm 237 */
									obj_t BgL_oclassz00_2419;

									{	/* BackEnd/cplib.scm 237 */
										long BgL_arg1833z00_2425;

										{	/* BackEnd/cplib.scm 237 */
											long BgL_arg1834z00_2426;

											BgL_arg1834z00_2426 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2404);
											BgL_arg1833z00_2425 = (BgL_arg1834z00_2426 - OBJECT_TYPE);
										}
										BgL_oclassz00_2419 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2425);
									}
									{	/* BackEnd/cplib.scm 237 */
										bool_t BgL__ortest_1110z00_2420;

										BgL__ortest_1110z00_2420 =
											(BgL_classz00_2402 == BgL_oclassz00_2419);
										if (BgL__ortest_1110z00_2420)
											{	/* BackEnd/cplib.scm 237 */
												BgL_res1865z00_2433 = BgL__ortest_1110z00_2420;
											}
										else
											{	/* BackEnd/cplib.scm 237 */
												long BgL_odepthz00_2421;

												BgL_odepthz00_2421 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2419);
												if ((((long) 2) < BgL_odepthz00_2421))
													{	/* BackEnd/cplib.scm 237 */
														obj_t BgL_arg1821z00_2423;

														BgL_arg1821z00_2423 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2419,
															((long) 2));
														BgL_res1865z00_2433 =
															(BgL_arg1821z00_2423 == BgL_classz00_2402);
													}
												else
													{	/* BackEnd/cplib.scm 237 */
														BgL_res1865z00_2433 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2408 = BgL_res1865z00_2433;
							}
							BgL_test1973z00_3425 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2407, BgL_arg1823z00_2408);
						}
					}
				}
				if (BgL_test1973z00_3425)
					{	/* BackEnd/cplib.scm 237 */
						return ((obj_t) BgL_typez00_25);
					}
				else
					{	/* BackEnd/cplib.scm 239 */
						bool_t BgL_test1976z00_3446;

						{	/* BackEnd/cplib.scm 239 */
							obj_t BgL_classz00_2434;

							BgL_classz00_2434 = BGl_wclassz00zzobject_classz00;
							{	/* BackEnd/cplib.scm 239 */
								BgL_objectz00_bglt BgL_arg1825z00_2436;

								{	/* BackEnd/cplib.scm 239 */
									obj_t BgL_tmpz00_3447;

									BgL_tmpz00_3447 =
										((obj_t) ((BgL_objectz00_bglt) BgL_typez00_25));
									BgL_arg1825z00_2436 = (BgL_objectz00_bglt) (BgL_tmpz00_3447);
								}
								{	/* BackEnd/cplib.scm 239 */
									bool_t BgL_arg1822z00_2439;
									bool_t BgL_arg1823z00_2440;

									{	/* BackEnd/cplib.scm 239 */
										long BgL_idxz00_2443;

										BgL_idxz00_2443 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2436);
										BgL_arg1822z00_2439 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2443 + ((long) 2))) == BgL_classz00_2434);
									}
									{	/* BackEnd/cplib.scm 239 */
										bool_t BgL_res1866z00_2465;

										{	/* BackEnd/cplib.scm 239 */
											obj_t BgL_oclassz00_2451;

											{	/* BackEnd/cplib.scm 239 */
												long BgL_arg1833z00_2457;

												{	/* BackEnd/cplib.scm 239 */
													long BgL_arg1834z00_2458;

													BgL_arg1834z00_2458 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2436);
													BgL_arg1833z00_2457 =
														(BgL_arg1834z00_2458 - OBJECT_TYPE);
												}
												BgL_oclassz00_2451 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2457);
											}
											{	/* BackEnd/cplib.scm 239 */
												bool_t BgL__ortest_1110z00_2452;

												BgL__ortest_1110z00_2452 =
													(BgL_classz00_2434 == BgL_oclassz00_2451);
												if (BgL__ortest_1110z00_2452)
													{	/* BackEnd/cplib.scm 239 */
														BgL_res1866z00_2465 = BgL__ortest_1110z00_2452;
													}
												else
													{	/* BackEnd/cplib.scm 239 */
														long BgL_odepthz00_2453;

														BgL_odepthz00_2453 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2451);
														if ((((long) 2) < BgL_odepthz00_2453))
															{	/* BackEnd/cplib.scm 239 */
																obj_t BgL_arg1821z00_2455;

																BgL_arg1821z00_2455 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2451,
																	((long) 2));
																BgL_res1866z00_2465 =
																	(BgL_arg1821z00_2455 == BgL_classz00_2434);
															}
														else
															{	/* BackEnd/cplib.scm 239 */
																BgL_res1866z00_2465 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2440 = BgL_res1866z00_2465;
									}
									BgL_test1976z00_3446 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2439, BgL_arg1823z00_2440);
								}
							}
						}
						if (BgL_test1976z00_3446)
							{
								BgL_wclassz00_bglt BgL_auxz00_3466;

								{
									obj_t BgL_auxz00_3467;

									{	/* BackEnd/cplib.scm 240 */
										BgL_objectz00_bglt BgL_tmpz00_3468;

										BgL_tmpz00_3468 =
											((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_typez00_25));
										BgL_auxz00_3467 = BGL_OBJECT_WIDENING(BgL_tmpz00_3468);
									}
									BgL_auxz00_3466 = ((BgL_wclassz00_bglt) BgL_auxz00_3467);
								}
								return
									(((BgL_wclassz00_bglt) COBJECT(BgL_auxz00_3466))->
									BgL_itszd2classzd2);
							}
						else
							{	/* BackEnd/cplib.scm 239 */
								return
									BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											4)), BGl_string1886z00zzbackend_cplibz00,
									((obj_t) BgL_typez00_25));
		}}}}

	}



/* get-its-super */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt BgL_typez00_26)
	{
		{	/* BackEnd/cplib.scm 247 */
			{	/* BackEnd/cplib.scm 248 */
				obj_t BgL_arg1578z00_2468;

				BgL_arg1578z00_2468 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_26);
				{
					obj_t BgL_auxz00_3478;

					{
						BgL_tclassz00_bglt BgL_auxz00_3479;

						{
							obj_t BgL_auxz00_3480;

							{	/* BackEnd/cplib.scm 248 */
								BgL_objectz00_bglt BgL_tmpz00_3481;

								BgL_tmpz00_3481 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt) BgL_arg1578z00_2468));
								BgL_auxz00_3480 = BGL_OBJECT_WIDENING(BgL_tmpz00_3481);
							}
							BgL_auxz00_3479 = ((BgL_tclassz00_bglt) BgL_auxz00_3480);
						}
						BgL_auxz00_3478 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3479))->
							BgL_itszd2superzd2);
					}
					return ((BgL_typez00_bglt) BgL_auxz00_3478);
				}
			}
		}

	}



/* &get-its-super */
	BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t
		BgL_envz00_2839, obj_t BgL_typez00_2840)
	{
		{	/* BackEnd/cplib.scm 247 */
			return
				BGl_getzd2itszd2superz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2840));
		}

	}



/* get-declared-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_27)
	{
		{	/* BackEnd/cplib.scm 253 */
			{	/* BackEnd/cplib.scm 255 */
				obj_t BgL_classz00_1810;

				BgL_classz00_1810 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_27);
				{	/* BackEnd/cplib.scm 256 */
					obj_t BgL_hook1254z00_1811;

					BgL_hook1254z00_1811 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* BackEnd/cplib.scm 259 */
						obj_t BgL_g1255z00_1812;

						{
							BgL_tclassz00_bglt BgL_auxz00_3492;

							{
								obj_t BgL_auxz00_3493;

								{	/* BackEnd/cplib.scm 259 */
									BgL_objectz00_bglt BgL_tmpz00_3494;

									BgL_tmpz00_3494 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_classz00_1810));
									BgL_auxz00_3493 = BGL_OBJECT_WIDENING(BgL_tmpz00_3494);
								}
								BgL_auxz00_3492 = ((BgL_tclassz00_bglt) BgL_auxz00_3493);
							}
							BgL_g1255z00_1812 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3492))->BgL_slotsz00);
						}
						{
							obj_t BgL_l1251z00_1814;
							obj_t BgL_h1252z00_1815;

							BgL_l1251z00_1814 = BgL_g1255z00_1812;
							BgL_h1252z00_1815 = BgL_hook1254z00_1811;
						BgL_zc3z04anonymousza31579ze3z87_1816:
							if (NULLP(BgL_l1251z00_1814))
								{	/* BackEnd/cplib.scm 259 */
									return CDR(BgL_hook1254z00_1811);
								}
							else
								{	/* BackEnd/cplib.scm 259 */
									bool_t BgL_test1980z00_3503;

									{	/* BackEnd/cplib.scm 257 */
										BgL_slotz00_bglt BgL_slotz00_1826;

										BgL_slotz00_1826 =
											((BgL_slotz00_bglt) CAR(((obj_t) BgL_l1251z00_1814)));
										if (BGl_slotzd2virtualzf3z21zzobject_slotsz00
											(BgL_slotz00_1826))
											{	/* BackEnd/cplib.scm 257 */
												BgL_test1980z00_3503 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/cplib.scm 257 */
												BgL_test1980z00_3503 =
													(BgL_classz00_1810 ==
													(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_1826))->
														BgL_classzd2ownerzd2));
											}
									}
									if (BgL_test1980z00_3503)
										{	/* BackEnd/cplib.scm 259 */
											obj_t BgL_nh1253z00_1822;

											{	/* BackEnd/cplib.scm 259 */
												obj_t BgL_arg1584z00_1824;

												BgL_arg1584z00_1824 = CAR(((obj_t) BgL_l1251z00_1814));
												BgL_nh1253z00_1822 =
													MAKE_YOUNG_PAIR(BgL_arg1584z00_1824, BNIL);
											}
											SET_CDR(BgL_h1252z00_1815, BgL_nh1253z00_1822);
											{	/* BackEnd/cplib.scm 259 */
												obj_t BgL_arg1583z00_1823;

												BgL_arg1583z00_1823 = CDR(((obj_t) BgL_l1251z00_1814));
												{
													obj_t BgL_h1252z00_3518;
													obj_t BgL_l1251z00_3517;

													BgL_l1251z00_3517 = BgL_arg1583z00_1823;
													BgL_h1252z00_3518 = BgL_nh1253z00_1822;
													BgL_h1252z00_1815 = BgL_h1252z00_3518;
													BgL_l1251z00_1814 = BgL_l1251z00_3517;
													goto BgL_zc3z04anonymousza31579ze3z87_1816;
												}
											}
										}
									else
										{	/* BackEnd/cplib.scm 259 */
											obj_t BgL_arg1585z00_1825;

											BgL_arg1585z00_1825 = CDR(((obj_t) BgL_l1251z00_1814));
											{
												obj_t BgL_l1251z00_3521;

												BgL_l1251z00_3521 = BgL_arg1585z00_1825;
												BgL_l1251z00_1814 = BgL_l1251z00_3521;
												goto BgL_zc3z04anonymousza31579ze3z87_1816;
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* &get-declared-fields */
	obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t
		BgL_envz00_2841, obj_t BgL_typez00_2842)
	{
		{	/* BackEnd/cplib.scm 253 */
			return
				BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2842));
		}

	}



/* get-field-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt BgL_slotz00_28)
	{
		{	/* BackEnd/cplib.scm 264 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_slotz00_28))->BgL_typez00);
		}

	}



/* &get-field-type */
	obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t BgL_envz00_2843,
		obj_t BgL_slotz00_2844)
	{
		{	/* BackEnd/cplib.scm 264 */
			return
				BGl_getzd2fieldzd2typez00zzbackend_cplibz00(
				((BgL_slotz00_bglt) BgL_slotz00_2844));
		}

	}



/* wide->chunk */
	BGL_EXPORTED_DEF obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt BgL_cz00_29)
	{
		{	/* BackEnd/cplib.scm 271 */
			{	/* BackEnd/cplib.scm 275 */
				bool_t BgL_test1982z00_3527;

				{	/* BackEnd/cplib.scm 275 */
					BgL_typez00_bglt BgL_arg1604z00_1835;
					obj_t BgL_arg1606z00_1836;

					{	/* BackEnd/cplib.scm 275 */
						obj_t BgL_arg1612z00_1837;

						{	/* BackEnd/cplib.scm 275 */
							obj_t BgL_arg1613z00_1838;

							BgL_arg1613z00_1838 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_cz00_29)))->BgL_idz00);
							BgL_arg1612z00_1837 =
								BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00
								(BgL_arg1613z00_1838);
						}
						BgL_arg1604z00_1835 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1612z00_1837);
					}
					{
						BgL_tclassz00_bglt BgL_auxz00_3532;

						{
							obj_t BgL_auxz00_3533;

							{	/* BackEnd/cplib.scm 276 */
								BgL_objectz00_bglt BgL_tmpz00_3534;

								BgL_tmpz00_3534 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_3533 = BGL_OBJECT_WIDENING(BgL_tmpz00_3534);
							}
							BgL_auxz00_3532 = ((BgL_tclassz00_bglt) BgL_auxz00_3533);
						}
						BgL_arg1606z00_1836 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3532))->
							BgL_widezd2typezd2);
					}
					BgL_test1982z00_3527 =
						(((obj_t) BgL_arg1604z00_1835) == BgL_arg1606z00_1836);
				}
				if (BgL_test1982z00_3527)
					{
						BgL_tclassz00_bglt BgL_auxz00_3541;

						{
							obj_t BgL_auxz00_3542;

							{	/* BackEnd/cplib.scm 278 */
								BgL_objectz00_bglt BgL_tmpz00_3543;

								BgL_tmpz00_3543 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_3542 = BGL_OBJECT_WIDENING(BgL_tmpz00_3543);
							}
							BgL_auxz00_3541 = ((BgL_tclassz00_bglt) BgL_auxz00_3542);
						}
						return
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3541))->
							BgL_widezd2typezd2);
					}
				else
					{	/* BackEnd/cplib.scm 275 */
						return
							BGl_errorz00zz__errorz00(BGl_string1887z00zzbackend_cplibz00,
							BGl_string1888z00zzbackend_cplibz00, ((obj_t) BgL_cz00_29));
					}
			}
		}

	}



/* &wide->chunk */
	obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t BgL_envz00_2845,
		obj_t BgL_cz00_2846)
	{
		{	/* BackEnd/cplib.scm 271 */
			return
				BGl_widezd2ze3chunkz31zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_cz00_2846));
		}

	}



/* get-declared-global-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t
		BgL_modulez00_30)
	{
		{	/* BackEnd/cplib.scm 283 */
			{	/* BackEnd/cplib.scm 285 */
				obj_t BgL_rz00_2855;

				BgL_rz00_2855 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 287 */
					obj_t BgL_zc3z04anonymousza31621ze3z87_2847;

					BgL_zc3z04anonymousza31621ze3z87_2847 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31621ze3ze5zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31621ze3z87_2847,
						(int) (((long) 0)), ((obj_t) BgL_rz00_2855));
					PROCEDURE_SET(BgL_zc3z04anonymousza31621ze3z87_2847,
						(int) (((long) 1)), BgL_modulez00_30);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31621ze3z87_2847, BNIL);
				}
				return CELL_REF(BgL_rz00_2855);
			}
		}

	}



/* &get-declared-global-variables */
	obj_t BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2848, obj_t BgL_modulez00_2849)
	{
		{	/* BackEnd/cplib.scm 283 */
			return
				BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
				(BgL_modulez00_2849);
		}

	}



/* &<@anonymous:1621> */
	obj_t BGl_z62zc3z04anonymousza31621ze3ze5zzbackend_cplibz00(obj_t
		BgL_envz00_2850, obj_t BgL_vz00_2853)
	{
		{	/* BackEnd/cplib.scm 286 */
			{	/* BackEnd/cplib.scm 287 */
				obj_t BgL_rz00_2851;
				obj_t BgL_modulez00_2852;

				BgL_rz00_2851 = PROCEDURE_REF(BgL_envz00_2850, (int) (((long) 0)));
				BgL_modulez00_2852 = PROCEDURE_REF(BgL_envz00_2850, (int) (((long) 1)));
				{	/* BackEnd/cplib.scm 287 */
					bool_t BgL_test1983z00_3566;

					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_vz00_2853)))->BgL_modulez00) ==
							BgL_modulez00_2852))
						{	/* BackEnd/cplib.scm 288 */
							bool_t BgL_test1985z00_3571;

							{	/* BackEnd/cplib.scm 288 */
								BgL_valuez00_bglt BgL_arg1675z00_2880;

								BgL_arg1675z00_2880 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_2853))))->BgL_valuez00);
								{	/* BackEnd/cplib.scm 288 */
									obj_t BgL_classz00_2881;

									BgL_classz00_2881 = BGl_cfunz00zzast_varz00;
									{	/* BackEnd/cplib.scm 288 */
										BgL_objectz00_bglt BgL_arg1825z00_2882;

										{	/* BackEnd/cplib.scm 288 */
											obj_t BgL_tmpz00_3575;

											BgL_tmpz00_3575 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1675z00_2880));
											BgL_arg1825z00_2882 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3575);
										}
										{	/* BackEnd/cplib.scm 288 */
											bool_t BgL_arg1822z00_2883;
											bool_t BgL_arg1823z00_2884;

											{	/* BackEnd/cplib.scm 288 */
												long BgL_idxz00_2885;

												BgL_idxz00_2885 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2882);
												BgL_arg1822z00_2883 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2885 + ((long) 3))) ==
													BgL_classz00_2881);
											}
											{	/* BackEnd/cplib.scm 288 */
												bool_t BgL_res1867z00_2888;

												{	/* BackEnd/cplib.scm 288 */
													obj_t BgL_oclassz00_2889;

													{	/* BackEnd/cplib.scm 288 */
														long BgL_arg1833z00_2890;

														{	/* BackEnd/cplib.scm 288 */
															long BgL_arg1834z00_2891;

															BgL_arg1834z00_2891 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2882);
															BgL_arg1833z00_2890 =
																(BgL_arg1834z00_2891 - OBJECT_TYPE);
														}
														BgL_oclassz00_2889 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2890);
													}
													{	/* BackEnd/cplib.scm 288 */
														bool_t BgL__ortest_1110z00_2892;

														BgL__ortest_1110z00_2892 =
															(BgL_classz00_2881 == BgL_oclassz00_2889);
														if (BgL__ortest_1110z00_2892)
															{	/* BackEnd/cplib.scm 288 */
																BgL_res1867z00_2888 = BgL__ortest_1110z00_2892;
															}
														else
															{	/* BackEnd/cplib.scm 288 */
																long BgL_odepthz00_2893;

																BgL_odepthz00_2893 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2889);
																if ((((long) 3) < BgL_odepthz00_2893))
																	{	/* BackEnd/cplib.scm 288 */
																		obj_t BgL_arg1821z00_2894;

																		BgL_arg1821z00_2894 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2889, ((long) 3));
																		BgL_res1867z00_2888 =
																			(BgL_arg1821z00_2894 ==
																			BgL_classz00_2881);
																	}
																else
																	{	/* BackEnd/cplib.scm 288 */
																		BgL_res1867z00_2888 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2884 = BgL_res1867z00_2888;
											}
											BgL_test1985z00_3571 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2883,
												BgL_arg1823z00_2884);
										}
									}
								}
							}
							if (BgL_test1985z00_3571)
								{	/* BackEnd/cplib.scm 288 */
									BgL_test1983z00_3566 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/cplib.scm 289 */
									bool_t BgL_test1988z00_3594;

									{	/* BackEnd/cplib.scm 289 */
										BgL_valuez00_bglt BgL_arg1668z00_2895;

										BgL_arg1668z00_2895 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_2853))))->
											BgL_valuez00);
										{	/* BackEnd/cplib.scm 289 */
											obj_t BgL_classz00_2896;

											BgL_classz00_2896 = BGl_sfunz00zzast_varz00;
											{	/* BackEnd/cplib.scm 289 */
												BgL_objectz00_bglt BgL_arg1825z00_2897;

												{	/* BackEnd/cplib.scm 289 */
													obj_t BgL_tmpz00_3598;

													BgL_tmpz00_3598 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1668z00_2895));
													BgL_arg1825z00_2897 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3598);
												}
												{	/* BackEnd/cplib.scm 289 */
													bool_t BgL_arg1822z00_2898;
													bool_t BgL_arg1823z00_2899;

													{	/* BackEnd/cplib.scm 289 */
														long BgL_idxz00_2900;

														BgL_idxz00_2900 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2897);
														BgL_arg1822z00_2898 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2900 + ((long) 3))) ==
															BgL_classz00_2896);
													}
													{	/* BackEnd/cplib.scm 289 */
														bool_t BgL_res1868z00_2903;

														{	/* BackEnd/cplib.scm 289 */
															obj_t BgL_oclassz00_2904;

															{	/* BackEnd/cplib.scm 289 */
																long BgL_arg1833z00_2905;

																{	/* BackEnd/cplib.scm 289 */
																	long BgL_arg1834z00_2906;

																	BgL_arg1834z00_2906 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2897);
																	BgL_arg1833z00_2905 =
																		(BgL_arg1834z00_2906 - OBJECT_TYPE);
																}
																BgL_oclassz00_2904 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2905);
															}
															{	/* BackEnd/cplib.scm 289 */
																bool_t BgL__ortest_1110z00_2907;

																BgL__ortest_1110z00_2907 =
																	(BgL_classz00_2896 == BgL_oclassz00_2904);
																if (BgL__ortest_1110z00_2907)
																	{	/* BackEnd/cplib.scm 289 */
																		BgL_res1868z00_2903 =
																			BgL__ortest_1110z00_2907;
																	}
																else
																	{	/* BackEnd/cplib.scm 289 */
																		long BgL_odepthz00_2908;

																		BgL_odepthz00_2908 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2904);
																		if ((((long) 3) < BgL_odepthz00_2908))
																			{	/* BackEnd/cplib.scm 289 */
																				obj_t BgL_arg1821z00_2909;

																				BgL_arg1821z00_2909 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2904, ((long) 3));
																				BgL_res1868z00_2903 =
																					(BgL_arg1821z00_2909 ==
																					BgL_classz00_2896);
																			}
																		else
																			{	/* BackEnd/cplib.scm 289 */
																				BgL_res1868z00_2903 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2899 = BgL_res1868z00_2903;
													}
													BgL_test1988z00_3594 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2898,
														BgL_arg1823z00_2899);
												}
											}
										}
									}
									if (BgL_test1988z00_3594)
										{	/* BackEnd/cplib.scm 289 */
											BgL_test1983z00_3566 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/cplib.scm 289 */
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_vz00_2853))))->
														BgL_idz00) == CNST_TABLE_REF(((long) 5))))
												{	/* BackEnd/cplib.scm 290 */
													BgL_test1983z00_3566 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 290 */
													BgL_test1983z00_3566 = ((bool_t) 1);
												}
										}
								}
						}
					else
						{	/* BackEnd/cplib.scm 287 */
							BgL_test1983z00_3566 = ((bool_t) 0);
						}
					if (BgL_test1983z00_3566)
						{	/* BackEnd/cplib.scm 291 */
							obj_t BgL_auxz00_2910;

							BgL_auxz00_2910 =
								MAKE_YOUNG_PAIR(BgL_vz00_2853, CELL_REF(BgL_rz00_2851));
							return CELL_SET(BgL_rz00_2851, BgL_auxz00_2910);
						}
					else
						{	/* BackEnd/cplib.scm 287 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get-global-variables-to-be-initialized */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t BgL_modulez00_31)
	{
		{	/* BackEnd/cplib.scm 297 */
			{	/* BackEnd/cplib.scm 299 */
				obj_t BgL_rz00_2865;

				BgL_rz00_2865 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 301 */
					obj_t BgL_zc3z04anonymousza31680ze3z87_2857;

					BgL_zc3z04anonymousza31680ze3z87_2857 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31680ze3ze5zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31680ze3z87_2857,
						(int) (((long) 0)), ((obj_t) BgL_rz00_2865));
					PROCEDURE_SET(BgL_zc3z04anonymousza31680ze3z87_2857,
						(int) (((long) 1)), BgL_modulez00_31);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31680ze3z87_2857, BNIL);
				}
				return CELL_REF(BgL_rz00_2865);
			}
		}

	}



/* &get-global-variables-to-be-initialized */
	obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t BgL_envz00_2858, obj_t BgL_modulez00_2859)
	{
		{	/* BackEnd/cplib.scm 297 */
			return
				BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
				(BgL_modulez00_2859);
		}

	}



/* &<@anonymous:1680> */
	obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzbackend_cplibz00(obj_t
		BgL_envz00_2860, obj_t BgL_globalz00_2863)
	{
		{	/* BackEnd/cplib.scm 300 */
			{	/* BackEnd/cplib.scm 301 */
				obj_t BgL_rz00_2861;
				obj_t BgL_modulez00_2862;

				BgL_rz00_2861 = PROCEDURE_REF(BgL_envz00_2860, (int) (((long) 0)));
				BgL_modulez00_2862 = PROCEDURE_REF(BgL_envz00_2860, (int) (((long) 1)));
				{	/* BackEnd/cplib.scm 301 */
					bool_t BgL_test1992z00_3638;

					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_globalz00_2863)))->
								BgL_modulez00) == BgL_modulez00_2862))
						{	/* BackEnd/cplib.scm 301 */
							if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
									((BgL_globalz00_bglt) BgL_globalz00_2863)))
								{	/* BackEnd/cplib.scm 304 */
									BgL_valuez00_bglt BgL_arg1699z00_2911;

									BgL_arg1699z00_2911 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2863))))->
										BgL_valuez00);
									{	/* BackEnd/cplib.scm 304 */
										obj_t BgL_classz00_2912;

										BgL_classz00_2912 = BGl_scnstz00zzast_varz00;
										{	/* BackEnd/cplib.scm 304 */
											BgL_objectz00_bglt BgL_arg1825z00_2913;

											{	/* BackEnd/cplib.scm 304 */
												obj_t BgL_tmpz00_3649;

												BgL_tmpz00_3649 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1699z00_2911));
												BgL_arg1825z00_2913 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3649);
											}
											{	/* BackEnd/cplib.scm 304 */
												bool_t BgL_arg1822z00_2914;
												bool_t BgL_arg1823z00_2915;

												{	/* BackEnd/cplib.scm 304 */
													long BgL_idxz00_2916;

													BgL_idxz00_2916 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2913);
													BgL_arg1822z00_2914 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2916 + ((long) 2))) ==
														BgL_classz00_2912);
												}
												{	/* BackEnd/cplib.scm 304 */
													bool_t BgL_res1869z00_2919;

													{	/* BackEnd/cplib.scm 304 */
														obj_t BgL_oclassz00_2920;

														{	/* BackEnd/cplib.scm 304 */
															long BgL_arg1833z00_2921;

															{	/* BackEnd/cplib.scm 304 */
																long BgL_arg1834z00_2922;

																BgL_arg1834z00_2922 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2913);
																BgL_arg1833z00_2921 =
																	(BgL_arg1834z00_2922 - OBJECT_TYPE);
															}
															BgL_oclassz00_2920 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2921);
														}
														{	/* BackEnd/cplib.scm 304 */
															bool_t BgL__ortest_1110z00_2923;

															BgL__ortest_1110z00_2923 =
																(BgL_classz00_2912 == BgL_oclassz00_2920);
															if (BgL__ortest_1110z00_2923)
																{	/* BackEnd/cplib.scm 304 */
																	BgL_res1869z00_2919 =
																		BgL__ortest_1110z00_2923;
																}
															else
																{	/* BackEnd/cplib.scm 304 */
																	long BgL_odepthz00_2924;

																	BgL_odepthz00_2924 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2920);
																	if ((((long) 2) < BgL_odepthz00_2924))
																		{	/* BackEnd/cplib.scm 304 */
																			obj_t BgL_arg1821z00_2925;

																			BgL_arg1821z00_2925 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2920, ((long) 2));
																			BgL_res1869z00_2919 =
																				(BgL_arg1821z00_2925 ==
																				BgL_classz00_2912);
																		}
																	else
																		{	/* BackEnd/cplib.scm 304 */
																			BgL_res1869z00_2919 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2915 = BgL_res1869z00_2919;
												}
												BgL_test1992z00_3638 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2914,
													BgL_arg1823z00_2915);
											}
										}
									}
								}
							else
								{	/* BackEnd/cplib.scm 303 */
									BgL_test1992z00_3638 = ((bool_t) 0);
								}
						}
					else
						{	/* BackEnd/cplib.scm 301 */
							BgL_test1992z00_3638 = ((bool_t) 0);
						}
					if (BgL_test1992z00_3638)
						{	/* BackEnd/cplib.scm 305 */
							obj_t BgL_auxz00_2926;

							BgL_auxz00_2926 =
								MAKE_YOUNG_PAIR(BgL_globalz00_2863, CELL_REF(BgL_rz00_2861));
							return CELL_SET(BgL_rz00_2861, BgL_auxz00_2926);
						}
					else
						{	/* BackEnd/cplib.scm 301 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 93941037),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031), BSTRING_TO_STRING(BGl_string1889z00zzbackend_cplibz00));
		}

	}

#ifdef __cplusplus
}
#endif
