/*===========================================================================*/
/*   (BackEnd/jvm.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;


	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static bool_t BGl_z62zc3z04anonymousza31838ze3ze5zzbackend_jvmz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvmz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	extern obj_t BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31768ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00();
	extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zzbackend_jvmz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_jvmz00();
	static obj_t BGl_emitze70ze7zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_jvmz00();
	extern obj_t BGl_jvmz00zzbackend_jvm_classz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62backendzd2cnstzd2tablezd2n1492zb0zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
	static obj_t BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	static obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31712ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00(obj_t);
	static obj_t BGl_z62backendzd2linkzd2objects1494z62zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	static obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
	static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zzbackend_jvmz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvmz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_jvmz00();
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31716ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	static obj_t BGl_z62backendzd2compilezd2jvm1488z62zzbackend_jvmz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04exitza31767ze3ze70z60zzbackend_jvmz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t bgl_directoryp(char *);
	static obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
	static obj_t BGl_z62backendzd2subtypezf3zd2jvm1498z91zzbackend_jvmz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2linkzd2jvm1490z62zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2checkzd2inline1496z62zzbackend_jvmz00(obj_t,
		obj_t);
	static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 = BUNSPEC;
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2lin2067z00,
		BGl_z62backendzd2linkzd2jvm1490z62zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2cns2068z00,
		BGl_z62backendzd2cnstzd2tablezd2n1492zb0zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2040z00zzbackend_jvmz00,
		BgL_bgl_string2040za700za7za7b2069za7, "backend-subtype?", 16);
	      DEFINE_STRING(BGl_string2041z00zzbackend_jvmz00,
		BgL_bgl_string2041za700za7za7b2070za7, " -- ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2lin2071z00,
		BGl_z62backendzd2linkzd2objects1494z62zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2042z00zzbackend_jvmz00,
		BgL_bgl_string2042za700za7za7b2072za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2043z00zzbackend_jvmz00,
		BgL_bgl_string2043za700za7za7b2073za7, "link", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2che2074z00,
		BGl_z62backendzd2checkzd2inline1496z62zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2044z00zzbackend_jvmz00,
		BgL_bgl_string2044za700za7za7b2075za7, "\"", 1);
	      DEFINE_STRING(BGl_string2045z00zzbackend_jvmz00,
		BgL_bgl_string2045za700za7za7b2076za7, "Illegal file", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2sub2077z00,
		BGl_z62backendzd2subtypezf3zd2jvm1498z91zzbackend_jvmz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2046z00zzbackend_jvmz00,
		BgL_bgl_string2046za700za7za7b2078za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2047z00zzbackend_jvmz00,
		BgL_bgl_string2047za700za7za7b2079za7, "Jvm", 3);
	      DEFINE_STRING(BGl_string2048z00zzbackend_jvmz00,
		BgL_bgl_string2048za700za7za7b2080za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2049z00zzbackend_jvmz00,
		BgL_bgl_string2049za700za7za7b2081za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2050z00zzbackend_jvmz00,
		BgL_bgl_string2050za700za7za7b2082za7, "]", 1);
	      DEFINE_STRING(BGl_string2051z00zzbackend_jvmz00,
		BgL_bgl_string2051za700za7za7b2083za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2052z00zzbackend_jvmz00,
		BgL_bgl_string2052za700za7za7b2084za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2053z00zzbackend_jvmz00,
		BgL_bgl_string2053za700za7za7b2085za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2057z00zzbackend_jvmz00,
		BgL_bgl_string2057za700za7za7b2086za7, "/", 1);
	      DEFINE_STRING(BGl_string2058z00zzbackend_jvmz00,
		BgL_bgl_string2058za700za7za7b2087za7, "/a.class", 8);
	      DEFINE_STRING(BGl_string2059z00zzbackend_jvmz00,
		BgL_bgl_string2059za700za7za7b2088za7, "\n", 1);
	      DEFINE_STRING(BGl_string2060z00zzbackend_jvmz00,
		BgL_bgl_string2060za700za7za7b2089za7, "        class: ", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2090za7,
		BGl_z62zc3z04anonymousza31712ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2061z00zzbackend_jvmz00,
		BgL_bgl_string2061za700za7za7b2091za7, "jvm-dump", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2092za7,
		BGl_z62zc3z04anonymousza31714ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2062z00zzbackend_jvmz00,
		BgL_bgl_string2062za700za7za7b2093za7, "Can't open file for output", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2094za7,
		BGl_z62zc3z04anonymousza31716ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2063z00zzbackend_jvmz00,
		BgL_bgl_string2063za700za7za7b2095za7, "backend_jvm", 11);
	      DEFINE_STRING(BGl_string2064z00zzbackend_jvmz00,
		BgL_bgl_string2064za700za7za7b2096za7,
		"done cc (ld distrib) pass-started (start-jvm-emission!) module eval library java.lang.Object object ld class jvmas jast lower unamed (jvm) (java) native bigloo-jvm jvm ",
		168);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00,
		BgL_bgl_za762buildza7d2jvmza7d2097za7,
		BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
		BgL_bgl_za762startza7d2jvmza7d2098za7,
		BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2013z00zzbackend_jvmz00,
		BgL_bgl_string2013za700za7za7b2099za7, ".", 1);
	      DEFINE_STRING(BGl_string2014z00zzbackend_jvmz00,
		BgL_bgl_string2014za700za7za7b2100za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2015z00zzbackend_jvmz00,
		BgL_bgl_string2015za700za7za7b2101za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2016z00zzbackend_jvmz00,
		BgL_bgl_string2016za700za7za7b2102za7, "", 0);
	      DEFINE_STRING(BGl_string2017z00zzbackend_jvmz00,
		BgL_bgl_string2017za700za7za7b2103za7, "'.", 2);
	      DEFINE_STRING(BGl_string2018z00zzbackend_jvmz00,
		BgL_bgl_string2018za700za7za7b2104za7, "', class path is `", 18);
	      DEFINE_STRING(BGl_string2019z00zzbackend_jvmz00,
		BgL_bgl_string2019za700za7za7b2105za7, " is `", 5);
	      DEFINE_STRING(BGl_string2020z00zzbackend_jvmz00,
		BgL_bgl_string2020za700za7za7b2106za7, "Package name for module ", 24);
	      DEFINE_STRING(BGl_string2021z00zzbackend_jvmz00,
		BgL_bgl_string2021za700za7za7b2107za7,
		"Incompatible package name and class path.", 41);
	      DEFINE_STRING(BGl_string2022z00zzbackend_jvmz00,
		BgL_bgl_string2022za700za7za7b2108za7, ".jast", 5);
	      DEFINE_STRING(BGl_string2023z00zzbackend_jvmz00,
		BgL_bgl_string2023za700za7za7b2109za7, ".jas", 4);
	      DEFINE_STRING(BGl_string2024z00zzbackend_jvmz00,
		BgL_bgl_string2024za700za7za7b2110za7, ".class", 6);
	      DEFINE_STRING(BGl_string2025z00zzbackend_jvmz00,
		BgL_bgl_string2025za700za7za7b2111za7, "start-jvm-emission!", 19);
	      DEFINE_STRING(BGl_string2026z00zzbackend_jvmz00,
		BgL_bgl_string2026za700za7za7b2112za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2027z00zzbackend_jvmz00,
		BgL_bgl_string2027za700za7za7b2113za7, "JVMMAIN", 7);
	      DEFINE_STRING(BGl_string2028z00zzbackend_jvmz00,
		BgL_bgl_string2028za700za7za7b2114za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2030z00zzbackend_jvmz00,
		BgL_bgl_string2030za700za7za7b2115za7, "backend-compile", 15);
	      DEFINE_STRING(BGl_string2032z00zzbackend_jvmz00,
		BgL_bgl_string2032za700za7za7b2116za7, "backend-link", 12);
	      DEFINE_STRING(BGl_string2034z00zzbackend_jvmz00,
		BgL_bgl_string2034za700za7za7b2117za7, "backend-cnst-table-name", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2com2118z00,
		BGl_z62backendzd2compilezd2jvm1488z62zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2036z00zzbackend_jvmz00,
		BgL_bgl_string2036za700za7za7b2119za7, "backend-link-objects", 20);
	      DEFINE_STRING(BGl_string2038z00zzbackend_jvmz00,
		BgL_bgl_string2038za700za7za7b2120za7, "backend-check-inlines", 21);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_jvmz00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long
		BgL_checksumz00_3253, char *BgL_fromz00_3254)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvmz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_jvmz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_cnstzd2initzd2zzbackend_jvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_methodzd2initzd2zzbackend_jvmz00();
					return BGl_toplevelzd2initzd2zzbackend_jvmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_jvm");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			{	/* BackEnd/jvm.scm 15 */
				obj_t BgL_cportz00_3074;

				{	/* BackEnd/jvm.scm 15 */
					obj_t BgL_stringz00_3082;

					BgL_stringz00_3082 = BGl_string2064z00zzbackend_jvmz00;
					{	/* BackEnd/jvm.scm 15 */
						obj_t BgL_startz00_3083;

						BgL_startz00_3083 = BINT(((long) 0));
						{	/* BackEnd/jvm.scm 15 */
							obj_t BgL_endz00_3084;

							BgL_endz00_3084 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3082)));
							{	/* BackEnd/jvm.scm 15 */

								BgL_cportz00_3074 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3082, BgL_startz00_3083, BgL_endz00_3084);
				}}}}
				{
					long BgL_iz00_3075;

					BgL_iz00_3075 = ((long) 20);
				BgL_loopz00_3076:
					if ((BgL_iz00_3075 == ((long) -1)))
						{	/* BackEnd/jvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm.scm 15 */
							{	/* BackEnd/jvm.scm 15 */
								obj_t BgL_arg2066z00_3078;

								{	/* BackEnd/jvm.scm 15 */

									{	/* BackEnd/jvm.scm 15 */
										obj_t BgL_locationz00_3080;

										BgL_locationz00_3080 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm.scm 15 */

											BgL_arg2066z00_3078 =
												BGl_readz00zz__readerz00(BgL_cportz00_3074,
												BgL_locationz00_3080);
										}
									}
								}
								{	/* BackEnd/jvm.scm 15 */
									int BgL_tmpz00_3289;

									BgL_tmpz00_3289 = (int) (BgL_iz00_3075);
									CNST_TABLE_SET(BgL_tmpz00_3289, BgL_arg2066z00_3078);
							}}
							{	/* BackEnd/jvm.scm 15 */
								int BgL_auxz00_3081;

								BgL_auxz00_3081 = (int) ((BgL_iz00_3075 - ((long) 1)));
								{
									long BgL_iz00_3294;

									BgL_iz00_3294 = (long) (BgL_auxz00_3081);
									BgL_iz00_3075 = BgL_iz00_3294;
									goto BgL_loopz00_3076;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00);
			BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
				BGl_string2013z00zzbackend_jvmz00;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbackend_jvmz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1930;

				BgL_headz00_1930 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1931;
					obj_t BgL_tailz00_1932;

					BgL_prevz00_1931 = BgL_headz00_1930;
					BgL_tailz00_1932 = BgL_l1z00_1;
				BgL_loopz00_1933:
					if (PAIRP(BgL_tailz00_1932))
						{
							obj_t BgL_newzd2prevzd2_1935;

							BgL_newzd2prevzd2_1935 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1932), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1931, BgL_newzd2prevzd2_1935);
							{
								obj_t BgL_tailz00_3306;
								obj_t BgL_prevz00_3305;

								BgL_prevz00_3305 = BgL_newzd2prevzd2_1935;
								BgL_tailz00_3306 = CDR(BgL_tailz00_1932);
								BgL_tailz00_1932 = BgL_tailz00_3306;
								BgL_prevz00_1931 = BgL_prevz00_3305;
								goto BgL_loopz00_1933;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1930);
				}
			}
		}

	}



/* &build-jvm-backend */
	obj_t BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00(obj_t BgL_envz00_3013)
	{
		{	/* BackEnd/jvm.scm 52 */
			{
				BgL_jvmz00_bglt BgL_auxz00_3309;

				{	/* BackEnd/jvm.scm 53 */
					BgL_jvmz00_bglt BgL_new1113z00_3086;

					{	/* BackEnd/jvm.scm 54 */
						BgL_jvmz00_bglt BgL_new1112z00_3087;

						BgL_new1112z00_3087 =
							((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jvmz00_bgl))));
						{	/* BackEnd/jvm.scm 54 */
							long BgL_arg1524z00_3088;

							BgL_arg1524z00_3088 =
								BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1112z00_3087),
								BgL_arg1524z00_3088);
						}
						BgL_new1113z00_3086 = BgL_new1112z00_3087;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1113z00_3086)))->
							BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_srfi0z00) =
						((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_namez00) =
						((obj_t) BGl_string2014z00zzbackend_jvmz00), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_externzd2variableszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_externzd2functionszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_externzd2typeszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_variablesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_functionsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_typesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_typedz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_heapzd2suffixzd2) =
						((obj_t) BGl_string2015z00zzbackend_jvmz00), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_heapzd2compatiblezd2) =
						((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_callccz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_effectzb2zb2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_foreignzd2closurezd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_typedzd2eqzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_tracezd2supportzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_debugzd2supportzd2) =
						((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_pragmazd2supportzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_requirezd2tailczd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_registersz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_pregistersz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_boundzd2checkzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_typezd2checkzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1113z00_3086)))->BgL_typedzd2funcallzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->BgL_qnamez00) =
						((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->BgL_classesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->
							BgL_currentzd2classzd2) = ((obj_t) BFALSE), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->
							BgL_declarationsz00) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->BgL_fieldsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->BgL_methodsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->
							BgL_currentzd2methodzd2) = ((obj_t) BFALSE), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->BgL_codez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->
							BgL_lightzd2funcallszd2) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1113z00_3086))->BgL_inlinez00) =
						((obj_t) BTRUE), BUNSPEC);
					{	/* BackEnd/jvm.scm 53 */
						obj_t BgL_fun1521z00_3089;

						BgL_fun1521z00_3089 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_jvmz00zzbackend_jvm_classz00);
						PROCEDURE_ENTRY(BgL_fun1521z00_3089) (BgL_fun1521z00_3089,
							((obj_t) BgL_new1113z00_3086), BEOA);
					}
					BgL_auxz00_3309 = BgL_new1113z00_3086;
				}
				return ((obj_t) BgL_auxz00_3309);
			}
		}

	}



/* jvm-check-package */
	obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t BgL_modulez00_4,
		obj_t BgL_pathz00_5)
	{
		{	/* BackEnd/jvm.scm 127 */
			{
				obj_t BgL_basez00_1959;
				obj_t BgL_pathz00_1960;

				{	/* BackEnd/jvm.scm 144 */
					obj_t BgL_qtypez00_1943;

					BgL_qtypez00_1943 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_4);
					{	/* BackEnd/jvm.scm 144 */
						obj_t BgL_basez00_1944;

						{	/* BackEnd/jvm.scm 145 */
							obj_t BgL_prez00_1956;

							BgL_prez00_1956 = BGl_prefixz00zz__osz00(BgL_qtypez00_1943);
							{	/* BackEnd/jvm.scm 147 */
								bool_t BgL_test2124z00_3397;

								{	/* BackEnd/jvm.scm 147 */
									long BgL_l1z00_2747;

									BgL_l1z00_2747 = STRING_LENGTH(BgL_prez00_1956);
									if ((BgL_l1z00_2747 == ((long) 0)))
										{	/* BackEnd/jvm.scm 147 */
											int BgL_arg1289z00_2750;

											{	/* BackEnd/jvm.scm 147 */
												char *BgL_auxz00_3403;
												char *BgL_tmpz00_3401;

												BgL_auxz00_3403 =
													BSTRING_TO_STRING(BGl_string2016z00zzbackend_jvmz00);
												BgL_tmpz00_3401 = BSTRING_TO_STRING(BgL_prez00_1956);
												BgL_arg1289z00_2750 =
													memcmp(BgL_tmpz00_3401, BgL_auxz00_3403,
													BgL_l1z00_2747);
											}
											BgL_test2124z00_3397 =
												((long) (BgL_arg1289z00_2750) == ((long) 0));
										}
									else
										{	/* BackEnd/jvm.scm 147 */
											BgL_test2124z00_3397 = ((bool_t) 0);
										}
								}
								if (BgL_test2124z00_3397)
									{	/* BackEnd/jvm.scm 147 */
										BgL_basez00_1944 = BGl_string2013z00zzbackend_jvmz00;
									}
								else
									{	/* BackEnd/jvm.scm 149 */
										bool_t BgL_test2126z00_3408;

										{	/* BackEnd/jvm.scm 149 */
											long BgL_l1z00_2758;

											BgL_l1z00_2758 = STRING_LENGTH(BgL_prez00_1956);
											if ((BgL_l1z00_2758 == STRING_LENGTH(BgL_qtypez00_1943)))
												{	/* BackEnd/jvm.scm 149 */
													int BgL_arg1289z00_2761;

													{	/* BackEnd/jvm.scm 149 */
														char *BgL_auxz00_3415;
														char *BgL_tmpz00_3413;

														BgL_auxz00_3415 =
															BSTRING_TO_STRING(BgL_qtypez00_1943);
														BgL_tmpz00_3413 =
															BSTRING_TO_STRING(BgL_prez00_1956);
														BgL_arg1289z00_2761 =
															memcmp(BgL_tmpz00_3413, BgL_auxz00_3415,
															BgL_l1z00_2758);
													}
													BgL_test2126z00_3408 =
														((long) (BgL_arg1289z00_2761) == ((long) 0));
												}
											else
												{	/* BackEnd/jvm.scm 149 */
													BgL_test2126z00_3408 = ((bool_t) 0);
												}
										}
										if (BgL_test2126z00_3408)
											{	/* BackEnd/jvm.scm 149 */
												BgL_basez00_1944 = BGl_string2013z00zzbackend_jvmz00;
											}
										else
											{	/* BackEnd/jvm.scm 149 */
												BgL_basez00_1944 = BgL_prez00_1956;
											}
									}
							}
						}
						{	/* BackEnd/jvm.scm 145 */

							{	/* BackEnd/jvm.scm 153 */
								bool_t BgL_test2128z00_3420;

								BgL_basez00_1959 =
									BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_basez00_1944);
								BgL_pathz00_1960 = BgL_pathz00_5;
								{	/* BackEnd/jvm.scm 129 */
									long BgL_lbasez00_1962;
									long BgL_lpathz00_1963;

									BgL_lbasez00_1962 = STRING_LENGTH(BgL_basez00_1959);
									BgL_lpathz00_1963 = STRING_LENGTH(BgL_pathz00_1960);
									if ((BgL_lpathz00_1963 < BgL_lbasez00_1962))
										{	/* BackEnd/jvm.scm 131 */
											BgL_test2128z00_3420 = ((bool_t) 0);
										}
									else
										{
											long BgL_rpathz00_1968;
											long BgL_rbasez00_1969;

											BgL_rpathz00_1968 = (BgL_lpathz00_1963 - ((long) 1));
											BgL_rbasez00_1969 = (BgL_lbasez00_1962 - ((long) 1));
										BgL_zc3z04anonymousza31569ze3z87_1970:
											if ((BgL_rbasez00_1969 == ((long) -1)))
												{	/* BackEnd/jvm.scm 135 */
													BgL_test2128z00_3420 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/jvm.scm 137 */
													unsigned char BgL_cbasez00_1972;
													unsigned char BgL_cpathz00_1973;

													BgL_cbasez00_1972 =
														STRING_REF(BgL_basez00_1959, BgL_rbasez00_1969);
													BgL_cpathz00_1973 =
														STRING_REF(BgL_pathz00_1960, BgL_rpathz00_1968);
													{	/* BackEnd/jvm.scm 139 */
														bool_t BgL_test2131z00_3429;

														if ((BgL_cbasez00_1972 == BgL_cpathz00_1973))
															{	/* BackEnd/jvm.scm 139 */
																BgL_test2131z00_3429 = ((bool_t) 1);
															}
														else
															{	/* BackEnd/jvm.scm 139 */
																if (
																	(BgL_cpathz00_1973 == ((unsigned char) '/')))
																	{	/* BackEnd/jvm.scm 140 */
																		BgL_test2131z00_3429 =
																			(BgL_cbasez00_1972 ==
																			((unsigned char) '.'));
																	}
																else
																	{	/* BackEnd/jvm.scm 140 */
																		BgL_test2131z00_3429 = ((bool_t) 0);
																	}
															}
														if (BgL_test2131z00_3429)
															{
																long BgL_rbasez00_3437;
																long BgL_rpathz00_3435;

																BgL_rpathz00_3435 =
																	(BgL_rpathz00_1968 - ((long) 1));
																BgL_rbasez00_3437 =
																	(BgL_rbasez00_1969 - ((long) 1));
																BgL_rbasez00_1969 = BgL_rbasez00_3437;
																BgL_rpathz00_1968 = BgL_rpathz00_3435;
																goto BgL_zc3z04anonymousza31569ze3z87_1970;
															}
														else
															{	/* BackEnd/jvm.scm 139 */
																BgL_test2128z00_3420 = ((bool_t) 0);
															}
													}
												}
										}
								}
								if (BgL_test2128z00_3420)
									{	/* BackEnd/jvm.scm 153 */
										return BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 154 */
										obj_t BgL_list1536z00_1947;

										{	/* BackEnd/jvm.scm 154 */
											obj_t BgL_arg1542z00_1948;

											{	/* BackEnd/jvm.scm 154 */
												obj_t BgL_arg1543z00_1949;

												{	/* BackEnd/jvm.scm 154 */
													obj_t BgL_arg1548z00_1950;

													{	/* BackEnd/jvm.scm 154 */
														obj_t BgL_arg1551z00_1951;

														{	/* BackEnd/jvm.scm 154 */
															obj_t BgL_arg1552z00_1952;

															{	/* BackEnd/jvm.scm 154 */
																obj_t BgL_arg1554z00_1953;

																{	/* BackEnd/jvm.scm 154 */
																	obj_t BgL_arg1555z00_1954;

																	BgL_arg1555z00_1954 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2017z00zzbackend_jvmz00, BNIL);
																	BgL_arg1554z00_1953 =
																		MAKE_YOUNG_PAIR(BgL_pathz00_5,
																		BgL_arg1555z00_1954);
																}
																BgL_arg1552z00_1952 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2018z00zzbackend_jvmz00,
																	BgL_arg1554z00_1953);
															}
															BgL_arg1551z00_1951 =
																MAKE_YOUNG_PAIR(BgL_basez00_1944,
																BgL_arg1552z00_1952);
														}
														BgL_arg1548z00_1950 =
															MAKE_YOUNG_PAIR(BGl_string2019z00zzbackend_jvmz00,
															BgL_arg1551z00_1951);
													}
													BgL_arg1543z00_1949 =
														MAKE_YOUNG_PAIR
														(BGl_za2moduleza2z00zzmodule_modulez00,
														BgL_arg1548z00_1950);
												}
												BgL_arg1542z00_1948 =
													MAKE_YOUNG_PAIR(BGl_string2020z00zzbackend_jvmz00,
													BgL_arg1543z00_1949);
											}
											BgL_list1536z00_1947 =
												MAKE_YOUNG_PAIR(BGl_string2021z00zzbackend_jvmz00,
												BgL_arg1542z00_1948);
										}
										return BGl_warningz00zz__errorz00(BgL_list1536z00_1947);
									}
							}
						}
					}
				}
			}
		}

	}



/* jvmasdump */
	obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t BgL_classfilez00_6,
		obj_t BgL_portz00_7)
	{
		{	/* BackEnd/jvm.scm 160 */
			{	/* BackEnd/jvm.scm 161 */
				obj_t BgL_owz00_1983;
				obj_t BgL_ocz00_1984;

				BgL_owz00_1983 = BGl_za2ppzd2widthza2zd2zz__ppz00;
				BgL_ocz00_1984 = BGl_za2ppzd2caseza2zd2zz__ppz00;
				BGl_za2ppzd2widthza2zd2zz__ppz00 = BINT(((long) 10240));
				BGl_za2ppzd2caseza2zd2zz__ppz00 = CNST_TABLE_REF(((long) 6));
				{	/* BackEnd/jvm.scm 164 */
					obj_t BgL_list1582z00_1985;

					BgL_list1582z00_1985 = MAKE_YOUNG_PAIR(BgL_portz00_7, BNIL);
					BGl_ppz00zz__ppz00(BgL_classfilez00_6, BgL_list1582z00_1985);
				}
				BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_1984;
				return (BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_1983, BUNSPEC);
			}
		}

	}



/* addsuffix */
	obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t BgL_namez00_8)
	{
		{	/* BackEnd/jvm.scm 168 */
			{	/* BackEnd/jvm.scm 170 */
				obj_t BgL_arg1583z00_1986;

				{	/* BackEnd/jvm.scm 170 */
					obj_t BgL_casezd2valuezd2_1987;

					BgL_casezd2valuezd2_1987 = BGl_za2passza2z00zzengine_paramz00;
					if ((BgL_casezd2valuezd2_1987 == CNST_TABLE_REF(((long) 7))))
						{	/* BackEnd/jvm.scm 170 */
							BgL_arg1583z00_1986 = BGl_string2022z00zzbackend_jvmz00;
						}
					else
						{	/* BackEnd/jvm.scm 170 */
							if ((BgL_casezd2valuezd2_1987 == CNST_TABLE_REF(((long) 8))))
								{	/* BackEnd/jvm.scm 170 */
									BgL_arg1583z00_1986 = BGl_string2023z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 170 */
									BgL_arg1583z00_1986 = BGl_string2024z00zzbackend_jvmz00;
								}
						}
				}
				return string_append(BgL_namez00_8, BgL_arg1583z00_1986);
			}
		}

	}



/* jasname */
	obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t BgL_cfz00_9)
	{
		{	/* BackEnd/jvm.scm 178 */
			if (PAIRP(BgL_cfz00_9))
				{	/* BackEnd/jvm.scm 179 */
					obj_t BgL_carzd2139zd2_1994;

					BgL_carzd2139zd2_1994 = CAR(BgL_cfz00_9);
					if (PAIRP(BgL_carzd2139zd2_1994))
						{	/* BackEnd/jvm.scm 179 */
							obj_t BgL_cdrzd2143zd2_1996;

							BgL_cdrzd2143zd2_1996 = CDR(BgL_carzd2139zd2_1994);
							if ((CAR(BgL_carzd2139zd2_1994) == CNST_TABLE_REF(((long) 9))))
								{	/* BackEnd/jvm.scm 179 */
									if (PAIRP(BgL_cdrzd2143zd2_1996))
										{	/* BackEnd/jvm.scm 179 */
											if (NULLP(CDR(BgL_cdrzd2143zd2_1996)))
												{	/* BackEnd/jvm.scm 179 */
													obj_t BgL_arg1604z00_2002;

													BgL_arg1604z00_2002 = CAR(BgL_cdrzd2143zd2_1996);
													{	/* BackEnd/jvm.scm 181 */
														obj_t BgL_arg1613z00_2775;

														{	/* BackEnd/jvm.scm 181 */
															obj_t BgL_arg1463z00_2777;

															BgL_arg1463z00_2777 =
																SYMBOL_TO_STRING(((obj_t) BgL_arg1604z00_2002));
															BgL_arg1613z00_2775 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1463z00_2777);
														}
														return
															BGl_addsuffixz00zzbackend_jvmz00
															(BgL_arg1613z00_2775);
													}
												}
											else
												{	/* BackEnd/jvm.scm 179 */
													return BFALSE;
												}
										}
									else
										{	/* BackEnd/jvm.scm 179 */
											return BFALSE;
										}
								}
							else
								{	/* BackEnd/jvm.scm 179 */
									return BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 179 */
							return BFALSE;
						}
				}
			else
				{	/* BackEnd/jvm.scm 179 */
					return BFALSE;
				}
		}

	}



/* jvm-filename */
	obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t BgL_namez00_10)
	{
		{	/* BackEnd/jvm.scm 186 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 188 */
					bool_t BgL_test2142z00_3484;

					{	/* BackEnd/jvm.scm 188 */
						long BgL_l1z00_2781;

						BgL_l1z00_2781 = STRING_LENGTH(BgL_namez00_10);
						if ((BgL_l1z00_2781 == ((long) 1)))
							{	/* BackEnd/jvm.scm 188 */
								int BgL_arg1289z00_2784;

								{	/* BackEnd/jvm.scm 188 */
									char *BgL_auxz00_3490;
									char *BgL_tmpz00_3488;

									BgL_auxz00_3490 =
										BSTRING_TO_STRING(BGl_string2013z00zzbackend_jvmz00);
									BgL_tmpz00_3488 = BSTRING_TO_STRING(BgL_namez00_10);
									BgL_arg1289z00_2784 =
										memcmp(BgL_tmpz00_3488, BgL_auxz00_3490, BgL_l1z00_2781);
								}
								BgL_test2142z00_3484 =
									((long) (BgL_arg1289z00_2784) == ((long) 0));
							}
						else
							{	/* BackEnd/jvm.scm 188 */
								BgL_test2142z00_3484 = ((bool_t) 0);
							}
					}
					if (BgL_test2142z00_3484)
						{	/* BackEnd/jvm.scm 188 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* BackEnd/jvm.scm 188 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_10);
						}
				}
			else
				{	/* BackEnd/jvm.scm 187 */
					return BgL_namez00_10;
				}
		}

	}



/* jvm-dirname */
	obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t BgL_filez00_11)
	{
		{	/* BackEnd/jvm.scm 196 */
			{	/* BackEnd/jvm.scm 197 */
				obj_t BgL_dfilez00_2008;

				BgL_dfilez00_2008 = BGl_dirnamez00zz__osz00(BgL_filez00_11);
				{	/* BackEnd/jvm.scm 197 */
					obj_t BgL_dirz00_2009;

					BgL_dirz00_2009 =
						BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_dfilez00_2008);
					{	/* BackEnd/jvm.scm 198 */

						{	/* BackEnd/jvm.scm 199 */
							bool_t BgL_test2144z00_3498;

							{	/* BackEnd/jvm.scm 199 */
								bool_t BgL_test2145z00_3499;

								{	/* BackEnd/jvm.scm 199 */
									long BgL_l1z00_2792;

									BgL_l1z00_2792 = STRING_LENGTH(BgL_dfilez00_2008);
									if ((BgL_l1z00_2792 == ((long) 0)))
										{	/* BackEnd/jvm.scm 199 */
											int BgL_arg1289z00_2795;

											{	/* BackEnd/jvm.scm 199 */
												char *BgL_auxz00_3505;
												char *BgL_tmpz00_3503;

												BgL_auxz00_3505 =
													BSTRING_TO_STRING(BGl_string2016z00zzbackend_jvmz00);
												BgL_tmpz00_3503 = BSTRING_TO_STRING(BgL_dfilez00_2008);
												BgL_arg1289z00_2795 =
													memcmp(BgL_tmpz00_3503, BgL_auxz00_3505,
													BgL_l1z00_2792);
											}
											BgL_test2145z00_3499 =
												((long) (BgL_arg1289z00_2795) == ((long) 0));
										}
									else
										{	/* BackEnd/jvm.scm 199 */
											BgL_test2145z00_3499 = ((bool_t) 0);
										}
								}
								if (BgL_test2145z00_3499)
									{	/* BackEnd/jvm.scm 199 */
										BgL_test2144z00_3498 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/jvm.scm 199 */
										if (bgl_directoryp(BSTRING_TO_STRING(BgL_dfilez00_2008)))
											{	/* BackEnd/jvm.scm 200 */
												BgL_test2144z00_3498 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/jvm.scm 200 */
												if (fexists(BSTRING_TO_STRING(BgL_dfilez00_2008)))
													{	/* BackEnd/jvm.scm 201 */
														BgL_test2144z00_3498 = ((bool_t) 0);
													}
												else
													{	/* BackEnd/jvm.scm 202 */
														bool_t BgL__ortest_1140z00_2019;

														if (STRINGP
															(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
															{	/* BackEnd/jvm.scm 202 */
																BgL__ortest_1140z00_2019 = ((bool_t) 0);
															}
														else
															{	/* BackEnd/jvm.scm 202 */
																BgL__ortest_1140z00_2019 = ((bool_t) 1);
															}
														if (BgL__ortest_1140z00_2019)
															{	/* BackEnd/jvm.scm 202 */
																BgL_test2144z00_3498 = BgL__ortest_1140z00_2019;
															}
														else
															{	/* BackEnd/jvm.scm 202 */
																BgL_test2144z00_3498 =
																	bgl_directoryp(BSTRING_TO_STRING
																	(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00));
															}
													}
											}
									}
							}
							if (BgL_test2144z00_3498)
								{	/* BackEnd/jvm.scm 199 */
									BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00
										(BgL_dirz00_2009);
								}
							else
								{	/* BackEnd/jvm.scm 199 */
									((bool_t) 0);
								}
						}
						return BgL_dirz00_2009;
					}
				}
			}
		}

	}



/* &start-jvm-emission! */
	obj_t BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00(obj_t
		BgL_envz00_3014)
	{
		{	/* BackEnd/jvm.scm 211 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/jvm.scm 214 */
					obj_t BgL_dnamez00_3092;

					BgL_dnamez00_3092 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					{	/* BackEnd/jvm.scm 215 */
						bool_t BgL_test2152z00_3525;

						{	/* BackEnd/jvm.scm 215 */
							long BgL_l1z00_3093;

							BgL_l1z00_3093 = STRING_LENGTH(BgL_dnamez00_3092);
							if ((BgL_l1z00_3093 == ((long) 0)))
								{	/* BackEnd/jvm.scm 215 */
									int BgL_arg1289z00_3094;

									{	/* BackEnd/jvm.scm 215 */
										char *BgL_auxz00_3531;
										char *BgL_tmpz00_3529;

										BgL_auxz00_3531 =
											BSTRING_TO_STRING(BGl_string2016z00zzbackend_jvmz00);
										BgL_tmpz00_3529 = BSTRING_TO_STRING(BgL_dnamez00_3092);
										BgL_arg1289z00_3094 =
											memcmp(BgL_tmpz00_3529, BgL_auxz00_3531, BgL_l1z00_3093);
									}
									BgL_test2152z00_3525 =
										((long) (BgL_arg1289z00_3094) == ((long) 0));
								}
							else
								{	/* BackEnd/jvm.scm 215 */
									BgL_test2152z00_3525 = ((bool_t) 0);
								}
						}
						if (BgL_test2152z00_3525)
							{	/* BackEnd/jvm.scm 215 */
								BFALSE;
							}
						else
							{	/* BackEnd/jvm.scm 215 */
								BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
									BGl_jvmzd2dirnamezd2zzbackend_jvmz00
									(BGl_za2destza2z00zzengine_paramz00);
							}
					}
				}
			else
				{	/* BackEnd/jvm.scm 213 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 217 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 218 */
									BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
										BGl_jvmzd2dirnamezd2zzbackend_jvmz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/jvm.scm 218 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 217 */
							BFALSE;
						}
				}
			{	/* BackEnd/jvm.scm 220 */
				bool_t BgL_test2156z00_3544;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00)))
					{	/* BackEnd/jvm.scm 220 */
						BgL_test2156z00_3544 =
							bgl_directoryp(BSTRING_TO_STRING
							(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
					}
				else
					{	/* BackEnd/jvm.scm 220 */
						BgL_test2156z00_3544 = ((bool_t) 0);
					}
				if (BgL_test2156z00_3544)
					{	/* BackEnd/jvm.scm 220 */
						return BTRUE;
					}
				else
					{	/* BackEnd/jvm.scm 220 */
						return
							BGl_errorz00zz__errorz00(BGl_string2025z00zzbackend_jvmz00,
							BGl_string2026z00zzbackend_jvmz00,
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
					}
			}
		}

	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 255 */
			return
				string_append(BGl_string2027z00zzbackend_jvmz00,
				BGl_string2028z00zzbackend_jvmz00);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2029z00zzbackend_jvmz00,
				BGl_string2030z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2031z00zzbackend_jvmz00,
				BGl_string2032z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2033z00zzbackend_jvmz00,
				BGl_string2034z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2035z00zzbackend_jvmz00,
				BGl_string2036z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2037z00zzbackend_jvmz00,
				BGl_string2038z00zzbackend_jvmz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2039z00zzbackend_jvmz00,
				BGl_string2040z00zzbackend_jvmz00);
		}

	}



/* &backend-subtype?-jvm1498 */
	obj_t BGl_z62backendzd2subtypezf3zd2jvm1498z91zzbackend_jvmz00(obj_t
		BgL_envz00_3027, obj_t BgL_bz00_3028, obj_t BgL_t1z00_3029,
		obj_t BgL_t2z00_3030)
	{
		{	/* BackEnd/jvm.scm 367 */
			{	/* BackEnd/jvm.scm 368 */
				bool_t BgL__ortest_1149z00_3096;

				BgL__ortest_1149z00_3096 = (BgL_t1z00_3029 == BgL_t2z00_3030);
				if (BgL__ortest_1149z00_3096)
					{	/* BackEnd/jvm.scm 368 */
						return BBOOL(BgL__ortest_1149z00_3096);
					}
				else
					{	/* BackEnd/jvm.scm 369 */
						bool_t BgL__ortest_1150z00_3097;

						BgL__ortest_1150z00_3097 =
							(
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t1z00_3029)))->BgL_idz00) ==
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t2z00_3030)))->BgL_idz00));
						if (BgL__ortest_1150z00_3097)
							{	/* BackEnd/jvm.scm 369 */
								return BBOOL(BgL__ortest_1150z00_3097);
							}
						else
							{	/* BackEnd/jvm.scm 370 */
								bool_t BgL__ortest_1151z00_3098;

								{	/* BackEnd/jvm.scm 370 */
									bool_t BgL_test2160z00_3568;

									{	/* BackEnd/jvm.scm 370 */
										obj_t BgL_classz00_3099;

										BgL_classz00_3099 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_t1z00_3029))
											{	/* BackEnd/jvm.scm 370 */
												BgL_objectz00_bglt BgL_arg1825z00_3100;

												BgL_arg1825z00_3100 =
													(BgL_objectz00_bglt) (BgL_t1z00_3029);
												{	/* BackEnd/jvm.scm 370 */
													bool_t BgL_arg1822z00_3101;
													bool_t BgL_arg1823z00_3102;

													{	/* BackEnd/jvm.scm 370 */
														long BgL_idxz00_3103;

														BgL_idxz00_3103 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3100);
														BgL_arg1822z00_3101 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3103 + ((long) 2))) ==
															BgL_classz00_3099);
													}
													{	/* BackEnd/jvm.scm 370 */
														bool_t BgL_res2000z00_3106;

														{	/* BackEnd/jvm.scm 370 */
															obj_t BgL_oclassz00_3107;

															{	/* BackEnd/jvm.scm 370 */
																long BgL_arg1833z00_3108;

																{	/* BackEnd/jvm.scm 370 */
																	long BgL_arg1834z00_3109;

																	BgL_arg1834z00_3109 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3100);
																	BgL_arg1833z00_3108 =
																		(BgL_arg1834z00_3109 - OBJECT_TYPE);
																}
																BgL_oclassz00_3107 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3108);
															}
															{	/* BackEnd/jvm.scm 370 */
																bool_t BgL__ortest_1110z00_3110;

																BgL__ortest_1110z00_3110 =
																	(BgL_classz00_3099 == BgL_oclassz00_3107);
																if (BgL__ortest_1110z00_3110)
																	{	/* BackEnd/jvm.scm 370 */
																		BgL_res2000z00_3106 =
																			BgL__ortest_1110z00_3110;
																	}
																else
																	{	/* BackEnd/jvm.scm 370 */
																		long BgL_odepthz00_3111;

																		BgL_odepthz00_3111 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3107);
																		if ((((long) 2) < BgL_odepthz00_3111))
																			{	/* BackEnd/jvm.scm 370 */
																				obj_t BgL_arg1821z00_3112;

																				BgL_arg1821z00_3112 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3107, ((long) 2));
																				BgL_res2000z00_3106 =
																					(BgL_arg1821z00_3112 ==
																					BgL_classz00_3099);
																			}
																		else
																			{	/* BackEnd/jvm.scm 370 */
																				BgL_res2000z00_3106 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3102 = BgL_res2000z00_3106;
													}
													BgL_test2160z00_3568 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3101,
														BgL_arg1823z00_3102);
												}
											}
										else
											{	/* BackEnd/jvm.scm 370 */
												BgL_test2160z00_3568 = ((bool_t) 0);
											}
									}
									if (BgL_test2160z00_3568)
										{	/* BackEnd/jvm.scm 370 */
											BgL__ortest_1151z00_3098 =
												(
												(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_t2z00_3030)))->
													BgL_idz00) == CNST_TABLE_REF(((long) 11)));
										}
									else
										{	/* BackEnd/jvm.scm 370 */
											BgL__ortest_1151z00_3098 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1151z00_3098)
									{	/* BackEnd/jvm.scm 370 */
										return BBOOL(BgL__ortest_1151z00_3098);
									}
								else
									{	/* BackEnd/jvm.scm 371 */
										bool_t BgL__ortest_1152z00_3113;

										BgL__ortest_1152z00_3113 =
											(
											(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_t2z00_3030)))->
												BgL_namez00) == CNST_TABLE_REF(((long) 12)));
										if (BgL__ortest_1152z00_3113)
											{	/* BackEnd/jvm.scm 371 */
												return BBOOL(BgL__ortest_1152z00_3113);
											}
										else
											{	/* BackEnd/jvm.scm 372 */
												bool_t BgL__ortest_1153z00_3114;

												BgL__ortest_1153z00_3114 =
													(
													(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_t1z00_3029)))->
														BgL_namez00) ==
													(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
																	BgL_t2z00_3030)))->BgL_namez00));
												if (BgL__ortest_1153z00_3114)
													{	/* BackEnd/jvm.scm 372 */
														return BBOOL(BgL__ortest_1153z00_3114);
													}
												else
													{	/* BackEnd/jvm.scm 373 */
														obj_t BgL__ortest_1154z00_3115;

														BgL__ortest_1154z00_3115 =
															BGl_iszd2subtypezf3z21zztype_typeofz00
															(BgL_t1z00_3029, BgL_t2z00_3030);
														if (CBOOL(BgL__ortest_1154z00_3115))
															{	/* BackEnd/jvm.scm 373 */
																return BgL__ortest_1154z00_3115;
															}
														else
															{	/* BackEnd/jvm.scm 373 */
																return
																	BBOOL(BGl_subzd2typezf3z21zztype_envz00(
																		((BgL_typez00_bglt) BgL_t1z00_3029),
																		((BgL_typez00_bglt) BgL_t2z00_3030)));
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &backend-check-inline1496 */
	obj_t BGl_z62backendzd2checkzd2inline1496z62zzbackend_jvmz00(obj_t
		BgL_envz00_3031, obj_t BgL_mez00_3032)
	{
		{	/* BackEnd/jvm.scm 361 */
			if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 362 */
					return BFALSE;
				}
			else
				{	/* BackEnd/jvm.scm 362 */
					return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
				}
		}

	}



/* &backend-link-objects1494 */
	obj_t BGl_z62backendzd2linkzd2objects1494z62zzbackend_jvmz00(obj_t
		BgL_envz00_3033, obj_t BgL_mez00_3034, obj_t BgL_sourcesz00_3035)
	{
		{	/* BackEnd/jvm.scm 261 */
			if (NULLP(BgL_sourcesz00_3035))
				{	/* BackEnd/jvm.scm 266 */
					obj_t BgL_firstz00_3118;

					BgL_firstz00_3118 =
						BGl_prefixz00zz__osz00(CAR
						(BGl_za2ozd2filesza2zd2zzengine_paramz00));
					{	/* BackEnd/jvm.scm 267 */
						obj_t BgL_list1774z00_3119;

						{	/* BackEnd/jvm.scm 267 */
							obj_t BgL_arg1777z00_3120;

							{	/* BackEnd/jvm.scm 267 */
								obj_t BgL_arg1781z00_3121;

								{	/* BackEnd/jvm.scm 267 */
									obj_t BgL_arg1785z00_3122;

									BgL_arg1785z00_3122 =
										MAKE_YOUNG_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00,
										BNIL);
									BgL_arg1781z00_3121 =
										MAKE_YOUNG_PAIR(BGl_string2041z00zzbackend_jvmz00,
										BgL_arg1785z00_3122);
								}
								BgL_arg1777z00_3120 =
									MAKE_YOUNG_PAIR(BGl_string2042z00zzbackend_jvmz00,
									BgL_arg1781z00_3121);
							}
							BgL_list1774z00_3119 =
								MAKE_YOUNG_PAIR(BGl_string2043z00zzbackend_jvmz00,
								BgL_arg1777z00_3120);
						}
						BGl_warningz00zz__errorz00(BgL_list1774z00_3119);
					}
					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					BGl_readzd2jfilezd2zzread_jvmz00();
					return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
				}
			else
				{
					obj_t BgL_sourcesz00_3124;
					obj_t BgL_clsz00_3125;
					obj_t BgL_mainzd2modulezd2_3126;
					obj_t BgL_mainz00_3127;
					obj_t BgL_fmainz00_3128;
					obj_t BgL_librariesz00_3129;

					BgL_sourcesz00_3124 = BgL_sourcesz00_3035;
					BgL_clsz00_3125 = BNIL;
					BgL_mainzd2modulezd2_3126 = BFALSE;
					BgL_mainz00_3127 = BFALSE;
					BgL_fmainz00_3128 = BGl_string2016z00zzbackend_jvmz00;
					BgL_librariesz00_3129 = BNIL;
				BgL_loopz00_3123:
					if (NULLP(BgL_sourcesz00_3124))
						{	/* BackEnd/jvm.scm 278 */
							if (CBOOL(BgL_mainz00_3127))
								{	/* BackEnd/jvm.scm 282 */
									obj_t BgL_firstz00_3130;

									BgL_firstz00_3130 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2ozd2filesza2zd2zzengine_paramz00));
									{
										obj_t BgL_l1484z00_3132;

										BgL_l1484z00_3132 = BgL_librariesz00_3129;
									BgL_zc3z04anonymousza31791ze3z87_3131:
										if (PAIRP(BgL_l1484z00_3132))
											{	/* BackEnd/jvm.scm 285 */
												{	/* BackEnd/jvm.scm 286 */
													obj_t BgL_libz00_3133;

													BgL_libz00_3133 = CAR(BgL_l1484z00_3132);
													{
														obj_t BgL_clausesz00_3139;
														obj_t BgL_libsz00_3136;

														if (PAIRP(BgL_libz00_3133))
															{	/* BackEnd/jvm.scm 286 */
																if (
																	(CAR(BgL_libz00_3133) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* BackEnd/jvm.scm 286 */
																		BgL_libsz00_3136 = CDR(BgL_libz00_3133);
																		{
																			obj_t BgL_l1475z00_3138;

																			BgL_l1475z00_3138 = BgL_libsz00_3136;
																		BgL_zc3z04anonymousza31811ze3z87_3137:
																			if (PAIRP(BgL_l1475z00_3138))
																				{	/* BackEnd/jvm.scm 288 */
																					BGl_usezd2libraryz12zc0zzmodule_alibraryz00
																						(CAR(BgL_l1475z00_3138));
																					{
																						obj_t BgL_l1475z00_3647;

																						BgL_l1475z00_3647 =
																							CDR(BgL_l1475z00_3138);
																						BgL_l1475z00_3138 =
																							BgL_l1475z00_3647;
																						goto
																							BgL_zc3z04anonymousza31811ze3z87_3137;
																					}
																				}
																			else
																				{	/* BackEnd/jvm.scm 288 */
																					((bool_t) 1);
																				}
																		}
																	}
																else
																	{	/* BackEnd/jvm.scm 286 */
																		if (
																			(CAR(BgL_libz00_3133) ==
																				CNST_TABLE_REF(((long) 14))))
																			{	/* BackEnd/jvm.scm 286 */
																				BgL_clausesz00_3139 =
																					CDR(BgL_libz00_3133);
																				{	/* BackEnd/jvm.scm 290 */
																					obj_t BgL_fun1483z00_3140;

																					{	/* BackEnd/jvm.scm 290 */
																						obj_t
																							BgL_zc3z04anonymousza31838ze3z87_3141;
																						{	/* BackEnd/jvm.scm 286 */
																							int BgL_tmpz00_3654;

																							BgL_tmpz00_3654 =
																								(int) (((long) 0));
																							BgL_zc3z04anonymousza31838ze3z87_3141
																								=
																								MAKE_EL_PROCEDURE
																								(BgL_tmpz00_3654);
																						}
																						BgL_fun1483z00_3140 =
																							BgL_zc3z04anonymousza31838ze3z87_3141;
																					}
																					{
																						obj_t BgL_l1481z00_3143;

																						BgL_l1481z00_3143 =
																							BgL_clausesz00_3139;
																					BgL_zc3z04anonymousza31819ze3z87_3142:
																						if (PAIRP
																							(BgL_l1481z00_3143))
																							{	/* BackEnd/jvm.scm 290 */
																								{	/* BackEnd/jvm.scm 290 */
																									obj_t BgL_arg1824z00_3144;

																									BgL_arg1824z00_3144 =
																										CAR(BgL_l1481z00_3143);
																									BGl_z62zc3z04anonymousza31838ze3ze5zzbackend_jvmz00
																										(BgL_fun1483z00_3140,
																										BgL_arg1824z00_3144);
																								}
																								{
																									obj_t BgL_l1481z00_3664;

																									BgL_l1481z00_3664 =
																										CDR(BgL_l1481z00_3143);
																									BgL_l1481z00_3143 =
																										BgL_l1481z00_3664;
																									goto
																										BgL_zc3z04anonymousza31819ze3z87_3142;
																								}
																							}
																						else
																							{	/* BackEnd/jvm.scm 290 */
																								((bool_t) 1);
																							}
																					}
																				}
																			}
																		else
																			{	/* BackEnd/jvm.scm 286 */
																				((bool_t) 0);
																			}
																	}
															}
														else
															{	/* BackEnd/jvm.scm 286 */
																((bool_t) 0);
															}
													}
												}
												{
													obj_t BgL_l1484z00_3667;

													BgL_l1484z00_3667 = CDR(BgL_l1484z00_3132);
													BgL_l1484z00_3132 = BgL_l1484z00_3667;
													goto BgL_zc3z04anonymousza31791ze3z87_3131;
												}
											}
										else
											{	/* BackEnd/jvm.scm 285 */
												((bool_t) 1);
											}
									}
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									{	/* BackEnd/jvm.scm 298 */
										obj_t BgL_list1863z00_3145;

										BgL_list1863z00_3145 =
											MAKE_YOUNG_PAIR(BgL_fmainz00_3128, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1863z00_3145;
									}
									BGl_readzd2jfilezd2zzread_jvmz00();
									return
										BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BgL_mainzd2modulezd2_3126);
								}
							else
								{	/* BackEnd/jvm.scm 301 */
									obj_t BgL_tmpz00_3146;

									BgL_tmpz00_3146 =
										BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
									BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_3146,
										CBOOL(BgL_mainz00_3127),
										bstring_to_symbol(BGl_string2027z00zzbackend_jvmz00),
										BgL_clsz00_3125, BgL_librariesz00_3129);
									{	/* BackEnd/jvm.scm 303 */
										obj_t BgL_list1868z00_3147;

										BgL_list1868z00_3147 =
											MAKE_YOUNG_PAIR(BgL_tmpz00_3146, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1868z00_3147;
									}
									{
										obj_t BgL_raz00_3149;
										obj_t BgL_resz00_3150;

										BgL_raz00_3149 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
										BgL_resz00_3150 = BNIL;
									BgL_liipz00_3148:
										if (NULLP(BgL_raz00_3149))
											{	/* BackEnd/jvm.scm 309 */
												BGl_za2restzd2argsza2zd2zzengine_paramz00 =
													bgl_reverse_bang(BgL_resz00_3150);
											}
										else
											{	/* BackEnd/jvm.scm 311 */
												bool_t BgL_test2179z00_3681;

												{	/* BackEnd/jvm.scm 311 */
													obj_t BgL_arg1882z00_3151;

													{	/* BackEnd/jvm.scm 311 */
														obj_t BgL_arg1883z00_3152;

														BgL_arg1883z00_3152 = CAR(((obj_t) BgL_raz00_3149));
														BgL_arg1882z00_3151 =
															BGl_suffixz00zz__osz00(BgL_arg1883z00_3152);
													}
													BgL_test2179z00_3681 =
														CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1882z00_3151,
															BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
												}
												if (BgL_test2179z00_3681)
													{	/* BackEnd/jvm.scm 312 */
														obj_t BgL_arg1875z00_3153;

														BgL_arg1875z00_3153 = CDR(((obj_t) BgL_raz00_3149));
														{
															obj_t BgL_raz00_3689;

															BgL_raz00_3689 = BgL_arg1875z00_3153;
															BgL_raz00_3149 = BgL_raz00_3689;
															goto BgL_liipz00_3148;
														}
													}
												else
													{	/* BackEnd/jvm.scm 314 */
														obj_t BgL_arg1877z00_3154;
														obj_t BgL_arg1878z00_3155;

														BgL_arg1877z00_3154 = CDR(((obj_t) BgL_raz00_3149));
														{	/* BackEnd/jvm.scm 314 */
															obj_t BgL_arg1880z00_3156;

															BgL_arg1880z00_3156 =
																CAR(((obj_t) BgL_raz00_3149));
															BgL_arg1878z00_3155 =
																MAKE_YOUNG_PAIR(BgL_arg1880z00_3156,
																BgL_resz00_3150);
														}
														{
															obj_t BgL_resz00_3696;
															obj_t BgL_raz00_3695;

															BgL_raz00_3695 = BgL_arg1877z00_3154;
															BgL_resz00_3696 = BgL_arg1878z00_3155;
															BgL_resz00_3150 = BgL_resz00_3696;
															BgL_raz00_3149 = BgL_raz00_3695;
															goto BgL_liipz00_3148;
														}
													}
											}
									}
									{	/* BackEnd/jvm.scm 315 */
										obj_t BgL_exitd1144z00_3157;

										BgL_exitd1144z00_3157 = BGL_EXITD_TOP_AS_OBJ();
										{	/* BackEnd/jvm.scm 318 */
											obj_t BgL_zc3z04anonymousza31884ze3z87_3158;

											BgL_zc3z04anonymousza31884ze3z87_3158 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31884ze3ze5zzbackend_jvmz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31884ze3z87_3158,
												(int) (((long) 0)), BgL_tmpz00_3146);
											{	/* BackEnd/jvm.scm 315 */
												obj_t BgL_arg1846z00_3159;

												{	/* BackEnd/jvm.scm 315 */
													obj_t BgL_arg1847z00_3160;

													BgL_arg1847z00_3160 =
														BGL_EXITD_PROTECT(BgL_exitd1144z00_3157);
													BgL_arg1846z00_3159 =
														MAKE_YOUNG_PAIR
														(BgL_zc3z04anonymousza31884ze3z87_3158,
														BgL_arg1847z00_3160);
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1144z00_3157,
													BgL_arg1846z00_3159);
												BUNSPEC;
											}
											{	/* BackEnd/jvm.scm 316 */
												obj_t BgL_tmp1146z00_3161;

												BgL_tmp1146z00_3161 =
													BGl_compilerz00zzengine_compilerz00();
												{	/* BackEnd/jvm.scm 315 */
													bool_t BgL_test2180z00_3707;

													{	/* BackEnd/jvm.scm 315 */
														obj_t BgL_arg1845z00_3162;

														BgL_arg1845z00_3162 =
															BGL_EXITD_PROTECT(BgL_exitd1144z00_3157);
														BgL_test2180z00_3707 = PAIRP(BgL_arg1845z00_3162);
													}
													if (BgL_test2180z00_3707)
														{	/* BackEnd/jvm.scm 315 */
															obj_t BgL_arg1843z00_3163;

															{	/* BackEnd/jvm.scm 315 */
																obj_t BgL_arg1844z00_3164;

																BgL_arg1844z00_3164 =
																	BGL_EXITD_PROTECT(BgL_exitd1144z00_3157);
																BgL_arg1843z00_3163 =
																	CDR(((obj_t) BgL_arg1844z00_3164));
															}
															BGL_EXITD_PROTECT_SET(BgL_exitd1144z00_3157,
																BgL_arg1843z00_3163);
															BUNSPEC;
														}
													else
														{	/* BackEnd/jvm.scm 315 */
															BFALSE;
														}
												}
												BGl_z62zc3z04anonymousza31884ze3ze5zzbackend_jvmz00
													(BgL_zc3z04anonymousza31884ze3z87_3158);
												BgL_tmp1146z00_3161;
											}
										}
									}
									return BINT(((long) 0));
						}}
					else
						{	/* BackEnd/jvm.scm 324 */
							obj_t BgL_portz00_3165;

							{	/* BackEnd/jvm.scm 324 */
								obj_t BgL_arg1922z00_3166;

								{	/* BackEnd/jvm.scm 324 */
									obj_t BgL_pairz00_3167;

									BgL_pairz00_3167 = CAR(((obj_t) BgL_sourcesz00_3124));
									BgL_arg1922z00_3166 = CAR(BgL_pairz00_3167);
								}
								{	/* BackEnd/jvm.scm 324 */

									BgL_portz00_3165 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1922z00_3166, BTRUE, BINT(((long) 5000000)));
							}}
							if (INPUT_PORTP(BgL_portz00_3165))
								{	/* BackEnd/jvm.scm 327 */
									obj_t BgL_expz00_3168;

									{	/* BackEnd/jvm.scm 327 */
										obj_t BgL_list1919z00_3169;

										BgL_list1919z00_3169 =
											MAKE_YOUNG_PAIR(BgL_portz00_3165, BNIL);
										BgL_expz00_3168 =
											BGl_compilerzd2readzd2zzread_readerz00
											(BgL_list1919z00_3169);
									}
									bgl_close_input_port(BgL_portz00_3165);
									{
										obj_t BgL_namez00_3172;

										if (PAIRP(BgL_expz00_3168))
											{	/* BackEnd/jvm.scm 329 */
												obj_t BgL_cdrzd2177zd2_3198;

												BgL_cdrzd2177zd2_3198 = CDR(BgL_expz00_3168);
												if (
													(CAR(BgL_expz00_3168) == CNST_TABLE_REF(((long) 15))))
													{	/* BackEnd/jvm.scm 329 */
														if (PAIRP(BgL_cdrzd2177zd2_3198))
															{	/* BackEnd/jvm.scm 329 */
																BgL_namez00_3172 = CAR(BgL_cdrzd2177zd2_3198);
																{	/* BackEnd/jvm.scm 331 */
																	obj_t BgL_libsz00_3173;
																	obj_t BgL_nmainz00_3174;

																	{	/* BackEnd/jvm.scm 331 */
																		obj_t BgL_arg1916z00_3175;

																		{	/* BackEnd/jvm.scm 331 */
																			obj_t BgL_pairz00_3176;

																			BgL_pairz00_3176 =
																				CDR(((obj_t) BgL_expz00_3168));
																			BgL_arg1916z00_3175 =
																				CDR(BgL_pairz00_3176);
																		}
																		BgL_libsz00_3173 =
																			BGl_findzd2librarieszd2zzengine_linkz00
																			(BgL_arg1916z00_3175);
																	}
																	{	/* BackEnd/jvm.scm 332 */
																		obj_t BgL_arg1917z00_3177;

																		{	/* BackEnd/jvm.scm 332 */
																			obj_t BgL_pairz00_3178;

																			BgL_pairz00_3178 =
																				CDR(((obj_t) BgL_expz00_3168));
																			BgL_arg1917z00_3177 =
																				CDR(BgL_pairz00_3178);
																		}
																		BgL_nmainz00_3174 =
																			BGl_findzd2mainzd2zzengine_linkz00
																			(BgL_arg1917z00_3177);
																	}
																	{	/* BackEnd/jvm.scm 336 */
																		obj_t BgL_arg1894z00_3179;

																		{	/* BackEnd/jvm.scm 336 */
																			obj_t BgL_arg1896z00_3180;

																			{	/* BackEnd/jvm.scm 336 */
																				obj_t BgL_arg1898z00_3181;

																				{	/* BackEnd/jvm.scm 336 */
																					obj_t BgL_arg1901z00_3182;

																					{	/* BackEnd/jvm.scm 336 */
																						obj_t BgL_pairz00_3183;

																						BgL_pairz00_3183 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3124));
																						BgL_arg1901z00_3182 =
																							CDR(BgL_pairz00_3183);
																					}
																					BgL_arg1898z00_3181 =
																						BGl_prefixz00zz__osz00
																						(BgL_arg1901z00_3182);
																				}
																				BgL_arg1896z00_3180 =
																					BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																					(BgL_arg1898z00_3181);
																			}
																			BgL_arg1894z00_3179 =
																				BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																				(BgL_arg1896z00_3180, FILE_SEPARATOR,
																				(char) (((unsigned char) '.')));
																		}
																		BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																			(BgL_namez00_3172, BgL_arg1894z00_3179,
																			BNIL);
																	}
																	{	/* BackEnd/jvm.scm 339 */
																		obj_t BgL_arg1904z00_3184;
																		obj_t BgL_arg1905z00_3185;
																		obj_t BgL_arg1906z00_3186;
																		obj_t BgL_arg1907z00_3187;
																		obj_t BgL_arg1908z00_3188;
																		obj_t BgL_arg1909z00_3189;

																		BgL_arg1904z00_3184 =
																			CDR(((obj_t) BgL_sourcesz00_3124));
																		{	/* BackEnd/jvm.scm 342 */
																			obj_t BgL_arg1910z00_3190;

																			{	/* BackEnd/jvm.scm 342 */
																				obj_t BgL_arg1911z00_3191;

																				{	/* BackEnd/jvm.scm 342 */
																					obj_t BgL_arg1914z00_3192;

																					{	/* BackEnd/jvm.scm 342 */
																						obj_t BgL_pairz00_3193;

																						BgL_pairz00_3193 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3124));
																						BgL_arg1914z00_3192 =
																							CAR(BgL_pairz00_3193);
																					}
																					BgL_arg1911z00_3191 =
																						string_append_3
																						(BGl_string2044z00zzbackend_jvmz00,
																						BgL_arg1914z00_3192,
																						BGl_string2044z00zzbackend_jvmz00);
																				}
																				{	/* BackEnd/jvm.scm 340 */
																					obj_t BgL_list1912z00_3194;

																					{	/* BackEnd/jvm.scm 340 */
																						obj_t BgL_arg1913z00_3195;

																						BgL_arg1913z00_3195 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1911z00_3191, BNIL);
																						BgL_list1912z00_3194 =
																							MAKE_YOUNG_PAIR(BgL_namez00_3172,
																							BgL_arg1913z00_3195);
																					}
																					BgL_arg1910z00_3190 =
																						BgL_list1912z00_3194;
																			}}
																			BgL_arg1905z00_3185 =
																				MAKE_YOUNG_PAIR(BgL_arg1910z00_3190,
																				BgL_clsz00_3125);
																		}
																		if (CBOOL(BgL_nmainz00_3174))
																			{	/* BackEnd/jvm.scm 344 */
																				BgL_arg1906z00_3186 = BgL_namez00_3172;
																			}
																		else
																			{	/* BackEnd/jvm.scm 344 */
																				BgL_arg1906z00_3186 =
																					BgL_mainzd2modulezd2_3126;
																			}
																		if (CBOOL(BgL_nmainz00_3174))
																			{	/* BackEnd/jvm.scm 345 */
																				BgL_arg1907z00_3187 = BgL_nmainz00_3174;
																			}
																		else
																			{	/* BackEnd/jvm.scm 345 */
																				BgL_arg1907z00_3187 = BgL_mainz00_3127;
																			}
																		if (CBOOL(BgL_nmainz00_3174))
																			{	/* BackEnd/jvm.scm 346 */
																				obj_t BgL_pairz00_3196;

																				BgL_pairz00_3196 =
																					CAR(((obj_t) BgL_sourcesz00_3124));
																				BgL_arg1908z00_3188 =
																					CAR(BgL_pairz00_3196);
																			}
																		else
																			{	/* BackEnd/jvm.scm 346 */
																				BgL_arg1908z00_3188 = BgL_fmainz00_3128;
																			}
																		BgL_arg1909z00_3189 =
																			BGl_appendzd221011zd2zzbackend_jvmz00
																			(BgL_libsz00_3173, BgL_librariesz00_3129);
																		{
																			obj_t BgL_librariesz00_3775;
																			obj_t BgL_fmainz00_3774;
																			obj_t BgL_mainz00_3773;
																			obj_t BgL_mainzd2modulezd2_3772;
																			obj_t BgL_clsz00_3771;
																			obj_t BgL_sourcesz00_3770;

																			BgL_sourcesz00_3770 = BgL_arg1904z00_3184;
																			BgL_clsz00_3771 = BgL_arg1905z00_3185;
																			BgL_mainzd2modulezd2_3772 =
																				BgL_arg1906z00_3186;
																			BgL_mainz00_3773 = BgL_arg1907z00_3187;
																			BgL_fmainz00_3774 = BgL_arg1908z00_3188;
																			BgL_librariesz00_3775 =
																				BgL_arg1909z00_3189;
																			BgL_librariesz00_3129 =
																				BgL_librariesz00_3775;
																			BgL_fmainz00_3128 = BgL_fmainz00_3774;
																			BgL_mainz00_3127 = BgL_mainz00_3773;
																			BgL_mainzd2modulezd2_3126 =
																				BgL_mainzd2modulezd2_3772;
																			BgL_clsz00_3125 = BgL_clsz00_3771;
																			BgL_sourcesz00_3124 = BgL_sourcesz00_3770;
																			goto BgL_loopz00_3123;
																		}
																	}
																}
															}
														else
															{	/* BackEnd/jvm.scm 329 */
															BgL_tagzd2172zd2_3171:
																{	/* BackEnd/jvm.scm 351 */
																	obj_t BgL_arg1918z00_3197;

																	BgL_arg1918z00_3197 =
																		CDR(((obj_t) BgL_sourcesz00_3124));
																	{
																		obj_t BgL_sourcesz00_3779;

																		BgL_sourcesz00_3779 = BgL_arg1918z00_3197;
																		BgL_sourcesz00_3124 = BgL_sourcesz00_3779;
																		goto BgL_loopz00_3123;
																	}
																}
															}
													}
												else
													{	/* BackEnd/jvm.scm 329 */
														goto BgL_tagzd2172zd2_3171;
													}
											}
										else
											{	/* BackEnd/jvm.scm 329 */
												goto BgL_tagzd2172zd2_3171;
											}
									}
								}
							else
								{	/* BackEnd/jvm.scm 326 */
									obj_t BgL_arg1920z00_3199;

									{	/* BackEnd/jvm.scm 326 */
										obj_t BgL_pairz00_3200;

										BgL_pairz00_3200 = CAR(((obj_t) BgL_sourcesz00_3124));
										BgL_arg1920z00_3199 = CAR(BgL_pairz00_3200);
									}
									return
										BGl_errorz00zz__errorz00(BGl_string2016z00zzbackend_jvmz00,
										BGl_string2045z00zzbackend_jvmz00, BgL_arg1920z00_3199);
								}
						}
				}
		}

	}



/* &<@anonymous:1838> */
	bool_t BGl_z62zc3z04anonymousza31838ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3036, obj_t BgL_ezd2165zd2_3037)
	{
		{	/* BackEnd/jvm.scm 290 */
			{
				obj_t BgL_libsz00_3202;

				if (PAIRP(BgL_ezd2165zd2_3037))
					{	/* BackEnd/jvm.scm 290 */
						if ((CAR(BgL_ezd2165zd2_3037) == CNST_TABLE_REF(((long) 13))))
							{	/* BackEnd/jvm.scm 290 */
								BgL_libsz00_3202 = CDR(BgL_ezd2165zd2_3037);
								{
									obj_t BgL_l1477z00_3204;

									BgL_l1477z00_3204 = BgL_libsz00_3202;
								BgL_zc3z04anonymousza31850ze3z87_3203:
									if (PAIRP(BgL_l1477z00_3204))
										{	/* BackEnd/jvm.scm 292 */
											BGl_usezd2libraryz12zc0zzmodule_alibraryz00(CAR
												(BgL_l1477z00_3204));
											{
												obj_t BgL_l1477z00_3794;

												BgL_l1477z00_3794 = CDR(BgL_l1477z00_3204);
												BgL_l1477z00_3204 = BgL_l1477z00_3794;
												goto BgL_zc3z04anonymousza31850ze3z87_3203;
											}
										}
									else
										{	/* BackEnd/jvm.scm 292 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1479z00_3206;

									BgL_l1479z00_3206 = BgL_libsz00_3202;
								BgL_zc3z04anonymousza31855ze3z87_3205:
									if (PAIRP(BgL_l1479z00_3206))
										{	/* BackEnd/jvm.scm 293 */
											BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(CAR
												(BgL_l1479z00_3206));
											{
												obj_t BgL_l1479z00_3800;

												BgL_l1479z00_3800 = CDR(BgL_l1479z00_3206);
												BgL_l1479z00_3206 = BgL_l1479z00_3800;
												goto BgL_zc3z04anonymousza31855ze3z87_3205;
											}
										}
									else
										{	/* BackEnd/jvm.scm 293 */
											return ((bool_t) 1);
										}
								}
							}
						else
							{	/* BackEnd/jvm.scm 290 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* BackEnd/jvm.scm 290 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &<@anonymous:1884> */
	obj_t BGl_z62zc3z04anonymousza31884ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3038)
	{
		{	/* BackEnd/jvm.scm 315 */
			{	/* BackEnd/jvm.scm 318 */
				obj_t BgL_tmpz00_3039;

				BgL_tmpz00_3039 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3038, (int) (((long) 0))));
				{	/* BackEnd/jvm.scm 318 */
					bool_t BgL_tmpz00_3806;

					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					{	/* BackEnd/jvm.scm 319 */
						obj_t BgL_prez00_3207;

						BgL_prez00_3207 = BGl_prefixz00zz__osz00(BgL_tmpz00_3039);
						{	/* BackEnd/jvm.scm 319 */
							obj_t BgL_classzd2filezd2_3208;

							BgL_classzd2filezd2_3208 =
								string_append(BgL_prez00_3207,
								BGl_string2024z00zzbackend_jvmz00);
							{	/* BackEnd/jvm.scm 320 */

								if (fexists(BSTRING_TO_STRING(BgL_tmpz00_3039)))
									{	/* BackEnd/jvm.scm 322 */
										char *BgL_stringz00_3209;

										BgL_stringz00_3209 = BSTRING_TO_STRING(BgL_tmpz00_3039);
										if (unlink(BgL_stringz00_3209))
											{	/* BackEnd/jvm.scm 322 */
												BgL_tmpz00_3806 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/jvm.scm 322 */
												BgL_tmpz00_3806 = ((bool_t) 1);
											}
									}
								else
									{	/* BackEnd/jvm.scm 321 */
										BgL_tmpz00_3806 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_3806);
				}
			}
		}

	}



/* &backend-cnst-table-n1492 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1492zb0zzbackend_jvmz00(obj_t
		BgL_envz00_3040, obj_t BgL_mez00_3041, obj_t BgL_offsetz00_3042)
	{
		{	/* BackEnd/jvm.scm 237 */
			return BGl_string2046z00zzbackend_jvmz00;
		}

	}



/* &backend-link-jvm1490 */
	obj_t BGl_z62backendzd2linkzd2jvm1490z62zzbackend_jvmz00(obj_t
		BgL_envz00_3043, obj_t BgL_mez00_3044, obj_t BgL_resultz00_3045)
	{
		{	/* BackEnd/jvm.scm 230 */
			return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
		}

	}



/* &backend-compile-jvm1488 */
	obj_t BGl_z62backendzd2compilezd2jvm1488z62zzbackend_jvmz00(obj_t
		BgL_envz00_3046, obj_t BgL_mez00_3047)
	{
		{	/* BackEnd/jvm.scm 65 */
			{	/* BackEnd/jvm.scm 67 */
				obj_t BgL_list1648z00_3213;

				{	/* BackEnd/jvm.scm 67 */
					obj_t BgL_arg1652z00_3214;

					{	/* BackEnd/jvm.scm 67 */
						obj_t BgL_arg1656z00_3215;

						BgL_arg1656z00_3215 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1652z00_3214 =
							MAKE_YOUNG_PAIR(BGl_string2047z00zzbackend_jvmz00,
							BgL_arg1656z00_3215);
					}
					BgL_list1648z00_3213 =
						MAKE_YOUNG_PAIR(BGl_string2048z00zzbackend_jvmz00,
						BgL_arg1652z00_3214);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1648z00_3213);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2047z00zzbackend_jvmz00;
			{	/* BackEnd/jvm.scm 67 */
				obj_t BgL_g1114z00_3216;
				obj_t BgL_g1115z00_3217;

				{	/* BackEnd/jvm.scm 67 */
					obj_t BgL_list1670z00_3218;

					BgL_list1670z00_3218 =
						MAKE_YOUNG_PAIR
						(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00, BNIL);
					BgL_g1114z00_3216 = BgL_list1670z00_3218;
				}
				BgL_g1115z00_3217 = CNST_TABLE_REF(((long) 16));
				{
					obj_t BgL_hooksz00_3220;
					obj_t BgL_hnamesz00_3221;

					BgL_hooksz00_3220 = BgL_g1114z00_3216;
					BgL_hnamesz00_3221 = BgL_g1115z00_3217;
				BgL_loopz00_3219:
					if (NULLP(BgL_hooksz00_3220))
						{	/* BackEnd/jvm.scm 67 */
							CNST_TABLE_REF(((long) 17));
						}
					else
						{	/* BackEnd/jvm.scm 67 */
							bool_t BgL_test2195z00_3830;

							{	/* BackEnd/jvm.scm 67 */
								obj_t BgL_fun1669z00_3222;

								BgL_fun1669z00_3222 = CAR(((obj_t) BgL_hooksz00_3220));
								BgL_test2195z00_3830 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1669z00_3222)
									(BgL_fun1669z00_3222, BEOA));
							}
							if (BgL_test2195z00_3830)
								{	/* BackEnd/jvm.scm 67 */
									obj_t BgL_arg1665z00_3223;
									obj_t BgL_arg1667z00_3224;

									BgL_arg1665z00_3223 = CDR(((obj_t) BgL_hooksz00_3220));
									BgL_arg1667z00_3224 = CDR(((obj_t) BgL_hnamesz00_3221));
									{
										obj_t BgL_hnamesz00_3842;
										obj_t BgL_hooksz00_3841;

										BgL_hooksz00_3841 = BgL_arg1665z00_3223;
										BgL_hnamesz00_3842 = BgL_arg1667z00_3224;
										BgL_hnamesz00_3221 = BgL_hnamesz00_3842;
										BgL_hooksz00_3220 = BgL_hooksz00_3841;
										goto BgL_loopz00_3219;
									}
								}
							else
								{	/* BackEnd/jvm.scm 67 */
									obj_t BgL_arg1668z00_3225;

									BgL_arg1668z00_3225 = CAR(((obj_t) BgL_hnamesz00_3221));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2047z00zzbackend_jvmz00,
										BGl_string2049z00zzbackend_jvmz00, BgL_arg1668z00_3225);
								}
						}
				}
			}
			{	/* BackEnd/jvm.scm 69 */
				obj_t BgL_arg1675z00_3226;

				BgL_arg1675z00_3226 =
					BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{	/* BackEnd/jvm.scm 68 */
					obj_t BgL_list1676z00_3227;

					{	/* BackEnd/jvm.scm 68 */
						obj_t BgL_arg1678z00_3228;

						{	/* BackEnd/jvm.scm 68 */
							obj_t BgL_arg1679z00_3229;

							{	/* BackEnd/jvm.scm 68 */
								obj_t BgL_arg1681z00_3230;

								{	/* BackEnd/jvm.scm 68 */
									obj_t BgL_arg1682z00_3231;

									{	/* BackEnd/jvm.scm 68 */
										obj_t BgL_arg1694z00_3232;

										BgL_arg1694z00_3232 =
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
										BgL_arg1682z00_3231 =
											MAKE_YOUNG_PAIR(BGl_string2050z00zzbackend_jvmz00,
											BgL_arg1694z00_3232);
									}
									BgL_arg1681z00_3230 =
										MAKE_YOUNG_PAIR(BgL_arg1675z00_3226, BgL_arg1682z00_3231);
								}
								BgL_arg1679z00_3229 =
									MAKE_YOUNG_PAIR(BGl_string2051z00zzbackend_jvmz00,
									BgL_arg1681z00_3230);
							}
							BgL_arg1678z00_3228 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
								BgL_arg1679z00_3229);
						}
						BgL_list1676z00_3227 =
							MAKE_YOUNG_PAIR(BGl_string2052z00zzbackend_jvmz00,
							BgL_arg1678z00_3228);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1676z00_3227);
			}}
			((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_mez00_3047)))->BgL_qnamez00) = ((obj_t)
					bstring_to_symbol(BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00))), BUNSPEC);
			{	/* BackEnd/jvm.scm 74 */
				bool_t BgL_test2196z00_3860;

				if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
					{	/* BackEnd/jvm.scm 74 */
						BgL_test2196z00_3860 = ((bool_t) 0);
					}
				else
					{	/* BackEnd/jvm.scm 74 */
						if (CBOOL(BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00))
							{	/* BackEnd/jvm.scm 74 */
								BgL_test2196z00_3860 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										CNST_TABLE_REF(((long) 18))));
							}
						else
							{	/* BackEnd/jvm.scm 74 */
								BgL_test2196z00_3860 = ((bool_t) 0);
							}
					}
				if (BgL_test2196z00_3860)
					{	/* BackEnd/jvm.scm 74 */
						BGl_za2mainza2z00zzmodule_modulez00 =
							BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
					}
				else
					{	/* BackEnd/jvm.scm 74 */
						BFALSE;
					}
			}
			BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00
				(BGl_za2moduleza2z00zzmodule_modulez00,
				BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
			{	/* BackEnd/jvm.scm 102 */
				obj_t BgL_lza2za2_3233;
				obj_t BgL_bnamez00_3234;

				BgL_lza2za2_3233 =
					BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
					((BgL_jvmz00_bglt) BgL_mez00_3047));
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
					{	/* BackEnd/jvm.scm 105 */
						bool_t BgL_test2200z00_3875;

						{	/* BackEnd/jvm.scm 105 */
							obj_t BgL_tmpz00_3876;

							BgL_tmpz00_3876 =
								(((BgL_jvmz00_bglt) COBJECT(
										((BgL_jvmz00_bglt) BgL_mez00_3047)))->BgL_qnamez00);
							BgL_test2200z00_3875 = SYMBOLP(BgL_tmpz00_3876);
						}
						if (BgL_test2200z00_3875)
							{	/* BackEnd/jvm.scm 106 */
								obj_t BgL_arg1723z00_3235;

								{	/* BackEnd/jvm.scm 106 */
									obj_t BgL_arg1725z00_3236;

									{	/* BackEnd/jvm.scm 106 */
										obj_t BgL_arg1726z00_3237;

										{	/* BackEnd/jvm.scm 106 */
											obj_t BgL_arg1728z00_3238;

											BgL_arg1728z00_3238 =
												(((BgL_jvmz00_bglt) COBJECT(
														((BgL_jvmz00_bglt) BgL_mez00_3047)))->BgL_qnamez00);
											{	/* BackEnd/jvm.scm 106 */
												obj_t BgL_arg1463z00_3239;

												BgL_arg1463z00_3239 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1728z00_3238));
												BgL_arg1726z00_3237 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_3239);
											}
										}
										BgL_arg1725z00_3236 =
											BGl_basenamez00zz__osz00(BgL_arg1726z00_3237);
									}
									BgL_arg1723z00_3235 =
										BGl_prefixz00zz__osz00(BgL_arg1725z00_3236);
								}
								BgL_bnamez00_3234 =
									BGl_addsuffixz00zzbackend_jvmz00(BgL_arg1723z00_3235);
							}
						else
							{	/* BackEnd/jvm.scm 105 */
								BgL_bnamez00_3234 = BGl_string2053z00zzbackend_jvmz00;
							}
					}
				else
					{	/* BackEnd/jvm.scm 104 */
						if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
							{	/* BackEnd/jvm.scm 108 */
								BgL_bnamez00_3234 =
									BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
									(BGl_basenamez00zz__osz00
										(BGl_za2destza2z00zzengine_paramz00)));
							}
						else
							{	/* BackEnd/jvm.scm 109 */
								bool_t BgL_test2202z00_3893;

								{	/* BackEnd/jvm.scm 109 */
									obj_t BgL_tmpz00_3894;

									BgL_tmpz00_3894 =
										(((BgL_jvmz00_bglt) COBJECT(
												((BgL_jvmz00_bglt) BgL_mez00_3047)))->BgL_qnamez00);
									BgL_test2202z00_3893 = SYMBOLP(BgL_tmpz00_3894);
								}
								if (BgL_test2202z00_3893)
									{	/* BackEnd/jvm.scm 110 */
										obj_t BgL_arg1742z00_3240;

										{	/* BackEnd/jvm.scm 110 */
											obj_t BgL_arg1743z00_3241;

											{	/* BackEnd/jvm.scm 110 */
												obj_t BgL_arg1745z00_3242;

												{	/* BackEnd/jvm.scm 110 */
													obj_t BgL_arg1746z00_3243;

													BgL_arg1746z00_3243 =
														(((BgL_jvmz00_bglt) COBJECT(
																((BgL_jvmz00_bglt) BgL_mez00_3047)))->
														BgL_qnamez00);
													{	/* BackEnd/jvm.scm 110 */
														obj_t BgL_arg1463z00_3244;

														BgL_arg1463z00_3244 =
															SYMBOL_TO_STRING(((obj_t) BgL_arg1746z00_3243));
														BgL_arg1745z00_3242 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_3244);
													}
												}
												BgL_arg1743z00_3241 =
													BGl_basenamez00zz__osz00(BgL_arg1745z00_3242);
											}
											BgL_arg1742z00_3240 =
												BGl_prefixz00zz__osz00(BgL_arg1743z00_3241);
										}
										BgL_bnamez00_3234 =
											BGl_addsuffixz00zzbackend_jvmz00(BgL_arg1742z00_3240);
									}
								else
									{	/* BackEnd/jvm.scm 109 */
										BgL_bnamez00_3234 = BFALSE;
									}
							}
					}
				{	/* BackEnd/jvm.scm 114 */
					obj_t BgL_arg1699z00_3245;

					BgL_arg1699z00_3245 = CAR(((obj_t) BgL_lza2za2_3233));
					BGl_emitze70ze7zzbackend_jvmz00(BgL_arg1699z00_3245,
						BgL_bnamez00_3234);
				}
				{	/* BackEnd/jvm.scm 115 */
					obj_t BgL_g1474z00_3246;

					BgL_g1474z00_3246 = CDR(((obj_t) BgL_lza2za2_3233));
					{
						obj_t BgL_l1472z00_3248;

						BgL_l1472z00_3248 = BgL_g1474z00_3246;
					BgL_zc3z04anonymousza31700ze3z87_3247:
						if (PAIRP(BgL_l1472z00_3248))
							{	/* BackEnd/jvm.scm 116 */
								{	/* BackEnd/jvm.scm 115 */
									obj_t BgL_cfz00_3249;

									BgL_cfz00_3249 = CAR(BgL_l1472z00_3248);
									BGl_emitze70ze7zzbackend_jvmz00(BgL_cfz00_3249,
										BGl_jasnamez00zzbackend_jvmz00(BgL_cfz00_3249));
								}
								{
									obj_t BgL_l1472z00_3916;

									BgL_l1472z00_3916 = CDR(BgL_l1472z00_3248);
									BgL_l1472z00_3248 = BgL_l1472z00_3916;
									goto BgL_zc3z04anonymousza31700ze3z87_3247;
								}
							}
						else
							{	/* BackEnd/jvm.scm 116 */
								((bool_t) 1);
							}
					}
				}
				BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 19)),
					BGl_proc2054z00zzbackend_jvmz00);
				BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 8)),
					BGl_proc2055z00zzbackend_jvmz00);
				return BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long)
							7)), BGl_proc2056z00zzbackend_jvmz00);
		}}

	}



/* <@exit:1767>~0 */
	obj_t BGl_zc3z04exitza31767ze3ze70z60zzbackend_jvmz00(obj_t
		BgL_classfilez00_3073, obj_t BgL_portz00_3072, obj_t BgL_cell1119z00_3071,
		obj_t BgL_env1124z00_3070)
	{
		{	/* BackEnd/jvm.scm 94 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1132z00_2129;

			if (SET_EXIT(BgL_an_exit1132z00_2129))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1132z00_2129 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1124z00_3070, BgL_an_exit1132z00_2129,
						((long) 1));
					{	/* BackEnd/jvm.scm 94 */
						obj_t BgL_escape1120z00_2130;

						BgL_escape1120z00_2130 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1124z00_3070);
						{	/* BackEnd/jvm.scm 94 */
							obj_t BgL_res1135z00_2131;

							{	/* BackEnd/jvm.scm 94 */
								obj_t BgL_ohs1116z00_2132;

								BgL_ohs1116z00_2132 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1124z00_3070);
								{	/* BackEnd/jvm.scm 94 */
									obj_t BgL_hds1117z00_2133;

									BgL_hds1117z00_2133 =
										MAKE_STACK_PAIR(BgL_escape1120z00_2130,
										BgL_cell1119z00_3071);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1124z00_3070,
										BgL_hds1117z00_2133);
									BUNSPEC;
									{	/* BackEnd/jvm.scm 94 */
										obj_t BgL_exitd1125z00_2134;

										BgL_exitd1125z00_2134 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1124z00_3070);
										{	/* BackEnd/jvm.scm 94 */
											obj_t BgL_tmp1127z00_2135;

											{	/* BackEnd/jvm.scm 94 */
												obj_t BgL_arg1770z00_2142;

												BgL_arg1770z00_2142 =
													BGL_EXITD_PROTECT(BgL_exitd1125z00_2134);
												BgL_tmp1127z00_2135 =
													MAKE_YOUNG_PAIR(BgL_ohs1116z00_2132,
													BgL_arg1770z00_2142);
											}
											{	/* BackEnd/jvm.scm 94 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_2134,
													BgL_tmp1127z00_2135);
												BUNSPEC;
												{	/* BackEnd/jvm.scm 98 */
													obj_t BgL_tmp1126z00_2136;

													{	/* BackEnd/jvm.scm 98 */
														obj_t BgL_exitd1128z00_2137;

														BgL_exitd1128z00_2137 = BGL_EXITD_TOP_AS_OBJ();
														{	/* BackEnd/jvm.scm 100 */
															obj_t BgL_zc3z04anonymousza31768ze3z87_3025;

															BgL_zc3z04anonymousza31768ze3z87_3025 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31768ze3ze5zzbackend_jvmz00,
																(int) (((long) 0)), (int) (((long) 1)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31768ze3z87_3025,
																(int) (((long) 0)), BgL_portz00_3072);
															{	/* BackEnd/jvm.scm 98 */
																obj_t BgL_arg1846z00_2829;

																{	/* BackEnd/jvm.scm 98 */
																	obj_t BgL_arg1847z00_2830;

																	BgL_arg1847z00_2830 =
																		BGL_EXITD_PROTECT(BgL_exitd1128z00_2137);
																	BgL_arg1846z00_2829 =
																		MAKE_YOUNG_PAIR
																		(BgL_zc3z04anonymousza31768ze3z87_3025,
																		BgL_arg1847z00_2830);
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_2137,
																	BgL_arg1846z00_2829);
																BUNSPEC;
															}
															{	/* BackEnd/jvm.scm 99 */
																obj_t BgL_tmp1130z00_2139;

																BgL_tmp1130z00_2139 =
																	BGl_jvmzd2aszd2zzjas_asz00
																	(BgL_classfilez00_3073, BgL_portz00_3072);
																{	/* BackEnd/jvm.scm 98 */
																	bool_t BgL_test2204z00_3945;

																	{	/* BackEnd/jvm.scm 98 */
																		obj_t BgL_arg1845z00_2832;

																		BgL_arg1845z00_2832 =
																			BGL_EXITD_PROTECT(BgL_exitd1128z00_2137);
																		BgL_test2204z00_3945 =
																			PAIRP(BgL_arg1845z00_2832);
																	}
																	if (BgL_test2204z00_3945)
																		{	/* BackEnd/jvm.scm 98 */
																			obj_t BgL_arg1843z00_2833;

																			{	/* BackEnd/jvm.scm 98 */
																				obj_t BgL_arg1844z00_2834;

																				BgL_arg1844z00_2834 =
																					BGL_EXITD_PROTECT
																					(BgL_exitd1128z00_2137);
																				BgL_arg1843z00_2833 =
																					CDR(((obj_t) BgL_arg1844z00_2834));
																			}
																			BGL_EXITD_PROTECT_SET
																				(BgL_exitd1128z00_2137,
																				BgL_arg1843z00_2833);
																			BUNSPEC;
																		}
																	else
																		{	/* BackEnd/jvm.scm 98 */
																			BFALSE;
																		}
																}
																close_binary_port(((obj_t) BgL_portz00_3072));
																BgL_tmp1126z00_2136 = BgL_tmp1130z00_2139;
															}
														}
													}
													{	/* BackEnd/jvm.scm 94 */
														bool_t BgL_test2205z00_3954;

														{	/* BackEnd/jvm.scm 94 */
															obj_t BgL_arg1845z00_2838;

															BgL_arg1845z00_2838 =
																BGL_EXITD_PROTECT(BgL_exitd1125z00_2134);
															BgL_test2205z00_3954 = PAIRP(BgL_arg1845z00_2838);
														}
														if (BgL_test2205z00_3954)
															{	/* BackEnd/jvm.scm 94 */
																obj_t BgL_arg1843z00_2839;

																{	/* BackEnd/jvm.scm 94 */
																	obj_t BgL_arg1844z00_2840;

																	BgL_arg1844z00_2840 =
																		BGL_EXITD_PROTECT(BgL_exitd1125z00_2134);
																	BgL_arg1843z00_2839 =
																		CDR(((obj_t) BgL_arg1844z00_2840));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_2134,
																	BgL_arg1843z00_2839);
																BUNSPEC;
															}
														else
															{	/* BackEnd/jvm.scm 94 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1124z00_3070,
														BgL_ohs1116z00_2132);
													BUNSPEC;
													BgL_res1135z00_2131 = BgL_tmp1126z00_2136;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1124z00_3070);
							return BgL_res1135z00_2131;
						}
					}
				}
		}

	}



/* emit~0 */
	obj_t BGl_emitze70ze7zzbackend_jvmz00(obj_t BgL_classfilez00_2103,
		obj_t BgL_destz00_2104)
	{
		{	/* BackEnd/jvm.scm 100 */
			{	/* BackEnd/jvm.scm 78 */
				obj_t BgL_dirz00_2106;

				BgL_dirz00_2106 = BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00;
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 8))))
					{	/* BackEnd/jvm.scm 80 */
						obj_t BgL_portz00_2108;

						if (STRINGP(BgL_destz00_2104))
							{	/* BackEnd/jvm.scm 83 */
								obj_t BgL_arg1759z00_2113;

								BgL_arg1759z00_2113 =
									string_append_3(BgL_dirz00_2106,
									BGl_string2057z00zzbackend_jvmz00, BgL_destz00_2104);
								{	/* BackEnd/jvm.scm 82 */

									BgL_portz00_2108 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1759z00_2113, BTRUE);
								}
							}
						else
							{	/* BackEnd/jvm.scm 81 */
								obj_t BgL_tmpz00_3970;

								BgL_tmpz00_3970 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_portz00_2108 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3970);
							}
						BGl_jvmasdumpz00zzbackend_jvmz00(BgL_classfilez00_2103,
							BgL_portz00_2108);
						{	/* BackEnd/jvm.scm 85 */
							bool_t BgL_test2208z00_3974;

							{	/* BackEnd/jvm.scm 85 */
								obj_t BgL_arg1752z00_2111;

								{	/* BackEnd/jvm.scm 85 */
									obj_t BgL_tmpz00_3975;

									BgL_tmpz00_3975 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1752z00_2111 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3975);
								}
								BgL_test2208z00_3974 =
									(BgL_portz00_2108 == BgL_arg1752z00_2111);
							}
							if (BgL_test2208z00_3974)
								{	/* BackEnd/jvm.scm 85 */
									return BFALSE;
								}
							else
								{	/* BackEnd/jvm.scm 85 */
									return bgl_close_output_port(((obj_t) BgL_portz00_2108));
								}
						}
					}
				else
					{	/* BackEnd/jvm.scm 87 */
						obj_t BgL_cnamez00_2116;

						if (STRINGP(BgL_destz00_2104))
							{	/* BackEnd/jvm.scm 87 */
								BgL_cnamez00_2116 =
									string_append_3(BgL_dirz00_2106,
									BGl_string2057z00zzbackend_jvmz00, BgL_destz00_2104);
							}
						else
							{	/* BackEnd/jvm.scm 87 */
								BgL_cnamez00_2116 =
									string_append(BgL_dirz00_2106,
									BGl_string2058z00zzbackend_jvmz00);
							}
						{	/* BackEnd/jvm.scm 87 */
							obj_t BgL_portz00_2117;

							BgL_portz00_2117 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_cnamez00_2116);
							{	/* BackEnd/jvm.scm 90 */

								{	/* BackEnd/jvm.scm 91 */
									obj_t BgL_list1760z00_2118;

									{	/* BackEnd/jvm.scm 91 */
										obj_t BgL_arg1761z00_2119;

										{	/* BackEnd/jvm.scm 91 */
											obj_t BgL_arg1762z00_2120;

											BgL_arg1762z00_2120 =
												MAKE_YOUNG_PAIR(BGl_string2059z00zzbackend_jvmz00,
												BNIL);
											BgL_arg1761z00_2119 =
												MAKE_YOUNG_PAIR(BgL_cnamez00_2116, BgL_arg1762z00_2120);
										}
										BgL_list1760z00_2118 =
											MAKE_YOUNG_PAIR(BGl_string2060z00zzbackend_jvmz00,
											BgL_arg1761z00_2119);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1760z00_2118);
								}
								if (BINARY_PORTP(BgL_portz00_2117))
									{	/* BackEnd/jvm.scm 92 */
										BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 92 */
										BGl_errorz00zz__errorz00(BGl_string2061z00zzbackend_jvmz00,
											BGl_string2062z00zzbackend_jvmz00, BgL_cnamez00_2116);
									}
								{	/* BackEnd/jvm.scm 94 */
									obj_t BgL_env1124z00_2123;

									BgL_env1124z00_2123 = BGL_CURRENT_DYNAMIC_ENV();
									{	/* BackEnd/jvm.scm 94 */
										obj_t BgL_cell1119z00_2124;

										BgL_cell1119z00_2124 = MAKE_STACK_CELL(BUNSPEC);
										{	/* BackEnd/jvm.scm 94 */
											obj_t BgL_val1123z00_2125;

											BgL_val1123z00_2125 =
												BGl_zc3z04exitza31767ze3ze70z60zzbackend_jvmz00
												(BgL_classfilez00_2103, BgL_portz00_2117,
												BgL_cell1119z00_2124, BgL_env1124z00_2123);
											if ((BgL_val1123z00_2125 == BgL_cell1119z00_2124))
												{	/* BackEnd/jvm.scm 94 */
													{	/* BackEnd/jvm.scm 94 */
														int BgL_tmpz00_3999;

														BgL_tmpz00_3999 = (int) (((long) 0));
														BGL_SIGSETMASK(BgL_tmpz00_3999);
													}
													{	/* BackEnd/jvm.scm 94 */
														obj_t BgL_arg1766z00_2127;

														BgL_arg1766z00_2127 =
															CELL_REF(((obj_t) BgL_val1123z00_2125));
														{	/* BackEnd/jvm.scm 96 */
															char *BgL_stringz00_2843;

															BgL_stringz00_2843 =
																BSTRING_TO_STRING(BgL_cnamez00_2116);
															if (unlink(BgL_stringz00_2843))
																{	/* BackEnd/jvm.scm 96 */
																	((bool_t) 0);
																}
															else
																{	/* BackEnd/jvm.scm 96 */
																	((bool_t) 1);
																}
														}
														return
															BGl_raisez00zz__errorz00(BgL_arg1766z00_2127);
													}
												}
											else
												{	/* BackEnd/jvm.scm 94 */
													return BgL_val1123z00_2125;
												}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &<@anonymous:1716> */
	obj_t BGl_z62zc3z04anonymousza31716ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3048)
	{
		{	/* BackEnd/jvm.scm 119 */
			return CNST_TABLE_REF(((long) 20));
		}

	}



/* &<@anonymous:1714> */
	obj_t BGl_z62zc3z04anonymousza31714ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3049)
	{
		{	/* BackEnd/jvm.scm 118 */
			return CNST_TABLE_REF(((long) 20));
		}

	}



/* &<@anonymous:1712> */
	obj_t BGl_z62zc3z04anonymousza31712ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3050)
	{
		{	/* BackEnd/jvm.scm 117 */
			return CNST_TABLE_REF(((long) 20));
		}

	}



/* &<@anonymous:1768> */
	obj_t BGl_z62zc3z04anonymousza31768ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3051)
	{
		{	/* BackEnd/jvm.scm 98 */
			{	/* BackEnd/jvm.scm 100 */
				obj_t BgL_portz00_3052;

				BgL_portz00_3052 = PROCEDURE_REF(BgL_envz00_3051, (int) (((long) 0)));
				return close_binary_port(((obj_t) BgL_portz00_3052));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00()
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 117219619),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 412406770),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 316727058),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 65542503),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 476839586),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_peepz00(((long) 121595967),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(((long) 100353792),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(((long) 14468792),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 252555369),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 32737986),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 95801752),
				BSTRING_TO_STRING(BGl_string2063z00zzbackend_jvmz00));
		}

	}

#ifdef __cplusplus
}
#endif
