/*===========================================================================*/
/*   (Beta/walk.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Beta/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1267za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzbeta_walkz00();
	static obj_t BGl_objectzd2initzd2zzbeta_walkz00();
	static obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1277z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2extern1271z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2betaz121258za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1281z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121287zb0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1283za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1289za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1295z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1265z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1273z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1261z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1293z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1275z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1263z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2fail1279z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbeta_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1269z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1291za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2ref1285za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711910za7,
		BGl_z62nodezd2betaz12za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_betazd2walkz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762betaza7d2walkza711911za7,
		BGl_z62betazd2walkz12za2zzbeta_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1905z00zzbeta_walkz00,
		BgL_bgl_string1905za700za7za7b1912za7, "wrong node", 10);
	      DEFINE_STRING(BGl_string1906z00zzbeta_walkz00,
		BgL_bgl_string1906za700za7za7b1913za7, "beta_walk", 9);
	      DEFINE_STRING(BGl_string1907z00zzbeta_walkz00,
		BgL_bgl_string1907za700za7za7b1914za7, "read beta pass-started ", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711915za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121287zb0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711916za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1289za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711917za7,
		BGl_z62nodezd2betaz12zd2letzd2var1291za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711918za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1293z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711919za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1295z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1876z00zzbeta_walkz00,
		BgL_bgl_string1876za700za7za7b1920za7, "Constant Beta", 13);
	      DEFINE_STRING(BGl_string1877z00zzbeta_walkz00,
		BgL_bgl_string1877za700za7za7b1921za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1878z00zzbeta_walkz00,
		BgL_bgl_string1878za700za7za7b1922za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1879z00zzbeta_walkz00,
		BgL_bgl_string1879za700za7za7b1923za7, " error", 6);
	      DEFINE_STRING(BGl_string1880z00zzbeta_walkz00,
		BgL_bgl_string1880za700za7za7b1924za7, "s", 1);
	      DEFINE_STRING(BGl_string1881z00zzbeta_walkz00,
		BgL_bgl_string1881za700za7za7b1925za7, "", 0);
	      DEFINE_STRING(BGl_string1882z00zzbeta_walkz00,
		BgL_bgl_string1882za700za7za7b1926za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1883z00zzbeta_walkz00,
		BgL_bgl_string1883za700za7za7b1927za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1885z00zzbeta_walkz00,
		BgL_bgl_string1885za700za7za7b1928za7, "node-beta!1258", 14);
	      DEFINE_STRING(BGl_string1887z00zzbeta_walkz00,
		BgL_bgl_string1887za700za7za7b1929za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711930za7,
		BGl_z62nodezd2betaz121258za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711931za7,
		BGl_z62nodezd2betaz12zd2sequence1261z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711932za7,
		BGl_z62nodezd2betaz12zd2sync1263z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711933za7,
		BGl_z62nodezd2betaz12zd2app1265z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711934za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1267za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711935za7,
		BGl_z62nodezd2betaz12zd2funcall1269z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711936za7,
		BGl_z62nodezd2betaz12zd2extern1271z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711937za7,
		BGl_z62nodezd2betaz12zd2cast1273z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711938za7,
		BGl_z62nodezd2betaz12zd2setq1275z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711939za7,
		BGl_z62nodezd2betaz12zd2condition1277z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711940za7,
		BGl_z62nodezd2betaz12zd2fail1279z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711941za7,
		BGl_z62nodezd2betaz12zd2switch1281z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711942za7,
		BGl_z62nodezd2betaz12zd2makezd2box1283za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711943za7,
		BGl_z62nodezd2betaz12zd2boxzd2ref1285za2zzbeta_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbeta_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long
		BgL_checksumz00_2611, char *BgL_fromz00_2612)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbeta_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbeta_walkz00();
					BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
					BGl_cnstzd2initzd2zzbeta_walkz00();
					BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
					BGl_genericzd2initzd2zzbeta_walkz00();
					BGl_methodzd2initzd2zzbeta_walkz00();
					return BGl_toplevelzd2initzd2zzbeta_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "beta_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			{	/* Beta/walk.scm 18 */
				obj_t BgL_cportz00_2454;

				{	/* Beta/walk.scm 18 */
					obj_t BgL_stringz00_2462;

					BgL_stringz00_2462 = BGl_string1907z00zzbeta_walkz00;
					{	/* Beta/walk.scm 18 */
						obj_t BgL_startz00_2463;

						BgL_startz00_2463 = BINT(((long) 0));
						{	/* Beta/walk.scm 18 */
							obj_t BgL_endz00_2464;

							BgL_endz00_2464 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2462)));
							{	/* Beta/walk.scm 18 */

								BgL_cportz00_2454 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2462, BgL_startz00_2463, BgL_endz00_2464);
				}}}}
				{
					long BgL_iz00_2455;

					BgL_iz00_2455 = ((long) 2);
				BgL_loopz00_2456:
					if ((BgL_iz00_2455 == ((long) -1)))
						{	/* Beta/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Beta/walk.scm 18 */
							{	/* Beta/walk.scm 18 */
								obj_t BgL_arg1909z00_2458;

								{	/* Beta/walk.scm 18 */

									{	/* Beta/walk.scm 18 */
										obj_t BgL_locationz00_2460;

										BgL_locationz00_2460 = BBOOL(((bool_t) 0));
										{	/* Beta/walk.scm 18 */

											BgL_arg1909z00_2458 =
												BGl_readz00zz__readerz00(BgL_cportz00_2454,
												BgL_locationz00_2460);
										}
									}
								}
								{	/* Beta/walk.scm 18 */
									int BgL_tmpz00_2648;

									BgL_tmpz00_2648 = (int) (BgL_iz00_2455);
									CNST_TABLE_SET(BgL_tmpz00_2648, BgL_arg1909z00_2458);
							}}
							{	/* Beta/walk.scm 18 */
								int BgL_auxz00_2461;

								BgL_auxz00_2461 = (int) ((BgL_iz00_2455 - ((long) 1)));
								{
									long BgL_iz00_2653;

									BgL_iz00_2653 = (long) (BgL_auxz00_2461);
									BgL_iz00_2455 = BgL_iz00_2653;
									goto BgL_loopz00_2456;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* beta-walk! */
	BGL_EXPORTED_DEF obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Beta/walk.scm 34 */
			{	/* Beta/walk.scm 35 */
				obj_t BgL_list1299z00_1394;

				{	/* Beta/walk.scm 35 */
					obj_t BgL_arg1301z00_1395;

					{	/* Beta/walk.scm 35 */
						obj_t BgL_arg1304z00_1396;

						BgL_arg1304z00_1396 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1301z00_1395 =
							MAKE_YOUNG_PAIR(BGl_string1876z00zzbeta_walkz00,
							BgL_arg1304z00_1396);
					}
					BgL_list1299z00_1394 =
						MAKE_YOUNG_PAIR(BGl_string1877z00zzbeta_walkz00,
						BgL_arg1301z00_1395);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1299z00_1394);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1876z00zzbeta_walkz00;
			{	/* Beta/walk.scm 35 */
				obj_t BgL_g1109z00_1397;

				BgL_g1109z00_1397 = BNIL;
				{
					obj_t BgL_hooksz00_1400;
					obj_t BgL_hnamesz00_1401;

					BgL_hooksz00_1400 = BgL_g1109z00_1397;
					BgL_hnamesz00_1401 = BNIL;
				BgL_zc3z04anonymousza31305ze3z87_1402:
					if (NULLP(BgL_hooksz00_1400))
						{	/* Beta/walk.scm 35 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Beta/walk.scm 35 */
							bool_t BgL_test1947z00_2666;

							{	/* Beta/walk.scm 35 */
								obj_t BgL_fun1314z00_1409;

								BgL_fun1314z00_1409 = CAR(((obj_t) BgL_hooksz00_1400));
								BgL_test1947z00_2666 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1314z00_1409)
									(BgL_fun1314z00_1409, BEOA));
							}
							if (BgL_test1947z00_2666)
								{	/* Beta/walk.scm 35 */
									obj_t BgL_arg1310z00_1406;
									obj_t BgL_arg1311z00_1407;

									BgL_arg1310z00_1406 = CDR(((obj_t) BgL_hooksz00_1400));
									BgL_arg1311z00_1407 = CDR(((obj_t) BgL_hnamesz00_1401));
									{
										obj_t BgL_hnamesz00_2678;
										obj_t BgL_hooksz00_2677;

										BgL_hooksz00_2677 = BgL_arg1310z00_1406;
										BgL_hnamesz00_2678 = BgL_arg1311z00_1407;
										BgL_hnamesz00_1401 = BgL_hnamesz00_2678;
										BgL_hooksz00_1400 = BgL_hooksz00_2677;
										goto BgL_zc3z04anonymousza31305ze3z87_1402;
									}
								}
							else
								{	/* Beta/walk.scm 35 */
									obj_t BgL_arg1313z00_1408;

									BgL_arg1313z00_1408 = CAR(((obj_t) BgL_hnamesz00_1401));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1876z00zzbeta_walkz00,
										BGl_string1878z00zzbeta_walkz00, BgL_arg1313z00_1408);
								}
						}
				}
			}
			BGl_betazd2globalsz12zc0zzbeta_walkz00(BgL_globalsz00_3);
			{	/* Beta/walk.scm 37 */
				obj_t BgL_valuez00_1412;

				BgL_valuez00_1412 =
					BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
					BgL_globalsz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Beta/walk.scm 37 */
						{	/* Beta/walk.scm 37 */
							obj_t BgL_port1243z00_1414;

							{	/* Beta/walk.scm 37 */
								obj_t BgL_tmpz00_2688;

								BgL_tmpz00_2688 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1243z00_1414 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2688);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1243z00_1414);
							bgl_display_string(BGl_string1879z00zzbeta_walkz00,
								BgL_port1243z00_1414);
							{	/* Beta/walk.scm 37 */
								obj_t BgL_arg1317z00_1415;

								{	/* Beta/walk.scm 37 */
									bool_t BgL_test1949z00_2693;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Beta/walk.scm 37 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Beta/walk.scm 37 */
													BgL_test1949z00_2693 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Beta/walk.scm 37 */
													BgL_test1949z00_2693 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Beta/walk.scm 37 */
											BgL_test1949z00_2693 = ((bool_t) 0);
										}
									if (BgL_test1949z00_2693)
										{	/* Beta/walk.scm 37 */
											BgL_arg1317z00_1415 = BGl_string1880z00zzbeta_walkz00;
										}
									else
										{	/* Beta/walk.scm 37 */
											BgL_arg1317z00_1415 = BGl_string1881z00zzbeta_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1317z00_1415, BgL_port1243z00_1414);
							}
							bgl_display_string(BGl_string1882z00zzbeta_walkz00,
								BgL_port1243z00_1414);
							bgl_display_char(((unsigned char) 10), BgL_port1243z00_1414);
						}
						{	/* Beta/walk.scm 37 */
							obj_t BgL_list1321z00_1421;

							BgL_list1321z00_1421 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1321z00_1421);
						}
					}
				else
					{	/* Beta/walk.scm 37 */
						obj_t BgL_g1111z00_1422;

						BgL_g1111z00_1422 = BNIL;
						{
							obj_t BgL_hooksz00_1425;
							obj_t BgL_hnamesz00_1426;

							BgL_hooksz00_1425 = BgL_g1111z00_1422;
							BgL_hnamesz00_1426 = BNIL;
						BgL_zc3z04anonymousza31322ze3z87_1427:
							if (NULLP(BgL_hooksz00_1425))
								{	/* Beta/walk.scm 37 */
									return BgL_valuez00_1412;
								}
							else
								{	/* Beta/walk.scm 37 */
									bool_t BgL_test1953z00_2710;

									{	/* Beta/walk.scm 37 */
										obj_t BgL_fun1333z00_1434;

										BgL_fun1333z00_1434 = CAR(((obj_t) BgL_hooksz00_1425));
										BgL_test1953z00_2710 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun1333z00_1434)
											(BgL_fun1333z00_1434, BEOA));
									}
									if (BgL_test1953z00_2710)
										{	/* Beta/walk.scm 37 */
											obj_t BgL_arg1328z00_1431;
											obj_t BgL_arg1331z00_1432;

											BgL_arg1328z00_1431 = CDR(((obj_t) BgL_hooksz00_1425));
											BgL_arg1331z00_1432 = CDR(((obj_t) BgL_hnamesz00_1426));
											{
												obj_t BgL_hnamesz00_2722;
												obj_t BgL_hooksz00_2721;

												BgL_hooksz00_2721 = BgL_arg1328z00_1431;
												BgL_hnamesz00_2722 = BgL_arg1331z00_1432;
												BgL_hnamesz00_1426 = BgL_hnamesz00_2722;
												BgL_hooksz00_1425 = BgL_hooksz00_2721;
												goto BgL_zc3z04anonymousza31322ze3z87_1427;
											}
										}
									else
										{	/* Beta/walk.scm 37 */
											obj_t BgL_arg1332z00_1433;

											BgL_arg1332z00_1433 = CAR(((obj_t) BgL_hnamesz00_1426));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1883z00zzbeta_walkz00, BgL_arg1332z00_1433);
										}
								}
						}
					}
			}
		}

	}



/* &beta-walk! */
	obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t BgL_envz00_2373,
		obj_t BgL_globalsz00_2374)
	{
		{	/* Beta/walk.scm 34 */
			return BGl_betazd2walkz12zc0zzbeta_walkz00(BgL_globalsz00_2374);
		}

	}



/* beta-globals! */
	bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t BgL_globalsz00_4)
	{
		{	/* Beta/walk.scm 42 */
			{
				obj_t BgL_l1244z00_1438;

				BgL_l1244z00_1438 = BgL_globalsz00_4;
			BgL_zc3z04anonymousza31335ze3z87_1439:
				if (PAIRP(BgL_l1244z00_1438))
					{	/* Beta/walk.scm 43 */
						{	/* Beta/walk.scm 44 */
							obj_t BgL_globalz00_1441;

							BgL_globalz00_1441 = CAR(BgL_l1244z00_1438);
							{	/* Beta/walk.scm 44 */
								BgL_valuez00_bglt BgL_sfunz00_1442;

								BgL_sfunz00_1442 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1441))))->
									BgL_valuez00);
								{	/* Beta/walk.scm 45 */
									BgL_nodez00_bglt BgL_arg1338z00_1443;

									{	/* Beta/walk.scm 45 */
										obj_t BgL_arg1339z00_1444;

										BgL_arg1339z00_1444 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1442)))->BgL_bodyz00);
										BgL_arg1338z00_1443 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1339z00_1444), BNIL);
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1442)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1338z00_1443)), BUNSPEC);
								}
							}
						}
						{
							obj_t BgL_l1244z00_2740;

							BgL_l1244z00_2740 = CDR(BgL_l1244z00_1438);
							BgL_l1244z00_1438 = BgL_l1244z00_2740;
							goto BgL_zc3z04anonymousza31335ze3z87_1439;
						}
					}
				else
					{	/* Beta/walk.scm 43 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t BgL_nodeza2za2_43,
		obj_t BgL_stackz00_44)
	{
		{	/* Beta/walk.scm 235 */
			{
				obj_t BgL_l1256z00_1449;

				BgL_l1256z00_1449 = BgL_nodeza2za2_43;
			BgL_zc3z04anonymousza31341ze3z87_1450:
				if (NULLP(BgL_l1256z00_1449))
					{	/* Beta/walk.scm 236 */
						BgL_nodeza2za2_43;
					}
				else
					{	/* Beta/walk.scm 236 */
						{	/* Beta/walk.scm 236 */
							BgL_nodez00_bglt BgL_arg1343z00_1452;

							{	/* Beta/walk.scm 236 */
								obj_t BgL_nodez00_1453;

								BgL_nodez00_1453 = CAR(((obj_t) BgL_l1256z00_1449));
								BgL_arg1343z00_1452 =
									BGl_nodezd2betaz12zc0zzbeta_walkz00(
									((BgL_nodez00_bglt) BgL_nodez00_1453), BgL_stackz00_44);
							}
							{	/* Beta/walk.scm 236 */
								obj_t BgL_auxz00_2750;
								obj_t BgL_tmpz00_2748;

								BgL_auxz00_2750 = ((obj_t) BgL_arg1343z00_1452);
								BgL_tmpz00_2748 = ((obj_t) BgL_l1256z00_1449);
								SET_CAR(BgL_tmpz00_2748, BgL_auxz00_2750);
							}
						}
						{	/* Beta/walk.scm 236 */
							obj_t BgL_arg1347z00_1454;

							BgL_arg1347z00_1454 = CDR(((obj_t) BgL_l1256z00_1449));
							{
								obj_t BgL_l1256z00_2755;

								BgL_l1256z00_2755 = BgL_arg1347z00_1454;
								BgL_l1256z00_1449 = BgL_l1256z00_2755;
								goto BgL_zc3z04anonymousza31341ze3z87_1450;
							}
						}
					}
			}
			return BgL_nodeza2za2_43;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_proc1884z00zzbeta_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1885z00zzbeta_walkz00);
		}

	}



/* &node-beta!1258 */
	obj_t BGl_z62nodezd2betaz121258za2zzbeta_walkz00(obj_t BgL_envz00_2376,
		obj_t BgL_nodez00_2377, obj_t BgL_stackz00_2378)
	{
		{	/* Beta/walk.scm 51 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2377));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt
		BgL_nodez00_5, obj_t BgL_stackz00_6)
	{
		{	/* Beta/walk.scm 51 */
			{	/* Beta/walk.scm 51 */
				obj_t BgL_method1259z00_1461;

				{	/* Beta/walk.scm 51 */
					obj_t BgL_res1865z00_1928;

					{	/* Beta/walk.scm 51 */
						long BgL_objzd2classzd2numz00_1899;

						BgL_objzd2classzd2numz00_1899 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Beta/walk.scm 51 */
							obj_t BgL_arg1829z00_1900;

							BgL_arg1829z00_1900 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
								(int) (((long) 1)));
							{	/* Beta/walk.scm 51 */
								int BgL_offsetz00_1903;

								BgL_offsetz00_1903 = (int) (BgL_objzd2classzd2numz00_1899);
								{	/* Beta/walk.scm 51 */
									long BgL_offsetz00_1904;

									BgL_offsetz00_1904 =
										((long) (BgL_offsetz00_1903) - OBJECT_TYPE);
									{	/* Beta/walk.scm 51 */
										long BgL_modz00_1905;

										BgL_modz00_1905 =
											(BgL_offsetz00_1904 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Beta/walk.scm 51 */
											long BgL_restz00_1907;

											BgL_restz00_1907 =
												(BgL_offsetz00_1904 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Beta/walk.scm 51 */

												{	/* Beta/walk.scm 51 */
													obj_t BgL_bucketz00_1909;

													BgL_bucketz00_1909 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1900), BgL_modz00_1905);
													BgL_res1865z00_1928 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1909), BgL_restz00_1907);
					}}}}}}}}
					BgL_method1259z00_1461 = BgL_res1865z00_1928;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1259z00_1461) (BgL_method1259z00_1461,
						((obj_t) BgL_nodez00_5), BgL_stackz00_6, BEOA));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t BgL_envz00_2379,
		obj_t BgL_nodez00_2380, obj_t BgL_stackz00_2381)
	{
		{	/* Beta/walk.scm 51 */
			return
				BGl_nodezd2betaz12zc0zzbeta_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2380), BgL_stackz00_2381);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1886z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc1888z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1889z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1890z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1891z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc1892z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc1893z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc1894z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1895z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc1896z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc1897z00zzbeta_walkz00, BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1898z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1899z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1900z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1901z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1902z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1903z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1904z00zzbeta_walkz00,
				BGl_string1887z00zzbeta_walkz00);
		}

	}



/* &node-beta!-jump-ex-i1295 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1295z70zzbeta_walkz00(obj_t
		BgL_envz00_2400, obj_t BgL_nodez00_2401, obj_t BgL_stackz00_2402)
	{
		{	/* Beta/walk.scm 227 */
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2401)))->BgL_exitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2401)))->
							BgL_exitz00), BgL_stackz00_2402)), BUNSPEC);
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2401)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2401)))->
							BgL_valuez00), BgL_stackz00_2402)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt)
					BgL_nodez00_2401));
		}

	}



/* &node-beta!-set-ex-it1293 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1293z70zzbeta_walkz00(obj_t
		BgL_envz00_2403, obj_t BgL_nodez00_2404, obj_t BgL_stackz00_2405)
	{
		{	/* Beta/walk.scm 219 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->
							BgL_onexitz00), BgL_stackz00_2405)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2404)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->
							BgL_bodyz00), BgL_stackz00_2405)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2404));
		}

	}



/* &node-beta!-let-var1291 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2var1291za2zzbeta_walkz00(obj_t
		BgL_envz00_2406, obj_t BgL_nodez00_2407, obj_t BgL_stackz00_2408)
	{
		{	/* Beta/walk.scm 193 */
			{
				obj_t BgL_bindingsz00_2471;
				obj_t BgL_newzd2stackzd2_2472;

				{	/* Beta/walk.scm 195 */
					obj_t BgL_arg1647z00_2501;

					BgL_arg1647z00_2501 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2407)))->BgL_bindingsz00);
					{
						BgL_letzd2varzd2_bglt BgL_auxz00_2837;

						BgL_bindingsz00_2471 = BgL_arg1647z00_2501;
						BgL_newzd2stackzd2_2472 = BgL_stackz00_2408;
					BgL_loopz00_2470:
						if (NULLP(BgL_bindingsz00_2471))
							{	/* Beta/walk.scm 197 */
								{
									BgL_nodez00_bglt BgL_auxz00_2840;

									{	/* Beta/walk.scm 199 */
										BgL_nodez00_bglt BgL_arg1652z00_2473;

										BgL_arg1652z00_2473 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2407)))->
											BgL_bodyz00);
										BgL_auxz00_2840 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1652z00_2473,
											BgL_newzd2stackzd2_2472);
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2407)))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) BgL_auxz00_2840), BUNSPEC);
								}
								BgL_auxz00_2837 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2407);
							}
						else
							{	/* Beta/walk.scm 201 */
								obj_t BgL_bindingz00_2474;

								BgL_bindingz00_2474 = CAR(((obj_t) BgL_bindingsz00_2471));
								{	/* Beta/walk.scm 202 */
									BgL_nodez00_bglt BgL_valz00_2475;

									{	/* Beta/walk.scm 203 */
										obj_t BgL_arg1706z00_2476;

										BgL_arg1706z00_2476 = CDR(((obj_t) BgL_bindingz00_2474));
										BgL_valz00_2475 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1706z00_2476),
											BgL_stackz00_2408);
									}
									{	/* Beta/walk.scm 203 */

										{	/* Beta/walk.scm 204 */
											bool_t BgL_test1957z00_2853;

											{	/* Beta/walk.scm 204 */
												bool_t BgL_test1958z00_2854;

												{	/* Beta/walk.scm 204 */
													obj_t BgL_arg1703z00_2477;

													BgL_arg1703z00_2477 =
														CDR(((obj_t) BgL_bindingz00_2474));
													{	/* Beta/walk.scm 204 */
														obj_t BgL_classz00_2478;

														BgL_classz00_2478 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_arg1703z00_2477))
															{	/* Beta/walk.scm 204 */
																BgL_objectz00_bglt BgL_arg1825z00_2479;

																BgL_arg1825z00_2479 =
																	(BgL_objectz00_bglt) (BgL_arg1703z00_2477);
																{	/* Beta/walk.scm 204 */
																	bool_t BgL_arg1822z00_2480;
																	bool_t BgL_arg1823z00_2481;

																	{	/* Beta/walk.scm 204 */
																		long BgL_idxz00_2482;

																		BgL_idxz00_2482 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2479);
																		BgL_arg1822z00_2480 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2482 + ((long) 2))) ==
																			BgL_classz00_2478);
																	}
																	{	/* Beta/walk.scm 204 */
																		bool_t BgL_res1870z00_2485;

																		{	/* Beta/walk.scm 204 */
																			obj_t BgL_oclassz00_2486;

																			{	/* Beta/walk.scm 204 */
																				long BgL_arg1833z00_2487;

																				{	/* Beta/walk.scm 204 */
																					long BgL_arg1834z00_2488;

																					BgL_arg1834z00_2488 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2479);
																					BgL_arg1833z00_2487 =
																						(BgL_arg1834z00_2488 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2486 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2487);
																			}
																			{	/* Beta/walk.scm 204 */
																				bool_t BgL__ortest_1110z00_2489;

																				BgL__ortest_1110z00_2489 =
																					(BgL_classz00_2478 ==
																					BgL_oclassz00_2486);
																				if (BgL__ortest_1110z00_2489)
																					{	/* Beta/walk.scm 204 */
																						BgL_res1870z00_2485 =
																							BgL__ortest_1110z00_2489;
																					}
																				else
																					{	/* Beta/walk.scm 204 */
																						long BgL_odepthz00_2490;

																						BgL_odepthz00_2490 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2486);
																						if ((((long) 2) <
																								BgL_odepthz00_2490))
																							{	/* Beta/walk.scm 204 */
																								obj_t BgL_arg1821z00_2491;

																								BgL_arg1821z00_2491 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2486,
																									((long) 2));
																								BgL_res1870z00_2485 =
																									(BgL_arg1821z00_2491 ==
																									BgL_classz00_2478);
																							}
																						else
																							{	/* Beta/walk.scm 204 */
																								BgL_res1870z00_2485 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2481 = BgL_res1870z00_2485;
																	}
																	BgL_test1958z00_2854 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2480,
																		BgL_arg1823z00_2481);
																}
															}
														else
															{	/* Beta/walk.scm 204 */
																BgL_test1958z00_2854 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test1958z00_2854)
													{	/* Beta/walk.scm 204 */
														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_bindingz00_2474))))))->
																	BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
															{	/* Beta/walk.scm 206 */
																obj_t BgL_valz00_2492;

																BgL_valz00_2492 =
																	(((BgL_atomz00_bglt) COBJECT(
																			((BgL_atomz00_bglt)
																				CDR(
																					((obj_t) BgL_bindingz00_2474)))))->
																	BgL_valuez00);
																{	/* Beta/walk.scm 207 */
																	bool_t BgL__ortest_1128z00_2493;

																	if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
																		(BgL_valz00_2492))
																		{	/* Beta/walk.scm 207 */
																			if (BIGNUMP(BgL_valz00_2492))
																				{	/* Beta/walk.scm 207 */
																					BgL__ortest_1128z00_2493 =
																						((bool_t) 0);
																				}
																			else
																				{	/* Beta/walk.scm 207 */
																					BgL__ortest_1128z00_2493 =
																						((bool_t) 1);
																				}
																		}
																	else
																		{	/* Beta/walk.scm 207 */
																			BgL__ortest_1128z00_2493 = ((bool_t) 0);
																		}
																	if (BgL__ortest_1128z00_2493)
																		{	/* Beta/walk.scm 207 */
																			BgL_test1957z00_2853 =
																				BgL__ortest_1128z00_2493;
																		}
																	else
																		{	/* Beta/walk.scm 208 */
																			bool_t BgL__ortest_1129z00_2494;

																			BgL__ortest_1129z00_2494 =
																				BOOLEANP(BgL_valz00_2492);
																			if (BgL__ortest_1129z00_2494)
																				{	/* Beta/walk.scm 208 */
																					BgL_test1957z00_2853 =
																						BgL__ortest_1129z00_2494;
																				}
																			else
																				{	/* Beta/walk.scm 209 */
																					bool_t BgL__ortest_1130z00_2495;

																					BgL__ortest_1130z00_2495 =
																						CHARP(BgL_valz00_2492);
																					if (BgL__ortest_1130z00_2495)
																						{	/* Beta/walk.scm 209 */
																							BgL_test1957z00_2853 =
																								BgL__ortest_1130z00_2495;
																						}
																					else
																						{	/* Beta/walk.scm 210 */
																							bool_t BgL__ortest_1131z00_2496;

																							BgL__ortest_1131z00_2496 =
																								SYMBOLP(BgL_valz00_2492);
																							if (BgL__ortest_1131z00_2496)
																								{	/* Beta/walk.scm 210 */
																									BgL_test1957z00_2853 =
																										BgL__ortest_1131z00_2496;
																								}
																							else
																								{	/* Beta/walk.scm 211 */
																									bool_t
																										BgL__ortest_1132z00_2497;
																									BgL__ortest_1132z00_2497 =
																										KEYWORDP(BgL_valz00_2492);
																									if (BgL__ortest_1132z00_2497)
																										{	/* Beta/walk.scm 211 */
																											BgL_test1957z00_2853 =
																												BgL__ortest_1132z00_2497;
																										}
																									else
																										{	/* Beta/walk.scm 211 */
																											BgL_test1957z00_2853 =
																												CNSTP(BgL_valz00_2492);
																										}
																								}
																						}
																				}
																		}
																}
															}
														else
															{	/* Beta/walk.scm 205 */
																BgL_test1957z00_2853 = ((bool_t) 0);
															}
													}
												else
													{	/* Beta/walk.scm 204 */
														BgL_test1957z00_2853 = ((bool_t) 0);
													}
											}
											if (BgL_test1957z00_2853)
												{	/* Beta/walk.scm 213 */
													obj_t BgL_arg1681z00_2498;
													obj_t BgL_arg1682z00_2499;

													BgL_arg1681z00_2498 =
														CDR(((obj_t) BgL_bindingsz00_2471));
													BgL_arg1682z00_2499 =
														MAKE_YOUNG_PAIR(BgL_bindingz00_2474,
														BgL_newzd2stackzd2_2472);
													{
														obj_t BgL_newzd2stackzd2_2905;
														obj_t BgL_bindingsz00_2904;

														BgL_bindingsz00_2904 = BgL_arg1681z00_2498;
														BgL_newzd2stackzd2_2905 = BgL_arg1682z00_2499;
														BgL_newzd2stackzd2_2472 = BgL_newzd2stackzd2_2905;
														BgL_bindingsz00_2471 = BgL_bindingsz00_2904;
														goto BgL_loopz00_2470;
													}
												}
											else
												{	/* Beta/walk.scm 214 */
													obj_t BgL_arg1694z00_2500;

													BgL_arg1694z00_2500 =
														CDR(((obj_t) BgL_bindingsz00_2471));
													{
														obj_t BgL_bindingsz00_2908;

														BgL_bindingsz00_2908 = BgL_arg1694z00_2500;
														BgL_bindingsz00_2471 = BgL_bindingsz00_2908;
														goto BgL_loopz00_2470;
													}
												}
										}
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_2837);
					}
				}
			}
		}

	}



/* &node-beta!-let-fun1289 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2fun1289za2zzbeta_walkz00(obj_t
		BgL_envz00_2409, obj_t BgL_nodez00_2410, obj_t BgL_stackz00_2411)
	{
		{	/* Beta/walk.scm 181 */
			{
				BgL_nodez00_bglt BgL_auxz00_2910;

				{	/* Beta/walk.scm 183 */
					BgL_nodez00_bglt BgL_arg1621z00_2503;

					BgL_arg1621z00_2503 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2410)))->BgL_bodyz00);
					BgL_auxz00_2910 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1621z00_2503,
						BgL_stackz00_2411);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2410)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2910), BUNSPEC);
			}
			{	/* Beta/walk.scm 184 */
				obj_t BgL_g1254z00_2504;

				BgL_g1254z00_2504 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2410)))->BgL_localsz00);
				{
					obj_t BgL_l1252z00_2506;

					BgL_l1252z00_2506 = BgL_g1254z00_2504;
				BgL_zc3z04anonymousza31622ze3z87_2505:
					if (PAIRP(BgL_l1252z00_2506))
						{	/* Beta/walk.scm 184 */
							{	/* Beta/walk.scm 185 */
								obj_t BgL_localz00_2507;

								BgL_localz00_2507 = CAR(BgL_l1252z00_2506);
								{	/* Beta/walk.scm 185 */
									BgL_valuez00_bglt BgL_funz00_2508;

									BgL_funz00_2508 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2507))))->
										BgL_valuez00);
									{	/* Beta/walk.scm 186 */
										BgL_nodez00_bglt BgL_arg1632z00_2509;

										{	/* Beta/walk.scm 186 */
											obj_t BgL_arg1633z00_2510;

											BgL_arg1633z00_2510 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2508)))->
												BgL_bodyz00);
											BgL_arg1632z00_2509 =
												BGl_nodezd2betaz12zc0zzbeta_walkz00(((BgL_nodez00_bglt)
													BgL_arg1633z00_2510), BgL_stackz00_2411);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2508)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1632z00_2509)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1252z00_2931;

								BgL_l1252z00_2931 = CDR(BgL_l1252z00_2506);
								BgL_l1252z00_2506 = BgL_l1252z00_2931;
								goto BgL_zc3z04anonymousza31622ze3z87_2505;
							}
						}
					else
						{	/* Beta/walk.scm 184 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2410));
		}

	}



/* &node-beta!-box-set!1287 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121287zb0zzbeta_walkz00(obj_t
		BgL_envz00_2412, obj_t BgL_nodez00_2413, obj_t BgL_stackz00_2414)
	{
		{	/* Beta/walk.scm 173 */
			{	/* Beta/walk.scm 174 */
				BgL_nodez00_bglt BgL_arg1612z00_2512;

				{	/* Beta/walk.scm 174 */
					BgL_varz00_bglt BgL_arg1613z00_2513;

					BgL_arg1613z00_2513 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2413)))->BgL_varz00);
					BgL_arg1612z00_2512 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1613z00_2513), BgL_stackz00_2414);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2413)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1612z00_2512)), BUNSPEC);
			}
			((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2413)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_boxzd2setz12zc0_bglt)
								COBJECT(((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2413)))->
							BgL_valuez00), BgL_stackz00_2414)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2413));
		}

	}



/* &node-beta!-box-ref1285 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2boxzd2ref1285za2zzbeta_walkz00(obj_t
		BgL_envz00_2415, obj_t BgL_nodez00_2416, obj_t BgL_stackz00_2417)
	{
		{	/* Beta/walk.scm 166 */
			{	/* Beta/walk.scm 167 */
				BgL_nodez00_bglt BgL_arg1604z00_2515;

				{	/* Beta/walk.scm 167 */
					BgL_varz00_bglt BgL_arg1606z00_2516;

					BgL_arg1606z00_2516 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2416)))->BgL_varz00);
					BgL_arg1604z00_2515 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1606z00_2516), BgL_stackz00_2417);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2416)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1604z00_2515)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2416));
		}

	}



/* &node-beta!-make-box1283 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2makezd2box1283za2zzbeta_walkz00(obj_t
		BgL_envz00_2418, obj_t BgL_nodez00_2419, obj_t BgL_stackz00_2420)
	{
		{	/* Beta/walk.scm 159 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2419)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2419)))->
							BgL_valuez00), BgL_stackz00_2420)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2419));
		}

	}



/* &node-beta!-switch1281 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1281z70zzbeta_walkz00(obj_t
		BgL_envz00_2421, obj_t BgL_nodez00_2422, obj_t BgL_stackz00_2423)
	{
		{	/* Beta/walk.scm 149 */
			((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2422)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_switchz00_bglt)
								COBJECT(((BgL_switchz00_bglt) BgL_nodez00_2422)))->BgL_testz00),
						BgL_stackz00_2423)), BUNSPEC);
			{	/* Beta/walk.scm 151 */
				obj_t BgL_g1251z00_2519;

				BgL_g1251z00_2519 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2422)))->BgL_clausesz00);
				{
					obj_t BgL_l1249z00_2521;

					BgL_l1249z00_2521 = BgL_g1251z00_2519;
				BgL_zc3z04anonymousza31589ze3z87_2520:
					if (PAIRP(BgL_l1249z00_2521))
						{	/* Beta/walk.scm 153 */
							{	/* Beta/walk.scm 152 */
								obj_t BgL_clausez00_2522;

								BgL_clausez00_2522 = CAR(BgL_l1249z00_2521);
								{	/* Beta/walk.scm 152 */
									BgL_nodez00_bglt BgL_arg1595z00_2523;

									{	/* Beta/walk.scm 152 */
										obj_t BgL_arg1597z00_2524;

										BgL_arg1597z00_2524 = CDR(((obj_t) BgL_clausez00_2522));
										BgL_arg1595z00_2523 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1597z00_2524),
											BgL_stackz00_2423);
									}
									{	/* Beta/walk.scm 152 */
										obj_t BgL_auxz00_2981;
										obj_t BgL_tmpz00_2979;

										BgL_auxz00_2981 = ((obj_t) BgL_arg1595z00_2523);
										BgL_tmpz00_2979 = ((obj_t) BgL_clausez00_2522);
										SET_CDR(BgL_tmpz00_2979, BgL_auxz00_2981);
									}
								}
							}
							{
								obj_t BgL_l1249z00_2984;

								BgL_l1249z00_2984 = CDR(BgL_l1249z00_2521);
								BgL_l1249z00_2521 = BgL_l1249z00_2984;
								goto BgL_zc3z04anonymousza31589ze3z87_2520;
							}
						}
					else
						{	/* Beta/walk.scm 153 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2422));
		}

	}



/* &node-beta!-fail1279 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2fail1279z70zzbeta_walkz00(obj_t
		BgL_envz00_2424, obj_t BgL_nodez00_2425, obj_t BgL_stackz00_2426)
	{
		{	/* Beta/walk.scm 140 */
			((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2425)))->BgL_procz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2425)))->BgL_procz00),
						BgL_stackz00_2426)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2425)))->
					BgL_msgz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2425)))->BgL_msgz00),
						BgL_stackz00_2426)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2425)))->
					BgL_objz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2425)))->BgL_objz00),
						BgL_stackz00_2426)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2425));
		}

	}



/* &node-beta!-condition1277 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2condition1277z70zzbeta_walkz00(obj_t
		BgL_envz00_2427, obj_t BgL_nodez00_2428, obj_t BgL_stackz00_2429)
	{
		{	/* Beta/walk.scm 131 */
			((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2428)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2428)))->
							BgL_testz00), BgL_stackz00_2429)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2428)))->BgL_truez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2428)))->
							BgL_truez00), BgL_stackz00_2429)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2428)))->BgL_falsez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2428)))->
							BgL_falsez00), BgL_stackz00_2429)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2428));
		}

	}



/* &node-beta!-setq1275 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1275z70zzbeta_walkz00(obj_t
		BgL_envz00_2430, obj_t BgL_nodez00_2431, obj_t BgL_stackz00_2432)
	{
		{	/* Beta/walk.scm 124 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2431)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2431)))->BgL_valuez00),
						BgL_stackz00_2432)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2431));
		}

	}



/* &node-beta!-cast1273 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1273z70zzbeta_walkz00(obj_t
		BgL_envz00_2433, obj_t BgL_nodez00_2434, obj_t BgL_stackz00_2435)
	{
		{	/* Beta/walk.scm 117 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2434)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2434)))->BgL_argz00),
						BgL_stackz00_2435)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2434));
		}

	}



/* &node-beta!-extern1271 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2extern1271z70zzbeta_walkz00(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437, obj_t BgL_stackz00_2438)
	{
		{	/* Beta/walk.scm 110 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2437)))->BgL_exprza2za2),
				BgL_stackz00_2438);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2437));
		}

	}



/* &node-beta!-funcall1269 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1269z70zzbeta_walkz00(obj_t
		BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_stackz00_2441)
	{
		{	/* Beta/walk.scm 102 */
			((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2440)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_funcallz00_bglt)
								COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_2440)))->BgL_funz00),
						BgL_stackz00_2441)), BUNSPEC);
			BGl_nodezd2betaza2z12z62zzbeta_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_2440)))->BgL_argsz00),
				BgL_stackz00_2441);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2440));
		}

	}



/* &node-beta!-app-ly1267 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1267za2zzbeta_walkz00(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443, obj_t BgL_stackz00_2444)
	{
		{	/* Beta/walk.scm 94 */
			((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2443)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_2443)))->
							BgL_funz00), BgL_stackz00_2444)), BUNSPEC);
			((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2443)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_2443)))->
							BgL_argz00), BgL_stackz00_2444)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2443));
		}

	}



/* &node-beta!-app1265 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1265z70zzbeta_walkz00(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446, obj_t BgL_stackz00_2447)
	{
		{	/* Beta/walk.scm 73 */
			{	/* Beta/walk.scm 74 */
				BgL_nodez00_bglt BgL_arg1366z00_2533;

				{	/* Beta/walk.scm 74 */
					BgL_varz00_bglt BgL_arg1367z00_2534;

					BgL_arg1367z00_2534 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2446)))->BgL_funz00);
					BgL_arg1366z00_2533 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1367z00_2534), BgL_stackz00_2447);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2446)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1366z00_2533)), BUNSPEC);
			}
			{	/* Beta/walk.scm 75 */
				obj_t BgL_l01248z00_2535;

				BgL_l01248z00_2535 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2446)))->BgL_argsz00);
				{
					obj_t BgL_l1247z00_2537;

					BgL_l1247z00_2537 = BgL_l01248z00_2535;
				BgL_zc3z04anonymousza31368ze3z87_2536:
					if (NULLP(BgL_l1247z00_2537))
						{	/* Beta/walk.scm 88 */
							BgL_l01248z00_2535;
						}
					else
						{	/* Beta/walk.scm 88 */
							{	/* Beta/walk.scm 76 */
								obj_t BgL_arg1380z00_2538;

								{	/* Beta/walk.scm 76 */
									obj_t BgL_nz00_2539;

									BgL_nz00_2539 = CAR(((obj_t) BgL_l1247z00_2537));
									{	/* Beta/walk.scm 76 */
										bool_t BgL_test1973z00_3076;

										{	/* Beta/walk.scm 76 */
											bool_t BgL_test1974z00_3077;

											{	/* Beta/walk.scm 76 */
												obj_t BgL_classz00_2540;

												BgL_classz00_2540 = BGl_varz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_nz00_2539))
													{	/* Beta/walk.scm 76 */
														BgL_objectz00_bglt BgL_arg1825z00_2541;

														BgL_arg1825z00_2541 =
															(BgL_objectz00_bglt) (BgL_nz00_2539);
														{	/* Beta/walk.scm 76 */
															bool_t BgL_arg1822z00_2542;
															bool_t BgL_arg1823z00_2543;

															{	/* Beta/walk.scm 76 */
																long BgL_idxz00_2544;

																BgL_idxz00_2544 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2541);
																BgL_arg1822z00_2542 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2544 + ((long) 2))) ==
																	BgL_classz00_2540);
															}
															{	/* Beta/walk.scm 76 */
																bool_t BgL_res1866z00_2547;

																{	/* Beta/walk.scm 76 */
																	obj_t BgL_oclassz00_2548;

																	{	/* Beta/walk.scm 76 */
																		long BgL_arg1833z00_2549;

																		{	/* Beta/walk.scm 76 */
																			long BgL_arg1834z00_2550;

																			BgL_arg1834z00_2550 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2541);
																			BgL_arg1833z00_2549 =
																				(BgL_arg1834z00_2550 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2548 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2549);
																	}
																	{	/* Beta/walk.scm 76 */
																		bool_t BgL__ortest_1110z00_2551;

																		BgL__ortest_1110z00_2551 =
																			(BgL_classz00_2540 == BgL_oclassz00_2548);
																		if (BgL__ortest_1110z00_2551)
																			{	/* Beta/walk.scm 76 */
																				BgL_res1866z00_2547 =
																					BgL__ortest_1110z00_2551;
																			}
																		else
																			{	/* Beta/walk.scm 76 */
																				long BgL_odepthz00_2552;

																				BgL_odepthz00_2552 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2548);
																				if ((((long) 2) < BgL_odepthz00_2552))
																					{	/* Beta/walk.scm 76 */
																						obj_t BgL_arg1821z00_2553;

																						BgL_arg1821z00_2553 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2548, ((long) 2));
																						BgL_res1866z00_2547 =
																							(BgL_arg1821z00_2553 ==
																							BgL_classz00_2540);
																					}
																				else
																					{	/* Beta/walk.scm 76 */
																						BgL_res1866z00_2547 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2543 = BgL_res1866z00_2547;
															}
															BgL_test1974z00_3077 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2542,
																BgL_arg1823z00_2543);
														}
													}
												else
													{	/* Beta/walk.scm 76 */
														BgL_test1974z00_3077 = ((bool_t) 0);
													}
											}
											if (BgL_test1974z00_3077)
												{	/* Beta/walk.scm 76 */
													BgL_variablez00_bglt BgL_arg1494z00_2554;

													BgL_arg1494z00_2554 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nz00_2539)))->
														BgL_variablez00);
													{	/* Beta/walk.scm 76 */
														obj_t BgL_classz00_2555;

														BgL_classz00_2555 = BGl_localz00zzast_varz00;
														{	/* Beta/walk.scm 76 */
															BgL_objectz00_bglt BgL_arg1825z00_2556;

															{	/* Beta/walk.scm 76 */
																obj_t BgL_tmpz00_3098;

																BgL_tmpz00_3098 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1494z00_2554));
																BgL_arg1825z00_2556 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3098);
															}
															{	/* Beta/walk.scm 76 */
																bool_t BgL_arg1822z00_2557;
																bool_t BgL_arg1823z00_2558;

																{	/* Beta/walk.scm 76 */
																	long BgL_idxz00_2559;

																	BgL_idxz00_2559 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2556);
																	BgL_arg1822z00_2557 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2559 + ((long) 2))) ==
																		BgL_classz00_2555);
																}
																{	/* Beta/walk.scm 76 */
																	bool_t BgL_res1867z00_2562;

																	{	/* Beta/walk.scm 76 */
																		obj_t BgL_oclassz00_2563;

																		{	/* Beta/walk.scm 76 */
																			long BgL_arg1833z00_2564;

																			{	/* Beta/walk.scm 76 */
																				long BgL_arg1834z00_2565;

																				BgL_arg1834z00_2565 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2556);
																				BgL_arg1833z00_2564 =
																					(BgL_arg1834z00_2565 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2563 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2564);
																		}
																		{	/* Beta/walk.scm 76 */
																			bool_t BgL__ortest_1110z00_2566;

																			BgL__ortest_1110z00_2566 =
																				(BgL_classz00_2555 ==
																				BgL_oclassz00_2563);
																			if (BgL__ortest_1110z00_2566)
																				{	/* Beta/walk.scm 76 */
																					BgL_res1867z00_2562 =
																						BgL__ortest_1110z00_2566;
																				}
																			else
																				{	/* Beta/walk.scm 76 */
																					long BgL_odepthz00_2567;

																					BgL_odepthz00_2567 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2563);
																					if ((((long) 2) < BgL_odepthz00_2567))
																						{	/* Beta/walk.scm 76 */
																							obj_t BgL_arg1821z00_2568;

																							BgL_arg1821z00_2568 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2563,
																								((long) 2));
																							BgL_res1867z00_2562 =
																								(BgL_arg1821z00_2568 ==
																								BgL_classz00_2555);
																						}
																					else
																						{	/* Beta/walk.scm 76 */
																							BgL_res1867z00_2562 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2558 = BgL_res1867z00_2562;
																}
																BgL_test1973z00_3076 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2557,
																	BgL_arg1823z00_2558);
															}
														}
													}
												}
											else
												{	/* Beta/walk.scm 76 */
													BgL_test1973z00_3076 = ((bool_t) 0);
												}
										}
										if (BgL_test1973z00_3076)
											{	/* Beta/walk.scm 77 */
												obj_t BgL_redz00_2569;

												BgL_redz00_2569 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2539)))->
															BgL_variablez00)), BgL_stackz00_2447);
												if (PAIRP(BgL_redz00_2569))
													{	/* Beta/walk.scm 81 */
														bool_t BgL_test1981z00_3123;

														{	/* Beta/walk.scm 81 */
															obj_t BgL_arg1462z00_2570;

															BgL_arg1462z00_2570 = CDR(BgL_redz00_2569);
															{	/* Beta/walk.scm 81 */
																obj_t BgL_classz00_2571;

																BgL_classz00_2571 = BGl_literalz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg1462z00_2570))
																	{	/* Beta/walk.scm 81 */
																		BgL_objectz00_bglt BgL_arg1825z00_2572;

																		BgL_arg1825z00_2572 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1462z00_2570);
																		{	/* Beta/walk.scm 81 */
																			bool_t BgL_arg1822z00_2573;
																			bool_t BgL_arg1823z00_2574;

																			{	/* Beta/walk.scm 81 */
																				long BgL_idxz00_2575;

																				BgL_idxz00_2575 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2572);
																				BgL_arg1822z00_2573 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2575 + ((long) 3))) ==
																					BgL_classz00_2571);
																			}
																			{	/* Beta/walk.scm 81 */
																				bool_t BgL_res1868z00_2578;

																				{	/* Beta/walk.scm 81 */
																					obj_t BgL_oclassz00_2579;

																					{	/* Beta/walk.scm 81 */
																						long BgL_arg1833z00_2580;

																						{	/* Beta/walk.scm 81 */
																							long BgL_arg1834z00_2581;

																							BgL_arg1834z00_2581 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2572);
																							BgL_arg1833z00_2580 =
																								(BgL_arg1834z00_2581 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2579 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2580);
																					}
																					{	/* Beta/walk.scm 81 */
																						bool_t BgL__ortest_1110z00_2582;

																						BgL__ortest_1110z00_2582 =
																							(BgL_classz00_2571 ==
																							BgL_oclassz00_2579);
																						if (BgL__ortest_1110z00_2582)
																							{	/* Beta/walk.scm 81 */
																								BgL_res1868z00_2578 =
																									BgL__ortest_1110z00_2582;
																							}
																						else
																							{	/* Beta/walk.scm 81 */
																								long BgL_odepthz00_2583;

																								BgL_odepthz00_2583 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2579);
																								if ((((long) 3) <
																										BgL_odepthz00_2583))
																									{	/* Beta/walk.scm 81 */
																										obj_t BgL_arg1821z00_2584;

																										BgL_arg1821z00_2584 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2579,
																											((long) 3));
																										BgL_res1868z00_2578 =
																											(BgL_arg1821z00_2584 ==
																											BgL_classz00_2571);
																									}
																								else
																									{	/* Beta/walk.scm 81 */
																										BgL_res1868z00_2578 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2574 =
																					BgL_res1868z00_2578;
																			}
																			BgL_test1981z00_3123 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2573,
																				BgL_arg1823z00_2574);
																		}
																	}
																else
																	{	/* Beta/walk.scm 81 */
																		BgL_test1981z00_3123 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test1981z00_3123)
															{	/* Beta/walk.scm 82 */
																BgL_nodez00_bglt BgL_duplicated1115z00_2585;
																BgL_literalz00_bglt BgL_new1113z00_2586;

																BgL_duplicated1115z00_2585 =
																	((BgL_nodez00_bglt) CDR(BgL_redz00_2569));
																{	/* Beta/walk.scm 82 */
																	BgL_literalz00_bglt BgL_new1117z00_2587;

																	BgL_new1117z00_2587 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Beta/walk.scm 82 */
																		long BgL_arg1418z00_2588;

																		BgL_arg1418z00_2588 =
																			BGL_CLASS_NUM
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1117z00_2587),
																			BgL_arg1418z00_2588);
																	}
																	{	/* Beta/walk.scm 82 */
																		BgL_objectz00_bglt BgL_tmpz00_3149;

																		BgL_tmpz00_3149 =
																			((BgL_objectz00_bglt)
																			BgL_new1117z00_2587);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3149,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1117z00_2587);
																	BgL_new1113z00_2586 = BgL_new1117z00_2587;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1113z00_2586)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(BgL_duplicated1115z00_2585))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1113z00_2586)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																				COBJECT(BgL_duplicated1115z00_2585))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1113z00_2586)))->
																		BgL_valuez00) =
																	((obj_t) (((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_duplicated1115z00_2585)))->
																			BgL_valuez00)), BUNSPEC);
																BgL_arg1380z00_2538 =
																	((obj_t) BgL_new1113z00_2586);
															}
														else
															{	/* Beta/walk.scm 83 */
																bool_t BgL_test1985z00_3164;

																{	/* Beta/walk.scm 83 */
																	obj_t BgL_arg1457z00_2589;

																	BgL_arg1457z00_2589 = CDR(BgL_redz00_2569);
																	{	/* Beta/walk.scm 83 */
																		obj_t BgL_classz00_2590;

																		BgL_classz00_2590 =
																			BGl_patchz00zzast_nodez00;
																		if (BGL_OBJECTP(BgL_arg1457z00_2589))
																			{	/* Beta/walk.scm 83 */
																				BgL_objectz00_bglt BgL_arg1825z00_2591;

																				BgL_arg1825z00_2591 =
																					(BgL_objectz00_bglt)
																					(BgL_arg1457z00_2589);
																				{	/* Beta/walk.scm 83 */
																					bool_t BgL_arg1822z00_2592;
																					bool_t BgL_arg1823z00_2593;

																					{	/* Beta/walk.scm 83 */
																						long BgL_idxz00_2594;

																						BgL_idxz00_2594 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_2591);
																						BgL_arg1822z00_2592 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2594 +
																									((long) 3))) ==
																							BgL_classz00_2590);
																					}
																					{	/* Beta/walk.scm 83 */
																						bool_t BgL_res1869z00_2597;

																						{	/* Beta/walk.scm 83 */
																							obj_t BgL_oclassz00_2598;

																							{	/* Beta/walk.scm 83 */
																								long BgL_arg1833z00_2599;

																								{	/* Beta/walk.scm 83 */
																									long BgL_arg1834z00_2600;

																									BgL_arg1834z00_2600 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_2591);
																									BgL_arg1833z00_2599 =
																										(BgL_arg1834z00_2600 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2598 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_2599);
																							}
																							{	/* Beta/walk.scm 83 */
																								bool_t BgL__ortest_1110z00_2601;

																								BgL__ortest_1110z00_2601 =
																									(BgL_classz00_2590 ==
																									BgL_oclassz00_2598);
																								if (BgL__ortest_1110z00_2601)
																									{	/* Beta/walk.scm 83 */
																										BgL_res1869z00_2597 =
																											BgL__ortest_1110z00_2601;
																									}
																								else
																									{	/* Beta/walk.scm 83 */
																										long BgL_odepthz00_2602;

																										BgL_odepthz00_2602 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2598);
																										if ((((long) 3) <
																												BgL_odepthz00_2602))
																											{	/* Beta/walk.scm 83 */
																												obj_t
																													BgL_arg1821z00_2603;
																												BgL_arg1821z00_2603 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2598,
																													((long) 3));
																												BgL_res1869z00_2597 =
																													(BgL_arg1821z00_2603
																													== BgL_classz00_2590);
																											}
																										else
																											{	/* Beta/walk.scm 83 */
																												BgL_res1869z00_2597 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_2593 =
																							BgL_res1869z00_2597;
																					}
																					BgL_test1985z00_3164 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_2592,
																						BgL_arg1823z00_2593);
																				}
																			}
																		else
																			{	/* Beta/walk.scm 83 */
																				BgL_test1985z00_3164 = ((bool_t) 0);
																			}
																	}
																}
																if (BgL_test1985z00_3164)
																	{	/* Beta/walk.scm 84 */
																		BgL_nodez00_bglt BgL_duplicated1120z00_2604;
																		BgL_patchz00_bglt BgL_new1118z00_2605;

																		BgL_duplicated1120z00_2604 =
																			((BgL_nodez00_bglt) CDR(BgL_redz00_2569));
																		{	/* Beta/walk.scm 84 */
																			BgL_patchz00_bglt BgL_new1125z00_2606;

																			BgL_new1125z00_2606 =
																				((BgL_patchz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_patchz00_bgl))));
																			{	/* Beta/walk.scm 84 */
																				long BgL_arg1430z00_2607;

																				BgL_arg1430z00_2607 =
																					BGL_CLASS_NUM
																					(BGl_patchz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1125z00_2606),
																					BgL_arg1430z00_2607);
																			}
																			{	/* Beta/walk.scm 84 */
																				BgL_objectz00_bglt BgL_tmpz00_3190;

																				BgL_tmpz00_3190 =
																					((BgL_objectz00_bglt)
																					BgL_new1125z00_2606);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3190,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1125z00_2606);
																			BgL_new1118z00_2605 = BgL_new1125z00_2606;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1118z00_2605)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT
																						(BgL_duplicated1120z00_2604))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1118z00_2605)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT
																						(BgL_duplicated1120z00_2604))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1118z00_2605)))->
																				BgL_valuez00) =
																			((obj_t) (((BgL_atomz00_bglt)
																						COBJECT(((BgL_atomz00_bglt)
																								BgL_duplicated1120z00_2604)))->
																					BgL_valuez00)), BUNSPEC);
																		((((BgL_patchz00_bglt)
																					COBJECT(BgL_new1118z00_2605))->
																				BgL_refz00) =
																			((BgL_varz00_bglt) (((BgL_patchz00_bglt)
																						COBJECT(((BgL_patchz00_bglt)
																								BgL_duplicated1120z00_2604)))->
																					BgL_refz00)), BUNSPEC);
																		((((BgL_patchz00_bglt)
																					COBJECT(BgL_new1118z00_2605))->
																				BgL_indexz00) =
																			((long) (((BgL_patchz00_bglt)
																						COBJECT(((BgL_patchz00_bglt)
																								BgL_duplicated1120z00_2604)))->
																					BgL_indexz00)), BUNSPEC);
																		((((BgL_patchz00_bglt)
																					COBJECT(BgL_new1118z00_2605))->
																				BgL_patchidz00) =
																			((obj_t) (((BgL_patchz00_bglt)
																						COBJECT(((BgL_patchz00_bglt)
																								BgL_duplicated1120z00_2604)))->
																					BgL_patchidz00)), BUNSPEC);
																		BgL_arg1380z00_2538 =
																			((obj_t) BgL_new1118z00_2605);
																	}
																else
																	{	/* Beta/walk.scm 83 */
																		BgL_arg1380z00_2538 =
																			BGl_errorz00zz__errorz00
																			(BGl_string1887z00zzbeta_walkz00,
																			BGl_string1905z00zzbeta_walkz00,
																			bgl_typeof(CDR(BgL_redz00_2569)));
																	}
															}
													}
												else
													{	/* Beta/walk.scm 79 */
														BgL_arg1380z00_2538 = BgL_nz00_2539;
													}
											}
										else
											{	/* Beta/walk.scm 76 */
												BgL_arg1380z00_2538 =
													((obj_t)
													BGl_nodezd2betaz12zc0zzbeta_walkz00(
														((BgL_nodez00_bglt) BgL_nz00_2539),
														BgL_stackz00_2447));
											}
									}
								}
								{	/* Beta/walk.scm 88 */
									obj_t BgL_tmpz00_3220;

									BgL_tmpz00_3220 = ((obj_t) BgL_l1247z00_2537);
									SET_CAR(BgL_tmpz00_3220, BgL_arg1380z00_2538);
								}
							}
							{	/* Beta/walk.scm 88 */
								obj_t BgL_arg1496z00_2608;

								BgL_arg1496z00_2608 = CDR(((obj_t) BgL_l1247z00_2537));
								{
									obj_t BgL_l1247z00_3225;

									BgL_l1247z00_3225 = BgL_arg1496z00_2608;
									BgL_l1247z00_2537 = BgL_l1247z00_3225;
									goto BgL_zc3z04anonymousza31368ze3z87_2536;
								}
							}
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2446));
		}

	}



/* &node-beta!-sync1263 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1263z70zzbeta_walkz00(obj_t
		BgL_envz00_2448, obj_t BgL_nodez00_2449, obj_t BgL_stackz00_2450)
	{
		{	/* Beta/walk.scm 64 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2449)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2449)))->BgL_mutexz00),
						BgL_stackz00_2450)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2449)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2449)))->
							BgL_prelockz00), BgL_stackz00_2450)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2449)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2449)))->BgL_bodyz00),
						BgL_stackz00_2450)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2449));
		}

	}



/* &node-beta!-sequence1261 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1261z70zzbeta_walkz00(obj_t
		BgL_envz00_2451, obj_t BgL_nodez00_2452, obj_t BgL_stackz00_2453)
	{
		{	/* Beta/walk.scm 57 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2452)))->BgL_nodesz00),
				BgL_stackz00_2453);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2452));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1906z00zzbeta_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
