/*===========================================================================*/
/*   (Cfa/approx.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/approx.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static obj_t BGl_z62shapezd2approx1577zb0zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_za2bboolza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t);
	static obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t);
	extern obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
	static obj_t BGl_objectzd2initzd2zzcfa_approxz00();
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	static obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_approxz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2listza2z00zztype_cachez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_setzd2anyzd2zzcfa_setz00(obj_t, obj_t);
	static obj_t
		BGl_z62approxzd2checkzd2haszd2procedurezf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_approxz00();
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21581z62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21583z62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern obj_t BGl_setzd2everyzd2zzcfa_setz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, BgL_typez00_bglt);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2value1578zb0zzcfa_approxz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	static BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31748ze3ze5zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_approxz00 = BUNSPEC;
	static obj_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_approxz00();
	static obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_approxz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	static BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt, obj_t);
	static obj_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2checkzd2haszd2procedurezf3z21zzcfa_approxz00
		(BgL_approxz00_bglt);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	extern obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62approxzd2haszd2procedurezf3z91zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	static obj_t BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_getzd2allocszd2zzcfa_collectz00();
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_approxz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
	extern obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t
		BGl_findzd2commonzd2superzd2classzd2zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t
		BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31648ze3ze5zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unionzd2approxzd2filterz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro2142z00,
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2130z00zzcfa_approxz00,
		BgL_bgl_string2130za700za7za7c2143za7, "dst is not a procedure", 22);
	      DEFINE_STRING(BGl_string2132z00zzcfa_approxz00,
		BgL_bgl_string2132za700za7za7c2144za7, "get-node-atom-value1578", 23);
	      DEFINE_STRING(BGl_string2134z00zzcfa_approxz00,
		BgL_bgl_string2134za700za7za7c2145za7, "shape", 5);
	      DEFINE_STRING(BGl_string2136z00zzcfa_approxz00,
		BgL_bgl_string2136za700za7za7c2146za7, "get-node-atom-value", 19);
	      DEFINE_STRING(BGl_string2138z00zzcfa_approxz00,
		BgL_bgl_string2138za700za7za7c2147za7, "cfa_approx", 10);
	      DEFINE_STRING(BGl_string2139z00zzcfa_approxz00,
		BgL_bgl_string2139za700za7za7c2148za7,
		"top approx (no-atom-value) approx-set-top! approx-set-type! union ", 66);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2topz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza72149za7,
		BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762vectorza7d2appr2150z00,
		BGl_z62vectorzd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762procedureza7d2a2151z00,
		BGl_z62procedurezd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762consza7d2approx2152z00,
		BGl_z62conszd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2checkzd2haszd2procedurezf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762approxza7d2chec2153z00,
		BGl_z62approxzd2checkzd2haszd2procedurezf3z43zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22154za7,
		BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22155za7,
		BGl_z62getzd2nodezd2atomzd2value1578zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_approxz00,
		BgL_bgl_za762shapeza7d2appro2156z00,
		BGl_z62shapezd2approx1577zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22157za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21581z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22158za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21583z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7d22159za7,
		BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emptyzd2approxzd2alloczf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762emptyza7d2appro2160z00,
		BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d2161za7,
		BGl_z62makezd2typezd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2haszd2procedurezf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762approxza7d2hasza72162za7,
		BGl_z62approxzd2haszd2procedurezf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2typez12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza72163za7,
		BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2approxzd2setsz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762declareza7d2app2164z00,
		BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2approxzd2alloczd2envz00zzcfa_approxz00,
		BgL_bgl_za762forza7d2eachza7d22165za7,
		BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionzd2approxz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro2166z00,
		BGl_z62unionzd2approxz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2emptyzd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2emptyza72167za7,
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2alloczd2approxzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d2168za7,
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762structza7d2appr2169z00,
		BGl_z62structzd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2envz00zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7b02170za7, BGl_z62nodezd2keyzb0zzcfa_approxz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_approxz00));
		     ADD_ROOT((void *) (&BGl_za2alloczd2setza2zd2zzcfa_approxz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long
		BgL_checksumz00_5538, char *BgL_fromz00_5539)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_approxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_approxz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_approxz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
					BGl_cnstzd2initzd2zzcfa_approxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
					BGl_genericzd2initzd2zzcfa_approxz00();
					BGl_methodzd2initzd2zzcfa_approxz00();
					return BGl_toplevelzd2initzd2zzcfa_approxz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_approx");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			{	/* Cfa/approx.scm 15 */
				obj_t BgL_cportz00_5388;

				{	/* Cfa/approx.scm 15 */
					obj_t BgL_stringz00_5396;

					BgL_stringz00_5396 = BGl_string2139z00zzcfa_approxz00;
					{	/* Cfa/approx.scm 15 */
						obj_t BgL_startz00_5397;

						BgL_startz00_5397 = BINT(((long) 0));
						{	/* Cfa/approx.scm 15 */
							obj_t BgL_endz00_5398;

							BgL_endz00_5398 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5396)));
							{	/* Cfa/approx.scm 15 */

								BgL_cportz00_5388 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5396, BgL_startz00_5397, BgL_endz00_5398);
				}}}}
				{
					long BgL_iz00_5389;

					BgL_iz00_5389 = ((long) 5);
				BgL_loopz00_5390:
					if ((BgL_iz00_5389 == ((long) -1)))
						{	/* Cfa/approx.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/approx.scm 15 */
							{	/* Cfa/approx.scm 15 */
								obj_t BgL_arg2141z00_5392;

								{	/* Cfa/approx.scm 15 */

									{	/* Cfa/approx.scm 15 */
										obj_t BgL_locationz00_5394;

										BgL_locationz00_5394 = BBOOL(((bool_t) 0));
										{	/* Cfa/approx.scm 15 */

											BgL_arg2141z00_5392 =
												BGl_readz00zz__readerz00(BgL_cportz00_5388,
												BgL_locationz00_5394);
										}
									}
								}
								{	/* Cfa/approx.scm 15 */
									int BgL_tmpz00_5572;

									BgL_tmpz00_5572 = (int) (BgL_iz00_5389);
									CNST_TABLE_SET(BgL_tmpz00_5572, BgL_arg2141z00_5392);
							}}
							{	/* Cfa/approx.scm 15 */
								int BgL_auxz00_5395;

								BgL_auxz00_5395 = (int) ((BgL_iz00_5389 - ((long) 1)));
								{
									long BgL_iz00_5577;

									BgL_iz00_5577 = (long) (BgL_auxz00_5395);
									BgL_iz00_5389 = BgL_iz00_5577;
									goto BgL_loopz00_5390;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* declare-approx-sets! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 61 */
			return (BGl_za2alloczd2setza2zd2zzcfa_approxz00 =
				BGl_declarezd2setz12zc0zzcfa_setz00
				(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
					(BGl_getzd2allocszd2zzcfa_collectz00())), BUNSPEC);
		}

	}



/* &declare-approx-sets! */
	obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t
		BgL_envz00_5314)
	{
		{	/* Cfa/approx.scm 61 */
			return BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
		}

	}



/* node-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt BgL_nodez00_23)
	{
		{	/* Cfa/approx.scm 68 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_nodez00_23))->BgL_keyz00);
		}

	}



/* &node-key */
	obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t BgL_envz00_5315,
		obj_t BgL_nodez00_5316)
	{
		{	/* Cfa/approx.scm 68 */
			return
				BGl_nodezd2keyzd2zzcfa_approxz00(
				((BgL_nodezf2effectzf2_bglt) BgL_nodez00_5316));
		}

	}



/* node-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_24, obj_t BgL_keyz00_25)
	{
		{	/* Cfa/approx.scm 74 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_nodez00_24))->BgL_keyz00) =
				((obj_t) BgL_keyz00_25), BUNSPEC);
		}

	}



/* &node-key-set! */
	obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t BgL_envz00_5317,
		obj_t BgL_nodez00_5318, obj_t BgL_keyz00_5319)
	{
		{	/* Cfa/approx.scm 74 */
			return
				BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(
				((BgL_nodezf2effectzf2_bglt) BgL_nodez00_5318), BgL_keyz00_5319);
		}

	}



/* approx-check-has-procedure? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2checkzd2haszd2procedurezf3z21zzcfa_approxz00(BgL_approxz00_bglt
		BgL_approxz00_26)
	{
		{	/* Cfa/approx.scm 80 */
			{	/* Cfa/approx.scm 81 */
				obj_t BgL_resz00_5327;

				BgL_resz00_5327 = MAKE_CELL(BFALSE);
				{	/* Cfa/approx.scm 83 */
					obj_t BgL_zc3z04anonymousza31648ze3z87_5320;

					BgL_zc3z04anonymousza31648ze3z87_5320 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31648ze3ze5zzcfa_approxz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31648ze3z87_5320,
						(int) (((long) 0)), ((obj_t) BgL_resz00_5327));
					BGl_setzd2forzd2eachz00zzcfa_setz00
						(BgL_zc3z04anonymousza31648ze3z87_5320,
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_allocsz00));
				}
				return CBOOL(CELL_REF(BgL_resz00_5327));
			}
		}

	}



/* &approx-check-has-procedure? */
	obj_t BGl_z62approxzd2checkzd2haszd2procedurezf3z43zzcfa_approxz00(obj_t
		BgL_envz00_5321, obj_t BgL_approxz00_5322)
	{
		{	/* Cfa/approx.scm 80 */
			return
				BBOOL(BGl_approxzd2checkzd2haszd2procedurezf3z21zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_approxz00_5322)));
		}

	}



/* &<@anonymous:1648> */
	obj_t BGl_z62zc3z04anonymousza31648ze3ze5zzcfa_approxz00(obj_t
		BgL_envz00_5323, obj_t BgL_appz00_5325)
	{
		{	/* Cfa/approx.scm 82 */
			{	/* Cfa/approx.scm 83 */
				obj_t BgL_resz00_5324;

				BgL_resz00_5324 = PROCEDURE_REF(BgL_envz00_5323, (int) (((long) 0)));
				{	/* Cfa/approx.scm 83 */
					bool_t BgL_test2173z00_5604;

					{	/* Cfa/approx.scm 83 */
						obj_t BgL_classz00_5400;

						BgL_classz00_5400 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_5325))
							{	/* Cfa/approx.scm 83 */
								BgL_objectz00_bglt BgL_arg1825z00_5401;

								BgL_arg1825z00_5401 = (BgL_objectz00_bglt) (BgL_appz00_5325);
								{	/* Cfa/approx.scm 83 */
									bool_t BgL_arg1822z00_5402;
									bool_t BgL_arg1823z00_5403;

									{	/* Cfa/approx.scm 83 */
										long BgL_idxz00_5404;

										BgL_idxz00_5404 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5401);
										BgL_arg1822z00_5402 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5404 + ((long) 4))) == BgL_classz00_5400);
									}
									{	/* Cfa/approx.scm 83 */
										bool_t BgL_res2103z00_5407;

										{	/* Cfa/approx.scm 83 */
											obj_t BgL_oclassz00_5408;

											{	/* Cfa/approx.scm 83 */
												long BgL_arg1833z00_5409;

												{	/* Cfa/approx.scm 83 */
													long BgL_arg1834z00_5410;

													BgL_arg1834z00_5410 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5401);
													BgL_arg1833z00_5409 =
														(BgL_arg1834z00_5410 - OBJECT_TYPE);
												}
												BgL_oclassz00_5408 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5409);
											}
											{	/* Cfa/approx.scm 83 */
												bool_t BgL__ortest_1110z00_5411;

												BgL__ortest_1110z00_5411 =
													(BgL_classz00_5400 == BgL_oclassz00_5408);
												if (BgL__ortest_1110z00_5411)
													{	/* Cfa/approx.scm 83 */
														BgL_res2103z00_5407 = BgL__ortest_1110z00_5411;
													}
												else
													{	/* Cfa/approx.scm 83 */
														long BgL_odepthz00_5412;

														BgL_odepthz00_5412 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5408);
														if ((((long) 4) < BgL_odepthz00_5412))
															{	/* Cfa/approx.scm 83 */
																obj_t BgL_arg1821z00_5413;

																BgL_arg1821z00_5413 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5408,
																	((long) 4));
																BgL_res2103z00_5407 =
																	(BgL_arg1821z00_5413 == BgL_classz00_5400);
															}
														else
															{	/* Cfa/approx.scm 83 */
																BgL_res2103z00_5407 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5403 = BgL_res2103z00_5407;
									}
									BgL_test2173z00_5604 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5402, BgL_arg1823z00_5403);
								}
							}
						else
							{	/* Cfa/approx.scm 83 */
								BgL_test2173z00_5604 = ((bool_t) 0);
							}
					}
					if (BgL_test2173z00_5604)
						{	/* Cfa/approx.scm 84 */
							obj_t BgL_auxz00_5414;

							BgL_auxz00_5414 = BTRUE;
							return CELL_SET(BgL_resz00_5324, BgL_auxz00_5414);
						}
					else
						{	/* Cfa/approx.scm 83 */
							return BFALSE;
						}
				}
			}
		}

	}



/* approx-has-procedure? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_az00_27)
	{
		{	/* Cfa/approx.scm 91 */
			return
				(((BgL_approxz00_bglt) COBJECT(BgL_az00_27))->
				BgL_haszd2procedurezf3z21);
		}

	}



/* &approx-has-procedure? */
	obj_t BGl_z62approxzd2haszd2procedurezf3z91zzcfa_approxz00(obj_t
		BgL_envz00_5329, obj_t BgL_az00_5330)
	{
		{	/* Cfa/approx.scm 91 */
			return
				BBOOL(BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_az00_5330)));
		}

	}



/* union-approx! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_30,
		BgL_approxz00_bglt BgL_srcz00_31)
	{
		{	/* Cfa/approx.scm 105 */
			if (
				(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_31))->
					BgL_haszd2procedurezf3z21))
				{	/* Cfa/approx.scm 107 */
					((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_30))->
							BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
			else
				{	/* Cfa/approx.scm 107 */
					BFALSE;
				}
			{	/* Cfa/approx.scm 110 */
				obj_t BgL_arg1652z00_3625;

				BgL_arg1652z00_3625 =
					BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_srcz00_31);
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_30,
					((BgL_typez00_bglt) BgL_arg1652z00_3625));
			}
			{	/* Cfa/approx.scm 112 */
				bool_t BgL_test2178z00_5633;

				{	/* Cfa/approx.scm 112 */
					BgL_typez00_bglt BgL_arg1667z00_3631;

					BgL_arg1667z00_3631 =
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_30))->BgL_typez00);
					BgL_test2178z00_5633 =
						(((obj_t) BgL_arg1667z00_3631) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2178z00_5633)
					{	/* Cfa/approx.scm 112 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 113 */
						bool_t BgL_test2179z00_5637;

						{	/* Cfa/approx.scm 113 */
							obj_t BgL_arg1665z00_3630;

							BgL_arg1665z00_3630 =
								(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_31))->BgL_allocsz00);
							BgL_test2179z00_5637 =
								CBOOL(BGl_setzd2anyzd2zzcfa_setz00
								(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
									BgL_arg1665z00_3630));
						}
						if (BgL_test2179z00_5637)
							{	/* Cfa/approx.scm 113 */
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_30,
									((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							}
						else
							{	/* Cfa/approx.scm 113 */
								BFALSE;
							}
					}
			}
			{	/* Cfa/approx.scm 116 */
				bool_t BgL_test2180z00_5643;

				{	/* Cfa/approx.scm 116 */
					bool_t BgL_test2181z00_5644;

					{	/* Cfa/approx.scm 116 */
						BgL_typez00_bglt BgL_arg1682z00_3639;

						BgL_arg1682z00_3639 =
							(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_30))->BgL_typez00);
						BgL_test2181z00_5644 =
							(
							((obj_t) BgL_arg1682z00_3639) ==
							BGl_za2procedureza2z00zztype_cachez00);
					}
					if (BgL_test2181z00_5644)
						{	/* Cfa/approx.scm 116 */
							BgL_test2180z00_5643 = ((bool_t) 1);
						}
					else
						{	/* Cfa/approx.scm 117 */
							BgL_typez00_bglt BgL_arg1681z00_3638;

							BgL_arg1681z00_3638 =
								(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_30))->BgL_typez00);
							BgL_test2180z00_5643 =
								(
								((obj_t) BgL_arg1681z00_3638) == BGl_za2_za2z00zztype_cachez00);
						}
				}
				if (BgL_test2180z00_5643)
					{	/* Cfa/approx.scm 116 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 116 */
						BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_srcz00_31,
							BGl_string2130z00zzcfa_approxz00);
					}
			}
			if ((((BgL_approxz00_bglt) COBJECT(BgL_srcz00_31))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 120 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_30);
				}
			else
				{	/* Cfa/approx.scm 120 */
					BFALSE;
				}
			{	/* Cfa/approx.scm 123 */
				bool_t BgL_test2183z00_5655;

				{	/* Cfa/approx.scm 123 */
					obj_t BgL_arg1699z00_3645;
					obj_t BgL_arg1703z00_3646;

					BgL_arg1699z00_3645 =
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_30))->BgL_allocsz00);
					BgL_arg1703z00_3646 =
						(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_31))->BgL_allocsz00);
					{	/* Cfa/approx.scm 123 */
						obj_t BgL_list1704z00_3647;

						BgL_list1704z00_3647 = MAKE_YOUNG_PAIR(BgL_arg1703z00_3646, BNIL);
						BgL_test2183z00_5655 =
							CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00(BgL_arg1699z00_3645,
								BgL_list1704z00_3647));
					}
				}
				if (BgL_test2183z00_5655)
					{	/* Cfa/approx.scm 123 */
						BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long)
									0)));
					}
				else
					{	/* Cfa/approx.scm 123 */
						BFALSE;
					}
			}
			return BgL_dstz00_30;
		}

	}



/* &union-approx! */
	BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t
		BgL_envz00_5331, obj_t BgL_dstz00_5332, obj_t BgL_srcz00_5333)
	{
		{	/* Cfa/approx.scm 105 */
			return
				BGl_unionzd2approxz12zc0zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5332),
				((BgL_approxz00_bglt) BgL_srcz00_5333));
		}

	}



/* union-approx/type! */
	BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_32, BgL_approxz00_bglt BgL_srcz00_33,
		BgL_typez00_bglt BgL_tyz00_34)
	{
		{	/* Cfa/approx.scm 131 */
			if ((((BgL_approxz00_bglt) COBJECT(BgL_srcz00_33))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 144 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_32);
				}
			else
				{	/* Cfa/approx.scm 144 */
					BFALSE;
				}
			if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_tyz00_34))
				{	/* Cfa/approx.scm 146 */
					if ((((obj_t) BgL_tyz00_34) == BGl_za2vectorza2z00zztype_cachez00))
						{	/* Cfa/approx.scm 148 */
							if (CBOOL(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
									(BgL_dstz00_32, BgL_srcz00_33,
										BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00)))
								{	/* Cfa/approx.scm 149 */
									BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
												(long) 0)));
								}
							else
								{	/* Cfa/approx.scm 149 */
									BFALSE;
								}
						}
					else
						{	/* Cfa/approx.scm 148 */
							if (
								(((obj_t) BgL_tyz00_34) ==
									BGl_za2procedureza2z00zztype_cachez00))
								{	/* Cfa/approx.scm 151 */
									if (
										(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_33))->
											BgL_haszd2procedurezf3z21))
										{	/* Cfa/approx.scm 152 */
											((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_32))->
													BgL_haszd2procedurezf3z21) =
												((bool_t) ((bool_t) 1)), BUNSPEC);
										}
									else
										{	/* Cfa/approx.scm 152 */
											BFALSE;
										}
									if (CBOOL(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
											(BgL_dstz00_32, BgL_srcz00_33,
												BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00)))
										{	/* Cfa/approx.scm 154 */
											BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
														(long) 0)));
										}
									else
										{	/* Cfa/approx.scm 154 */
											BFALSE;
										}
								}
							else
								{	/* Cfa/approx.scm 156 */
									bool_t BgL_test2191z00_5690;

									if (
										(((obj_t) BgL_tyz00_34) ==
											BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/approx.scm 156 */
											BgL_test2191z00_5690 = ((bool_t) 1);
										}
									else
										{	/* Cfa/approx.scm 156 */
											if (
												(((obj_t) BgL_tyz00_34) ==
													BGl_za2epairza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 157 */
													BgL_test2191z00_5690 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 157 */
													if (
														(((obj_t) BgL_tyz00_34) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00))
														{	/* Cfa/approx.scm 158 */
															BgL_test2191z00_5690 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 158 */
															BgL_test2191z00_5690 =
																(
																((obj_t) BgL_tyz00_34) ==
																BGl_za2listza2z00zztype_cachez00);
														}
												}
										}
									if (BgL_test2191z00_5690)
										{	/* Cfa/approx.scm 156 */
											if (CBOOL(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
													(BgL_dstz00_32, BgL_srcz00_33,
														BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00)))
												{	/* Cfa/approx.scm 160 */
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/approx.scm 160 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/approx.scm 156 */
											if (
												(((obj_t) BgL_tyz00_34) ==
													BGl_za2structza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 162 */
													if (CBOOL
														(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
															(BgL_dstz00_32, BgL_srcz00_33,
																BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00)))
														{	/* Cfa/approx.scm 163 */
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																(CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Cfa/approx.scm 163 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/approx.scm 165 */
													bool_t BgL_test2198z00_5715;

													if (
														(((obj_t) BgL_tyz00_34) ==
															BGl_za2symbolza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 165 */
															BgL_test2198z00_5715 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 165 */
															if (
																(((obj_t) BgL_tyz00_34) ==
																	BGl_za2keywordza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 166 */
																	BgL_test2198z00_5715 = ((bool_t) 1);
																}
															else
																{	/* Cfa/approx.scm 166 */
																	if (
																		(((obj_t) BgL_tyz00_34) ==
																			BGl_za2unspecza2z00zztype_cachez00))
																		{	/* Cfa/approx.scm 167 */
																			BgL_test2198z00_5715 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/approx.scm 167 */
																			if (
																				(((obj_t) BgL_tyz00_34) ==
																					BGl_za2bstringza2z00zztype_cachez00))
																				{	/* Cfa/approx.scm 168 */
																					BgL_test2198z00_5715 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/approx.scm 168 */
																					if (
																						(((obj_t) BgL_tyz00_34) ==
																							BGl_za2bintza2z00zztype_cachez00))
																						{	/* Cfa/approx.scm 169 */
																							BgL_test2198z00_5715 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 169 */
																							if (
																								(((obj_t) BgL_tyz00_34) ==
																									BGl_za2belongza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 170 */
																									BgL_test2198z00_5715 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 170 */
																									if (
																										(((obj_t) BgL_tyz00_34) ==
																											BGl_za2bllongza2z00zztype_cachez00))
																										{	/* Cfa/approx.scm 171 */
																											BgL_test2198z00_5715 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cfa/approx.scm 171 */
																											if (
																												(((obj_t) BgL_tyz00_34)
																													==
																													BGl_za2bignumza2z00zztype_cachez00))
																												{	/* Cfa/approx.scm 172 */
																													BgL_test2198z00_5715 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Cfa/approx.scm 172 */
																													if (
																														(((obj_t)
																																BgL_tyz00_34) ==
																															BGl_za2realza2z00zztype_cachez00))
																														{	/* Cfa/approx.scm 173 */
																															BgL_test2198z00_5715
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Cfa/approx.scm 173 */
																															if (
																																(((obj_t)
																																		BgL_tyz00_34)
																																	==
																																	BGl_za2bcharza2z00zztype_cachez00))
																																{	/* Cfa/approx.scm 174 */
																																	BgL_test2198z00_5715
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Cfa/approx.scm 174 */
																																	if (
																																		(((obj_t)
																																				BgL_tyz00_34)
																																			==
																																			BGl_za2nilza2z00zz__evalz00))
																																		{	/* Cfa/approx.scm 175 */
																																			BgL_test2198z00_5715
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Cfa/approx.scm 175 */
																																			BgL_test2198z00_5715
																																				=
																																				(((obj_t) BgL_tyz00_34) == BGl_za2bboolza2z00zztype_cachez00);
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_test2198z00_5715)
														{	/* Cfa/approx.scm 165 */
															BFALSE;
														}
													else
														{	/* Cfa/approx.scm 177 */
															bool_t BgL_test2210z00_5751;

															{	/* Cfa/approx.scm 177 */
																obj_t BgL_arg1742z00_3679;
																obj_t BgL_arg1743z00_3680;

																BgL_arg1742z00_3679 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_dstz00_32))->BgL_allocsz00);
																BgL_arg1743z00_3680 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_srcz00_33))->BgL_allocsz00);
																{	/* Cfa/approx.scm 177 */
																	obj_t BgL_list1744z00_3681;

																	BgL_list1744z00_3681 =
																		MAKE_YOUNG_PAIR(BgL_arg1743z00_3680, BNIL);
																	BgL_test2210z00_5751 =
																		CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00
																		(BgL_arg1742z00_3679,
																			BgL_list1744z00_3681));
																}
															}
															if (BgL_test2210z00_5751)
																{	/* Cfa/approx.scm 177 */
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																		(CNST_TABLE_REF(((long) 0)));
																}
															else
																{	/* Cfa/approx.scm 177 */
																	BFALSE;
																}
														}
												}
										}
								}
						}
				}
			else
				{	/* Cfa/approx.scm 146 */
					BFALSE;
				}
			return BgL_dstz00_32;
		}

	}



/* set-union/type!~0 */
	obj_t BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_3696, BgL_approxz00_bglt BgL_srcz00_3697, obj_t BgL_predz00_3698)
	{
		{	/* Cfa/approx.scm 142 */
			{	/* Cfa/approx.scm 135 */
				obj_t BgL_resz00_5349;
				obj_t BgL_setz00_3701;

				BgL_resz00_5349 = MAKE_CELL(BFALSE);
				BgL_setz00_3701 =
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_3696))->BgL_allocsz00);
				{	/* Cfa/approx.scm 137 */
					obj_t BgL_arg1747z00_3703;

					BgL_arg1747z00_3703 =
						(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_3697))->BgL_allocsz00);
					{	/* Cfa/approx.scm 138 */
						obj_t BgL_zc3z04anonymousza31748ze3z87_5336;

						BgL_zc3z04anonymousza31748ze3z87_5336 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31748ze3ze5zzcfa_approxz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31748ze3z87_5336,
							(int) (((long) 0)), BgL_setz00_3701);
						PROCEDURE_SET(BgL_zc3z04anonymousza31748ze3z87_5336,
							(int) (((long) 1)), ((obj_t) BgL_resz00_5349));
						PROCEDURE_SET(BgL_zc3z04anonymousza31748ze3z87_5336,
							(int) (((long) 2)), BgL_predz00_3698);
						BGl_setzd2forzd2eachz00zzcfa_setz00
							(BgL_zc3z04anonymousza31748ze3z87_5336, BgL_arg1747z00_3703);
				}}
				return CELL_REF(BgL_resz00_5349);
			}
		}

	}



/* &<@anonymous:1748> */
	obj_t BGl_z62zc3z04anonymousza31748ze3ze5zzcfa_approxz00(obj_t
		BgL_envz00_5337, obj_t BgL_vz00_5341)
	{
		{	/* Cfa/approx.scm 137 */
			{	/* Cfa/approx.scm 138 */
				obj_t BgL_setz00_5338;
				obj_t BgL_resz00_5339;
				obj_t BgL_predz00_5340;

				BgL_setz00_5338 = PROCEDURE_REF(BgL_envz00_5337, (int) (((long) 0)));
				BgL_resz00_5339 = PROCEDURE_REF(BgL_envz00_5337, (int) (((long) 1)));
				BgL_predz00_5340 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5337, (int) (((long) 2))));
				{	/* Cfa/approx.scm 138 */
					bool_t BgL_test2211z00_5779;

					if (CBOOL(PROCEDURE_ENTRY(BgL_predz00_5340) (BgL_predz00_5340,
								BgL_vz00_5341, BEOA)))
						{	/* Cfa/approx.scm 138 */
							bool_t BgL_test2213z00_5786;

							{	/* Cfa/approx.scm 138 */
								obj_t BgL_keyz00_5415;

								BgL_keyz00_5415 =
									(((BgL_nodezf2effectzf2_bglt) COBJECT(
											((BgL_nodezf2effectzf2_bglt) BgL_vz00_5341)))->
									BgL_keyz00);
								{	/* Cfa/approx.scm 138 */

									{	/* Cfa/approx.scm 138 */
										long BgL_tmpz00_5789;

										{	/* Cfa/approx.scm 138 */
											long BgL_tmpz00_5790;

											{	/* Cfa/approx.scm 138 */
												unsigned char BgL_tmpz00_5794;

												{	/* Cfa/approx.scm 138 */
													obj_t BgL_stringz00_5416;

													BgL_stringz00_5416 =
														STRUCT_REF(
														((obj_t) BgL_setz00_5338), (int) (((long) 0)));
													BgL_tmpz00_5794 =
														STRING_REF(BgL_stringz00_5416,
														(long) CINT(CAR(((obj_t) BgL_keyz00_5415))));
												}
												BgL_tmpz00_5790 = (BgL_tmpz00_5794);
											}
											BgL_tmpz00_5789 =
												(
												(long) CINT(CDR(
														((obj_t) BgL_keyz00_5415))) & BgL_tmpz00_5790);
										}
										BgL_test2213z00_5786 = (BgL_tmpz00_5789 > ((long) 0));
							}}}
							if (BgL_test2213z00_5786)
								{	/* Cfa/approx.scm 138 */
									BgL_test2211z00_5779 = ((bool_t) 0);
								}
							else
								{	/* Cfa/approx.scm 138 */
									BgL_test2211z00_5779 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/approx.scm 138 */
							BgL_test2211z00_5779 = ((bool_t) 0);
						}
					if (BgL_test2211z00_5779)
						{	/* Cfa/approx.scm 138 */
							BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_5338,
								BgL_vz00_5341);
							{	/* Cfa/approx.scm 140 */
								obj_t BgL_auxz00_5417;

								BgL_auxz00_5417 = BTRUE;
								return CELL_SET(BgL_resz00_5339, BgL_auxz00_5417);
							}
						}
					else
						{	/* Cfa/approx.scm 138 */
							return BFALSE;
						}
				}
			}
		}

	}



/* union-approx-filter! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_35, BgL_approxz00_bglt BgL_srcz00_36)
	{
		{	/* Cfa/approx.scm 189 */
			{	/* Cfa/approx.scm 190 */
				BgL_typez00_bglt BgL_tyz00_3713;

				BgL_tyz00_3713 =
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_35))->BgL_typez00);
				{	/* Cfa/approx.scm 191 */
					bool_t BgL_test2214z00_5807;

					if (
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_35))->
							BgL_typezd2lockedzf3z21))
						{	/* Cfa/approx.scm 191 */
							if ((((obj_t) BgL_tyz00_3713) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/approx.scm 191 */
									BgL_test2214z00_5807 = ((bool_t) 1);
								}
							else
								{	/* Cfa/approx.scm 191 */
									BgL_test2214z00_5807 =
										(
										((obj_t) BgL_tyz00_3713) ==
										BGl_za2objza2z00zztype_cachez00);
								}
						}
					else
						{	/* Cfa/approx.scm 191 */
							BgL_test2214z00_5807 = ((bool_t) 1);
						}
					if (BgL_test2214z00_5807)
						{	/* Cfa/approx.scm 191 */
							return
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_dstz00_35,
								BgL_srcz00_36);
						}
					else
						{	/* Cfa/approx.scm 191 */
							return
								BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_dstz00_35,
								BgL_srcz00_36, BgL_tyz00_3713);
						}
				}
			}
		}

	}



/* &union-approx-filter! */
	BgL_approxz00_bglt BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t
		BgL_envz00_5351, obj_t BgL_dstz00_5352, obj_t BgL_srcz00_5353)
	{
		{	/* Cfa/approx.scm 189 */
			return
				BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5352),
				((BgL_approxz00_bglt) BgL_srcz00_5353));
		}

	}



/* &vector-approx? */
	obj_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5334,
		obj_t BgL_xz00_5335)
	{
		{	/* Cfa/approx.scm 198 */
			{	/* Cfa/approx.scm 199 */
				bool_t BgL_tmpz00_5820;

				{	/* Cfa/approx.scm 199 */
					bool_t BgL__ortest_1177z00_5418;

					{	/* Cfa/approx.scm 199 */
						obj_t BgL_classz00_5419;

						BgL_classz00_5419 = BGl_makezd2vectorzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_xz00_5335))
							{	/* Cfa/approx.scm 199 */
								BgL_objectz00_bglt BgL_arg1825z00_5420;

								BgL_arg1825z00_5420 = (BgL_objectz00_bglt) (BgL_xz00_5335);
								{	/* Cfa/approx.scm 199 */
									bool_t BgL_arg1822z00_5421;
									bool_t BgL_arg1823z00_5422;

									{	/* Cfa/approx.scm 199 */
										long BgL_idxz00_5423;

										BgL_idxz00_5423 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5420);
										BgL_arg1822z00_5421 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5423 + ((long) 4))) == BgL_classz00_5419);
									}
									{	/* Cfa/approx.scm 199 */
										bool_t BgL_res2104z00_5426;

										{	/* Cfa/approx.scm 199 */
											obj_t BgL_oclassz00_5427;

											{	/* Cfa/approx.scm 199 */
												long BgL_arg1833z00_5428;

												{	/* Cfa/approx.scm 199 */
													long BgL_arg1834z00_5429;

													BgL_arg1834z00_5429 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5420);
													BgL_arg1833z00_5428 =
														(BgL_arg1834z00_5429 - OBJECT_TYPE);
												}
												BgL_oclassz00_5427 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5428);
											}
											{	/* Cfa/approx.scm 199 */
												bool_t BgL__ortest_1110z00_5430;

												BgL__ortest_1110z00_5430 =
													(BgL_classz00_5419 == BgL_oclassz00_5427);
												if (BgL__ortest_1110z00_5430)
													{	/* Cfa/approx.scm 199 */
														BgL_res2104z00_5426 = BgL__ortest_1110z00_5430;
													}
												else
													{	/* Cfa/approx.scm 199 */
														long BgL_odepthz00_5431;

														BgL_odepthz00_5431 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5427);
														if ((((long) 4) < BgL_odepthz00_5431))
															{	/* Cfa/approx.scm 199 */
																obj_t BgL_arg1821z00_5432;

																BgL_arg1821z00_5432 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5427,
																	((long) 4));
																BgL_res2104z00_5426 =
																	(BgL_arg1821z00_5432 == BgL_classz00_5419);
															}
														else
															{	/* Cfa/approx.scm 199 */
																BgL_res2104z00_5426 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5422 = BgL_res2104z00_5426;
									}
									BgL__ortest_1177z00_5418 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5421, BgL_arg1823z00_5422);
								}
							}
						else
							{	/* Cfa/approx.scm 199 */
								BgL__ortest_1177z00_5418 = ((bool_t) 0);
							}
					}
					if (BgL__ortest_1177z00_5418)
						{	/* Cfa/approx.scm 199 */
							BgL_tmpz00_5820 = BgL__ortest_1177z00_5418;
						}
					else
						{	/* Cfa/approx.scm 199 */
							obj_t BgL_classz00_5433;

							BgL_classz00_5433 = BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
							if (BGL_OBJECTP(BgL_xz00_5335))
								{	/* Cfa/approx.scm 199 */
									BgL_objectz00_bglt BgL_arg1827z00_5434;
									long BgL_arg1828z00_5435;

									BgL_arg1827z00_5434 = (BgL_objectz00_bglt) (BgL_xz00_5335);
									BgL_arg1828z00_5435 = BGL_CLASS_DEPTH(BgL_classz00_5433);
									{	/* Cfa/approx.scm 199 */
										bool_t BgL_arg1822z00_5436;
										bool_t BgL_arg1823z00_5437;

										{	/* Cfa/approx.scm 199 */
											long BgL_idxz00_5438;

											BgL_idxz00_5438 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_5434);
											BgL_arg1822z00_5436 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5438 + BgL_arg1828z00_5435)) ==
												BgL_classz00_5433);
										}
										{	/* Cfa/approx.scm 199 */
											bool_t BgL_res2105z00_5441;

											{	/* Cfa/approx.scm 199 */
												obj_t BgL_oclassz00_5442;

												{	/* Cfa/approx.scm 199 */
													long BgL_arg1833z00_5443;

													{	/* Cfa/approx.scm 199 */
														long BgL_arg1834z00_5444;

														BgL_arg1834z00_5444 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_5434);
														BgL_arg1833z00_5443 =
															(BgL_arg1834z00_5444 - OBJECT_TYPE);
													}
													BgL_oclassz00_5442 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5443);
												}
												{	/* Cfa/approx.scm 199 */
													bool_t BgL__ortest_1110z00_5445;

													BgL__ortest_1110z00_5445 =
														(BgL_classz00_5433 == BgL_oclassz00_5442);
													if (BgL__ortest_1110z00_5445)
														{	/* Cfa/approx.scm 199 */
															BgL_res2105z00_5441 = BgL__ortest_1110z00_5445;
														}
													else
														{	/* Cfa/approx.scm 199 */
															long BgL_odepthz00_5446;

															BgL_odepthz00_5446 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5442);
															if ((BgL_arg1828z00_5435 < BgL_odepthz00_5446))
																{	/* Cfa/approx.scm 199 */
																	obj_t BgL_arg1821z00_5447;

																	BgL_arg1821z00_5447 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5442,
																		BgL_arg1828z00_5435);
																	BgL_res2105z00_5441 =
																		(BgL_arg1821z00_5447 == BgL_classz00_5433);
																}
															else
																{	/* Cfa/approx.scm 199 */
																	BgL_res2105z00_5441 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5437 = BgL_res2105z00_5441;
										}
										BgL_tmpz00_5820 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5436,
											BgL_arg1823z00_5437);
									}
								}
							else
								{	/* Cfa/approx.scm 199 */
									BgL_tmpz00_5820 = ((bool_t) 0);
								}
						}
				}
				return BBOOL(BgL_tmpz00_5820);
			}
		}

	}



/* &procedure-approx? */
	obj_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5343,
		obj_t BgL_xz00_5344)
	{
		{	/* Cfa/approx.scm 204 */
			{	/* Cfa/approx.scm 205 */
				bool_t BgL_tmpz00_5860;

				{	/* Cfa/approx.scm 205 */
					obj_t BgL_classz00_5448;

					BgL_classz00_5448 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_xz00_5344))
						{	/* Cfa/approx.scm 205 */
							BgL_objectz00_bglt BgL_arg1825z00_5449;

							BgL_arg1825z00_5449 = (BgL_objectz00_bglt) (BgL_xz00_5344);
							{	/* Cfa/approx.scm 205 */
								bool_t BgL_arg1822z00_5450;
								bool_t BgL_arg1823z00_5451;

								{	/* Cfa/approx.scm 205 */
									long BgL_idxz00_5452;

									BgL_idxz00_5452 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5449);
									BgL_arg1822z00_5450 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5452 + ((long) 4))) == BgL_classz00_5448);
								}
								{	/* Cfa/approx.scm 205 */
									bool_t BgL_res2106z00_5455;

									{	/* Cfa/approx.scm 205 */
										obj_t BgL_oclassz00_5456;

										{	/* Cfa/approx.scm 205 */
											long BgL_arg1833z00_5457;

											{	/* Cfa/approx.scm 205 */
												long BgL_arg1834z00_5458;

												BgL_arg1834z00_5458 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5449);
												BgL_arg1833z00_5457 =
													(BgL_arg1834z00_5458 - OBJECT_TYPE);
											}
											BgL_oclassz00_5456 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5457);
										}
										{	/* Cfa/approx.scm 205 */
											bool_t BgL__ortest_1110z00_5459;

											BgL__ortest_1110z00_5459 =
												(BgL_classz00_5448 == BgL_oclassz00_5456);
											if (BgL__ortest_1110z00_5459)
												{	/* Cfa/approx.scm 205 */
													BgL_res2106z00_5455 = BgL__ortest_1110z00_5459;
												}
											else
												{	/* Cfa/approx.scm 205 */
													long BgL_odepthz00_5460;

													BgL_odepthz00_5460 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5456);
													if ((((long) 4) < BgL_odepthz00_5460))
														{	/* Cfa/approx.scm 205 */
															obj_t BgL_arg1821z00_5461;

															BgL_arg1821z00_5461 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5456,
																((long) 4));
															BgL_res2106z00_5455 =
																(BgL_arg1821z00_5461 == BgL_classz00_5448);
														}
													else
														{	/* Cfa/approx.scm 205 */
															BgL_res2106z00_5455 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5451 = BgL_res2106z00_5455;
								}
								BgL_tmpz00_5860 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5450, BgL_arg1823z00_5451);
							}
						}
					else
						{	/* Cfa/approx.scm 205 */
							BgL_tmpz00_5860 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_5860);
			}
		}

	}



/* &cons-approx? */
	obj_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5345,
		obj_t BgL_xz00_5346)
	{
		{	/* Cfa/approx.scm 210 */
			{	/* Cfa/approx.scm 211 */
				bool_t BgL_tmpz00_5880;

				{	/* Cfa/approx.scm 211 */
					obj_t BgL_classz00_5462;

					BgL_classz00_5462 = BGl_conszd2appzd2zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_xz00_5346))
						{	/* Cfa/approx.scm 211 */
							BgL_objectz00_bglt BgL_arg1825z00_5463;

							BgL_arg1825z00_5463 = (BgL_objectz00_bglt) (BgL_xz00_5346);
							{	/* Cfa/approx.scm 211 */
								bool_t BgL_arg1822z00_5464;
								bool_t BgL_arg1823z00_5465;

								{	/* Cfa/approx.scm 211 */
									long BgL_idxz00_5466;

									BgL_idxz00_5466 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5463);
									BgL_arg1822z00_5464 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5466 + ((long) 4))) == BgL_classz00_5462);
								}
								{	/* Cfa/approx.scm 211 */
									bool_t BgL_res2107z00_5469;

									{	/* Cfa/approx.scm 211 */
										obj_t BgL_oclassz00_5470;

										{	/* Cfa/approx.scm 211 */
											long BgL_arg1833z00_5471;

											{	/* Cfa/approx.scm 211 */
												long BgL_arg1834z00_5472;

												BgL_arg1834z00_5472 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5463);
												BgL_arg1833z00_5471 =
													(BgL_arg1834z00_5472 - OBJECT_TYPE);
											}
											BgL_oclassz00_5470 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5471);
										}
										{	/* Cfa/approx.scm 211 */
											bool_t BgL__ortest_1110z00_5473;

											BgL__ortest_1110z00_5473 =
												(BgL_classz00_5462 == BgL_oclassz00_5470);
											if (BgL__ortest_1110z00_5473)
												{	/* Cfa/approx.scm 211 */
													BgL_res2107z00_5469 = BgL__ortest_1110z00_5473;
												}
											else
												{	/* Cfa/approx.scm 211 */
													long BgL_odepthz00_5474;

													BgL_odepthz00_5474 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5470);
													if ((((long) 4) < BgL_odepthz00_5474))
														{	/* Cfa/approx.scm 211 */
															obj_t BgL_arg1821z00_5475;

															BgL_arg1821z00_5475 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5470,
																((long) 4));
															BgL_res2107z00_5469 =
																(BgL_arg1821z00_5475 == BgL_classz00_5462);
														}
													else
														{	/* Cfa/approx.scm 211 */
															BgL_res2107z00_5469 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5465 = BgL_res2107z00_5469;
								}
								BgL_tmpz00_5880 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5464, BgL_arg1823z00_5465);
							}
						}
					else
						{	/* Cfa/approx.scm 211 */
							BgL_tmpz00_5880 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_5880);
			}
		}

	}



/* &struct-approx? */
	obj_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5347,
		obj_t BgL_xz00_5348)
	{
		{	/* Cfa/approx.scm 216 */
			{	/* Cfa/approx.scm 217 */
				bool_t BgL_tmpz00_5900;

				{	/* Cfa/approx.scm 217 */
					obj_t BgL_classz00_5476;

					BgL_classz00_5476 = BGl_makezd2structzd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_xz00_5348))
						{	/* Cfa/approx.scm 217 */
							BgL_objectz00_bglt BgL_arg1825z00_5477;

							BgL_arg1825z00_5477 = (BgL_objectz00_bglt) (BgL_xz00_5348);
							{	/* Cfa/approx.scm 217 */
								bool_t BgL_arg1822z00_5478;
								bool_t BgL_arg1823z00_5479;

								{	/* Cfa/approx.scm 217 */
									long BgL_idxz00_5480;

									BgL_idxz00_5480 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5477);
									BgL_arg1822z00_5478 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5480 + ((long) 4))) == BgL_classz00_5476);
								}
								{	/* Cfa/approx.scm 217 */
									bool_t BgL_res2108z00_5483;

									{	/* Cfa/approx.scm 217 */
										obj_t BgL_oclassz00_5484;

										{	/* Cfa/approx.scm 217 */
											long BgL_arg1833z00_5485;

											{	/* Cfa/approx.scm 217 */
												long BgL_arg1834z00_5486;

												BgL_arg1834z00_5486 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5477);
												BgL_arg1833z00_5485 =
													(BgL_arg1834z00_5486 - OBJECT_TYPE);
											}
											BgL_oclassz00_5484 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5485);
										}
										{	/* Cfa/approx.scm 217 */
											bool_t BgL__ortest_1110z00_5487;

											BgL__ortest_1110z00_5487 =
												(BgL_classz00_5476 == BgL_oclassz00_5484);
											if (BgL__ortest_1110z00_5487)
												{	/* Cfa/approx.scm 217 */
													BgL_res2108z00_5483 = BgL__ortest_1110z00_5487;
												}
											else
												{	/* Cfa/approx.scm 217 */
													long BgL_odepthz00_5488;

													BgL_odepthz00_5488 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5484);
													if ((((long) 4) < BgL_odepthz00_5488))
														{	/* Cfa/approx.scm 217 */
															obj_t BgL_arg1821z00_5489;

															BgL_arg1821z00_5489 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5484,
																((long) 4));
															BgL_res2108z00_5483 =
																(BgL_arg1821z00_5489 == BgL_classz00_5476);
														}
													else
														{	/* Cfa/approx.scm 217 */
															BgL_res2108z00_5483 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5479 = BgL_res2108z00_5483;
								}
								BgL_tmpz00_5900 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5478, BgL_arg1823z00_5479);
							}
						}
					else
						{	/* Cfa/approx.scm 217 */
							BgL_tmpz00_5900 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_5900);
			}
		}

	}



/* get-src-approx-type */
	obj_t BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt
		BgL_az00_41)
	{
		{	/* Cfa/approx.scm 226 */
			{	/* Cfa/approx.scm 227 */
				BgL_typez00_bglt BgL_typez00_3720;

				BgL_typez00_3720 =
					(((BgL_approxz00_bglt) COBJECT(BgL_az00_41))->BgL_typez00);
				if ((((obj_t) BgL_typez00_3720) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/approx.scm 229 */
						return ((obj_t) BgL_typez00_3720);
					}
				else
					{	/* Cfa/approx.scm 231 */
						bool_t BgL_test2234z00_5925;

						{	/* Cfa/approx.scm 231 */
							obj_t BgL_arg1770z00_3730;

							BgL_arg1770z00_3730 =
								BGl_setzd2lengthzd2zzcfa_setz00(
								(((BgL_approxz00_bglt) COBJECT(BgL_az00_41))->BgL_allocsz00));
							BgL_test2234z00_5925 =
								((long) CINT(BgL_arg1770z00_3730) == ((long) 0));
						}
						if (BgL_test2234z00_5925)
							{	/* Cfa/approx.scm 231 */
								return ((obj_t) BgL_typez00_3720);
							}
						else
							{	/* Cfa/approx.scm 234 */
								obj_t BgL_allocsz00_3725;

								BgL_allocsz00_3725 =
									(((BgL_approxz00_bglt) COBJECT(BgL_az00_41))->BgL_allocsz00);
								if (CBOOL(BGl_setzd2anyzd2zzcfa_setz00
										(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
											BgL_allocsz00_3725)))
									{	/* Cfa/approx.scm 236 */
										bool_t BgL_test2236z00_5935;

										if (
											(((obj_t) BgL_typez00_3720) ==
												BGl_za2vectorza2z00zztype_cachez00))
											{	/* Cfa/approx.scm 236 */
												BgL_test2236z00_5935 =
													CBOOL(BGl_setzd2everyzd2zzcfa_setz00
													(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
														BgL_allocsz00_3725));
											}
										else
											{	/* Cfa/approx.scm 236 */
												BgL_test2236z00_5935 = ((bool_t) 0);
											}
										if (BgL_test2236z00_5935)
											{	/* Cfa/approx.scm 236 */
												return BGl_za2vectorza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/approx.scm 236 */
												return BGl_za2objza2z00zztype_cachez00;
											}
									}
								else
									{	/* Cfa/approx.scm 235 */
										return ((obj_t) BgL_typez00_3720);
									}
							}
					}
			}
		}

	}



/* approx-set-type! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_42, BgL_typez00_bglt BgL_typez00_43)
	{
		{	/* Cfa/approx.scm 248 */
			{	/* Cfa/approx.scm 249 */
				BgL_typez00_bglt BgL_dtypez00_3732;

				BgL_dtypez00_3732 =
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00);
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->
						BgL_typezd2lockedzf3z21))
					{	/* Cfa/approx.scm 251 */
						return BFALSE;
					}
				else
					{	/* Cfa/approx.scm 251 */
						if ((((obj_t) BgL_typez00_43) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 253 */
								return BFALSE;
							}
						else
							{	/* Cfa/approx.scm 253 */
								if ((((obj_t) BgL_dtypez00_3732) == ((obj_t) BgL_typez00_43)))
									{	/* Cfa/approx.scm 255 */
										return BFALSE;
									}
								else
									{	/* Cfa/approx.scm 257 */
										bool_t BgL_test2241z00_5952;

										{	/* Cfa/approx.scm 257 */
											bool_t BgL_test2242z00_5953;

											if (
												(((obj_t) BgL_dtypez00_3732) ==
													BGl_za2longza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 257 */
													BgL_test2242z00_5953 =
														(
														((obj_t) BgL_typez00_43) ==
														BGl_za2intza2z00zztype_cachez00);
												}
											else
												{	/* Cfa/approx.scm 257 */
													BgL_test2242z00_5953 = ((bool_t) 0);
												}
											if (BgL_test2242z00_5953)
												{	/* Cfa/approx.scm 257 */
													BgL_test2241z00_5952 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 258 */
													bool_t BgL_test2244z00_5959;

													if (
														(((obj_t) BgL_dtypez00_3732) ==
															BGl_za2intza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 258 */
															BgL_test2244z00_5959 =
																(
																((obj_t) BgL_typez00_43) ==
																BGl_za2longza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 258 */
															BgL_test2244z00_5959 = ((bool_t) 0);
														}
													if (BgL_test2244z00_5959)
														{	/* Cfa/approx.scm 258 */
															BgL_test2241z00_5952 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 258 */
															if (
																(((obj_t) BgL_dtypez00_3732) ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 259 */
																	bool_t BgL__ortest_1179z00_3816;

																	BgL__ortest_1179z00_3816 =
																		(
																		((obj_t) BgL_typez00_43) ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_1179z00_3816)
																		{	/* Cfa/approx.scm 259 */
																			BgL_test2241z00_5952 =
																				BgL__ortest_1179z00_3816;
																		}
																	else
																		{	/* Cfa/approx.scm 259 */
																			BgL_test2241z00_5952 =
																				(
																				((obj_t) BgL_typez00_43) ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Cfa/approx.scm 259 */
																	BgL_test2241z00_5952 = ((bool_t) 0);
																}
														}
												}
										}
										if (BgL_test2241z00_5952)
											{	/* Cfa/approx.scm 257 */
												return BFALSE;
											}
										else
											{	/* Cfa/approx.scm 262 */
												bool_t BgL_test2248z00_5973;

												{	/* Cfa/approx.scm 262 */
													bool_t BgL_test2249z00_5974;

													if (
														(((obj_t) BgL_dtypez00_3732) ==
															BGl_za2longza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 262 */
															BgL_test2249z00_5974 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 262 */
															BgL_test2249z00_5974 =
																(
																((obj_t) BgL_dtypez00_3732) ==
																BGl_za2intza2z00zztype_cachez00);
														}
													if (BgL_test2249z00_5974)
														{	/* Cfa/approx.scm 262 */
															BgL_test2248z00_5973 =
																(
																((obj_t) BgL_typez00_43) ==
																BGl_za2bintza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 262 */
															BgL_test2248z00_5973 = ((bool_t) 0);
														}
												}
												if (BgL_test2248z00_5973)
													{	/* Cfa/approx.scm 262 */
														{	/* Cfa/approx.scm 263 */
															BgL_typez00_bglt BgL_vz00_4717;

															BgL_vz00_4717 =
																((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00);
															((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_4717), BUNSPEC);
														}
														return BTRUE;
													}
												else
													{	/* Cfa/approx.scm 265 */
														bool_t BgL_test2251z00_5984;

														if (
															(((obj_t) BgL_dtypez00_3732) ==
																BGl_za2epairza2z00zztype_cachez00))
															{	/* Cfa/approx.scm 265 */
																BgL_test2251z00_5984 =
																	(
																	((obj_t) BgL_typez00_43) ==
																	BGl_za2pairza2z00zztype_cachez00);
															}
														else
															{	/* Cfa/approx.scm 265 */
																BgL_test2251z00_5984 = ((bool_t) 0);
															}
														if (BgL_test2251z00_5984)
															{	/* Cfa/approx.scm 265 */
																{	/* Cfa/approx.scm 267 */
																	BgL_typez00_bglt BgL_vz00_4719;

																	BgL_vz00_4719 =
																		((BgL_typez00_bglt)
																		BGl_za2pairza2z00zztype_cachez00);
																	((((BgL_approxz00_bglt)
																				COBJECT(BgL_dstz00_42))->BgL_typez00) =
																		((BgL_typez00_bglt) BgL_vz00_4719),
																		BUNSPEC);
																}
																return
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																	(CNST_TABLE_REF(((long) 1)));
															}
														else
															{	/* Cfa/approx.scm 269 */
																bool_t BgL_test2253z00_5994;

																if (
																	(((obj_t) BgL_dtypez00_3732) ==
																		BGl_za2pairzd2nilza2zd2zztype_cachez00))
																	{	/* Cfa/approx.scm 270 */
																		bool_t BgL__ortest_1180z00_3807;

																		BgL__ortest_1180z00_3807 =
																			(
																			((obj_t) BgL_typez00_43) ==
																			BGl_za2bnilza2z00zztype_cachez00);
																		if (BgL__ortest_1180z00_3807)
																			{	/* Cfa/approx.scm 270 */
																				BgL_test2253z00_5994 =
																					BgL__ortest_1180z00_3807;
																			}
																		else
																			{	/* Cfa/approx.scm 271 */
																				bool_t BgL__ortest_1181z00_3808;

																				BgL__ortest_1181z00_3808 =
																					(
																					((obj_t) BgL_typez00_43) ==
																					BGl_za2pairza2z00zztype_cachez00);
																				if (BgL__ortest_1181z00_3808)
																					{	/* Cfa/approx.scm 271 */
																						BgL_test2253z00_5994 =
																							BgL__ortest_1181z00_3808;
																					}
																				else
																					{	/* Cfa/approx.scm 271 */
																						bool_t BgL__ortest_1182z00_3809;

																						BgL__ortest_1182z00_3809 =
																							(
																							((obj_t) BgL_typez00_43) ==
																							BGl_za2epairza2z00zztype_cachez00);
																						if (BgL__ortest_1182z00_3809)
																							{	/* Cfa/approx.scm 271 */
																								BgL_test2253z00_5994 =
																									BgL__ortest_1182z00_3809;
																							}
																						else
																							{	/* Cfa/approx.scm 271 */
																								BgL_test2253z00_5994 =
																									(
																									((obj_t) BgL_typez00_43) ==
																									BGl_za2listza2z00zztype_cachez00);
																							}
																					}
																			}
																	}
																else
																	{	/* Cfa/approx.scm 269 */
																		BgL_test2253z00_5994 = ((bool_t) 0);
																	}
																if (BgL_test2253z00_5994)
																	{	/* Cfa/approx.scm 269 */
																		return BFALSE;
																	}
																else
																	{	/* Cfa/approx.scm 275 */
																		bool_t BgL_test2258z00_6009;

																		if (BGl_bigloozd2typezf3z21zztype_typez00
																			(BgL_dtypez00_3732))
																			{	/* Cfa/approx.scm 275 */
																				BgL_typez00_bglt BgL_arg1839z00_3805;

																				BgL_arg1839z00_3805 =
																					BGl_getzd2bigloozd2typez00zztype_cachez00
																					(BgL_typez00_43);
																				BgL_test2258z00_6009 =
																					(((obj_t) BgL_dtypez00_3732) ==
																					((obj_t) BgL_arg1839z00_3805));
																			}
																		else
																			{	/* Cfa/approx.scm 275 */
																				BgL_test2258z00_6009 = ((bool_t) 0);
																			}
																		if (BgL_test2258z00_6009)
																			{	/* Cfa/approx.scm 275 */
																				return BTRUE;
																			}
																		else
																			{	/* Cfa/approx.scm 279 */
																				bool_t BgL_test2260z00_6016;

																				{	/* Cfa/approx.scm 279 */
																					bool_t BgL_test2261z00_6017;

																					if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_dtypez00_3732))
																						{	/* Cfa/approx.scm 279 */
																							BgL_typez00_bglt
																								BgL_arg1838z00_3803;
																							BgL_arg1838z00_3803 =
																								BGl_getzd2bigloozd2typez00zztype_cachez00
																								(BgL_typez00_43);
																							BgL_test2261z00_6017 =
																								(((obj_t) BgL_dtypez00_3732) ==
																								((obj_t) BgL_arg1838z00_3803));
																						}
																					else
																						{	/* Cfa/approx.scm 279 */
																							BgL_test2261z00_6017 =
																								((bool_t) 0);
																						}
																					if (BgL_test2261z00_6017)
																						{	/* Cfa/approx.scm 279 */
																							BgL_test2260z00_6016 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 279 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_43))
																								{	/* Cfa/approx.scm 280 */
																									BgL_typez00_bglt
																										BgL_arg1837z00_3801;
																									BgL_arg1837z00_3801 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_dtypez00_3732);
																									BgL_test2260z00_6016 =
																										(((obj_t) BgL_typez00_43) ==
																										((obj_t)
																											BgL_arg1837z00_3801));
																								}
																							else
																								{	/* Cfa/approx.scm 280 */
																									BgL_test2260z00_6016 =
																										((bool_t) 0);
																								}
																						}
																				}
																				if (BgL_test2260z00_6016)
																					{	/* Cfa/approx.scm 279 */
																						if (
																							(((obj_t) BgL_typez00_43) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Cfa/approx.scm 282 */
																								((((BgL_approxz00_bglt)
																											COBJECT(BgL_dstz00_42))->
																										BgL_typez00) =
																									((BgL_typez00_bglt)
																										BgL_typez00_43), BUNSPEC);
																							}
																						else
																							{	/* Cfa/approx.scm 282 */
																								BFALSE;
																							}
																						return BTRUE;
																					}
																				else
																					{	/* Cfa/approx.scm 285 */
																						bool_t BgL_test2265z00_6034;

																						{	/* Cfa/approx.scm 285 */
																							bool_t BgL_test2266z00_6035;

																							if (
																								(((obj_t) BgL_dtypez00_3732) ==
																									BGl_za2bnilza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 285 */
																									BgL_test2266z00_6035 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 285 */
																									if (
																										(((obj_t) BgL_dtypez00_3732)
																											==
																											BGl_za2pairza2z00zztype_cachez00))
																										{	/* Cfa/approx.scm 285 */
																											BgL_test2266z00_6035 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cfa/approx.scm 285 */
																											BgL_test2266z00_6035 =
																												(
																												((obj_t)
																													BgL_dtypez00_3732) ==
																												BGl_za2epairza2z00zztype_cachez00);
																										}
																								}
																							if (BgL_test2266z00_6035)
																								{	/* Cfa/approx.scm 286 */
																									bool_t
																										BgL__ortest_1184z00_3793;
																									BgL__ortest_1184z00_3793 =
																										(((obj_t) BgL_typez00_43) ==
																										BGl_za2bnilza2z00zztype_cachez00);
																									if (BgL__ortest_1184z00_3793)
																										{	/* Cfa/approx.scm 286 */
																											BgL_test2265z00_6034 =
																												BgL__ortest_1184z00_3793;
																										}
																									else
																										{	/* Cfa/approx.scm 287 */
																											bool_t
																												BgL__ortest_1185z00_3794;
																											BgL__ortest_1185z00_3794 =
																												(((obj_t)
																													BgL_typez00_43) ==
																												BGl_za2pairza2z00zztype_cachez00);
																											if (BgL__ortest_1185z00_3794)
																												{	/* Cfa/approx.scm 287 */
																													BgL_test2265z00_6034 =
																														BgL__ortest_1185z00_3794;
																												}
																											else
																												{	/* Cfa/approx.scm 287 */
																													bool_t
																														BgL__ortest_1186z00_3795;
																													BgL__ortest_1186z00_3795
																														=
																														(((obj_t)
																															BgL_typez00_43) ==
																														BGl_za2epairza2z00zztype_cachez00);
																													if (BgL__ortest_1186z00_3795)
																														{	/* Cfa/approx.scm 287 */
																															BgL_test2265z00_6034
																																=
																																BgL__ortest_1186z00_3795;
																														}
																													else
																														{	/* Cfa/approx.scm 288 */
																															bool_t
																																BgL__ortest_1187z00_3796;
																															BgL__ortest_1187z00_3796
																																=
																																(((obj_t)
																																	BgL_typez00_43)
																																==
																																BGl_za2pairzd2nilza2zd2zztype_cachez00);
																															if (BgL__ortest_1187z00_3796)
																																{	/* Cfa/approx.scm 288 */
																																	BgL_test2265z00_6034
																																		=
																																		BgL__ortest_1187z00_3796;
																																}
																															else
																																{	/* Cfa/approx.scm 288 */
																																	BgL_test2265z00_6034
																																		=
																																		(((obj_t)
																																			BgL_typez00_43)
																																		==
																																		BGl_za2listza2z00zztype_cachez00);
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Cfa/approx.scm 285 */
																									BgL_test2265z00_6034 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2265z00_6034)
																							{	/* Cfa/approx.scm 285 */
																								{	/* Cfa/approx.scm 291 */
																									BgL_typez00_bglt
																										BgL_vz00_4723;
																									BgL_vz00_4723 =
																										((BgL_typez00_bglt)
																										BGl_za2pairzd2nilza2zd2zztype_cachez00);
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_dstz00_42))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_vz00_4723), BUNSPEC);
																								}
																								return
																									BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																									(CNST_TABLE_REF(((long) 1)));
																							}
																						else
																							{	/* Cfa/approx.scm 293 */
																								bool_t BgL_test2273z00_6062;

																								{	/* Cfa/approx.scm 293 */
																									bool_t BgL_test2274z00_6063;

																									{	/* Cfa/approx.scm 293 */
																										obj_t BgL_classz00_4724;

																										BgL_classz00_4724 =
																											BGl_tclassz00zzobject_classz00;
																										{	/* Cfa/approx.scm 293 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_4726;
																											{	/* Cfa/approx.scm 293 */
																												obj_t BgL_tmpz00_6064;

																												BgL_tmpz00_6064 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_dtypez00_3732));
																												BgL_arg1825z00_4726 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_6064);
																											}
																											{	/* Cfa/approx.scm 293 */
																												bool_t
																													BgL_arg1822z00_4729;
																												bool_t
																													BgL_arg1823z00_4730;
																												{	/* Cfa/approx.scm 293 */
																													long BgL_idxz00_4733;

																													BgL_idxz00_4733 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_4726);
																													BgL_arg1822z00_4729 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_4733 +
																																((long) 2))) ==
																														BgL_classz00_4724);
																												}
																												{	/* Cfa/approx.scm 293 */
																													bool_t
																														BgL_res2109z00_4755;
																													{	/* Cfa/approx.scm 293 */
																														obj_t
																															BgL_oclassz00_4741;
																														{	/* Cfa/approx.scm 293 */
																															long
																																BgL_arg1833z00_4747;
																															{	/* Cfa/approx.scm 293 */
																																long
																																	BgL_arg1834z00_4748;
																																BgL_arg1834z00_4748
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_4726);
																																BgL_arg1833z00_4747
																																	=
																																	(BgL_arg1834z00_4748
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_4741
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_4747);
																														}
																														{	/* Cfa/approx.scm 293 */
																															bool_t
																																BgL__ortest_1110z00_4742;
																															BgL__ortest_1110z00_4742
																																=
																																(BgL_classz00_4724
																																==
																																BgL_oclassz00_4741);
																															if (BgL__ortest_1110z00_4742)
																																{	/* Cfa/approx.scm 293 */
																																	BgL_res2109z00_4755
																																		=
																																		BgL__ortest_1110z00_4742;
																																}
																															else
																																{	/* Cfa/approx.scm 293 */
																																	long
																																		BgL_odepthz00_4743;
																																	BgL_odepthz00_4743
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_4741);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_4743))
																																		{	/* Cfa/approx.scm 293 */
																																			obj_t
																																				BgL_arg1821z00_4745;
																																			BgL_arg1821z00_4745
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_4741,
																																				((long)
																																					2));
																																			BgL_res2109z00_4755
																																				=
																																				(BgL_arg1821z00_4745
																																				==
																																				BgL_classz00_4724);
																																		}
																																	else
																																		{	/* Cfa/approx.scm 293 */
																																			BgL_res2109z00_4755
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_4730 =
																														BgL_res2109z00_4755;
																												}
																												BgL_test2274z00_6063 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_4729,
																													BgL_arg1823z00_4730);
																											}
																										}
																									}
																									if (BgL_test2274z00_6063)
																										{	/* Cfa/approx.scm 293 */
																											obj_t BgL_classz00_4756;

																											BgL_classz00_4756 =
																												BGl_tclassz00zzobject_classz00;
																											{	/* Cfa/approx.scm 293 */
																												BgL_objectz00_bglt
																													BgL_arg1825z00_4758;
																												{	/* Cfa/approx.scm 293 */
																													obj_t BgL_tmpz00_6083;

																													BgL_tmpz00_6083 =
																														((obj_t)
																														BgL_typez00_43);
																													BgL_arg1825z00_4758 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_6083);
																												}
																												{	/* Cfa/approx.scm 293 */
																													bool_t
																														BgL_arg1822z00_4761;
																													bool_t
																														BgL_arg1823z00_4762;
																													{	/* Cfa/approx.scm 293 */
																														long
																															BgL_idxz00_4765;
																														BgL_idxz00_4765 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1825z00_4758);
																														BgL_arg1822z00_4761
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_4765
																																	+
																																	((long) 2)))
																															==
																															BgL_classz00_4756);
																													}
																													{	/* Cfa/approx.scm 293 */
																														bool_t
																															BgL_res2110z00_4787;
																														{	/* Cfa/approx.scm 293 */
																															obj_t
																																BgL_oclassz00_4773;
																															{	/* Cfa/approx.scm 293 */
																																long
																																	BgL_arg1833z00_4779;
																																{	/* Cfa/approx.scm 293 */
																																	long
																																		BgL_arg1834z00_4780;
																																	BgL_arg1834z00_4780
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1825z00_4758);
																																	BgL_arg1833z00_4779
																																		=
																																		(BgL_arg1834z00_4780
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_4773
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1833z00_4779);
																															}
																															{	/* Cfa/approx.scm 293 */
																																bool_t
																																	BgL__ortest_1110z00_4774;
																																BgL__ortest_1110z00_4774
																																	=
																																	(BgL_classz00_4756
																																	==
																																	BgL_oclassz00_4773);
																																if (BgL__ortest_1110z00_4774)
																																	{	/* Cfa/approx.scm 293 */
																																		BgL_res2110z00_4787
																																			=
																																			BgL__ortest_1110z00_4774;
																																	}
																																else
																																	{	/* Cfa/approx.scm 293 */
																																		long
																																			BgL_odepthz00_4775;
																																		BgL_odepthz00_4775
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_4773);
																																		if ((((long)
																																					2) <
																																				BgL_odepthz00_4775))
																																			{	/* Cfa/approx.scm 293 */
																																				obj_t
																																					BgL_arg1821z00_4777;
																																				BgL_arg1821z00_4777
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_4773,
																																					((long) 2));
																																				BgL_res2110z00_4787
																																					=
																																					(BgL_arg1821z00_4777
																																					==
																																					BgL_classz00_4756);
																																			}
																																		else
																																			{	/* Cfa/approx.scm 293 */
																																				BgL_res2110z00_4787
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_arg1823z00_4762
																															=
																															BgL_res2110z00_4787;
																													}
																													BgL_test2273z00_6062 =
																														BGL_ISA_C_BACKEND
																														(BgL_arg1822z00_4761,
																														BgL_arg1823z00_4762);
																												}
																											}
																										}
																									else
																										{	/* Cfa/approx.scm 293 */
																											BgL_test2273z00_6062 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2273z00_6062)
																									{	/* Cfa/approx.scm 294 */
																										obj_t BgL_superz00_3780;

																										BgL_superz00_3780 =
																											BGl_findzd2commonzd2superzd2classzd2zzobject_classz00
																											(((BgL_typez00_bglt)
																												BgL_dtypez00_3732),
																											((BgL_typez00_bglt)
																												BgL_typez00_43));
																										if ((BgL_superz00_3780 ==
																												((obj_t)
																													BgL_dtypez00_3732)))
																											{	/* Cfa/approx.scm 296 */
																												return BFALSE;
																											}
																										else
																											{	/* Cfa/approx.scm 296 */
																												if (CBOOL
																													(BgL_superz00_3780))
																													{	/* Cfa/approx.scm 298 */
																														((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_superz00_3780)), BUNSPEC);
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
																													}
																												else
																													{	/* Cfa/approx.scm 298 */
																														{	/* Cfa/approx.scm 303 */
																															BgL_typez00_bglt
																																BgL_vz00_4791;
																															BgL_vz00_4791 =
																																(
																																(BgL_typez00_bglt)
																																BGl_za2objza2z00zztype_cachez00);
																															((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_4791), BUNSPEC);
																														}
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
																									}}}
																								else
																									{	/* Cfa/approx.scm 293 */
																										if (
																											(((obj_t)
																													BgL_dtypez00_3732) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/approx.scm 305 */
																												return BFALSE;
																											}
																										else
																											{	/* Cfa/approx.scm 307 */
																												bool_t
																													BgL_test2282z00_6120;
																												if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_dtypez00_3732))
																													{	/* Cfa/approx.scm 307 */
																														BgL_test2282z00_6120
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Cfa/approx.scm 307 */
																														if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_43))
																															{	/* Cfa/approx.scm 307 */
																																BgL_test2282z00_6120
																																	=
																																	((bool_t) 0);
																															}
																														else
																															{	/* Cfa/approx.scm 307 */
																																BgL_test2282z00_6120
																																	=
																																	((bool_t) 1);
																															}
																													}
																												if (BgL_test2282z00_6120)
																													{	/* Cfa/approx.scm 307 */
																														if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_43, BgL_dtypez00_3732))
																															{	/* Cfa/approx.scm 309 */
																																return BFALSE;
																															}
																														else
																															{	/* Cfa/approx.scm 309 */
																																if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_dtypez00_3732, BgL_typez00_43))
																																	{	/* Cfa/approx.scm 311 */
																																		((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_43), BUNSPEC);
																																		return
																																			BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																			(CNST_TABLE_REF
																																			(((long)
																																					1)));
																																	}
																																else
																																	{	/* Cfa/approx.scm 311 */
																																		{	/* Cfa/approx.scm 315 */
																																			BgL_typez00_bglt
																																				BgL_vz00_4795;
																																			BgL_vz00_4795
																																				=
																																				(
																																				(BgL_typez00_bglt)
																																				BGl_za2objza2z00zztype_cachez00);
																																			((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_4795), BUNSPEC);
																																		}
																																		return
																																			BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																			(CNST_TABLE_REF
																																			(((long)
																																					1)));
																													}}}
																												else
																													{	/* Cfa/approx.scm 307 */
																														if (
																															(((obj_t)
																																	BgL_dtypez00_3732)
																																==
																																BGl_za2_za2z00zztype_cachez00))
																															{	/* Cfa/approx.scm 317 */
																																((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_43), BUNSPEC);
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
																															}
																														else
																															{	/* Cfa/approx.scm 317 */
																																{	/* Cfa/approx.scm 321 */
																																	BgL_typez00_bglt
																																		BgL_vz00_4799;
																																	BgL_vz00_4799
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		BGl_za2objza2z00zztype_cachez00);
																																	((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_42))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_4799), BUNSPEC);
																																}
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
		}}}}}}}}}}}}}}}}

	}



/* &approx-set-type! */
	obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t BgL_envz00_5354,
		obj_t BgL_dstz00_5355, obj_t BgL_typez00_5356)
	{
		{	/* Cfa/approx.scm 248 */
			return
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5355),
				((BgL_typez00_bglt) BgL_typez00_5356));
		}

	}



/* approx-set-top! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_44)
	{
		{	/* Cfa/approx.scm 327 */
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00:
			if ((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_44))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 329 */
					BFALSE;
				}
			else
				{	/* Cfa/approx.scm 329 */
					((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_44))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long) 2)));
				}
			{	/* Cfa/approx.scm 332 */
				bool_t BgL_test2289z00_6154;

				{	/* Cfa/approx.scm 332 */
					obj_t BgL_arg1849z00_3824;

					BgL_arg1849z00_3824 =
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_44))->BgL_dupz00);
					{	/* Cfa/approx.scm 332 */
						obj_t BgL_classz00_4802;

						BgL_classz00_4802 = BGl_approxz00zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_arg1849z00_3824))
							{	/* Cfa/approx.scm 332 */
								BgL_objectz00_bglt BgL_arg1825z00_4804;

								BgL_arg1825z00_4804 =
									(BgL_objectz00_bglt) (BgL_arg1849z00_3824);
								{	/* Cfa/approx.scm 332 */
									bool_t BgL_arg1822z00_4807;
									bool_t BgL_arg1823z00_4808;

									{	/* Cfa/approx.scm 332 */
										long BgL_idxz00_4811;

										BgL_idxz00_4811 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4804);
										BgL_arg1822z00_4807 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4811 + ((long) 1))) == BgL_classz00_4802);
									}
									{	/* Cfa/approx.scm 332 */
										bool_t BgL_res2111z00_4833;

										{	/* Cfa/approx.scm 332 */
											obj_t BgL_oclassz00_4819;

											{	/* Cfa/approx.scm 332 */
												long BgL_arg1833z00_4825;

												{	/* Cfa/approx.scm 332 */
													long BgL_arg1834z00_4826;

													BgL_arg1834z00_4826 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4804);
													BgL_arg1833z00_4825 =
														(BgL_arg1834z00_4826 - OBJECT_TYPE);
												}
												BgL_oclassz00_4819 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4825);
											}
											{	/* Cfa/approx.scm 332 */
												bool_t BgL__ortest_1110z00_4820;

												BgL__ortest_1110z00_4820 =
													(BgL_classz00_4802 == BgL_oclassz00_4819);
												if (BgL__ortest_1110z00_4820)
													{	/* Cfa/approx.scm 332 */
														BgL_res2111z00_4833 = BgL__ortest_1110z00_4820;
													}
												else
													{	/* Cfa/approx.scm 332 */
														long BgL_odepthz00_4821;

														BgL_odepthz00_4821 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4819);
														if ((((long) 1) < BgL_odepthz00_4821))
															{	/* Cfa/approx.scm 332 */
																obj_t BgL_arg1821z00_4823;

																BgL_arg1821z00_4823 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4819,
																	((long) 1));
																BgL_res2111z00_4833 =
																	(BgL_arg1821z00_4823 == BgL_classz00_4802);
															}
														else
															{	/* Cfa/approx.scm 332 */
																BgL_res2111z00_4833 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4808 = BgL_res2111z00_4833;
									}
									BgL_test2289z00_6154 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4807, BgL_arg1823z00_4808);
								}
							}
						else
							{	/* Cfa/approx.scm 332 */
								BgL_test2289z00_6154 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2289z00_6154)
					{	/* Cfa/approx.scm 333 */
						obj_t BgL_arg1848z00_3823;

						BgL_arg1848z00_3823 =
							(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_44))->BgL_dupz00);
						{
							BgL_approxz00_bglt BgL_dstz00_6175;

							BgL_dstz00_6175 = ((BgL_approxz00_bglt) BgL_arg1848z00_3823);
							BgL_dstz00_44 = BgL_dstz00_6175;
							goto BGl_approxzd2setzd2topz12z12zzcfa_approxz00;
						}
					}
				else
					{	/* Cfa/approx.scm 332 */
						return BFALSE;
					}
			}
		}

	}



/* &approx-set-top! */
	obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t BgL_envz00_5357,
		obj_t BgL_dstz00_5358)
	{
		{	/* Cfa/approx.scm 327 */
			return
				BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5358));
		}

	}



/* make-empty-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 338 */
			{	/* Cfa/approx.scm 339 */
				obj_t BgL_allocsz00_3825;

				BgL_allocsz00_3825 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 340 */
					BgL_approxz00_bglt BgL_new1190z00_3826;

					{	/* Cfa/approx.scm 341 */
						BgL_approxz00_bglt BgL_new1189z00_3827;

						BgL_new1189z00_3827 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 341 */
							long BgL_arg1850z00_3828;

							BgL_arg1850z00_3828 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1189z00_3827),
								BgL_arg1850z00_3828);
						}
						BgL_new1190z00_3826 = BgL_new1189z00_3827;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->
							BgL_typezd2lockedzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->
							BgL_allocsz00) = ((obj_t) BgL_allocsz00_3825), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->
							BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1190z00_3826))->
							BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					return BgL_new1190z00_3826;
				}
			}
		}

	}



/* &make-empty-approx */
	BgL_approxz00_bglt BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_5359)
	{
		{	/* Cfa/approx.scm 338 */
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}

	}



/* make-type-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt BgL_typez00_45)
	{
		{	/* Cfa/approx.scm 347 */
			{	/* Cfa/approx.scm 348 */
				obj_t BgL_allocsz00_3829;

				BgL_allocsz00_3829 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 349 */
					BgL_approxz00_bglt BgL_new1192z00_3830;

					{	/* Cfa/approx.scm 351 */
						BgL_approxz00_bglt BgL_new1191z00_3832;

						BgL_new1191z00_3832 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 351 */
							long BgL_arg1852z00_3833;

							BgL_arg1852z00_3833 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1191z00_3832),
								BgL_arg1852z00_3833);
						}
						BgL_new1192z00_3830 = BgL_new1191z00_3832;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_typez00_45), BUNSPEC);
					{
						bool_t BgL_auxz00_6199;

						if ((((obj_t) BgL_typez00_45) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 350 */
								BgL_auxz00_6199 = ((bool_t) 0);
							}
						else
							{	/* Cfa/approx.scm 350 */
								BgL_auxz00_6199 = ((bool_t) 1);
							}
						((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->
								BgL_typezd2lockedzf3z21) = ((bool_t) BgL_auxz00_6199), BUNSPEC);
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->
							BgL_allocsz00) = ((obj_t) BgL_allocsz00_3829), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->
							BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1192z00_3830))->
							BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					return BgL_new1192z00_3830;
				}
			}
		}

	}



/* &make-type-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_5360, obj_t BgL_typez00_5361)
	{
		{	/* Cfa/approx.scm 347 */
			return
				BGl_makezd2typezd2approxz00zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_5361));
		}

	}



/* make-type-alloc-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt
		BgL_typez00_46, BgL_nodez00_bglt BgL_allocz00_47)
	{
		{	/* Cfa/approx.scm 357 */
			{	/* Cfa/approx.scm 358 */
				obj_t BgL_allocsz00_3834;

				BgL_allocsz00_3834 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_3834,
					((obj_t) BgL_allocz00_47));
				{	/* Cfa/approx.scm 360 */
					BgL_approxz00_bglt BgL_new1194z00_3835;

					{	/* Cfa/approx.scm 362 */
						BgL_approxz00_bglt BgL_new1193z00_3837;

						BgL_new1193z00_3837 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 362 */
							long BgL_arg1854z00_3838;

							BgL_arg1854z00_3838 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1193z00_3837),
								BgL_arg1854z00_3838);
						}
						BgL_new1194z00_3835 = BgL_new1193z00_3837;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_typez00_46), BUNSPEC);
					{
						bool_t BgL_auxz00_6219;

						if ((((obj_t) BgL_typez00_46) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 361 */
								BgL_auxz00_6219 = ((bool_t) 0);
							}
						else
							{	/* Cfa/approx.scm 361 */
								BgL_auxz00_6219 = ((bool_t) 1);
							}
						((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->
								BgL_typezd2lockedzf3z21) = ((bool_t) BgL_auxz00_6219), BUNSPEC);
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->
							BgL_allocsz00) = ((obj_t) BgL_allocsz00_3834), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->
							BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						bool_t BgL_auxz00_6228;

						{	/* Cfa/approx.scm 364 */
							obj_t BgL_classz00_4843;

							BgL_classz00_4843 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							{	/* Cfa/approx.scm 364 */
								BgL_objectz00_bglt BgL_arg1825z00_4845;

								{	/* Cfa/approx.scm 364 */
									obj_t BgL_tmpz00_6229;

									BgL_tmpz00_6229 = ((obj_t) BgL_allocz00_47);
									BgL_arg1825z00_4845 = (BgL_objectz00_bglt) (BgL_tmpz00_6229);
								}
								{	/* Cfa/approx.scm 364 */
									bool_t BgL_arg1822z00_4848;
									bool_t BgL_arg1823z00_4849;

									{	/* Cfa/approx.scm 364 */
										long BgL_idxz00_4852;

										BgL_idxz00_4852 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4845);
										{	/* Cfa/approx.scm 364 */
											obj_t BgL_arg1819z00_4853;

											{	/* Cfa/approx.scm 364 */
												long BgL_arg1820z00_4854;

												BgL_arg1820z00_4854 = (BgL_idxz00_4852 + ((long) 4));
												{	/* Cfa/approx.scm 364 */
													obj_t BgL_vectorz00_4856;

													BgL_vectorz00_4856 =
														BGl_za2inheritancesza2z00zz__objectz00;
													BgL_arg1819z00_4853 =
														VECTOR_REF(BgL_vectorz00_4856, BgL_arg1820z00_4854);
											}}
											BgL_arg1822z00_4848 =
												(BgL_arg1819z00_4853 == BgL_classz00_4843);
									}}
									{	/* Cfa/approx.scm 364 */
										bool_t BgL_res2112z00_4874;

										{	/* Cfa/approx.scm 364 */
											obj_t BgL_oclassz00_4860;

											{	/* Cfa/approx.scm 364 */
												long BgL_arg1833z00_4866;

												{	/* Cfa/approx.scm 364 */
													long BgL_arg1834z00_4867;

													BgL_arg1834z00_4867 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4845);
													BgL_arg1833z00_4866 =
														(BgL_arg1834z00_4867 - OBJECT_TYPE);
												}
												{	/* Cfa/approx.scm 364 */
													obj_t BgL_vectorz00_4871;

													BgL_vectorz00_4871 =
														BGl_za2classesza2z00zz__objectz00;
													BgL_oclassz00_4860 =
														VECTOR_REF(BgL_vectorz00_4871, BgL_arg1833z00_4866);
											}}
											{	/* Cfa/approx.scm 364 */
												bool_t BgL__ortest_1110z00_4861;

												BgL__ortest_1110z00_4861 =
													(BgL_classz00_4843 == BgL_oclassz00_4860);
												if (BgL__ortest_1110z00_4861)
													{	/* Cfa/approx.scm 364 */
														BgL_res2112z00_4874 = BgL__ortest_1110z00_4861;
													}
												else
													{	/* Cfa/approx.scm 364 */
														long BgL_odepthz00_4862;

														BgL_odepthz00_4862 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4860);
														if ((((long) 4) < BgL_odepthz00_4862))
															{	/* Cfa/approx.scm 364 */
																obj_t BgL_arg1821z00_4864;

																BgL_arg1821z00_4864 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4860,
																	((long) 4));
																BgL_res2112z00_4874 =
																	(BgL_arg1821z00_4864 == BgL_classz00_4843);
															}
														else
															{	/* Cfa/approx.scm 364 */
																BgL_res2112z00_4874 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4849 = BgL_res2112z00_4874;
									}
									BgL_auxz00_6228 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4848, BgL_arg1823z00_4849);
								}
							}
						}
						((((BgL_approxz00_bglt) COBJECT(BgL_new1194z00_3835))->
								BgL_haszd2procedurezf3z21) =
							((bool_t) BgL_auxz00_6228), BUNSPEC);
					}
					return BgL_new1194z00_3835;
				}
			}
		}

	}



/* &make-type-alloc-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t
		BgL_envz00_5362, obj_t BgL_typez00_5363, obj_t BgL_allocz00_5364)
	{
		{	/* Cfa/approx.scm 357 */
			return
				BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_5363),
				((BgL_nodez00_bglt) BgL_allocz00_5364));
		}

	}



/* for-each-approx-alloc */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t
		BgL_procz00_49, BgL_approxz00_bglt BgL_approxz00_50)
	{
		{	/* Cfa/approx.scm 388 */
			return
				BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_49,
				(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_50))->BgL_allocsz00));
		}

	}



/* &for-each-approx-alloc */
	obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t
		BgL_envz00_5365, obj_t BgL_procz00_5366, obj_t BgL_approxz00_5367)
	{
		{	/* Cfa/approx.scm 388 */
			return
				BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_procz00_5366,
				((BgL_approxz00_bglt) BgL_approxz00_5367));
		}

	}



/* empty-approx-alloc? */
	BGL_EXPORTED_DEF obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_approxz00_51)
	{
		{	/* Cfa/approx.scm 395 */
			{	/* Cfa/approx.scm 396 */
				obj_t BgL_arg1856z00_4877;

				BgL_arg1856z00_4877 =
					BGl_setzd2lengthzd2zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_51))->BgL_allocsz00));
				return BBOOL(((long) CINT(BgL_arg1856z00_4877) == ((long) 0)));
		}}

	}



/* &empty-approx-alloc? */
	obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t
		BgL_envz00_5368, obj_t BgL_approxz00_5369)
	{
		{	/* Cfa/approx.scm 395 */
			return
				BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_approxz00_5369));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_proc2131z00zzcfa_approxz00, BGl_nodez00zzast_nodez00,
				BGl_string2132z00zzcfa_approxz00);
		}

	}



/* &get-node-atom-value1578 */
	obj_t BGl_z62getzd2nodezd2atomzd2value1578zb0zzcfa_approxz00(obj_t
		BgL_envz00_5371, obj_t BgL_nodez00_5372)
	{
		{	/* Cfa/approx.scm 403 */
			return CNST_TABLE_REF(((long) 3));
		}

	}



/* get-node-atom-value */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt
		BgL_nodez00_52)
	{
		{	/* Cfa/approx.scm 403 */
			{	/* Cfa/approx.scm 403 */
				obj_t BgL_method1579z00_3847;

				{	/* Cfa/approx.scm 403 */
					obj_t BgL_res2117z00_4911;

					{	/* Cfa/approx.scm 403 */
						long BgL_objzd2classzd2numz00_4882;

						BgL_objzd2classzd2numz00_4882 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_52));
						{	/* Cfa/approx.scm 403 */
							obj_t BgL_arg1829z00_4883;

							BgL_arg1829z00_4883 =
								PROCEDURE_REF
								(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
								(int) (((long) 1)));
							{	/* Cfa/approx.scm 403 */
								int BgL_offsetz00_4886;

								BgL_offsetz00_4886 = (int) (BgL_objzd2classzd2numz00_4882);
								{	/* Cfa/approx.scm 403 */
									long BgL_offsetz00_4887;

									BgL_offsetz00_4887 =
										((long) (BgL_offsetz00_4886) - OBJECT_TYPE);
									{	/* Cfa/approx.scm 403 */
										long BgL_modz00_4888;

										BgL_modz00_4888 =
											(BgL_offsetz00_4887 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/approx.scm 403 */
											long BgL_restz00_4890;

											BgL_restz00_4890 =
												(BgL_offsetz00_4887 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/approx.scm 403 */

												{	/* Cfa/approx.scm 403 */
													obj_t BgL_bucketz00_4892;

													BgL_bucketz00_4892 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4883), BgL_modz00_4888);
													BgL_res2117z00_4911 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4892), BgL_restz00_4890);
					}}}}}}}}
					BgL_method1579z00_3847 = BgL_res2117z00_4911;
				}
				return
					PROCEDURE_ENTRY(BgL_method1579z00_3847) (BgL_method1579z00_3847,
					((obj_t) BgL_nodez00_52), BEOA);
			}
		}

	}



/* &get-node-atom-value */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t
		BgL_envz00_5373, obj_t BgL_nodez00_5374)
	{
		{	/* Cfa/approx.scm 403 */
			return
				BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
				((BgL_nodez00_bglt) BgL_nodez00_5374));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_approxz00zzcfa_infoz00,
				BGl_proc2133z00zzcfa_approxz00, BGl_string2134z00zzcfa_approxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_atomz00zzast_nodez00, BGl_proc2135z00zzcfa_approxz00,
				BGl_string2136z00zzcfa_approxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_varz00zzast_nodez00, BGl_proc2137z00zzcfa_approxz00,
				BGl_string2136z00zzcfa_approxz00);
		}

	}



/* &get-node-atom-value-1583 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21583z62zzcfa_approxz00(obj_t
		BgL_envz00_5378, obj_t BgL_nodez00_5379)
	{
		{	/* Cfa/approx.scm 415 */
			{	/* Cfa/approx.scm 416 */
				BgL_variablez00_bglt BgL_vz00_5492;

				BgL_vz00_5492 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_5379)))->BgL_variablez00);
				{	/* Cfa/approx.scm 417 */
					bool_t BgL_test2297z00_6301;

					{	/* Cfa/approx.scm 417 */
						bool_t BgL_test2298z00_6302;

						{	/* Cfa/approx.scm 417 */
							obj_t BgL_classz00_5493;

							BgL_classz00_5493 = BGl_reshapedzd2localzd2zzcfa_infoz00;
							{	/* Cfa/approx.scm 417 */
								BgL_objectz00_bglt BgL_arg1825z00_5494;

								{	/* Cfa/approx.scm 417 */
									obj_t BgL_tmpz00_6303;

									BgL_tmpz00_6303 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5492));
									BgL_arg1825z00_5494 = (BgL_objectz00_bglt) (BgL_tmpz00_6303);
								}
								{	/* Cfa/approx.scm 417 */
									bool_t BgL_arg1822z00_5495;
									bool_t BgL_arg1823z00_5496;

									{	/* Cfa/approx.scm 417 */
										long BgL_idxz00_5497;

										BgL_idxz00_5497 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5494);
										BgL_arg1822z00_5495 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5497 + ((long) 3))) == BgL_classz00_5493);
									}
									{	/* Cfa/approx.scm 417 */
										bool_t BgL_res2118z00_5500;

										{	/* Cfa/approx.scm 417 */
											obj_t BgL_oclassz00_5501;

											{	/* Cfa/approx.scm 417 */
												long BgL_arg1833z00_5502;

												{	/* Cfa/approx.scm 417 */
													long BgL_arg1834z00_5503;

													BgL_arg1834z00_5503 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5494);
													BgL_arg1833z00_5502 =
														(BgL_arg1834z00_5503 - OBJECT_TYPE);
												}
												BgL_oclassz00_5501 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5502);
											}
											{	/* Cfa/approx.scm 417 */
												bool_t BgL__ortest_1110z00_5504;

												BgL__ortest_1110z00_5504 =
													(BgL_classz00_5493 == BgL_oclassz00_5501);
												if (BgL__ortest_1110z00_5504)
													{	/* Cfa/approx.scm 417 */
														BgL_res2118z00_5500 = BgL__ortest_1110z00_5504;
													}
												else
													{	/* Cfa/approx.scm 417 */
														long BgL_odepthz00_5505;

														BgL_odepthz00_5505 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5501);
														if ((((long) 3) < BgL_odepthz00_5505))
															{	/* Cfa/approx.scm 417 */
																obj_t BgL_arg1821z00_5506;

																BgL_arg1821z00_5506 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5501,
																	((long) 3));
																BgL_res2118z00_5500 =
																	(BgL_arg1821z00_5506 == BgL_classz00_5493);
															}
														else
															{	/* Cfa/approx.scm 417 */
																BgL_res2118z00_5500 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5496 = BgL_res2118z00_5500;
									}
									BgL_test2298z00_6302 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5495, BgL_arg1823z00_5496);
								}
							}
						}
						if (BgL_test2298z00_6302)
							{	/* Cfa/approx.scm 417 */
								obj_t BgL_arg1883z00_5507;

								{
									BgL_reshapedzd2localzd2_bglt BgL_auxz00_6322;

									{
										obj_t BgL_auxz00_6323;

										{	/* Cfa/approx.scm 417 */
											BgL_objectz00_bglt BgL_tmpz00_6324;

											BgL_tmpz00_6324 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_vz00_5492));
											BgL_auxz00_6323 = BGL_OBJECT_WIDENING(BgL_tmpz00_6324);
										}
										BgL_auxz00_6322 =
											((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6323);
									}
									BgL_arg1883z00_5507 =
										(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6322))->
										BgL_bindingzd2valuezd2);
								}
								{	/* Cfa/approx.scm 417 */
									obj_t BgL_classz00_5508;

									BgL_classz00_5508 = BGl_nodez00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg1883z00_5507))
										{	/* Cfa/approx.scm 417 */
											BgL_objectz00_bglt BgL_arg1825z00_5509;

											BgL_arg1825z00_5509 =
												(BgL_objectz00_bglt) (BgL_arg1883z00_5507);
											{	/* Cfa/approx.scm 417 */
												bool_t BgL_arg1822z00_5510;
												bool_t BgL_arg1823z00_5511;

												{	/* Cfa/approx.scm 417 */
													long BgL_idxz00_5512;

													BgL_idxz00_5512 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5509);
													BgL_arg1822z00_5510 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5512 + ((long) 1))) ==
														BgL_classz00_5508);
												}
												{	/* Cfa/approx.scm 417 */
													bool_t BgL_res2119z00_5515;

													{	/* Cfa/approx.scm 417 */
														obj_t BgL_oclassz00_5516;

														{	/* Cfa/approx.scm 417 */
															long BgL_arg1833z00_5517;

															{	/* Cfa/approx.scm 417 */
																long BgL_arg1834z00_5518;

																BgL_arg1834z00_5518 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5509);
																BgL_arg1833z00_5517 =
																	(BgL_arg1834z00_5518 - OBJECT_TYPE);
															}
															BgL_oclassz00_5516 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_5517);
														}
														{	/* Cfa/approx.scm 417 */
															bool_t BgL__ortest_1110z00_5519;

															BgL__ortest_1110z00_5519 =
																(BgL_classz00_5508 == BgL_oclassz00_5516);
															if (BgL__ortest_1110z00_5519)
																{	/* Cfa/approx.scm 417 */
																	BgL_res2119z00_5515 =
																		BgL__ortest_1110z00_5519;
																}
															else
																{	/* Cfa/approx.scm 417 */
																	long BgL_odepthz00_5520;

																	BgL_odepthz00_5520 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5516);
																	if ((((long) 1) < BgL_odepthz00_5520))
																		{	/* Cfa/approx.scm 417 */
																			obj_t BgL_arg1821z00_5521;

																			BgL_arg1821z00_5521 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5516, ((long) 1));
																			BgL_res2119z00_5515 =
																				(BgL_arg1821z00_5521 ==
																				BgL_classz00_5508);
																		}
																	else
																		{	/* Cfa/approx.scm 417 */
																			BgL_res2119z00_5515 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_5511 = BgL_res2119z00_5515;
												}
												BgL_test2297z00_6301 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_5510,
													BgL_arg1823z00_5511);
											}
										}
									else
										{	/* Cfa/approx.scm 417 */
											BgL_test2297z00_6301 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/approx.scm 417 */
								BgL_test2297z00_6301 = ((bool_t) 0);
							}
					}
					if (BgL_test2297z00_6301)
						{	/* Cfa/approx.scm 418 */
							obj_t BgL_arg1882z00_5522;

							{
								BgL_reshapedzd2localzd2_bglt BgL_auxz00_6348;

								{
									obj_t BgL_auxz00_6349;

									{	/* Cfa/approx.scm 418 */
										BgL_objectz00_bglt BgL_tmpz00_6350;

										BgL_tmpz00_6350 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_vz00_5492));
										BgL_auxz00_6349 = BGL_OBJECT_WIDENING(BgL_tmpz00_6350);
									}
									BgL_auxz00_6348 =
										((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6349);
								}
								BgL_arg1882z00_5522 =
									(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6348))->
									BgL_bindingzd2valuezd2);
							}
							return
								BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
								((BgL_nodez00_bglt) BgL_arg1882z00_5522));
						}
					else
						{	/* Cfa/approx.scm 417 */
							return CNST_TABLE_REF(((long) 3));
		}}}}

	}



/* &get-node-atom-value-1581 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21581z62zzcfa_approxz00(obj_t
		BgL_envz00_5380, obj_t BgL_nodez00_5381)
	{
		{	/* Cfa/approx.scm 409 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_nodez00_5381)))->BgL_valuez00);
		}

	}



/* &shape-approx1577 */
	obj_t BGl_z62shapezd2approx1577zb0zzcfa_approxz00(obj_t BgL_envz00_5382,
		obj_t BgL_expz00_5383)
	{
		{	/* Cfa/approx.scm 369 */
			{	/* Cfa/approx.scm 371 */
				obj_t BgL_keysz00_5525;

				BgL_keysz00_5525 =
					BGl_setzd2ze3vectorz31zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_expz00_5383)))->BgL_allocsz00));
				{	/* Cfa/approx.scm 372 */
					long BgL_slenz00_5526;

					if (
						(((BgL_approxz00_bglt) COBJECT(
									((BgL_approxz00_bglt) BgL_expz00_5383)))->BgL_topzf3zf3))
						{	/* Cfa/approx.scm 373 */
							BgL_slenz00_5526 =
								(VECTOR_LENGTH(((obj_t) BgL_keysz00_5525)) + ((long) 1));
						}
					else
						{	/* Cfa/approx.scm 373 */
							BgL_slenz00_5526 = VECTOR_LENGTH(((obj_t) BgL_keysz00_5525));
						}
					{	/* Cfa/approx.scm 373 */
						obj_t BgL_structz00_5527;

						{	/* Cfa/approx.scm 374 */
							long BgL_arg1875z00_5528;

							BgL_arg1875z00_5528 = (((long) 1) + BgL_slenz00_5526);
							{	/* Cfa/approx.scm 374 */
								obj_t BgL_keyz00_5529;
								int BgL_lenz00_5530;

								BgL_keyz00_5529 = CNST_TABLE_REF(((long) 4));
								BgL_lenz00_5530 = (int) (BgL_arg1875z00_5528);
								BgL_structz00_5527 =
									make_struct(BgL_keyz00_5529, BgL_lenz00_5530, BUNSPEC);
						}}
						{	/* Cfa/approx.scm 374 */

							{	/* Cfa/approx.scm 375 */
								obj_t BgL_auxz00_6378;
								int BgL_tmpz00_6376;

								BgL_auxz00_6378 =
									(((BgL_typez00_bglt) COBJECT(
											(((BgL_approxz00_bglt) COBJECT(
														((BgL_approxz00_bglt) BgL_expz00_5383)))->
												BgL_typez00)))->BgL_idz00);
								BgL_tmpz00_6376 = (int) (((long) 0));
								STRUCT_SET(BgL_structz00_5527, BgL_tmpz00_6376,
									BgL_auxz00_6378);
							}
							if (
								(((BgL_approxz00_bglt) COBJECT(
											((BgL_approxz00_bglt) BgL_expz00_5383)))->BgL_topzf3zf3))
								{	/* Cfa/approx.scm 376 */
									obj_t BgL_oz00_5531;

									BgL_oz00_5531 = CNST_TABLE_REF(((long) 5));
									{	/* Cfa/approx.scm 376 */
										int BgL_tmpz00_6387;

										BgL_tmpz00_6387 = (int) (((long) 1));
										STRUCT_SET(BgL_structz00_5527, BgL_tmpz00_6387,
											BgL_oz00_5531);
								}}
							else
								{	/* Cfa/approx.scm 376 */
									BFALSE;
								}
							{	/* Cfa/approx.scm 377 */
								long BgL_g1196z00_5532;

								if (
									(((BgL_approxz00_bglt) COBJECT(
												((BgL_approxz00_bglt) BgL_expz00_5383)))->
										BgL_topzf3zf3))
									{	/* Cfa/approx.scm 377 */
										BgL_g1196z00_5532 = ((long) 2);
									}
								else
									{	/* Cfa/approx.scm 377 */
										BgL_g1196z00_5532 = ((long) 1);
									}
								{
									long BgL_rz00_5534;
									long BgL_wz00_5535;

									BgL_rz00_5534 = BgL_g1196z00_5532;
									BgL_wz00_5535 = ((long) 0);
								BgL_loopz00_5533:
									if (
										(BgL_wz00_5535 ==
											VECTOR_LENGTH(((obj_t) BgL_keysz00_5525))))
										{	/* Cfa/approx.scm 379 */
											return BgL_structz00_5527;
										}
									else
										{	/* Cfa/approx.scm 379 */
											{	/* Cfa/approx.scm 382 */
												obj_t BgL_arg1867z00_5536;

												{	/* Cfa/approx.scm 382 */
													obj_t BgL_arg1869z00_5537;

													BgL_arg1869z00_5537 =
														VECTOR_REF(
														((obj_t) BgL_keysz00_5525), BgL_wz00_5535);
													BgL_arg1867z00_5536 =
														(((BgL_nodezf2effectzf2_bglt) COBJECT(
																((BgL_nodezf2effectzf2_bglt)
																	BgL_arg1869z00_5537)))->BgL_keyz00);
												}
												{	/* Cfa/approx.scm 382 */
													int BgL_tmpz00_6401;

													BgL_tmpz00_6401 = (int) (BgL_rz00_5534);
													STRUCT_SET(BgL_structz00_5527, BgL_tmpz00_6401,
														BgL_arg1867z00_5536);
											}}
											{
												long BgL_wz00_6406;
												long BgL_rz00_6404;

												BgL_rz00_6404 = (BgL_rz00_5534 + ((long) 1));
												BgL_wz00_6406 = (BgL_wz00_5535 + ((long) 1));
												BgL_wz00_5535 = BgL_wz00_6406;
												BgL_rz00_5534 = BgL_rz00_6404;
												goto BgL_loopz00_5533;
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00()
	{
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long) 220306886),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2138z00zzcfa_approxz00));
		}

	}

#ifdef __cplusplus
}
#endif
