/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2switch1560z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b1570za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1568za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62cleanupzd2nodez121547za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2setq1554z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va1564za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu1562za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex1566za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit1556z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen1550z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12zd2fail1558z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62cleanupzd2nodez12zd2sync1552z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2161z00zzcfa_arithmeticz00,
		BgL_bgl_string2161za700za7za7c2188za7, "cleanup-node!1547", 17);
	      DEFINE_STRING(BGl_string2163z00zzcfa_arithmeticz00,
		BgL_bgl_string2163za700za7za7c2189za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string2180z00zzcfa_arithmeticz00,
		BgL_bgl_string2180za700za7za7c2190za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2182z00zzcfa_arithmeticz00,
		BgL_bgl_string2182za700za7za7c2191za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2183z00zzcfa_arithmeticz00,
		BgL_bgl_string2183za700za7za7c2192za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string2184z00zzcfa_arithmeticz00,
		BgL_bgl_string2184za700za7za7c2193za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string2185z00zzcfa_arithmeticz00,
		BgL_bgl_string2185za700za7za7c2194za7, "all c-eq? arithmetic-app ", 25);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2195z00,
		BGl_z62cleanupzd2nodez121547za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2196z00,
		BGl_z62cleanupzd2nodez12zd2sequen1550z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2197z00,
		BGl_z62cleanupzd2nodez12zd2sync1552z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2198z00,
		BGl_z62cleanupzd2nodez12zd2setq1554z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2199z00,
		BGl_z62cleanupzd2nodez12zd2condit1556z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2200z00,
		BGl_z62cleanupzd2nodez12zd2fail1558z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2201z00,
		BGl_z62cleanupzd2nodez12zd2switch1560z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2202z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu1562za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2203z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va1564za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2204z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex1566za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2205z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1568za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2206z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b1570za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2207z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2208z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2209z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2210z00,
		BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2211z00,
		BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza72212za7,
		BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit2213za7,
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari2214z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2215z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00));
		     ADD_ROOT((void
				*) (&BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_4580, char *BgL_fromz00_4581)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					return BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_4402;

				{	/* Cfa/arithmetic.scm 28 */
					obj_t BgL_stringz00_4410;

					BgL_stringz00_4410 = BGl_string2185z00zzcfa_arithmeticz00;
					{	/* Cfa/arithmetic.scm 28 */
						obj_t BgL_startz00_4411;

						BgL_startz00_4411 = BINT(((long) 0));
						{	/* Cfa/arithmetic.scm 28 */
							obj_t BgL_endz00_4412;

							BgL_endz00_4412 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4410)));
							{	/* Cfa/arithmetic.scm 28 */

								BgL_cportz00_4402 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4410, BgL_startz00_4411, BgL_endz00_4412);
				}}}}
				{
					long BgL_iz00_4403;

					BgL_iz00_4403 = ((long) 2);
				BgL_loopz00_4404:
					if ((BgL_iz00_4403 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg2187z00_4406;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_4408;

										BgL_locationz00_4408 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg2187z00_4406 =
												BGl_readz00zz__readerz00(BgL_cportz00_4402,
												BgL_locationz00_4408);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_tmpz00_4611;

									BgL_tmpz00_4611 = (int) (BgL_iz00_4403);
									CNST_TABLE_SET(BgL_tmpz00_4611, BgL_arg2187z00_4406);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_4409;

								BgL_auxz00_4409 = (int) ((BgL_iz00_4403 - ((long) 1)));
								{
									long BgL_iz00_4616;

									BgL_iz00_4616 = (long) (BgL_auxz00_4409);
									BgL_iz00_4403 = BgL_iz00_4616;
									goto BgL_loopz00_4404;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}

	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l1511z00_2895;

				BgL_l1511z00_2895 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3z04anonymousza31596ze3z87_2896:
				if (PAIRP(BgL_l1511z00_2895))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2898;

							BgL_nodez00_2898 = CAR(BgL_l1511z00_2895);
							{	/* Cfa/arithmetic.scm 65 */
								BgL_variablez00_bglt BgL_fz00_2900;

								BgL_fz00_2900 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2898))))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_valuez00_bglt BgL_valz00_2901;

									BgL_valz00_2901 =
										(((BgL_variablez00_bglt) COBJECT(BgL_fz00_2900))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 66 */

										{	/* Cfa/arithmetic.scm 68 */
											bool_t BgL_test2219z00_4627;

											{	/* Cfa/arithmetic.scm 68 */
												BgL_typez00_bglt BgL_arg1604z00_2904;

												BgL_arg1604z00_2904 =
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_2900))->
													BgL_typez00);
												BgL_test2219z00_4627 =
													(((obj_t) BgL_arg1604z00_2904) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2219z00_4627)
												{	/* Cfa/arithmetic.scm 69 */
													BgL_typez00_bglt BgL_vz00_3860;

													BgL_vz00_3860 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) COBJECT(BgL_fz00_2900))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3860), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 68 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 70 */
											bool_t BgL_test2220z00_4633;

											{	/* Cfa/arithmetic.scm 70 */
												BgL_typez00_bglt BgL_arg1612z00_2907;

												BgL_arg1612z00_2907 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_2898)))->
													BgL_typez00);
												BgL_test2220z00_4633 =
													(((obj_t) BgL_arg1612z00_2907) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2220z00_4633)
												{	/* Cfa/arithmetic.scm 71 */
													BgL_typez00_bglt BgL_vz00_3863;

													BgL_vz00_3863 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_2898)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3863), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 70 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 73 */
											bool_t BgL_test2221z00_4641;

											{	/* Cfa/arithmetic.scm 73 */
												obj_t BgL_classz00_3864;

												BgL_classz00_3864 = BGl_sfunz00zzast_varz00;
												{	/* Cfa/arithmetic.scm 73 */
													BgL_objectz00_bglt BgL_arg1825z00_3866;

													{	/* Cfa/arithmetic.scm 73 */
														obj_t BgL_tmpz00_4642;

														BgL_tmpz00_4642 =
															((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2901));
														BgL_arg1825z00_3866 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4642);
													}
													{	/* Cfa/arithmetic.scm 73 */
														bool_t BgL_arg1822z00_3869;
														bool_t BgL_arg1823z00_3870;

														{	/* Cfa/arithmetic.scm 73 */
															long BgL_idxz00_3873;

															BgL_idxz00_3873 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3866);
															BgL_arg1822z00_3869 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3873 + ((long) 3))) ==
																BgL_classz00_3864);
														}
														{	/* Cfa/arithmetic.scm 73 */
															bool_t BgL_res2143z00_3895;

															{	/* Cfa/arithmetic.scm 73 */
																obj_t BgL_oclassz00_3881;

																{	/* Cfa/arithmetic.scm 73 */
																	long BgL_arg1833z00_3887;

																	{	/* Cfa/arithmetic.scm 73 */
																		long BgL_arg1834z00_3888;

																		BgL_arg1834z00_3888 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3866);
																		BgL_arg1833z00_3887 =
																			(BgL_arg1834z00_3888 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3881 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_3887);
																}
																{	/* Cfa/arithmetic.scm 73 */
																	bool_t BgL__ortest_1110z00_3882;

																	BgL__ortest_1110z00_3882 =
																		(BgL_classz00_3864 == BgL_oclassz00_3881);
																	if (BgL__ortest_1110z00_3882)
																		{	/* Cfa/arithmetic.scm 73 */
																			BgL_res2143z00_3895 =
																				BgL__ortest_1110z00_3882;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 73 */
																			long BgL_odepthz00_3883;

																			BgL_odepthz00_3883 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3881);
																			if ((((long) 3) < BgL_odepthz00_3883))
																				{	/* Cfa/arithmetic.scm 73 */
																					obj_t BgL_arg1821z00_3885;

																					BgL_arg1821z00_3885 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3881, ((long) 3));
																					BgL_res2143z00_3895 =
																						(BgL_arg1821z00_3885 ==
																						BgL_classz00_3864);
																				}
																			else
																				{	/* Cfa/arithmetic.scm 73 */
																					BgL_res2143z00_3895 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_3870 = BgL_res2143z00_3895;
														}
														BgL_test2221z00_4641 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_3869,
															BgL_arg1823z00_3870);
													}
												}
											}
											if (BgL_test2221z00_4641)
												{	/* Cfa/arithmetic.scm 74 */
													obj_t BgL_arg1619z00_2909;

													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_l1505z00_2910;

														BgL_l1505z00_2910 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_2901)))->
															BgL_argsz00);
														if (NULLP(BgL_l1505z00_2910))
															{	/* Cfa/arithmetic.scm 74 */
																BgL_arg1619z00_2909 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 74 */
																obj_t BgL_head1507z00_2912;

																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_arg1647z00_2924;

																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_arg1652z00_2925;

																		BgL_arg1652z00_2925 =
																			CAR(((obj_t) BgL_l1505z00_2910));
																		BgL_arg1647z00_2924 =
																			BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1652z00_2925);
																	}
																	BgL_head1507z00_2912 =
																		MAKE_YOUNG_PAIR(BgL_arg1647z00_2924, BNIL);
																}
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_g1510z00_2913;

																	BgL_g1510z00_2913 =
																		CDR(((obj_t) BgL_l1505z00_2910));
																	{
																		obj_t BgL_l1505z00_2915;
																		obj_t BgL_tail1508z00_2916;

																		BgL_l1505z00_2915 = BgL_g1510z00_2913;
																		BgL_tail1508z00_2916 = BgL_head1507z00_2912;
																	BgL_zc3z04anonymousza31622ze3z87_2917:
																		if (NULLP(BgL_l1505z00_2915))
																			{	/* Cfa/arithmetic.scm 74 */
																				BgL_arg1619z00_2909 =
																					BgL_head1507z00_2912;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 74 */
																				obj_t BgL_newtail1509z00_2919;

																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1633z00_2921;

																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_arg1636z00_2922;

																						BgL_arg1636z00_2922 =
																							CAR(((obj_t) BgL_l1505z00_2915));
																						BgL_arg1633z00_2921 =
																							BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																							(BgL_arg1636z00_2922);
																					}
																					BgL_newtail1509z00_2919 =
																						MAKE_YOUNG_PAIR(BgL_arg1633z00_2921,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1508z00_2916,
																					BgL_newtail1509z00_2919);
																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1632z00_2920;

																					BgL_arg1632z00_2920 =
																						CDR(((obj_t) BgL_l1505z00_2915));
																					{
																						obj_t BgL_tail1508z00_4681;
																						obj_t BgL_l1505z00_4680;

																						BgL_l1505z00_4680 =
																							BgL_arg1632z00_2920;
																						BgL_tail1508z00_4681 =
																							BgL_newtail1509z00_2919;
																						BgL_tail1508z00_2916 =
																							BgL_tail1508z00_4681;
																						BgL_l1505z00_2915 =
																							BgL_l1505z00_4680;
																						goto
																							BgL_zc3z04anonymousza31622ze3z87_2917;
																					}
																				}
																			}
																	}
																}
															}
													}
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_2901)))->
															BgL_argsz00) =
														((obj_t) BgL_arg1619z00_2909), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 75 */
													bool_t BgL_test2226z00_4684;

													{	/* Cfa/arithmetic.scm 75 */
														obj_t BgL_classz00_3903;

														BgL_classz00_3903 = BGl_cfunz00zzast_varz00;
														{	/* Cfa/arithmetic.scm 75 */
															BgL_objectz00_bglt BgL_arg1825z00_3905;

															{	/* Cfa/arithmetic.scm 75 */
																obj_t BgL_tmpz00_4685;

																BgL_tmpz00_4685 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valz00_2901));
																BgL_arg1825z00_3905 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4685);
															}
															{	/* Cfa/arithmetic.scm 75 */
																bool_t BgL_arg1822z00_3908;
																bool_t BgL_arg1823z00_3909;

																{	/* Cfa/arithmetic.scm 75 */
																	long BgL_idxz00_3912;

																	BgL_idxz00_3912 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3905);
																	BgL_arg1822z00_3908 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3912 + ((long) 3))) ==
																		BgL_classz00_3903);
																}
																{	/* Cfa/arithmetic.scm 75 */
																	bool_t BgL_res2144z00_3934;

																	{	/* Cfa/arithmetic.scm 75 */
																		obj_t BgL_oclassz00_3920;

																		{	/* Cfa/arithmetic.scm 75 */
																			long BgL_arg1833z00_3926;

																			{	/* Cfa/arithmetic.scm 75 */
																				long BgL_arg1834z00_3927;

																				BgL_arg1834z00_3927 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3905);
																				BgL_arg1833z00_3926 =
																					(BgL_arg1834z00_3927 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3920 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3926);
																		}
																		{	/* Cfa/arithmetic.scm 75 */
																			bool_t BgL__ortest_1110z00_3921;

																			BgL__ortest_1110z00_3921 =
																				(BgL_classz00_3903 ==
																				BgL_oclassz00_3920);
																			if (BgL__ortest_1110z00_3921)
																				{	/* Cfa/arithmetic.scm 75 */
																					BgL_res2144z00_3934 =
																						BgL__ortest_1110z00_3921;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 75 */
																					long BgL_odepthz00_3922;

																					BgL_odepthz00_3922 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3920);
																					if ((((long) 3) < BgL_odepthz00_3922))
																						{	/* Cfa/arithmetic.scm 75 */
																							obj_t BgL_arg1821z00_3924;

																							BgL_arg1821z00_3924 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3920,
																								((long) 3));
																							BgL_res2144z00_3934 =
																								(BgL_arg1821z00_3924 ==
																								BgL_classz00_3903);
																						}
																					else
																						{	/* Cfa/arithmetic.scm 75 */
																							BgL_res2144z00_3934 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3909 = BgL_res2144z00_3934;
																}
																BgL_test2226z00_4684 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3908,
																	BgL_arg1823z00_3909);
															}
														}
													}
													if (BgL_test2226z00_4684)
														{	/* Cfa/arithmetic.scm 76 */
															obj_t BgL_g1161z00_2927;

															BgL_g1161z00_2927 =
																(((BgL_cfunz00_bglt) COBJECT(
																		((BgL_cfunz00_bglt) BgL_valz00_2901)))->
																BgL_argszd2typezd2);
															{
																obj_t BgL_lz00_2929;

																{	/* Cfa/arithmetic.scm 76 */
																	bool_t BgL_tmpz00_4706;

																	BgL_lz00_2929 = BgL_g1161z00_2927;
																BgL_zc3z04anonymousza31654ze3z87_2930:
																	if (PAIRP(BgL_lz00_2929))
																		{	/* Cfa/arithmetic.scm 77 */
																			{	/* Cfa/arithmetic.scm 79 */
																				obj_t BgL_tmpz00_4709;

																				BgL_tmpz00_4709 =
																					BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																					(CAR(BgL_lz00_2929));
																				SET_CAR(BgL_lz00_2929, BgL_tmpz00_4709);
																			}
																			{
																				obj_t BgL_lz00_4713;

																				BgL_lz00_4713 = CDR(BgL_lz00_2929);
																				BgL_lz00_2929 = BgL_lz00_4713;
																				goto
																					BgL_zc3z04anonymousza31654ze3z87_2930;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 77 */
																			BgL_tmpz00_4706 = ((bool_t) 0);
																		}
																	BBOOL(BgL_tmpz00_4706);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 75 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1511z00_4716;

							BgL_l1511z00_4716 = CDR(BgL_l1511z00_2895);
							BgL_l1511z00_2895 = BgL_l1511z00_4716;
							goto BgL_zc3z04anonymousza31596ze3z87_2896;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1513z00_2940;

				BgL_l1513z00_2940 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31668ze3z87_2941:
				if (PAIRP(BgL_l1513z00_2940))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg1675z00_2943;

							BgL_arg1675z00_2943 = CAR(BgL_l1513z00_2940);
							{	/* Cfa/arithmetic.scm 90 */
								BgL_valuez00_bglt BgL_funz00_3941;

								BgL_funz00_3941 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_arg1675z00_2943)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 90 */
									obj_t BgL_bodyz00_3942;

									BgL_bodyz00_3942 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_3941)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 91 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_3942));
									}
								}
							}
						}
						{
							obj_t BgL_l1513z00_4727;

							BgL_l1513z00_4727 = CDR(BgL_l1513z00_2940);
							BgL_l1513z00_2940 = BgL_l1513z00_4727;
							goto BgL_zc3z04anonymousza31668ze3z87_2941;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_tz00_2946)
	{
		{	/* Cfa/arithmetic.scm 62 */
			{	/* Cfa/arithmetic.scm 55 */
				bool_t BgL_test2231z00_4729;

				{	/* Cfa/arithmetic.scm 55 */
					obj_t BgL_classz00_3788;

					BgL_classz00_3788 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_tz00_2946))
						{	/* Cfa/arithmetic.scm 55 */
							BgL_objectz00_bglt BgL_arg1825z00_3790;

							BgL_arg1825z00_3790 = (BgL_objectz00_bglt) (BgL_tz00_2946);
							{	/* Cfa/arithmetic.scm 55 */
								bool_t BgL_arg1822z00_3793;
								bool_t BgL_arg1823z00_3794;

								{	/* Cfa/arithmetic.scm 55 */
									long BgL_idxz00_3797;

									BgL_idxz00_3797 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3790);
									BgL_arg1822z00_3793 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3797 + ((long) 1))) == BgL_classz00_3788);
								}
								{	/* Cfa/arithmetic.scm 55 */
									bool_t BgL_res2141z00_3819;

									{	/* Cfa/arithmetic.scm 55 */
										obj_t BgL_oclassz00_3805;

										{	/* Cfa/arithmetic.scm 55 */
											long BgL_arg1833z00_3811;

											{	/* Cfa/arithmetic.scm 55 */
												long BgL_arg1834z00_3812;

												BgL_arg1834z00_3812 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3790);
												BgL_arg1833z00_3811 =
													(BgL_arg1834z00_3812 - OBJECT_TYPE);
											}
											BgL_oclassz00_3805 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3811);
										}
										{	/* Cfa/arithmetic.scm 55 */
											bool_t BgL__ortest_1110z00_3806;

											BgL__ortest_1110z00_3806 =
												(BgL_classz00_3788 == BgL_oclassz00_3805);
											if (BgL__ortest_1110z00_3806)
												{	/* Cfa/arithmetic.scm 55 */
													BgL_res2141z00_3819 = BgL__ortest_1110z00_3806;
												}
											else
												{	/* Cfa/arithmetic.scm 55 */
													long BgL_odepthz00_3807;

													BgL_odepthz00_3807 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3805);
													if ((((long) 1) < BgL_odepthz00_3807))
														{	/* Cfa/arithmetic.scm 55 */
															obj_t BgL_arg1821z00_3809;

															BgL_arg1821z00_3809 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3805,
																((long) 1));
															BgL_res2141z00_3819 =
																(BgL_arg1821z00_3809 == BgL_classz00_3788);
														}
													else
														{	/* Cfa/arithmetic.scm 55 */
															BgL_res2141z00_3819 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3794 = BgL_res2141z00_3819;
								}
								BgL_test2231z00_4729 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3793, BgL_arg1823z00_3794);
							}
						}
					else
						{	/* Cfa/arithmetic.scm 55 */
							BgL_test2231z00_4729 = ((bool_t) 0);
						}
				}
				if (BgL_test2231z00_4729)
					{	/* Cfa/arithmetic.scm 55 */
						if ((BgL_tz00_2946 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/arithmetic.scm 56 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/arithmetic.scm 56 */
								return BgL_tz00_2946;
							}
					}
				else
					{	/* Cfa/arithmetic.scm 57 */
						bool_t BgL_test2236z00_4750;

						{	/* Cfa/arithmetic.scm 57 */
							obj_t BgL_classz00_3820;

							BgL_classz00_3820 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_tz00_2946))
								{	/* Cfa/arithmetic.scm 57 */
									BgL_objectz00_bglt BgL_arg1825z00_3822;

									BgL_arg1825z00_3822 = (BgL_objectz00_bglt) (BgL_tz00_2946);
									{	/* Cfa/arithmetic.scm 57 */
										bool_t BgL_arg1822z00_3825;
										bool_t BgL_arg1823z00_3826;

										{	/* Cfa/arithmetic.scm 57 */
											long BgL_idxz00_3829;

											BgL_idxz00_3829 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3822);
											BgL_arg1822z00_3825 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3829 + ((long) 2))) == BgL_classz00_3820);
										}
										{	/* Cfa/arithmetic.scm 57 */
											bool_t BgL_res2142z00_3851;

											{	/* Cfa/arithmetic.scm 57 */
												obj_t BgL_oclassz00_3837;

												{	/* Cfa/arithmetic.scm 57 */
													long BgL_arg1833z00_3843;

													{	/* Cfa/arithmetic.scm 57 */
														long BgL_arg1834z00_3844;

														BgL_arg1834z00_3844 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3822);
														BgL_arg1833z00_3843 =
															(BgL_arg1834z00_3844 - OBJECT_TYPE);
													}
													BgL_oclassz00_3837 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3843);
												}
												{	/* Cfa/arithmetic.scm 57 */
													bool_t BgL__ortest_1110z00_3838;

													BgL__ortest_1110z00_3838 =
														(BgL_classz00_3820 == BgL_oclassz00_3837);
													if (BgL__ortest_1110z00_3838)
														{	/* Cfa/arithmetic.scm 57 */
															BgL_res2142z00_3851 = BgL__ortest_1110z00_3838;
														}
													else
														{	/* Cfa/arithmetic.scm 57 */
															long BgL_odepthz00_3839;

															BgL_odepthz00_3839 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3837);
															if ((((long) 2) < BgL_odepthz00_3839))
																{	/* Cfa/arithmetic.scm 57 */
																	obj_t BgL_arg1821z00_3841;

																	BgL_arg1821z00_3841 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3837,
																		((long) 2));
																	BgL_res2142z00_3851 =
																		(BgL_arg1821z00_3841 == BgL_classz00_3820);
																}
															else
																{	/* Cfa/arithmetic.scm 57 */
																	BgL_res2142z00_3851 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3826 = BgL_res2142z00_3851;
										}
										BgL_test2236z00_4750 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3825,
											BgL_arg1823z00_3826);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 57 */
									BgL_test2236z00_4750 = ((bool_t) 0);
								}
						}
						if (BgL_test2236z00_4750)
							{	/* Cfa/arithmetic.scm 57 */
								{	/* Cfa/arithmetic.scm 58 */
									bool_t BgL_test2240z00_4769;

									{	/* Cfa/arithmetic.scm 58 */
										BgL_typez00_bglt BgL_arg1694z00_2953;

										BgL_arg1694z00_2953 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_tz00_2946))))->
											BgL_typez00);
										BgL_test2240z00_4769 =
											(((obj_t) BgL_arg1694z00_2953) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2240z00_4769)
										{	/* Cfa/arithmetic.scm 59 */
											BgL_typez00_bglt BgL_vz00_3854;

											BgL_vz00_3854 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_tz00_2946))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_3854), BUNSPEC);
										}
									else
										{	/* Cfa/arithmetic.scm 58 */
											BFALSE;
										}
								}
								return BgL_tz00_2946;
							}
						else
							{	/* Cfa/arithmetic.scm 57 */
								return BgL_tz00_2946;
							}
					}
			}
		}

	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4336, obj_t BgL_globalsz00_4337)
	{
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_4337);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc2160z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string2161z00zzcfa_arithmeticz00);
		}

	}



/* &cleanup-node!1547 */
	obj_t BGl_z62cleanupzd2nodez121547za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4339, obj_t BgL_nodez00_4340)
	{
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}

	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method1548z00_2961;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res2149z00_3980;

					{	/* Cfa/arithmetic.scm 97 */
						long BgL_objzd2classzd2numz00_3951;

						BgL_objzd2classzd2numz00_3951 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Cfa/arithmetic.scm 97 */
							obj_t BgL_arg1829z00_3952;

							BgL_arg1829z00_3952 =
								PROCEDURE_REF(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
								(int) (((long) 1)));
							{	/* Cfa/arithmetic.scm 97 */
								int BgL_offsetz00_3955;

								BgL_offsetz00_3955 = (int) (BgL_objzd2classzd2numz00_3951);
								{	/* Cfa/arithmetic.scm 97 */
									long BgL_offsetz00_3956;

									BgL_offsetz00_3956 =
										((long) (BgL_offsetz00_3955) - OBJECT_TYPE);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_modz00_3957;

										BgL_modz00_3957 =
											(BgL_offsetz00_3956 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_restz00_3959;

											BgL_restz00_3959 =
												(BgL_offsetz00_3956 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/arithmetic.scm 97 */

												{	/* Cfa/arithmetic.scm 97 */
													obj_t BgL_bucketz00_3961;

													BgL_bucketz00_3961 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3952), BgL_modz00_3957);
													BgL_res2149z00_3980 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3961), BgL_restz00_3959);
					}}}}}}}}
					BgL_method1548z00_2961 = BgL_res2149z00_3980;
				}
				return
					PROCEDURE_ENTRY(BgL_method1548z00_2961) (BgL_method1548z00_2961,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}

	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_4341,
		obj_t BgL_nodez00_4342)
	{
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_4342));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2162z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc2164z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc2165z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2166z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc2167z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_switchz00zzast_nodez00, BGl_proc2168z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2169z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2170z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2171z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2172z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2173z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2174z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2175z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2176z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2177z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc2178z00zzcfa_arithmeticz00,
				BGl_string2163z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc2179z00zzcfa_arithmeticz00,
				BGl_string2180z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc2181z00zzcfa_arithmeticz00,
				BGl_string2182z00zzcfa_arithmeticz00);
		}

	}



/* &cfa!-arithmetic-app1585 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4361, obj_t BgL_nodez00_4362)
	{
		{	/* Cfa/arithmetic.scm 288 */
			{
				obj_t BgL_argszd2approxzd2_4436;
				obj_t BgL_argszd2approxzd2_4426;
				obj_t BgL_typez00_4427;
				obj_t BgL_speczd2typeszd2_4428;
				obj_t BgL_argszd2approxzd2_4419;
				obj_t BgL_speczd2typeszd2_4420;

				{	/* Cfa/arithmetic.scm 329 */
					obj_t BgL_argszd2approxzd2_4442;

					{	/* Cfa/arithmetic.scm 329 */
						obj_t BgL_l1539z00_4443;

						BgL_l1539z00_4443 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4362))))->BgL_argsz00);
						if (NULLP(BgL_l1539z00_4443))
							{	/* Cfa/arithmetic.scm 329 */
								BgL_argszd2approxzd2_4442 = BNIL;
							}
						else
							{	/* Cfa/arithmetic.scm 329 */
								obj_t BgL_head1541z00_4444;

								{	/* Cfa/arithmetic.scm 329 */
									BgL_approxz00_bglt BgL_arg1935z00_4445;

									{	/* Cfa/arithmetic.scm 329 */
										obj_t BgL_arg1936z00_4446;

										BgL_arg1936z00_4446 = CAR(((obj_t) BgL_l1539z00_4443));
										BgL_arg1935z00_4445 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1936z00_4446));
									}
									BgL_head1541z00_4444 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1935z00_4445), BNIL);
								}
								{	/* Cfa/arithmetic.scm 329 */
									obj_t BgL_g1544z00_4447;

									BgL_g1544z00_4447 = CDR(((obj_t) BgL_l1539z00_4443));
									{
										obj_t BgL_l1539z00_4449;
										obj_t BgL_tail1542z00_4450;

										BgL_l1539z00_4449 = BgL_g1544z00_4447;
										BgL_tail1542z00_4450 = BgL_head1541z00_4444;
									BgL_zc3z04anonymousza31929ze3z87_4448:
										if (NULLP(BgL_l1539z00_4449))
											{	/* Cfa/arithmetic.scm 329 */
												BgL_argszd2approxzd2_4442 = BgL_head1541z00_4444;
											}
										else
											{	/* Cfa/arithmetic.scm 329 */
												obj_t BgL_newtail1543z00_4451;

												{	/* Cfa/arithmetic.scm 329 */
													BgL_approxz00_bglt BgL_arg1932z00_4452;

													{	/* Cfa/arithmetic.scm 329 */
														obj_t BgL_arg1933z00_4453;

														BgL_arg1933z00_4453 =
															CAR(((obj_t) BgL_l1539z00_4449));
														BgL_arg1932z00_4452 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1933z00_4453));
													}
													BgL_newtail1543z00_4451 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1932z00_4452), BNIL);
												}
												SET_CDR(BgL_tail1542z00_4450, BgL_newtail1543z00_4451);
												{	/* Cfa/arithmetic.scm 329 */
													obj_t BgL_arg1931z00_4454;

													BgL_arg1931z00_4454 =
														CDR(((obj_t) BgL_l1539z00_4449));
													{
														obj_t BgL_tail1542z00_4856;
														obj_t BgL_l1539z00_4855;

														BgL_l1539z00_4855 = BgL_arg1931z00_4454;
														BgL_tail1542z00_4856 = BgL_newtail1543z00_4451;
														BgL_tail1542z00_4450 = BgL_tail1542z00_4856;
														BgL_l1539z00_4449 = BgL_l1539z00_4855;
														goto BgL_zc3z04anonymousza31929ze3z87_4448;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/arithmetic.scm 331 */
						obj_t BgL_tyz00_4455;

						BgL_argszd2approxzd2_4436 = BgL_argszd2approxzd2_4442;
						{
							obj_t BgL_argsz00_4438;

							BgL_argsz00_4438 = BgL_argszd2approxzd2_4436;
						BgL_loopz00_4437:
							if (NULLP(BgL_argsz00_4438))
								{	/* Cfa/arithmetic.scm 297 */
									BgL_tyz00_4455 = BFALSE;
								}
							else
								{	/* Cfa/arithmetic.scm 299 */
									obj_t BgL_tz00_4439;

									{	/* Cfa/arithmetic.scm 299 */
										BgL_typez00_bglt BgL_arg1944z00_4440;

										BgL_arg1944z00_4440 =
											(((BgL_approxz00_bglt) COBJECT(
													((BgL_approxz00_bglt)
														CAR(((obj_t) BgL_argsz00_4438)))))->BgL_typez00);
										if (
											(((obj_t) BgL_arg1944z00_4440) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Cfa/arithmetic.scm 291 */
												BgL_tz00_4439 = BGl_za2longza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/arithmetic.scm 291 */
												BgL_tz00_4439 = ((obj_t) BgL_arg1944z00_4440);
											}
									}
									if ((BgL_tz00_4439 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/arithmetic.scm 301 */
											obj_t BgL_arg1943z00_4441;

											BgL_arg1943z00_4441 = CDR(((obj_t) BgL_argsz00_4438));
											{
												obj_t BgL_argsz00_4871;

												BgL_argsz00_4871 = BgL_arg1943z00_4441;
												BgL_argsz00_4438 = BgL_argsz00_4871;
												goto BgL_loopz00_4437;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 300 */
											BgL_tyz00_4455 = BgL_tz00_4439;
										}
								}
						}
						{	/* Cfa/arithmetic.scm 337 */
							bool_t BgL_test2246z00_4872;

							{	/* Cfa/arithmetic.scm 337 */
								obj_t BgL_arg1927z00_4456;

								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4873;

									{
										obj_t BgL_auxz00_4874;

										{	/* Cfa/arithmetic.scm 337 */
											BgL_objectz00_bglt BgL_tmpz00_4875;

											BgL_tmpz00_4875 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4362));
											BgL_auxz00_4874 = BGL_OBJECT_WIDENING(BgL_tmpz00_4875);
										}
										BgL_auxz00_4873 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4874);
									}
									BgL_arg1927z00_4456 =
										(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_4873))->
										BgL_speczd2typeszd2);
								}
								BgL_argszd2approxzd2_4426 = BgL_argszd2approxzd2_4442;
								BgL_typez00_4427 = BgL_tyz00_4455;
								BgL_speczd2typeszd2_4428 = BgL_arg1927z00_4456;
								{	/* Cfa/arithmetic.scm 306 */
									bool_t BgL__ortest_1185z00_4429;

									if (CBOOL(BgL_typez00_4427))
										{	/* Cfa/arithmetic.scm 306 */
											BgL__ortest_1185z00_4429 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 306 */
											BgL__ortest_1185z00_4429 = ((bool_t) 1);
										}
									if (BgL__ortest_1185z00_4429)
										{	/* Cfa/arithmetic.scm 306 */
											BgL_test2246z00_4872 = BgL__ortest_1185z00_4429;
										}
									else
										{	/* Cfa/arithmetic.scm 307 */
											obj_t BgL__andtest_1186z00_4430;

											BgL__andtest_1186z00_4430 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_typez00_4427, BgL_speczd2typeszd2_4428);
											if (CBOOL(BgL__andtest_1186z00_4430))
												{
													obj_t BgL_argsz00_4432;

													BgL_argsz00_4432 = BgL_argszd2approxzd2_4426;
												BgL_loopz00_4431:
													if (NULLP(BgL_argsz00_4432))
														{	/* Cfa/arithmetic.scm 309 */
															BgL_test2246z00_4872 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 311 */
															obj_t BgL_tz00_4433;

															{	/* Cfa/arithmetic.scm 311 */
																BgL_typez00_bglt BgL_arg1952z00_4434;

																BgL_arg1952z00_4434 =
																	(((BgL_approxz00_bglt) COBJECT(
																			((BgL_approxz00_bglt)
																				CAR(
																					((obj_t) BgL_argsz00_4432)))))->
																	BgL_typez00);
																if ((((obj_t) BgL_arg1952z00_4434) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 291 */
																		BgL_tz00_4433 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 291 */
																		BgL_tz00_4433 =
																			((obj_t) BgL_arg1952z00_4434);
																	}
															}
															{	/* Cfa/arithmetic.scm 312 */
																bool_t BgL_test2252z00_4897;

																if ((BgL_tz00_4433 == BgL_typez00_4427))
																	{	/* Cfa/arithmetic.scm 312 */
																		BgL_test2252z00_4897 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 312 */
																		BgL_test2252z00_4897 =
																			(BgL_tz00_4433 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_test2252z00_4897)
																	{	/* Cfa/arithmetic.scm 313 */
																		obj_t BgL_arg1951z00_4435;

																		BgL_arg1951z00_4435 =
																			CDR(((obj_t) BgL_argsz00_4432));
																		{
																			obj_t BgL_argsz00_4903;

																			BgL_argsz00_4903 = BgL_arg1951z00_4435;
																			BgL_argsz00_4432 = BgL_argsz00_4903;
																			goto BgL_loopz00_4431;
																		}
																	}
																else
																	{	/* Cfa/arithmetic.scm 312 */
																		BgL_test2246z00_4872 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 307 */
													BgL_test2246z00_4872 = ((bool_t) 0);
												}
										}
								}
							}
							if (BgL_test2246z00_4872)
								{	/* Cfa/arithmetic.scm 337 */
									{	/* Cfa/arithmetic.scm 340 */
										bool_t BgL_test2254z00_4904;

										{	/* Cfa/arithmetic.scm 340 */
											bool_t BgL_test2255z00_4905;

											{	/* Cfa/arithmetic.scm 340 */
												obj_t BgL_arg1910z00_4457;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4906;

													{
														obj_t BgL_auxz00_4907;

														{	/* Cfa/arithmetic.scm 340 */
															BgL_objectz00_bglt BgL_tmpz00_4908;

															BgL_tmpz00_4908 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4362));
															BgL_auxz00_4907 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4908);
														}
														BgL_auxz00_4906 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4907);
													}
													BgL_arg1910z00_4457 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_4906))->BgL_speczd2typeszd2);
												}
												BgL_argszd2approxzd2_4419 = BgL_argszd2approxzd2_4442;
												BgL_speczd2typeszd2_4420 = BgL_arg1910z00_4457;
												{
													obj_t BgL_argsz00_4422;

													BgL_argsz00_4422 = BgL_argszd2approxzd2_4419;
												BgL_loopz00_4421:
													if (NULLP(BgL_argsz00_4422))
														{	/* Cfa/arithmetic.scm 319 */
															BgL_test2255z00_4905 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 321 */
															bool_t BgL_test2257z00_4916;

															{	/* Cfa/arithmetic.scm 321 */
																obj_t BgL_arg1962z00_4423;

																{	/* Cfa/arithmetic.scm 321 */
																	BgL_typez00_bglt BgL_arg1964z00_4424;

																	BgL_arg1964z00_4424 =
																		(((BgL_approxz00_bglt) COBJECT(
																				((BgL_approxz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_4422)))))->
																		BgL_typez00);
																	if ((((obj_t) BgL_arg1964z00_4424) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 291 */
																			BgL_arg1962z00_4423 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 291 */
																			BgL_arg1962z00_4423 =
																				((obj_t) BgL_arg1964z00_4424);
																		}
																}
																BgL_test2257z00_4916 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1962z00_4423,
																		BgL_speczd2typeszd2_4420));
															}
															if (BgL_test2257z00_4916)
																{	/* Cfa/arithmetic.scm 322 */
																	obj_t BgL_arg1961z00_4425;

																	BgL_arg1961z00_4425 =
																		CDR(((obj_t) BgL_argsz00_4422));
																	{
																		obj_t BgL_argsz00_4929;

																		BgL_argsz00_4929 = BgL_arg1961z00_4425;
																		BgL_argsz00_4422 = BgL_argsz00_4929;
																		goto BgL_loopz00_4421;
																	}
																}
															else
																{	/* Cfa/arithmetic.scm 321 */
																	BgL_test2255z00_4905 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test2255z00_4905)
												{	/* Cfa/arithmetic.scm 341 */
													BgL_typez00_bglt BgL_arg1908z00_4458;

													{	/* Cfa/arithmetic.scm 341 */
														BgL_approxz00_bglt BgL_arg1909z00_4459;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4930;

															{
																obj_t BgL_auxz00_4931;

																{	/* Cfa/arithmetic.scm 341 */
																	BgL_objectz00_bglt BgL_tmpz00_4932;

																	BgL_tmpz00_4932 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4362));
																	BgL_auxz00_4931 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4932);
																}
																BgL_auxz00_4930 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_4931);
															}
															BgL_arg1909z00_4459 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	COBJECT(BgL_auxz00_4930))->BgL_approxz00);
														}
														BgL_arg1908z00_4458 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_arg1909z00_4459))->BgL_typez00);
													}
													BgL_test2254z00_4904 =
														(
														((obj_t) BgL_arg1908z00_4458) ==
														BGl_za2_za2z00zztype_cachez00);
												}
											else
												{	/* Cfa/arithmetic.scm 340 */
													BgL_test2254z00_4904 = ((bool_t) 0);
												}
										}
										if (BgL_test2254z00_4904)
											{	/* Cfa/arithmetic.scm 340 */
												{	/* Cfa/arithmetic.scm 344 */
													BgL_approxz00_bglt BgL_arg1907z00_4460;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4941;

														{
															obj_t BgL_auxz00_4942;

															{	/* Cfa/arithmetic.scm 344 */
																BgL_objectz00_bglt BgL_tmpz00_4943;

																BgL_tmpz00_4943 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4362));
																BgL_auxz00_4942 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4943);
															}
															BgL_auxz00_4941 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_4942);
														}
														BgL_arg1907z00_4460 =
															(((BgL_arithmeticzd2appzd2_bglt)
																COBJECT(BgL_auxz00_4941))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg1907z00_4460,
														((BgL_typez00_bglt) BgL_tyz00_4455));
												}
												BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(
														((long) 0)));
											}
										else
											{	/* Cfa/arithmetic.scm 340 */
												BFALSE;
											}
									}
								}
							else
								{	/* Cfa/arithmetic.scm 346 */
									bool_t BgL_test2259z00_4953;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) COBJECT(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_4362))))->
																				BgL_funz00)))->BgL_variablez00)))))->
												BgL_idz00) == CNST_TABLE_REF(((long) 1))))
										{	/* Cfa/arithmetic.scm 346 */
											BgL_test2259z00_4953 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 346 */
											BgL_test2259z00_4953 = ((bool_t) 1);
										}
									if (BgL_test2259z00_4953)
										{	/* Cfa/arithmetic.scm 346 */
											{
												obj_t BgL_l1545z00_4462;

												BgL_l1545z00_4462 = BgL_argszd2approxzd2_4442;
											BgL_zc3z04anonymousza31920ze3z87_4461:
												if (PAIRP(BgL_l1545z00_4462))
													{	/* Cfa/arithmetic.scm 347 */
														{	/* Cfa/arithmetic.scm 347 */
															obj_t BgL_az00_4463;

															BgL_az00_4463 = CAR(BgL_l1545z00_4462);
															BGl_loosez12z12zzcfa_loosez00(
																((BgL_approxz00_bglt) BgL_az00_4463),
																CNST_TABLE_REF(((long) 2)));
														}
														{
															obj_t BgL_l1545z00_4970;

															BgL_l1545z00_4970 = CDR(BgL_l1545z00_4462);
															BgL_l1545z00_4462 = BgL_l1545z00_4970;
															goto BgL_zc3z04anonymousza31920ze3z87_4461;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 347 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 348 */
												BgL_approxz00_bglt BgL_arg1923z00_4464;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4972;

													{
														obj_t BgL_auxz00_4973;

														{	/* Cfa/arithmetic.scm 348 */
															BgL_objectz00_bglt BgL_tmpz00_4974;

															BgL_tmpz00_4974 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4362));
															BgL_auxz00_4973 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4974);
														}
														BgL_auxz00_4972 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4973);
													}
													BgL_arg1923z00_4464 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_4972))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1923z00_4464,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										}
									else
										{	/* Cfa/arithmetic.scm 346 */
											BFALSE;
										}
								}
						}
					}
				}
				{
					BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4982;

					{
						obj_t BgL_auxz00_4983;

						{	/* Cfa/arithmetic.scm 351 */
							BgL_objectz00_bglt BgL_tmpz00_4984;

							BgL_tmpz00_4984 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4362));
							BgL_auxz00_4983 = BGL_OBJECT_WIDENING(BgL_tmpz00_4984);
						}
						BgL_auxz00_4982 = ((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4983);
					}
					return
						(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_4982))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-pre-arit1583 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4363, obj_t BgL_nodez00_4364)
	{
		{	/* Cfa/arithmetic.scm 245 */
			{	/* Cfa/arithmetic.scm 256 */
				BgL_variablez00_bglt BgL_fz00_4466;

				BgL_fz00_4466 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4364))))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/arithmetic.scm 256 */
					BgL_valuez00_bglt BgL_valz00_4467;

					BgL_valz00_4467 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4466))->BgL_valuez00);
					{	/* Cfa/arithmetic.scm 257 */

						{	/* Cfa/arithmetic.scm 259 */
							bool_t BgL_test2262z00_4995;

							{	/* Cfa/arithmetic.scm 259 */
								BgL_typez00_bglt BgL_arg1858z00_4468;

								BgL_arg1858z00_4468 =
									(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4466))->
									BgL_typez00);
								BgL_test2262z00_4995 =
									(((obj_t) BgL_arg1858z00_4468) ==
									BGl_za2objza2z00zztype_cachez00);
							}
							if (BgL_test2262z00_4995)
								{	/* Cfa/arithmetic.scm 259 */
									{	/* Cfa/arithmetic.scm 262 */
										BgL_typez00_bglt BgL_vz00_4469;

										BgL_vz00_4469 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_fz00_4466))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4469), BUNSPEC);
									}
									{	/* Cfa/arithmetic.scm 263 */
										BgL_typez00_bglt BgL_vz00_4470;

										BgL_vz00_4470 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_4364))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4470), BUNSPEC);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 259 */
									BFALSE;
								}
						}
						{	/* Cfa/arithmetic.scm 265 */
							bool_t BgL_test2263z00_5005;

							{	/* Cfa/arithmetic.scm 265 */
								obj_t BgL_classz00_4471;

								BgL_classz00_4471 = BGl_sfunz00zzast_varz00;
								{	/* Cfa/arithmetic.scm 265 */
									BgL_objectz00_bglt BgL_arg1825z00_4472;

									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_tmpz00_5006;

										BgL_tmpz00_5006 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valz00_4467));
										BgL_arg1825z00_4472 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5006);
									}
									{	/* Cfa/arithmetic.scm 265 */
										bool_t BgL_arg1822z00_4473;
										bool_t BgL_arg1823z00_4474;

										{	/* Cfa/arithmetic.scm 265 */
											long BgL_idxz00_4475;

											BgL_idxz00_4475 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4472);
											BgL_arg1822z00_4473 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4475 + ((long) 3))) == BgL_classz00_4471);
										}
										{	/* Cfa/arithmetic.scm 265 */
											bool_t BgL_res2152z00_4478;

											{	/* Cfa/arithmetic.scm 265 */
												obj_t BgL_oclassz00_4479;

												{	/* Cfa/arithmetic.scm 265 */
													long BgL_arg1833z00_4480;

													{	/* Cfa/arithmetic.scm 265 */
														long BgL_arg1834z00_4481;

														BgL_arg1834z00_4481 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4472);
														BgL_arg1833z00_4480 =
															(BgL_arg1834z00_4481 - OBJECT_TYPE);
													}
													BgL_oclassz00_4479 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4480);
												}
												{	/* Cfa/arithmetic.scm 265 */
													bool_t BgL__ortest_1110z00_4482;

													BgL__ortest_1110z00_4482 =
														(BgL_classz00_4471 == BgL_oclassz00_4479);
													if (BgL__ortest_1110z00_4482)
														{	/* Cfa/arithmetic.scm 265 */
															BgL_res2152z00_4478 = BgL__ortest_1110z00_4482;
														}
													else
														{	/* Cfa/arithmetic.scm 265 */
															long BgL_odepthz00_4483;

															BgL_odepthz00_4483 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4479);
															if ((((long) 3) < BgL_odepthz00_4483))
																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_arg1821z00_4484;

																	BgL_arg1821z00_4484 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4479,
																		((long) 3));
																	BgL_res2152z00_4478 =
																		(BgL_arg1821z00_4484 == BgL_classz00_4471);
																}
															else
																{	/* Cfa/arithmetic.scm 265 */
																	BgL_res2152z00_4478 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4474 = BgL_res2152z00_4478;
										}
										BgL_test2263z00_5005 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4473,
											BgL_arg1823z00_4474);
									}
								}
							}
							if (BgL_test2263z00_5005)
								{	/* Cfa/arithmetic.scm 266 */
									obj_t BgL_arg1862z00_4485;

									{	/* Cfa/arithmetic.scm 266 */
										obj_t BgL_l1533z00_4486;

										BgL_l1533z00_4486 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_4467)))->BgL_argsz00);
										if (NULLP(BgL_l1533z00_4486))
											{	/* Cfa/arithmetic.scm 266 */
												BgL_arg1862z00_4485 = BNIL;
											}
										else
											{	/* Cfa/arithmetic.scm 266 */
												obj_t BgL_head1535z00_4487;

												{	/* Cfa/arithmetic.scm 266 */
													obj_t BgL_arg1871z00_4488;

													{	/* Cfa/arithmetic.scm 266 */
														obj_t BgL_arg1872z00_4489;

														BgL_arg1872z00_4489 =
															CAR(((obj_t) BgL_l1533z00_4486));
														BgL_arg1871z00_4488 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(BgL_arg1872z00_4489);
													}
													BgL_head1535z00_4487 =
														MAKE_YOUNG_PAIR(BgL_arg1871z00_4488, BNIL);
												}
												{	/* Cfa/arithmetic.scm 266 */
													obj_t BgL_g1538z00_4490;

													BgL_g1538z00_4490 = CDR(((obj_t) BgL_l1533z00_4486));
													{
														obj_t BgL_l1533z00_4492;
														obj_t BgL_tail1536z00_4493;

														BgL_l1533z00_4492 = BgL_g1538z00_4490;
														BgL_tail1536z00_4493 = BgL_head1535z00_4487;
													BgL_zc3z04anonymousza31864ze3z87_4491:
														if (NULLP(BgL_l1533z00_4492))
															{	/* Cfa/arithmetic.scm 266 */
																BgL_arg1862z00_4485 = BgL_head1535z00_4487;
															}
														else
															{	/* Cfa/arithmetic.scm 266 */
																obj_t BgL_newtail1537z00_4494;

																{	/* Cfa/arithmetic.scm 266 */
																	obj_t BgL_arg1869z00_4495;

																	{	/* Cfa/arithmetic.scm 266 */
																		obj_t BgL_arg1870z00_4496;

																		BgL_arg1870z00_4496 =
																			CAR(((obj_t) BgL_l1533z00_4492));
																		BgL_arg1869z00_4495 =
																			BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1870z00_4496);
																	}
																	BgL_newtail1537z00_4494 =
																		MAKE_YOUNG_PAIR(BgL_arg1869z00_4495, BNIL);
																}
																SET_CDR(BgL_tail1536z00_4493,
																	BgL_newtail1537z00_4494);
																{	/* Cfa/arithmetic.scm 266 */
																	obj_t BgL_arg1867z00_4497;

																	BgL_arg1867z00_4497 =
																		CDR(((obj_t) BgL_l1533z00_4492));
																	{
																		obj_t BgL_tail1536z00_5045;
																		obj_t BgL_l1533z00_5044;

																		BgL_l1533z00_5044 = BgL_arg1867z00_4497;
																		BgL_tail1536z00_5045 =
																			BgL_newtail1537z00_4494;
																		BgL_tail1536z00_4493 = BgL_tail1536z00_5045;
																		BgL_l1533z00_4492 = BgL_l1533z00_5044;
																		goto BgL_zc3z04anonymousza31864ze3z87_4491;
																	}
																}
															}
													}
												}
											}
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_4467)))->BgL_argsz00) =
										((obj_t) BgL_arg1862z00_4485), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 267 */
									bool_t BgL_test2268z00_5048;

									{	/* Cfa/arithmetic.scm 267 */
										obj_t BgL_classz00_4498;

										BgL_classz00_4498 = BGl_cfunz00zzast_varz00;
										{	/* Cfa/arithmetic.scm 267 */
											BgL_objectz00_bglt BgL_arg1825z00_4499;

											{	/* Cfa/arithmetic.scm 267 */
												obj_t BgL_tmpz00_5049;

												BgL_tmpz00_5049 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valz00_4467));
												BgL_arg1825z00_4499 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5049);
											}
											{	/* Cfa/arithmetic.scm 267 */
												bool_t BgL_arg1822z00_4500;
												bool_t BgL_arg1823z00_4501;

												{	/* Cfa/arithmetic.scm 267 */
													long BgL_idxz00_4502;

													BgL_idxz00_4502 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4499);
													BgL_arg1822z00_4500 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4502 + ((long) 3))) ==
														BgL_classz00_4498);
												}
												{	/* Cfa/arithmetic.scm 267 */
													bool_t BgL_res2153z00_4505;

													{	/* Cfa/arithmetic.scm 267 */
														obj_t BgL_oclassz00_4506;

														{	/* Cfa/arithmetic.scm 267 */
															long BgL_arg1833z00_4507;

															{	/* Cfa/arithmetic.scm 267 */
																long BgL_arg1834z00_4508;

																BgL_arg1834z00_4508 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4499);
																BgL_arg1833z00_4507 =
																	(BgL_arg1834z00_4508 - OBJECT_TYPE);
															}
															BgL_oclassz00_4506 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4507);
														}
														{	/* Cfa/arithmetic.scm 267 */
															bool_t BgL__ortest_1110z00_4509;

															BgL__ortest_1110z00_4509 =
																(BgL_classz00_4498 == BgL_oclassz00_4506);
															if (BgL__ortest_1110z00_4509)
																{	/* Cfa/arithmetic.scm 267 */
																	BgL_res2153z00_4505 =
																		BgL__ortest_1110z00_4509;
																}
															else
																{	/* Cfa/arithmetic.scm 267 */
																	long BgL_odepthz00_4510;

																	BgL_odepthz00_4510 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4506);
																	if ((((long) 3) < BgL_odepthz00_4510))
																		{	/* Cfa/arithmetic.scm 267 */
																			obj_t BgL_arg1821z00_4511;

																			BgL_arg1821z00_4511 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4506, ((long) 3));
																			BgL_res2153z00_4505 =
																				(BgL_arg1821z00_4511 ==
																				BgL_classz00_4498);
																		}
																	else
																		{	/* Cfa/arithmetic.scm 267 */
																			BgL_res2153z00_4505 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4501 = BgL_res2153z00_4505;
												}
												BgL_test2268z00_5048 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4500,
													BgL_arg1823z00_4501);
											}
										}
									}
									if (BgL_test2268z00_5048)
										{	/* Cfa/arithmetic.scm 268 */
											obj_t BgL_g1179z00_4512;

											BgL_g1179z00_4512 =
												(((BgL_cfunz00_bglt) COBJECT(
														((BgL_cfunz00_bglt) BgL_valz00_4467)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_lz00_4514;

												BgL_lz00_4514 = BgL_g1179z00_4512;
											BgL_loopz00_4513:
												if (PAIRP(BgL_lz00_4514))
													{	/* Cfa/arithmetic.scm 270 */
														obj_t BgL_tmpz00_5072;

														BgL_tmpz00_5072 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(CAR(BgL_lz00_4514));
														SET_CAR(BgL_lz00_4514, BgL_tmpz00_5072);
													}
												else
													{	/* Cfa/arithmetic.scm 271 */
														obj_t BgL_arg1880z00_4515;

														BgL_arg1880z00_4515 = CDR(((obj_t) BgL_lz00_4514));
														{
															obj_t BgL_lz00_5078;

															BgL_lz00_5078 = BgL_arg1880z00_4515;
															BgL_lz00_4514 = BgL_lz00_5078;
															goto BgL_loopz00_4513;
														}
													}
											}
										}
									else
										{	/* Cfa/arithmetic.scm 267 */
											BGl_errorz00zz__errorz00
												(BGl_string2180z00zzcfa_arithmeticz00,
												BGl_string2183z00zzcfa_arithmeticz00,
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4364)));
										}
								}
						}
						BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_4364)),
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
						{	/* Cfa/arithmetic.scm 276 */
							obj_t BgL_arg1882z00_4516;

							BgL_arg1882z00_4516 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4364))))->BgL_argsz00);
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1882z00_4516);
						}
						{	/* Cfa/arithmetic.scm 277 */
							obj_t BgL_speczd2typeszd2_4517;

							{
								BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5089;

								{
									obj_t BgL_auxz00_5090;

									{	/* Cfa/arithmetic.scm 277 */
										BgL_objectz00_bglt BgL_tmpz00_5091;

										BgL_tmpz00_5091 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4364));
										BgL_auxz00_5090 = BGL_OBJECT_WIDENING(BgL_tmpz00_5091);
									}
									BgL_auxz00_5089 =
										((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_5090);
								}
								BgL_speczd2typeszd2_4517 =
									(((BgL_prezd2arithmeticzd2appz00_bglt)
										COBJECT(BgL_auxz00_5089))->BgL_speczd2typeszd2);
							}
							{	/* Cfa/arithmetic.scm 277 */
								BgL_appz00_bglt BgL_nodez00_4518;

								{	/* Cfa/arithmetic.scm 278 */
									long BgL_arg1888z00_4519;

									{	/* Cfa/arithmetic.scm 278 */
										obj_t BgL_arg1890z00_4520;

										{	/* Cfa/arithmetic.scm 278 */
											obj_t BgL_arg1891z00_4521;

											{	/* Cfa/arithmetic.scm 278 */
												long BgL_arg1833z00_4522;

												{	/* Cfa/arithmetic.scm 278 */
													long BgL_arg1834z00_4523;

													BgL_arg1834z00_4523 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_4364)));
													BgL_arg1833z00_4522 =
														(BgL_arg1834z00_4523 - OBJECT_TYPE);
												}
												BgL_arg1891z00_4521 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4522);
											}
											BgL_arg1890z00_4520 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg1891z00_4521);
										}
										{	/* Cfa/arithmetic.scm 278 */
											obj_t BgL_tmpz00_5103;

											BgL_tmpz00_5103 = ((obj_t) BgL_arg1890z00_4520);
											BgL_arg1888z00_4519 = BGL_CLASS_NUM(BgL_tmpz00_5103);
									}}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4364)),
										BgL_arg1888z00_4519);
								}
								{	/* Cfa/arithmetic.scm 278 */
									BgL_objectz00_bglt BgL_tmpz00_5109;

									BgL_tmpz00_5109 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4364));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5109, BFALSE);
								}
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4364));
								BgL_nodez00_4518 = ((BgL_appz00_bglt) BgL_nodez00_4364);
								{	/* Cfa/arithmetic.scm 278 */

									{	/* Cfa/arithmetic.scm 279 */
										BgL_arithmeticzd2appzd2_bglt BgL_wide1183z00_4524;

										BgL_wide1183z00_4524 =
											((BgL_arithmeticzd2appzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_arithmeticzd2appzd2_bgl))));
										{	/* Cfa/arithmetic.scm 279 */
											obj_t BgL_auxz00_5121;
											BgL_objectz00_bglt BgL_tmpz00_5117;

											BgL_auxz00_5121 = ((obj_t) BgL_wide1183z00_4524);
											BgL_tmpz00_5117 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_4518)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5117, BgL_auxz00_5121);
										}
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4518)));
										{	/* Cfa/arithmetic.scm 279 */
											long BgL_arg1883z00_4525;

											BgL_arg1883z00_4525 =
												BGL_CLASS_NUM(BGl_arithmeticzd2appzd2zzcfa_info2z00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4518))),
												BgL_arg1883z00_4525);
										}
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4518)));
									}
									{
										BgL_approxz00_bglt BgL_auxz00_5143;
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5135;

										{	/* Cfa/arithmetic.scm 281 */
											bool_t BgL_test2272z00_5144;

											{	/* Cfa/arithmetic.scm 281 */
												BgL_typez00_bglt BgL_arg1887z00_4526;

												BgL_arg1887z00_4526 =
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4466))->
													BgL_typez00);
												BgL_test2272z00_5144 =
													(((obj_t) BgL_arg1887z00_4526) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2272z00_5144)
												{	/* Cfa/arithmetic.scm 281 */
													BgL_auxz00_5143 =
														BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
												}
											else
												{	/* Cfa/arithmetic.scm 283 */
													BgL_typez00_bglt BgL_arg1886z00_4527;

													BgL_arg1886z00_4527 =
														(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4466))->
														BgL_typez00);
													BgL_auxz00_5143 =
														BGl_makezd2typezd2approxz00zzcfa_approxz00
														(BgL_arg1886z00_4527);
												}
										}
										{
											obj_t BgL_auxz00_5136;

											{	/* Cfa/arithmetic.scm 281 */
												BgL_objectz00_bglt BgL_tmpz00_5137;

												BgL_tmpz00_5137 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4518)));
												BgL_auxz00_5136 = BGL_OBJECT_WIDENING(BgL_tmpz00_5137);
											}
											BgL_auxz00_5135 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5136);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_5135))->BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_auxz00_5143), BUNSPEC);
									}
									{
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5152;

										{
											obj_t BgL_auxz00_5153;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_objectz00_bglt BgL_tmpz00_5154;

												BgL_tmpz00_5154 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4518)));
												BgL_auxz00_5153 = BGL_OBJECT_WIDENING(BgL_tmpz00_5154);
											}
											BgL_auxz00_5152 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5153);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_5152))->BgL_speczd2typeszd2) =
											((obj_t) BgL_speczd2typeszd2_4517), BUNSPEC);
									}
									return
										((obj_t)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4518)));
								}
							}
						}
					}
				}
			}
		}

	}



/* unspecified-type~0 */
	obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_lz00_3194)
	{
		{	/* Cfa/arithmetic.scm 254 */
			{	/* Cfa/arithmetic.scm 248 */
				bool_t BgL_test2273z00_5164;

				{	/* Cfa/arithmetic.scm 248 */
					obj_t BgL_classz00_4010;

					BgL_classz00_4010 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_lz00_3194))
						{	/* Cfa/arithmetic.scm 248 */
							BgL_objectz00_bglt BgL_arg1825z00_4012;

							BgL_arg1825z00_4012 = (BgL_objectz00_bglt) (BgL_lz00_3194);
							{	/* Cfa/arithmetic.scm 248 */
								bool_t BgL_arg1822z00_4015;
								bool_t BgL_arg1823z00_4016;

								{	/* Cfa/arithmetic.scm 248 */
									long BgL_idxz00_4019;

									BgL_idxz00_4019 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4012);
									BgL_arg1822z00_4015 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4019 + ((long) 1))) == BgL_classz00_4010);
								}
								{	/* Cfa/arithmetic.scm 248 */
									bool_t BgL_res2150z00_4041;

									{	/* Cfa/arithmetic.scm 248 */
										obj_t BgL_oclassz00_4027;

										{	/* Cfa/arithmetic.scm 248 */
											long BgL_arg1833z00_4033;

											{	/* Cfa/arithmetic.scm 248 */
												long BgL_arg1834z00_4034;

												BgL_arg1834z00_4034 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4012);
												BgL_arg1833z00_4033 =
													(BgL_arg1834z00_4034 - OBJECT_TYPE);
											}
											BgL_oclassz00_4027 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4033);
										}
										{	/* Cfa/arithmetic.scm 248 */
											bool_t BgL__ortest_1110z00_4028;

											BgL__ortest_1110z00_4028 =
												(BgL_classz00_4010 == BgL_oclassz00_4027);
											if (BgL__ortest_1110z00_4028)
												{	/* Cfa/arithmetic.scm 248 */
													BgL_res2150z00_4041 = BgL__ortest_1110z00_4028;
												}
											else
												{	/* Cfa/arithmetic.scm 248 */
													long BgL_odepthz00_4029;

													BgL_odepthz00_4029 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4027);
													if ((((long) 1) < BgL_odepthz00_4029))
														{	/* Cfa/arithmetic.scm 248 */
															obj_t BgL_arg1821z00_4031;

															BgL_arg1821z00_4031 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4027,
																((long) 1));
															BgL_res2150z00_4041 =
																(BgL_arg1821z00_4031 == BgL_classz00_4010);
														}
													else
														{	/* Cfa/arithmetic.scm 248 */
															BgL_res2150z00_4041 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4016 = BgL_res2150z00_4041;
								}
								BgL_test2273z00_5164 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4015, BgL_arg1823z00_4016);
							}
						}
					else
						{	/* Cfa/arithmetic.scm 248 */
							BgL_test2273z00_5164 = ((bool_t) 0);
						}
				}
				if (BgL_test2273z00_5164)
					{	/* Cfa/arithmetic.scm 248 */
						return BGl_za2_za2z00zztype_cachez00;
					}
				else
					{	/* Cfa/arithmetic.scm 250 */
						bool_t BgL_test2277z00_5183;

						{	/* Cfa/arithmetic.scm 250 */
							obj_t BgL_classz00_4042;

							BgL_classz00_4042 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_lz00_3194))
								{	/* Cfa/arithmetic.scm 250 */
									BgL_objectz00_bglt BgL_arg1825z00_4044;

									BgL_arg1825z00_4044 = (BgL_objectz00_bglt) (BgL_lz00_3194);
									{	/* Cfa/arithmetic.scm 250 */
										bool_t BgL_arg1822z00_4047;
										bool_t BgL_arg1823z00_4048;

										{	/* Cfa/arithmetic.scm 250 */
											long BgL_idxz00_4051;

											BgL_idxz00_4051 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4044);
											BgL_arg1822z00_4047 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4051 + ((long) 2))) == BgL_classz00_4042);
										}
										{	/* Cfa/arithmetic.scm 250 */
											bool_t BgL_res2151z00_4073;

											{	/* Cfa/arithmetic.scm 250 */
												obj_t BgL_oclassz00_4059;

												{	/* Cfa/arithmetic.scm 250 */
													long BgL_arg1833z00_4065;

													{	/* Cfa/arithmetic.scm 250 */
														long BgL_arg1834z00_4066;

														BgL_arg1834z00_4066 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4044);
														BgL_arg1833z00_4065 =
															(BgL_arg1834z00_4066 - OBJECT_TYPE);
													}
													BgL_oclassz00_4059 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4065);
												}
												{	/* Cfa/arithmetic.scm 250 */
													bool_t BgL__ortest_1110z00_4060;

													BgL__ortest_1110z00_4060 =
														(BgL_classz00_4042 == BgL_oclassz00_4059);
													if (BgL__ortest_1110z00_4060)
														{	/* Cfa/arithmetic.scm 250 */
															BgL_res2151z00_4073 = BgL__ortest_1110z00_4060;
														}
													else
														{	/* Cfa/arithmetic.scm 250 */
															long BgL_odepthz00_4061;

															BgL_odepthz00_4061 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4059);
															if ((((long) 2) < BgL_odepthz00_4061))
																{	/* Cfa/arithmetic.scm 250 */
																	obj_t BgL_arg1821z00_4063;

																	BgL_arg1821z00_4063 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4059,
																		((long) 2));
																	BgL_res2151z00_4073 =
																		(BgL_arg1821z00_4063 == BgL_classz00_4042);
																}
															else
																{	/* Cfa/arithmetic.scm 250 */
																	BgL_res2151z00_4073 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4048 = BgL_res2151z00_4073;
										}
										BgL_test2277z00_5183 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4047,
											BgL_arg1823z00_4048);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 250 */
									BgL_test2277z00_5183 = ((bool_t) 0);
								}
						}
						if (BgL_test2277z00_5183)
							{	/* Cfa/arithmetic.scm 250 */
								{	/* Cfa/arithmetic.scm 251 */
									BgL_typez00_bglt BgL_vz00_4075;

									BgL_vz00_4075 =
										((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_lz00_3194))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_4075), BUNSPEC);
								}
								return BgL_lz00_3194;
							}
						else
							{	/* Cfa/arithmetic.scm 250 */
								return BgL_lz00_3194;
							}
					}
			}
		}

	}



/* &cleanup-node!-app1581 */
	obj_t BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4365, obj_t BgL_nodez00_4366)
	{
		{	/* Cfa/arithmetic.scm 232 */
			{	/* Cfa/arithmetic.scm 233 */
				bool_t BgL_tmpz00_5206;

				{	/* Cfa/arithmetic.scm 234 */
					BgL_varz00_bglt BgL_arg1850z00_4529;

					BgL_arg1850z00_4529 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4366)))->BgL_funz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg1850z00_4529));
				}
				{	/* Cfa/arithmetic.scm 235 */
					obj_t BgL_g1532z00_4530;

					BgL_g1532z00_4530 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4366)))->BgL_argsz00);
					{
						obj_t BgL_l1530z00_4532;

						BgL_l1530z00_4532 = BgL_g1532z00_4530;
					BgL_zc3z04anonymousza31851ze3z87_4531:
						if (PAIRP(BgL_l1530z00_4532))
							{	/* Cfa/arithmetic.scm 235 */
								{	/* Cfa/arithmetic.scm 235 */
									obj_t BgL_arg1854z00_4533;

									BgL_arg1854z00_4533 = CAR(BgL_l1530z00_4532);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1854z00_4533));
								}
								{
									obj_t BgL_l1530z00_5218;

									BgL_l1530z00_5218 = CDR(BgL_l1530z00_4532);
									BgL_l1530z00_4532 = BgL_l1530z00_5218;
									goto BgL_zc3z04anonymousza31851ze3z87_4531;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 235 */
								BgL_tmpz00_5206 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5206);
			}
		}

	}



/* &cleanup-node!-funcal1579 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4367, obj_t BgL_nodez00_4368)
	{
		{	/* Cfa/arithmetic.scm 224 */
			{	/* Cfa/arithmetic.scm 225 */
				bool_t BgL_tmpz00_5221;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4368)))->BgL_funz00));
				{	/* Cfa/arithmetic.scm 227 */
					obj_t BgL_g1529z00_4535;

					BgL_g1529z00_4535 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4368)))->BgL_argsz00);
					{
						obj_t BgL_l1527z00_4537;

						BgL_l1527z00_4537 = BgL_g1529z00_4535;
					BgL_zc3z04anonymousza31843ze3z87_4536:
						if (PAIRP(BgL_l1527z00_4537))
							{	/* Cfa/arithmetic.scm 227 */
								{	/* Cfa/arithmetic.scm 227 */
									obj_t BgL_arg1848z00_4538;

									BgL_arg1848z00_4538 = CAR(BgL_l1527z00_4537);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1848z00_4538));
								}
								{
									obj_t BgL_l1527z00_5232;

									BgL_l1527z00_5232 = CDR(BgL_l1527z00_4537);
									BgL_l1527z00_4537 = BgL_l1527z00_5232;
									goto BgL_zc3z04anonymousza31843ze3z87_4536;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 227 */
								BgL_tmpz00_5221 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5221);
			}
		}

	}



/* &cleanup-node!-app-ly1577 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4369, obj_t BgL_nodez00_4370)
	{
		{	/* Cfa/arithmetic.scm 216 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4370)))->BgL_funz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4370)))->BgL_argz00));
		}

	}



/* &cleanup-node!-box-se1575 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4371, obj_t BgL_nodez00_4372)
	{
		{	/* Cfa/arithmetic.scm 208 */
			{	/* Cfa/arithmetic.scm 210 */
				BgL_varz00_bglt BgL_arg1824z00_4541;

				BgL_arg1824z00_4541 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4372)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1824z00_4541));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4372)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-box-re1573 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4373, obj_t BgL_nodez00_4374)
	{
		{	/* Cfa/arithmetic.scm 201 */
			{	/* Cfa/arithmetic.scm 203 */
				BgL_varz00_bglt BgL_arg1818z00_4543;

				BgL_arg1818z00_4543 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_4374)))->BgL_varz00);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1818z00_4543));
			}
		}

	}



/* &cleanup-node!-make-b1570 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b1570za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4375, obj_t BgL_nodez00_4376)
	{
		{	/* Cfa/arithmetic.scm 194 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4376)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-jump-e1568 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e1568za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4377, obj_t BgL_nodez00_4378)
	{
		{	/* Cfa/arithmetic.scm 186 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4378)))->BgL_exitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4378)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-set-ex1566 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex1566za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4379, obj_t BgL_nodez00_4380)
	{
		{	/* Cfa/arithmetic.scm 177 */
			{	/* Cfa/arithmetic.scm 179 */
				BgL_varz00_bglt BgL_arg1805z00_4547;

				BgL_arg1805z00_4547 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4380)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1805z00_4547));
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4380)))->BgL_onexitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4380)))->BgL_bodyz00));
		}

	}



/* &cleanup-node!-let-va1564 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va1564za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4381, obj_t BgL_nodez00_4382)
	{
		{	/* Cfa/arithmetic.scm 167 */
			{	/* Cfa/arithmetic.scm 169 */
				obj_t BgL_g1526z00_4549;

				BgL_g1526z00_4549 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4382)))->BgL_bindingsz00);
				{
					obj_t BgL_l1524z00_4551;

					BgL_l1524z00_4551 = BgL_g1526z00_4549;
				BgL_zc3z04anonymousza31771ze3z87_4550:
					if (PAIRP(BgL_l1524z00_4551))
						{	/* Cfa/arithmetic.scm 169 */
							{	/* Cfa/arithmetic.scm 169 */
								obj_t BgL_bz00_4552;

								BgL_bz00_4552 = CAR(BgL_l1524z00_4551);
								{	/* Cfa/arithmetic.scm 169 */
									obj_t BgL_arg1777z00_4553;

									BgL_arg1777z00_4553 = CDR(((obj_t) BgL_bz00_4552));
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1777z00_4553));
								}
							}
							{
								obj_t BgL_l1524z00_5280;

								BgL_l1524z00_5280 = CDR(BgL_l1524z00_4551);
								BgL_l1524z00_4551 = BgL_l1524z00_5280;
								goto BgL_zc3z04anonymousza31771ze3z87_4550;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 169 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4382)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 171 */
				bool_t BgL_test2284z00_5285;

				{	/* Cfa/arithmetic.scm 171 */
					BgL_typez00_bglt BgL_arg1801z00_4554;

					BgL_arg1801z00_4554 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4382))))->BgL_typez00);
					BgL_test2284z00_5285 =
						(((obj_t) BgL_arg1801z00_4554) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2284z00_5285)
					{	/* Cfa/arithmetic.scm 171 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4382))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2varzd2_bglt)
													COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_4382)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 171 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-let-fu1562 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu1562za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4383, obj_t BgL_nodez00_4384)
	{
		{	/* Cfa/arithmetic.scm 157 */
			{	/* Cfa/arithmetic.scm 159 */
				obj_t BgL_g1523z00_4556;

				BgL_g1523z00_4556 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4384)))->BgL_localsz00);
				{
					obj_t BgL_l1521z00_4558;

					BgL_l1521z00_4558 = BgL_g1523z00_4556;
				BgL_zc3z04anonymousza31754ze3z87_4557:
					if (PAIRP(BgL_l1521z00_4558))
						{	/* Cfa/arithmetic.scm 159 */
							{	/* Cfa/arithmetic.scm 159 */
								obj_t BgL_arg1759z00_4559;

								BgL_arg1759z00_4559 = CAR(BgL_l1521z00_4558);
								{	/* Cfa/arithmetic.scm 90 */
									BgL_valuez00_bglt BgL_funz00_4560;

									BgL_funz00_4560 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_arg1759z00_4559)))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 90 */
										obj_t BgL_bodyz00_4561;

										BgL_bodyz00_4561 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_4560)))->BgL_bodyz00);
										{	/* Cfa/arithmetic.scm 91 */

											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_bodyz00_4561));
										}
									}
								}
							}
							{
								obj_t BgL_l1521z00_5308;

								BgL_l1521z00_5308 = CDR(BgL_l1521z00_4558);
								BgL_l1521z00_4558 = BgL_l1521z00_5308;
								goto BgL_zc3z04anonymousza31754ze3z87_4557;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 159 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4384)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 161 */
				bool_t BgL_test2286z00_5313;

				{	/* Cfa/arithmetic.scm 161 */
					BgL_typez00_bglt BgL_arg1770z00_4562;

					BgL_arg1770z00_4562 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_4384))))->BgL_typez00);
					BgL_test2286z00_5313 =
						(((obj_t) BgL_arg1770z00_4562) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2286z00_5313)
					{	/* Cfa/arithmetic.scm 161 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_4384))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2funzd2_bglt)
													COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_4384)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 161 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-switch1560 */
	obj_t BGl_z62cleanupzd2nodez12zd2switch1560z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4385, obj_t BgL_nodez00_4386)
	{
		{	/* Cfa/arithmetic.scm 149 */
			{	/* Cfa/arithmetic.scm 150 */
				bool_t BgL_tmpz00_5325;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4386)))->BgL_testz00));
				{	/* Cfa/arithmetic.scm 152 */
					obj_t BgL_g1520z00_4564;

					BgL_g1520z00_4564 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4386)))->BgL_clausesz00);
					{
						obj_t BgL_l1518z00_4566;

						BgL_l1518z00_4566 = BgL_g1520z00_4564;
					BgL_zc3z04anonymousza31750ze3z87_4565:
						if (PAIRP(BgL_l1518z00_4566))
							{	/* Cfa/arithmetic.scm 152 */
								{	/* Cfa/arithmetic.scm 152 */
									obj_t BgL_clausez00_4567;

									BgL_clausez00_4567 = CAR(BgL_l1518z00_4566);
									{	/* Cfa/arithmetic.scm 152 */
										obj_t BgL_arg1752z00_4568;

										BgL_arg1752z00_4568 = CDR(((obj_t) BgL_clausez00_4567));
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1752z00_4568));
									}
								}
								{
									obj_t BgL_l1518z00_5338;

									BgL_l1518z00_5338 = CDR(BgL_l1518z00_4566);
									BgL_l1518z00_4566 = BgL_l1518z00_5338;
									goto BgL_zc3z04anonymousza31750ze3z87_4565;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 152 */
								BgL_tmpz00_5325 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5325);
			}
		}

	}



/* &cleanup-node!-fail1558 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail1558z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4387, obj_t BgL_nodez00_4388)
	{
		{	/* Cfa/arithmetic.scm 140 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4388)))->BgL_procz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4388)))->BgL_msgz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4388)))->BgL_objz00));
		}

	}



/* &cleanup-node!-condit1556 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit1556z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4389, obj_t BgL_nodez00_4390)
	{
		{	/* Cfa/arithmetic.scm 131 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4390)))->BgL_testz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4390)))->BgL_truez00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4390)))->BgL_falsez00));
		}

	}



/* &cleanup-node!-setq1554 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq1554z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4391, obj_t BgL_nodez00_4392)
	{
		{	/* Cfa/arithmetic.scm 124 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4392)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-sync1552 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync1552z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4393, obj_t BgL_nodez00_4394)
	{
		{	/* Cfa/arithmetic.scm 113 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4394)))->BgL_mutexz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4394)))->BgL_prelockz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4394)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 118 */
				bool_t BgL_test2288z00_5371;

				{	/* Cfa/arithmetic.scm 118 */
					BgL_typez00_bglt BgL_arg1738z00_4573;

					BgL_arg1738z00_4573 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_4394))))->BgL_typez00);
					BgL_test2288z00_5371 =
						(((obj_t) BgL_arg1738z00_4573) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2288z00_5371)
					{	/* Cfa/arithmetic.scm 118 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_4394))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
															BgL_nodez00_4394)))->BgL_bodyz00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 118 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-sequen1550 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen1550z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4395, obj_t BgL_nodez00_4396)
	{
		{	/* Cfa/arithmetic.scm 103 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4396)))->BgL_nodesz00)))
				{	/* Cfa/arithmetic.scm 105 */
					return BFALSE;
				}
			else
				{	/* Cfa/arithmetic.scm 105 */
					{	/* Cfa/arithmetic.scm 106 */
						obj_t BgL_g1517z00_4575;

						BgL_g1517z00_4575 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_4396)))->BgL_nodesz00);
						{
							obj_t BgL_l1515z00_4577;

							BgL_l1515z00_4577 = BgL_g1517z00_4575;
						BgL_zc3z04anonymousza31698ze3z87_4576:
							if (PAIRP(BgL_l1515z00_4577))
								{	/* Cfa/arithmetic.scm 106 */
									{	/* Cfa/arithmetic.scm 106 */
										obj_t BgL_arg1703z00_4578;

										BgL_arg1703z00_4578 = CAR(BgL_l1515z00_4577);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1703z00_4578));
									}
									{
										obj_t BgL_l1515z00_5394;

										BgL_l1515z00_5394 = CDR(BgL_l1515z00_4577);
										BgL_l1515z00_4577 = BgL_l1515z00_5394;
										goto BgL_zc3z04anonymousza31698ze3z87_4576;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 106 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/arithmetic.scm 107 */
						bool_t BgL_test2291z00_5396;

						{	/* Cfa/arithmetic.scm 107 */
							BgL_typez00_bglt BgL_arg1716z00_4579;

							BgL_arg1716z00_4579 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_4396))))->
								BgL_typez00);
							BgL_test2291z00_5396 =
								(((obj_t) BgL_arg1716z00_4579) ==
								BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2291z00_5396)
							{	/* Cfa/arithmetic.scm 107 */
								return
									((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_4396))))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt)
														CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
																(((BgL_sequencez00_bglt)
																		COBJECT(((BgL_sequencez00_bglt)
																				BgL_nodez00_4396)))->
																	BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/arithmetic.scm 107 */
								return BFALSE;
							}
					}
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2184z00zzcfa_arithmeticz00));
		}

	}

#ifdef __cplusplus
}
#endif
