/*===========================================================================*/
/*   (Cfa/box.scm)                                                           */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/box.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BUNSPEC;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1525z42zzcfa_boxz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1519za2zzcfa_boxz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_boxz00();
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121517zb0zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2makezd2box1513za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_boxz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1523z50zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31602ze3ze5zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1515za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_boxz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
	static obj_t BGl_z62loosezd2allocz12zd2makezd2bo1527za2zzcfa_boxz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1521z50zzcfa_boxz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71997za7,
		BGl_z62nodezd2setupz12zd2makezd2box1513za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71998za7,
		BGl_z62nodezd2setupz12zd2prezd2make1515za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71999za7,
		BGl_z62nodezd2setupz12zd2boxzd2setz121517zb0zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza72000za7,
		BGl_z62nodezd2setupz12zd2boxzd2ref1519za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2make2001za7,
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1521z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza72002z00,
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1523z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza72003z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1525z42zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzcfa_boxz00,
		BgL_bgl_za762looseza7d2alloc2004z00,
		BGl_z62loosezd2allocz12zd2makezd2bo1527za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string1981z00zzcfa_boxz00,
		BgL_bgl_string1981za700za7za7c2005za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string1986z00zzcfa_boxz00,
		BgL_bgl_string1986za700za7za7c2006za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string1990z00zzcfa_boxz00,
		BgL_bgl_string1990za700za7za7c2007za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string1991z00zzcfa_boxz00,
		BgL_bgl_string1991za700za7za7c2008za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string1992z00zzcfa_boxz00,
		BgL_bgl_string1992za700za7za7c2009za7,
		"Illegal mixed of optimized and unoptimize `make-box'", 52);
	      DEFINE_STRING(BGl_string1993z00zzcfa_boxz00,
		BgL_bgl_string1993za700za7za7c2010za7, "cfa_box", 7);
	      DEFINE_STRING(BGl_string1994z00zzcfa_boxz00,
		BgL_bgl_string1994za700za7za7c2011za7, "all ", 4);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_boxz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long
		BgL_checksumz00_3880, char *BgL_fromz00_3881)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_boxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_boxz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
					BGl_cnstzd2initzd2zzcfa_boxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
					BGl_methodzd2initzd2zzcfa_boxz00();
					return BGl_toplevelzd2initzd2zzcfa_boxz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_box");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cportz00_3763;

				{	/* Cfa/box.scm 15 */
					obj_t BgL_stringz00_3771;

					BgL_stringz00_3771 = BGl_string1994z00zzcfa_boxz00;
					{	/* Cfa/box.scm 15 */
						obj_t BgL_startz00_3772;

						BgL_startz00_3772 = BINT(((long) 0));
						{	/* Cfa/box.scm 15 */
							obj_t BgL_endz00_3773;

							BgL_endz00_3773 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3771)));
							{	/* Cfa/box.scm 15 */

								BgL_cportz00_3763 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3771, BgL_startz00_3772, BgL_endz00_3773);
				}}}}
				{
					long BgL_iz00_3764;

					BgL_iz00_3764 = ((long) 0);
				BgL_loopz00_3765:
					if ((BgL_iz00_3764 == ((long) -1)))
						{	/* Cfa/box.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/box.scm 15 */
							{	/* Cfa/box.scm 15 */
								obj_t BgL_arg1996z00_3767;

								{	/* Cfa/box.scm 15 */

									{	/* Cfa/box.scm 15 */
										obj_t BgL_locationz00_3769;

										BgL_locationz00_3769 = BBOOL(((bool_t) 0));
										{	/* Cfa/box.scm 15 */

											BgL_arg1996z00_3767 =
												BGl_readz00zz__readerz00(BgL_cportz00_3763,
												BgL_locationz00_3769);
										}
									}
								}
								{	/* Cfa/box.scm 15 */
									int BgL_tmpz00_3907;

									BgL_tmpz00_3907 = (int) (BgL_iz00_3764);
									CNST_TABLE_SET(BgL_tmpz00_3907, BgL_arg1996z00_3767);
							}}
							{	/* Cfa/box.scm 15 */
								int BgL_auxz00_3770;

								BgL_auxz00_3770 = (int) ((BgL_iz00_3764 - ((long) 1)));
								{
									long BgL_iz00_3912;

									BgL_iz00_3912 = (long) (BgL_auxz00_3770);
									BgL_iz00_3764 = BgL_iz00_3912;
									goto BgL_loopz00_3765;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1980z00zzcfa_boxz00,
				BGl_string1981z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2boxz00zzcfa_infoz00, BGl_proc1982z00zzcfa_boxz00,
				BGl_string1981z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1983z00zzcfa_boxz00,
				BGl_string1981z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1984z00zzcfa_boxz00,
				BGl_string1981z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc1985z00zzcfa_boxz00,
				BGl_string1986z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc1987z00zzcfa_boxz00,
				BGl_string1986z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00,
				BGl_proc1988z00zzcfa_boxz00, BGl_string1986z00zzcfa_boxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1989z00zzcfa_boxz00,
				BGl_string1990z00zzcfa_boxz00);
		}

	}



/* &loose-alloc!-make-bo1527 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2bo1527za2zzcfa_boxz00(obj_t
		BgL_envz00_3733, obj_t BgL_allocz00_3734)
	{
		{	/* Cfa/box.scm 145 */
			return BUNSPEC;
		}

	}



/* &cfa!-box-set!/O-Cinf1525 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1525z42zzcfa_boxz00(obj_t
		BgL_envz00_3735, obj_t BgL_nodez00_3736)
	{
		{	/* Cfa/box.scm 117 */
			{	/* Cfa/box.scm 119 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3777;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3778;

				{	/* Cfa/box.scm 119 */
					BgL_varz00_bglt BgL_arg1647z00_3779;

					BgL_arg1647z00_3779 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3736))))->BgL_varz00);
					BgL_boxzd2approxzd2_3777 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1647z00_3779));
				}
				{	/* Cfa/box.scm 120 */
					BgL_nodez00_bglt BgL_arg1652z00_3780;

					BgL_arg1652z00_3780 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3736))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_3778 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1652z00_3780);
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_boxzd2approxzd2_3777))->
						BgL_topzf3zf3))
					{	/* Cfa/box.scm 122 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3778,
								CNST_TABLE_REF(((long) 0))));
					}
				else
					{	/* Cfa/box.scm 128 */
						obj_t BgL_zc3z04anonymousza31620ze3z87_3781;

						BgL_zc3z04anonymousza31620ze3z87_3781 =
							MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31620ze3ze5zzcfa_boxz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31620ze3z87_3781,
							(int) (((long) 0)),
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3736)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31620ze3z87_3781,
							(int) (((long) 1)), ((obj_t) BgL_valzd2approxzd2_3778));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31620ze3z87_3781, BgL_boxzd2approxzd2_3777);
			}}
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_3948;

				{
					obj_t BgL_auxz00_3949;

					{	/* Cfa/box.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_3950;

						BgL_tmpz00_3950 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3736));
						BgL_auxz00_3949 = BGL_OBJECT_WIDENING(BgL_tmpz00_3950);
					}
					BgL_auxz00_3948 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_3949);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_3948))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1620> */
	obj_t BGl_z62zc3z04anonymousza31620ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3737,
		obj_t BgL_boxz00_3740)
	{
		{	/* Cfa/box.scm 126 */
			{	/* Cfa/box.scm 128 */
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3738;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3739;

				BgL_nodez00_3738 =
					((BgL_boxzd2setz12zc0_bglt)
					PROCEDURE_REF(BgL_envz00_3737, (int) (((long) 0))));
				BgL_valzd2approxzd2_3739 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_3737, (int) (((long) 1))));
				{	/* Cfa/box.scm 128 */
					bool_t BgL_test2015z00_3962;

					{	/* Cfa/box.scm 128 */
						obj_t BgL_classz00_3782;

						BgL_classz00_3782 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_boxz00_3740))
							{	/* Cfa/box.scm 128 */
								BgL_objectz00_bglt BgL_arg1825z00_3783;

								BgL_arg1825z00_3783 = (BgL_objectz00_bglt) (BgL_boxz00_3740);
								{	/* Cfa/box.scm 128 */
									bool_t BgL_arg1822z00_3784;
									bool_t BgL_arg1823z00_3785;

									{	/* Cfa/box.scm 128 */
										long BgL_idxz00_3786;

										BgL_idxz00_3786 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3783);
										BgL_arg1822z00_3784 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3786 + ((long) 4))) == BgL_classz00_3782);
									}
									{	/* Cfa/box.scm 128 */
										bool_t BgL_res1962z00_3789;

										{	/* Cfa/box.scm 128 */
											obj_t BgL_oclassz00_3790;

											{	/* Cfa/box.scm 128 */
												long BgL_arg1833z00_3791;

												{	/* Cfa/box.scm 128 */
													long BgL_arg1834z00_3792;

													BgL_arg1834z00_3792 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3783);
													BgL_arg1833z00_3791 =
														(BgL_arg1834z00_3792 - OBJECT_TYPE);
												}
												BgL_oclassz00_3790 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3791);
											}
											{	/* Cfa/box.scm 128 */
												bool_t BgL__ortest_1110z00_3793;

												BgL__ortest_1110z00_3793 =
													(BgL_classz00_3782 == BgL_oclassz00_3790);
												if (BgL__ortest_1110z00_3793)
													{	/* Cfa/box.scm 128 */
														BgL_res1962z00_3789 = BgL__ortest_1110z00_3793;
													}
												else
													{	/* Cfa/box.scm 128 */
														long BgL_odepthz00_3794;

														BgL_odepthz00_3794 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3790);
														if ((((long) 4) < BgL_odepthz00_3794))
															{	/* Cfa/box.scm 128 */
																obj_t BgL_arg1821z00_3795;

																BgL_arg1821z00_3795 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3790,
																	((long) 4));
																BgL_res1962z00_3789 =
																	(BgL_arg1821z00_3795 == BgL_classz00_3782);
															}
														else
															{	/* Cfa/box.scm 128 */
																BgL_res1962z00_3789 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3785 = BgL_res1962z00_3789;
									}
									BgL_test2015z00_3962 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3784, BgL_arg1823z00_3785);
								}
							}
						else
							{	/* Cfa/box.scm 128 */
								BgL_test2015z00_3962 = ((bool_t) 0);
							}
					}
					if (BgL_test2015z00_3962)
						{	/* Cfa/box.scm 130 */
							BgL_approxz00_bglt BgL_arg1632z00_3796;

							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3981;

								{
									obj_t BgL_auxz00_3982;

									{	/* Cfa/box.scm 130 */
										BgL_objectz00_bglt BgL_tmpz00_3983;

										BgL_tmpz00_3983 =
											((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_boxz00_3740));
										BgL_auxz00_3982 = BGL_OBJECT_WIDENING(BgL_tmpz00_3983);
									}
									BgL_auxz00_3981 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3982);
								}
								BgL_arg1632z00_3796 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_3981))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1632z00_3796,
									BgL_valzd2approxzd2_3739));
						}
					else
						{	/* Cfa/box.scm 131 */
							bool_t BgL_test2019z00_3991;

							{	/* Cfa/box.scm 131 */
								obj_t BgL_classz00_3797;

								BgL_classz00_3797 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_boxz00_3740))
									{	/* Cfa/box.scm 131 */
										BgL_objectz00_bglt BgL_arg1825z00_3798;

										BgL_arg1825z00_3798 =
											(BgL_objectz00_bglt) (BgL_boxz00_3740);
										{	/* Cfa/box.scm 131 */
											bool_t BgL_arg1822z00_3799;
											bool_t BgL_arg1823z00_3800;

											{	/* Cfa/box.scm 131 */
												long BgL_idxz00_3801;

												BgL_idxz00_3801 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3798);
												BgL_arg1822z00_3799 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3801 + ((long) 4))) ==
													BgL_classz00_3797);
											}
											{	/* Cfa/box.scm 131 */
												bool_t BgL_res1963z00_3804;

												{	/* Cfa/box.scm 131 */
													obj_t BgL_oclassz00_3805;

													{	/* Cfa/box.scm 131 */
														long BgL_arg1833z00_3806;

														{	/* Cfa/box.scm 131 */
															long BgL_arg1834z00_3807;

															BgL_arg1834z00_3807 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3798);
															BgL_arg1833z00_3806 =
																(BgL_arg1834z00_3807 - OBJECT_TYPE);
														}
														BgL_oclassz00_3805 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3806);
													}
													{	/* Cfa/box.scm 131 */
														bool_t BgL__ortest_1110z00_3808;

														BgL__ortest_1110z00_3808 =
															(BgL_classz00_3797 == BgL_oclassz00_3805);
														if (BgL__ortest_1110z00_3808)
															{	/* Cfa/box.scm 131 */
																BgL_res1963z00_3804 = BgL__ortest_1110z00_3808;
															}
														else
															{	/* Cfa/box.scm 131 */
																long BgL_odepthz00_3809;

																BgL_odepthz00_3809 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3805);
																if ((((long) 4) < BgL_odepthz00_3809))
																	{	/* Cfa/box.scm 131 */
																		obj_t BgL_arg1821z00_3810;

																		BgL_arg1821z00_3810 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3805, ((long) 4));
																		BgL_res1963z00_3804 =
																			(BgL_arg1821z00_3810 ==
																			BgL_classz00_3797);
																	}
																else
																	{	/* Cfa/box.scm 131 */
																		BgL_res1963z00_3804 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3800 = BgL_res1963z00_3804;
											}
											BgL_test2019z00_3991 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3799,
												BgL_arg1823z00_3800);
										}
									}
								else
									{	/* Cfa/box.scm 131 */
										BgL_test2019z00_3991 = ((bool_t) 0);
									}
							}
							if (BgL_test2019z00_3991)
								{	/* Cfa/box.scm 135 */
									obj_t BgL_arg1636z00_3811;

									BgL_arg1636z00_3811 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3738));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1991z00zzcfa_boxz00,
										BGl_string1992z00zzcfa_boxz00, BgL_arg1636z00_3811);
								}
							else
								{	/* Cfa/box.scm 131 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-box-ref/O-Cinfo1523 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1523z50zzcfa_boxz00(obj_t
		BgL_envz00_3741, obj_t BgL_nodez00_3742)
	{
		{	/* Cfa/box.scm 97 */
			{	/* Cfa/box.scm 99 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3813;

				{	/* Cfa/box.scm 99 */
					BgL_varz00_bglt BgL_arg1613z00_3814;

					BgL_arg1613z00_3814 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3742))))->BgL_varz00);
					BgL_boxzd2approxzd2_3813 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1613z00_3814));
				}
				{	/* Cfa/box.scm 103 */
					obj_t BgL_zc3z04anonymousza31602ze3z87_3815;

					BgL_zc3z04anonymousza31602ze3z87_3815 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31602ze3ze5zzcfa_boxz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31602ze3z87_3815,
						(int) (((long) 0)),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3742)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31602ze3z87_3815,
						(int) (((long) 1)),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3742)));
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BgL_zc3z04anonymousza31602ze3z87_3815, BgL_boxzd2approxzd2_3813);
			}}
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4030;

				{
					obj_t BgL_auxz00_4031;

					{	/* Cfa/box.scm 112 */
						BgL_objectz00_bglt BgL_tmpz00_4032;

						BgL_tmpz00_4032 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3742));
						BgL_auxz00_4031 = BGL_OBJECT_WIDENING(BgL_tmpz00_4032);
					}
					BgL_auxz00_4030 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4031);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4030))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1602> */
	obj_t BGl_z62zc3z04anonymousza31602ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3743,
		obj_t BgL_boxz00_3746)
	{
		{	/* Cfa/box.scm 101 */
			{	/* Cfa/box.scm 103 */
				BgL_boxzd2refzd2_bglt BgL_nodez00_3744;
				BgL_boxzd2refzd2_bglt BgL_i1189z00_3745;

				BgL_nodez00_3744 =
					((BgL_boxzd2refzd2_bglt)
					PROCEDURE_REF(BgL_envz00_3743, (int) (((long) 0))));
				BgL_i1189z00_3745 =
					((BgL_boxzd2refzd2_bglt)
					PROCEDURE_REF(BgL_envz00_3743, (int) (((long) 1))));
				{	/* Cfa/box.scm 103 */
					bool_t BgL_test2023z00_4044;

					{	/* Cfa/box.scm 103 */
						obj_t BgL_classz00_3816;

						BgL_classz00_3816 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_boxz00_3746))
							{	/* Cfa/box.scm 103 */
								BgL_objectz00_bglt BgL_arg1825z00_3817;

								BgL_arg1825z00_3817 = (BgL_objectz00_bglt) (BgL_boxz00_3746);
								{	/* Cfa/box.scm 103 */
									bool_t BgL_arg1822z00_3818;
									bool_t BgL_arg1823z00_3819;

									{	/* Cfa/box.scm 103 */
										long BgL_idxz00_3820;

										BgL_idxz00_3820 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3817);
										BgL_arg1822z00_3818 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3820 + ((long) 4))) == BgL_classz00_3816);
									}
									{	/* Cfa/box.scm 103 */
										bool_t BgL_res1960z00_3823;

										{	/* Cfa/box.scm 103 */
											obj_t BgL_oclassz00_3824;

											{	/* Cfa/box.scm 103 */
												long BgL_arg1833z00_3825;

												{	/* Cfa/box.scm 103 */
													long BgL_arg1834z00_3826;

													BgL_arg1834z00_3826 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3817);
													BgL_arg1833z00_3825 =
														(BgL_arg1834z00_3826 - OBJECT_TYPE);
												}
												BgL_oclassz00_3824 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3825);
											}
											{	/* Cfa/box.scm 103 */
												bool_t BgL__ortest_1110z00_3827;

												BgL__ortest_1110z00_3827 =
													(BgL_classz00_3816 == BgL_oclassz00_3824);
												if (BgL__ortest_1110z00_3827)
													{	/* Cfa/box.scm 103 */
														BgL_res1960z00_3823 = BgL__ortest_1110z00_3827;
													}
												else
													{	/* Cfa/box.scm 103 */
														long BgL_odepthz00_3828;

														BgL_odepthz00_3828 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3824);
														if ((((long) 4) < BgL_odepthz00_3828))
															{	/* Cfa/box.scm 103 */
																obj_t BgL_arg1821z00_3829;

																BgL_arg1821z00_3829 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3824,
																	((long) 4));
																BgL_res1960z00_3823 =
																	(BgL_arg1821z00_3829 == BgL_classz00_3816);
															}
														else
															{	/* Cfa/box.scm 103 */
																BgL_res1960z00_3823 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3819 = BgL_res1960z00_3823;
									}
									BgL_test2023z00_4044 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3818, BgL_arg1823z00_3819);
								}
							}
						else
							{	/* Cfa/box.scm 103 */
								BgL_test2023z00_4044 = ((bool_t) 0);
							}
					}
					if (BgL_test2023z00_4044)
						{	/* Cfa/box.scm 105 */
							BgL_approxz00_bglt BgL_arg1604z00_3830;
							BgL_approxz00_bglt BgL_arg1606z00_3831;

							{
								BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4063;

								{
									obj_t BgL_auxz00_4064;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_tmpz00_4065;

										BgL_tmpz00_4065 = ((BgL_objectz00_bglt) BgL_i1189z00_3745);
										BgL_auxz00_4064 = BGL_OBJECT_WIDENING(BgL_tmpz00_4065);
									}
									BgL_auxz00_4063 =
										((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4064);
								}
								BgL_arg1604z00_3830 =
									(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4063))->BgL_approxz00);
							}
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4070;

								{
									obj_t BgL_auxz00_4071;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_tmpz00_4072;

										BgL_tmpz00_4072 =
											((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_boxz00_3746));
										BgL_auxz00_4071 = BGL_OBJECT_WIDENING(BgL_tmpz00_4072);
									}
									BgL_auxz00_4070 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4071);
								}
								BgL_arg1606z00_3831 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4070))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1604z00_3830,
									BgL_arg1606z00_3831));
						}
					else
						{	/* Cfa/box.scm 106 */
							bool_t BgL_test2027z00_4080;

							{	/* Cfa/box.scm 106 */
								obj_t BgL_classz00_3832;

								BgL_classz00_3832 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_boxz00_3746))
									{	/* Cfa/box.scm 106 */
										BgL_objectz00_bglt BgL_arg1825z00_3833;

										BgL_arg1825z00_3833 =
											(BgL_objectz00_bglt) (BgL_boxz00_3746);
										{	/* Cfa/box.scm 106 */
											bool_t BgL_arg1822z00_3834;
											bool_t BgL_arg1823z00_3835;

											{	/* Cfa/box.scm 106 */
												long BgL_idxz00_3836;

												BgL_idxz00_3836 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3833);
												BgL_arg1822z00_3834 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3836 + ((long) 4))) ==
													BgL_classz00_3832);
											}
											{	/* Cfa/box.scm 106 */
												bool_t BgL_res1961z00_3839;

												{	/* Cfa/box.scm 106 */
													obj_t BgL_oclassz00_3840;

													{	/* Cfa/box.scm 106 */
														long BgL_arg1833z00_3841;

														{	/* Cfa/box.scm 106 */
															long BgL_arg1834z00_3842;

															BgL_arg1834z00_3842 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3833);
															BgL_arg1833z00_3841 =
																(BgL_arg1834z00_3842 - OBJECT_TYPE);
														}
														BgL_oclassz00_3840 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3841);
													}
													{	/* Cfa/box.scm 106 */
														bool_t BgL__ortest_1110z00_3843;

														BgL__ortest_1110z00_3843 =
															(BgL_classz00_3832 == BgL_oclassz00_3840);
														if (BgL__ortest_1110z00_3843)
															{	/* Cfa/box.scm 106 */
																BgL_res1961z00_3839 = BgL__ortest_1110z00_3843;
															}
														else
															{	/* Cfa/box.scm 106 */
																long BgL_odepthz00_3844;

																BgL_odepthz00_3844 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3840);
																if ((((long) 4) < BgL_odepthz00_3844))
																	{	/* Cfa/box.scm 106 */
																		obj_t BgL_arg1821z00_3845;

																		BgL_arg1821z00_3845 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3840, ((long) 4));
																		BgL_res1961z00_3839 =
																			(BgL_arg1821z00_3845 ==
																			BgL_classz00_3832);
																	}
																else
																	{	/* Cfa/box.scm 106 */
																		BgL_res1961z00_3839 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3835 = BgL_res1961z00_3839;
											}
											BgL_test2027z00_4080 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3834,
												BgL_arg1823z00_3835);
										}
									}
								else
									{	/* Cfa/box.scm 106 */
										BgL_test2027z00_4080 = ((bool_t) 0);
									}
							}
							if (BgL_test2027z00_4080)
								{	/* Cfa/box.scm 110 */
									obj_t BgL_arg1612z00_3846;

									BgL_arg1612z00_3846 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3744));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1991z00zzcfa_boxz00,
										BGl_string1992z00zzcfa_boxz00, BgL_arg1612z00_3846);
								}
							else
								{	/* Cfa/box.scm 106 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-make-box/O-Cinf1521 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1521z50zzcfa_boxz00(obj_t
		BgL_envz00_3747, obj_t BgL_nodez00_3748)
	{
		{	/* Cfa/box.scm 87 */
			{	/* Cfa/box.scm 90 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3848;

				{	/* Cfa/box.scm 90 */
					BgL_nodez00_bglt BgL_arg1597z00_3849;

					BgL_arg1597z00_3849 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3748))))->BgL_valuez00);
					BgL_initzd2valuezd2approxz00_3848 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1597z00_3849);
				}
				{	/* Cfa/box.scm 91 */
					BgL_approxz00_bglt BgL_arg1595z00_3850;

					{
						BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4106;

						{
							obj_t BgL_auxz00_4107;

							{	/* Cfa/box.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_4108;

								BgL_tmpz00_4108 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3748));
								BgL_auxz00_4107 = BGL_OBJECT_WIDENING(BgL_tmpz00_4108);
							}
							BgL_auxz00_4106 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4107);
						}
						BgL_arg1595z00_3850 =
							(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4106))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1595z00_3850,
						BgL_initzd2valuezd2approxz00_3848);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4115;

					{
						obj_t BgL_auxz00_4116;

						{	/* Cfa/box.scm 92 */
							BgL_objectz00_bglt BgL_tmpz00_4117;

							BgL_tmpz00_4117 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3748));
							BgL_auxz00_4116 = BGL_OBJECT_WIDENING(BgL_tmpz00_4117);
						}
						BgL_auxz00_4115 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4116);
					}
					return
						(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4115))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-box-ref1519 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1519za2zzcfa_boxz00(obj_t
		BgL_envz00_3749, obj_t BgL_nodez00_3750)
	{
		{	/* Cfa/box.scm 73 */
			{	/* Cfa/box.scm 75 */
				BgL_varz00_bglt BgL_arg1582z00_3852;

				BgL_arg1582z00_3852 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1582z00_3852));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 77 */
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1181z00_3853;

						BgL_wide1181z00_3853 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
						{	/* Cfa/box.scm 77 */
							obj_t BgL_auxz00_4135;
							BgL_objectz00_bglt BgL_tmpz00_4131;

							BgL_auxz00_4135 = ((obj_t) BgL_wide1181z00_3853);
							BgL_tmpz00_4131 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4131, BgL_auxz00_4135);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
						{	/* Cfa/box.scm 77 */
							long BgL_arg1585z00_3854;

							BgL_arg1585z00_3854 =
								BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750))),
								BgL_arg1585z00_3854);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
					}
					{
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4149;

						{
							obj_t BgL_auxz00_4150;

							{	/* Cfa/box.scm 78 */
								BgL_objectz00_bglt BgL_tmpz00_4151;

								BgL_tmpz00_4151 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
								BgL_auxz00_4150 = BGL_OBJECT_WIDENING(BgL_tmpz00_4151);
							}
							BgL_auxz00_4149 =
								((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4150);
						}
						((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4149))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
				}
			else
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 80 */
						BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1186z00_3855;

						BgL_wide1186z00_3855 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2cinfoz20_bgl))));
						{	/* Cfa/box.scm 80 */
							obj_t BgL_auxz00_4168;
							BgL_objectz00_bglt BgL_tmpz00_4164;

							BgL_auxz00_4168 = ((obj_t) BgL_wide1186z00_3855);
							BgL_tmpz00_4164 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4164, BgL_auxz00_4168);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
						{	/* Cfa/box.scm 80 */
							long BgL_arg1586z00_3856;

							BgL_arg1586z00_3856 =
								BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750))),
								BgL_arg1586z00_3856);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
					}
					{
						BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4182;

						{
							obj_t BgL_auxz00_4183;

							{	/* Cfa/box.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_4184;

								BgL_tmpz00_4184 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
								BgL_auxz00_4183 = BGL_OBJECT_WIDENING(BgL_tmpz00_4184);
							}
							BgL_auxz00_4182 =
								((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4183);
						}
						((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4182))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750));
					{	/* Cfa/box.scm 82 */
						BgL_approxz00_bglt BgL_arg1588z00_3857;

						{
							BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4195;

							{
								obj_t BgL_auxz00_4196;

								{	/* Cfa/box.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_4197;

									BgL_tmpz00_4197 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_3750)));
									BgL_auxz00_4196 = BGL_OBJECT_WIDENING(BgL_tmpz00_4197);
								}
								BgL_auxz00_4195 =
									((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4196);
							}
							BgL_arg1588z00_3857 =
								(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4195))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1588z00_3857);
					}
				}
		}

	}



/* &node-setup!-box-set!1517 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121517zb0zzcfa_boxz00(obj_t
		BgL_envz00_3751, obj_t BgL_nodez00_3752)
	{
		{	/* Cfa/box.scm 60 */
			{	/* Cfa/box.scm 62 */
				BgL_varz00_bglt BgL_arg1567z00_3859;

				BgL_arg1567z00_3859 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1567z00_3859));
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)))->BgL_valuez00));
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 65 */
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1172z00_3860;

						BgL_wide1172z00_3860 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
						{	/* Cfa/box.scm 65 */
							obj_t BgL_auxz00_4220;
							BgL_objectz00_bglt BgL_tmpz00_4216;

							BgL_auxz00_4220 = ((obj_t) BgL_wide1172z00_3860);
							BgL_tmpz00_4216 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4216, BgL_auxz00_4220);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
						{	/* Cfa/box.scm 65 */
							long BgL_arg1578z00_3861;

							BgL_arg1578z00_3861 =
								BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752))),
								BgL_arg1578z00_3861);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
					}
					{
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_4234;

						{
							obj_t BgL_auxz00_4235;

							{	/* Cfa/box.scm 66 */
								BgL_objectz00_bglt BgL_tmpz00_4236;

								BgL_tmpz00_4236 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
								BgL_auxz00_4235 = BGL_OBJECT_WIDENING(BgL_tmpz00_4236);
							}
							BgL_auxz00_4234 =
								((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_4235);
						}
						((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
									COBJECT(BgL_auxz00_4234))->BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
				}
			else
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 67 */
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1176z00_3862;

						BgL_wide1176z00_3862 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2cinfoz32_bgl))));
						{	/* Cfa/box.scm 67 */
							obj_t BgL_auxz00_4253;
							BgL_objectz00_bglt BgL_tmpz00_4249;

							BgL_auxz00_4253 = ((obj_t) BgL_wide1176z00_3862);
							BgL_tmpz00_4249 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4249, BgL_auxz00_4253);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
						{	/* Cfa/box.scm 67 */
							long BgL_arg1581z00_3863;

							BgL_arg1581z00_3863 =
								BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752))),
								BgL_arg1581z00_3863);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
					}
					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4267;

						{
							obj_t BgL_auxz00_4268;

							{	/* Cfa/box.scm 68 */
								BgL_objectz00_bglt BgL_tmpz00_4269;

								BgL_tmpz00_4269 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
								BgL_auxz00_4268 = BGL_OBJECT_WIDENING(BgL_tmpz00_4269);
							}
							BgL_auxz00_4267 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4268);
						}
						((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4267))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3752)));
				}
		}

	}



/* &node-setup!-pre-make1515 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1515za2zzcfa_boxz00(obj_t
		BgL_envz00_3753, obj_t BgL_nodez00_3754)
	{
		{	/* Cfa/box.scm 46 */
			{	/* Cfa/box.scm 48 */
				BgL_nodez00_bglt BgL_arg1551z00_3865;

				BgL_arg1551z00_3865 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3754))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1551z00_3865);
			}
			{	/* Cfa/box.scm 49 */
				BgL_makezd2boxzd2_bglt BgL_nodez00_3866;

				{	/* Cfa/box.scm 49 */
					long BgL_arg1555z00_3867;

					{	/* Cfa/box.scm 49 */
						obj_t BgL_arg1563z00_3868;

						{	/* Cfa/box.scm 49 */
							obj_t BgL_arg1564z00_3869;

							{	/* Cfa/box.scm 49 */
								long BgL_arg1833z00_3870;

								{	/* Cfa/box.scm 49 */
									long BgL_arg1834z00_3871;

									BgL_arg1834z00_3871 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3754)));
									BgL_arg1833z00_3870 = (BgL_arg1834z00_3871 - OBJECT_TYPE);
								}
								BgL_arg1564z00_3869 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_3870);
							}
							BgL_arg1563z00_3868 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1564z00_3869);
						}
						{	/* Cfa/box.scm 49 */
							obj_t BgL_tmpz00_4291;

							BgL_tmpz00_4291 = ((obj_t) BgL_arg1563z00_3868);
							BgL_arg1555z00_3867 = BGL_CLASS_NUM(BgL_tmpz00_4291);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3754)),
						BgL_arg1555z00_3867);
				}
				{	/* Cfa/box.scm 49 */
					BgL_objectz00_bglt BgL_tmpz00_4297;

					BgL_tmpz00_4297 =
						((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3754));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4297, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3754));
				BgL_nodez00_3866 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3754);
				{	/* Cfa/box.scm 49 */

					{	/* Cfa/box.scm 50 */
						BgL_makezd2boxzd2_bglt BgL_nodez00_3872;

						{	/* Cfa/box.scm 50 */
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1167z00_3873;

							BgL_wide1167z00_3873 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
							{	/* Cfa/box.scm 50 */
								obj_t BgL_auxz00_4309;
								BgL_objectz00_bglt BgL_tmpz00_4305;

								BgL_auxz00_4309 = ((obj_t) BgL_wide1167z00_3873);
								BgL_tmpz00_4305 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4305, BgL_auxz00_4309);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866)));
							{	/* Cfa/box.scm 50 */
								long BgL_arg1554z00_3874;

								BgL_arg1554z00_3874 =
									BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866))),
									BgL_arg1554z00_3874);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866)));
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4323;

							{
								obj_t BgL_auxz00_4324;

								{	/* Cfa/box.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_4325;

									BgL_tmpz00_4325 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866)));
									BgL_auxz00_4324 = BGL_OBJECT_WIDENING(BgL_tmpz00_4325);
								}
								BgL_auxz00_4323 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4324);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4323))->BgL_approxz00) =
								((BgL_approxz00_bglt)
									BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4334;

							{
								obj_t BgL_auxz00_4335;

								{	/* Cfa/box.scm 52 */
									BgL_objectz00_bglt BgL_tmpz00_4336;

									BgL_tmpz00_4336 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866)));
									BgL_auxz00_4335 = BGL_OBJECT_WIDENING(BgL_tmpz00_4336);
								}
								BgL_auxz00_4334 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4335);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4334))->BgL_valuezd2approxzd2) =
								((BgL_approxz00_bglt)
									BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
						}
						BgL_nodez00_3872 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3866));
						{	/* Cfa/box.scm 55 */
							BgL_approxz00_bglt BgL_arg1552z00_3875;

							BgL_arg1552z00_3875 =
								BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
								((BgL_nodez00_bglt) BgL_nodez00_3872));
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4349;

								{
									obj_t BgL_auxz00_4350;

									{	/* Cfa/box.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_4351;

										BgL_tmpz00_4351 = ((BgL_objectz00_bglt) BgL_nodez00_3872);
										BgL_auxz00_4350 = BGL_OBJECT_WIDENING(BgL_tmpz00_4351);
									}
									BgL_auxz00_4349 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4350);
								}
								return
									((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
											COBJECT(BgL_auxz00_4349))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_arg1552z00_3875), BUNSPEC);
							}
						}
					}
				}
			}
		}

	}



/* &node-setup!-make-box1513 */
	obj_t BGl_z62nodezd2setupz12zd2makezd2box1513za2zzcfa_boxz00(obj_t
		BgL_envz00_3755, obj_t BgL_nodez00_3756)
	{
		{	/* Cfa/box.scm 36 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756)))->BgL_valuez00));
			{	/* Cfa/box.scm 39 */
				BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1161z00_3877;

				BgL_wide1161z00_3877 =
					((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2cinfoz20_bgl))));
				{	/* Cfa/box.scm 39 */
					obj_t BgL_auxz00_4364;
					BgL_objectz00_bglt BgL_tmpz00_4360;

					BgL_auxz00_4364 = ((obj_t) BgL_wide1161z00_3877);
					BgL_tmpz00_4360 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4360, BgL_auxz00_4364);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756)));
				{	/* Cfa/box.scm 39 */
					long BgL_arg1543z00_3878;

					BgL_arg1543z00_3878 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756))),
						BgL_arg1543z00_3878);
				}
				((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4378;

				{
					obj_t BgL_auxz00_4379;

					{	/* Cfa/box.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_4380;

						BgL_tmpz00_4380 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756)));
						BgL_auxz00_4379 = BGL_OBJECT_WIDENING(BgL_tmpz00_4380);
					}
					BgL_auxz00_4378 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4379);
				}
				((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4378))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756));
			{	/* Cfa/box.scm 41 */
				BgL_approxz00_bglt BgL_arg1548z00_3879;

				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4391;

					{
						obj_t BgL_auxz00_4392;

						{	/* Cfa/box.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_4393;

							BgL_tmpz00_4393 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3756)));
							BgL_auxz00_4392 = BGL_OBJECT_WIDENING(BgL_tmpz00_4393);
						}
						BgL_auxz00_4391 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4392);
					}
					BgL_arg1548z00_3879 =
						(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4391))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1548z00_3879);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_boxz00));
		}

	}

#ifdef __cplusplus
}
#endif
