/*===========================================================================*/
/*   (Cfa/cfa.scm)                                                           */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/cfa.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_instanceofzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_instanceofzf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;


	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2genpatchidzf2Cinf1626z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2sequence1618za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_objectzd2initzd2zzcfa_cfaz00();
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2fun1648z70zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setfieldzf2Cinfo1630z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_globalzd2loosez12zc0zzcfa_loosez00(BgL_globalz00_bglt,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2instanceofzf2Cinf1634z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_cfaz00();
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conditionalzf2Cin1642z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	extern obj_t BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1652z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2closure1604za2zzcfa_cfaz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2var1650z70zzcfa_cfaz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2failzf2Cinfo1644z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_cfaz00();
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2patchzf2Cinfo1596z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_instanceofzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Cinfo1660z82zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setqzf2Cinfo1640z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12z70zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2sync1620za2zzcfa_cfaz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1654z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1658z90zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BUNSPEC;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2appzd2lyzf2Cinfo1622z82zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2switchzf2Cinfo1646z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1636z82zzcfa_cfaz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_cfaz00();
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Cinfo1656z82zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2kwotezf2node1600z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1605zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1608zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1610zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1612zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1614zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1616zb0zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62cfaz121591z70zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2pragmazf2Cinfo1624z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2literalzf2Cinfo1594z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2kwotezf2Cinfo1598z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_cfaz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00();
	static BgL_approxz00_bglt BGl_z62cfaz12zd2var1602za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2cast1638za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2getfieldzf2Cinfo1628z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2newzf2Cinfo1632z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzcfa_cfaz00,
		BgL_bgl_string2120za700za7za7c2172za7, "cfa!1591", 8);
	      DEFINE_STRING(BGl_string2122z00zzcfa_cfaz00,
		BgL_bgl_string2122za700za7za7c2173za7, "cfa-variable-value-a1605", 24);
	      DEFINE_STRING(BGl_string2123z00zzcfa_cfaz00,
		BgL_bgl_string2123za700za7za7c2174za7, " ", 1);
	      DEFINE_STRING(BGl_string2124z00zzcfa_cfaz00,
		BgL_bgl_string2124za700za7za7c2175za7, "PAS GLOP ", 9);
	      DEFINE_STRING(BGl_string2125z00zzcfa_cfaz00,
		BgL_bgl_string2125za700za7za7c2176za7, ":", 1);
	      DEFINE_STRING(BGl_string2126z00zzcfa_cfaz00,
		BgL_bgl_string2126za700za7za7c2177za7, ",", 1);
	      DEFINE_STRING(BGl_string2127z00zzcfa_cfaz00,
		BgL_bgl_string2127za700za7za7c2178za7, "Cfa/cfa.scm", 11);
	      DEFINE_STRING(BGl_string2128z00zzcfa_cfaz00,
		BgL_bgl_string2128za700za7za7c2179za7, "pas", 3);
	      DEFINE_STRING(BGl_string2129z00zzcfa_cfaz00,
		BgL_bgl_string2129za700za7za7c2180za7, "glop", 4);
	      DEFINE_STRING(BGl_string2130z00zzcfa_cfaz00,
		BgL_bgl_string2130za700za7za7c2181za7, "glup", 4);
	      DEFINE_STRING(BGl_string2131z00zzcfa_cfaz00,
		BgL_bgl_string2131za700za7za7c2182za7, "cfa!:no method for this ast", 27);
	      DEFINE_STRING(BGl_string2133z00zzcfa_cfaz00,
		BgL_bgl_string2133za700za7za7c2183za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string2140z00zzcfa_cfaz00,
		BgL_bgl_string2140za700za7za7c2184za7, "cfa-variable-value-approx", 25);
	      DEFINE_STRING(BGl_string2167z00zzcfa_cfaz00,
		BgL_bgl_string2167za700za7za7c2185za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2168z00zzcfa_cfaz00,
		BgL_bgl_string2168za700za7za7c2186za7, "cfa_cfa", 7);
	      DEFINE_STRING(BGl_string2169z00zzcfa_cfaz00,
		BgL_bgl_string2169za700za7za7c2187za7, "static all ", 11);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za770za7za7cf2188za7, BGl_z62cfaz12z70zzcfa_cfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7121591za7702189za7, BGl_z62cfaz121591z70zzcfa_cfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2190z00,
		BGl_z62cfazd2variablezd2valuezd2a1605zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2lite2191za7,
		BGl_z62cfaz12zd2literalzf2Cinfo1594z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2patc2192za7,
		BGl_z62cfaz12zd2patchzf2Cinfo1596z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2kwot2193za7,
		BGl_z62cfaz12zd2kwotezf2Cinfo1598z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2kwot2194za7,
		BGl_z62cfaz12zd2kwotezf2node1600z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2var12195za7,
		BGl_z62cfaz12zd2var1602za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2clos2196za7,
		BGl_z62cfaz12zd2closure1604za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2197z00,
		BGl_z62cfazd2variablezd2valuezd2a1608zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2198z00,
		BGl_z62cfazd2variablezd2valuezd2a1610zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2199z00,
		BGl_z62cfazd2variablezd2valuezd2a1612zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2200z00,
		BGl_z62cfazd2variablezd2valuezd2a1614zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2201z00,
		BGl_z62cfazd2variablezd2valuezd2a1616zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2sequ2202za7,
		BGl_z62cfaz12zd2sequence1618za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2sync2203za7,
		BGl_z62cfaz12zd2sync1620za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2appza72204z00,
		BGl_z62cfaz12zd2appzd2lyzf2Cinfo1622z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2prag2205za7,
		BGl_z62cfaz12zd2pragmazf2Cinfo1624z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2genp2206za7,
		BGl_z62cfaz12zd2genpatchidzf2Cinf1626z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2getf2207za7,
		BGl_z62cfaz12zd2getfieldzf2Cinfo1628z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setf2208za7,
		BGl_z62cfaz12zd2setfieldzf2Cinfo1630z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2newza72209z00,
		BGl_z62cfaz12zd2newzf2Cinfo1632z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2inst2210za7,
		BGl_z62cfaz12zd2instanceofzf2Cinf1634z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cast2211za7,
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1636z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cast2212za7,
		BGl_z62cfaz12zd2cast1638za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setq2213za7,
		BGl_z62cfaz12zd2setqzf2Cinfo1640z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cond2214za7,
		BGl_z62cfaz12zd2conditionalzf2Cin1642z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2fail2215za7,
		BGl_z62cfaz12zd2failzf2Cinfo1644z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2swit2216za7,
		BGl_z62cfaz12zd2switchzf2Cinfo1646z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2letza72217z00,
		BGl_z62cfaz12zd2letzd2fun1648z70zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2letza72218z00,
		BGl_z62cfaz12zd2letzd2var1650z70zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setza72219z00,
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1652z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2jump2220za7,
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1654z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2make2221za7,
		BGl_z62cfaz12zd2makezd2boxzf2Cinfo1656z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2boxza72222z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1658z90zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2boxza72223z00,
		BGl_z62cfaz12zd2boxzd2refzf2Cinfo1660z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2224z00,
		BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_cfaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long
		BgL_checksumz00_4750, char *BgL_fromz00_4751)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_cfaz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_cfaz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00();
					BGl_cnstzd2initzd2zzcfa_cfaz00();
					BGl_importedzd2moduleszd2initz00zzcfa_cfaz00();
					BGl_genericzd2initzd2zzcfa_cfaz00();
					BGl_methodzd2initzd2zzcfa_cfaz00();
					return BGl_toplevelzd2initzd2zzcfa_cfaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_cfa");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			{	/* Cfa/cfa.scm 15 */
				obj_t BgL_cportz00_4578;

				{	/* Cfa/cfa.scm 15 */
					obj_t BgL_stringz00_4586;

					BgL_stringz00_4586 = BGl_string2169z00zzcfa_cfaz00;
					{	/* Cfa/cfa.scm 15 */
						obj_t BgL_startz00_4587;

						BgL_startz00_4587 = BINT(((long) 0));
						{	/* Cfa/cfa.scm 15 */
							obj_t BgL_endz00_4588;

							BgL_endz00_4588 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4586)));
							{	/* Cfa/cfa.scm 15 */

								BgL_cportz00_4578 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4586, BgL_startz00_4587, BgL_endz00_4588);
				}}}}
				{
					long BgL_iz00_4579;

					BgL_iz00_4579 = ((long) 1);
				BgL_loopz00_4580:
					if ((BgL_iz00_4579 == ((long) -1)))
						{	/* Cfa/cfa.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/cfa.scm 15 */
							{	/* Cfa/cfa.scm 15 */
								obj_t BgL_arg2171z00_4582;

								{	/* Cfa/cfa.scm 15 */

									{	/* Cfa/cfa.scm 15 */
										obj_t BgL_locationz00_4584;

										BgL_locationz00_4584 = BBOOL(((bool_t) 0));
										{	/* Cfa/cfa.scm 15 */

											BgL_arg2171z00_4582 =
												BGl_readz00zz__readerz00(BgL_cportz00_4578,
												BgL_locationz00_4584);
										}
									}
								}
								{	/* Cfa/cfa.scm 15 */
									int BgL_tmpz00_4782;

									BgL_tmpz00_4782 = (int) (BgL_iz00_4579);
									CNST_TABLE_SET(BgL_tmpz00_4782, BgL_arg2171z00_4582);
							}}
							{	/* Cfa/cfa.scm 15 */
								int BgL_auxz00_4585;

								BgL_auxz00_4585 = (int) ((BgL_iz00_4579 - ((long) 1)));
								{
									long BgL_iz00_4787;

									BgL_iz00_4787 = (long) (BgL_auxz00_4585);
									BgL_iz00_4579 = BgL_iz00_4787;
									goto BgL_loopz00_4580;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_proc2119z00zzcfa_cfaz00, BGl_nodez00zzast_nodez00,
				BGl_string2120z00zzcfa_cfaz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_proc2121z00zzcfa_cfaz00, BGl_valuez00zzast_varz00,
				BGl_string2122z00zzcfa_cfaz00);
		}

	}



/* &cfa-variable-value-a1605 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1605zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4471, obj_t BgL_valuez00_4472)
	{
		{	/* Cfa/cfa.scm 92 */
			{	/* Cfa/cfa.scm 93 */
				obj_t BgL_arg1679z00_4591;
				obj_t BgL_arg1681z00_4592;
				obj_t BgL_arg1682z00_4593;

				{	/* Cfa/cfa.scm 93 */
					obj_t BgL_tmpz00_4792;

					BgL_tmpz00_4792 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1679z00_4591 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4792);
				}
				BgL_arg1681z00_4592 =
					bgl_typeof(((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_4472)));
				BgL_arg1682z00_4593 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_4472)));
				{	/* Cfa/cfa.scm 93 */
					obj_t BgL_list1683z00_4594;

					{	/* Cfa/cfa.scm 93 */
						obj_t BgL_arg1694z00_4595;

						{	/* Cfa/cfa.scm 93 */
							obj_t BgL_arg1695z00_4596;

							{	/* Cfa/cfa.scm 93 */
								obj_t BgL_arg1696z00_4597;

								{	/* Cfa/cfa.scm 93 */
									obj_t BgL_arg1699z00_4598;

									{	/* Cfa/cfa.scm 93 */
										obj_t BgL_arg1703z00_4599;

										{	/* Cfa/cfa.scm 93 */
											obj_t BgL_arg1706z00_4600;

											{	/* Cfa/cfa.scm 93 */
												obj_t BgL_arg1711z00_4601;

												BgL_arg1711z00_4601 =
													MAKE_YOUNG_PAIR(BgL_arg1682z00_4593, BNIL);
												BgL_arg1706z00_4600 =
													MAKE_YOUNG_PAIR(BGl_string2123z00zzcfa_cfaz00,
													BgL_arg1711z00_4601);
											}
											BgL_arg1703z00_4599 =
												MAKE_YOUNG_PAIR(BgL_arg1681z00_4592,
												BgL_arg1706z00_4600);
										}
										BgL_arg1699z00_4598 =
											MAKE_YOUNG_PAIR(BGl_string2124z00zzcfa_cfaz00,
											BgL_arg1703z00_4599);
									}
									BgL_arg1696z00_4597 =
										MAKE_YOUNG_PAIR(BGl_string2125z00zzcfa_cfaz00,
										BgL_arg1699z00_4598);
								}
								BgL_arg1695z00_4596 =
									MAKE_YOUNG_PAIR(BINT(((long) 93)), BgL_arg1696z00_4597);
							}
							BgL_arg1694z00_4595 =
								MAKE_YOUNG_PAIR(BGl_string2126z00zzcfa_cfaz00,
								BgL_arg1695z00_4596);
						}
						BgL_list1683z00_4594 =
							MAKE_YOUNG_PAIR(BGl_string2127z00zzcfa_cfaz00,
							BgL_arg1694z00_4595);
					}
					BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1679z00_4591,
						BgL_list1683z00_4594);
			}}
			return
				BGl_errorz00zz__errorz00(BGl_string2128z00zzcfa_cfaz00,
				BGl_string2129z00zzcfa_cfaz00, BGl_string2130z00zzcfa_cfaz00);
		}

	}



/* &cfa!1591 */
	obj_t BGl_z62cfaz121591z70zzcfa_cfaz00(obj_t BgL_envz00_4473,
		obj_t BgL_nodez00_4474)
	{
		{	/* Cfa/cfa.scm 37 */
			{	/* Cfa/cfa.scm 38 */
				obj_t BgL_arg1676z00_4603;

				BgL_arg1676z00_4603 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4474)));
				return
					BGl_internalzd2errorzd2zztools_errorz00(BGl_string2131z00zzcfa_cfaz00,
					((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4474)), BgL_arg1676z00_4603);
			}
		}

	}



/* cfa! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Cfa/cfa.scm 37 */
			{	/* Cfa/cfa.scm 37 */
				obj_t BgL_method1592z00_3371;

				{	/* Cfa/cfa.scm 37 */
					obj_t BgL_res2111z00_4285;

					{	/* Cfa/cfa.scm 37 */
						long BgL_objzd2classzd2numz00_4256;

						BgL_objzd2classzd2numz00_4256 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Cfa/cfa.scm 37 */
							obj_t BgL_arg1829z00_4257;

							BgL_arg1829z00_4257 =
								PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
								(int) (((long) 1)));
							{	/* Cfa/cfa.scm 37 */
								int BgL_offsetz00_4260;

								BgL_offsetz00_4260 = (int) (BgL_objzd2classzd2numz00_4256);
								{	/* Cfa/cfa.scm 37 */
									long BgL_offsetz00_4261;

									BgL_offsetz00_4261 =
										((long) (BgL_offsetz00_4260) - OBJECT_TYPE);
									{	/* Cfa/cfa.scm 37 */
										long BgL_modz00_4262;

										BgL_modz00_4262 =
											(BgL_offsetz00_4261 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/cfa.scm 37 */
											long BgL_restz00_4264;

											BgL_restz00_4264 =
												(BgL_offsetz00_4261 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/cfa.scm 37 */

												{	/* Cfa/cfa.scm 37 */
													obj_t BgL_bucketz00_4266;

													BgL_bucketz00_4266 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4257), BgL_modz00_4262);
													BgL_res2111z00_4285 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4266), BgL_restz00_4264);
					}}}}}}}}
					BgL_method1592z00_3371 = BgL_res2111z00_4285;
				}
				return
					((BgL_approxz00_bglt)
					PROCEDURE_ENTRY(BgL_method1592z00_3371) (BgL_method1592z00_3371,
						((obj_t) BgL_nodez00_3), BEOA));
			}
		}

	}



/* &cfa! */
	BgL_approxz00_bglt BGl_z62cfaz12z70zzcfa_cfaz00(obj_t BgL_envz00_4475,
		obj_t BgL_nodez00_4476)
	{
		{	/* Cfa/cfa.scm 37 */
			return BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_nodez00_4476));
		}

	}



/* cfa-variable-value-approx */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt
		BgL_valuez00_10)
	{
		{	/* Cfa/cfa.scm 92 */
			{	/* Cfa/cfa.scm 92 */
				obj_t BgL_method1606z00_3372;

				{	/* Cfa/cfa.scm 92 */
					obj_t BgL_res2116z00_4316;

					{	/* Cfa/cfa.scm 92 */
						long BgL_objzd2classzd2numz00_4287;

						BgL_objzd2classzd2numz00_4287 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_10));
						{	/* Cfa/cfa.scm 92 */
							obj_t BgL_arg1829z00_4288;

							BgL_arg1829z00_4288 =
								PROCEDURE_REF
								(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
								(int) (((long) 1)));
							{	/* Cfa/cfa.scm 92 */
								int BgL_offsetz00_4291;

								BgL_offsetz00_4291 = (int) (BgL_objzd2classzd2numz00_4287);
								{	/* Cfa/cfa.scm 92 */
									long BgL_offsetz00_4292;

									BgL_offsetz00_4292 =
										((long) (BgL_offsetz00_4291) - OBJECT_TYPE);
									{	/* Cfa/cfa.scm 92 */
										long BgL_modz00_4293;

										BgL_modz00_4293 =
											(BgL_offsetz00_4292 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/cfa.scm 92 */
											long BgL_restz00_4295;

											BgL_restz00_4295 =
												(BgL_offsetz00_4292 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/cfa.scm 92 */

												{	/* Cfa/cfa.scm 92 */
													obj_t BgL_bucketz00_4297;

													BgL_bucketz00_4297 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4288), BgL_modz00_4293);
													BgL_res2116z00_4316 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4297), BgL_restz00_4295);
					}}}}}}}}
					BgL_method1606z00_3372 = BgL_res2116z00_4316;
				}
				return
					PROCEDURE_ENTRY(BgL_method1606z00_3372) (BgL_method1606z00_3372,
					((obj_t) BgL_valuez00_10), BEOA);
			}
		}

	}



/* &cfa-variable-value-approx */
	obj_t BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00(obj_t
		BgL_envz00_4477, obj_t BgL_valuez00_4478)
	{
		{	/* Cfa/cfa.scm 92 */
			return
				BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
				((BgL_valuez00_bglt) BgL_valuez00_4478));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_literalzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2132z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_patchzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2134z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2Cinfozf2zzcfa_infoz00,
				BGl_proc2135z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2nodezf2zzcfa_infoz00,
				BGl_proc2136z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_varz00zzast_nodez00,
				BGl_proc2137z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_closurez00zzast_nodez00,
				BGl_proc2138z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2139z00zzcfa_cfaz00,
				BGl_string2140z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2141z00zzcfa_cfaz00,
				BGl_string2140z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2142z00zzcfa_cfaz00,
				BGl_string2140z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2143z00zzcfa_cfaz00,
				BGl_string2140z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2144z00zzcfa_cfaz00,
				BGl_string2140z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2145z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_syncz00zzast_nodez00,
				BGl_proc2146z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2147z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_pragmazf2Cinfozf2zzcfa_info3z00,
				BGl_proc2148z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_genpatchidzf2Cinfozf2zzcfa_infoz00, BGl_proc2149z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_getfieldzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2150z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setfieldzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2151z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_newzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2152z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_instanceofzf2Cinfozf2zzcfa_info3z00, BGl_proc2153z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00, BGl_proc2154z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_castz00zzast_nodez00,
				BGl_proc2155z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setqzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2156z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2157z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_failzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2158z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_switchzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2159z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2160z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2161z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc2162z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc2163z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00, BGl_proc2164z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00, BGl_proc2165z00zzcfa_cfaz00,
				BGl_string2133z00zzcfa_cfaz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2166z00zzcfa_cfaz00, BGl_string2133z00zzcfa_cfaz00);
		}

	}



/* &cfa!-box-ref/Cinfo1660 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2boxzd2refzf2Cinfo1660z82zzcfa_cfaz00(obj_t
		BgL_envz00_4512, obj_t BgL_nodez00_4513)
	{
		{	/* Cfa/cfa.scm 370 */
			{	/* Cfa/cfa.scm 372 */
				BgL_varz00_bglt BgL_arg1904z00_4605;

				BgL_arg1904z00_4605 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_4513))))->BgL_varz00);
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1904z00_4605));
			}
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4921;

				{
					obj_t BgL_auxz00_4922;

					{	/* Cfa/cfa.scm 373 */
						BgL_objectz00_bglt BgL_tmpz00_4923;

						BgL_tmpz00_4923 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4513));
						BgL_auxz00_4922 = BGL_OBJECT_WIDENING(BgL_tmpz00_4923);
					}
					BgL_auxz00_4921 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4922);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4921))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-box-set!/Cinfo1658 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1658z90zzcfa_cfaz00(obj_t
		BgL_envz00_4514, obj_t BgL_nodez00_4515)
	{
		{	/* Cfa/cfa.scm 359 */
			{	/* Cfa/cfa.scm 361 */
				BgL_varz00_bglt BgL_arg1895z00_4607;

				BgL_arg1895z00_4607 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4515))))->BgL_varz00);
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1895z00_4607));
			}
			{	/* Cfa/cfa.scm 362 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4608;

				{	/* Cfa/cfa.scm 362 */
					BgL_nodez00_bglt BgL_arg1897z00_4609;

					BgL_arg1897z00_4609 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4515))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_4608 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1897z00_4609);
				}
				{	/* Cfa/cfa.scm 363 */
					BgL_approxz00_bglt BgL_arg1896z00_4610;

					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4938;

						{
							obj_t BgL_auxz00_4939;

							{	/* Cfa/cfa.scm 363 */
								BgL_objectz00_bglt BgL_tmpz00_4940;

								BgL_tmpz00_4940 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4515));
								BgL_auxz00_4939 = BGL_OBJECT_WIDENING(BgL_tmpz00_4940);
							}
							BgL_auxz00_4938 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4939);
						}
						BgL_arg1896z00_4610 =
							(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4938))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1896z00_4610,
						BgL_valzd2approxzd2_4608);
				}
			}
			{	/* Cfa/cfa.scm 364 */
				BgL_approxz00_bglt BgL_arg1898z00_4611;

				{	/* Cfa/cfa.scm 364 */
					BgL_nodez00_bglt BgL_arg1901z00_4612;

					BgL_arg1901z00_4612 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4515))))->
						BgL_valuez00);
					BgL_arg1898z00_4611 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1901z00_4612);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1898z00_4611,
					CNST_TABLE_REF(((long) 0)));
			}
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4953;

				{
					obj_t BgL_auxz00_4954;

					{	/* Cfa/cfa.scm 365 */
						BgL_objectz00_bglt BgL_tmpz00_4955;

						BgL_tmpz00_4955 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4515));
						BgL_auxz00_4954 = BGL_OBJECT_WIDENING(BgL_tmpz00_4955);
					}
					BgL_auxz00_4953 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4954);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4953))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-make-box/Cinfo1656 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2makezd2boxzf2Cinfo1656z82zzcfa_cfaz00(obj_t
		BgL_envz00_4516, obj_t BgL_nodez00_4517)
	{
		{	/* Cfa/cfa.scm 349 */
			{	/* Cfa/cfa.scm 353 */
				BgL_approxz00_bglt BgL_arg1892z00_4614;

				{	/* Cfa/cfa.scm 353 */
					BgL_nodez00_bglt BgL_arg1894z00_4615;

					BgL_arg1894z00_4615 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4517))))->BgL_valuez00);
					BgL_arg1892z00_4614 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1894z00_4615);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1892z00_4614,
					CNST_TABLE_REF(((long) 0)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4967;

				{
					obj_t BgL_auxz00_4968;

					{	/* Cfa/cfa.scm 354 */
						BgL_objectz00_bglt BgL_tmpz00_4969;

						BgL_tmpz00_4969 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4517));
						BgL_auxz00_4968 = BGL_OBJECT_WIDENING(BgL_tmpz00_4969);
					}
					BgL_auxz00_4967 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4968);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4967))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-jump-ex-it/Cinf1654 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1654z50zzcfa_cfaz00(obj_t
		BgL_envz00_4518, obj_t BgL_nodez00_4519)
	{
		{	/* Cfa/cfa.scm 339 */
			{	/* Cfa/cfa.scm 341 */
				BgL_nodez00_bglt BgL_arg1890z00_4617;

				BgL_arg1890z00_4617 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4519))))->
					BgL_exitz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1890z00_4617);
			}
			{	/* Cfa/cfa.scm 342 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4618;

				{	/* Cfa/cfa.scm 342 */
					BgL_nodez00_bglt BgL_arg1891z00_4619;

					BgL_arg1891z00_4619 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4519))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_4618 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1891z00_4619);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4618,
					CNST_TABLE_REF(((long) 0)));
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_4985;

					{
						obj_t BgL_auxz00_4986;

						{	/* Cfa/cfa.scm 344 */
							BgL_objectz00_bglt BgL_tmpz00_4987;

							BgL_tmpz00_4987 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4519));
							BgL_auxz00_4986 = BGL_OBJECT_WIDENING(BgL_tmpz00_4987);
						}
						BgL_auxz00_4985 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_4986);
					}
					return
						(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4985))->
						BgL_approxz00);
				}
			}
		}

	}



/* &cfa!-set-ex-it/Cinfo1652 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1652z50zzcfa_cfaz00(obj_t
		BgL_envz00_4520, obj_t BgL_nodez00_4521)
	{
		{	/* Cfa/cfa.scm 330 */
			{	/* Cfa/cfa.scm 332 */
				BgL_approxz00_bglt BgL_arg1885z00_4621;

				{	/* Cfa/cfa.scm 332 */
					BgL_nodez00_bglt BgL_arg1886z00_4622;

					BgL_arg1886z00_4622 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4521))))->
						BgL_bodyz00);
					BgL_arg1885z00_4621 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1886z00_4622);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1885z00_4621,
					CNST_TABLE_REF(((long) 0)));
			}
			{	/* Cfa/cfa.scm 333 */
				BgL_approxz00_bglt BgL_arg1887z00_4623;

				{	/* Cfa/cfa.scm 333 */
					BgL_nodez00_bglt BgL_arg1888z00_4624;

					BgL_arg1888z00_4624 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4521))))->
						BgL_onexitz00);
					BgL_arg1887z00_4623 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1888z00_4624);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1887z00_4623,
					CNST_TABLE_REF(((long) 0)));
			}
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_5005;

				{
					obj_t BgL_auxz00_5006;

					{	/* Cfa/cfa.scm 334 */
						BgL_objectz00_bglt BgL_tmpz00_5007;

						BgL_tmpz00_5007 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4521));
						BgL_auxz00_5006 = BGL_OBJECT_WIDENING(BgL_tmpz00_5007);
					}
					BgL_auxz00_5005 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_5006);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5005))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-let-var1650 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2var1650z70zzcfa_cfaz00(obj_t
		BgL_envz00_4522, obj_t BgL_nodez00_4523)
	{
		{	/* Cfa/cfa.scm 289 */
			{	/* Cfa/cfa.scm 292 */
				obj_t BgL_g1590z00_4626;

				BgL_g1590z00_4626 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4523)))->BgL_bindingsz00);
				{
					obj_t BgL_l1588z00_4628;

					BgL_l1588z00_4628 = BgL_g1590z00_4626;
				BgL_zc3z04anonymousza31873ze3z87_4627:
					if (PAIRP(BgL_l1588z00_4628))
						{	/* Cfa/cfa.scm 292 */
							{	/* Cfa/cfa.scm 293 */
								obj_t BgL_bindingz00_4629;

								BgL_bindingz00_4629 = CAR(BgL_l1588z00_4628);
								{	/* Cfa/cfa.scm 293 */
									obj_t BgL_varz00_4630;

									BgL_varz00_4630 = CAR(((obj_t) BgL_bindingz00_4629));
									{	/* Cfa/cfa.scm 293 */
										BgL_approxz00_bglt BgL_varzd2approxzd2_4631;

										{	/* Cfa/cfa.scm 294 */
											BgL_svarz00_bglt BgL_oz00_4632;

											BgL_oz00_4632 =
												((BgL_svarz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_4630)))->
													BgL_valuez00));
											{
												BgL_svarzf2cinfozf2_bglt BgL_auxz00_5023;

												{
													obj_t BgL_auxz00_5024;

													{	/* Cfa/cfa.scm 294 */
														BgL_objectz00_bglt BgL_tmpz00_5025;

														BgL_tmpz00_5025 =
															((BgL_objectz00_bglt) BgL_oz00_4632);
														BgL_auxz00_5024 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5025);
													}
													BgL_auxz00_5023 =
														((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5024);
												}
												BgL_varzd2approxzd2_4631 =
													(((BgL_svarzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5023))->BgL_approxz00);
											}
										}
										{	/* Cfa/cfa.scm 294 */
											BgL_approxz00_bglt BgL_valzd2approxzd2_4633;

											{	/* Cfa/cfa.scm 295 */
												obj_t BgL_arg1880z00_4634;

												BgL_arg1880z00_4634 =
													CDR(((obj_t) BgL_bindingz00_4629));
												BgL_valzd2approxzd2_4633 =
													BGl_cfaz12z12zzcfa_cfaz00(
													((BgL_nodez00_bglt) BgL_arg1880z00_4634));
											}
											{	/* Cfa/cfa.scm 295 */

												{	/* Cfa/cfa.scm 296 */
													BgL_typez00_bglt BgL_vtypez00_4635;
													BgL_typez00_bglt BgL_atypez00_4636;

													BgL_vtypez00_4635 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_varz00_4630)))->
														BgL_typez00);
													BgL_atypez00_4636 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_valzd2approxzd2_4633))->BgL_typez00);
													BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00
														(BgL_varzd2approxzd2_4631,
														BgL_valzd2approxzd2_4633);
													{	/* Cfa/cfa.scm 312 */
														bool_t BgL_test2228z00_5038;

														if (
															(((obj_t) BgL_vtypez00_4635) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/cfa.scm 312 */
																BgL_test2228z00_5038 = ((bool_t) 0);
															}
														else
															{	/* Cfa/cfa.scm 312 */
																if (
																	(((obj_t) BgL_vtypez00_4635) ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Cfa/cfa.scm 313 */
																		BgL_test2228z00_5038 = ((bool_t) 0);
																	}
																else
																	{	/* Cfa/cfa.scm 313 */
																		if (
																			(((obj_t) BgL_atypez00_4636) ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Cfa/cfa.scm 314 */
																				BgL_test2228z00_5038 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/cfa.scm 314 */
																				BgL_test2228z00_5038 =
																					(
																					((obj_t) BgL_atypez00_4636) ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																	}
															}
														if (BgL_test2228z00_5038)
															{	/* Cfa/cfa.scm 312 */
																BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																	(BgL_valzd2approxzd2_4633);
																((obj_t)
																	BGl_loosez12z12zzcfa_loosez00
																	(BgL_valzd2approxzd2_4633,
																		CNST_TABLE_REF(((long) 0))));
															}
														else
															{	/* Cfa/cfa.scm 312 */
																BFALSE;
															}
													}
												}
											}
										}
									}
								}
							}
							{
								obj_t BgL_l1588z00_5054;

								BgL_l1588z00_5054 = CDR(BgL_l1588z00_4628);
								BgL_l1588z00_4628 = BgL_l1588z00_5054;
								goto BgL_zc3z04anonymousza31873ze3z87_4627;
							}
						}
					else
						{	/* Cfa/cfa.scm 292 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/cfa.scm 322 */
				BgL_approxz00_bglt BgL_approxz00_4637;

				BgL_approxz00_4637 =
					BGl_cfaz12z12zzcfa_cfaz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4523)))->BgL_bodyz00));
				return BgL_approxz00_4637;
			}
		}

	}



/* &cfa!-let-fun1648 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2fun1648z70zzcfa_cfaz00(obj_t
		BgL_envz00_4524, obj_t BgL_nodez00_4525)
	{
		{	/* Cfa/cfa.scm 282 */
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4525)))->BgL_bodyz00));
		}

	}



/* &cfa!-switch/Cinfo1646 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2switchzf2Cinfo1646z50zzcfa_cfaz00(obj_t
		BgL_envz00_4526, obj_t BgL_nodez00_4527)
	{
		{	/* Cfa/cfa.scm 268 */
			{	/* Cfa/cfa.scm 270 */
				BgL_nodez00_bglt BgL_arg1863z00_4640;

				BgL_arg1863z00_4640 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_4527))))->BgL_testz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1863z00_4640);
			}
			{	/* Cfa/cfa.scm 271 */
				BgL_approxz00_bglt BgL_reszd2approxzd2_4641;

				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_5066;

					{
						obj_t BgL_auxz00_5067;

						{	/* Cfa/cfa.scm 271 */
							BgL_objectz00_bglt BgL_tmpz00_5068;

							BgL_tmpz00_5068 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_4527));
							BgL_auxz00_5067 = BGL_OBJECT_WIDENING(BgL_tmpz00_5068);
						}
						BgL_auxz00_5066 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_5067);
					}
					BgL_reszd2approxzd2_4641 =
						(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5066))->
						BgL_approxz00);
				}
				{
					obj_t BgL_clsz00_4643;

					{	/* Cfa/cfa.scm 272 */
						obj_t BgL_arg1865z00_4648;

						BgL_arg1865z00_4648 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_nodez00_4527))))->BgL_clausesz00);
						BgL_clsz00_4643 = BgL_arg1865z00_4648;
					BgL_loopz00_4642:
						if (NULLP(BgL_clsz00_4643))
							{	/* Cfa/cfa.scm 273 */
								return BgL_reszd2approxzd2_4641;
							}
						else
							{	/* Cfa/cfa.scm 275 */
								BgL_approxz00_bglt BgL_newzd2approxzd2_4644;

								{	/* Cfa/cfa.scm 275 */
									obj_t BgL_arg1870z00_4645;

									{	/* Cfa/cfa.scm 275 */
										obj_t BgL_pairz00_4646;

										BgL_pairz00_4646 = CAR(((obj_t) BgL_clsz00_4643));
										BgL_arg1870z00_4645 = CDR(BgL_pairz00_4646);
									}
									BgL_newzd2approxzd2_4644 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1870z00_4645));
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00
									(BgL_reszd2approxzd2_4641, BgL_newzd2approxzd2_4644);
								{	/* Cfa/cfa.scm 277 */
									obj_t BgL_arg1869z00_4647;

									BgL_arg1869z00_4647 = CDR(((obj_t) BgL_clsz00_4643));
									{
										obj_t BgL_clsz00_5087;

										BgL_clsz00_5087 = BgL_arg1869z00_4647;
										BgL_clsz00_4643 = BgL_clsz00_5087;
										goto BgL_loopz00_4642;
									}
								}
							}
					}
				}
			}
		}

	}



/* &cfa!-fail/Cinfo1644 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2failzf2Cinfo1644z50zzcfa_cfaz00(obj_t
		BgL_envz00_4528, obj_t BgL_nodez00_4529)
	{
		{	/* Cfa/cfa.scm 258 */
			{	/* Cfa/cfa.scm 260 */
				BgL_approxz00_bglt BgL_arg1854z00_4650;

				{	/* Cfa/cfa.scm 260 */
					BgL_nodez00_bglt BgL_arg1855z00_4651;

					BgL_arg1855z00_4651 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4529))))->BgL_procz00);
					BgL_arg1854z00_4650 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1855z00_4651);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1854z00_4650,
					CNST_TABLE_REF(((long) 0)));
			}
			{	/* Cfa/cfa.scm 261 */
				BgL_approxz00_bglt BgL_arg1856z00_4652;

				{	/* Cfa/cfa.scm 261 */
					BgL_nodez00_bglt BgL_arg1857z00_4653;

					BgL_arg1857z00_4653 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4529))))->BgL_msgz00);
					BgL_arg1856z00_4652 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1857z00_4653);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1856z00_4652,
					CNST_TABLE_REF(((long) 0)));
			}
			{	/* Cfa/cfa.scm 262 */
				BgL_approxz00_bglt BgL_arg1858z00_4654;

				{	/* Cfa/cfa.scm 262 */
					BgL_nodez00_bglt BgL_arg1862z00_4655;

					BgL_arg1862z00_4655 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4529))))->BgL_objz00);
					BgL_arg1858z00_4654 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1862z00_4655);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1858z00_4654,
					CNST_TABLE_REF(((long) 0)));
			}
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_5106;

				{
					obj_t BgL_auxz00_5107;

					{	/* Cfa/cfa.scm 263 */
						BgL_objectz00_bglt BgL_tmpz00_5108;

						BgL_tmpz00_5108 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_4529));
						BgL_auxz00_5107 = BGL_OBJECT_WIDENING(BgL_tmpz00_5108);
					}
					BgL_auxz00_5106 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_5107);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5106))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-conditional/Cin1642 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conditionalzf2Cin1642z50zzcfa_cfaz00(obj_t
		BgL_envz00_4530, obj_t BgL_nodez00_4531)
	{
		{	/* Cfa/cfa.scm 246 */
			{	/* Cfa/cfa.scm 248 */
				BgL_nodez00_bglt BgL_arg1842z00_4657;

				BgL_arg1842z00_4657 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_4531))))->BgL_testz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1842z00_4657);
			}
			{	/* Cfa/cfa.scm 249 */
				BgL_approxz00_bglt BgL_thenzd2approxzd2_4658;
				BgL_approxz00_bglt BgL_elsezd2approxzd2_4659;

				{	/* Cfa/cfa.scm 249 */
					BgL_nodez00_bglt BgL_arg1850z00_4660;

					BgL_arg1850z00_4660 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4531))))->BgL_truez00);
					BgL_thenzd2approxzd2_4658 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1850z00_4660);
				}
				{	/* Cfa/cfa.scm 250 */
					BgL_nodez00_bglt BgL_arg1852z00_4661;

					BgL_arg1852z00_4661 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4531))))->
						BgL_falsez00);
					BgL_elsezd2approxzd2_4659 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1852z00_4661);
				}
				{	/* Cfa/cfa.scm 251 */
					BgL_approxz00_bglt BgL_arg1848z00_4662;

					{
						BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5126;

						{
							obj_t BgL_auxz00_5127;

							{	/* Cfa/cfa.scm 251 */
								BgL_objectz00_bglt BgL_tmpz00_5128;

								BgL_tmpz00_5128 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4531));
								BgL_auxz00_5127 = BGL_OBJECT_WIDENING(BgL_tmpz00_5128);
							}
							BgL_auxz00_5126 =
								((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5127);
						}
						BgL_arg1848z00_4662 =
							(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5126))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1848z00_4662,
						BgL_thenzd2approxzd2_4658);
				}
				{	/* Cfa/cfa.scm 252 */
					BgL_approxz00_bglt BgL_arg1849z00_4663;

					{
						BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5135;

						{
							obj_t BgL_auxz00_5136;

							{	/* Cfa/cfa.scm 252 */
								BgL_objectz00_bglt BgL_tmpz00_5137;

								BgL_tmpz00_5137 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4531));
								BgL_auxz00_5136 = BGL_OBJECT_WIDENING(BgL_tmpz00_5137);
							}
							BgL_auxz00_5135 =
								((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5136);
						}
						BgL_arg1849z00_4663 =
							(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5135))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1849z00_4663,
						BgL_elsezd2approxzd2_4659);
				}
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5144;

					{
						obj_t BgL_auxz00_5145;

						{	/* Cfa/cfa.scm 253 */
							BgL_objectz00_bglt BgL_tmpz00_5146;

							BgL_tmpz00_5146 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_4531));
							BgL_auxz00_5145 = BGL_OBJECT_WIDENING(BgL_tmpz00_5146);
						}
						BgL_auxz00_5144 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5145);
					}
					return
						(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5144))->
						BgL_approxz00);
				}
			}
		}

	}



/* &cfa!-setq/Cinfo1640 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2setqzf2Cinfo1640z50zzcfa_cfaz00(obj_t
		BgL_envz00_4532, obj_t BgL_nodez00_4533)
	{
		{	/* Cfa/cfa.scm 228 */
			{	/* Cfa/cfa.scm 230 */
				BgL_approxz00_bglt BgL_varzd2approxzd2_4665;

				{	/* Cfa/cfa.scm 230 */
					BgL_varz00_bglt BgL_arg1839z00_4666;

					BgL_arg1839z00_4666 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt)
									((BgL_setqz00_bglt) BgL_nodez00_4533))))->BgL_varz00);
					BgL_varzd2approxzd2_4665 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1839z00_4666));
				}
				{	/* Cfa/cfa.scm 230 */
					BgL_approxz00_bglt BgL_valzd2approxzd2_4667;

					{	/* Cfa/cfa.scm 231 */
						BgL_nodez00_bglt BgL_arg1838z00_4668;

						BgL_arg1838z00_4668 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_nodez00_4533))))->BgL_valuez00);
						BgL_valzd2approxzd2_4667 =
							BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1838z00_4668);
					}
					{	/* Cfa/cfa.scm 231 */
						BgL_variablez00_bglt BgL_vz00_4669;

						BgL_vz00_4669 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_4533))))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Cfa/cfa.scm 232 */

							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_varzd2approxzd2_4665,
								BgL_valzd2approxzd2_4667);
							{	/* Cfa/cfa.scm 237 */
								bool_t BgL_test2233z00_5166;

								{	/* Cfa/cfa.scm 237 */
									bool_t BgL_test2234z00_5167;

									{	/* Cfa/cfa.scm 237 */
										obj_t BgL_classz00_4670;

										BgL_classz00_4670 = BGl_globalz00zzast_varz00;
										{	/* Cfa/cfa.scm 237 */
											BgL_objectz00_bglt BgL_arg1825z00_4671;

											{	/* Cfa/cfa.scm 237 */
												obj_t BgL_tmpz00_5168;

												BgL_tmpz00_5168 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4669));
												BgL_arg1825z00_4671 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5168);
											}
											{	/* Cfa/cfa.scm 237 */
												bool_t BgL_arg1822z00_4672;
												bool_t BgL_arg1823z00_4673;

												{	/* Cfa/cfa.scm 237 */
													long BgL_idxz00_4674;

													BgL_idxz00_4674 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4671);
													BgL_arg1822z00_4672 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4674 + ((long) 2))) ==
														BgL_classz00_4670);
												}
												{	/* Cfa/cfa.scm 237 */
													bool_t BgL_res2117z00_4677;

													{	/* Cfa/cfa.scm 237 */
														obj_t BgL_oclassz00_4678;

														{	/* Cfa/cfa.scm 237 */
															long BgL_arg1833z00_4679;

															{	/* Cfa/cfa.scm 237 */
																long BgL_arg1834z00_4680;

																BgL_arg1834z00_4680 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4671);
																BgL_arg1833z00_4679 =
																	(BgL_arg1834z00_4680 - OBJECT_TYPE);
															}
															BgL_oclassz00_4678 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4679);
														}
														{	/* Cfa/cfa.scm 237 */
															bool_t BgL__ortest_1110z00_4681;

															BgL__ortest_1110z00_4681 =
																(BgL_classz00_4670 == BgL_oclassz00_4678);
															if (BgL__ortest_1110z00_4681)
																{	/* Cfa/cfa.scm 237 */
																	BgL_res2117z00_4677 =
																		BgL__ortest_1110z00_4681;
																}
															else
																{	/* Cfa/cfa.scm 237 */
																	long BgL_odepthz00_4682;

																	BgL_odepthz00_4682 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4678);
																	if ((((long) 2) < BgL_odepthz00_4682))
																		{	/* Cfa/cfa.scm 237 */
																			obj_t BgL_arg1821z00_4683;

																			BgL_arg1821z00_4683 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4678, ((long) 2));
																			BgL_res2117z00_4677 =
																				(BgL_arg1821z00_4683 ==
																				BgL_classz00_4670);
																		}
																	else
																		{	/* Cfa/cfa.scm 237 */
																			BgL_res2117z00_4677 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4673 = BgL_res2117z00_4677;
												}
												BgL_test2234z00_5167 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4672,
													BgL_arg1823z00_4673);
											}
										}
									}
									if (BgL_test2234z00_5167)
										{	/* Cfa/cfa.scm 238 */
											bool_t BgL__ortest_1196z00_4684;

											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_vz00_4669)))->
														BgL_initz00)))
												{	/* Cfa/cfa.scm 238 */
													BgL__ortest_1196z00_4684 = ((bool_t) 0);
												}
											else
												{	/* Cfa/cfa.scm 238 */
													BgL__ortest_1196z00_4684 = ((bool_t) 1);
												}
											if (BgL__ortest_1196z00_4684)
												{	/* Cfa/cfa.scm 238 */
													BgL_test2233z00_5166 = BgL__ortest_1196z00_4684;
												}
											else
												{	/* Cfa/cfa.scm 238 */
													if (
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_vz00_4669)))->
																BgL_importz00) == CNST_TABLE_REF(((long) 1))))
														{	/* Cfa/cfa.scm 239 */
															BgL_test2233z00_5166 = ((bool_t) 0);
														}
													else
														{	/* Cfa/cfa.scm 239 */
															BgL_test2233z00_5166 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Cfa/cfa.scm 237 */
											BgL_test2233z00_5166 = ((bool_t) 0);
										}
								}
								if (BgL_test2233z00_5166)
									{	/* Cfa/cfa.scm 237 */
										BGl_globalzd2loosez12zc0zzcfa_loosez00(
											((BgL_globalz00_bglt) BgL_vz00_4669),
											BgL_varzd2approxzd2_4665);
									}
								else
									{	/* Cfa/cfa.scm 237 */
										BFALSE;
									}
							}
							{
								BgL_setqzf2cinfozf2_bglt BgL_auxz00_5199;

								{
									obj_t BgL_auxz00_5200;

									{	/* Cfa/cfa.scm 241 */
										BgL_objectz00_bglt BgL_tmpz00_5201;

										BgL_tmpz00_5201 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) BgL_nodez00_4533));
										BgL_auxz00_5200 = BGL_OBJECT_WIDENING(BgL_tmpz00_5201);
									}
									BgL_auxz00_5199 =
										((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_5200);
								}
								return
									(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5199))->
									BgL_approxz00);
							}
						}
					}
				}
			}
		}

	}



/* &cfa!-cast1638 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2cast1638za2zzcfa_cfaz00(obj_t
		BgL_envz00_4534, obj_t BgL_nodez00_4535)
	{
		{	/* Cfa/cfa.scm 221 */
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_4535)))->BgL_argz00));
		}

	}



/* &cfa!-cast-null/Cinfo1636 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1636z82zzcfa_cfaz00(obj_t
		BgL_envz00_4536, obj_t BgL_nodez00_4537)
	{
		{	/* Cfa/cfa.scm 214 */
			{
				BgL_castzd2nullzf2cinfoz20_bglt BgL_auxz00_5210;

				{
					obj_t BgL_auxz00_5211;

					{	/* Cfa/cfa.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_5212;

						BgL_tmpz00_5212 =
							((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nodez00_4537));
						BgL_auxz00_5211 = BGL_OBJECT_WIDENING(BgL_tmpz00_5212);
					}
					BgL_auxz00_5210 = ((BgL_castzd2nullzf2cinfoz20_bglt) BgL_auxz00_5211);
				}
				return
					(((BgL_castzd2nullzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5210))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-instanceof/Cinf1634 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2instanceofzf2Cinf1634z50zzcfa_cfaz00(obj_t
		BgL_envz00_4538, obj_t BgL_nodez00_4539)
	{
		{	/* Cfa/cfa.scm 207 */
			{
				BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_5218;

				{
					obj_t BgL_auxz00_5219;

					{	/* Cfa/cfa.scm 208 */
						BgL_objectz00_bglt BgL_tmpz00_5220;

						BgL_tmpz00_5220 =
							((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_4539));
						BgL_auxz00_5219 = BGL_OBJECT_WIDENING(BgL_tmpz00_5220);
					}
					BgL_auxz00_5218 = ((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_5219);
				}
				return
					(((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5218))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-new/Cinfo1632 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2newzf2Cinfo1632z50zzcfa_cfaz00(obj_t
		BgL_envz00_4540, obj_t BgL_nodez00_4541)
	{
		{	/* Cfa/cfa.scm 199 */
			{	/* Cfa/cfa.scm 201 */
				obj_t BgL_g1587z00_4689;

				BgL_g1587z00_4689 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_4541))))->BgL_exprza2za2);
				{
					obj_t BgL_l1585z00_4691;

					BgL_l1585z00_4691 = BgL_g1587z00_4689;
				BgL_zc3z04anonymousza31802ze3z87_4690:
					if (PAIRP(BgL_l1585z00_4691))
						{	/* Cfa/cfa.scm 201 */
							{	/* Cfa/cfa.scm 201 */
								obj_t BgL_az00_4692;

								BgL_az00_4692 = CAR(BgL_l1585z00_4691);
								{	/* Cfa/cfa.scm 201 */
									BgL_approxz00_bglt BgL_arg1805z00_4693;

									BgL_arg1805z00_4693 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4692));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1805z00_4693,
										CNST_TABLE_REF(((long) 0)));
							}}
							{
								obj_t BgL_l1585z00_5236;

								BgL_l1585z00_5236 = CDR(BgL_l1585z00_4691);
								BgL_l1585z00_4691 = BgL_l1585z00_5236;
								goto BgL_zc3z04anonymousza31802ze3z87_4690;
							}
						}
					else
						{	/* Cfa/cfa.scm 201 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_newzf2cinfozf2_bglt BgL_auxz00_5238;

				{
					obj_t BgL_auxz00_5239;

					{	/* Cfa/cfa.scm 202 */
						BgL_objectz00_bglt BgL_tmpz00_5240;

						BgL_tmpz00_5240 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_4541));
						BgL_auxz00_5239 = BGL_OBJECT_WIDENING(BgL_tmpz00_5240);
					}
					BgL_auxz00_5238 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_5239);
				}
				return
					(((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5238))->BgL_approxz00);
			}
		}

	}



/* &cfa!-setfield/Cinfo1630 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2setfieldzf2Cinfo1630z50zzcfa_cfaz00(obj_t
		BgL_envz00_4542, obj_t BgL_nodez00_4543)
	{
		{	/* Cfa/cfa.scm 191 */
			{	/* Cfa/cfa.scm 193 */
				obj_t BgL_g1584z00_4695;

				BgL_g1584z00_4695 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_4543))))->BgL_exprza2za2);
				{
					obj_t BgL_l1582z00_4697;

					BgL_l1582z00_4697 = BgL_g1584z00_4695;
				BgL_zc3z04anonymousza31789ze3z87_4696:
					if (PAIRP(BgL_l1582z00_4697))
						{	/* Cfa/cfa.scm 193 */
							{	/* Cfa/cfa.scm 193 */
								obj_t BgL_az00_4698;

								BgL_az00_4698 = CAR(BgL_l1582z00_4697);
								{	/* Cfa/cfa.scm 193 */
									BgL_approxz00_bglt BgL_arg1799z00_4699;

									BgL_arg1799z00_4699 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4698));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1799z00_4699,
										CNST_TABLE_REF(((long) 0)));
							}}
							{
								obj_t BgL_l1582z00_5256;

								BgL_l1582z00_5256 = CDR(BgL_l1582z00_4697);
								BgL_l1582z00_4697 = BgL_l1582z00_5256;
								goto BgL_zc3z04anonymousza31789ze3z87_4696;
							}
						}
					else
						{	/* Cfa/cfa.scm 193 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_5258;

				{
					obj_t BgL_auxz00_5259;

					{	/* Cfa/cfa.scm 194 */
						BgL_objectz00_bglt BgL_tmpz00_5260;

						BgL_tmpz00_5260 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_4543));
						BgL_auxz00_5259 = BGL_OBJECT_WIDENING(BgL_tmpz00_5260);
					}
					BgL_auxz00_5258 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_5259);
				}
				return
					(((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5258))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-getfield/Cinfo1628 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2getfieldzf2Cinfo1628z50zzcfa_cfaz00(obj_t
		BgL_envz00_4544, obj_t BgL_nodez00_4545)
	{
		{	/* Cfa/cfa.scm 183 */
			{	/* Cfa/cfa.scm 185 */
				obj_t BgL_g1581z00_4701;

				BgL_g1581z00_4701 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_4545))))->BgL_exprza2za2);
				{
					obj_t BgL_l1579z00_4703;

					BgL_l1579z00_4703 = BgL_g1581z00_4701;
				BgL_zc3z04anonymousza31782ze3z87_4702:
					if (PAIRP(BgL_l1579z00_4703))
						{	/* Cfa/cfa.scm 185 */
							{	/* Cfa/cfa.scm 185 */
								obj_t BgL_az00_4704;

								BgL_az00_4704 = CAR(BgL_l1579z00_4703);
								{	/* Cfa/cfa.scm 185 */
									BgL_approxz00_bglt BgL_arg1785z00_4705;

									BgL_arg1785z00_4705 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4704));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1785z00_4705,
										CNST_TABLE_REF(((long) 0)));
							}}
							{
								obj_t BgL_l1579z00_5276;

								BgL_l1579z00_5276 = CDR(BgL_l1579z00_4703);
								BgL_l1579z00_4703 = BgL_l1579z00_5276;
								goto BgL_zc3z04anonymousza31782ze3z87_4702;
							}
						}
					else
						{	/* Cfa/cfa.scm 185 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_5278;

				{
					obj_t BgL_auxz00_5279;

					{	/* Cfa/cfa.scm 186 */
						BgL_objectz00_bglt BgL_tmpz00_5280;

						BgL_tmpz00_5280 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_4545));
						BgL_auxz00_5279 = BGL_OBJECT_WIDENING(BgL_tmpz00_5280);
					}
					BgL_auxz00_5278 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_5279);
				}
				return
					(((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5278))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-genpatchid/Cinf1626 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2genpatchidzf2Cinf1626z50zzcfa_cfaz00(obj_t
		BgL_envz00_4546, obj_t BgL_nodez00_4547)
	{
		{	/* Cfa/cfa.scm 175 */
			{	/* Cfa/cfa.scm 177 */
				obj_t BgL_g1578z00_4707;

				BgL_g1578z00_4707 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_4547))))->BgL_exprza2za2);
				{
					obj_t BgL_l1576z00_4709;

					BgL_l1576z00_4709 = BgL_g1578z00_4707;
				BgL_zc3z04anonymousza31773ze3z87_4708:
					if (PAIRP(BgL_l1576z00_4709))
						{	/* Cfa/cfa.scm 177 */
							{	/* Cfa/cfa.scm 177 */
								obj_t BgL_az00_4710;

								BgL_az00_4710 = CAR(BgL_l1576z00_4709);
								{	/* Cfa/cfa.scm 177 */
									BgL_approxz00_bglt BgL_arg1777z00_4711;

									BgL_arg1777z00_4711 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4710));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1777z00_4711,
										CNST_TABLE_REF(((long) 0)));
							}}
							{
								obj_t BgL_l1576z00_5296;

								BgL_l1576z00_5296 = CDR(BgL_l1576z00_4709);
								BgL_l1576z00_4709 = BgL_l1576z00_5296;
								goto BgL_zc3z04anonymousza31773ze3z87_4708;
							}
						}
					else
						{	/* Cfa/cfa.scm 177 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_5298;

				{
					obj_t BgL_auxz00_5299;

					{	/* Cfa/cfa.scm 178 */
						BgL_objectz00_bglt BgL_tmpz00_5300;

						BgL_tmpz00_5300 =
							((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_nodez00_4547));
						BgL_auxz00_5299 = BGL_OBJECT_WIDENING(BgL_tmpz00_5300);
					}
					BgL_auxz00_5298 = ((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_5299);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5298))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-pragma/Cinfo1624 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2pragmazf2Cinfo1624z50zzcfa_cfaz00(obj_t
		BgL_envz00_4548, obj_t BgL_nodez00_4549)
	{
		{	/* Cfa/cfa.scm 167 */
			{	/* Cfa/cfa.scm 169 */
				obj_t BgL_g1575z00_4713;

				BgL_g1575z00_4713 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_4549))))->BgL_exprza2za2);
				{
					obj_t BgL_l1573z00_4715;

					BgL_l1573z00_4715 = BgL_g1575z00_4713;
				BgL_zc3z04anonymousza31767ze3z87_4714:
					if (PAIRP(BgL_l1573z00_4715))
						{	/* Cfa/cfa.scm 169 */
							{	/* Cfa/cfa.scm 169 */
								obj_t BgL_az00_4716;

								BgL_az00_4716 = CAR(BgL_l1573z00_4715);
								{	/* Cfa/cfa.scm 169 */
									BgL_approxz00_bglt BgL_arg1770z00_4717;

									BgL_arg1770z00_4717 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4716));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1770z00_4717,
										CNST_TABLE_REF(((long) 0)));
							}}
							{
								obj_t BgL_l1573z00_5316;

								BgL_l1573z00_5316 = CDR(BgL_l1573z00_4715);
								BgL_l1573z00_4715 = BgL_l1573z00_5316;
								goto BgL_zc3z04anonymousza31767ze3z87_4714;
							}
						}
					else
						{	/* Cfa/cfa.scm 169 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_pragmazf2cinfozf2_bglt BgL_auxz00_5318;

				{
					obj_t BgL_auxz00_5319;

					{	/* Cfa/cfa.scm 170 */
						BgL_objectz00_bglt BgL_tmpz00_5320;

						BgL_tmpz00_5320 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_4549));
						BgL_auxz00_5319 = BGL_OBJECT_WIDENING(BgL_tmpz00_5320);
					}
					BgL_auxz00_5318 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_5319);
				}
				return
					(((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_5318))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-app-ly/Cinfo1622 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2appzd2lyzf2Cinfo1622z82zzcfa_cfaz00(obj_t
		BgL_envz00_4550, obj_t BgL_nodez00_4551)
	{
		{	/* Cfa/cfa.scm 158 */
			{	/* Cfa/cfa.scm 160 */
				BgL_approxz00_bglt BgL_arg1761z00_4719;

				{	/* Cfa/cfa.scm 160 */
					BgL_nodez00_bglt BgL_arg1762z00_4720;

					BgL_arg1762z00_4720 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_4551))))->BgL_argz00);
					BgL_arg1761z00_4719 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1762z00_4720);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1761z00_4719,
					CNST_TABLE_REF(((long) 0)));
			}
			{	/* Cfa/cfa.scm 161 */
				BgL_approxz00_bglt BgL_arg1763z00_4721;

				{	/* Cfa/cfa.scm 161 */
					BgL_nodez00_bglt BgL_arg1766z00_4722;

					BgL_arg1766z00_4722 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_4551))))->BgL_funz00);
					BgL_arg1763z00_4721 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1766z00_4722);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1763z00_4721,
					CNST_TABLE_REF(((long) 0)));
			}
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_5338;

				{
					obj_t BgL_auxz00_5339;

					{	/* Cfa/cfa.scm 162 */
						BgL_objectz00_bglt BgL_tmpz00_5340;

						BgL_tmpz00_5340 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4551));
						BgL_auxz00_5339 = BGL_OBJECT_WIDENING(BgL_tmpz00_5340);
					}
					BgL_auxz00_5338 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_5339);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5338))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-sync1620 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2sync1620za2zzcfa_cfaz00(obj_t
		BgL_envz00_4552, obj_t BgL_nodez00_4553)
	{
		{	/* Cfa/cfa.scm 149 */
			BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4553)))->BgL_prelockz00));
			BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4553)))->BgL_mutexz00));
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4553)))->BgL_bodyz00));
		}

	}



/* &cfa!-sequence1618 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2sequence1618za2zzcfa_cfaz00(obj_t
		BgL_envz00_4554, obj_t BgL_nodez00_4555)
	{
		{	/* Cfa/cfa.scm 138 */
			{	/* Cfa/cfa.scm 140 */
				obj_t BgL_arg1746z00_4725;

				BgL_arg1746z00_4725 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4555)))->BgL_nodesz00);
				{
					obj_t BgL_nz00_4727;
					obj_t BgL_approxz00_4728;

					{
						obj_t BgL_auxz00_5357;

						BgL_nz00_4727 = BgL_arg1746z00_4725;
						BgL_approxz00_4728 = BUNSPEC;
					BgL_loopz00_4726:
						if (NULLP(BgL_nz00_4727))
							{	/* Cfa/cfa.scm 142 */
								BgL_auxz00_5357 = BgL_approxz00_4728;
							}
						else
							{	/* Cfa/cfa.scm 144 */
								obj_t BgL_arg1749z00_4729;
								BgL_approxz00_bglt BgL_arg1750z00_4730;

								BgL_arg1749z00_4729 = CDR(((obj_t) BgL_nz00_4727));
								{	/* Cfa/cfa.scm 144 */
									obj_t BgL_arg1751z00_4731;

									BgL_arg1751z00_4731 = CAR(((obj_t) BgL_nz00_4727));
									BgL_arg1750z00_4730 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1751z00_4731));
								}
								{
									obj_t BgL_approxz00_5367;
									obj_t BgL_nz00_5366;

									BgL_nz00_5366 = BgL_arg1749z00_4729;
									BgL_approxz00_5367 = ((obj_t) BgL_arg1750z00_4730);
									BgL_approxz00_4728 = BgL_approxz00_5367;
									BgL_nz00_4727 = BgL_nz00_5366;
									goto BgL_loopz00_4726;
								}
							}
						return ((BgL_approxz00_bglt) BgL_auxz00_5357);
					}
				}
			}
		}

	}



/* &cfa-variable-value-a1616 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1616zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4556, obj_t BgL_valuez00_4557)
	{
		{	/* Cfa/cfa.scm 131 */
			{
				BgL_approxz00_bglt BgL_auxz00_5370;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5371;

					{
						obj_t BgL_auxz00_5372;

						{	/* Cfa/cfa.scm 132 */
							BgL_objectz00_bglt BgL_tmpz00_5373;

							BgL_tmpz00_5373 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_4557));
							BgL_auxz00_5372 = BGL_OBJECT_WIDENING(BgL_tmpz00_5373);
						}
						BgL_auxz00_5371 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5372);
					}
					BgL_auxz00_5370 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5371))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5370);
			}
		}

	}



/* &cfa-variable-value-a1614 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1614zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4558, obj_t BgL_valuez00_4559)
	{
		{	/* Cfa/cfa.scm 120 */
			{
				BgL_approxz00_bglt BgL_auxz00_5380;

				{
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_5381;

					{
						obj_t BgL_auxz00_5382;

						{	/* Cfa/cfa.scm 121 */
							BgL_objectz00_bglt BgL_tmpz00_5383;

							BgL_tmpz00_5383 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_4559));
							BgL_auxz00_5382 = BGL_OBJECT_WIDENING(BgL_tmpz00_5383);
						}
						BgL_auxz00_5381 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_5382);
					}
					BgL_auxz00_5380 =
						(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5381))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5380);
			}
		}

	}



/* &cfa-variable-value-a1612 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1612zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4560, obj_t BgL_valuez00_4561)
	{
		{	/* Cfa/cfa.scm 113 */
			{
				BgL_approxz00_bglt BgL_auxz00_5390;

				{
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_5391;

					{
						obj_t BgL_auxz00_5392;

						{	/* Cfa/cfa.scm 114 */
							BgL_objectz00_bglt BgL_tmpz00_5393;

							BgL_tmpz00_5393 =
								((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_4561));
							BgL_auxz00_5392 = BGL_OBJECT_WIDENING(BgL_tmpz00_5393);
						}
						BgL_auxz00_5391 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_5392);
					}
					BgL_auxz00_5390 =
						(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5391))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5390);
			}
		}

	}



/* &cfa-variable-value-a1610 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1610zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4562, obj_t BgL_valuez00_4563)
	{
		{	/* Cfa/cfa.scm 106 */
			{
				BgL_approxz00_bglt BgL_auxz00_5400;

				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_5401;

					{
						obj_t BgL_auxz00_5402;

						{	/* Cfa/cfa.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_5403;

							BgL_tmpz00_5403 =
								((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_4563));
							BgL_auxz00_5402 = BGL_OBJECT_WIDENING(BgL_tmpz00_5403);
						}
						BgL_auxz00_5401 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_5402);
					}
					BgL_auxz00_5400 =
						(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5401))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5400);
			}
		}

	}



/* &cfa-variable-value-a1608 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1608zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4564, obj_t BgL_valuez00_4565)
	{
		{	/* Cfa/cfa.scm 99 */
			{
				BgL_approxz00_bglt BgL_auxz00_5410;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_5411;

					{
						obj_t BgL_auxz00_5412;

						{	/* Cfa/cfa.scm 100 */
							BgL_objectz00_bglt BgL_tmpz00_5413;

							BgL_tmpz00_5413 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_4565));
							BgL_auxz00_5412 = BGL_OBJECT_WIDENING(BgL_tmpz00_5413);
						}
						BgL_auxz00_5411 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5412);
					}
					BgL_auxz00_5410 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5411))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5410);
			}
		}

	}



/* &cfa!-closure1604 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2closure1604za2zzcfa_cfaz00(obj_t
		BgL_envz00_4566, obj_t BgL_nodez00_4567)
	{
		{	/* Cfa/cfa.scm 86 */
			{	/* Cfa/cfa.scm 87 */
				obj_t BgL_arg1745z00_4738;

				BgL_arg1745z00_4738 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4567)));
				return
					((BgL_approxz00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00(BGl_string2133z00zzcfa_cfaz00,
						BGl_string2167z00zzcfa_cfaz00, BgL_arg1745z00_4738));
			}
		}

	}



/* &cfa!-var1602 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2var1602za2zzcfa_cfaz00(obj_t
		BgL_envz00_4568, obj_t BgL_nodez00_4569)
	{
		{	/* Cfa/cfa.scm 74 */
			{	/* Cfa/cfa.scm 76 */
				obj_t BgL_approxz00_4740;

				BgL_approxz00_4740 =
					BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
					(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4569)))->
									BgL_variablez00)))->BgL_valuez00));
				{	/* Cfa/cfa.scm 77 */
					bool_t BgL_test2246z00_5429;

					if (
						(((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_4569)))->
												BgL_variablez00)))->BgL_typez00)) ==
							((obj_t) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
													BgL_nodez00_4569))))->BgL_typez00))))
						{	/* Cfa/cfa.scm 77 */
							BgL_test2246z00_5429 = ((bool_t) 1);
						}
					else
						{	/* Cfa/cfa.scm 77 */
							BgL_typez00_bglt BgL_arg1729z00_4741;

							BgL_arg1729z00_4741 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_4569))))->BgL_typez00);
							BgL_test2246z00_5429 =
								(
								((obj_t) BgL_arg1729z00_4741) == BGl_za2_za2z00zztype_cachez00);
						}
					if (BgL_test2246z00_5429)
						{	/* Cfa/cfa.scm 77 */
							return ((BgL_approxz00_bglt) BgL_approxz00_4740);
						}
					else
						{	/* Cfa/cfa.scm 79 */
							BgL_approxz00_bglt BgL_new1175z00_4742;

							{	/* Cfa/cfa.scm 81 */
								BgL_approxz00_bglt BgL_new1178z00_4743;

								BgL_new1178z00_4743 =
									((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_approxz00_bgl))));
								{	/* Cfa/cfa.scm 81 */
									long BgL_arg1728z00_4744;

									BgL_arg1728z00_4744 =
										BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1178z00_4743),
										BgL_arg1728z00_4744);
								}
								BgL_new1175z00_4742 = BgL_new1178z00_4743;
							}
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4569))))->BgL_typez00)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_typezd2lockedzf3z21) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4740)))->BgL_typezd2lockedzf3z21)),
								BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_allocsz00) =
								((obj_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4740)))->BgL_allocsz00)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_topzf3zf3) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4740)))->BgL_topzf3zf3)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_lostzd2stampzd2) =
								((long) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4740)))->BgL_lostzd2stampzd2)),
								BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_dupz00) = ((obj_t) BgL_approxz00_4740), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1175z00_4742))->
									BgL_haszd2procedurezf3z21) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4740)))->BgL_haszd2procedurezf3z21)),
								BUNSPEC);
							return BgL_new1175z00_4742;
						}
				}
			}
		}

	}



/* &cfa!-kwote/node1600 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2kwotezf2node1600z50zzcfa_cfaz00(obj_t
		BgL_envz00_4570, obj_t BgL_knodez00_4571)
	{
		{	/* Cfa/cfa.scm 64 */
			{	/* Cfa/cfa.scm 69 */
				BgL_nodez00_bglt BgL_arg1712z00_4746;

				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_5470;

					{
						obj_t BgL_auxz00_5471;

						{	/* Cfa/cfa.scm 69 */
							BgL_objectz00_bglt BgL_tmpz00_5472;

							BgL_tmpz00_5472 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_knodez00_4571));
							BgL_auxz00_5471 = BGL_OBJECT_WIDENING(BgL_tmpz00_5472);
						}
						BgL_auxz00_5470 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_5471);
					}
					BgL_arg1712z00_4746 =
						(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_5470))->
						BgL_nodez00);
				}
				return BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1712z00_4746);
			}
		}

	}



/* &cfa!-kwote/Cinfo1598 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2kwotezf2Cinfo1598z50zzcfa_cfaz00(obj_t
		BgL_envz00_4572, obj_t BgL_nodez00_4573)
	{
		{	/* Cfa/cfa.scm 57 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_5479;

				{
					obj_t BgL_auxz00_5480;

					{	/* Cfa/cfa.scm 58 */
						BgL_objectz00_bglt BgL_tmpz00_5481;

						BgL_tmpz00_5481 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_4573));
						BgL_auxz00_5480 = BGL_OBJECT_WIDENING(BgL_tmpz00_5481);
					}
					BgL_auxz00_5479 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_5480);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_5479))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-patch/Cinfo1596 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2patchzf2Cinfo1596z50zzcfa_cfaz00(obj_t
		BgL_envz00_4574, obj_t BgL_nodez00_4575)
	{
		{	/* Cfa/cfa.scm 50 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_5487;

				{
					obj_t BgL_auxz00_5488;

					{	/* Cfa/cfa.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_5489;

						BgL_tmpz00_5489 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_4575));
						BgL_auxz00_5488 = BGL_OBJECT_WIDENING(BgL_tmpz00_5489);
					}
					BgL_auxz00_5487 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_5488);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5487))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-literal/Cinfo1594 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2literalzf2Cinfo1594z50zzcfa_cfaz00(obj_t
		BgL_envz00_4576, obj_t BgL_nodez00_4577)
	{
		{	/* Cfa/cfa.scm 43 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_5495;

				{
					obj_t BgL_auxz00_5496;

					{	/* Cfa/cfa.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_5497;

						BgL_tmpz00_5497 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_4577));
						BgL_auxz00_5496 = BGL_OBJECT_WIDENING(BgL_tmpz00_5497);
					}
					BgL_auxz00_5495 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_5496);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5495))->
					BgL_approxz00);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00()
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_funcallz00(((long) 87791639),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_cfaz00));
		}

	}

#ifdef __cplusplus
}
#endif
