/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_funcallz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt,
		obj_t, BgL_funcallz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00();
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31727ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1517z50zzcfa_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_variablez00_bglt, long, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_genericzd2initzd2zzcfa_funcallz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzcfa_funcallz00,
		BgL_bgl_za762cfaza712za7d2func2041za7,
		BGl_z62cfaz12zd2funcallzf2Cinfo1517z50zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzcfa_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2042za7,
		BGl_z62zc3z04anonymousza31760ze3ze5zzcfa_funcallz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string2029z00zzcfa_funcallz00,
		BgL_bgl_string2029za700za7za7c2043za7, "cfa", 3);
	      DEFINE_STRING(BGl_string2030z00zzcfa_funcallz00,
		BgL_bgl_string2030za700za7za7c2044za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string2031z00zzcfa_funcallz00,
		BgL_bgl_string2031za700za7za7c2045za7, " provided", 9);
	      DEFINE_STRING(BGl_string2032z00zzcfa_funcallz00,
		BgL_bgl_string2032za700za7za7c2046za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string2033z00zzcfa_funcallz00,
		BgL_bgl_string2033za700za7za7c2047za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string2035z00zzcfa_funcallz00,
		BgL_bgl_string2035za700za7za7c2048za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string2037z00zzcfa_funcallz00,
		BgL_bgl_string2037za700za7za7c2049za7, "cfa_funcall", 11);
	      DEFINE_STRING(BGl_string2038z00zzcfa_funcallz00,
		BgL_bgl_string2038za700za7za7c2050za7, "all ", 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_4026, char *BgL_fromz00_4027)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BGl_toplevelzd2initzd2zzcfa_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_3932;

				{	/* Cfa/funcall.scm 15 */
					obj_t BgL_stringz00_3940;

					BgL_stringz00_3940 = BGl_string2038z00zzcfa_funcallz00;
					{	/* Cfa/funcall.scm 15 */
						obj_t BgL_startz00_3941;

						BgL_startz00_3941 = BINT(((long) 0));
						{	/* Cfa/funcall.scm 15 */
							obj_t BgL_endz00_3942;

							BgL_endz00_3942 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3940)));
							{	/* Cfa/funcall.scm 15 */

								BgL_cportz00_3932 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3940, BgL_startz00_3941, BgL_endz00_3942);
				}}}}
				{
					long BgL_iz00_3933;

					BgL_iz00_3933 = ((long) 0);
				BgL_loopz00_3934:
					if ((BgL_iz00_3933 == ((long) -1)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg2040z00_3936;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_3938;

										BgL_locationz00_3938 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg2040z00_3936 =
												BGl_readz00zz__readerz00(BgL_cportz00_3932,
												BgL_locationz00_3938);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_tmpz00_4054;

									BgL_tmpz00_4054 = (int) (BgL_iz00_3933);
									CNST_TABLE_SET(BgL_tmpz00_4054, BgL_arg2040z00_3936);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_3939;

								BgL_auxz00_3939 = (int) ((BgL_iz00_3933 - ((long) 1)));
								{
									long BgL_iz00_4059;

									BgL_iz00_4059 = (long) (BgL_auxz00_3939);
									BgL_iz00_3933 = BgL_iz00_4059;
									goto BgL_loopz00_3934;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		{	/* Cfa/funcall.scm 111 */
			{	/* Cfa/funcall.scm 113 */
				long BgL_miz00_2888;

				BgL_miz00_2888 =
					(((long) 1) +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_4)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 114 */
					long BgL_lz00_2890;

					BgL_lz00_2890 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 115 */

						if ((BgL_lz00_2890 >= BgL_miz00_2888))
							{	/* Cfa/funcall.scm 116 */
								return
									(BgL_lz00_2890 <=
									(BgL_miz00_2888 +
										bgl_list_length(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_4)))->
												BgL_optionalsz00))));
							}
						else
							{	/* Cfa/funcall.scm 116 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		{	/* Cfa/funcall.scm 121 */
			{	/* Cfa/funcall.scm 123 */
				long BgL_miz00_2895;

				BgL_miz00_2895 =
					(((long) 1) +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_6)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 124 */
					long BgL_lz00_2897;

					BgL_lz00_2897 = bgl_list_length(BgL_argszd2approxzd2_7);
					{	/* Cfa/funcall.scm 125 */

						if ((BgL_lz00_2897 >= BgL_miz00_2895))
							{	/* Cfa/funcall.scm 126 */
								return
									(BgL_lz00_2897 <=
									(BgL_miz00_2895 +
										(((long) 2) *
											bgl_list_length(
												(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_6)))->
													BgL_keysz00)))));
							}
						else
							{	/* Cfa/funcall.scm 126 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_8, obj_t BgL_argszd2approxzd2_9)
	{
		{	/* Cfa/funcall.scm 131 */
			{	/* Cfa/funcall.scm 132 */
				obj_t BgL_gz00_2903;

				BgL_gz00_2903 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_funz00_8)))->
					BgL_thezd2closurezd2globalz00);
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2903))
					{	/* Cfa/funcall.scm 135 */
						BgL_valuez00_bglt BgL_arg1554z00_2905;

						BgL_arg1554z00_2905 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_2903))))->BgL_valuez00);
						return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00
							(BgL_arg1554z00_2905, BgL_argszd2approxzd2_9);
					}
				else
					{	/* Cfa/funcall.scm 134 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2903))
							{	/* Cfa/funcall.scm 137 */
								BgL_valuez00_bglt BgL_arg1563z00_2907;

								BgL_arg1563z00_2907 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2903))))->BgL_valuez00);
								return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_arg1563z00_2907, BgL_argszd2approxzd2_9);
							}
						else
							{	/* Cfa/funcall.scm 139 */
								long BgL_arg1564z00_2908;

								BgL_arg1564z00_2908 =
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_funz00_8)))->BgL_arityz00);
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg1564z00_2908), BgL_argszd2approxzd2_9);
							}
					}
			}
		}

	}



/* funcall! */
	BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt
		BgL_allocz00_10, obj_t BgL_argszd2approxzd2_11,
		BgL_funcallz00_bglt BgL_nodez00_12)
	{
		{	/* Cfa/funcall.scm 144 */
			{	/* Cfa/funcall.scm 145 */
				obj_t BgL_calleez00_2909;

				{	/* Cfa/funcall.scm 145 */
					obj_t BgL_pairz00_3594;

					BgL_pairz00_3594 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_allocz00_10)))->BgL_argsz00);
					BgL_calleez00_2909 = CAR(BgL_pairz00_3594);
				}
				{	/* Cfa/funcall.scm 145 */
					BgL_variablez00_bglt BgL_vz00_2910;

					BgL_vz00_2910 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_calleez00_2909)))->BgL_variablez00);
					{	/* Cfa/funcall.scm 146 */
						BgL_valuez00_bglt BgL_funz00_2911;

						BgL_funz00_2911 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2910))->BgL_valuez00);
						{	/* Cfa/funcall.scm 147 */
							long BgL_arityz00_2912;

							BgL_arityz00_2912 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_2911)))->BgL_arityz00);
							{	/* Cfa/funcall.scm 148 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_2911, BgL_argszd2approxzd2_11))
									{	/* Cfa/funcall.scm 159 */
										bool_t BgL_test2058z00_4113;

										{	/* Cfa/funcall.scm 159 */
											bool_t BgL_test2059z00_4114;

											{	/* Cfa/funcall.scm 159 */
												obj_t BgL_arg1606z00_2951;

												BgL_arg1606z00_2951 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_2911)))->
													BgL_thezd2closurezd2globalz00);
												BgL_test2059z00_4114 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg1606z00_2951);
											}
											if (BgL_test2059z00_4114)
												{	/* Cfa/funcall.scm 159 */
													BgL_test2058z00_4113 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 160 */
													obj_t BgL_arg1604z00_2950;

													BgL_arg1604z00_2950 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_2911)))->
														BgL_thezd2closurezd2globalz00);
													BgL_test2058z00_4113 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg1604z00_2950);
												}
										}
										if (BgL_test2058z00_4113)
											{	/* Cfa/funcall.scm 159 */
												{
													obj_t BgL_l1512z00_2920;

													BgL_l1512z00_2920 = BgL_argszd2approxzd2_11;
												BgL_zc3z04anonymousza31573ze3z87_2921:
													if (PAIRP(BgL_l1512z00_2920))
														{	/* Cfa/funcall.scm 163 */
															{	/* Cfa/funcall.scm 163 */
																obj_t BgL_approxz00_2923;

																BgL_approxz00_2923 = CAR(BgL_l1512z00_2920);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_approxz00_2923),
																	CNST_TABLE_REF(((long) 0)));
															}
															{
																obj_t BgL_l1512z00_4127;

																BgL_l1512z00_4127 = CDR(BgL_l1512z00_2920);
																BgL_l1512z00_2920 = BgL_l1512z00_4127;
																goto BgL_zc3z04anonymousza31573ze3z87_2921;
															}
														}
													else
														{	/* Cfa/funcall.scm 163 */
															((bool_t) 1);
														}
												}
												return
													BGl_makezd2typezd2approxz00zzcfa_approxz00(
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 159 */
												if ((BgL_arityz00_2912 >= ((long) 0)))
													{	/* Cfa/funcall.scm 165 */
														return
															BGl_appz12z12zzcfa_appz00(
															((BgL_funz00_bglt) BgL_funz00_2911),
															((BgL_varz00_bglt) BgL_calleez00_2909),
															BgL_argszd2approxzd2_11);
													}
												else
													{	/* Cfa/funcall.scm 165 */
														{
															obj_t BgL_oldzd2argszd2approxz00_2929;
															obj_t BgL_newzd2argszd2approxz00_2930;
															long BgL_arityz00_2931;

															BgL_oldzd2argszd2approxz00_2929 =
																BgL_argszd2approxzd2_11;
															BgL_newzd2argszd2approxz00_2930 = BNIL;
															BgL_arityz00_2931 = BgL_arityz00_2912;
														BgL_zc3z04anonymousza31580ze3z87_2932:
															if ((BgL_arityz00_2931 == ((long) -1)))
																{	/* Cfa/funcall.scm 175 */
																	{
																		obj_t BgL_l1514z00_2935;

																		BgL_l1514z00_2935 =
																			BgL_oldzd2argszd2approxz00_2929;
																	BgL_zc3z04anonymousza31583ze3z87_2936:
																		if (PAIRP(BgL_l1514z00_2935))
																			{	/* Cfa/funcall.scm 177 */
																				{	/* Cfa/funcall.scm 177 */
																					obj_t BgL_approxz00_2938;

																					BgL_approxz00_2938 =
																						CAR(BgL_l1514z00_2935);
																					BGl_loosez12z12zzcfa_loosez00(
																						((BgL_approxz00_bglt)
																							BgL_approxz00_2938),
																						CNST_TABLE_REF(((long) 0)));
																				}
																				{
																					obj_t BgL_l1514z00_4144;

																					BgL_l1514z00_4144 =
																						CDR(BgL_l1514z00_2935);
																					BgL_l1514z00_2935 = BgL_l1514z00_4144;
																					goto
																						BgL_zc3z04anonymousza31583ze3z87_2936;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 177 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 181 */
																		obj_t BgL_arg1586z00_2941;

																		{	/* Cfa/funcall.scm 181 */
																			obj_t BgL_arg1588z00_2942;

																			{	/* Cfa/funcall.scm 181 */
																				BgL_approxz00_bglt BgL_arg1595z00_2943;

																				{
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_auxz00_4146;
																					{
																						obj_t BgL_auxz00_4147;

																						{	/* Cfa/funcall.scm 181 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4148;
																							BgL_tmpz00_4148 =
																								((BgL_objectz00_bglt)
																								BgL_nodez00_12);
																							BgL_auxz00_4147 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_4148);
																						}
																						BgL_auxz00_4146 =
																							((BgL_funcallzf2cinfozf2_bglt)
																							BgL_auxz00_4147);
																					}
																					BgL_arg1595z00_2943 =
																						(((BgL_funcallzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_4146))->
																						BgL_vazd2approxzd2);
																				}
																				BgL_arg1588z00_2942 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1595z00_2943),
																					BgL_newzd2argszd2approxz00_2930);
																			}
																			BgL_arg1586z00_2941 =
																				bgl_reverse_bang(BgL_arg1588z00_2942);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			((BgL_funz00_bglt) BgL_funz00_2911),
																			((BgL_varz00_bglt) BgL_calleez00_2909),
																			BgL_arg1586z00_2941);
																	}
																}
															else
																{	/* Cfa/funcall.scm 183 */
																	obj_t BgL_arg1597z00_2944;
																	obj_t BgL_arg1601z00_2945;
																	long BgL_arg1602z00_2946;

																	BgL_arg1597z00_2944 =
																		CDR(
																		((obj_t) BgL_oldzd2argszd2approxz00_2929));
																	{	/* Cfa/funcall.scm 184 */
																		obj_t BgL_arg1603z00_2947;

																		BgL_arg1603z00_2947 =
																			CAR(
																			((obj_t)
																				BgL_oldzd2argszd2approxz00_2929));
																		BgL_arg1601z00_2945 =
																			MAKE_YOUNG_PAIR(BgL_arg1603z00_2947,
																			BgL_newzd2argszd2approxz00_2930);
																	}
																	BgL_arg1602z00_2946 =
																		(BgL_arityz00_2931 + ((long) 1));
																	{
																		long BgL_arityz00_4167;
																		obj_t BgL_newzd2argszd2approxz00_4166;
																		obj_t BgL_oldzd2argszd2approxz00_4165;

																		BgL_oldzd2argszd2approxz00_4165 =
																			BgL_arg1597z00_2944;
																		BgL_newzd2argszd2approxz00_4166 =
																			BgL_arg1601z00_2945;
																		BgL_arityz00_4167 = BgL_arg1602z00_2946;
																		BgL_arityz00_2931 = BgL_arityz00_4167;
																		BgL_newzd2argszd2approxz00_2930 =
																			BgL_newzd2argszd2approxz00_4166;
																		BgL_oldzd2argszd2approxz00_2929 =
																			BgL_oldzd2argszd2approxz00_4165;
																		goto BgL_zc3z04anonymousza31580ze3z87_2932;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 153 */
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4168;

											{
												obj_t BgL_auxz00_4169;

												{	/* Cfa/funcall.scm 157 */
													BgL_objectz00_bglt BgL_tmpz00_4170;

													BgL_tmpz00_4170 =
														((BgL_objectz00_bglt) BgL_allocz00_10);
													BgL_auxz00_4169 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4170);
												}
												BgL_auxz00_4168 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_4169);
											}
											((((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4168))->BgL_xzd2tzf3z21) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_12, BgL_vz00_2910, BgL_arityz00_2912,
											BgL_argszd2approxzd2_11);
									}
							}
						}
					}
				}
			}
		}

	}



/* funcall-type-error */
	obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_13, BgL_typez00_bglt BgL_typez00_14)
	{
		{	/* Cfa/funcall.scm 190 */
			{	/* Cfa/funcall.scm 193 */
				bool_t BgL_test2064z00_4176;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4177;

					{
						obj_t BgL_auxz00_4178;

						{	/* Cfa/funcall.scm 193 */
							BgL_objectz00_bglt BgL_tmpz00_4179;

							BgL_tmpz00_4179 = ((BgL_objectz00_bglt) BgL_nodez00_13);
							BgL_auxz00_4178 = BGL_OBJECT_WIDENING(BgL_tmpz00_4179);
						}
						BgL_auxz00_4177 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4178);
					}
					BgL_test2064z00_4176 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4177))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2064z00_4176)
					{	/* Cfa/funcall.scm 193 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 193 */
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4184;

							{
								obj_t BgL_auxz00_4185;

								{	/* Cfa/funcall.scm 194 */
									BgL_objectz00_bglt BgL_tmpz00_4186;

									BgL_tmpz00_4186 = ((BgL_objectz00_bglt) BgL_nodez00_13);
									BgL_auxz00_4185 = BGL_OBJECT_WIDENING(BgL_tmpz00_4186);
								}
								BgL_auxz00_4184 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4185);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4184))->
									BgL_typezd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 195 */
							obj_t BgL_arg1619z00_2956;
							obj_t BgL_arg1620z00_2957;

							BgL_arg1619z00_2956 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_13)))->BgL_locz00);
							BgL_arg1620z00_2957 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_14));
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1619z00_2956, BGl_string2029z00zzcfa_funcallz00,
								BGl_string2030z00zzcfa_funcallz00, BgL_arg1620z00_2957);
						}
					}
			}
		}

	}



/* funcall-arity-error */
	BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_15, BgL_variablez00_bglt BgL_vz00_16, long BgL_arityz00_17,
		obj_t BgL_argszd2approxzd2_18)
	{
		{	/* Cfa/funcall.scm 203 */
			{	/* Cfa/funcall.scm 205 */
				bool_t BgL_test2065z00_4196;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4197;

					{
						obj_t BgL_auxz00_4198;

						{	/* Cfa/funcall.scm 205 */
							BgL_objectz00_bglt BgL_tmpz00_4199;

							BgL_tmpz00_4199 = ((BgL_objectz00_bglt) BgL_nodez00_15);
							BgL_auxz00_4198 = BGL_OBJECT_WIDENING(BgL_tmpz00_4199);
						}
						BgL_auxz00_4197 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4198);
					}
					BgL_test2065z00_4196 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4197))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2065z00_4196)
					{	/* Cfa/funcall.scm 205 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 206 */
						long BgL_lenzd2provzd2_2960;

						BgL_lenzd2provzd2_2960 =
							(bgl_list_length(BgL_argszd2approxzd2_18) - ((long) 1));
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4206;

							{
								obj_t BgL_auxz00_4207;

								{	/* Cfa/funcall.scm 207 */
									BgL_objectz00_bglt BgL_tmpz00_4208;

									BgL_tmpz00_4208 = ((BgL_objectz00_bglt) BgL_nodez00_15);
									BgL_auxz00_4207 = BGL_OBJECT_WIDENING(BgL_tmpz00_4208);
								}
								BgL_auxz00_4206 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4207);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4206))->
									BgL_arityzd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 208 */
							obj_t BgL_arg1632z00_2961;
							obj_t BgL_arg1633z00_2962;
							obj_t BgL_arg1636z00_2963;

							BgL_arg1632z00_2961 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
							{	/* Cfa/funcall.scm 212 */
								BgL_variablez00_bglt BgL_arg1647z00_2964;

								{	/* Cfa/funcall.scm 212 */
									bool_t BgL_test2066z00_4215;

									{	/* Cfa/funcall.scm 212 */
										obj_t BgL_classz00_3617;

										BgL_classz00_3617 = BGl_localz00zzast_varz00;
										{	/* Cfa/funcall.scm 212 */
											BgL_objectz00_bglt BgL_arg1825z00_3619;

											{	/* Cfa/funcall.scm 212 */
												obj_t BgL_tmpz00_4216;

												BgL_tmpz00_4216 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_16));
												BgL_arg1825z00_3619 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4216);
											}
											{	/* Cfa/funcall.scm 212 */
												bool_t BgL_arg1822z00_3622;
												bool_t BgL_arg1823z00_3623;

												{	/* Cfa/funcall.scm 212 */
													long BgL_idxz00_3626;

													BgL_idxz00_3626 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3619);
													BgL_arg1822z00_3622 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3626 + ((long) 2))) ==
														BgL_classz00_3617);
												}
												{	/* Cfa/funcall.scm 212 */
													bool_t BgL_res2020z00_3648;

													{	/* Cfa/funcall.scm 212 */
														obj_t BgL_oclassz00_3634;

														{	/* Cfa/funcall.scm 212 */
															long BgL_arg1833z00_3640;

															{	/* Cfa/funcall.scm 212 */
																long BgL_arg1834z00_3641;

																BgL_arg1834z00_3641 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3619);
																BgL_arg1833z00_3640 =
																	(BgL_arg1834z00_3641 - OBJECT_TYPE);
															}
															BgL_oclassz00_3634 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3640);
														}
														{	/* Cfa/funcall.scm 212 */
															bool_t BgL__ortest_1110z00_3635;

															BgL__ortest_1110z00_3635 =
																(BgL_classz00_3617 == BgL_oclassz00_3634);
															if (BgL__ortest_1110z00_3635)
																{	/* Cfa/funcall.scm 212 */
																	BgL_res2020z00_3648 =
																		BgL__ortest_1110z00_3635;
																}
															else
																{	/* Cfa/funcall.scm 212 */
																	long BgL_odepthz00_3636;

																	BgL_odepthz00_3636 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3634);
																	if ((((long) 2) < BgL_odepthz00_3636))
																		{	/* Cfa/funcall.scm 212 */
																			obj_t BgL_arg1821z00_3638;

																			BgL_arg1821z00_3638 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3634, ((long) 2));
																			BgL_res2020z00_3648 =
																				(BgL_arg1821z00_3638 ==
																				BgL_classz00_3617);
																		}
																	else
																		{	/* Cfa/funcall.scm 212 */
																			BgL_res2020z00_3648 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_3623 = BgL_res2020z00_3648;
												}
												BgL_test2066z00_4215 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_3622,
													BgL_arg1823z00_3623);
											}
										}
									}
									if (BgL_test2066z00_4215)
										{	/* Cfa/funcall.scm 213 */
											BgL_localz00_bglt BgL_new1165z00_2967;

											{	/* Cfa/funcall.scm 213 */
												BgL_localz00_bglt BgL_new1171z00_2971;

												BgL_new1171z00_2971 =
													((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localz00_bgl))));
												{	/* Cfa/funcall.scm 213 */
													long BgL_arg1652z00_2972;

													BgL_arg1652z00_2972 =
														BGL_CLASS_NUM(BGl_localz00zzast_varz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1171z00_2971),
														BgL_arg1652z00_2972);
												}
												{	/* Cfa/funcall.scm 213 */
													BgL_objectz00_bglt BgL_tmpz00_4239;

													BgL_tmpz00_4239 =
														((BgL_objectz00_bglt) BgL_new1171z00_2971);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4239, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1171z00_2971);
												BgL_new1165z00_2967 = BgL_new1171z00_2971;
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_new1165z00_2967)))->
													BgL_idz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_idz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_namez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_namez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_typez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_valuez00) =
												((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_valuez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_accessz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_accessz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_fastzd2alphazd2) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_fastzd2alphazd2)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_removablez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_removablez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_occurrencez00) =
												((long) (((BgL_variablez00_bglt) COBJECT(BgL_vz00_16))->
														BgL_occurrencez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_occurrencewz00) =
												((long) (((BgL_variablez00_bglt) COBJECT(BgL_vz00_16))->
														BgL_occurrencewz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2967)))->BgL_userzf3zf3) =
												((bool_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_userzf3zf3)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1165z00_2967))->
													BgL_keyz00) =
												((long) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_keyz00)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1165z00_2967))->
													BgL_valzd2noescapezd2) =
												((obj_t) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_valzd2noescapezd2)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1165z00_2967))->
													BgL_volatilez00) =
												((bool_t) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_volatilez00)), BUNSPEC);
											BgL_arg1647z00_2964 =
												((BgL_variablez00_bglt) BgL_new1165z00_2967);
										}
									else
										{	/* Cfa/funcall.scm 214 */
											bool_t BgL_test2069z00_4283;

											{	/* Cfa/funcall.scm 214 */
												obj_t BgL_classz00_3653;

												BgL_classz00_3653 = BGl_globalz00zzast_varz00;
												{	/* Cfa/funcall.scm 214 */
													BgL_objectz00_bglt BgL_arg1825z00_3655;

													{	/* Cfa/funcall.scm 214 */
														obj_t BgL_tmpz00_4284;

														BgL_tmpz00_4284 =
															((obj_t) ((BgL_objectz00_bglt) BgL_vz00_16));
														BgL_arg1825z00_3655 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4284);
													}
													{	/* Cfa/funcall.scm 214 */
														bool_t BgL_arg1822z00_3658;
														bool_t BgL_arg1823z00_3659;

														{	/* Cfa/funcall.scm 214 */
															long BgL_idxz00_3662;

															BgL_idxz00_3662 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3655);
															BgL_arg1822z00_3658 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3662 + ((long) 2))) ==
																BgL_classz00_3653);
														}
														{	/* Cfa/funcall.scm 214 */
															bool_t BgL_res2021z00_3684;

															{	/* Cfa/funcall.scm 214 */
																obj_t BgL_oclassz00_3670;

																{	/* Cfa/funcall.scm 214 */
																	long BgL_arg1833z00_3676;

																	{	/* Cfa/funcall.scm 214 */
																		long BgL_arg1834z00_3677;

																		BgL_arg1834z00_3677 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3655);
																		BgL_arg1833z00_3676 =
																			(BgL_arg1834z00_3677 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3670 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_3676);
																}
																{	/* Cfa/funcall.scm 214 */
																	bool_t BgL__ortest_1110z00_3671;

																	BgL__ortest_1110z00_3671 =
																		(BgL_classz00_3653 == BgL_oclassz00_3670);
																	if (BgL__ortest_1110z00_3671)
																		{	/* Cfa/funcall.scm 214 */
																			BgL_res2021z00_3684 =
																				BgL__ortest_1110z00_3671;
																		}
																	else
																		{	/* Cfa/funcall.scm 214 */
																			long BgL_odepthz00_3672;

																			BgL_odepthz00_3672 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3670);
																			if ((((long) 2) < BgL_odepthz00_3672))
																				{	/* Cfa/funcall.scm 214 */
																					obj_t BgL_arg1821z00_3674;

																					BgL_arg1821z00_3674 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3670, ((long) 2));
																					BgL_res2021z00_3684 =
																						(BgL_arg1821z00_3674 ==
																						BgL_classz00_3653);
																				}
																			else
																				{	/* Cfa/funcall.scm 214 */
																					BgL_res2021z00_3684 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_3659 = BgL_res2021z00_3684;
														}
														BgL_test2069z00_4283 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_3658,
															BgL_arg1823z00_3659);
													}
												}
											}
											if (BgL_test2069z00_4283)
												{	/* Cfa/funcall.scm 215 */
													BgL_globalz00_bglt BgL_new1172z00_2975;

													{	/* Cfa/funcall.scm 215 */
														BgL_globalz00_bglt BgL_new1185z00_2986;

														BgL_new1185z00_2986 =
															((BgL_globalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_globalz00_bgl))));
														{	/* Cfa/funcall.scm 215 */
															long BgL_arg1656z00_2987;

															BgL_arg1656z00_2987 =
																BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1185z00_2986),
																BgL_arg1656z00_2987);
														}
														{	/* Cfa/funcall.scm 215 */
															BgL_objectz00_bglt BgL_tmpz00_4307;

															BgL_tmpz00_4307 =
																((BgL_objectz00_bglt) BgL_new1185z00_2986);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4307, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1185z00_2986);
														BgL_new1172z00_2975 = BgL_new1185z00_2986;
													}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_idz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_idz00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_namez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_namez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_typez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_valuez00) =
														((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_valuez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_accessz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_accessz00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->
															BgL_fastzd2alphazd2) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_fastzd2alphazd2)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_removablez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_removablez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_occurrencez00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_occurrencez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->
															BgL_occurrencewz00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_occurrencewz00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1172z00_2975)))->BgL_userzf3zf3) =
														((bool_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_userzf3zf3)),
														BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_modulez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_modulez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_importz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_importz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->
															BgL_evaluablezf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evaluablezf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_evalzf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evalzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_libraryz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_libraryz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_pragmaz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_pragmaz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_srcz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_srcz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->
															BgL_jvmzd2typezd2namez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_jvmzd2typezd2namez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_initz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_initz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1172z00_2975))->BgL_aliasz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_aliasz00)), BUNSPEC);
													BgL_arg1647z00_2964 =
														((BgL_variablez00_bglt) BgL_new1172z00_2975);
												}
											else
												{	/* Cfa/funcall.scm 214 */
													BgL_arg1647z00_2964 = BgL_vz00_16;
												}
										}
								}
								BgL_arg1633z00_2962 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1647z00_2964));
							}
							{	/* Cfa/funcall.scm 220 */
								obj_t BgL_arg1657z00_2988;
								obj_t BgL_arg1660z00_2989;

								{	/* Cfa/funcall.scm 220 */

									BgL_arg1657z00_2988 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_17 - ((long) 1)), ((long) 10));
								}
								{	/* Cfa/funcall.scm 222 */

									BgL_arg1660z00_2989 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_2960, ((long) 10));
								}
								{	/* Cfa/funcall.scm 219 */
									obj_t BgL_list1661z00_2990;

									{	/* Cfa/funcall.scm 219 */
										obj_t BgL_arg1665z00_2991;

										{	/* Cfa/funcall.scm 219 */
											obj_t BgL_arg1667z00_2992;

											{	/* Cfa/funcall.scm 219 */
												obj_t BgL_arg1675z00_2993;

												BgL_arg1675z00_2993 =
													MAKE_YOUNG_PAIR(BGl_string2031z00zzcfa_funcallz00,
													BNIL);
												BgL_arg1667z00_2992 =
													MAKE_YOUNG_PAIR(BgL_arg1660z00_2989,
													BgL_arg1675z00_2993);
											}
											BgL_arg1665z00_2991 =
												MAKE_YOUNG_PAIR(BGl_string2032z00zzcfa_funcallz00,
												BgL_arg1667z00_2992);
										}
										BgL_list1661z00_2990 =
											MAKE_YOUNG_PAIR(BgL_arg1657z00_2988, BgL_arg1665z00_2991);
									}
									BgL_arg1636z00_2963 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list1661z00_2990);
							}}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1632z00_2961, BgL_arg1633z00_2962,
								BGl_string2033z00zzcfa_funcallz00, BgL_arg1636z00_2963);
			}}}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2034z00zzcfa_funcallz00, BGl_string2035z00zzcfa_funcallz00);
		}

	}



/* &cfa!-funcall/Cinfo1517 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1517z50zzcfa_funcallz00(obj_t
		BgL_envz00_3916, obj_t BgL_nodez00_3917)
	{
		{	/* Cfa/funcall.scm 44 */
			{	/* Cfa/funcall.scm 48 */
				BgL_approxz00_bglt BgL_fapproxz00_3945;

				{	/* Cfa/funcall.scm 48 */
					BgL_nodez00_bglt BgL_arg1801z00_3946;

					BgL_arg1801z00_3946 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_3917))))->BgL_funz00);
					BgL_fapproxz00_3945 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1801z00_3946);
				}
				{	/* Cfa/funcall.scm 48 */
					obj_t BgL_aapproxz00_3947;

					{	/* Cfa/funcall.scm 49 */
						obj_t BgL_l1504z00_3948;

						{	/* Cfa/funcall.scm 49 */
							obj_t BgL_pairz00_3949;

							BgL_pairz00_3949 =
								(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_3917))))->BgL_argsz00);
							BgL_l1504z00_3948 = CDR(BgL_pairz00_3949);
						}
						if (NULLP(BgL_l1504z00_3948))
							{	/* Cfa/funcall.scm 49 */
								BgL_aapproxz00_3947 = BNIL;
							}
						else
							{	/* Cfa/funcall.scm 49 */
								obj_t BgL_head1506z00_3950;

								{	/* Cfa/funcall.scm 49 */
									BgL_approxz00_bglt BgL_arg1788z00_3951;

									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_arg1789z00_3952;

										BgL_arg1789z00_3952 = CAR(((obj_t) BgL_l1504z00_3948));
										BgL_arg1788z00_3951 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1789z00_3952));
									}
									BgL_head1506z00_3950 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1788z00_3951), BNIL);
								}
								{	/* Cfa/funcall.scm 49 */
									obj_t BgL_g1509z00_3953;

									BgL_g1509z00_3953 = CDR(((obj_t) BgL_l1504z00_3948));
									{
										obj_t BgL_l1504z00_3955;
										obj_t BgL_tail1507z00_3956;

										BgL_l1504z00_3955 = BgL_g1509z00_3953;
										BgL_tail1507z00_3956 = BgL_head1506z00_3950;
									BgL_zc3z04anonymousza31772ze3z87_3954:
										if (NULLP(BgL_l1504z00_3955))
											{	/* Cfa/funcall.scm 49 */
												BgL_aapproxz00_3947 = BgL_head1506z00_3950;
											}
										else
											{	/* Cfa/funcall.scm 49 */
												obj_t BgL_newtail1508z00_3957;

												{	/* Cfa/funcall.scm 49 */
													BgL_approxz00_bglt BgL_arg1781z00_3958;

													{	/* Cfa/funcall.scm 49 */
														obj_t BgL_arg1785z00_3959;

														BgL_arg1785z00_3959 =
															CAR(((obj_t) BgL_l1504z00_3955));
														BgL_arg1781z00_3958 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1785z00_3959));
													}
													BgL_newtail1508z00_3957 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1781z00_3958), BNIL);
												}
												SET_CDR(BgL_tail1507z00_3956, BgL_newtail1508z00_3957);
												{	/* Cfa/funcall.scm 49 */
													obj_t BgL_arg1777z00_3960;

													BgL_arg1777z00_3960 =
														CDR(((obj_t) BgL_l1504z00_3955));
													{
														obj_t BgL_tail1507z00_4415;
														obj_t BgL_l1504z00_4414;

														BgL_l1504z00_4414 = BgL_arg1777z00_3960;
														BgL_tail1507z00_4415 = BgL_newtail1508z00_3957;
														BgL_tail1507z00_3956 = BgL_tail1507z00_4415;
														BgL_l1504z00_3955 = BgL_l1504z00_4414;
														goto BgL_zc3z04anonymousza31772ze3z87_3954;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/funcall.scm 49 */

						{	/* Cfa/funcall.scm 54 */
							BgL_typez00_bglt BgL_funzd2typezd2_3961;

							BgL_funzd2typezd2_3961 =
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3945))->
								BgL_typez00);
							{	/* Cfa/funcall.scm 55 */
								bool_t BgL_test2074z00_4417;

								if (
									(((obj_t) BgL_funzd2typezd2_3961) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/funcall.scm 55 */
										BgL_test2074z00_4417 = ((bool_t) 1);
									}
								else
									{	/* Cfa/funcall.scm 55 */
										if (
											(((obj_t) BgL_funzd2typezd2_3961) ==
												BGl_za2objza2z00zztype_cachez00))
											{	/* Cfa/funcall.scm 56 */
												BgL_test2074z00_4417 = ((bool_t) 1);
											}
										else
											{	/* Cfa/funcall.scm 56 */
												BgL_test2074z00_4417 =
													(
													((obj_t) BgL_funzd2typezd2_3961) ==
													BGl_za2procedureza2z00zztype_cachez00);
											}
									}
								if (BgL_test2074z00_4417)
									{	/* Cfa/funcall.scm 55 */
										BFALSE;
									}
								else
									{	/* Cfa/funcall.scm 55 */
										BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_3917),
											BgL_funzd2typezd2_3961);
									}
							}
						}
						{	/* Cfa/funcall.scm 60 */
							bool_t BgL_test2077z00_4428;

							{	/* Cfa/funcall.scm 60 */
								bool_t BgL_test2078z00_4429;

								{	/* Cfa/funcall.scm 60 */
									BgL_typez00_bglt BgL_arg1699z00_3962;

									BgL_arg1699z00_3962 =
										(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3945))->
										BgL_typez00);
									BgL_test2078z00_4429 =
										(((obj_t) BgL_arg1699z00_3962) ==
										BGl_za2procedureza2z00zztype_cachez00);
								}
								if (BgL_test2078z00_4429)
									{	/* Cfa/funcall.scm 60 */
										BgL_test2077z00_4428 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3945))->
											BgL_topzf3zf3);
									}
								else
									{	/* Cfa/funcall.scm 60 */
										BgL_test2077z00_4428 = ((bool_t) 1);
									}
							}
							if (BgL_test2077z00_4428)
								{	/* Cfa/funcall.scm 62 */
									BgL_approxz00_bglt BgL_arg1696z00_3963;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4434;

										{
											obj_t BgL_auxz00_4435;

											{	/* Cfa/funcall.scm 62 */
												BgL_objectz00_bglt BgL_tmpz00_4436;

												BgL_tmpz00_4436 =
													((BgL_objectz00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_3917));
												BgL_auxz00_4435 = BGL_OBJECT_WIDENING(BgL_tmpz00_4436);
											}
											BgL_auxz00_4434 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4435);
										}
										BgL_arg1696z00_3963 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4434))->BgL_approxz00);
									}
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
										(BgL_arg1696z00_3963,
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
								}
							else
								{	/* Cfa/funcall.scm 60 */
									BFALSE;
								}
						}
						{	/* Cfa/funcall.scm 65 */
							bool_t BgL_test2079z00_4444;

							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3945))->
									BgL_topzf3zf3))
								{	/* Cfa/funcall.scm 65 */
									BgL_test2079z00_4444 = ((bool_t) 1);
								}
							else
								{	/* Cfa/funcall.scm 66 */
									bool_t BgL_test2081z00_4447;

									{	/* Cfa/funcall.scm 66 */
										BgL_typez00_bglt BgL_arg1739z00_3964;

										BgL_arg1739z00_3964 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3945))->
											BgL_typez00);
										BgL_test2081z00_4447 =
											(((obj_t) BgL_arg1739z00_3964) ==
											BGl_za2procedureza2z00zztype_cachez00);
									}
									if (BgL_test2081z00_4447)
										{	/* Cfa/funcall.scm 66 */
											BgL_test2079z00_4444 = ((bool_t) 0);
										}
									else
										{	/* Cfa/funcall.scm 66 */
											BgL_test2079z00_4444 = ((bool_t) 1);
										}
								}
							if (BgL_test2079z00_4444)
								{	/* Cfa/funcall.scm 65 */
									{
										obj_t BgL_l1510z00_3966;

										BgL_l1510z00_3966 = BgL_aapproxz00_3947;
									BgL_zc3z04anonymousza31708ze3z87_3965:
										if (PAIRP(BgL_l1510z00_3966))
											{	/* Cfa/funcall.scm 67 */
												{	/* Cfa/funcall.scm 67 */
													obj_t BgL_approxz00_3967;

													BgL_approxz00_3967 = CAR(BgL_l1510z00_3966);
													BGl_loosez12z12zzcfa_loosez00(
														((BgL_approxz00_bglt) BgL_approxz00_3967),
														CNST_TABLE_REF(((long) 0)));
												}
												{
													obj_t BgL_l1510z00_4457;

													BgL_l1510z00_4457 = CDR(BgL_l1510z00_3966);
													BgL_l1510z00_3966 = BgL_l1510z00_4457;
													goto BgL_zc3z04anonymousza31708ze3z87_3965;
												}
											}
										else
											{	/* Cfa/funcall.scm 67 */
												((bool_t) 1);
											}
									}
									{	/* Cfa/funcall.scm 70 */
										obj_t BgL_zc3z04anonymousza31713ze3z87_3968;

										BgL_zc3z04anonymousza31713ze3z87_3968 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31713ze3ze5zzcfa_funcallz00,
											(int) (((long) 1)), (int) (((long) 3)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31713ze3z87_3968,
											(int) (((long) 0)),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3917)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31713ze3z87_3968,
											(int) (((long) 1)), BgL_aapproxz00_3947);
										PROCEDURE_SET(BgL_zc3z04anonymousza31713ze3z87_3968,
											(int) (((long) 2)),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3917)));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3z04anonymousza31713ze3z87_3968,
											BgL_fapproxz00_3945);
									}
									{	/* Cfa/funcall.scm 77 */
										BgL_approxz00_bglt BgL_arg1723z00_3969;

										{
											BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4473;

											{
												obj_t BgL_auxz00_4474;

												{	/* Cfa/funcall.scm 77 */
													BgL_objectz00_bglt BgL_tmpz00_4475;

													BgL_tmpz00_4475 =
														((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_3917));
													BgL_auxz00_4474 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4475);
												}
												BgL_auxz00_4473 =
													((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4474);
											}
											BgL_arg1723z00_3969 =
												(((BgL_funcallzf2cinfozf2_bglt)
													COBJECT(BgL_auxz00_4473))->BgL_approxz00);
										}
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1723z00_3969);
								}}
							else
								{	/* Cfa/funcall.scm 65 */
									if (CBOOL(BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00
											(BgL_fapproxz00_3945)))
										{	/* Cfa/funcall.scm 82 */
											BgL_approxz00_bglt BgL_arg1725z00_3970;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4485;

												{
													obj_t BgL_auxz00_4486;

													{	/* Cfa/funcall.scm 82 */
														BgL_objectz00_bglt BgL_tmpz00_4487;

														BgL_tmpz00_4487 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_3917));
														BgL_auxz00_4486 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4487);
													}
													BgL_auxz00_4485 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4486);
												}
												BgL_arg1725z00_3970 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4485))->BgL_approxz00);
											}
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
												(BgL_arg1725z00_3970,
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
										}
									else
										{	/* Cfa/funcall.scm 86 */
											obj_t BgL_zc3z04anonymousza31727ze3z87_3971;

											BgL_zc3z04anonymousza31727ze3z87_3971 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31727ze3ze5zzcfa_funcallz00,
												(int) (((long) 1)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31727ze3z87_3971,
												(int) (((long) 0)),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3917)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31727ze3z87_3971,
												(int) (((long) 1)), BgL_aapproxz00_3947);
											PROCEDURE_SET(BgL_zc3z04anonymousza31727ze3z87_3971,
												(int) (((long) 2)),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3917)));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3z04anonymousza31727ze3z87_3971,
												BgL_fapproxz00_3945);
						}}}
						{	/* Cfa/funcall.scm 96 */
							bool_t BgL_test2084z00_4509;

							if (CBOOL
								(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
								{	/* Cfa/funcall.scm 97 */
									bool_t BgL_test2086z00_4512;

									{	/* Cfa/funcall.scm 97 */
										BgL_typez00_bglt BgL_arg1766z00_3972;

										{	/* Cfa/funcall.scm 97 */
											BgL_approxz00_bglt BgL_arg1770z00_3973;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4513;

												{
													obj_t BgL_auxz00_4514;

													{	/* Cfa/funcall.scm 97 */
														BgL_objectz00_bglt BgL_tmpz00_4515;

														BgL_tmpz00_4515 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_3917));
														BgL_auxz00_4514 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4515);
													}
													BgL_auxz00_4513 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4514);
												}
												BgL_arg1770z00_3973 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4513))->BgL_approxz00);
											}
											BgL_arg1766z00_3972 =
												(((BgL_approxz00_bglt) COBJECT(BgL_arg1770z00_3973))->
												BgL_typez00);
										}
										BgL_test2086z00_4512 =
											BGl_bigloozd2typezf3z21zztype_typez00
											(BgL_arg1766z00_3972);
									}
									if (BgL_test2086z00_4512)
										{	/* Cfa/funcall.scm 98 */
											bool_t BgL_test2087z00_4523;

											{	/* Cfa/funcall.scm 98 */
												BgL_typez00_bglt BgL_arg1762z00_3974;

												{	/* Cfa/funcall.scm 98 */
													BgL_approxz00_bglt BgL_arg1763z00_3975;

													{
														BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4524;

														{
															obj_t BgL_auxz00_4525;

															{	/* Cfa/funcall.scm 98 */
																BgL_objectz00_bglt BgL_tmpz00_4526;

																BgL_tmpz00_4526 =
																	((BgL_objectz00_bglt)
																	((BgL_funcallz00_bglt) BgL_nodez00_3917));
																BgL_auxz00_4525 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4526);
															}
															BgL_auxz00_4524 =
																((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4525);
														}
														BgL_arg1763z00_3975 =
															(((BgL_funcallzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_4524))->BgL_approxz00);
													}
													BgL_arg1762z00_3974 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_arg1763z00_3975))->BgL_typez00);
												}
												BgL_test2087z00_4523 =
													(
													((obj_t) BgL_arg1762z00_3974) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2087z00_4523)
												{	/* Cfa/funcall.scm 98 */
													BgL_test2084z00_4509 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 98 */
													BgL_test2084z00_4509 = ((bool_t) 1);
												}
										}
									else
										{	/* Cfa/funcall.scm 97 */
											BgL_test2084z00_4509 = ((bool_t) 0);
										}
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BgL_test2084z00_4509 = ((bool_t) 0);
								}
							if (BgL_test2084z00_4509)
								{	/* Cfa/funcall.scm 96 */
									BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
										(BGl_proc2036z00zzcfa_funcallz00, BgL_fapproxz00_3945);
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BFALSE;
								}
						}
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4536;

							{
								obj_t BgL_auxz00_4537;

								{	/* Cfa/funcall.scm 106 */
									BgL_objectz00_bglt BgL_tmpz00_4538;

									BgL_tmpz00_4538 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_3917));
									BgL_auxz00_4537 = BGL_OBJECT_WIDENING(BgL_tmpz00_4538);
								}
								BgL_auxz00_4536 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4537);
							}
							return
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4536))->
								BgL_approxz00);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1760> */
	obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_3918, obj_t BgL_az00_3919)
	{
		{	/* Cfa/funcall.scm 100 */
			{	/* Cfa/funcall.scm 101 */
				bool_t BgL_test2088z00_4544;

				{	/* Cfa/funcall.scm 101 */
					obj_t BgL_classz00_3976;

					BgL_classz00_3976 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_az00_3919))
						{	/* Cfa/funcall.scm 101 */
							BgL_objectz00_bglt BgL_arg1825z00_3977;

							BgL_arg1825z00_3977 = (BgL_objectz00_bglt) (BgL_az00_3919);
							{	/* Cfa/funcall.scm 101 */
								bool_t BgL_arg1822z00_3978;
								bool_t BgL_arg1823z00_3979;

								{	/* Cfa/funcall.scm 101 */
									long BgL_idxz00_3980;

									BgL_idxz00_3980 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3977);
									BgL_arg1822z00_3978 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3980 + ((long) 4))) == BgL_classz00_3976);
								}
								{	/* Cfa/funcall.scm 101 */
									bool_t BgL_res2024z00_3983;

									{	/* Cfa/funcall.scm 101 */
										obj_t BgL_oclassz00_3984;

										{	/* Cfa/funcall.scm 101 */
											long BgL_arg1833z00_3985;

											{	/* Cfa/funcall.scm 101 */
												long BgL_arg1834z00_3986;

												BgL_arg1834z00_3986 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3977);
												BgL_arg1833z00_3985 =
													(BgL_arg1834z00_3986 - OBJECT_TYPE);
											}
											BgL_oclassz00_3984 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3985);
										}
										{	/* Cfa/funcall.scm 101 */
											bool_t BgL__ortest_1110z00_3987;

											BgL__ortest_1110z00_3987 =
												(BgL_classz00_3976 == BgL_oclassz00_3984);
											if (BgL__ortest_1110z00_3987)
												{	/* Cfa/funcall.scm 101 */
													BgL_res2024z00_3983 = BgL__ortest_1110z00_3987;
												}
											else
												{	/* Cfa/funcall.scm 101 */
													long BgL_odepthz00_3988;

													BgL_odepthz00_3988 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3984);
													if ((((long) 4) < BgL_odepthz00_3988))
														{	/* Cfa/funcall.scm 101 */
															obj_t BgL_arg1821z00_3989;

															BgL_arg1821z00_3989 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3984,
																((long) 4));
															BgL_res2024z00_3983 =
																(BgL_arg1821z00_3989 == BgL_classz00_3976);
														}
													else
														{	/* Cfa/funcall.scm 101 */
															BgL_res2024z00_3983 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3979 = BgL_res2024z00_3983;
								}
								BgL_test2088z00_4544 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3978, BgL_arg1823z00_3979);
							}
						}
					else
						{	/* Cfa/funcall.scm 101 */
							BgL_test2088z00_4544 = ((bool_t) 0);
						}
				}
				if (BgL_test2088z00_4544)
					{	/* Cfa/funcall.scm 101 */
						return
							BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
							(((BgL_appz00_bglt) BgL_az00_3919));
					}
				else
					{	/* Cfa/funcall.scm 101 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1713> */
	obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_3920, obj_t BgL_allocz00_3924)
	{
		{	/* Cfa/funcall.scm 69 */
			{	/* Cfa/funcall.scm 70 */
				BgL_funcallz00_bglt BgL_i1158z00_3921;
				obj_t BgL_aapproxz00_3922;
				BgL_funcallz00_bglt BgL_nodez00_3923;

				BgL_i1158z00_3921 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3920, (int) (((long) 0))));
				BgL_aapproxz00_3922 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3920, (int) (((long) 1))));
				BgL_nodez00_3923 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3920, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4574;

					{	/* Cfa/funcall.scm 70 */
						bool_t BgL_test2092z00_4575;

						{	/* Cfa/funcall.scm 70 */
							obj_t BgL_classz00_3990;

							BgL_classz00_3990 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_allocz00_3924))
								{	/* Cfa/funcall.scm 70 */
									BgL_objectz00_bglt BgL_arg1825z00_3991;

									BgL_arg1825z00_3991 =
										(BgL_objectz00_bglt) (BgL_allocz00_3924);
									{	/* Cfa/funcall.scm 70 */
										bool_t BgL_arg1822z00_3992;
										bool_t BgL_arg1823z00_3993;

										{	/* Cfa/funcall.scm 70 */
											long BgL_idxz00_3994;

											BgL_idxz00_3994 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3991);
											BgL_arg1822z00_3992 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3994 + ((long) 4))) == BgL_classz00_3990);
										}
										{	/* Cfa/funcall.scm 70 */
											bool_t BgL_res2022z00_3997;

											{	/* Cfa/funcall.scm 70 */
												obj_t BgL_oclassz00_3998;

												{	/* Cfa/funcall.scm 70 */
													long BgL_arg1833z00_3999;

													{	/* Cfa/funcall.scm 70 */
														long BgL_arg1834z00_4000;

														BgL_arg1834z00_4000 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3991);
														BgL_arg1833z00_3999 =
															(BgL_arg1834z00_4000 - OBJECT_TYPE);
													}
													BgL_oclassz00_3998 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3999);
												}
												{	/* Cfa/funcall.scm 70 */
													bool_t BgL__ortest_1110z00_4001;

													BgL__ortest_1110z00_4001 =
														(BgL_classz00_3990 == BgL_oclassz00_3998);
													if (BgL__ortest_1110z00_4001)
														{	/* Cfa/funcall.scm 70 */
															BgL_res2022z00_3997 = BgL__ortest_1110z00_4001;
														}
													else
														{	/* Cfa/funcall.scm 70 */
															long BgL_odepthz00_4002;

															BgL_odepthz00_4002 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3998);
															if ((((long) 4) < BgL_odepthz00_4002))
																{	/* Cfa/funcall.scm 70 */
																	obj_t BgL_arg1821z00_4003;

																	BgL_arg1821z00_4003 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3998,
																		((long) 4));
																	BgL_res2022z00_3997 =
																		(BgL_arg1821z00_4003 == BgL_classz00_3990);
																}
															else
																{	/* Cfa/funcall.scm 70 */
																	BgL_res2022z00_3997 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3993 = BgL_res2022z00_3997;
										}
										BgL_test2092z00_4575 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3992,
											BgL_arg1823z00_3993);
									}
								}
							else
								{	/* Cfa/funcall.scm 70 */
									BgL_test2092z00_4575 = ((bool_t) 0);
								}
						}
						if (BgL_test2092z00_4575)
							{	/* Cfa/funcall.scm 71 */
								BgL_approxz00_bglt BgL_eapproxz00_4004;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4594;

									{
										obj_t BgL_auxz00_4595;

										{	/* Cfa/funcall.scm 71 */
											BgL_objectz00_bglt BgL_tmpz00_4596;

											BgL_tmpz00_4596 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_3924));
											BgL_auxz00_4595 = BGL_OBJECT_WIDENING(BgL_tmpz00_4596);
										}
										BgL_auxz00_4594 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4595);
									}
									BgL_eapproxz00_4004 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4594))->BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 72 */
									BgL_approxz00_bglt BgL_arg1715z00_4005;
									BgL_approxz00_bglt BgL_arg1716z00_4006;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4602;

										{
											obj_t BgL_auxz00_4603;

											{	/* Cfa/funcall.scm 72 */
												BgL_objectz00_bglt BgL_tmpz00_4604;

												BgL_tmpz00_4604 =
													((BgL_objectz00_bglt) BgL_i1158z00_3921);
												BgL_auxz00_4603 = BGL_OBJECT_WIDENING(BgL_tmpz00_4604);
											}
											BgL_auxz00_4602 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4603);
										}
										BgL_arg1715z00_4005 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4602))->BgL_approxz00);
									}
									{	/* Cfa/funcall.scm 74 */
										obj_t BgL_arg1721z00_4007;

										BgL_arg1721z00_4007 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_eapproxz00_4004), BgL_aapproxz00_3922);
										BgL_arg1716z00_4006 =
											BGl_funcallz12z12zzcfa_funcallz00(
											((BgL_appz00_bglt) BgL_allocz00_3924),
											BgL_arg1721z00_4007, BgL_nodez00_3923);
									}
									BgL_auxz00_4574 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1715z00_4005,
										BgL_arg1716z00_4006);
								}
							}
						else
							{	/* Cfa/funcall.scm 70 */
								BgL_auxz00_4574 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
					}
					return ((obj_t) BgL_auxz00_4574);
				}
			}
		}

	}



/* &<@anonymous:1727> */
	obj_t BGl_z62zc3z04anonymousza31727ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_3925, obj_t BgL_allocz00_3929)
	{
		{	/* Cfa/funcall.scm 85 */
			{	/* Cfa/funcall.scm 86 */
				BgL_funcallz00_bglt BgL_i1158z00_3926;
				obj_t BgL_aapproxz00_3927;
				BgL_funcallz00_bglt BgL_nodez00_3928;

				BgL_i1158z00_3926 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3925, (int) (((long) 0))));
				BgL_aapproxz00_3927 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3925, (int) (((long) 1))));
				BgL_nodez00_3928 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3925, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4625;

					{	/* Cfa/funcall.scm 86 */
						bool_t BgL_test2096z00_4626;

						{	/* Cfa/funcall.scm 86 */
							obj_t BgL_classz00_4008;

							BgL_classz00_4008 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_allocz00_3929))
								{	/* Cfa/funcall.scm 86 */
									BgL_objectz00_bglt BgL_arg1825z00_4009;

									BgL_arg1825z00_4009 =
										(BgL_objectz00_bglt) (BgL_allocz00_3929);
									{	/* Cfa/funcall.scm 86 */
										bool_t BgL_arg1822z00_4010;
										bool_t BgL_arg1823z00_4011;

										{	/* Cfa/funcall.scm 86 */
											long BgL_idxz00_4012;

											BgL_idxz00_4012 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4009);
											BgL_arg1822z00_4010 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4012 + ((long) 4))) == BgL_classz00_4008);
										}
										{	/* Cfa/funcall.scm 86 */
											bool_t BgL_res2023z00_4015;

											{	/* Cfa/funcall.scm 86 */
												obj_t BgL_oclassz00_4016;

												{	/* Cfa/funcall.scm 86 */
													long BgL_arg1833z00_4017;

													{	/* Cfa/funcall.scm 86 */
														long BgL_arg1834z00_4018;

														BgL_arg1834z00_4018 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4009);
														BgL_arg1833z00_4017 =
															(BgL_arg1834z00_4018 - OBJECT_TYPE);
													}
													BgL_oclassz00_4016 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4017);
												}
												{	/* Cfa/funcall.scm 86 */
													bool_t BgL__ortest_1110z00_4019;

													BgL__ortest_1110z00_4019 =
														(BgL_classz00_4008 == BgL_oclassz00_4016);
													if (BgL__ortest_1110z00_4019)
														{	/* Cfa/funcall.scm 86 */
															BgL_res2023z00_4015 = BgL__ortest_1110z00_4019;
														}
													else
														{	/* Cfa/funcall.scm 86 */
															long BgL_odepthz00_4020;

															BgL_odepthz00_4020 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4016);
															if ((((long) 4) < BgL_odepthz00_4020))
																{	/* Cfa/funcall.scm 86 */
																	obj_t BgL_arg1821z00_4021;

																	BgL_arg1821z00_4021 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4016,
																		((long) 4));
																	BgL_res2023z00_4015 =
																		(BgL_arg1821z00_4021 == BgL_classz00_4008);
																}
															else
																{	/* Cfa/funcall.scm 86 */
																	BgL_res2023z00_4015 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4011 = BgL_res2023z00_4015;
										}
										BgL_test2096z00_4626 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4010,
											BgL_arg1823z00_4011);
									}
								}
							else
								{	/* Cfa/funcall.scm 86 */
									BgL_test2096z00_4626 = ((bool_t) 0);
								}
						}
						if (BgL_test2096z00_4626)
							{	/* Cfa/funcall.scm 87 */
								BgL_approxz00_bglt BgL_eapproxz00_4022;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4645;

									{
										obj_t BgL_auxz00_4646;

										{	/* Cfa/funcall.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_4647;

											BgL_tmpz00_4647 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_3929));
											BgL_auxz00_4646 = BGL_OBJECT_WIDENING(BgL_tmpz00_4647);
										}
										BgL_auxz00_4645 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4646);
									}
									BgL_eapproxz00_4022 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4645))->BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 88 */
									BgL_approxz00_bglt BgL_arg1729z00_4023;
									BgL_approxz00_bglt BgL_arg1731z00_4024;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4653;

										{
											obj_t BgL_auxz00_4654;

											{	/* Cfa/funcall.scm 88 */
												BgL_objectz00_bglt BgL_tmpz00_4655;

												BgL_tmpz00_4655 =
													((BgL_objectz00_bglt) BgL_i1158z00_3926);
												BgL_auxz00_4654 = BGL_OBJECT_WIDENING(BgL_tmpz00_4655);
											}
											BgL_auxz00_4653 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4654);
										}
										BgL_arg1729z00_4023 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4653))->BgL_approxz00);
									}
									{	/* Cfa/funcall.scm 90 */
										obj_t BgL_arg1738z00_4025;

										BgL_arg1738z00_4025 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_eapproxz00_4022), BgL_aapproxz00_3927);
										BgL_arg1731z00_4024 =
											BGl_funcallz12z12zzcfa_funcallz00(
											((BgL_appz00_bglt) BgL_allocz00_3929),
											BgL_arg1738z00_4025, BgL_nodez00_3928);
									}
									BgL_auxz00_4625 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1729z00_4023,
										BgL_arg1731z00_4024);
								}
							}
						else
							{	/* Cfa/funcall.scm 86 */
								BgL_auxz00_4625 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
					}
					return ((obj_t) BgL_auxz00_4625);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
