/*===========================================================================*/
/*   (Cfa/iterate.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/iterate.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;


	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	BGL_IMPORT obj_t BGl_timez00zz__biglooz00(obj_t);
	static obj_t BGl_z62cfazd2exportzd2varz121492z70zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_iteratez00();
	static obj_t BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_cfazd2currentzd2zzcfa_iteratez00();
	static obj_t BGl_appendzd221011zd2zzcfa_iteratez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_iteratez00();
	static obj_t BGl_z62cfazd2iteratez12za2zzcfa_iteratez00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t BGl_z62cfazd2exportzd2varz12zd2inte1498za2zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	static obj_t BGl_z62cfazd2currentzb0zzcfa_iteratez00(obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_iteratez00();
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62continuezd2cfaz12za2zzcfa_iteratez00(obj_t, obj_t);
	static obj_t BGl_z62cfazd2exportzd2varz12zd2svar1496za2zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31583ze3ze5zzcfa_iteratez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_iteratez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_iteratez00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcfa_iteratez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2iteratezd2tozd2fixpointz12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2iterate1997z00,
		BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2internzd2sfunz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2internza71998za7,
		BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2currentzd2envz00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2current1999z00,
		BGl_z62cfazd2currentzb0zzcfa_iteratez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72000za7,
		BGl_z62cfazd2exportzd2varz121492z70zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72001za7,
		BGl_z62cfazd2exportzd2varz12zd2svar1496za2zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72002za7,
		BGl_z62cfazd2exportzd2varz12zd2inte1498za2zzcfa_iteratez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_continuezd2cfaz12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762continueza7d2cf2003z00,
		BGl_z62continuezd2cfaz12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1978z00zzcfa_iteratez00,
		BgL_bgl_string1978za700za7za7c2004za7, "      ", 6);
	      DEFINE_STRING(BGl_string1979z00zzcfa_iteratez00,
		BgL_bgl_string1979za700za7za7c2005za7, ".", 1);
	      DEFINE_STRING(BGl_string1980z00zzcfa_iteratez00,
		BgL_bgl_string1980za700za7za7c2006za7, "\n", 1);
	      DEFINE_STRING(BGl_string1981z00zzcfa_iteratez00,
		BgL_bgl_string1981za700za7za7c2007za7, " [", 2);
	      DEFINE_STRING(BGl_string1982z00zzcfa_iteratez00,
		BgL_bgl_string1982za700za7za7c2008za7, "]", 1);
	      DEFINE_STRING(BGl_string1983z00zzcfa_iteratez00,
		BgL_bgl_string1983za700za7za7c2009za7, "> ", 2);
	      DEFINE_STRING(BGl_string1984z00zzcfa_iteratez00,
		BgL_bgl_string1984za700za7za7c2010za7, "<", 1);
	      DEFINE_STRING(BGl_string1985z00zzcfa_iteratez00,
		BgL_bgl_string1985za700za7za7c2011za7, " ", 1);
	      DEFINE_STRING(BGl_string1986z00zzcfa_iteratez00,
		BgL_bgl_string1986za700za7za7c2012za7, "~a[~a]", 6);
	      DEFINE_STRING(BGl_string1988z00zzcfa_iteratez00,
		BgL_bgl_string1988za700za7za7c2013za7, "cfa-export-var!1492", 19);
	      DEFINE_STRING(BGl_string1989z00zzcfa_iteratez00,
		BgL_bgl_string1989za700za7za7c2014za7, "No method for this object", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2iteratez12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2iterate2015z00,
		BGl_z62cfazd2iteratez12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1991z00zzcfa_iteratez00,
		BgL_bgl_string1991za700za7za7c2016za7, "cfa-export-var!", 15);
	      DEFINE_STRING(BGl_string1993z00zzcfa_iteratez00,
		BgL_bgl_string1993za700za7za7c2017za7, "cfa_iterate", 11);
	      DEFINE_STRING(BGl_string1994z00zzcfa_iteratez00,
		BgL_bgl_string1994za700za7za7c2018za7,
		"all cfa-export-var!1492 never export ", 37);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72019za7,
		BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2cfazd2currentza2zd2zzcfa_iteratez00));
		     ADD_ROOT((void *) (&BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
		     ADD_ROOT((void *) (&BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_iteratez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long
		BgL_checksumz00_3804, char *BgL_fromz00_3805)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_iteratez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_iteratez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_iteratez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_cnstzd2initzd2zzcfa_iteratez00();
					BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_genericzd2initzd2zzcfa_iteratez00();
					BGl_methodzd2initzd2zzcfa_iteratez00();
					return BGl_toplevelzd2initzd2zzcfa_iteratez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_iterate");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			{	/* Cfa/iterate.scm 15 */
				obj_t BgL_cportz00_3749;

				{	/* Cfa/iterate.scm 15 */
					obj_t BgL_stringz00_3757;

					BgL_stringz00_3757 = BGl_string1994z00zzcfa_iteratez00;
					{	/* Cfa/iterate.scm 15 */
						obj_t BgL_startz00_3758;

						BgL_startz00_3758 = BINT(((long) 0));
						{	/* Cfa/iterate.scm 15 */
							obj_t BgL_endz00_3759;

							BgL_endz00_3759 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3757)));
							{	/* Cfa/iterate.scm 15 */

								BgL_cportz00_3749 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3757, BgL_startz00_3758, BgL_endz00_3759);
				}}}}
				{
					long BgL_iz00_3750;

					BgL_iz00_3750 = ((long) 3);
				BgL_loopz00_3751:
					if ((BgL_iz00_3750 == ((long) -1)))
						{	/* Cfa/iterate.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/iterate.scm 15 */
							{	/* Cfa/iterate.scm 15 */
								obj_t BgL_arg1996z00_3753;

								{	/* Cfa/iterate.scm 15 */

									{	/* Cfa/iterate.scm 15 */
										obj_t BgL_locationz00_3755;

										BgL_locationz00_3755 = BBOOL(((bool_t) 0));
										{	/* Cfa/iterate.scm 15 */

											BgL_arg1996z00_3753 =
												BGl_readz00zz__readerz00(BgL_cportz00_3749,
												BgL_locationz00_3755);
										}
									}
								}
								{	/* Cfa/iterate.scm 15 */
									int BgL_tmpz00_3838;

									BgL_tmpz00_3838 = (int) (BgL_iz00_3750);
									CNST_TABLE_SET(BgL_tmpz00_3838, BgL_arg1996z00_3753);
							}}
							{	/* Cfa/iterate.scm 15 */
								int BgL_auxz00_3756;

								BgL_auxz00_3756 = (int) ((BgL_iz00_3750 - ((long) 1)));
								{
									long BgL_iz00_3843;

									BgL_iz00_3843 = (long) (BgL_auxz00_3756);
									BgL_iz00_3750 = BgL_iz00_3843;
									goto BgL_loopz00_3751;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT(((long) -1));
			return (BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BUNSPEC, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_iteratez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2876;

				BgL_headz00_2876 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2877;
					obj_t BgL_tailz00_2878;

					BgL_prevz00_2877 = BgL_headz00_2876;
					BgL_tailz00_2878 = BgL_l1z00_1;
				BgL_loopz00_2879:
					if (PAIRP(BgL_tailz00_2878))
						{
							obj_t BgL_newzd2prevzd2_2881;

							BgL_newzd2prevzd2_2881 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2878), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2877, BgL_newzd2prevzd2_2881);
							{
								obj_t BgL_tailz00_3854;
								obj_t BgL_prevz00_3853;

								BgL_prevz00_3853 = BgL_newzd2prevzd2_2881;
								BgL_tailz00_3854 = CDR(BgL_tailz00_2878);
								BgL_tailz00_2878 = BgL_tailz00_3854;
								BgL_prevz00_2877 = BgL_prevz00_3853;
								goto BgL_loopz00_2879;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2876);
				}
			}
		}

	}



/* cfa-iterate-to-fixpoint! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/iterate.scm 40 */
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT(((long) -1));
			{	/* Cfa/iterate.scm 46 */
				obj_t BgL_glodefsz00_2884;

				BgL_glodefsz00_2884 = BNIL;
				{
					obj_t BgL_l1485z00_2886;

					BgL_l1485z00_2886 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31521ze3z87_2887:
					if (PAIRP(BgL_l1485z00_2886))
						{	/* Cfa/iterate.scm 47 */
							{	/* Cfa/iterate.scm 48 */
								obj_t BgL_gz00_2889;

								BgL_gz00_2889 = CAR(BgL_l1485z00_2886);
								{	/* Cfa/iterate.scm 48 */
									bool_t BgL_test2024z00_3861;

									if (
										((((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_gz00_2889)))->
												BgL_importz00) == CNST_TABLE_REF(((long) 0))))
										{	/* Cfa/iterate.scm 48 */
											BgL_test2024z00_3861 = ((bool_t) 1);
										}
									else
										{	/* Cfa/iterate.scm 48 */
											BgL_test2024z00_3861 =
												BGl_exportedzd2closurezf3z21zzcfa_iteratez00
												(BgL_gz00_2889);
										}
									if (BgL_test2024z00_3861)
										{	/* Cfa/iterate.scm 48 */
											BgL_glodefsz00_2884 =
												MAKE_YOUNG_PAIR(BgL_gz00_2889, BgL_glodefsz00_2884);
										}
									else
										{	/* Cfa/iterate.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1485z00_3869;

								BgL_l1485z00_3869 = CDR(BgL_l1485z00_2886);
								BgL_l1485z00_2886 = BgL_l1485z00_3869;
								goto BgL_zc3z04anonymousza31521ze3z87_2887;
							}
						}
					else
						{	/* Cfa/iterate.scm 47 */
							((bool_t) 1);
						}
				}
				{	/* Cfa/iterate.scm 53 */
					obj_t BgL_arg1543z00_2898;

					BgL_arg1543z00_2898 = BGl_unitzd2initializa7ersz75zzast_unitz00();
					BgL_glodefsz00_2884 =
						BGl_appendzd221011zd2zzcfa_iteratez00(BgL_arg1543z00_2898,
						BgL_glodefsz00_2884);
				}
				if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
					{	/* Cfa/iterate.scm 199 */
						BFALSE;
					}
				else
					{	/* Cfa/iterate.scm 199 */
						BNIL;
					}
				BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE;
				{	/* Cfa/iterate.scm 57 */
					obj_t BgL_list1544z00_2899;

					BgL_list1544z00_2899 =
						MAKE_YOUNG_PAIR(BGl_string1978z00zzcfa_iteratez00, BNIL);
					BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list1544z00_2899);
				}
				{
					long BgL_iz00_2901;

					BgL_iz00_2901 = ((long) 0);
				BgL_zc3z04anonymousza31545ze3z87_2902:
					{	/* Cfa/iterate.scm 59 */
						obj_t BgL_list1546z00_2903;

						{	/* Cfa/iterate.scm 59 */
							obj_t BgL_arg1548z00_2904;

							BgL_arg1548z00_2904 = MAKE_YOUNG_PAIR(BINT(BgL_iz00_2901), BNIL);
							BgL_list1546z00_2903 =
								MAKE_YOUNG_PAIR(BGl_string1979z00zzcfa_iteratez00,
								BgL_arg1548z00_2904);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
							BgL_list1546z00_2903);
					}
					if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
						{	/* Cfa/iterate.scm 60 */
							BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_glodefsz00_2884);
							{
								long BgL_iz00_3886;

								BgL_iz00_3886 = (BgL_iz00_2901 + ((long) 1));
								BgL_iz00_2901 = BgL_iz00_3886;
								goto BgL_zc3z04anonymousza31545ze3z87_2902;
							}
						}
					else
						{	/* Cfa/iterate.scm 60 */
							BgL_glodefsz00_2884;
						}
				}
				{	/* Cfa/iterate.scm 65 */
					obj_t BgL_list1552z00_2908;

					BgL_list1552z00_2908 =
						MAKE_YOUNG_PAIR(BGl_string1980z00zzcfa_iteratez00, BNIL);
					return
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list1552z00_2908);
		}}}

	}



/* &cfa-iterate-to-fixpoint! */
	obj_t BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00(obj_t
		BgL_envz00_3717, obj_t BgL_globalsz00_3718)
	{
		{	/* Cfa/iterate.scm 40 */
			return
				BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00
				(BgL_globalsz00_3718);
		}

	}



/* exported-closure? */
	bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t BgL_gz00_4)
	{
		{	/* Cfa/iterate.scm 70 */
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_gz00_4))))->BgL_removablez00) ==
					CNST_TABLE_REF(((long) 1))))
				{	/* Cfa/iterate.scm 72 */
					BgL_valuez00_bglt BgL_valz00_2910;

					BgL_valz00_2910 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_gz00_4))))->BgL_valuez00);
					{	/* Cfa/iterate.scm 73 */
						bool_t BgL_test2029z00_3901;

						{	/* Cfa/iterate.scm 73 */
							obj_t BgL_classz00_3486;

							BgL_classz00_3486 = BGl_sfunz00zzast_varz00;
							{	/* Cfa/iterate.scm 73 */
								BgL_objectz00_bglt BgL_arg1825z00_3488;

								{	/* Cfa/iterate.scm 73 */
									obj_t BgL_tmpz00_3902;

									BgL_tmpz00_3902 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2910));
									BgL_arg1825z00_3488 = (BgL_objectz00_bglt) (BgL_tmpz00_3902);
								}
								{	/* Cfa/iterate.scm 73 */
									bool_t BgL_arg1822z00_3491;
									bool_t BgL_arg1823z00_3492;

									{	/* Cfa/iterate.scm 73 */
										long BgL_idxz00_3495;

										BgL_idxz00_3495 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3488);
										BgL_arg1822z00_3491 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3495 + ((long) 3))) == BgL_classz00_3486);
									}
									{	/* Cfa/iterate.scm 73 */
										bool_t BgL_res1968z00_3517;

										{	/* Cfa/iterate.scm 73 */
											obj_t BgL_oclassz00_3503;

											{	/* Cfa/iterate.scm 73 */
												long BgL_arg1833z00_3509;

												{	/* Cfa/iterate.scm 73 */
													long BgL_arg1834z00_3510;

													BgL_arg1834z00_3510 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3488);
													BgL_arg1833z00_3509 =
														(BgL_arg1834z00_3510 - OBJECT_TYPE);
												}
												BgL_oclassz00_3503 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3509);
											}
											{	/* Cfa/iterate.scm 73 */
												bool_t BgL__ortest_1110z00_3504;

												BgL__ortest_1110z00_3504 =
													(BgL_classz00_3486 == BgL_oclassz00_3503);
												if (BgL__ortest_1110z00_3504)
													{	/* Cfa/iterate.scm 73 */
														BgL_res1968z00_3517 = BgL__ortest_1110z00_3504;
													}
												else
													{	/* Cfa/iterate.scm 73 */
														long BgL_odepthz00_3505;

														BgL_odepthz00_3505 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3503);
														if ((((long) 3) < BgL_odepthz00_3505))
															{	/* Cfa/iterate.scm 73 */
																obj_t BgL_arg1821z00_3507;

																BgL_arg1821z00_3507 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3503,
																	((long) 3));
																BgL_res1968z00_3517 =
																	(BgL_arg1821z00_3507 == BgL_classz00_3486);
															}
														else
															{	/* Cfa/iterate.scm 73 */
																BgL_res1968z00_3517 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3492 = BgL_res1968z00_3517;
									}
									BgL_test2029z00_3901 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3491, BgL_arg1823z00_3492);
								}
							}
						}
						if (BgL_test2029z00_3901)
							{	/* Cfa/iterate.scm 74 */
								bool_t BgL_test2032z00_3921;

								{	/* Cfa/iterate.scm 74 */
									obj_t BgL_arg1563z00_2915;

									BgL_arg1563z00_2915 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_valz00_2910)))->
										BgL_thezd2closurezd2globalz00);
									{	/* Cfa/iterate.scm 74 */
										obj_t BgL_classz00_3519;

										BgL_classz00_3519 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_arg1563z00_2915))
											{	/* Cfa/iterate.scm 74 */
												BgL_objectz00_bglt BgL_arg1825z00_3521;

												BgL_arg1825z00_3521 =
													(BgL_objectz00_bglt) (BgL_arg1563z00_2915);
												{	/* Cfa/iterate.scm 74 */
													bool_t BgL_arg1822z00_3524;
													bool_t BgL_arg1823z00_3525;

													{	/* Cfa/iterate.scm 74 */
														long BgL_idxz00_3528;

														BgL_idxz00_3528 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3521);
														BgL_arg1822z00_3524 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3528 + ((long) 2))) ==
															BgL_classz00_3519);
													}
													{	/* Cfa/iterate.scm 74 */
														bool_t BgL_res1969z00_3550;

														{	/* Cfa/iterate.scm 74 */
															obj_t BgL_oclassz00_3536;

															{	/* Cfa/iterate.scm 74 */
																long BgL_arg1833z00_3542;

																{	/* Cfa/iterate.scm 74 */
																	long BgL_arg1834z00_3543;

																	BgL_arg1834z00_3543 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3521);
																	BgL_arg1833z00_3542 =
																		(BgL_arg1834z00_3543 - OBJECT_TYPE);
																}
																BgL_oclassz00_3536 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3542);
															}
															{	/* Cfa/iterate.scm 74 */
																bool_t BgL__ortest_1110z00_3537;

																BgL__ortest_1110z00_3537 =
																	(BgL_classz00_3519 == BgL_oclassz00_3536);
																if (BgL__ortest_1110z00_3537)
																	{	/* Cfa/iterate.scm 74 */
																		BgL_res1969z00_3550 =
																			BgL__ortest_1110z00_3537;
																	}
																else
																	{	/* Cfa/iterate.scm 74 */
																		long BgL_odepthz00_3538;

																		BgL_odepthz00_3538 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3536);
																		if ((((long) 2) < BgL_odepthz00_3538))
																			{	/* Cfa/iterate.scm 74 */
																				obj_t BgL_arg1821z00_3540;

																				BgL_arg1821z00_3540 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3536, ((long) 2));
																				BgL_res1969z00_3550 =
																					(BgL_arg1821z00_3540 ==
																					BgL_classz00_3519);
																			}
																		else
																			{	/* Cfa/iterate.scm 74 */
																				BgL_res1969z00_3550 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3525 = BgL_res1969z00_3550;
													}
													BgL_test2032z00_3921 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3524,
														BgL_arg1823z00_3525);
												}
											}
										else
											{	/* Cfa/iterate.scm 74 */
												BgL_test2032z00_3921 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2032z00_3921)
									{	/* Cfa/iterate.scm 74 */
										return
											(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_valz00_2910)))->
																BgL_thezd2closurezd2globalz00))))->
												BgL_importz00) == CNST_TABLE_REF(((long) 0)));
									}
								else
									{	/* Cfa/iterate.scm 74 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/iterate.scm 73 */
								return ((bool_t) 0);
							}
					}
				}
			else
				{	/* Cfa/iterate.scm 71 */
					return ((bool_t) 0);
				}
		}

	}



/* cfa-iterate! */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_5)
	{
		{	/* Cfa/iterate.scm 80 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BFALSE;
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 =
				ADDFX(BINT(((long) 1)), BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
			{	/* Cfa/iterate.scm 83 */
				obj_t BgL_list1565z00_2917;

				BgL_list1565z00_2917 =
					MAKE_YOUNG_PAIR(BGl_string1981z00zzcfa_iteratez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 4)), BgL_list1565z00_2917);
			}
			{
				obj_t BgL_l1487z00_2919;

				BgL_l1487z00_2919 = BgL_globalsz00_5;
			BgL_zc3z04anonymousza31566ze3z87_2920:
				if (PAIRP(BgL_l1487z00_2919))
					{	/* Cfa/iterate.scm 85 */
						{	/* Cfa/iterate.scm 86 */
							obj_t BgL_gz00_2922;

							BgL_gz00_2922 = CAR(BgL_l1487z00_2919);
							{	/* Cfa/iterate.scm 89 */
								BgL_valuez00_bglt BgL_arg1570z00_2923;

								BgL_arg1570z00_2923 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2922))))->BgL_valuez00);
								BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00
									(BgL_arg1570z00_2923, BgL_gz00_2922);
							}
							BNIL;
						}
						{
							obj_t BgL_l1487z00_3960;

							BgL_l1487z00_3960 = CDR(BgL_l1487z00_2919);
							BgL_l1487z00_2919 = BgL_l1487z00_3960;
							goto BgL_zc3z04anonymousza31566ze3z87_2920;
						}
					}
				else
					{	/* Cfa/iterate.scm 85 */
						((bool_t) 1);
					}
			}
			{	/* Cfa/iterate.scm 92 */
				obj_t BgL_list1572z00_2926;

				BgL_list1572z00_2926 =
					MAKE_YOUNG_PAIR(BGl_string1982z00zzcfa_iteratez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 4)), BgL_list1572z00_2926);
			}
			return BNIL;
		}

	}



/* &cfa-iterate! */
	obj_t BGl_z62cfazd2iteratez12za2zzcfa_iteratez00(obj_t BgL_envz00_3719,
		obj_t BgL_globalsz00_3720)
	{
		{	/* Cfa/iterate.scm 80 */
			return BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_globalsz00_3720);
		}

	}



/* cfa-intern-sfun! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_sfunz00_bglt
		BgL_sfunz00_12, obj_t BgL_ownerz00_13)
	{
		{	/* Cfa/iterate.scm 146 */
			{	/* Cfa/iterate.scm 157 */
				bool_t BgL_test2037z00_3966;

				{	/* Cfa/iterate.scm 157 */
					long BgL_arg1621z00_2956;

					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_3967;

						{
							obj_t BgL_auxz00_3968;

							{	/* Cfa/iterate.scm 157 */
								BgL_objectz00_bglt BgL_tmpz00_3969;

								BgL_tmpz00_3969 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
								BgL_auxz00_3968 = BGL_OBJECT_WIDENING(BgL_tmpz00_3969);
							}
							BgL_auxz00_3967 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_3968);
						}
						BgL_arg1621z00_2956 =
							(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_3967))->
							BgL_stampz00);
					}
					BgL_test2037z00_3966 =
						(BgL_arg1621z00_2956 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2037z00_3966)
					{	/* Cfa/iterate.scm 157 */
						{	/* Cfa/iterate.scm 161 */
							BgL_approxz00_bglt BgL_arg1581z00_2931;

							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_3976;

								{
									obj_t BgL_auxz00_3977;

									{	/* Cfa/iterate.scm 161 */
										BgL_objectz00_bglt BgL_tmpz00_3978;

										BgL_tmpz00_3978 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
										BgL_auxz00_3977 = BGL_OBJECT_WIDENING(BgL_tmpz00_3978);
									}
									BgL_auxz00_3976 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_3977);
								}
								BgL_arg1581z00_2931 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_3976))->BgL_approxz00);
							}
							return
								BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_12,
								BgL_arg1581z00_2931);
						}
					}
				else
					{	/* Cfa/iterate.scm 162 */
						obj_t BgL_resz00_2932;

						{	/* Cfa/iterate.scm 165 */
							obj_t BgL_zc3z04anonymousza31583ze3z87_3722;

							BgL_zc3z04anonymousza31583ze3z87_3722 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31583ze3ze5zzcfa_iteratez00,
								(int) (((long) 0)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3z04anonymousza31583ze3z87_3722,
								(int) (((long) 0)), ((obj_t) BgL_sfunz00_12));
							PROCEDURE_SET(BgL_zc3z04anonymousza31583ze3z87_3722,
								(int) (((long) 1)), BgL_ownerz00_13);
							PROCEDURE_SET(BgL_zc3z04anonymousza31583ze3z87_3722,
								(int) (((long) 2)), ((obj_t) BgL_sfunz00_12));
							BgL_resz00_2932 =
								BGl_timez00zz__biglooz00(BgL_zc3z04anonymousza31583ze3z87_3722);
						}
						{	/* Cfa/iterate.scm 163 */
							obj_t BgL_rtimez00_2933;
							obj_t BgL_stimez00_2934;
							obj_t BgL_utimez00_2935;

							{	/* Cfa/iterate.scm 163 */
								obj_t BgL_tmpz00_3601;

								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_3996;

									BgL_tmpz00_3996 = (int) (((long) 1));
									BgL_tmpz00_3601 = BGL_MVALUES_VAL(BgL_tmpz00_3996);
								}
								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_3999;

									BgL_tmpz00_3999 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3999, BUNSPEC);
								}
								BgL_rtimez00_2933 = BgL_tmpz00_3601;
							}
							{	/* Cfa/iterate.scm 163 */
								obj_t BgL_tmpz00_3602;

								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4002;

									BgL_tmpz00_4002 = (int) (((long) 2));
									BgL_tmpz00_3602 = BGL_MVALUES_VAL(BgL_tmpz00_4002);
								}
								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4005;

									BgL_tmpz00_4005 = (int) (((long) 2));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_4005, BUNSPEC);
								}
								BgL_stimez00_2934 = BgL_tmpz00_3602;
							}
							{	/* Cfa/iterate.scm 163 */
								obj_t BgL_tmpz00_3603;

								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4008;

									BgL_tmpz00_4008 = (int) (((long) 3));
									BgL_tmpz00_3603 = BGL_MVALUES_VAL(BgL_tmpz00_4008);
								}
								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4011;

									BgL_tmpz00_4011 = (int) (((long) 3));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_4011, BUNSPEC);
								}
								BgL_utimez00_2935 = BgL_tmpz00_3603;
							}
							return ((BgL_approxz00_bglt) BgL_resz00_2932);
						}
					}
			}
		}

	}



/* &cfa-intern-sfun! */
	BgL_approxz00_bglt BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00(obj_t
		BgL_envz00_3723, obj_t BgL_sfunz00_3724, obj_t BgL_ownerz00_3725)
	{
		{	/* Cfa/iterate.scm 146 */
			return
				BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
				((BgL_sfunz00_bglt) BgL_sfunz00_3724), BgL_ownerz00_3725);
		}

	}



/* &polymorphic */
	BgL_approxz00_bglt BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_bglt
		BgL_sfunz00_3726, BgL_approxz00_bglt BgL_approxz00_2957)
	{
		{	/* Cfa/iterate.scm 153 */
			{	/* Cfa/iterate.scm 150 */
				bool_t BgL_test2038z00_4017;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4018;

					{
						obj_t BgL_auxz00_4019;

						{	/* Cfa/iterate.scm 150 */
							BgL_objectz00_bglt BgL_tmpz00_4020;

							BgL_tmpz00_4020 = ((BgL_objectz00_bglt) BgL_sfunz00_3726);
							BgL_auxz00_4019 = BGL_OBJECT_WIDENING(BgL_tmpz00_4020);
						}
						BgL_auxz00_4018 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4019);
					}
					BgL_test2038z00_4017 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4018))->
						BgL_polymorphiczf3zf3);
				}
				if (BgL_test2038z00_4017)
					{
						BgL_typez00_bglt BgL_auxz00_4025;

						{	/* Cfa/iterate.scm 152 */
							BgL_typez00_bglt BgL_arg1632z00_2962;

							BgL_arg1632z00_2962 =
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2957))->
								BgL_typez00);
							BgL_auxz00_4025 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg1632z00_2962);
						}
						((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2957))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_4025), BUNSPEC);
					}
				else
					{	/* Cfa/iterate.scm 150 */
						BFALSE;
					}
			}
			return BgL_approxz00_2957;
		}

	}



/* &<@anonymous:1583> */
	obj_t BGl_z62zc3z04anonymousza31583ze3ze5zzcfa_iteratez00(obj_t
		BgL_envz00_3727)
	{
		{	/* Cfa/iterate.scm 164 */
			{	/* Cfa/iterate.scm 165 */
				BgL_sfunz00_bglt BgL_sfunz00_3728;
				obj_t BgL_ownerz00_3729;
				BgL_sfunz00_bglt BgL_i1165z00_3730;

				BgL_sfunz00_3728 =
					((BgL_sfunz00_bglt)
					PROCEDURE_REF(BgL_envz00_3727, (int) (((long) 0))));
				BgL_ownerz00_3729 = PROCEDURE_REF(BgL_envz00_3727, (int) (((long) 1)));
				BgL_i1165z00_3730 =
					((BgL_sfunz00_bglt)
					PROCEDURE_REF(BgL_envz00_3727, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4037;

					{	/* Cfa/iterate.scm 165 */
						bool_t BgL_test2039z00_4038;

						{	/* Cfa/iterate.scm 165 */
							obj_t BgL_classz00_3761;

							BgL_classz00_3761 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_ownerz00_3729))
								{	/* Cfa/iterate.scm 165 */
									BgL_objectz00_bglt BgL_arg1825z00_3762;

									BgL_arg1825z00_3762 =
										(BgL_objectz00_bglt) (BgL_ownerz00_3729);
									{	/* Cfa/iterate.scm 165 */
										bool_t BgL_arg1822z00_3763;
										bool_t BgL_arg1823z00_3764;

										{	/* Cfa/iterate.scm 165 */
											long BgL_idxz00_3765;

											BgL_idxz00_3765 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3762);
											BgL_arg1822z00_3763 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3765 + ((long) 2))) == BgL_classz00_3761);
										}
										{	/* Cfa/iterate.scm 165 */
											bool_t BgL_res1970z00_3768;

											{	/* Cfa/iterate.scm 165 */
												obj_t BgL_oclassz00_3769;

												{	/* Cfa/iterate.scm 165 */
													long BgL_arg1833z00_3770;

													{	/* Cfa/iterate.scm 165 */
														long BgL_arg1834z00_3771;

														BgL_arg1834z00_3771 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3762);
														BgL_arg1833z00_3770 =
															(BgL_arg1834z00_3771 - OBJECT_TYPE);
													}
													BgL_oclassz00_3769 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3770);
												}
												{	/* Cfa/iterate.scm 165 */
													bool_t BgL__ortest_1110z00_3772;

													BgL__ortest_1110z00_3772 =
														(BgL_classz00_3761 == BgL_oclassz00_3769);
													if (BgL__ortest_1110z00_3772)
														{	/* Cfa/iterate.scm 165 */
															BgL_res1970z00_3768 = BgL__ortest_1110z00_3772;
														}
													else
														{	/* Cfa/iterate.scm 165 */
															long BgL_odepthz00_3773;

															BgL_odepthz00_3773 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3769);
															if ((((long) 2) < BgL_odepthz00_3773))
																{	/* Cfa/iterate.scm 165 */
																	obj_t BgL_arg1821z00_3774;

																	BgL_arg1821z00_3774 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3769,
																		((long) 2));
																	BgL_res1970z00_3768 =
																		(BgL_arg1821z00_3774 == BgL_classz00_3761);
																}
															else
																{	/* Cfa/iterate.scm 165 */
																	BgL_res1970z00_3768 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3764 = BgL_res1970z00_3768;
										}
										BgL_test2039z00_4038 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3763,
											BgL_arg1823z00_3764);
									}
								}
							else
								{	/* Cfa/iterate.scm 165 */
									BgL_test2039z00_4038 = ((bool_t) 0);
								}
						}
						if (BgL_test2039z00_4038)
							{	/* Cfa/iterate.scm 166 */
								obj_t BgL_arg1585z00_3775;

								BgL_arg1585z00_3775 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_ownerz00_3729)))->BgL_idz00);
								{	/* Cfa/iterate.scm 166 */
									obj_t BgL_list1586z00_3776;

									{	/* Cfa/iterate.scm 166 */
										obj_t BgL_arg1588z00_3777;

										{	/* Cfa/iterate.scm 166 */
											obj_t BgL_arg1595z00_3778;

											BgL_arg1595z00_3778 =
												MAKE_YOUNG_PAIR(BGl_string1983z00zzcfa_iteratez00,
												BNIL);
											BgL_arg1588z00_3777 =
												MAKE_YOUNG_PAIR(BgL_arg1585z00_3775,
												BgL_arg1595z00_3778);
										}
										BgL_list1586z00_3776 =
											MAKE_YOUNG_PAIR(BGl_string1984z00zzcfa_iteratez00,
											BgL_arg1588z00_3777);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 4)),
										BgL_list1586z00_3776);
							}}
						else
							{	/* Cfa/iterate.scm 167 */
								obj_t BgL_arg1597z00_3779;

								BgL_arg1597z00_3779 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_ownerz00_3729)))->BgL_idz00);
								{	/* Cfa/iterate.scm 167 */
									obj_t BgL_list1598z00_3780;

									{	/* Cfa/iterate.scm 167 */
										obj_t BgL_arg1601z00_3781;

										BgL_arg1601z00_3781 =
											MAKE_YOUNG_PAIR(BGl_string1985z00zzcfa_iteratez00, BNIL);
										BgL_list1598z00_3780 =
											MAKE_YOUNG_PAIR(BgL_arg1597z00_3779, BgL_arg1601z00_3781);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 4)),
										BgL_list1598z00_3780);
					}}}
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4070;

						{
							obj_t BgL_auxz00_4071;

							{	/* Cfa/iterate.scm 171 */
								BgL_objectz00_bglt BgL_tmpz00_4072;

								BgL_tmpz00_4072 = ((BgL_objectz00_bglt) BgL_i1165z00_3730);
								BgL_auxz00_4071 = BGL_OBJECT_WIDENING(BgL_tmpz00_4072);
							}
							BgL_auxz00_4070 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4071);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4070))->
								BgL_stampz00) =
							((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
							BUNSPEC);
					}
					{	/* Cfa/iterate.scm 172 */
						obj_t BgL_curz00_3782;

						BgL_curz00_3782 = BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
						{	/* Cfa/iterate.scm 173 */
							obj_t BgL_arg1602z00_3783;
							long BgL_arg1603z00_3784;

							BgL_arg1602z00_3783 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_ownerz00_3729)))->BgL_idz00);
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4080;

								{
									obj_t BgL_auxz00_4081;

									{	/* Cfa/iterate.scm 173 */
										BgL_objectz00_bglt BgL_tmpz00_4082;

										BgL_tmpz00_4082 = ((BgL_objectz00_bglt) BgL_i1165z00_3730);
										BgL_auxz00_4081 = BGL_OBJECT_WIDENING(BgL_tmpz00_4082);
									}
									BgL_auxz00_4080 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4081);
								}
								BgL_arg1603z00_3784 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4080))->BgL_stampz00);
							}
							{	/* Cfa/iterate.scm 173 */
								obj_t BgL_list1604z00_3785;

								{	/* Cfa/iterate.scm 173 */
									obj_t BgL_arg1606z00_3786;

									BgL_arg1606z00_3786 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg1603z00_3784), BNIL);
									BgL_list1604z00_3785 =
										MAKE_YOUNG_PAIR(BgL_arg1602z00_3783, BgL_arg1606z00_3786);
								}
								BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string1986z00zzcfa_iteratez00, BgL_list1604z00_3785);
						}}
						{	/* Cfa/iterate.scm 174 */
							BgL_approxz00_bglt BgL_arg1612z00_3787;
							BgL_approxz00_bglt BgL_arg1613z00_3788;

							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4091;

								{
									obj_t BgL_auxz00_4092;

									{	/* Cfa/iterate.scm 174 */
										BgL_objectz00_bglt BgL_tmpz00_4093;

										BgL_tmpz00_4093 = ((BgL_objectz00_bglt) BgL_i1165z00_3730);
										BgL_auxz00_4092 = BGL_OBJECT_WIDENING(BgL_tmpz00_4093);
									}
									BgL_auxz00_4091 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4092);
								}
								BgL_arg1612z00_3787 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4091))->BgL_approxz00);
							}
							{	/* Cfa/iterate.scm 174 */
								obj_t BgL_arg1619z00_3789;

								BgL_arg1619z00_3789 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_i1165z00_3730)))->BgL_bodyz00);
								BgL_arg1613z00_3788 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg1619z00_3789));
							}
							BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00
								(BgL_arg1612z00_3787, BgL_arg1613z00_3788);
						}
						BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BgL_curz00_3782;
					}
					{	/* Cfa/iterate.scm 178 */
						BgL_approxz00_bglt BgL_arg1620z00_3790;

						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4103;

							{
								obj_t BgL_auxz00_4104;

								{	/* Cfa/iterate.scm 178 */
									BgL_objectz00_bglt BgL_tmpz00_4105;

									BgL_tmpz00_4105 = ((BgL_objectz00_bglt) BgL_i1165z00_3730);
									BgL_auxz00_4104 = BGL_OBJECT_WIDENING(BgL_tmpz00_4105);
								}
								BgL_auxz00_4103 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4104);
							}
							BgL_arg1620z00_3790 =
								(((BgL_internzd2sfunzf2cinfoz20_bglt)
									COBJECT(BgL_auxz00_4103))->BgL_approxz00);
						}
						BgL_auxz00_4037 =
							BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_3728,
							BgL_arg1620z00_3790);
					}
					return ((obj_t) BgL_auxz00_4037);
				}
			}
		}

	}



/* cfa-current */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2currentzd2zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 192 */
			return BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
		}

	}



/* &cfa-current */
	obj_t BGl_z62cfazd2currentzb0zzcfa_iteratez00(obj_t BgL_envz00_3731)
	{
		{	/* Cfa/iterate.scm 192 */
			return BGl_cfazd2currentzd2zzcfa_iteratez00();
		}

	}



/* continue-cfa! */
	BGL_EXPORTED_DEF obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t
		BgL_reasonz00_14)
	{
		{	/* Cfa/iterate.scm 198 */
			if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
				{	/* Cfa/iterate.scm 199 */
					BFALSE;
				}
			else
				{	/* Cfa/iterate.scm 199 */
					BNIL;
				}
			return (BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE, BUNSPEC);
		}

	}



/* &continue-cfa! */
	obj_t BGl_z62continuezd2cfaz12za2zzcfa_iteratez00(obj_t BgL_envz00_3732,
		obj_t BgL_reasonz00_3733)
	{
		{	/* Cfa/iterate.scm 198 */
			return BGl_continuezd2cfaz12zc0zzcfa_iteratez00(BgL_reasonz00_3733);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_proc1987z00zzcfa_iteratez00, BGl_valuez00zzast_varz00,
				BGl_string1988z00zzcfa_iteratez00);
		}

	}



/* &cfa-export-var!1492 */
	obj_t BGl_z62cfazd2exportzd2varz121492z70zzcfa_iteratez00(obj_t
		BgL_envz00_3735, obj_t BgL_valuez00_3736, obj_t BgL_ownerz00_3737)
	{
		{	/* Cfa/iterate.scm 98 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
				BGl_string1989z00zzcfa_iteratez00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_3736)));
		}

	}



/* cfa-export-var! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt
		BgL_valuez00_6, obj_t BgL_ownerz00_7)
	{
		{	/* Cfa/iterate.scm 98 */
			{	/* Cfa/iterate.scm 98 */
				obj_t BgL_method1494z00_2969;

				{	/* Cfa/iterate.scm 98 */
					obj_t BgL_res1975z00_3634;

					{	/* Cfa/iterate.scm 98 */
						long BgL_objzd2classzd2numz00_3605;

						BgL_objzd2classzd2numz00_3605 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_6));
						{	/* Cfa/iterate.scm 98 */
							obj_t BgL_arg1829z00_3606;

							BgL_arg1829z00_3606 =
								PROCEDURE_REF
								(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
								(int) (((long) 1)));
							{	/* Cfa/iterate.scm 98 */
								int BgL_offsetz00_3609;

								BgL_offsetz00_3609 = (int) (BgL_objzd2classzd2numz00_3605);
								{	/* Cfa/iterate.scm 98 */
									long BgL_offsetz00_3610;

									BgL_offsetz00_3610 =
										((long) (BgL_offsetz00_3609) - OBJECT_TYPE);
									{	/* Cfa/iterate.scm 98 */
										long BgL_modz00_3611;

										BgL_modz00_3611 =
											(BgL_offsetz00_3610 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/iterate.scm 98 */
											long BgL_restz00_3613;

											BgL_restz00_3613 =
												(BgL_offsetz00_3610 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/iterate.scm 98 */

												{	/* Cfa/iterate.scm 98 */
													obj_t BgL_bucketz00_3615;

													BgL_bucketz00_3615 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3606), BgL_modz00_3611);
													BgL_res1975z00_3634 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3615), BgL_restz00_3613);
					}}}}}}}}
					BgL_method1494z00_2969 = BgL_res1975z00_3634;
				}
				return
					PROCEDURE_ENTRY(BgL_method1494z00_2969) (BgL_method1494z00_2969,
					((obj_t) BgL_valuez00_6), BgL_ownerz00_7, BEOA);
			}
		}

	}



/* &cfa-export-var! */
	obj_t BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00(obj_t BgL_envz00_3738,
		obj_t BgL_valuez00_3739, obj_t BgL_ownerz00_3740)
	{
		{	/* Cfa/iterate.scm 98 */
			return
				BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
				((BgL_valuez00_bglt) BgL_valuez00_3739), BgL_ownerz00_3740);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc1990z00zzcfa_iteratez00,
				BGl_string1991z00zzcfa_iteratez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc1992z00zzcfa_iteratez00, BGl_string1991z00zzcfa_iteratez00);
		}

	}



/* &cfa-export-var!-inte1498 */
	obj_t BGl_z62cfazd2exportzd2varz12zd2inte1498za2zzcfa_iteratez00(obj_t
		BgL_envz00_3743, obj_t BgL_valuez00_3744, obj_t BgL_ownerz00_3745)
	{
		{	/* Cfa/iterate.scm 117 */
			{	/* Cfa/iterate.scm 122 */
				bool_t BgL_test2044z00_4156;

				{	/* Cfa/iterate.scm 122 */
					long BgL_arg1676z00_3793;

					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4157;

						{
							obj_t BgL_auxz00_4158;

							{	/* Cfa/iterate.scm 122 */
								BgL_objectz00_bglt BgL_tmpz00_4159;

								BgL_tmpz00_4159 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_3744));
								BgL_auxz00_4158 = BGL_OBJECT_WIDENING(BgL_tmpz00_4159);
							}
							BgL_auxz00_4157 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4158);
						}
						BgL_arg1676z00_3793 =
							(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4157))->
							BgL_stampz00);
					}
					BgL_test2044z00_4156 =
						(BgL_arg1676z00_3793 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2044z00_4156)
					{	/* Cfa/iterate.scm 122 */
						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4167;

							{
								obj_t BgL_auxz00_4168;

								{	/* Cfa/iterate.scm 124 */
									BgL_objectz00_bglt BgL_tmpz00_4169;

									BgL_tmpz00_4169 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_3744));
									BgL_auxz00_4168 = BGL_OBJECT_WIDENING(BgL_tmpz00_4169);
								}
								BgL_auxz00_4167 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4168);
							}
							((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4167))->
									BgL_stampz00) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{
							BgL_approxz00_bglt BgL_auxz00_4176;

							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4177;

								{
									obj_t BgL_auxz00_4178;

									{	/* Cfa/iterate.scm 124 */
										BgL_objectz00_bglt BgL_tmpz00_4179;

										BgL_tmpz00_4179 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_3744));
										BgL_auxz00_4178 = BGL_OBJECT_WIDENING(BgL_tmpz00_4179);
									}
									BgL_auxz00_4177 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4178);
								}
								BgL_auxz00_4176 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4177))->BgL_approxz00);
							}
							return ((obj_t) BgL_auxz00_4176);
						}
					}
				else
					{	/* Cfa/iterate.scm 122 */
						{	/* Cfa/iterate.scm 131 */
							obj_t BgL_g1491z00_3794;

							BgL_g1491z00_3794 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_3744))))->BgL_argsz00);
							{
								obj_t BgL_l1489z00_3796;

								BgL_l1489z00_3796 = BgL_g1491z00_3794;
							BgL_zc3z04anonymousza31659ze3z87_3795:
								if (PAIRP(BgL_l1489z00_3796))
									{	/* Cfa/iterate.scm 131 */
										{	/* Cfa/iterate.scm 132 */
											obj_t BgL_localz00_3797;

											BgL_localz00_3797 = CAR(BgL_l1489z00_3796);
											{	/* Cfa/iterate.scm 132 */
												BgL_valuez00_bglt BgL_valz00_3798;

												BgL_valz00_3798 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_localz00_3797))))->
													BgL_valuez00);
												{	/* Cfa/iterate.scm 137 */
													bool_t BgL_test2046z00_4195;

													{
														BgL_svarzf2cinfozf2_bglt BgL_auxz00_4196;

														{
															obj_t BgL_auxz00_4197;

															{	/* Cfa/iterate.scm 137 */
																BgL_objectz00_bglt BgL_tmpz00_4198;

																BgL_tmpz00_4198 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_valz00_3798));
																BgL_auxz00_4197 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4198);
															}
															BgL_auxz00_4196 =
																((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4197);
														}
														BgL_test2046z00_4195 =
															(((BgL_svarzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_4196))->BgL_clozd2envzf3z21);
													}
													if (BgL_test2046z00_4195)
														{	/* Cfa/iterate.scm 137 */
															BFALSE;
														}
													else
														{	/* Cfa/iterate.scm 138 */
															BgL_approxz00_bglt BgL_arg1665z00_3799;

															{
																BgL_svarzf2cinfozf2_bglt BgL_auxz00_4204;

																{
																	obj_t BgL_auxz00_4205;

																	{	/* Cfa/iterate.scm 138 */
																		BgL_objectz00_bglt BgL_tmpz00_4206;

																		BgL_tmpz00_4206 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_valz00_3798));
																		BgL_auxz00_4205 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4206);
																	}
																	BgL_auxz00_4204 =
																		((BgL_svarzf2cinfozf2_bglt)
																		BgL_auxz00_4205);
																}
																BgL_arg1665z00_3799 =
																	(((BgL_svarzf2cinfozf2_bglt)
																		COBJECT(BgL_auxz00_4204))->BgL_approxz00);
															}
															BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																(BgL_arg1665z00_3799);
														}
												}
											}
										}
										{
											obj_t BgL_l1489z00_4213;

											BgL_l1489z00_4213 = CDR(BgL_l1489z00_3796);
											BgL_l1489z00_3796 = BgL_l1489z00_4213;
											goto BgL_zc3z04anonymousza31659ze3z87_3795;
										}
									}
								else
									{	/* Cfa/iterate.scm 131 */
										((bool_t) 1);
									}
							}
						}
						{	/* Cfa/iterate.scm 141 */
							BgL_approxz00_bglt BgL_arg1675z00_3800;

							BgL_arg1675z00_3800 =
								BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
								((BgL_sfunz00_bglt) BgL_valuez00_3744), BgL_ownerz00_3745);
							return
								((obj_t)
								BGl_loosez12z12zzcfa_loosez00(BgL_arg1675z00_3800,
									CNST_TABLE_REF(((long) 3))));
		}}}}

	}



/* &cfa-export-var!-svar1496 */
	obj_t BGl_z62cfazd2exportzd2varz12zd2svar1496za2zzcfa_iteratez00(obj_t
		BgL_envz00_3746, obj_t BgL_valuez00_3747, obj_t BgL_ownerz00_3748)
	{
		{	/* Cfa/iterate.scm 103 */
			{	/* Cfa/iterate.scm 108 */
				bool_t BgL_test2047z00_4220;

				{	/* Cfa/iterate.scm 108 */
					long BgL_arg1652z00_3802;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_4221;

						{
							obj_t BgL_auxz00_4222;

							{	/* Cfa/iterate.scm 108 */
								BgL_objectz00_bglt BgL_tmpz00_4223;

								BgL_tmpz00_4223 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_3747));
								BgL_auxz00_4222 = BGL_OBJECT_WIDENING(BgL_tmpz00_4223);
							}
							BgL_auxz00_4221 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4222);
						}
						BgL_arg1652z00_3802 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4221))->
							BgL_stampz00);
					}
					BgL_test2047z00_4220 =
						(BgL_arg1652z00_3802 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2047z00_4220)
					{	/* Cfa/iterate.scm 108 */
						return
							BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
							((BgL_valuez00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_3747)));
					}
				else
					{	/* Cfa/iterate.scm 108 */
						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_4234;

							{
								obj_t BgL_auxz00_4235;

								{	/* Cfa/iterate.scm 111 */
									BgL_objectz00_bglt BgL_tmpz00_4236;

									BgL_tmpz00_4236 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_valuez00_3747));
									BgL_auxz00_4235 = BGL_OBJECT_WIDENING(BgL_tmpz00_4236);
								}
								BgL_auxz00_4234 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4235);
							}
							((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4234))->
									BgL_stampz00) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/iterate.scm 112 */
							obj_t BgL_arg1647z00_3803;

							BgL_arg1647z00_3803 =
								BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
								((BgL_valuez00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_3747)));
							return
								((obj_t)
								BGl_loosez12z12zzcfa_loosez00(
									((BgL_approxz00_bglt) BgL_arg1647z00_3803),
									CNST_TABLE_REF(((long) 3))));
		}}}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00()
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1993z00zzcfa_iteratez00));
		}

	}

#ifdef __cplusplus
}
#endif
