/*===========================================================================*/
/*   (Cfa/ltype.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/ltype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;


	static obj_t BGl_z62typezd2variablez12zd2inter1589z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_ltypez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2setz121637zb0zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2makezd2box1635za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_ltypez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2scnst1583z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2funcall1609z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2kwote1595z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2app1605z70zzcfa_ltypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62typezd2nodez12zd2var1597z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2ref1639za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1631z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_ltypez00();
	static obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2nodez12zd2vsetz121615z62zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2sync1603z70zzcfa_ltypez00(obj_t, obj_t);
	static bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62typezd2nodez12zd2switch1625z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2fail1623z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2nodez12zd2closure1599z70zzcfa_ltypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2vref1613z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_z62typezd2nodez12zd2letzd2fun1627za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_z62typezd2variablez12zd2sexit1587z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21585z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21581z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2condition1621z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2sequence1601z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez121577za2zzcfa_ltypez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2atom1593z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2letzd2var1629za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1633z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2appzd2ly1607za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00();
	static obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2cast1617z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez121590za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setq1619z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2extern1611z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2121z00zzcfa_ltypez00,
		BgL_bgl_string2121za700za7za7c2161za7, "type-variable!1577", 18);
	      DEFINE_STRING(BGl_string2123z00zzcfa_ltypez00,
		BgL_bgl_string2123za700za7za7c2162za7, "type-node!1590", 14);
	      DEFINE_STRING(BGl_string2124z00zzcfa_ltypez00,
		BgL_bgl_string2124za700za7za7c2163za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2126z00zzcfa_ltypez00,
		BgL_bgl_string2126za700za7za7c2164za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string2132z00zzcfa_ltypez00,
		BgL_bgl_string2132za700za7za7c2165za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string2156z00zzcfa_ltypez00,
		BgL_bgl_string2156za700za7za7c2166za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2157z00zzcfa_ltypez00,
		BgL_bgl_string2157za700za7za7c2167za7, "cfa_ltype", 9);
	      DEFINE_STRING(BGl_string2158z00zzcfa_ltypez00,
		BgL_bgl_string2158za700za7za7c2168za7, "static nothing type-node!1590 ",
		30);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2169z00,
		BGl_z62typezd2variablez12za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lightzd2typez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762lightza7d2typeza72170za7,
		BGl_z62lightzd2typez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2171z00,
		BGl_z62typezd2variablez121577za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712172za7,
		BGl_z62typezd2nodez121590za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2173z00,
		BGl_z62typezd2variablez12zd2svarzf21581z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2174z00,
		BGl_z62typezd2variablez12zd2scnst1583z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2175z00,
		BGl_z62typezd2variablez12zd2cvarzf21585z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2176z00,
		BGl_z62typezd2variablez12zd2sexit1587z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2177z00,
		BGl_z62typezd2variablez12zd2inter1589z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712178za7,
		BGl_z62typezd2nodez12zd2atom1593z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712179za7,
		BGl_z62typezd2nodez12zd2kwote1595z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712180za7,
		BGl_z62typezd2nodez12zd2var1597z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712181za7,
		BGl_z62typezd2nodez12zd2closure1599z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712182za7,
		BGl_z62typezd2nodez12zd2sequence1601z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712183za7,
		BGl_z62typezd2nodez12zd2sync1603z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712184za7,
		BGl_z62typezd2nodez12zd2app1605z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712185za7,
		BGl_z62typezd2nodez12zd2appzd2ly1607za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712186za7,
		BGl_z62typezd2nodez12zd2funcall1609z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712187za7,
		BGl_z62typezd2nodez12zd2extern1611z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712188za7,
		BGl_z62typezd2nodez12zd2vref1613z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712189za7,
		BGl_z62typezd2nodez12zd2vsetz121615z62zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712190za7,
		BGl_z62typezd2nodez12zd2cast1617z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712191za7,
		BGl_z62typezd2nodez12zd2setq1619z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712192za7,
		BGl_z62typezd2nodez12zd2condition1621z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712193za7,
		BGl_z62typezd2nodez12zd2fail1623z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712194za7,
		BGl_z62typezd2nodez12zd2switch1625z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712195za7,
		BGl_z62typezd2nodez12zd2letzd2fun1627za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712196za7,
		BGl_z62typezd2nodez12zd2letzd2var1629za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712197za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1631z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712198za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1633z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712199za7,
		BGl_z62typezd2nodez12zd2makezd2box1635za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712200za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121637zb0zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712201za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1639za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712202za7,
		BGl_z62typezd2nodez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_ltypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long
		BgL_checksumz00_4773, char *BgL_fromz00_4774)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_ltypez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_ltypez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_cnstzd2initzd2zzcfa_ltypez00();
					BGl_importedzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_genericzd2initzd2zzcfa_ltypez00();
					BGl_methodzd2initzd2zzcfa_ltypez00();
					return BGl_toplevelzd2initzd2zzcfa_ltypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_ltype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			{	/* Cfa/ltype.scm 15 */
				obj_t BgL_cportz00_4677;

				{	/* Cfa/ltype.scm 15 */
					obj_t BgL_stringz00_4685;

					BgL_stringz00_4685 = BGl_string2158z00zzcfa_ltypez00;
					{	/* Cfa/ltype.scm 15 */
						obj_t BgL_startz00_4686;

						BgL_startz00_4686 = BINT(((long) 0));
						{	/* Cfa/ltype.scm 15 */
							obj_t BgL_endz00_4687;

							BgL_endz00_4687 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4685)));
							{	/* Cfa/ltype.scm 15 */

								BgL_cportz00_4677 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4685, BgL_startz00_4686, BgL_endz00_4687);
				}}}}
				{
					long BgL_iz00_4678;

					BgL_iz00_4678 = ((long) 2);
				BgL_loopz00_4679:
					if ((BgL_iz00_4678 == ((long) -1)))
						{	/* Cfa/ltype.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/ltype.scm 15 */
							{	/* Cfa/ltype.scm 15 */
								obj_t BgL_arg2160z00_4681;

								{	/* Cfa/ltype.scm 15 */

									{	/* Cfa/ltype.scm 15 */
										obj_t BgL_locationz00_4683;

										BgL_locationz00_4683 = BBOOL(((bool_t) 0));
										{	/* Cfa/ltype.scm 15 */

											BgL_arg2160z00_4681 =
												BGl_readz00zz__readerz00(BgL_cportz00_4677,
												BgL_locationz00_4683);
										}
									}
								}
								{	/* Cfa/ltype.scm 15 */
									int BgL_tmpz00_4805;

									BgL_tmpz00_4805 = (int) (BgL_iz00_4678);
									CNST_TABLE_SET(BgL_tmpz00_4805, BgL_arg2160z00_4681);
							}}
							{	/* Cfa/ltype.scm 15 */
								int BgL_auxz00_4684;

								BgL_auxz00_4684 = (int) ((BgL_iz00_4678 - ((long) 1)));
								{
									long BgL_iz00_4810;

									BgL_iz00_4810 = (long) (BgL_auxz00_4684);
									BgL_iz00_4678 = BgL_iz00_4810;
									goto BgL_loopz00_4679;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}

	}



/* light-type! */
	BGL_EXPORTED_DEF obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t
		BgL_globalsz00_23)
	{
		{	/* Cfa/ltype.scm 40 */
			{
				obj_t BgL_l1561z00_3465;

				{	/* Cfa/ltype.scm 41 */
					bool_t BgL_tmpz00_4813;

					BgL_l1561z00_3465 = BgL_globalsz00_23;
				BgL_zc3z04anonymousza31695ze3z87_3466:
					if (PAIRP(BgL_l1561z00_3465))
						{	/* Cfa/ltype.scm 41 */
							{	/* Cfa/ltype.scm 41 */
								obj_t BgL_arg1699z00_3468;

								BgL_arg1699z00_3468 = CAR(BgL_l1561z00_3465);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1699z00_3468));
							}
							{
								obj_t BgL_l1561z00_4819;

								BgL_l1561z00_4819 = CDR(BgL_l1561z00_3465);
								BgL_l1561z00_3465 = BgL_l1561z00_4819;
								goto BgL_zc3z04anonymousza31695ze3z87_3466;
							}
						}
					else
						{	/* Cfa/ltype.scm 41 */
							BgL_tmpz00_4813 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4813);
				}
			}
		}

	}



/* &light-type! */
	obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t BgL_envz00_4569,
		obj_t BgL_globalsz00_4570)
	{
		{	/* Cfa/ltype.scm 40 */
			return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_4570);
		}

	}



/* light-type-fun! */
	obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt
		BgL_varz00_24)
	{
		{	/* Cfa/ltype.scm 46 */
			{	/* Cfa/ltype.scm 47 */
				BgL_valuez00_bglt BgL_funz00_3471;

				BgL_funz00_3471 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->BgL_valuez00);
				{	/* Cfa/ltype.scm 48 */
					bool_t BgL_test2206z00_4824;

					{	/* Cfa/ltype.scm 48 */
						obj_t BgL_classz00_4307;

						BgL_classz00_4307 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
						{	/* Cfa/ltype.scm 48 */
							BgL_objectz00_bglt BgL_arg1825z00_4309;

							{	/* Cfa/ltype.scm 48 */
								obj_t BgL_tmpz00_4825;

								BgL_tmpz00_4825 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3471));
								BgL_arg1825z00_4309 = (BgL_objectz00_bglt) (BgL_tmpz00_4825);
							}
							{	/* Cfa/ltype.scm 48 */
								bool_t BgL_arg1822z00_4312;
								bool_t BgL_arg1823z00_4313;

								{	/* Cfa/ltype.scm 48 */
									long BgL_idxz00_4316;

									BgL_idxz00_4316 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4309);
									BgL_arg1822z00_4312 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4316 + ((long) 4))) == BgL_classz00_4307);
								}
								{	/* Cfa/ltype.scm 48 */
									bool_t BgL_res2106z00_4338;

									{	/* Cfa/ltype.scm 48 */
										obj_t BgL_oclassz00_4324;

										{	/* Cfa/ltype.scm 48 */
											long BgL_arg1833z00_4330;

											{	/* Cfa/ltype.scm 48 */
												long BgL_arg1834z00_4331;

												BgL_arg1834z00_4331 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4309);
												BgL_arg1833z00_4330 =
													(BgL_arg1834z00_4331 - OBJECT_TYPE);
											}
											BgL_oclassz00_4324 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4330);
										}
										{	/* Cfa/ltype.scm 48 */
											bool_t BgL__ortest_1110z00_4325;

											BgL__ortest_1110z00_4325 =
												(BgL_classz00_4307 == BgL_oclassz00_4324);
											if (BgL__ortest_1110z00_4325)
												{	/* Cfa/ltype.scm 48 */
													BgL_res2106z00_4338 = BgL__ortest_1110z00_4325;
												}
											else
												{	/* Cfa/ltype.scm 48 */
													long BgL_odepthz00_4326;

													BgL_odepthz00_4326 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4324);
													if ((((long) 4) < BgL_odepthz00_4326))
														{	/* Cfa/ltype.scm 48 */
															obj_t BgL_arg1821z00_4328;

															BgL_arg1821z00_4328 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4324,
																((long) 4));
															BgL_res2106z00_4338 =
																(BgL_arg1821z00_4328 == BgL_classz00_4307);
														}
													else
														{	/* Cfa/ltype.scm 48 */
															BgL_res2106z00_4338 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4313 = BgL_res2106z00_4338;
								}
								BgL_test2206z00_4824 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4312, BgL_arg1823z00_4313);
							}
						}
					}
					if (BgL_test2206z00_4824)
						{	/* Cfa/ltype.scm 48 */
							{	/* Cfa/ltype.scm 53 */
								obj_t BgL_g1565z00_3474;

								BgL_g1565z00_3474 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3471))))->BgL_argsz00);
								{
									obj_t BgL_l1563z00_3476;

									BgL_l1563z00_3476 = BgL_g1565z00_3474;
								BgL_zc3z04anonymousza31705ze3z87_3477:
									if (PAIRP(BgL_l1563z00_3476))
										{	/* Cfa/ltype.scm 53 */
											{	/* Cfa/ltype.scm 54 */
												obj_t BgL_varz00_3479;

												BgL_varz00_3479 = CAR(BgL_l1563z00_3476);
												{	/* Cfa/ltype.scm 54 */
													BgL_valuez00_bglt BgL_arg1711z00_3480;

													BgL_arg1711z00_3480 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3479))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_ltypez00
														(BgL_arg1711z00_3480,
														((BgL_variablez00_bglt) BgL_varz00_3479));
												}
											}
											{
												obj_t BgL_l1563z00_4855;

												BgL_l1563z00_4855 = CDR(BgL_l1563z00_3476);
												BgL_l1563z00_3476 = BgL_l1563z00_4855;
												goto BgL_zc3z04anonymousza31705ze3z87_3477;
											}
										}
									else
										{	/* Cfa/ltype.scm 53 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/ltype.scm 57 */
								obj_t BgL_arg1713z00_3483;

								BgL_arg1713z00_3483 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3471))))->BgL_bodyz00);
								BGl_typezd2nodez12zc0zzcfa_ltypez00(
									((BgL_nodez00_bglt) BgL_arg1713z00_3483));
							}
							{	/* Cfa/ltype.scm 59 */
								obj_t BgL_arg1714z00_3484;

								{	/* Cfa/ltype.scm 59 */
									BgL_approxz00_bglt BgL_arg1715z00_3485;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4862;

										{
											obj_t BgL_auxz00_4863;

											{	/* Cfa/ltype.scm 59 */
												BgL_objectz00_bglt BgL_tmpz00_4864;

												BgL_tmpz00_4864 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3471));
												BgL_auxz00_4863 = BGL_OBJECT_WIDENING(BgL_tmpz00_4864);
											}
											BgL_auxz00_4862 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4863);
										}
										BgL_arg1715z00_3485 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												COBJECT(BgL_auxz00_4862))->BgL_approxz00);
									}
									if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
										(BgL_arg1715z00_3485))
										{	/* Cfa/ltype.scm 65 */
											BgL_arg1714z00_3484 =
												BGl_za2procedurezd2elza2zd2zztype_cachez00;
										}
									else
										{	/* Cfa/ltype.scm 65 */
											BgL_arg1714z00_3484 = BGl_za2_za2z00zztype_cachez00;
										}
								}
								if (
									(((obj_t)
											((BgL_typez00_bglt) BgL_arg1714z00_3484)) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/ltype.scm 118 */
										return BFALSE;
									}
								else
									{	/* Cfa/ltype.scm 118 */
										return
											((((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1714z00_3484)), BUNSPEC);
									}
							}
						}
					else
						{	/* Cfa/ltype.scm 48 */
							return BFALSE;
						}
				}
			}
		}

	}



/* type-node*! */
	bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t BgL_nodeza2za2_65)
	{
		{	/* Cfa/ltype.scm 327 */
			{
				obj_t BgL_l1575z00_3489;

				BgL_l1575z00_3489 = BgL_nodeza2za2_65;
			BgL_zc3z04anonymousza31719ze3z87_3490:
				if (PAIRP(BgL_l1575z00_3489))
					{	/* Cfa/ltype.scm 328 */
						{	/* Cfa/ltype.scm 328 */
							obj_t BgL_arg1721z00_3492;

							BgL_arg1721z00_3492 = CAR(BgL_l1575z00_3489);
							BGl_typezd2nodez12zc0zzcfa_ltypez00(
								((BgL_nodez00_bglt) BgL_arg1721z00_3492));
						}
						{
							obj_t BgL_l1575z00_4883;

							BgL_l1575z00_4883 = CDR(BgL_l1575z00_3489);
							BgL_l1575z00_3489 = BgL_l1575z00_4883;
							goto BgL_zc3z04anonymousza31719ze3z87_3490;
						}
					}
				else
					{	/* Cfa/ltype.scm 328 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_proc2120z00zzcfa_ltypez00, BGl_valuez00zzast_varz00,
				BGl_string2121z00zzcfa_ltypez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_proc2122z00zzcfa_ltypez00, BGl_nodez00zzast_nodez00,
				BGl_string2123z00zzcfa_ltypez00);
		}

	}



/* &type-node!1590 */
	obj_t BGl_z62typezd2nodez121590za2zzcfa_ltypez00(obj_t BgL_envz00_4573,
		obj_t BgL_nodez00_4574)
	{
		{	/* Cfa/ltype.scm 125 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2124z00zzcfa_ltypez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4574)));
		}

	}



/* &type-variable!1577 */
	obj_t BGl_z62typezd2variablez121577za2zzcfa_ltypez00(obj_t BgL_envz00_4575,
		obj_t BgL_valuez00_4576, obj_t BgL_variablez00_4577)
	{
		{	/* Cfa/ltype.scm 72 */
			{	/* Cfa/ltype.scm 73 */
				BgL_typez00_bglt BgL_typez00_4692;

				BgL_typez00_4692 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_4577)))->BgL_typez00);
				if (
					(((obj_t) BgL_typez00_4692) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 74 */
						if ((((obj_t) BgL_typez00_4692) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/ltype.scm 118 */
								return BFALSE;
							}
						else
							{	/* Cfa/ltype.scm 118 */
								return
									((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_4577)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_typez00_4692), BUNSPEC);
							}
					}
				else
					{	/* Cfa/ltype.scm 74 */
						return CNST_TABLE_REF(((long) 1));
		}}}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt
		BgL_valuez00_26, BgL_variablez00_bglt BgL_variablez00_27)
	{
		{	/* Cfa/ltype.scm 72 */
			{	/* Cfa/ltype.scm 72 */
				obj_t BgL_method1578z00_3506;

				{	/* Cfa/ltype.scm 72 */
					obj_t BgL_res2111z00_4393;

					{	/* Cfa/ltype.scm 72 */
						long BgL_objzd2classzd2numz00_4364;

						BgL_objzd2classzd2numz00_4364 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_26));
						{	/* Cfa/ltype.scm 72 */
							obj_t BgL_arg1829z00_4365;

							BgL_arg1829z00_4365 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
								(int) (((long) 1)));
							{	/* Cfa/ltype.scm 72 */
								int BgL_offsetz00_4368;

								BgL_offsetz00_4368 = (int) (BgL_objzd2classzd2numz00_4364);
								{	/* Cfa/ltype.scm 72 */
									long BgL_offsetz00_4369;

									BgL_offsetz00_4369 =
										((long) (BgL_offsetz00_4368) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 72 */
										long BgL_modz00_4370;

										BgL_modz00_4370 =
											(BgL_offsetz00_4369 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/ltype.scm 72 */
											long BgL_restz00_4372;

											BgL_restz00_4372 =
												(BgL_offsetz00_4369 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/ltype.scm 72 */

												{	/* Cfa/ltype.scm 72 */
													obj_t BgL_bucketz00_4374;

													BgL_bucketz00_4374 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4365), BgL_modz00_4370);
													BgL_res2111z00_4393 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4374), BgL_restz00_4372);
					}}}}}}}}
					BgL_method1578z00_3506 = BgL_res2111z00_4393;
				}
				return
					PROCEDURE_ENTRY(BgL_method1578z00_3506) (BgL_method1578z00_3506,
					((obj_t) BgL_valuez00_26), ((obj_t) BgL_variablez00_27), BEOA);
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t BgL_envz00_4578,
		obj_t BgL_valuez00_4579, obj_t BgL_variablez00_4580)
	{
		{	/* Cfa/ltype.scm 72 */
			return
				BGl_typezd2variablez12zc0zzcfa_ltypez00(
				((BgL_valuez00_bglt) BgL_valuez00_4579),
				((BgL_variablez00_bglt) BgL_variablez00_4580));
		}

	}



/* type-node! */
	obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt BgL_nodez00_40)
	{
		{	/* Cfa/ltype.scm 125 */
			{	/* Cfa/ltype.scm 125 */
				obj_t BgL_method1591z00_3507;

				{	/* Cfa/ltype.scm 125 */
					obj_t BgL_res2116z00_4424;

					{	/* Cfa/ltype.scm 125 */
						long BgL_objzd2classzd2numz00_4395;

						BgL_objzd2classzd2numz00_4395 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_40));
						{	/* Cfa/ltype.scm 125 */
							obj_t BgL_arg1829z00_4396;

							BgL_arg1829z00_4396 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
								(int) (((long) 1)));
							{	/* Cfa/ltype.scm 125 */
								int BgL_offsetz00_4399;

								BgL_offsetz00_4399 = (int) (BgL_objzd2classzd2numz00_4395);
								{	/* Cfa/ltype.scm 125 */
									long BgL_offsetz00_4400;

									BgL_offsetz00_4400 =
										((long) (BgL_offsetz00_4399) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 125 */
										long BgL_modz00_4401;

										BgL_modz00_4401 =
											(BgL_offsetz00_4400 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/ltype.scm 125 */
											long BgL_restz00_4403;

											BgL_restz00_4403 =
												(BgL_offsetz00_4400 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/ltype.scm 125 */

												{	/* Cfa/ltype.scm 125 */
													obj_t BgL_bucketz00_4405;

													BgL_bucketz00_4405 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4396), BgL_modz00_4401);
													BgL_res2116z00_4424 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4405), BgL_restz00_4403);
					}}}}}}}}
					BgL_method1591z00_3507 = BgL_res2116z00_4424;
				}
				return
					PROCEDURE_ENTRY(BgL_method1591z00_3507) (BgL_method1591z00_3507,
					((obj_t) BgL_nodez00_40), BEOA);
			}
		}

	}



/* &type-node! */
	obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t BgL_envz00_4581,
		obj_t BgL_nodez00_4582)
	{
		{	/* Cfa/ltype.scm 125 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				((BgL_nodez00_bglt) BgL_nodez00_4582));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2125z00zzcfa_ltypez00,
				BGl_string2126z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2127z00zzcfa_ltypez00,
				BGl_string2126z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2128z00zzcfa_ltypez00,
				BGl_string2126z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2129z00zzcfa_ltypez00,
				BGl_string2126z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2130z00zzcfa_ltypez00, BGl_string2126z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_atomz00zzast_nodez00,
				BGl_proc2131z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2133z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_varz00zzast_nodez00,
				BGl_proc2134z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_closurez00zzast_nodez00,
				BGl_proc2135z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2136z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_syncz00zzast_nodez00,
				BGl_proc2137z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_appz00zzast_nodez00,
				BGl_proc2138z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2139z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2140z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_externz00zzast_nodez00,
				BGl_proc2141z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2142z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2143z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_castz00zzast_nodez00,
				BGl_proc2144z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_setqz00zzast_nodez00,
				BGl_proc2145z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2146z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_failz00zzast_nodez00,
				BGl_proc2147z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_switchz00zzast_nodez00,
				BGl_proc2148z00zzcfa_ltypez00, BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2149z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2150z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2151z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2152z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2153z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2154z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2155z00zzcfa_ltypez00,
				BGl_string2132z00zzcfa_ltypez00);
		}

	}



/* &type-node!-box-ref1639 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2ref1639za2zzcfa_ltypez00(obj_t
		BgL_envz00_4612, obj_t BgL_nodez00_4613)
	{
		{	/* Cfa/ltype.scm 320 */
			{	/* Cfa/ltype.scm 322 */
				BgL_varz00_bglt BgL_arg1891z00_4694;

				BgL_arg1891z00_4694 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_4613)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1891z00_4694));
			}
		}

	}



/* &type-node!-box-set!1637 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2setz121637zb0zzcfa_ltypez00(obj_t
		BgL_envz00_4614, obj_t BgL_nodez00_4615)
	{
		{	/* Cfa/ltype.scm 312 */
			{	/* Cfa/ltype.scm 314 */
				BgL_varz00_bglt BgL_arg1888z00_4696;

				BgL_arg1888z00_4696 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4615)))->BgL_varz00);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1888z00_4696));
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4615)))->BgL_valuez00));
		}

	}



/* &type-node!-make-box1635 */
	obj_t BGl_z62typezd2nodez12zd2makezd2box1635za2zzcfa_ltypez00(obj_t
		BgL_envz00_4616, obj_t BgL_nodez00_4617)
	{
		{	/* Cfa/ltype.scm 305 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4617)))->BgL_valuez00));
		}

	}



/* &type-node!-jump-ex-i1633 */
	obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1633z70zzcfa_ltypez00(obj_t
		BgL_envz00_4618, obj_t BgL_nodez00_4619)
	{
		{	/* Cfa/ltype.scm 297 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4619)))->BgL_exitz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4619)))->BgL_valuez00));
		}

	}



/* &type-node!-set-ex-it1631 */
	obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1631z70zzcfa_ltypez00(obj_t
		BgL_envz00_4620, obj_t BgL_nodez00_4621)
	{
		{	/* Cfa/ltype.scm 286 */
			{	/* Cfa/ltype.scm 288 */
				BgL_variablez00_bglt BgL_vz00_4700;

				BgL_vz00_4700 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4621)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/ltype.scm 289 */
					BgL_valuez00_bglt BgL_arg1878z00_4701;

					BgL_arg1878z00_4701 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_4700))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1878z00_4701,
						BgL_vz00_4700);
				}
			}
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4621)))->BgL_bodyz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4621)))->BgL_onexitz00));
			{	/* Cfa/ltype.scm 292 */
				BgL_varz00_bglt BgL_arg1884z00_4702;

				BgL_arg1884z00_4702 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4621)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1884z00_4702));
			}
		}

	}



/* &type-node!-let-var1629 */
	obj_t BGl_z62typezd2nodez12zd2letzd2var1629za2zzcfa_ltypez00(obj_t
		BgL_envz00_4622, obj_t BgL_nodez00_4623)
	{
		{	/* Cfa/ltype.scm 273 */
			{	/* Cfa/ltype.scm 275 */
				obj_t BgL_g1574z00_4704;

				BgL_g1574z00_4704 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4623)))->BgL_bindingsz00);
				{
					obj_t BgL_l1572z00_4706;

					BgL_l1572z00_4706 = BgL_g1574z00_4704;
				BgL_zc3z04anonymousza31870ze3z87_4705:
					if (PAIRP(BgL_l1572z00_4706))
						{	/* Cfa/ltype.scm 275 */
							{	/* Cfa/ltype.scm 276 */
								obj_t BgL_bindingz00_4707;

								BgL_bindingz00_4707 = CAR(BgL_l1572z00_4706);
								{	/* Cfa/ltype.scm 276 */
									obj_t BgL_varz00_4708;
									obj_t BgL_valz00_4709;

									BgL_varz00_4708 = CAR(((obj_t) BgL_bindingz00_4707));
									BgL_valz00_4709 = CDR(((obj_t) BgL_bindingz00_4707));
									BGl_typezd2nodez12zc0zzcfa_ltypez00(
										((BgL_nodez00_bglt) BgL_valz00_4709));
									{	/* Cfa/ltype.scm 279 */
										BgL_valuez00_bglt BgL_arg1872z00_4710;

										BgL_arg1872z00_4710 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_4708))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1872z00_4710,
											((BgL_variablez00_bglt) BgL_varz00_4708));
									}
								}
							}
							{
								obj_t BgL_l1572z00_5051;

								BgL_l1572z00_5051 = CDR(BgL_l1572z00_4706);
								BgL_l1572z00_4706 = BgL_l1572z00_5051;
								goto BgL_zc3z04anonymousza31870ze3z87_4705;
							}
						}
					else
						{	/* Cfa/ltype.scm 275 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4623)))->BgL_bodyz00));
		}

	}



/* &type-node!-let-fun1627 */
	obj_t BGl_z62typezd2nodez12zd2letzd2fun1627za2zzcfa_ltypez00(obj_t
		BgL_envz00_4624, obj_t BgL_nodez00_4625)
	{
		{	/* Cfa/ltype.scm 265 */
			{	/* Cfa/ltype.scm 267 */
				obj_t BgL_g1571z00_4712;

				BgL_g1571z00_4712 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4625)))->BgL_localsz00);
				{
					obj_t BgL_l1569z00_4714;

					BgL_l1569z00_4714 = BgL_g1571z00_4712;
				BgL_zc3z04anonymousza31863ze3z87_4713:
					if (PAIRP(BgL_l1569z00_4714))
						{	/* Cfa/ltype.scm 267 */
							{	/* Cfa/ltype.scm 267 */
								obj_t BgL_arg1865z00_4715;

								BgL_arg1865z00_4715 = CAR(BgL_l1569z00_4714);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1865z00_4715));
							}
							{
								obj_t BgL_l1569z00_5063;

								BgL_l1569z00_5063 = CDR(BgL_l1569z00_4714);
								BgL_l1569z00_4714 = BgL_l1569z00_5063;
								goto BgL_zc3z04anonymousza31863ze3z87_4713;
							}
						}
					else
						{	/* Cfa/ltype.scm 267 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4625)))->BgL_bodyz00));
		}

	}



/* &type-node!-switch1625 */
	obj_t BGl_z62typezd2nodez12zd2switch1625z70zzcfa_ltypez00(obj_t
		BgL_envz00_4626, obj_t BgL_nodez00_4627)
	{
		{	/* Cfa/ltype.scm 255 */
			{	/* Cfa/ltype.scm 256 */
				bool_t BgL_tmpz00_5068;

				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4627)))->BgL_testz00));
				{	/* Cfa/ltype.scm 258 */
					obj_t BgL_g1568z00_4717;

					BgL_g1568z00_4717 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4627)))->BgL_clausesz00);
					{
						obj_t BgL_l1566z00_4719;

						BgL_l1566z00_4719 = BgL_g1568z00_4717;
					BgL_zc3z04anonymousza31856ze3z87_4718:
						if (PAIRP(BgL_l1566z00_4719))
							{	/* Cfa/ltype.scm 258 */
								{	/* Cfa/ltype.scm 259 */
									obj_t BgL_clausez00_4720;

									BgL_clausez00_4720 = CAR(BgL_l1566z00_4719);
									{	/* Cfa/ltype.scm 259 */
										obj_t BgL_arg1858z00_4721;

										BgL_arg1858z00_4721 = CDR(((obj_t) BgL_clausez00_4720));
										BGl_typezd2nodez12zc0zzcfa_ltypez00(
											((BgL_nodez00_bglt) BgL_arg1858z00_4721));
									}
								}
								{
									obj_t BgL_l1566z00_5081;

									BgL_l1566z00_5081 = CDR(BgL_l1566z00_4719);
									BgL_l1566z00_4719 = BgL_l1566z00_5081;
									goto BgL_zc3z04anonymousza31856ze3z87_4718;
								}
							}
						else
							{	/* Cfa/ltype.scm 258 */
								BgL_tmpz00_5068 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5068);
			}
		}

	}



/* &type-node!-fail1623 */
	obj_t BGl_z62typezd2nodez12zd2fail1623z70zzcfa_ltypez00(obj_t BgL_envz00_4628,
		obj_t BgL_nodez00_4629)
	{
		{	/* Cfa/ltype.scm 246 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4629)))->BgL_procz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4629)))->BgL_msgz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4629)))->BgL_objz00));
		}

	}



/* &type-node!-condition1621 */
	obj_t BGl_z62typezd2nodez12zd2condition1621z70zzcfa_ltypez00(obj_t
		BgL_envz00_4630, obj_t BgL_nodez00_4631)
	{
		{	/* Cfa/ltype.scm 237 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4631)))->BgL_testz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4631)))->BgL_truez00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4631)))->BgL_falsez00));
		}

	}



/* &type-node!-setq1619 */
	obj_t BGl_z62typezd2nodez12zd2setq1619z70zzcfa_ltypez00(obj_t BgL_envz00_4632,
		obj_t BgL_nodez00_4633)
	{
		{	/* Cfa/ltype.scm 229 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4633)))->BgL_valuez00));
			{	/* Cfa/ltype.scm 232 */
				BgL_varz00_bglt BgL_arg1839z00_4725;

				BgL_arg1839z00_4725 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4633)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1839z00_4725));
			}
		}

	}



/* &type-node!-cast1617 */
	obj_t BGl_z62typezd2nodez12zd2cast1617z70zzcfa_ltypez00(obj_t BgL_envz00_4634,
		obj_t BgL_nodez00_4635)
	{
		{	/* Cfa/ltype.scm 222 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_4635)))->BgL_argz00));
		}

	}



/* &type-node!-vset!1615 */
	obj_t BGl_z62typezd2nodez12zd2vsetz121615z62zzcfa_ltypez00(obj_t
		BgL_envz00_4636, obj_t BgL_nodez00_4637)
	{
		{	/* Cfa/ltype.scm 213 */
			{

				{	/* Cfa/ltype.scm 213 */
					obj_t BgL_nextzd2method1614zd2_4729;

					BgL_nextzd2method1614zd2_4729 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_4637)),
						BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
						BGl_vsetz12z12zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1614zd2_4729)
						(BgL_nextzd2method1614zd2_4729,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_4637)), BEOA);
				}
				{	/* Cfa/ltype.scm 216 */
					bool_t BgL_test2218z00_5121;

					{	/* Cfa/ltype.scm 216 */
						BgL_typez00_bglt BgL_arg1824z00_4730;

						BgL_arg1824z00_4730 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_4637)))->BgL_ftypez00);
						BgL_test2218z00_5121 =
							(((obj_t) BgL_arg1824z00_4730) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2218z00_5121)
						{	/* Cfa/ltype.scm 216 */
							return
								((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_4637)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 216 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-node!-vref1613 */
	obj_t BGl_z62typezd2nodez12zd2vref1613z70zzcfa_ltypez00(obj_t BgL_envz00_4638,
		obj_t BgL_nodez00_4639)
	{
		{	/* Cfa/ltype.scm 204 */
			{

				{	/* Cfa/ltype.scm 204 */
					obj_t BgL_nextzd2method1612zd2_4733;

					BgL_nextzd2method1612zd2_4733 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_4639)),
						BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
						BGl_vrefz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1612zd2_4733)
						(BgL_nextzd2method1612zd2_4733,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4639)), BEOA);
				}
				{	/* Cfa/ltype.scm 207 */
					bool_t BgL_test2219z00_5138;

					{	/* Cfa/ltype.scm 207 */
						BgL_typez00_bglt BgL_arg1817z00_4734;

						BgL_arg1817z00_4734 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_4639)))->BgL_ftypez00);
						BgL_test2219z00_5138 =
							(((obj_t) BgL_arg1817z00_4734) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2219z00_5138)
						{	/* Cfa/ltype.scm 207 */
							return
								((((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4639)))->BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 207 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-node!-extern1611 */
	obj_t BGl_z62typezd2nodez12zd2extern1611z70zzcfa_ltypez00(obj_t
		BgL_envz00_4640, obj_t BgL_nodez00_4641)
	{
		{	/* Cfa/ltype.scm 197 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4641)))->BgL_exprza2za2)));
		}

	}



/* &type-node!-funcall1609 */
	obj_t BGl_z62typezd2nodez12zd2funcall1609z70zzcfa_ltypez00(obj_t
		BgL_envz00_4642, obj_t BgL_nodez00_4643)
	{
		{	/* Cfa/ltype.scm 189 */
			{	/* Cfa/ltype.scm 190 */
				bool_t BgL_tmpz00_5150;

				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4643)))->BgL_funz00));
				BgL_tmpz00_5150 =
					BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4643)))->BgL_argsz00));
				return BBOOL(BgL_tmpz00_5150);
			}
		}

	}



/* &type-node!-app-ly1607 */
	obj_t BGl_z62typezd2nodez12zd2appzd2ly1607za2zzcfa_ltypez00(obj_t
		BgL_envz00_4644, obj_t BgL_nodez00_4645)
	{
		{	/* Cfa/ltype.scm 181 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4645)))->BgL_funz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4645)))->BgL_argz00));
		}

	}



/* &type-node!-app1605 */
	obj_t BGl_z62typezd2nodez12zd2app1605z70zzcfa_ltypez00(obj_t BgL_envz00_4646,
		obj_t BgL_nodez00_4647)
	{
		{	/* Cfa/ltype.scm 174 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4647)))->BgL_argsz00)));
		}

	}



/* &type-node!-sync1603 */
	obj_t BGl_z62typezd2nodez12zd2sync1603z70zzcfa_ltypez00(obj_t BgL_envz00_4648,
		obj_t BgL_nodez00_4649)
	{
		{	/* Cfa/ltype.scm 165 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4649)))->BgL_mutexz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4649)))->BgL_prelockz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4649)))->BgL_bodyz00));
		}

	}



/* &type-node!-sequence1601 */
	obj_t BGl_z62typezd2nodez12zd2sequence1601z70zzcfa_ltypez00(obj_t
		BgL_envz00_4650, obj_t BgL_nodez00_4651)
	{
		{	/* Cfa/ltype.scm 158 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4651)))->BgL_nodesz00)));
		}

	}



/* &type-node!-closure1599 */
	obj_t BGl_z62typezd2nodez12zd2closure1599z70zzcfa_ltypez00(obj_t
		BgL_envz00_4652, obj_t BgL_nodez00_4653)
	{
		{	/* Cfa/ltype.scm 152 */
			{	/* Cfa/ltype.scm 153 */
				obj_t BgL_arg1772z00_4742;

				BgL_arg1772z00_4742 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4653)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2132z00zzcfa_ltypez00, BGl_string2156z00zzcfa_ltypez00,
					BgL_arg1772z00_4742);
			}
		}

	}



/* &type-node!-var1597 */
	obj_t BGl_z62typezd2nodez12zd2var1597z70zzcfa_ltypez00(obj_t BgL_envz00_4654,
		obj_t BgL_nodez00_4655)
	{
		{	/* Cfa/ltype.scm 142 */
			{	/* Cfa/ltype.scm 144 */
				bool_t BgL_test2220z00_5185;

				{	/* Cfa/ltype.scm 144 */
					bool_t BgL_test2221z00_5186;

					{	/* Cfa/ltype.scm 144 */
						BgL_variablez00_bglt BgL_arg1759z00_4744;

						BgL_arg1759z00_4744 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_4655)))->BgL_variablez00);
						{	/* Cfa/ltype.scm 144 */
							obj_t BgL_classz00_4745;

							BgL_classz00_4745 = BGl_globalz00zzast_varz00;
							{	/* Cfa/ltype.scm 144 */
								BgL_objectz00_bglt BgL_arg1825z00_4746;

								{	/* Cfa/ltype.scm 144 */
									obj_t BgL_tmpz00_5189;

									BgL_tmpz00_5189 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1759z00_4744));
									BgL_arg1825z00_4746 = (BgL_objectz00_bglt) (BgL_tmpz00_5189);
								}
								{	/* Cfa/ltype.scm 144 */
									bool_t BgL_arg1822z00_4747;
									bool_t BgL_arg1823z00_4748;

									{	/* Cfa/ltype.scm 144 */
										long BgL_idxz00_4749;

										BgL_idxz00_4749 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4746);
										BgL_arg1822z00_4747 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4749 + ((long) 2))) == BgL_classz00_4745);
									}
									{	/* Cfa/ltype.scm 144 */
										bool_t BgL_res2117z00_4752;

										{	/* Cfa/ltype.scm 144 */
											obj_t BgL_oclassz00_4753;

											{	/* Cfa/ltype.scm 144 */
												long BgL_arg1833z00_4754;

												{	/* Cfa/ltype.scm 144 */
													long BgL_arg1834z00_4755;

													BgL_arg1834z00_4755 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4746);
													BgL_arg1833z00_4754 =
														(BgL_arg1834z00_4755 - OBJECT_TYPE);
												}
												BgL_oclassz00_4753 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4754);
											}
											{	/* Cfa/ltype.scm 144 */
												bool_t BgL__ortest_1110z00_4756;

												BgL__ortest_1110z00_4756 =
													(BgL_classz00_4745 == BgL_oclassz00_4753);
												if (BgL__ortest_1110z00_4756)
													{	/* Cfa/ltype.scm 144 */
														BgL_res2117z00_4752 = BgL__ortest_1110z00_4756;
													}
												else
													{	/* Cfa/ltype.scm 144 */
														long BgL_odepthz00_4757;

														BgL_odepthz00_4757 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4753);
														if ((((long) 2) < BgL_odepthz00_4757))
															{	/* Cfa/ltype.scm 144 */
																obj_t BgL_arg1821z00_4758;

																BgL_arg1821z00_4758 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4753,
																	((long) 2));
																BgL_res2117z00_4752 =
																	(BgL_arg1821z00_4758 == BgL_classz00_4745);
															}
														else
															{	/* Cfa/ltype.scm 144 */
																BgL_res2117z00_4752 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4748 = BgL_res2117z00_4752;
									}
									BgL_test2221z00_5186 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4747, BgL_arg1823z00_4748);
								}
							}
						}
					}
					if (BgL_test2221z00_5186)
						{	/* Cfa/ltype.scm 144 */
							BgL_test2220z00_5185 =
								(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_4655)))->
													BgL_variablez00))))->BgL_importz00) ==
								CNST_TABLE_REF(((long) 2)));
						}
					else
						{	/* Cfa/ltype.scm 144 */
							BgL_test2220z00_5185 = ((bool_t) 0);
						}
				}
				if (BgL_test2220z00_5185)
					{	/* Cfa/ltype.scm 145 */
						BgL_valuez00_bglt BgL_arg1749z00_4759;
						BgL_variablez00_bglt BgL_arg1750z00_4760;

						BgL_arg1749z00_4759 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_4655)))->
												BgL_variablez00)))))->BgL_valuez00);
						BgL_arg1750z00_4760 =
							(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_nodez00_4655)))->BgL_variablez00);
						BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1749z00_4759,
							BgL_arg1750z00_4760);
					}
				else
					{	/* Cfa/ltype.scm 144 */
						BFALSE;
					}
			}
			{	/* Cfa/ltype.scm 146 */
				bool_t BgL_test2224z00_5222;

				{	/* Cfa/ltype.scm 146 */
					BgL_typez00_bglt BgL_arg1766z00_4761;

					BgL_arg1766z00_4761 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4655)))->
									BgL_variablez00)))->BgL_typez00);
					BgL_test2224z00_5222 =
						(((obj_t) BgL_arg1766z00_4761) ==
						BGl_za2procedurezd2elza2zd2zztype_cachez00);
				}
				if (BgL_test2224z00_5222)
					{	/* Cfa/ltype.scm 146 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_4655))))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2procedurezd2elza2zd2zztype_cachez00)), BUNSPEC);
					}
				else
					{	/* Cfa/ltype.scm 146 */
						return BFALSE;
					}
			}
		}

	}



/* &type-node!-kwote1595 */
	obj_t BGl_z62typezd2nodez12zd2kwote1595z70zzcfa_ltypez00(obj_t
		BgL_envz00_4656, obj_t BgL_nodez00_4657)
	{
		{	/* Cfa/ltype.scm 136 */
			return BUNSPEC;
		}

	}



/* &type-node!-atom1593 */
	obj_t BGl_z62typezd2nodez12zd2atom1593z70zzcfa_ltypez00(obj_t BgL_envz00_4658,
		obj_t BgL_nodez00_4659)
	{
		{	/* Cfa/ltype.scm 130 */
			return BUNSPEC;
		}

	}



/* &type-variable!-inter1589 */
	obj_t BGl_z62typezd2variablez12zd2inter1589z70zzcfa_ltypez00(obj_t
		BgL_envz00_4660, obj_t BgL_valuez00_4661, obj_t BgL_variablez00_4662)
	{
		{	/* Cfa/ltype.scm 111 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &type-variable!-sexit1587 */
	obj_t BGl_z62typezd2variablez12zd2sexit1587z70zzcfa_ltypez00(obj_t
		BgL_envz00_4663, obj_t BgL_valuez00_4664, obj_t BgL_variablez00_4665)
	{
		{	/* Cfa/ltype.scm 101 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &type-variable!-cvar/1585 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21585z82zzcfa_ltypez00(obj_t
		BgL_envz00_4666, obj_t BgL_valuez00_4667, obj_t BgL_variablez00_4668)
	{
		{	/* Cfa/ltype.scm 94 */
			{	/* Cfa/ltype.scm 96 */
				obj_t BgL_arg1738z00_4767;

				{	/* Cfa/ltype.scm 96 */
					BgL_approxz00_bglt BgL_arg1739z00_4768;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_5234;

						{
							obj_t BgL_auxz00_5235;

							{	/* Cfa/ltype.scm 96 */
								BgL_objectz00_bglt BgL_tmpz00_5236;

								BgL_tmpz00_5236 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_4667));
								BgL_auxz00_5235 = BGL_OBJECT_WIDENING(BgL_tmpz00_5236);
							}
							BgL_auxz00_5234 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_5235);
						}
						BgL_arg1739z00_4768 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5234))->
							BgL_approxz00);
					}
					if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
						(BgL_arg1739z00_4768))
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1738z00_4767 = BGl_za2procedurezd2elza2zd2zztype_cachez00;
						}
					else
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1738z00_4767 = BGl_za2_za2z00zztype_cachez00;
						}
				}
				if (
					(((obj_t)
							((BgL_typez00_bglt) BgL_arg1738z00_4767)) ==
						BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 118 */
						return BFALSE;
					}
				else
					{	/* Cfa/ltype.scm 118 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4668)))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1738z00_4767)),
							BUNSPEC);
					}
			}
		}

	}



/* &type-variable!-scnst1583 */
	obj_t BGl_z62typezd2variablez12zd2scnst1583z70zzcfa_ltypez00(obj_t
		BgL_envz00_4669, obj_t BgL_valuez00_4670, obj_t BgL_variablez00_4671)
	{
		{	/* Cfa/ltype.scm 88 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &type-variable!-svar/1581 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21581z82zzcfa_ltypez00(obj_t
		BgL_envz00_4672, obj_t BgL_valuez00_4673, obj_t BgL_variablez00_4674)
	{
		{	/* Cfa/ltype.scm 81 */
			{	/* Cfa/ltype.scm 83 */
				obj_t BgL_arg1729z00_4771;

				{	/* Cfa/ltype.scm 83 */
					BgL_approxz00_bglt BgL_arg1731z00_4772;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_5252;

						{
							obj_t BgL_auxz00_5253;

							{	/* Cfa/ltype.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_5254;

								BgL_tmpz00_5254 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_4673));
								BgL_auxz00_5253 = BGL_OBJECT_WIDENING(BgL_tmpz00_5254);
							}
							BgL_auxz00_5252 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5253);
						}
						BgL_arg1731z00_4772 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5252))->
							BgL_approxz00);
					}
					if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
						(BgL_arg1731z00_4772))
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1729z00_4771 = BGl_za2procedurezd2elza2zd2zztype_cachez00;
						}
					else
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1729z00_4771 = BGl_za2_za2z00zztype_cachez00;
						}
				}
				if (
					(((obj_t)
							((BgL_typez00_bglt) BgL_arg1729z00_4771)) ==
						BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 118 */
						return BFALSE;
					}
				else
					{	/* Cfa/ltype.scm 118 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4674)))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1729z00_4771)),
							BUNSPEC);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00()
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2157z00zzcfa_ltypez00));
		}

	}

#ifdef __cplusplus
}
#endif
