/*===========================================================================*/
/*   (Cfa/struct.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/struct.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	extern obj_t BGl_structzd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_objectzd2initzd2zzcfa_structz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_structz00();
	extern obj_t BGl_structzd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2stru1504za2zzcfa_structz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2stru1506za2zzcfa_structz00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_structz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t BGl_z62zc3z04anonymousza31637ze3ze5zzcfa_structz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	static obj_t BGl_z62loosezd2allocz12zd2makezd2st1514za2zzcfa_structz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_structz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2structzd2app1508za2zzcfa_structz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_structz00();
	extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
	static obj_t BGl_genericzd2initzd2zzcfa_structz00();
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2refzd2app1510za2zzcfa_structz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2setz12zd2app1512zb0zzcfa_structz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31602ze3ze5zzcfa_structz00(obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1502za2zzcfa_structz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_structz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza71995za7,
		BGl_z62nodezd2setupz12zd2prezd2make1502za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza71996za7,
		BGl_z62nodezd2setupz12zd2prezd2stru1504za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza71997za7,
		BGl_z62nodezd2setupz12zd2prezd2stru1506za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2make1998za7,
		BGl_z62cfaz12zd2makezd2structzd2app1508za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2stru1999za7,
		BGl_z62cfaz12zd2structzd2refzd2app1510za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2stru2000za7,
		BGl_z62cfaz12zd2structzd2setz12zd2app1512zb0zzcfa_structz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzcfa_structz00,
		BgL_bgl_za762looseza7d2alloc2001z00,
		BGl_z62loosezd2allocz12zd2makezd2st1514za2zzcfa_structz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string1981z00zzcfa_structz00,
		BgL_bgl_string1981za700za7za7c2002za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string1985z00zzcfa_structz00,
		BgL_bgl_string1985za700za7za7c2003za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string1989z00zzcfa_structz00,
		BgL_bgl_string1989za700za7za7c2004za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string1990z00zzcfa_structz00,
		BgL_bgl_string1990za700za7za7c2005za7, "cfa_struct", 10);
	      DEFINE_STRING(BGl_string1991z00zzcfa_structz00,
		BgL_bgl_string1991za700za7za7c2006za7, "all ", 4);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_structz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long
		BgL_checksumz00_3813, char *BgL_fromz00_3814)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_structz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_structz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_structz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
					BGl_cnstzd2initzd2zzcfa_structz00();
					BGl_importedzd2moduleszd2initz00zzcfa_structz00();
					BGl_methodzd2initzd2zzcfa_structz00();
					return BGl_toplevelzd2initzd2zzcfa_structz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_struct");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			{	/* Cfa/struct.scm 17 */
				obj_t BgL_cportz00_3704;

				{	/* Cfa/struct.scm 17 */
					obj_t BgL_stringz00_3712;

					BgL_stringz00_3712 = BGl_string1991z00zzcfa_structz00;
					{	/* Cfa/struct.scm 17 */
						obj_t BgL_startz00_3713;

						BgL_startz00_3713 = BINT(((long) 0));
						{	/* Cfa/struct.scm 17 */
							obj_t BgL_endz00_3714;

							BgL_endz00_3714 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3712)));
							{	/* Cfa/struct.scm 17 */

								BgL_cportz00_3704 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3712, BgL_startz00_3713, BgL_endz00_3714);
				}}}}
				{
					long BgL_iz00_3705;

					BgL_iz00_3705 = ((long) 0);
				BgL_loopz00_3706:
					if ((BgL_iz00_3705 == ((long) -1)))
						{	/* Cfa/struct.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/struct.scm 17 */
							{	/* Cfa/struct.scm 17 */
								obj_t BgL_arg1994z00_3708;

								{	/* Cfa/struct.scm 17 */

									{	/* Cfa/struct.scm 17 */
										obj_t BgL_locationz00_3710;

										BgL_locationz00_3710 = BBOOL(((bool_t) 0));
										{	/* Cfa/struct.scm 17 */

											BgL_arg1994z00_3708 =
												BGl_readz00zz__readerz00(BgL_cportz00_3704,
												BgL_locationz00_3710);
										}
									}
								}
								{	/* Cfa/struct.scm 17 */
									int BgL_tmpz00_3841;

									BgL_tmpz00_3841 = (int) (BgL_iz00_3705);
									CNST_TABLE_SET(BgL_tmpz00_3841, BgL_arg1994z00_3708);
							}}
							{	/* Cfa/struct.scm 17 */
								int BgL_auxz00_3711;

								BgL_auxz00_3711 = (int) ((BgL_iz00_3705 - ((long) 1)));
								{
									long BgL_iz00_3846;

									BgL_iz00_3846 = (long) (BgL_auxz00_3711);
									BgL_iz00_3705 = BgL_iz00_3846;
									goto BgL_loopz00_3706;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00,
				BGl_proc1980z00zzcfa_structz00, BGl_string1981z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00,
				BGl_proc1982z00zzcfa_structz00, BGl_string1981z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc1983z00zzcfa_structz00, BGl_string1981z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2structzd2appz00zzcfa_info2z00,
				BGl_proc1984z00zzcfa_structz00, BGl_string1985z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_structzd2refzd2appz00zzcfa_info2z00, BGl_proc1986z00zzcfa_structz00,
				BGl_string1985z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_structzd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc1987z00zzcfa_structz00, BGl_string1985z00zzcfa_structz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2structzd2appz00zzcfa_info2z00,
				BGl_proc1988z00zzcfa_structz00, BGl_string1989z00zzcfa_structz00);
		}

	}



/* &loose-alloc!-make-st1514 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2st1514za2zzcfa_structz00(obj_t
		BgL_envz00_3680, obj_t BgL_allocz00_3681)
	{
		{	/* Cfa/struct.scm 136 */
			{	/* Cfa/struct.scm 138 */
				bool_t BgL_test2009z00_3856;

				{	/* Cfa/struct.scm 138 */
					long BgL_arg1678z00_3717;

					{
						BgL_makezd2structzd2appz00_bglt BgL_auxz00_3857;

						{
							obj_t BgL_auxz00_3858;

							{	/* Cfa/struct.scm 138 */
								BgL_objectz00_bglt BgL_tmpz00_3859;

								BgL_tmpz00_3859 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_3681));
								BgL_auxz00_3858 = BGL_OBJECT_WIDENING(BgL_tmpz00_3859);
							}
							BgL_auxz00_3857 =
								((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3858);
						}
						BgL_arg1678z00_3717 =
							(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3857))->
							BgL_lostzd2stampzd2);
					}
					BgL_test2009z00_3856 =
						(BgL_arg1678z00_3717 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2009z00_3856)
					{	/* Cfa/struct.scm 138 */
						return BUNSPEC;
					}
				else
					{	/* Cfa/struct.scm 138 */
						{
							BgL_makezd2structzd2appz00_bglt BgL_auxz00_3867;

							{
								obj_t BgL_auxz00_3868;

								{	/* Cfa/struct.scm 142 */
									BgL_objectz00_bglt BgL_tmpz00_3869;

									BgL_tmpz00_3869 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_3681));
									BgL_auxz00_3868 = BGL_OBJECT_WIDENING(BgL_tmpz00_3869);
								}
								BgL_auxz00_3867 =
									((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3868);
							}
							((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3867))->
									BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/struct.scm 143 */
							BgL_approxz00_bglt BgL_arg1667z00_3718;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3876;

								{
									obj_t BgL_auxz00_3877;

									{	/* Cfa/struct.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_3878;

										BgL_tmpz00_3878 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3681));
										BgL_auxz00_3877 = BGL_OBJECT_WIDENING(BgL_tmpz00_3878);
									}
									BgL_auxz00_3876 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3877);
								}
								BgL_arg1667z00_3718 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3876))->BgL_valuezd2approxzd2);
							}
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								BgL_arg1667z00_3718);
						}
						{	/* Cfa/struct.scm 144 */
							BgL_approxz00_bglt BgL_arg1675z00_3719;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3885;

								{
									obj_t BgL_auxz00_3886;

									{	/* Cfa/struct.scm 144 */
										BgL_objectz00_bglt BgL_tmpz00_3887;

										BgL_tmpz00_3887 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3681));
										BgL_auxz00_3886 = BGL_OBJECT_WIDENING(BgL_tmpz00_3887);
									}
									BgL_auxz00_3885 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3886);
								}
								BgL_arg1675z00_3719 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3885))->BgL_valuezd2approxzd2);
							}
							BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg1675z00_3719,
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
						{	/* Cfa/struct.scm 145 */
							BgL_approxz00_bglt BgL_arg1676z00_3720;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3895;

								{
									obj_t BgL_auxz00_3896;

									{	/* Cfa/struct.scm 145 */
										BgL_objectz00_bglt BgL_tmpz00_3897;

										BgL_tmpz00_3897 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3681));
										BgL_auxz00_3896 = BGL_OBJECT_WIDENING(BgL_tmpz00_3897);
									}
									BgL_auxz00_3895 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3896);
								}
								BgL_arg1676z00_3720 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3895))->BgL_valuezd2approxzd2);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1676z00_3720);
						}
					}
			}
		}

	}



/* &cfa!-struct-set!-app1512 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2setz12zd2app1512zb0zzcfa_structz00(obj_t
		BgL_envz00_3682, obj_t BgL_nodez00_3683)
	{
		{	/* Cfa/struct.scm 109 */
			{	/* Cfa/struct.scm 113 */
				obj_t BgL_arg1632z00_3722;

				{	/* Cfa/struct.scm 113 */
					obj_t BgL_pairz00_3723;

					BgL_pairz00_3723 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3683))))->BgL_argsz00);
					BgL_arg1632z00_3722 = CAR(CDR(BgL_pairz00_3723));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1632z00_3722));
			}
			{	/* Cfa/struct.scm 114 */
				BgL_approxz00_bglt BgL_structzd2approxzd2_3724;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3725;

				{	/* Cfa/struct.scm 114 */
					obj_t BgL_arg1652z00_3726;

					{	/* Cfa/struct.scm 114 */
						obj_t BgL_pairz00_3727;

						BgL_pairz00_3727 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3683))))->BgL_argsz00);
						BgL_arg1652z00_3726 = CAR(BgL_pairz00_3727);
					}
					BgL_structzd2approxzd2_3724 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1652z00_3726));
				}
				{	/* Cfa/struct.scm 115 */
					obj_t BgL_arg1657z00_3728;

					{	/* Cfa/struct.scm 115 */
						obj_t BgL_pairz00_3729;

						BgL_pairz00_3729 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3683))))->BgL_argsz00);
						BgL_arg1657z00_3728 = CAR(CDR(CDR(BgL_pairz00_3729)));
					}
					BgL_valzd2approxzd2_3725 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1657z00_3728));
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_structzd2approxzd2_3724))->
						BgL_topzf3zf3))
					{	/* Cfa/struct.scm 118 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3725,
								CNST_TABLE_REF(((long) 0))));
					}
				else
					{	/* Cfa/struct.scm 123 */
						obj_t BgL_zc3z04anonymousza31637ze3z87_3730;

						BgL_zc3z04anonymousza31637ze3z87_3730 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31637ze3ze5zzcfa_structz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31637ze3z87_3730,
							(int) (((long) 0)), ((obj_t) BgL_valzd2approxzd2_3725));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31637ze3z87_3730,
							BgL_structzd2approxzd2_3724);
			}}
			{
				BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_3937;

				{
					obj_t BgL_auxz00_3938;

					{	/* Cfa/struct.scm 127 */
						BgL_objectz00_bglt BgL_tmpz00_3939;

						BgL_tmpz00_3939 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3683));
						BgL_auxz00_3938 = BGL_OBJECT_WIDENING(BgL_tmpz00_3939);
					}
					BgL_auxz00_3937 =
						((BgL_structzd2setz12zd2appz12_bglt) BgL_auxz00_3938);
				}
				return
					(((BgL_structzd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_3937))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1637> */
	obj_t BGl_z62zc3z04anonymousza31637ze3ze5zzcfa_structz00(obj_t
		BgL_envz00_3684, obj_t BgL_appz00_3686)
	{
		{	/* Cfa/struct.scm 122 */
			{	/* Cfa/struct.scm 123 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_3685;

				BgL_valzd2approxzd2_3685 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_3684, (int) (((long) 0))));
				{	/* Cfa/struct.scm 123 */
					bool_t BgL_test2011z00_3948;

					{	/* Cfa/struct.scm 123 */
						obj_t BgL_classz00_3731;

						BgL_classz00_3731 = BGl_makezd2structzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_3686))
							{	/* Cfa/struct.scm 123 */
								BgL_objectz00_bglt BgL_arg1825z00_3732;

								BgL_arg1825z00_3732 = (BgL_objectz00_bglt) (BgL_appz00_3686);
								{	/* Cfa/struct.scm 123 */
									bool_t BgL_arg1822z00_3733;
									bool_t BgL_arg1823z00_3734;

									{	/* Cfa/struct.scm 123 */
										long BgL_idxz00_3735;

										BgL_idxz00_3735 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3732);
										BgL_arg1822z00_3733 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3735 + ((long) 4))) == BgL_classz00_3731);
									}
									{	/* Cfa/struct.scm 123 */
										bool_t BgL_res1970z00_3738;

										{	/* Cfa/struct.scm 123 */
											obj_t BgL_oclassz00_3739;

											{	/* Cfa/struct.scm 123 */
												long BgL_arg1833z00_3740;

												{	/* Cfa/struct.scm 123 */
													long BgL_arg1834z00_3741;

													BgL_arg1834z00_3741 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3732);
													BgL_arg1833z00_3740 =
														(BgL_arg1834z00_3741 - OBJECT_TYPE);
												}
												BgL_oclassz00_3739 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3740);
											}
											{	/* Cfa/struct.scm 123 */
												bool_t BgL__ortest_1110z00_3742;

												BgL__ortest_1110z00_3742 =
													(BgL_classz00_3731 == BgL_oclassz00_3739);
												if (BgL__ortest_1110z00_3742)
													{	/* Cfa/struct.scm 123 */
														BgL_res1970z00_3738 = BgL__ortest_1110z00_3742;
													}
												else
													{	/* Cfa/struct.scm 123 */
														long BgL_odepthz00_3743;

														BgL_odepthz00_3743 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3739);
														if ((((long) 4) < BgL_odepthz00_3743))
															{	/* Cfa/struct.scm 123 */
																obj_t BgL_arg1821z00_3744;

																BgL_arg1821z00_3744 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3739,
																	((long) 4));
																BgL_res1970z00_3738 =
																	(BgL_arg1821z00_3744 == BgL_classz00_3731);
															}
														else
															{	/* Cfa/struct.scm 123 */
																BgL_res1970z00_3738 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3734 = BgL_res1970z00_3738;
									}
									BgL_test2011z00_3948 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3733, BgL_arg1823z00_3734);
								}
							}
						else
							{	/* Cfa/struct.scm 123 */
								BgL_test2011z00_3948 = ((bool_t) 0);
							}
					}
					if (BgL_test2011z00_3948)
						{	/* Cfa/struct.scm 125 */
							BgL_approxz00_bglt BgL_arg1647z00_3745;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3967;

								{
									obj_t BgL_auxz00_3968;

									{	/* Cfa/struct.scm 125 */
										BgL_objectz00_bglt BgL_tmpz00_3969;

										BgL_tmpz00_3969 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_3686));
										BgL_auxz00_3968 = BGL_OBJECT_WIDENING(BgL_tmpz00_3969);
									}
									BgL_auxz00_3967 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3968);
								}
								BgL_arg1647z00_3745 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3967))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1647z00_3745,
									BgL_valzd2approxzd2_3685));
						}
					else
						{	/* Cfa/struct.scm 123 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &cfa!-struct-ref-app1510 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2refzd2app1510za2zzcfa_structz00(obj_t
		BgL_envz00_3687, obj_t BgL_nodez00_3688)
	{
		{	/* Cfa/struct.scm 87 */
			{	/* Cfa/struct.scm 91 */
				obj_t BgL_arg1588z00_3747;

				{	/* Cfa/struct.scm 91 */
					obj_t BgL_pairz00_3748;

					BgL_pairz00_3748 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3688))))->BgL_argsz00);
					BgL_arg1588z00_3747 = CAR(CDR(BgL_pairz00_3748));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1588z00_3747));
			}
			{	/* Cfa/struct.scm 92 */
				BgL_approxz00_bglt BgL_structzd2approxzd2_3749;

				{	/* Cfa/struct.scm 92 */
					obj_t BgL_arg1620z00_3750;

					{	/* Cfa/struct.scm 92 */
						obj_t BgL_pairz00_3751;

						BgL_pairz00_3751 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3688))))->BgL_argsz00);
						BgL_arg1620z00_3750 = CAR(BgL_pairz00_3751);
					}
					BgL_structzd2approxzd2_3749 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1620z00_3750));
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_structzd2approxzd2_3749))->
						BgL_topzf3zf3))
					{	/* Cfa/struct.scm 96 */
						BgL_approxz00_bglt BgL_arg1597z00_3752;

						{
							BgL_structzd2refzd2appz00_bglt BgL_auxz00_3992;

							{
								obj_t BgL_auxz00_3993;

								{	/* Cfa/struct.scm 96 */
									BgL_objectz00_bglt BgL_tmpz00_3994;

									BgL_tmpz00_3994 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3688));
									BgL_auxz00_3993 = BGL_OBJECT_WIDENING(BgL_tmpz00_3994);
								}
								BgL_auxz00_3992 =
									((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_3993);
							}
							BgL_arg1597z00_3752 =
								(((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_3992))->
								BgL_approxz00);
						}
						BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1597z00_3752);
					}
				else
					{	/* Cfa/struct.scm 95 */
						BFALSE;
					}
				{	/* Cfa/struct.scm 99 */
					obj_t BgL_zc3z04anonymousza31602ze3z87_3753;

					BgL_zc3z04anonymousza31602ze3z87_3753 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31602ze3ze5zzcfa_structz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31602ze3z87_3753,
						(int) (((long) 0)), ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3688)));
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BgL_zc3z04anonymousza31602ze3z87_3753,
						BgL_structzd2approxzd2_3749);
			}}
			{
				BgL_structzd2refzd2appz00_bglt BgL_auxz00_4009;

				{
					obj_t BgL_auxz00_4010;

					{	/* Cfa/struct.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_4011;

						BgL_tmpz00_4011 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3688));
						BgL_auxz00_4010 = BGL_OBJECT_WIDENING(BgL_tmpz00_4011);
					}
					BgL_auxz00_4009 = ((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4010);
				}
				return
					(((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_4009))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1602> */
	obj_t BGl_z62zc3z04anonymousza31602ze3ze5zzcfa_structz00(obj_t
		BgL_envz00_3689, obj_t BgL_appz00_3691)
	{
		{	/* Cfa/struct.scm 98 */
			{	/* Cfa/struct.scm 99 */
				BgL_appz00_bglt BgL_i1177z00_3690;

				BgL_i1177z00_3690 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_3689, (int) (((long) 0))));
				{	/* Cfa/struct.scm 99 */
					bool_t BgL_test2016z00_4020;

					{	/* Cfa/struct.scm 99 */
						obj_t BgL_classz00_3754;

						BgL_classz00_3754 = BGl_makezd2structzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_3691))
							{	/* Cfa/struct.scm 99 */
								BgL_objectz00_bglt BgL_arg1825z00_3755;

								BgL_arg1825z00_3755 = (BgL_objectz00_bglt) (BgL_appz00_3691);
								{	/* Cfa/struct.scm 99 */
									bool_t BgL_arg1822z00_3756;
									bool_t BgL_arg1823z00_3757;

									{	/* Cfa/struct.scm 99 */
										long BgL_idxz00_3758;

										BgL_idxz00_3758 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3755);
										BgL_arg1822z00_3756 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3758 + ((long) 4))) == BgL_classz00_3754);
									}
									{	/* Cfa/struct.scm 99 */
										bool_t BgL_res1969z00_3761;

										{	/* Cfa/struct.scm 99 */
											obj_t BgL_oclassz00_3762;

											{	/* Cfa/struct.scm 99 */
												long BgL_arg1833z00_3763;

												{	/* Cfa/struct.scm 99 */
													long BgL_arg1834z00_3764;

													BgL_arg1834z00_3764 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3755);
													BgL_arg1833z00_3763 =
														(BgL_arg1834z00_3764 - OBJECT_TYPE);
												}
												BgL_oclassz00_3762 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3763);
											}
											{	/* Cfa/struct.scm 99 */
												bool_t BgL__ortest_1110z00_3765;

												BgL__ortest_1110z00_3765 =
													(BgL_classz00_3754 == BgL_oclassz00_3762);
												if (BgL__ortest_1110z00_3765)
													{	/* Cfa/struct.scm 99 */
														BgL_res1969z00_3761 = BgL__ortest_1110z00_3765;
													}
												else
													{	/* Cfa/struct.scm 99 */
														long BgL_odepthz00_3766;

														BgL_odepthz00_3766 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3762);
														if ((((long) 4) < BgL_odepthz00_3766))
															{	/* Cfa/struct.scm 99 */
																obj_t BgL_arg1821z00_3767;

																BgL_arg1821z00_3767 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3762,
																	((long) 4));
																BgL_res1969z00_3761 =
																	(BgL_arg1821z00_3767 == BgL_classz00_3754);
															}
														else
															{	/* Cfa/struct.scm 99 */
																BgL_res1969z00_3761 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3757 = BgL_res1969z00_3761;
									}
									BgL_test2016z00_4020 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3756, BgL_arg1823z00_3757);
								}
							}
						else
							{	/* Cfa/struct.scm 99 */
								BgL_test2016z00_4020 = ((bool_t) 0);
							}
					}
					if (BgL_test2016z00_4020)
						{	/* Cfa/struct.scm 99 */
							{	/* Cfa/struct.scm 101 */
								BgL_approxz00_bglt BgL_arg1604z00_3768;
								BgL_approxz00_bglt BgL_arg1606z00_3769;

								{
									BgL_structzd2refzd2appz00_bglt BgL_auxz00_4039;

									{
										obj_t BgL_auxz00_4040;

										{	/* Cfa/struct.scm 101 */
											BgL_objectz00_bglt BgL_tmpz00_4041;

											BgL_tmpz00_4041 =
												((BgL_objectz00_bglt) BgL_i1177z00_3690);
											BgL_auxz00_4040 = BGL_OBJECT_WIDENING(BgL_tmpz00_4041);
										}
										BgL_auxz00_4039 =
											((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4040);
									}
									BgL_arg1604z00_3768 =
										(((BgL_structzd2refzd2appz00_bglt)
											COBJECT(BgL_auxz00_4039))->BgL_approxz00);
								}
								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4046;

									{
										obj_t BgL_auxz00_4047;

										{	/* Cfa/struct.scm 101 */
											BgL_objectz00_bglt BgL_tmpz00_4048;

											BgL_tmpz00_4048 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_3691));
											BgL_auxz00_4047 = BGL_OBJECT_WIDENING(BgL_tmpz00_4048);
										}
										BgL_auxz00_4046 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4047);
									}
									BgL_arg1606z00_3769 =
										(((BgL_makezd2structzd2appz00_bglt)
											COBJECT(BgL_auxz00_4046))->BgL_valuezd2approxzd2);
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1604z00_3768,
									BgL_arg1606z00_3769);
							}
							{	/* Cfa/struct.scm 102 */
								BgL_approxz00_bglt BgL_arg1612z00_3770;
								BgL_typez00_bglt BgL_arg1613z00_3771;

								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4055;

									{
										obj_t BgL_auxz00_4056;

										{	/* Cfa/struct.scm 102 */
											BgL_objectz00_bglt BgL_tmpz00_4057;

											BgL_tmpz00_4057 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_3691));
											BgL_auxz00_4056 = BGL_OBJECT_WIDENING(BgL_tmpz00_4057);
										}
										BgL_auxz00_4055 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4056);
									}
									BgL_arg1612z00_3770 =
										(((BgL_makezd2structzd2appz00_bglt)
											COBJECT(BgL_auxz00_4055))->BgL_valuezd2approxzd2);
								}
								{	/* Cfa/struct.scm 102 */
									BgL_approxz00_bglt BgL_arg1619z00_3772;

									{
										BgL_structzd2refzd2appz00_bglt BgL_auxz00_4063;

										{
											obj_t BgL_auxz00_4064;

											{	/* Cfa/struct.scm 102 */
												BgL_objectz00_bglt BgL_tmpz00_4065;

												BgL_tmpz00_4065 =
													((BgL_objectz00_bglt) BgL_i1177z00_3690);
												BgL_auxz00_4064 = BGL_OBJECT_WIDENING(BgL_tmpz00_4065);
											}
											BgL_auxz00_4063 =
												((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4064);
										}
										BgL_arg1619z00_3772 =
											(((BgL_structzd2refzd2appz00_bglt)
												COBJECT(BgL_auxz00_4063))->BgL_approxz00);
									}
									BgL_arg1613z00_3771 =
										(((BgL_approxz00_bglt) COBJECT(BgL_arg1619z00_3772))->
										BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg1612z00_3770, BgL_arg1613z00_3771);
							}
						}
					else
						{	/* Cfa/struct.scm 99 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &cfa!-make-struct-app1508 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2structzd2app1508za2zzcfa_structz00(obj_t
		BgL_envz00_3692, obj_t BgL_nodez00_3693)
	{
		{	/* Cfa/struct.scm 71 */
			{	/* Cfa/struct.scm 74 */
				obj_t BgL_arg1582z00_3774;

				{	/* Cfa/struct.scm 74 */
					obj_t BgL_pairz00_3775;

					BgL_pairz00_3775 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3693))))->BgL_argsz00);
					BgL_arg1582z00_3774 = CAR(BgL_pairz00_3775);
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1582z00_3774));
			}
			{	/* Cfa/struct.scm 75 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3776;

				{	/* Cfa/struct.scm 75 */
					obj_t BgL_arg1585z00_3777;

					{	/* Cfa/struct.scm 75 */
						obj_t BgL_pairz00_3778;

						BgL_pairz00_3778 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3693))))->BgL_argsz00);
						BgL_arg1585z00_3777 = CAR(CDR(BgL_pairz00_3778));
					}
					BgL_initzd2valuezd2approxz00_3776 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1585z00_3777));
				}
				{	/* Cfa/struct.scm 76 */
					BgL_approxz00_bglt BgL_arg1584z00_3779;

					{
						BgL_makezd2structzd2appz00_bglt BgL_auxz00_4085;

						{
							obj_t BgL_auxz00_4086;

							{	/* Cfa/struct.scm 76 */
								BgL_objectz00_bglt BgL_tmpz00_4087;

								BgL_tmpz00_4087 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3693));
								BgL_auxz00_4086 = BGL_OBJECT_WIDENING(BgL_tmpz00_4087);
							}
							BgL_auxz00_4085 =
								((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4086);
						}
						BgL_arg1584z00_3779 =
							(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4085))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1584z00_3779,
						BgL_initzd2valuezd2approxz00_3776);
				}
				{
					BgL_makezd2structzd2appz00_bglt BgL_auxz00_4094;

					{
						obj_t BgL_auxz00_4095;

						{	/* Cfa/struct.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_4096;

							BgL_tmpz00_4096 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3693));
							BgL_auxz00_4095 = BGL_OBJECT_WIDENING(BgL_tmpz00_4096);
						}
						BgL_auxz00_4094 =
							((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4095);
					}
					return
						(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4094))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-pre-stru1506 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2stru1506za2zzcfa_structz00(obj_t
		BgL_envz00_3694, obj_t BgL_nodez00_3695)
	{
		{	/* Cfa/struct.scm 62 */
			{	/* Cfa/struct.scm 64 */
				obj_t BgL_arg1567z00_3781;

				BgL_arg1567z00_3781 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3695))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1567z00_3781);
			}
			{	/* Cfa/struct.scm 65 */
				BgL_appz00_bglt BgL_nodez00_3782;

				{	/* Cfa/struct.scm 65 */
					long BgL_arg1571z00_3783;

					{	/* Cfa/struct.scm 65 */
						obj_t BgL_arg1578z00_3784;

						{	/* Cfa/struct.scm 65 */
							obj_t BgL_arg1581z00_3785;

							{	/* Cfa/struct.scm 65 */
								long BgL_arg1833z00_3786;

								{	/* Cfa/struct.scm 65 */
									long BgL_arg1834z00_3787;

									BgL_arg1834z00_3787 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3695)));
									BgL_arg1833z00_3786 = (BgL_arg1834z00_3787 - OBJECT_TYPE);
								}
								BgL_arg1581z00_3785 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_3786);
							}
							BgL_arg1578z00_3784 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1581z00_3785);
						}
						{	/* Cfa/struct.scm 65 */
							obj_t BgL_tmpz00_4112;

							BgL_tmpz00_4112 = ((obj_t) BgL_arg1578z00_3784);
							BgL_arg1571z00_3783 = BGL_CLASS_NUM(BgL_tmpz00_4112);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_3695)), BgL_arg1571z00_3783);
				}
				{	/* Cfa/struct.scm 65 */
					BgL_objectz00_bglt BgL_tmpz00_4118;

					BgL_tmpz00_4118 =
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3695));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4118, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3695));
				BgL_nodez00_3782 = ((BgL_appz00_bglt) BgL_nodez00_3695);
				{	/* Cfa/struct.scm 66 */
					BgL_structzd2setz12zd2appz12_bglt BgL_wide1174z00_3788;

					BgL_wide1174z00_3788 =
						((BgL_structzd2setz12zd2appz12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_structzd2setz12zd2appz12_bgl))));
					{	/* Cfa/struct.scm 66 */
						obj_t BgL_auxz00_4130;
						BgL_objectz00_bglt BgL_tmpz00_4126;

						BgL_auxz00_4130 = ((obj_t) BgL_wide1174z00_3788);
						BgL_tmpz00_4126 =
							((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3782)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4126, BgL_auxz00_4130);
					}
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3782)));
					{	/* Cfa/struct.scm 66 */
						long BgL_arg1570z00_3789;

						BgL_arg1570z00_3789 =
							BGL_CLASS_NUM(BGl_structzd2setz12zd2appz12zzcfa_info2z00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3782))), BgL_arg1570z00_3789);
					}
					((BgL_appz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3782)));
				}
				{
					BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_4144;

					{
						obj_t BgL_auxz00_4145;

						{	/* Cfa/struct.scm 66 */
							BgL_objectz00_bglt BgL_tmpz00_4146;

							BgL_tmpz00_4146 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3782)));
							BgL_auxz00_4145 = BGL_OBJECT_WIDENING(BgL_tmpz00_4146);
						}
						BgL_auxz00_4144 =
							((BgL_structzd2setz12zd2appz12_bglt) BgL_auxz00_4145);
					}
					((((BgL_structzd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_4144))->
							BgL_approxz00) =
						((BgL_approxz00_bglt)
							BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
									BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
				}
				return
					((obj_t) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3782)));
			}
		}

	}



/* &node-setup!-pre-stru1504 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2stru1504za2zzcfa_structz00(obj_t
		BgL_envz00_3696, obj_t BgL_nodez00_3697)
	{
		{	/* Cfa/struct.scm 53 */
			{	/* Cfa/struct.scm 55 */
				obj_t BgL_arg1552z00_3791;

				BgL_arg1552z00_3791 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3697))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1552z00_3791);
			}
			{	/* Cfa/struct.scm 56 */
				BgL_appz00_bglt BgL_nodez00_3792;

				{	/* Cfa/struct.scm 56 */
					long BgL_arg1555z00_3793;

					{	/* Cfa/struct.scm 56 */
						obj_t BgL_arg1563z00_3794;

						{	/* Cfa/struct.scm 56 */
							obj_t BgL_arg1564z00_3795;

							{	/* Cfa/struct.scm 56 */
								long BgL_arg1833z00_3796;

								{	/* Cfa/struct.scm 56 */
									long BgL_arg1834z00_3797;

									BgL_arg1834z00_3797 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3697)));
									BgL_arg1833z00_3796 = (BgL_arg1834z00_3797 - OBJECT_TYPE);
								}
								BgL_arg1564z00_3795 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_3796);
							}
							BgL_arg1563z00_3794 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1564z00_3795);
						}
						{	/* Cfa/struct.scm 56 */
							obj_t BgL_tmpz00_4168;

							BgL_tmpz00_4168 = ((obj_t) BgL_arg1563z00_3794);
							BgL_arg1555z00_3793 = BGL_CLASS_NUM(BgL_tmpz00_4168);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_3697)), BgL_arg1555z00_3793);
				}
				{	/* Cfa/struct.scm 56 */
					BgL_objectz00_bglt BgL_tmpz00_4174;

					BgL_tmpz00_4174 =
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3697));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4174, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3697));
				BgL_nodez00_3792 = ((BgL_appz00_bglt) BgL_nodez00_3697);
				{	/* Cfa/struct.scm 57 */
					BgL_structzd2refzd2appz00_bglt BgL_wide1168z00_3798;

					BgL_wide1168z00_3798 =
						((BgL_structzd2refzd2appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_structzd2refzd2appz00_bgl))));
					{	/* Cfa/struct.scm 57 */
						obj_t BgL_auxz00_4186;
						BgL_objectz00_bglt BgL_tmpz00_4182;

						BgL_auxz00_4186 = ((obj_t) BgL_wide1168z00_3798);
						BgL_tmpz00_4182 =
							((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3792)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4182, BgL_auxz00_4186);
					}
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3792)));
					{	/* Cfa/struct.scm 57 */
						long BgL_arg1554z00_3799;

						BgL_arg1554z00_3799 =
							BGL_CLASS_NUM(BGl_structzd2refzd2appz00zzcfa_info2z00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3792))), BgL_arg1554z00_3799);
					}
					((BgL_appz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3792)));
				}
				{
					BgL_structzd2refzd2appz00_bglt BgL_auxz00_4200;

					{
						obj_t BgL_auxz00_4201;

						{	/* Cfa/struct.scm 57 */
							BgL_objectz00_bglt BgL_tmpz00_4202;

							BgL_tmpz00_4202 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3792)));
							BgL_auxz00_4201 = BGL_OBJECT_WIDENING(BgL_tmpz00_4202);
						}
						BgL_auxz00_4200 =
							((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4201);
					}
					((((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_4200))->
							BgL_approxz00) =
						((BgL_approxz00_bglt)
							BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
				}
				return
					((obj_t) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3792)));
			}
		}

	}



/* &node-setup!-pre-make1502 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1502za2zzcfa_structz00(obj_t
		BgL_envz00_3698, obj_t BgL_nodez00_3699)
	{
		{	/* Cfa/struct.scm 36 */
			{	/* Cfa/struct.scm 38 */
				obj_t BgL_arg1534z00_3801;

				BgL_arg1534z00_3801 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3699))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1534z00_3801);
			}
			{	/* Cfa/struct.scm 39 */
				BgL_variablez00_bglt BgL_ownerz00_3802;

				{
					BgL_prezd2makezd2structzd2appzd2_bglt BgL_auxz00_4218;

					{
						obj_t BgL_auxz00_4219;

						{	/* Cfa/struct.scm 39 */
							BgL_objectz00_bglt BgL_tmpz00_4220;

							BgL_tmpz00_4220 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3699));
							BgL_auxz00_4219 = BGL_OBJECT_WIDENING(BgL_tmpz00_4220);
						}
						BgL_auxz00_4218 =
							((BgL_prezd2makezd2structzd2appzd2_bglt) BgL_auxz00_4219);
					}
					BgL_ownerz00_3802 =
						(((BgL_prezd2makezd2structzd2appzd2_bglt)
							COBJECT(BgL_auxz00_4218))->BgL_ownerz00);
				}
				{	/* Cfa/struct.scm 39 */
					BgL_appz00_bglt BgL_nodez00_3803;

					{	/* Cfa/struct.scm 40 */
						long BgL_arg1543z00_3804;

						{	/* Cfa/struct.scm 40 */
							obj_t BgL_arg1548z00_3805;

							{	/* Cfa/struct.scm 40 */
								obj_t BgL_arg1551z00_3806;

								{	/* Cfa/struct.scm 40 */
									long BgL_arg1833z00_3807;

									{	/* Cfa/struct.scm 40 */
										long BgL_arg1834z00_3808;

										BgL_arg1834z00_3808 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3699)));
										BgL_arg1833z00_3807 = (BgL_arg1834z00_3808 - OBJECT_TYPE);
									}
									BgL_arg1551z00_3806 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_3807);
								}
								BgL_arg1548z00_3805 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg1551z00_3806);
							}
							{	/* Cfa/struct.scm 40 */
								obj_t BgL_tmpz00_4232;

								BgL_tmpz00_4232 = ((obj_t) BgL_arg1548z00_3805);
								BgL_arg1543z00_3804 = BGL_CLASS_NUM(BgL_tmpz00_4232);
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3699)), BgL_arg1543z00_3804);
					}
					{	/* Cfa/struct.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_4238;

						BgL_tmpz00_4238 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3699));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4238, BFALSE);
					}
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3699));
					BgL_nodez00_3803 = ((BgL_appz00_bglt) BgL_nodez00_3699);
					{	/* Cfa/struct.scm 40 */

						{	/* Cfa/struct.scm 41 */
							BgL_appz00_bglt BgL_wnodez00_3809;

							{	/* Cfa/struct.scm 41 */
								BgL_makezd2structzd2appz00_bglt BgL_wide1162z00_3810;

								BgL_wide1162z00_3810 =
									((BgL_makezd2structzd2appz00_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_makezd2structzd2appz00_bgl))));
								{	/* Cfa/struct.scm 41 */
									obj_t BgL_auxz00_4250;
									BgL_objectz00_bglt BgL_tmpz00_4246;

									BgL_auxz00_4250 = ((obj_t) BgL_wide1162z00_3810);
									BgL_tmpz00_4246 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4246, BgL_auxz00_4250);
								}
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
								{	/* Cfa/struct.scm 41 */
									long BgL_arg1542z00_3811;

									BgL_arg1542z00_3811 =
										BGL_CLASS_NUM(BGl_makezd2structzd2appz00zzcfa_info2z00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3803))),
										BgL_arg1542z00_3811);
								}
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4264;

								{
									obj_t BgL_auxz00_4265;

									{	/* Cfa/struct.scm 43 */
										BgL_objectz00_bglt BgL_tmpz00_4266;

										BgL_tmpz00_4266 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
										BgL_auxz00_4265 = BGL_OBJECT_WIDENING(BgL_tmpz00_4266);
									}
									BgL_auxz00_4264 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4265);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4264))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4274;

								{
									obj_t BgL_auxz00_4275;

									{	/* Cfa/struct.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_4276;

										BgL_tmpz00_4276 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
										BgL_auxz00_4275 = BGL_OBJECT_WIDENING(BgL_tmpz00_4276);
									}
									BgL_auxz00_4274 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4275);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4274))->
										BgL_valuezd2approxzd2) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4284;

								{
									obj_t BgL_auxz00_4285;

									{	/* Cfa/struct.scm 40 */
										BgL_objectz00_bglt BgL_tmpz00_4286;

										BgL_tmpz00_4286 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
										BgL_auxz00_4285 = BGL_OBJECT_WIDENING(BgL_tmpz00_4286);
									}
									BgL_auxz00_4284 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4285);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4284))->
										BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4293;

								{
									obj_t BgL_auxz00_4294;

									{	/* Cfa/struct.scm 42 */
										BgL_objectz00_bglt BgL_tmpz00_4295;

										BgL_tmpz00_4295 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
										BgL_auxz00_4294 = BGL_OBJECT_WIDENING(BgL_tmpz00_4295);
									}
									BgL_auxz00_4293 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4294);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4293))->
										BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_3802), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4302;

								{
									obj_t BgL_auxz00_4303;

									{	/* Cfa/struct.scm 40 */
										BgL_objectz00_bglt BgL_tmpz00_4304;

										BgL_tmpz00_4304 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803)));
										BgL_auxz00_4303 = BGL_OBJECT_WIDENING(BgL_tmpz00_4304);
									}
									BgL_auxz00_4302 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4303);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4302))->
										BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_wnodez00_3809 =
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3803));
							{	/* Cfa/struct.scm 47 */
								BgL_approxz00_bglt BgL_arg1536z00_3812;

								BgL_arg1536z00_3812 =
									BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
									((BgL_typez00_bglt) BGl_za2structza2z00zztype_cachez00),
									((BgL_nodez00_bglt) BgL_nodez00_3803));
								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4316;

									{
										obj_t BgL_auxz00_4317;

										{	/* Cfa/struct.scm 46 */
											BgL_objectz00_bglt BgL_tmpz00_4318;

											BgL_tmpz00_4318 =
												((BgL_objectz00_bglt) BgL_wnodez00_3809);
											BgL_auxz00_4317 = BGL_OBJECT_WIDENING(BgL_tmpz00_4318);
										}
										BgL_auxz00_4316 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4317);
									}
									return
										((((BgL_makezd2structzd2appz00_bglt)
												COBJECT(BgL_auxz00_4316))->BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_arg1536z00_3812), BUNSPEC);
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_structz00));
		}

	}

#ifdef __cplusplus
}
#endif
