/*===========================================================================*/
/*   (Cfa/vector.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/vector.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_vrefzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                      *BgL_vrefzf2cinfozf2_bglt;

	typedef struct BgL_vsetz12zf2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vsetz12zf2cinfoze0_bglt;

	typedef struct BgL_vlengthzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vlengthzf2cinfozf2_bglt;

	typedef struct BgL_prezd2valloczf2cinfoz20_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                              *BgL_prezd2valloczf2cinfoz20_bglt;

	typedef struct BgL_valloczf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_valloczf2cinfozf2_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2vrefzf2Cinfo1607z50zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_vectorz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2valloczf2Cinfozb2op1601ze2zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_vectorz00();
	extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2vectorzd2app1599za2zzcfa_vectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2vref1595z70zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62loosezd2allocz12zd2makezd2ve1611za2zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_vlengthzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_vectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t BGl_z62nodezd2setupz12zd2vlength1593z70zzcfa_vectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2valloc1591z70zzcfa_vectorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_valloczf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_z62vectorzd2optimzf3z43zzcfa_vectorz00(obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_vectorz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00();
	static obj_t BGl_genericzd2initzd2zzcfa_vectorz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2vsetz12zf2Cinfo1609z42zzcfa_vectorz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2valloczf2Cinfo1603z50zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2vsetz121597z62zzcfa_vectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_vectorz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1587za2zzcfa_vectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62loosezd2allocz12zd2valloczf21613z82zzcfa_vectorz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2vall1589za2zzcfa_vectorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2vlengthzf2Cinfo1605z50zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzcfa_vectorz00,
		BgL_bgl_string2120za700za7za7c2124za7, "cfa_vector", 10);
	      DEFINE_STRING(BGl_string2121z00zzcfa_vectorz00,
		BgL_bgl_string2121za700za7za7c2125za7, "all nothing ", 12);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2optimzf3zd2envzf3zzcfa_vectorz00,
		BgL_bgl_za762vectorza7d2opti2126z00,
		BGl_z62vectorzd2optimzf3z43zzcfa_vectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72127za7,
		BGl_z62nodezd2setupz12zd2prezd2make1587za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72128za7,
		BGl_z62nodezd2setupz12zd2prezd2vall1589za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72129za7,
		BGl_z62nodezd2setupz12zd2valloc1591z70zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72130za7,
		BGl_z62nodezd2setupz12zd2vlength1593z70zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72131za7,
		BGl_z62nodezd2setupz12zd2vref1595z70zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72132za7,
		BGl_z62nodezd2setupz12zd2vsetz121597z62zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2make2133za7,
		BGl_z62cfaz12zd2makezd2vectorzd2app1599za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vall2134za7,
		BGl_z62cfaz12zd2valloczf2Cinfozb2op1601ze2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vall2135za7,
		BGl_z62cfaz12zd2valloczf2Cinfo1603z50zzcfa_vectorz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vlen2136za7,
		BGl_z62cfaz12zd2vlengthzf2Cinfo1605z50zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vref2137za7,
		BGl_z62cfaz12zd2vrefzf2Cinfo1607z50zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vset2138za7,
		BGl_z62cfaz12zd2vsetz12zf2Cinfo1609z42zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzcfa_vectorz00,
		BgL_bgl_za762looseza7d2alloc2139z00,
		BGl_z62loosezd2allocz12zd2makezd2ve1611za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzcfa_vectorz00,
		BgL_bgl_za762looseza7d2alloc2140z00,
		BGl_z62loosezd2allocz12zd2valloczf21613z82zzcfa_vectorz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;
	   
		 
		DEFINE_STRING(BGl_string2104z00zzcfa_vectorz00,
		BgL_bgl_string2104za700za7za7c2141za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2111z00zzcfa_vectorz00,
		BgL_bgl_string2111za700za7za7c2142za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2118z00zzcfa_vectorz00,
		BgL_bgl_string2118za700za7za7c2143za7, "loose-alloc!", 12);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_vectorz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long
		BgL_checksumz00_4745, char *BgL_fromz00_4746)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_vectorz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_vectorz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_vectorz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00();
					BGl_cnstzd2initzd2zzcfa_vectorz00();
					BGl_importedzd2moduleszd2initz00zzcfa_vectorz00();
					BGl_methodzd2initzd2zzcfa_vectorz00();
					return BGl_toplevelzd2initzd2zzcfa_vectorz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 0), "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_vector");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			{	/* Cfa/vector.scm 17 */
				obj_t BgL_cportz00_4553;

				{	/* Cfa/vector.scm 17 */
					obj_t BgL_stringz00_4561;

					BgL_stringz00_4561 = BGl_string2121z00zzcfa_vectorz00;
					{	/* Cfa/vector.scm 17 */
						obj_t BgL_startz00_4562;

						BgL_startz00_4562 = BINT(((long) 0));
						{	/* Cfa/vector.scm 17 */
							obj_t BgL_endz00_4563;

							BgL_endz00_4563 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4561)));
							{	/* Cfa/vector.scm 17 */

								BgL_cportz00_4553 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4561, BgL_startz00_4562, BgL_endz00_4563);
				}}}}
				{
					long BgL_iz00_4554;

					BgL_iz00_4554 = ((long) 1);
				BgL_loopz00_4555:
					if ((BgL_iz00_4554 == ((long) -1)))
						{	/* Cfa/vector.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/vector.scm 17 */
							{	/* Cfa/vector.scm 17 */
								obj_t BgL_arg2123z00_4557;

								{	/* Cfa/vector.scm 17 */

									{	/* Cfa/vector.scm 17 */
										obj_t BgL_locationz00_4559;

										BgL_locationz00_4559 = BBOOL(((bool_t) 0));
										{	/* Cfa/vector.scm 17 */

											BgL_arg2123z00_4557 =
												BGl_readz00zz__readerz00(BgL_cportz00_4553,
												BgL_locationz00_4559);
										}
									}
								}
								{	/* Cfa/vector.scm 17 */
									int BgL_tmpz00_4774;

									BgL_tmpz00_4774 = (int) (BgL_iz00_4554);
									CNST_TABLE_SET(BgL_tmpz00_4774, BgL_arg2123z00_4557);
							}}
							{	/* Cfa/vector.scm 17 */
								int BgL_auxz00_4560;

								BgL_auxz00_4560 = (int) ((BgL_iz00_4554 - ((long) 1)));
								{
									long BgL_iz00_4779;

									BgL_iz00_4779 = (long) (BgL_auxz00_4560);
									BgL_iz00_4554 = BgL_iz00_4779;
									goto BgL_loopz00_4555;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}

	}



/* vector-optim? */
	BGL_EXPORTED_DEF bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 40 */
			return ((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2));
		}

	}



/* &vector-optim? */
	obj_t BGl_z62vectorzd2optimzf3z43zzcfa_vectorz00(obj_t BgL_envz00_4496)
	{
		{	/* Cfa/vector.scm 40 */
			return BBOOL(BGl_vectorzd2optimzf3z21zzcfa_vectorz00());
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00,
				BGl_proc2103z00zzcfa_vectorz00, BGl_string2104z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00,
				BGl_proc2105z00zzcfa_vectorz00, BGl_string2104z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vallocz00zzast_nodez00,
				BGl_proc2106z00zzcfa_vectorz00, BGl_string2104z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2107z00zzcfa_vectorz00,
				BGl_string2104z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2108z00zzcfa_vectorz00, BGl_string2104z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2109z00zzcfa_vectorz00,
				BGl_string2104z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2110z00zzcfa_vectorz00, BGl_string2111z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2112z00zzcfa_vectorz00, BGl_string2111z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_valloczf2Cinfozf2zzcfa_info3z00,
				BGl_proc2113z00zzcfa_vectorz00, BGl_string2111z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vlengthzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2114z00zzcfa_vectorz00, BGl_string2111z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vrefzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2115z00zzcfa_vectorz00, BGl_string2111z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vsetz12zf2Cinfoze0zzcfa_info3z00,
				BGl_proc2116z00zzcfa_vectorz00, BGl_string2111z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2117z00zzcfa_vectorz00, BGl_string2118z00zzcfa_vectorz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2119z00zzcfa_vectorz00, BGl_string2118z00zzcfa_vectorz00);
		}

	}



/* &loose-alloc!-valloc/1613 */
	obj_t BGl_z62loosezd2allocz12zd2valloczf21613z82zzcfa_vectorz00(obj_t
		BgL_envz00_4515, obj_t BgL_allocz00_4516)
	{
		{	/* Cfa/vector.scm 281 */
			{	/* Cfa/vector.scm 283 */
				bool_t BgL_test2146z00_4800;

				{	/* Cfa/vector.scm 283 */
					long BgL_arg1887z00_4566;

					{
						BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4801;

						{
							obj_t BgL_auxz00_4802;

							{	/* Cfa/vector.scm 283 */
								BgL_objectz00_bglt BgL_tmpz00_4803;

								BgL_tmpz00_4803 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt) BgL_allocz00_4516));
								BgL_auxz00_4802 = BGL_OBJECT_WIDENING(BgL_tmpz00_4803);
							}
							BgL_auxz00_4801 =
								((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4802);
						}
						BgL_arg1887z00_4566 =
							(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_4801))->
							BgL_lostzd2stampzd2);
					}
					BgL_test2146z00_4800 =
						(BgL_arg1887z00_4566 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2146z00_4800)
					{	/* Cfa/vector.scm 283 */
						return BUNSPEC;
					}
				else
					{	/* Cfa/vector.scm 283 */
						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4811;

							{
								obj_t BgL_auxz00_4812;

								{	/* Cfa/vector.scm 288 */
									BgL_objectz00_bglt BgL_tmpz00_4813;

									BgL_tmpz00_4813 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_allocz00_4516));
									BgL_auxz00_4812 = BGL_OBJECT_WIDENING(BgL_tmpz00_4813);
								}
								BgL_auxz00_4811 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4812);
							}
							((((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4811))->BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/vector.scm 289 */
							BgL_approxz00_bglt BgL_arg1884z00_4567;

							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4820;

								{
									obj_t BgL_auxz00_4821;

									{	/* Cfa/vector.scm 289 */
										BgL_objectz00_bglt BgL_tmpz00_4822;

										BgL_tmpz00_4822 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt) BgL_allocz00_4516));
										BgL_auxz00_4821 = BGL_OBJECT_WIDENING(BgL_tmpz00_4822);
									}
									BgL_auxz00_4820 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4821);
								}
								BgL_arg1884z00_4567 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4820))->BgL_valuezd2approxzd2);
							}
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								BgL_arg1884z00_4567);
						}
						{	/* Cfa/vector.scm 290 */
							BgL_approxz00_bglt BgL_arg1885z00_4568;

							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4829;

								{
									obj_t BgL_auxz00_4830;

									{	/* Cfa/vector.scm 290 */
										BgL_objectz00_bglt BgL_tmpz00_4831;

										BgL_tmpz00_4831 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt) BgL_allocz00_4516));
										BgL_auxz00_4830 = BGL_OBJECT_WIDENING(BgL_tmpz00_4831);
									}
									BgL_auxz00_4829 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4830);
								}
								BgL_arg1885z00_4568 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4829))->BgL_valuezd2approxzd2);
							}
							BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg1885z00_4568,
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
						{	/* Cfa/vector.scm 291 */
							BgL_approxz00_bglt BgL_arg1886z00_4569;

							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4839;

								{
									obj_t BgL_auxz00_4840;

									{	/* Cfa/vector.scm 291 */
										BgL_objectz00_bglt BgL_tmpz00_4841;

										BgL_tmpz00_4841 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt) BgL_allocz00_4516));
										BgL_auxz00_4840 = BGL_OBJECT_WIDENING(BgL_tmpz00_4841);
									}
									BgL_auxz00_4839 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4840);
								}
								BgL_arg1886z00_4569 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4839))->BgL_valuezd2approxzd2);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1886z00_4569);
						}
					}
			}
		}

	}



/* &loose-alloc!-make-ve1611 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2ve1611za2zzcfa_vectorz00(obj_t
		BgL_envz00_4517, obj_t BgL_allocz00_4518)
	{
		{	/* Cfa/vector.scm 263 */
			{	/* Cfa/vector.scm 265 */
				bool_t BgL_test2147z00_4848;

				{	/* Cfa/vector.scm 265 */
					long BgL_arg1880z00_4571;

					{
						BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4849;

						{
							obj_t BgL_auxz00_4850;

							{	/* Cfa/vector.scm 265 */
								BgL_objectz00_bglt BgL_tmpz00_4851;

								BgL_tmpz00_4851 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4518));
								BgL_auxz00_4850 = BGL_OBJECT_WIDENING(BgL_tmpz00_4851);
							}
							BgL_auxz00_4849 =
								((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4850);
						}
						BgL_arg1880z00_4571 =
							(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_4849))->
							BgL_lostzd2stampzd2);
					}
					BgL_test2147z00_4848 =
						(BgL_arg1880z00_4571 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2147z00_4848)
					{	/* Cfa/vector.scm 265 */
						return BUNSPEC;
					}
				else
					{	/* Cfa/vector.scm 265 */
						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4859;

							{
								obj_t BgL_auxz00_4860;

								{	/* Cfa/vector.scm 269 */
									BgL_objectz00_bglt BgL_tmpz00_4861;

									BgL_tmpz00_4861 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4518));
									BgL_auxz00_4860 = BGL_OBJECT_WIDENING(BgL_tmpz00_4861);
								}
								BgL_auxz00_4859 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4860);
							}
							((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_4859))->
									BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/vector.scm 270 */
							BgL_approxz00_bglt BgL_arg1875z00_4572;

							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4868;

								{
									obj_t BgL_auxz00_4869;

									{	/* Cfa/vector.scm 270 */
										BgL_objectz00_bglt BgL_tmpz00_4870;

										BgL_tmpz00_4870 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_4518));
										BgL_auxz00_4869 = BGL_OBJECT_WIDENING(BgL_tmpz00_4870);
									}
									BgL_auxz00_4868 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4869);
								}
								BgL_arg1875z00_4572 =
									(((BgL_makezd2vectorzd2appz00_bglt)
										COBJECT(BgL_auxz00_4868))->BgL_valuezd2approxzd2);
							}
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								BgL_arg1875z00_4572);
						}
						{	/* Cfa/vector.scm 271 */
							BgL_approxz00_bglt BgL_arg1877z00_4573;

							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4877;

								{
									obj_t BgL_auxz00_4878;

									{	/* Cfa/vector.scm 271 */
										BgL_objectz00_bglt BgL_tmpz00_4879;

										BgL_tmpz00_4879 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_4518));
										BgL_auxz00_4878 = BGL_OBJECT_WIDENING(BgL_tmpz00_4879);
									}
									BgL_auxz00_4877 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4878);
								}
								BgL_arg1877z00_4573 =
									(((BgL_makezd2vectorzd2appz00_bglt)
										COBJECT(BgL_auxz00_4877))->BgL_valuezd2approxzd2);
							}
							BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg1877z00_4573,
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
						{	/* Cfa/vector.scm 272 */
							BgL_approxz00_bglt BgL_arg1878z00_4574;

							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4887;

								{
									obj_t BgL_auxz00_4888;

									{	/* Cfa/vector.scm 272 */
										BgL_objectz00_bglt BgL_tmpz00_4889;

										BgL_tmpz00_4889 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_4518));
										BgL_auxz00_4888 = BGL_OBJECT_WIDENING(BgL_tmpz00_4889);
									}
									BgL_auxz00_4887 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4888);
								}
								BgL_arg1878z00_4574 =
									(((BgL_makezd2vectorzd2appz00_bglt)
										COBJECT(BgL_auxz00_4887))->BgL_valuezd2approxzd2);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1878z00_4574);
						}
					}
			}
		}

	}



/* &cfa!-vset!/Cinfo1609 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2vsetz12zf2Cinfo1609z42zzcfa_vectorz00(obj_t
		BgL_envz00_4519, obj_t BgL_nodez00_4520)
	{
		{	/* Cfa/vector.scm 218 */
			{	/* Cfa/vector.scm 222 */
				obj_t BgL_arg1848z00_4576;

				{	/* Cfa/vector.scm 222 */
					obj_t BgL_pairz00_4577;

					BgL_pairz00_4577 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_4520))))->BgL_exprza2za2);
					BgL_arg1848z00_4576 = CAR(CDR(BgL_pairz00_4577));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1848z00_4576));
			}
			{	/* Cfa/vector.scm 223 */
				BgL_approxz00_bglt BgL_veczd2approxzd2_4578;
				BgL_approxz00_bglt BgL_valzd2approxzd2_4579;

				{	/* Cfa/vector.scm 223 */
					obj_t BgL_arg1867z00_4580;

					{	/* Cfa/vector.scm 223 */
						obj_t BgL_pairz00_4581;

						BgL_pairz00_4581 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_4520))))->
							BgL_exprza2za2);
						BgL_arg1867z00_4580 = CAR(BgL_pairz00_4581);
					}
					BgL_veczd2approxzd2_4578 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1867z00_4580));
				}
				{	/* Cfa/vector.scm 224 */
					obj_t BgL_arg1870z00_4582;

					{	/* Cfa/vector.scm 224 */
						obj_t BgL_pairz00_4583;

						BgL_pairz00_4583 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_4520))))->
							BgL_exprza2za2);
						BgL_arg1870z00_4582 = CAR(CDR(CDR(BgL_pairz00_4583)));
					}
					BgL_valzd2approxzd2_4579 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1870z00_4582));
				}
				{	/* Cfa/vector.scm 226 */
					bool_t BgL_test2148z00_4917;

					{
						BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_4918;

						{
							obj_t BgL_auxz00_4919;

							{	/* Cfa/vector.scm 226 */
								BgL_objectz00_bglt BgL_tmpz00_4920;

								BgL_tmpz00_4920 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_4520));
								BgL_auxz00_4919 = BGL_OBJECT_WIDENING(BgL_tmpz00_4920);
							}
							BgL_auxz00_4918 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_4919);
						}
						BgL_test2148z00_4917 =
							(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_4918))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2148z00_4917)
						{	/* Cfa/vector.scm 226 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Cfa/vector.scm 226 */
							if (
								((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
									((long) 2)))
								{	/* Cfa/vector.scm 228 */
									{	/* Cfa/vector.scm 232 */
										bool_t BgL_test2150z00_4930;

										{	/* Cfa/vector.scm 232 */
											BgL_typez00_bglt BgL_arg1854z00_4584;

											BgL_arg1854z00_4584 =
												(((BgL_approxz00_bglt)
													COBJECT(BgL_veczd2approxzd2_4578))->BgL_typez00);
											BgL_test2150z00_4930 =
												(((obj_t) BgL_arg1854z00_4584) ==
												BGl_za2vectorza2z00zztype_cachez00);
										}
										if (BgL_test2150z00_4930)
											{	/* Cfa/vector.scm 232 */
												BFALSE;
											}
										else
											{	/* Cfa/vector.scm 232 */
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_valzd2approxzd2_4579,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
									}
									if (
										(((BgL_approxz00_bglt) COBJECT(BgL_veczd2approxzd2_4578))->
											BgL_topzf3zf3))
										{	/* Cfa/vector.scm 235 */
											((obj_t)
												BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4579,
													CNST_TABLE_REF(((long) 1))));
										}
									else
										{	/* Cfa/vector.scm 242 */
											obj_t BgL_zc3z04anonymousza31857ze3z87_4585;

											BgL_zc3z04anonymousza31857ze3z87_4585 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31857ze3ze5zzcfa_vectorz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_4585,
												(int) (((long) 0)), ((obj_t) BgL_valzd2approxzd2_4579));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3z04anonymousza31857ze3z87_4585,
												BgL_veczd2approxzd2_4578);
								}}
							else
								{	/* Cfa/vector.scm 228 */
									BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_4578,
										CNST_TABLE_REF(((long) 1)));
									((obj_t)
										BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4579,
											CNST_TABLE_REF(((long) 1))));
			}}}}
			{
				BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_4953;

				{
					obj_t BgL_auxz00_4954;

					{	/* Cfa/vector.scm 254 */
						BgL_objectz00_bglt BgL_tmpz00_4955;

						BgL_tmpz00_4955 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4520));
						BgL_auxz00_4954 = BGL_OBJECT_WIDENING(BgL_tmpz00_4955);
					}
					BgL_auxz00_4953 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_4954);
				}
				return
					(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_4953))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1857> */
	obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzcfa_vectorz00(obj_t
		BgL_envz00_4521, obj_t BgL_appz00_4523)
	{
		{	/* Cfa/vector.scm 240 */
			{	/* Cfa/vector.scm 242 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4522;

				BgL_valzd2approxzd2_4522 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_4521, (int) (((long) 0))));
				{	/* Cfa/vector.scm 242 */
					bool_t BgL_test2152z00_4964;

					{	/* Cfa/vector.scm 242 */
						obj_t BgL_classz00_4586;

						BgL_classz00_4586 = BGl_makezd2vectorzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_4523))
							{	/* Cfa/vector.scm 242 */
								BgL_objectz00_bglt BgL_arg1825z00_4587;

								BgL_arg1825z00_4587 = (BgL_objectz00_bglt) (BgL_appz00_4523);
								{	/* Cfa/vector.scm 242 */
									bool_t BgL_arg1822z00_4588;
									bool_t BgL_arg1823z00_4589;

									{	/* Cfa/vector.scm 242 */
										long BgL_idxz00_4590;

										BgL_idxz00_4590 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4587);
										BgL_arg1822z00_4588 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4590 + ((long) 4))) == BgL_classz00_4586);
									}
									{	/* Cfa/vector.scm 242 */
										bool_t BgL_res2096z00_4593;

										{	/* Cfa/vector.scm 242 */
											obj_t BgL_oclassz00_4594;

											{	/* Cfa/vector.scm 242 */
												long BgL_arg1833z00_4595;

												{	/* Cfa/vector.scm 242 */
													long BgL_arg1834z00_4596;

													BgL_arg1834z00_4596 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4587);
													BgL_arg1833z00_4595 =
														(BgL_arg1834z00_4596 - OBJECT_TYPE);
												}
												BgL_oclassz00_4594 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4595);
											}
											{	/* Cfa/vector.scm 242 */
												bool_t BgL__ortest_1110z00_4597;

												BgL__ortest_1110z00_4597 =
													(BgL_classz00_4586 == BgL_oclassz00_4594);
												if (BgL__ortest_1110z00_4597)
													{	/* Cfa/vector.scm 242 */
														BgL_res2096z00_4593 = BgL__ortest_1110z00_4597;
													}
												else
													{	/* Cfa/vector.scm 242 */
														long BgL_odepthz00_4598;

														BgL_odepthz00_4598 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4594);
														if ((((long) 4) < BgL_odepthz00_4598))
															{	/* Cfa/vector.scm 242 */
																obj_t BgL_arg1821z00_4599;

																BgL_arg1821z00_4599 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4594,
																	((long) 4));
																BgL_res2096z00_4593 =
																	(BgL_arg1821z00_4599 == BgL_classz00_4586);
															}
														else
															{	/* Cfa/vector.scm 242 */
																BgL_res2096z00_4593 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4589 = BgL_res2096z00_4593;
									}
									BgL_test2152z00_4964 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4588, BgL_arg1823z00_4589);
								}
							}
						else
							{	/* Cfa/vector.scm 242 */
								BgL_test2152z00_4964 = ((bool_t) 0);
							}
					}
					if (BgL_test2152z00_4964)
						{	/* Cfa/vector.scm 242 */
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4983;

								{
									obj_t BgL_auxz00_4984;

									{	/* Cfa/vector.scm 244 */
										BgL_objectz00_bglt BgL_tmpz00_4985;

										BgL_tmpz00_4985 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_4523));
										BgL_auxz00_4984 = BGL_OBJECT_WIDENING(BgL_tmpz00_4985);
									}
									BgL_auxz00_4983 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4984);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_4983))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/vector.scm 245 */
								BgL_approxz00_bglt BgL_arg1862z00_4600;

								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4991;

									{
										obj_t BgL_auxz00_4992;

										{	/* Cfa/vector.scm 245 */
											BgL_objectz00_bglt BgL_tmpz00_4993;

											BgL_tmpz00_4993 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4523));
											BgL_auxz00_4992 = BGL_OBJECT_WIDENING(BgL_tmpz00_4993);
										}
										BgL_auxz00_4991 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4992);
									}
									BgL_arg1862z00_4600 =
										(((BgL_makezd2vectorzd2appz00_bglt)
											COBJECT(BgL_auxz00_4991))->BgL_valuezd2approxzd2);
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1862z00_4600,
										BgL_valzd2approxzd2_4522));
							}
						}
					else
						{	/* Cfa/vector.scm 246 */
							bool_t BgL_test2156z00_5001;

							{	/* Cfa/vector.scm 246 */
								obj_t BgL_classz00_4601;

								BgL_classz00_4601 = BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
								if (BGL_OBJECTP(BgL_appz00_4523))
									{	/* Cfa/vector.scm 246 */
										BgL_objectz00_bglt BgL_arg1827z00_4602;
										long BgL_arg1828z00_4603;

										BgL_arg1827z00_4602 =
											(BgL_objectz00_bglt) (BgL_appz00_4523);
										BgL_arg1828z00_4603 = BGL_CLASS_DEPTH(BgL_classz00_4601);
										{	/* Cfa/vector.scm 246 */
											bool_t BgL_arg1822z00_4604;
											bool_t BgL_arg1823z00_4605;

											{	/* Cfa/vector.scm 246 */
												long BgL_idxz00_4606;

												BgL_idxz00_4606 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_4602);
												BgL_arg1822z00_4604 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4606 + BgL_arg1828z00_4603)) ==
													BgL_classz00_4601);
											}
											{	/* Cfa/vector.scm 246 */
												bool_t BgL_res2097z00_4609;

												{	/* Cfa/vector.scm 246 */
													obj_t BgL_oclassz00_4610;

													{	/* Cfa/vector.scm 246 */
														long BgL_arg1833z00_4611;

														{	/* Cfa/vector.scm 246 */
															long BgL_arg1834z00_4612;

															BgL_arg1834z00_4612 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_4602);
															BgL_arg1833z00_4611 =
																(BgL_arg1834z00_4612 - OBJECT_TYPE);
														}
														BgL_oclassz00_4610 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4611);
													}
													{	/* Cfa/vector.scm 246 */
														bool_t BgL__ortest_1110z00_4613;

														BgL__ortest_1110z00_4613 =
															(BgL_classz00_4601 == BgL_oclassz00_4610);
														if (BgL__ortest_1110z00_4613)
															{	/* Cfa/vector.scm 246 */
																BgL_res2097z00_4609 = BgL__ortest_1110z00_4613;
															}
														else
															{	/* Cfa/vector.scm 246 */
																long BgL_odepthz00_4614;

																BgL_odepthz00_4614 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4610);
																if ((BgL_arg1828z00_4603 < BgL_odepthz00_4614))
																	{	/* Cfa/vector.scm 246 */
																		obj_t BgL_arg1821z00_4615;

																		BgL_arg1821z00_4615 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4610, BgL_arg1828z00_4603);
																		BgL_res2097z00_4609 =
																			(BgL_arg1821z00_4615 ==
																			BgL_classz00_4601);
																	}
																else
																	{	/* Cfa/vector.scm 246 */
																		BgL_res2097z00_4609 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4605 = BgL_res2097z00_4609;
											}
											BgL_test2156z00_5001 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4604,
												BgL_arg1823z00_4605);
										}
									}
								else
									{	/* Cfa/vector.scm 246 */
										BgL_test2156z00_5001 = ((bool_t) 0);
									}
							}
							if (BgL_test2156z00_5001)
								{	/* Cfa/vector.scm 246 */
									{
										BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5021;

										{
											obj_t BgL_auxz00_5022;

											{	/* Cfa/vector.scm 248 */
												BgL_objectz00_bglt BgL_tmpz00_5023;

												BgL_tmpz00_5023 =
													((BgL_objectz00_bglt)
													((BgL_vallocz00_bglt) BgL_appz00_4523));
												BgL_auxz00_5022 = BGL_OBJECT_WIDENING(BgL_tmpz00_5023);
											}
											BgL_auxz00_5021 =
												((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5022);
										}
										((((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5021))->BgL_seenzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Cfa/vector.scm 249 */
										BgL_approxz00_bglt BgL_arg1865z00_4616;

										{
											BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5029;

											{
												obj_t BgL_auxz00_5030;

												{	/* Cfa/vector.scm 249 */
													BgL_objectz00_bglt BgL_tmpz00_5031;

													BgL_tmpz00_5031 =
														((BgL_objectz00_bglt)
														((BgL_vallocz00_bglt) BgL_appz00_4523));
													BgL_auxz00_5030 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5031);
												}
												BgL_auxz00_5029 =
													((BgL_valloczf2cinfozb2optimz40_bglt)
													BgL_auxz00_5030);
											}
											BgL_arg1865z00_4616 =
												(((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5029))->BgL_valuezd2approxzd2);
										}
										return
											((obj_t)
											BGl_unionzd2approxz12zc0zzcfa_approxz00
											(BgL_arg1865z00_4616, BgL_valzd2approxzd2_4522));
									}
								}
							else
								{	/* Cfa/vector.scm 246 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-vref/Cinfo1607 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2vrefzf2Cinfo1607z50zzcfa_vectorz00(obj_t
		BgL_envz00_4524, obj_t BgL_nodez00_4525)
	{
		{	/* Cfa/vector.scm 176 */
			{	/* Cfa/vector.scm 180 */
				obj_t BgL_arg1772z00_4618;

				{	/* Cfa/vector.scm 180 */
					obj_t BgL_pairz00_4619;

					BgL_pairz00_4619 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_4525))))->BgL_exprza2za2);
					BgL_arg1772z00_4618 = CAR(CDR(BgL_pairz00_4619));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1772z00_4618));
			}
			{	/* Cfa/vector.scm 181 */
				BgL_approxz00_bglt BgL_veczd2approxzd2_4620;

				{	/* Cfa/vector.scm 181 */
					obj_t BgL_arg1839z00_4621;

					{	/* Cfa/vector.scm 181 */
						obj_t BgL_pairz00_4622;

						BgL_pairz00_4622 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vrefz00_bglt) BgL_nodez00_4525))))->BgL_exprza2za2);
						BgL_arg1839z00_4621 = CAR(BgL_pairz00_4622);
					}
					BgL_veczd2approxzd2_4620 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1839z00_4621));
				}
				{	/* Cfa/vector.scm 183 */
					bool_t BgL_test2160z00_5052;

					{
						BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5053;

						{
							obj_t BgL_auxz00_5054;

							{	/* Cfa/vector.scm 183 */
								BgL_objectz00_bglt BgL_tmpz00_5055;

								BgL_tmpz00_5055 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4525));
								BgL_auxz00_5054 = BGL_OBJECT_WIDENING(BgL_tmpz00_5055);
							}
							BgL_auxz00_5053 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5054);
						}
						BgL_test2160z00_5052 =
							(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5053))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2160z00_5052)
						{
							BgL_approxz00_bglt BgL_auxz00_5061;

							{
								BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5062;

								{
									obj_t BgL_auxz00_5063;

									{	/* Cfa/vector.scm 184 */
										BgL_objectz00_bglt BgL_tmpz00_5064;

										BgL_tmpz00_5064 =
											((BgL_objectz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_4525));
										BgL_auxz00_5063 = BGL_OBJECT_WIDENING(BgL_tmpz00_5064);
									}
									BgL_auxz00_5062 =
										((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5063);
								}
								BgL_auxz00_5061 =
									(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5062))->
									BgL_approxz00);
							}
							((obj_t) BgL_auxz00_5061);
						}
					else
						{	/* Cfa/vector.scm 183 */
							if (
								((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
									((long) 2)))
								{	/* Cfa/vector.scm 185 */
									{	/* Cfa/vector.scm 190 */
										bool_t BgL_test2162z00_5074;

										{	/* Cfa/vector.scm 190 */
											bool_t BgL_test2163z00_5075;

											{	/* Cfa/vector.scm 190 */
												BgL_typez00_bglt BgL_arg1789z00_4623;

												BgL_arg1789z00_4623 =
													(((BgL_approxz00_bglt)
														COBJECT(BgL_veczd2approxzd2_4620))->BgL_typez00);
												BgL_test2163z00_5075 =
													(((obj_t) BgL_arg1789z00_4623) ==
													BGl_za2vectorza2z00zztype_cachez00);
											}
											if (BgL_test2163z00_5075)
												{	/* Cfa/vector.scm 190 */
													BgL_test2162z00_5074 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_veczd2approxzd2_4620))->
														BgL_topzf3zf3);
												}
											else
												{	/* Cfa/vector.scm 190 */
													BgL_test2162z00_5074 = ((bool_t) 1);
												}
										}
										if (BgL_test2162z00_5074)
											{	/* Cfa/vector.scm 192 */
												BgL_approxz00_bglt BgL_arg1788z00_4624;

												{
													BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5080;

													{
														obj_t BgL_auxz00_5081;

														{	/* Cfa/vector.scm 192 */
															BgL_objectz00_bglt BgL_tmpz00_5082;

															BgL_tmpz00_5082 =
																((BgL_objectz00_bglt)
																((BgL_vrefz00_bglt) BgL_nodez00_4525));
															BgL_auxz00_5081 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5082);
														}
														BgL_auxz00_5080 =
															((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5081);
													}
													BgL_arg1788z00_4624 =
														(((BgL_vrefzf2cinfozf2_bglt)
															COBJECT(BgL_auxz00_5080))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1788z00_4624,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/vector.scm 190 */
												BFALSE;
											}
									}
									if (
										(((BgL_approxz00_bglt) COBJECT(BgL_veczd2approxzd2_4620))->
											BgL_topzf3zf3))
										{	/* Cfa/vector.scm 195 */
											BgL_approxz00_bglt BgL_arg1799z00_4625;

											{
												BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5092;

												{
													obj_t BgL_auxz00_5093;

													{	/* Cfa/vector.scm 195 */
														BgL_objectz00_bglt BgL_tmpz00_5094;

														BgL_tmpz00_5094 =
															((BgL_objectz00_bglt)
															((BgL_vrefz00_bglt) BgL_nodez00_4525));
														BgL_auxz00_5093 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5094);
													}
													BgL_auxz00_5092 =
														((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5093);
												}
												BgL_arg1799z00_4625 =
													(((BgL_vrefzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5092))->BgL_approxz00);
											}
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
												(BgL_arg1799z00_4625);
										}
									else
										{	/* Cfa/vector.scm 194 */
											BFALSE;
										}
									{	/* Cfa/vector.scm 200 */
										obj_t BgL_zc3z04anonymousza31802ze3z87_4626;

										BgL_zc3z04anonymousza31802ze3z87_4626 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31802ze3ze5zzcfa_vectorz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31802ze3z87_4626,
											(int) (((long) 0)),
											((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4525)));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3z04anonymousza31802ze3z87_4626,
											BgL_veczd2approxzd2_4620);
								}}
							else
								{	/* Cfa/vector.scm 185 */
									((obj_t)
										BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_4620,
											CNST_TABLE_REF(((long) 1))));
				}}}
				{
					BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5112;

					{
						obj_t BgL_auxz00_5113;

						{	/* Cfa/vector.scm 213 */
							BgL_objectz00_bglt BgL_tmpz00_5114;

							BgL_tmpz00_5114 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4525));
							BgL_auxz00_5113 = BGL_OBJECT_WIDENING(BgL_tmpz00_5114);
						}
						BgL_auxz00_5112 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5113);
					}
					return
						(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5112))->
						BgL_approxz00);
				}
			}
		}

	}



/* &<@anonymous:1802> */
	obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzcfa_vectorz00(obj_t
		BgL_envz00_4526, obj_t BgL_appz00_4528)
	{
		{	/* Cfa/vector.scm 198 */
			{	/* Cfa/vector.scm 200 */
				BgL_vrefz00_bglt BgL_i1206z00_4527;

				BgL_i1206z00_4527 =
					((BgL_vrefz00_bglt)
					PROCEDURE_REF(BgL_envz00_4526, (int) (((long) 0))));
				{	/* Cfa/vector.scm 200 */
					bool_t BgL_test2165z00_5123;

					{	/* Cfa/vector.scm 200 */
						obj_t BgL_classz00_4627;

						BgL_classz00_4627 = BGl_makezd2vectorzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_4528))
							{	/* Cfa/vector.scm 200 */
								BgL_objectz00_bglt BgL_arg1825z00_4628;

								BgL_arg1825z00_4628 = (BgL_objectz00_bglt) (BgL_appz00_4528);
								{	/* Cfa/vector.scm 200 */
									bool_t BgL_arg1822z00_4629;
									bool_t BgL_arg1823z00_4630;

									{	/* Cfa/vector.scm 200 */
										long BgL_idxz00_4631;

										BgL_idxz00_4631 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4628);
										BgL_arg1822z00_4629 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4631 + ((long) 4))) == BgL_classz00_4627);
									}
									{	/* Cfa/vector.scm 200 */
										bool_t BgL_res2094z00_4634;

										{	/* Cfa/vector.scm 200 */
											obj_t BgL_oclassz00_4635;

											{	/* Cfa/vector.scm 200 */
												long BgL_arg1833z00_4636;

												{	/* Cfa/vector.scm 200 */
													long BgL_arg1834z00_4637;

													BgL_arg1834z00_4637 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4628);
													BgL_arg1833z00_4636 =
														(BgL_arg1834z00_4637 - OBJECT_TYPE);
												}
												BgL_oclassz00_4635 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4636);
											}
											{	/* Cfa/vector.scm 200 */
												bool_t BgL__ortest_1110z00_4638;

												BgL__ortest_1110z00_4638 =
													(BgL_classz00_4627 == BgL_oclassz00_4635);
												if (BgL__ortest_1110z00_4638)
													{	/* Cfa/vector.scm 200 */
														BgL_res2094z00_4634 = BgL__ortest_1110z00_4638;
													}
												else
													{	/* Cfa/vector.scm 200 */
														long BgL_odepthz00_4639;

														BgL_odepthz00_4639 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4635);
														if ((((long) 4) < BgL_odepthz00_4639))
															{	/* Cfa/vector.scm 200 */
																obj_t BgL_arg1821z00_4640;

																BgL_arg1821z00_4640 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4635,
																	((long) 4));
																BgL_res2094z00_4634 =
																	(BgL_arg1821z00_4640 == BgL_classz00_4627);
															}
														else
															{	/* Cfa/vector.scm 200 */
																BgL_res2094z00_4634 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4630 = BgL_res2094z00_4634;
									}
									BgL_test2165z00_5123 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4629, BgL_arg1823z00_4630);
								}
							}
						else
							{	/* Cfa/vector.scm 200 */
								BgL_test2165z00_5123 = ((bool_t) 0);
							}
					}
					if (BgL_test2165z00_5123)
						{	/* Cfa/vector.scm 200 */
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5142;

								{
									obj_t BgL_auxz00_5143;

									{	/* Cfa/vector.scm 202 */
										BgL_objectz00_bglt BgL_tmpz00_5144;

										BgL_tmpz00_5144 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_4528));
										BgL_auxz00_5143 = BGL_OBJECT_WIDENING(BgL_tmpz00_5144);
									}
									BgL_auxz00_5142 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5143);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5142))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/vector.scm 203 */
								BgL_approxz00_bglt BgL_arg1805z00_4641;
								BgL_approxz00_bglt BgL_arg1807z00_4642;

								{
									BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5150;

									{
										obj_t BgL_auxz00_5151;

										{	/* Cfa/vector.scm 203 */
											BgL_objectz00_bglt BgL_tmpz00_5152;

											BgL_tmpz00_5152 =
												((BgL_objectz00_bglt) BgL_i1206z00_4527);
											BgL_auxz00_5151 = BGL_OBJECT_WIDENING(BgL_tmpz00_5152);
										}
										BgL_auxz00_5150 =
											((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5151);
									}
									BgL_arg1805z00_4641 =
										(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5150))->
										BgL_approxz00);
								}
								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5157;

									{
										obj_t BgL_auxz00_5158;

										{	/* Cfa/vector.scm 203 */
											BgL_objectz00_bglt BgL_tmpz00_5159;

											BgL_tmpz00_5159 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4528));
											BgL_auxz00_5158 = BGL_OBJECT_WIDENING(BgL_tmpz00_5159);
										}
										BgL_auxz00_5157 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5158);
									}
									BgL_arg1807z00_4642 =
										(((BgL_makezd2vectorzd2appz00_bglt)
											COBJECT(BgL_auxz00_5157))->BgL_valuezd2approxzd2);
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1805z00_4641,
									BgL_arg1807z00_4642);
							}
							{	/* Cfa/vector.scm 204 */
								BgL_approxz00_bglt BgL_arg1808z00_4643;
								BgL_typez00_bglt BgL_arg1810z00_4644;

								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5166;

									{
										obj_t BgL_auxz00_5167;

										{	/* Cfa/vector.scm 204 */
											BgL_objectz00_bglt BgL_tmpz00_5168;

											BgL_tmpz00_5168 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4528));
											BgL_auxz00_5167 = BGL_OBJECT_WIDENING(BgL_tmpz00_5168);
										}
										BgL_auxz00_5166 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5167);
									}
									BgL_arg1808z00_4643 =
										(((BgL_makezd2vectorzd2appz00_bglt)
											COBJECT(BgL_auxz00_5166))->BgL_valuezd2approxzd2);
								}
								{	/* Cfa/vector.scm 204 */
									BgL_approxz00_bglt BgL_arg1811z00_4645;

									{
										BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5174;

										{
											obj_t BgL_auxz00_5175;

											{	/* Cfa/vector.scm 204 */
												BgL_objectz00_bglt BgL_tmpz00_5176;

												BgL_tmpz00_5176 =
													((BgL_objectz00_bglt) BgL_i1206z00_4527);
												BgL_auxz00_5175 = BGL_OBJECT_WIDENING(BgL_tmpz00_5176);
											}
											BgL_auxz00_5174 =
												((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5175);
										}
										BgL_arg1811z00_4645 =
											(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5174))->
											BgL_approxz00);
									}
									BgL_arg1810z00_4644 =
										(((BgL_approxz00_bglt) COBJECT(BgL_arg1811z00_4645))->
										BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg1808z00_4643, BgL_arg1810z00_4644);
							}
						}
					else
						{	/* Cfa/vector.scm 205 */
							bool_t BgL_test2169z00_5183;

							{	/* Cfa/vector.scm 205 */
								obj_t BgL_classz00_4646;

								BgL_classz00_4646 = BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
								if (BGL_OBJECTP(BgL_appz00_4528))
									{	/* Cfa/vector.scm 205 */
										BgL_objectz00_bglt BgL_arg1827z00_4647;
										long BgL_arg1828z00_4648;

										BgL_arg1827z00_4647 =
											(BgL_objectz00_bglt) (BgL_appz00_4528);
										BgL_arg1828z00_4648 = BGL_CLASS_DEPTH(BgL_classz00_4646);
										{	/* Cfa/vector.scm 205 */
											bool_t BgL_arg1822z00_4649;
											bool_t BgL_arg1823z00_4650;

											{	/* Cfa/vector.scm 205 */
												long BgL_idxz00_4651;

												BgL_idxz00_4651 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_4647);
												BgL_arg1822z00_4649 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4651 + BgL_arg1828z00_4648)) ==
													BgL_classz00_4646);
											}
											{	/* Cfa/vector.scm 205 */
												bool_t BgL_res2095z00_4654;

												{	/* Cfa/vector.scm 205 */
													obj_t BgL_oclassz00_4655;

													{	/* Cfa/vector.scm 205 */
														long BgL_arg1833z00_4656;

														{	/* Cfa/vector.scm 205 */
															long BgL_arg1834z00_4657;

															BgL_arg1834z00_4657 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_4647);
															BgL_arg1833z00_4656 =
																(BgL_arg1834z00_4657 - OBJECT_TYPE);
														}
														BgL_oclassz00_4655 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4656);
													}
													{	/* Cfa/vector.scm 205 */
														bool_t BgL__ortest_1110z00_4658;

														BgL__ortest_1110z00_4658 =
															(BgL_classz00_4646 == BgL_oclassz00_4655);
														if (BgL__ortest_1110z00_4658)
															{	/* Cfa/vector.scm 205 */
																BgL_res2095z00_4654 = BgL__ortest_1110z00_4658;
															}
														else
															{	/* Cfa/vector.scm 205 */
																long BgL_odepthz00_4659;

																BgL_odepthz00_4659 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4655);
																if ((BgL_arg1828z00_4648 < BgL_odepthz00_4659))
																	{	/* Cfa/vector.scm 205 */
																		obj_t BgL_arg1821z00_4660;

																		BgL_arg1821z00_4660 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4655, BgL_arg1828z00_4648);
																		BgL_res2095z00_4654 =
																			(BgL_arg1821z00_4660 ==
																			BgL_classz00_4646);
																	}
																else
																	{	/* Cfa/vector.scm 205 */
																		BgL_res2095z00_4654 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4650 = BgL_res2095z00_4654;
											}
											BgL_test2169z00_5183 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4649,
												BgL_arg1823z00_4650);
										}
									}
								else
									{	/* Cfa/vector.scm 205 */
										BgL_test2169z00_5183 = ((bool_t) 0);
									}
							}
							if (BgL_test2169z00_5183)
								{	/* Cfa/vector.scm 205 */
									{
										BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5203;

										{
											obj_t BgL_auxz00_5204;

											{	/* Cfa/vector.scm 207 */
												BgL_objectz00_bglt BgL_tmpz00_5205;

												BgL_tmpz00_5205 =
													((BgL_objectz00_bglt)
													((BgL_vallocz00_bglt) BgL_appz00_4528));
												BgL_auxz00_5204 = BGL_OBJECT_WIDENING(BgL_tmpz00_5205);
											}
											BgL_auxz00_5203 =
												((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5204);
										}
										((((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5203))->BgL_seenzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Cfa/vector.scm 208 */
										BgL_approxz00_bglt BgL_arg1817z00_4661;
										BgL_approxz00_bglt BgL_arg1818z00_4662;

										{
											BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5211;

											{
												obj_t BgL_auxz00_5212;

												{	/* Cfa/vector.scm 208 */
													BgL_objectz00_bglt BgL_tmpz00_5213;

													BgL_tmpz00_5213 =
														((BgL_objectz00_bglt) BgL_i1206z00_4527);
													BgL_auxz00_5212 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5213);
												}
												BgL_auxz00_5211 =
													((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5212);
											}
											BgL_arg1817z00_4661 =
												(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5211))->
												BgL_approxz00);
										}
										{
											BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5218;

											{
												obj_t BgL_auxz00_5219;

												{	/* Cfa/vector.scm 208 */
													BgL_objectz00_bglt BgL_tmpz00_5220;

													BgL_tmpz00_5220 =
														((BgL_objectz00_bglt)
														((BgL_vallocz00_bglt) BgL_appz00_4528));
													BgL_auxz00_5219 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5220);
												}
												BgL_auxz00_5218 =
													((BgL_valloczf2cinfozb2optimz40_bglt)
													BgL_auxz00_5219);
											}
											BgL_arg1818z00_4662 =
												(((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5218))->BgL_valuezd2approxzd2);
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1817z00_4661,
											BgL_arg1818z00_4662);
									}
									{	/* Cfa/vector.scm 209 */
										BgL_approxz00_bglt BgL_arg1824z00_4663;
										BgL_typez00_bglt BgL_arg1837z00_4664;

										{
											BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5227;

											{
												obj_t BgL_auxz00_5228;

												{	/* Cfa/vector.scm 209 */
													BgL_objectz00_bglt BgL_tmpz00_5229;

													BgL_tmpz00_5229 =
														((BgL_objectz00_bglt)
														((BgL_vallocz00_bglt) BgL_appz00_4528));
													BgL_auxz00_5228 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5229);
												}
												BgL_auxz00_5227 =
													((BgL_valloczf2cinfozb2optimz40_bglt)
													BgL_auxz00_5228);
											}
											BgL_arg1824z00_4663 =
												(((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5227))->BgL_valuezd2approxzd2);
										}
										{	/* Cfa/vector.scm 209 */
											BgL_approxz00_bglt BgL_arg1838z00_4665;

											{
												BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5235;

												{
													obj_t BgL_auxz00_5236;

													{	/* Cfa/vector.scm 209 */
														BgL_objectz00_bglt BgL_tmpz00_5237;

														BgL_tmpz00_5237 =
															((BgL_objectz00_bglt) BgL_i1206z00_4527);
														BgL_auxz00_5236 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5237);
													}
													BgL_auxz00_5235 =
														((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5236);
												}
												BgL_arg1838z00_4665 =
													(((BgL_vrefzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5235))->BgL_approxz00);
											}
											BgL_arg1837z00_4664 =
												(((BgL_approxz00_bglt) COBJECT(BgL_arg1838z00_4665))->
												BgL_typez00);
										}
										return
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
											(BgL_arg1824z00_4663, BgL_arg1837z00_4664);
									}
								}
							else
								{	/* Cfa/vector.scm 205 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-vlength/Cinfo1605 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2vlengthzf2Cinfo1605z50zzcfa_vectorz00(obj_t
		BgL_envz00_4529, obj_t BgL_nodez00_4530)
	{
		{	/* Cfa/vector.scm 165 */
			{	/* Cfa/vector.scm 168 */
				BgL_approxz00_bglt BgL_veczd2approxzd2_4667;

				{	/* Cfa/vector.scm 168 */
					obj_t BgL_arg1766z00_4668;

					{	/* Cfa/vector.scm 168 */
						obj_t BgL_pairz00_4669;

						BgL_pairz00_4669 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_4530))))->
							BgL_exprza2za2);
						BgL_arg1766z00_4668 = CAR(BgL_pairz00_4669);
					}
					BgL_veczd2approxzd2_4667 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1766z00_4668));
				}
				if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
					{	/* Cfa/vector.scm 169 */
						BFALSE;
					}
				else
					{	/* Cfa/vector.scm 169 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_4667,
								CNST_TABLE_REF(((long) 1))));
			}}
			{
				BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_5256;

				{
					obj_t BgL_auxz00_5257;

					{	/* Cfa/vector.scm 171 */
						BgL_objectz00_bglt BgL_tmpz00_5258;

						BgL_tmpz00_5258 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4530));
						BgL_auxz00_5257 = BGL_OBJECT_WIDENING(BgL_tmpz00_5258);
					}
					BgL_auxz00_5256 = ((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_5257);
				}
				return
					(((BgL_vlengthzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5256))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-valloc/Cinfo1603 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2valloczf2Cinfo1603z50zzcfa_vectorz00(obj_t
		BgL_envz00_4531, obj_t BgL_nodez00_4532)
	{
		{	/* Cfa/vector.scm 156 */
			{	/* Cfa/vector.scm 159 */
				obj_t BgL_g1585z00_4671;

				BgL_g1585z00_4671 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4532))))->BgL_exprza2za2);
				{
					obj_t BgL_l1583z00_4673;

					BgL_l1583z00_4673 = BgL_g1585z00_4671;
				BgL_zc3z04anonymousza31754ze3z87_4672:
					if (PAIRP(BgL_l1583z00_4673))
						{	/* Cfa/vector.scm 159 */
							{	/* Cfa/vector.scm 159 */
								obj_t BgL_xz00_4674;

								BgL_xz00_4674 = CAR(BgL_l1583z00_4673);
								{	/* Cfa/vector.scm 159 */
									BgL_approxz00_bglt BgL_arg1759z00_4675;

									BgL_arg1759z00_4675 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_xz00_4674));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1759z00_4675,
										CNST_TABLE_REF(((long) 1)));
							}}
							{
								obj_t BgL_l1583z00_5274;

								BgL_l1583z00_5274 = CDR(BgL_l1583z00_4673);
								BgL_l1583z00_4673 = BgL_l1583z00_5274;
								goto BgL_zc3z04anonymousza31754ze3z87_4672;
							}
						}
					else
						{	/* Cfa/vector.scm 159 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_valloczf2cinfozf2_bglt BgL_auxz00_5276;

				{
					obj_t BgL_auxz00_5277;

					{	/* Cfa/vector.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_5278;

						BgL_tmpz00_5278 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4532));
						BgL_auxz00_5277 = BGL_OBJECT_WIDENING(BgL_tmpz00_5278);
					}
					BgL_auxz00_5276 = ((BgL_valloczf2cinfozf2_bglt) BgL_auxz00_5277);
				}
				return
					(((BgL_valloczf2cinfozf2_bglt) COBJECT(BgL_auxz00_5276))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-valloc/Cinfo+op1601 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2valloczf2Cinfozb2op1601ze2zzcfa_vectorz00(obj_t
		BgL_envz00_4533, obj_t BgL_nodez00_4534)
	{
		{	/* Cfa/vector.scm 147 */
			{	/* Cfa/vector.scm 150 */
				obj_t BgL_g1582z00_4677;

				BgL_g1582z00_4677 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4534))))->BgL_exprza2za2);
				{
					obj_t BgL_l1580z00_4679;

					BgL_l1580z00_4679 = BgL_g1582z00_4677;
				BgL_zc3z04anonymousza31750ze3z87_4678:
					if (PAIRP(BgL_l1580z00_4679))
						{	/* Cfa/vector.scm 150 */
							{	/* Cfa/vector.scm 150 */
								obj_t BgL_arg1752z00_4680;

								BgL_arg1752z00_4680 = CAR(BgL_l1580z00_4679);
								BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg1752z00_4680));
							}
							{
								obj_t BgL_l1580z00_5292;

								BgL_l1580z00_5292 = CDR(BgL_l1580z00_4679);
								BgL_l1580z00_4679 = BgL_l1580z00_5292;
								goto BgL_zc3z04anonymousza31750ze3z87_4678;
							}
						}
					else
						{	/* Cfa/vector.scm 150 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5294;

				{
					obj_t BgL_auxz00_5295;

					{	/* Cfa/vector.scm 151 */
						BgL_objectz00_bglt BgL_tmpz00_5296;

						BgL_tmpz00_5296 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4534));
						BgL_auxz00_5295 = BGL_OBJECT_WIDENING(BgL_tmpz00_5296);
					}
					BgL_auxz00_5294 =
						((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5295);
				}
				return
					(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_5294))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-make-vector-app1599 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2vectorzd2app1599za2zzcfa_vectorz00(obj_t
		BgL_envz00_4535, obj_t BgL_nodez00_4536)
	{
		{	/* Cfa/vector.scm 136 */
			{	/* Cfa/vector.scm 139 */
				obj_t BgL_arg1745z00_4682;

				{	/* Cfa/vector.scm 139 */
					obj_t BgL_pairz00_4683;

					BgL_pairz00_4683 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_4536))))->BgL_argsz00);
					BgL_arg1745z00_4682 = CAR(BgL_pairz00_4683);
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1745z00_4682));
			}
			{	/* Cfa/vector.scm 140 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_4684;

				{	/* Cfa/vector.scm 140 */
					obj_t BgL_arg1748z00_4685;

					{	/* Cfa/vector.scm 140 */
						obj_t BgL_pairz00_4686;

						BgL_pairz00_4686 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4536))))->BgL_argsz00);
						BgL_arg1748z00_4685 = CAR(CDR(BgL_pairz00_4686));
					}
					BgL_initzd2valuezd2approxz00_4684 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1748z00_4685));
				}
				{	/* Cfa/vector.scm 141 */
					BgL_approxz00_bglt BgL_arg1747z00_4687;

					{
						BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5315;

						{
							obj_t BgL_auxz00_5316;

							{	/* Cfa/vector.scm 141 */
								BgL_objectz00_bglt BgL_tmpz00_5317;

								BgL_tmpz00_5317 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4536));
								BgL_auxz00_5316 = BGL_OBJECT_WIDENING(BgL_tmpz00_5317);
							}
							BgL_auxz00_5315 =
								((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5316);
						}
						BgL_arg1747z00_4687 =
							(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5315))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1747z00_4687,
						BgL_initzd2valuezd2approxz00_4684);
				}
				{
					BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5324;

					{
						obj_t BgL_auxz00_5325;

						{	/* Cfa/vector.scm 142 */
							BgL_objectz00_bglt BgL_tmpz00_5326;

							BgL_tmpz00_5326 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4536));
							BgL_auxz00_5325 = BGL_OBJECT_WIDENING(BgL_tmpz00_5326);
						}
						BgL_auxz00_5324 =
							((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5325);
					}
					return
						(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5324))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-vset!1597 */
	obj_t BGl_z62nodezd2setupz12zd2vsetz121597z62zzcfa_vectorz00(obj_t
		BgL_envz00_4537, obj_t BgL_nodez00_4538)
	{
		{	/* Cfa/vector.scm 126 */
			{	/* Cfa/vector.scm 128 */
				obj_t BgL_arg1728z00_4689;

				BgL_arg1728z00_4689 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_4538))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1728z00_4689);
			}
			{	/* Cfa/vector.scm 129 */
				BgL_vsetz12zf2cinfoze0_bglt BgL_wide1200z00_4690;

				BgL_wide1200z00_4690 =
					((BgL_vsetz12zf2cinfoze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12zf2cinfoze0_bgl))));
				{	/* Cfa/vector.scm 129 */
					obj_t BgL_auxz00_5341;
					BgL_objectz00_bglt BgL_tmpz00_5337;

					BgL_auxz00_5341 = ((obj_t) BgL_wide1200z00_4690);
					BgL_tmpz00_5337 =
						((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4538)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5337, BgL_auxz00_5341);
				}
				((BgL_objectz00_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4538)));
				{	/* Cfa/vector.scm 129 */
					long BgL_arg1729z00_4691;

					BgL_arg1729z00_4691 =
						BGL_CLASS_NUM(BGl_vsetz12zf2Cinfoze0zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_4538))),
						BgL_arg1729z00_4691);
				}
				((BgL_vsetz12z12_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4538)));
			}
			{
				BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5355;

				{
					obj_t BgL_auxz00_5356;

					{	/* Cfa/vector.scm 130 */
						BgL_objectz00_bglt BgL_tmpz00_5357;

						BgL_tmpz00_5357 =
							((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4538)));
						BgL_auxz00_5356 = BGL_OBJECT_WIDENING(BgL_tmpz00_5357);
					}
					BgL_auxz00_5355 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5356);
				}
				((((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5355))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
			}
			{
				bool_t BgL_auxz00_5374;
				BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5366;

				{	/* Cfa/vector.scm 131 */
					bool_t BgL_test2176z00_5375;

					{	/* Cfa/vector.scm 131 */
						bool_t BgL_test2177z00_5376;

						{	/* Cfa/vector.scm 131 */
							BgL_typez00_bglt BgL_arg1743z00_4692;

							BgL_arg1743z00_4692 =
								(((BgL_vsetz12z12_bglt) COBJECT(
										((BgL_vsetz12z12_bglt) BgL_nodez00_4538)))->BgL_ftypez00);
							BgL_test2177z00_5376 =
								(
								((obj_t) BgL_arg1743z00_4692) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2177z00_5376)
							{	/* Cfa/vector.scm 131 */
								BgL_test2176z00_5375 = ((bool_t) 1);
							}
						else
							{	/* Cfa/vector.scm 131 */
								BgL_typez00_bglt BgL_arg1742z00_4693;

								BgL_arg1742z00_4693 =
									(((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_4538)))->BgL_ftypez00);
								BgL_test2176z00_5375 =
									(
									((obj_t) BgL_arg1742z00_4693) ==
									BGl_za2objza2z00zztype_cachez00);
							}
					}
					if (BgL_test2176z00_5375)
						{	/* Cfa/vector.scm 131 */
							BgL_auxz00_5374 = ((bool_t) 0);
						}
					else
						{	/* Cfa/vector.scm 131 */
							BgL_auxz00_5374 = ((bool_t) 1);
						}
				}
				{
					obj_t BgL_auxz00_5367;

					{	/* Cfa/vector.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_5368;

						BgL_tmpz00_5368 =
							((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4538)));
						BgL_auxz00_5367 = BGL_OBJECT_WIDENING(BgL_tmpz00_5368);
					}
					BgL_auxz00_5366 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5367);
				}
				((((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5366))->
						BgL_tvectorzf3zf3) = ((bool_t) BgL_auxz00_5374), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4538)));
		}

	}



/* &node-setup!-vref1595 */
	obj_t BGl_z62nodezd2setupz12zd2vref1595z70zzcfa_vectorz00(obj_t
		BgL_envz00_4539, obj_t BgL_nodez00_4540)
	{
		{	/* Cfa/vector.scm 106 */
			{	/* Cfa/vector.scm 108 */
				obj_t BgL_arg1712z00_4695;

				BgL_arg1712z00_4695 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_nodez00_4540))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1712z00_4695);
			}
			{	/* Cfa/vector.scm 109 */
				bool_t BgL_tvectorzf3zf3_4696;

				{	/* Cfa/vector.scm 109 */
					bool_t BgL_test2178z00_5393;

					{	/* Cfa/vector.scm 109 */
						bool_t BgL_test2179z00_5394;

						{	/* Cfa/vector.scm 109 */
							BgL_typez00_bglt BgL_arg1726z00_4697;

							BgL_arg1726z00_4697 =
								(((BgL_vrefz00_bglt) COBJECT(
										((BgL_vrefz00_bglt) BgL_nodez00_4540)))->BgL_ftypez00);
							BgL_test2179z00_5394 =
								(
								((obj_t) BgL_arg1726z00_4697) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2179z00_5394)
							{	/* Cfa/vector.scm 109 */
								BgL_test2178z00_5393 = ((bool_t) 1);
							}
						else
							{	/* Cfa/vector.scm 109 */
								BgL_typez00_bglt BgL_arg1725z00_4698;

								BgL_arg1725z00_4698 =
									(((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4540)))->BgL_ftypez00);
								BgL_test2178z00_5393 =
									(
									((obj_t) BgL_arg1725z00_4698) ==
									BGl_za2objza2z00zztype_cachez00);
							}
					}
					if (BgL_test2178z00_5393)
						{	/* Cfa/vector.scm 109 */
							BgL_tvectorzf3zf3_4696 = ((bool_t) 0);
						}
					else
						{	/* Cfa/vector.scm 109 */
							BgL_tvectorzf3zf3_4696 = ((bool_t) 1);
						}
				}
				{	/* Cfa/vector.scm 109 */
					BgL_approxz00_bglt BgL_approxz00_4699;

					if (BgL_tvectorzf3zf3_4696)
						{	/* Cfa/vector.scm 111 */
							BgL_approxz00_4699 =
								BGl_makezd2typezd2approxz00zzcfa_approxz00(
								(((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4540)))->BgL_ftypez00));
						}
					else
						{	/* Cfa/vector.scm 111 */
							if (
								((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
									((long) 2)))
								{	/* Cfa/vector.scm 113 */
									BgL_approxz00_4699 =
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
								}
							else
								{	/* Cfa/vector.scm 116 */
									BgL_approxz00_bglt BgL_approxz00_4700;

									BgL_approxz00_4700 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_approxz00_4700);
									BgL_approxz00_4699 = BgL_approxz00_4700;
								}
						}
					{	/* Cfa/vector.scm 110 */

						{	/* Cfa/vector.scm 119 */
							BgL_vrefzf2cinfozf2_bglt BgL_wide1195z00_4701;

							BgL_wide1195z00_4701 =
								((BgL_vrefzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vrefzf2cinfozf2_bgl))));
							{	/* Cfa/vector.scm 119 */
								obj_t BgL_auxz00_5419;
								BgL_objectz00_bglt BgL_tmpz00_5415;

								BgL_auxz00_5419 = ((obj_t) BgL_wide1195z00_4701);
								BgL_tmpz00_5415 =
									((BgL_objectz00_bglt)
									((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4540)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5415, BgL_auxz00_5419);
							}
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4540)));
							{	/* Cfa/vector.scm 119 */
								long BgL_arg1713z00_4702;

								BgL_arg1713z00_4702 =
									BGL_CLASS_NUM(BGl_vrefzf2Cinfozf2zzcfa_info3z00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_4540))),
									BgL_arg1713z00_4702);
							}
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4540)));
						}
						{
							BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5433;

							{
								obj_t BgL_auxz00_5434;

								{	/* Cfa/vector.scm 120 */
									BgL_objectz00_bglt BgL_tmpz00_5435;

									BgL_tmpz00_5435 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4540)));
									BgL_auxz00_5434 = BGL_OBJECT_WIDENING(BgL_tmpz00_5435);
								}
								BgL_auxz00_5433 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5434);
							}
							((((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5433))->
									BgL_approxz00) =
								((BgL_approxz00_bglt) BgL_approxz00_4699), BUNSPEC);
						}
						{
							BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5442;

							{
								obj_t BgL_auxz00_5443;

								{	/* Cfa/vector.scm 121 */
									BgL_objectz00_bglt BgL_tmpz00_5444;

									BgL_tmpz00_5444 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4540)));
									BgL_auxz00_5443 = BGL_OBJECT_WIDENING(BgL_tmpz00_5444);
								}
								BgL_auxz00_5442 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5443);
							}
							((((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5442))->
									BgL_tvectorzf3zf3) =
								((bool_t) BgL_tvectorzf3zf3_4696), BUNSPEC);
						}
						return
							((obj_t)
							((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4540)));
					}
				}
			}
		}

	}



/* &node-setup!-vlength1593 */
	obj_t BGl_z62nodezd2setupz12zd2vlength1593z70zzcfa_vectorz00(obj_t
		BgL_envz00_4541, obj_t BgL_nodez00_4542)
	{
		{	/* Cfa/vector.scm 96 */
			{	/* Cfa/vector.scm 98 */
				obj_t BgL_arg1696z00_4704;

				{	/* Cfa/vector.scm 98 */
					obj_t BgL_pairz00_4705;

					BgL_pairz00_4705 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_4542))))->BgL_exprza2za2);
					BgL_arg1696z00_4704 = CAR(BgL_pairz00_4705);
				}
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1696z00_4704));
			}
			{	/* Cfa/vector.scm 99 */
				BgL_vlengthzf2cinfozf2_bglt BgL_wide1190z00_4706;

				BgL_wide1190z00_4706 =
					((BgL_vlengthzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthzf2cinfozf2_bgl))));
				{	/* Cfa/vector.scm 99 */
					obj_t BgL_auxz00_5465;
					BgL_objectz00_bglt BgL_tmpz00_5461;

					BgL_auxz00_5465 = ((obj_t) BgL_wide1190z00_4706);
					BgL_tmpz00_5461 =
						((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4542)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5461, BgL_auxz00_5465);
				}
				((BgL_objectz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4542)));
				{	/* Cfa/vector.scm 99 */
					long BgL_arg1703z00_4707;

					BgL_arg1703z00_4707 =
						BGL_CLASS_NUM(BGl_vlengthzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nodez00_4542))),
						BgL_arg1703z00_4707);
				}
				((BgL_vlengthz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4542)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_5487;
				BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_5479;

				{	/* Cfa/vector.scm 100 */
					BgL_typez00_bglt BgL_arg1706z00_4708;

					BgL_arg1706z00_4708 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_4542))))->BgL_typez00);
					BgL_auxz00_5487 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1706z00_4708);
				}
				{
					obj_t BgL_auxz00_5480;

					{	/* Cfa/vector.scm 100 */
						BgL_objectz00_bglt BgL_tmpz00_5481;

						BgL_tmpz00_5481 =
							((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4542)));
						BgL_auxz00_5480 = BGL_OBJECT_WIDENING(BgL_tmpz00_5481);
					}
					BgL_auxz00_5479 = ((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_5480);
				}
				((((BgL_vlengthzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5479))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_5487), BUNSPEC);
			}
			{
				BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_5493;

				{
					obj_t BgL_auxz00_5494;

					{	/* Cfa/vector.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_5495;

						BgL_tmpz00_5495 =
							((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4542)));
						BgL_auxz00_5494 = BGL_OBJECT_WIDENING(BgL_tmpz00_5495);
					}
					BgL_auxz00_5493 = ((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_5494);
				}
				((((BgL_vlengthzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5493))->
						BgL_tvectorzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4542)));
		}

	}



/* &node-setup!-valloc1591 */
	obj_t BGl_z62nodezd2setupz12zd2valloc1591z70zzcfa_vectorz00(obj_t
		BgL_envz00_4543, obj_t BgL_nodez00_4544)
	{
		{	/* Cfa/vector.scm 83 */
			{	/* Cfa/vector.scm 85 */
				obj_t BgL_arg1682z00_4710;

				BgL_arg1682z00_4710 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4544))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1682z00_4710);
			}
			{	/* Cfa/vector.scm 87 */
				BgL_approxz00_bglt BgL_approxz00_4711;

				{	/* Cfa/vector.scm 87 */
					BgL_typez00_bglt BgL_arg1695z00_4712;

					BgL_arg1695z00_4712 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_4544))))->BgL_typez00);
					BgL_approxz00_4711 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1695z00_4712);
				}
				{	/* Cfa/vector.scm 87 */
					BgL_vallocz00_bglt BgL_wnodez00_4713;

					{	/* Cfa/vector.scm 88 */
						BgL_valloczf2cinfozf2_bglt BgL_wide1185z00_4714;

						BgL_wide1185z00_4714 =
							((BgL_valloczf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_valloczf2cinfozf2_bgl))));
						{	/* Cfa/vector.scm 88 */
							obj_t BgL_auxz00_5518;
							BgL_objectz00_bglt BgL_tmpz00_5514;

							BgL_auxz00_5518 = ((obj_t) BgL_wide1185z00_4714);
							BgL_tmpz00_5514 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4544)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5514, BgL_auxz00_5518);
						}
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4544)));
						{	/* Cfa/vector.scm 88 */
							long BgL_arg1694z00_4715;

							BgL_arg1694z00_4715 =
								BGL_CLASS_NUM(BGl_valloczf2Cinfozf2zzcfa_info3z00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4544))),
								BgL_arg1694z00_4715);
						}
						((BgL_vallocz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4544)));
					}
					{
						BgL_valloczf2cinfozf2_bglt BgL_auxz00_5532;

						{
							obj_t BgL_auxz00_5533;

							{	/* Cfa/vector.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_5534;

								BgL_tmpz00_5534 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4544)));
								BgL_auxz00_5533 = BGL_OBJECT_WIDENING(BgL_tmpz00_5534);
							}
							BgL_auxz00_5532 = ((BgL_valloczf2cinfozf2_bglt) BgL_auxz00_5533);
						}
						((((BgL_valloczf2cinfozf2_bglt) COBJECT(BgL_auxz00_5532))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) BgL_approxz00_4711), BUNSPEC);
					}
					BgL_wnodez00_4713 =
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4544));
					{	/* Cfa/vector.scm 88 */

						BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_4711);
						return ((obj_t) BgL_wnodez00_4713);
					}
				}
			}
		}

	}



/* &node-setup!-pre-vall1589 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2vall1589za2zzcfa_vectorz00(obj_t
		BgL_envz00_4545, obj_t BgL_nodez00_4546)
	{
		{	/* Cfa/vector.scm 63 */
			BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4546)));
			{	/* Cfa/vector.scm 66 */
				obj_t BgL_arg1656z00_4717;

				BgL_arg1656z00_4717 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4546))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1656z00_4717);
			}
			{	/* Cfa/vector.scm 67 */
				BgL_variablez00_bglt BgL_ownerz00_4718;

				{
					BgL_prezd2valloczf2cinfoz20_bglt BgL_auxz00_5552;

					{
						obj_t BgL_auxz00_5553;

						{	/* Cfa/vector.scm 67 */
							BgL_objectz00_bglt BgL_tmpz00_5554;

							BgL_tmpz00_5554 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4546));
							BgL_auxz00_5553 = BGL_OBJECT_WIDENING(BgL_tmpz00_5554);
						}
						BgL_auxz00_5552 =
							((BgL_prezd2valloczf2cinfoz20_bglt) BgL_auxz00_5553);
					}
					BgL_ownerz00_4718 =
						(((BgL_prezd2valloczf2cinfoz20_bglt) COBJECT(BgL_auxz00_5552))->
						BgL_ownerz00);
				}
				{	/* Cfa/vector.scm 67 */
					BgL_vallocz00_bglt BgL_nodez00_4719;

					{	/* Cfa/vector.scm 68 */
						long BgL_arg1678z00_4720;

						{	/* Cfa/vector.scm 68 */
							obj_t BgL_arg1679z00_4721;

							{	/* Cfa/vector.scm 68 */
								obj_t BgL_arg1681z00_4722;

								{	/* Cfa/vector.scm 68 */
									long BgL_arg1833z00_4723;

									{	/* Cfa/vector.scm 68 */
										long BgL_arg1834z00_4724;

										BgL_arg1834z00_4724 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4546)));
										BgL_arg1833z00_4723 = (BgL_arg1834z00_4724 - OBJECT_TYPE);
									}
									BgL_arg1681z00_4722 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_4723);
								}
								BgL_arg1679z00_4721 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg1681z00_4722);
							}
							{	/* Cfa/vector.scm 68 */
								obj_t BgL_tmpz00_5566;

								BgL_tmpz00_5566 = ((obj_t) BgL_arg1679z00_4721);
								BgL_arg1678z00_4720 = BGL_CLASS_NUM(BgL_tmpz00_5566);
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4546)), BgL_arg1678z00_4720);
					}
					{	/* Cfa/vector.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_5572;

						BgL_tmpz00_5572 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4546));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5572, BFALSE);
					}
					((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4546));
					BgL_nodez00_4719 = ((BgL_vallocz00_bglt) BgL_nodez00_4546);
					{	/* Cfa/vector.scm 68 */

						{	/* Cfa/vector.scm 69 */
							BgL_vallocz00_bglt BgL_wnodez00_4725;

							{	/* Cfa/vector.scm 69 */
								BgL_valloczf2cinfozb2optimz40_bglt BgL_wide1180z00_4726;

								BgL_wide1180z00_4726 =
									((BgL_valloczf2cinfozb2optimz40_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_valloczf2cinfozb2optimz40_bgl))));
								{	/* Cfa/vector.scm 69 */
									obj_t BgL_auxz00_5584;
									BgL_objectz00_bglt BgL_tmpz00_5580;

									BgL_auxz00_5584 = ((obj_t) BgL_wide1180z00_4726);
									BgL_tmpz00_5580 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nodez00_4719)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5580, BgL_auxz00_5584);
								}
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4719)));
								{	/* Cfa/vector.scm 69 */
									long BgL_arg1665z00_4727;

									BgL_arg1665z00_4727 =
										BGL_CLASS_NUM(BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719))),
										BgL_arg1665z00_4727);
								}
								((BgL_vallocz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4719)));
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5598;

								{
									obj_t BgL_auxz00_5599;

									{	/* Cfa/vector.scm 71 */
										BgL_objectz00_bglt BgL_tmpz00_5600;

										BgL_tmpz00_5600 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5599 = BGL_OBJECT_WIDENING(BgL_tmpz00_5600);
									}
									BgL_auxz00_5598 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5599);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5598))->BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_approxz00_bglt BgL_auxz00_5616;
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5608;

								{	/* Cfa/vector.scm 72 */
									bool_t BgL_test2182z00_5617;

									{	/* Cfa/vector.scm 72 */
										BgL_typez00_bglt BgL_arg1676z00_4728;

										BgL_arg1676z00_4728 =
											(((BgL_vallocz00_bglt) COBJECT(
													((BgL_vallocz00_bglt)
														((BgL_vallocz00_bglt) BgL_nodez00_4546))))->
											BgL_ftypez00);
										BgL_test2182z00_5617 =
											(((obj_t) BgL_arg1676z00_4728) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2182z00_5617)
										{	/* Cfa/vector.scm 72 */
											BgL_auxz00_5616 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
										}
									else
										{	/* Cfa/vector.scm 74 */
											BgL_typez00_bglt BgL_arg1675z00_4729;

											BgL_arg1675z00_4729 =
												(((BgL_vallocz00_bglt) COBJECT(
														((BgL_vallocz00_bglt)
															((BgL_vallocz00_bglt) BgL_nodez00_4546))))->
												BgL_ftypez00);
											BgL_auxz00_5616 =
												BGl_makezd2typezd2approxz00zzcfa_approxz00
												(BgL_arg1675z00_4729);
										}
								}
								{
									obj_t BgL_auxz00_5609;

									{	/* Cfa/vector.scm 72 */
										BgL_objectz00_bglt BgL_tmpz00_5610;

										BgL_tmpz00_5610 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5609 = BGL_OBJECT_WIDENING(BgL_tmpz00_5610);
									}
									BgL_auxz00_5608 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5609);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5608))->BgL_valuezd2approxzd2) =
									((BgL_approxz00_bglt) BgL_auxz00_5616), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5629;

								{
									obj_t BgL_auxz00_5630;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5631;

										BgL_tmpz00_5631 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5630 = BGL_OBJECT_WIDENING(BgL_tmpz00_5631);
									}
									BgL_auxz00_5629 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5630);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5629))->BgL_lostzd2stampzd2) =
									((long) ((long) -1)), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5638;

								{
									obj_t BgL_auxz00_5639;

									{	/* Cfa/vector.scm 70 */
										BgL_objectz00_bglt BgL_tmpz00_5640;

										BgL_tmpz00_5640 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5639 = BGL_OBJECT_WIDENING(BgL_tmpz00_5640);
									}
									BgL_auxz00_5638 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5639);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5638))->BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_4718), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5647;

								{
									obj_t BgL_auxz00_5648;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5649;

										BgL_tmpz00_5649 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5648 = BGL_OBJECT_WIDENING(BgL_tmpz00_5649);
									}
									BgL_auxz00_5647 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5648);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5647))->BgL_stackablezf3zf3) =
									((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5656;

								{
									obj_t BgL_auxz00_5657;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5658;

										BgL_tmpz00_5658 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5657 = BGL_OBJECT_WIDENING(BgL_tmpz00_5658);
									}
									BgL_auxz00_5656 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5657);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5656))->BgL_stackzd2stampzd2) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5665;

								{
									obj_t BgL_auxz00_5666;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5667;

										BgL_tmpz00_5667 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4719)));
										BgL_auxz00_5666 = BGL_OBJECT_WIDENING(BgL_tmpz00_5667);
									}
									BgL_auxz00_5665 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5666);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5665))->BgL_seenzf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							BgL_wnodez00_4725 =
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4719));
							{	/* Cfa/vector.scm 78 */
								BgL_approxz00_bglt BgL_arg1657z00_4730;

								{	/* Cfa/vector.scm 78 */
									BgL_typez00_bglt BgL_arg1660z00_4731;

									BgL_arg1660z00_4731 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_vallocz00_bglt) BgL_nodez00_4546))))->
										BgL_typez00);
									BgL_arg1657z00_4730 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00
										(BgL_arg1660z00_4731,
										((BgL_nodez00_bglt) BgL_nodez00_4719));
								}
								{
									BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5681;

									{
										obj_t BgL_auxz00_5682;

										{	/* Cfa/vector.scm 76 */
											BgL_objectz00_bglt BgL_tmpz00_5683;

											BgL_tmpz00_5683 =
												((BgL_objectz00_bglt) BgL_wnodez00_4725);
											BgL_auxz00_5682 = BGL_OBJECT_WIDENING(BgL_tmpz00_5683);
										}
										BgL_auxz00_5681 =
											((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5682);
									}
									return
										((((BgL_valloczf2cinfozb2optimz40_bglt)
												COBJECT(BgL_auxz00_5681))->BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_arg1657z00_4730), BUNSPEC);
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-setup!-pre-make1587 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1587za2zzcfa_vectorz00(obj_t
		BgL_envz00_4547, obj_t BgL_nodez00_4548)
	{
		{	/* Cfa/vector.scm 46 */
			BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4548)));
			{	/* Cfa/vector.scm 49 */
				obj_t BgL_arg1621z00_4733;

				BgL_arg1621z00_4733 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4548))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1621z00_4733);
			}
			{	/* Cfa/vector.scm 50 */
				BgL_variablez00_bglt BgL_ownerz00_4734;

				{
					BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_auxz00_5695;

					{
						obj_t BgL_auxz00_5696;

						{	/* Cfa/vector.scm 50 */
							BgL_objectz00_bglt BgL_tmpz00_5697;

							BgL_tmpz00_5697 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4548));
							BgL_auxz00_5696 = BGL_OBJECT_WIDENING(BgL_tmpz00_5697);
						}
						BgL_auxz00_5695 =
							((BgL_prezd2makezd2vectorzd2appzd2_bglt) BgL_auxz00_5696);
					}
					BgL_ownerz00_4734 =
						(((BgL_prezd2makezd2vectorzd2appzd2_bglt)
							COBJECT(BgL_auxz00_5695))->BgL_ownerz00);
				}
				{	/* Cfa/vector.scm 50 */
					BgL_appz00_bglt BgL_nodez00_4735;

					{	/* Cfa/vector.scm 51 */
						long BgL_arg1636z00_4736;

						{	/* Cfa/vector.scm 51 */
							obj_t BgL_arg1647z00_4737;

							{	/* Cfa/vector.scm 51 */
								obj_t BgL_arg1652z00_4738;

								{	/* Cfa/vector.scm 51 */
									long BgL_arg1833z00_4739;

									{	/* Cfa/vector.scm 51 */
										long BgL_arg1834z00_4740;

										BgL_arg1834z00_4740 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4548)));
										BgL_arg1833z00_4739 = (BgL_arg1834z00_4740 - OBJECT_TYPE);
									}
									BgL_arg1652z00_4738 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_4739);
								}
								BgL_arg1647z00_4737 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg1652z00_4738);
							}
							{	/* Cfa/vector.scm 51 */
								obj_t BgL_tmpz00_5709;

								BgL_tmpz00_5709 = ((obj_t) BgL_arg1647z00_4737);
								BgL_arg1636z00_4736 = BGL_CLASS_NUM(BgL_tmpz00_5709);
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4548)), BgL_arg1636z00_4736);
					}
					{	/* Cfa/vector.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_5715;

						BgL_tmpz00_5715 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4548));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5715, BFALSE);
					}
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4548));
					BgL_nodez00_4735 = ((BgL_appz00_bglt) BgL_nodez00_4548);
					{	/* Cfa/vector.scm 51 */

						{	/* Cfa/vector.scm 52 */
							BgL_appz00_bglt BgL_wnodez00_4741;

							{	/* Cfa/vector.scm 52 */
								BgL_makezd2vectorzd2appz00_bglt BgL_wide1174z00_4742;

								BgL_wide1174z00_4742 =
									((BgL_makezd2vectorzd2appz00_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_makezd2vectorzd2appz00_bgl))));
								{	/* Cfa/vector.scm 52 */
									obj_t BgL_auxz00_5727;
									BgL_objectz00_bglt BgL_tmpz00_5723;

									BgL_auxz00_5727 = ((obj_t) BgL_wide1174z00_4742);
									BgL_tmpz00_5723 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5723, BgL_auxz00_5727);
								}
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
								{	/* Cfa/vector.scm 52 */
									long BgL_arg1633z00_4743;

									BgL_arg1633z00_4743 =
										BGL_CLASS_NUM(BGl_makezd2vectorzd2appz00zzcfa_info2z00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4735))),
										BgL_arg1633z00_4743);
								}
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5741;

								{
									obj_t BgL_auxz00_5742;

									{	/* Cfa/vector.scm 54 */
										BgL_objectz00_bglt BgL_tmpz00_5743;

										BgL_tmpz00_5743 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
										BgL_auxz00_5742 = BGL_OBJECT_WIDENING(BgL_tmpz00_5743);
									}
									BgL_auxz00_5741 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5742);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5741))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5751;

								{
									obj_t BgL_auxz00_5752;

									{	/* Cfa/vector.scm 55 */
										BgL_objectz00_bglt BgL_tmpz00_5753;

										BgL_tmpz00_5753 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
										BgL_auxz00_5752 = BGL_OBJECT_WIDENING(BgL_tmpz00_5753);
									}
									BgL_auxz00_5751 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5752);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5751))->
										BgL_valuezd2approxzd2) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5761;

								{
									obj_t BgL_auxz00_5762;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5763;

										BgL_tmpz00_5763 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
										BgL_auxz00_5762 = BGL_OBJECT_WIDENING(BgL_tmpz00_5763);
									}
									BgL_auxz00_5761 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5762);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5761))->
										BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5770;

								{
									obj_t BgL_auxz00_5771;

									{	/* Cfa/vector.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_5772;

										BgL_tmpz00_5772 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
										BgL_auxz00_5771 = BGL_OBJECT_WIDENING(BgL_tmpz00_5772);
									}
									BgL_auxz00_5770 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5771);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5770))->
										BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_4734), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5779;

								{
									obj_t BgL_auxz00_5780;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5781;

										BgL_tmpz00_5781 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
										BgL_auxz00_5780 = BGL_OBJECT_WIDENING(BgL_tmpz00_5781);
									}
									BgL_auxz00_5779 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5780);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5779))->
										BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5788;

								{
									obj_t BgL_auxz00_5789;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5790;

										BgL_tmpz00_5790 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735)));
										BgL_auxz00_5789 = BGL_OBJECT_WIDENING(BgL_tmpz00_5790);
									}
									BgL_auxz00_5788 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5789);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5788))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							BgL_wnodez00_4741 =
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4735));
							{	/* Cfa/vector.scm 58 */
								BgL_approxz00_bglt BgL_arg1632z00_4744;

								BgL_arg1632z00_4744 =
									BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
									((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00),
									((BgL_nodez00_bglt) BgL_nodez00_4735));
								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5802;

									{
										obj_t BgL_auxz00_5803;

										{	/* Cfa/vector.scm 57 */
											BgL_objectz00_bglt BgL_tmpz00_5804;

											BgL_tmpz00_5804 =
												((BgL_objectz00_bglt) BgL_wnodez00_4741);
											BgL_auxz00_5803 = BGL_OBJECT_WIDENING(BgL_tmpz00_5804);
										}
										BgL_auxz00_5802 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5803);
									}
									return
										((((BgL_makezd2vectorzd2appz00_bglt)
												COBJECT(BgL_auxz00_5802))->BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_arg1632z00_4744), BUNSPEC);
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00()
	{
		{	/* Cfa/vector.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2120z00zzcfa_vectorz00));
		}

	}

#ifdef __cplusplus
}
#endif
