/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2funcall1291za2zzcoerce_funcallz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_funcallz00();
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_funcallz00_bglt);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_funcallz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[19];


	   
		 
		DEFINE_STRING(BGl_string1803z00zzcoerce_funcallz00,
		BgL_bgl_string1803za700za7za7c1811za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string1805z00zzcoerce_funcallz00,
		BgL_bgl_string1805za700za7za7c1812za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string1806z00zzcoerce_funcallz00,
		BgL_bgl_string1806za700za7za7c1813za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string1807z00zzcoerce_funcallz00,
		BgL_bgl_string1807za700za7za7c1814za7,
		"let if correct-arity? ::int len fun light elight __eoa__ dummy begin failure quote _ @ error/location __error location bdb ",
		123);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzcoerce_funcallz00,
		BgL_bgl_za762coerceza712za7d2f1815za7,
		BGl_z62coercez12zd2funcall1291za2zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_2027, char *BgL_fromz00_2028)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BGl_toplevelzd2initzd2zzcoerce_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1965;

				{	/* Coerce/funcall.scm 15 */
					obj_t BgL_stringz00_1973;

					BgL_stringz00_1973 = BGl_string1807z00zzcoerce_funcallz00;
					{	/* Coerce/funcall.scm 15 */
						obj_t BgL_startz00_1974;

						BgL_startz00_1974 = BINT(((long) 0));
						{	/* Coerce/funcall.scm 15 */
							obj_t BgL_endz00_1975;

							BgL_endz00_1975 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1973)));
							{	/* Coerce/funcall.scm 15 */

								BgL_cportz00_1965 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1973, BgL_startz00_1974, BgL_endz00_1975);
				}}}}
				{
					long BgL_iz00_1966;

					BgL_iz00_1966 = ((long) 18);
				BgL_loopz00_1967:
					if ((BgL_iz00_1966 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg1810z00_1969;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1971;

										BgL_locationz00_1971 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg1810z00_1969 =
												BGl_readz00zz__readerz00(BgL_cportz00_1965,
												BgL_locationz00_1971);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_tmpz00_2057;

									BgL_tmpz00_2057 = (int) (BgL_iz00_1966);
									CNST_TABLE_SET(BgL_tmpz00_2057, BgL_arg1810z00_1969);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1972;

								BgL_auxz00_1972 = (int) ((BgL_iz00_1966 - ((long) 1)));
								{
									long BgL_iz00_2062;

									BgL_iz00_2062 = (long) (BgL_auxz00_1972);
									BgL_iz00_1966 = BgL_iz00_2062;
									goto BgL_loopz00_1967;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_21, obj_t BgL_errorzd2msgzd2_22, obj_t BgL_locz00_23,
		obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		{	/* Coerce/funcall.scm 102 */
			{	/* Coerce/funcall.scm 103 */
				BgL_nodez00_bglt BgL_nodez00_1487;

				{	/* Coerce/funcall.scm 104 */
					obj_t BgL_arg1309z00_1488;

					{	/* Coerce/funcall.scm 104 */
						bool_t BgL_test1820z00_2065;

						{	/* Coerce/funcall.scm 104 */
							bool_t BgL_test1821z00_2066;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* Coerce/funcall.scm 104 */
									BgL_test1821z00_2066 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 104 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Coerce/funcall.scm 108 */
											obj_t BgL_arg1381z00_1534;

											{	/* Coerce/funcall.scm 108 */
												obj_t BgL_arg1382z00_1535;

												BgL_arg1382z00_1535 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1381z00_1534 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1382z00_1535)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1821z00_2066 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1381z00_1534));
										}
									else
										{	/* Coerce/funcall.scm 105 */
											BgL_test1821z00_2066 = ((bool_t) 0);
										}
								}
							if (BgL_test1821z00_2066)
								{	/* Coerce/funcall.scm 104 */
									if (STRUCTP(BgL_locz00_23))
										{	/* Coerce/funcall.scm 109 */
											BgL_test1820z00_2065 =
												(STRUCT_KEY(BgL_locz00_23) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/funcall.scm 109 */
											BgL_test1820z00_2065 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 104 */
									BgL_test1820z00_2065 = ((bool_t) 0);
								}
						}
						if (BgL_test1820z00_2065)
							{	/* Coerce/funcall.scm 111 */
								obj_t BgL_arg1320z00_1499;

								{	/* Coerce/funcall.scm 111 */
									obj_t BgL_arg1321z00_1500;
									obj_t BgL_arg1322z00_1501;

									{	/* Coerce/funcall.scm 111 */
										obj_t BgL_arg1323z00_1502;
										obj_t BgL_arg1324z00_1503;

										{	/* Coerce/funcall.scm 111 */
											obj_t BgL_arg1325z00_1504;

											{	/* Coerce/funcall.scm 111 */
												obj_t BgL_arg1326z00_1505;

												BgL_arg1326z00_1505 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
												BgL_arg1325z00_1504 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1326z00_1505);
											}
											BgL_arg1323z00_1502 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg1325z00_1504);
										}
										{	/* Coerce/funcall.scm 113 */
											obj_t BgL_arg1328z00_1506;
											obj_t BgL_arg1331z00_1507;

											{	/* Coerce/funcall.scm 113 */
												obj_t BgL_arg1332z00_1508;

												{	/* Coerce/funcall.scm 113 */
													obj_t BgL_arg1333z00_1509;

													BgL_arg1333z00_1509 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/funcall.scm 112 */
														obj_t BgL_arg1463z00_1888;

														BgL_arg1463z00_1888 =
															SYMBOL_TO_STRING(((obj_t) BgL_arg1333z00_1509));
														BgL_arg1332z00_1508 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_1888);
												}}
												BgL_arg1328z00_1506 =
													string_append(BgL_arg1332z00_1508,
													BGl_string1803z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 117 */
												obj_t BgL_arg1334z00_1510;

												{	/* Coerce/funcall.scm 117 */
													obj_t BgL_arg1338z00_1511;

													{	/* Coerce/funcall.scm 117 */
														obj_t BgL_arg1339z00_1512;
														obj_t BgL_arg1340z00_1513;

														BgL_arg1339z00_1512 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_23);
														BgL_arg1340z00_1513 =
															MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_23,
																(int) (((long) 1))), BNIL);
														BgL_arg1338z00_1511 =
															MAKE_YOUNG_PAIR(BgL_arg1339z00_1512,
															BgL_arg1340z00_1513);
													}
													BgL_arg1334z00_1510 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_funz00_21), BgL_arg1338z00_1511);
												}
												BgL_arg1331z00_1507 =
													MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_22,
													BgL_arg1334z00_1510);
											}
											BgL_arg1324z00_1503 =
												MAKE_YOUNG_PAIR(BgL_arg1328z00_1506,
												BgL_arg1331z00_1507);
										}
										BgL_arg1321z00_1500 =
											MAKE_YOUNG_PAIR(BgL_arg1323z00_1502, BgL_arg1324z00_1503);
									}
									{	/* Coerce/funcall.scm 119 */
										obj_t BgL_arg1343z00_1515;

										{	/* Coerce/funcall.scm 119 */
											obj_t BgL_arg1347z00_1516;

											{	/* Coerce/funcall.scm 119 */
												obj_t BgL_arg1348z00_1517;
												obj_t BgL_arg1350z00_1518;

												{	/* Coerce/funcall.scm 119 */
													obj_t BgL_arg1354z00_1519;

													BgL_arg1354z00_1519 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
													BgL_arg1348z00_1517 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg1354z00_1519);
												}
												{	/* Coerce/funcall.scm 119 */
													obj_t BgL_arg1357z00_1520;
													obj_t BgL_arg1358z00_1521;

													{	/* Coerce/funcall.scm 119 */
														obj_t BgL_arg1361z00_1522;

														BgL_arg1361z00_1522 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg1357z00_1520 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1361z00_1522);
													}
													{	/* Coerce/funcall.scm 119 */
														obj_t BgL_arg1363z00_1523;

														{	/* Coerce/funcall.scm 119 */
															obj_t BgL_arg1364z00_1524;

															BgL_arg1364z00_1524 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																BNIL);
															BgL_arg1363z00_1523 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1364z00_1524);
														}
														BgL_arg1358z00_1521 =
															MAKE_YOUNG_PAIR(BgL_arg1363z00_1523, BNIL);
													}
													BgL_arg1350z00_1518 =
														MAKE_YOUNG_PAIR(BgL_arg1357z00_1520,
														BgL_arg1358z00_1521);
												}
												BgL_arg1347z00_1516 =
													MAKE_YOUNG_PAIR(BgL_arg1348z00_1517,
													BgL_arg1350z00_1518);
											}
											BgL_arg1343z00_1515 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1347z00_1516);
										}
										BgL_arg1322z00_1501 =
											MAKE_YOUNG_PAIR(BgL_arg1343z00_1515, BNIL);
									}
									BgL_arg1320z00_1499 =
										MAKE_YOUNG_PAIR(BgL_arg1321z00_1500, BgL_arg1322z00_1501);
								}
								BgL_arg1309z00_1488 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
									BgL_arg1320z00_1499);
							}
						else
							{	/* Coerce/funcall.scm 121 */
								obj_t BgL_arg1366z00_1525;

								{	/* Coerce/funcall.scm 121 */
									obj_t BgL_arg1367z00_1526;
									obj_t BgL_arg1369z00_1527;

									{	/* Coerce/funcall.scm 121 */
										obj_t BgL_arg1370z00_1528;

										{	/* Coerce/funcall.scm 121 */
											obj_t BgL_arg1371z00_1529;

											BgL_arg1371z00_1529 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/funcall.scm 120 */
												obj_t BgL_arg1463z00_1891;

												BgL_arg1463z00_1891 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1371z00_1529));
												BgL_arg1370z00_1528 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_1891);
											}
										}
										BgL_arg1367z00_1526 =
											string_append(BgL_arg1370z00_1528,
											BGl_string1803z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 120 */
										obj_t BgL_arg1380z00_1530;

										BgL_arg1380z00_1530 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_funz00_21), BNIL);
										BgL_arg1369z00_1527 =
											MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_22,
											BgL_arg1380z00_1530);
									}
									BgL_arg1366z00_1525 =
										MAKE_YOUNG_PAIR(BgL_arg1367z00_1526, BgL_arg1369z00_1527);
								}
								BgL_arg1309z00_1488 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1366z00_1525);
					}}
					BgL_nodez00_1487 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1309z00_1488, BgL_locz00_23);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_1487);
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1487, BgL_callerz00_24,
					((BgL_typez00_bglt) BgL_toz00_25), ((bool_t) 0));
			}
		}

	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_26, obj_t BgL_callerz00_27, obj_t BgL_toz00_28,
		obj_t BgL_safez00_29)
	{
		{	/* Coerce/funcall.scm 132 */
			if (NULLP((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 140 */
					obj_t BgL_arg1400z00_1539;

					{	/* Coerce/funcall.scm 140 */
						BgL_nodez00_bglt BgL_arg1401z00_1540;

						BgL_arg1401z00_1540 =
							BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_nodez00_26);
						{	/* Coerce/funcall.scm 140 */
							obj_t BgL_list1402z00_1541;

							BgL_list1402z00_1541 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1401z00_1540), BNIL);
							BgL_arg1400z00_1539 = BgL_list1402z00_1541;
						}
					}
					return
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00) =
						((obj_t) BgL_arg1400z00_1539), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 141 */
					obj_t BgL_g1114z00_1542;
					obj_t BgL_g1115z00_1543;

					BgL_g1114z00_1542 =
						(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00);
					BgL_g1115z00_1543 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_actualsz00_1545;
						obj_t BgL_prevz00_1546;

						BgL_actualsz00_1545 = BgL_g1114z00_1542;
						BgL_prevz00_1546 = BgL_g1115z00_1543;
					BgL_zc3z04anonymousza31403ze3z87_1547:
						if (NULLP(BgL_actualsz00_1545))
							{	/* Coerce/funcall.scm 144 */
								obj_t BgL_arg1415z00_1549;

								{	/* Coerce/funcall.scm 144 */
									BgL_nodez00_bglt BgL_arg1416z00_1550;

									BgL_arg1416z00_1550 =
										BGl_toplevelzd2expze71z35zzcoerce_funcallz00
										(BgL_nodez00_26);
									{	/* Coerce/funcall.scm 144 */
										obj_t BgL_list1417z00_1551;

										BgL_list1417z00_1551 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1416z00_1550), BNIL);
										BgL_arg1415z00_1549 = BgL_list1417z00_1551;
									}
								}
								{	/* Coerce/funcall.scm 144 */
									obj_t BgL_tmpz00_2155;

									BgL_tmpz00_2155 = ((obj_t) BgL_prevz00_1546);
									return SET_CDR(BgL_tmpz00_2155, BgL_arg1415z00_1549);
								}
							}
						else
							{	/* Coerce/funcall.scm 143 */
								{	/* Coerce/funcall.scm 146 */
									BgL_nodez00_bglt BgL_arg1418z00_1552;

									{	/* Coerce/funcall.scm 146 */
										obj_t BgL_arg1419z00_1553;

										BgL_arg1419z00_1553 = CAR(((obj_t) BgL_actualsz00_1545));
										BgL_arg1418z00_1552 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_arg1419z00_1553),
											BgL_callerz00_27,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
											CBOOL(BgL_safez00_29));
									}
									{	/* Coerce/funcall.scm 146 */
										obj_t BgL_auxz00_2166;
										obj_t BgL_tmpz00_2164;

										BgL_auxz00_2166 = ((obj_t) BgL_arg1418z00_1552);
										BgL_tmpz00_2164 = ((obj_t) BgL_actualsz00_1545);
										SET_CAR(BgL_tmpz00_2164, BgL_auxz00_2166);
									}
								}
								{	/* Coerce/funcall.scm 147 */
									obj_t BgL_arg1430z00_1554;

									BgL_arg1430z00_1554 = CDR(((obj_t) BgL_actualsz00_1545));
									{
										obj_t BgL_prevz00_2172;
										obj_t BgL_actualsz00_2171;

										BgL_actualsz00_2171 = BgL_arg1430z00_1554;
										BgL_prevz00_2172 = BgL_actualsz00_1545;
										BgL_prevz00_1546 = BgL_prevz00_2172;
										BgL_actualsz00_1545 = BgL_actualsz00_2171;
										goto BgL_zc3z04anonymousza31403ze3z87_1547;
									}
								}
							}
					}
				}
		}

	}



/* toplevel-exp~1 */
	BgL_nodez00_bglt
		BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1557)
	{
		{	/* Coerce/funcall.scm 137 */
			{	/* Coerce/funcall.scm 135 */
				BgL_nodez00_bglt BgL_nz00_1559;

				{	/* Coerce/funcall.scm 135 */
					obj_t BgL_arg1456z00_1560;

					BgL_arg1456z00_1560 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1557)))->BgL_locz00);
					BgL_nz00_1559 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1456z00_1560);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1559);
				return BgL_nz00_1559;
			}
		}

	}



/* coerce-funcall-elight-args! */
	obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt BgL_nodez00_30, obj_t BgL_callerz00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		{	/* Coerce/funcall.scm 152 */
			if (NULLP((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 160 */
					obj_t BgL_arg1462z00_1565;

					{	/* Coerce/funcall.scm 160 */
						BgL_nodez00_bglt BgL_arg1477z00_1566;

						BgL_arg1477z00_1566 =
							BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_nodez00_30);
						{	/* Coerce/funcall.scm 160 */
							obj_t BgL_list1478z00_1567;

							BgL_list1478z00_1567 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1477z00_1566), BNIL);
							BgL_arg1462z00_1565 = BgL_list1478z00_1567;
						}
					}
					return
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00) =
						((obj_t) BgL_arg1462z00_1565), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 161 */
					BgL_variablez00_bglt BgL_calleez00_1568;

					{
						BgL_varz00_bglt BgL_auxz00_2185;

						{	/* Coerce/funcall.scm 161 */
							obj_t BgL_pairz00_1907;

							BgL_pairz00_1907 =
								(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->
								BgL_functionsz00);
							BgL_auxz00_2185 = ((BgL_varz00_bglt) CAR(BgL_pairz00_1907));
						}
						BgL_calleez00_1568 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2185))->BgL_variablez00);
					}
					{	/* Coerce/funcall.scm 162 */
						obj_t BgL_g1116z00_1569;
						obj_t BgL_g1117z00_1570;
						obj_t BgL_g1118z00_1571;

						BgL_g1116z00_1569 =
							(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00);
						BgL_g1117z00_1570 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_1568))->
											BgL_valuez00))))->BgL_argsz00);
						BgL_g1118z00_1571 = CNST_TABLE_REF(((long) 9));
						{
							obj_t BgL_actualsz00_1573;
							obj_t BgL_formalsz00_1574;
							obj_t BgL_prevz00_1575;

							BgL_actualsz00_1573 = BgL_g1116z00_1569;
							BgL_formalsz00_1574 = BgL_g1117z00_1570;
							BgL_prevz00_1575 = BgL_g1118z00_1571;
						BgL_zc3z04anonymousza31479ze3z87_1576:
							if (NULLP(BgL_actualsz00_1573))
								{	/* Coerce/funcall.scm 166 */
									obj_t BgL_arg1494z00_1578;

									{	/* Coerce/funcall.scm 166 */
										BgL_nodez00_bglt BgL_arg1496z00_1579;

										BgL_arg1496z00_1579 =
											BGl_toplevelzd2expze70z35zzcoerce_funcallz00
											(BgL_nodez00_30);
										{	/* Coerce/funcall.scm 166 */
											obj_t BgL_list1497z00_1580;

											BgL_list1497z00_1580 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1496z00_1579), BNIL);
											BgL_arg1494z00_1578 = BgL_list1497z00_1580;
										}
									}
									{	/* Coerce/funcall.scm 166 */
										obj_t BgL_tmpz00_2200;

										BgL_tmpz00_2200 = ((obj_t) BgL_prevz00_1575);
										return SET_CDR(BgL_tmpz00_2200, BgL_arg1494z00_1578);
									}
								}
							else
								{	/* Coerce/funcall.scm 165 */
									{	/* Coerce/funcall.scm 169 */
										BgL_nodez00_bglt BgL_arg1500z00_1581;

										{	/* Coerce/funcall.scm 169 */
											obj_t BgL_arg1520z00_1582;
											BgL_typez00_bglt BgL_arg1524z00_1583;

											BgL_arg1520z00_1582 = CAR(((obj_t) BgL_actualsz00_1573));
											BgL_arg1524z00_1583 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_formalsz00_1574))))))->
												BgL_typez00);
											BgL_arg1500z00_1581 =
												BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
													BgL_arg1520z00_1582), BgL_callerz00_31,
												BgL_arg1524z00_1583, CBOOL(BgL_safez00_33));
										}
										{	/* Coerce/funcall.scm 168 */
											obj_t BgL_auxz00_2215;
											obj_t BgL_tmpz00_2213;

											BgL_auxz00_2215 = ((obj_t) BgL_arg1500z00_1581);
											BgL_tmpz00_2213 = ((obj_t) BgL_actualsz00_1573);
											SET_CAR(BgL_tmpz00_2213, BgL_auxz00_2215);
										}
									}
									{	/* Coerce/funcall.scm 171 */
										obj_t BgL_arg1536z00_1585;
										obj_t BgL_arg1542z00_1586;

										BgL_arg1536z00_1585 = CDR(((obj_t) BgL_actualsz00_1573));
										BgL_arg1542z00_1586 = CDR(((obj_t) BgL_formalsz00_1574));
										{
											obj_t BgL_prevz00_2224;
											obj_t BgL_formalsz00_2223;
											obj_t BgL_actualsz00_2222;

											BgL_actualsz00_2222 = BgL_arg1536z00_1585;
											BgL_formalsz00_2223 = BgL_arg1542z00_1586;
											BgL_prevz00_2224 = BgL_actualsz00_1573;
											BgL_prevz00_1575 = BgL_prevz00_2224;
											BgL_formalsz00_1574 = BgL_formalsz00_2223;
											BgL_actualsz00_1573 = BgL_actualsz00_2222;
											goto BgL_zc3z04anonymousza31479ze3z87_1576;
										}
									}
								}
						}
					}
				}
		}

	}



/* toplevel-exp~0 */
	BgL_nodez00_bglt
		BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1592)
	{
		{	/* Coerce/funcall.scm 157 */
			{	/* Coerce/funcall.scm 155 */
				BgL_nodez00_bglt BgL_nz00_1594;

				{	/* Coerce/funcall.scm 155 */
					obj_t BgL_arg1554z00_1595;

					BgL_arg1554z00_1595 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1592)))->BgL_locz00);
					BgL_nz00_1594 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1554z00_1595);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1594);
				return BgL_nz00_1594;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1804z00zzcoerce_funcallz00,
				BGl_string1805z00zzcoerce_funcallz00);
		}

	}



/* &coerce!-funcall1291 */
	BgL_nodez00_bglt BGl_z62coercez12zd2funcall1291za2zzcoerce_funcallz00(obj_t
		BgL_envz00_1954, obj_t BgL_nodez00_1955, obj_t BgL_callerz00_1956,
		obj_t BgL_toz00_1957, obj_t BgL_safez00_1958)
	{
		{	/* Coerce/funcall.scm 37 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_errorzd2msgzd2_1978;
				obj_t BgL_strengthz00_1979;
				BgL_typez00_bglt BgL_ntyz00_1980;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_arg1656z00_1981;

					BgL_arg1656z00_1981 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_1955)));
					{	/* Tools/trace.sch 53 */
						obj_t BgL_list1657z00_1982;

						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1660z00_1983;

							BgL_arg1660z00_1983 = MAKE_YOUNG_PAIR(BgL_arg1656z00_1981, BNIL);
							BgL_list1657z00_1982 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
								BgL_arg1660z00_1983);
						}
						BgL_errorzd2msgzd2_1978 = BgL_list1657z00_1982;
				}}
				BgL_strengthz00_1979 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1955)))->BgL_strengthz00);
				BgL_ntyz00_1980 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_1955))))->BgL_typez00);
				if ((BgL_strengthz00_1979 == CNST_TABLE_REF(((long) 11))))
					{	/* Tools/trace.sch 53 */
						if (CBOOL
							(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
							{	/* Tools/trace.sch 53 */
								BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1955), BgL_callerz00_1956,
									BgL_toz00_1957, BgL_safez00_1958);
							}
						else
							{	/* Tools/trace.sch 53 */
								BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1955), BgL_callerz00_1956,
									BgL_toz00_1957, BgL_safez00_1958);
							}
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_1955)), BgL_ntyz00_1980,
							((BgL_typez00_bglt) BgL_toz00_1957), CBOOL(BgL_safez00_1958));
					}
				else
					{	/* Tools/trace.sch 53 */
						if ((BgL_strengthz00_1979 == CNST_TABLE_REF(((long) 12))))
							{	/* Tools/trace.sch 53 */
								if (CBOOL
									(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
									{	/* Tools/trace.sch 53 */
										BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
											(((BgL_funcallz00_bglt) BgL_nodez00_1955),
											BgL_callerz00_1956, BgL_toz00_1957, BgL_safez00_1958);
									}
								else
									{	/* Tools/trace.sch 53 */
										BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_1955),
											BgL_callerz00_1956, BgL_toz00_1957, BgL_safez00_1958);
									}
								return
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_1955)), BgL_ntyz00_1980,
									((BgL_typez00_bglt) BgL_toz00_1957), CBOOL(BgL_safez00_1958));
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_nodez00_bglt BgL_czd2funzd2_1984;

								{	/* Tools/trace.sch 53 */
									BgL_nodez00_bglt BgL_arg1652z00_1985;

									BgL_arg1652z00_1985 =
										(((BgL_funcallz00_bglt) COBJECT(
												((BgL_funcallz00_bglt) BgL_nodez00_1955)))->BgL_funz00);
									BgL_czd2funzd2_1984 =
										BGl_coercez12z12zzcoerce_coercez00(BgL_arg1652z00_1985,
										BgL_callerz00_1956,
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
										CBOOL(BgL_safez00_1958));
								}
								BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1955), BgL_callerz00_1956,
									BgL_toz00_1957, BgL_safez00_1958);
								if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
									{	/* Tools/trace.sch 53 */
										((((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_nodez00_1955)))->
												BgL_funz00) =
											((BgL_nodez00_bglt) BgL_czd2funzd2_1984), BUNSPEC);
										return
											BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt) (
													(BgL_funcallz00_bglt) BgL_nodez00_1955)),
											BgL_ntyz00_1980, ((BgL_typez00_bglt) BgL_toz00_1957),
											CBOOL(BgL_safez00_1958));
									}
								else
									{	/* Tools/trace.sch 53 */
										BgL_localz00_bglt BgL_funz00_1986;

										BgL_funz00_1986 =
											BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
													(long) 13)),
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00));
										{	/* Tools/trace.sch 53 */
											obj_t BgL_locz00_1987;

											BgL_locz00_1987 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_1955))))->
												BgL_locz00);
											{	/* Tools/trace.sch 53 */
												BgL_literalz00_bglt BgL_lenz00_1988;

												{	/* Tools/trace.sch 53 */
													BgL_literalz00_bglt BgL_new1107z00_1989;

													{	/* Tools/trace.sch 53 */
														BgL_literalz00_bglt BgL_new1106z00_1990;

														BgL_new1106z00_1990 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Tools/trace.sch 53 */
															long BgL_arg1647z00_1991;

															BgL_arg1647z00_1991 =
																BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1106z00_1990),
																BgL_arg1647z00_1991);
														}
														{	/* Tools/trace.sch 53 */
															BgL_objectz00_bglt BgL_tmpz00_2296;

															BgL_tmpz00_2296 =
																((BgL_objectz00_bglt) BgL_new1106z00_1990);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2296, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1106z00_1990);
														BgL_new1107z00_1989 = BgL_new1106z00_1990;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1107z00_1989)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1987), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1107z00_1989)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1107z00_1989)))->BgL_valuez00) =
														((obj_t)
															BINT((bgl_list_length((((BgL_funcallz00_bglt)
																				COBJECT(((BgL_funcallz00_bglt)
																						BgL_nodez00_1955)))->BgL_argsz00)) -
																	((long) 2)))), BUNSPEC);
													BgL_lenz00_1988 = BgL_new1107z00_1989;
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_azd2lenzd2_1992;

													BgL_azd2lenzd2_1992 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 14))));
													{	/* Tools/trace.sch 53 */
														obj_t BgL_azd2tlenzd2_1993;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1613z00_1994;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1619z00_1995;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1620z00_1996;
																	obj_t BgL_arg1621z00_1997;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1463z00_1998;

																		BgL_arg1463z00_1998 =
																			SYMBOL_TO_STRING(BgL_azd2lenzd2_1992);
																		BgL_arg1620z00_1996 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1463z00_1998);
																	}
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_symbolz00_1999;

																		BgL_symbolz00_1999 =
																			CNST_TABLE_REF(((long) 15));
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1463z00_2000;

																			BgL_arg1463z00_2000 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1999);
																			BgL_arg1621z00_1997 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1463z00_2000);
																	}}
																	BgL_arg1619z00_1995 =
																		string_append(BgL_arg1620z00_1996,
																		BgL_arg1621z00_1997);
																}
																BgL_arg1613z00_1994 =
																	bstring_to_symbol(BgL_arg1619z00_1995);
															}
															BgL_azd2tlenzd2_1993 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1613z00_1994);
														}
														{	/* Tools/trace.sch 53 */
															BgL_letzd2varzd2_bglt BgL_lnodez00_2001;

															{	/* Tools/trace.sch 53 */
																BgL_letzd2varzd2_bglt BgL_new1110z00_2002;

																{	/* Tools/trace.sch 53 */
																	BgL_letzd2varzd2_bglt BgL_new1109z00_2003;

																	BgL_new1109z00_2003 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1612z00_2004;

																		BgL_arg1612z00_2004 =
																			BGL_CLASS_NUM
																			(BGl_letzd2varzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1109z00_2003),
																			BgL_arg1612z00_2004);
																	}
																	{	/* Tools/trace.sch 53 */
																		BgL_objectz00_bglt BgL_tmpz00_2327;

																		BgL_tmpz00_2327 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_2003);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2327,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1109z00_2003);
																	BgL_new1110z00_2002 = BgL_new1109z00_2003;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1110z00_2002)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1987), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1110z00_2002)))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt) BgL_toz00_1957),
																			BgL_ntyz00_1980)), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1110z00_2002)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1110z00_2002)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																{
																	obj_t BgL_auxz00_2342;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1570z00_2005;

																		BgL_arg1570z00_2005 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_funz00_1986),
																			((obj_t) BgL_czd2funzd2_1984));
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_list1571z00_2006;

																			BgL_list1571z00_2006 =
																				MAKE_YOUNG_PAIR(BgL_arg1570z00_2005,
																				BNIL);
																			BgL_auxz00_2342 = BgL_list1571z00_2006;
																	}}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1110z00_2002))->
																			BgL_bindingsz00) =
																		((obj_t) BgL_auxz00_2342), BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_2348;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1578z00_2007;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1581z00_2008;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1582z00_2009;
																				obj_t BgL_arg1583z00_2010;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1584z00_2011;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1585z00_2012;

																						BgL_arg1585z00_2012 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_lenz00_1988), BNIL);
																						BgL_arg1584z00_2011 =
																							MAKE_YOUNG_PAIR
																							(BgL_azd2tlenzd2_1993,
																							BgL_arg1585z00_2012);
																					}
																					BgL_arg1582z00_2009 =
																						MAKE_YOUNG_PAIR(BgL_arg1584z00_2011,
																						BNIL);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1586z00_2013;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1588z00_2014;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1595z00_2015;
																							obj_t BgL_arg1597z00_2016;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1601z00_2017;

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1602z00_2018;

																									BgL_arg1602z00_2018 =
																										MAKE_YOUNG_PAIR
																										(BgL_azd2lenzd2_1992, BNIL);
																									BgL_arg1601z00_2017 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_funz00_1986),
																										BgL_arg1602z00_2018);
																								}
																								BgL_arg1595z00_2015 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 16)),
																									BgL_arg1601z00_2017);
																							}
																							{	/* Tools/trace.sch 53 */
																								BgL_nodez00_bglt
																									BgL_arg1603z00_2019;
																								obj_t BgL_arg1604z00_2020;

																								BgL_arg1603z00_2019 =
																									BGl_convertz12z12zzcoerce_convertz00
																									(((BgL_nodez00_bglt) (
																											(BgL_funcallz00_bglt)
																											BgL_nodez00_1955)),
																									BgL_ntyz00_1980,
																									((BgL_typez00_bglt)
																										BgL_toz00_1957),
																									CBOOL(BgL_safez00_1958));
																								{	/* Tools/trace.sch 53 */
																									BgL_nodez00_bglt
																										BgL_arg1606z00_2021;
																									BgL_arg1606z00_2021 =
																										BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																										(BgL_funz00_1986,
																										BgL_errorzd2msgzd2_1978,
																										BgL_locz00_1987,
																										BgL_callerz00_1956,
																										BgL_toz00_1957);
																									BgL_arg1604z00_2020 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1606z00_2021),
																										BNIL);
																								}
																								BgL_arg1597z00_2016 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg1603z00_2019),
																									BgL_arg1604z00_2020);
																							}
																							BgL_arg1588z00_2014 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1595z00_2015,
																								BgL_arg1597z00_2016);
																						}
																						BgL_arg1586z00_2013 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 17)),
																							BgL_arg1588z00_2014);
																					}
																					BgL_arg1583z00_2010 =
																						MAKE_YOUNG_PAIR(BgL_arg1586z00_2013,
																						BNIL);
																				}
																				BgL_arg1581z00_2008 =
																					MAKE_YOUNG_PAIR(BgL_arg1582z00_2009,
																					BgL_arg1583z00_2010);
																			}
																			BgL_arg1578z00_2007 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						18)), BgL_arg1581z00_2008);
																		}
																		BgL_auxz00_2348 =
																			BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg1578z00_2007, BgL_locz00_1987);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1110z00_2002))->
																			BgL_bodyz00) =
																		((BgL_nodez00_bglt) BgL_auxz00_2348),
																		BUNSPEC);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1110z00_2002))->
																		BgL_removablezf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																BgL_lnodez00_2001 = BgL_new1110z00_2002;
															}
															{	/* Tools/trace.sch 53 */

																{	/* Tools/trace.sch 53 */
																	BgL_refz00_bglt BgL_arg1563z00_2022;

																	{	/* Tools/trace.sch 53 */
																		BgL_refz00_bglt BgL_new1112z00_2023;

																		{	/* Tools/trace.sch 53 */
																			BgL_refz00_bglt BgL_new1111z00_2024;

																			BgL_new1111z00_2024 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Tools/trace.sch 53 */
																				long BgL_arg1567z00_2025;

																				BgL_arg1567z00_2025 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1111z00_2024),
																					BgL_arg1567z00_2025);
																			}
																			{	/* Tools/trace.sch 53 */
																				BgL_objectz00_bglt BgL_tmpz00_2382;

																				BgL_tmpz00_2382 =
																					((BgL_objectz00_bglt)
																					BgL_new1111z00_2024);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2382,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1111z00_2024);
																			BgL_new1112z00_2023 = BgL_new1111z00_2024;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1112z00_2023)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1987), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_2388;

																			{	/* Tools/trace.sch 53 */
																				BgL_typez00_bglt BgL_arg1564z00_2026;

																				BgL_arg1564z00_2026 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_funz00_1986)))->
																					BgL_typez00);
																				BgL_auxz00_2388 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_arg1564z00_2026,
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00));
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1112z00_2023)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_2388),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_new1112z00_2023)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_funz00_1986)), BUNSPEC);
																		BgL_arg1563z00_2022 = BgL_new1112z00_2023;
																	}
																	((((BgL_funcallz00_bglt) COBJECT(
																					((BgL_funcallz00_bglt)
																						BgL_nodez00_1955)))->BgL_funz00) =
																		((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																				BgL_arg1563z00_2022)), BUNSPEC);
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_lnodez00_2001));
																return ((BgL_nodez00_bglt) BgL_lnodez00_2001);
															}
														}
													}
												}
											}
										}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string1806z00zzcoerce_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
