/*===========================================================================*/
/*   (Coerce/walk.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_walkz00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_walkz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zzcoerce_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzcoerce_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00();
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_walkz00();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62coercezd2walkz12za2zzcoerce_walkz00(obj_t, obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string1500z00zzcoerce_walkz00,
		BgL_bgl_string1500za700za7za7c1521za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1501z00zzcoerce_walkz00,
		BgL_bgl_string1501za700za7za7c1522za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1503z00zzcoerce_walkz00,
		BgL_bgl_string1503za700za7za7c1523za7, "      type tests introduced: ", 29);
	      DEFINE_STRING(BGl_string1504z00zzcoerce_walkz00,
		BgL_bgl_string1504za700za7za7c1524za7, " error", 6);
	      DEFINE_STRING(BGl_string1505z00zzcoerce_walkz00,
		BgL_bgl_string1505za700za7za7c1525za7, "s", 1);
	      DEFINE_STRING(BGl_string1506z00zzcoerce_walkz00,
		BgL_bgl_string1506za700za7za7c1526za7, "", 0);
	      DEFINE_STRING(BGl_string1507z00zzcoerce_walkz00,
		BgL_bgl_string1507za700za7za7c1527za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1508z00zzcoerce_walkz00,
		BgL_bgl_string1508za700za7za7c1528za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1509z00zzcoerce_walkz00,
		BgL_bgl_string1509za700za7za7c1529za7, "coerce_walk", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1502z00zzcoerce_walkz00,
		BgL_bgl_za762za7c3za704anonymo1530za7,
		BGl_z62zc3z04anonymousza31258ze3ze5zzcoerce_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1510z00zzcoerce_walkz00,
		BgL_bgl_string1510za700za7za7c1531za7, "export static coerce pass-started ",
		34);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_coercezd2walkz12zd2envz12zzcoerce_walkz00,
		BgL_bgl_za762coerceza7d2walk1532z00,
		BGl_z62coercezd2walkz12za2zzcoerce_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1499z00zzcoerce_walkz00,
		BgL_bgl_string1499za700za7za7c1533za7, "Coercions & Checks", 18);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcoerce_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long
		BgL_checksumz00_1707, char *BgL_fromz00_1708)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_walkz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00();
					BGl_cnstzd2initzd2zzcoerce_walkz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_walkz00();
					return BGl_methodzd2initzd2zzcoerce_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			{	/* Coerce/walk.scm 15 */
				obj_t BgL_cportz00_1679;

				{	/* Coerce/walk.scm 15 */
					obj_t BgL_stringz00_1687;

					BgL_stringz00_1687 = BGl_string1510z00zzcoerce_walkz00;
					{	/* Coerce/walk.scm 15 */
						obj_t BgL_startz00_1688;

						BgL_startz00_1688 = BINT(((long) 0));
						{	/* Coerce/walk.scm 15 */
							obj_t BgL_endz00_1689;

							BgL_endz00_1689 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1687)));
							{	/* Coerce/walk.scm 15 */

								BgL_cportz00_1679 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1687, BgL_startz00_1688, BgL_endz00_1689);
				}}}}
				{
					long BgL_iz00_1680;

					BgL_iz00_1680 = ((long) 3);
				BgL_loopz00_1681:
					if ((BgL_iz00_1680 == ((long) -1)))
						{	/* Coerce/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/walk.scm 15 */
							{	/* Coerce/walk.scm 15 */
								obj_t BgL_arg1520z00_1683;

								{	/* Coerce/walk.scm 15 */

									{	/* Coerce/walk.scm 15 */
										obj_t BgL_locationz00_1685;

										BgL_locationz00_1685 = BBOOL(((bool_t) 0));
										{	/* Coerce/walk.scm 15 */

											BgL_arg1520z00_1683 =
												BGl_readz00zz__readerz00(BgL_cportz00_1679,
												BgL_locationz00_1685);
										}
									}
								}
								{	/* Coerce/walk.scm 15 */
									int BgL_tmpz00_1737;

									BgL_tmpz00_1737 = (int) (BgL_iz00_1680);
									CNST_TABLE_SET(BgL_tmpz00_1737, BgL_arg1520z00_1683);
							}}
							{	/* Coerce/walk.scm 15 */
								int BgL_auxz00_1686;

								BgL_auxz00_1686 = (int) ((BgL_iz00_1680 - ((long) 1)));
								{
									long BgL_iz00_1742;

									BgL_iz00_1742 = (long) (BgL_auxz00_1686);
									BgL_iz00_1680 = BgL_iz00_1742;
									goto BgL_loopz00_1681;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* coerce-walk! */
	BGL_EXPORTED_DEF obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t
		BgL_astz00_3)
	{
		{	/* Coerce/walk.scm 35 */
			{	/* Coerce/walk.scm 36 */
				obj_t BgL_list1234z00_1353;

				{	/* Coerce/walk.scm 36 */
					obj_t BgL_arg1236z00_1354;

					{	/* Coerce/walk.scm 36 */
						obj_t BgL_arg1237z00_1355;

						BgL_arg1237z00_1355 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1236z00_1354 =
							MAKE_YOUNG_PAIR(BGl_string1499z00zzcoerce_walkz00,
							BgL_arg1237z00_1355);
					}
					BgL_list1234z00_1353 =
						MAKE_YOUNG_PAIR(BGl_string1500z00zzcoerce_walkz00,
						BgL_arg1236z00_1354);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1234z00_1353);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1499z00zzcoerce_walkz00;
			{	/* Coerce/walk.scm 36 */
				obj_t BgL_g1105z00_1356;

				BgL_g1105z00_1356 = BNIL;
				{
					obj_t BgL_hooksz00_1359;
					obj_t BgL_hnamesz00_1360;

					BgL_hooksz00_1359 = BgL_g1105z00_1356;
					BgL_hnamesz00_1360 = BNIL;
				BgL_zc3z04anonymousza31238ze3z87_1361:
					if (NULLP(BgL_hooksz00_1359))
						{	/* Coerce/walk.scm 36 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Coerce/walk.scm 36 */
							bool_t BgL_test1537z00_1755;

							{	/* Coerce/walk.scm 36 */
								obj_t BgL_fun1247z00_1368;

								BgL_fun1247z00_1368 = CAR(((obj_t) BgL_hooksz00_1359));
								BgL_test1537z00_1755 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1247z00_1368)
									(BgL_fun1247z00_1368, BEOA));
							}
							if (BgL_test1537z00_1755)
								{	/* Coerce/walk.scm 36 */
									obj_t BgL_arg1243z00_1365;
									obj_t BgL_arg1245z00_1366;

									BgL_arg1243z00_1365 = CDR(((obj_t) BgL_hooksz00_1359));
									BgL_arg1245z00_1366 = CDR(((obj_t) BgL_hnamesz00_1360));
									{
										obj_t BgL_hnamesz00_1767;
										obj_t BgL_hooksz00_1766;

										BgL_hooksz00_1766 = BgL_arg1243z00_1365;
										BgL_hnamesz00_1767 = BgL_arg1245z00_1366;
										BgL_hnamesz00_1360 = BgL_hnamesz00_1767;
										BgL_hooksz00_1359 = BgL_hooksz00_1766;
										goto BgL_zc3z04anonymousza31238ze3z87_1361;
									}
								}
							else
								{	/* Coerce/walk.scm 36 */
									obj_t BgL_arg1246z00_1367;

									BgL_arg1246z00_1367 = CAR(((obj_t) BgL_hnamesz00_1360));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1499z00zzcoerce_walkz00,
										BGl_string1501z00zzcoerce_walkz00, BgL_arg1246z00_1367);
								}
						}
				}
			}
			{
				obj_t BgL_l1224z00_1372;

				BgL_l1224z00_1372 = BgL_astz00_3;
			BgL_zc3z04anonymousza31249ze3z87_1373:
				if (PAIRP(BgL_l1224z00_1372))
					{	/* Coerce/walk.scm 37 */
						{	/* Coerce/walk.scm 38 */
							obj_t BgL_globalz00_1375;

							BgL_globalz00_1375 = CAR(BgL_l1224z00_1372);
							BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
							{	/* Coerce/walk.scm 39 */
								obj_t BgL_arg1253z00_1376;

								BgL_arg1253z00_1376 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1375))))->
									BgL_idz00);
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1253z00_1376);
							}
							{	/* Coerce/walk.scm 40 */
								bool_t BgL_arg1254z00_1377;

								if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
									{	/* Coerce/walk.scm 40 */
										BgL_arg1254z00_1377 = ((bool_t) 0);
									}
								else
									{	/* Coerce/walk.scm 40 */
										BgL_arg1254z00_1377 = ((bool_t) 1);
									}
								BGl_coercezd2functionz12zc0zzcoerce_coercez00(
									((BgL_variablez00_bglt) BgL_globalz00_1375),
									BgL_arg1254z00_1377);
							}
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l1224z00_1784;

							BgL_l1224z00_1784 = CDR(BgL_l1224z00_1372);
							BgL_l1224z00_1372 = BgL_l1224z00_1784;
							goto BgL_zc3z04anonymousza31249ze3z87_1373;
						}
					}
				else
					{	/* Coerce/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1502z00zzcoerce_walkz00,
				BNIL);
			{	/* Coerce/walk.scm 49 */
				obj_t BgL_arg1295z00_1397;

				BgL_arg1295z00_1397 = BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
				{	/* Coerce/walk.scm 49 */
					obj_t BgL_list1296z00_1398;

					{	/* Coerce/walk.scm 49 */
						obj_t BgL_arg1297z00_1399;

						{	/* Coerce/walk.scm 49 */
							obj_t BgL_arg1298z00_1400;

							BgL_arg1298z00_1400 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1297z00_1399 =
								MAKE_YOUNG_PAIR(BgL_arg1295z00_1397, BgL_arg1298z00_1400);
						}
						BgL_list1296z00_1398 =
							MAKE_YOUNG_PAIR(BGl_string1503z00zzcoerce_walkz00,
							BgL_arg1297z00_1399);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1296z00_1398);
			}}
			{	/* Coerce/walk.scm 50 */
				obj_t BgL_valuez00_1401;

				BgL_valuez00_1401 =
					BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
					BgL_astz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Coerce/walk.scm 50 */
						{	/* Coerce/walk.scm 50 */
							obj_t BgL_port1226z00_1403;

							{	/* Coerce/walk.scm 50 */
								obj_t BgL_tmpz00_1800;

								BgL_tmpz00_1800 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1226z00_1403 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1800);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1226z00_1403);
							bgl_display_string(BGl_string1504z00zzcoerce_walkz00,
								BgL_port1226z00_1403);
							{	/* Coerce/walk.scm 50 */
								obj_t BgL_arg1301z00_1404;

								{	/* Coerce/walk.scm 50 */
									bool_t BgL_test1541z00_1805;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Coerce/walk.scm 50 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Coerce/walk.scm 50 */
													BgL_test1541z00_1805 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Coerce/walk.scm 50 */
													BgL_test1541z00_1805 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Coerce/walk.scm 50 */
											BgL_test1541z00_1805 = ((bool_t) 0);
										}
									if (BgL_test1541z00_1805)
										{	/* Coerce/walk.scm 50 */
											BgL_arg1301z00_1404 = BGl_string1505z00zzcoerce_walkz00;
										}
									else
										{	/* Coerce/walk.scm 50 */
											BgL_arg1301z00_1404 = BGl_string1506z00zzcoerce_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1301z00_1404, BgL_port1226z00_1403);
							}
							bgl_display_string(BGl_string1507z00zzcoerce_walkz00,
								BgL_port1226z00_1403);
							bgl_display_char(((unsigned char) 10), BgL_port1226z00_1403);
						}
						{	/* Coerce/walk.scm 50 */
							obj_t BgL_list1305z00_1410;

							BgL_list1305z00_1410 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1305z00_1410);
						}
					}
				else
					{	/* Coerce/walk.scm 50 */
						obj_t BgL_g1108z00_1411;

						BgL_g1108z00_1411 = BNIL;
						{
							obj_t BgL_hooksz00_1414;
							obj_t BgL_hnamesz00_1415;

							BgL_hooksz00_1414 = BgL_g1108z00_1411;
							BgL_hnamesz00_1415 = BNIL;
						BgL_zc3z04anonymousza31306ze3z87_1416:
							if (NULLP(BgL_hooksz00_1414))
								{	/* Coerce/walk.scm 50 */
									return BgL_valuez00_1401;
								}
							else
								{	/* Coerce/walk.scm 50 */
									bool_t BgL_test1546z00_1822;

									{	/* Coerce/walk.scm 50 */
										obj_t BgL_fun1314z00_1423;

										BgL_fun1314z00_1423 = CAR(((obj_t) BgL_hooksz00_1414));
										BgL_test1546z00_1822 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun1314z00_1423)
											(BgL_fun1314z00_1423, BEOA));
									}
									if (BgL_test1546z00_1822)
										{	/* Coerce/walk.scm 50 */
											obj_t BgL_arg1310z00_1420;
											obj_t BgL_arg1311z00_1421;

											BgL_arg1310z00_1420 = CDR(((obj_t) BgL_hooksz00_1414));
											BgL_arg1311z00_1421 = CDR(((obj_t) BgL_hnamesz00_1415));
											{
												obj_t BgL_hnamesz00_1834;
												obj_t BgL_hooksz00_1833;

												BgL_hooksz00_1833 = BgL_arg1310z00_1420;
												BgL_hnamesz00_1834 = BgL_arg1311z00_1421;
												BgL_hnamesz00_1415 = BgL_hnamesz00_1834;
												BgL_hooksz00_1414 = BgL_hooksz00_1833;
												goto BgL_zc3z04anonymousza31306ze3z87_1416;
											}
										}
									else
										{	/* Coerce/walk.scm 50 */
											obj_t BgL_arg1313z00_1422;

											BgL_arg1313z00_1422 = CAR(((obj_t) BgL_hnamesz00_1415));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1508z00zzcoerce_walkz00, BgL_arg1313z00_1422);
										}
								}
						}
					}
			}
		}

	}



/* &coerce-walk! */
	obj_t BGl_z62coercezd2walkz12za2zzcoerce_walkz00(obj_t BgL_envz00_1675,
		obj_t BgL_astz00_1676)
	{
		{	/* Coerce/walk.scm 35 */
			return BGl_coercezd2walkz12zc0zzcoerce_walkz00(BgL_astz00_1676);
		}

	}



/* &<@anonymous:1258> */
	obj_t BGl_z62zc3z04anonymousza31258ze3ze5zzcoerce_walkz00(obj_t
		BgL_envz00_1677, obj_t BgL_globalz00_1678)
	{
		{	/* Coerce/walk.scm 44 */
			{	/* Coerce/walk.scm 45 */
				bool_t BgL_test1547z00_1839;

				{	/* Coerce/walk.scm 45 */
					bool_t BgL_test1549z00_1840;

					{	/* Coerce/walk.scm 45 */
						BgL_valuez00_bglt BgL_arg1284z00_1691;

						BgL_arg1284z00_1691 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_1678))))->BgL_valuez00);
						{	/* Coerce/walk.scm 45 */
							obj_t BgL_classz00_1692;

							BgL_classz00_1692 = BGl_funz00zzast_varz00;
							{	/* Coerce/walk.scm 45 */
								BgL_objectz00_bglt BgL_arg1825z00_1693;

								{	/* Coerce/walk.scm 45 */
									obj_t BgL_tmpz00_1844;

									BgL_tmpz00_1844 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1284z00_1691));
									BgL_arg1825z00_1693 = (BgL_objectz00_bglt) (BgL_tmpz00_1844);
								}
								{	/* Coerce/walk.scm 45 */
									bool_t BgL_arg1822z00_1694;
									bool_t BgL_arg1823z00_1695;

									{	/* Coerce/walk.scm 45 */
										long BgL_idxz00_1696;

										BgL_idxz00_1696 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1693);
										BgL_arg1822z00_1694 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_1696 + ((long) 2))) == BgL_classz00_1692);
									}
									{	/* Coerce/walk.scm 45 */
										bool_t BgL_res1496z00_1699;

										{	/* Coerce/walk.scm 45 */
											obj_t BgL_oclassz00_1700;

											{	/* Coerce/walk.scm 45 */
												long BgL_arg1833z00_1701;

												{	/* Coerce/walk.scm 45 */
													long BgL_arg1834z00_1702;

													BgL_arg1834z00_1702 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1693);
													BgL_arg1833z00_1701 =
														(BgL_arg1834z00_1702 - OBJECT_TYPE);
												}
												BgL_oclassz00_1700 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_1701);
											}
											{	/* Coerce/walk.scm 45 */
												bool_t BgL__ortest_1110z00_1703;

												BgL__ortest_1110z00_1703 =
													(BgL_classz00_1692 == BgL_oclassz00_1700);
												if (BgL__ortest_1110z00_1703)
													{	/* Coerce/walk.scm 45 */
														BgL_res1496z00_1699 = BgL__ortest_1110z00_1703;
													}
												else
													{	/* Coerce/walk.scm 45 */
														long BgL_odepthz00_1704;

														BgL_odepthz00_1704 =
															BGL_CLASS_DEPTH(BgL_oclassz00_1700);
														if ((((long) 2) < BgL_odepthz00_1704))
															{	/* Coerce/walk.scm 45 */
																obj_t BgL_arg1821z00_1705;

																BgL_arg1821z00_1705 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1700,
																	((long) 2));
																BgL_res1496z00_1699 =
																	(BgL_arg1821z00_1705 == BgL_classz00_1692);
															}
														else
															{	/* Coerce/walk.scm 45 */
																BgL_res1496z00_1699 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_1695 = BgL_res1496z00_1699;
									}
									BgL_test1549z00_1840 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_1694, BgL_arg1823z00_1695);
								}
							}
						}
					}
					if (BgL_test1549z00_1840)
						{	/* Coerce/walk.scm 45 */
							BgL_test1547z00_1839 = ((bool_t) 0);
						}
					else
						{	/* Coerce/walk.scm 46 */
							bool_t BgL__ortest_1107z00_1706;

							BgL__ortest_1107z00_1706 =
								(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_1678)))->
									BgL_importz00) == CNST_TABLE_REF(((long) 2)));
							if (BgL__ortest_1107z00_1706)
								{	/* Coerce/walk.scm 46 */
									BgL_test1547z00_1839 = BgL__ortest_1107z00_1706;
								}
							else
								{	/* Coerce/walk.scm 46 */
									BgL_test1547z00_1839 =
										(
										(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_globalz00_1678)))->
											BgL_importz00) == CNST_TABLE_REF(((long) 3)));
				}}}
				if (BgL_test1547z00_1839)
					{	/* Coerce/walk.scm 45 */
						return
							BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
							((BgL_variablez00_bglt) BgL_globalz00_1678));
					}
				else
					{	/* Coerce/walk.scm 45 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00()
	{
		{	/* Coerce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string1509z00zzcoerce_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
