/*===========================================================================*/
/*   (Effect/feffect.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/feffect.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_feffectz00 = BUNSPEC;
	static BgL_feffectz00_bglt
		BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1296z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_feffectz00_bglt BGl_za2effectzd2topza2zd2zzeffect_feffectz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1314z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1286z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1306za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t, obj_t);
	static obj_t BGl_mergez12ze70zf5zzeffect_feffectz00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_feffectz00();
	static obj_t BGl_objectzd2initzd2zzeffect_feffectz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1312z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bodyzd2effectz121283za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_feffectz00();
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1304za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1300z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sync1316z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	static obj_t BGl_mergezd2callerz12ze70z27zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1320za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1326za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1294z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31622ze3ze5zzeffect_feffectz00(obj_t);
	static BgL_feffectz00_bglt
		BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1322z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1292z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1324z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_feffectz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00();
	static obj_t BGl_gczd2rootszd2initz00zzeffect_feffectz00();
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1290z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62objectzd2displayzd2feffe1282z62zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt,
		BgL_feffectz00_bglt);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2patch1288z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2switch1298z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21302z70zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1310za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1318z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1308za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1328za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[6];


	BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_parsezd2effectzd2envz00zzeffect_feffectz00,
		BgL_bgl_za762parseza7d2effec2014z00,
		BGl_z62parsezd2effectzb0zzeffect_feffectz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1979z00zzeffect_feffectz00,
		BgL_bgl_string1979za700za7za7e2015za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1980z00zzeffect_feffectz00,
		BgL_bgl_string1980za700za7za7e2016za7, "Illegal `effect' pragma", 23);
	      DEFINE_STRING(BGl_string1982z00zzeffect_feffectz00,
		BgL_bgl_string1982za700za7za7e2017za7, "body-effect!1283", 16);
	      DEFINE_STRING(BGl_string1983z00zzeffect_feffectz00,
		BgL_bgl_string1983za700za7za7e2018za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1985z00zzeffect_feffectz00,
		BgL_bgl_string1985za700za7za7e2019za7, "object-display", 14);
	      DEFINE_STRING(BGl_string1987z00zzeffect_feffectz00,
		BgL_bgl_string1987za700za7za7e2020za7, "body-effect!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2021z00,
		BGl_z62bodyzd2effectz121283za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzeffect_feffectz00,
		BgL_bgl_za762objectza7d2disp2022z00, va_generic_entry,
		BGl_z62objectzd2displayzd2feffe1282z62zzeffect_feffectz00, BUNSPEC, -2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2023z00,
		BGl_z62bodyzd2effectz12zd2atom1286z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2024z00,
		BGl_z62bodyzd2effectz12zd2patch1288z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2025z00,
		BGl_z62bodyzd2effectz12zd2kwote1290z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2026z00,
		BGl_z62bodyzd2effectz12zd2var1292z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2027z00,
		BGl_z62bodyzd2effectz12zd2setq1294z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2028z00,
		BGl_z62bodyzd2effectz12zd2conditi1296z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2029z00,
		BGl_z62bodyzd2effectz12zd2switch1298z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2030z00,
		BGl_z62bodyzd2effectz12zd2fail1300z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2031z00,
		BGl_z62bodyzd2effectz12zd2setzd2exzd21302z70zzeffect_feffectz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2032z00,
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1304za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2033z00,
		BGl_z62bodyzd2effectz12zd2makezd2bo1306za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2034z00,
		BGl_z62bodyzd2effectz12zd2boxzd2ref1308za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2035z00,
		BGl_z62bodyzd2effectz12zd2boxzd2set1310za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2036z00,
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2009z00zzeffect_feffectz00,
		BgL_bgl_string2009za700za7za7e2037za7, "#|feffect: ~a ~a|", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2038z00,
		BGl_z62bodyzd2effectz12zd2cast1312z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2039z00,
		BGl_z62bodyzd2effectz12zd2sequenc1314z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2040z00,
		BGl_z62bodyzd2effectz12zd2sync1316z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2041z00,
		BGl_z62bodyzd2effectz12zd2funcall1318z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2010z00zzeffect_feffectz00,
		BgL_bgl_string2010za700za7za7e2042za7, "effect_feffect", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2043z00,
		BGl_z62bodyzd2effectz12zd2appzd2ly1320za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2011z00zzeffect_feffectz00,
		BgL_bgl_string2011za700za7za7e2044za7,
		"body-effect!1283 (static export) write read (memory) top ", 57);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2045z00,
		BGl_z62bodyzd2effectz12zd2app1322z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2046z00,
		BGl_z62bodyzd2effectz12zd2extern1324z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2047z00,
		BGl_z62bodyzd2effectz12zd2letzd2fun1326za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2048z00,
		BGl_z62bodyzd2effectz12zd2letzd2var1328za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectz12zd2envzc0zzeffect_feffectz00,
		BgL_bgl_za762feffectza712za7702049za7,
		BGl_z62feffectz12z70zzeffect_feffectz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_feffectz00));
		     ADD_ROOT((void
				*) (&BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
		     ADD_ROOT((void *) (&BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long
		BgL_checksumz00_3011, char *BgL_fromz00_3012)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_feffectz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_feffectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_feffectz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_cnstzd2initzd2zzeffect_feffectz00();
					BGl_importedzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_genericzd2initzd2zzeffect_feffectz00();
					BGl_methodzd2initzd2zzeffect_feffectz00();
					return BGl_toplevelzd2initzd2zzeffect_feffectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_feffect");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 16 */
				obj_t BgL_cportz00_2885;

				{	/* Effect/feffect.scm 16 */
					obj_t BgL_stringz00_2893;

					BgL_stringz00_2893 = BGl_string2011z00zzeffect_feffectz00;
					{	/* Effect/feffect.scm 16 */
						obj_t BgL_startz00_2894;

						BgL_startz00_2894 = BINT(((long) 0));
						{	/* Effect/feffect.scm 16 */
							obj_t BgL_endz00_2895;

							BgL_endz00_2895 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2893)));
							{	/* Effect/feffect.scm 16 */

								BgL_cportz00_2885 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2893, BgL_startz00_2894, BgL_endz00_2895);
				}}}}
				{
					long BgL_iz00_2886;

					BgL_iz00_2886 = ((long) 5);
				BgL_loopz00_2887:
					if ((BgL_iz00_2886 == ((long) -1)))
						{	/* Effect/feffect.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Effect/feffect.scm 16 */
							{	/* Effect/feffect.scm 16 */
								obj_t BgL_arg2013z00_2889;

								{	/* Effect/feffect.scm 16 */

									{	/* Effect/feffect.scm 16 */
										obj_t BgL_locationz00_2891;

										BgL_locationz00_2891 = BBOOL(((bool_t) 0));
										{	/* Effect/feffect.scm 16 */

											BgL_arg2013z00_2889 =
												BGl_readz00zz__readerz00(BgL_cportz00_2885,
												BgL_locationz00_2891);
										}
									}
								}
								{	/* Effect/feffect.scm 16 */
									int BgL_tmpz00_3044;

									BgL_tmpz00_3044 = (int) (BgL_iz00_2886);
									CNST_TABLE_SET(BgL_tmpz00_3044, BgL_arg2013z00_2889);
							}}
							{	/* Effect/feffect.scm 16 */
								int BgL_auxz00_2892;

								BgL_auxz00_2892 = (int) ((BgL_iz00_2886 - ((long) 1)));
								{
									long BgL_iz00_3049;

									BgL_iz00_3049 = (long) (BgL_auxz00_2892);
									BgL_iz00_2886 = BgL_iz00_3049;
									goto BgL_loopz00_2887;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 72 */
				BgL_feffectz00_bglt BgL_new1110z00_1533;

				{	/* Effect/feffect.scm 72 */
					BgL_feffectz00_bglt BgL_new1109z00_1534;

					BgL_new1109z00_1534 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 72 */
						long BgL_arg1331z00_1535;

						BgL_arg1331z00_1535 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1109z00_1534), BgL_arg1331z00_1535);
					}
					BgL_new1110z00_1533 = BgL_new1109z00_1534;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1110z00_1533))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1110z00_1533))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				BGl_za2effectzd2topza2zd2zzeffect_feffectz00 = BgL_new1110z00_1533;
			}
			{	/* Effect/feffect.scm 73 */
				BgL_feffectz00_bglt BgL_new1112z00_1536;

				{	/* Effect/feffect.scm 73 */
					BgL_feffectz00_bglt BgL_new1111z00_1537;

					BgL_new1111z00_1537 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 73 */
						long BgL_arg1332z00_1538;

						BgL_arg1332z00_1538 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1111z00_1537), BgL_arg1332z00_1538);
					}
					BgL_new1112z00_1536 = BgL_new1111z00_1537;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1112z00_1536))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1112z00_1536))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00 =
					BgL_new1112z00_1536;
			}
			{	/* Effect/feffect.scm 74 */
				BgL_feffectz00_bglt BgL_new1114z00_1539;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1113z00_1540;

					BgL_new1113z00_1540 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1333z00_1541;

						BgL_arg1333z00_1541 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1113z00_1540), BgL_arg1333z00_1541);
					}
					BgL_new1114z00_1539 = BgL_new1113z00_1540;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1114z00_1539))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1114z00_1539))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00 =
					BgL_new1114z00_1539;
			}
			return BUNSPEC;
		}

	}



/* feffect! */
	BGL_EXPORTED_DEF obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Effect/feffect.scm 32 */
			{
				obj_t BgL_l1254z00_1551;

				BgL_l1254z00_1551 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31340ze3z87_1552:
				if (PAIRP(BgL_l1254z00_1551))
					{	/* Effect/feffect.scm 33 */
						{	/* Effect/feffect.scm 33 */
							obj_t BgL_arg1343z00_1554;

							BgL_arg1343z00_1554 = CAR(BgL_l1254z00_1551);
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(
								((BgL_globalz00_bglt) BgL_arg1343z00_1554));
						}
						{
							obj_t BgL_l1254z00_3079;

							BgL_l1254z00_3079 = CDR(BgL_l1254z00_1551);
							BgL_l1254z00_1551 = BgL_l1254z00_3079;
							goto BgL_zc3z04anonymousza31340ze3z87_1552;
						}
					}
				else
					{	/* Effect/feffect.scm 33 */
						((bool_t) 1);
					}
			}
			return
				BBOOL(BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00
				(BgL_globalsz00_3));
		}

	}



/* &feffect! */
	obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t BgL_envz00_2764,
		obj_t BgL_globalsz00_2765)
	{
		{	/* Effect/feffect.scm 32 */
			return BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_2765);
		}

	}



/* feffect-fix-point! */
	bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_4)
	{
		{	/* Effect/feffect.scm 39 */
			{	/* Effect/feffect.scm 40 */
				struct bgl_cell BgL_box2053_2882z00;
				obj_t BgL_changedz00_2882;

				BgL_changedz00_2882 = MAKE_CELL_STACK(BTRUE, BgL_box2053_2882z00);
				{
					obj_t BgL_varz00_1569;

					{

					BgL_zc3z04anonymousza31348ze3z87_1560:
						if (CBOOL(CELL_REF(BgL_changedz00_2882)))
							{	/* Effect/feffect.scm 54 */
								{	/* Effect/feffect.scm 56 */
									obj_t BgL_auxz00_2883;

									BgL_auxz00_2883 = BFALSE;
									CELL_SET(BgL_changedz00_2882, BgL_auxz00_2883);
								}
								{
									obj_t BgL_l1262z00_1562;

									BgL_l1262z00_1562 = BgL_globalsz00_4;
								BgL_zc3z04anonymousza31349ze3z87_1563:
									if (PAIRP(BgL_l1262z00_1562))
										{	/* Effect/feffect.scm 57 */
											BgL_varz00_1569 = CAR(BgL_l1262z00_1562);
											{	/* Effect/feffect.scm 47 */

												{	/* Effect/feffect.scm 49 */
													bool_t BgL_test2056z00_3088;

													{	/* Effect/feffect.scm 49 */
														obj_t BgL_classz00_2151;

														BgL_classz00_2151 =
															BGl_localzf2fromzf2zzeffect_cgraphz00;
														if (BGL_OBJECTP(BgL_varz00_1569))
															{	/* Effect/feffect.scm 49 */
																BgL_objectz00_bglt BgL_arg1825z00_2153;

																BgL_arg1825z00_2153 =
																	(BgL_objectz00_bglt) (BgL_varz00_1569);
																{	/* Effect/feffect.scm 49 */
																	bool_t BgL_arg1822z00_2156;
																	bool_t BgL_arg1823z00_2157;

																	{	/* Effect/feffect.scm 49 */
																		long BgL_idxz00_2160;

																		BgL_idxz00_2160 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2153);
																		BgL_arg1822z00_2156 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2160 + ((long) 3))) ==
																			BgL_classz00_2151);
																	}
																	{	/* Effect/feffect.scm 49 */
																		bool_t BgL_res1893z00_2182;

																		{	/* Effect/feffect.scm 49 */
																			obj_t BgL_oclassz00_2168;

																			{	/* Effect/feffect.scm 49 */
																				long BgL_arg1833z00_2174;

																				{	/* Effect/feffect.scm 49 */
																					long BgL_arg1834z00_2175;

																					BgL_arg1834z00_2175 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2153);
																					BgL_arg1833z00_2174 =
																						(BgL_arg1834z00_2175 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2168 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2174);
																			}
																			{	/* Effect/feffect.scm 49 */
																				bool_t BgL__ortest_1110z00_2169;

																				BgL__ortest_1110z00_2169 =
																					(BgL_classz00_2151 ==
																					BgL_oclassz00_2168);
																				if (BgL__ortest_1110z00_2169)
																					{	/* Effect/feffect.scm 49 */
																						BgL_res1893z00_2182 =
																							BgL__ortest_1110z00_2169;
																					}
																				else
																					{	/* Effect/feffect.scm 49 */
																						long BgL_odepthz00_2170;

																						BgL_odepthz00_2170 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2168);
																						if ((((long) 3) <
																								BgL_odepthz00_2170))
																							{	/* Effect/feffect.scm 49 */
																								obj_t BgL_arg1821z00_2172;

																								BgL_arg1821z00_2172 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2168,
																									((long) 3));
																								BgL_res1893z00_2182 =
																									(BgL_arg1821z00_2172 ==
																									BgL_classz00_2151);
																							}
																						else
																							{	/* Effect/feffect.scm 49 */
																								BgL_res1893z00_2182 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2157 = BgL_res1893z00_2182;
																	}
																	BgL_test2056z00_3088 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2156,
																		BgL_arg1823z00_2157);
																}
															}
														else
															{	/* Effect/feffect.scm 49 */
																BgL_test2056z00_3088 = ((bool_t) 0);
															}
													}
													if (BgL_test2056z00_3088)
														{	/* Effect/feffect.scm 50 */
															obj_t BgL_g1258z00_1574;

															{
																BgL_localzf2fromzf2_bglt BgL_auxz00_3107;

																{
																	obj_t BgL_auxz00_3108;

																	{	/* Effect/feffect.scm 50 */
																		BgL_objectz00_bglt BgL_tmpz00_3109;

																		BgL_tmpz00_3109 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_1569));
																		BgL_auxz00_3108 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3109);
																	}
																	BgL_auxz00_3107 =
																		((BgL_localzf2fromzf2_bglt)
																		BgL_auxz00_3108);
																}
																BgL_g1258z00_1574 =
																	(((BgL_localzf2fromzf2_bglt)
																		COBJECT(BgL_auxz00_3107))->BgL_fromz00);
															}
															{
																obj_t BgL_l1256z00_1576;

																BgL_l1256z00_1576 = BgL_g1258z00_1574;
															BgL_zc3z04anonymousza31360ze3z87_1577:
																if (PAIRP(BgL_l1256z00_1576))
																	{	/* Effect/feffect.scm 50 */
																		BGl_mergezd2callerz12ze70z27zzeffect_feffectz00
																			(BgL_changedz00_2882, BgL_varz00_1569,
																			CAR(BgL_l1256z00_1576));
																		{
																			obj_t BgL_l1256z00_3119;

																			BgL_l1256z00_3119 =
																				CDR(BgL_l1256z00_1576);
																			BgL_l1256z00_1576 = BgL_l1256z00_3119;
																			goto
																				BgL_zc3z04anonymousza31360ze3z87_1577;
																		}
																	}
																else
																	{	/* Effect/feffect.scm 50 */
																		((bool_t) 1);
																	}
															}
														}
													else
														{	/* Effect/feffect.scm 51 */
															bool_t BgL_test2061z00_3121;

															{	/* Effect/feffect.scm 51 */
																obj_t BgL_classz00_2187;

																BgL_classz00_2187 =
																	BGl_globalzf2fromzf2zzeffect_cgraphz00;
																if (BGL_OBJECTP(BgL_varz00_1569))
																	{	/* Effect/feffect.scm 51 */
																		BgL_objectz00_bglt BgL_arg1825z00_2189;

																		BgL_arg1825z00_2189 =
																			(BgL_objectz00_bglt) (BgL_varz00_1569);
																		{	/* Effect/feffect.scm 51 */
																			bool_t BgL_arg1822z00_2192;
																			bool_t BgL_arg1823z00_2193;

																			{	/* Effect/feffect.scm 51 */
																				long BgL_idxz00_2196;

																				BgL_idxz00_2196 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2189);
																				BgL_arg1822z00_2192 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2196 + ((long) 3))) ==
																					BgL_classz00_2187);
																			}
																			{	/* Effect/feffect.scm 51 */
																				bool_t BgL_res1894z00_2218;

																				{	/* Effect/feffect.scm 51 */
																					obj_t BgL_oclassz00_2204;

																					{	/* Effect/feffect.scm 51 */
																						long BgL_arg1833z00_2210;

																						{	/* Effect/feffect.scm 51 */
																							long BgL_arg1834z00_2211;

																							BgL_arg1834z00_2211 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2189);
																							BgL_arg1833z00_2210 =
																								(BgL_arg1834z00_2211 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2204 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2210);
																					}
																					{	/* Effect/feffect.scm 51 */
																						bool_t BgL__ortest_1110z00_2205;

																						BgL__ortest_1110z00_2205 =
																							(BgL_classz00_2187 ==
																							BgL_oclassz00_2204);
																						if (BgL__ortest_1110z00_2205)
																							{	/* Effect/feffect.scm 51 */
																								BgL_res1894z00_2218 =
																									BgL__ortest_1110z00_2205;
																							}
																						else
																							{	/* Effect/feffect.scm 51 */
																								long BgL_odepthz00_2206;

																								BgL_odepthz00_2206 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2204);
																								if ((((long) 3) <
																										BgL_odepthz00_2206))
																									{	/* Effect/feffect.scm 51 */
																										obj_t BgL_arg1821z00_2208;

																										BgL_arg1821z00_2208 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2204,
																											((long) 3));
																										BgL_res1894z00_2218 =
																											(BgL_arg1821z00_2208 ==
																											BgL_classz00_2187);
																									}
																								else
																									{	/* Effect/feffect.scm 51 */
																										BgL_res1894z00_2218 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2193 =
																					BgL_res1894z00_2218;
																			}
																			BgL_test2061z00_3121 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2192,
																				BgL_arg1823z00_2193);
																		}
																	}
																else
																	{	/* Effect/feffect.scm 51 */
																		BgL_test2061z00_3121 = ((bool_t) 0);
																	}
															}
															if (BgL_test2061z00_3121)
																{	/* Effect/feffect.scm 52 */
																	obj_t BgL_g1261z00_1583;

																	{
																		BgL_globalzf2fromzf2_bglt BgL_auxz00_3140;

																		{
																			obj_t BgL_auxz00_3141;

																			{	/* Effect/feffect.scm 52 */
																				BgL_objectz00_bglt BgL_tmpz00_3142;

																				BgL_tmpz00_3142 =
																					((BgL_objectz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_1569));
																				BgL_auxz00_3141 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3142);
																			}
																			BgL_auxz00_3140 =
																				((BgL_globalzf2fromzf2_bglt)
																				BgL_auxz00_3141);
																		}
																		BgL_g1261z00_1583 =
																			(((BgL_globalzf2fromzf2_bglt)
																				COBJECT(BgL_auxz00_3140))->BgL_fromz00);
																	}
																	{
																		obj_t BgL_l1259z00_1585;

																		BgL_l1259z00_1585 = BgL_g1261z00_1583;
																	BgL_zc3z04anonymousza31366ze3z87_1586:
																		if (PAIRP(BgL_l1259z00_1585))
																			{	/* Effect/feffect.scm 52 */
																				BGl_mergezd2callerz12ze70z27zzeffect_feffectz00
																					(BgL_changedz00_2882, BgL_varz00_1569,
																					CAR(BgL_l1259z00_1585));
																				{
																					obj_t BgL_l1259z00_3152;

																					BgL_l1259z00_3152 =
																						CDR(BgL_l1259z00_1585);
																					BgL_l1259z00_1585 = BgL_l1259z00_3152;
																					goto
																						BgL_zc3z04anonymousza31366ze3z87_1586;
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 52 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Effect/feffect.scm 51 */
																	((bool_t) 0);
																}
														}
												}
											}
											{
												obj_t BgL_l1262z00_3155;

												BgL_l1262z00_3155 = CDR(BgL_l1262z00_1562);
												BgL_l1262z00_1562 = BgL_l1262z00_3155;
												goto BgL_zc3z04anonymousza31349ze3z87_1563;
											}
										}
									else
										{	/* Effect/feffect.scm 57 */
											((bool_t) 1);
										}
								}
								goto BgL_zc3z04anonymousza31348ze3z87_1560;
							}
						else
							{	/* Effect/feffect.scm 54 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* merge-caller!~0 */
	obj_t BGl_mergezd2callerz12ze70z27zzeffect_feffectz00(obj_t
		BgL_changedz00_2880, obj_t BgL_varz00_2879, obj_t BgL_fz00_1591)
	{
		{	/* Effect/feffect.scm 46 */
			{	/* Effect/feffect.scm 43 */
				obj_t BgL_efz00_1593;
				obj_t BgL_etz00_1594;

				BgL_efz00_1593 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_fz00_1591)))->
									BgL_valuez00))))->BgL_effectz00);
				BgL_etz00_1594 =
					(((BgL_funz00_bglt)
						COBJECT(((BgL_funz00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_2879)))->
									BgL_valuez00))))->BgL_effectz00);
				{	/* Effect/feffect.scm 45 */
					bool_t BgL_test2066z00_3165;

					{	/* Effect/feffect.scm 45 */
						obj_t BgL_objz00_2117;

						BgL_objz00_2117 = BgL_efz00_1593;
						{	/* Effect/feffect.scm 45 */
							obj_t BgL_classz00_2118;

							BgL_classz00_2118 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_objz00_2117))
								{	/* Effect/feffect.scm 45 */
									BgL_objectz00_bglt BgL_arg1825z00_2120;

									BgL_arg1825z00_2120 = (BgL_objectz00_bglt) (BgL_objz00_2117);
									{	/* Effect/feffect.scm 45 */
										bool_t BgL_arg1822z00_2123;
										bool_t BgL_arg1823z00_2124;

										{	/* Effect/feffect.scm 45 */
											long BgL_idxz00_2127;

											BgL_idxz00_2127 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2120);
											BgL_arg1822z00_2123 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2127 + ((long) 1))) == BgL_classz00_2118);
										}
										{	/* Effect/feffect.scm 45 */
											bool_t BgL_res1892z00_2149;

											{	/* Effect/feffect.scm 45 */
												obj_t BgL_oclassz00_2135;

												{	/* Effect/feffect.scm 45 */
													long BgL_arg1833z00_2141;

													{	/* Effect/feffect.scm 45 */
														long BgL_arg1834z00_2142;

														BgL_arg1834z00_2142 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2120);
														BgL_arg1833z00_2141 =
															(BgL_arg1834z00_2142 - OBJECT_TYPE);
													}
													BgL_oclassz00_2135 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2141);
												}
												{	/* Effect/feffect.scm 45 */
													bool_t BgL__ortest_1110z00_2136;

													BgL__ortest_1110z00_2136 =
														(BgL_classz00_2118 == BgL_oclassz00_2135);
													if (BgL__ortest_1110z00_2136)
														{	/* Effect/feffect.scm 45 */
															BgL_res1892z00_2149 = BgL__ortest_1110z00_2136;
														}
													else
														{	/* Effect/feffect.scm 45 */
															long BgL_odepthz00_2137;

															BgL_odepthz00_2137 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2135);
															if ((((long) 1) < BgL_odepthz00_2137))
																{	/* Effect/feffect.scm 45 */
																	obj_t BgL_arg1821z00_2139;

																	BgL_arg1821z00_2139 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2135,
																		((long) 1));
																	BgL_res1892z00_2149 =
																		(BgL_arg1821z00_2139 == BgL_classz00_2118);
																}
															else
																{	/* Effect/feffect.scm 45 */
																	BgL_res1892z00_2149 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2124 = BgL_res1892z00_2149;
										}
										BgL_test2066z00_3165 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2123,
											BgL_arg1823z00_2124);
									}
								}
							else
								{	/* Effect/feffect.scm 45 */
									BgL_test2066z00_3165 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2066z00_3165)
						{	/* Effect/feffect.scm 45 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 45 */
							BgL_efz00_1593 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				{	/* Effect/feffect.scm 46 */
					obj_t BgL_auxz00_2881;

					{	/* Effect/feffect.scm 46 */
						bool_t BgL__ortest_1107z00_1596;

						BgL__ortest_1107z00_1596 =
							BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_etz00_1594,
							BgL_efz00_1593);
						if (BgL__ortest_1107z00_1596)
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2881 = BBOOL(BgL__ortest_1107z00_1596);
							}
						else
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2881 = CELL_REF(BgL_changedz00_2880);
							}
					}
					return CELL_SET(BgL_changedz00_2880, BgL_auxz00_2881);
				}
			}
		}

	}



/* parse-effect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t BgL_propz00_7)
	{
		{	/* Effect/feffect.scm 79 */
			{	/* Effect/feffect.scm 80 */
				BgL_feffectz00_bglt BgL_ez00_1601;

				{	/* Effect/feffect.scm 80 */
					BgL_feffectz00_bglt BgL_new1117z00_1636;

					{	/* Ast/var.scm 179 */
						BgL_feffectz00_bglt BgL_new1115z00_1637;

						BgL_new1115z00_1637 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* Ast/var.scm 179 */
							long BgL_arg1500z00_1638;

							BgL_arg1500z00_1638 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1115z00_1637),
								BgL_arg1500z00_1638);
						}
						BgL_new1117z00_1636 = BgL_new1115z00_1637;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1117z00_1636))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1117z00_1636))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_ez00_1601 = BgL_new1117z00_1636;
				}
				{	/* Effect/feffect.scm 81 */
					obj_t BgL_g1118z00_1602;

					BgL_g1118z00_1602 = CDR(((obj_t) BgL_propz00_7));
					{
						obj_t BgL_vz00_1604;

						{
							obj_t BgL_auxz00_3196;

							BgL_vz00_1604 = BgL_g1118z00_1602;
						BgL_zc3z04anonymousza31382ze3z87_1605:
							if (NULLP(BgL_vz00_1604))
								{	/* Effect/feffect.scm 82 */
									BgL_auxz00_3196 = ((obj_t) BgL_ez00_1601);
								}
							else
								{

									{	/* Effect/feffect.scm 84 */
										obj_t BgL_ezd2362zd2_1612;

										BgL_ezd2362zd2_1612 = CAR(((obj_t) BgL_vz00_1604));
										if (PAIRP(BgL_ezd2362zd2_1612))
											{	/* Effect/feffect.scm 84 */
												obj_t BgL_cdrzd2367zd2_1614;

												BgL_cdrzd2367zd2_1614 = CDR(BgL_ezd2362zd2_1612);
												if (
													(CAR(BgL_ezd2362zd2_1612) ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Effect/feffect.scm 84 */
														if (PAIRP(BgL_cdrzd2367zd2_1614))
															{	/* Effect/feffect.scm 84 */
																if (NULLP(CDR(BgL_cdrzd2367zd2_1614)))
																	{	/* Effect/feffect.scm 84 */
																		obj_t BgL_arg1418z00_1620;

																		BgL_arg1418z00_1620 =
																			CAR(BgL_cdrzd2367zd2_1614);
																		((((BgL_feffectz00_bglt)
																					COBJECT(BgL_ez00_1601))->
																				BgL_readz00) =
																			((obj_t) BgL_arg1418z00_1620), BUNSPEC);
																		{	/* Effect/feffect.scm 87 */
																			obj_t BgL_arg1494z00_2240;

																			BgL_arg1494z00_2240 =
																				CDR(((obj_t) BgL_vz00_1604));
																			{
																				obj_t BgL_vz00_3218;

																				BgL_vz00_3218 = BgL_arg1494z00_2240;
																				BgL_vz00_1604 = BgL_vz00_3218;
																				goto
																					BgL_zc3z04anonymousza31382ze3z87_1605;
																			}
																		}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																	BgL_tagzd2361zd2_1611:
																		BgL_auxz00_3196 =
																			BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string1979z00zzeffect_feffectz00,
																			BGl_string1980z00zzeffect_feffectz00,
																			BgL_vz00_1604, BNIL);
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1611;
															}
													}
												else
													{	/* Effect/feffect.scm 84 */
														if (
															(CAR(BgL_ezd2362zd2_1612) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Effect/feffect.scm 84 */
																if (PAIRP(BgL_cdrzd2367zd2_1614))
																	{	/* Effect/feffect.scm 84 */
																		if (NULLP(CDR(BgL_cdrzd2367zd2_1614)))
																			{	/* Effect/feffect.scm 84 */
																				obj_t BgL_arg1456z00_1628;

																				BgL_arg1456z00_1628 =
																					CAR(BgL_cdrzd2367zd2_1614);
																				((((BgL_feffectz00_bglt)
																							COBJECT(BgL_ez00_1601))->
																						BgL_writez00) =
																					((obj_t) BgL_arg1456z00_1628),
																					BUNSPEC);
																				{	/* Effect/feffect.scm 90 */
																					obj_t BgL_arg1496z00_2247;

																					BgL_arg1496z00_2247 =
																						CDR(((obj_t) BgL_vz00_1604));
																					{
																						obj_t BgL_vz00_3233;

																						BgL_vz00_3233 = BgL_arg1496z00_2247;
																						BgL_vz00_1604 = BgL_vz00_3233;
																						goto
																							BgL_zc3z04anonymousza31382ze3z87_1605;
																					}
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 84 */
																				goto BgL_tagzd2361zd2_1611;
																			}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																		goto BgL_tagzd2361zd2_1611;
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1611;
															}
													}
											}
										else
											{	/* Effect/feffect.scm 84 */
												goto BgL_tagzd2361zd2_1611;
											}
									}
								}
							return ((BgL_feffectz00_bglt) BgL_auxz00_3196);
						}
					}
				}
			}
		}

	}



/* &parse-effect */
	BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t
		BgL_envz00_2766, obj_t BgL_propz00_2767)
	{
		{	/* Effect/feffect.scm 79 */
			return BGl_parsezd2effectzd2zzeffect_feffectz00(BgL_propz00_2767);
		}

	}



/* merge-effects! */
	bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t BgL_f1z00_8,
		obj_t BgL_f2z00_9)
	{
		{	/* Effect/feffect.scm 100 */
			{	/* Effect/feffect.scm 100 */
				struct bgl_cell BgL_box2079_2877z00;
				obj_t BgL_changedz00_2877;

				BgL_changedz00_2877 = MAKE_CELL_STACK(BFALSE, BgL_box2079_2877z00);
				{	/* Effect/feffect.scm 136 */
					obj_t BgL_arg1520z00_1642;

					{	/* Effect/feffect.scm 136 */
						obj_t BgL_arg1524z00_1643;
						obj_t BgL_arg1534z00_1644;

						BgL_arg1524z00_1643 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00);
						BgL_arg1534z00_1644 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_readz00);
						BgL_arg1520z00_1642 =
							BGl_mergez12ze70zf5zzeffect_feffectz00(BgL_changedz00_2877,
							BgL_arg1524z00_1643, BgL_arg1534z00_1644);
					}
					((((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00) =
						((obj_t) BgL_arg1520z00_1642), BUNSPEC);
				}
				{	/* Effect/feffect.scm 137 */
					obj_t BgL_arg1536z00_1645;

					{	/* Effect/feffect.scm 137 */
						obj_t BgL_arg1542z00_1646;
						obj_t BgL_arg1543z00_1647;

						BgL_arg1542z00_1646 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00);
						BgL_arg1543z00_1647 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_writez00);
						BgL_arg1536z00_1645 =
							BGl_mergez12ze70zf5zzeffect_feffectz00(BgL_changedz00_2877,
							BgL_arg1542z00_1646, BgL_arg1543z00_1647);
					}
					((((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00) =
						((obj_t) BgL_arg1536z00_1645), BUNSPEC);
				}
				return CBOOL(CELL_REF(BgL_changedz00_2877));
			}
		}

	}



/* merge!~0 */
	obj_t BGl_mergez12ze70zf5zzeffect_feffectz00(obj_t BgL_changedz00_2873,
		obj_t BgL_e1z00_1678, obj_t BgL_e2z00_1679)
	{
		{	/* Effect/feffect.scm 135 */
			{
				obj_t BgL_l1z00_1648;
				obj_t BgL_l2z00_1649;

				if ((BgL_e1z00_1678 == CNST_TABLE_REF(((long) 0))))
					{	/* Effect/feffect.scm 127 */
						return BgL_e1z00_1678;
					}
				else
					{	/* Effect/feffect.scm 127 */
						if (NULLP(BgL_e2z00_1679))
							{	/* Effect/feffect.scm 129 */
								return BgL_e1z00_1678;
							}
						else
							{	/* Effect/feffect.scm 129 */
								if ((BgL_e2z00_1679 == CNST_TABLE_REF(((long) 0))))
									{	/* Effect/feffect.scm 131 */
										{	/* Effect/feffect.scm 132 */
											obj_t BgL_auxz00_2874;

											BgL_auxz00_2874 = BTRUE;
											CELL_SET(BgL_changedz00_2873, BgL_auxz00_2874);
										}
										return CNST_TABLE_REF(((long) 0));
									}
								else
									{	/* Effect/feffect.scm 131 */
										BgL_l1z00_1648 = BgL_e1z00_1678;
										BgL_l2z00_1649 = BgL_e2z00_1679;
										if (NULLP(BgL_l1z00_1648))
											{	/* Effect/feffect.scm 104 */
												if (PAIRP(BgL_l2z00_1649))
													{	/* Effect/feffect.scm 106 */
														obj_t BgL_auxz00_2875;

														BgL_auxz00_2875 = BTRUE;
														CELL_SET(BgL_changedz00_2873, BgL_auxz00_2875);
													}
												else
													{	/* Effect/feffect.scm 105 */
														BFALSE;
													}
												return BgL_l2z00_1649;
											}
										else
											{	/* Effect/feffect.scm 104 */
												if (NULLP(BgL_l2z00_1649))
													{	/* Effect/feffect.scm 108 */
														return BgL_l1z00_1648;
													}
												else
													{	/* Effect/feffect.scm 111 */
														obj_t BgL_kz00_1654;

														{	/* Effect/feffect.scm 111 */

															{	/* Effect/feffect.scm 111 */

																BgL_kz00_1654 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														{
															obj_t BgL_l1264z00_1656;

															BgL_l1264z00_1656 = BgL_l1z00_1648;
														BgL_zc3z04anonymousza31548ze3z87_1657:
															if (PAIRP(BgL_l1264z00_1656))
																{	/* Effect/feffect.scm 112 */
																	BGl_putpropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1264z00_1656), BgL_kz00_1654, BTRUE);
																	{
																		obj_t BgL_l1264z00_3271;

																		BgL_l1264z00_3271 = CDR(BgL_l1264z00_1656);
																		BgL_l1264z00_1656 = BgL_l1264z00_3271;
																		goto BgL_zc3z04anonymousza31548ze3z87_1657;
																	}
																}
															else
																{	/* Effect/feffect.scm 112 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1266z00_1663;

															BgL_l1266z00_1663 = BgL_l2z00_1649;
														BgL_zc3z04anonymousza31552ze3z87_1664:
															if (PAIRP(BgL_l1266z00_1663))
																{	/* Effect/feffect.scm 115 */
																	{	/* Effect/feffect.scm 116 */
																		obj_t BgL_sz00_1666;

																		BgL_sz00_1666 = CAR(BgL_l1266z00_1663);
																		if (CBOOL
																			(BGl_getpropz00zz__r4_symbols_6_4z00
																				(BgL_sz00_1666, BgL_kz00_1654)))
																			{	/* Effect/feffect.scm 116 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/feffect.scm 116 */
																				{	/* Effect/feffect.scm 118 */
																					obj_t BgL_auxz00_2876;

																					BgL_auxz00_2876 = BTRUE;
																					CELL_SET(BgL_changedz00_2873,
																						BgL_auxz00_2876);
																				}
																				BgL_l1z00_1648 =
																					MAKE_YOUNG_PAIR(BgL_sz00_1666,
																					BgL_l1z00_1648);
																			}
																	}
																	{
																		obj_t BgL_l1266z00_3280;

																		BgL_l1266z00_3280 = CDR(BgL_l1266z00_1663);
																		BgL_l1266z00_1663 = BgL_l1266z00_3280;
																		goto BgL_zc3z04anonymousza31552ze3z87_1664;
																	}
																}
															else
																{	/* Effect/feffect.scm 115 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1268z00_1671;

															BgL_l1268z00_1671 = BgL_l1z00_1648;
														BgL_zc3z04anonymousza31556ze3z87_1672:
															if (PAIRP(BgL_l1268z00_1671))
																{	/* Effect/feffect.scm 121 */
																	BGl_rempropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1268z00_1671), BgL_kz00_1654);
																	{
																		obj_t BgL_l1268z00_3286;

																		BgL_l1268z00_3286 = CDR(BgL_l1268z00_1671);
																		BgL_l1268z00_1671 = BgL_l1268z00_3286;
																		goto BgL_zc3z04anonymousza31556ze3z87_1672;
																	}
																}
															else
																{	/* Effect/feffect.scm 121 */
																	((bool_t) 1);
																}
														}
														return BgL_l1z00_1648;
													}
											}
									}
							}
					}
			}
		}

	}



/* fun-effect! */
	BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t
		BgL_vz00_10)
	{
		{	/* Effect/feffect.scm 143 */
			{	/* Effect/feffect.scm 144 */
				bool_t BgL_test2090z00_3288;

				{	/* Effect/feffect.scm 144 */
					obj_t BgL_classz00_2263;

					BgL_classz00_2263 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_vz00_10))
						{	/* Effect/feffect.scm 144 */
							BgL_objectz00_bglt BgL_arg1825z00_2265;

							BgL_arg1825z00_2265 = (BgL_objectz00_bglt) (BgL_vz00_10);
							{	/* Effect/feffect.scm 144 */
								bool_t BgL_arg1822z00_2268;
								bool_t BgL_arg1823z00_2269;

								{	/* Effect/feffect.scm 144 */
									long BgL_idxz00_2272;

									BgL_idxz00_2272 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2265);
									BgL_arg1822z00_2268 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2272 + ((long) 2))) == BgL_classz00_2263);
								}
								{	/* Effect/feffect.scm 144 */
									bool_t BgL_res1895z00_2294;

									{	/* Effect/feffect.scm 144 */
										obj_t BgL_oclassz00_2280;

										{	/* Effect/feffect.scm 144 */
											long BgL_arg1833z00_2286;

											{	/* Effect/feffect.scm 144 */
												long BgL_arg1834z00_2287;

												BgL_arg1834z00_2287 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2265);
												BgL_arg1833z00_2286 =
													(BgL_arg1834z00_2287 - OBJECT_TYPE);
											}
											BgL_oclassz00_2280 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2286);
										}
										{	/* Effect/feffect.scm 144 */
											bool_t BgL__ortest_1110z00_2281;

											BgL__ortest_1110z00_2281 =
												(BgL_classz00_2263 == BgL_oclassz00_2280);
											if (BgL__ortest_1110z00_2281)
												{	/* Effect/feffect.scm 144 */
													BgL_res1895z00_2294 = BgL__ortest_1110z00_2281;
												}
											else
												{	/* Effect/feffect.scm 144 */
													long BgL_odepthz00_2282;

													BgL_odepthz00_2282 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2280);
													if ((((long) 2) < BgL_odepthz00_2282))
														{	/* Effect/feffect.scm 144 */
															obj_t BgL_arg1821z00_2284;

															BgL_arg1821z00_2284 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2280,
																((long) 2));
															BgL_res1895z00_2294 =
																(BgL_arg1821z00_2284 == BgL_classz00_2263);
														}
													else
														{	/* Effect/feffect.scm 144 */
															BgL_res1895z00_2294 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2269 = BgL_res1895z00_2294;
								}
								BgL_test2090z00_3288 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2268, BgL_arg1823z00_2269);
							}
						}
					else
						{	/* Effect/feffect.scm 144 */
							BgL_test2090z00_3288 = ((bool_t) 0);
						}
				}
				if (BgL_test2090z00_3288)
					{	/* Effect/feffect.scm 144 */
						return
							BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(
							((BgL_globalz00_bglt) BgL_vz00_10));
					}
				else
					{	/* Effect/feffect.scm 144 */
						return
							BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
							((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_vz00_10)));
					}
			}
		}

	}



/* fun-effect-global! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_11)
	{
		{	/* Effect/feffect.scm 151 */
			{	/* Effect/feffect.scm 152 */
				bool_t BgL_test2094z00_3312;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_globalz00_bglt) COBJECT(BgL_vz00_11))->BgL_importz00),
							CNST_TABLE_REF(((long) 4)))))
					{	/* Effect/feffect.scm 153 */
						bool_t BgL_test2096z00_3318;

						{	/* Effect/feffect.scm 153 */
							BgL_valuez00_bglt BgL_arg1585z00_1696;

							BgL_arg1585z00_1696 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_vz00_11)))->BgL_valuez00);
							{	/* Effect/feffect.scm 153 */
								obj_t BgL_classz00_2298;

								BgL_classz00_2298 = BGl_sfunz00zzast_varz00;
								{	/* Effect/feffect.scm 153 */
									BgL_objectz00_bglt BgL_arg1825z00_2300;

									{	/* Effect/feffect.scm 153 */
										obj_t BgL_tmpz00_3321;

										BgL_tmpz00_3321 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1585z00_1696));
										BgL_arg1825z00_2300 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3321);
									}
									{	/* Effect/feffect.scm 153 */
										bool_t BgL_arg1822z00_2303;
										bool_t BgL_arg1823z00_2304;

										{	/* Effect/feffect.scm 153 */
											long BgL_idxz00_2307;

											BgL_idxz00_2307 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2300);
											BgL_arg1822z00_2303 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2307 + ((long) 3))) == BgL_classz00_2298);
										}
										{	/* Effect/feffect.scm 153 */
											bool_t BgL_res1896z00_2329;

											{	/* Effect/feffect.scm 153 */
												obj_t BgL_oclassz00_2315;

												{	/* Effect/feffect.scm 153 */
													long BgL_arg1833z00_2321;

													{	/* Effect/feffect.scm 153 */
														long BgL_arg1834z00_2322;

														BgL_arg1834z00_2322 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2300);
														BgL_arg1833z00_2321 =
															(BgL_arg1834z00_2322 - OBJECT_TYPE);
													}
													BgL_oclassz00_2315 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2321);
												}
												{	/* Effect/feffect.scm 153 */
													bool_t BgL__ortest_1110z00_2316;

													BgL__ortest_1110z00_2316 =
														(BgL_classz00_2298 == BgL_oclassz00_2315);
													if (BgL__ortest_1110z00_2316)
														{	/* Effect/feffect.scm 153 */
															BgL_res1896z00_2329 = BgL__ortest_1110z00_2316;
														}
													else
														{	/* Effect/feffect.scm 153 */
															long BgL_odepthz00_2317;

															BgL_odepthz00_2317 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2315);
															if ((((long) 3) < BgL_odepthz00_2317))
																{	/* Effect/feffect.scm 153 */
																	obj_t BgL_arg1821z00_2319;

																	BgL_arg1821z00_2319 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2315,
																		((long) 3));
																	BgL_res1896z00_2329 =
																		(BgL_arg1821z00_2319 == BgL_classz00_2298);
																}
															else
																{	/* Effect/feffect.scm 153 */
																	BgL_res1896z00_2329 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2304 = BgL_res1896z00_2329;
										}
										BgL_test2096z00_3318 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2303,
											BgL_arg1823z00_2304);
									}
								}
							}
						}
						if (BgL_test2096z00_3318)
							{	/* Effect/feffect.scm 153 */
								BgL_test2094z00_3312 = ((bool_t) 0);
							}
						else
							{	/* Effect/feffect.scm 153 */
								BgL_test2094z00_3312 = ((bool_t) 1);
							}
					}
				else
					{	/* Effect/feffect.scm 152 */
						BgL_test2094z00_3312 = ((bool_t) 1);
					}
				if (BgL_test2094z00_3312)
					{	/* Effect/feffect.scm 152 */
						return
							BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_vz00_11);
					}
				else
					{	/* Effect/feffect.scm 152 */
						return
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_vz00_11);
					}
			}
		}

	}



/* fun-effect-alien! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_gz00_12)
	{
		{	/* Effect/feffect.scm 162 */
			{	/* Effect/feffect.scm 163 */
				BgL_funz00_bglt BgL_i1119z00_1698;

				BgL_i1119z00_1698 =
					((BgL_funz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_gz00_12)))->BgL_valuez00));
				{	/* Effect/feffect.scm 164 */
					bool_t BgL_test2099z00_3345;

					{	/* Effect/feffect.scm 164 */
						obj_t BgL_arg1595z00_1701;

						BgL_arg1595z00_1701 =
							(((BgL_funz00_bglt) COBJECT(BgL_i1119z00_1698))->BgL_effectz00);
						{	/* Effect/feffect.scm 164 */
							obj_t BgL_classz00_2331;

							BgL_classz00_2331 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1595z00_1701))
								{	/* Effect/feffect.scm 164 */
									BgL_objectz00_bglt BgL_arg1825z00_2333;

									BgL_arg1825z00_2333 =
										(BgL_objectz00_bglt) (BgL_arg1595z00_1701);
									{	/* Effect/feffect.scm 164 */
										bool_t BgL_arg1822z00_2336;
										bool_t BgL_arg1823z00_2337;

										{	/* Effect/feffect.scm 164 */
											long BgL_idxz00_2340;

											BgL_idxz00_2340 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2333);
											BgL_arg1822z00_2336 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2340 + ((long) 1))) == BgL_classz00_2331);
										}
										{	/* Effect/feffect.scm 164 */
											bool_t BgL_res1897z00_2362;

											{	/* Effect/feffect.scm 164 */
												obj_t BgL_oclassz00_2348;

												{	/* Effect/feffect.scm 164 */
													long BgL_arg1833z00_2354;

													{	/* Effect/feffect.scm 164 */
														long BgL_arg1834z00_2355;

														BgL_arg1834z00_2355 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2333);
														BgL_arg1833z00_2354 =
															(BgL_arg1834z00_2355 - OBJECT_TYPE);
													}
													BgL_oclassz00_2348 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2354);
												}
												{	/* Effect/feffect.scm 164 */
													bool_t BgL__ortest_1110z00_2349;

													BgL__ortest_1110z00_2349 =
														(BgL_classz00_2331 == BgL_oclassz00_2348);
													if (BgL__ortest_1110z00_2349)
														{	/* Effect/feffect.scm 164 */
															BgL_res1897z00_2362 = BgL__ortest_1110z00_2349;
														}
													else
														{	/* Effect/feffect.scm 164 */
															long BgL_odepthz00_2350;

															BgL_odepthz00_2350 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2348);
															if ((((long) 1) < BgL_odepthz00_2350))
																{	/* Effect/feffect.scm 164 */
																	obj_t BgL_arg1821z00_2352;

																	BgL_arg1821z00_2352 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2348,
																		((long) 1));
																	BgL_res1897z00_2362 =
																		(BgL_arg1821z00_2352 == BgL_classz00_2331);
																}
															else
																{	/* Effect/feffect.scm 164 */
																	BgL_res1897z00_2362 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2337 = BgL_res1897z00_2362;
										}
										BgL_test2099z00_3345 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2336,
											BgL_arg1823z00_2337);
									}
								}
							else
								{	/* Effect/feffect.scm 164 */
									BgL_test2099z00_3345 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2099z00_3345)
						{	/* Effect/feffect.scm 164 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 164 */
							((((BgL_funz00_bglt) COBJECT(BgL_i1119z00_1698))->BgL_effectz00) =
								((obj_t) ((obj_t)
										BGl_za2effectzd2topza2zd2zzeffect_feffectz00)), BUNSPEC);
						}
				}
				return
					((BgL_feffectz00_bglt)
					(((BgL_funz00_bglt) COBJECT(BgL_i1119z00_1698))->BgL_effectz00));
			}
		}

	}



/* fun-effect-module! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_13)
	{
		{	/* Effect/feffect.scm 171 */
			{	/* Effect/feffect.scm 172 */
				BgL_valuez00_bglt BgL_funz00_1702;

				BgL_funz00_1702 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_13)))->BgL_valuez00);
				{	/* Effect/feffect.scm 172 */
					obj_t BgL_efz00_1703;

					BgL_efz00_1703 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_1702)))->BgL_effectz00);
					{	/* Effect/feffect.scm 173 */

						{	/* Effect/feffect.scm 176 */
							bool_t BgL_test2103z00_3373;

							{	/* Effect/feffect.scm 176 */
								obj_t BgL_classz00_2365;

								BgL_classz00_2365 = BGl_feffectz00zzast_varz00;
								{	/* Effect/feffect.scm 176 */
									BgL_objectz00_bglt BgL_arg1825z00_2367;

									{	/* Effect/feffect.scm 176 */
										obj_t BgL_tmpz00_3374;

										BgL_tmpz00_3374 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1702));
										BgL_arg1825z00_2367 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3374);
									}
									{	/* Effect/feffect.scm 176 */
										bool_t BgL_arg1822z00_2370;
										bool_t BgL_arg1823z00_2371;

										{	/* Effect/feffect.scm 176 */
											long BgL_idxz00_2374;

											BgL_idxz00_2374 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2367);
											BgL_arg1822z00_2370 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2374 + ((long) 1))) == BgL_classz00_2365);
										}
										{	/* Effect/feffect.scm 176 */
											bool_t BgL_res1898z00_2396;

											{	/* Effect/feffect.scm 176 */
												obj_t BgL_oclassz00_2382;

												{	/* Effect/feffect.scm 176 */
													long BgL_arg1833z00_2388;

													{	/* Effect/feffect.scm 176 */
														long BgL_arg1834z00_2389;

														BgL_arg1834z00_2389 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2367);
														BgL_arg1833z00_2388 =
															(BgL_arg1834z00_2389 - OBJECT_TYPE);
													}
													BgL_oclassz00_2382 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2388);
												}
												{	/* Effect/feffect.scm 176 */
													bool_t BgL__ortest_1110z00_2383;

													BgL__ortest_1110z00_2383 =
														(BgL_classz00_2365 == BgL_oclassz00_2382);
													if (BgL__ortest_1110z00_2383)
														{	/* Effect/feffect.scm 176 */
															BgL_res1898z00_2396 = BgL__ortest_1110z00_2383;
														}
													else
														{	/* Effect/feffect.scm 176 */
															long BgL_odepthz00_2384;

															BgL_odepthz00_2384 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2382);
															if ((((long) 1) < BgL_odepthz00_2384))
																{	/* Effect/feffect.scm 176 */
																	obj_t BgL_arg1821z00_2386;

																	BgL_arg1821z00_2386 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2382,
																		((long) 1));
																	BgL_res1898z00_2396 =
																		(BgL_arg1821z00_2386 == BgL_classz00_2365);
																}
															else
																{	/* Effect/feffect.scm 176 */
																	BgL_res1898z00_2396 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2371 = BgL_res1898z00_2396;
										}
										BgL_test2103z00_3373 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2370,
											BgL_arg1823z00_2371);
									}
								}
							}
							if (BgL_test2103z00_3373)
								{	/* Effect/feffect.scm 176 */
									return ((BgL_feffectz00_bglt) BgL_efz00_1703);
								}
							else
								{	/* Effect/feffect.scm 176 */
									return
										BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
										((BgL_variablez00_bglt) BgL_vz00_13));
								}
						}
					}
				}
			}
		}

	}



/* do-fun-effect! */
	BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt
		BgL_vz00_15)
	{
		{	/* Effect/feffect.scm 195 */
			{	/* Effect/feffect.scm 196 */
				BgL_sfunz00_bglt BgL_i1120z00_1705;

				BgL_i1120z00_1705 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_vz00_15))->BgL_valuez00));
				{	/* Effect/feffect.scm 197 */
					bool_t BgL_test2106z00_3398;

					{	/* Effect/feffect.scm 197 */
						obj_t BgL_arg1604z00_1713;

						BgL_arg1604z00_1713 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_i1120z00_1705)))->BgL_effectz00);
						{	/* Effect/feffect.scm 197 */
							obj_t BgL_classz00_2398;

							BgL_classz00_2398 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1604z00_1713))
								{	/* Effect/feffect.scm 197 */
									BgL_objectz00_bglt BgL_arg1825z00_2400;

									BgL_arg1825z00_2400 =
										(BgL_objectz00_bglt) (BgL_arg1604z00_1713);
									{	/* Effect/feffect.scm 197 */
										bool_t BgL_arg1822z00_2403;
										bool_t BgL_arg1823z00_2404;

										{	/* Effect/feffect.scm 197 */
											long BgL_idxz00_2407;

											BgL_idxz00_2407 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2400);
											BgL_arg1822z00_2403 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2407 + ((long) 1))) == BgL_classz00_2398);
										}
										{	/* Effect/feffect.scm 197 */
											bool_t BgL_res1899z00_2429;

											{	/* Effect/feffect.scm 197 */
												obj_t BgL_oclassz00_2415;

												{	/* Effect/feffect.scm 197 */
													long BgL_arg1833z00_2421;

													{	/* Effect/feffect.scm 197 */
														long BgL_arg1834z00_2422;

														BgL_arg1834z00_2422 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2400);
														BgL_arg1833z00_2421 =
															(BgL_arg1834z00_2422 - OBJECT_TYPE);
													}
													BgL_oclassz00_2415 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2421);
												}
												{	/* Effect/feffect.scm 197 */
													bool_t BgL__ortest_1110z00_2416;

													BgL__ortest_1110z00_2416 =
														(BgL_classz00_2398 == BgL_oclassz00_2415);
													if (BgL__ortest_1110z00_2416)
														{	/* Effect/feffect.scm 197 */
															BgL_res1899z00_2429 = BgL__ortest_1110z00_2416;
														}
													else
														{	/* Effect/feffect.scm 197 */
															long BgL_odepthz00_2417;

															BgL_odepthz00_2417 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2415);
															if ((((long) 1) < BgL_odepthz00_2417))
																{	/* Effect/feffect.scm 197 */
																	obj_t BgL_arg1821z00_2419;

																	BgL_arg1821z00_2419 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2415,
																		((long) 1));
																	BgL_res1899z00_2429 =
																		(BgL_arg1821z00_2419 == BgL_classz00_2398);
																}
															else
																{	/* Effect/feffect.scm 197 */
																	BgL_res1899z00_2429 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2404 = BgL_res1899z00_2429;
										}
										BgL_test2106z00_3398 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2403,
											BgL_arg1823z00_2404);
									}
								}
							else
								{	/* Effect/feffect.scm 197 */
									BgL_test2106z00_3398 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2106z00_3398)
						{	/* Effect/feffect.scm 197 */
							return
								((BgL_feffectz00_bglt)
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_i1120z00_1705)))->BgL_effectz00));
						}
					else
						{	/* Effect/feffect.scm 197 */
							{
								obj_t BgL_auxz00_3422;

								{	/* Effect/feffect.scm 200 */
									BgL_feffectz00_bglt BgL_new1123z00_1708;

									{	/* Ast/var.scm 180 */
										BgL_feffectz00_bglt BgL_new1121z00_1709;

										BgL_new1121z00_1709 =
											((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_feffectz00_bgl))));
										{	/* Ast/var.scm 180 */
											long BgL_arg1601z00_1710;

											{	/* Ast/var.scm 180 */
												obj_t BgL_classz00_2430;

												BgL_classz00_2430 = BGl_feffectz00zzast_varz00;
												BgL_arg1601z00_1710 = BGL_CLASS_NUM(BgL_classz00_2430);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1121z00_1709),
												BgL_arg1601z00_1710);
										}
										BgL_new1123z00_1708 = BgL_new1121z00_1709;
									}
									((((BgL_feffectz00_bglt) COBJECT(BgL_new1123z00_1708))->
											BgL_readz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_feffectz00_bglt) COBJECT(BgL_new1123z00_1708))->
											BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_3422 = ((obj_t) BgL_new1123z00_1708);
								}
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_i1120z00_1705)))->
										BgL_effectz00) = ((obj_t) BgL_auxz00_3422), BUNSPEC);
							}
							{	/* Effect/feffect.scm 201 */
								obj_t BgL_arg1602z00_1711;
								obj_t BgL_arg1603z00_1712;

								BgL_arg1602z00_1711 =
									(((BgL_sfunz00_bglt) COBJECT(BgL_i1120z00_1705))->
									BgL_bodyz00);
								BgL_arg1603z00_1712 =
									(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_i1120z00_1705)))->BgL_effectz00);
								return
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(((BgL_nodez00_bglt)
										BgL_arg1602z00_1711),
									((BgL_feffectz00_bglt) BgL_arg1603z00_1712));
							}
						}
				}
			}
		}

	}



/* body-effect*! */
	obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t BgL_nodeza2za2_62,
		obj_t BgL_effectz00_63)
	{
		{	/* Effect/feffect.scm 390 */
			{
				obj_t BgL_l1279z00_1715;

				BgL_l1279z00_1715 = BgL_nodeza2za2_62;
			BgL_zc3z04anonymousza31605ze3z87_1716:
				if (PAIRP(BgL_l1279z00_1715))
					{	/* Effect/feffect.scm 391 */
						{	/* Effect/feffect.scm 391 */
							obj_t BgL_nz00_1718;

							BgL_nz00_1718 = CAR(BgL_l1279z00_1715);
							BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
								((BgL_nodez00_bglt) BgL_nz00_1718),
								((BgL_feffectz00_bglt) BgL_effectz00_63));
						}
						{
							obj_t BgL_l1279z00_3444;

							BgL_l1279z00_3444 = CDR(BgL_l1279z00_1715);
							BgL_l1279z00_1715 = BgL_l1279z00_3444;
							goto BgL_zc3z04anonymousza31605ze3z87_1716;
						}
					}
				else
					{	/* Effect/feffect.scm 391 */
						((bool_t) 1);
					}
			}
			return BgL_effectz00_63;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_proc1981z00zzeffect_feffectz00, BGl_nodez00zzast_nodez00,
				BGl_string1982z00zzeffect_feffectz00);
		}

	}



/* &body-effect!1283 */
	obj_t BGl_z62bodyzd2effectz121283za2zzeffect_feffectz00(obj_t BgL_envz00_2769,
		obj_t BgL_nodez00_2770, obj_t BgL_effectz00_2771)
	{
		{	/* Effect/feffect.scm 210 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
				BGl_string1983z00zzeffect_feffectz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2770)));
		}

	}



/* body-effect! */
	BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt BgL_nodez00_16,
		BgL_feffectz00_bglt BgL_effectz00_17)
	{
		{	/* Effect/feffect.scm 210 */
			{	/* Effect/feffect.scm 210 */
				obj_t BgL_method1284z00_1726;

				{	/* Effect/feffect.scm 210 */
					obj_t BgL_res1904z00_2465;

					{	/* Effect/feffect.scm 210 */
						long BgL_objzd2classzd2numz00_2436;

						BgL_objzd2classzd2numz00_2436 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_16));
						{	/* Effect/feffect.scm 210 */
							obj_t BgL_arg1829z00_2437;

							BgL_arg1829z00_2437 =
								PROCEDURE_REF(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
								(int) (((long) 1)));
							{	/* Effect/feffect.scm 210 */
								int BgL_offsetz00_2440;

								BgL_offsetz00_2440 = (int) (BgL_objzd2classzd2numz00_2436);
								{	/* Effect/feffect.scm 210 */
									long BgL_offsetz00_2441;

									BgL_offsetz00_2441 =
										((long) (BgL_offsetz00_2440) - OBJECT_TYPE);
									{	/* Effect/feffect.scm 210 */
										long BgL_modz00_2442;

										BgL_modz00_2442 =
											(BgL_offsetz00_2441 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Effect/feffect.scm 210 */
											long BgL_restz00_2444;

											BgL_restz00_2444 =
												(BgL_offsetz00_2441 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Effect/feffect.scm 210 */

												{	/* Effect/feffect.scm 210 */
													obj_t BgL_bucketz00_2446;

													BgL_bucketz00_2446 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2437), BgL_modz00_2442);
													BgL_res1904z00_2465 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2446), BgL_restz00_2444);
					}}}}}}}}
					BgL_method1284z00_1726 = BgL_res1904z00_2465;
				}
				return
					((BgL_feffectz00_bglt)
					PROCEDURE_ENTRY(BgL_method1284z00_1726) (BgL_method1284z00_1726,
						((obj_t) BgL_nodez00_16), ((obj_t) BgL_effectz00_17), BEOA));
			}
		}

	}



/* &body-effect! */
	BgL_feffectz00_bglt BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t
		BgL_envz00_2772, obj_t BgL_nodez00_2773, obj_t BgL_effectz00_2774)
	{
		{	/* Effect/feffect.scm 210 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				((BgL_nodez00_bglt) BgL_nodez00_2773),
				((BgL_feffectz00_bglt) BgL_effectz00_2774));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_feffectz00zzast_varz00,
				BGl_proc1984z00zzeffect_feffectz00,
				BGl_string1985z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_atomz00zzast_nodez00, BGl_proc1986z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_patchz00zzast_nodez00, BGl_proc1988z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1989z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_varz00zzast_nodez00, BGl_proc1990z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setqz00zzast_nodez00, BGl_proc1991z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1992z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_switchz00zzast_nodez00, BGl_proc1993z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_failz00zzast_nodez00, BGl_proc1994z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1995z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1996z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1997z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1998z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1999z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_castz00zzast_nodez00, BGl_proc2000z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2001z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_syncz00zzast_nodez00, BGl_proc2002z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2003z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2004z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appz00zzast_nodez00, BGl_proc2005z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_externz00zzast_nodez00, BGl_proc2006z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2007z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2008z00zzeffect_feffectz00,
				BGl_string1987z00zzeffect_feffectz00);
		}

	}



/* &body-effect!-let-var1328 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1328za2zzeffect_feffectz00(obj_t
		BgL_envz00_2799, obj_t BgL_nodez00_2800, obj_t BgL_effectz00_2801)
	{
		{	/* Effect/feffect.scm 380 */
			{	/* Effect/feffect.scm 382 */
				obj_t BgL_g1278z00_2901;

				BgL_g1278z00_2901 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2800)))->BgL_bindingsz00);
				{
					obj_t BgL_l1276z00_2903;

					BgL_l1276z00_2903 = BgL_g1278z00_2901;
				BgL_zc3z04anonymousza31748ze3z87_2902:
					if (PAIRP(BgL_l1276z00_2903))
						{	/* Effect/feffect.scm 382 */
							{	/* Effect/feffect.scm 383 */
								obj_t BgL_bindingz00_2904;

								BgL_bindingz00_2904 = CAR(BgL_l1276z00_2903);
								{	/* Effect/feffect.scm 383 */
									obj_t BgL_arg1750z00_2905;

									BgL_arg1750z00_2905 = CDR(((obj_t) BgL_bindingz00_2904));
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
										((BgL_nodez00_bglt) BgL_arg1750z00_2905),
										((BgL_feffectz00_bglt) BgL_effectz00_2801));
								}
							}
							{
								obj_t BgL_l1276z00_3520;

								BgL_l1276z00_3520 = CDR(BgL_l1276z00_2903);
								BgL_l1276z00_2903 = BgL_l1276z00_3520;
								goto BgL_zc3z04anonymousza31748ze3z87_2902;
							}
						}
					else
						{	/* Effect/feffect.scm 382 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2800)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2801));
		}

	}



/* &body-effect!-let-fun1326 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1326za2zzeffect_feffectz00(obj_t
		BgL_envz00_2802, obj_t BgL_nodez00_2803, obj_t BgL_effectz00_2804)
	{
		{	/* Effect/feffect.scm 372 */
			{	/* Effect/feffect.scm 374 */
				obj_t BgL_g1275z00_2908;

				BgL_g1275z00_2908 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2803)))->BgL_localsz00);
				{
					obj_t BgL_l1273z00_2910;

					BgL_l1273z00_2910 = BgL_g1275z00_2908;
				BgL_zc3z04anonymousza31743ze3z87_2909:
					if (PAIRP(BgL_l1273z00_2910))
						{	/* Effect/feffect.scm 374 */
							BGl_funzd2effectz12zc0zzeffect_feffectz00(CAR(BgL_l1273z00_2910));
							{
								obj_t BgL_l1273z00_3532;

								BgL_l1273z00_3532 = CDR(BgL_l1273z00_2910);
								BgL_l1273z00_2910 = BgL_l1273z00_3532;
								goto BgL_zc3z04anonymousza31743ze3z87_2909;
							}
						}
					else
						{	/* Effect/feffect.scm 374 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2803)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2804));
		}

	}



/* &body-effect!-extern1324 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1324z70zzeffect_feffectz00(obj_t
		BgL_envz00_2805, obj_t BgL_nodez00_2806, obj_t BgL_effectz00_2807)
	{
		{	/* Effect/feffect.scm 362 */
			{	/* Effect/feffect.scm 363 */
				obj_t BgL_efz00_2912;

				{	/* Effect/feffect.scm 363 */
					bool_t BgL_test2113z00_3538;

					{	/* Effect/feffect.scm 363 */
						obj_t BgL_arg1742z00_2913;

						BgL_arg1742z00_2913 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nodez00_2806)))->BgL_effectz00);
						{	/* Effect/feffect.scm 363 */
							obj_t BgL_classz00_2914;

							BgL_classz00_2914 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1742z00_2913))
								{	/* Effect/feffect.scm 363 */
									BgL_objectz00_bglt BgL_arg1825z00_2915;

									BgL_arg1825z00_2915 =
										(BgL_objectz00_bglt) (BgL_arg1742z00_2913);
									{	/* Effect/feffect.scm 363 */
										bool_t BgL_arg1822z00_2916;
										bool_t BgL_arg1823z00_2917;

										{	/* Effect/feffect.scm 363 */
											long BgL_idxz00_2918;

											BgL_idxz00_2918 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2915);
											BgL_arg1822z00_2916 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2918 + ((long) 1))) == BgL_classz00_2914);
										}
										{	/* Effect/feffect.scm 363 */
											bool_t BgL_res1907z00_2921;

											{	/* Effect/feffect.scm 363 */
												obj_t BgL_oclassz00_2922;

												{	/* Effect/feffect.scm 363 */
													long BgL_arg1833z00_2923;

													{	/* Effect/feffect.scm 363 */
														long BgL_arg1834z00_2924;

														BgL_arg1834z00_2924 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2915);
														BgL_arg1833z00_2923 =
															(BgL_arg1834z00_2924 - OBJECT_TYPE);
													}
													BgL_oclassz00_2922 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2923);
												}
												{	/* Effect/feffect.scm 363 */
													bool_t BgL__ortest_1110z00_2925;

													BgL__ortest_1110z00_2925 =
														(BgL_classz00_2914 == BgL_oclassz00_2922);
													if (BgL__ortest_1110z00_2925)
														{	/* Effect/feffect.scm 363 */
															BgL_res1907z00_2921 = BgL__ortest_1110z00_2925;
														}
													else
														{	/* Effect/feffect.scm 363 */
															long BgL_odepthz00_2926;

															BgL_odepthz00_2926 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2922);
															if ((((long) 1) < BgL_odepthz00_2926))
																{	/* Effect/feffect.scm 363 */
																	obj_t BgL_arg1821z00_2927;

																	BgL_arg1821z00_2927 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2922,
																		((long) 1));
																	BgL_res1907z00_2921 =
																		(BgL_arg1821z00_2927 == BgL_classz00_2914);
																}
															else
																{	/* Effect/feffect.scm 363 */
																	BgL_res1907z00_2921 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2917 = BgL_res1907z00_2921;
										}
										BgL_test2113z00_3538 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2916,
											BgL_arg1823z00_2917);
									}
								}
							else
								{	/* Effect/feffect.scm 363 */
									BgL_test2113z00_3538 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2113z00_3538)
						{	/* Effect/feffect.scm 363 */
							BgL_efz00_2912 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_2806)))->BgL_effectz00);
						}
					else
						{	/* Effect/feffect.scm 363 */
							BgL_efz00_2912 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_2807,
					BgL_efz00_2912);
				return ((BgL_feffectz00_bglt) BgL_effectz00_2807);
			}
		}

	}



/* &body-effect!-app1322 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1322z70zzeffect_feffectz00(obj_t
		BgL_envz00_2808, obj_t BgL_nodez00_2809, obj_t BgL_effectz00_2810)
	{
		{	/* Effect/feffect.scm 352 */
			BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2809)))->BgL_argsz00),
				BgL_effectz00_2810);
			{	/* Effect/feffect.scm 355 */
				BgL_feffectz00_bglt BgL_efz00_2929;

				{	/* Effect/feffect.scm 355 */
					BgL_variablez00_bglt BgL_arg1731z00_2930;

					BgL_arg1731z00_2930 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2809)))->BgL_funz00)))->
						BgL_variablez00);
					BgL_efz00_2929 =
						BGl_funzd2effectz12zc0zzeffect_feffectz00(((obj_t)
							BgL_arg1731z00_2930));
				}
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_2810,
					((obj_t) BgL_efz00_2929));
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2810);
		}

	}



/* &body-effect!-app-ly1320 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1320za2zzeffect_feffectz00(obj_t
		BgL_envz00_2811, obj_t BgL_nodez00_2812, obj_t BgL_effectz00_2813)
	{
		{	/* Effect/feffect.scm 345 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2813)),
				((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
			return ((BgL_feffectz00_bglt) BgL_effectz00_2813);
		}

	}



/* &body-effect!-funcall1318 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1318z70zzeffect_feffectz00(obj_t
		BgL_envz00_2814, obj_t BgL_nodez00_2815, obj_t BgL_effectz00_2816)
	{
		{	/* Effect/feffect.scm 338 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2816)),
				((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
			return ((BgL_feffectz00_bglt) BgL_effectz00_2816);
		}

	}



/* &body-effect!-sync1316 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sync1316z70zzeffect_feffectz00(obj_t
		BgL_envz00_2817, obj_t BgL_nodez00_2818, obj_t BgL_effectz00_2819)
	{
		{	/* Effect/feffect.scm 330 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2818)))->BgL_mutexz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2819));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2818)))->BgL_prelockz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2819));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2818)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2819));
		}

	}



/* &body-effect!-sequenc1314 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1314z70zzeffect_feffectz00(obj_t
		BgL_envz00_2820, obj_t BgL_nodez00_2821, obj_t BgL_effectz00_2822)
	{
		{	/* Effect/feffect.scm 324 */
			{	/* Effect/feffect.scm 325 */
				obj_t BgL_arg1723z00_2939;

				BgL_arg1723z00_2939 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2821)))->BgL_nodesz00);
				return
					((BgL_feffectz00_bglt)
					BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(BgL_arg1723z00_2939,
						((obj_t) ((BgL_feffectz00_bglt) BgL_effectz00_2822))));
			}
		}

	}



/* &body-effect!-cast1312 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1312z70zzeffect_feffectz00(obj_t
		BgL_envz00_2823, obj_t BgL_nodez00_2824, obj_t BgL_effectz00_2825)
	{
		{	/* Effect/feffect.scm 317 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2824)))->BgL_argz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2825));
		}

	}



/* &body-effect!-box-set1310 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1310za2zzeffect_feffectz00(obj_t
		BgL_envz00_2826, obj_t BgL_nodez00_2827, obj_t BgL_effectz00_2828)
	{
		{	/* Effect/feffect.scm 309 */
			{	/* Effect/feffect.scm 311 */
				BgL_varz00_bglt BgL_arg1715z00_2944;

				BgL_arg1715z00_2944 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2827)))->BgL_varz00);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1715z00_2944),
					((BgL_feffectz00_bglt) BgL_effectz00_2828));
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2827)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2828));
		}

	}



/* &body-effect!-box-ref1308 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1308za2zzeffect_feffectz00(obj_t
		BgL_envz00_2829, obj_t BgL_nodez00_2830, obj_t BgL_effectz00_2831)
	{
		{	/* Effect/feffect.scm 303 */
			{	/* Effect/feffect.scm 304 */
				BgL_varz00_bglt BgL_arg1714z00_2947;

				BgL_arg1714z00_2947 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2830)))->BgL_varz00);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1714z00_2947),
					((BgL_feffectz00_bglt) BgL_effectz00_2831));
			}
		}

	}



/* &body-effect!-make-bo1306 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1306za2zzeffect_feffectz00(obj_t
		BgL_envz00_2832, obj_t BgL_nodez00_2833, obj_t BgL_effectz00_2834)
	{
		{	/* Effect/feffect.scm 297 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2833)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2834));
		}

	}



/* &body-effect!-jump-ex1304 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1304za2zzeffect_feffectz00(obj_t
		BgL_envz00_2835, obj_t BgL_nodez00_2836, obj_t BgL_effectz00_2837)
	{
		{	/* Effect/feffect.scm 289 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2836)))->BgL_exitz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2837));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2836)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2837));
		}

	}



/* &body-effect!-set-ex-1302 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21302z70zzeffect_feffectz00(obj_t
		BgL_envz00_2838, obj_t BgL_nodez00_2839, obj_t BgL_effectz00_2840)
	{
		{	/* Effect/feffect.scm 281 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2839)))->BgL_onexitz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2840));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2839)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2840));
		}

	}



/* &body-effect!-fail1300 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1300z70zzeffect_feffectz00(obj_t
		BgL_envz00_2841, obj_t BgL_nodez00_2842, obj_t BgL_effectz00_2843)
	{
		{	/* Effect/feffect.scm 272 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2842)))->BgL_procz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2843));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2842)))->BgL_msgz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2843));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2842)))->BgL_objz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2843));
		}

	}



/* &body-effect!-switch1298 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2switch1298z70zzeffect_feffectz00(obj_t
		BgL_envz00_2844, obj_t BgL_nodez00_2845, obj_t BgL_effectz00_2846)
	{
		{	/* Effect/feffect.scm 261 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2845)))->BgL_testz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2846));
			{	/* Effect/feffect.scm 264 */
				obj_t BgL_g1272z00_2958;

				BgL_g1272z00_2958 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2845)))->BgL_clausesz00);
				{
					obj_t BgL_l1270z00_2960;

					BgL_l1270z00_2960 = BgL_g1272z00_2958;
				BgL_zc3z04anonymousza31680ze3z87_2959:
					if (PAIRP(BgL_l1270z00_2960))
						{	/* Effect/feffect.scm 264 */
							{	/* Effect/feffect.scm 265 */
								obj_t BgL_clausez00_2961;

								BgL_clausez00_2961 = CAR(BgL_l1270z00_2960);
								{	/* Effect/feffect.scm 265 */
									obj_t BgL_arg1682z00_2962;

									BgL_arg1682z00_2962 = CDR(((obj_t) BgL_clausez00_2961));
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
										((BgL_nodez00_bglt) BgL_arg1682z00_2962),
										((BgL_feffectz00_bglt) BgL_effectz00_2846));
								}
							}
							{
								obj_t BgL_l1270z00_3667;

								BgL_l1270z00_3667 = CDR(BgL_l1270z00_2960);
								BgL_l1270z00_2960 = BgL_l1270z00_3667;
								goto BgL_zc3z04anonymousza31680ze3z87_2959;
							}
						}
					else
						{	/* Effect/feffect.scm 264 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2846);
		}

	}



/* &body-effect!-conditi1296 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1296z70zzeffect_feffectz00(obj_t
		BgL_envz00_2847, obj_t BgL_nodez00_2848, obj_t BgL_effectz00_2849)
	{
		{	/* Effect/feffect.scm 252 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2848)))->BgL_testz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2849));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2848)))->BgL_truez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2849));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2848)))->BgL_falsez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2849));
		}

	}



/* &body-effect!-setq1294 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1294z70zzeffect_feffectz00(obj_t
		BgL_envz00_2850, obj_t BgL_nodez00_2851, obj_t BgL_effectz00_2852)
	{
		{	/* Effect/feffect.scm 243 */
			{	/* Effect/feffect.scm 245 */
				bool_t BgL_test2118z00_3682;

				{	/* Effect/feffect.scm 245 */
					BgL_variablez00_bglt BgL_arg1665z00_2967;

					BgL_arg1665z00_2967 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_2851)))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Effect/feffect.scm 245 */
						obj_t BgL_classz00_2968;

						BgL_classz00_2968 = BGl_globalz00zzast_varz00;
						{	/* Effect/feffect.scm 245 */
							BgL_objectz00_bglt BgL_arg1825z00_2969;

							{	/* Effect/feffect.scm 245 */
								obj_t BgL_tmpz00_3686;

								BgL_tmpz00_3686 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1665z00_2967));
								BgL_arg1825z00_2969 = (BgL_objectz00_bglt) (BgL_tmpz00_3686);
							}
							{	/* Effect/feffect.scm 245 */
								bool_t BgL_arg1822z00_2970;
								bool_t BgL_arg1823z00_2971;

								{	/* Effect/feffect.scm 245 */
									long BgL_idxz00_2972;

									BgL_idxz00_2972 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2969);
									BgL_arg1822z00_2970 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2972 + ((long) 2))) == BgL_classz00_2968);
								}
								{	/* Effect/feffect.scm 245 */
									bool_t BgL_res1906z00_2975;

									{	/* Effect/feffect.scm 245 */
										obj_t BgL_oclassz00_2976;

										{	/* Effect/feffect.scm 245 */
											long BgL_arg1833z00_2977;

											{	/* Effect/feffect.scm 245 */
												long BgL_arg1834z00_2978;

												BgL_arg1834z00_2978 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2969);
												BgL_arg1833z00_2977 =
													(BgL_arg1834z00_2978 - OBJECT_TYPE);
											}
											BgL_oclassz00_2976 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2977);
										}
										{	/* Effect/feffect.scm 245 */
											bool_t BgL__ortest_1110z00_2979;

											BgL__ortest_1110z00_2979 =
												(BgL_classz00_2968 == BgL_oclassz00_2976);
											if (BgL__ortest_1110z00_2979)
												{	/* Effect/feffect.scm 245 */
													BgL_res1906z00_2975 = BgL__ortest_1110z00_2979;
												}
											else
												{	/* Effect/feffect.scm 245 */
													long BgL_odepthz00_2980;

													BgL_odepthz00_2980 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2976);
													if ((((long) 2) < BgL_odepthz00_2980))
														{	/* Effect/feffect.scm 245 */
															obj_t BgL_arg1821z00_2981;

															BgL_arg1821z00_2981 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2976,
																((long) 2));
															BgL_res1906z00_2975 =
																(BgL_arg1821z00_2981 == BgL_classz00_2968);
														}
													else
														{	/* Effect/feffect.scm 245 */
															BgL_res1906z00_2975 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2971 = BgL_res1906z00_2975;
								}
								BgL_test2118z00_3682 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2970, BgL_arg1823z00_2971);
							}
						}
					}
				}
				if (BgL_test2118z00_3682)
					{	/* Effect/feffect.scm 245 */
						BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
							((obj_t)
								((BgL_feffectz00_bglt) BgL_effectz00_2852)),
							((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
					}
				else
					{	/* Effect/feffect.scm 245 */
						((bool_t) 0);
					}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2851)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2852));
		}

	}



/* &body-effect!-var1292 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1292z70zzeffect_feffectz00(obj_t
		BgL_envz00_2853, obj_t BgL_nodez00_2854, obj_t BgL_effectz00_2855)
	{
		{	/* Effect/feffect.scm 235 */
			{	/* Effect/feffect.scm 236 */
				bool_t BgL_test2121z00_3713;

				{	/* Effect/feffect.scm 236 */
					BgL_variablez00_bglt BgL_arg1656z00_2984;

					BgL_arg1656z00_2984 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2854)))->BgL_variablez00);
					{	/* Effect/feffect.scm 236 */
						obj_t BgL_classz00_2985;

						BgL_classz00_2985 = BGl_globalz00zzast_varz00;
						{	/* Effect/feffect.scm 236 */
							BgL_objectz00_bglt BgL_arg1825z00_2986;

							{	/* Effect/feffect.scm 236 */
								obj_t BgL_tmpz00_3716;

								BgL_tmpz00_3716 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1656z00_2984));
								BgL_arg1825z00_2986 = (BgL_objectz00_bglt) (BgL_tmpz00_3716);
							}
							{	/* Effect/feffect.scm 236 */
								bool_t BgL_arg1822z00_2987;
								bool_t BgL_arg1823z00_2988;

								{	/* Effect/feffect.scm 236 */
									long BgL_idxz00_2989;

									BgL_idxz00_2989 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2986);
									BgL_arg1822z00_2987 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2989 + ((long) 2))) == BgL_classz00_2985);
								}
								{	/* Effect/feffect.scm 236 */
									bool_t BgL_res1905z00_2992;

									{	/* Effect/feffect.scm 236 */
										obj_t BgL_oclassz00_2993;

										{	/* Effect/feffect.scm 236 */
											long BgL_arg1833z00_2994;

											{	/* Effect/feffect.scm 236 */
												long BgL_arg1834z00_2995;

												BgL_arg1834z00_2995 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2986);
												BgL_arg1833z00_2994 =
													(BgL_arg1834z00_2995 - OBJECT_TYPE);
											}
											BgL_oclassz00_2993 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2994);
										}
										{	/* Effect/feffect.scm 236 */
											bool_t BgL__ortest_1110z00_2996;

											BgL__ortest_1110z00_2996 =
												(BgL_classz00_2985 == BgL_oclassz00_2993);
											if (BgL__ortest_1110z00_2996)
												{	/* Effect/feffect.scm 236 */
													BgL_res1905z00_2992 = BgL__ortest_1110z00_2996;
												}
											else
												{	/* Effect/feffect.scm 236 */
													long BgL_odepthz00_2997;

													BgL_odepthz00_2997 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2993);
													if ((((long) 2) < BgL_odepthz00_2997))
														{	/* Effect/feffect.scm 236 */
															obj_t BgL_arg1821z00_2998;

															BgL_arg1821z00_2998 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2993,
																((long) 2));
															BgL_res1905z00_2992 =
																(BgL_arg1821z00_2998 == BgL_classz00_2985);
														}
													else
														{	/* Effect/feffect.scm 236 */
															BgL_res1905z00_2992 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2988 = BgL_res1905z00_2992;
								}
								BgL_test2121z00_3713 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2987, BgL_arg1823z00_2988);
							}
						}
					}
				}
				if (BgL_test2121z00_3713)
					{	/* Effect/feffect.scm 236 */
						BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
							((obj_t)
								((BgL_feffectz00_bglt) BgL_effectz00_2855)),
							((obj_t) BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
					}
				else
					{	/* Effect/feffect.scm 236 */
						((bool_t) 0);
					}
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2855);
		}

	}



/* &body-effect!-kwote1290 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1290z70zzeffect_feffectz00(obj_t
		BgL_envz00_2856, obj_t BgL_nodez00_2857, obj_t BgL_effectz00_2858)
	{
		{	/* Effect/feffect.scm 229 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2858);
		}

	}



/* &body-effect!-patch1288 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2patch1288z70zzeffect_feffectz00(obj_t
		BgL_envz00_2859, obj_t BgL_nodez00_2860, obj_t BgL_effectz00_2861)
	{
		{	/* Effect/feffect.scm 221 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2861)),
				((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
			{	/* Effect/feffect.scm 224 */
				obj_t BgL_arg1647z00_3002;

				BgL_arg1647z00_3002 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_2860))))->BgL_valuez00);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1647z00_3002),
					((BgL_feffectz00_bglt) BgL_effectz00_2861));
			}
		}

	}



/* &body-effect!-atom1286 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1286z70zzeffect_feffectz00(obj_t
		BgL_envz00_2862, obj_t BgL_nodez00_2863, obj_t BgL_effectz00_2864)
	{
		{	/* Effect/feffect.scm 215 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2864);
		}

	}



/* &object-display-feffe1282 */
	obj_t BGl_z62objectzd2displayzd2feffe1282z62zzeffect_feffectz00(obj_t
		BgL_envz00_2865, obj_t BgL_fz00_2866, obj_t BgL_pz00_2867)
	{
		{	/* Effect/feffect.scm 63 */
			{	/* Effect/feffect.scm 64 */
				obj_t BgL_arg1619z00_3005;

				if (PAIRP(BgL_pz00_2867))
					{	/* Effect/feffect.scm 64 */
						BgL_arg1619z00_3005 = CAR(BgL_pz00_2867);
					}
				else
					{	/* Effect/feffect.scm 64 */
						obj_t BgL_tmpz00_3755;

						BgL_tmpz00_3755 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg1619z00_3005 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3755);
					}
				{	/* Effect/feffect.scm 66 */
					obj_t BgL_zc3z04anonymousza31622ze3z87_3006;

					BgL_zc3z04anonymousza31622ze3z87_3006 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31622ze3ze5zzeffect_feffectz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31622ze3z87_3006,
						(int) (((long) 0)),
						((obj_t) ((BgL_feffectz00_bglt) BgL_fz00_2866)));
					return
						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
						(BgL_arg1619z00_3005, BgL_zc3z04anonymousza31622ze3z87_3006);
				}
			}
		}

	}



/* &<@anonymous:1622> */
	obj_t BGl_z62zc3z04anonymousza31622ze3ze5zzeffect_feffectz00(obj_t
		BgL_envz00_2868)
	{
		{	/* Effect/feffect.scm 65 */
			{	/* Effect/feffect.scm 66 */
				BgL_feffectz00_bglt BgL_fz00_2869;

				BgL_fz00_2869 =
					((BgL_feffectz00_bglt)
					PROCEDURE_REF(BgL_envz00_2868, (int) (((long) 0))));
				{	/* Effect/feffect.scm 67 */
					obj_t BgL_arg1632z00_3007;
					obj_t BgL_arg1633z00_3008;

					BgL_arg1632z00_3007 =
						(((BgL_feffectz00_bglt) COBJECT(BgL_fz00_2869))->BgL_readz00);
					BgL_arg1633z00_3008 =
						(((BgL_feffectz00_bglt) COBJECT(BgL_fz00_2869))->BgL_writez00);
					{	/* Effect/feffect.scm 67 */
						obj_t BgL_list1634z00_3009;

						{	/* Effect/feffect.scm 67 */
							obj_t BgL_arg1636z00_3010;

							BgL_arg1636z00_3010 = MAKE_YOUNG_PAIR(BgL_arg1633z00_3008, BNIL);
							BgL_list1634z00_3009 =
								MAKE_YOUNG_PAIR(BgL_arg1632z00_3007, BgL_arg1636z00_3010);
						}
						return
							BGl_printfz00zz__r4_output_6_10_3z00
							(BGl_string2009z00zzeffect_feffectz00, BgL_list1634z00_3009);
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00()
	{
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2010z00zzeffect_feffectz00));
		}

	}

#ifdef __cplusplus
}
#endif
