/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	static obj_t BGl_objectzd2initzd2zzengine_heapz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31307ze3ze5zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31262ze3ze5zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zzengine_heapz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzengine_heapz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_gczd2rootszd2initz00zzengine_heapz00();
	static obj_t BGl_z62zc3z04anonymousza31707ze3ze5zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1814z00zzengine_heapz00,
		BgL_bgl_string1814za700za7za7e1838za7, "dump-heap", 9);
	      DEFINE_STRING(BGl_string1815z00zzengine_heapz00,
		BgL_bgl_string1815za700za7za7e1839za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1818z00zzengine_heapz00,
		BgL_bgl_string1818za700za7za7e1840za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1819z00zzengine_heapz00,
		BgL_bgl_string1819za700za7za7e1841za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1820z00zzengine_heapz00,
		BgL_bgl_string1820za700za7za7e1842za7, "\"", 1);
	      DEFINE_STRING(BGl_string1821z00zzengine_heapz00,
		BgL_bgl_string1821za700za7za7e1843za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1822z00zzengine_heapz00,
		BgL_bgl_string1822za700za7za7e1844za7, " )\n", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1845za7,
		BGl_z62zc3z04anonymousza31255ze3ze5zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1823z00zzengine_heapz00,
		BgL_bgl_string1823za700za7za7e1846za7, " (types", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1847za7,
		BGl_z62zc3z04anonymousza31262ze3ze5zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1824z00zzengine_heapz00,
		BgL_bgl_string1824za700za7za7e1848za7, " )", 2);
	      DEFINE_STRING(BGl_string1825z00zzengine_heapz00,
		BgL_bgl_string1825za700za7za7e1849za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1826z00zzengine_heapz00,
		BgL_bgl_string1826za700za7za7e1850za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1828z00zzengine_heapz00,
		BgL_bgl_string1828za700za7za7e1851za7, "   ", 3);
	      DEFINE_STRING(BGl_string1829z00zzengine_heapz00,
		BgL_bgl_string1829za700za7za7e1852za7, "~s", 2);
	      DEFINE_STRING(BGl_string1830z00zzengine_heapz00,
		BgL_bgl_string1830za700za7za7e1853za7, "", 0);
	      DEFINE_STRING(BGl_string1831z00zzengine_heapz00,
		BgL_bgl_string1831za700za7za7e1854za7, "\n   ", 4);
	      DEFINE_STRING(BGl_string1832z00zzengine_heapz00,
		BgL_bgl_string1832za700za7za7e1855za7, "\n    ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1856za7,
		BGl_z62zc3z04anonymousza31314ze3ze5zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1834z00zzengine_heapz00,
		BgL_bgl_string1834za700za7za7e1857za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string1835z00zzengine_heapz00,
		BgL_bgl_string1835za700za7za7e1858za7,
		"type super variable class native function args jvm-type-name inline sifun qualified-type name module id ",
		104);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1859za7,
		BGl_z62zc3z04anonymousza31707ze3ze5zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71860za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzengine_heapz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1758, char *BgL_fromz00_1759)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_heapz00();
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BGl_methodzd2initzd2zzengine_heapz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1524;

				{	/* Engine/heap.scm 15 */
					obj_t BgL_stringz00_1532;

					BgL_stringz00_1532 = BGl_string1835z00zzengine_heapz00;
					{	/* Engine/heap.scm 15 */
						obj_t BgL_startz00_1533;

						BgL_startz00_1533 = BINT(((long) 0));
						{	/* Engine/heap.scm 15 */
							obj_t BgL_endz00_1534;

							BgL_endz00_1534 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1532)));
							{	/* Engine/heap.scm 15 */

								BgL_cportz00_1524 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1532, BgL_startz00_1533, BgL_endz00_1534);
				}}}}
				{
					long BgL_iz00_1525;

					BgL_iz00_1525 = ((long) 13);
				BgL_loopz00_1526:
					if ((BgL_iz00_1525 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1837z00_1528;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1530;

										BgL_locationz00_1530 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1837z00_1528 =
												BGl_readz00zz__readerz00(BgL_cportz00_1524,
												BgL_locationz00_1530);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_tmpz00_1791;

									BgL_tmpz00_1791 = (int) (BgL_iz00_1525);
									CNST_TABLE_SET(BgL_tmpz00_1791, BgL_arg1837z00_1528);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1531;

								BgL_auxz00_1531 = (int) ((BgL_iz00_1525 - ((long) 1)));
								{
									long BgL_iz00_1796;

									BgL_iz00_1796 = (long) (BgL_auxz00_1531);
									BgL_iz00_1525 = BgL_iz00_1796;
									goto BgL_loopz00_1526;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1182z00_769;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_tmpz00_1802;

					BgL_l1182z00_769 = BgL_namesz00_3;
				BgL_zc3z04anonymousza31234ze3z87_770:
					if (PAIRP(BgL_l1182z00_769))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1182z00_769));
							{
								obj_t BgL_l1182z00_1807;

								BgL_l1182z00_1807 = CDR(BgL_l1182z00_769);
								BgL_l1182z00_769 = BgL_l1182z00_1807;
								goto BgL_zc3z04anonymousza31234ze3z87_770;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_tmpz00_1802 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_1802);
				}
			}
		}

	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1497,
		obj_t BgL_namesz00_1498)
	{
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1498);
		}

	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_775;

				if (fexists(BSTRING_TO_STRING(BgL_heapz00_4)))
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_775 = BgL_heapz00_4;
					}
				else
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_775 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}
				if (STRINGP(BgL_fnamez00_775))
					{	/* Engine/heap.scm 50 */
						obj_t BgL_portz00_777;

						BgL_portz00_777 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_775);
						if (BINARY_PORTP(BgL_portz00_777))
							{	/* Engine/heap.scm 55 */
								obj_t BgL_exitd1064z00_779;

								BgL_exitd1064z00_779 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Engine/heap.scm 115 */
									obj_t BgL_zc3z04anonymousza31307ze3z87_1502;

									BgL_zc3z04anonymousza31307ze3z87_1502 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31307ze3ze5zzengine_heapz00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31307ze3z87_1502,
										(int) (((long) 0)), BgL_portz00_777);
									{	/* Engine/heap.scm 55 */
										obj_t BgL_arg1846z00_1180;

										{	/* Engine/heap.scm 55 */
											obj_t BgL_arg1847z00_1181;

											BgL_arg1847z00_1181 =
												BGL_EXITD_PROTECT(BgL_exitd1064z00_779);
											BgL_arg1846z00_1180 =
												MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31307ze3z87_1502,
												BgL_arg1847z00_1181);
										}
										BGL_EXITD_PROTECT_SET(BgL_exitd1064z00_779,
											BgL_arg1846z00_1180);
										BUNSPEC;
									}
									{	/* Engine/heap.scm 56 */
										obj_t BgL_tmp1066z00_781;

										{	/* Engine/heap.scm 56 */
											obj_t BgL_envsz00_782;

											BgL_envsz00_782 = input_obj(BgL_portz00_777);
											{	/* Engine/heap.scm 56 */
												obj_t BgL__z00_783;

												{	/* Engine/heap.scm 57 */
													bool_t BgL_test1867z00_1830;

													{	/* Engine/heap.scm 57 */
														obj_t BgL_v1184z00_848;

														BgL_v1184z00_848 = create_vector(((long) 1));
														VECTOR_SET(BgL_v1184z00_848, ((long) 0),
															BgL_envsz00_782);
														((bool_t) 1);
													}
													{	/* Engine/heap.scm 58 */
														bool_t BgL__ortest_1078z00_845;

														BgL__ortest_1078z00_845 =
															(VECTOR_LENGTH(
																((obj_t) BgL_envsz00_782)) == ((long) 5));
														if (BgL__ortest_1078z00_845)
															{	/* Engine/heap.scm 58 */
																BgL_test1867z00_1830 = BgL__ortest_1078z00_845;
															}
														else
															{	/* Engine/heap.scm 58 */
																BgL_test1867z00_1830 =
																	(VECTOR_LENGTH(
																		((obj_t) BgL_envsz00_782)) == ((long) 7));
													}}
													if (BgL_test1867z00_1830)
														{	/* Engine/heap.scm 57 */
															BgL__z00_783 = BFALSE;
														}
													else
														{	/* Engine/heap.scm 57 */
															BgL__z00_783 =
																BGl_errorz00zz__errorz00
																(BGl_string1814z00zzengine_heapz00,
																BGl_string1815z00zzengine_heapz00,
																BgL_heapz00_4);
														}
												}
												{	/* Engine/heap.scm 57 */
													obj_t BgL_targetz00_784;

													BgL_targetz00_784 =
														VECTOR_REF(((obj_t) BgL_envsz00_782), ((long) 0));
													{	/* Engine/heap.scm 61 */
														obj_t BgL_versionz00_785;

														BgL_versionz00_785 =
															VECTOR_REF(((obj_t) BgL_envsz00_782), ((long) 1));
														{	/* Engine/heap.scm 62 */
															obj_t BgL_specificz00_786;

															BgL_specificz00_786 =
																VECTOR_REF(
																((obj_t) BgL_envsz00_782), ((long) 2));
															{	/* Engine/heap.scm 63 */
																obj_t BgL_genvz00_787;

																BgL_genvz00_787 =
																	VECTOR_REF(
																	((obj_t) BgL_envsz00_782), ((long) 3));
																{	/* Engine/heap.scm 64 */
																	obj_t BgL_tenvz00_788;

																	BgL_tenvz00_788 =
																		VECTOR_REF(
																		((obj_t) BgL_envsz00_782), ((long) 4));
																	{	/* Engine/heap.scm 65 */
																		obj_t BgL_includesz00_789;

																		if (
																			(VECTOR_LENGTH(
																					((obj_t) BgL_envsz00_782)) ==
																				((long) 6)))
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_789 =
																					VECTOR_REF(
																					((obj_t) BgL_envsz00_782),
																					((long) 5));
																			}
																		else
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_789 = BNIL;
																			}
																		{	/* Engine/heap.scm 66 */

																			if (
																				(VECTOR_LENGTH(
																						((obj_t) BgL_envsz00_782)) ==
																					((long) 6)))
																				{	/* Engine/heap.scm 78 */
																					BGl_addzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_787);
																				}
																			else
																				{	/* Engine/heap.scm 78 */
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_788);
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_787);
																				}
																			{	/* Engine/heap.scm 87 */
																				bool_t BgL_test1871z00_1864;

																				{	/* Engine/heap.scm 87 */
																					obj_t BgL_arg1260z00_804;

																					BgL_arg1260z00_804 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_test1871z00_1864 =
																						(((BgL_backendz00_bglt)
																							COBJECT(((BgL_backendz00_bglt)
																									BgL_arg1260z00_804)))->
																						BgL_qualifiedzd2typeszd2);
																				}
																				if (BgL_test1871z00_1864)
																					{	/* Engine/heap.scm 87 */
																						BGl_forzd2eachzd2globalz12z12zzast_envz00
																							(BGl_proc1816z00zzengine_heapz00,
																							BNIL);
																					}
																				else
																					{	/* Engine/heap.scm 87 */
																						BFALSE;
																					}
																			}
																			BGl_hashtablezd2forzd2eachz00zz__hashz00
																				(BgL_genvz00_787,
																				BGl_proc1817z00zzengine_heapz00);
																			{	/* Engine/heap.scm 101 */
																				obj_t BgL_arg1281z00_820;

																				{	/* Engine/heap.scm 101 */
																					obj_t BgL_tmpz00_1870;

																					BgL_tmpz00_1870 =
																						BGL_CURRENT_DYNAMIC_ENV();
																					BgL_arg1281z00_820 =
																						BGL_ENV_CURRENT_ERROR_PORT
																						(BgL_tmpz00_1870);
																				}
																				{	/* Engine/heap.scm 103 */
																					obj_t
																						BgL_zc3z04anonymousza31285ze3z87_1499;
																					BgL_zc3z04anonymousza31285ze3z87_1499
																						=
																						MAKE_FX_PROCEDURE
																						(BGl_z62zc3z04anonymousza31285ze3ze5zzengine_heapz00,
																						(int) (((long) 0)),
																						(int) (((long) 4)));
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31285ze3z87_1499,
																						(int) (((long) 0)), BgL_heapz00_4);
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31285ze3z87_1499,
																						(int) (((long) 1)),
																						BgL_genvz00_787);
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31285ze3z87_1499,
																						(int) (((long) 2)),
																						BgL_tenvz00_788);
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31285ze3z87_1499,
																						(int) (((long) 3)),
																						BgL_includesz00_789);
																					BgL_tmp1066z00_781 =
																						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																						(BgL_arg1281z00_820,
																						BgL_zc3z04anonymousza31285ze3z87_1499);
										}}}}}}}}}}}
										{	/* Engine/heap.scm 55 */
											bool_t BgL_test1872z00_1885;

											{	/* Engine/heap.scm 55 */
												obj_t BgL_arg1845z00_1244;

												BgL_arg1845z00_1244 =
													BGL_EXITD_PROTECT(BgL_exitd1064z00_779);
												BgL_test1872z00_1885 = PAIRP(BgL_arg1845z00_1244);
											}
											if (BgL_test1872z00_1885)
												{	/* Engine/heap.scm 55 */
													obj_t BgL_arg1843z00_1245;

													{	/* Engine/heap.scm 55 */
														obj_t BgL_arg1844z00_1246;

														BgL_arg1844z00_1246 =
															BGL_EXITD_PROTECT(BgL_exitd1064z00_779);
														BgL_arg1843z00_1245 =
															CDR(((obj_t) BgL_arg1844z00_1246));
													}
													BGL_EXITD_PROTECT_SET(BgL_exitd1064z00_779,
														BgL_arg1843z00_1245);
													BUNSPEC;
												}
											else
												{	/* Engine/heap.scm 55 */
													BFALSE;
												}
										}
										close_binary_port(BgL_portz00_777);
										return BgL_tmp1066z00_781;
									}
								}
							}
						else
							{	/* Engine/heap.scm 53 */
								obj_t BgL_arg1308z00_851;

								{	/* Engine/heap.scm 53 */
									obj_t BgL_list1309z00_852;

									BgL_list1309z00_852 = MAKE_YOUNG_PAIR(BgL_fnamez00_775, BNIL);
									BgL_arg1308z00_851 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1818z00zzengine_heapz00, BgL_list1309z00_852);
								}
								return
									BGl_errorz00zz__errorz00(BGl_string1814z00zzengine_heapz00,
									BgL_arg1308z00_851, BGl_za2libzd2dirza2zd2zzengine_paramz00);
							}
					}
				else
					{	/* Engine/heap.scm 116 */
						obj_t BgL_mz00_853;

						{	/* Engine/heap.scm 116 */
							obj_t BgL_list1310z00_854;

							BgL_list1310z00_854 = MAKE_YOUNG_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_853 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1818z00zzengine_heapz00, BgL_list1310z00_854);
						}
						BGl_errorz00zz__errorz00(BGl_string1814z00zzengine_heapz00,
							BgL_mz00_853, BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1285> */
	obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1503)
	{
		{	/* Engine/heap.scm 102 */
			{	/* Engine/heap.scm 103 */
				obj_t BgL_heapz00_1504;
				obj_t BgL_genvz00_1505;
				obj_t BgL_tenvz00_1506;
				obj_t BgL_includesz00_1507;

				BgL_heapz00_1504 = PROCEDURE_REF(BgL_envz00_1503, (int) (((long) 0)));
				BgL_genvz00_1505 = PROCEDURE_REF(BgL_envz00_1503, (int) (((long) 1)));
				BgL_tenvz00_1506 = PROCEDURE_REF(BgL_envz00_1503, (int) (((long) 2)));
				BgL_includesz00_1507 =
					PROCEDURE_REF(BgL_envz00_1503, (int) (((long) 3)));
				{	/* Engine/heap.scm 103 */
					obj_t BgL_port1188z00_1536;

					{	/* Engine/heap.scm 103 */
						obj_t BgL_tmpz00_1907;

						BgL_tmpz00_1907 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1188z00_1536 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1907);
					}
					bgl_display_string(BGl_string1819z00zzengine_heapz00,
						BgL_port1188z00_1536);
					bgl_display_obj(BgL_heapz00_1504, BgL_port1188z00_1536);
					bgl_display_string(BGl_string1820z00zzengine_heapz00,
						BgL_port1188z00_1536);
					bgl_display_char(((unsigned char) 10), BgL_port1188z00_1536);
				}
				{	/* Engine/heap.scm 104 */
					obj_t BgL_port1189z00_1537;

					{	/* Engine/heap.scm 104 */
						obj_t BgL_tmpz00_1914;

						BgL_tmpz00_1914 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1189z00_1537 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1914);
					}
					bgl_display_string(BGl_string1821z00zzengine_heapz00,
						BgL_port1189z00_1537);
					bgl_display_char(((unsigned char) 10), BgL_port1189z00_1537);
				}
				BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1505);
				{	/* Engine/heap.scm 106 */
					obj_t BgL_port1190z00_1538;

					{	/* Engine/heap.scm 106 */
						obj_t BgL_tmpz00_1920;

						BgL_tmpz00_1920 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1190z00_1538 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1920);
					}
					bgl_display_string(BGl_string1822z00zzengine_heapz00,
						BgL_port1190z00_1538);
					bgl_display_char(((unsigned char) 10), BgL_port1190z00_1538);
				}
				{	/* Engine/heap.scm 107 */
					obj_t BgL_port1191z00_1539;

					{	/* Engine/heap.scm 107 */
						obj_t BgL_tmpz00_1925;

						BgL_tmpz00_1925 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1191z00_1539 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1925);
					}
					bgl_display_string(BGl_string1823z00zzengine_heapz00,
						BgL_port1191z00_1539);
					bgl_display_char(((unsigned char) 10), BgL_port1191z00_1539);
				}
				BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1506);
				{	/* Engine/heap.scm 109 */
					obj_t BgL_port1192z00_1540;

					{	/* Engine/heap.scm 109 */
						obj_t BgL_tmpz00_1931;

						BgL_tmpz00_1931 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1192z00_1540 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1931);
					}
					bgl_display_string(BGl_string1824z00zzengine_heapz00,
						BgL_port1192z00_1540);
					bgl_display_char(((unsigned char) 10), BgL_port1192z00_1540);
				}
				if (PAIRP(BgL_includesz00_1507))
					{	/* Engine/heap.scm 110 */
						{	/* Engine/heap.scm 111 */
							obj_t BgL_port1193z00_1541;

							{	/* Engine/heap.scm 111 */
								obj_t BgL_tmpz00_1938;

								BgL_tmpz00_1938 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1193z00_1541 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1938);
							}
							bgl_display_string(BGl_string1825z00zzengine_heapz00,
								BgL_port1193z00_1541);
							bgl_display_char(((unsigned char) 10), BgL_port1193z00_1541);
						}
						{	/* Engine/heap.scm 112 */
							obj_t BgL_port1194z00_1542;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_tmpz00_1943;

								BgL_tmpz00_1943 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1194z00_1542 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1943);
							}
							bgl_display_obj(BgL_includesz00_1507, BgL_port1194z00_1542);
							bgl_display_char(((unsigned char) 10), BgL_port1194z00_1542);
						}
						{	/* Engine/heap.scm 113 */
							obj_t BgL_port1195z00_1543;

							{	/* Engine/heap.scm 113 */
								obj_t BgL_tmpz00_1948;

								BgL_tmpz00_1948 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1195z00_1543 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1948);
							}
							bgl_display_string(BGl_string1824z00zzengine_heapz00,
								BgL_port1195z00_1543);
							bgl_display_char(((unsigned char) 10), BgL_port1195z00_1543);
					}}
				else
					{	/* Engine/heap.scm 110 */
						BFALSE;
					}
				{	/* Engine/heap.scm 114 */
					obj_t BgL_port1196z00_1544;

					{	/* Engine/heap.scm 114 */
						obj_t BgL_tmpz00_1953;

						BgL_tmpz00_1953 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1196z00_1544 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1953);
					}
					bgl_display_string(BGl_string1826z00zzengine_heapz00,
						BgL_port1196z00_1544);
					return bgl_display_char(((unsigned char) 10), BgL_port1196z00_1544);
		}}}

	}



/* &<@anonymous:1262> */
	obj_t BGl_z62zc3z04anonymousza31262ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1508, obj_t BgL_kz00_1509, obj_t BgL_bucketz00_1510)
	{
		{	/* Engine/heap.scm 97 */
			{	/* Engine/heap.scm 98 */
				bool_t BgL_tmpz00_1958;

				{	/* Engine/heap.scm 98 */
					obj_t BgL_g1187z00_1545;

					BgL_g1187z00_1545 = CDR(((obj_t) BgL_bucketz00_1510));
					{
						obj_t BgL_l1185z00_1547;

						BgL_l1185z00_1547 = BgL_g1187z00_1545;
					BgL_zc3z04anonymousza31263ze3z87_1546:
						if (PAIRP(BgL_l1185z00_1547))
							{	/* Engine/heap.scm 100 */
								{	/* Engine/heap.scm 99 */
									obj_t BgL_newz00_1548;

									BgL_newz00_1548 = CAR(BgL_l1185z00_1547);
									{	/* Engine/heap.scm 99 */
										obj_t BgL_arg1275z00_1549;

										BgL_arg1275z00_1549 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_1548)))->
											BgL_modulez00);
										{	/* Engine/heap.scm 99 */
											obj_t BgL_list1276z00_1550;

											BgL_list1276z00_1550 =
												MAKE_YOUNG_PAIR(BgL_arg1275z00_1549, BNIL);
											BGl_heapzd2modulezd2listz00zzheap_restorez00
												(BgL_list1276z00_1550);
										}
									}
								}
								{
									obj_t BgL_l1185z00_1968;

									BgL_l1185z00_1968 = CDR(BgL_l1185z00_1547);
									BgL_l1185z00_1547 = BgL_l1185z00_1968;
									goto BgL_zc3z04anonymousza31263ze3z87_1546;
								}
							}
						else
							{	/* Engine/heap.scm 100 */
								BgL_tmpz00_1958 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_1958);
			}
		}

	}



/* &<@anonymous:1255> */
	obj_t BGl_z62zc3z04anonymousza31255ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1511, obj_t BgL_newz00_1512)
	{
		{	/* Engine/heap.scm 89 */
			{	/* Engine/heap.scm 91 */
				obj_t BgL_arg1256z00_1551;
				obj_t BgL_arg1257z00_1552;
				obj_t BgL_arg1258z00_1553;

				BgL_arg1256z00_1551 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_1512)))->BgL_modulez00);
				BgL_arg1257z00_1552 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_1512)))->
					BgL_jvmzd2typezd2namez00);
				BgL_arg1258z00_1553 = BGl_shapez00zztools_shapez00(BgL_newz00_1512);
				{	/* Engine/heap.scm 90 */
					obj_t BgL_list1259z00_1554;

					BgL_list1259z00_1554 = MAKE_YOUNG_PAIR(BgL_arg1258z00_1553, BNIL);
					return
						BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1256z00_1551,
						BgL_arg1257z00_1552, BgL_list1259z00_1554);
				}
			}
		}

	}



/* &<@anonymous:1307> */
	obj_t BGl_z62zc3z04anonymousza31307ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1513)
	{
		{	/* Engine/heap.scm 55 */
			{	/* Engine/heap.scm 115 */
				obj_t BgL_portz00_1514;

				BgL_portz00_1514 = PROCEDURE_REF(BgL_envz00_1513, (int) (((long) 0)));
				return close_binary_port(((obj_t) BgL_portz00_1514));
			}
		}

	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		{	/* Engine/heap.scm 123 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1827z00zzengine_heapz00);
		}

	}



/* &<@anonymous:1314> */
	obj_t BGl_z62zc3z04anonymousza31314ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1516, obj_t BgL_kz00_1517, obj_t BgL_bucketz00_1518)
	{
		{	/* Engine/heap.scm 178 */
			{	/* Engine/heap.scm 178 */
				bool_t BgL_tmpz00_1983;

				{
					obj_t BgL_newz00_1556;

					{	/* Engine/heap.scm 178 */
						obj_t BgL_g1215z00_1710;

						BgL_g1215z00_1710 = CDR(((obj_t) BgL_bucketz00_1518));
						{
							obj_t BgL_l1213z00_1712;

							BgL_l1213z00_1712 = BgL_g1215z00_1710;
						BgL_zc3z04anonymousza31315ze3z87_1711:
							if (PAIRP(BgL_l1213z00_1712))
								{	/* Engine/heap.scm 178 */
									BgL_newz00_1556 = CAR(BgL_l1213z00_1712);
									{	/* Engine/heap.scm 125 */
										obj_t BgL_modulez00_1557;

										BgL_modulez00_1557 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_1556)))->
											BgL_modulez00);
										{	/* Engine/heap.scm 125 */
											obj_t BgL_idz00_1558;

											BgL_idz00_1558 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_newz00_1556))))->
												BgL_idz00);
											{	/* Engine/heap.scm 126 */
												obj_t BgL_qtz00_1559;

												BgL_qtz00_1559 =
													BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
													(BgL_modulez00_1557);
												{	/* Engine/heap.scm 127 */
													obj_t BgL_jtz00_1560;

													BgL_jtz00_1560 =
														(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_newz00_1556)))->
														BgL_jvmzd2typezd2namez00);
													{	/* Engine/heap.scm 128 */
														BgL_valuez00_bglt BgL_valz00_1561;

														BgL_valz00_1561 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_newz00_1556))))->
															BgL_valuez00);
														{	/* Engine/heap.scm 129 */

															{	/* Engine/heap.scm 131 */
																bool_t BgL_test1876z00_1999;

																{	/* Engine/heap.scm 131 */
																	obj_t BgL_classz00_1562;

																	BgL_classz00_1562 = BGl_sfunz00zzast_varz00;
																	{	/* Engine/heap.scm 131 */
																		BgL_objectz00_bglt BgL_arg1825z00_1563;

																		{	/* Engine/heap.scm 131 */
																			obj_t BgL_tmpz00_2000;

																			BgL_tmpz00_2000 =
																				((obj_t)
																				((BgL_objectz00_bglt) BgL_valz00_1561));
																			BgL_arg1825z00_1563 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_2000);
																		}
																		{	/* Engine/heap.scm 131 */
																			bool_t BgL_arg1822z00_1564;
																			bool_t BgL_arg1823z00_1565;

																			{	/* Engine/heap.scm 131 */
																				long BgL_idxz00_1566;

																				BgL_idxz00_1566 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_1563);
																				BgL_arg1822z00_1564 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_1566 + ((long) 3))) ==
																					BgL_classz00_1562);
																			}
																			{	/* Engine/heap.scm 131 */
																				bool_t BgL_res1808z00_1569;

																				{	/* Engine/heap.scm 131 */
																					obj_t BgL_oclassz00_1570;

																					{	/* Engine/heap.scm 131 */
																						long BgL_arg1833z00_1571;

																						{	/* Engine/heap.scm 131 */
																							long BgL_arg1834z00_1572;

																							BgL_arg1834z00_1572 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_1563);
																							BgL_arg1833z00_1571 =
																								(BgL_arg1834z00_1572 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_1570 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_1571);
																					}
																					{	/* Engine/heap.scm 131 */
																						bool_t BgL__ortest_1110z00_1573;

																						BgL__ortest_1110z00_1573 =
																							(BgL_classz00_1562 ==
																							BgL_oclassz00_1570);
																						if (BgL__ortest_1110z00_1573)
																							{	/* Engine/heap.scm 131 */
																								BgL_res1808z00_1569 =
																									BgL__ortest_1110z00_1573;
																							}
																						else
																							{	/* Engine/heap.scm 131 */
																								long BgL_odepthz00_1574;

																								BgL_odepthz00_1574 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_1570);
																								if ((((long) 3) <
																										BgL_odepthz00_1574))
																									{	/* Engine/heap.scm 131 */
																										obj_t BgL_arg1821z00_1575;

																										BgL_arg1821z00_1575 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_1570,
																											((long) 3));
																										BgL_res1808z00_1569 =
																											(BgL_arg1821z00_1575 ==
																											BgL_classz00_1562);
																									}
																								else
																									{	/* Engine/heap.scm 131 */
																										BgL_res1808z00_1569 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_1565 =
																					BgL_res1808z00_1569;
																			}
																			BgL_test1876z00_1999 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_1564,
																				BgL_arg1823z00_1565);
																		}
																	}
																}
																if (BgL_test1876z00_1999)
																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port1204z00_1576;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_tmpz00_2019;

																			BgL_tmpz00_2019 =
																				BGL_CURRENT_DYNAMIC_ENV();
																			BgL_port1204z00_1576 =
																				BGL_ENV_CURRENT_OUTPUT_PORT
																				(BgL_tmpz00_2019);
																		}
																		bgl_display_string
																			(BGl_string1828z00zzengine_heapz00,
																			BgL_port1204z00_1576);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg1323z00_1577;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1324z00_1578;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1325z00_1579;
																					obj_t BgL_arg1326z00_1580;

																					BgL_arg1325z00_1579 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_1556);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg1328z00_1581;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1331z00_1582;
																							obj_t BgL_arg1332z00_1583;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1333z00_1584;

																								BgL_arg1333z00_1584 =
																									MAKE_YOUNG_PAIR
																									(BgL_idz00_1558, BNIL);
																								BgL_arg1331z00_1582 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 0)),
																									BgL_arg1333z00_1584);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg1334z00_1585;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1338z00_1586;
																									obj_t BgL_arg1339z00_1587;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1340z00_1588;

																										BgL_arg1340z00_1588 =
																											MAKE_YOUNG_PAIR
																											(BgL_modulez00_1557,
																											BNIL);
																										BgL_arg1338z00_1586 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													1)),
																											BgL_arg1340z00_1588);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg1341z00_1589;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1343z00_1590;
																											obj_t BgL_arg1347z00_1591;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1348z00_1592;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1350z00_1593;
																													{	/* Engine/heap.scm 139 */
																														obj_t
																															BgL_arg1354z00_1594;
																														BgL_arg1354z00_1594
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1556))))->BgL_namez00);
																														{	/* Engine/heap.scm 139 */
																															obj_t
																																BgL_list1355z00_1595;
																															BgL_list1355z00_1595
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1354z00_1594,
																																BNIL);
																															BgL_arg1350z00_1593
																																=
																																BGl_formatz00zz__r4_output_6_10_3z00
																																(BGl_string1829z00zzengine_heapz00,
																																BgL_list1355z00_1595);
																													}}
																													BgL_arg1348z00_1592 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1350z00_1593,
																														BNIL);
																												}
																												BgL_arg1343z00_1590 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 2)),
																													BgL_arg1348z00_1592);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg1357z00_1596;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1358z00_1597;
																													obj_t
																														BgL_arg1361z00_1598;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1363z00_1599;
																														BgL_arg1363z00_1599
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_qtz00_1559,
																															BNIL);
																														BgL_arg1358z00_1597
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 3)),
																															BgL_arg1363z00_1599);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg1364z00_1600;
																														obj_t
																															BgL_arg1366z00_1601;
																														if (((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1561)))->BgL_classz00) == CNST_TABLE_REF(((long) 4))))
																															{	/* Engine/heap.scm 143 */
																																obj_t
																																	BgL_arg1369z00_1602;
																																{	/* Engine/heap.scm 143 */
																																	obj_t
																																		BgL_arg1370z00_1603;
																																	{	/* Engine/heap.scm 143 */
																																		obj_t
																																			BgL_arg1371z00_1604;
																																		BgL_arg1371z00_1604
																																			=
																																			(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1561)))->BgL_bodyz00);
																																		BgL_arg1370z00_1603
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BgL_arg1371z00_1604);
																																	}
																																	BgL_arg1369z00_1602
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1370z00_1603,
																																		BNIL);
																																}
																																BgL_arg1364z00_1600
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 5)),
																																	BgL_arg1369z00_1602);
																															}
																														else
																															{	/* Engine/heap.scm 142 */
																																BgL_arg1364z00_1600
																																	=
																																	BGl_string1830z00zzengine_heapz00;
																															}
																														{	/* Engine/heap.scm 146 */
																															obj_t
																																BgL_arg1381z00_1605;
																															{	/* Engine/heap.scm 146 */
																																obj_t
																																	BgL_arg1382z00_1606;
																																obj_t
																																	BgL_arg1383z00_1607;
																																{	/* Engine/heap.scm 146 */
																																	obj_t
																																		BgL_arg1385z00_1608;
																																	BgL_arg1385z00_1608
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_jtz00_1560,
																																		BNIL);
																																	BgL_arg1382z00_1606
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				6)),
																																		BgL_arg1385z00_1608);
																																}
																																{	/* Engine/heap.scm 147 */
																																	obj_t
																																		BgL_arg1386z00_1609;
																																	{	/* Engine/heap.scm 147 */
																																		obj_t
																																			BgL_arg1387z00_1610;
																																		{	/* Engine/heap.scm 147 */
																																			obj_t
																																				BgL_arg1400z00_1611;
																																			{	/* Engine/heap.scm 147 */
																																				obj_t
																																					BgL_arg1401z00_1612;
																																				{	/* Engine/heap.scm 147 */
																																					obj_t
																																						BgL_l1197z00_1613;
																																					BgL_l1197z00_1613
																																						=
																																						(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1561)))->BgL_argsz00);
																																					if (NULLP(BgL_l1197z00_1613))
																																						{	/* Engine/heap.scm 147 */
																																							BgL_arg1401z00_1612
																																								=
																																								BNIL;
																																						}
																																					else
																																						{	/* Engine/heap.scm 147 */
																																							obj_t
																																								BgL_head1199z00_1614;
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_arg1419z00_1615;
																																								{	/* Engine/heap.scm 147 */
																																									obj_t
																																										BgL_arg1430z00_1616;
																																									BgL_arg1430z00_1616
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1197z00_1613));
																																									BgL_arg1419z00_1615
																																										=
																																										BGl_shapez00zztools_shapez00
																																										(BgL_arg1430z00_1616);
																																								}
																																								BgL_head1199z00_1614
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1419z00_1615,
																																									BNIL);
																																							}
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_g1203z00_1617;
																																								BgL_g1203z00_1617
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1197z00_1613));
																																								{
																																									obj_t
																																										BgL_l1197z00_1619;
																																									obj_t
																																										BgL_tail1200z00_1620;
																																									BgL_l1197z00_1619
																																										=
																																										BgL_g1203z00_1617;
																																									BgL_tail1200z00_1620
																																										=
																																										BgL_head1199z00_1614;
																																								BgL_zc3z04anonymousza31403ze3z87_1618:
																																									if (NULLP(BgL_l1197z00_1619))
																																										{	/* Engine/heap.scm 147 */
																																											BgL_arg1401z00_1612
																																												=
																																												BgL_head1199z00_1614;
																																										}
																																									else
																																										{	/* Engine/heap.scm 147 */
																																											obj_t
																																												BgL_newtail1201z00_1621;
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_arg1416z00_1622;
																																												{	/* Engine/heap.scm 147 */
																																													obj_t
																																														BgL_arg1418z00_1623;
																																													BgL_arg1418z00_1623
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1197z00_1619));
																																													BgL_arg1416z00_1622
																																														=
																																														BGl_shapez00zztools_shapez00
																																														(BgL_arg1418z00_1623);
																																												}
																																												BgL_newtail1201z00_1621
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg1416z00_1622,
																																													BNIL);
																																											}
																																											SET_CDR
																																												(BgL_tail1200z00_1620,
																																												BgL_newtail1201z00_1621);
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_arg1415z00_1624;
																																												BgL_arg1415z00_1624
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1197z00_1619));
																																												{
																																													obj_t
																																														BgL_tail1200z00_2075;
																																													obj_t
																																														BgL_l1197z00_2074;
																																													BgL_l1197z00_2074
																																														=
																																														BgL_arg1415z00_1624;
																																													BgL_tail1200z00_2075
																																														=
																																														BgL_newtail1201z00_1621;
																																													BgL_tail1200z00_1620
																																														=
																																														BgL_tail1200z00_2075;
																																													BgL_l1197z00_1619
																																														=
																																														BgL_l1197z00_2074;
																																													goto
																																														BgL_zc3z04anonymousza31403ze3z87_1618;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						}
																																				}
																																				BgL_arg1400z00_1611
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1401z00_1612,
																																					BNIL);
																																			}
																																			BgL_arg1387z00_1610
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						7)),
																																				BgL_arg1400z00_1611);
																																		}
																																		BgL_arg1386z00_1609
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1387z00_1610,
																																			BNIL);
																																	}
																																	BgL_arg1383z00_1607
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string1831z00zzengine_heapz00,
																																		BgL_arg1386z00_1609);
																																}
																																BgL_arg1381z00_1605
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1382z00_1606,
																																	BgL_arg1383z00_1607);
																															}
																															BgL_arg1366z00_1601
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1832z00zzengine_heapz00,
																																BgL_arg1381z00_1605);
																														}
																														BgL_arg1361z00_1598
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1364z00_1600,
																															BgL_arg1366z00_1601);
																													}
																													BgL_arg1357z00_1596 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1358z00_1597,
																														BgL_arg1361z00_1598);
																												}
																												BgL_arg1347z00_1591 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1832z00zzengine_heapz00,
																													BgL_arg1357z00_1596);
																											}
																											BgL_arg1341z00_1589 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1343z00_1590,
																												BgL_arg1347z00_1591);
																										}
																										BgL_arg1339z00_1587 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1832z00zzengine_heapz00,
																											BgL_arg1341z00_1589);
																									}
																									BgL_arg1334z00_1585 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1338z00_1586,
																										BgL_arg1339z00_1587);
																								}
																								BgL_arg1332z00_1583 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1832z00zzengine_heapz00,
																									BgL_arg1334z00_1585);
																							}
																							BgL_arg1328z00_1581 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1331z00_1582,
																								BgL_arg1332z00_1583);
																						}
																						BgL_arg1326z00_1580 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1832z00zzengine_heapz00,
																							BgL_arg1328z00_1581);
																					}
																					BgL_arg1324z00_1578 =
																						MAKE_YOUNG_PAIR(BgL_arg1325z00_1579,
																						BgL_arg1326z00_1580);
																				}
																				BgL_arg1323z00_1577 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							8)), BgL_arg1324z00_1578);
																			}
																			bgl_display_obj(BgL_arg1323z00_1577,
																				BgL_port1204z00_1576);
																		}
																		bgl_display_char(((unsigned char) 10),
																			BgL_port1204z00_1576);
																	}
																else
																	{	/* Engine/heap.scm 148 */
																		bool_t BgL_test1882z00_2097;

																		{	/* Engine/heap.scm 148 */
																			obj_t BgL_classz00_1625;

																			BgL_classz00_1625 =
																				BGl_cfunz00zzast_varz00;
																			{	/* Engine/heap.scm 148 */
																				BgL_objectz00_bglt BgL_arg1825z00_1626;

																				{	/* Engine/heap.scm 148 */
																					obj_t BgL_tmpz00_2098;

																					BgL_tmpz00_2098 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_valz00_1561));
																					BgL_arg1825z00_1626 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_2098);
																				}
																				{	/* Engine/heap.scm 148 */
																					bool_t BgL_arg1822z00_1627;
																					bool_t BgL_arg1823z00_1628;

																					{	/* Engine/heap.scm 148 */
																						long BgL_idxz00_1629;

																						BgL_idxz00_1629 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_1626);
																						BgL_arg1822z00_1627 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1629 +
																									((long) 3))) ==
																							BgL_classz00_1625);
																					}
																					{	/* Engine/heap.scm 148 */
																						bool_t BgL_res1809z00_1632;

																						{	/* Engine/heap.scm 148 */
																							obj_t BgL_oclassz00_1633;

																							{	/* Engine/heap.scm 148 */
																								long BgL_arg1833z00_1634;

																								{	/* Engine/heap.scm 148 */
																									long BgL_arg1834z00_1635;

																									BgL_arg1834z00_1635 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_1626);
																									BgL_arg1833z00_1634 =
																										(BgL_arg1834z00_1635 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1633 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_1634);
																							}
																							{	/* Engine/heap.scm 148 */
																								bool_t BgL__ortest_1110z00_1636;

																								BgL__ortest_1110z00_1636 =
																									(BgL_classz00_1625 ==
																									BgL_oclassz00_1633);
																								if (BgL__ortest_1110z00_1636)
																									{	/* Engine/heap.scm 148 */
																										BgL_res1809z00_1632 =
																											BgL__ortest_1110z00_1636;
																									}
																								else
																									{	/* Engine/heap.scm 148 */
																										long BgL_odepthz00_1637;

																										BgL_odepthz00_1637 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_1633);
																										if ((((long) 3) <
																												BgL_odepthz00_1637))
																											{	/* Engine/heap.scm 148 */
																												obj_t
																													BgL_arg1821z00_1638;
																												BgL_arg1821z00_1638 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_1633,
																													((long) 3));
																												BgL_res1809z00_1632 =
																													(BgL_arg1821z00_1638
																													== BgL_classz00_1625);
																											}
																										else
																											{	/* Engine/heap.scm 148 */
																												BgL_res1809z00_1632 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_1628 =
																							BgL_res1809z00_1632;
																					}
																					BgL_test1882z00_2097 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_1627,
																						BgL_arg1823z00_1628);
																				}
																			}
																		}
																		if (BgL_test1882z00_2097)
																			{	/* Engine/heap.scm 149 */
																				obj_t BgL_port1211z00_1639;

																				{	/* Engine/heap.scm 149 */
																					obj_t BgL_tmpz00_2117;

																					BgL_tmpz00_2117 =
																						BGL_CURRENT_DYNAMIC_ENV();
																					BgL_port1211z00_1639 =
																						BGL_ENV_CURRENT_OUTPUT_PORT
																						(BgL_tmpz00_2117);
																				}
																				bgl_display_string
																					(BGl_string1828z00zzengine_heapz00,
																					BgL_port1211z00_1639);
																				{	/* Engine/heap.scm 150 */
																					obj_t BgL_arg1454z00_1640;

																					{	/* Engine/heap.scm 150 */
																						obj_t BgL_arg1456z00_1641;

																						{	/* Engine/heap.scm 150 */
																							obj_t BgL_arg1457z00_1642;
																							obj_t BgL_arg1462z00_1643;

																							BgL_arg1457z00_1642 =
																								BGl_shapez00zztools_shapez00
																								(BgL_newz00_1556);
																							{	/* Engine/heap.scm 152 */
																								obj_t BgL_arg1477z00_1644;

																								{	/* Engine/heap.scm 152 */
																									obj_t BgL_arg1494z00_1645;
																									obj_t BgL_arg1496z00_1646;

																									{	/* Engine/heap.scm 152 */
																										obj_t BgL_arg1497z00_1647;

																										BgL_arg1497z00_1647 =
																											MAKE_YOUNG_PAIR
																											(BgL_idz00_1558, BNIL);
																										BgL_arg1494z00_1645 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													0)),
																											BgL_arg1497z00_1647);
																									}
																									{	/* Engine/heap.scm 154 */
																										obj_t BgL_arg1500z00_1648;

																										{	/* Engine/heap.scm 154 */
																											obj_t BgL_arg1520z00_1649;
																											obj_t BgL_arg1524z00_1650;

																											{	/* Engine/heap.scm 154 */
																												obj_t
																													BgL_arg1534z00_1651;
																												BgL_arg1534z00_1651 =
																													MAKE_YOUNG_PAIR
																													(BgL_modulez00_1557,
																													BNIL);
																												BgL_arg1520z00_1649 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 1)),
																													BgL_arg1534z00_1651);
																											}
																											{	/* Engine/heap.scm 156 */
																												obj_t
																													BgL_arg1536z00_1652;
																												{	/* Engine/heap.scm 156 */
																													obj_t
																														BgL_arg1542z00_1653;
																													obj_t
																														BgL_arg1543z00_1654;
																													{	/* Engine/heap.scm 156 */
																														obj_t
																															BgL_arg1548z00_1655;
																														{	/* Engine/heap.scm 156 */
																															obj_t
																																BgL_arg1551z00_1656;
																															{	/* Engine/heap.scm 156 */
																																obj_t
																																	BgL_arg1552z00_1657;
																																BgL_arg1552z00_1657
																																	=
																																	(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1556))))->BgL_namez00);
																																{	/* Engine/heap.scm 156 */
																																	obj_t
																																		BgL_list1553z00_1658;
																																	BgL_list1553z00_1658
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1552z00_1657,
																																		BNIL);
																																	BgL_arg1551z00_1656
																																		=
																																		BGl_formatz00zz__r4_output_6_10_3z00
																																		(BGl_string1829z00zzengine_heapz00,
																																		BgL_list1553z00_1658);
																															}}
																															BgL_arg1548z00_1655
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1551z00_1656,
																																BNIL);
																														}
																														BgL_arg1542z00_1653
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 2)),
																															BgL_arg1548z00_1655);
																													}
																													{	/* Engine/heap.scm 158 */
																														obj_t
																															BgL_arg1554z00_1659;
																														{	/* Engine/heap.scm 158 */
																															obj_t
																																BgL_arg1555z00_1660;
																															obj_t
																																BgL_arg1563z00_1661;
																															{	/* Engine/heap.scm 158 */
																																obj_t
																																	BgL_arg1564z00_1662;
																																BgL_arg1564z00_1662
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_qtz00_1559,
																																	BNIL);
																																BgL_arg1555z00_1660
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 3)),
																																	BgL_arg1564z00_1662);
																															}
																															{	/* Engine/heap.scm 160 */
																																obj_t
																																	BgL_arg1567z00_1663;
																																{	/* Engine/heap.scm 160 */
																																	obj_t
																																		BgL_arg1570z00_1664;
																																	obj_t
																																		BgL_arg1571z00_1665;
																																	{	/* Engine/heap.scm 160 */
																																		obj_t
																																			BgL_arg1578z00_1666;
																																		BgL_arg1578z00_1666
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_jtz00_1560,
																																			BNIL);
																																		BgL_arg1570z00_1664
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					6)),
																																			BgL_arg1578z00_1666);
																																	}
																																	{	/* Engine/heap.scm 161 */
																																		obj_t
																																			BgL_arg1581z00_1667;
																																		{	/* Engine/heap.scm 161 */
																																			obj_t
																																				BgL_arg1582z00_1668;
																																			{	/* Engine/heap.scm 161 */
																																				obj_t
																																					BgL_arg1583z00_1669;
																																				{	/* Engine/heap.scm 161 */
																																					obj_t
																																						BgL_arg1584z00_1670;
																																					{	/* Engine/heap.scm 161 */
																																						obj_t
																																							BgL_l1205z00_1671;
																																						BgL_l1205z00_1671
																																							=
																																							(((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) BgL_valz00_1561)))->BgL_argszd2typezd2);
																																						if (NULLP(BgL_l1205z00_1671))
																																							{	/* Engine/heap.scm 161 */
																																								BgL_arg1584z00_1670
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Engine/heap.scm 161 */
																																								obj_t
																																									BgL_head1207z00_1672;
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_arg1601z00_1673;
																																									{	/* Engine/heap.scm 161 */
																																										obj_t
																																											BgL_arg1602z00_1674;
																																										BgL_arg1602z00_1674
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1205z00_1671));
																																										BgL_arg1601z00_1673
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BgL_arg1602z00_1674);
																																									}
																																									BgL_head1207z00_1672
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg1601z00_1673,
																																										BNIL);
																																								}
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_g1210z00_1675;
																																									BgL_g1210z00_1675
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1205z00_1671));
																																									{
																																										obj_t
																																											BgL_l1205z00_1677;
																																										obj_t
																																											BgL_tail1208z00_1678;
																																										BgL_l1205z00_1677
																																											=
																																											BgL_g1210z00_1675;
																																										BgL_tail1208z00_1678
																																											=
																																											BgL_head1207z00_1672;
																																									BgL_zc3z04anonymousza31586ze3z87_1676:
																																										if (NULLP(BgL_l1205z00_1677))
																																											{	/* Engine/heap.scm 161 */
																																												BgL_arg1584z00_1670
																																													=
																																													BgL_head1207z00_1672;
																																											}
																																										else
																																											{	/* Engine/heap.scm 161 */
																																												obj_t
																																													BgL_newtail1209z00_1679;
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_arg1595z00_1680;
																																													{	/* Engine/heap.scm 161 */
																																														obj_t
																																															BgL_arg1597z00_1681;
																																														BgL_arg1597z00_1681
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1205z00_1677));
																																														BgL_arg1595z00_1680
																																															=
																																															BGl_shapez00zztools_shapez00
																																															(BgL_arg1597z00_1681);
																																													}
																																													BgL_newtail1209z00_1679
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg1595z00_1680,
																																														BNIL);
																																												}
																																												SET_CDR
																																													(BgL_tail1208z00_1678,
																																													BgL_newtail1209z00_1679);
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_arg1588z00_1682;
																																													BgL_arg1588z00_1682
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1205z00_1677));
																																													{
																																														obj_t
																																															BgL_tail1208z00_2162;
																																														obj_t
																																															BgL_l1205z00_2161;
																																														BgL_l1205z00_2161
																																															=
																																															BgL_arg1588z00_1682;
																																														BgL_tail1208z00_2162
																																															=
																																															BgL_newtail1209z00_1679;
																																														BgL_tail1208z00_1678
																																															=
																																															BgL_tail1208z00_2162;
																																														BgL_l1205z00_1677
																																															=
																																															BgL_l1205z00_2161;
																																														goto
																																															BgL_zc3z04anonymousza31586ze3z87_1676;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																					BgL_arg1583z00_1669
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1584z00_1670,
																																						BNIL);
																																				}
																																				BgL_arg1582z00_1668
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 7)), BgL_arg1583z00_1669);
																																			}
																																			BgL_arg1581z00_1667
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1582z00_1668,
																																				BNIL);
																																		}
																																		BgL_arg1571z00_1665
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string1831z00zzengine_heapz00,
																																			BgL_arg1581z00_1667);
																																	}
																																	BgL_arg1567z00_1663
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1570z00_1664,
																																		BgL_arg1571z00_1665);
																																}
																																BgL_arg1563z00_1661
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1832z00zzengine_heapz00,
																																	BgL_arg1567z00_1663);
																															}
																															BgL_arg1554z00_1659
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1555z00_1660,
																																BgL_arg1563z00_1661);
																														}
																														BgL_arg1543z00_1654
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1832z00zzengine_heapz00,
																															BgL_arg1554z00_1659);
																													}
																													BgL_arg1536z00_1652 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1542z00_1653,
																														BgL_arg1543z00_1654);
																												}
																												BgL_arg1524z00_1650 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1832z00zzengine_heapz00,
																													BgL_arg1536z00_1652);
																											}
																											BgL_arg1500z00_1648 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1520z00_1649,
																												BgL_arg1524z00_1650);
																										}
																										BgL_arg1496z00_1646 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1832z00zzengine_heapz00,
																											BgL_arg1500z00_1648);
																									}
																									BgL_arg1477z00_1644 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1494z00_1645,
																										BgL_arg1496z00_1646);
																								}
																								BgL_arg1462z00_1643 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1832z00zzengine_heapz00,
																									BgL_arg1477z00_1644);
																							}
																							BgL_arg1456z00_1641 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1457z00_1642,
																								BgL_arg1462z00_1643);
																						}
																						BgL_arg1454z00_1640 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 9)),
																							BgL_arg1456z00_1641);
																					}
																					bgl_display_obj(BgL_arg1454z00_1640,
																						BgL_port1211z00_1639);
																				}
																				bgl_display_char(((unsigned char) 10),
																					BgL_port1211z00_1639);
																			}
																		else
																			{	/* Engine/heap.scm 148 */
																				if (
																					((((BgL_typez00_bglt) COBJECT(
																									(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_newz00_1556))))->
																										BgL_typez00)))->
																							BgL_idz00) ==
																						CNST_TABLE_REF(((long) 10))))
																					{	/* Engine/heap.scm 163 */
																						BFALSE;
																					}
																				else
																					{	/* Engine/heap.scm 164 */
																						obj_t BgL_port1212z00_1683;

																						{	/* Engine/heap.scm 164 */
																							obj_t BgL_tmpz00_2190;

																							BgL_tmpz00_2190 =
																								BGL_CURRENT_DYNAMIC_ENV();
																							BgL_port1212z00_1683 =
																								BGL_ENV_CURRENT_OUTPUT_PORT
																								(BgL_tmpz00_2190);
																						}
																						bgl_display_string
																							(BGl_string1828z00zzengine_heapz00,
																							BgL_port1212z00_1683);
																						{	/* Engine/heap.scm 165 */
																							obj_t BgL_arg1606z00_1684;

																							{	/* Engine/heap.scm 165 */
																								obj_t BgL_arg1612z00_1685;

																								{	/* Engine/heap.scm 165 */
																									obj_t BgL_arg1613z00_1686;
																									obj_t BgL_arg1619z00_1687;

																									BgL_arg1613z00_1686 =
																										BGl_shapez00zztools_shapez00
																										(BgL_newz00_1556);
																									{	/* Engine/heap.scm 167 */
																										obj_t BgL_arg1620z00_1688;

																										{	/* Engine/heap.scm 167 */
																											obj_t BgL_arg1621z00_1689;
																											obj_t BgL_arg1632z00_1690;

																											{	/* Engine/heap.scm 167 */
																												obj_t
																													BgL_arg1633z00_1691;
																												BgL_arg1633z00_1691 =
																													MAKE_YOUNG_PAIR
																													(BgL_idz00_1558,
																													BNIL);
																												BgL_arg1621z00_1689 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 0)),
																													BgL_arg1633z00_1691);
																											}
																											{	/* Engine/heap.scm 169 */
																												obj_t
																													BgL_arg1636z00_1692;
																												{	/* Engine/heap.scm 169 */
																													obj_t
																														BgL_arg1647z00_1693;
																													obj_t
																														BgL_arg1652z00_1694;
																													{	/* Engine/heap.scm 169 */
																														obj_t
																															BgL_arg1656z00_1695;
																														BgL_arg1656z00_1695
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_modulez00_1557,
																															BNIL);
																														BgL_arg1647z00_1693
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 1)),
																															BgL_arg1656z00_1695);
																													}
																													{	/* Engine/heap.scm 171 */
																														obj_t
																															BgL_arg1657z00_1696;
																														{	/* Engine/heap.scm 171 */
																															obj_t
																																BgL_arg1660z00_1697;
																															obj_t
																																BgL_arg1665z00_1698;
																															{	/* Engine/heap.scm 171 */
																																obj_t
																																	BgL_arg1667z00_1699;
																																{	/* Engine/heap.scm 171 */
																																	obj_t
																																		BgL_arg1668z00_1700;
																																	{	/* Engine/heap.scm 171 */
																																		obj_t
																																			BgL_arg1675z00_1701;
																																		BgL_arg1675z00_1701
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1556))))->BgL_namez00);
																																		{	/* Engine/heap.scm 171 */
																																			obj_t
																																				BgL_list1676z00_1702;
																																			BgL_list1676z00_1702
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1675z00_1701,
																																				BNIL);
																																			BgL_arg1668z00_1700
																																				=
																																				BGl_formatz00zz__r4_output_6_10_3z00
																																				(BGl_string1829z00zzengine_heapz00,
																																				BgL_list1676z00_1702);
																																	}}
																																	BgL_arg1667z00_1699
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1668z00_1700,
																																		BNIL);
																																}
																																BgL_arg1660z00_1697
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 2)),
																																	BgL_arg1667z00_1699);
																															}
																															{	/* Engine/heap.scm 173 */
																																obj_t
																																	BgL_arg1678z00_1703;
																																{	/* Engine/heap.scm 173 */
																																	obj_t
																																		BgL_arg1679z00_1704;
																																	obj_t
																																		BgL_arg1681z00_1705;
																																	{	/* Engine/heap.scm 173 */
																																		obj_t
																																			BgL_arg1682z00_1706;
																																		BgL_arg1682z00_1706
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_qtz00_1559,
																																			BNIL);
																																		BgL_arg1679z00_1704
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					3)),
																																			BgL_arg1682z00_1706);
																																	}
																																	{	/* Engine/heap.scm 175 */
																																		obj_t
																																			BgL_arg1694z00_1707;
																																		{	/* Engine/heap.scm 175 */
																																			obj_t
																																				BgL_arg1695z00_1708;
																																			{	/* Engine/heap.scm 175 */
																																				obj_t
																																					BgL_arg1696z00_1709;
																																				BgL_arg1696z00_1709
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_jtz00_1560,
																																					BNIL);
																																				BgL_arg1695z00_1708
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 6)), BgL_arg1696z00_1709);
																																			}
																																			BgL_arg1694z00_1707
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1695z00_1708,
																																				BNIL);
																																		}
																																		BgL_arg1681z00_1705
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string1832z00zzengine_heapz00,
																																			BgL_arg1694z00_1707);
																																	}
																																	BgL_arg1678z00_1703
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1679z00_1704,
																																		BgL_arg1681z00_1705);
																																}
																																BgL_arg1665z00_1698
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1832z00zzengine_heapz00,
																																	BgL_arg1678z00_1703);
																															}
																															BgL_arg1657z00_1696
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1660z00_1697,
																																BgL_arg1665z00_1698);
																														}
																														BgL_arg1652z00_1694
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1832z00zzengine_heapz00,
																															BgL_arg1657z00_1696);
																													}
																													BgL_arg1636z00_1692 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1647z00_1693,
																														BgL_arg1652z00_1694);
																												}
																												BgL_arg1632z00_1690 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1832z00zzengine_heapz00,
																													BgL_arg1636z00_1692);
																											}
																											BgL_arg1620z00_1688 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1621z00_1689,
																												BgL_arg1632z00_1690);
																										}
																										BgL_arg1619z00_1687 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1832z00zzengine_heapz00,
																											BgL_arg1620z00_1688);
																									}
																									BgL_arg1612z00_1685 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1613z00_1686,
																										BgL_arg1619z00_1687);
																								}
																								BgL_arg1606z00_1684 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 11)),
																									BgL_arg1612z00_1685);
																							}
																							bgl_display_obj
																								(BgL_arg1606z00_1684,
																								BgL_port1212z00_1683);
																						}
																						bgl_display_char(((unsigned char)
																								10), BgL_port1212z00_1683);
									}}}}}}}}}}
									{
										obj_t BgL_l1213z00_2231;

										BgL_l1213z00_2231 = CDR(BgL_l1213z00_1712);
										BgL_l1213z00_1712 = BgL_l1213z00_2231;
										goto BgL_zc3z04anonymousza31315ze3z87_1711;
									}
								}
							else
								{	/* Engine/heap.scm 178 */
									BgL_tmpz00_1983 = ((bool_t) 1);
								}
						}
					}
				}
				return BBOOL(BgL_tmpz00_1983);
			}
		}

	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		{	/* Engine/heap.scm 183 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1833z00zzengine_heapz00);
		}

	}



/* &<@anonymous:1707> */
	obj_t BGl_z62zc3z04anonymousza31707ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1520, obj_t BgL_kz00_1521, obj_t BgL_newz00_1522)
	{
		{	/* Engine/heap.scm 185 */
			{	/* Engine/heap.scm 186 */
				obj_t BgL_idz00_1713;

				BgL_idz00_1713 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_newz00_1522)))->BgL_idz00);
				{	/* Engine/heap.scm 186 */
					obj_t BgL_namez00_1714;

					BgL_namez00_1714 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_newz00_1522)))->BgL_namez00);
					{	/* Engine/heap.scm 187 */

						{	/* Engine/heap.scm 188 */
							bool_t BgL_test1888z00_2239;

							{	/* Engine/heap.scm 188 */
								obj_t BgL_classz00_1715;

								BgL_classz00_1715 = BGl_tclassz00zzobject_classz00;
								if (BGL_OBJECTP(BgL_newz00_1522))
									{	/* Engine/heap.scm 188 */
										BgL_objectz00_bglt BgL_arg1825z00_1716;

										BgL_arg1825z00_1716 =
											(BgL_objectz00_bglt) (BgL_newz00_1522);
										{	/* Engine/heap.scm 188 */
											bool_t BgL_arg1822z00_1717;
											bool_t BgL_arg1823z00_1718;

											{	/* Engine/heap.scm 188 */
												long BgL_idxz00_1719;

												BgL_idxz00_1719 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1716);
												BgL_arg1822z00_1717 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1719 + ((long) 2))) ==
													BgL_classz00_1715);
											}
											{	/* Engine/heap.scm 188 */
												bool_t BgL_res1810z00_1722;

												{	/* Engine/heap.scm 188 */
													obj_t BgL_oclassz00_1723;

													{	/* Engine/heap.scm 188 */
														long BgL_arg1833z00_1724;

														{	/* Engine/heap.scm 188 */
															long BgL_arg1834z00_1725;

															BgL_arg1834z00_1725 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1716);
															BgL_arg1833z00_1724 =
																(BgL_arg1834z00_1725 - OBJECT_TYPE);
														}
														BgL_oclassz00_1723 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_1724);
													}
													{	/* Engine/heap.scm 188 */
														bool_t BgL__ortest_1110z00_1726;

														BgL__ortest_1110z00_1726 =
															(BgL_classz00_1715 == BgL_oclassz00_1723);
														if (BgL__ortest_1110z00_1726)
															{	/* Engine/heap.scm 188 */
																BgL_res1810z00_1722 = BgL__ortest_1110z00_1726;
															}
														else
															{	/* Engine/heap.scm 188 */
																long BgL_odepthz00_1727;

																BgL_odepthz00_1727 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_1723);
																if ((((long) 2) < BgL_odepthz00_1727))
																	{	/* Engine/heap.scm 188 */
																		obj_t BgL_arg1821z00_1728;

																		BgL_arg1821z00_1728 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_1723, ((long) 2));
																		BgL_res1810z00_1722 =
																			(BgL_arg1821z00_1728 ==
																			BgL_classz00_1715);
																	}
																else
																	{	/* Engine/heap.scm 188 */
																		BgL_res1810z00_1722 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_1718 = BgL_res1810z00_1722;
											}
											BgL_test1888z00_2239 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_1717,
												BgL_arg1823z00_1718);
										}
									}
								else
									{	/* Engine/heap.scm 188 */
										BgL_test1888z00_2239 = ((bool_t) 0);
									}
							}
							if (BgL_test1888z00_2239)
								{	/* Engine/heap.scm 190 */
									obj_t BgL_port1223z00_1729;

									{	/* Engine/heap.scm 190 */
										obj_t BgL_tmpz00_2258;

										BgL_tmpz00_2258 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_port1223z00_1729 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2258);
									}
									bgl_display_string(BGl_string1828z00zzengine_heapz00,
										BgL_port1223z00_1729);
									{	/* Engine/heap.scm 191 */
										obj_t BgL_arg1711z00_1730;

										{	/* Engine/heap.scm 191 */
											obj_t BgL_arg1712z00_1731;

											{	/* Engine/heap.scm 191 */
												obj_t BgL_arg1713z00_1732;
												obj_t BgL_arg1714z00_1733;

												BgL_arg1713z00_1732 =
													BGl_shapez00zztools_shapez00(BgL_newz00_1522);
												{	/* Engine/heap.scm 192 */
													obj_t BgL_arg1715z00_1734;
													obj_t BgL_arg1716z00_1735;

													{	/* Engine/heap.scm 192 */
														obj_t BgL_arg1721z00_1736;

														{	/* Engine/heap.scm 192 */
															obj_t BgL_arg1723z00_1737;

															{	/* Engine/heap.scm 192 */
																obj_t BgL_arg1725z00_1738;

																{
																	BgL_tclassz00_bglt BgL_auxz00_2263;

																	{
																		obj_t BgL_auxz00_2264;

																		{	/* Engine/heap.scm 192 */
																			BgL_objectz00_bglt BgL_tmpz00_2265;

																			BgL_tmpz00_2265 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_newz00_1522));
																			BgL_auxz00_2264 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2265);
																		}
																		BgL_auxz00_2263 =
																			((BgL_tclassz00_bglt) BgL_auxz00_2264);
																	}
																	BgL_arg1725z00_1738 =
																		(((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_2263))->
																		BgL_itszd2superzd2);
																}
																BgL_arg1723z00_1737 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg1725z00_1738);
															}
															BgL_arg1721z00_1736 =
																MAKE_YOUNG_PAIR(BgL_arg1723z00_1737, BNIL);
														}
														BgL_arg1715z00_1734 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1721z00_1736);
													}
													{	/* Engine/heap.scm 193 */
														obj_t BgL_arg1726z00_1739;

														{	/* Engine/heap.scm 193 */
															obj_t BgL_l1216z00_1740;

															{
																BgL_tclassz00_bglt BgL_auxz00_2275;

																{
																	obj_t BgL_auxz00_2276;

																	{	/* Engine/heap.scm 193 */
																		BgL_objectz00_bglt BgL_tmpz00_2277;

																		BgL_tmpz00_2277 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_newz00_1522));
																		BgL_auxz00_2276 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2277);
																	}
																	BgL_auxz00_2275 =
																		((BgL_tclassz00_bglt) BgL_auxz00_2276);
																}
																BgL_l1216z00_1740 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_2275))->BgL_slotsz00);
															}
															if (NULLP(BgL_l1216z00_1740))
																{	/* Engine/heap.scm 193 */
																	BgL_arg1726z00_1739 = BNIL;
																}
															else
																{	/* Engine/heap.scm 193 */
																	obj_t BgL_head1218z00_1741;

																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_arg1742z00_1742;

																		{	/* Engine/heap.scm 193 */
																			obj_t BgL_arg1743z00_1743;

																			BgL_arg1743z00_1743 =
																				CAR(((obj_t) BgL_l1216z00_1740));
																			BgL_arg1742z00_1742 =
																				BGl_shapez00zztools_shapez00
																				(BgL_arg1743z00_1743);
																		}
																		BgL_head1218z00_1741 =
																			MAKE_YOUNG_PAIR(BgL_arg1742z00_1742,
																			BNIL);
																	}
																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_g1222z00_1744;

																		BgL_g1222z00_1744 =
																			CDR(((obj_t) BgL_l1216z00_1740));
																		{
																			obj_t BgL_l1216z00_1746;
																			obj_t BgL_tail1219z00_1747;

																			BgL_l1216z00_1746 = BgL_g1222z00_1744;
																			BgL_tail1219z00_1747 =
																				BgL_head1218z00_1741;
																		BgL_zc3z04anonymousza31728ze3z87_1745:
																			if (NULLP(BgL_l1216z00_1746))
																				{	/* Engine/heap.scm 193 */
																					BgL_arg1726z00_1739 =
																						BgL_head1218z00_1741;
																				}
																			else
																				{	/* Engine/heap.scm 193 */
																					obj_t BgL_newtail1220z00_1748;

																					{	/* Engine/heap.scm 193 */
																						obj_t BgL_arg1738z00_1749;

																						{	/* Engine/heap.scm 193 */
																							obj_t BgL_arg1739z00_1750;

																							BgL_arg1739z00_1750 =
																								CAR(
																								((obj_t) BgL_l1216z00_1746));
																							BgL_arg1738z00_1749 =
																								BGl_shapez00zztools_shapez00
																								(BgL_arg1739z00_1750);
																						}
																						BgL_newtail1220z00_1748 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1738z00_1749, BNIL);
																					}
																					SET_CDR(BgL_tail1219z00_1747,
																						BgL_newtail1220z00_1748);
																					{	/* Engine/heap.scm 193 */
																						obj_t BgL_arg1731z00_1751;

																						BgL_arg1731z00_1751 =
																							CDR(((obj_t) BgL_l1216z00_1746));
																						{
																							obj_t BgL_tail1219z00_2301;
																							obj_t BgL_l1216z00_2300;

																							BgL_l1216z00_2300 =
																								BgL_arg1731z00_1751;
																							BgL_tail1219z00_2301 =
																								BgL_newtail1220z00_1748;
																							BgL_tail1219z00_1747 =
																								BgL_tail1219z00_2301;
																							BgL_l1216z00_1746 =
																								BgL_l1216z00_2300;
																							goto
																								BgL_zc3z04anonymousza31728ze3z87_1745;
																						}
																					}
																				}
																		}
																	}
																}
														}
														BgL_arg1716z00_1735 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1726z00_1739, BNIL);
													}
													BgL_arg1714z00_1733 =
														MAKE_YOUNG_PAIR(BgL_arg1715z00_1734,
														BgL_arg1716z00_1735);
												}
												BgL_arg1712z00_1731 =
													MAKE_YOUNG_PAIR(BgL_arg1713z00_1732,
													BgL_arg1714z00_1733);
											}
											BgL_arg1711z00_1730 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
												BgL_arg1712z00_1731);
										}
										bgl_display_obj(BgL_arg1711z00_1730, BgL_port1223z00_1729);
									}
									return
										bgl_display_char(((unsigned char) 10),
										BgL_port1223z00_1729);
								}
							else
								{	/* Engine/heap.scm 194 */
									obj_t BgL_port1224z00_1752;

									{	/* Engine/heap.scm 194 */
										obj_t BgL_tmpz00_2309;

										BgL_tmpz00_2309 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_port1224z00_1752 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2309);
									}
									bgl_display_string(BGl_string1828z00zzengine_heapz00,
										BgL_port1224z00_1752);
									{	/* Engine/heap.scm 194 */
										obj_t BgL_arg1745z00_1753;

										{	/* Engine/heap.scm 194 */
											obj_t BgL_arg1746z00_1754;

											{	/* Engine/heap.scm 194 */
												obj_t BgL_arg1747z00_1755;

												{	/* Engine/heap.scm 194 */
													obj_t BgL_arg1748z00_1756;

													{	/* Engine/heap.scm 194 */
														obj_t BgL_arg1749z00_1757;

														BgL_arg1749z00_1757 =
															MAKE_YOUNG_PAIR(BgL_namez00_1714, BNIL);
														BgL_arg1748z00_1756 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
															BgL_arg1749z00_1757);
													}
													BgL_arg1747z00_1755 =
														MAKE_YOUNG_PAIR(BgL_arg1748z00_1756, BNIL);
												}
												BgL_arg1746z00_1754 =
													MAKE_YOUNG_PAIR(BgL_idz00_1713, BgL_arg1747z00_1755);
											}
											BgL_arg1745z00_1753 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg1746z00_1754);
										}
										bgl_display_obj(BgL_arg1745z00_1753, BgL_port1224z00_1752);
									}
									return
										bgl_display_char(((unsigned char) 10),
										BgL_port1224z00_1752);
		}}}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string1834z00zzengine_heapz00));
		}

	}

#ifdef __cplusplus
}
#endif
