/*===========================================================================*/
/*   (Fxop/walk.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Fxop/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	BGL_EXPORTED_DECL obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00();
	static obj_t BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzfxop_walkz00();
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzfxop_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_objectzd2initzd2zzfxop_walkz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzfxop_walkz00();
	static obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t);
	static obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t);
	static bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	static obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzfxop_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00();
	static BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1348z70zzfxop_walkz00(obj_t,
		obj_t);
	static obj_t BGl_za2fxopsza2z00zzfxop_walkz00 = BUNSPEC;
	static obj_t BGl_z62fxopz121345z70zzfxop_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fxopzd2walkz12zd2envz12zzfxop_walkz00,
		BgL_bgl_za762fxopza7d2walkza711980za7,
		BGl_z62fxopzd2walkz12za2zzfxop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1964z00zzfxop_walkz00,
		BgL_bgl_string1964za700za7za7f1981za7, "Fxop", 4);
	      DEFINE_STRING(BGl_string1965z00zzfxop_walkz00,
		BgL_bgl_string1965za700za7za7f1982za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1966z00zzfxop_walkz00,
		BgL_bgl_string1966za700za7za7f1983za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1967z00zzfxop_walkz00,
		BgL_bgl_string1967za700za7za7f1984za7, " error", 6);
	      DEFINE_STRING(BGl_string1968z00zzfxop_walkz00,
		BgL_bgl_string1968za700za7za7f1985za7, "s", 1);
	      DEFINE_STRING(BGl_string1969z00zzfxop_walkz00,
		BgL_bgl_string1969za700za7za7f1986za7, "", 0);
	      DEFINE_STRING(BGl_string1970z00zzfxop_walkz00,
		BgL_bgl_string1970za700za7za7f1987za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1971z00zzfxop_walkz00,
		BgL_bgl_string1971za700za7za7f1988za7, "failure during postlude hook", 28);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762clearza7d2fxopza71989za7,
		BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1973z00zzfxop_walkz00,
		BgL_bgl_string1973za700za7za7f1990za7, "fxop!1345", 9);
	      DEFINE_STRING(BGl_string1975z00zzfxop_walkz00,
		BgL_bgl_string1975za700za7za7f1991za7, "fxop!::node", 11);
	      DEFINE_STRING(BGl_string1976z00zzfxop_walkz00,
		BgL_bgl_string1976za700za7za7f1992za7, "fxop_walk", 9);
	      DEFINE_STRING(BGl_string1977z00zzfxop_walkz00,
		BgL_bgl_string1977za700za7za7f1993za7,
		"((c-+fx $addfx) (c--fx $subfx) (c-<fx $ltfx) (c-<=fx $lefx) ($c->fx $c-gtfx) ($c->=fx $c-gefx) ($c-=fx $c-egfx)) $long->bint $bint->long foreign (clear-fxop-cache!) pass-started (init-fxop-cache!) ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzfxop_walkz00,
		BgL_bgl_za762fxopza7121345za771994za7, BGl_z62fxopz121345z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzfxop_walkz00,
		BgL_bgl_za762fxopza712za7d2let1995za7,
		BGl_z62fxopz12zd2letzd2var1348z70zzfxop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fxopz12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762fxopza712za770za7za7f1996za7, BGl_z62fxopz12z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762initza7d2fxopza7d1997za7,
		BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2longzd2ze3bintza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2bintzd2ze3longza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2fxopsza2z00zzfxop_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long
		BgL_checksumz00_2708, char *BgL_fromz00_2709)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzfxop_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzfxop_walkz00();
					BGl_libraryzd2moduleszd2initz00zzfxop_walkz00();
					BGl_cnstzd2initzd2zzfxop_walkz00();
					BGl_importedzd2moduleszd2initz00zzfxop_walkz00();
					BGl_genericzd2initzd2zzfxop_walkz00();
					BGl_methodzd2initzd2zzfxop_walkz00();
					return BGl_toplevelzd2initzd2zzfxop_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "fxop_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			{	/* Fxop/walk.scm 21 */
				obj_t BgL_cportz00_2575;

				{	/* Fxop/walk.scm 21 */
					obj_t BgL_stringz00_2583;

					BgL_stringz00_2583 = BGl_string1977z00zzfxop_walkz00;
					{	/* Fxop/walk.scm 21 */
						obj_t BgL_startz00_2584;

						BgL_startz00_2584 = BINT(((long) 0));
						{	/* Fxop/walk.scm 21 */
							obj_t BgL_endz00_2585;

							BgL_endz00_2585 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2583)));
							{	/* Fxop/walk.scm 21 */

								BgL_cportz00_2575 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2583, BgL_startz00_2584, BgL_endz00_2585);
				}}}}
				{
					long BgL_iz00_2576;

					BgL_iz00_2576 = ((long) 6);
				BgL_loopz00_2577:
					if ((BgL_iz00_2576 == ((long) -1)))
						{	/* Fxop/walk.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Fxop/walk.scm 21 */
							{	/* Fxop/walk.scm 21 */
								obj_t BgL_arg1979z00_2579;

								{	/* Fxop/walk.scm 21 */

									{	/* Fxop/walk.scm 21 */
										obj_t BgL_locationz00_2581;

										BgL_locationz00_2581 = BBOOL(((bool_t) 0));
										{	/* Fxop/walk.scm 21 */

											BgL_arg1979z00_2579 =
												BGl_readz00zz__readerz00(BgL_cportz00_2575,
												BgL_locationz00_2581);
										}
									}
								}
								{	/* Fxop/walk.scm 21 */
									int BgL_tmpz00_2742;

									BgL_tmpz00_2742 = (int) (BgL_iz00_2576);
									CNST_TABLE_SET(BgL_tmpz00_2742, BgL_arg1979z00_2579);
							}}
							{	/* Fxop/walk.scm 21 */
								int BgL_auxz00_2582;

								BgL_auxz00_2582 = (int) ((BgL_iz00_2576 - ((long) 1)));
								{
									long BgL_iz00_2747;

									BgL_iz00_2747 = (long) (BgL_auxz00_2582);
									BgL_iz00_2576 = BgL_iz00_2747;
									goto BgL_loopz00_2577;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL;
			return BUNSPEC;
		}

	}



/* fxop-walk! */
	BGL_EXPORTED_DEF obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Fxop/walk.scm 45 */
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_list1370z00_1470;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_arg1371z00_1471;

					{	/* Fxop/walk.scm 46 */
						obj_t BgL_arg1380z00_1472;

						BgL_arg1380z00_1472 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1371z00_1471 =
							MAKE_YOUNG_PAIR(BGl_string1964z00zzfxop_walkz00,
							BgL_arg1380z00_1472);
					}
					BgL_list1370z00_1470 =
						MAKE_YOUNG_PAIR(BGl_string1965z00zzfxop_walkz00,
						BgL_arg1371z00_1471);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1370z00_1470);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1964z00zzfxop_walkz00;
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_g1116z00_1473;
				obj_t BgL_g1117z00_1474;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_list1418z00_1487;

					BgL_list1418z00_1487 =
						MAKE_YOUNG_PAIR(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
						BNIL);
					BgL_g1116z00_1473 = BgL_list1418z00_1487;
				}
				BgL_g1117z00_1474 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1476;
					obj_t BgL_hnamesz00_1477;

					BgL_hooksz00_1476 = BgL_g1116z00_1473;
					BgL_hnamesz00_1477 = BgL_g1117z00_1474;
				BgL_zc3z04anonymousza31381ze3z87_1478:
					if (NULLP(BgL_hooksz00_1476))
						{	/* Fxop/walk.scm 46 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Fxop/walk.scm 46 */
							bool_t BgL_test2001z00_2762;

							{	/* Fxop/walk.scm 46 */
								obj_t BgL_fun1417z00_1485;

								BgL_fun1417z00_1485 = CAR(((obj_t) BgL_hooksz00_1476));
								BgL_test2001z00_2762 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1417z00_1485)
									(BgL_fun1417z00_1485, BEOA));
							}
							if (BgL_test2001z00_2762)
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1400z00_1482;
									obj_t BgL_arg1401z00_1483;

									BgL_arg1400z00_1482 = CDR(((obj_t) BgL_hooksz00_1476));
									BgL_arg1401z00_1483 = CDR(((obj_t) BgL_hnamesz00_1477));
									{
										obj_t BgL_hnamesz00_2774;
										obj_t BgL_hooksz00_2773;

										BgL_hooksz00_2773 = BgL_arg1400z00_1482;
										BgL_hnamesz00_2774 = BgL_arg1401z00_1483;
										BgL_hnamesz00_1477 = BgL_hnamesz00_2774;
										BgL_hooksz00_1476 = BgL_hooksz00_2773;
										goto BgL_zc3z04anonymousza31381ze3z87_1478;
									}
								}
							else
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1415z00_1484;

									BgL_arg1415z00_1484 = CAR(((obj_t) BgL_hnamesz00_1477));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1964z00zzfxop_walkz00,
										BGl_string1966z00zzfxop_walkz00, BgL_arg1415z00_1484);
								}
						}
				}
			}
			{
				obj_t BgL_l1337z00_1489;

				BgL_l1337z00_1489 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31419ze3z87_1490:
				if (PAIRP(BgL_l1337z00_1489))
					{	/* Fxop/walk.scm 47 */
						BGl_fxopzd2funz12zc0zzfxop_walkz00(CAR(BgL_l1337z00_1489));
						{
							obj_t BgL_l1337z00_2782;

							BgL_l1337z00_2782 = CDR(BgL_l1337z00_1489);
							BgL_l1337z00_1489 = BgL_l1337z00_2782;
							goto BgL_zc3z04anonymousza31419ze3z87_1490;
						}
					}
				else
					{	/* Fxop/walk.scm 47 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Fxop/walk.scm 48 */
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_port1339z00_1497;

						{	/* Fxop/walk.scm 48 */
							obj_t BgL_tmpz00_2787;

							BgL_tmpz00_2787 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1339z00_1497 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2787);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1339z00_1497);
						bgl_display_string(BGl_string1967z00zzfxop_walkz00,
							BgL_port1339z00_1497);
						{	/* Fxop/walk.scm 48 */
							obj_t BgL_arg1456z00_1498;

							{	/* Fxop/walk.scm 48 */
								bool_t BgL_test2004z00_2792;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Fxop/walk.scm 48 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Fxop/walk.scm 48 */
												BgL_test2004z00_2792 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Fxop/walk.scm 48 */
												BgL_test2004z00_2792 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_test2004z00_2792 = ((bool_t) 0);
									}
								if (BgL_test2004z00_2792)
									{	/* Fxop/walk.scm 48 */
										BgL_arg1456z00_1498 = BGl_string1968z00zzfxop_walkz00;
									}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_arg1456z00_1498 = BGl_string1969z00zzfxop_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1456z00_1498, BgL_port1339z00_1497);
						}
						bgl_display_string(BGl_string1970z00zzfxop_walkz00,
							BgL_port1339z00_1497);
						bgl_display_char(((unsigned char) 10), BgL_port1339z00_1497);
					}
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1460z00_1504;

						BgL_list1460z00_1504 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1460z00_1504);
					}
				}
			else
				{	/* Fxop/walk.scm 48 */
					obj_t BgL_g1118z00_1505;
					obj_t BgL_g1119z00_1506;

					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1498z00_1519;

						BgL_list1498z00_1519 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00, BNIL);
						BgL_g1118z00_1505 = BgL_list1498z00_1519;
					}
					BgL_g1119z00_1506 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1508;
						obj_t BgL_hnamesz00_1509;

						BgL_hooksz00_1508 = BgL_g1118z00_1505;
						BgL_hnamesz00_1509 = BgL_g1119z00_1506;
					BgL_zc3z04anonymousza31461ze3z87_1510:
						if (NULLP(BgL_hooksz00_1508))
							{	/* Fxop/walk.scm 48 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Fxop/walk.scm 48 */
								bool_t BgL_test2008z00_2811;

								{	/* Fxop/walk.scm 48 */
									obj_t BgL_fun1497z00_1517;

									BgL_fun1497z00_1517 = CAR(((obj_t) BgL_hooksz00_1508));
									BgL_test2008z00_2811 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1497z00_1517)
										(BgL_fun1497z00_1517, BEOA));
								}
								if (BgL_test2008z00_2811)
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1477z00_1514;
										obj_t BgL_arg1494z00_1515;

										BgL_arg1477z00_1514 = CDR(((obj_t) BgL_hooksz00_1508));
										BgL_arg1494z00_1515 = CDR(((obj_t) BgL_hnamesz00_1509));
										{
											obj_t BgL_hnamesz00_2823;
											obj_t BgL_hooksz00_2822;

											BgL_hooksz00_2822 = BgL_arg1477z00_1514;
											BgL_hnamesz00_2823 = BgL_arg1494z00_1515;
											BgL_hnamesz00_1509 = BgL_hnamesz00_2823;
											BgL_hooksz00_1508 = BgL_hooksz00_2822;
											goto BgL_zc3z04anonymousza31461ze3z87_1510;
										}
									}
								else
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1496z00_1516;

										BgL_arg1496z00_1516 = CAR(((obj_t) BgL_hnamesz00_1509));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1971z00zzfxop_walkz00, BgL_arg1496z00_1516);
									}
							}
					}
				}
		}

	}



/* &fxop-walk! */
	obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t BgL_envz00_2562,
		obj_t BgL_globalsz00_2563)
	{
		{	/* Fxop/walk.scm 45 */
			return BGl_fxopzd2walkz12zc0zzfxop_walkz00(BgL_globalsz00_2563);
		}

	}



/* init-fxop-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 60 */
			if (PAIRP(BGl_za2fxopsza2z00zzfxop_walkz00))
				{	/* Fxop/walk.scm 61 */
					BFALSE;
				}
			else
				{	/* Fxop/walk.scm 61 */
					{	/* Fxop/walk.scm 62 */
						obj_t BgL_list1500z00_1521;

						BgL_list1500z00_1521 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
						BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
							BgL_list1500z00_1521);
					}
					{	/* Fxop/walk.scm 63 */
						obj_t BgL_list1501z00_1522;

						BgL_list1501z00_1522 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
						BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
							BgL_list1501z00_1522);
					}
					{	/* Fxop/walk.scm 65 */
						obj_t BgL_l1340z00_1523;

						BgL_l1340z00_1523 = CNST_TABLE_REF(((long) 6));
						{	/* Fxop/walk.scm 65 */
							obj_t BgL_head1342z00_1525;

							BgL_head1342z00_1525 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1340z00_1527;
								obj_t BgL_tail1343z00_1528;

								BgL_l1340z00_1527 = BgL_l1340z00_1523;
								BgL_tail1343z00_1528 = BgL_head1342z00_1525;
							BgL_zc3z04anonymousza31503ze3z87_1529:
								if (NULLP(BgL_l1340z00_1527))
									{	/* Fxop/walk.scm 65 */
										BGl_za2fxopsza2z00zzfxop_walkz00 =
											CDR(BgL_head1342z00_1525);
									}
								else
									{	/* Fxop/walk.scm 65 */
										obj_t BgL_newtail1344z00_1531;

										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1524z00_1533;

											{	/* Fxop/walk.scm 65 */
												obj_t BgL_utz00_1534;

												BgL_utz00_1534 = CAR(((obj_t) BgL_l1340z00_1527));
												{	/* Fxop/walk.scm 66 */
													obj_t BgL_arg1534z00_1535;
													obj_t BgL_arg1536z00_1536;

													{	/* Fxop/walk.scm 66 */
														obj_t BgL_arg1542z00_1537;

														BgL_arg1542z00_1537 = CAR(((obj_t) BgL_utz00_1534));
														{	/* Fxop/walk.scm 66 */
															obj_t BgL_list1544z00_1538;

															BgL_list1544z00_1538 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BNIL);
															BgL_arg1534z00_1535 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1542z00_1537, BgL_list1544z00_1538);
													}}
													{	/* Fxop/walk.scm 67 */
														obj_t BgL_arg1548z00_1539;

														{	/* Fxop/walk.scm 67 */
															obj_t BgL_pairz00_2044;

															BgL_pairz00_2044 = CDR(((obj_t) BgL_utz00_1534));
															BgL_arg1548z00_1539 = CAR(BgL_pairz00_2044);
														}
														{	/* Fxop/walk.scm 67 */
															obj_t BgL_list1549z00_1540;

															BgL_list1549z00_1540 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BNIL);
															BgL_arg1536z00_1536 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1548z00_1539, BgL_list1549z00_1540);
													}}
													BgL_arg1524z00_1533 =
														MAKE_YOUNG_PAIR(BgL_arg1534z00_1535,
														BgL_arg1536z00_1536);
											}}
											BgL_newtail1344z00_1531 =
												MAKE_YOUNG_PAIR(BgL_arg1524z00_1533, BNIL);
										}
										SET_CDR(BgL_tail1343z00_1528, BgL_newtail1344z00_1531);
										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1520z00_1532;

											BgL_arg1520z00_1532 = CDR(((obj_t) BgL_l1340z00_1527));
											{
												obj_t BgL_tail1343z00_2862;
												obj_t BgL_l1340z00_2861;

												BgL_l1340z00_2861 = BgL_arg1520z00_1532;
												BgL_tail1343z00_2862 = BgL_newtail1344z00_1531;
												BgL_tail1343z00_1528 = BgL_tail1343z00_2862;
												BgL_l1340z00_1527 = BgL_l1340z00_2861;
												goto BgL_zc3z04anonymousza31503ze3z87_1529;
											}
										}
									}
							}
						}
					}
				}
			return BUNSPEC;
		}

	}



/* &init-fxop-cache! */
	obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2564)
	{
		{	/* Fxop/walk.scm 60 */
			return BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00();
		}

	}



/* &clear-fxop-cache! */
	obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2565)
	{
		{	/* Fxop/walk.scm 80 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BFALSE;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BFALSE;
			return (BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL, BUNSPEC);
		}

	}



/* fxop-fun! */
	obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Fxop/walk.scm 88 */
			{	/* Fxop/walk.scm 89 */
				obj_t BgL_arg1551z00_1542;

				BgL_arg1551z00_1542 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1551z00_1542);
			}
			{	/* Fxop/walk.scm 90 */
				BgL_valuez00_bglt BgL_funz00_1543;

				BgL_funz00_1543 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Fxop/walk.scm 91 */
					BgL_nodez00_bglt BgL_arg1552z00_1544;

					{	/* Fxop/walk.scm 91 */
						obj_t BgL_arg1554z00_1545;

						BgL_arg1554z00_1545 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1543)))->BgL_bodyz00);
						BgL_arg1552z00_1544 =
							BGl_fxopz12z12zzfxop_walkz00(
							((BgL_nodez00_bglt) BgL_arg1554z00_1545));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1543)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1552z00_1544)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_proc1972z00zzfxop_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1973z00zzfxop_walkz00);
		}

	}



/* &fxop!1345 */
	obj_t BGl_z62fxopz121345z70zzfxop_walkz00(obj_t BgL_envz00_2569,
		obj_t BgL_nodez00_2570)
	{
		{	/* Fxop/walk.scm 98 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2570),
					BGl_fxopz12zd2envzc0zzfxop_walkz00));
		}

	}



/* fxop! */
	BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Fxop/walk.scm 98 */
			{	/* Fxop/walk.scm 98 */
				obj_t BgL_method1346z00_1561;

				{	/* Fxop/walk.scm 98 */
					obj_t BgL_res1949z00_2082;

					{	/* Fxop/walk.scm 98 */
						long BgL_objzd2classzd2numz00_2053;

						BgL_objzd2classzd2numz00_2053 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Fxop/walk.scm 98 */
							obj_t BgL_arg1829z00_2054;

							BgL_arg1829z00_2054 =
								PROCEDURE_REF(BGl_fxopz12zd2envzc0zzfxop_walkz00,
								(int) (((long) 1)));
							{	/* Fxop/walk.scm 98 */
								int BgL_offsetz00_2057;

								BgL_offsetz00_2057 = (int) (BgL_objzd2classzd2numz00_2053);
								{	/* Fxop/walk.scm 98 */
									long BgL_offsetz00_2058;

									BgL_offsetz00_2058 =
										((long) (BgL_offsetz00_2057) - OBJECT_TYPE);
									{	/* Fxop/walk.scm 98 */
										long BgL_modz00_2059;

										BgL_modz00_2059 =
											(BgL_offsetz00_2058 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Fxop/walk.scm 98 */
											long BgL_restz00_2061;

											BgL_restz00_2061 =
												(BgL_offsetz00_2058 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Fxop/walk.scm 98 */

												{	/* Fxop/walk.scm 98 */
													obj_t BgL_bucketz00_2063;

													BgL_bucketz00_2063 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2054), BgL_modz00_2059);
													BgL_res1949z00_2082 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2063), BgL_restz00_2061);
					}}}}}}}}
					BgL_method1346z00_1561 = BgL_res1949z00_2082;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1346z00_1561) (BgL_method1346z00_1561,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}

	}



/* &fxop! */
	BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t BgL_envz00_2567,
		obj_t BgL_nodez00_2568)
	{
		{	/* Fxop/walk.scm 98 */
			return
				BGl_fxopz12z12zzfxop_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2568));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1974z00zzfxop_walkz00, BGl_string1975z00zzfxop_walkz00);
		}

	}



/* &fxop!-let-var1348 */
	BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1348z70zzfxop_walkz00(obj_t
		BgL_envz00_2572, obj_t BgL_nodez00_2573)
	{
		{	/* Fxop/walk.scm 104 */
			{
				obj_t BgL_opz00_2682;
				BgL_letzd2varzd2_bglt BgL_nodez00_2683;
				obj_t BgL_opz00_2612;
				BgL_letzd2varzd2_bglt BgL_nodez00_2613;
				obj_t BgL_opz00_2592;
				BgL_letzd2varzd2_bglt BgL_nodez00_2593;

				{	/* Fxop/walk.scm 220 */
					obj_t BgL_g1161z00_2702;

					{	/* Fxop/walk.scm 220 */
						bool_t BgL_test2011z00_2915;

						{	/* Fxop/walk.scm 220 */
							BgL_typez00_bglt BgL_arg1583z00_2703;

							BgL_arg1583z00_2703 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2573))))->
								BgL_typez00);
							BgL_test2011z00_2915 =
								(((obj_t) BgL_arg1583z00_2703) ==
								BGl_za2bintza2z00zztype_cachez00);
						}
						if (BgL_test2011z00_2915)
							{	/* Fxop/walk.scm 220 */
								BgL_g1161z00_2702 =
									BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2573)))->
										BgL_bindingsz00),
									(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
													BgL_nodez00_2573)))->BgL_bodyz00));
							}
						else
							{	/* Fxop/walk.scm 220 */
								BgL_g1161z00_2702 = BFALSE;
							}
					}
					if (CBOOL(BgL_g1161z00_2702))
						{
							BgL_appz00_bglt BgL_auxz00_2928;

							BgL_opz00_2592 = BgL_g1161z00_2702;
							BgL_nodez00_2593 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2573);
							{	/* Fxop/walk.scm 177 */
								BgL_appz00_bglt BgL_new1144z00_2594;

								{	/* Fxop/walk.scm 177 */
									BgL_appz00_bglt BgL_new1143z00_2595;

									BgL_new1143z00_2595 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 177 */
										long BgL_arg1729z00_2596;

										BgL_arg1729z00_2596 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1143z00_2595),
											BgL_arg1729z00_2596);
									}
									{	/* Fxop/walk.scm 177 */
										BgL_objectz00_bglt BgL_tmpz00_2933;

										BgL_tmpz00_2933 =
											((BgL_objectz00_bglt) BgL_new1143z00_2595);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2933, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1143z00_2595);
									BgL_new1144z00_2594 = BgL_new1143z00_2595;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1144z00_2594)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1144z00_2594)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1144z00_2594)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1144z00_2594)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_2947;

									{	/* Fxop/walk.scm 179 */
										BgL_refz00_bglt BgL_new1146z00_2597;

										{	/* Fxop/walk.scm 179 */
											BgL_refz00_bglt BgL_new1145z00_2598;

											BgL_new1145z00_2598 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Fxop/walk.scm 179 */
												long BgL_arg1713z00_2599;

												{	/* Fxop/walk.scm 179 */
													obj_t BgL_classz00_2600;

													BgL_classz00_2600 = BGl_refz00zzast_nodez00;
													BgL_arg1713z00_2599 =
														BGL_CLASS_NUM(BgL_classz00_2600);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1145z00_2598),
													BgL_arg1713z00_2599);
											}
											{	/* Fxop/walk.scm 179 */
												BgL_objectz00_bglt BgL_tmpz00_2952;

												BgL_tmpz00_2952 =
													((BgL_objectz00_bglt) BgL_new1145z00_2598);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2952, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1145z00_2598);
											BgL_new1146z00_2597 = BgL_new1145z00_2598;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1146z00_2597)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1146z00_2597)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1146z00_2597)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_opz00_2592)), BUNSPEC);
										BgL_auxz00_2947 = ((BgL_varz00_bglt) BgL_new1146z00_2597);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1144z00_2594))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_2947), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_2966;

									{	/* Fxop/walk.scm 183 */
										BgL_nodez00_bglt BgL_arg1714z00_2601;
										BgL_nodez00_bglt BgL_arg1715z00_2602;

										{	/* Fxop/walk.scm 183 */
											obj_t BgL_arg1723z00_2603;

											{	/* Fxop/walk.scm 183 */
												obj_t BgL_pairz00_2604;

												BgL_pairz00_2604 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2593))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 183 */
													obj_t BgL_pairz00_2605;

													BgL_pairz00_2605 = CAR(BgL_pairz00_2604);
													BgL_arg1723z00_2603 = CDR(BgL_pairz00_2605);
											}}
											BgL_arg1714z00_2601 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1723z00_2603));
										}
										{	/* Fxop/walk.scm 184 */
											obj_t BgL_arg1726z00_2606;

											{	/* Fxop/walk.scm 184 */
												obj_t BgL_pairz00_2607;

												BgL_pairz00_2607 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2593))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 184 */
													obj_t BgL_pairz00_2608;

													{	/* Fxop/walk.scm 184 */
														obj_t BgL_pairz00_2609;

														BgL_pairz00_2609 = CDR(BgL_pairz00_2607);
														BgL_pairz00_2608 = CAR(BgL_pairz00_2609);
													}
													BgL_arg1726z00_2606 = CDR(BgL_pairz00_2608);
											}}
											BgL_arg1715z00_2602 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1726z00_2606));
										}
										{	/* Fxop/walk.scm 182 */
											obj_t BgL_list1716z00_2610;

											{	/* Fxop/walk.scm 182 */
												obj_t BgL_arg1721z00_2611;

												BgL_arg1721z00_2611 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1715z00_2602), BNIL);
												BgL_list1716z00_2610 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1714z00_2601), BgL_arg1721z00_2611);
											}
											BgL_auxz00_2966 = BgL_list1716z00_2610;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1144z00_2594))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_2966), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1144z00_2594))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_auxz00_2928 = BgL_new1144z00_2594;
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_2928);
						}
					else
						{	/* Fxop/walk.scm 224 */
							obj_t BgL_g1164z00_2704;

							{	/* Fxop/walk.scm 224 */
								bool_t BgL_test2013z00_2986;

								{	/* Fxop/walk.scm 224 */
									BgL_typez00_bglt BgL_arg1578z00_2705;

									BgL_arg1578z00_2705 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2573))))->
										BgL_typez00);
									BgL_test2013z00_2986 =
										(((obj_t) BgL_arg1578z00_2705) ==
										BGl_za2bintza2z00zztype_cachez00);
								}
								if (BgL_test2013z00_2986)
									{	/* Fxop/walk.scm 224 */
										BgL_g1164z00_2704 =
											BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2573)))->
												BgL_bindingsz00),
											(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
															BgL_nodez00_2573)))->BgL_bodyz00));
									}
								else
									{	/* Fxop/walk.scm 224 */
										BgL_g1164z00_2704 = BFALSE;
									}
							}
							if (CBOOL(BgL_g1164z00_2704))
								{
									BgL_appz00_bglt BgL_auxz00_2999;

									BgL_opz00_2612 = BgL_g1164z00_2704;
									BgL_nodez00_2613 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2573);
									{	/* Fxop/walk.scm 188 */
										obj_t BgL_callz00_2614;

										{	/* Fxop/walk.scm 188 */
											obj_t BgL_pairz00_2615;

											BgL_pairz00_2615 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															(((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_nodez00_2613))->BgL_bodyz00))))->
												BgL_argsz00);
											BgL_callz00_2614 = CAR(BgL_pairz00_2615);
										}
										{	/* Fxop/walk.scm 190 */
											BgL_appz00_bglt BgL_new1150z00_2616;

											{	/* Fxop/walk.scm 190 */
												BgL_appz00_bglt BgL_new1149z00_2617;

												BgL_new1149z00_2617 =
													((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_appz00_bgl))));
												{	/* Fxop/walk.scm 190 */
													long BgL_arg1856z00_2618;

													BgL_arg1856z00_2618 =
														BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1149z00_2617),
														BgL_arg1856z00_2618);
												}
												{	/* Fxop/walk.scm 190 */
													BgL_objectz00_bglt BgL_tmpz00_3008;

													BgL_tmpz00_3008 =
														((BgL_objectz00_bglt) BgL_new1149z00_2617);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3008, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1149z00_2617);
												BgL_new1150z00_2616 = BgL_new1149z00_2617;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1150z00_2616)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1150z00_2616)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1150z00_2616)))->BgL_sidezd2effectzd2) =
												((obj_t) BUNSPEC), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1150z00_2616)))->BgL_keyz00) =
												((obj_t) BINT(((long) -1))), BUNSPEC);
											{
												BgL_varz00_bglt BgL_auxz00_3022;

												{	/* Fxop/walk.scm 192 */
													BgL_refz00_bglt BgL_new1152z00_2619;

													{	/* Fxop/walk.scm 192 */
														BgL_refz00_bglt BgL_new1151z00_2620;

														BgL_new1151z00_2620 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Fxop/walk.scm 192 */
															long BgL_arg1731z00_2621;

															{	/* Fxop/walk.scm 192 */
																obj_t BgL_classz00_2622;

																BgL_classz00_2622 = BGl_refz00zzast_nodez00;
																BgL_arg1731z00_2621 =
																	BGL_CLASS_NUM(BgL_classz00_2622);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1151z00_2620),
																BgL_arg1731z00_2621);
														}
														{	/* Fxop/walk.scm 192 */
															BgL_objectz00_bglt BgL_tmpz00_3027;

															BgL_tmpz00_3027 =
																((BgL_objectz00_bglt) BgL_new1151z00_2620);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3027, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1151z00_2620);
														BgL_new1152z00_2619 = BgL_new1151z00_2620;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1152z00_2619)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1152z00_2619)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1152z00_2619)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_opz00_2612)), BUNSPEC);
													BgL_auxz00_3022 =
														((BgL_varz00_bglt) BgL_new1152z00_2619);
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1150z00_2616))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_auxz00_3022), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_3041;

												{	/* Fxop/walk.scm 196 */
													BgL_nodez00_bglt BgL_arg1738z00_2623;
													BgL_nodez00_bglt BgL_arg1739z00_2624;

													{	/* Fxop/walk.scm 196 */
														bool_t BgL_test2015z00_3042;

														{	/* Fxop/walk.scm 196 */
															bool_t BgL_test2016z00_3043;

															{	/* Fxop/walk.scm 196 */
																obj_t BgL_arg1785z00_2625;

																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_pairz00_2626;

																	BgL_pairz00_2626 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2614)))->
																		BgL_argsz00);
																	BgL_arg1785z00_2625 = CAR(BgL_pairz00_2626);
																}
																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_classz00_2627;

																	BgL_classz00_2627 = BGl_varz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1785z00_2625))
																		{	/* Fxop/walk.scm 196 */
																			BgL_objectz00_bglt BgL_arg1825z00_2628;

																			BgL_arg1825z00_2628 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1785z00_2625);
																			{	/* Fxop/walk.scm 196 */
																				bool_t BgL_arg1822z00_2629;
																				bool_t BgL_arg1823z00_2630;

																				{	/* Fxop/walk.scm 196 */
																					long BgL_idxz00_2631;

																					BgL_idxz00_2631 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2628);
																					{	/* Fxop/walk.scm 196 */
																						obj_t BgL_arg1819z00_2632;

																						{	/* Fxop/walk.scm 196 */
																							long BgL_arg1820z00_2633;

																							BgL_arg1820z00_2633 =
																								(BgL_idxz00_2631 + ((long) 2));
																							{	/* Fxop/walk.scm 196 */
																								obj_t BgL_vectorz00_2634;

																								BgL_vectorz00_2634 =
																									BGl_za2inheritancesza2z00zz__objectz00;
																								BgL_arg1819z00_2632 =
																									VECTOR_REF(BgL_vectorz00_2634,
																									BgL_arg1820z00_2633);
																						}}
																						BgL_arg1822z00_2629 =
																							(BgL_arg1819z00_2632 ==
																							BgL_classz00_2627);
																				}}
																				{	/* Fxop/walk.scm 196 */
																					bool_t BgL_res1958z00_2635;

																					{	/* Fxop/walk.scm 196 */
																						obj_t BgL_oclassz00_2636;

																						{	/* Fxop/walk.scm 196 */
																							long BgL_arg1833z00_2637;

																							{	/* Fxop/walk.scm 196 */
																								long BgL_arg1834z00_2638;

																								BgL_arg1834z00_2638 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2628);
																								BgL_arg1833z00_2637 =
																									(BgL_arg1834z00_2638 -
																									OBJECT_TYPE);
																							}
																							{	/* Fxop/walk.scm 196 */
																								obj_t BgL_vectorz00_2639;

																								BgL_vectorz00_2639 =
																									BGl_za2classesza2z00zz__objectz00;
																								BgL_oclassz00_2636 =
																									VECTOR_REF(BgL_vectorz00_2639,
																									BgL_arg1833z00_2637);
																						}}
																						{	/* Fxop/walk.scm 196 */
																							bool_t BgL__ortest_1110z00_2640;

																							BgL__ortest_1110z00_2640 =
																								(BgL_classz00_2627 ==
																								BgL_oclassz00_2636);
																							if (BgL__ortest_1110z00_2640)
																								{	/* Fxop/walk.scm 196 */
																									BgL_res1958z00_2635 =
																										BgL__ortest_1110z00_2640;
																								}
																							else
																								{	/* Fxop/walk.scm 196 */
																									long BgL_odepthz00_2641;

																									BgL_odepthz00_2641 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2636);
																									if ((((long) 2) <
																											BgL_odepthz00_2641))
																										{	/* Fxop/walk.scm 196 */
																											obj_t BgL_arg1821z00_2642;

																											BgL_arg1821z00_2642 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2636,
																												((long) 2));
																											BgL_res1958z00_2635 =
																												(BgL_arg1821z00_2642 ==
																												BgL_classz00_2627);
																										}
																									else
																										{	/* Fxop/walk.scm 196 */
																											BgL_res1958z00_2635 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2630 =
																						BgL_res1958z00_2635;
																				}
																				BgL_test2016z00_3043 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2629,
																					BgL_arg1823z00_2630);
																			}
																		}
																	else
																		{	/* Fxop/walk.scm 196 */
																			BgL_test2016z00_3043 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2016z00_3043)
																{	/* Fxop/walk.scm 197 */
																	obj_t BgL_auxz00_3074;
																	obj_t BgL_tmpz00_3065;

																	{	/* Fxop/walk.scm 198 */
																		obj_t BgL_pairz00_2644;

																		BgL_pairz00_2644 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2613))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 198 */
																			obj_t BgL_pairz00_2645;

																			BgL_pairz00_2645 = CAR(BgL_pairz00_2644);
																			BgL_auxz00_3074 = CAR(BgL_pairz00_2645);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_3066;

																		{
																			BgL_varz00_bglt BgL_auxz00_3067;

																			{	/* Fxop/walk.scm 197 */
																				obj_t BgL_pairz00_2643;

																				BgL_pairz00_2643 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_callz00_2614)))->
																					BgL_argsz00);
																				BgL_auxz00_3067 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2643));
																			}
																			BgL_auxz00_3066 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3067))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3065 = ((obj_t) BgL_auxz00_3066);
																	}
																	BgL_test2015z00_3042 =
																		(BgL_tmpz00_3065 == BgL_auxz00_3074);
																}
															else
																{	/* Fxop/walk.scm 196 */
																	BgL_test2015z00_3042 = ((bool_t) 0);
																}
														}
														if (BgL_test2015z00_3042)
															{	/* Fxop/walk.scm 199 */
																obj_t BgL_arg1759z00_2646;

																{	/* Fxop/walk.scm 199 */
																	obj_t BgL_pairz00_2647;

																	BgL_pairz00_2647 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2613))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 199 */
																		obj_t BgL_pairz00_2648;

																		BgL_pairz00_2648 = CAR(BgL_pairz00_2647);
																		BgL_arg1759z00_2646 = CDR(BgL_pairz00_2648);
																	}
																}
																BgL_arg1738z00_2623 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1759z00_2646));
															}
														else
															{	/* Fxop/walk.scm 200 */
																obj_t BgL_arg1762z00_2649;

																{	/* Fxop/walk.scm 200 */
																	obj_t BgL_pairz00_2650;

																	BgL_pairz00_2650 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2614)))->
																		BgL_argsz00);
																	BgL_arg1762z00_2649 = CAR(BgL_pairz00_2650);
																}
																BgL_arg1738z00_2623 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1762z00_2649));
															}
													}
													{	/* Fxop/walk.scm 201 */
														bool_t BgL_test2020z00_3089;

														{	/* Fxop/walk.scm 201 */
															bool_t BgL_test2021z00_3090;

															{	/* Fxop/walk.scm 201 */
																obj_t BgL_arg1854z00_2651;

																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_pairz00_2652;

																	BgL_pairz00_2652 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2614)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 201 */
																		obj_t BgL_pairz00_2653;

																		BgL_pairz00_2653 = CDR(BgL_pairz00_2652);
																		BgL_arg1854z00_2651 = CAR(BgL_pairz00_2653);
																	}
																}
																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_classz00_2654;

																	BgL_classz00_2654 = BGl_varz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1854z00_2651))
																		{	/* Fxop/walk.scm 201 */
																			BgL_objectz00_bglt BgL_arg1825z00_2655;

																			BgL_arg1825z00_2655 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1854z00_2651);
																			{	/* Fxop/walk.scm 201 */
																				bool_t BgL_arg1822z00_2656;
																				bool_t BgL_arg1823z00_2657;

																				{	/* Fxop/walk.scm 201 */
																					long BgL_idxz00_2658;

																					BgL_idxz00_2658 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2655);
																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_arg1819z00_2659;

																						{	/* Fxop/walk.scm 201 */
																							long BgL_arg1820z00_2660;

																							BgL_arg1820z00_2660 =
																								(BgL_idxz00_2658 + ((long) 2));
																							{	/* Fxop/walk.scm 201 */
																								obj_t BgL_vectorz00_2661;

																								BgL_vectorz00_2661 =
																									BGl_za2inheritancesza2z00zz__objectz00;
																								BgL_arg1819z00_2659 =
																									VECTOR_REF(BgL_vectorz00_2661,
																									BgL_arg1820z00_2660);
																						}}
																						BgL_arg1822z00_2656 =
																							(BgL_arg1819z00_2659 ==
																							BgL_classz00_2654);
																				}}
																				{	/* Fxop/walk.scm 201 */
																					bool_t BgL_res1959z00_2662;

																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_oclassz00_2663;

																						{	/* Fxop/walk.scm 201 */
																							long BgL_arg1833z00_2664;

																							{	/* Fxop/walk.scm 201 */
																								long BgL_arg1834z00_2665;

																								BgL_arg1834z00_2665 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2655);
																								BgL_arg1833z00_2664 =
																									(BgL_arg1834z00_2665 -
																									OBJECT_TYPE);
																							}
																							{	/* Fxop/walk.scm 201 */
																								obj_t BgL_vectorz00_2666;

																								BgL_vectorz00_2666 =
																									BGl_za2classesza2z00zz__objectz00;
																								BgL_oclassz00_2663 =
																									VECTOR_REF(BgL_vectorz00_2666,
																									BgL_arg1833z00_2664);
																						}}
																						{	/* Fxop/walk.scm 201 */
																							bool_t BgL__ortest_1110z00_2667;

																							BgL__ortest_1110z00_2667 =
																								(BgL_classz00_2654 ==
																								BgL_oclassz00_2663);
																							if (BgL__ortest_1110z00_2667)
																								{	/* Fxop/walk.scm 201 */
																									BgL_res1959z00_2662 =
																										BgL__ortest_1110z00_2667;
																								}
																							else
																								{	/* Fxop/walk.scm 201 */
																									long BgL_odepthz00_2668;

																									BgL_odepthz00_2668 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2663);
																									if ((((long) 2) <
																											BgL_odepthz00_2668))
																										{	/* Fxop/walk.scm 201 */
																											obj_t BgL_arg1821z00_2669;

																											BgL_arg1821z00_2669 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2663,
																												((long) 2));
																											BgL_res1959z00_2662 =
																												(BgL_arg1821z00_2669 ==
																												BgL_classz00_2654);
																										}
																									else
																										{	/* Fxop/walk.scm 201 */
																											BgL_res1959z00_2662 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2657 =
																						BgL_res1959z00_2662;
																				}
																				BgL_test2021z00_3090 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2656,
																					BgL_arg1823z00_2657);
																			}
																		}
																	else
																		{	/* Fxop/walk.scm 201 */
																			BgL_test2021z00_3090 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2021z00_3090)
																{	/* Fxop/walk.scm 202 */
																	obj_t BgL_auxz00_3124;
																	obj_t BgL_tmpz00_3113;

																	{	/* Fxop/walk.scm 203 */
																		obj_t BgL_pairz00_2672;

																		BgL_pairz00_2672 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2613))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 203 */
																			obj_t BgL_pairz00_2673;

																			BgL_pairz00_2673 = CAR(BgL_pairz00_2672);
																			BgL_auxz00_3124 = CAR(BgL_pairz00_2673);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_3114;

																		{
																			BgL_varz00_bglt BgL_auxz00_3115;

																			{
																				obj_t BgL_auxz00_3116;

																				{	/* Fxop/walk.scm 202 */
																					obj_t BgL_pairz00_2670;

																					BgL_pairz00_2670 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_callz00_2614)))->
																						BgL_argsz00);
																					{	/* Fxop/walk.scm 202 */
																						obj_t BgL_pairz00_2671;

																						BgL_pairz00_2671 =
																							CDR(BgL_pairz00_2670);
																						BgL_auxz00_3116 =
																							CAR(BgL_pairz00_2671);
																					}
																				}
																				BgL_auxz00_3115 =
																					((BgL_varz00_bglt) BgL_auxz00_3116);
																			}
																			BgL_auxz00_3114 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3115))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3113 = ((obj_t) BgL_auxz00_3114);
																	}
																	BgL_test2020z00_3089 =
																		(BgL_tmpz00_3113 == BgL_auxz00_3124);
																}
															else
																{	/* Fxop/walk.scm 201 */
																	BgL_test2020z00_3089 = ((bool_t) 0);
																}
														}
														if (BgL_test2020z00_3089)
															{	/* Fxop/walk.scm 204 */
																obj_t BgL_arg1824z00_2674;

																{	/* Fxop/walk.scm 204 */
																	obj_t BgL_pairz00_2675;

																	BgL_pairz00_2675 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2613))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 204 */
																		obj_t BgL_pairz00_2676;

																		BgL_pairz00_2676 = CAR(BgL_pairz00_2675);
																		BgL_arg1824z00_2674 = CDR(BgL_pairz00_2676);
																	}
																}
																BgL_arg1739z00_2624 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1824z00_2674));
															}
														else
															{	/* Fxop/walk.scm 205 */
																obj_t BgL_arg1838z00_2677;

																{	/* Fxop/walk.scm 205 */
																	obj_t BgL_pairz00_2678;

																	BgL_pairz00_2678 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2614)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 205 */
																		obj_t BgL_pairz00_2679;

																		BgL_pairz00_2679 = CDR(BgL_pairz00_2678);
																		BgL_arg1838z00_2677 = CAR(BgL_pairz00_2679);
																	}
																}
																BgL_arg1739z00_2624 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1838z00_2677));
															}
													}
													{	/* Fxop/walk.scm 195 */
														obj_t BgL_list1740z00_2680;

														{	/* Fxop/walk.scm 195 */
															obj_t BgL_arg1742z00_2681;

															BgL_arg1742z00_2681 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1739z00_2624), BNIL);
															BgL_list1740z00_2680 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1738z00_2623),
																BgL_arg1742z00_2681);
														}
														BgL_auxz00_3041 = BgL_list1740z00_2680;
													}
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1150z00_2616))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_3041), BUNSPEC);
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1150z00_2616))->
													BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
											BgL_auxz00_2999 = BgL_new1150z00_2616;
										}
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_2999);
								}
							else
								{	/* Fxop/walk.scm 228 */
									obj_t BgL_g1168z00_2706;

									{	/* Fxop/walk.scm 228 */
										bool_t BgL_test2025z00_3148;

										{	/* Fxop/walk.scm 228 */
											BgL_typez00_bglt BgL_arg1567z00_2707;

											BgL_arg1567z00_2707 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2573))))->
												BgL_typez00);
											BgL_test2025z00_3148 =
												(((obj_t) BgL_arg1567z00_2707) ==
												BGl_za2boolza2z00zztype_cachez00);
										}
										if (BgL_test2025z00_3148)
											{	/* Fxop/walk.scm 228 */
												BgL_g1168z00_2706 =
													BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(
													(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2573)))->
														BgL_bindingsz00),
													(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt)
																	BgL_nodez00_2573)))->BgL_bodyz00));
											}
										else
											{	/* Fxop/walk.scm 228 */
												BgL_g1168z00_2706 = BFALSE;
											}
									}
									if (CBOOL(BgL_g1168z00_2706))
										{
											BgL_appz00_bglt BgL_auxz00_3161;

											BgL_opz00_2682 = BgL_g1168z00_2706;
											BgL_nodez00_2683 =
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2573);
											{	/* Fxop/walk.scm 209 */
												BgL_appz00_bglt BgL_new1155z00_2684;

												{	/* Fxop/walk.scm 209 */
													BgL_appz00_bglt BgL_new1154z00_2685;

													BgL_new1154z00_2685 =
														((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_appz00_bgl))));
													{	/* Fxop/walk.scm 209 */
														long BgL_arg1875z00_2686;

														BgL_arg1875z00_2686 =
															BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1154z00_2685),
															BgL_arg1875z00_2686);
													}
													{	/* Fxop/walk.scm 209 */
														BgL_objectz00_bglt BgL_tmpz00_3166;

														BgL_tmpz00_3166 =
															((BgL_objectz00_bglt) BgL_new1154z00_2685);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3166, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1154z00_2685);
													BgL_new1155z00_2684 = BgL_new1154z00_2685;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1155z00_2684)))->
														BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1155z00_2684)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1155z00_2684)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1155z00_2684)))->BgL_keyz00) =
													((obj_t) BINT(((long) -1))), BUNSPEC);
												{
													BgL_varz00_bglt BgL_auxz00_3180;

													{	/* Fxop/walk.scm 211 */
														BgL_refz00_bglt BgL_new1158z00_2687;

														{	/* Fxop/walk.scm 211 */
															BgL_refz00_bglt BgL_new1157z00_2688;

															BgL_new1157z00_2688 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Fxop/walk.scm 211 */
																long BgL_arg1862z00_2689;

																{	/* Fxop/walk.scm 211 */
																	obj_t BgL_classz00_2690;

																	BgL_classz00_2690 = BGl_refz00zzast_nodez00;
																	BgL_arg1862z00_2689 =
																		BGL_CLASS_NUM(BgL_classz00_2690);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1157z00_2688),
																	BgL_arg1862z00_2689);
															}
															{	/* Fxop/walk.scm 211 */
																BgL_objectz00_bglt BgL_tmpz00_3185;

																BgL_tmpz00_3185 =
																	((BgL_objectz00_bglt) BgL_new1157z00_2688);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3185,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1157z00_2688);
															BgL_new1158z00_2687 = BgL_new1157z00_2688;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1158z00_2687)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1158z00_2687)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_opz00_2682)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1158z00_2687)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_opz00_2682)), BUNSPEC);
														BgL_auxz00_3180 =
															((BgL_varz00_bglt) BgL_new1158z00_2687);
													}
													((((BgL_appz00_bglt) COBJECT(BgL_new1155z00_2684))->
															BgL_funz00) =
														((BgL_varz00_bglt) BgL_auxz00_3180), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_3200;

													{	/* Fxop/walk.scm 215 */
														BgL_nodez00_bglt BgL_arg1863z00_2691;
														BgL_nodez00_bglt BgL_arg1865z00_2692;

														{	/* Fxop/walk.scm 215 */
															obj_t BgL_arg1869z00_2693;

															{	/* Fxop/walk.scm 215 */
																obj_t BgL_pairz00_2694;

																BgL_pairz00_2694 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2683))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 215 */
																	obj_t BgL_pairz00_2695;

																	BgL_pairz00_2695 = CAR(BgL_pairz00_2694);
																	BgL_arg1869z00_2693 = CDR(BgL_pairz00_2695);
															}}
															BgL_arg1863z00_2691 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1869z00_2693));
														}
														{	/* Fxop/walk.scm 216 */
															obj_t BgL_arg1871z00_2696;

															{	/* Fxop/walk.scm 216 */
																obj_t BgL_pairz00_2697;

																BgL_pairz00_2697 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2683))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 216 */
																	obj_t BgL_pairz00_2698;

																	{	/* Fxop/walk.scm 216 */
																		obj_t BgL_pairz00_2699;

																		BgL_pairz00_2699 = CDR(BgL_pairz00_2697);
																		BgL_pairz00_2698 = CAR(BgL_pairz00_2699);
																	}
																	BgL_arg1871z00_2696 = CDR(BgL_pairz00_2698);
															}}
															BgL_arg1865z00_2692 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1871z00_2696));
														}
														{	/* Fxop/walk.scm 214 */
															obj_t BgL_list1866z00_2700;

															{	/* Fxop/walk.scm 214 */
																obj_t BgL_arg1867z00_2701;

																BgL_arg1867z00_2701 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1865z00_2692), BNIL);
																BgL_list1866z00_2700 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1863z00_2691),
																	BgL_arg1867z00_2701);
															}
															BgL_auxz00_3200 = BgL_list1866z00_2700;
													}}
													((((BgL_appz00_bglt) COBJECT(BgL_new1155z00_2684))->
															BgL_argsz00) =
														((obj_t) BgL_auxz00_3200), BUNSPEC);
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1155z00_2684))->
														BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
												BgL_auxz00_3161 = BgL_new1155z00_2684;
											}
											return ((BgL_nodez00_bglt) BgL_auxz00_3161);
										}
									else
										{	/* Fxop/walk.scm 228 */
											return
												BGl_walk0z12z12zzast_walkz00(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2573)),
												BGl_fxopz12zd2envzc0zzfxop_walkz00);
										}
								}
						}
				}
			}
		}

	}



/* find-fxop~0 */
	obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t BgL_exprz00_1615)
	{
		{	/* Fxop/walk.scm 120 */
			{	/* Fxop/walk.scm 117 */
				bool_t BgL_test2027z00_3223;

				{	/* Fxop/walk.scm 117 */
					obj_t BgL_classz00_2151;

					BgL_classz00_2151 = BGl_appz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_exprz00_1615))
						{	/* Fxop/walk.scm 117 */
							BgL_objectz00_bglt BgL_arg1825z00_2153;

							BgL_arg1825z00_2153 = (BgL_objectz00_bglt) (BgL_exprz00_1615);
							{	/* Fxop/walk.scm 117 */
								bool_t BgL_arg1822z00_2156;
								bool_t BgL_arg1823z00_2157;

								{	/* Fxop/walk.scm 117 */
									long BgL_idxz00_2160;

									BgL_idxz00_2160 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2153);
									BgL_arg1822z00_2156 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2160 + ((long) 3))) == BgL_classz00_2151);
								}
								{	/* Fxop/walk.scm 117 */
									bool_t BgL_res1952z00_2182;

									{	/* Fxop/walk.scm 117 */
										obj_t BgL_oclassz00_2168;

										{	/* Fxop/walk.scm 117 */
											long BgL_arg1833z00_2174;

											{	/* Fxop/walk.scm 117 */
												long BgL_arg1834z00_2175;

												BgL_arg1834z00_2175 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2153);
												BgL_arg1833z00_2174 =
													(BgL_arg1834z00_2175 - OBJECT_TYPE);
											}
											BgL_oclassz00_2168 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2174);
										}
										{	/* Fxop/walk.scm 117 */
											bool_t BgL__ortest_1110z00_2169;

											BgL__ortest_1110z00_2169 =
												(BgL_classz00_2151 == BgL_oclassz00_2168);
											if (BgL__ortest_1110z00_2169)
												{	/* Fxop/walk.scm 117 */
													BgL_res1952z00_2182 = BgL__ortest_1110z00_2169;
												}
											else
												{	/* Fxop/walk.scm 117 */
													long BgL_odepthz00_2170;

													BgL_odepthz00_2170 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2168);
													if ((((long) 3) < BgL_odepthz00_2170))
														{	/* Fxop/walk.scm 117 */
															obj_t BgL_arg1821z00_2172;

															BgL_arg1821z00_2172 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2168,
																((long) 3));
															BgL_res1952z00_2182 =
																(BgL_arg1821z00_2172 == BgL_classz00_2151);
														}
													else
														{	/* Fxop/walk.scm 117 */
															BgL_res1952z00_2182 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2157 = BgL_res1952z00_2182;
								}
								BgL_test2027z00_3223 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2156, BgL_arg1823z00_2157);
							}
						}
					else
						{	/* Fxop/walk.scm 117 */
							BgL_test2027z00_3223 = ((bool_t) 0);
						}
				}
				if (BgL_test2027z00_3223)
					{	/* Fxop/walk.scm 118 */
						BgL_variablez00_bglt BgL_vz00_1618;

						BgL_vz00_1618 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1615)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Fxop/walk.scm 119 */
							obj_t BgL_cz00_1619;

							BgL_cz00_1619 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_vz00_1618), BGl_za2fxopsza2z00zzfxop_walkz00);
							if (CBOOL(BgL_cz00_1619))
								{	/* Fxop/walk.scm 120 */
									return CDR(((obj_t) BgL_cz00_1619));
								}
							else
								{	/* Fxop/walk.scm 120 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Fxop/walk.scm 117 */
						return BFALSE;
					}
			}
		}

	}



/* bint~0 */
	BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1669)
	{
		{	/* Fxop/walk.scm 173 */
			{	/* Fxop/walk.scm 163 */
				bool_t BgL_test2032z00_3251;

				{	/* Fxop/walk.scm 163 */
					BgL_typez00_bglt BgL_arg1711z00_1683;

					BgL_arg1711z00_1683 =
						(((BgL_nodez00_bglt) COBJECT(BgL_exprz00_1669))->BgL_typez00);
					BgL_test2032z00_3251 =
						(((obj_t) BgL_arg1711z00_1683) == BGl_za2bintza2z00zztype_cachez00);
				}
				if (BgL_test2032z00_3251)
					{	/* Fxop/walk.scm 163 */
						return BgL_exprz00_1669;
					}
				else
					{	/* Fxop/walk.scm 163 */
						if (BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(
								((obj_t) BgL_exprz00_1669)))
							{	/* Fxop/walk.scm 166 */
								obj_t BgL_pairz00_2340;

								BgL_pairz00_2340 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_exprz00_1669)))->BgL_argsz00);
								return ((BgL_nodez00_bglt) CAR(BgL_pairz00_2340));
							}
						else
							{	/* Fxop/walk.scm 168 */
								BgL_appz00_bglt BgL_new1139z00_1676;

								{	/* Fxop/walk.scm 168 */
									BgL_appz00_bglt BgL_new1138z00_1681;

									BgL_new1138z00_1681 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 168 */
										long BgL_arg1706z00_1682;

										BgL_arg1706z00_1682 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1138z00_1681),
											BgL_arg1706z00_1682);
									}
									{	/* Fxop/walk.scm 168 */
										BgL_objectz00_bglt BgL_tmpz00_3266;

										BgL_tmpz00_3266 =
											((BgL_objectz00_bglt) BgL_new1138z00_1681);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3266, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1138z00_1681);
									BgL_new1139z00_1676 = BgL_new1138z00_1681;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1139z00_1676)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1139z00_1676)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1139z00_1676)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1139z00_1676)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_3280;

									{	/* Fxop/walk.scm 170 */
										BgL_refz00_bglt BgL_new1141z00_1677;

										{	/* Fxop/walk.scm 170 */
											BgL_refz00_bglt BgL_new1140z00_1678;

											BgL_new1140z00_1678 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Fxop/walk.scm 170 */
												long BgL_arg1703z00_1679;

												{	/* Fxop/walk.scm 170 */
													obj_t BgL_classz00_2345;

													BgL_classz00_2345 = BGl_refz00zzast_nodez00;
													BgL_arg1703z00_1679 =
														BGL_CLASS_NUM(BgL_classz00_2345);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1140z00_1678),
													BgL_arg1703z00_1679);
											}
											{	/* Fxop/walk.scm 170 */
												BgL_objectz00_bglt BgL_tmpz00_3285;

												BgL_tmpz00_3285 =
													((BgL_objectz00_bglt) BgL_new1140z00_1678);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3285, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1140z00_1678);
											BgL_new1141z00_1677 = BgL_new1140z00_1678;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1141z00_1677)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1141z00_1677)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1141z00_1677)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_za2longzd2ze3bintza2z31zzfxop_walkz00)), BUNSPEC);
										BgL_auxz00_3280 = ((BgL_varz00_bglt) BgL_new1141z00_1677);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1139z00_1676))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_3280), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_3299;

									{	/* Fxop/walk.scm 173 */
										obj_t BgL_list1704z00_1680;

										BgL_list1704z00_1680 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_exprz00_1669), BNIL);
										BgL_auxz00_3299 = BgL_list1704z00_1680;
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1139z00_1676))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_3299), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1139z00_1676))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1139z00_1676);
							}
					}
			}
		}

	}



/* bint->long?~0 */
	bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t BgL_exprz00_1605)
	{
		{	/* Fxop/walk.scm 109 */
			{	/* Fxop/walk.scm 107 */
				bool_t BgL_test2034z00_3305;

				{	/* Fxop/walk.scm 107 */
					obj_t BgL_classz00_2083;

					BgL_classz00_2083 = BGl_appz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_exprz00_1605))
						{	/* Fxop/walk.scm 107 */
							BgL_objectz00_bglt BgL_arg1825z00_2085;

							BgL_arg1825z00_2085 = (BgL_objectz00_bglt) (BgL_exprz00_1605);
							{	/* Fxop/walk.scm 107 */
								bool_t BgL_arg1822z00_2088;
								bool_t BgL_arg1823z00_2089;

								{	/* Fxop/walk.scm 107 */
									long BgL_idxz00_2092;

									BgL_idxz00_2092 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2085);
									BgL_arg1822z00_2088 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2092 + ((long) 3))) == BgL_classz00_2083);
								}
								{	/* Fxop/walk.scm 107 */
									bool_t BgL_res1950z00_2114;

									{	/* Fxop/walk.scm 107 */
										obj_t BgL_oclassz00_2100;

										{	/* Fxop/walk.scm 107 */
											long BgL_arg1833z00_2106;

											{	/* Fxop/walk.scm 107 */
												long BgL_arg1834z00_2107;

												BgL_arg1834z00_2107 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2085);
												BgL_arg1833z00_2106 =
													(BgL_arg1834z00_2107 - OBJECT_TYPE);
											}
											BgL_oclassz00_2100 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2106);
										}
										{	/* Fxop/walk.scm 107 */
											bool_t BgL__ortest_1110z00_2101;

											BgL__ortest_1110z00_2101 =
												(BgL_classz00_2083 == BgL_oclassz00_2100);
											if (BgL__ortest_1110z00_2101)
												{	/* Fxop/walk.scm 107 */
													BgL_res1950z00_2114 = BgL__ortest_1110z00_2101;
												}
											else
												{	/* Fxop/walk.scm 107 */
													long BgL_odepthz00_2102;

													BgL_odepthz00_2102 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2100);
													if ((((long) 3) < BgL_odepthz00_2102))
														{	/* Fxop/walk.scm 107 */
															obj_t BgL_arg1821z00_2104;

															BgL_arg1821z00_2104 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2100,
																((long) 3));
															BgL_res1950z00_2114 =
																(BgL_arg1821z00_2104 == BgL_classz00_2083);
														}
													else
														{	/* Fxop/walk.scm 107 */
															BgL_res1950z00_2114 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2089 = BgL_res1950z00_2114;
								}
								BgL_test2034z00_3305 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2088, BgL_arg1823z00_2089);
							}
						}
					else
						{	/* Fxop/walk.scm 107 */
							BgL_test2034z00_3305 = ((bool_t) 0);
						}
				}
				if (BgL_test2034z00_3305)
					{	/* Fxop/walk.scm 108 */
						BgL_variablez00_bglt BgL_vz00_1608;

						BgL_vz00_1608 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1605)))->BgL_funz00)))->
							BgL_variablez00);
						return (((obj_t) BgL_vz00_1608) ==
							BGl_za2bintzd2ze3longza2z31zzfxop_walkz00);
					}
				else
					{	/* Fxop/walk.scm 107 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* long->bint?~0 */
	bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1610)
	{
		{	/* Fxop/walk.scm 114 */
			{	/* Fxop/walk.scm 112 */
				bool_t BgL_test2038z00_3329;

				{	/* Fxop/walk.scm 112 */
					obj_t BgL_classz00_2117;

					BgL_classz00_2117 = BGl_appz00zzast_nodez00;
					{	/* Fxop/walk.scm 112 */
						BgL_objectz00_bglt BgL_arg1825z00_2119;

						{	/* Fxop/walk.scm 112 */
							obj_t BgL_tmpz00_3330;

							BgL_tmpz00_3330 =
								((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1610));
							BgL_arg1825z00_2119 = (BgL_objectz00_bglt) (BgL_tmpz00_3330);
						}
						{	/* Fxop/walk.scm 112 */
							bool_t BgL_arg1822z00_2122;
							bool_t BgL_arg1823z00_2123;

							{	/* Fxop/walk.scm 112 */
								long BgL_idxz00_2126;

								BgL_idxz00_2126 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2119);
								BgL_arg1822z00_2122 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2126 + ((long) 3))) == BgL_classz00_2117);
							}
							{	/* Fxop/walk.scm 112 */
								bool_t BgL_res1951z00_2148;

								{	/* Fxop/walk.scm 112 */
									obj_t BgL_oclassz00_2134;

									{	/* Fxop/walk.scm 112 */
										long BgL_arg1833z00_2140;

										{	/* Fxop/walk.scm 112 */
											long BgL_arg1834z00_2141;

											BgL_arg1834z00_2141 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2119);
											BgL_arg1833z00_2140 = (BgL_arg1834z00_2141 - OBJECT_TYPE);
										}
										BgL_oclassz00_2134 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2140);
									}
									{	/* Fxop/walk.scm 112 */
										bool_t BgL__ortest_1110z00_2135;

										BgL__ortest_1110z00_2135 =
											(BgL_classz00_2117 == BgL_oclassz00_2134);
										if (BgL__ortest_1110z00_2135)
											{	/* Fxop/walk.scm 112 */
												BgL_res1951z00_2148 = BgL__ortest_1110z00_2135;
											}
										else
											{	/* Fxop/walk.scm 112 */
												long BgL_odepthz00_2136;

												BgL_odepthz00_2136 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2134);
												if ((((long) 3) < BgL_odepthz00_2136))
													{	/* Fxop/walk.scm 112 */
														obj_t BgL_arg1821z00_2138;

														BgL_arg1821z00_2138 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2134,
															((long) 3));
														BgL_res1951z00_2148 =
															(BgL_arg1821z00_2138 == BgL_classz00_2117);
													}
												else
													{	/* Fxop/walk.scm 112 */
														BgL_res1951z00_2148 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2123 = BgL_res1951z00_2148;
							}
							BgL_test2038z00_3329 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2122, BgL_arg1823z00_2123);
						}
					}
				}
				if (BgL_test2038z00_3329)
					{	/* Fxop/walk.scm 113 */
						BgL_variablez00_bglt BgL_vz00_1613;

						BgL_vz00_1613 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1610)))->BgL_funz00)))->
							BgL_variablez00);
						return (((obj_t) BgL_vz00_1613) ==
							BGl_za2longzd2ze3bintza2z31zzfxop_walkz00);
					}
				else
					{	/* Fxop/walk.scm 112 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* fxop-double-int-letvar?~0 */
	obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1621, BgL_nodez00_bglt BgL_bodyz00_1622)
	{
		{	/* Fxop/walk.scm 136 */
			if ((bgl_list_length(BgL_bindingsz00_1621) == ((long) 2)))
				{	/* Fxop/walk.scm 128 */
					bool_t BgL_test2042z00_3357;

					{	/* Fxop/walk.scm 128 */
						bool_t BgL__ortest_1124z00_1630;

						{	/* Fxop/walk.scm 128 */
							bool_t BgL__ortest_1125z00_1638;

							{	/* Fxop/walk.scm 128 */
								obj_t BgL_arg1656z00_1644;

								{	/* Fxop/walk.scm 128 */
									obj_t BgL_pairz00_2190;

									BgL_pairz00_2190 = CAR(((obj_t) BgL_bindingsz00_1621));
									BgL_arg1656z00_1644 = CDR(BgL_pairz00_2190);
								}
								BgL__ortest_1125z00_1638 =
									BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
									(BgL_arg1656z00_1644);
							}
							if (BgL__ortest_1125z00_1638)
								{	/* Fxop/walk.scm 128 */
									BgL__ortest_1124z00_1630 = BgL__ortest_1125z00_1638;
								}
							else
								{	/* Fxop/walk.scm 129 */
									bool_t BgL__ortest_1126z00_1639;

									{	/* Fxop/walk.scm 129 */
										BgL_typez00_bglt BgL_arg1647z00_1642;

										{
											BgL_variablez00_bglt BgL_auxz00_3363;

											{	/* Fxop/walk.scm 129 */
												obj_t BgL_pairz00_2194;

												BgL_pairz00_2194 = CAR(((obj_t) BgL_bindingsz00_1621));
												BgL_auxz00_3363 =
													((BgL_variablez00_bglt) CAR(BgL_pairz00_2194));
											}
											BgL_arg1647z00_1642 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3363))->
												BgL_typez00);
										}
										BgL__ortest_1126z00_1639 =
											(
											((obj_t) BgL_arg1647z00_1642) ==
											BGl_za2bintza2z00zztype_cachez00);
									}
									if (BgL__ortest_1126z00_1639)
										{	/* Fxop/walk.scm 129 */
											BgL__ortest_1124z00_1630 = BgL__ortest_1126z00_1639;
										}
									else
										{	/* Fxop/walk.scm 130 */
											BgL_typez00_bglt BgL_arg1633z00_1640;

											{
												BgL_variablez00_bglt BgL_auxz00_3372;

												{	/* Fxop/walk.scm 130 */
													obj_t BgL_pairz00_2199;

													BgL_pairz00_2199 =
														CAR(((obj_t) BgL_bindingsz00_1621));
													BgL_auxz00_3372 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2199));
												}
												BgL_arg1633z00_1640 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3372))->
													BgL_typez00);
											}
											BgL__ortest_1124z00_1630 =
												(
												((obj_t) BgL_arg1633z00_1640) ==
												BGl_za2longza2z00zztype_cachez00);
										}
								}
						}
						if (BgL__ortest_1124z00_1630)
							{	/* Fxop/walk.scm 128 */
								BgL_test2042z00_3357 = BgL__ortest_1124z00_1630;
							}
						else
							{	/* Fxop/walk.scm 131 */
								bool_t BgL__ortest_1127z00_1631;

								{	/* Fxop/walk.scm 131 */
									obj_t BgL_arg1632z00_1637;

									{	/* Fxop/walk.scm 131 */
										obj_t BgL_pairz00_2206;

										{	/* Fxop/walk.scm 131 */
											obj_t BgL_pairz00_2205;

											BgL_pairz00_2205 = CDR(((obj_t) BgL_bindingsz00_1621));
											BgL_pairz00_2206 = CAR(BgL_pairz00_2205);
										}
										BgL_arg1632z00_1637 = CDR(BgL_pairz00_2206);
									}
									BgL__ortest_1127z00_1631 =
										BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
										(BgL_arg1632z00_1637);
								}
								if (BgL__ortest_1127z00_1631)
									{	/* Fxop/walk.scm 131 */
										BgL_test2042z00_3357 = BgL__ortest_1127z00_1631;
									}
								else
									{	/* Fxop/walk.scm 132 */
										bool_t BgL__ortest_1128z00_1632;

										{	/* Fxop/walk.scm 132 */
											BgL_typez00_bglt BgL_arg1620z00_1635;

											{
												BgL_variablez00_bglt BgL_auxz00_3387;

												{	/* Fxop/walk.scm 132 */
													obj_t BgL_pairz00_2212;

													{	/* Fxop/walk.scm 132 */
														obj_t BgL_pairz00_2211;

														BgL_pairz00_2211 =
															CDR(((obj_t) BgL_bindingsz00_1621));
														BgL_pairz00_2212 = CAR(BgL_pairz00_2211);
													}
													BgL_auxz00_3387 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2212));
												}
												BgL_arg1620z00_1635 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3387))->
													BgL_typez00);
											}
											BgL__ortest_1128z00_1632 =
												(
												((obj_t) BgL_arg1620z00_1635) ==
												BGl_za2bintza2z00zztype_cachez00);
										}
										if (BgL__ortest_1128z00_1632)
											{	/* Fxop/walk.scm 132 */
												BgL_test2042z00_3357 = BgL__ortest_1128z00_1632;
											}
										else
											{	/* Fxop/walk.scm 133 */
												BgL_typez00_bglt BgL_arg1613z00_1633;

												{
													BgL_variablez00_bglt BgL_auxz00_3397;

													{	/* Fxop/walk.scm 133 */
														obj_t BgL_pairz00_2219;

														{	/* Fxop/walk.scm 133 */
															obj_t BgL_pairz00_2218;

															BgL_pairz00_2218 =
																CDR(((obj_t) BgL_bindingsz00_1621));
															BgL_pairz00_2219 = CAR(BgL_pairz00_2218);
														}
														BgL_auxz00_3397 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_2219));
													}
													BgL_arg1613z00_1633 =
														(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3397))->
														BgL_typez00);
												}
												BgL_test2042z00_3357 =
													(
													((obj_t) BgL_arg1613z00_1633) ==
													BGl_za2longza2z00zztype_cachez00);
											}
									}
							}
					}
					if (BgL_test2042z00_3357)
						{	/* Fxop/walk.scm 134 */
							bool_t BgL_test2048z00_3406;

							{	/* Fxop/walk.scm 134 */
								obj_t BgL_classz00_2221;

								BgL_classz00_2221 = BGl_appz00zzast_nodez00;
								{	/* Fxop/walk.scm 134 */
									BgL_objectz00_bglt BgL_arg1825z00_2223;

									{	/* Fxop/walk.scm 134 */
										obj_t BgL_tmpz00_3407;

										BgL_tmpz00_3407 =
											((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1622));
										BgL_arg1825z00_2223 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3407);
									}
									{	/* Fxop/walk.scm 134 */
										bool_t BgL_arg1822z00_2226;
										bool_t BgL_arg1823z00_2227;

										{	/* Fxop/walk.scm 134 */
											long BgL_idxz00_2230;

											BgL_idxz00_2230 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2223);
											BgL_arg1822z00_2226 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2230 + ((long) 3))) == BgL_classz00_2221);
										}
										{	/* Fxop/walk.scm 134 */
											bool_t BgL_res1953z00_2252;

											{	/* Fxop/walk.scm 134 */
												obj_t BgL_oclassz00_2238;

												{	/* Fxop/walk.scm 134 */
													long BgL_arg1833z00_2244;

													{	/* Fxop/walk.scm 134 */
														long BgL_arg1834z00_2245;

														BgL_arg1834z00_2245 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2223);
														BgL_arg1833z00_2244 =
															(BgL_arg1834z00_2245 - OBJECT_TYPE);
													}
													BgL_oclassz00_2238 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2244);
												}
												{	/* Fxop/walk.scm 134 */
													bool_t BgL__ortest_1110z00_2239;

													BgL__ortest_1110z00_2239 =
														(BgL_classz00_2221 == BgL_oclassz00_2238);
													if (BgL__ortest_1110z00_2239)
														{	/* Fxop/walk.scm 134 */
															BgL_res1953z00_2252 = BgL__ortest_1110z00_2239;
														}
													else
														{	/* Fxop/walk.scm 134 */
															long BgL_odepthz00_2240;

															BgL_odepthz00_2240 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2238);
															if ((((long) 3) < BgL_odepthz00_2240))
																{	/* Fxop/walk.scm 134 */
																	obj_t BgL_arg1821z00_2242;

																	BgL_arg1821z00_2242 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2238,
																		((long) 3));
																	BgL_res1953z00_2252 =
																		(BgL_arg1821z00_2242 == BgL_classz00_2221);
																}
															else
																{	/* Fxop/walk.scm 134 */
																	BgL_res1953z00_2252 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2227 = BgL_res1953z00_2252;
										}
										BgL_test2048z00_3406 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2226,
											BgL_arg1823z00_2227);
									}
								}
							}
							if (BgL_test2048z00_3406)
								{	/* Fxop/walk.scm 134 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00
										(BgL_bodyz00_1622))
										{	/* Fxop/walk.scm 136 */
											obj_t BgL_arg1606z00_1628;

											{	/* Fxop/walk.scm 136 */
												obj_t BgL_pairz00_2254;

												BgL_pairz00_2254 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1622)))->
													BgL_argsz00);
												BgL_arg1606z00_1628 = CAR(BgL_pairz00_2254);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1606z00_1628);
										}
									else
										{	/* Fxop/walk.scm 135 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 134 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 128 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 127 */
					return BFALSE;
				}
		}

	}



/* fxop-simple-int-letvar?~0 */
	obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1646, BgL_nodez00_bglt BgL_bodyz00_1647)
	{
		{	/* Fxop/walk.scm 147 */
			if ((bgl_list_length(BgL_bindingsz00_1646) == ((long) 1)))
				{	/* Fxop/walk.scm 144 */
					bool_t BgL_test2053z00_3435;

					{	/* Fxop/walk.scm 144 */
						obj_t BgL_arg1667z00_1655;

						{	/* Fxop/walk.scm 144 */
							obj_t BgL_pairz00_2259;

							BgL_pairz00_2259 = CAR(((obj_t) BgL_bindingsz00_1646));
							BgL_arg1667z00_1655 = CDR(BgL_pairz00_2259);
						}
						BgL_test2053z00_3435 =
							BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(BgL_arg1667z00_1655);
					}
					if (BgL_test2053z00_3435)
						{	/* Fxop/walk.scm 145 */
							bool_t BgL_test2054z00_3440;

							{	/* Fxop/walk.scm 145 */
								obj_t BgL_classz00_2260;

								BgL_classz00_2260 = BGl_appz00zzast_nodez00;
								{	/* Fxop/walk.scm 145 */
									BgL_objectz00_bglt BgL_arg1825z00_2262;

									{	/* Fxop/walk.scm 145 */
										obj_t BgL_tmpz00_3441;

										BgL_tmpz00_3441 =
											((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1647));
										BgL_arg1825z00_2262 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3441);
									}
									{	/* Fxop/walk.scm 145 */
										bool_t BgL_arg1822z00_2265;
										bool_t BgL_arg1823z00_2266;

										{	/* Fxop/walk.scm 145 */
											long BgL_idxz00_2269;

											BgL_idxz00_2269 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2262);
											BgL_arg1822z00_2265 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2269 + ((long) 3))) == BgL_classz00_2260);
										}
										{	/* Fxop/walk.scm 145 */
											bool_t BgL_res1954z00_2291;

											{	/* Fxop/walk.scm 145 */
												obj_t BgL_oclassz00_2277;

												{	/* Fxop/walk.scm 145 */
													long BgL_arg1833z00_2283;

													{	/* Fxop/walk.scm 145 */
														long BgL_arg1834z00_2284;

														BgL_arg1834z00_2284 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2262);
														BgL_arg1833z00_2283 =
															(BgL_arg1834z00_2284 - OBJECT_TYPE);
													}
													BgL_oclassz00_2277 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2283);
												}
												{	/* Fxop/walk.scm 145 */
													bool_t BgL__ortest_1110z00_2278;

													BgL__ortest_1110z00_2278 =
														(BgL_classz00_2260 == BgL_oclassz00_2277);
													if (BgL__ortest_1110z00_2278)
														{	/* Fxop/walk.scm 145 */
															BgL_res1954z00_2291 = BgL__ortest_1110z00_2278;
														}
													else
														{	/* Fxop/walk.scm 145 */
															long BgL_odepthz00_2279;

															BgL_odepthz00_2279 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2277);
															if ((((long) 3) < BgL_odepthz00_2279))
																{	/* Fxop/walk.scm 145 */
																	obj_t BgL_arg1821z00_2281;

																	BgL_arg1821z00_2281 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2277,
																		((long) 3));
																	BgL_res1954z00_2291 =
																		(BgL_arg1821z00_2281 == BgL_classz00_2260);
																}
															else
																{	/* Fxop/walk.scm 145 */
																	BgL_res1954z00_2291 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2266 = BgL_res1954z00_2291;
										}
										BgL_test2054z00_3440 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2265,
											BgL_arg1823z00_2266);
									}
								}
							}
							if (BgL_test2054z00_3440)
								{	/* Fxop/walk.scm 145 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00
										(BgL_bodyz00_1647))
										{	/* Fxop/walk.scm 147 */
											obj_t BgL_arg1660z00_1653;

											{	/* Fxop/walk.scm 147 */
												obj_t BgL_pairz00_2293;

												BgL_pairz00_2293 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1647)))->
													BgL_argsz00);
												BgL_arg1660z00_1653 = CAR(BgL_pairz00_2293);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1660z00_1653);
										}
									else
										{	/* Fxop/walk.scm 146 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 145 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 144 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 143 */
					return BFALSE;
				}
		}

	}



/* fxop-bool-letvar?~0 */
	obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t
		BgL_bindingsz00_1657, BgL_nodez00_bglt BgL_bodyz00_1658)
	{
		{	/* Fxop/walk.scm 158 */
			{	/* Fxop/walk.scm 154 */
				bool_t BgL_test2058z00_3466;

				{	/* Fxop/walk.scm 154 */
					obj_t BgL_classz00_2294;

					BgL_classz00_2294 = BGl_appz00zzast_nodez00;
					{	/* Fxop/walk.scm 154 */
						BgL_objectz00_bglt BgL_arg1825z00_2296;

						{	/* Fxop/walk.scm 154 */
							obj_t BgL_tmpz00_3467;

							BgL_tmpz00_3467 =
								((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1658));
							BgL_arg1825z00_2296 = (BgL_objectz00_bglt) (BgL_tmpz00_3467);
						}
						{	/* Fxop/walk.scm 154 */
							bool_t BgL_arg1822z00_2299;
							bool_t BgL_arg1823z00_2300;

							{	/* Fxop/walk.scm 154 */
								long BgL_idxz00_2303;

								BgL_idxz00_2303 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2296);
								BgL_arg1822z00_2299 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2303 + ((long) 3))) == BgL_classz00_2294);
							}
							{	/* Fxop/walk.scm 154 */
								bool_t BgL_res1955z00_2325;

								{	/* Fxop/walk.scm 154 */
									obj_t BgL_oclassz00_2311;

									{	/* Fxop/walk.scm 154 */
										long BgL_arg1833z00_2317;

										{	/* Fxop/walk.scm 154 */
											long BgL_arg1834z00_2318;

											BgL_arg1834z00_2318 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2296);
											BgL_arg1833z00_2317 = (BgL_arg1834z00_2318 - OBJECT_TYPE);
										}
										BgL_oclassz00_2311 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2317);
									}
									{	/* Fxop/walk.scm 154 */
										bool_t BgL__ortest_1110z00_2312;

										BgL__ortest_1110z00_2312 =
											(BgL_classz00_2294 == BgL_oclassz00_2311);
										if (BgL__ortest_1110z00_2312)
											{	/* Fxop/walk.scm 154 */
												BgL_res1955z00_2325 = BgL__ortest_1110z00_2312;
											}
										else
											{	/* Fxop/walk.scm 154 */
												long BgL_odepthz00_2313;

												BgL_odepthz00_2313 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2311);
												if ((((long) 3) < BgL_odepthz00_2313))
													{	/* Fxop/walk.scm 154 */
														obj_t BgL_arg1821z00_2315;

														BgL_arg1821z00_2315 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2311,
															((long) 3));
														BgL_res1955z00_2325 =
															(BgL_arg1821z00_2315 == BgL_classz00_2294);
													}
												else
													{	/* Fxop/walk.scm 154 */
														BgL_res1955z00_2325 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2300 = BgL_res1955z00_2325;
							}
							BgL_test2058z00_3466 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2299, BgL_arg1823z00_2300);
						}
					}
				}
				if (BgL_test2058z00_3466)
					{	/* Fxop/walk.scm 154 */
						if ((bgl_list_length(BgL_bindingsz00_1657) == ((long) 2)))
							{	/* Fxop/walk.scm 156 */
								bool_t BgL_test2062z00_3489;

								{	/* Fxop/walk.scm 156 */
									bool_t BgL_test2063z00_3490;

									{	/* Fxop/walk.scm 156 */
										obj_t BgL_arg1679z00_1667;

										{	/* Fxop/walk.scm 156 */
											obj_t BgL_pairz00_2330;

											BgL_pairz00_2330 = CAR(((obj_t) BgL_bindingsz00_1657));
											BgL_arg1679z00_1667 = CDR(BgL_pairz00_2330);
										}
										BgL_test2063z00_3490 =
											BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
											(BgL_arg1679z00_1667);
									}
									if (BgL_test2063z00_3490)
										{	/* Fxop/walk.scm 157 */
											obj_t BgL_arg1678z00_1666;

											{	/* Fxop/walk.scm 157 */
												obj_t BgL_pairz00_2336;

												{	/* Fxop/walk.scm 157 */
													obj_t BgL_pairz00_2335;

													BgL_pairz00_2335 =
														CDR(((obj_t) BgL_bindingsz00_1657));
													BgL_pairz00_2336 = CAR(BgL_pairz00_2335);
												}
												BgL_arg1678z00_1666 = CDR(BgL_pairz00_2336);
											}
											BgL_test2062z00_3489 =
												BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
												(BgL_arg1678z00_1666);
										}
									else
										{	/* Fxop/walk.scm 156 */
											BgL_test2062z00_3489 = ((bool_t) 0);
										}
								}
								if (BgL_test2062z00_3489)
									{	/* Fxop/walk.scm 158 */
										obj_t BgL_arg1675z00_1663;

										{	/* Fxop/walk.scm 158 */
											obj_t BgL_pairz00_2338;

											BgL_pairz00_2338 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_bodyz00_1658)))->
												BgL_argsz00);
											BgL_arg1675z00_1663 = CAR(BgL_pairz00_2338);
										}
										return
											BGl_findzd2fxopze70z35zzfxop_walkz00(BgL_arg1675z00_1663);
									}
								else
									{	/* Fxop/walk.scm 156 */
										return BFALSE;
									}
							}
						else
							{	/* Fxop/walk.scm 155 */
								return BFALSE;
							}
					}
				else
					{	/* Fxop/walk.scm 154 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00()
	{
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1976z00zzfxop_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
