/*===========================================================================*/
/*   (Globalize/globalize.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/globalize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	extern BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00 =
		BUNSPEC;
	extern BgL_globalz00_bglt
		BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globaliza7ez00();
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_globaliza7ez00();
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_globaliza7ez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t
		BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
		(BgL_globalz00_bglt, obj_t);
	static bool_t BGl_verbzd2globaliza7ationz75zzglobaliza7e_globaliza7ez00();
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_globaliza7ez00();
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 = BUNSPEC;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(BgL_globalz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_globaliza7ez00();
	static obj_t BGl_z62globaliza7ez12zd7zzglobaliza7e_globaliza7ez00(obj_t,
		obj_t);
	extern obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t, BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1664z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1664za700za7za7g1671za7, ": ", 2);
	      DEFINE_STRING(BGl_string1665z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1665za700za7za7g1672za7, "        ", 8);
	      DEFINE_STRING(BGl_string1666z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1666za700za7za7g1673za7, " ==>", 4);
	      DEFINE_STRING(BGl_string1667z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1667za700za7za7g1674za7, "           ", 11);
	      DEFINE_STRING(BGl_string1668z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1668za700za7za7g1675za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1669z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1669za700za7za7g1676za7, " -->", 4);
	      DEFINE_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1670za700za7za7g1677za7, "globalize_globalize", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globaliza7ez12zd2envz67zzglobaliza7e_globaliza7ez00,
		BgL_bgl_za762globaliza7a7eza711678za7,
		BGl_z62globaliza7ez12zd7zzglobaliza7e_globaliza7ez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00));
		     ADD_ROOT((void *) (&BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00));
		     ADD_ROOT((void *) (&BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00));
		     ADD_ROOT((void *) (&BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long
		BgL_checksumz00_2147, char *BgL_fromz00_2148)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_globaliza7ez00();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00();
					return BGl_toplevelzd2initzd2zzglobaliza7e_globaliza7ez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_globalize");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 = BNIL;
			BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 = BNIL;
			return (BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 = BNIL, BUNSPEC);
		}

	}



/* globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Globalize/globalize.scm 50 */
			if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
					BGl_za2verboseza2z00zzengine_paramz00))
				{	/* Globalize/globalize.scm 57 */
					obj_t BgL_arg1260z00_1698;

					BgL_arg1260z00_1698 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_3));
					{	/* Globalize/globalize.scm 57 */
						obj_t BgL_list1261z00_1699;

						{	/* Globalize/globalize.scm 57 */
							obj_t BgL_arg1265z00_1700;

							{	/* Globalize/globalize.scm 57 */
								obj_t BgL_arg1275z00_1701;

								{	/* Globalize/globalize.scm 57 */
									obj_t BgL_arg1280z00_1702;

									BgL_arg1280z00_1702 =
										MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
									BgL_arg1275z00_1701 =
										MAKE_YOUNG_PAIR
										(BGl_string1664z00zzglobaliza7e_globaliza7ez00,
										BgL_arg1280z00_1702);
								}
								BgL_arg1265z00_1700 =
									MAKE_YOUNG_PAIR(BgL_arg1260z00_1698, BgL_arg1275z00_1701);
							}
							BgL_list1261z00_1699 =
								MAKE_YOUNG_PAIR(BGl_string1665z00zzglobaliza7e_globaliza7ez00,
								BgL_arg1265z00_1700);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
							BgL_list1261z00_1699);
				}}
			else
				{	/* Globalize/globalize.scm 57 */
					BUNSPEC;
				}
			{	/* Globalize/globalize.scm 58 */
				BgL_valuez00_bglt BgL_funz00_1703;

				BgL_funz00_1703 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
				BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 = BNIL;
				BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 = BNIL;
				BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 = BNIL;
				{	/* Globalize/globalize.scm 62 */
					obj_t BgL_arg1281z00_1704;
					obj_t BgL_arg1284z00_1705;

					BgL_arg1281z00_1704 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1703)))->BgL_argsz00);
					BgL_arg1284z00_1705 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1703)))->BgL_bodyz00);
					BGl_Gnz12z12zzglobaliza7e_gnza7(BgL_arg1281z00_1704,
						((BgL_nodez00_bglt) BgL_arg1284z00_1705),
						((BgL_variablez00_bglt) BgL_globalz00_3), BNIL);
				}
				BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_3,
					BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00,
					BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00,
					BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00);
				{	/* Globalize/globalize.scm 73 */
					obj_t BgL_gz00_1706;

					{
						obj_t BgL_g1z00_1732;
						obj_t BgL_gz00_1733;

						BgL_g1z00_1732 = BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
						BgL_gz00_1733 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
					BgL_zc3z04anonymousza31310ze3z87_1734:
						if (NULLP(BgL_g1z00_1732))
							{	/* Globalize/globalize.scm 76 */
								BgL_gz00_1706 = BgL_gz00_1733;
							}
						else
							{	/* Globalize/globalize.scm 78 */
								bool_t BgL_test1682z00_2188;

								{	/* Globalize/globalize.scm 78 */
									obj_t BgL_arg1324z00_1744;

									{	/* Globalize/globalize.scm 78 */
										BgL_sfunz00_bglt BgL_oz00_1990;

										BgL_oz00_1990 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_g1z00_1732))))))->BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2195;

											{
												obj_t BgL_auxz00_2196;

												{	/* Globalize/globalize.scm 78 */
													BgL_objectz00_bglt BgL_tmpz00_2197;

													BgL_tmpz00_2197 =
														((BgL_objectz00_bglt) BgL_oz00_1990);
													BgL_auxz00_2196 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2197);
												}
												BgL_auxz00_2195 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2196);
											}
											BgL_arg1324z00_1744 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2195))->
												BgL_integratorz00);
										}
									}
									{	/* Globalize/globalize.scm 78 */
										obj_t BgL_classz00_1992;

										BgL_classz00_1992 = BGl_variablez00zzast_varz00;
										if (BGL_OBJECTP(BgL_arg1324z00_1744))
											{	/* Globalize/globalize.scm 78 */
												BgL_objectz00_bglt BgL_arg1825z00_1994;

												BgL_arg1825z00_1994 =
													(BgL_objectz00_bglt) (BgL_arg1324z00_1744);
												{	/* Globalize/globalize.scm 78 */
													bool_t BgL_arg1822z00_1997;
													bool_t BgL_arg1823z00_1998;

													{	/* Globalize/globalize.scm 78 */
														long BgL_idxz00_2001;

														BgL_idxz00_2001 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1994);
														BgL_arg1822z00_1997 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2001 + ((long) 1))) ==
															BgL_classz00_1992);
													}
													{	/* Globalize/globalize.scm 78 */
														bool_t BgL_res1657z00_2023;

														{	/* Globalize/globalize.scm 78 */
															obj_t BgL_oclassz00_2009;

															{	/* Globalize/globalize.scm 78 */
																long BgL_arg1833z00_2015;

																{	/* Globalize/globalize.scm 78 */
																	long BgL_arg1834z00_2016;

																	BgL_arg1834z00_2016 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1994);
																	BgL_arg1833z00_2015 =
																		(BgL_arg1834z00_2016 - OBJECT_TYPE);
																}
																BgL_oclassz00_2009 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2015);
															}
															{	/* Globalize/globalize.scm 78 */
																bool_t BgL__ortest_1110z00_2010;

																BgL__ortest_1110z00_2010 =
																	(BgL_classz00_1992 == BgL_oclassz00_2009);
																if (BgL__ortest_1110z00_2010)
																	{	/* Globalize/globalize.scm 78 */
																		BgL_res1657z00_2023 =
																			BgL__ortest_1110z00_2010;
																	}
																else
																	{	/* Globalize/globalize.scm 78 */
																		long BgL_odepthz00_2011;

																		BgL_odepthz00_2011 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2009);
																		if ((((long) 1) < BgL_odepthz00_2011))
																			{	/* Globalize/globalize.scm 78 */
																				obj_t BgL_arg1821z00_2013;

																				BgL_arg1821z00_2013 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2009, ((long) 1));
																				BgL_res1657z00_2023 =
																					(BgL_arg1821z00_2013 ==
																					BgL_classz00_1992);
																			}
																		else
																			{	/* Globalize/globalize.scm 78 */
																				BgL_res1657z00_2023 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_1998 = BgL_res1657z00_2023;
													}
													BgL_test1682z00_2188 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_1997,
														BgL_arg1823z00_1998);
												}
											}
										else
											{	/* Globalize/globalize.scm 78 */
												BgL_test1682z00_2188 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1682z00_2188)
									{	/* Globalize/globalize.scm 79 */
										obj_t BgL_arg1320z00_1740;

										BgL_arg1320z00_1740 = CDR(((obj_t) BgL_g1z00_1732));
										{
											obj_t BgL_g1z00_2222;

											BgL_g1z00_2222 = BgL_arg1320z00_1740;
											BgL_g1z00_1732 = BgL_g1z00_2222;
											goto BgL_zc3z04anonymousza31310ze3z87_1734;
										}
									}
								else
									{	/* Globalize/globalize.scm 81 */
										obj_t BgL_arg1321z00_1741;
										obj_t BgL_arg1322z00_1742;

										BgL_arg1321z00_1741 = CDR(((obj_t) BgL_g1z00_1732));
										{	/* Globalize/globalize.scm 81 */
											obj_t BgL_arg1323z00_1743;

											BgL_arg1323z00_1743 = CAR(((obj_t) BgL_g1z00_1732));
											BgL_arg1322z00_1742 =
												MAKE_YOUNG_PAIR(BgL_arg1323z00_1743, BgL_gz00_1733);
										}
										{
											obj_t BgL_gz00_2229;
											obj_t BgL_g1z00_2228;

											BgL_g1z00_2228 = BgL_arg1321z00_1741;
											BgL_gz00_2229 = BgL_arg1322z00_1742;
											BgL_gz00_1733 = BgL_gz00_2229;
											BgL_g1z00_1732 = BgL_g1z00_2228;
											goto BgL_zc3z04anonymousza31310ze3z87_1734;
										}
									}
							}
					}
					BGl_verbzd2globaliza7ationz75zzglobaliza7e_globaliza7ez00();
					BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
						(BgL_globalz00_3, BgL_gz00_1706);
					BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(BgL_gz00_1706);
					{	/* Globalize/globalize.scm 91 */
						obj_t BgL_g1111z00_1707;

						{	/* Globalize/globalize.scm 92 */
							bool_t BgL_test1686z00_2233;

							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_2234;

								{
									obj_t BgL_auxz00_2235;

									{	/* Globalize/globalize.scm 92 */
										BgL_objectz00_bglt BgL_tmpz00_2236;

										BgL_tmpz00_2236 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_3));
										BgL_auxz00_2235 = BGL_OBJECT_WIDENING(BgL_tmpz00_2236);
									}
									BgL_auxz00_2234 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_2235);
								}
								BgL_test1686z00_2233 =
									(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2234))->
									BgL_escapezf3zf3);
							}
							if (BgL_test1686z00_2233)
								{	/* Globalize/globalize.scm 93 */
									BgL_globalz00_bglt BgL_cloz00_1721;

									{	/* Globalize/globalize.scm 94 */
										obj_t BgL_arg1307z00_1728;

										BgL_arg1307z00_1728 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_1703)))->
															BgL_bodyz00))))->BgL_locz00);
										BgL_cloz00_1721 =
											BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
											(BgL_globalz00_3, BgL_arg1307z00_1728);
									}
									{	/* Globalize/globalize.scm 95 */
										bool_t BgL_test1687z00_2247;

										if (BGl_globalzd2optionalzf3z21zzast_varz00(
												((obj_t) BgL_globalz00_3)))
											{	/* Globalize/globalize.scm 95 */
												BgL_test1687z00_2247 = ((bool_t) 1);
											}
										else
											{	/* Globalize/globalize.scm 95 */
												BgL_test1687z00_2247 =
													BGl_globalzd2keyzf3z21zzast_varz00(
													((obj_t) BgL_globalz00_3));
											}
										if (BgL_test1687z00_2247)
											{	/* Globalize/globalize.scm 101 */
												obj_t BgL_list1303z00_1724;

												BgL_list1303z00_1724 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BNIL);
												BgL_g1111z00_1707 = BgL_list1303z00_1724;
											}
										else
											{	/* Globalize/globalize.scm 102 */
												obj_t BgL_list1304z00_1725;

												{	/* Globalize/globalize.scm 102 */
													obj_t BgL_arg1306z00_1726;

													BgL_arg1306z00_1726 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BNIL);
													BgL_list1304z00_1725 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_cloz00_1721), BgL_arg1306z00_1726);
												}
												BgL_g1111z00_1707 = BgL_list1304z00_1725;
											}
									}
								}
							else
								{	/* Globalize/globalize.scm 103 */
									obj_t BgL_list1309z00_1730;

									BgL_list1309z00_1730 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BNIL);
									BgL_g1111z00_1707 = BgL_list1309z00_1730;
								}
						}
						{
							obj_t BgL_gz00_1709;
							obj_t BgL_newzd2gzd2_1710;

							BgL_gz00_1709 = BgL_gz00_1706;
							BgL_newzd2gzd2_1710 = BgL_g1111z00_1707;
						BgL_zc3z04anonymousza31285ze3z87_1711:
							if (NULLP(BgL_gz00_1709))
								{	/* Globalize/globalize.scm 106 */
									BgL_nodez00_bglt BgL_bodyz00_1713;

									{	/* Globalize/globalize.scm 106 */
										obj_t BgL_arg1295z00_1714;

										BgL_arg1295z00_1714 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_1703)))->BgL_bodyz00);
										BgL_bodyz00_1713 =
											BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_arg1295z00_1714),
											((BgL_variablez00_bglt) BgL_globalz00_3), BNIL);
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_1703)))->BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_bodyz00_1713)), BUNSPEC);
									return BgL_newzd2gzd2_1710;
								}
							else
								{	/* Globalize/globalize.scm 110 */
									obj_t BgL_arg1296z00_1715;
									obj_t BgL_arg1297z00_1716;

									BgL_arg1296z00_1715 = CDR(((obj_t) BgL_gz00_1709));
									{	/* Globalize/globalize.scm 110 */
										BgL_globalz00_bglt BgL_arg1298z00_1717;

										{	/* Globalize/globalize.scm 110 */
											obj_t BgL_arg1299z00_1718;

											BgL_arg1299z00_1718 = CAR(((obj_t) BgL_gz00_1709));
											BgL_arg1298z00_1717 =
												BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
												(((BgL_localz00_bglt) BgL_arg1299z00_1718));
										}
										BgL_arg1297z00_1716 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1298z00_1717), BgL_newzd2gzd2_1710);
									}
									{
										obj_t BgL_newzd2gzd2_2280;
										obj_t BgL_gz00_2279;

										BgL_gz00_2279 = BgL_arg1296z00_1715;
										BgL_newzd2gzd2_2280 = BgL_arg1297z00_1716;
										BgL_newzd2gzd2_1710 = BgL_newzd2gzd2_2280;
										BgL_gz00_1709 = BgL_gz00_2279;
										goto BgL_zc3z04anonymousza31285ze3z87_1711;
									}
								}
						}
					}
				}
			}
		}

	}



/* &globalize! */
	obj_t BGl_z62globaliza7ez12zd7zzglobaliza7e_globaliza7ez00(obj_t
		BgL_envz00_2145, obj_t BgL_globalz00_2146)
	{
		{	/* Globalize/globalize.scm 50 */
			return
				BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(
				((BgL_globalz00_bglt) BgL_globalz00_2146));
		}

	}



/* verb-globalization */
	bool_t BGl_verbzd2globaliza7ationz75zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 115 */
			{
				obj_t BgL_l1249z00_1749;

				BgL_l1249z00_1749 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
			BgL_zc3z04anonymousza31327ze3z87_1750:
				if (PAIRP(BgL_l1249z00_1749))
					{	/* Globalize/globalize.scm 116 */
						{	/* Globalize/globalize.scm 117 */
							obj_t BgL_localz00_1752;

							BgL_localz00_1752 = CAR(BgL_l1249z00_1749);
							if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
									BGl_za2verboseza2z00zzengine_paramz00))
								{	/* Globalize/globalize.scm 117 */
									if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
											BGl_za2verboseza2z00zzengine_paramz00))
										{	/* Globalize/globalize.scm 117 */
											obj_t BgL_arg1331z00_1757;

											BgL_arg1331z00_1757 =
												BGl_shapez00zztools_shapez00(BgL_localz00_1752);
											{	/* Globalize/globalize.scm 117 */
												obj_t BgL_list1332z00_1758;

												{	/* Globalize/globalize.scm 117 */
													obj_t BgL_arg1333z00_1759;

													{	/* Globalize/globalize.scm 117 */
														obj_t BgL_arg1334z00_1760;

														{	/* Globalize/globalize.scm 117 */
															obj_t BgL_arg1338z00_1761;

															BgL_arg1338z00_1761 =
																MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																BNIL);
															BgL_arg1334z00_1760 =
																MAKE_YOUNG_PAIR
																(BGl_string1666z00zzglobaliza7e_globaliza7ez00,
																BgL_arg1338z00_1761);
														}
														BgL_arg1333z00_1759 =
															MAKE_YOUNG_PAIR(BgL_arg1331z00_1757,
															BgL_arg1334z00_1760);
													}
													BgL_list1332z00_1758 =
														MAKE_YOUNG_PAIR
														(BGl_string1667z00zzglobaliza7e_globaliza7ez00,
														BgL_arg1333z00_1759);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1332z00_1758);
										}}
									else
										{	/* Globalize/globalize.scm 117 */
											BUNSPEC;
										}
								}
							else
								{	/* Globalize/globalize.scm 117 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1249z00_2300;

							BgL_l1249z00_2300 = CDR(BgL_l1249z00_1749);
							BgL_l1249z00_1749 = BgL_l1249z00_2300;
							goto BgL_zc3z04anonymousza31327ze3z87_1750;
						}
					}
				else
					{	/* Globalize/globalize.scm 116 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1252z00_1765;

				BgL_l1252z00_1765 = BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
			BgL_zc3z04anonymousza31340ze3z87_1766:
				if (PAIRP(BgL_l1252z00_1765))
					{	/* Globalize/globalize.scm 119 */
						{	/* Globalize/globalize.scm 120 */
							obj_t BgL_localz00_1768;

							BgL_localz00_1768 = CAR(BgL_l1252z00_1765);
							{	/* Globalize/globalize.scm 120 */
								BgL_valuez00_bglt BgL_sfunzf2ginfozf2_1769;

								BgL_sfunzf2ginfozf2_1769 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_1768))))->
									BgL_valuez00);
								{	/* Globalize/globalize.scm 121 */
									bool_t BgL_test1695z00_2308;

									{	/* Globalize/globalize.scm 121 */
										obj_t BgL_arg1380z00_1793;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2309;

											{
												obj_t BgL_auxz00_2310;

												{	/* Globalize/globalize.scm 121 */
													BgL_objectz00_bglt BgL_tmpz00_2311;

													BgL_tmpz00_2311 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunzf2ginfozf2_1769));
													BgL_auxz00_2310 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2311);
												}
												BgL_auxz00_2309 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2310);
											}
											BgL_arg1380z00_1793 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2309))->
												BgL_integratorz00);
										}
										{	/* Globalize/globalize.scm 121 */
											obj_t BgL_classz00_2044;

											BgL_classz00_2044 = BGl_localz00zzast_varz00;
											if (BGL_OBJECTP(BgL_arg1380z00_1793))
												{	/* Globalize/globalize.scm 121 */
													BgL_objectz00_bglt BgL_arg1825z00_2046;

													BgL_arg1825z00_2046 =
														(BgL_objectz00_bglt) (BgL_arg1380z00_1793);
													{	/* Globalize/globalize.scm 121 */
														bool_t BgL_arg1822z00_2049;
														bool_t BgL_arg1823z00_2050;

														{	/* Globalize/globalize.scm 121 */
															long BgL_idxz00_2053;

															BgL_idxz00_2053 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2046);
															BgL_arg1822z00_2049 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2053 + ((long) 2))) ==
																BgL_classz00_2044);
														}
														{	/* Globalize/globalize.scm 121 */
															bool_t BgL_res1661z00_2075;

															{	/* Globalize/globalize.scm 121 */
																obj_t BgL_oclassz00_2061;

																{	/* Globalize/globalize.scm 121 */
																	long BgL_arg1833z00_2067;

																	{	/* Globalize/globalize.scm 121 */
																		long BgL_arg1834z00_2068;

																		BgL_arg1834z00_2068 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2046);
																		BgL_arg1833z00_2067 =
																			(BgL_arg1834z00_2068 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2061 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2067);
																}
																{	/* Globalize/globalize.scm 121 */
																	bool_t BgL__ortest_1110z00_2062;

																	BgL__ortest_1110z00_2062 =
																		(BgL_classz00_2044 == BgL_oclassz00_2061);
																	if (BgL__ortest_1110z00_2062)
																		{	/* Globalize/globalize.scm 121 */
																			BgL_res1661z00_2075 =
																				BgL__ortest_1110z00_2062;
																		}
																	else
																		{	/* Globalize/globalize.scm 121 */
																			long BgL_odepthz00_2063;

																			BgL_odepthz00_2063 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2061);
																			if ((((long) 2) < BgL_odepthz00_2063))
																				{	/* Globalize/globalize.scm 121 */
																					obj_t BgL_arg1821z00_2065;

																					BgL_arg1821z00_2065 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2061, ((long) 2));
																					BgL_res1661z00_2075 =
																						(BgL_arg1821z00_2065 ==
																						BgL_classz00_2044);
																				}
																			else
																				{	/* Globalize/globalize.scm 121 */
																					BgL_res1661z00_2075 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2050 = BgL_res1661z00_2075;
														}
														BgL_test1695z00_2308 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2049,
															BgL_arg1823z00_2050);
													}
												}
											else
												{	/* Globalize/globalize.scm 121 */
													BgL_test1695z00_2308 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test1695z00_2308)
										{	/* Globalize/globalize.scm 121 */
											if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
													BGl_za2verboseza2z00zzengine_paramz00))
												{	/* Globalize/globalize.scm 122 */
													if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long)
																	3)), BGl_za2verboseza2z00zzengine_paramz00))
														{	/* Globalize/globalize.scm 123 */
															obj_t BgL_arg1348z00_1776;
															obj_t BgL_arg1350z00_1777;

															BgL_arg1348z00_1776 =
																BGl_shapez00zztools_shapez00(BgL_localz00_1768);
															{	/* Globalize/globalize.scm 125 */
																obj_t BgL_arg1363z00_1783;

																{
																	BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2342;

																	{
																		obj_t BgL_auxz00_2343;

																		{	/* Globalize/globalize.scm 125 */
																			BgL_objectz00_bglt BgL_tmpz00_2344;

																			BgL_tmpz00_2344 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt)
																					BgL_sfunzf2ginfozf2_1769));
																			BgL_auxz00_2343 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2344);
																		}
																		BgL_auxz00_2342 =
																			((BgL_sfunzf2ginfozf2_bglt)
																			BgL_auxz00_2343);
																	}
																	BgL_arg1363z00_1783 =
																		(((BgL_sfunzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_2342))->
																		BgL_integratorz00);
																}
																BgL_arg1350z00_1777 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg1363z00_1783);
															}
															{	/* Globalize/globalize.scm 122 */
																obj_t BgL_list1351z00_1778;

																{	/* Globalize/globalize.scm 122 */
																	obj_t BgL_arg1354z00_1779;

																	{	/* Globalize/globalize.scm 122 */
																		obj_t BgL_arg1357z00_1780;

																		{	/* Globalize/globalize.scm 122 */
																			obj_t BgL_arg1358z00_1781;

																			{	/* Globalize/globalize.scm 122 */
																				obj_t BgL_arg1361z00_1782;

																				BgL_arg1361z00_1782 =
																					MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																							10)), BNIL);
																				BgL_arg1358z00_1781 =
																					MAKE_YOUNG_PAIR(BgL_arg1350z00_1777,
																					BgL_arg1361z00_1782);
																			}
																			BgL_arg1357z00_1780 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1668z00zzglobaliza7e_globaliza7ez00,
																				BgL_arg1358z00_1781);
																		}
																		BgL_arg1354z00_1779 =
																			MAKE_YOUNG_PAIR(BgL_arg1348z00_1776,
																			BgL_arg1357z00_1780);
																	}
																	BgL_list1351z00_1778 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1667z00zzglobaliza7e_globaliza7ez00,
																		BgL_arg1354z00_1779);
																}
																BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
																	BgL_list1351z00_1778);
														}}
													else
														{	/* Globalize/globalize.scm 122 */
															BUNSPEC;
														}
												}
											else
												{	/* Globalize/globalize.scm 122 */
													BFALSE;
												}
										}
									else
										{	/* Globalize/globalize.scm 121 */
											if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
													BGl_za2verboseza2z00zzengine_paramz00))
												{	/* Globalize/globalize.scm 127 */
													if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long)
																	3)), BGl_za2verboseza2z00zzengine_paramz00))
														{	/* Globalize/globalize.scm 127 */
															obj_t BgL_arg1367z00_1788;

															BgL_arg1367z00_1788 =
																BGl_shapez00zztools_shapez00(BgL_localz00_1768);
															{	/* Globalize/globalize.scm 127 */
																obj_t BgL_list1368z00_1789;

																{	/* Globalize/globalize.scm 127 */
																	obj_t BgL_arg1369z00_1790;

																	{	/* Globalize/globalize.scm 127 */
																		obj_t BgL_arg1370z00_1791;

																		{	/* Globalize/globalize.scm 127 */
																			obj_t BgL_arg1371z00_1792;

																			BgL_arg1371z00_1792 =
																				MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																						10)), BNIL);
																			BgL_arg1370z00_1791 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1669z00zzglobaliza7e_globaliza7ez00,
																				BgL_arg1371z00_1792);
																		}
																		BgL_arg1369z00_1790 =
																			MAKE_YOUNG_PAIR(BgL_arg1367z00_1788,
																			BgL_arg1370z00_1791);
																	}
																	BgL_list1368z00_1789 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1667z00zzglobaliza7e_globaliza7ez00,
																		BgL_arg1369z00_1790);
																}
																BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
																	BgL_list1368z00_1789);
														}}
													else
														{	/* Globalize/globalize.scm 127 */
															BUNSPEC;
														}
												}
											else
												{	/* Globalize/globalize.scm 127 */
													BFALSE;
												}
										}
								}
							}
						}
						{
							obj_t BgL_l1252z00_2373;

							BgL_l1252z00_2373 = CDR(BgL_l1252z00_1765);
							BgL_l1252z00_1765 = BgL_l1252z00_2373;
							goto BgL_zc3z04anonymousza31340ze3z87_1766;
						}
					}
				else
					{	/* Globalize/globalize.scm 119 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00()
	{
		{	/* Globalize/globalize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long) 244215788),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(((long) 13532668),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(((long)
					395399079),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(((long)
					420014038),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(((long)
					115338080),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(((long)
					62221965),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
			return BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(((long)
					88839753),
				BSTRING_TO_STRING(BGl_string1670z00zzglobaliza7e_globaliza7ez00));
		}

	}

#ifdef __cplusplus
}
#endif
