/*===========================================================================*/
/*   (Globalize/gloclo.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/gloclo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_makezd2nooptzd2bodyz00zzglobaliza7e_globalzd2closurez75(obj_t,
		BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t
		BGl_makezd2nooptzd2globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	static obj_t
		BGl_globaliza7edzd2typezd2idza7zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 =
		BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75();
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_globalzd2closurez75();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_globalzd2closurez75();
	static obj_t BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75
		= BUNSPEC;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t
		BGl_makezd2optzf2keyzd2globalzd2closurez20zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t
		BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		BgL_localz00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzd2closurez62zzglobaliza7e_globalzd2closurez75(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t
		BGl_z62foreignzd2closureszb0zzglobaliza7e_globalzd2closurez75(obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT bool_t symbol_exists_p(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t
		BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_globalzd2closurez75();
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_defaultzd2typezd2zzglobaliza7e_globalzd2closurez75();
	extern int BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzd2closurezb0zzglobaliza7e_globalzd2closurez75(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t
		BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[9];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_foreignzd2closureszd2envz00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_za762foreignza7d2clo1802z00,
		BGl_z62foreignzd2closureszb0zzglobaliza7e_globalzd2closurez75, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzd2closurezd2envzd2zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_za762makeza7d2global1803z00,
		BGl_z62makezd2globalzd2closurez62zzglobaliza7e_globalzd2closurez75, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2closurezd2envz00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_za762globalza7d2clos1804z00,
		BGl_z62globalzd2closurezb0zzglobaliza7e_globalzd2closurez75, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1793z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1793za700za7za7g1805za7, "make-global-closure", 19);
	      DEFINE_STRING(BGl_string1794z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1794za700za7za7g1806za7, "Unexpected value", 16);
	      DEFINE_STRING(BGl_string1795z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1795za700za7za7g1807za7, "&", 1);
	      DEFINE_STRING(BGl_string1796z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1796za700za7za7g1808za7, "global-closure", 14);
	      DEFINE_STRING(BGl_string1797z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1797za700za7za7g1809za7, "Can't allocate global closure", 29);
	      DEFINE_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1798za700za7za7g1810za7, "globalize_global-closure", 24);
	      DEFINE_STRING(BGl_string1799z00zzglobaliza7e_globalzd2closurez75,
		BgL_bgl_string1799za700za7za7g1811za7,
		"never now sfun foreign & obj static env _ ", 42);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75));
		     ADD_ROOT((void
				*) (&BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long
		BgL_checksumz00_2720, char *BgL_fromz00_2721)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_globalzd2closurez75();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
					BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
					return BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_global-closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_global-closure");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			{	/* Globalize/gloclo.scm 15 */
				obj_t BgL_cportz00_2708;

				{	/* Globalize/gloclo.scm 15 */
					obj_t BgL_stringz00_2716;

					BgL_stringz00_2716 =
						BGl_string1799z00zzglobaliza7e_globalzd2closurez75;
					{	/* Globalize/gloclo.scm 15 */
						obj_t BgL_startz00_2717;

						BgL_startz00_2717 = BINT(((long) 0));
						{	/* Globalize/gloclo.scm 15 */
							obj_t BgL_endz00_2718;

							BgL_endz00_2718 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2716)));
							{	/* Globalize/gloclo.scm 15 */

								BgL_cportz00_2708 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2716, BgL_startz00_2717, BgL_endz00_2718);
				}}}}
				{
					long BgL_iz00_2709;

					BgL_iz00_2709 = ((long) 8);
				BgL_loopz00_2710:
					if ((BgL_iz00_2709 == ((long) -1)))
						{	/* Globalize/gloclo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/gloclo.scm 15 */
							{	/* Globalize/gloclo.scm 15 */
								obj_t BgL_arg1801z00_2712;

								{	/* Globalize/gloclo.scm 15 */

									{	/* Globalize/gloclo.scm 15 */
										obj_t BgL_locationz00_2714;

										BgL_locationz00_2714 = BBOOL(((bool_t) 0));
										{	/* Globalize/gloclo.scm 15 */

											BgL_arg1801z00_2712 =
												BGl_readz00zz__readerz00(BgL_cportz00_2708,
												BgL_locationz00_2714);
										}
									}
								}
								{	/* Globalize/gloclo.scm 15 */
									int BgL_tmpz00_2748;

									BgL_tmpz00_2748 = (int) (BgL_iz00_2709);
									CNST_TABLE_SET(BgL_tmpz00_2748, BgL_arg1801z00_2712);
							}}
							{	/* Globalize/gloclo.scm 15 */
								int BgL_auxz00_2715;

								BgL_auxz00_2715 = (int) ((BgL_iz00_2709 - ((long) 1)));
								{
									long BgL_iz00_2753;

									BgL_iz00_2753 = (long) (BgL_auxz00_2715);
									BgL_iz00_2709 = BgL_iz00_2753;
									goto BgL_loopz00_2710;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			return (BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 =
				BNIL, BUNSPEC);
		}

	}



/* global-closure */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt
		BgL_globalz00_3, obj_t BgL_locz00_4)
	{
		{	/* Globalize/gloclo.scm 41 */
			BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_3,
				BgL_locz00_4);
			return
				BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
				(BgL_globalz00_3);
		}

	}



/* &global-closure */
	BgL_globalz00_bglt
		BGl_z62globalzd2closurezb0zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_envz00_2702, obj_t BgL_globalz00_2703, obj_t BgL_locz00_2704)
	{
		{	/* Globalize/gloclo.scm 41 */
			return
				BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(
				((BgL_globalz00_bglt) BgL_globalz00_2703), BgL_locz00_2704);
		}

	}



/* make-global-closure */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_5)
	{
		{	/* Globalize/gloclo.scm 48 */
			{	/* Globalize/gloclo.scm 49 */
				obj_t BgL_gloz00_1718;

				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_2760;

					{
						obj_t BgL_auxz00_2761;

						{	/* Globalize/gloclo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_2762;

							BgL_tmpz00_2762 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_5));
							BgL_auxz00_2761 = BGL_OBJECT_WIDENING(BgL_tmpz00_2762);
						}
						BgL_auxz00_2760 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_2761);
					}
					BgL_gloz00_1718 =
						(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2760))->
						BgL_globalzd2closurezd2);
				}
				{	/* Globalize/gloclo.scm 50 */
					bool_t BgL_test1814z00_2768;

					{	/* Globalize/gloclo.scm 50 */
						obj_t BgL_classz00_2083;

						BgL_classz00_2083 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_gloz00_1718))
							{	/* Globalize/gloclo.scm 50 */
								BgL_objectz00_bglt BgL_arg1825z00_2085;

								BgL_arg1825z00_2085 = (BgL_objectz00_bglt) (BgL_gloz00_1718);
								{	/* Globalize/gloclo.scm 50 */
									bool_t BgL_arg1822z00_2088;
									bool_t BgL_arg1823z00_2089;

									{	/* Globalize/gloclo.scm 50 */
										long BgL_idxz00_2092;

										BgL_idxz00_2092 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2085);
										BgL_arg1822z00_2088 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2092 + ((long) 2))) == BgL_classz00_2083);
									}
									{	/* Globalize/gloclo.scm 50 */
										bool_t BgL_res1778z00_2114;

										{	/* Globalize/gloclo.scm 50 */
											obj_t BgL_oclassz00_2100;

											{	/* Globalize/gloclo.scm 50 */
												long BgL_arg1833z00_2106;

												{	/* Globalize/gloclo.scm 50 */
													long BgL_arg1834z00_2107;

													BgL_arg1834z00_2107 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2085);
													BgL_arg1833z00_2106 =
														(BgL_arg1834z00_2107 - OBJECT_TYPE);
												}
												BgL_oclassz00_2100 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2106);
											}
											{	/* Globalize/gloclo.scm 50 */
												bool_t BgL__ortest_1110z00_2101;

												BgL__ortest_1110z00_2101 =
													(BgL_classz00_2083 == BgL_oclassz00_2100);
												if (BgL__ortest_1110z00_2101)
													{	/* Globalize/gloclo.scm 50 */
														BgL_res1778z00_2114 = BgL__ortest_1110z00_2101;
													}
												else
													{	/* Globalize/gloclo.scm 50 */
														long BgL_odepthz00_2102;

														BgL_odepthz00_2102 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2100);
														if ((((long) 2) < BgL_odepthz00_2102))
															{	/* Globalize/gloclo.scm 50 */
																obj_t BgL_arg1821z00_2104;

																BgL_arg1821z00_2104 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2100,
																	((long) 2));
																BgL_res1778z00_2114 =
																	(BgL_arg1821z00_2104 == BgL_classz00_2083);
															}
														else
															{	/* Globalize/gloclo.scm 50 */
																BgL_res1778z00_2114 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2089 = BgL_res1778z00_2114;
									}
									BgL_test1814z00_2768 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2088, BgL_arg1823z00_2089);
								}
							}
						else
							{	/* Globalize/gloclo.scm 50 */
								BgL_test1814z00_2768 = ((bool_t) 0);
							}
					}
					if (BgL_test1814z00_2768)
						{	/* Globalize/gloclo.scm 50 */
							return ((BgL_globalz00_bglt) BgL_gloz00_1718);
						}
					else
						{	/* Globalize/gloclo.scm 52 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1720;

							BgL_oldzd2funzd2_1720 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_5)))->BgL_valuez00);
							{	/* Globalize/gloclo.scm 53 */
								bool_t BgL_test1820z00_2790;

								{	/* Globalize/gloclo.scm 53 */
									bool_t BgL_test1821z00_2791;

									{	/* Globalize/gloclo.scm 53 */
										obj_t BgL_classz00_2116;

										BgL_classz00_2116 = BGl_sfunz00zzast_varz00;
										{	/* Globalize/gloclo.scm 53 */
											BgL_objectz00_bglt BgL_arg1825z00_2118;

											{	/* Globalize/gloclo.scm 53 */
												obj_t BgL_tmpz00_2792;

												BgL_tmpz00_2792 =
													((obj_t)
													((BgL_objectz00_bglt) BgL_oldzd2funzd2_1720));
												BgL_arg1825z00_2118 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2792);
											}
											{	/* Globalize/gloclo.scm 53 */
												bool_t BgL_arg1822z00_2121;
												bool_t BgL_arg1823z00_2122;

												{	/* Globalize/gloclo.scm 53 */
													long BgL_idxz00_2125;

													BgL_idxz00_2125 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2118);
													BgL_arg1822z00_2121 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2125 + ((long) 3))) ==
														BgL_classz00_2116);
												}
												{	/* Globalize/gloclo.scm 53 */
													bool_t BgL_res1779z00_2147;

													{	/* Globalize/gloclo.scm 53 */
														obj_t BgL_oclassz00_2133;

														{	/* Globalize/gloclo.scm 53 */
															long BgL_arg1833z00_2139;

															{	/* Globalize/gloclo.scm 53 */
																long BgL_arg1834z00_2140;

																BgL_arg1834z00_2140 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2118);
																BgL_arg1833z00_2139 =
																	(BgL_arg1834z00_2140 - OBJECT_TYPE);
															}
															BgL_oclassz00_2133 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2139);
														}
														{	/* Globalize/gloclo.scm 53 */
															bool_t BgL__ortest_1110z00_2134;

															BgL__ortest_1110z00_2134 =
																(BgL_classz00_2116 == BgL_oclassz00_2133);
															if (BgL__ortest_1110z00_2134)
																{	/* Globalize/gloclo.scm 53 */
																	BgL_res1779z00_2147 =
																		BgL__ortest_1110z00_2134;
																}
															else
																{	/* Globalize/gloclo.scm 53 */
																	long BgL_odepthz00_2135;

																	BgL_odepthz00_2135 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2133);
																	if ((((long) 3) < BgL_odepthz00_2135))
																		{	/* Globalize/gloclo.scm 53 */
																			obj_t BgL_arg1821z00_2137;

																			BgL_arg1821z00_2137 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2133, ((long) 3));
																			BgL_res1779z00_2147 =
																				(BgL_arg1821z00_2137 ==
																				BgL_classz00_2116);
																		}
																	else
																		{	/* Globalize/gloclo.scm 53 */
																			BgL_res1779z00_2147 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2122 = BgL_res1779z00_2147;
												}
												BgL_test1821z00_2791 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2121,
													BgL_arg1823z00_2122);
											}
										}
									}
									if (BgL_test1821z00_2791)
										{	/* Globalize/gloclo.scm 54 */
											bool_t BgL_test1825z00_2811;

											{	/* Globalize/gloclo.scm 54 */
												bool_t BgL_test1827z00_2812;

												{	/* Globalize/gloclo.scm 54 */
													obj_t BgL_tmpz00_2813;

													BgL_tmpz00_2813 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1720)))->
														BgL_optionalsz00);
													BgL_test1827z00_2812 = PAIRP(BgL_tmpz00_2813);
												}
												if (BgL_test1827z00_2812)
													{	/* Globalize/gloclo.scm 54 */
														BgL_test1825z00_2811 = ((bool_t) 1);
													}
												else
													{	/* Globalize/gloclo.scm 55 */
														obj_t BgL_tmpz00_2817;

														BgL_tmpz00_2817 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1720)))->
															BgL_keysz00);
														BgL_test1825z00_2811 = PAIRP(BgL_tmpz00_2817);
													}
											}
											if (BgL_test1825z00_2811)
												{	/* Globalize/gloclo.scm 56 */
													obj_t BgL_arg1310z00_1734;

													BgL_arg1310z00_1734 =
														(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_5))->
														BgL_modulez00);
													BgL_test1820z00_2790 =
														(BgL_arg1310z00_1734 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
											else
												{	/* Globalize/gloclo.scm 54 */
													BgL_test1820z00_2790 = ((bool_t) 0);
												}
										}
									else
										{	/* Globalize/gloclo.scm 53 */
											BgL_test1820z00_2790 = ((bool_t) 0);
										}
								}
								if (BgL_test1820z00_2790)
									{	/* Globalize/gloclo.scm 53 */
										return
											((BgL_globalz00_bglt)
											BGl_makezd2optzf2keyzd2globalzd2closurez20zzglobaliza7e_globalzd2closurez75
											(BgL_globalz00_5));
									}
								else
									{	/* Globalize/gloclo.scm 53 */
										return
											((BgL_globalz00_bglt)
											BGl_makezd2nooptzd2globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
											(BgL_globalz00_5));
									}
							}
						}
				}
			}
		}

	}



/* &make-global-closure */
	BgL_globalz00_bglt
		BGl_z62makezd2globalzd2closurez62zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_envz00_2705, obj_t BgL_globalz00_2706)
	{
		{	/* Globalize/gloclo.scm 48 */
			return
				BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(
				((BgL_globalz00_bglt) BgL_globalz00_2706));
		}

	}



/* make-opt/key-global-closure */
	obj_t
		BGl_makezd2optzf2keyzd2globalzd2closurez20zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_6)
	{
		{	/* Globalize/gloclo.scm 63 */
			{	/* Globalize/gloclo.scm 64 */
				obj_t BgL_glocloz00_1738;

				{	/* Globalize/gloclo.scm 64 */
					obj_t BgL_arg1316z00_1740;
					obj_t BgL_arg1317z00_1741;

					{	/* Globalize/gloclo.scm 64 */
						obj_t BgL_arg1320z00_1743;

						{	/* Globalize/gloclo.scm 64 */
							obj_t BgL_arg1321z00_1744;
							obj_t BgL_arg1322z00_1745;

							{	/* Globalize/gloclo.scm 64 */
								obj_t BgL_symbolz00_2151;

								BgL_symbolz00_2151 = CNST_TABLE_REF(((long) 0));
								{	/* Globalize/gloclo.scm 64 */
									obj_t BgL_arg1463z00_2152;

									BgL_arg1463z00_2152 = SYMBOL_TO_STRING(BgL_symbolz00_2151);
									BgL_arg1321z00_1744 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_2152);
							}}
							{	/* Globalize/gloclo.scm 64 */
								obj_t BgL_arg1323z00_1746;

								BgL_arg1323z00_1746 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_6)))->BgL_idz00);
								{	/* Globalize/gloclo.scm 64 */
									obj_t BgL_arg1463z00_2155;

									BgL_arg1463z00_2155 = SYMBOL_TO_STRING(BgL_arg1323z00_1746);
									BgL_arg1322z00_1745 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_2155);
							}}
							BgL_arg1320z00_1743 =
								string_append(BgL_arg1321z00_1744, BgL_arg1322z00_1745);
						}
						BgL_arg1316z00_1740 = bstring_to_symbol(BgL_arg1320z00_1743);
					}
					BgL_arg1317z00_1741 =
						(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_6))->BgL_modulez00);
					{	/* Globalize/gloclo.scm 64 */
						obj_t BgL_list1318z00_1742;

						BgL_list1318z00_1742 = MAKE_YOUNG_PAIR(BgL_arg1317z00_1741, BNIL);
						BgL_glocloz00_1738 =
							BGl_findzd2globalzd2zzast_envz00(BgL_arg1316z00_1740,
							BgL_list1318z00_1742);
				}}
				BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75
					(BgL_globalz00_6, ((BgL_globalz00_bglt) BgL_glocloz00_1738));
				{	/* Globalize/gloclo.scm 67 */
					BgL_valuez00_bglt BgL_arg1314z00_1739;

					BgL_arg1314z00_1739 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_glocloz00_1738))))->BgL_valuez00);
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_arg1314z00_1739)))->
							BgL_thezd2closurezd2globalz00) =
						((obj_t) ((obj_t) BgL_globalz00_6)), BUNSPEC);
				}
				return BgL_glocloz00_1738;
			}
		}

	}



/* default-type */
	obj_t BGl_defaultzd2typezd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 73 */
			{	/* Globalize/gloclo.scm 74 */
				bool_t BgL_test1828z00_2849;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Globalize/gloclo.scm 74 */
						BgL_test1828z00_2849 =
							((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2));
					}
				else
					{	/* Globalize/gloclo.scm 74 */
						BgL_test1828z00_2849 = ((bool_t) 0);
					}
				if (BgL_test1828z00_2849)
					{	/* Globalize/gloclo.scm 74 */
						return BGl_za2_za2z00zztype_cachez00;
					}
				else
					{	/* Globalize/gloclo.scm 74 */
						return BGl_za2objza2z00zztype_cachez00;
					}
			}
		}

	}



/* make-noopt-global-closure */
	obj_t
		BGl_makezd2nooptzd2globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_7)
	{
		{	/* Globalize/gloclo.scm 79 */
			{	/* Globalize/gloclo.scm 80 */
				BgL_valuez00_bglt BgL_oldzd2funzd2_1748;

				BgL_oldzd2funzd2_1748 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_7)))->BgL_valuez00);
				{	/* Globalize/gloclo.scm 80 */
					BgL_localz00_bglt BgL_envz00_1749;

					{	/* Globalize/gloclo.scm 81 */
						BgL_localz00_bglt BgL_varz00_1808;

						BgL_varz00_1808 =
							BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long)
									1)),
							((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
						{	/* Globalize/gloclo.scm 82 */
							BgL_localzf2ginfozf2_bglt BgL_wide1113z00_1811;

							BgL_wide1113z00_1811 =
								((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localzf2ginfozf2_bgl))));
							{	/* Globalize/gloclo.scm 82 */
								obj_t BgL_auxz00_2863;
								BgL_objectz00_bglt BgL_tmpz00_2860;

								BgL_auxz00_2863 = ((obj_t) BgL_wide1113z00_1811);
								BgL_tmpz00_2860 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_1808));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2860, BgL_auxz00_2863);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_1808));
							{	/* Globalize/gloclo.scm 82 */
								long BgL_arg1380z00_1812;

								BgL_arg1380z00_1812 =
									BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_1808)),
									BgL_arg1380z00_1812);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_1808));
						}
						{
							BgL_localzf2ginfozf2_bglt BgL_auxz00_2874;

							{
								obj_t BgL_auxz00_2875;

								{	/* Globalize/gloclo.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_2876;

									BgL_tmpz00_2876 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_1808));
									BgL_auxz00_2875 = BGL_OBJECT_WIDENING(BgL_tmpz00_2876);
								}
								BgL_auxz00_2874 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2875);
							}
							((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2874))->
									BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						{
							BgL_localzf2ginfozf2_bglt BgL_auxz00_2882;

							{
								obj_t BgL_auxz00_2883;

								{	/* Globalize/gloclo.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_2884;

									BgL_tmpz00_2884 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_1808));
									BgL_auxz00_2883 = BGL_OBJECT_WIDENING(BgL_tmpz00_2884);
								}
								BgL_auxz00_2882 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2883);
							}
							((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2882))->
									BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_varz00_1808);
						BgL_envz00_1749 = BgL_varz00_1808;
					}
					{	/* Globalize/gloclo.scm 81 */
						obj_t BgL_newzd2argszd2_1750;

						{	/* Globalize/gloclo.scm 84 */
							obj_t BgL_l1273z00_1776;

							{	/* Globalize/gloclo.scm 95 */
								bool_t BgL_test1830z00_2891;

								{	/* Globalize/gloclo.scm 95 */
									obj_t BgL_classz00_2168;

									BgL_classz00_2168 = BGl_sfunz00zzast_varz00;
									{	/* Globalize/gloclo.scm 95 */
										BgL_objectz00_bglt BgL_arg1825z00_2170;

										{	/* Globalize/gloclo.scm 95 */
											obj_t BgL_tmpz00_2892;

											BgL_tmpz00_2892 =
												((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2funzd2_1748));
											BgL_arg1825z00_2170 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2892);
										}
										{	/* Globalize/gloclo.scm 95 */
											bool_t BgL_arg1822z00_2173;
											bool_t BgL_arg1823z00_2174;

											{	/* Globalize/gloclo.scm 95 */
												long BgL_idxz00_2177;

												BgL_idxz00_2177 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2170);
												BgL_arg1822z00_2173 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2177 + ((long) 3))) ==
													BgL_classz00_2168);
											}
											{	/* Globalize/gloclo.scm 95 */
												bool_t BgL_res1780z00_2199;

												{	/* Globalize/gloclo.scm 95 */
													obj_t BgL_oclassz00_2185;

													{	/* Globalize/gloclo.scm 95 */
														long BgL_arg1833z00_2191;

														{	/* Globalize/gloclo.scm 95 */
															long BgL_arg1834z00_2192;

															BgL_arg1834z00_2192 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2170);
															BgL_arg1833z00_2191 =
																(BgL_arg1834z00_2192 - OBJECT_TYPE);
														}
														BgL_oclassz00_2185 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2191);
													}
													{	/* Globalize/gloclo.scm 95 */
														bool_t BgL__ortest_1110z00_2186;

														BgL__ortest_1110z00_2186 =
															(BgL_classz00_2168 == BgL_oclassz00_2185);
														if (BgL__ortest_1110z00_2186)
															{	/* Globalize/gloclo.scm 95 */
																BgL_res1780z00_2199 = BgL__ortest_1110z00_2186;
															}
														else
															{	/* Globalize/gloclo.scm 95 */
																long BgL_odepthz00_2187;

																BgL_odepthz00_2187 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2185);
																if ((((long) 3) < BgL_odepthz00_2187))
																	{	/* Globalize/gloclo.scm 95 */
																		obj_t BgL_arg1821z00_2189;

																		BgL_arg1821z00_2189 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2185, ((long) 3));
																		BgL_res1780z00_2199 =
																			(BgL_arg1821z00_2189 ==
																			BgL_classz00_2168);
																	}
																else
																	{	/* Globalize/gloclo.scm 95 */
																		BgL_res1780z00_2199 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2174 = BgL_res1780z00_2199;
											}
											BgL_test1830z00_2891 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2173,
												BgL_arg1823z00_2174);
										}
									}
								}
								if (BgL_test1830z00_2891)
									{	/* Globalize/gloclo.scm 95 */
										BgL_l1273z00_1776 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1748)))->
											BgL_argsz00);
									}
								else
									{	/* Globalize/gloclo.scm 97 */
										bool_t BgL_test1833z00_2913;

										{	/* Globalize/gloclo.scm 97 */
											obj_t BgL_classz00_2201;

											BgL_classz00_2201 = BGl_cfunz00zzast_varz00;
											{	/* Globalize/gloclo.scm 97 */
												BgL_objectz00_bglt BgL_arg1825z00_2203;

												{	/* Globalize/gloclo.scm 97 */
													obj_t BgL_tmpz00_2914;

													BgL_tmpz00_2914 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_oldzd2funzd2_1748));
													BgL_arg1825z00_2203 =
														(BgL_objectz00_bglt) (BgL_tmpz00_2914);
												}
												{	/* Globalize/gloclo.scm 97 */
													bool_t BgL_arg1822z00_2206;
													bool_t BgL_arg1823z00_2207;

													{	/* Globalize/gloclo.scm 97 */
														long BgL_idxz00_2210;

														BgL_idxz00_2210 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2203);
														BgL_arg1822z00_2206 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2210 + ((long) 3))) ==
															BgL_classz00_2201);
													}
													{	/* Globalize/gloclo.scm 97 */
														bool_t BgL_res1781z00_2232;

														{	/* Globalize/gloclo.scm 97 */
															obj_t BgL_oclassz00_2218;

															{	/* Globalize/gloclo.scm 97 */
																long BgL_arg1833z00_2224;

																{	/* Globalize/gloclo.scm 97 */
																	long BgL_arg1834z00_2225;

																	BgL_arg1834z00_2225 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2203);
																	BgL_arg1833z00_2224 =
																		(BgL_arg1834z00_2225 - OBJECT_TYPE);
																}
																BgL_oclassz00_2218 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2224);
															}
															{	/* Globalize/gloclo.scm 97 */
																bool_t BgL__ortest_1110z00_2219;

																BgL__ortest_1110z00_2219 =
																	(BgL_classz00_2201 == BgL_oclassz00_2218);
																if (BgL__ortest_1110z00_2219)
																	{	/* Globalize/gloclo.scm 97 */
																		BgL_res1781z00_2232 =
																			BgL__ortest_1110z00_2219;
																	}
																else
																	{	/* Globalize/gloclo.scm 97 */
																		long BgL_odepthz00_2220;

																		BgL_odepthz00_2220 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2218);
																		if ((((long) 3) < BgL_odepthz00_2220))
																			{	/* Globalize/gloclo.scm 97 */
																				obj_t BgL_arg1821z00_2222;

																				BgL_arg1821z00_2222 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2218, ((long) 3));
																				BgL_res1781z00_2232 =
																					(BgL_arg1821z00_2222 ==
																					BgL_classz00_2201);
																			}
																		else
																			{	/* Globalize/gloclo.scm 97 */
																				BgL_res1781z00_2232 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2207 = BgL_res1781z00_2232;
													}
													BgL_test1833z00_2913 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2206,
														BgL_arg1823z00_2207);
												}
											}
										}
										if (BgL_test1833z00_2913)
											{	/* Globalize/gloclo.scm 97 */
												BgL_l1273z00_1776 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt) BgL_oldzd2funzd2_1748)))->
													BgL_argszd2typezd2);
											}
										else
											{	/* Globalize/gloclo.scm 97 */
												BgL_l1273z00_1776 =
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_string1793z00zzglobaliza7e_globalzd2closurez75,
													BGl_string1794z00zzglobaliza7e_globalzd2closurez75,
													((obj_t) BgL_oldzd2funzd2_1748));
											}
									}
							}
							if (NULLP(BgL_l1273z00_1776))
								{	/* Globalize/gloclo.scm 84 */
									BgL_newzd2argszd2_1750 = BNIL;
								}
							else
								{	/* Globalize/gloclo.scm 84 */
									obj_t BgL_head1275z00_1778;

									BgL_head1275z00_1778 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1273z00_1780;
										obj_t BgL_tail1276z00_1781;

										BgL_l1273z00_1780 = BgL_l1273z00_1776;
										BgL_tail1276z00_1781 = BgL_head1275z00_1778;
									BgL_zc3z04anonymousza31350ze3z87_1782:
										if (NULLP(BgL_l1273z00_1780))
											{	/* Globalize/gloclo.scm 84 */
												BgL_newzd2argszd2_1750 = CDR(BgL_head1275z00_1778);
											}
										else
											{	/* Globalize/gloclo.scm 84 */
												obj_t BgL_newtail1277z00_1784;

												{	/* Globalize/gloclo.scm 84 */
													BgL_localz00_bglt BgL_arg1357z00_1786;

													{	/* Globalize/gloclo.scm 84 */
														obj_t BgL_oldz00_1787;

														BgL_oldz00_1787 = CAR(((obj_t) BgL_l1273z00_1780));
														{	/* Globalize/gloclo.scm 85 */
															BgL_localz00_bglt BgL_newz00_1788;

															{	/* Globalize/gloclo.scm 86 */
																obj_t BgL_arg1366z00_1801;
																obj_t BgL_arg1367z00_1802;

																{	/* Globalize/gloclo.scm 86 */
																	bool_t BgL_test1840z00_2945;

																	{	/* Globalize/gloclo.scm 86 */
																		obj_t BgL_classz00_2236;

																		BgL_classz00_2236 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_oldz00_1787))
																			{	/* Globalize/gloclo.scm 86 */
																				BgL_objectz00_bglt BgL_arg1825z00_2238;

																				BgL_arg1825z00_2238 =
																					(BgL_objectz00_bglt)
																					(BgL_oldz00_1787);
																				{	/* Globalize/gloclo.scm 86 */
																					bool_t BgL_arg1822z00_2241;
																					bool_t BgL_arg1823z00_2242;

																					{	/* Globalize/gloclo.scm 86 */
																						long BgL_idxz00_2245;

																						BgL_idxz00_2245 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_2238);
																						BgL_arg1822z00_2241 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2245 +
																									((long) 2))) ==
																							BgL_classz00_2236);
																					}
																					{	/* Globalize/gloclo.scm 86 */
																						bool_t BgL_res1782z00_2267;

																						{	/* Globalize/gloclo.scm 86 */
																							obj_t BgL_oclassz00_2253;

																							{	/* Globalize/gloclo.scm 86 */
																								long BgL_arg1833z00_2259;

																								{	/* Globalize/gloclo.scm 86 */
																									long BgL_arg1834z00_2260;

																									BgL_arg1834z00_2260 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_2238);
																									BgL_arg1833z00_2259 =
																										(BgL_arg1834z00_2260 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2253 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_2259);
																							}
																							{	/* Globalize/gloclo.scm 86 */
																								bool_t BgL__ortest_1110z00_2254;

																								BgL__ortest_1110z00_2254 =
																									(BgL_classz00_2236 ==
																									BgL_oclassz00_2253);
																								if (BgL__ortest_1110z00_2254)
																									{	/* Globalize/gloclo.scm 86 */
																										BgL_res1782z00_2267 =
																											BgL__ortest_1110z00_2254;
																									}
																								else
																									{	/* Globalize/gloclo.scm 86 */
																										long BgL_odepthz00_2255;

																										BgL_odepthz00_2255 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2253);
																										if ((((long) 2) <
																												BgL_odepthz00_2255))
																											{	/* Globalize/gloclo.scm 86 */
																												obj_t
																													BgL_arg1821z00_2257;
																												BgL_arg1821z00_2257 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2253,
																													((long) 2));
																												BgL_res1782z00_2267 =
																													(BgL_arg1821z00_2257
																													== BgL_classz00_2236);
																											}
																										else
																											{	/* Globalize/gloclo.scm 86 */
																												BgL_res1782z00_2267 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_2242 =
																							BgL_res1782z00_2267;
																					}
																					BgL_test1840z00_2945 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_2241,
																						BgL_arg1823z00_2242);
																				}
																			}
																		else
																			{	/* Globalize/gloclo.scm 86 */
																				BgL_test1840z00_2945 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1840z00_2945)
																		{	/* Globalize/gloclo.scm 86 */
																			BgL_arg1366z00_1801 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								BgL_oldz00_1787))))->BgL_idz00);
																		}
																	else
																		{	/* Globalize/gloclo.scm 88 */

																			{	/* Globalize/gloclo.scm 88 */

																				BgL_arg1366z00_1801 =
																					BGl_gensymz00zz__r4_symbols_6_4z00
																					(BFALSE);
																			}
																		}
																}
																BgL_arg1367z00_1802 =
																	BGl_defaultzd2typezd2zzglobaliza7e_globalzd2closurez75
																	();
																BgL_newz00_1788 =
																	BGl_makezd2localzd2svarz00zzast_localz00
																	(BgL_arg1366z00_1801,
																	((BgL_typez00_bglt) BgL_arg1367z00_1802));
															}
															{	/* Globalize/gloclo.scm 90 */
																bool_t BgL_test1845z00_2971;

																{	/* Globalize/gloclo.scm 90 */
																	obj_t BgL_classz00_2269;

																	BgL_classz00_2269 = BGl_localz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_oldz00_1787))
																		{	/* Globalize/gloclo.scm 90 */
																			BgL_objectz00_bglt BgL_arg1825z00_2271;

																			BgL_arg1825z00_2271 =
																				(BgL_objectz00_bglt) (BgL_oldz00_1787);
																			{	/* Globalize/gloclo.scm 90 */
																				bool_t BgL_arg1822z00_2274;
																				bool_t BgL_arg1823z00_2275;

																				{	/* Globalize/gloclo.scm 90 */
																					long BgL_idxz00_2278;

																					BgL_idxz00_2278 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2271);
																					BgL_arg1822z00_2274 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2278 + ((long) 2))) ==
																						BgL_classz00_2269);
																				}
																				{	/* Globalize/gloclo.scm 90 */
																					bool_t BgL_res1783z00_2300;

																					{	/* Globalize/gloclo.scm 90 */
																						obj_t BgL_oclassz00_2286;

																						{	/* Globalize/gloclo.scm 90 */
																							long BgL_arg1833z00_2292;

																							{	/* Globalize/gloclo.scm 90 */
																								long BgL_arg1834z00_2293;

																								BgL_arg1834z00_2293 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2271);
																								BgL_arg1833z00_2292 =
																									(BgL_arg1834z00_2293 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2286 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2292);
																						}
																						{	/* Globalize/gloclo.scm 90 */
																							bool_t BgL__ortest_1110z00_2287;

																							BgL__ortest_1110z00_2287 =
																								(BgL_classz00_2269 ==
																								BgL_oclassz00_2286);
																							if (BgL__ortest_1110z00_2287)
																								{	/* Globalize/gloclo.scm 90 */
																									BgL_res1783z00_2300 =
																										BgL__ortest_1110z00_2287;
																								}
																							else
																								{	/* Globalize/gloclo.scm 90 */
																									long BgL_odepthz00_2288;

																									BgL_odepthz00_2288 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2286);
																									if ((((long) 2) <
																											BgL_odepthz00_2288))
																										{	/* Globalize/gloclo.scm 90 */
																											obj_t BgL_arg1821z00_2290;

																											BgL_arg1821z00_2290 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2286,
																												((long) 2));
																											BgL_res1783z00_2300 =
																												(BgL_arg1821z00_2290 ==
																												BgL_classz00_2269);
																										}
																									else
																										{	/* Globalize/gloclo.scm 90 */
																											BgL_res1783z00_2300 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2275 =
																						BgL_res1783z00_2300;
																				}
																				BgL_test1845z00_2971 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2274,
																					BgL_arg1823z00_2275);
																			}
																		}
																	else
																		{	/* Globalize/gloclo.scm 90 */
																			BgL_test1845z00_2971 = ((bool_t) 0);
																		}
																}
																if (BgL_test1845z00_2971)
																	{	/* Globalize/gloclo.scm 91 */
																		bool_t BgL_arg1361z00_1790;

																		BgL_arg1361z00_1790 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1787))))->
																			BgL_userzf3zf3);
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt)
																							BgL_newz00_1788)))->
																				BgL_userzf3zf3) =
																			((bool_t) BgL_arg1361z00_1790), BUNSPEC);
																	}
																else
																	{	/* Globalize/gloclo.scm 90 */
																		BFALSE;
																	}
															}
															{	/* Globalize/gloclo.scm 92 */
																BgL_svarz00_bglt BgL_tmp1115z00_1791;

																BgL_tmp1115z00_1791 =
																	((BgL_svarz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_newz00_1788)))->BgL_valuez00));
																{	/* Globalize/gloclo.scm 92 */
																	BgL_svarzf2ginfozf2_bglt BgL_wide1117z00_1793;

																	BgL_wide1117z00_1793 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_svarzf2ginfozf2_bgl))));
																	{	/* Globalize/gloclo.scm 92 */
																		obj_t BgL_auxz00_3002;
																		BgL_objectz00_bglt BgL_tmpz00_2999;

																		BgL_auxz00_3002 =
																			((obj_t) BgL_wide1117z00_1793);
																		BgL_tmpz00_2999 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1115z00_1791));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2999,
																			BgL_auxz00_3002);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1115z00_1791));
																	{	/* Globalize/gloclo.scm 92 */
																		long BgL_arg1363z00_1794;

																		BgL_arg1363z00_1794 =
																			BGL_CLASS_NUM
																			(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) ((BgL_svarz00_bglt)
																					BgL_tmp1115z00_1791)),
																			BgL_arg1363z00_1794);
																	}
																	((BgL_svarz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1115z00_1791));
																}
																{
																	BgL_svarzf2ginfozf2_bglt BgL_auxz00_3013;

																	{
																		obj_t BgL_auxz00_3014;

																		{	/* Globalize/gloclo.scm 92 */
																			BgL_objectz00_bglt BgL_tmpz00_3015;

																			BgL_tmpz00_3015 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_tmp1115z00_1791));
																			BgL_auxz00_3014 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3015);
																		}
																		BgL_auxz00_3013 =
																			((BgL_svarzf2ginfozf2_bglt)
																			BgL_auxz00_3014);
																	}
																	((((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3013))->
																			BgL_kapturedzf3zf3) =
																		((bool_t) ((bool_t) 0)), BUNSPEC);
																}
																{
																	BgL_svarzf2ginfozf2_bglt BgL_auxz00_3021;

																	{
																		obj_t BgL_auxz00_3022;

																		{	/* Globalize/gloclo.scm 92 */
																			BgL_objectz00_bglt BgL_tmpz00_3023;

																			BgL_tmpz00_3023 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_tmp1115z00_1791));
																			BgL_auxz00_3022 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3023);
																		}
																		BgL_auxz00_3021 =
																			((BgL_svarzf2ginfozf2_bglt)
																			BgL_auxz00_3022);
																	}
																	((((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3021))->
																			BgL_freezd2markzd2) =
																		((long) ((long) -10)), BUNSPEC);
																}
																{
																	BgL_svarzf2ginfozf2_bglt BgL_auxz00_3029;

																	{
																		obj_t BgL_auxz00_3030;

																		{	/* Globalize/gloclo.scm 92 */
																			BgL_objectz00_bglt BgL_tmpz00_3031;

																			BgL_tmpz00_3031 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_tmp1115z00_1791));
																			BgL_auxz00_3030 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3031);
																		}
																		BgL_auxz00_3029 =
																			((BgL_svarzf2ginfozf2_bglt)
																			BgL_auxz00_3030);
																	}
																	((((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3029))->
																			BgL_markz00) =
																		((long) ((long) -10)), BUNSPEC);
																}
																{
																	BgL_svarzf2ginfozf2_bglt BgL_auxz00_3037;

																	{
																		obj_t BgL_auxz00_3038;

																		{	/* Globalize/gloclo.scm 92 */
																			BgL_objectz00_bglt BgL_tmpz00_3039;

																			BgL_tmpz00_3039 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_tmp1115z00_1791));
																			BgL_auxz00_3038 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3039);
																		}
																		BgL_auxz00_3037 =
																			((BgL_svarzf2ginfozf2_bglt)
																			BgL_auxz00_3038);
																	}
																	((((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3037))->
																			BgL_celledzf3zf3) =
																		((bool_t) ((bool_t) 0)), BUNSPEC);
																}
																{
																	BgL_svarzf2ginfozf2_bglt BgL_auxz00_3045;

																	{
																		obj_t BgL_auxz00_3046;

																		{	/* Globalize/gloclo.scm 92 */
																			BgL_objectz00_bglt BgL_tmpz00_3047;

																			BgL_tmpz00_3047 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_tmp1115z00_1791));
																			BgL_auxz00_3046 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3047);
																		}
																		BgL_auxz00_3045 =
																			((BgL_svarzf2ginfozf2_bglt)
																			BgL_auxz00_3046);
																	}
																	((((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3045))->
																			BgL_stackablez00) =
																		((bool_t) ((bool_t) 1)), BUNSPEC);
																}
																((BgL_svarz00_bglt) BgL_tmp1115z00_1791);
															}
															{	/* Globalize/gloclo.scm 93 */
																BgL_localzf2ginfozf2_bglt BgL_wide1121z00_1798;

																BgL_wide1121z00_1798 =
																	((BgL_localzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_localzf2ginfozf2_bgl))));
																{	/* Globalize/gloclo.scm 93 */
																	obj_t BgL_auxz00_3058;
																	BgL_objectz00_bglt BgL_tmpz00_3055;

																	BgL_auxz00_3058 =
																		((obj_t) BgL_wide1121z00_1798);
																	BgL_tmpz00_3055 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1788));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3055,
																		BgL_auxz00_3058);
																}
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1788));
																{	/* Globalize/gloclo.scm 93 */
																	long BgL_arg1364z00_1799;

																	BgL_arg1364z00_1799 =
																		BGL_CLASS_NUM
																		(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_newz00_1788)),
																		BgL_arg1364z00_1799);
																}
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1788));
															}
															{
																BgL_localzf2ginfozf2_bglt BgL_auxz00_3069;

																{
																	obj_t BgL_auxz00_3070;

																	{	/* Globalize/gloclo.scm 93 */
																		BgL_objectz00_bglt BgL_tmpz00_3071;

																		BgL_tmpz00_3071 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_newz00_1788));
																		BgL_auxz00_3070 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3071);
																	}
																	BgL_auxz00_3069 =
																		((BgL_localzf2ginfozf2_bglt)
																		BgL_auxz00_3070);
																}
																((((BgL_localzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3069))->
																		BgL_escapezf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_localzf2ginfozf2_bglt BgL_auxz00_3077;

																{
																	obj_t BgL_auxz00_3078;

																	{	/* Globalize/gloclo.scm 93 */
																		BgL_objectz00_bglt BgL_tmpz00_3079;

																		BgL_tmpz00_3079 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_newz00_1788));
																		BgL_auxz00_3078 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3079);
																	}
																	BgL_auxz00_3077 =
																		((BgL_localzf2ginfozf2_bglt)
																		BgL_auxz00_3078);
																}
																((((BgL_localzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3077))->
																		BgL_globaliza7edzf3z54) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															((BgL_localz00_bglt) BgL_newz00_1788);
															BgL_arg1357z00_1786 = BgL_newz00_1788;
													}}
													BgL_newtail1277z00_1784 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1357z00_1786), BNIL);
												}
												SET_CDR(BgL_tail1276z00_1781, BgL_newtail1277z00_1784);
												{	/* Globalize/gloclo.scm 84 */
													obj_t BgL_arg1354z00_1785;

													BgL_arg1354z00_1785 =
														CDR(((obj_t) BgL_l1273z00_1780));
													{
														obj_t BgL_tail1276z00_3092;
														obj_t BgL_l1273z00_3091;

														BgL_l1273z00_3091 = BgL_arg1354z00_1785;
														BgL_tail1276z00_3092 = BgL_newtail1277z00_1784;
														BgL_tail1276z00_1781 = BgL_tail1276z00_3092;
														BgL_l1273z00_1780 = BgL_l1273z00_3091;
														goto BgL_zc3z04anonymousza31350ze3z87_1782;
													}
												}
											}
									}
								}
						}
						{	/* Globalize/gloclo.scm 84 */
							obj_t BgL_locz00_1751;

							{	/* Globalize/gloclo.scm 106 */
								bool_t BgL_test1850z00_3093;

								{	/* Globalize/gloclo.scm 106 */
									obj_t BgL_classz00_2322;

									BgL_classz00_2322 = BGl_sfunz00zzast_varz00;
									{	/* Globalize/gloclo.scm 106 */
										BgL_objectz00_bglt BgL_arg1825z00_2324;

										{	/* Globalize/gloclo.scm 106 */
											obj_t BgL_tmpz00_3094;

											BgL_tmpz00_3094 =
												((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2funzd2_1748));
											BgL_arg1825z00_2324 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3094);
										}
										{	/* Globalize/gloclo.scm 106 */
											bool_t BgL_arg1822z00_2327;
											bool_t BgL_arg1823z00_2328;

											{	/* Globalize/gloclo.scm 106 */
												long BgL_idxz00_2331;

												BgL_idxz00_2331 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2324);
												BgL_arg1822z00_2327 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2331 + ((long) 3))) ==
													BgL_classz00_2322);
											}
											{	/* Globalize/gloclo.scm 106 */
												bool_t BgL_res1784z00_2353;

												{	/* Globalize/gloclo.scm 106 */
													obj_t BgL_oclassz00_2339;

													{	/* Globalize/gloclo.scm 106 */
														long BgL_arg1833z00_2345;

														{	/* Globalize/gloclo.scm 106 */
															long BgL_arg1834z00_2346;

															BgL_arg1834z00_2346 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2324);
															BgL_arg1833z00_2345 =
																(BgL_arg1834z00_2346 - OBJECT_TYPE);
														}
														BgL_oclassz00_2339 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2345);
													}
													{	/* Globalize/gloclo.scm 106 */
														bool_t BgL__ortest_1110z00_2340;

														BgL__ortest_1110z00_2340 =
															(BgL_classz00_2322 == BgL_oclassz00_2339);
														if (BgL__ortest_1110z00_2340)
															{	/* Globalize/gloclo.scm 106 */
																BgL_res1784z00_2353 = BgL__ortest_1110z00_2340;
															}
														else
															{	/* Globalize/gloclo.scm 106 */
																long BgL_odepthz00_2341;

																BgL_odepthz00_2341 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2339);
																if ((((long) 3) < BgL_odepthz00_2341))
																	{	/* Globalize/gloclo.scm 106 */
																		obj_t BgL_arg1821z00_2343;

																		BgL_arg1821z00_2343 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2339, ((long) 3));
																		BgL_res1784z00_2353 =
																			(BgL_arg1821z00_2343 ==
																			BgL_classz00_2322);
																	}
																else
																	{	/* Globalize/gloclo.scm 106 */
																		BgL_res1784z00_2353 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2328 = BgL_res1784z00_2353;
											}
											BgL_test1850z00_3093 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2327,
												BgL_arg1823z00_2328);
										}
									}
								}
								if (BgL_test1850z00_3093)
									{	/* Globalize/gloclo.scm 107 */
										bool_t BgL_test1853z00_3113;

										{	/* Globalize/gloclo.scm 107 */
											bool_t BgL_test1854z00_3114;

											{	/* Globalize/gloclo.scm 107 */
												obj_t BgL_arg1348z00_1775;

												BgL_arg1348z00_1775 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1748)))->
													BgL_bodyz00);
												{	/* Globalize/gloclo.scm 107 */
													obj_t BgL_classz00_2355;

													BgL_classz00_2355 = BGl_nodez00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg1348z00_1775))
														{	/* Globalize/gloclo.scm 107 */
															BgL_objectz00_bglt BgL_arg1825z00_2357;

															BgL_arg1825z00_2357 =
																(BgL_objectz00_bglt) (BgL_arg1348z00_1775);
															{	/* Globalize/gloclo.scm 107 */
																bool_t BgL_arg1822z00_2360;
																bool_t BgL_arg1823z00_2361;

																{	/* Globalize/gloclo.scm 107 */
																	long BgL_idxz00_2364;

																	BgL_idxz00_2364 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2357);
																	BgL_arg1822z00_2360 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2364 + ((long) 1))) ==
																		BgL_classz00_2355);
																}
																{	/* Globalize/gloclo.scm 107 */
																	bool_t BgL_res1785z00_2386;

																	{	/* Globalize/gloclo.scm 107 */
																		obj_t BgL_oclassz00_2372;

																		{	/* Globalize/gloclo.scm 107 */
																			long BgL_arg1833z00_2378;

																			{	/* Globalize/gloclo.scm 107 */
																				long BgL_arg1834z00_2379;

																				BgL_arg1834z00_2379 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2357);
																				BgL_arg1833z00_2378 =
																					(BgL_arg1834z00_2379 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2372 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2378);
																		}
																		{	/* Globalize/gloclo.scm 107 */
																			bool_t BgL__ortest_1110z00_2373;

																			BgL__ortest_1110z00_2373 =
																				(BgL_classz00_2355 ==
																				BgL_oclassz00_2372);
																			if (BgL__ortest_1110z00_2373)
																				{	/* Globalize/gloclo.scm 107 */
																					BgL_res1785z00_2386 =
																						BgL__ortest_1110z00_2373;
																				}
																			else
																				{	/* Globalize/gloclo.scm 107 */
																					long BgL_odepthz00_2374;

																					BgL_odepthz00_2374 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2372);
																					if ((((long) 1) < BgL_odepthz00_2374))
																						{	/* Globalize/gloclo.scm 107 */
																							obj_t BgL_arg1821z00_2376;

																							BgL_arg1821z00_2376 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2372,
																								((long) 1));
																							BgL_res1785z00_2386 =
																								(BgL_arg1821z00_2376 ==
																								BgL_classz00_2355);
																						}
																					else
																						{	/* Globalize/gloclo.scm 107 */
																							BgL_res1785z00_2386 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2361 = BgL_res1785z00_2386;
																}
																BgL_test1854z00_3114 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2360,
																	BgL_arg1823z00_2361);
															}
														}
													else
														{	/* Globalize/gloclo.scm 107 */
															BgL_test1854z00_3114 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test1854z00_3114)
												{	/* Globalize/gloclo.scm 107 */
													BgL_test1853z00_3113 =
														CBOOL(
														(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt)
																		(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_oldzd2funzd2_1748)))->
																			BgL_bodyz00))))->BgL_locz00));
												}
											else
												{	/* Globalize/gloclo.scm 107 */
													BgL_test1853z00_3113 = ((bool_t) 0);
												}
										}
										if (BgL_test1853z00_3113)
											{	/* Globalize/gloclo.scm 107 */
												BgL_locz00_1751 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				BgL_oldzd2funzd2_1748)))->
																	BgL_bodyz00))))->BgL_locz00);
											}
										else
											{	/* Globalize/gloclo.scm 107 */
												BgL_locz00_1751 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1748)))->
													BgL_locz00);
											}
									}
								else
									{	/* Globalize/gloclo.scm 106 */
										BgL_locz00_1751 = BFALSE;
									}
							}
							{	/* Globalize/gloclo.scm 106 */
								obj_t BgL_glocloz00_1752;

								BgL_glocloz00_1752 =
									BGl_glocloz00zzglobaliza7e_globalzd2closurez75
									(BgL_globalz00_7, BgL_envz00_1749, BgL_newzd2argszd2_1750);
								{	/* Globalize/gloclo.scm 111 */
									BgL_valuez00_bglt BgL_newzd2funzd2_1753;

									BgL_newzd2funzd2_1753 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_glocloz00_1752))))->
										BgL_valuez00);
									{	/* Globalize/gloclo.scm 112 */

										{	/* Globalize/gloclo.scm 114 */
											BgL_valuez00_bglt BgL_arg1325z00_1754;

											BgL_arg1325z00_1754 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_glocloz00_1752))))->
												BgL_valuez00);
											((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																BgL_arg1325z00_1754)))->
													BgL_thezd2closurezd2globalz00) =
												((obj_t) ((obj_t) BgL_globalz00_7)), BUNSPEC);
										}
										{	/* Globalize/gloclo.scm 116 */
											BgL_svarz00_bglt BgL_tmp1124z00_1755;

											BgL_tmp1124z00_1755 =
												((BgL_svarz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_envz00_1749)))->
													BgL_valuez00));
											{	/* Globalize/gloclo.scm 116 */
												BgL_svarzf2ginfozf2_bglt BgL_wide1126z00_1757;

												BgL_wide1126z00_1757 =
													((BgL_svarzf2ginfozf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_svarzf2ginfozf2_bgl))));
												{	/* Globalize/gloclo.scm 116 */
													obj_t BgL_auxz00_3163;
													BgL_objectz00_bglt BgL_tmpz00_3160;

													BgL_auxz00_3163 = ((obj_t) BgL_wide1126z00_1757);
													BgL_tmpz00_3160 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3160,
														BgL_auxz00_3163);
												}
												((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
												{	/* Globalize/gloclo.scm 116 */
													long BgL_arg1326z00_1758;

													BgL_arg1326z00_1758 =
														BGL_CLASS_NUM
														(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																(BgL_svarz00_bglt) BgL_tmp1124z00_1755)),
														BgL_arg1326z00_1758);
												}
												((BgL_svarz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
											}
											{
												BgL_svarzf2ginfozf2_bglt BgL_auxz00_3174;

												{
													obj_t BgL_auxz00_3175;

													{	/* Globalize/gloclo.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_3176;

														BgL_tmpz00_3176 =
															((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
														BgL_auxz00_3175 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3176);
													}
													BgL_auxz00_3174 =
														((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3175);
												}
												((((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3174))->BgL_kapturedzf3zf3) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
											}
											{
												BgL_svarzf2ginfozf2_bglt BgL_auxz00_3182;

												{
													obj_t BgL_auxz00_3183;

													{	/* Globalize/gloclo.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_3184;

														BgL_tmpz00_3184 =
															((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
														BgL_auxz00_3183 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3184);
													}
													BgL_auxz00_3182 =
														((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3183);
												}
												((((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3182))->BgL_freezd2markzd2) =
													((long) ((long) -10)), BUNSPEC);
											}
											{
												BgL_svarzf2ginfozf2_bglt BgL_auxz00_3190;

												{
													obj_t BgL_auxz00_3191;

													{	/* Globalize/gloclo.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_3192;

														BgL_tmpz00_3192 =
															((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
														BgL_auxz00_3191 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3192);
													}
													BgL_auxz00_3190 =
														((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3191);
												}
												((((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3190))->BgL_markz00) =
													((long) ((long) -10)), BUNSPEC);
											}
											{
												BgL_svarzf2ginfozf2_bglt BgL_auxz00_3198;

												{
													obj_t BgL_auxz00_3199;

													{	/* Globalize/gloclo.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_3200;

														BgL_tmpz00_3200 =
															((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
														BgL_auxz00_3199 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3200);
													}
													BgL_auxz00_3198 =
														((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3199);
												}
												((((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3198))->BgL_celledzf3zf3) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
											}
											{
												BgL_svarzf2ginfozf2_bglt BgL_auxz00_3206;

												{
													obj_t BgL_auxz00_3207;

													{	/* Globalize/gloclo.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_3208;

														BgL_tmpz00_3208 =
															((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1124z00_1755));
														BgL_auxz00_3207 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3208);
													}
													BgL_auxz00_3206 =
														((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3207);
												}
												((((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3206))->BgL_stackablez00) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
											}
											((BgL_svarz00_bglt) BgL_tmp1124z00_1755);
										}
										{	/* Globalize/gloclo.scm 118 */
											BgL_globalzf2ginfozf2_bglt BgL_wide1132z00_1762;

											BgL_wide1132z00_1762 =
												((BgL_globalzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_globalzf2ginfozf2_bgl))));
											{	/* Globalize/gloclo.scm 118 */
												obj_t BgL_auxz00_3220;
												BgL_objectz00_bglt BgL_tmpz00_3216;

												BgL_auxz00_3220 = ((obj_t) BgL_wide1132z00_1762);
												BgL_tmpz00_3216 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_glocloz00_1752)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3216,
													BgL_auxz00_3220);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt)
													((BgL_globalz00_bglt) BgL_glocloz00_1752)));
											{	/* Globalize/gloclo.scm 118 */
												long BgL_arg1328z00_1763;

												BgL_arg1328z00_1763 =
													BGL_CLASS_NUM
													(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_globalz00_bglt) ((BgL_globalz00_bglt)
																BgL_glocloz00_1752))), BgL_arg1328z00_1763);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt)
													((BgL_globalz00_bglt) BgL_glocloz00_1752)));
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_3234;

											{
												obj_t BgL_auxz00_3235;

												{	/* Globalize/gloclo.scm 118 */
													BgL_objectz00_bglt BgL_tmpz00_3236;

													BgL_tmpz00_3236 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt)
															((BgL_globalz00_bglt) BgL_glocloz00_1752)));
													BgL_auxz00_3235 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3236);
												}
												BgL_auxz00_3234 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3235);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_3234))->BgL_escapezf3zf3) =
												((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_3243;

											{
												obj_t BgL_auxz00_3244;

												{	/* Globalize/gloclo.scm 118 */
													BgL_objectz00_bglt BgL_tmpz00_3245;

													BgL_tmpz00_3245 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt)
															((BgL_globalz00_bglt) BgL_glocloz00_1752)));
													BgL_auxz00_3244 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3245);
												}
												BgL_auxz00_3243 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3244);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_3243))->
													BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
										}
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_glocloz00_1752));
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_newzd2funzd2_1753)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t)
													BGl_makezd2nooptzd2bodyz00zzglobaliza7e_globalzd2closurez75
													(BgL_locz00_1751, BgL_globalz00_7,
														BgL_newzd2argszd2_1750))), BUNSPEC);
										return BgL_glocloz00_1752;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-noopt-body */
	BgL_appz00_bglt
		BGl_makezd2nooptzd2bodyz00zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_locz00_8, BgL_globalz00_bglt BgL_globalz00_9,
		obj_t BgL_newzd2argszd2_10)
	{
		{	/* Globalize/gloclo.scm 130 */
			{	/* Globalize/gloclo.scm 131 */
				BgL_appz00_bglt BgL_new1137z00_1814;

				{	/* Globalize/gloclo.scm 132 */
					BgL_appz00_bglt BgL_new1136z00_1837;

					BgL_new1136z00_1837 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Globalize/gloclo.scm 132 */
						long BgL_arg1418z00_1838;

						BgL_arg1418z00_1838 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1136z00_1837), BgL_arg1418z00_1838);
					}
					{	/* Globalize/gloclo.scm 132 */
						BgL_objectz00_bglt BgL_tmpz00_3262;

						BgL_tmpz00_3262 = ((BgL_objectz00_bglt) BgL_new1136z00_1837);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3262, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1136z00_1837);
					BgL_new1137z00_1814 = BgL_new1136z00_1837;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1137z00_1814)))->BgL_locz00) =
					((obj_t) BgL_locz00_8), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3268;

					{	/* Globalize/gloclo.scm 133 */
						BgL_typez00_bglt BgL_arg1381z00_1815;

						BgL_arg1381z00_1815 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_9)))->BgL_typez00);
						BgL_auxz00_3268 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1381z00_1815,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1137z00_1814)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3268), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_1814)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1137z00_1814)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_3280;

					{	/* Globalize/gloclo.scm 134 */
						BgL_refz00_bglt BgL_new1139z00_1816;

						{	/* Globalize/gloclo.scm 135 */
							BgL_refz00_bglt BgL_new1138z00_1818;

							BgL_new1138z00_1818 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Globalize/gloclo.scm 135 */
								long BgL_arg1383z00_1819;

								{	/* Globalize/gloclo.scm 135 */
									obj_t BgL_classz00_2416;

									BgL_classz00_2416 = BGl_refz00zzast_nodez00;
									BgL_arg1383z00_1819 = BGL_CLASS_NUM(BgL_classz00_2416);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1138z00_1818),
									BgL_arg1383z00_1819);
							}
							{	/* Globalize/gloclo.scm 135 */
								BgL_objectz00_bglt BgL_tmpz00_3285;

								BgL_tmpz00_3285 = ((BgL_objectz00_bglt) BgL_new1138z00_1818);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3285, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1138z00_1818);
							BgL_new1139z00_1816 = BgL_new1138z00_1818;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1139z00_1816)))->BgL_locz00) =
							((obj_t) BgL_locz00_8), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_3291;

							{	/* Globalize/gloclo.scm 136 */
								BgL_typez00_bglt BgL_arg1382z00_1817;

								BgL_arg1382z00_1817 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_9)))->BgL_typez00);
								BgL_auxz00_3291 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1382z00_1817,
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1139z00_1816)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_3291), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1139z00_1816)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_globalz00_9)),
							BUNSPEC);
						BgL_auxz00_3280 = ((BgL_varz00_bglt) BgL_new1139z00_1816);
					}
					((((BgL_appz00_bglt) COBJECT(BgL_new1137z00_1814))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_3280), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_3303;

					if (NULLP(BgL_newzd2argszd2_10))
						{	/* Globalize/gloclo.scm 141 */
							BgL_auxz00_3303 = BNIL;
						}
					else
						{	/* Globalize/gloclo.scm 141 */
							obj_t BgL_head1280z00_1822;

							BgL_head1280z00_1822 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1278z00_1824;
								obj_t BgL_tail1281z00_1825;

								BgL_l1278z00_1824 = BgL_newzd2argszd2_10;
								BgL_tail1281z00_1825 = BgL_head1280z00_1822;
							BgL_zc3z04anonymousza31389ze3z87_1826:
								if (NULLP(BgL_l1278z00_1824))
									{	/* Globalize/gloclo.scm 141 */
										BgL_auxz00_3303 = CDR(BgL_head1280z00_1822);
									}
								else
									{	/* Globalize/gloclo.scm 141 */
										obj_t BgL_newtail1282z00_1828;

										{	/* Globalize/gloclo.scm 141 */
											BgL_refz00_bglt BgL_arg1401z00_1830;

											{	/* Globalize/gloclo.scm 141 */
												obj_t BgL_vz00_1831;

												BgL_vz00_1831 = CAR(((obj_t) BgL_l1278z00_1824));
												{	/* Globalize/gloclo.scm 142 */
													BgL_refz00_bglt BgL_new1141z00_1832;

													{	/* Globalize/gloclo.scm 145 */
														BgL_refz00_bglt BgL_new1140z00_1834;

														BgL_new1140z00_1834 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Globalize/gloclo.scm 145 */
															long BgL_arg1416z00_1835;

															{	/* Globalize/gloclo.scm 145 */
																obj_t BgL_classz00_2423;

																BgL_classz00_2423 = BGl_refz00zzast_nodez00;
																BgL_arg1416z00_1835 =
																	BGL_CLASS_NUM(BgL_classz00_2423);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1140z00_1834),
																BgL_arg1416z00_1835);
														}
														{	/* Globalize/gloclo.scm 145 */
															BgL_objectz00_bglt BgL_tmpz00_3316;

															BgL_tmpz00_3316 =
																((BgL_objectz00_bglt) BgL_new1140z00_1834);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3316, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1140z00_1834);
														BgL_new1141z00_1832 = BgL_new1140z00_1834;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1141z00_1832)))->
															BgL_locz00) = ((obj_t) BgL_locz00_8), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_3322;

														{	/* Globalize/gloclo.scm 144 */
															BgL_typez00_bglt BgL_arg1415z00_1833;

															BgL_arg1415z00_1833 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_1831)))->
																BgL_typez00);
															BgL_auxz00_3322 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_arg1415z00_1833,
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1141z00_1832)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_3322), BUNSPEC);
													}
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_new1141z00_1832)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_vz00_1831)), BUNSPEC);
													BgL_arg1401z00_1830 = BgL_new1141z00_1832;
											}}
											BgL_newtail1282z00_1828 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1401z00_1830), BNIL);
										}
										SET_CDR(BgL_tail1281z00_1825, BgL_newtail1282z00_1828);
										{	/* Globalize/gloclo.scm 141 */
											obj_t BgL_arg1400z00_1829;

											BgL_arg1400z00_1829 = CDR(((obj_t) BgL_l1278z00_1824));
											{
												obj_t BgL_tail1281z00_3338;
												obj_t BgL_l1278z00_3337;

												BgL_l1278z00_3337 = BgL_arg1400z00_1829;
												BgL_tail1281z00_3338 = BgL_newtail1282z00_1828;
												BgL_tail1281z00_1825 = BgL_tail1281z00_3338;
												BgL_l1278z00_1824 = BgL_l1278z00_3337;
												goto BgL_zc3z04anonymousza31389ze3z87_1826;
											}
										}
									}
							}
						}
					((((BgL_appz00_bglt) COBJECT(BgL_new1137z00_1814))->BgL_argsz00) =
						((obj_t) BgL_auxz00_3303), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1137z00_1814))->BgL_stackablez00) =
					((obj_t) BFALSE), BUNSPEC);
				return BgL_new1137z00_1814;
			}
		}

	}



/* foreign-closures */
	BGL_EXPORTED_DEF obj_t
		BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 156 */
			{	/* Globalize/gloclo.scm 157 */
				obj_t BgL_resz00_1839;

				BgL_resz00_1839 =
					BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75;
				BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BNIL;
				return BgL_resz00_1839;
			}
		}

	}



/* &foreign-closures */
	obj_t BGl_z62foreignzd2closureszb0zzglobaliza7e_globalzd2closurez75(obj_t
		BgL_envz00_2707)
	{
		{	/* Globalize/gloclo.scm 156 */
			return BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
		}

	}



/* globalized-type-id */
	obj_t
		BGl_globaliza7edzd2typezd2idza7zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt BgL_globalz00_11)
	{
		{	/* Globalize/gloclo.scm 169 */
			{	/* Globalize/gloclo.scm 170 */
				BgL_typez00_bglt BgL_typez00_1840;

				BgL_typez00_1840 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_11)))->BgL_typez00);
				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Globalize/gloclo.scm 172 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1840))
							{	/* Globalize/gloclo.scm 174 */
								return
									(((BgL_typez00_bglt) COBJECT(BgL_typez00_1840))->BgL_idz00);
							}
						else
							{	/* Globalize/gloclo.scm 174 */
								if (
									((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_11))->
											BgL_importz00) == CNST_TABLE_REF(((long) 2))))
									{	/* Globalize/gloclo.scm 176 */
										return CNST_TABLE_REF(((long) 0));
									}
								else
									{	/* Globalize/gloclo.scm 176 */
										return
											(((BgL_typez00_bglt)
												COBJECT(BGl_getzd2bigloozd2typez00zztype_cachez00
													(BgL_typez00_1840)))->BgL_idz00);
									}
							}
					}
				else
					{	/* Globalize/gloclo.scm 172 */
						return CNST_TABLE_REF(((long) 3));
		}}}

	}



/* gloclo */
	obj_t BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt
		BgL_globalz00_12, BgL_localz00_bglt BgL_envz00_13, obj_t BgL_argsz00_14)
	{
		{	/* Globalize/gloclo.scm 186 */
			{	/* Globalize/gloclo.scm 187 */
				int BgL_arityz00_1846;

				{	/* Globalize/gloclo.scm 187 */
					BgL_valuez00_bglt BgL_arg1571z00_1875;

					BgL_arg1571z00_1875 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_12)))->BgL_valuez00);
					BgL_arityz00_1846 =
						BGl_funzd2optionalzd2arityz00zzast_varz00(
						((BgL_funz00_bglt) BgL_arg1571z00_1875));
				}
				{	/* Globalize/gloclo.scm 187 */
					obj_t BgL_idz00_1847;

					{	/* Globalize/gloclo.scm 188 */
						obj_t BgL_strz00_1862;

						{	/* Globalize/gloclo.scm 190 */
							obj_t BgL_arg1567z00_1873;

							{	/* Globalize/gloclo.scm 190 */
								obj_t BgL_arg1570z00_1874;

								BgL_arg1570z00_1874 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_12)))->BgL_idz00);
								{	/* Globalize/gloclo.scm 190 */
									obj_t BgL_arg1463z00_2437;

									BgL_arg1463z00_2437 = SYMBOL_TO_STRING(BgL_arg1570z00_1874);
									BgL_arg1567z00_1873 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_2437);
							}}
							BgL_strz00_1862 =
								string_append
								(BGl_string1795z00zzglobaliza7e_globalzd2closurez75,
								BgL_arg1567z00_1873);
						}
						if (symbol_exists_p(BSTRING_TO_STRING(BgL_strz00_1862)))
							{	/* Globalize/gloclo.scm 192 */
								obj_t BgL_arg1542z00_1864;

								{	/* Globalize/gloclo.scm 192 */
									obj_t BgL_arg1543z00_1865;

									{	/* Globalize/gloclo.scm 192 */
										obj_t BgL_arg1548z00_1866;
										obj_t BgL_arg1551z00_1867;

										{	/* Globalize/gloclo.scm 192 */
											obj_t BgL_symbolz00_2438;

											BgL_symbolz00_2438 = CNST_TABLE_REF(((long) 4));
											{	/* Globalize/gloclo.scm 192 */
												obj_t BgL_arg1463z00_2439;

												BgL_arg1463z00_2439 =
													SYMBOL_TO_STRING(BgL_symbolz00_2438);
												BgL_arg1548z00_1866 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2439);
										}}
										{	/* Globalize/gloclo.scm 192 */
											obj_t BgL_arg1552z00_1868;

											BgL_arg1552z00_1868 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_12)))->
												BgL_idz00);
											{	/* Globalize/gloclo.scm 192 */
												obj_t BgL_arg1463z00_2442;

												BgL_arg1463z00_2442 =
													SYMBOL_TO_STRING(BgL_arg1552z00_1868);
												BgL_arg1551z00_1867 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2442);
										}}
										BgL_arg1543z00_1865 =
											string_append(BgL_arg1548z00_1866, BgL_arg1551z00_1867);
									}
									BgL_arg1542z00_1864 = bstring_to_symbol(BgL_arg1543z00_1865);
								}
								BgL_idz00_1847 =
									BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1542z00_1864);
							}
						else
							{	/* Globalize/gloclo.scm 193 */
								obj_t BgL_arg1554z00_1869;

								{	/* Globalize/gloclo.scm 193 */
									obj_t BgL_arg1555z00_1870;
									obj_t BgL_arg1563z00_1871;

									{	/* Globalize/gloclo.scm 193 */
										obj_t BgL_symbolz00_2444;

										BgL_symbolz00_2444 = CNST_TABLE_REF(((long) 4));
										{	/* Globalize/gloclo.scm 193 */
											obj_t BgL_arg1463z00_2445;

											BgL_arg1463z00_2445 =
												SYMBOL_TO_STRING(BgL_symbolz00_2444);
											BgL_arg1555z00_1870 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2445);
									}}
									{	/* Globalize/gloclo.scm 193 */
										obj_t BgL_arg1564z00_1872;

										BgL_arg1564z00_1872 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_12)))->
											BgL_idz00);
										{	/* Globalize/gloclo.scm 193 */
											obj_t BgL_arg1463z00_2448;

											BgL_arg1463z00_2448 =
												SYMBOL_TO_STRING(BgL_arg1564z00_1872);
											BgL_arg1563z00_1871 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2448);
									}}
									BgL_arg1554z00_1869 =
										string_append(BgL_arg1555z00_1870, BgL_arg1563z00_1871);
								}
								BgL_idz00_1847 = bstring_to_symbol(BgL_arg1554z00_1869);
					}}
					{	/* Globalize/gloclo.scm 188 */
						obj_t BgL_tyidz00_1848;

						BgL_tyidz00_1848 =
							BGl_globaliza7edzd2typezd2idza7zzglobaliza7e_globalzd2closurez75
							(BgL_globalz00_12);
						{	/* Globalize/gloclo.scm 194 */
							BgL_globalz00_bglt BgL_glocloz00_1849;

							{	/* Globalize/gloclo.scm 195 */
								obj_t BgL_arg1494z00_1853;
								obj_t BgL_arg1496z00_1854;
								obj_t BgL_arg1497z00_1855;
								obj_t BgL_arg1500z00_1856;
								obj_t BgL_arg1520z00_1857;

								BgL_arg1494z00_1853 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_idz00_1847,
									BgL_tyidz00_1848);
								BgL_arg1496z00_1854 =
									BGl_makezd2nzd2protoz00zztools_argsz00
									(BGl_zb2zd2arityz60zztools_argsz00(BINT(BgL_arityz00_1846),
										BINT(((long) 1))));
								BgL_arg1497z00_1855 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_13), BgL_argsz00_14);
								if (((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_12))->
											BgL_importz00) == CNST_TABLE_REF(((long) 5))))
									{	/* Globalize/gloclo.scm 198 */
										BgL_arg1500z00_1856 = BGl_za2moduleza2z00zzmodule_modulez00;
									}
								else
									{	/* Globalize/gloclo.scm 198 */
										BgL_arg1500z00_1856 =
											(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_12))->
											BgL_modulez00);
									}
								BgL_arg1520z00_1857 =
									(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_12))->
									BgL_importz00);
								BgL_glocloz00_1849 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_arg1494z00_1853, BgL_arg1496z00_1854,
									BgL_arg1497z00_1855, BgL_arg1500z00_1856, BgL_arg1520z00_1857,
									CNST_TABLE_REF(((long) 6)), CNST_TABLE_REF(((long) 7)),
									BUNSPEC);
							}
							{	/* Globalize/gloclo.scm 195 */

								{	/* Globalize/gloclo.scm 205 */
									BgL_valuez00_bglt BgL_arg1457z00_1850;
									obj_t BgL_arg1462z00_1851;

									BgL_arg1457z00_1850 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_glocloz00_1849)))->
										BgL_valuez00);
									BgL_arg1462z00_1851 =
										(((BgL_funz00_bglt)
											COBJECT(((BgL_funz00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_globalz00_12)))->BgL_valuez00))))->
										BgL_argszd2noescapezd2);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_arg1457z00_1850)))->BgL_argszd2noescapezd2) =
										((obj_t) BgL_arg1462z00_1851), BUNSPEC);
								}
								return
									BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75
									(BgL_globalz00_12, BgL_glocloz00_1849);
							}
						}
					}
				}
			}
		}

	}



/* fill-gloclo! */
	obj_t
		BGl_fillzd2glocloz12zc0zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt
		BgL_globalz00_15, BgL_globalz00_bglt BgL_gcloz00_16)
	{
		{	/* Globalize/gloclo.scm 212 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_3414;

				{
					obj_t BgL_auxz00_3415;

					{	/* Globalize/gloclo.scm 213 */
						BgL_objectz00_bglt BgL_tmpz00_3416;

						BgL_tmpz00_3416 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_15));
						BgL_auxz00_3415 = BGL_OBJECT_WIDENING(BgL_tmpz00_3416);
					}
					BgL_auxz00_3414 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3415);
				}
				((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3414))->
						BgL_globalzd2closurezd2) =
					((obj_t) ((obj_t) BgL_gcloz00_16)), BUNSPEC);
			}
			{	/* Globalize/gloclo.scm 216 */
				BgL_valuez00_bglt BgL_sfunz00_1876;

				BgL_sfunz00_1876 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_15)))->BgL_valuez00);
				{	/* Globalize/gloclo.scm 217 */
					bool_t BgL_test1865z00_3425;

					{	/* Globalize/gloclo.scm 217 */
						obj_t BgL_classz00_2460;

						BgL_classz00_2460 = BGl_sfunz00zzast_varz00;
						{	/* Globalize/gloclo.scm 217 */
							BgL_objectz00_bglt BgL_arg1825z00_2462;

							{	/* Globalize/gloclo.scm 217 */
								obj_t BgL_tmpz00_3426;

								BgL_tmpz00_3426 =
									((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1876));
								BgL_arg1825z00_2462 = (BgL_objectz00_bglt) (BgL_tmpz00_3426);
							}
							{	/* Globalize/gloclo.scm 217 */
								bool_t BgL_arg1822z00_2465;
								bool_t BgL_arg1823z00_2466;

								{	/* Globalize/gloclo.scm 217 */
									long BgL_idxz00_2469;

									BgL_idxz00_2469 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2462);
									BgL_arg1822z00_2465 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2469 + ((long) 3))) == BgL_classz00_2460);
								}
								{	/* Globalize/gloclo.scm 217 */
									bool_t BgL_res1786z00_2491;

									{	/* Globalize/gloclo.scm 217 */
										obj_t BgL_oclassz00_2477;

										{	/* Globalize/gloclo.scm 217 */
											long BgL_arg1833z00_2483;

											{	/* Globalize/gloclo.scm 217 */
												long BgL_arg1834z00_2484;

												BgL_arg1834z00_2484 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2462);
												BgL_arg1833z00_2483 =
													(BgL_arg1834z00_2484 - OBJECT_TYPE);
											}
											BgL_oclassz00_2477 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2483);
										}
										{	/* Globalize/gloclo.scm 217 */
											bool_t BgL__ortest_1110z00_2478;

											BgL__ortest_1110z00_2478 =
												(BgL_classz00_2460 == BgL_oclassz00_2477);
											if (BgL__ortest_1110z00_2478)
												{	/* Globalize/gloclo.scm 217 */
													BgL_res1786z00_2491 = BgL__ortest_1110z00_2478;
												}
											else
												{	/* Globalize/gloclo.scm 217 */
													long BgL_odepthz00_2479;

													BgL_odepthz00_2479 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2477);
													if ((((long) 3) < BgL_odepthz00_2479))
														{	/* Globalize/gloclo.scm 217 */
															obj_t BgL_arg1821z00_2481;

															BgL_arg1821z00_2481 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2477,
																((long) 3));
															BgL_res1786z00_2491 =
																(BgL_arg1821z00_2481 == BgL_classz00_2460);
														}
													else
														{	/* Globalize/gloclo.scm 217 */
															BgL_res1786z00_2491 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2466 = BgL_res1786z00_2491;
								}
								BgL_test1865z00_3425 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2465, BgL_arg1823z00_2466);
							}
						}
					}
					if (BgL_test1865z00_3425)
						{	/* Globalize/gloclo.scm 218 */
							BgL_valuez00_bglt BgL_arg1578z00_1878;
							obj_t BgL_arg1581z00_1879;

							BgL_arg1578z00_1878 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_gcloz00_16)))->BgL_valuez00);
							BgL_arg1581z00_1879 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_sfunz00_1876)))->BgL_locz00);
							((((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_arg1578z00_1878)))->BgL_locz00) =
								((obj_t) BgL_arg1581z00_1879), BUNSPEC);
						}
					else
						{	/* Globalize/gloclo.scm 217 */
							BFALSE;
						}
				}
				if (
					((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_15))->BgL_importz00) ==
						CNST_TABLE_REF(((long) 5))))
					{	/* Globalize/gloclo.scm 227 */
						BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_gcloz00_16),
							BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75);
						{	/* Globalize/gloclo.scm 230 */
							obj_t BgL_vz00_2497;

							BgL_vz00_2497 = CNST_TABLE_REF(((long) 8));
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_gcloz00_16)))->
									BgL_removablez00) = ((obj_t) BgL_vz00_2497), BUNSPEC);
						}
						{	/* Globalize/gloclo.scm 231 */
							obj_t BgL_vz00_2499;

							BgL_vz00_2499 = CNST_TABLE_REF(((long) 2));
							((((BgL_globalz00_bglt) COBJECT(BgL_gcloz00_16))->BgL_importz00) =
								((obj_t) BgL_vz00_2499), BUNSPEC);
					}}
				else
					{	/* Globalize/gloclo.scm 227 */
						if (
							((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_15))->
									BgL_importz00) == CNST_TABLE_REF(((long) 2))))
							{	/* Globalize/gloclo.scm 233 */
								BFALSE;
							}
						else
							{	/* Globalize/gloclo.scm 234 */
								obj_t BgL_vz00_2502;

								BgL_vz00_2502 = CNST_TABLE_REF(((long) 8));
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_gcloz00_16)))->
										BgL_removablez00) = ((obj_t) BgL_vz00_2502), BUNSPEC);
							}
						{	/* Globalize/gloclo.scm 235 */
							obj_t BgL_vz00_2504;

							BgL_vz00_2504 = CNST_TABLE_REF(((long) 2));
							((((BgL_globalz00_bglt) COBJECT(BgL_gcloz00_16))->BgL_importz00) =
								((obj_t) BgL_vz00_2504), BUNSPEC);
					}}
				{	/* Globalize/gloclo.scm 236 */
					BgL_valuez00_bglt BgL_arg1597z00_1886;
					obj_t BgL_arg1601z00_1887;

					BgL_arg1597z00_1886 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_gcloz00_16)))->BgL_valuez00);
					BgL_arg1601z00_1887 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_sfunz00_1876)))->BgL_sidezd2effectzd2);
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_arg1597z00_1886)))->
							BgL_sidezd2effectzd2) = ((obj_t) BgL_arg1601z00_1887), BUNSPEC);
				}
				{	/* Globalize/gloclo.scm 237 */
					bool_t BgL_test1870z00_3477;

					{	/* Globalize/gloclo.scm 237 */
						obj_t BgL_classz00_2508;

						BgL_classz00_2508 = BGl_globalz00zzast_varz00;
						{	/* Globalize/gloclo.scm 237 */
							BgL_objectz00_bglt BgL_arg1825z00_2510;

							{	/* Globalize/gloclo.scm 237 */
								obj_t BgL_tmpz00_3478;

								BgL_tmpz00_3478 = ((obj_t) BgL_gcloz00_16);
								BgL_arg1825z00_2510 = (BgL_objectz00_bglt) (BgL_tmpz00_3478);
							}
							{	/* Globalize/gloclo.scm 237 */
								bool_t BgL_arg1822z00_2513;
								bool_t BgL_arg1823z00_2514;

								{	/* Globalize/gloclo.scm 237 */
									long BgL_idxz00_2517;

									BgL_idxz00_2517 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2510);
									BgL_arg1822z00_2513 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2517 + ((long) 2))) == BgL_classz00_2508);
								}
								{	/* Globalize/gloclo.scm 237 */
									bool_t BgL_res1787z00_2539;

									{	/* Globalize/gloclo.scm 237 */
										obj_t BgL_oclassz00_2525;

										{	/* Globalize/gloclo.scm 237 */
											long BgL_arg1833z00_2531;

											{	/* Globalize/gloclo.scm 237 */
												long BgL_arg1834z00_2532;

												BgL_arg1834z00_2532 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2510);
												BgL_arg1833z00_2531 =
													(BgL_arg1834z00_2532 - OBJECT_TYPE);
											}
											BgL_oclassz00_2525 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2531);
										}
										{	/* Globalize/gloclo.scm 237 */
											bool_t BgL__ortest_1110z00_2526;

											BgL__ortest_1110z00_2526 =
												(BgL_classz00_2508 == BgL_oclassz00_2525);
											if (BgL__ortest_1110z00_2526)
												{	/* Globalize/gloclo.scm 237 */
													BgL_res1787z00_2539 = BgL__ortest_1110z00_2526;
												}
											else
												{	/* Globalize/gloclo.scm 237 */
													long BgL_odepthz00_2527;

													BgL_odepthz00_2527 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2525);
													if ((((long) 2) < BgL_odepthz00_2527))
														{	/* Globalize/gloclo.scm 237 */
															obj_t BgL_arg1821z00_2529;

															BgL_arg1821z00_2529 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2525,
																((long) 2));
															BgL_res1787z00_2539 =
																(BgL_arg1821z00_2529 == BgL_classz00_2508);
														}
													else
														{	/* Globalize/gloclo.scm 237 */
															BgL_res1787z00_2539 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2514 = BgL_res1787z00_2539;
								}
								BgL_test1870z00_3477 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2513, BgL_arg1823z00_2514);
							}
						}
					}
					if (BgL_test1870z00_3477)
						{	/* Globalize/gloclo.scm 237 */
							return ((obj_t) BgL_gcloz00_16);
						}
					else
						{	/* Globalize/gloclo.scm 237 */
							return
								BGl_internalzd2errorzd2zztools_errorz00
								(BGl_string1796z00zzglobaliza7e_globalzd2closurez75,
								BGl_string1797z00zzglobaliza7e_globalzd2closurez75,
								((obj_t) BgL_gcloz00_16));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
	{
		{	/* Globalize/gloclo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long) 244215788),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1798z00zzglobaliza7e_globalzd2closurez75));
		}

	}

#ifdef __cplusplus
}
#endif
