/*===========================================================================*/
/*   (Globalize/gn.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/gn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62Ezd2kwote1265zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2cast1283zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7 = BUNSPEC;
	static obj_t BGl_z62Ezd2extern1281zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62Ezd2switch1291zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62Ezd2conditional1287zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62Ezd2setq1285zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62Ezd2boxzd2ref1303z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ezd2sync1273zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2fail1289zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_gnza7();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_gnza7();
	static obj_t BGl_z62Ezd2boxzd2setz121305z70zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ezd2var1267zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2makezd2box1301z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_gnza7();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62Ezd2funcall1279zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62Ezd2letzd2var1295z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_savezd2funz12zc0zzglobaliza7e_gnza7(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62Ezd2closure1269zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2setzd2exzd2it1297zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_gnza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_gnza7();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62Ezd2app1275zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62E1260z62zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Gnz12z70zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2appz12zc0zzglobaliza7e_gnza7(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62Ezd2atom1263zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(obj_t);
	extern obj_t BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
	static obj_t BGl_z62Ezd2jumpzd2exzd2it1299zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_gnza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7();
	static obj_t BGl_z62Ezd2sequence1271zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7();
	BGL_EXPORTED_DECL obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_Eza2za2zzglobaliza7e_gnza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ez62zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62Ezd2appzd2ly1277z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ezd2letzd2fun1293z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_Ezd2envzd2zzglobaliza7e_gnza7,
		BgL_bgl_za762eza762za7za7globali1897z00, BGl_z62Ez62zzglobaliza7e_gnza7, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1868z00zzglobaliza7e_gnza7,
		BgL_bgl_string1868za700za7za7g1898za7, "E1260", 5);
	      DEFINE_STRING(BGl_string1869z00zzglobaliza7e_gnza7,
		BgL_bgl_string1869za700za7za7g1899za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1871z00zzglobaliza7e_gnza7,
		BgL_bgl_string1871za700za7za7g1900za7, "E", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzglobaliza7e_gnza7,
		BgL_bgl_za762e1260za762za7za7glo1901z00, BGl_z62E1260z62zzglobaliza7e_gnza7,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gnz12zd2envzc0zzglobaliza7e_gnza7,
		BgL_bgl_za762gnza712za770za7za7glo1902za7,
		BGl_z62Gnz12z70zzglobaliza7e_gnza7, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2atom1263za71903za7,
		BGl_z62Ezd2atom1263zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2kwote12651904z00,
		BGl_z62Ezd2kwote1265zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2var1267za7b1905za7,
		BGl_z62Ezd2var1267zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2closure121906z00,
		BGl_z62Ezd2closure1269zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2sequence11907z00,
		BGl_z62Ezd2sequence1271zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2sync1273za71908za7,
		BGl_z62Ezd2sync1273zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2app1275za7b1909za7,
		BGl_z62Ezd2app1275zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2appza7d2ly11910za7,
		BGl_z62Ezd2appzd2ly1277z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2funcall121911z00,
		BGl_z62Ezd2funcall1279zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2extern1281912z00,
		BGl_z62Ezd2extern1281zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2cast1283za71913za7,
		BGl_z62Ezd2cast1283zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2setq1285za71914za7,
		BGl_z62Ezd2setq1285zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2condition1915z00,
		BGl_z62Ezd2conditional1287zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2fail1289za71916za7,
		BGl_z62Ezd2fail1289zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2switch1291917z00,
		BGl_z62Ezd2switch1291zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2letza7d2fun1918za7,
		BGl_z62Ezd2letzd2fun1293z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1893z00zzglobaliza7e_gnza7,
		BgL_bgl_string1893za700za7za7g1919za7, "globalize_gn", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2letza7d2var1920za7,
		BGl_z62Ezd2letzd2var1295z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1894z00zzglobaliza7e_gnza7,
		BgL_bgl_string1894za700za7za7g1921za7, "E1260 done ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2setza7d2exza71922z00,
		BGl_z62Ezd2setzd2exzd2it1297zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2jumpza7d2ex1923za7,
		BGl_z62Ezd2jumpzd2exzd2it1299zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2makeza7d2bo1924za7,
		BGl_z62Ezd2makezd2box1301z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2boxza7d2ref1925za7,
		BGl_z62Ezd2boxzd2ref1303z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2boxza7d2set1926za7,
		BGl_z62Ezd2boxzd2setz121305z70zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long
		BgL_checksumz00_2842, char *BgL_fromz00_2843)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7();
					BGl_cnstzd2initzd2zzglobaliza7e_gnza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7();
					BGl_genericzd2initzd2zzglobaliza7e_gnza7();
					BGl_methodzd2initzd2zzglobaliza7e_gnza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_gnza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_gn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			{	/* Globalize/gn.scm 23 */
				obj_t BgL_cportz00_2728;

				{	/* Globalize/gn.scm 23 */
					obj_t BgL_stringz00_2736;

					BgL_stringz00_2736 = BGl_string1894z00zzglobaliza7e_gnza7;
					{	/* Globalize/gn.scm 23 */
						obj_t BgL_startz00_2737;

						BgL_startz00_2737 = BINT(((long) 0));
						{	/* Globalize/gn.scm 23 */
							obj_t BgL_endz00_2738;

							BgL_endz00_2738 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2736)));
							{	/* Globalize/gn.scm 23 */

								BgL_cportz00_2728 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2736, BgL_startz00_2737, BgL_endz00_2738);
				}}}}
				{
					long BgL_iz00_2729;

					BgL_iz00_2729 = ((long) 1);
				BgL_loopz00_2730:
					if ((BgL_iz00_2729 == ((long) -1)))
						{	/* Globalize/gn.scm 23 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/gn.scm 23 */
							{	/* Globalize/gn.scm 23 */
								obj_t BgL_arg1896z00_2732;

								{	/* Globalize/gn.scm 23 */

									{	/* Globalize/gn.scm 23 */
										obj_t BgL_locationz00_2734;

										BgL_locationz00_2734 = BBOOL(((bool_t) 0));
										{	/* Globalize/gn.scm 23 */

											BgL_arg1896z00_2732 =
												BGl_readz00zz__readerz00(BgL_cportz00_2728,
												BgL_locationz00_2734);
										}
									}
								}
								{	/* Globalize/gn.scm 23 */
									int BgL_tmpz00_2873;

									BgL_tmpz00_2873 = (int) (BgL_iz00_2729);
									CNST_TABLE_SET(BgL_tmpz00_2873, BgL_arg1896z00_2732);
							}}
							{	/* Globalize/gn.scm 23 */
								int BgL_auxz00_2735;

								BgL_auxz00_2735 = (int) ((BgL_iz00_2729 - ((long) 1)));
								{
									long BgL_iz00_2878;

									BgL_iz00_2878 = (long) (BgL_auxz00_2735);
									BgL_iz00_2729 = BgL_iz00_2878;
									goto BgL_loopz00_2730;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_gnza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1768;

				BgL_headz00_1768 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1769;
					obj_t BgL_tailz00_1770;

					BgL_prevz00_1769 = BgL_headz00_1768;
					BgL_tailz00_1770 = BgL_l1z00_1;
				BgL_loopz00_1771:
					if (PAIRP(BgL_tailz00_1770))
						{
							obj_t BgL_newzd2prevzd2_1773;

							BgL_newzd2prevzd2_1773 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1770), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1769, BgL_newzd2prevzd2_1773);
							{
								obj_t BgL_tailz00_2888;
								obj_t BgL_prevz00_2887;

								BgL_prevz00_2887 = BgL_newzd2prevzd2_1773;
								BgL_tailz00_2888 = CDR(BgL_tailz00_1770);
								BgL_tailz00_1770 = BgL_tailz00_2888;
								BgL_prevz00_1769 = BgL_prevz00_2887;
								goto BgL_loopz00_1771;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1768);
				}
			}
		}

	}



/* Gn! */
	BGL_EXPORTED_DEF obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t BgL_argsz00_3,
		BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_callerz00_5,
		obj_t BgL_gz00_6)
	{
		{	/* Globalize/gn.scm 41 */
			BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 =
				BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_4, BgL_callerz00_5, BgL_gz00_6);
			{
				obj_t BgL_gz00_1778;
				obj_t BgL_g1z00_1779;

				BgL_gz00_1778 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
				BgL_g1z00_1779 = BNIL;
			BgL_zc3z04anonymousza31309ze3z87_1780:
				if (NULLP(BgL_gz00_1778))
					{	/* Globalize/gn.scm 45 */
						BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 =
							BGl_appendzd221011zd2zzglobaliza7e_gnza7
							(BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00, BgL_g1z00_1779);
						return (BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 =
							BgL_g1z00_1779, BUNSPEC);
					}
				else
					{	/* Globalize/gn.scm 49 */
						obj_t BgL_newzd2gzd2_1782;

						{	/* Globalize/gn.scm 49 */
							obj_t BgL_arg1316z00_1786;

							BgL_arg1316z00_1786 = CAR(((obj_t) BgL_gz00_1778));
							BgL_newzd2gzd2_1782 =
								BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(BgL_arg1316z00_1786);
						}
						{	/* Globalize/gn.scm 50 */
							obj_t BgL_arg1311z00_1783;
							obj_t BgL_arg1313z00_1784;

							{	/* Globalize/gn.scm 50 */
								obj_t BgL_arg1314z00_1785;

								BgL_arg1314z00_1785 = CDR(((obj_t) BgL_gz00_1778));
								BgL_arg1311z00_1783 =
									BGl_appendzd221011zd2zzglobaliza7e_gnza7(BgL_newzd2gzd2_1782,
									BgL_arg1314z00_1785);
							}
							BgL_arg1313z00_1784 =
								BGl_appendzd221011zd2zzglobaliza7e_gnza7(BgL_newzd2gzd2_1782,
								BgL_g1z00_1779);
							{
								obj_t BgL_g1z00_2903;
								obj_t BgL_gz00_2902;

								BgL_gz00_2902 = BgL_arg1311z00_1783;
								BgL_g1z00_2903 = BgL_arg1313z00_1784;
								BgL_g1z00_1779 = BgL_g1z00_2903;
								BgL_gz00_1778 = BgL_gz00_2902;
								goto BgL_zc3z04anonymousza31309ze3z87_1780;
							}
						}
					}
			}
		}

	}



/* &Gn! */
	obj_t BGl_z62Gnz12z70zzglobaliza7e_gnza7(obj_t BgL_envz00_2604,
		obj_t BgL_argsz00_2605, obj_t BgL_nodez00_2606, obj_t BgL_callerz00_2607,
		obj_t BgL_gz00_2608)
	{
		{	/* Globalize/gn.scm 41 */
			return
				BGl_Gnz12z12zzglobaliza7e_gnza7(BgL_argsz00_2605,
				((BgL_nodez00_bglt) BgL_nodez00_2606),
				((BgL_variablez00_bglt) BgL_callerz00_2607), BgL_gz00_2608);
		}

	}



/* E* */
	obj_t BGl_Eza2za2zzglobaliza7e_gnza7(obj_t BgL_nodeza2za2_76,
		obj_t BgL_callerz00_77, obj_t BgL_gz00_78)
	{
		{	/* Globalize/gn.scm 237 */
			{
				obj_t BgL_nodeza2za2_1789;
				obj_t BgL_gz00_1790;

				BgL_nodeza2za2_1789 = BgL_nodeza2za2_76;
				BgL_gz00_1790 = BgL_gz00_78;
			BgL_zc3z04anonymousza31317ze3z87_1791:
				if (NULLP(BgL_nodeza2za2_1789))
					{	/* Globalize/gn.scm 240 */
						return BgL_gz00_1790;
					}
				else
					{	/* Globalize/gn.scm 242 */
						obj_t BgL_arg1320z00_1793;
						obj_t BgL_arg1321z00_1794;

						BgL_arg1320z00_1793 = CDR(((obj_t) BgL_nodeza2za2_1789));
						{	/* Globalize/gn.scm 243 */
							obj_t BgL_arg1322z00_1795;

							BgL_arg1322z00_1795 = CAR(((obj_t) BgL_nodeza2za2_1789));
							BgL_arg1321z00_1794 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1322z00_1795),
								((BgL_variablez00_bglt) BgL_callerz00_77), BgL_gz00_1790);
						}
						{
							obj_t BgL_gz00_2917;
							obj_t BgL_nodeza2za2_2916;

							BgL_nodeza2za2_2916 = BgL_arg1320z00_1793;
							BgL_gz00_2917 = BgL_arg1321z00_1794;
							BgL_gz00_1790 = BgL_gz00_2917;
							BgL_nodeza2za2_1789 = BgL_nodeza2za2_2916;
							goto BgL_zc3z04anonymousza31317ze3z87_1791;
						}
					}
			}
		}

	}



/* save-app! */
	obj_t BGl_savezd2appz12zc0zzglobaliza7e_gnza7(obj_t BgL_callerz00_79,
		BgL_variablez00_bglt BgL_calleez00_80)
	{
		{	/* Globalize/gn.scm 248 */
			{	/* Globalize/gn.scm 249 */
				bool_t BgL_test1932z00_2918;

				{	/* Globalize/gn.scm 249 */
					obj_t BgL_classz00_2277;

					BgL_classz00_2277 = BGl_globalz00zzast_varz00;
					{	/* Globalize/gn.scm 249 */
						BgL_objectz00_bglt BgL_arg1825z00_2279;

						{	/* Globalize/gn.scm 249 */
							obj_t BgL_tmpz00_2919;

							BgL_tmpz00_2919 =
								((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_80));
							BgL_arg1825z00_2279 = (BgL_objectz00_bglt) (BgL_tmpz00_2919);
						}
						{	/* Globalize/gn.scm 249 */
							bool_t BgL_arg1822z00_2282;
							bool_t BgL_arg1823z00_2283;

							{	/* Globalize/gn.scm 249 */
								long BgL_idxz00_2286;

								BgL_idxz00_2286 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2279);
								BgL_arg1822z00_2282 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2286 + ((long) 2))) == BgL_classz00_2277);
							}
							{	/* Globalize/gn.scm 249 */
								bool_t BgL_res1856z00_2308;

								{	/* Globalize/gn.scm 249 */
									obj_t BgL_oclassz00_2294;

									{	/* Globalize/gn.scm 249 */
										long BgL_arg1833z00_2300;

										{	/* Globalize/gn.scm 249 */
											long BgL_arg1834z00_2301;

											BgL_arg1834z00_2301 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2279);
											BgL_arg1833z00_2300 = (BgL_arg1834z00_2301 - OBJECT_TYPE);
										}
										BgL_oclassz00_2294 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2300);
									}
									{	/* Globalize/gn.scm 249 */
										bool_t BgL__ortest_1110z00_2295;

										BgL__ortest_1110z00_2295 =
											(BgL_classz00_2277 == BgL_oclassz00_2294);
										if (BgL__ortest_1110z00_2295)
											{	/* Globalize/gn.scm 249 */
												BgL_res1856z00_2308 = BgL__ortest_1110z00_2295;
											}
										else
											{	/* Globalize/gn.scm 249 */
												long BgL_odepthz00_2296;

												BgL_odepthz00_2296 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2294);
												if ((((long) 2) < BgL_odepthz00_2296))
													{	/* Globalize/gn.scm 249 */
														obj_t BgL_arg1821z00_2298;

														BgL_arg1821z00_2298 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2294,
															((long) 2));
														BgL_res1856z00_2308 =
															(BgL_arg1821z00_2298 == BgL_classz00_2277);
													}
												else
													{	/* Globalize/gn.scm 249 */
														BgL_res1856z00_2308 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2283 = BgL_res1856z00_2308;
							}
							BgL_test1932z00_2918 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2282, BgL_arg1823z00_2283);
						}
					}
				}
				if (BgL_test1932z00_2918)
					{	/* Globalize/gn.scm 249 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Globalize/gn.scm 251 */
						BgL_valuez00_bglt BgL_calleezd2infozd2_1798;

						BgL_calleezd2infozd2_1798 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_calleez00_80))))->BgL_valuez00);
						{	/* Globalize/gn.scm 252 */
							bool_t BgL_test1935z00_2942;

							{	/* Globalize/gn.scm 252 */
								obj_t BgL_arg1333z00_1806;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2943;

									{
										obj_t BgL_auxz00_2944;

										{	/* Globalize/gn.scm 252 */
											BgL_objectz00_bglt BgL_tmpz00_2945;

											BgL_tmpz00_2945 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1798));
											BgL_auxz00_2944 = BGL_OBJECT_WIDENING(BgL_tmpz00_2945);
										}
										BgL_auxz00_2943 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2944);
									}
									BgL_arg1333z00_1806 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2943))->
										BgL_cfromz00);
								}
								BgL_test1935z00_2942 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_callerz00_79, BgL_arg1333z00_1806));
							}
							if (BgL_test1935z00_2942)
								{	/* Globalize/gn.scm 252 */
									BFALSE;
								}
							else
								{	/* Globalize/gn.scm 252 */
									{	/* Globalize/gn.scm 256 */
										obj_t BgL_arg1326z00_1801;

										{	/* Globalize/gn.scm 256 */
											obj_t BgL_arg1328z00_1802;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2953;

												{
													obj_t BgL_auxz00_2954;

													{	/* Globalize/gn.scm 256 */
														BgL_objectz00_bglt BgL_tmpz00_2955;

														BgL_tmpz00_2955 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1798));
														BgL_auxz00_2954 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2955);
													}
													BgL_auxz00_2953 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2954);
												}
												BgL_arg1328z00_1802 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_2953))->BgL_cfromz00);
											}
											BgL_arg1326z00_1801 =
												MAKE_YOUNG_PAIR(BgL_callerz00_79, BgL_arg1328z00_1802);
										}
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2962;

											{
												obj_t BgL_auxz00_2963;

												{	/* Globalize/gn.scm 254 */
													BgL_objectz00_bglt BgL_tmpz00_2964;

													BgL_tmpz00_2964 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1798));
													BgL_auxz00_2963 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2964);
												}
												BgL_auxz00_2962 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2963);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2962))->
													BgL_cfromz00) =
												((obj_t) BgL_arg1326z00_1801), BUNSPEC);
										}
									}
									{	/* Globalize/gn.scm 257 */
										BgL_valuez00_bglt BgL_callerzd2infozd2_1803;

										BgL_callerzd2infozd2_1803 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_callerz00_79)))->
											BgL_valuez00);
										{	/* Globalize/gn.scm 260 */
											obj_t BgL_arg1331z00_1804;

											{	/* Globalize/gn.scm 260 */
												obj_t BgL_arg1332z00_1805;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2972;

													{
														obj_t BgL_auxz00_2973;

														{	/* Globalize/gn.scm 260 */
															BgL_objectz00_bglt BgL_tmpz00_2974;

															BgL_tmpz00_2974 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1803));
															BgL_auxz00_2973 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2974);
														}
														BgL_auxz00_2972 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2973);
													}
													BgL_arg1332z00_1805 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2972))->BgL_ctoz00);
												}
												BgL_arg1331z00_1804 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_calleez00_80), BgL_arg1332z00_1805);
											}
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2982;

												{
													obj_t BgL_auxz00_2983;

													{	/* Globalize/gn.scm 258 */
														BgL_objectz00_bglt BgL_tmpz00_2984;

														BgL_tmpz00_2984 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1803));
														BgL_auxz00_2983 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2984);
													}
													BgL_auxz00_2982 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2983);
												}
												((((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2982))->BgL_ctoz00) =
													((obj_t) BgL_arg1331z00_1804), BUNSPEC);
											}
										}
									}
								}
						}
						return CNST_TABLE_REF(((long) 0));
		}}}

	}



/* save-fun! */
	obj_t BGl_savezd2funz12zc0zzglobaliza7e_gnza7(BgL_variablez00_bglt
		BgL_callerz00_81, BgL_variablez00_bglt BgL_calleez00_82)
	{
		{	/* Globalize/gn.scm 267 */
			{	/* Globalize/gn.scm 268 */
				bool_t BgL_test1936z00_2991;

				{	/* Globalize/gn.scm 268 */
					bool_t BgL_test1937z00_2992;

					{	/* Globalize/gn.scm 268 */
						obj_t BgL_classz00_2321;

						BgL_classz00_2321 = BGl_globalz00zzast_varz00;
						{	/* Globalize/gn.scm 268 */
							BgL_objectz00_bglt BgL_arg1825z00_2323;

							{	/* Globalize/gn.scm 268 */
								obj_t BgL_tmpz00_2993;

								BgL_tmpz00_2993 =
									((obj_t) ((BgL_objectz00_bglt) BgL_callerz00_81));
								BgL_arg1825z00_2323 = (BgL_objectz00_bglt) (BgL_tmpz00_2993);
							}
							{	/* Globalize/gn.scm 268 */
								bool_t BgL_arg1822z00_2326;
								bool_t BgL_arg1823z00_2327;

								{	/* Globalize/gn.scm 268 */
									long BgL_idxz00_2330;

									BgL_idxz00_2330 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2323);
									BgL_arg1822z00_2326 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2330 + ((long) 2))) == BgL_classz00_2321);
								}
								{	/* Globalize/gn.scm 268 */
									bool_t BgL_res1857z00_2352;

									{	/* Globalize/gn.scm 268 */
										obj_t BgL_oclassz00_2338;

										{	/* Globalize/gn.scm 268 */
											long BgL_arg1833z00_2344;

											{	/* Globalize/gn.scm 268 */
												long BgL_arg1834z00_2345;

												BgL_arg1834z00_2345 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2323);
												BgL_arg1833z00_2344 =
													(BgL_arg1834z00_2345 - OBJECT_TYPE);
											}
											BgL_oclassz00_2338 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2344);
										}
										{	/* Globalize/gn.scm 268 */
											bool_t BgL__ortest_1110z00_2339;

											BgL__ortest_1110z00_2339 =
												(BgL_classz00_2321 == BgL_oclassz00_2338);
											if (BgL__ortest_1110z00_2339)
												{	/* Globalize/gn.scm 268 */
													BgL_res1857z00_2352 = BgL__ortest_1110z00_2339;
												}
											else
												{	/* Globalize/gn.scm 268 */
													long BgL_odepthz00_2340;

													BgL_odepthz00_2340 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2338);
													if ((((long) 2) < BgL_odepthz00_2340))
														{	/* Globalize/gn.scm 268 */
															obj_t BgL_arg1821z00_2342;

															BgL_arg1821z00_2342 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2338,
																((long) 2));
															BgL_res1857z00_2352 =
																(BgL_arg1821z00_2342 == BgL_classz00_2321);
														}
													else
														{	/* Globalize/gn.scm 268 */
															BgL_res1857z00_2352 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2327 = BgL_res1857z00_2352;
								}
								BgL_test1937z00_2992 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2326, BgL_arg1823z00_2327);
							}
						}
					}
					if (BgL_test1937z00_2992)
						{	/* Globalize/gn.scm 268 */
							BgL_test1936z00_2991 = ((bool_t) 1);
						}
					else
						{	/* Globalize/gn.scm 268 */
							obj_t BgL_classz00_2353;

							BgL_classz00_2353 = BGl_globalz00zzast_varz00;
							{	/* Globalize/gn.scm 268 */
								BgL_objectz00_bglt BgL_arg1825z00_2355;

								{	/* Globalize/gn.scm 268 */
									obj_t BgL_tmpz00_3012;

									BgL_tmpz00_3012 =
										((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_82));
									BgL_arg1825z00_2355 = (BgL_objectz00_bglt) (BgL_tmpz00_3012);
								}
								{	/* Globalize/gn.scm 268 */
									bool_t BgL_arg1822z00_2358;
									bool_t BgL_arg1823z00_2359;

									{	/* Globalize/gn.scm 268 */
										long BgL_idxz00_2362;

										BgL_idxz00_2362 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2355);
										BgL_arg1822z00_2358 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2362 + ((long) 2))) == BgL_classz00_2353);
									}
									{	/* Globalize/gn.scm 268 */
										bool_t BgL_res1858z00_2384;

										{	/* Globalize/gn.scm 268 */
											obj_t BgL_oclassz00_2370;

											{	/* Globalize/gn.scm 268 */
												long BgL_arg1833z00_2376;

												{	/* Globalize/gn.scm 268 */
													long BgL_arg1834z00_2377;

													BgL_arg1834z00_2377 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2355);
													BgL_arg1833z00_2376 =
														(BgL_arg1834z00_2377 - OBJECT_TYPE);
												}
												BgL_oclassz00_2370 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2376);
											}
											{	/* Globalize/gn.scm 268 */
												bool_t BgL__ortest_1110z00_2371;

												BgL__ortest_1110z00_2371 =
													(BgL_classz00_2353 == BgL_oclassz00_2370);
												if (BgL__ortest_1110z00_2371)
													{	/* Globalize/gn.scm 268 */
														BgL_res1858z00_2384 = BgL__ortest_1110z00_2371;
													}
												else
													{	/* Globalize/gn.scm 268 */
														long BgL_odepthz00_2372;

														BgL_odepthz00_2372 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2370);
														if ((((long) 2) < BgL_odepthz00_2372))
															{	/* Globalize/gn.scm 268 */
																obj_t BgL_arg1821z00_2374;

																BgL_arg1821z00_2374 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2370,
																	((long) 2));
																BgL_res1858z00_2384 =
																	(BgL_arg1821z00_2374 == BgL_classz00_2353);
															}
														else
															{	/* Globalize/gn.scm 268 */
																BgL_res1858z00_2384 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2359 = BgL_res1858z00_2384;
									}
									BgL_test1936z00_2991 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2358, BgL_arg1823z00_2359);
								}
							}
						}
				}
				if (BgL_test1936z00_2991)
					{	/* Globalize/gn.scm 268 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Globalize/gn.scm 270 */
						BgL_valuez00_bglt BgL_callerzd2infozd2_1809;

						BgL_callerzd2infozd2_1809 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_callerz00_81))))->BgL_valuez00);
						{	/* Globalize/gn.scm 274 */
							bool_t BgL_test1942z00_3035;

							{	/* Globalize/gn.scm 274 */
								obj_t BgL_arg1348z00_1814;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3036;

									{
										obj_t BgL_auxz00_3037;

										{	/* Globalize/gn.scm 274 */
											BgL_objectz00_bglt BgL_tmpz00_3038;

											BgL_tmpz00_3038 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1809));
											BgL_auxz00_3037 = BGL_OBJECT_WIDENING(BgL_tmpz00_3038);
										}
										BgL_auxz00_3036 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3037);
									}
									BgL_arg1348z00_1814 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3036))->
										BgL_efunctionsz00);
								}
								BgL_test1942z00_3035 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_calleez00_82), BgL_arg1348z00_1814));
							}
							if (BgL_test1942z00_3035)
								{	/* Globalize/gn.scm 274 */
									BFALSE;
								}
							else
								{	/* Globalize/gn.scm 276 */
									obj_t BgL_arg1343z00_1812;

									{	/* Globalize/gn.scm 276 */
										obj_t BgL_arg1347z00_1813;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3047;

											{
												obj_t BgL_auxz00_3048;

												{	/* Globalize/gn.scm 276 */
													BgL_objectz00_bglt BgL_tmpz00_3049;

													BgL_tmpz00_3049 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1809));
													BgL_auxz00_3048 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3049);
												}
												BgL_auxz00_3047 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3048);
											}
											BgL_arg1347z00_1813 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3047))->
												BgL_efunctionsz00);
										}
										BgL_arg1343z00_1812 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_calleez00_82), BgL_arg1347z00_1813);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3057;

										{
											obj_t BgL_auxz00_3058;

											{	/* Globalize/gn.scm 275 */
												BgL_objectz00_bglt BgL_tmpz00_3059;

												BgL_tmpz00_3059 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1809));
												BgL_auxz00_3058 = BGL_OBJECT_WIDENING(BgL_tmpz00_3059);
											}
											BgL_auxz00_3057 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3058);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3057))->
												BgL_efunctionsz00) =
											((obj_t) BgL_arg1343z00_1812), BUNSPEC);
									}
								}
						}
						return CNST_TABLE_REF(((long) 0));
		}}}

	}



/* G-from-cto */
	obj_t BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(obj_t BgL_localz00_83)
	{
		{	/* Globalize/gn.scm 282 */
			{	/* Globalize/gn.scm 283 */
				obj_t BgL_g1127z00_1816;

				{	/* Globalize/gn.scm 283 */
					BgL_sfunz00_bglt BgL_oz00_2393;

					BgL_oz00_2393 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_83))))->BgL_valuez00));
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3070;

						{
							obj_t BgL_auxz00_3071;

							{	/* Globalize/gn.scm 283 */
								BgL_objectz00_bglt BgL_tmpz00_3072;

								BgL_tmpz00_3072 = ((BgL_objectz00_bglt) BgL_oz00_2393);
								BgL_auxz00_3071 = BGL_OBJECT_WIDENING(BgL_tmpz00_3072);
							}
							BgL_auxz00_3070 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3071);
						}
						BgL_g1127z00_1816 =
							(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3070))->
							BgL_ctoz00);
				}}
				{
					obj_t BgL_ctoz00_1819;
					obj_t BgL_gz00_1820;

					BgL_ctoz00_1819 = BgL_g1127z00_1816;
					BgL_gz00_1820 = BNIL;
				BgL_zc3z04anonymousza31349ze3z87_1821:
					if (NULLP(BgL_ctoz00_1819))
						{	/* Globalize/gn.scm 286 */
							return BgL_gz00_1820;
						}
					else
						{	/* Globalize/gn.scm 288 */
							bool_t BgL_test1944z00_3079;

							{	/* Globalize/gn.scm 288 */
								BgL_sfunz00_bglt BgL_oz00_2397;

								BgL_oz00_2397 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(((obj_t) BgL_ctoz00_1819))))))->BgL_valuez00));
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3086;

									{
										obj_t BgL_auxz00_3087;

										{	/* Globalize/gn.scm 288 */
											BgL_objectz00_bglt BgL_tmpz00_3088;

											BgL_tmpz00_3088 = ((BgL_objectz00_bglt) BgL_oz00_2397);
											BgL_auxz00_3087 = BGL_OBJECT_WIDENING(BgL_tmpz00_3088);
										}
										BgL_auxz00_3086 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3087);
									}
									BgL_test1944z00_3079 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3086))->
										BgL_gzf3zf3);
								}
							}
							if (BgL_test1944z00_3079)
								{	/* Globalize/gn.scm 289 */
									obj_t BgL_arg1361z00_1826;

									BgL_arg1361z00_1826 = CDR(((obj_t) BgL_ctoz00_1819));
									{
										obj_t BgL_ctoz00_3095;

										BgL_ctoz00_3095 = BgL_arg1361z00_1826;
										BgL_ctoz00_1819 = BgL_ctoz00_3095;
										goto BgL_zc3z04anonymousza31349ze3z87_1821;
									}
								}
							else
								{	/* Globalize/gn.scm 288 */
									{	/* Globalize/gn.scm 291 */
										BgL_valuez00_bglt BgL_arg1363z00_1827;

										BgL_arg1363z00_1827 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_ctoz00_1819))))))->BgL_valuez00);
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3101;

											{
												obj_t BgL_auxz00_3102;

												{	/* Globalize/gn.scm 291 */
													BgL_objectz00_bglt BgL_tmpz00_3103;

													BgL_tmpz00_3103 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_arg1363z00_1827));
													BgL_auxz00_3102 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3103);
												}
												BgL_auxz00_3101 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3102);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3101))->
													BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
									}
									{	/* Globalize/gn.scm 292 */
										obj_t BgL_arg1366z00_1829;
										obj_t BgL_arg1367z00_1830;

										BgL_arg1366z00_1829 = CDR(((obj_t) BgL_ctoz00_1819));
										{	/* Globalize/gn.scm 292 */
											obj_t BgL_arg1369z00_1831;

											BgL_arg1369z00_1831 = CAR(((obj_t) BgL_ctoz00_1819));
											BgL_arg1367z00_1830 =
												MAKE_YOUNG_PAIR(BgL_arg1369z00_1831, BgL_gz00_1820);
										}
										{
											obj_t BgL_gz00_3115;
											obj_t BgL_ctoz00_3114;

											BgL_ctoz00_3114 = BgL_arg1366z00_1829;
											BgL_gz00_3115 = BgL_arg1367z00_1830;
											BgL_gz00_1820 = BgL_gz00_3115;
											BgL_ctoz00_1819 = BgL_ctoz00_3114;
											goto BgL_zc3z04anonymousza31349ze3z87_1821;
										}
									}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_proc1867z00zzglobaliza7e_gnza7,
				BGl_nodez00zzast_nodez00, BGl_string1868z00zzglobaliza7e_gnza7);
		}

	}



/* &E1260 */
	obj_t BGl_z62E1260z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2610,
		obj_t BgL_nodez00_2611, obj_t BgL_callerz00_2612, obj_t BgL_gz00_2613)
	{
		{	/* Globalize/gn.scm 56 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1869z00zzglobaliza7e_gnza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2611)));
		}

	}



/* E */
	obj_t BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_variablez00_bglt BgL_callerz00_8, obj_t BgL_gz00_9)
	{
		{	/* Globalize/gn.scm 56 */
			{	/* Globalize/gn.scm 56 */
				obj_t BgL_method1261z00_1842;

				{	/* Globalize/gn.scm 56 */
					obj_t BgL_res1863z00_2437;

					{	/* Globalize/gn.scm 56 */
						long BgL_objzd2classzd2numz00_2408;

						BgL_objzd2classzd2numz00_2408 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Globalize/gn.scm 56 */
							obj_t BgL_arg1829z00_2409;

							BgL_arg1829z00_2409 =
								PROCEDURE_REF(BGl_Ezd2envzd2zzglobaliza7e_gnza7,
								(int) (((long) 1)));
							{	/* Globalize/gn.scm 56 */
								int BgL_offsetz00_2412;

								BgL_offsetz00_2412 = (int) (BgL_objzd2classzd2numz00_2408);
								{	/* Globalize/gn.scm 56 */
									long BgL_offsetz00_2413;

									BgL_offsetz00_2413 =
										((long) (BgL_offsetz00_2412) - OBJECT_TYPE);
									{	/* Globalize/gn.scm 56 */
										long BgL_modz00_2414;

										BgL_modz00_2414 =
											(BgL_offsetz00_2413 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/gn.scm 56 */
											long BgL_restz00_2416;

											BgL_restz00_2416 =
												(BgL_offsetz00_2413 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/gn.scm 56 */

												{	/* Globalize/gn.scm 56 */
													obj_t BgL_bucketz00_2418;

													BgL_bucketz00_2418 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2409), BgL_modz00_2414);
													BgL_res1863z00_2437 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2418), BgL_restz00_2416);
					}}}}}}}}
					BgL_method1261z00_1842 = BgL_res1863z00_2437;
				}
				return
					PROCEDURE_ENTRY(BgL_method1261z00_1842) (BgL_method1261z00_1842,
					((obj_t) BgL_nodez00_7), ((obj_t) BgL_callerz00_8), BgL_gz00_9, BEOA);
			}
		}

	}



/* &E */
	obj_t BGl_z62Ez62zzglobaliza7e_gnza7(obj_t BgL_envz00_2614,
		obj_t BgL_nodez00_2615, obj_t BgL_callerz00_2616, obj_t BgL_gz00_2617)
	{
		{	/* Globalize/gn.scm 56 */
			return
				BGl_Ez00zzglobaliza7e_gnza7(
				((BgL_nodez00_bglt) BgL_nodez00_2615),
				((BgL_variablez00_bglt) BgL_callerz00_2616), BgL_gz00_2617);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_atomz00zzast_nodez00,
				BGl_proc1870z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_kwotez00zzast_nodez00,
				BGl_proc1872z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_varz00zzast_nodez00,
				BGl_proc1873z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_closurez00zzast_nodez00,
				BGl_proc1874z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_sequencez00zzast_nodez00,
				BGl_proc1875z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_syncz00zzast_nodez00,
				BGl_proc1876z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_appz00zzast_nodez00,
				BGl_proc1877z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1878z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_funcallz00zzast_nodez00,
				BGl_proc1879z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_externz00zzast_nodez00,
				BGl_proc1880z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_castz00zzast_nodez00,
				BGl_proc1881z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_setqz00zzast_nodez00,
				BGl_proc1882z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_conditionalz00zzast_nodez00,
				BGl_proc1883z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_failz00zzast_nodez00,
				BGl_proc1884z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_switchz00zzast_nodez00,
				BGl_proc1885z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1886z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1887z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1888z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1889z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1890z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1891z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1892z00zzglobaliza7e_gnza7,
				BGl_string1871z00zzglobaliza7e_gnza7);
		}

	}



/* &E-box-set!1305 */
	obj_t BGl_z62Ezd2boxzd2setz121305z70zzglobaliza7e_gnza7(obj_t BgL_envz00_2640,
		obj_t BgL_nodez00_2641, obj_t BgL_callerz00_2642, obj_t BgL_gz00_2643)
	{
		{	/* Globalize/gn.scm 230 */
			{	/* Globalize/gn.scm 232 */
				BgL_varz00_bglt BgL_arg1681z00_2743;
				obj_t BgL_arg1682z00_2744;

				BgL_arg1681z00_2743 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2641)))->BgL_varz00);
				{	/* Globalize/gn.scm 232 */
					BgL_nodez00_bglt BgL_arg1694z00_2745;

					BgL_arg1694z00_2745 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2641)))->BgL_valuez00);
					BgL_arg1682z00_2744 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1694z00_2745,
						((BgL_variablez00_bglt) BgL_callerz00_2642), BgL_gz00_2643);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(
					((BgL_nodez00_bglt) BgL_arg1681z00_2743),
					((BgL_variablez00_bglt) BgL_callerz00_2642), BgL_arg1682z00_2744);
			}
		}

	}



/* &E-box-ref1303 */
	obj_t BGl_z62Ezd2boxzd2ref1303z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2644,
		obj_t BgL_nodez00_2645, obj_t BgL_callerz00_2646, obj_t BgL_gz00_2647)
	{
		{	/* Globalize/gn.scm 223 */
			{	/* Globalize/gn.scm 225 */
				BgL_varz00_bglt BgL_arg1679z00_2747;

				BgL_arg1679z00_2747 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2645)))->BgL_varz00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(
					((BgL_nodez00_bglt) BgL_arg1679z00_2747),
					((BgL_variablez00_bglt) BgL_callerz00_2646), BgL_gz00_2647);
			}
		}

	}



/* &E-make-box1301 */
	obj_t BGl_z62Ezd2makezd2box1301z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2648,
		obj_t BgL_nodez00_2649, obj_t BgL_callerz00_2650, obj_t BgL_gz00_2651)
	{
		{	/* Globalize/gn.scm 216 */
			{	/* Globalize/gn.scm 218 */
				BgL_nodez00_bglt BgL_arg1678z00_2749;

				BgL_arg1678z00_2749 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2649)))->BgL_valuez00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1678z00_2749,
					((BgL_variablez00_bglt) BgL_callerz00_2650), BgL_gz00_2651);
			}
		}

	}



/* &E-jump-ex-it1299 */
	obj_t BGl_z62Ezd2jumpzd2exzd2it1299zb0zzglobaliza7e_gnza7(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653, obj_t BgL_callerz00_2654,
		obj_t BgL_gz00_2655)
	{
		{	/* Globalize/gn.scm 209 */
			{	/* Globalize/gn.scm 211 */
				BgL_nodez00_bglt BgL_arg1668z00_2751;
				obj_t BgL_arg1675z00_2752;

				BgL_arg1668z00_2751 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2653)))->BgL_exitz00);
				{	/* Globalize/gn.scm 211 */
					BgL_nodez00_bglt BgL_arg1676z00_2753;

					BgL_arg1676z00_2753 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2653)))->
						BgL_valuez00);
					BgL_arg1675z00_2752 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1676z00_2753,
						((BgL_variablez00_bglt) BgL_callerz00_2654), BgL_gz00_2655);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1668z00_2751,
					((BgL_variablez00_bglt) BgL_callerz00_2654), BgL_arg1675z00_2752);
			}
		}

	}



/* &E-set-ex-it1297 */
	obj_t BGl_z62Ezd2setzd2exzd2it1297zb0zzglobaliza7e_gnza7(obj_t
		BgL_envz00_2656, obj_t BgL_nodez00_2657, obj_t BgL_callerz00_2658,
		obj_t BgL_gz00_2659)
	{
		{	/* Globalize/gn.scm 202 */
			{	/* Globalize/gn.scm 204 */
				BgL_nodez00_bglt BgL_arg1660z00_2755;
				obj_t BgL_arg1665z00_2756;

				BgL_arg1660z00_2755 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2657)))->BgL_bodyz00);
				{	/* Globalize/gn.scm 204 */
					BgL_nodez00_bglt BgL_arg1667z00_2757;

					BgL_arg1667z00_2757 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2657)))->
						BgL_onexitz00);
					BgL_arg1665z00_2756 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1667z00_2757,
						((BgL_variablez00_bglt) BgL_callerz00_2658), BgL_gz00_2659);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1660z00_2755,
					((BgL_variablez00_bglt) BgL_callerz00_2658), BgL_arg1665z00_2756);
			}
		}

	}



/* &E-let-var1295 */
	obj_t BGl_z62Ezd2letzd2var1295z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2660,
		obj_t BgL_nodez00_2661, obj_t BgL_callerz00_2662, obj_t BgL_gz00_2663)
	{
		{	/* Globalize/gn.scm 190 */
			{
				obj_t BgL_bindingsz00_2760;
				obj_t BgL_gz00_2761;

				BgL_bindingsz00_2760 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2661)))->BgL_bindingsz00);
				BgL_gz00_2761 = BgL_gz00_2663;
			BgL_loopz00_2759:
				if (NULLP(BgL_bindingsz00_2760))
					{	/* Globalize/gn.scm 195 */
						BgL_nodez00_bglt BgL_arg1636z00_2762;

						BgL_arg1636z00_2762 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2661)))->BgL_bodyz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1636z00_2762,
							((BgL_variablez00_bglt) BgL_callerz00_2662), BgL_gz00_2761);
					}
				else
					{	/* Globalize/gn.scm 196 */
						obj_t BgL_arg1647z00_2763;
						obj_t BgL_arg1652z00_2764;

						BgL_arg1647z00_2763 = CDR(((obj_t) BgL_bindingsz00_2760));
						{	/* Globalize/gn.scm 197 */
							obj_t BgL_arg1656z00_2765;

							{	/* Globalize/gn.scm 197 */
								obj_t BgL_pairz00_2766;

								BgL_pairz00_2766 = CAR(((obj_t) BgL_bindingsz00_2760));
								BgL_arg1656z00_2765 = CDR(BgL_pairz00_2766);
							}
							BgL_arg1652z00_2764 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1656z00_2765),
								((BgL_variablez00_bglt) BgL_callerz00_2662), BgL_gz00_2761);
						}
						{
							obj_t BgL_gz00_3228;
							obj_t BgL_bindingsz00_3227;

							BgL_bindingsz00_3227 = BgL_arg1647z00_2763;
							BgL_gz00_3228 = BgL_arg1652z00_2764;
							BgL_gz00_2761 = BgL_gz00_3228;
							BgL_bindingsz00_2760 = BgL_bindingsz00_3227;
							goto BgL_loopz00_2759;
						}
					}
			}
		}

	}



/* &E-let-fun1293 */
	obj_t BGl_z62Ezd2letzd2fun1293z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2664,
		obj_t BgL_nodez00_2665, obj_t BgL_callerz00_2666, obj_t BgL_gz00_2667)
	{
		{	/* Globalize/gn.scm 176 */
			{
				obj_t BgL_localsz00_2769;
				obj_t BgL_gz00_2770;

				BgL_localsz00_2769 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2665)))->BgL_localsz00);
				BgL_gz00_2770 = BgL_gz00_2667;
			BgL_loopz00_2768:
				if (NULLP(BgL_localsz00_2769))
					{	/* Globalize/gn.scm 181 */
						BgL_nodez00_bglt BgL_arg1604z00_2771;

						BgL_arg1604z00_2771 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2665)))->BgL_bodyz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1604z00_2771,
							((BgL_variablez00_bglt) BgL_callerz00_2666), BgL_gz00_2770);
					}
				else
					{	/* Globalize/gn.scm 182 */
						obj_t BgL_arg1606z00_2772;
						obj_t BgL_arg1612z00_2773;

						BgL_arg1606z00_2772 = CDR(((obj_t) BgL_localsz00_2769));
						{	/* Globalize/gn.scm 183 */
							obj_t BgL_arg1613z00_2774;
							obj_t BgL_arg1619z00_2775;

							BgL_arg1613z00_2774 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_localsz00_2769))))))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg1619z00_2775 = CAR(((obj_t) BgL_localsz00_2769));
							BgL_arg1612z00_2773 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1613z00_2774),
								((BgL_variablez00_bglt) BgL_arg1619z00_2775), BgL_gz00_2770);
						}
						{
							obj_t BgL_gz00_3252;
							obj_t BgL_localsz00_3251;

							BgL_localsz00_3251 = BgL_arg1606z00_2772;
							BgL_gz00_3252 = BgL_arg1612z00_2773;
							BgL_gz00_2770 = BgL_gz00_3252;
							BgL_localsz00_2769 = BgL_localsz00_3251;
							goto BgL_loopz00_2768;
						}
					}
			}
		}

	}



/* &E-switch1291 */
	obj_t BGl_z62Ezd2switch1291zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2668,
		obj_t BgL_nodez00_2669, obj_t BgL_callerz00_2670, obj_t BgL_gz00_2671)
	{
		{	/* Globalize/gn.scm 165 */
			{
				obj_t BgL_clausesz00_2778;
				obj_t BgL_gz00_2779;

				BgL_clausesz00_2778 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2669)))->BgL_clausesz00);
				BgL_gz00_2779 = BgL_gz00_2671;
			BgL_loopz00_2777:
				if (NULLP(BgL_clausesz00_2778))
					{	/* Globalize/gn.scm 170 */
						BgL_nodez00_bglt BgL_arg1585z00_2780;

						BgL_arg1585z00_2780 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2669)))->BgL_testz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1585z00_2780,
							((BgL_variablez00_bglt) BgL_callerz00_2670), BgL_gz00_2779);
					}
				else
					{	/* Globalize/gn.scm 171 */
						obj_t BgL_arg1586z00_2781;
						obj_t BgL_arg1588z00_2782;

						BgL_arg1586z00_2781 = CDR(((obj_t) BgL_clausesz00_2778));
						{	/* Globalize/gn.scm 171 */
							obj_t BgL_arg1595z00_2783;

							{	/* Globalize/gn.scm 171 */
								obj_t BgL_pairz00_2784;

								BgL_pairz00_2784 = CAR(((obj_t) BgL_clausesz00_2778));
								BgL_arg1595z00_2783 = CDR(BgL_pairz00_2784);
							}
							BgL_arg1588z00_2782 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1595z00_2783),
								((BgL_variablez00_bglt) BgL_callerz00_2670), BgL_gz00_2779);
						}
						{
							obj_t BgL_gz00_3270;
							obj_t BgL_clausesz00_3269;

							BgL_clausesz00_3269 = BgL_arg1586z00_2781;
							BgL_gz00_3270 = BgL_arg1588z00_2782;
							BgL_gz00_2779 = BgL_gz00_3270;
							BgL_clausesz00_2778 = BgL_clausesz00_3269;
							goto BgL_loopz00_2777;
						}
					}
			}
		}

	}



/* &E-fail1289 */
	obj_t BGl_z62Ezd2fail1289zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2672,
		obj_t BgL_nodez00_2673, obj_t BgL_callerz00_2674, obj_t BgL_gz00_2675)
	{
		{	/* Globalize/gn.scm 158 */
			{	/* Globalize/gn.scm 160 */
				BgL_nodez00_bglt BgL_arg1567z00_2786;
				obj_t BgL_arg1570z00_2787;

				BgL_arg1567z00_2786 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2673)))->BgL_procz00);
				{	/* Globalize/gn.scm 160 */
					BgL_nodez00_bglt BgL_arg1571z00_2788;
					obj_t BgL_arg1578z00_2789;

					BgL_arg1571z00_2788 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2673)))->BgL_msgz00);
					{	/* Globalize/gn.scm 160 */
						BgL_nodez00_bglt BgL_arg1581z00_2790;

						BgL_arg1581z00_2790 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2673)))->BgL_objz00);
						BgL_arg1578z00_2789 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1581z00_2790,
							((BgL_variablez00_bglt) BgL_callerz00_2674), BgL_gz00_2675);
					}
					BgL_arg1570z00_2787 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1571z00_2788,
						((BgL_variablez00_bglt) BgL_callerz00_2674), BgL_arg1578z00_2789);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1567z00_2786,
					((BgL_variablez00_bglt) BgL_callerz00_2674), BgL_arg1570z00_2787);
			}
		}

	}



/* &E-conditional1287 */
	obj_t BGl_z62Ezd2conditional1287zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2676,
		obj_t BgL_nodez00_2677, obj_t BgL_callerz00_2678, obj_t BgL_gz00_2679)
	{
		{	/* Globalize/gn.scm 151 */
			{	/* Globalize/gn.scm 153 */
				BgL_nodez00_bglt BgL_arg1552z00_2792;
				obj_t BgL_arg1554z00_2793;

				BgL_arg1552z00_2792 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2677)))->BgL_testz00);
				{	/* Globalize/gn.scm 153 */
					BgL_nodez00_bglt BgL_arg1555z00_2794;
					obj_t BgL_arg1563z00_2795;

					BgL_arg1555z00_2794 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2677)))->BgL_truez00);
					{	/* Globalize/gn.scm 153 */
						BgL_nodez00_bglt BgL_arg1564z00_2796;

						BgL_arg1564z00_2796 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2677)))->BgL_falsez00);
						BgL_arg1563z00_2795 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1564z00_2796,
							((BgL_variablez00_bglt) BgL_callerz00_2678), BgL_gz00_2679);
					}
					BgL_arg1554z00_2793 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1555z00_2794,
						((BgL_variablez00_bglt) BgL_callerz00_2678), BgL_arg1563z00_2795);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1552z00_2792,
					((BgL_variablez00_bglt) BgL_callerz00_2678), BgL_arg1554z00_2793);
			}
		}

	}



/* &E-setq1285 */
	obj_t BGl_z62Ezd2setq1285zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2680,
		obj_t BgL_nodez00_2681, obj_t BgL_callerz00_2682, obj_t BgL_gz00_2683)
	{
		{	/* Globalize/gn.scm 144 */
			{	/* Globalize/gn.scm 146 */
				BgL_nodez00_bglt BgL_arg1551z00_2798;

				BgL_arg1551z00_2798 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2681)))->BgL_valuez00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1551z00_2798,
					((BgL_variablez00_bglt) BgL_callerz00_2682), BgL_gz00_2683);
			}
		}

	}



/* &E-cast1283 */
	obj_t BGl_z62Ezd2cast1283zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2684,
		obj_t BgL_nodez00_2685, obj_t BgL_callerz00_2686, obj_t BgL_gz00_2687)
	{
		{	/* Globalize/gn.scm 137 */
			{	/* Globalize/gn.scm 139 */
				BgL_nodez00_bglt BgL_arg1548z00_2800;

				BgL_arg1548z00_2800 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2685)))->BgL_argz00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1548z00_2800,
					((BgL_variablez00_bglt) BgL_callerz00_2686), BgL_gz00_2687);
			}
		}

	}



/* &E-extern1281 */
	obj_t BGl_z62Ezd2extern1281zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2688,
		obj_t BgL_nodez00_2689, obj_t BgL_callerz00_2690, obj_t BgL_gz00_2691)
	{
		{	/* Globalize/gn.scm 130 */
			return
				BGl_Eza2za2zzglobaliza7e_gnza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2689)))->BgL_exprza2za2),
				BgL_callerz00_2690, BgL_gz00_2691);
		}

	}



/* &E-funcall1279 */
	obj_t BGl_z62Ezd2funcall1279zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2692,
		obj_t BgL_nodez00_2693, obj_t BgL_callerz00_2694, obj_t BgL_gz00_2695)
	{
		{	/* Globalize/gn.scm 123 */
			{	/* Globalize/gn.scm 125 */
				BgL_nodez00_bglt BgL_arg1534z00_2803;
				obj_t BgL_arg1536z00_2804;

				BgL_arg1534z00_2803 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2693)))->BgL_funz00);
				BgL_arg1536z00_2804 =
					BGl_Eza2za2zzglobaliza7e_gnza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2693)))->BgL_argsz00),
					BgL_callerz00_2694, BgL_gz00_2695);
				return BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1534z00_2803,
					((BgL_variablez00_bglt) BgL_callerz00_2694), BgL_arg1536z00_2804);
			}
		}

	}



/* &E-app-ly1277 */
	obj_t BGl_z62Ezd2appzd2ly1277z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2696,
		obj_t BgL_nodez00_2697, obj_t BgL_callerz00_2698, obj_t BgL_gz00_2699)
	{
		{	/* Globalize/gn.scm 116 */
			{	/* Globalize/gn.scm 118 */
				BgL_nodez00_bglt BgL_arg1500z00_2806;
				obj_t BgL_arg1520z00_2807;

				BgL_arg1500z00_2806 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2697)))->BgL_funz00);
				{	/* Globalize/gn.scm 118 */
					BgL_nodez00_bglt BgL_arg1524z00_2808;

					BgL_arg1524z00_2808 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2697)))->BgL_argz00);
					BgL_arg1520z00_2807 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1524z00_2808,
						((BgL_variablez00_bglt) BgL_callerz00_2698), BgL_gz00_2699);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1500z00_2806,
					((BgL_variablez00_bglt) BgL_callerz00_2698), BgL_arg1520z00_2807);
			}
		}

	}



/* &E-app1275 */
	obj_t BGl_z62Ezd2app1275zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2700,
		obj_t BgL_nodez00_2701, obj_t BgL_callerz00_2702, obj_t BgL_gz00_2703)
	{
		{	/* Globalize/gn.scm 108 */
			BGl_savezd2appz12zc0zzglobaliza7e_gnza7(BgL_callerz00_2702,
				(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2701)))->BgL_funz00)))->
					BgL_variablez00));
			return BGl_Eza2za2zzglobaliza7e_gnza7((((BgL_appz00_bglt)
						COBJECT(((BgL_appz00_bglt) BgL_nodez00_2701)))->BgL_argsz00),
				BgL_callerz00_2702, BgL_gz00_2703);
		}

	}



/* &E-sync1273 */
	obj_t BGl_z62Ezd2sync1273zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2704,
		obj_t BgL_nodez00_2705, obj_t BgL_callerz00_2706, obj_t BgL_gz00_2707)
	{
		{	/* Globalize/gn.scm 100 */
			{	/* Globalize/gn.scm 101 */
				BgL_nodez00_bglt BgL_arg1454z00_2811;
				obj_t BgL_arg1456z00_2812;

				BgL_arg1454z00_2811 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2705)))->BgL_bodyz00);
				{	/* Globalize/gn.scm 102 */
					BgL_nodez00_bglt BgL_arg1457z00_2813;
					obj_t BgL_arg1462z00_2814;

					BgL_arg1457z00_2813 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2705)))->BgL_prelockz00);
					{	/* Globalize/gn.scm 103 */
						BgL_nodez00_bglt BgL_arg1477z00_2815;

						BgL_arg1477z00_2815 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2705)))->BgL_mutexz00);
						BgL_arg1462z00_2814 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1477z00_2815,
							((BgL_variablez00_bglt) BgL_callerz00_2706), BgL_gz00_2707);
					}
					BgL_arg1456z00_2812 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1457z00_2813,
						((BgL_variablez00_bglt) BgL_callerz00_2706), BgL_arg1462z00_2814);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1454z00_2811,
					((BgL_variablez00_bglt) BgL_callerz00_2706), BgL_arg1456z00_2812);
			}
		}

	}



/* &E-sequence1271 */
	obj_t BGl_z62Ezd2sequence1271zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2708,
		obj_t BgL_nodez00_2709, obj_t BgL_callerz00_2710, obj_t BgL_gz00_2711)
	{
		{	/* Globalize/gn.scm 94 */
			return
				BGl_Eza2za2zzglobaliza7e_gnza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2709)))->BgL_nodesz00),
				BgL_callerz00_2710, BgL_gz00_2711);
		}

	}



/* &E-closure1269 */
	obj_t BGl_z62Ezd2closure1269zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2712,
		obj_t BgL_nodez00_2713, obj_t BgL_callerz00_2714, obj_t BgL_gz00_2715)
	{
		{	/* Globalize/gn.scm 79 */
			{	/* Globalize/gn.scm 80 */
				BgL_variablez00_bglt BgL_varz00_2819;

				BgL_varz00_2819 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_2713))))->BgL_variablez00);
				BGl_savezd2funz12zc0zzglobaliza7e_gnza7(
					((BgL_variablez00_bglt) BgL_callerz00_2714), BgL_varz00_2819);
				{	/* Globalize/gn.scm 82 */
					bool_t BgL_test1948z00_3350;

					{	/* Globalize/gn.scm 82 */
						bool_t BgL_test1949z00_3351;

						{	/* Globalize/gn.scm 82 */
							obj_t BgL_classz00_2820;

							BgL_classz00_2820 = BGl_localz00zzast_varz00;
							{	/* Globalize/gn.scm 82 */
								BgL_objectz00_bglt BgL_arg1825z00_2821;

								{	/* Globalize/gn.scm 82 */
									obj_t BgL_tmpz00_3352;

									BgL_tmpz00_3352 =
										((obj_t) ((BgL_objectz00_bglt) BgL_varz00_2819));
									BgL_arg1825z00_2821 = (BgL_objectz00_bglt) (BgL_tmpz00_3352);
								}
								{	/* Globalize/gn.scm 82 */
									bool_t BgL_arg1822z00_2822;
									bool_t BgL_arg1823z00_2823;

									{	/* Globalize/gn.scm 82 */
										long BgL_idxz00_2824;

										BgL_idxz00_2824 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2821);
										BgL_arg1822z00_2822 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2824 + ((long) 2))) == BgL_classz00_2820);
									}
									{	/* Globalize/gn.scm 82 */
										bool_t BgL_res1864z00_2827;

										{	/* Globalize/gn.scm 82 */
											obj_t BgL_oclassz00_2828;

											{	/* Globalize/gn.scm 82 */
												long BgL_arg1833z00_2829;

												{	/* Globalize/gn.scm 82 */
													long BgL_arg1834z00_2830;

													BgL_arg1834z00_2830 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2821);
													BgL_arg1833z00_2829 =
														(BgL_arg1834z00_2830 - OBJECT_TYPE);
												}
												BgL_oclassz00_2828 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2829);
											}
											{	/* Globalize/gn.scm 82 */
												bool_t BgL__ortest_1110z00_2831;

												BgL__ortest_1110z00_2831 =
													(BgL_classz00_2820 == BgL_oclassz00_2828);
												if (BgL__ortest_1110z00_2831)
													{	/* Globalize/gn.scm 82 */
														BgL_res1864z00_2827 = BgL__ortest_1110z00_2831;
													}
												else
													{	/* Globalize/gn.scm 82 */
														long BgL_odepthz00_2832;

														BgL_odepthz00_2832 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2828);
														if ((((long) 2) < BgL_odepthz00_2832))
															{	/* Globalize/gn.scm 82 */
																obj_t BgL_arg1821z00_2833;

																BgL_arg1821z00_2833 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2828,
																	((long) 2));
																BgL_res1864z00_2827 =
																	(BgL_arg1821z00_2833 == BgL_classz00_2820);
															}
														else
															{	/* Globalize/gn.scm 82 */
																BgL_res1864z00_2827 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2823 = BgL_res1864z00_2827;
									}
									BgL_test1949z00_3351 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2822, BgL_arg1823z00_2823);
								}
							}
						}
						if (BgL_test1949z00_3351)
							{	/* Globalize/gn.scm 84 */
								bool_t BgL_test1952z00_3371;

								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3372;

									{
										obj_t BgL_auxz00_3373;

										{	/* Globalize/gn.scm 84 */
											BgL_objectz00_bglt BgL_tmpz00_3374;

											BgL_tmpz00_3374 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_2819));
											BgL_auxz00_3373 = BGL_OBJECT_WIDENING(BgL_tmpz00_3374);
										}
										BgL_auxz00_3372 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3373);
									}
									BgL_test1952z00_3371 =
										(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3372))->
										BgL_escapezf3zf3);
								}
								if (BgL_test1952z00_3371)
									{	/* Globalize/gn.scm 85 */
										bool_t BgL_test1953z00_3380;

										{	/* Globalize/gn.scm 85 */
											BgL_sfunz00_bglt BgL_oz00_2834;

											BgL_oz00_2834 =
												((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2819))))->
													BgL_valuez00));
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3385;

												{
													obj_t BgL_auxz00_3386;

													{	/* Globalize/gn.scm 85 */
														BgL_objectz00_bglt BgL_tmpz00_3387;

														BgL_tmpz00_3387 =
															((BgL_objectz00_bglt) BgL_oz00_2834);
														BgL_auxz00_3386 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3387);
													}
													BgL_auxz00_3385 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3386);
												}
												BgL_test1953z00_3380 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_3385))->BgL_gzf3zf3);
											}
										}
										if (BgL_test1953z00_3380)
											{	/* Globalize/gn.scm 85 */
												BgL_test1948z00_3350 = ((bool_t) 0);
											}
										else
											{	/* Globalize/gn.scm 85 */
												BgL_test1948z00_3350 = ((bool_t) 1);
											}
									}
								else
									{	/* Globalize/gn.scm 84 */
										BgL_test1948z00_3350 = ((bool_t) 0);
									}
							}
						else
							{	/* Globalize/gn.scm 82 */
								BgL_test1948z00_3350 = ((bool_t) 0);
							}
					}
					if (BgL_test1948z00_3350)
						{	/* Globalize/gn.scm 82 */
							{	/* Globalize/gn.scm 87 */
								BgL_valuez00_bglt BgL_arg1418z00_2835;

								BgL_arg1418z00_2835 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_varz00_2819))))->BgL_valuez00);
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3395;

									{
										obj_t BgL_auxz00_3396;

										{	/* Globalize/gn.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_3397;

											BgL_tmpz00_3397 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1418z00_2835));
											BgL_auxz00_3396 = BGL_OBJECT_WIDENING(BgL_tmpz00_3397);
										}
										BgL_auxz00_3395 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3396);
									}
									((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3395))->
											BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
								}
							}
							return MAKE_YOUNG_PAIR(((obj_t) BgL_varz00_2819), BgL_gz00_2715);
						}
					else
						{	/* Globalize/gn.scm 82 */
							return BgL_gz00_2715;
						}
				}
			}
		}

	}



/* &E-var1267 */
	obj_t BGl_z62Ezd2var1267zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2716,
		obj_t BgL_nodez00_2717, obj_t BgL_callerz00_2718, obj_t BgL_gz00_2719)
	{
		{	/* Globalize/gn.scm 73 */
			return BgL_gz00_2719;
		}

	}



/* &E-kwote1265 */
	obj_t BGl_z62Ezd2kwote1265zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2720,
		obj_t BgL_nodez00_2721, obj_t BgL_callerz00_2722, obj_t BgL_gz00_2723)
	{
		{	/* Globalize/gn.scm 67 */
			return BgL_gz00_2723;
		}

	}



/* &E-atom1263 */
	obj_t BGl_z62Ezd2atom1263zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2724,
		obj_t BgL_nodez00_2725, obj_t BgL_callerz00_2726, obj_t BgL_gz00_2727)
	{
		{	/* Globalize/gn.scm 61 */
			return BgL_gz00_2727;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7()
	{
		{	/* Globalize/gn.scm 23 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					34590581), BSTRING_TO_STRING(BGl_string1893z00zzglobaliza7e_gnza7));
		}

	}

#ifdef __cplusplus
}
#endif
