/*===========================================================================*/
/*   (Globalize/integration.scm)                                             */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/integration.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationza7();
	static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationza7();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62zc3z04anonymousza31330ze3ze5zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_integrationza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7();
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7();
	static obj_t BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2integrationz12zd2envz12zzglobaliza7e_integrationza7,
		BgL_bgl_za762setza7d2integra1691z00,
		BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1688z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1688za700za7za7g1692za7, "set-integration!", 16);
	      DEFINE_STRING(BGl_string1689z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1689za700za7za7g1693za7, "No integration for ", 19);
	      DEFINE_STRING(BGl_string1690z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1690za700za7za7g1694za7, "globalize_integration", 21);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long
		BgL_checksumz00_2391, char *BgL_fromz00_2392)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					return BGl_methodzd2initzd2zzglobaliza7e_integrationza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7()
	{
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_integration");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7()
	{
		{	/* Globalize/integration.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_integrationza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1696;

				BgL_headz00_1696 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1697;
					obj_t BgL_tailz00_1698;

					BgL_prevz00_1697 = BgL_headz00_1696;
					BgL_tailz00_1698 = BgL_l1z00_1;
				BgL_loopz00_1699:
					if (PAIRP(BgL_tailz00_1698))
						{
							obj_t BgL_newzd2prevzd2_1701;

							BgL_newzd2prevzd2_1701 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1698), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1697, BgL_newzd2prevzd2_1701);
							{
								obj_t BgL_tailz00_2415;
								obj_t BgL_prevz00_2414;

								BgL_prevz00_2414 = BgL_newzd2prevzd2_1701;
								BgL_tailz00_2415 = CDR(BgL_tailz00_1698);
								BgL_tailz00_1698 = BgL_tailz00_2415;
								BgL_prevz00_1697 = BgL_prevz00_2414;
								goto BgL_loopz00_1699;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1696);
				}
			}
		}

	}



/* set-integration! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt
		BgL_globalz00_3, obj_t BgL_ez00_4, obj_t BgL_g0z00_5, obj_t BgL_g1z00_6)
	{
		{	/* Globalize/integration.scm 31 */
			{
				obj_t BgL_l1253z00_1705;

				BgL_l1253z00_1705 = BgL_ez00_4;
			BgL_zc3z04anonymousza31281ze3z87_1706:
				if (PAIRP(BgL_l1253z00_1705))
					{	/* Globalize/integration.scm 34 */
						{	/* Globalize/integration.scm 35 */
							obj_t BgL_fz00_1708;

							BgL_fz00_1708 = CAR(BgL_l1253z00_1705);
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_2421;

								{
									obj_t BgL_auxz00_2422;

									{	/* Globalize/integration.scm 36 */
										BgL_objectz00_bglt BgL_tmpz00_2423;

										BgL_tmpz00_2423 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_fz00_1708));
										BgL_auxz00_2422 = BGL_OBJECT_WIDENING(BgL_tmpz00_2423);
									}
									BgL_auxz00_2421 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2422);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2421))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
						}
						{
							obj_t BgL_l1253z00_2429;

							BgL_l1253z00_2429 = CDR(BgL_l1253z00_1705);
							BgL_l1253z00_1705 = BgL_l1253z00_2429;
							goto BgL_zc3z04anonymousza31281ze3z87_1706;
						}
					}
				else
					{	/* Globalize/integration.scm 34 */
						((bool_t) 1);
					}
			}
			{	/* Globalize/integration.scm 40 */
				obj_t BgL_g1111z00_1712;

				BgL_g1111z00_1712 =
					MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BgL_ez00_4);
				{
					obj_t BgL_fnsz00_1714;

					BgL_fnsz00_1714 = BgL_g1111z00_1712;
				BgL_zc3z04anonymousza31285ze3z87_1715:
					if (NULLP(BgL_fnsz00_1714))
						{	/* Globalize/integration.scm 41 */
							((bool_t) 0);
						}
					else
						{	/* Globalize/integration.scm 44 */
							obj_t BgL_arg1295z00_1717;

							{	/* Globalize/integration.scm 44 */
								obj_t BgL_arg1296z00_1718;

								{	/* Globalize/integration.scm 44 */
									obj_t BgL_runner1309z00_1737;

									{	/* Globalize/integration.scm 44 */
										obj_t BgL_head1257z00_1723;

										BgL_head1257z00_1723 =
											MAKE_YOUNG_PAIR
											(BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
											(CAR(BgL_fnsz00_1714)), BNIL);
										{	/* Globalize/integration.scm 44 */
											obj_t BgL_g1260z00_1724;

											BgL_g1260z00_1724 = CDR(BgL_fnsz00_1714);
											{
												obj_t BgL_l1255z00_1726;
												obj_t BgL_tail1258z00_1727;

												BgL_l1255z00_1726 = BgL_g1260z00_1724;
												BgL_tail1258z00_1727 = BgL_head1257z00_1723;
											BgL_zc3z04anonymousza31298ze3z87_1728:
												if (NULLP(BgL_l1255z00_1726))
													{	/* Globalize/integration.scm 44 */
														BgL_runner1309z00_1737 = BgL_head1257z00_1723;
													}
												else
													{	/* Globalize/integration.scm 44 */
														obj_t BgL_newtail1259z00_1730;

														{	/* Globalize/integration.scm 44 */
															obj_t BgL_arg1304z00_1732;

															{	/* Globalize/integration.scm 44 */
																obj_t BgL_arg1306z00_1733;

																BgL_arg1306z00_1733 =
																	CAR(((obj_t) BgL_l1255z00_1726));
																BgL_arg1304z00_1732 =
																	BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
																	(BgL_arg1306z00_1733);
															}
															BgL_newtail1259z00_1730 =
																MAKE_YOUNG_PAIR(BgL_arg1304z00_1732, BNIL);
														}
														SET_CDR(BgL_tail1258z00_1727,
															BgL_newtail1259z00_1730);
														{	/* Globalize/integration.scm 44 */
															obj_t BgL_arg1301z00_1731;

															BgL_arg1301z00_1731 =
																CDR(((obj_t) BgL_l1255z00_1726));
															{
																obj_t BgL_tail1258z00_2449;
																obj_t BgL_l1255z00_2448;

																BgL_l1255z00_2448 = BgL_arg1301z00_1731;
																BgL_tail1258z00_2449 = BgL_newtail1259z00_1730;
																BgL_tail1258z00_1727 = BgL_tail1258z00_2449;
																BgL_l1255z00_1726 = BgL_l1255z00_2448;
																goto BgL_zc3z04anonymousza31298ze3z87_1728;
															}
														}
													}
											}
										}
									}
									BgL_arg1296z00_1718 =
										BGl_appendz00zz__r4_pairs_and_lists_6_3z00
										(BgL_runner1309z00_1737);
								}
								{	/* Globalize/integration.scm 43 */

									BgL_arg1295z00_1717 =
										BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1296z00_1718,
										BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
								}
							}
							{
								obj_t BgL_fnsz00_2452;

								BgL_fnsz00_2452 = BgL_arg1295z00_1717;
								BgL_fnsz00_1714 = BgL_fnsz00_2452;
								goto BgL_zc3z04anonymousza31285ze3z87_1715;
							}
						}
				}
			}
			{
				obj_t BgL_l1261z00_1740;

				BgL_l1261z00_1740 = BgL_g1z00_6;
			BgL_zc3z04anonymousza31310ze3z87_1741:
				if (PAIRP(BgL_l1261z00_1740))
					{	/* Globalize/integration.scm 46 */
						{	/* Globalize/integration.scm 47 */
							obj_t BgL_fz00_1743;

							BgL_fz00_1743 = CAR(BgL_l1261z00_1740);
							{	/* Globalize/integration.scm 47 */
								bool_t BgL_test1702z00_2456;

								{	/* Globalize/integration.scm 108 */
									bool_t BgL__ortest_1117z00_2019;

									{	/* Globalize/integration.scm 108 */
										obj_t BgL_classz00_2020;

										BgL_classz00_2020 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_fz00_1743))
											{	/* Globalize/integration.scm 108 */
												BgL_objectz00_bglt BgL_arg1825z00_2022;

												BgL_arg1825z00_2022 =
													(BgL_objectz00_bglt) (BgL_fz00_1743);
												{	/* Globalize/integration.scm 108 */
													bool_t BgL_arg1822z00_2025;
													bool_t BgL_arg1823z00_2026;

													{	/* Globalize/integration.scm 108 */
														long BgL_idxz00_2029;

														BgL_idxz00_2029 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2022);
														BgL_arg1822z00_2025 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2029 + ((long) 2))) ==
															BgL_classz00_2020);
													}
													{	/* Globalize/integration.scm 108 */
														bool_t BgL_res1676z00_2051;

														{	/* Globalize/integration.scm 108 */
															obj_t BgL_oclassz00_2037;

															{	/* Globalize/integration.scm 108 */
																long BgL_arg1833z00_2043;

																{	/* Globalize/integration.scm 108 */
																	long BgL_arg1834z00_2044;

																	BgL_arg1834z00_2044 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2022);
																	BgL_arg1833z00_2043 =
																		(BgL_arg1834z00_2044 - OBJECT_TYPE);
																}
																BgL_oclassz00_2037 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2043);
															}
															{	/* Globalize/integration.scm 108 */
																bool_t BgL__ortest_1110z00_2038;

																BgL__ortest_1110z00_2038 =
																	(BgL_classz00_2020 == BgL_oclassz00_2037);
																if (BgL__ortest_1110z00_2038)
																	{	/* Globalize/integration.scm 108 */
																		BgL_res1676z00_2051 =
																			BgL__ortest_1110z00_2038;
																	}
																else
																	{	/* Globalize/integration.scm 108 */
																		long BgL_odepthz00_2039;

																		BgL_odepthz00_2039 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2037);
																		if ((((long) 2) < BgL_odepthz00_2039))
																			{	/* Globalize/integration.scm 108 */
																				obj_t BgL_arg1821z00_2041;

																				BgL_arg1821z00_2041 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2037, ((long) 2));
																				BgL_res1676z00_2051 =
																					(BgL_arg1821z00_2041 ==
																					BgL_classz00_2020);
																			}
																		else
																			{	/* Globalize/integration.scm 108 */
																				BgL_res1676z00_2051 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2026 = BgL_res1676z00_2051;
													}
													BgL__ortest_1117z00_2019 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2025,
														BgL_arg1823z00_2026);
												}
											}
										else
											{	/* Globalize/integration.scm 108 */
												BgL__ortest_1117z00_2019 = ((bool_t) 0);
											}
									}
									if (BgL__ortest_1117z00_2019)
										{	/* Globalize/integration.scm 108 */
											BgL_test1702z00_2456 = BgL__ortest_1117z00_2019;
										}
									else
										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_2476;

											{
												obj_t BgL_auxz00_2477;

												{	/* Globalize/integration.scm 108 */
													BgL_objectz00_bglt BgL_tmpz00_2478;

													BgL_tmpz00_2478 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1743));
													BgL_auxz00_2477 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2478);
												}
												BgL_auxz00_2476 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2477);
											}
											BgL_test1702z00_2456 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_2476))->BgL_globaliza7edzf3z54);
										}
								}
								if (BgL_test1702z00_2456)
									{	/* Globalize/integration.scm 47 */
										BFALSE;
									}
								else
									{	/* Globalize/integration.scm 51 */
										BgL_sfunz00_bglt BgL_i1113z00_1746;

										BgL_i1113z00_1746 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_fz00_1743))))->
												BgL_valuez00));
										{
											obj_t BgL_auxz00_2494;
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2488;

											{	/* Globalize/integration.scm 52 */
												obj_t BgL_arg1313z00_1747;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2495;

													{
														obj_t BgL_auxz00_2496;

														{	/* Globalize/integration.scm 52 */
															BgL_objectz00_bglt BgL_tmpz00_2497;

															BgL_tmpz00_2497 =
																((BgL_objectz00_bglt) BgL_i1113z00_1746);
															BgL_auxz00_2496 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2497);
														}
														BgL_auxz00_2495 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2496);
													}
													BgL_arg1313z00_1747 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2495))->BgL_imarkz00);
												}
												BgL_auxz00_2494 = CAR(((obj_t) BgL_arg1313z00_1747));
											}
											{
												obj_t BgL_auxz00_2489;

												{	/* Globalize/integration.scm 52 */
													BgL_objectz00_bglt BgL_tmpz00_2490;

													BgL_tmpz00_2490 =
														((BgL_objectz00_bglt) BgL_i1113z00_1746);
													BgL_auxz00_2489 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2490);
												}
												BgL_auxz00_2488 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2489);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2488))->
													BgL_integratorz00) =
												((obj_t) BgL_auxz00_2494), BUNSPEC);
										}
									}
							}
						}
						{
							obj_t BgL_l1261z00_2505;

							BgL_l1261z00_2505 = CDR(BgL_l1261z00_1740);
							BgL_l1261z00_1740 = BgL_l1261z00_2505;
							goto BgL_zc3z04anonymousza31310ze3z87_1741;
						}
					}
				else
					{	/* Globalize/integration.scm 46 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1263z00_1751;

				{	/* Globalize/integration.scm 55 */
					bool_t BgL_tmpz00_2507;

					BgL_l1263z00_1751 = BgL_g1z00_6;
				BgL_zc3z04anonymousza31315ze3z87_1752:
					if (PAIRP(BgL_l1263z00_1751))
						{	/* Globalize/integration.scm 55 */
							{	/* Globalize/integration.scm 56 */
								obj_t BgL_fz00_1754;

								BgL_fz00_1754 = CAR(BgL_l1263z00_1751);
								{	/* Globalize/integration.scm 56 */
									BgL_sfunz00_bglt BgL_i1114z00_1755;

									BgL_i1114z00_1755 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1754))))->
											BgL_valuez00));
									{	/* Globalize/integration.scm 59 */
										bool_t BgL_test1708z00_2515;

										{	/* Globalize/integration.scm 108 */
											bool_t BgL__ortest_1117z00_2061;

											{	/* Globalize/integration.scm 108 */
												obj_t BgL_classz00_2062;

												BgL_classz00_2062 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_fz00_1754))
													{	/* Globalize/integration.scm 108 */
														BgL_objectz00_bglt BgL_arg1825z00_2064;

														BgL_arg1825z00_2064 =
															(BgL_objectz00_bglt) (BgL_fz00_1754);
														{	/* Globalize/integration.scm 108 */
															bool_t BgL_arg1822z00_2067;
															bool_t BgL_arg1823z00_2068;

															{	/* Globalize/integration.scm 108 */
																long BgL_idxz00_2071;

																BgL_idxz00_2071 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2064);
																BgL_arg1822z00_2067 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2071 + ((long) 2))) ==
																	BgL_classz00_2062);
															}
															{	/* Globalize/integration.scm 108 */
																bool_t BgL_res1677z00_2093;

																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_oclassz00_2079;

																	{	/* Globalize/integration.scm 108 */
																		long BgL_arg1833z00_2085;

																		{	/* Globalize/integration.scm 108 */
																			long BgL_arg1834z00_2086;

																			BgL_arg1834z00_2086 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2064);
																			BgL_arg1833z00_2085 =
																				(BgL_arg1834z00_2086 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2079 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2085);
																	}
																	{	/* Globalize/integration.scm 108 */
																		bool_t BgL__ortest_1110z00_2080;

																		BgL__ortest_1110z00_2080 =
																			(BgL_classz00_2062 == BgL_oclassz00_2079);
																		if (BgL__ortest_1110z00_2080)
																			{	/* Globalize/integration.scm 108 */
																				BgL_res1677z00_2093 =
																					BgL__ortest_1110z00_2080;
																			}
																		else
																			{	/* Globalize/integration.scm 108 */
																				long BgL_odepthz00_2081;

																				BgL_odepthz00_2081 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2079);
																				if ((((long) 2) < BgL_odepthz00_2081))
																					{	/* Globalize/integration.scm 108 */
																						obj_t BgL_arg1821z00_2083;

																						BgL_arg1821z00_2083 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2079, ((long) 2));
																						BgL_res1677z00_2093 =
																							(BgL_arg1821z00_2083 ==
																							BgL_classz00_2062);
																					}
																				else
																					{	/* Globalize/integration.scm 108 */
																						BgL_res1677z00_2093 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2068 = BgL_res1677z00_2093;
															}
															BgL__ortest_1117z00_2061 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2067,
																BgL_arg1823z00_2068);
														}
													}
												else
													{	/* Globalize/integration.scm 108 */
														BgL__ortest_1117z00_2061 = ((bool_t) 0);
													}
											}
											if (BgL__ortest_1117z00_2061)
												{	/* Globalize/integration.scm 108 */
													BgL_test1708z00_2515 = BgL__ortest_1117z00_2061;
												}
											else
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_2535;

													{
														obj_t BgL_auxz00_2536;

														{	/* Globalize/integration.scm 108 */
															BgL_objectz00_bglt BgL_tmpz00_2537;

															BgL_tmpz00_2537 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_fz00_1754));
															BgL_auxz00_2536 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2537);
														}
														BgL_auxz00_2535 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2536);
													}
													BgL_test1708z00_2515 =
														(((BgL_localzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2535))->
														BgL_globaliza7edzf3z54);
												}
										}
										if (BgL_test1708z00_2515)
											{	/* Globalize/integration.scm 59 */
												{	/* Globalize/integration.scm 114 */
													BgL_valuez00_bglt BgL_arg1385z00_2096;

													BgL_arg1385z00_2096 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1754))))->
														BgL_valuez00);
													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2546;

														{
															obj_t BgL_auxz00_2547;

															{	/* Globalize/integration.scm 114 */
																BgL_objectz00_bglt BgL_tmpz00_2548;

																BgL_tmpz00_2548 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_arg1385z00_2096));
																BgL_auxz00_2547 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2548);
															}
															BgL_auxz00_2546 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2547);
														}
														((((BgL_sfunzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2546))->
																BgL_integratorz00) = ((obj_t) BFALSE), BUNSPEC);
													}
												}
											}
										else
											{	/* Globalize/integration.scm 62 */
												bool_t BgL_test1713z00_2554;

												{	/* Globalize/integration.scm 62 */
													obj_t BgL_arg1324z00_1761;

													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2555;

														{
															obj_t BgL_auxz00_2556;

															{	/* Globalize/integration.scm 62 */
																BgL_objectz00_bglt BgL_tmpz00_2557;

																BgL_tmpz00_2557 =
																	((BgL_objectz00_bglt) BgL_i1114z00_1755);
																BgL_auxz00_2556 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2557);
															}
															BgL_auxz00_2555 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2556);
														}
														BgL_arg1324z00_1761 =
															(((BgL_sfunzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2555))->BgL_integratorz00);
													}
													{	/* Globalize/integration.scm 62 */
														obj_t BgL_classz00_2101;

														BgL_classz00_2101 = BGl_variablez00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1324z00_1761))
															{	/* Globalize/integration.scm 62 */
																BgL_objectz00_bglt BgL_arg1825z00_2103;

																BgL_arg1825z00_2103 =
																	(BgL_objectz00_bglt) (BgL_arg1324z00_1761);
																{	/* Globalize/integration.scm 62 */
																	bool_t BgL_arg1822z00_2106;
																	bool_t BgL_arg1823z00_2107;

																	{	/* Globalize/integration.scm 62 */
																		long BgL_idxz00_2110;

																		BgL_idxz00_2110 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2103);
																		BgL_arg1822z00_2106 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2110 + ((long) 1))) ==
																			BgL_classz00_2101);
																	}
																	{	/* Globalize/integration.scm 62 */
																		bool_t BgL_res1678z00_2132;

																		{	/* Globalize/integration.scm 62 */
																			obj_t BgL_oclassz00_2118;

																			{	/* Globalize/integration.scm 62 */
																				long BgL_arg1833z00_2124;

																				{	/* Globalize/integration.scm 62 */
																					long BgL_arg1834z00_2125;

																					BgL_arg1834z00_2125 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2103);
																					BgL_arg1833z00_2124 =
																						(BgL_arg1834z00_2125 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2118 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2124);
																			}
																			{	/* Globalize/integration.scm 62 */
																				bool_t BgL__ortest_1110z00_2119;

																				BgL__ortest_1110z00_2119 =
																					(BgL_classz00_2101 ==
																					BgL_oclassz00_2118);
																				if (BgL__ortest_1110z00_2119)
																					{	/* Globalize/integration.scm 62 */
																						BgL_res1678z00_2132 =
																							BgL__ortest_1110z00_2119;
																					}
																				else
																					{	/* Globalize/integration.scm 62 */
																						long BgL_odepthz00_2120;

																						BgL_odepthz00_2120 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2118);
																						if ((((long) 1) <
																								BgL_odepthz00_2120))
																							{	/* Globalize/integration.scm 62 */
																								obj_t BgL_arg1821z00_2122;

																								BgL_arg1821z00_2122 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2118,
																									((long) 1));
																								BgL_res1678z00_2132 =
																									(BgL_arg1821z00_2122 ==
																									BgL_classz00_2101);
																							}
																						else
																							{	/* Globalize/integration.scm 62 */
																								BgL_res1678z00_2132 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2107 = BgL_res1678z00_2132;
																	}
																	BgL_test1713z00_2554 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2106,
																		BgL_arg1823z00_2107);
																}
															}
														else
															{	/* Globalize/integration.scm 62 */
																BgL_test1713z00_2554 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test1713z00_2554)
													{	/* Globalize/integration.scm 62 */
														{	/* Globalize/integration.scm 66 */
															obj_t BgL_arg1322z00_1759;

															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2580;

																{
																	obj_t BgL_auxz00_2581;

																	{	/* Globalize/integration.scm 66 */
																		BgL_objectz00_bglt BgL_tmpz00_2582;

																		BgL_tmpz00_2582 =
																			((BgL_objectz00_bglt) BgL_i1114z00_1755);
																		BgL_auxz00_2581 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2582);
																	}
																	BgL_auxz00_2580 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_2581);
																}
																BgL_arg1322z00_1759 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2580))->
																	BgL_integratorz00);
															}
															BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7
																(BgL_fz00_1754, BgL_arg1322z00_1759);
														}
													}
												else
													{	/* Globalize/integration.scm 62 */
														BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string1688z00zzglobaliza7e_integrationza7,
															BGl_string1689z00zzglobaliza7e_integrationza7,
															BGl_shapez00zztools_shapez00(BgL_fz00_1754));
													}
											}
									}
								}
							}
							{
								obj_t BgL_l1263z00_2590;

								BgL_l1263z00_2590 = CDR(BgL_l1263z00_1751);
								BgL_l1263z00_1751 = BgL_l1263z00_2590;
								goto BgL_zc3z04anonymousza31315ze3z87_1752;
							}
						}
					else
						{	/* Globalize/integration.scm 55 */
							BgL_tmpz00_2507 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_2507);
				}
			}
		}

	}



/* &set-integration! */
	obj_t BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_2348, obj_t BgL_globalz00_2349, obj_t BgL_ez00_2350,
		obj_t BgL_g0z00_2351, obj_t BgL_g1z00_2352)
	{
		{	/* Globalize/integration.scm 31 */
			return
				BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(
				((BgL_globalz00_bglt) BgL_globalz00_2349), BgL_ez00_2350,
				BgL_g0z00_2351, BgL_g1z00_2352);
		}

	}



/* traverse-call-to! */
	obj_t BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t
		BgL_fz00_7)
	{
		{	/* Globalize/integration.scm 77 */
			{	/* Globalize/integration.scm 78 */
				obj_t BgL_integratorsz00_1764;

				{	/* Globalize/integration.scm 78 */
					bool_t BgL_test1718z00_2595;

					{	/* Globalize/integration.scm 108 */
						bool_t BgL__ortest_1117z00_2135;

						{	/* Globalize/integration.scm 108 */
							obj_t BgL_classz00_2136;

							BgL_classz00_2136 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_fz00_7))
								{	/* Globalize/integration.scm 108 */
									BgL_objectz00_bglt BgL_arg1825z00_2138;

									BgL_arg1825z00_2138 = (BgL_objectz00_bglt) (BgL_fz00_7);
									{	/* Globalize/integration.scm 108 */
										bool_t BgL_arg1822z00_2141;
										bool_t BgL_arg1823z00_2142;

										{	/* Globalize/integration.scm 108 */
											long BgL_idxz00_2145;

											BgL_idxz00_2145 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2138);
											BgL_arg1822z00_2141 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2145 + ((long) 2))) == BgL_classz00_2136);
										}
										{	/* Globalize/integration.scm 108 */
											bool_t BgL_res1679z00_2167;

											{	/* Globalize/integration.scm 108 */
												obj_t BgL_oclassz00_2153;

												{	/* Globalize/integration.scm 108 */
													long BgL_arg1833z00_2159;

													{	/* Globalize/integration.scm 108 */
														long BgL_arg1834z00_2160;

														BgL_arg1834z00_2160 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2138);
														BgL_arg1833z00_2159 =
															(BgL_arg1834z00_2160 - OBJECT_TYPE);
													}
													BgL_oclassz00_2153 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2159);
												}
												{	/* Globalize/integration.scm 108 */
													bool_t BgL__ortest_1110z00_2154;

													BgL__ortest_1110z00_2154 =
														(BgL_classz00_2136 == BgL_oclassz00_2153);
													if (BgL__ortest_1110z00_2154)
														{	/* Globalize/integration.scm 108 */
															BgL_res1679z00_2167 = BgL__ortest_1110z00_2154;
														}
													else
														{	/* Globalize/integration.scm 108 */
															long BgL_odepthz00_2155;

															BgL_odepthz00_2155 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2153);
															if ((((long) 2) < BgL_odepthz00_2155))
																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_arg1821z00_2157;

																	BgL_arg1821z00_2157 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2153,
																		((long) 2));
																	BgL_res1679z00_2167 =
																		(BgL_arg1821z00_2157 == BgL_classz00_2136);
																}
															else
																{	/* Globalize/integration.scm 108 */
																	BgL_res1679z00_2167 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2142 = BgL_res1679z00_2167;
										}
										BgL__ortest_1117z00_2135 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2141,
											BgL_arg1823z00_2142);
									}
								}
							else
								{	/* Globalize/integration.scm 108 */
									BgL__ortest_1117z00_2135 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1117z00_2135)
							{	/* Globalize/integration.scm 108 */
								BgL_test1718z00_2595 = BgL__ortest_1117z00_2135;
							}
						else
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_2615;

								{
									obj_t BgL_auxz00_2616;

									{	/* Globalize/integration.scm 108 */
										BgL_objectz00_bglt BgL_tmpz00_2617;

										BgL_tmpz00_2617 =
											((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_fz00_7));
										BgL_auxz00_2616 = BGL_OBJECT_WIDENING(BgL_tmpz00_2617);
									}
									BgL_auxz00_2615 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2616);
								}
								BgL_test1718z00_2595 =
									(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2615))->
									BgL_globaliza7edzf3z54);
							}
					}
					if (BgL_test1718z00_2595)
						{	/* Globalize/integration.scm 79 */
							obj_t BgL_list1373z00_1805;

							BgL_list1373z00_1805 = MAKE_YOUNG_PAIR(BgL_fz00_7, BNIL);
							BgL_integratorsz00_1764 = BgL_list1373z00_1805;
						}
					else
						{	/* Globalize/integration.scm 80 */
							obj_t BgL_arg1380z00_1806;
							obj_t BgL_arg1381z00_1807;

							{	/* Globalize/integration.scm 80 */
								BgL_sfunz00_bglt BgL_oz00_2172;

								BgL_oz00_2172 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_fz00_7))))->BgL_valuez00));
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2628;

									{
										obj_t BgL_auxz00_2629;

										{	/* Globalize/integration.scm 80 */
											BgL_objectz00_bglt BgL_tmpz00_2630;

											BgL_tmpz00_2630 = ((BgL_objectz00_bglt) BgL_oz00_2172);
											BgL_auxz00_2629 = BGL_OBJECT_WIDENING(BgL_tmpz00_2630);
										}
										BgL_auxz00_2628 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2629);
									}
									BgL_arg1380z00_1806 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2628))->
										BgL_imarkz00);
								}
							}
							{	/* Globalize/integration.scm 80 */
								obj_t BgL_list1383z00_1809;

								BgL_list1383z00_1809 = MAKE_YOUNG_PAIR(BgL_fz00_7, BNIL);
								BgL_arg1381z00_1807 = BgL_list1383z00_1809;
							}
							BgL_integratorsz00_1764 =
								BGl_appendzd221011zd2zzglobaliza7e_integrationza7
								(BgL_arg1380z00_1806, BgL_arg1381z00_1807);
						}
				}
				{	/* Globalize/integration.scm 81 */
					obj_t BgL_arg1328z00_1766;

					{	/* Globalize/integration.scm 98 */
						BgL_sfunz00_bglt BgL_oz00_2176;

						BgL_oz00_2176 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_fz00_7)))->BgL_valuez00));
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2640;

							{
								obj_t BgL_auxz00_2641;

								{	/* Globalize/integration.scm 98 */
									BgL_objectz00_bglt BgL_tmpz00_2642;

									BgL_tmpz00_2642 = ((BgL_objectz00_bglt) BgL_oz00_2176);
									BgL_auxz00_2641 = BGL_OBJECT_WIDENING(BgL_tmpz00_2642);
								}
								BgL_auxz00_2640 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2641);
							}
							BgL_arg1328z00_1766 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2640))->
								BgL_ctoz00);
						}
					}
					{	/* Globalize/integration.scm 83 */
						obj_t BgL_zc3z04anonymousza31330ze3z87_2356;

						BgL_zc3z04anonymousza31330ze3z87_2356 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31330ze3ze5zzglobaliza7e_integrationza7,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31330ze3z87_2356,
							(int) (((long) 0)), BgL_integratorsz00_1764);
						PROCEDURE_SET(BgL_zc3z04anonymousza31330ze3z87_2356,
							(int) (((long) 1)), BgL_fz00_7);
						{	/* Globalize/integration.scm 81 */
							obj_t BgL_list1329z00_1767;

							BgL_list1329z00_1767 = MAKE_YOUNG_PAIR(BgL_arg1328z00_1766, BNIL);
							return
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza31330ze3z87_2356, BgL_list1329z00_1767);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1330> */
	obj_t BGl_z62zc3z04anonymousza31330ze3ze5zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_2357, obj_t BgL_gz00_2360)
	{
		{	/* Globalize/integration.scm 81 */
			{	/* Globalize/integration.scm 83 */
				obj_t BgL_integratorsz00_2358;
				obj_t BgL_fz00_2359;

				BgL_integratorsz00_2358 =
					PROCEDURE_REF(BgL_envz00_2357, (int) (((long) 0)));
				BgL_fz00_2359 = PROCEDURE_REF(BgL_envz00_2357, (int) (((long) 1)));
				{	/* Globalize/integration.scm 83 */
					bool_t BgL_test1723z00_2660;

					{	/* Globalize/integration.scm 83 */
						bool_t BgL_test1724z00_2661;

						{	/* Globalize/integration.scm 108 */
							bool_t BgL__ortest_1117z00_2361;

							{	/* Globalize/integration.scm 108 */
								obj_t BgL_classz00_2362;

								BgL_classz00_2362 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_2360))
									{	/* Globalize/integration.scm 108 */
										BgL_objectz00_bglt BgL_arg1825z00_2363;

										BgL_arg1825z00_2363 = (BgL_objectz00_bglt) (BgL_gz00_2360);
										{	/* Globalize/integration.scm 108 */
											bool_t BgL_arg1822z00_2364;
											bool_t BgL_arg1823z00_2365;

											{	/* Globalize/integration.scm 108 */
												long BgL_idxz00_2366;

												BgL_idxz00_2366 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2363);
												BgL_arg1822z00_2364 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2366 + ((long) 2))) ==
													BgL_classz00_2362);
											}
											{	/* Globalize/integration.scm 108 */
												bool_t BgL_res1682z00_2369;

												{	/* Globalize/integration.scm 108 */
													obj_t BgL_oclassz00_2370;

													{	/* Globalize/integration.scm 108 */
														long BgL_arg1833z00_2371;

														{	/* Globalize/integration.scm 108 */
															long BgL_arg1834z00_2372;

															BgL_arg1834z00_2372 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2363);
															BgL_arg1833z00_2371 =
																(BgL_arg1834z00_2372 - OBJECT_TYPE);
														}
														BgL_oclassz00_2370 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2371);
													}
													{	/* Globalize/integration.scm 108 */
														bool_t BgL__ortest_1110z00_2373;

														BgL__ortest_1110z00_2373 =
															(BgL_classz00_2362 == BgL_oclassz00_2370);
														if (BgL__ortest_1110z00_2373)
															{	/* Globalize/integration.scm 108 */
																BgL_res1682z00_2369 = BgL__ortest_1110z00_2373;
															}
														else
															{	/* Globalize/integration.scm 108 */
																long BgL_odepthz00_2374;

																BgL_odepthz00_2374 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2370);
																if ((((long) 2) < BgL_odepthz00_2374))
																	{	/* Globalize/integration.scm 108 */
																		obj_t BgL_arg1821z00_2375;

																		BgL_arg1821z00_2375 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2370, ((long) 2));
																		BgL_res1682z00_2369 =
																			(BgL_arg1821z00_2375 ==
																			BgL_classz00_2362);
																	}
																else
																	{	/* Globalize/integration.scm 108 */
																		BgL_res1682z00_2369 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2365 = BgL_res1682z00_2369;
											}
											BgL__ortest_1117z00_2361 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2364,
												BgL_arg1823z00_2365);
										}
									}
								else
									{	/* Globalize/integration.scm 108 */
										BgL__ortest_1117z00_2361 = ((bool_t) 0);
									}
							}
							if (BgL__ortest_1117z00_2361)
								{	/* Globalize/integration.scm 108 */
									BgL_test1724z00_2661 = BgL__ortest_1117z00_2361;
								}
							else
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_2681;

									{
										obj_t BgL_auxz00_2682;

										{	/* Globalize/integration.scm 108 */
											BgL_objectz00_bglt BgL_tmpz00_2683;

											BgL_tmpz00_2683 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_gz00_2360));
											BgL_auxz00_2682 = BGL_OBJECT_WIDENING(BgL_tmpz00_2683);
										}
										BgL_auxz00_2681 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2682);
									}
									BgL_test1724z00_2661 =
										(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2681))->
										BgL_globaliza7edzf3z54);
								}
						}
						if (BgL_test1724z00_2661)
							{	/* Globalize/integration.scm 83 */
								BgL_test1723z00_2660 = ((bool_t) 1);
							}
						else
							{	/* Globalize/integration.scm 83 */
								BgL_test1723z00_2660 = (BgL_fz00_2359 == BgL_gz00_2360);
							}
					}
					if (BgL_test1723z00_2660)
						{	/* Globalize/integration.scm 83 */
							return BFALSE;
						}
					else
						{	/* Globalize/integration.scm 84 */
							BgL_sfunz00_bglt BgL_i1116z00_2376;

							BgL_i1116z00_2376 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_gz00_2360))))->BgL_valuez00));
							{	/* Globalize/integration.scm 85 */
								bool_t BgL_test1732z00_2694;

								{	/* Globalize/integration.scm 85 */
									obj_t BgL_arg1367z00_2377;

									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2695;

										{
											obj_t BgL_auxz00_2696;

											{	/* Globalize/integration.scm 85 */
												BgL_objectz00_bglt BgL_tmpz00_2697;

												BgL_tmpz00_2697 =
													((BgL_objectz00_bglt) BgL_i1116z00_2376);
												BgL_auxz00_2696 = BGL_OBJECT_WIDENING(BgL_tmpz00_2697);
											}
											BgL_auxz00_2695 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2696);
										}
										BgL_arg1367z00_2377 =
											(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2695))->
											BgL_imarkz00);
									}
									BgL_test1732z00_2694 = (BgL_arg1367z00_2377 == BNIL);
								}
								if (BgL_test1732z00_2694)
									{	/* Globalize/integration.scm 85 */
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2703;

											{
												obj_t BgL_auxz00_2704;

												{	/* Globalize/integration.scm 87 */
													BgL_objectz00_bglt BgL_tmpz00_2705;

													BgL_tmpz00_2705 =
														((BgL_objectz00_bglt) BgL_i1116z00_2376);
													BgL_auxz00_2704 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2705);
												}
												BgL_auxz00_2703 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2704);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2703))->
													BgL_imarkz00) =
												((obj_t) BgL_integratorsz00_2358), BUNSPEC);
										}
										return BgL_gz00_2360;
									}
								else
									{	/* Globalize/integration.scm 89 */
										obj_t BgL_nimarkz00_2378;

										{	/* Globalize/integration.scm 89 */
											obj_t BgL_hook1269z00_2379;

											BgL_hook1269z00_2379 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											{	/* Globalize/integration.scm 89 */
												obj_t BgL_g1270z00_2380;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2711;

													{
														obj_t BgL_auxz00_2712;

														{	/* Globalize/integration.scm 89 */
															BgL_objectz00_bglt BgL_tmpz00_2713;

															BgL_tmpz00_2713 =
																((BgL_objectz00_bglt) BgL_i1116z00_2376);
															BgL_auxz00_2712 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2713);
														}
														BgL_auxz00_2711 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2712);
													}
													BgL_g1270z00_2380 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2711))->BgL_imarkz00);
												}
												{
													obj_t BgL_l1266z00_2382;
													obj_t BgL_h1267z00_2383;

													BgL_l1266z00_2382 = BgL_g1270z00_2380;
													BgL_h1267z00_2383 = BgL_hook1269z00_2379;
												BgL_zc3z04anonymousza31359ze3z87_2381:
													if (NULLP(BgL_l1266z00_2382))
														{	/* Globalize/integration.scm 89 */
															BgL_nimarkz00_2378 = CDR(BgL_hook1269z00_2379);
														}
													else
														{	/* Globalize/integration.scm 89 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(CAR(((obj_t) BgL_l1266z00_2382)),
																		BgL_integratorsz00_2358)))
																{	/* Globalize/integration.scm 89 */
																	obj_t BgL_nh1268z00_2384;

																	{	/* Globalize/integration.scm 89 */
																		obj_t BgL_arg1364z00_2385;

																		BgL_arg1364z00_2385 =
																			CAR(((obj_t) BgL_l1266z00_2382));
																		BgL_nh1268z00_2384 =
																			MAKE_YOUNG_PAIR(BgL_arg1364z00_2385,
																			BNIL);
																	}
																	SET_CDR(BgL_h1267z00_2383,
																		BgL_nh1268z00_2384);
																	{	/* Globalize/integration.scm 89 */
																		obj_t BgL_arg1363z00_2386;

																		BgL_arg1363z00_2386 =
																			CDR(((obj_t) BgL_l1266z00_2382));
																		{
																			obj_t BgL_h1267z00_2733;
																			obj_t BgL_l1266z00_2732;

																			BgL_l1266z00_2732 = BgL_arg1363z00_2386;
																			BgL_h1267z00_2733 = BgL_nh1268z00_2384;
																			BgL_h1267z00_2383 = BgL_h1267z00_2733;
																			BgL_l1266z00_2382 = BgL_l1266z00_2732;
																			goto
																				BgL_zc3z04anonymousza31359ze3z87_2381;
																		}
																	}
																}
															else
																{	/* Globalize/integration.scm 89 */
																	obj_t BgL_arg1366z00_2387;

																	BgL_arg1366z00_2387 =
																		CDR(((obj_t) BgL_l1266z00_2382));
																	{
																		obj_t BgL_l1266z00_2736;

																		BgL_l1266z00_2736 = BgL_arg1366z00_2387;
																		BgL_l1266z00_2382 = BgL_l1266z00_2736;
																		goto BgL_zc3z04anonymousza31359ze3z87_2381;
																	}
																}
														}
												}
											}
										}
										if (NULLP(BgL_nimarkz00_2378))
											{	/* Globalize/integration.scm 91 */
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_2739;

													{
														obj_t BgL_auxz00_2740;

														{	/* Globalize/integration.scm 92 */
															BgL_objectz00_bglt BgL_tmpz00_2741;

															BgL_tmpz00_2741 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_gz00_2360));
															BgL_auxz00_2740 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2741);
														}
														BgL_auxz00_2739 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2740);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2739))->
															BgL_globaliza7edzf3z54) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
												}
												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2747;

													{
														obj_t BgL_auxz00_2748;

														{	/* Globalize/integration.scm 93 */
															BgL_objectz00_bglt BgL_tmpz00_2749;

															BgL_tmpz00_2749 =
																((BgL_objectz00_bglt) BgL_i1116z00_2376);
															BgL_auxz00_2748 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2749);
														}
														BgL_auxz00_2747 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2748);
													}
													((((BgL_sfunzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2747))->BgL_imarkz00) =
														((obj_t) BNIL), BUNSPEC);
												}
												return BgL_gz00_2360;
											}
										else
											{	/* Globalize/integration.scm 95 */
												bool_t BgL_test1736z00_2754;

												{	/* Globalize/integration.scm 95 */
													long BgL_arg1354z00_2388;
													long BgL_arg1357z00_2389;

													BgL_arg1354z00_2388 =
														bgl_list_length(BgL_nimarkz00_2378);
													{	/* Globalize/integration.scm 95 */
														obj_t BgL_arg1358z00_2390;

														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2756;

															{
																obj_t BgL_auxz00_2757;

																{	/* Globalize/integration.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_2758;

																	BgL_tmpz00_2758 =
																		((BgL_objectz00_bglt) BgL_i1116z00_2376);
																	BgL_auxz00_2757 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2758);
																}
																BgL_auxz00_2756 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2757);
															}
															BgL_arg1358z00_2390 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2756))->BgL_imarkz00);
														}
														BgL_arg1357z00_2389 =
															bgl_list_length(BgL_arg1358z00_2390);
													}
													BgL_test1736z00_2754 =
														(BgL_arg1354z00_2388 == BgL_arg1357z00_2389);
												}
												if (BgL_test1736z00_2754)
													{	/* Globalize/integration.scm 95 */
														return BFALSE;
													}
												else
													{	/* Globalize/integration.scm 95 */
														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2765;

															{
																obj_t BgL_auxz00_2766;

																{	/* Globalize/integration.scm 96 */
																	BgL_objectz00_bglt BgL_tmpz00_2767;

																	BgL_tmpz00_2767 =
																		((BgL_objectz00_bglt) BgL_i1116z00_2376);
																	BgL_auxz00_2766 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2767);
																}
																BgL_auxz00_2765 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2766);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2765))->BgL_imarkz00) =
																((obj_t) BgL_nimarkz00_2378), BUNSPEC);
														}
														return BgL_gz00_2360;
													}
											}
									}
							}
						}
				}
			}
		}

	}



/* integrate-in! */
	obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t BgL_fz00_10,
		obj_t BgL_integratorz00_11)
	{
		{	/* Globalize/integration.scm 119 */
			{	/* Globalize/integration.scm 121 */
				BgL_valuez00_bglt BgL_arg1386z00_1813;

				BgL_arg1386z00_1813 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_fz00_10))))->BgL_valuez00);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2775;

					{
						obj_t BgL_auxz00_2776;

						{	/* Globalize/integration.scm 121 */
							BgL_objectz00_bglt BgL_tmpz00_2777;

							BgL_tmpz00_2777 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_arg1386z00_1813));
							BgL_auxz00_2776 = BGL_OBJECT_WIDENING(BgL_tmpz00_2777);
						}
						BgL_auxz00_2775 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2776);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2775))->
							BgL_integratorz00) = ((obj_t) BgL_integratorz00_11), BUNSPEC);
				}
			}
			{	/* Globalize/integration.scm 122 */
				BgL_valuez00_bglt BgL_arg1387z00_1814;

				BgL_arg1387z00_1814 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_fz00_10))))->BgL_valuez00);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2786;

					{
						obj_t BgL_auxz00_2787;

						{	/* Globalize/integration.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_2788;

							BgL_tmpz00_2788 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_arg1387z00_1814));
							BgL_auxz00_2787 = BGL_OBJECT_WIDENING(BgL_tmpz00_2788);
						}
						BgL_auxz00_2786 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2787);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2786))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
			}
			{	/* Globalize/integration.scm 123 */
				BgL_sfunz00_bglt BgL_i1119z00_1815;

				BgL_i1119z00_1815 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_integratorz00_11)))->BgL_valuez00));
				{
					obj_t BgL_auxz00_2803;
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2797;

					{	/* Globalize/integration.scm 124 */
						obj_t BgL_arg1400z00_1816;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2804;

							{
								obj_t BgL_auxz00_2805;

								{	/* Globalize/integration.scm 124 */
									BgL_objectz00_bglt BgL_tmpz00_2806;

									BgL_tmpz00_2806 = ((BgL_objectz00_bglt) BgL_i1119z00_1815);
									BgL_auxz00_2805 = BGL_OBJECT_WIDENING(BgL_tmpz00_2806);
								}
								BgL_auxz00_2804 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2805);
							}
							BgL_arg1400z00_1816 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2804))->
								BgL_integratedz00);
						}
						BgL_auxz00_2803 = MAKE_YOUNG_PAIR(BgL_fz00_10, BgL_arg1400z00_1816);
					}
					{
						obj_t BgL_auxz00_2798;

						{	/* Globalize/integration.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_2799;

							BgL_tmpz00_2799 = ((BgL_objectz00_bglt) BgL_i1119z00_1815);
							BgL_auxz00_2798 = BGL_OBJECT_WIDENING(BgL_tmpz00_2799);
						}
						BgL_auxz00_2797 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2798);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2797))->
							BgL_integratedz00) = ((obj_t) BgL_auxz00_2803), BUNSPEC);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationza7()
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationza7()
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7()
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7()
	{
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					34590581),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031),
				BSTRING_TO_STRING(BGl_string1690z00zzglobaliza7e_integrationza7));
		}

	}

#ifdef __cplusplus
}
#endif
