/*===========================================================================*/
/*   (Inline/app.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_appz00 = BUNSPEC;
	extern obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_appz00();
	static bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_appz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_zc3z04exitza31314ze3ze70z60zzinline_appz00(obj_t);
	extern obj_t BGl_za2userzd2inliningzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_appz00();
	BGL_EXPORTED_DECL bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31317ze3ze5zzinline_appz00(obj_t, obj_t);
	static long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt);
	extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	static obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00();
	static obj_t BGl_gczd2rootszd2initz00zzinline_appz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00;
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[8];


	   
		 
		DEFINE_STRING(BGl_string1714z00zzinline_appz00,
		BgL_bgl_string1714za700za7za7i1722za7, "simple", 6);
	      DEFINE_STRING(BGl_string1715z00zzinline_appz00,
		BgL_bgl_string1715za700za7za7i1723za7, "inline_app", 10);
	      DEFINE_STRING(BGl_string1716z00zzinline_appz00,
		BgL_bgl_string1716za700za7za7i1724za7,
		"import predicate reducer sgfun all snifun static sifun ", 55);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzd2envz00zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71725za7,
		BGl_z62inlinezd2appzb0zzinline_appz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzf3zd2envzf3zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71726za7,
		BGl_z62inlinezd2appzf3z43zzinline_appz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long
		BgL_checksumz00_2390, char *BgL_fromz00_2391)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_appz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_appz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_appz00();
					BGl_libraryzd2moduleszd2initz00zzinline_appz00();
					BGl_cnstzd2initzd2zzinline_appz00();
					BGl_importedzd2moduleszd2initz00zzinline_appz00();
					return BGl_methodzd2initzd2zzinline_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_app");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			{	/* Inline/app.scm 15 */
				obj_t BgL_cportz00_2364;

				{	/* Inline/app.scm 15 */
					obj_t BgL_stringz00_2372;

					BgL_stringz00_2372 = BGl_string1716z00zzinline_appz00;
					{	/* Inline/app.scm 15 */
						obj_t BgL_startz00_2373;

						BgL_startz00_2373 = BINT(((long) 0));
						{	/* Inline/app.scm 15 */
							obj_t BgL_endz00_2374;

							BgL_endz00_2374 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2372)));
							{	/* Inline/app.scm 15 */

								BgL_cportz00_2364 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2372, BgL_startz00_2373, BgL_endz00_2374);
				}}}}
				{
					long BgL_iz00_2365;

					BgL_iz00_2365 = ((long) 7);
				BgL_loopz00_2366:
					if ((BgL_iz00_2365 == ((long) -1)))
						{	/* Inline/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/app.scm 15 */
							{	/* Inline/app.scm 15 */
								obj_t BgL_arg1721z00_2368;

								{	/* Inline/app.scm 15 */

									{	/* Inline/app.scm 15 */
										obj_t BgL_locationz00_2370;

										BgL_locationz00_2370 = BBOOL(((bool_t) 0));
										{	/* Inline/app.scm 15 */

											BgL_arg1721z00_2368 =
												BGl_readz00zz__readerz00(BgL_cportz00_2364,
												BgL_locationz00_2370);
										}
									}
								}
								{	/* Inline/app.scm 15 */
									int BgL_tmpz00_2418;

									BgL_tmpz00_2418 = (int) (BgL_iz00_2365);
									CNST_TABLE_SET(BgL_tmpz00_2418, BgL_arg1721z00_2368);
							}}
							{	/* Inline/app.scm 15 */
								int BgL_auxz00_2371;

								BgL_auxz00_2371 = (int) ((BgL_iz00_2365 - ((long) 1)));
								{
									long BgL_iz00_2423;

									BgL_iz00_2423 = (long) (BgL_auxz00_2371);
									BgL_iz00_2365 = BgL_iz00_2423;
									goto BgL_loopz00_2366;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* inline-app */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt BgL_nodez00_3,
		long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/app.scm 35 */
			{	/* Inline/app.scm 36 */
				BgL_varz00_bglt BgL_calleez00_1442;

				BgL_calleez00_1442 =
					(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3))->BgL_funz00);
				{	/* Inline/app.scm 36 */
					BgL_variablez00_bglt BgL_varz00_1443;

					BgL_varz00_1443 =
						(((BgL_varz00_bglt) COBJECT(BgL_calleez00_1442))->BgL_variablez00);
					{	/* Inline/app.scm 37 */
						BgL_valuez00_bglt BgL_sfunz00_1444;

						BgL_sfunz00_1444 =
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_1443))->BgL_valuez00);
						{	/* Inline/app.scm 40 */

							{	/* Inline/app.scm 44 */
								bool_t BgL_test1730z00_2429;

								{	/* Inline/app.scm 44 */
									obj_t BgL_classz00_1762;

									BgL_classz00_1762 = BGl_sfunz00zzast_varz00;
									{	/* Inline/app.scm 44 */
										BgL_objectz00_bglt BgL_arg1825z00_1764;

										{	/* Inline/app.scm 44 */
											obj_t BgL_tmpz00_2430;

											BgL_tmpz00_2430 =
												((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1444));
											BgL_arg1825z00_1764 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2430);
										}
										{	/* Inline/app.scm 44 */
											bool_t BgL_arg1822z00_1767;
											bool_t BgL_arg1823z00_1768;

											{	/* Inline/app.scm 44 */
												long BgL_idxz00_1771;

												BgL_idxz00_1771 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1764);
												BgL_arg1822z00_1767 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1771 + ((long) 3))) ==
													BgL_classz00_1762);
											}
											{	/* Inline/app.scm 44 */
												bool_t BgL_res1697z00_1793;

												{	/* Inline/app.scm 44 */
													obj_t BgL_oclassz00_1779;

													{	/* Inline/app.scm 44 */
														long BgL_arg1833z00_1785;

														{	/* Inline/app.scm 44 */
															long BgL_arg1834z00_1786;

															BgL_arg1834z00_1786 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1764);
															BgL_arg1833z00_1785 =
																(BgL_arg1834z00_1786 - OBJECT_TYPE);
														}
														BgL_oclassz00_1779 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_1785);
													}
													{	/* Inline/app.scm 44 */
														bool_t BgL__ortest_1110z00_1780;

														BgL__ortest_1110z00_1780 =
															(BgL_classz00_1762 == BgL_oclassz00_1779);
														if (BgL__ortest_1110z00_1780)
															{	/* Inline/app.scm 44 */
																BgL_res1697z00_1793 = BgL__ortest_1110z00_1780;
															}
														else
															{	/* Inline/app.scm 44 */
																long BgL_odepthz00_1781;

																BgL_odepthz00_1781 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_1779);
																if ((((long) 3) < BgL_odepthz00_1781))
																	{	/* Inline/app.scm 44 */
																		obj_t BgL_arg1821z00_1783;

																		BgL_arg1821z00_1783 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_1779, ((long) 3));
																		BgL_res1697z00_1793 =
																			(BgL_arg1821z00_1783 ==
																			BgL_classz00_1762);
																	}
																else
																	{	/* Inline/app.scm 44 */
																		BgL_res1697z00_1793 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_1768 = BgL_res1697z00_1793;
											}
											BgL_test1730z00_2429 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_1767,
												BgL_arg1823z00_1768);
										}
									}
								}
								if (BgL_test1730z00_2429)
									{	/* Inline/app.scm 46 */
										bool_t BgL_test1734z00_2449;

										if (BGl_inlinezd2appzf3z21zzinline_appz00(BgL_varz00_1443,
												BgL_kfactorz00_4,
												BGl_callzd2siza7ez75zzinline_appz00(BgL_nodez00_3),
												BgL_stackz00_5))
											{	/* Inline/app.scm 46 */
												BgL_test1734z00_2449 = ((bool_t) 1);
											}
										else
											{	/* Inline/app.scm 46 */
												BgL_test1734z00_2449 =
													BGl_inlinezd2closurezf3z21zzinline_appz00
													(BgL_varz00_1443, BgL_stackz00_5);
											}
										if (BgL_test1734z00_2449)
											{	/* Inline/app.scm 46 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1444)))->
															BgL_classz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Inline/app.scm 51 */
														BFALSE;
													}
												else
													{	/* Inline/app.scm 51 */
														BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 =
															ADDFX
															(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00,
															BINT(((long) 1)));
													}
												{	/* Inline/app.scm 53 */
													bool_t BgL_test1737z00_2461;

													{	/* Inline/app.scm 53 */
														bool_t BgL_test1738z00_2462;

														{	/* Inline/app.scm 53 */
															obj_t BgL_classz00_1796;

															BgL_classz00_1796 = BGl_globalz00zzast_varz00;
															{	/* Inline/app.scm 53 */
																BgL_objectz00_bglt BgL_arg1825z00_1798;

																{	/* Inline/app.scm 53 */
																	obj_t BgL_tmpz00_2463;

																	BgL_tmpz00_2463 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_varz00_1443));
																	BgL_arg1825z00_1798 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2463);
																}
																{	/* Inline/app.scm 53 */
																	bool_t BgL_arg1822z00_1801;
																	bool_t BgL_arg1823z00_1802;

																	{	/* Inline/app.scm 53 */
																		long BgL_idxz00_1805;

																		BgL_idxz00_1805 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_1798);
																		BgL_arg1822z00_1801 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1805 + ((long) 2))) ==
																			BgL_classz00_1796);
																	}
																	{	/* Inline/app.scm 53 */
																		bool_t BgL_res1698z00_1827;

																		{	/* Inline/app.scm 53 */
																			obj_t BgL_oclassz00_1813;

																			{	/* Inline/app.scm 53 */
																				long BgL_arg1833z00_1819;

																				{	/* Inline/app.scm 53 */
																					long BgL_arg1834z00_1820;

																					BgL_arg1834z00_1820 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_1798);
																					BgL_arg1833z00_1819 =
																						(BgL_arg1834z00_1820 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1813 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_1819);
																			}
																			{	/* Inline/app.scm 53 */
																				bool_t BgL__ortest_1110z00_1814;

																				BgL__ortest_1110z00_1814 =
																					(BgL_classz00_1796 ==
																					BgL_oclassz00_1813);
																				if (BgL__ortest_1110z00_1814)
																					{	/* Inline/app.scm 53 */
																						BgL_res1698z00_1827 =
																							BgL__ortest_1110z00_1814;
																					}
																				else
																					{	/* Inline/app.scm 53 */
																						long BgL_odepthz00_1815;

																						BgL_odepthz00_1815 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1813);
																						if ((((long) 2) <
																								BgL_odepthz00_1815))
																							{	/* Inline/app.scm 53 */
																								obj_t BgL_arg1821z00_1817;

																								BgL_arg1821z00_1817 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1813,
																									((long) 2));
																								BgL_res1698z00_1827 =
																									(BgL_arg1821z00_1817 ==
																									BgL_classz00_1796);
																							}
																						else
																							{	/* Inline/app.scm 53 */
																								BgL_res1698z00_1827 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_1802 = BgL_res1698z00_1827;
																	}
																	BgL_test1738z00_2462 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_1801,
																		BgL_arg1823z00_1802);
																}
															}
														}
														if (BgL_test1738z00_2462)
															{	/* Inline/app.scm 53 */
																BgL_test1737z00_2461 =
																	CBOOL(
																	(((BgL_globalz00_bglt) COBJECT(
																				((BgL_globalz00_bglt)
																					BgL_varz00_1443)))->BgL_libraryz00));
															}
														else
															{	/* Inline/app.scm 53 */
																BgL_test1737z00_2461 = ((bool_t) 0);
															}
													}
													if (BgL_test1737z00_2461)
														{	/* Inline/app.scm 56 */
															obj_t BgL_arg1260z00_1457;

															BgL_arg1260z00_1457 =
																(((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_varz00_1443)))->
																BgL_modulez00);
															BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00
																(BgL_arg1260z00_1457);
														}
													else
														{	/* Inline/app.scm 53 */
															BFALSE;
														}
												}
												{	/* Inline/app.scm 57 */
													bool_t BgL_test1741z00_2488;

													if (CBOOL
														(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 57 */
															BgL_test1741z00_2488 =
																BGl_iszd2recursivezf3z21zzinline_recursionz00
																(BgL_varz00_1443);
														}
													else
														{	/* Inline/app.scm 57 */
															BgL_test1741z00_2488 = ((bool_t) 0);
														}
													if (BgL_test1741z00_2488)
														{	/* Inline/app.scm 57 */
															return
																BGl_inlinezd2appzd2recursivez00zzinline_recursionz00
																(((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5);
														}
													else
														{	/* Inline/app.scm 57 */
															return
																BGl_inlinezd2appzd2simplez00zzinline_simplez00(
																((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5,
																BGl_string1714z00zzinline_appz00);
														}
												}
											}
										else
											{	/* Inline/app.scm 46 */
												return ((BgL_nodez00_bglt) BgL_nodez00_3);
											}
									}
								else
									{	/* Inline/app.scm 44 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3);
									}
							}
						}
					}
				}
			}
		}

	}



/* &inline-app */
	BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t BgL_envz00_2350,
		obj_t BgL_nodez00_2351, obj_t BgL_kfactorz00_2352, obj_t BgL_stackz00_2353)
	{
		{	/* Inline/app.scm 35 */
			return
				BGl_inlinezd2appzd2zzinline_appz00(
				((BgL_appz00_bglt) BgL_nodez00_2351),
				(long) CINT(BgL_kfactorz00_2352), BgL_stackz00_2353);
		}

	}



/* inline-closure? */
	bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(BgL_variablez00_bglt
		BgL_varz00_6, obj_t BgL_stackz00_7)
	{
		{	/* Inline/app.scm 66 */
			{	/* Inline/app.scm 67 */
				bool_t BgL_test1744z00_2501;

				if (PAIRP(BgL_stackz00_7))
					{	/* Inline/app.scm 67 */
						obj_t BgL_arg1301z00_1477;

						BgL_arg1301z00_1477 = CAR(BgL_stackz00_7);
						{	/* Inline/app.scm 67 */
							obj_t BgL_classz00_1831;

							BgL_classz00_1831 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1301z00_1477))
								{	/* Inline/app.scm 67 */
									BgL_objectz00_bglt BgL_arg1825z00_1833;

									BgL_arg1825z00_1833 =
										(BgL_objectz00_bglt) (BgL_arg1301z00_1477);
									{	/* Inline/app.scm 67 */
										bool_t BgL_arg1822z00_1836;
										bool_t BgL_arg1823z00_1837;

										{	/* Inline/app.scm 67 */
											long BgL_idxz00_1840;

											BgL_idxz00_1840 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1833);
											BgL_arg1822z00_1836 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1840 + ((long) 2))) == BgL_classz00_1831);
										}
										{	/* Inline/app.scm 67 */
											bool_t BgL_res1699z00_1862;

											{	/* Inline/app.scm 67 */
												obj_t BgL_oclassz00_1848;

												{	/* Inline/app.scm 67 */
													long BgL_arg1833z00_1854;

													{	/* Inline/app.scm 67 */
														long BgL_arg1834z00_1855;

														BgL_arg1834z00_1855 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1833);
														BgL_arg1833z00_1854 =
															(BgL_arg1834z00_1855 - OBJECT_TYPE);
													}
													BgL_oclassz00_1848 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_1854);
												}
												{	/* Inline/app.scm 67 */
													bool_t BgL__ortest_1110z00_1849;

													BgL__ortest_1110z00_1849 =
														(BgL_classz00_1831 == BgL_oclassz00_1848);
													if (BgL__ortest_1110z00_1849)
														{	/* Inline/app.scm 67 */
															BgL_res1699z00_1862 = BgL__ortest_1110z00_1849;
														}
													else
														{	/* Inline/app.scm 67 */
															long BgL_odepthz00_1850;

															BgL_odepthz00_1850 =
																BGL_CLASS_DEPTH(BgL_oclassz00_1848);
															if ((((long) 2) < BgL_odepthz00_1850))
																{	/* Inline/app.scm 67 */
																	obj_t BgL_arg1821z00_1852;

																	BgL_arg1821z00_1852 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1848,
																		((long) 2));
																	BgL_res1699z00_1862 =
																		(BgL_arg1821z00_1852 == BgL_classz00_1831);
																}
															else
																{	/* Inline/app.scm 67 */
																	BgL_res1699z00_1862 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_1837 = BgL_res1699z00_1862;
										}
										BgL_test1744z00_2501 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_1836,
											BgL_arg1823z00_1837);
									}
								}
							else
								{	/* Inline/app.scm 67 */
									BgL_test1744z00_2501 = ((bool_t) 0);
								}
						}
					}
				else
					{	/* Inline/app.scm 67 */
						BgL_test1744z00_2501 = ((bool_t) 0);
					}
				if (BgL_test1744z00_2501)
					{	/* Inline/app.scm 67 */
						if (
							(((obj_t) BgL_varz00_6) ==
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(BgL_stackz00_7))))->BgL_valuez00))))->
									BgL_thezd2closurezd2globalz00)))
							{	/* Inline/app.scm 69 */
								bool_t BgL_test1751z00_2531;

								{	/* Inline/app.scm 69 */
									bool_t BgL__ortest_1109z00_1471;

									{	/* Inline/app.scm 69 */
										obj_t BgL_classz00_1866;

										BgL_classz00_1866 = BGl_localz00zzast_varz00;
										{	/* Inline/app.scm 69 */
											BgL_objectz00_bglt BgL_arg1825z00_1868;

											{	/* Inline/app.scm 69 */
												obj_t BgL_tmpz00_2532;

												BgL_tmpz00_2532 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_6));
												BgL_arg1825z00_1868 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2532);
											}
											{	/* Inline/app.scm 69 */
												bool_t BgL_arg1822z00_1871;
												bool_t BgL_arg1823z00_1872;

												{	/* Inline/app.scm 69 */
													long BgL_idxz00_1875;

													BgL_idxz00_1875 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1868);
													BgL_arg1822z00_1871 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1875 + ((long) 2))) ==
														BgL_classz00_1866);
												}
												{	/* Inline/app.scm 69 */
													bool_t BgL_res1700z00_1897;

													{	/* Inline/app.scm 69 */
														obj_t BgL_oclassz00_1883;

														{	/* Inline/app.scm 69 */
															long BgL_arg1833z00_1889;

															{	/* Inline/app.scm 69 */
																long BgL_arg1834z00_1890;

																BgL_arg1834z00_1890 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1868);
																BgL_arg1833z00_1889 =
																	(BgL_arg1834z00_1890 - OBJECT_TYPE);
															}
															BgL_oclassz00_1883 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_1889);
														}
														{	/* Inline/app.scm 69 */
															bool_t BgL__ortest_1110z00_1884;

															BgL__ortest_1110z00_1884 =
																(BgL_classz00_1866 == BgL_oclassz00_1883);
															if (BgL__ortest_1110z00_1884)
																{	/* Inline/app.scm 69 */
																	BgL_res1700z00_1897 =
																		BgL__ortest_1110z00_1884;
																}
															else
																{	/* Inline/app.scm 69 */
																	long BgL_odepthz00_1885;

																	BgL_odepthz00_1885 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1883);
																	if ((((long) 2) < BgL_odepthz00_1885))
																		{	/* Inline/app.scm 69 */
																			obj_t BgL_arg1821z00_1887;

																			BgL_arg1821z00_1887 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1883, ((long) 2));
																			BgL_res1700z00_1897 =
																				(BgL_arg1821z00_1887 ==
																				BgL_classz00_1866);
																		}
																	else
																		{	/* Inline/app.scm 69 */
																			BgL_res1700z00_1897 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_1872 = BgL_res1700z00_1897;
												}
												BgL__ortest_1109z00_1471 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_1871,
													BgL_arg1823z00_1872);
											}
										}
									}
									if (BgL__ortest_1109z00_1471)
										{	/* Inline/app.scm 69 */
											BgL_test1751z00_2531 = BgL__ortest_1109z00_1471;
										}
									else
										{	/* Inline/app.scm 69 */
											BgL_test1751z00_2531 =
												(
												(((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_varz00_6)))->
													BgL_importz00) == CNST_TABLE_REF(((long) 1)));
								}}
								if (BgL_test1751z00_2531)
									{	/* Inline/app.scm 69 */
										return
											(
											(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->
												BgL_occurrencez00) == ((long) 1));
									}
								else
									{	/* Inline/app.scm 69 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Inline/app.scm 68 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Inline/app.scm 67 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* call-size */
	long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt BgL_nodez00_8)
	{
		{	/* Inline/app.scm 75 */
			{	/* Inline/app.scm 77 */
				long BgL_csiza7eza7_1479;

				BgL_csiza7eza7_1479 =
					(((long) 1) +
					bgl_list_length(
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00)));
				if (CBOOL(BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00))
					{	/* Inline/app.scm 79 */
						obj_t BgL_atomsz00_1480;

						{	/* Inline/app.scm 79 */
							obj_t BgL_hook1240z00_1482;

							BgL_hook1240z00_1482 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{	/* Inline/app.scm 79 */
								obj_t BgL_g1241z00_1483;

								BgL_g1241z00_1483 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00);
								{
									obj_t BgL_l1237z00_1485;
									obj_t BgL_h1238z00_1486;

									BgL_l1237z00_1485 = BgL_g1241z00_1483;
									BgL_h1238z00_1486 = BgL_hook1240z00_1482;
								BgL_zc3z04anonymousza31305ze3z87_1487:
									if (NULLP(BgL_l1237z00_1485))
										{	/* Inline/app.scm 79 */
											BgL_atomsz00_1480 = CDR(BgL_hook1240z00_1482);
										}
									else
										{	/* Inline/app.scm 79 */
											bool_t BgL_test1758z00_2568;

											{	/* Inline/app.scm 80 */
												obj_t BgL_xz00_1496;

												BgL_xz00_1496 = CAR(((obj_t) BgL_l1237z00_1485));
												{	/* Inline/app.scm 80 */
													bool_t BgL__ortest_1111z00_1497;

													{	/* Inline/app.scm 80 */
														obj_t BgL_classz00_1904;

														BgL_classz00_1904 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_xz00_1496))
															{	/* Inline/app.scm 80 */
																BgL_objectz00_bglt BgL_arg1825z00_1906;

																BgL_arg1825z00_1906 =
																	(BgL_objectz00_bglt) (BgL_xz00_1496);
																{	/* Inline/app.scm 80 */
																	bool_t BgL_arg1822z00_1909;
																	bool_t BgL_arg1823z00_1910;

																	{	/* Inline/app.scm 80 */
																		long BgL_idxz00_1913;

																		BgL_idxz00_1913 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_1906);
																		BgL_arg1822z00_1909 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1913 + ((long) 2))) ==
																			BgL_classz00_1904);
																	}
																	{	/* Inline/app.scm 80 */
																		bool_t BgL_res1701z00_1935;

																		{	/* Inline/app.scm 80 */
																			obj_t BgL_oclassz00_1921;

																			{	/* Inline/app.scm 80 */
																				long BgL_arg1833z00_1927;

																				{	/* Inline/app.scm 80 */
																					long BgL_arg1834z00_1928;

																					BgL_arg1834z00_1928 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_1906);
																					BgL_arg1833z00_1927 =
																						(BgL_arg1834z00_1928 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1921 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_1927);
																			}
																			{	/* Inline/app.scm 80 */
																				bool_t BgL__ortest_1110z00_1922;

																				BgL__ortest_1110z00_1922 =
																					(BgL_classz00_1904 ==
																					BgL_oclassz00_1921);
																				if (BgL__ortest_1110z00_1922)
																					{	/* Inline/app.scm 80 */
																						BgL_res1701z00_1935 =
																							BgL__ortest_1110z00_1922;
																					}
																				else
																					{	/* Inline/app.scm 80 */
																						long BgL_odepthz00_1923;

																						BgL_odepthz00_1923 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1921);
																						if ((((long) 2) <
																								BgL_odepthz00_1923))
																							{	/* Inline/app.scm 80 */
																								obj_t BgL_arg1821z00_1925;

																								BgL_arg1821z00_1925 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1921,
																									((long) 2));
																								BgL_res1701z00_1935 =
																									(BgL_arg1821z00_1925 ==
																									BgL_classz00_1904);
																							}
																						else
																							{	/* Inline/app.scm 80 */
																								BgL_res1701z00_1935 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_1910 = BgL_res1701z00_1935;
																	}
																	BgL__ortest_1111z00_1497 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_1909,
																		BgL_arg1823z00_1910);
																}
															}
														else
															{	/* Inline/app.scm 80 */
																BgL__ortest_1111z00_1497 = ((bool_t) 0);
															}
													}
													if (BgL__ortest_1111z00_1497)
														{	/* Inline/app.scm 80 */
															BgL_test1758z00_2568 = BgL__ortest_1111z00_1497;
														}
													else
														{	/* Inline/app.scm 80 */
															obj_t BgL_classz00_1936;

															BgL_classz00_1936 = BGl_kwotez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_xz00_1496))
																{	/* Inline/app.scm 80 */
																	BgL_objectz00_bglt BgL_arg1825z00_1938;

																	BgL_arg1825z00_1938 =
																		(BgL_objectz00_bglt) (BgL_xz00_1496);
																	{	/* Inline/app.scm 80 */
																		bool_t BgL_arg1822z00_1941;
																		bool_t BgL_arg1823z00_1942;

																		{	/* Inline/app.scm 80 */
																			long BgL_idxz00_1945;

																			BgL_idxz00_1945 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_1938);
																			BgL_arg1822z00_1941 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1945 + ((long) 2))) ==
																				BgL_classz00_1936);
																		}
																		{	/* Inline/app.scm 80 */
																			bool_t BgL_res1702z00_1967;

																			{	/* Inline/app.scm 80 */
																				obj_t BgL_oclassz00_1953;

																				{	/* Inline/app.scm 80 */
																					long BgL_arg1833z00_1959;

																					{	/* Inline/app.scm 80 */
																						long BgL_arg1834z00_1960;

																						BgL_arg1834z00_1960 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_1938);
																						BgL_arg1833z00_1959 =
																							(BgL_arg1834z00_1960 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1953 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_1959);
																				}
																				{	/* Inline/app.scm 80 */
																					bool_t BgL__ortest_1110z00_1954;

																					BgL__ortest_1110z00_1954 =
																						(BgL_classz00_1936 ==
																						BgL_oclassz00_1953);
																					if (BgL__ortest_1110z00_1954)
																						{	/* Inline/app.scm 80 */
																							BgL_res1702z00_1967 =
																								BgL__ortest_1110z00_1954;
																						}
																					else
																						{	/* Inline/app.scm 80 */
																							long BgL_odepthz00_1955;

																							BgL_odepthz00_1955 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1953);
																							if ((((long) 2) <
																									BgL_odepthz00_1955))
																								{	/* Inline/app.scm 80 */
																									obj_t BgL_arg1821z00_1957;

																									BgL_arg1821z00_1957 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1953,
																										((long) 2));
																									BgL_res1702z00_1967 =
																										(BgL_arg1821z00_1957 ==
																										BgL_classz00_1936);
																								}
																							else
																								{	/* Inline/app.scm 80 */
																									BgL_res1702z00_1967 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_1942 = BgL_res1702z00_1967;
																		}
																		BgL_test1758z00_2568 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_1941,
																			BgL_arg1823z00_1942);
																	}
																}
															else
																{	/* Inline/app.scm 80 */
																	BgL_test1758z00_2568 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test1758z00_2568)
												{	/* Inline/app.scm 79 */
													obj_t BgL_nh1239z00_1492;

													{	/* Inline/app.scm 79 */
														obj_t BgL_arg1309z00_1494;

														BgL_arg1309z00_1494 =
															CAR(((obj_t) BgL_l1237z00_1485));
														BgL_nh1239z00_1492 =
															MAKE_YOUNG_PAIR(BgL_arg1309z00_1494, BNIL);
													}
													SET_CDR(BgL_h1238z00_1486, BgL_nh1239z00_1492);
													{	/* Inline/app.scm 79 */
														obj_t BgL_arg1308z00_1493;

														BgL_arg1308z00_1493 =
															CDR(((obj_t) BgL_l1237z00_1485));
														{
															obj_t BgL_h1238z00_2615;
															obj_t BgL_l1237z00_2614;

															BgL_l1237z00_2614 = BgL_arg1308z00_1493;
															BgL_h1238z00_2615 = BgL_nh1239z00_1492;
															BgL_h1238z00_1486 = BgL_h1238z00_2615;
															BgL_l1237z00_1485 = BgL_l1237z00_2614;
															goto BgL_zc3z04anonymousza31305ze3z87_1487;
														}
													}
												}
											else
												{	/* Inline/app.scm 79 */
													obj_t BgL_arg1310z00_1495;

													BgL_arg1310z00_1495 =
														CDR(((obj_t) BgL_l1237z00_1485));
													{
														obj_t BgL_l1237z00_2618;

														BgL_l1237z00_2618 = BgL_arg1310z00_1495;
														BgL_l1237z00_1485 = BgL_l1237z00_2618;
														goto BgL_zc3z04anonymousza31305ze3z87_1487;
													}
												}
										}
								}
							}
						}
						return (BgL_csiza7eza7_1479 + bgl_list_length(BgL_atomsz00_1480));
					}
				else
					{	/* Inline/app.scm 78 */
						return BgL_csiza7eza7_1479;
					}
			}
		}

	}



/* <@exit:1314>~0 */
	obj_t BGl_zc3z04exitza31314ze3ze70z60zzinline_appz00(obj_t BgL_nodez00_2363)
	{
		{	/* Inline/app.scm 89 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1112z00_1502;

			if (SET_EXIT(BgL_an_exit1112z00_1502))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1112z00_1502 = (void *) jmpbuf;
					{	/* Inline/app.scm 89 */
						obj_t BgL_env1116z00_1503;

						BgL_env1116z00_1503 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1116z00_1503, BgL_an_exit1112z00_1502,
							((long) 1));
						{	/* Inline/app.scm 89 */
							obj_t BgL_an_exitd1113z00_1504;

							BgL_an_exitd1113z00_1504 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1116z00_1503);
							{	/* Inline/app.scm 89 */
								bool_t BgL_res1115z00_1507;

								{	/* Inline/app.scm 90 */
									obj_t BgL_zc3z04anonymousza31317ze3z87_2354;

									BgL_zc3z04anonymousza31317ze3z87_2354 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31317ze3ze5zzinline_appz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31317ze3z87_2354,
										(int) (((long) 0)), BgL_an_exitd1113z00_1504);
									BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
											BgL_nodez00_2363), BgL_zc3z04anonymousza31317ze3z87_2354);
								}
								BgL_res1115z00_1507 = ((bool_t) 0);
								POP_ENV_EXIT(BgL_env1116z00_1503);
								return BBOOL(BgL_res1115z00_1507);
							}
						}
					}
				}
		}

	}



/* &<@anonymous:1317> */
	obj_t BGl_z62zc3z04anonymousza31317ze3ze5zzinline_appz00(obj_t
		BgL_envz00_2355, obj_t BgL_nz00_2357)
	{
		{	/* Inline/app.scm 90 */
			{	/* Inline/app.scm 90 */
				obj_t BgL_an_exitd1113z00_2356;

				BgL_an_exitd1113z00_2356 =
					PROCEDURE_REF(BgL_envz00_2355, (int) (((long) 0)));
				{	/* Inline/app.scm 90 */
					bool_t BgL_test1768z00_2637;

					{	/* Inline/app.scm 90 */
						obj_t BgL_classz00_2376;

						BgL_classz00_2376 = BGl_kwotez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_nz00_2357))
							{	/* Inline/app.scm 90 */
								BgL_objectz00_bglt BgL_arg1825z00_2377;

								BgL_arg1825z00_2377 = (BgL_objectz00_bglt) (BgL_nz00_2357);
								{	/* Inline/app.scm 90 */
									bool_t BgL_arg1822z00_2378;
									bool_t BgL_arg1823z00_2379;

									{	/* Inline/app.scm 90 */
										long BgL_idxz00_2380;

										BgL_idxz00_2380 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2377);
										BgL_arg1822z00_2378 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2380 + ((long) 2))) == BgL_classz00_2376);
									}
									{	/* Inline/app.scm 90 */
										bool_t BgL_res1703z00_2383;

										{	/* Inline/app.scm 90 */
											obj_t BgL_oclassz00_2384;

											{	/* Inline/app.scm 90 */
												long BgL_arg1833z00_2385;

												{	/* Inline/app.scm 90 */
													long BgL_arg1834z00_2386;

													BgL_arg1834z00_2386 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2377);
													BgL_arg1833z00_2385 =
														(BgL_arg1834z00_2386 - OBJECT_TYPE);
												}
												BgL_oclassz00_2384 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2385);
											}
											{	/* Inline/app.scm 90 */
												bool_t BgL__ortest_1110z00_2387;

												BgL__ortest_1110z00_2387 =
													(BgL_classz00_2376 == BgL_oclassz00_2384);
												if (BgL__ortest_1110z00_2387)
													{	/* Inline/app.scm 90 */
														BgL_res1703z00_2383 = BgL__ortest_1110z00_2387;
													}
												else
													{	/* Inline/app.scm 90 */
														long BgL_odepthz00_2388;

														BgL_odepthz00_2388 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2384);
														if ((((long) 2) < BgL_odepthz00_2388))
															{	/* Inline/app.scm 90 */
																obj_t BgL_arg1821z00_2389;

																BgL_arg1821z00_2389 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2384,
																	((long) 2));
																BgL_res1703z00_2383 =
																	(BgL_arg1821z00_2389 == BgL_classz00_2376);
															}
														else
															{	/* Inline/app.scm 90 */
																BgL_res1703z00_2383 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2379 = BgL_res1703z00_2383;
									}
									BgL_test1768z00_2637 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2378, BgL_arg1823z00_2379);
								}
							}
						else
							{	/* Inline/app.scm 90 */
								BgL_test1768z00_2637 = ((bool_t) 0);
							}
					}
					if (BgL_test1768z00_2637)
						{	/* Inline/app.scm 90 */
							return
								unwind_stack_until(BgL_an_exitd1113z00_2356, BFALSE, BTRUE,
								BFALSE, BFALSE);
						}
					else
						{	/* Inline/app.scm 90 */
							return BFALSE;
						}
				}
			}
		}

	}



/* inline-app? */
	BGL_EXPORTED_DEF bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt BgL_varz00_10,
		long BgL_kfactorz00_11, long BgL_callzd2siza7ez75_12, obj_t BgL_stackz00_13)
	{
		{	/* Inline/app.scm 96 */
			{	/* Inline/app.scm 101 */
				BgL_valuez00_bglt BgL_sfunz00_1513;

				BgL_sfunz00_1513 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00);
				{	/* Inline/app.scm 101 */
					obj_t BgL_bodyz00_1514;

					{	/* Inline/app.scm 102 */
						bool_t BgL_test1773z00_2658;

						{	/* Inline/app.scm 102 */
							obj_t BgL_classz00_2008;

							BgL_classz00_2008 = BGl_isfunz00zzinline_inlinez00;
							{	/* Inline/app.scm 102 */
								BgL_objectz00_bglt BgL_arg1825z00_2010;

								{	/* Inline/app.scm 102 */
									obj_t BgL_tmpz00_2659;

									BgL_tmpz00_2659 =
										((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1513));
									BgL_arg1825z00_2010 = (BgL_objectz00_bglt) (BgL_tmpz00_2659);
								}
								{	/* Inline/app.scm 102 */
									bool_t BgL_arg1822z00_2013;
									bool_t BgL_arg1823z00_2014;

									{	/* Inline/app.scm 102 */
										long BgL_idxz00_2017;

										BgL_idxz00_2017 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2010);
										BgL_arg1822z00_2013 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2017 + ((long) 4))) == BgL_classz00_2008);
									}
									{	/* Inline/app.scm 102 */
										bool_t BgL_res1704z00_2039;

										{	/* Inline/app.scm 102 */
											obj_t BgL_oclassz00_2025;

											{	/* Inline/app.scm 102 */
												long BgL_arg1833z00_2031;

												{	/* Inline/app.scm 102 */
													long BgL_arg1834z00_2032;

													BgL_arg1834z00_2032 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2010);
													BgL_arg1833z00_2031 =
														(BgL_arg1834z00_2032 - OBJECT_TYPE);
												}
												BgL_oclassz00_2025 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2031);
											}
											{	/* Inline/app.scm 102 */
												bool_t BgL__ortest_1110z00_2026;

												BgL__ortest_1110z00_2026 =
													(BgL_classz00_2008 == BgL_oclassz00_2025);
												if (BgL__ortest_1110z00_2026)
													{	/* Inline/app.scm 102 */
														BgL_res1704z00_2039 = BgL__ortest_1110z00_2026;
													}
												else
													{	/* Inline/app.scm 102 */
														long BgL_odepthz00_2027;

														BgL_odepthz00_2027 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2025);
														if ((((long) 4) < BgL_odepthz00_2027))
															{	/* Inline/app.scm 102 */
																obj_t BgL_arg1821z00_2029;

																BgL_arg1821z00_2029 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2025,
																	((long) 4));
																BgL_res1704z00_2039 =
																	(BgL_arg1821z00_2029 == BgL_classz00_2008);
															}
														else
															{	/* Inline/app.scm 102 */
																BgL_res1704z00_2039 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2014 = BgL_res1704z00_2039;
									}
									BgL_test1773z00_2658 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2013, BgL_arg1823z00_2014);
								}
							}
						}
						if (BgL_test1773z00_2658)
							{
								BgL_nodez00_bglt BgL_auxz00_2678;

								{
									BgL_isfunz00_bglt BgL_auxz00_2679;

									{
										obj_t BgL_auxz00_2680;

										{	/* Inline/app.scm 103 */
											BgL_objectz00_bglt BgL_tmpz00_2681;

											BgL_tmpz00_2681 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1513));
											BgL_auxz00_2680 = BGL_OBJECT_WIDENING(BgL_tmpz00_2681);
										}
										BgL_auxz00_2679 = ((BgL_isfunz00_bglt) BgL_auxz00_2680);
									}
									BgL_auxz00_2678 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2679))->
										BgL_originalzd2bodyzd2);
								}
								BgL_bodyz00_1514 = ((obj_t) BgL_auxz00_2678);
							}
						else
							{	/* Inline/app.scm 102 */
								BgL_bodyz00_1514 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_sfunz00_1513)))->BgL_bodyz00);
							}
					}
					{	/* Inline/app.scm 102 */

						{	/* Inline/app.scm 106 */
							bool_t BgL_test1776z00_2690;

							{	/* Inline/app.scm 106 */
								obj_t BgL_classz00_2043;

								BgL_classz00_2043 = BGl_nodez00zzast_nodez00;
								if (BGL_OBJECTP(BgL_bodyz00_1514))
									{	/* Inline/app.scm 106 */
										BgL_objectz00_bglt BgL_arg1825z00_2045;

										BgL_arg1825z00_2045 =
											(BgL_objectz00_bglt) (BgL_bodyz00_1514);
										{	/* Inline/app.scm 106 */
											bool_t BgL_arg1822z00_2048;
											bool_t BgL_arg1823z00_2049;

											{	/* Inline/app.scm 106 */
												long BgL_idxz00_2052;

												BgL_idxz00_2052 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2045);
												BgL_arg1822z00_2048 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2052 + ((long) 1))) ==
													BgL_classz00_2043);
											}
											{	/* Inline/app.scm 106 */
												bool_t BgL_res1705z00_2074;

												{	/* Inline/app.scm 106 */
													obj_t BgL_oclassz00_2060;

													{	/* Inline/app.scm 106 */
														long BgL_arg1833z00_2066;

														{	/* Inline/app.scm 106 */
															long BgL_arg1834z00_2067;

															BgL_arg1834z00_2067 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2045);
															BgL_arg1833z00_2066 =
																(BgL_arg1834z00_2067 - OBJECT_TYPE);
														}
														BgL_oclassz00_2060 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2066);
													}
													{	/* Inline/app.scm 106 */
														bool_t BgL__ortest_1110z00_2061;

														BgL__ortest_1110z00_2061 =
															(BgL_classz00_2043 == BgL_oclassz00_2060);
														if (BgL__ortest_1110z00_2061)
															{	/* Inline/app.scm 106 */
																BgL_res1705z00_2074 = BgL__ortest_1110z00_2061;
															}
														else
															{	/* Inline/app.scm 106 */
																long BgL_odepthz00_2062;

																BgL_odepthz00_2062 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2060);
																if ((((long) 1) < BgL_odepthz00_2062))
																	{	/* Inline/app.scm 106 */
																		obj_t BgL_arg1821z00_2064;

																		BgL_arg1821z00_2064 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2060, ((long) 1));
																		BgL_res1705z00_2074 =
																			(BgL_arg1821z00_2064 ==
																			BgL_classz00_2043);
																	}
																else
																	{	/* Inline/app.scm 106 */
																		BgL_res1705z00_2074 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2049 = BgL_res1705z00_2074;
											}
											BgL_test1776z00_2690 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2048,
												BgL_arg1823z00_2049);
										}
									}
								else
									{	/* Inline/app.scm 106 */
										BgL_test1776z00_2690 = ((bool_t) 0);
									}
							}
							if (BgL_test1776z00_2690)
								{	/* Inline/app.scm 106 */
									if (CBOOL(BGl_za2inliningzf3za2zf3zzengine_paramz00))
										{	/* Inline/app.scm 113 */
											bool_t BgL_test1782z00_2711;

											if (CBOOL
												(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
												{	/* Inline/app.scm 113 */
													if (CBOOL
														(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 114 */
															BgL_test1782z00_2711 = ((bool_t) 0);
														}
													else
														{	/* Inline/app.scm 114 */
															BgL_test1782z00_2711 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_varz00_10), BgL_stackz00_13));
														}
												}
											else
												{	/* Inline/app.scm 113 */
													BgL_test1782z00_2711 = ((bool_t) 0);
												}
											if (BgL_test1782z00_2711)
												{	/* Inline/app.scm 113 */
													return ((bool_t) 0);
												}
											else
												{	/* Inline/app.scm 113 */
													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_sfunz00_1513)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 2))))
														{	/* Inline/app.scm 119 */
															return ((bool_t) 0);
														}
													else
														{	/* Inline/app.scm 123 */
															bool_t BgL_test1786z00_2724;

															if (
																(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
																	CNST_TABLE_REF(((long) 3))))
																{	/* Inline/app.scm 123 */
																	BgL_test1786z00_2724 = ((bool_t) 0);
																}
															else
																{	/* Inline/app.scm 123 */
																	if (
																		((((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_1513)))->
																				BgL_classz00) ==
																			CNST_TABLE_REF(((long) 0))))
																		{	/* Inline/app.scm 124 */
																			BgL_test1786z00_2724 =
																				BGl_iszd2recursivezf3z21zzinline_recursionz00
																				(BgL_varz00_10);
																		}
																	else
																		{	/* Inline/app.scm 124 */
																			BgL_test1786z00_2724 = ((bool_t) 0);
																		}
																}
															if (BgL_test1786z00_2724)
																{	/* Inline/app.scm 123 */
																	return ((bool_t) 0);
																}
															else
																{	/* Inline/app.scm 123 */
																	if (
																		((((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_1513)))->
																				BgL_classz00) ==
																			CNST_TABLE_REF(((long) 4))))
																		{	/* Inline/app.scm 129 */
																			return ((bool_t) 0);
																		}
																	else
																		{	/* Inline/app.scm 133 */
																			bool_t BgL_test1791z00_2739;

																			if (
																				((((BgL_sfunz00_bglt) COBJECT(
																								((BgL_sfunz00_bglt)
																									BgL_sfunz00_1513)))->
																						BgL_classz00) ==
																					CNST_TABLE_REF(((long) 0))))
																				{	/* Inline/app.scm 133 */
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(((obj_t) BgL_varz00_10),
																								BgL_stackz00_13)))
																						{	/* Inline/app.scm 134 */
																							BgL_test1791z00_2739 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Inline/app.scm 135 */
																							bool_t BgL_test1794z00_2749;

																							if (
																								(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																									==
																									CNST_TABLE_REF(((long) 5))))
																								{	/* Inline/app.scm 136 */
																									bool_t BgL_test1796z00_2753;

																									{	/* Inline/app.scm 136 */
																										obj_t BgL_arg1494z00_1584;

																										BgL_arg1494z00_1584 =
																											(((BgL_sfunz00_bglt)
																												COBJECT((
																														(BgL_sfunz00_bglt)
																														BgL_sfunz00_1513)))->
																											BgL_bodyz00);
																										BgL_test1796z00_2753 =
																											CBOOL
																											(BGl_zc3z04exitza31314ze3ze70z60zzinline_appz00
																											(BgL_arg1494z00_1584));
																									}
																									if (BgL_test1796z00_2753)
																										{	/* Inline/app.scm 136 */
																											BgL_test1794z00_2749 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Inline/app.scm 136 */
																											BgL_test1794z00_2749 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Inline/app.scm 135 */
																									BgL_test1794z00_2749 =
																										((bool_t) 1);
																								}
																							if (BgL_test1794z00_2749)
																								{	/* Inline/app.scm 137 */
																									bool_t
																										BgL__ortest_1118z00_1580;
																									if (
																										(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																											==
																											CNST_TABLE_REF(((long)
																													6))))
																										{	/* Inline/app.scm 137 */
																											BgL__ortest_1118z00_1580 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Inline/app.scm 137 */
																											BgL__ortest_1118z00_1580 =
																												((bool_t) 1);
																										}
																									if (BgL__ortest_1118z00_1580)
																										{	/* Inline/app.scm 137 */
																											BgL_test1791z00_2739 =
																												BgL__ortest_1118z00_1580;
																										}
																									else
																										{	/* Inline/app.scm 137 */
																											BgL_test1791z00_2739 =
																												CBOOL(
																												(((BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																BgL_sfunz00_1513)))->
																													BgL_predicatezd2ofzd2));
																										}
																								}
																							else
																								{	/* Inline/app.scm 135 */
																									BgL_test1791z00_2739 =
																										((bool_t) 0);
																								}
																						}
																				}
																			else
																				{	/* Inline/app.scm 133 */
																					BgL_test1791z00_2739 = ((bool_t) 0);
																				}
																			if (BgL_test1791z00_2739)
																				{	/* Inline/app.scm 133 */
																					return ((bool_t) 1);
																				}
																			else
																				{	/* Inline/app.scm 142 */
																					bool_t BgL_test1799z00_2765;

																					{	/* Inline/app.scm 142 */
																						bool_t BgL_test1800z00_2766;

																						{	/* Inline/app.scm 142 */
																							obj_t BgL_classz00_2081;

																							BgL_classz00_2081 =
																								BGl_globalz00zzast_varz00;
																							{	/* Inline/app.scm 142 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_2083;
																								{	/* Inline/app.scm 142 */
																									obj_t BgL_tmpz00_2767;

																									BgL_tmpz00_2767 =
																										((obj_t) BgL_varz00_10);
																									BgL_arg1825z00_2083 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_2767);
																								}
																								{	/* Inline/app.scm 142 */
																									bool_t BgL_arg1822z00_2086;
																									bool_t BgL_arg1823z00_2087;

																									{	/* Inline/app.scm 142 */
																										long BgL_idxz00_2090;

																										BgL_idxz00_2090 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_2083);
																										BgL_arg1822z00_2086 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_2090 +
																													((long) 2))) ==
																											BgL_classz00_2081);
																									}
																									{	/* Inline/app.scm 142 */
																										bool_t BgL_res1706z00_2112;

																										{	/* Inline/app.scm 142 */
																											obj_t BgL_oclassz00_2098;

																											{	/* Inline/app.scm 142 */
																												long
																													BgL_arg1833z00_2104;
																												{	/* Inline/app.scm 142 */
																													long
																														BgL_arg1834z00_2105;
																													BgL_arg1834z00_2105 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_2083);
																													BgL_arg1833z00_2104 =
																														(BgL_arg1834z00_2105
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_2098 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_2104);
																											}
																											{	/* Inline/app.scm 142 */
																												bool_t
																													BgL__ortest_1110z00_2099;
																												BgL__ortest_1110z00_2099
																													=
																													(BgL_classz00_2081 ==
																													BgL_oclassz00_2098);
																												if (BgL__ortest_1110z00_2099)
																													{	/* Inline/app.scm 142 */
																														BgL_res1706z00_2112
																															=
																															BgL__ortest_1110z00_2099;
																													}
																												else
																													{	/* Inline/app.scm 142 */
																														long
																															BgL_odepthz00_2100;
																														BgL_odepthz00_2100 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_2098);
																														if ((((long) 2) <
																																BgL_odepthz00_2100))
																															{	/* Inline/app.scm 142 */
																																obj_t
																																	BgL_arg1821z00_2102;
																																BgL_arg1821z00_2102
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_2098,
																																	((long) 2));
																																BgL_res1706z00_2112
																																	=
																																	(BgL_arg1821z00_2102
																																	==
																																	BgL_classz00_2081);
																															}
																														else
																															{	/* Inline/app.scm 142 */
																																BgL_res1706z00_2112
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_2087 =
																											BgL_res1706z00_2112;
																									}
																									BgL_test1800z00_2766 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_2086,
																										BgL_arg1823z00_2087);
																								}
																							}
																						}
																						if (BgL_test1800z00_2766)
																							{	/* Inline/app.scm 142 */
																								BgL_test1799z00_2765 =
																									(
																									(((BgL_globalz00_bglt)
																											COBJECT((
																													(BgL_globalz00_bglt)
																													BgL_varz00_10)))->
																										BgL_importz00) ==
																									CNST_TABLE_REF(((long) 7)));
																							}
																						else
																							{	/* Inline/app.scm 142 */
																								BgL_test1799z00_2765 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test1799z00_2765)
																						{	/* Inline/app.scm 142 */
																							return ((bool_t) 0);
																						}
																					else
																						{	/* Inline/app.scm 142 */
																							if (CBOOL
																								(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
																								{	/* Inline/app.scm 149 */
																									bool_t BgL_test1804z00_2791;

																									{	/* Inline/app.scm 149 */
																										long BgL_arg1457z00_1573;
																										long BgL_arg1462z00_1574;

																										BgL_arg1457z00_1573 =
																											BGl_nodezd2siza7ez75zzinline_siza7eza7
																											(((BgL_nodez00_bglt)
																												BgL_bodyz00_1514));
																										BgL_arg1462z00_1574 =
																											(BgL_kfactorz00_11 *
																											BgL_callzd2siza7ez75_12);
																										BgL_test1804z00_2791 =
																											(BgL_arg1457z00_1573 <
																											BgL_arg1462z00_1574);
																									}
																									if (BgL_test1804z00_2791)
																										{	/* Inline/app.scm 149 */
																											return ((bool_t) 1);
																										}
																									else
																										{	/* Inline/app.scm 157 */
																											bool_t
																												BgL_test1805z00_2796;
																											{	/* Inline/app.scm 157 */
																												bool_t
																													BgL_test1806z00_2797;
																												{	/* Inline/app.scm 157 */
																													long
																														BgL_arg1456z00_1572;
																													BgL_arg1456z00_1572 =
																														BGl_nodezd2siza7ez75zzinline_siza7eza7
																														(((BgL_nodez00_bglt)
																															BgL_bodyz00_1514));
																													BgL_test1806z00_2797 =
																														(BgL_arg1456z00_1572
																														==
																														BgL_callzd2siza7ez75_12);
																												}
																												if (BgL_test1806z00_2797)
																													{	/* Inline/app.scm 157 */
																														if (CBOOL
																															(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(((obj_t)
																																		BgL_varz00_10),
																																	BgL_stackz00_13)))
																															{	/* Inline/app.scm 157 */
																																BgL_test1805z00_2796
																																	=
																																	((bool_t) 0);
																															}
																														else
																															{	/* Inline/app.scm 157 */
																																BgL_test1805z00_2796
																																	=
																																	((bool_t) 1);
																															}
																													}
																												else
																													{	/* Inline/app.scm 157 */
																														BgL_test1805z00_2796
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test1805z00_2796)
																												{	/* Inline/app.scm 157 */
																													return ((bool_t) 1);
																												}
																											else
																												{	/* Inline/app.scm 165 */
																													bool_t
																														BgL_test1808z00_2805;
																													if (((((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_occurrencez00) == ((long) 1)))
																														{	/* Inline/app.scm 166 */
																															bool_t
																																BgL_test1810z00_2809;
																															{	/* Inline/app.scm 166 */
																																bool_t
																																	BgL_test1811z00_2810;
																																{	/* Inline/app.scm 166 */
																																	obj_t
																																		BgL_classz00_2122;
																																	BgL_classz00_2122
																																		=
																																		BGl_globalz00zzast_varz00;
																																	{	/* Inline/app.scm 166 */
																																		BgL_objectz00_bglt
																																			BgL_arg1825z00_2124;
																																		{	/* Inline/app.scm 166 */
																																			obj_t
																																				BgL_tmpz00_2811;
																																			BgL_tmpz00_2811
																																				=
																																				((obj_t)
																																				BgL_varz00_10);
																																			BgL_arg1825z00_2124
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_tmpz00_2811);
																																		}
																																		{	/* Inline/app.scm 166 */
																																			bool_t
																																				BgL_arg1822z00_2127;
																																			bool_t
																																				BgL_arg1823z00_2128;
																																			{	/* Inline/app.scm 166 */
																																				long
																																					BgL_idxz00_2131;
																																				BgL_idxz00_2131
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1825z00_2124);
																																				BgL_arg1822z00_2127
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_2131
																																							+
																																							((long) 2))) == BgL_classz00_2122);
																																			}
																																			{	/* Inline/app.scm 166 */
																																				bool_t
																																					BgL_res1707z00_2153;
																																				{	/* Inline/app.scm 166 */
																																					obj_t
																																						BgL_oclassz00_2139;
																																					{	/* Inline/app.scm 166 */
																																						long
																																							BgL_arg1833z00_2145;
																																						{	/* Inline/app.scm 166 */
																																							long
																																								BgL_arg1834z00_2146;
																																							BgL_arg1834z00_2146
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1825z00_2124);
																																							BgL_arg1833z00_2145
																																								=
																																								(BgL_arg1834z00_2146
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_2139
																																							=
																																							VECTOR_REF
																																							(BGl_za2classesza2z00zz__objectz00,
																																							BgL_arg1833z00_2145);
																																					}
																																					{	/* Inline/app.scm 166 */
																																						bool_t
																																							BgL__ortest_1110z00_2140;
																																						BgL__ortest_1110z00_2140
																																							=
																																							(BgL_classz00_2122
																																							==
																																							BgL_oclassz00_2139);
																																						if (BgL__ortest_1110z00_2140)
																																							{	/* Inline/app.scm 166 */
																																								BgL_res1707z00_2153
																																									=
																																									BgL__ortest_1110z00_2140;
																																							}
																																						else
																																							{	/* Inline/app.scm 166 */
																																								long
																																									BgL_odepthz00_2141;
																																								BgL_odepthz00_2141
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_oclassz00_2139);
																																								if ((((long) 2) < BgL_odepthz00_2141))
																																									{	/* Inline/app.scm 166 */
																																										obj_t
																																											BgL_arg1821z00_2143;
																																										BgL_arg1821z00_2143
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_oclassz00_2139,
																																											((long) 2));
																																										BgL_res1707z00_2153
																																											=
																																											(BgL_arg1821z00_2143
																																											==
																																											BgL_classz00_2122);
																																									}
																																								else
																																									{	/* Inline/app.scm 166 */
																																										BgL_res1707z00_2153
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_arg1823z00_2128
																																					=
																																					BgL_res1707z00_2153;
																																			}
																																			BgL_test1811z00_2810
																																				=
																																				BGL_ISA_C_BACKEND
																																				(BgL_arg1822z00_2127,
																																				BgL_arg1823z00_2128);
																																		}
																																	}
																																}
																																if (BgL_test1811z00_2810)
																																	{	/* Inline/app.scm 166 */
																																		BgL_test1810z00_2809
																																			=
																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_varz00_10)))->BgL_importz00) == CNST_TABLE_REF(((long) 1)));
																																	}
																																else
																																	{	/* Inline/app.scm 166 */
																																		BgL_test1810z00_2809
																																			=
																																			((bool_t)
																																			1);
																																	}
																															}
																															if (BgL_test1810z00_2809)
																																{	/* Inline/app.scm 167 */
																																	obj_t
																																		BgL_arg1418z00_1565;
																																	BgL_arg1418z00_1565
																																		=
																																		(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00))))->BgL_bodyz00);
																																	{	/* Inline/app.scm 167 */
																																		obj_t
																																			BgL_classz00_2157;
																																		BgL_classz00_2157
																																			=
																																			BGl_retblockz00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_arg1418z00_1565))
																																			{	/* Inline/app.scm 167 */
																																				BgL_objectz00_bglt
																																					BgL_arg1825z00_2159;
																																				BgL_arg1825z00_2159
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_arg1418z00_1565);
																																				{	/* Inline/app.scm 167 */
																																					bool_t
																																						BgL_arg1822z00_2162;
																																					bool_t
																																						BgL_arg1823z00_2163;
																																					{	/* Inline/app.scm 167 */
																																						long
																																							BgL_idxz00_2166;
																																						BgL_idxz00_2166
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1825z00_2159);
																																						BgL_arg1822z00_2162
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_2166
																																									+
																																									((long) 2))) == BgL_classz00_2157);
																																					}
																																					{	/* Inline/app.scm 167 */
																																						bool_t
																																							BgL_res1708z00_2188;
																																						{	/* Inline/app.scm 167 */
																																							obj_t
																																								BgL_oclassz00_2174;
																																							{	/* Inline/app.scm 167 */
																																								long
																																									BgL_arg1833z00_2180;
																																								{	/* Inline/app.scm 167 */
																																									long
																																										BgL_arg1834z00_2181;
																																									BgL_arg1834z00_2181
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1825z00_2159);
																																									BgL_arg1833z00_2180
																																										=
																																										(BgL_arg1834z00_2181
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_2174
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1833z00_2180);
																																							}
																																							{	/* Inline/app.scm 167 */
																																								bool_t
																																									BgL__ortest_1110z00_2175;
																																								BgL__ortest_1110z00_2175
																																									=
																																									(BgL_classz00_2157
																																									==
																																									BgL_oclassz00_2174);
																																								if (BgL__ortest_1110z00_2175)
																																									{	/* Inline/app.scm 167 */
																																										BgL_res1708z00_2188
																																											=
																																											BgL__ortest_1110z00_2175;
																																									}
																																								else
																																									{	/* Inline/app.scm 167 */
																																										long
																																											BgL_odepthz00_2176;
																																										BgL_odepthz00_2176
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_2174);
																																										if ((((long) 2) < BgL_odepthz00_2176))
																																											{	/* Inline/app.scm 167 */
																																												obj_t
																																													BgL_arg1821z00_2178;
																																												BgL_arg1821z00_2178
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_2174,
																																													((long) 2));
																																												BgL_res1708z00_2188
																																													=
																																													(BgL_arg1821z00_2178
																																													==
																																													BgL_classz00_2157);
																																											}
																																										else
																																											{	/* Inline/app.scm 167 */
																																												BgL_res1708z00_2188
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_arg1823z00_2163
																																							=
																																							BgL_res1708z00_2188;
																																					}
																																					BgL_test1808z00_2805
																																						=
																																						BGL_ISA_C_BACKEND
																																						(BgL_arg1822z00_2162,
																																						BgL_arg1823z00_2163);
																																				}
																																			}
																																		else
																																			{	/* Inline/app.scm 167 */
																																				BgL_test1808z00_2805
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																}
																															else
																																{	/* Inline/app.scm 166 */
																																	BgL_test1808z00_2805
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																													else
																														{	/* Inline/app.scm 165 */
																															BgL_test1808z00_2805
																																= ((bool_t) 0);
																														}
																													if (BgL_test1808z00_2805)
																														{	/* Inline/app.scm 165 */
																															return ((bool_t)
																																1);
																														}
																													else
																														{	/* Inline/app.scm 165 */
																															return ((bool_t)
																																0);
																														}
																												}
																										}
																								}
																							else
																								{	/* Inline/app.scm 146 */
																									return ((bool_t) 0);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Inline/app.scm 109 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Inline/app.scm 106 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}

	}



/* &inline-app? */
	obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t BgL_envz00_2358,
		obj_t BgL_varz00_2359, obj_t BgL_kfactorz00_2360,
		obj_t BgL_callzd2siza7ez75_2361, obj_t BgL_stackz00_2362)
	{
		{	/* Inline/app.scm 96 */
			return
				BBOOL(BGl_inlinezd2appzf3z21zzinline_appz00(
					((BgL_variablez00_bglt) BgL_varz00_2359),
					(long) CINT(BgL_kfactorz00_2360),
					(long) CINT(BgL_callzd2siza7ez75_2361), BgL_stackz00_2362));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00()
	{
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long) 292140514),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 243191744),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long)
					101873001), BSTRING_TO_STRING(BGl_string1715z00zzinline_appz00));
		}

	}

#ifdef __cplusplus
}
#endif
