/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/loop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1336z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2makezd2b1306z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
	static obj_t BGl_z62findzd2letzd2funzf3zd2extern1286z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1304z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2switch1296z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2condit1292z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2atom1314z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1342za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_z62findzd2letzd2funzf3zd2app1280z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinline_loopz00();
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1310z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_loopz00();
	static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2appzd2ly1326za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_loopz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1348z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1346z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2extern1330z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2switch1340z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nestzd2loopz121311za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2funcall1328z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2kwote1316z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1344za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2va1300z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sequen1276z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2cast1332z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121354zb0zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1350za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1352za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setq1334z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sync1322z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2fail1338z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_loopz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00();
	static obj_t BGl_gczd2rootszd2initz00zzinline_loopz00();
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1302z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1298z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2var1318z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sequence1320z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf31273z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2cast1288z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1282z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2setq1290z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2sync1278z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1308z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2app1324z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2funcal1284z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2fail1294z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21949za7,
		BGl_z62findzd2letzd2funzf3z91zzinline_loopz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762innerza7d2loopza71950za7,
		BGl_z62innerzd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1900z00zzinline_loopz00,
		BgL_bgl_string1900za700za7za7i1951za7, "find-let-fun?1273", 17);
	      DEFINE_STRING(BGl_string1902z00zzinline_loopz00,
		BgL_bgl_string1902za700za7za7i1952za7, "nest-loop!1311", 14);
	      DEFINE_STRING(BGl_string1903z00zzinline_loopz00,
		BgL_bgl_string1903za700za7za7i1953za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1905z00zzinline_loopz00,
		BgL_bgl_string1905za700za7za7i1954za7, "find-let-fun?", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762isza7d2loopza7f3za71955z00,
		BGl_z62iszd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711956za7,
		BGl_z62nestzd2loopz121311za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21957za7,
		BGl_z62findzd2letzd2funzf3zd2sequen1276z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21958za7,
		BGl_z62findzd2letzd2funzf3zd2sync1278z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21959za7,
		BGl_z62findzd2letzd2funzf3zd2app1280z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21960za7,
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1282z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21961za7,
		BGl_z62findzd2letzd2funzf3zd2funcal1284z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21962za7,
		BGl_z62findzd2letzd2funzf3zd2extern1286z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21963za7,
		BGl_z62findzd2letzd2funzf3zd2cast1288z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21964za7,
		BGl_z62findzd2letzd2funzf3zd2setq1290z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21965za7,
		BGl_z62findzd2letzd2funzf3zd2condit1292z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21966za7,
		BGl_z62findzd2letzd2funzf3zd2fail1294z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21967za7,
		BGl_z62findzd2letzd2funzf3zd2switch1296z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21968za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1298z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21969za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2va1300z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1924z00zzinline_loopz00,
		BgL_bgl_string1924za700za7za7i1970za7, "nest-loop!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21971za7,
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1302z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21972za7,
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1304z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711973za7,
		BGl_z62nestzd2loopz12za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21974za7,
		BGl_z62findzd2letzd2funzf3zd2makezd2b1306z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21975za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1308z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21976za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1310z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711977za7,
		BGl_z62nestzd2loopz12zd2atom1314z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711978za7,
		BGl_z62nestzd2loopz12zd2kwote1316z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711979za7,
		BGl_z62nestzd2loopz12zd2var1318z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711980za7,
		BGl_z62nestzd2loopz12zd2sequence1320z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711981za7,
		BGl_z62nestzd2loopz12zd2sync1322z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711982za7,
		BGl_z62nestzd2loopz12zd2app1324z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711983za7,
		BGl_z62nestzd2loopz12zd2appzd2ly1326za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711984za7,
		BGl_z62nestzd2loopz12zd2funcall1328z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711985za7,
		BGl_z62nestzd2loopz12zd2extern1330z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711986za7,
		BGl_z62nestzd2loopz12zd2cast1332z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711987za7,
		BGl_z62nestzd2loopz12zd2setq1334z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711988za7,
		BGl_z62nestzd2loopz12zd2condition1336z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711989za7,
		BGl_z62nestzd2loopz12zd2fail1338z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711990za7,
		BGl_z62nestzd2loopz12zd2switch1340z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711991za7,
		BGl_z62nestzd2loopz12zd2letzd2fun1342za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1945z00zzinline_loopz00,
		BgL_bgl_string1945za700za7za7i1992za7, "inline_loop", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711993za7,
		BGl_z62nestzd2loopz12zd2letzd2var1344za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1946z00zzinline_loopz00,
		BgL_bgl_string1946za700za7za7i1994za7, "nest-loop!1311 done ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711995za7,
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1346z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711996za7,
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1348z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711997za7,
		BGl_z62nestzd2loopz12zd2makezd2box1350za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711998za7,
		BGl_z62nestzd2loopz12zd2boxzd2ref1352za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711999za7,
		BGl_z62nestzd2loopz12zd2boxzd2setz121354zb0zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22000za7,
		BGl_z62findzd2letzd2funzf31273z91zzinline_loopz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_loopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long
		BgL_checksumz00_2638, char *BgL_fromz00_2639)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_loopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_loopz00();
					BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
					BGl_cnstzd2initzd2zzinline_loopz00();
					BGl_importedzd2moduleszd2initz00zzinline_loopz00();
					BGl_genericzd2initzd2zzinline_loopz00();
					BGl_methodzd2initzd2zzinline_loopz00();
					return BGl_toplevelzd2initzd2zzinline_loopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_loop");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			{	/* Inline/loop.scm 15 */
				obj_t BgL_cportz00_2498;

				{	/* Inline/loop.scm 15 */
					obj_t BgL_stringz00_2506;

					BgL_stringz00_2506 = BGl_string1946z00zzinline_loopz00;
					{	/* Inline/loop.scm 15 */
						obj_t BgL_startz00_2507;

						BgL_startz00_2507 = BINT(((long) 0));
						{	/* Inline/loop.scm 15 */
							obj_t BgL_endz00_2508;

							BgL_endz00_2508 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2506)));
							{	/* Inline/loop.scm 15 */

								BgL_cportz00_2498 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2506, BgL_startz00_2507, BgL_endz00_2508);
				}}}}
				{
					long BgL_iz00_2499;

					BgL_iz00_2499 = ((long) 1);
				BgL_loopz00_2500:
					if ((BgL_iz00_2499 == ((long) -1)))
						{	/* Inline/loop.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/loop.scm 15 */
							{	/* Inline/loop.scm 15 */
								obj_t BgL_arg1948z00_2502;

								{	/* Inline/loop.scm 15 */

									{	/* Inline/loop.scm 15 */
										obj_t BgL_locationz00_2504;

										BgL_locationz00_2504 = BBOOL(((bool_t) 0));
										{	/* Inline/loop.scm 15 */

											BgL_arg1948z00_2502 =
												BGl_readz00zz__readerz00(BgL_cportz00_2498,
												BgL_locationz00_2504);
										}
									}
								}
								{	/* Inline/loop.scm 15 */
									int BgL_tmpz00_2669;

									BgL_tmpz00_2669 = (int) (BgL_iz00_2499);
									CNST_TABLE_SET(BgL_tmpz00_2669, BgL_arg1948z00_2502);
							}}
							{	/* Inline/loop.scm 15 */
								int BgL_auxz00_2505;

								BgL_auxz00_2505 = (int) ((BgL_iz00_2499 - ((long) 1)));
								{
									long BgL_iz00_2674;

									BgL_iz00_2674 = (long) (BgL_auxz00_2505);
									BgL_iz00_2499 = BgL_iz00_2674;
									goto BgL_loopz00_2500;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}

	}



/* is-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_3)
	{
		{	/* Inline/loop.scm 39 */
			if (BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_3))
				{	/* Inline/loop.scm 42 */
					long BgL_arg1361z00_1568;

					{	/* Inline/loop.scm 42 */
						obj_t BgL_arg1363z00_1569;

						{	/* Inline/loop.scm 42 */
							BgL_sfunz00_bglt BgL_oz00_2127;

							BgL_oz00_2127 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
									BgL_valuez00));
							{
								BgL_isfunz00_bglt BgL_auxz00_2681;

								{
									obj_t BgL_auxz00_2682;

									{	/* Inline/loop.scm 42 */
										BgL_objectz00_bglt BgL_tmpz00_2683;

										BgL_tmpz00_2683 = ((BgL_objectz00_bglt) BgL_oz00_2127);
										BgL_auxz00_2682 = BGL_OBJECT_WIDENING(BgL_tmpz00_2683);
									}
									BgL_auxz00_2681 = ((BgL_isfunz00_bglt) BgL_auxz00_2682);
								}
								BgL_arg1363z00_1569 =
									(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2681))->
									BgL_recursivezd2callszd2);
						}}
						BgL_arg1361z00_1568 = bgl_list_length(BgL_arg1363z00_1569);
					}
					return (BgL_arg1361z00_1568 == ((long) 1));
				}
			else
				{	/* Inline/loop.scm 41 */
					return ((bool_t) 0);
				}
		}

	}



/* &is-loop? */
	obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2321,
		obj_t BgL_variablez00_2322)
	{
		{	/* Inline/loop.scm 39 */
			return
				BBOOL(BGl_iszd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2322)));
		}

	}



/* inner-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		{	/* Inline/loop.scm 49 */
			{	/* Inline/loop.scm 50 */
				obj_t BgL_arg1366z00_2130;

				BgL_arg1366z00_2130 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_4))->
									BgL_valuez00))))->BgL_bodyz00);
				return
					CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(((BgL_nodez00_bglt)
							BgL_arg1366z00_2130)));
			}
		}

	}



/* &inner-loop? */
	obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2323,
		obj_t BgL_variablez00_2324)
	{
		{	/* Inline/loop.scm 49 */
			return
				BBOOL(BGl_innerzd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2324)));
		}

	}



/* find-let-fun?* */
	bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_24)
	{
		{	/* Inline/loop.scm 198 */
			{
				obj_t BgL_nodeza2za2_1574;

				BgL_nodeza2za2_1574 = BgL_nodeza2za2_24;
			BgL_zc3z04anonymousza31368ze3z87_1575:
				if (NULLP(BgL_nodeza2za2_1574))
					{	/* Inline/loop.scm 201 */
						return ((bool_t) 0);
					}
				else
					{	/* Inline/loop.scm 203 */
						bool_t BgL_test2005z00_2704;

						{	/* Inline/loop.scm 203 */
							obj_t BgL_arg1401z00_1580;

							BgL_arg1401z00_1580 = CAR(((obj_t) BgL_nodeza2za2_1574));
							BgL_test2005z00_2704 =
								CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1401z00_1580)));
						}
						if (BgL_test2005z00_2704)
							{	/* Inline/loop.scm 203 */
								return ((bool_t) 1);
							}
						else
							{	/* Inline/loop.scm 206 */
								obj_t BgL_arg1400z00_1579;

								BgL_arg1400z00_1579 = CDR(((obj_t) BgL_nodeza2za2_1574));
								{
									obj_t BgL_nodeza2za2_2712;

									BgL_nodeza2za2_2712 = BgL_arg1400z00_1579;
									BgL_nodeza2za2_1574 = BgL_nodeza2za2_2712;
									goto BgL_zc3z04anonymousza31368ze3z87_1575;
								}
							}
					}
			}
		}

	}



/* nest-loop!* */
	obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_91,
		obj_t BgL_varz00_92, obj_t BgL_nesterz00_93)
	{
		{	/* Inline/loop.scm 401 */
			{
				obj_t BgL_nodeza2za2_1583;

				BgL_nodeza2za2_1583 = BgL_nodeza2za2_91;
			BgL_zc3z04anonymousza31402ze3z87_1584:
				if (NULLP(BgL_nodeza2za2_1583))
					{	/* Inline/loop.scm 403 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Inline/loop.scm 403 */
						{	/* Inline/loop.scm 406 */
							BgL_nodez00_bglt BgL_arg1415z00_1586;

							{	/* Inline/loop.scm 406 */
								obj_t BgL_arg1416z00_1587;

								BgL_arg1416z00_1587 = CAR(((obj_t) BgL_nodeza2za2_1583));
								BgL_arg1415z00_1586 =
									BGl_nestzd2loopz12zc0zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1416z00_1587),
									((BgL_localz00_bglt) BgL_varz00_92), BgL_nesterz00_93);
							}
							{	/* Inline/loop.scm 406 */
								obj_t BgL_auxz00_2723;
								obj_t BgL_tmpz00_2721;

								BgL_auxz00_2723 = ((obj_t) BgL_arg1415z00_1586);
								BgL_tmpz00_2721 = ((obj_t) BgL_nodeza2za2_1583);
								SET_CAR(BgL_tmpz00_2721, BgL_auxz00_2723);
							}
						}
						{	/* Inline/loop.scm 407 */
							obj_t BgL_arg1418z00_1588;

							BgL_arg1418z00_1588 = CDR(((obj_t) BgL_nodeza2za2_1583));
							{
								obj_t BgL_nodeza2za2_2728;

								BgL_nodeza2za2_2728 = BgL_arg1418z00_1588;
								BgL_nodeza2za2_1583 = BgL_nodeza2za2_2728;
								goto BgL_zc3z04anonymousza31402ze3z87_1584;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_proc1899z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1900z00zzinline_loopz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_proc1901z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1902z00zzinline_loopz00);
		}

	}



/* &nest-loop!1311 */
	obj_t BGl_z62nestzd2loopz121311za2zzinline_loopz00(obj_t BgL_envz00_2327,
		obj_t BgL_nodez00_2328, obj_t BgL_localz00_2329, obj_t BgL_nesterz00_2330)
	{
		{	/* Inline/loop.scm 211 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1903z00zzinline_loopz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2328)));
		}

	}



/* &find-let-fun?1273 */
	obj_t BGl_z62findzd2letzd2funzf31273z91zzinline_loopz00(obj_t BgL_envz00_2331,
		obj_t BgL_nodez00_2332)
	{
		{	/* Inline/loop.scm 55 */
			return BBOOL(((bool_t) 0));
		}

	}



/* find-let-fun? */
	obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Inline/loop.scm 55 */
			{	/* Inline/loop.scm 55 */
				obj_t BgL_method1274z00_1600;

				{	/* Inline/loop.scm 55 */
					obj_t BgL_res1891z00_2169;

					{	/* Inline/loop.scm 55 */
						long BgL_objzd2classzd2numz00_2140;

						BgL_objzd2classzd2numz00_2140 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Inline/loop.scm 55 */
							obj_t BgL_arg1829z00_2141;

							BgL_arg1829z00_2141 =
								PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 55 */
								int BgL_offsetz00_2144;

								BgL_offsetz00_2144 = (int) (BgL_objzd2classzd2numz00_2140);
								{	/* Inline/loop.scm 55 */
									long BgL_offsetz00_2145;

									BgL_offsetz00_2145 =
										((long) (BgL_offsetz00_2144) - OBJECT_TYPE);
									{	/* Inline/loop.scm 55 */
										long BgL_modz00_2146;

										BgL_modz00_2146 =
											(BgL_offsetz00_2145 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/loop.scm 55 */
											long BgL_restz00_2148;

											BgL_restz00_2148 =
												(BgL_offsetz00_2145 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/loop.scm 55 */

												{	/* Inline/loop.scm 55 */
													obj_t BgL_bucketz00_2150;

													BgL_bucketz00_2150 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2141), BgL_modz00_2146);
													BgL_res1891z00_2169 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2150), BgL_restz00_2148);
					}}}}}}}}
					BgL_method1274z00_1600 = BgL_res1891z00_2169;
				}
				return
					PROCEDURE_ENTRY(BgL_method1274z00_1600) (BgL_method1274z00_1600,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}

	}



/* &find-let-fun? */
	obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t BgL_envz00_2333,
		obj_t BgL_nodez00_2334)
	{
		{	/* Inline/loop.scm 55 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2334));
		}

	}



/* nest-loop! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_25,
		BgL_localz00_bglt BgL_localz00_26, obj_t BgL_nesterz00_27)
	{
		{	/* Inline/loop.scm 211 */
			{	/* Inline/loop.scm 211 */
				obj_t BgL_method1312z00_1601;

				{	/* Inline/loop.scm 211 */
					obj_t BgL_res1896z00_2200;

					{	/* Inline/loop.scm 211 */
						long BgL_objzd2classzd2numz00_2171;

						BgL_objzd2classzd2numz00_2171 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_25));
						{	/* Inline/loop.scm 211 */
							obj_t BgL_arg1829z00_2172;

							BgL_arg1829z00_2172 =
								PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 211 */
								int BgL_offsetz00_2175;

								BgL_offsetz00_2175 = (int) (BgL_objzd2classzd2numz00_2171);
								{	/* Inline/loop.scm 211 */
									long BgL_offsetz00_2176;

									BgL_offsetz00_2176 =
										((long) (BgL_offsetz00_2175) - OBJECT_TYPE);
									{	/* Inline/loop.scm 211 */
										long BgL_modz00_2177;

										BgL_modz00_2177 =
											(BgL_offsetz00_2176 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/loop.scm 211 */
											long BgL_restz00_2179;

											BgL_restz00_2179 =
												(BgL_offsetz00_2176 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/loop.scm 211 */

												{	/* Inline/loop.scm 211 */
													obj_t BgL_bucketz00_2181;

													BgL_bucketz00_2181 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2172), BgL_modz00_2177);
													BgL_res1896z00_2200 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2181), BgL_restz00_2179);
					}}}}}}}}
					BgL_method1312z00_1601 = BgL_res1896z00_2200;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1312z00_1601) (BgL_method1312z00_1601,
						((obj_t) BgL_nodez00_25),
						((obj_t) BgL_localz00_26), BgL_nesterz00_27, BEOA));
			}
		}

	}



/* &nest-loop! */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t
		BgL_envz00_2335, obj_t BgL_nodez00_2336, obj_t BgL_localz00_2337,
		obj_t BgL_nesterz00_2338)
	{
		{	/* Inline/loop.scm 211 */
			return
				BGl_nestzd2loopz12zc0zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2336),
				((BgL_localz00_bglt) BgL_localz00_2337), BgL_nesterz00_2338);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1904z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_syncz00zzast_nodez00, BGl_proc1906z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appz00zzast_nodez00, BGl_proc1907z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1908z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1909z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1910z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_castz00zzast_nodez00, BGl_proc1911z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setqz00zzast_nodez00, BGl_proc1912z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1913z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_failz00zzast_nodez00, BGl_proc1914z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1915z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1916z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1917z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1918z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1919z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1920z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1921z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1922z00zzinline_loopz00,
				BGl_string1905z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00,
				BGl_proc1923z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1925z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00,
				BGl_proc1926z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1927z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_syncz00zzast_nodez00,
				BGl_proc1928z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00,
				BGl_proc1929z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1930z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1931z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1932z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00,
				BGl_proc1933z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1934z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1935z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00,
				BGl_proc1936z00zzinline_loopz00, BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1937z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1938z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1939z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1940z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1941z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1942z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1943z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1944z00zzinline_loopz00,
				BGl_string1924z00zzinline_loopz00);
		}

	}



/* &nest-loop!-box-set!1354 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121354zb0zzinline_loopz00(obj_t
		BgL_envz00_2378, obj_t BgL_nodez00_2379, obj_t BgL_vz00_2380,
		obj_t BgL_nesterz00_2381)
	{
		{	/* Inline/loop.scm 392 */
			{
				BgL_varz00_bglt BgL_auxz00_2844;

				{	/* Inline/loop.scm 394 */
					BgL_varz00_bglt BgL_arg1747z00_2515;

					BgL_arg1747z00_2515 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2379)))->BgL_varz00);
					BgL_auxz00_2844 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1747z00_2515),
							((BgL_localz00_bglt) BgL_vz00_2380), BgL_nesterz00_2381));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2379)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2844), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2853;

				{	/* Inline/loop.scm 395 */
					BgL_nodez00_bglt BgL_arg1748z00_2516;

					BgL_arg1748z00_2516 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2379)))->BgL_valuez00);
					BgL_auxz00_2853 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1748z00_2516,
						((BgL_localz00_bglt) BgL_vz00_2380), BgL_nesterz00_2381);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2379)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2853), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2379));
		}

	}



/* &nest-loop!-box-ref1352 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1352za2zzinline_loopz00(obj_t
		BgL_envz00_2382, obj_t BgL_nodez00_2383, obj_t BgL_vz00_2384,
		obj_t BgL_nesterz00_2385)
	{
		{	/* Inline/loop.scm 384 */
			{
				BgL_varz00_bglt BgL_auxz00_2862;

				{	/* Inline/loop.scm 386 */
					BgL_varz00_bglt BgL_arg1746z00_2518;

					BgL_arg1746z00_2518 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2383)))->BgL_varz00);
					BgL_auxz00_2862 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1746z00_2518),
							((BgL_localz00_bglt) BgL_vz00_2384), BgL_nesterz00_2385));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2383)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2862), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2383));
		}

	}



/* &nest-loop!-make-box1350 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1350za2zzinline_loopz00(obj_t
		BgL_envz00_2386, obj_t BgL_nodez00_2387, obj_t BgL_varz00_2388,
		obj_t BgL_nesterz00_2389)
	{
		{	/* Inline/loop.scm 376 */
			{
				BgL_nodez00_bglt BgL_auxz00_2873;

				{	/* Inline/loop.scm 378 */
					BgL_nodez00_bglt BgL_arg1745z00_2520;

					BgL_arg1745z00_2520 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2387)))->BgL_valuez00);
					BgL_auxz00_2873 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1745z00_2520,
						((BgL_localz00_bglt) BgL_varz00_2388), BgL_nesterz00_2389);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2387)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2873), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2387));
		}

	}



/* &nest-loop!-jump-ex-i1348 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1348z70zzinline_loopz00(obj_t
		BgL_envz00_2390, obj_t BgL_nodez00_2391, obj_t BgL_vz00_2392,
		obj_t BgL_nesterz00_2393)
	{
		{	/* Inline/loop.scm 367 */
			{
				BgL_nodez00_bglt BgL_auxz00_2882;

				{	/* Inline/loop.scm 369 */
					BgL_nodez00_bglt BgL_arg1742z00_2522;

					BgL_arg1742z00_2522 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2391)))->BgL_exitz00);
					BgL_auxz00_2882 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1742z00_2522,
						((BgL_localz00_bglt) BgL_vz00_2392), BgL_nesterz00_2393);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2391)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2882), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2889;

				{	/* Inline/loop.scm 370 */
					BgL_nodez00_bglt BgL_arg1743z00_2523;

					BgL_arg1743z00_2523 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2391)))->
						BgL_valuez00);
					BgL_auxz00_2889 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1743z00_2523,
						((BgL_localz00_bglt) BgL_vz00_2392), BgL_nesterz00_2393);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2391)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2889), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2391));
		}

	}



/* &nest-loop!-set-ex-it1346 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1346z70zzinline_loopz00(obj_t
		BgL_envz00_2394, obj_t BgL_nodez00_2395, obj_t BgL_varz00_2396,
		obj_t BgL_nesterz00_2397)
	{
		{	/* Inline/loop.scm 358 */
			{
				BgL_nodez00_bglt BgL_auxz00_2898;

				{	/* Inline/loop.scm 360 */
					BgL_nodez00_bglt BgL_arg1738z00_2525;

					BgL_arg1738z00_2525 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2395)))->BgL_bodyz00);
					BgL_auxz00_2898 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1738z00_2525,
						((BgL_localz00_bglt) BgL_varz00_2396), BgL_nesterz00_2397);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2395)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2898), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2905;

				{	/* Inline/loop.scm 361 */
					BgL_nodez00_bglt BgL_arg1739z00_2526;

					BgL_arg1739z00_2526 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2395)))->
						BgL_onexitz00);
					BgL_auxz00_2905 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1739z00_2526,
						((BgL_localz00_bglt) BgL_varz00_2396), BgL_nesterz00_2397);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2395)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2905), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2395));
		}

	}



/* &nest-loop!-let-var1344 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1344za2zzinline_loopz00(obj_t
		BgL_envz00_2398, obj_t BgL_nodez00_2399, obj_t BgL_varz00_2400,
		obj_t BgL_nesterz00_2401)
	{
		{	/* Inline/loop.scm 347 */
			{
				BgL_nodez00_bglt BgL_auxz00_2914;

				{	/* Inline/loop.scm 349 */
					BgL_nodez00_bglt BgL_arg1725z00_2528;

					BgL_arg1725z00_2528 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2399)))->BgL_bodyz00);
					BgL_auxz00_2914 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1725z00_2528,
						((BgL_localz00_bglt) BgL_varz00_2400), BgL_nesterz00_2401);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2399)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2914), BUNSPEC);
			}
			{	/* Inline/loop.scm 350 */
				obj_t BgL_g1272z00_2529;

				BgL_g1272z00_2529 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2399)))->BgL_bindingsz00);
				{
					obj_t BgL_l1270z00_2531;

					BgL_l1270z00_2531 = BgL_g1272z00_2529;
				BgL_zc3z04anonymousza31726ze3z87_2530:
					if (PAIRP(BgL_l1270z00_2531))
						{	/* Inline/loop.scm 350 */
							{	/* Inline/loop.scm 351 */
								obj_t BgL_bindingz00_2532;

								BgL_bindingz00_2532 = CAR(BgL_l1270z00_2531);
								{	/* Inline/loop.scm 351 */
									BgL_nodez00_bglt BgL_arg1728z00_2533;

									{	/* Inline/loop.scm 351 */
										obj_t BgL_arg1729z00_2534;

										BgL_arg1729z00_2534 = CDR(((obj_t) BgL_bindingz00_2532));
										BgL_arg1728z00_2533 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1729z00_2534),
											((BgL_localz00_bglt) BgL_varz00_2400),
											BgL_nesterz00_2401);
									}
									{	/* Inline/loop.scm 351 */
										obj_t BgL_auxz00_2933;
										obj_t BgL_tmpz00_2931;

										BgL_auxz00_2933 = ((obj_t) BgL_arg1728z00_2533);
										BgL_tmpz00_2931 = ((obj_t) BgL_bindingz00_2532);
										SET_CDR(BgL_tmpz00_2931, BgL_auxz00_2933);
									}
								}
							}
							{
								obj_t BgL_l1270z00_2936;

								BgL_l1270z00_2936 = CDR(BgL_l1270z00_2531);
								BgL_l1270z00_2531 = BgL_l1270z00_2936;
								goto BgL_zc3z04anonymousza31726ze3z87_2530;
							}
						}
					else
						{	/* Inline/loop.scm 350 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2399));
		}

	}



/* &nest-loop!-let-fun1342 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1342za2zzinline_loopz00(obj_t
		BgL_envz00_2402, obj_t BgL_nodez00_2403, obj_t BgL_varz00_2404,
		obj_t BgL_nesterz00_2405)
	{
		{	/* Inline/loop.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_2940;

				{	/* Inline/loop.scm 334 */
					BgL_nodez00_bglt BgL_arg1713z00_2536;

					BgL_arg1713z00_2536 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2403)))->BgL_bodyz00);
					BgL_auxz00_2940 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1713z00_2536,
						((BgL_localz00_bglt) BgL_varz00_2404), BgL_nesterz00_2405);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2403)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2940), BUNSPEC);
			}
			{	/* Inline/loop.scm 335 */
				obj_t BgL_g1269z00_2537;

				BgL_g1269z00_2537 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2403)))->BgL_localsz00);
				{
					obj_t BgL_l1267z00_2539;

					BgL_l1267z00_2539 = BgL_g1269z00_2537;
				BgL_zc3z04anonymousza31714ze3z87_2538:
					if (PAIRP(BgL_l1267z00_2539))
						{	/* Inline/loop.scm 335 */
							{	/* Inline/loop.scm 336 */
								obj_t BgL_localz00_2540;

								BgL_localz00_2540 = CAR(BgL_l1267z00_2539);
								{	/* Inline/loop.scm 336 */
									BgL_valuez00_bglt BgL_sfunz00_2541;

									BgL_sfunz00_2541 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2540))))->
										BgL_valuez00);
									{	/* Inline/loop.scm 338 */
										BgL_nodez00_bglt BgL_arg1716z00_2542;

										{	/* Inline/loop.scm 338 */
											obj_t BgL_arg1721z00_2543;

											BgL_arg1721z00_2543 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2541)))->
												BgL_bodyz00);
											BgL_arg1716z00_2542 =
												BGl_nestzd2loopz12zc0zzinline_loopz00((
													(BgL_nodez00_bglt) BgL_arg1721z00_2543),
												((BgL_localz00_bglt) BgL_varz00_2404),
												BgL_nesterz00_2405);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2541)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1716z00_2542)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1267z00_2963;

								BgL_l1267z00_2963 = CDR(BgL_l1267z00_2539);
								BgL_l1267z00_2539 = BgL_l1267z00_2963;
								goto BgL_zc3z04anonymousza31714ze3z87_2538;
							}
						}
					else
						{	/* Inline/loop.scm 335 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2403));
		}

	}



/* &nest-loop!-switch1340 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2switch1340z70zzinline_loopz00(obj_t
		BgL_envz00_2406, obj_t BgL_nodez00_2407, obj_t BgL_varz00_2408,
		obj_t BgL_nesterz00_2409)
	{
		{	/* Inline/loop.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_2967;

				{	/* Inline/loop.scm 323 */
					BgL_nodez00_bglt BgL_arg1703z00_2545;

					BgL_arg1703z00_2545 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2407)))->BgL_testz00);
					BgL_auxz00_2967 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1703z00_2545,
						((BgL_localz00_bglt) BgL_varz00_2408), BgL_nesterz00_2409);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2407)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2967), BUNSPEC);
			}
			{	/* Inline/loop.scm 324 */
				obj_t BgL_g1266z00_2546;

				BgL_g1266z00_2546 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2407)))->BgL_clausesz00);
				{
					obj_t BgL_l1264z00_2548;

					BgL_l1264z00_2548 = BgL_g1266z00_2546;
				BgL_zc3z04anonymousza31704ze3z87_2547:
					if (PAIRP(BgL_l1264z00_2548))
						{	/* Inline/loop.scm 324 */
							{	/* Inline/loop.scm 325 */
								obj_t BgL_clausez00_2549;

								BgL_clausez00_2549 = CAR(BgL_l1264z00_2548);
								{	/* Inline/loop.scm 325 */
									BgL_nodez00_bglt BgL_arg1706z00_2550;

									{	/* Inline/loop.scm 325 */
										obj_t BgL_arg1711z00_2551;

										BgL_arg1711z00_2551 = CDR(((obj_t) BgL_clausez00_2549));
										BgL_arg1706z00_2550 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1711z00_2551),
											((BgL_localz00_bglt) BgL_varz00_2408),
											BgL_nesterz00_2409);
									}
									{	/* Inline/loop.scm 325 */
										obj_t BgL_auxz00_2986;
										obj_t BgL_tmpz00_2984;

										BgL_auxz00_2986 = ((obj_t) BgL_arg1706z00_2550);
										BgL_tmpz00_2984 = ((obj_t) BgL_clausez00_2549);
										SET_CDR(BgL_tmpz00_2984, BgL_auxz00_2986);
									}
								}
							}
							{
								obj_t BgL_l1264z00_2989;

								BgL_l1264z00_2989 = CDR(BgL_l1264z00_2548);
								BgL_l1264z00_2548 = BgL_l1264z00_2989;
								goto BgL_zc3z04anonymousza31704ze3z87_2547;
							}
						}
					else
						{	/* Inline/loop.scm 324 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2407));
		}

	}



/* &nest-loop!-fail1338 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2fail1338z70zzinline_loopz00(obj_t
		BgL_envz00_2410, obj_t BgL_nodez00_2411, obj_t BgL_varz00_2412,
		obj_t BgL_nesterz00_2413)
	{
		{	/* Inline/loop.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_2993;

				{	/* Inline/loop.scm 313 */
					BgL_nodez00_bglt BgL_arg1695z00_2553;

					BgL_arg1695z00_2553 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_procz00);
					BgL_auxz00_2993 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1695z00_2553,
						((BgL_localz00_bglt) BgL_varz00_2412), BgL_nesterz00_2413);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2993), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3000;

				{	/* Inline/loop.scm 314 */
					BgL_nodez00_bglt BgL_arg1696z00_2554;

					BgL_arg1696z00_2554 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_msgz00);
					BgL_auxz00_3000 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1696z00_2554,
						((BgL_localz00_bglt) BgL_varz00_2412), BgL_nesterz00_2413);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3000), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3007;

				{	/* Inline/loop.scm 315 */
					BgL_nodez00_bglt BgL_arg1699z00_2555;

					BgL_arg1699z00_2555 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_objz00);
					BgL_auxz00_3007 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1699z00_2555,
						((BgL_localz00_bglt) BgL_varz00_2412), BgL_nesterz00_2413);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3007), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2411));
		}

	}



/* &nest-loop!-condition1336 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1336z70zzinline_loopz00(obj_t
		BgL_envz00_2414, obj_t BgL_nodez00_2415, obj_t BgL_varz00_2416,
		obj_t BgL_nesterz00_2417)
	{
		{	/* Inline/loop.scm 301 */
			{
				BgL_nodez00_bglt BgL_auxz00_3016;

				{	/* Inline/loop.scm 303 */
					BgL_nodez00_bglt BgL_arg1681z00_2557;

					BgL_arg1681z00_2557 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2415)))->BgL_testz00);
					BgL_auxz00_3016 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1681z00_2557,
						((BgL_localz00_bglt) BgL_varz00_2416), BgL_nesterz00_2417);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2415)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3016), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3023;

				{	/* Inline/loop.scm 304 */
					BgL_nodez00_bglt BgL_arg1682z00_2558;

					BgL_arg1682z00_2558 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2415)))->BgL_truez00);
					BgL_auxz00_3023 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1682z00_2558,
						((BgL_localz00_bglt) BgL_varz00_2416), BgL_nesterz00_2417);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2415)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3023), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3030;

				{	/* Inline/loop.scm 305 */
					BgL_nodez00_bglt BgL_arg1694z00_2559;

					BgL_arg1694z00_2559 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2415)))->BgL_falsez00);
					BgL_auxz00_3030 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1694z00_2559,
						((BgL_localz00_bglt) BgL_varz00_2416), BgL_nesterz00_2417);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2415)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3030), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2415));
		}

	}



/* &nest-loop!-setq1334 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2setq1334z70zzinline_loopz00(obj_t
		BgL_envz00_2418, obj_t BgL_nodez00_2419, obj_t BgL_varz00_2420,
		obj_t BgL_nesterz00_2421)
	{
		{	/* Inline/loop.scm 294 */
			{	/* Inline/loop.scm 295 */
				BgL_nodez00_bglt BgL_arg1679z00_2561;

				BgL_arg1679z00_2561 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2419)))->BgL_valuez00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1679z00_2561,
					((BgL_localz00_bglt) BgL_varz00_2420), BgL_nesterz00_2421);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2419));
		}

	}



/* &nest-loop!-cast1332 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2cast1332z70zzinline_loopz00(obj_t
		BgL_envz00_2422, obj_t BgL_nodez00_2423, obj_t BgL_varz00_2424,
		obj_t BgL_nesterz00_2425)
	{
		{	/* Inline/loop.scm 287 */
			{	/* Inline/loop.scm 288 */
				BgL_nodez00_bglt BgL_arg1678z00_2563;

				BgL_arg1678z00_2563 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2423)))->BgL_argz00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1678z00_2563,
					((BgL_localz00_bglt) BgL_varz00_2424), BgL_nesterz00_2425);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2423));
		}

	}



/* &nest-loop!-extern1330 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2extern1330z70zzinline_loopz00(obj_t
		BgL_envz00_2426, obj_t BgL_nodez00_2427, obj_t BgL_varz00_2428,
		obj_t BgL_nesterz00_2429)
	{
		{	/* Inline/loop.scm 280 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2427)))->BgL_exprza2za2),
				BgL_varz00_2428, BgL_nesterz00_2429);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2427));
		}

	}



/* &nest-loop!-funcall1328 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2funcall1328z70zzinline_loopz00(obj_t
		BgL_envz00_2430, obj_t BgL_nodez00_2431, obj_t BgL_varz00_2432,
		obj_t BgL_nesterz00_2433)
	{
		{	/* Inline/loop.scm 271 */
			{
				BgL_nodez00_bglt BgL_auxz00_3056;

				{	/* Inline/loop.scm 273 */
					BgL_nodez00_bglt BgL_arg1668z00_2566;

					BgL_arg1668z00_2566 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2431)))->BgL_funz00);
					BgL_auxz00_3056 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1668z00_2566,
						((BgL_localz00_bglt) BgL_varz00_2432), BgL_nesterz00_2433);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2431)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3056), BUNSPEC);
			}
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2431)))->BgL_argsz00),
				BgL_varz00_2432, BgL_nesterz00_2433);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2431));
		}

	}



/* &nest-loop!-app-ly1326 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2appzd2ly1326za2zzinline_loopz00(obj_t
		BgL_envz00_2434, obj_t BgL_nodez00_2435, obj_t BgL_varz00_2436,
		obj_t BgL_nesterz00_2437)
	{
		{	/* Inline/loop.scm 262 */
			{
				BgL_nodez00_bglt BgL_auxz00_3068;

				{	/* Inline/loop.scm 264 */
					BgL_nodez00_bglt BgL_arg1665z00_2568;

					BgL_arg1665z00_2568 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2435)))->BgL_funz00);
					BgL_auxz00_3068 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1665z00_2568,
						((BgL_localz00_bglt) BgL_varz00_2436), BgL_nesterz00_2437);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2435)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3068), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3075;

				{	/* Inline/loop.scm 265 */
					BgL_nodez00_bglt BgL_arg1667z00_2569;

					BgL_arg1667z00_2569 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2435)))->BgL_argz00);
					BgL_auxz00_3075 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1667z00_2569,
						((BgL_localz00_bglt) BgL_varz00_2436), BgL_nesterz00_2437);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2435)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3075), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2435));
		}

	}



/* &nest-loop!-app1324 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2app1324z70zzinline_loopz00(obj_t
		BgL_envz00_2438, obj_t BgL_nodez00_2439, obj_t BgL_varz00_2440,
		obj_t BgL_nesterz00_2441)
	{
		{	/* Inline/loop.scm 252 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2439)))->BgL_argsz00),
				BgL_varz00_2440, BgL_nesterz00_2441);
			{	/* Inline/loop.scm 255 */
				bool_t BgL_test2010z00_3087;

				{	/* Inline/loop.scm 255 */
					bool_t BgL_test2011z00_3088;

					{	/* Inline/loop.scm 255 */
						BgL_varz00_bglt BgL_arg1660z00_2571;

						BgL_arg1660z00_2571 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2439)))->BgL_funz00);
						{	/* Inline/loop.scm 255 */
							obj_t BgL_classz00_2572;

							BgL_classz00_2572 = BGl_varz00zzast_nodez00;
							{	/* Inline/loop.scm 255 */
								BgL_objectz00_bglt BgL_arg1825z00_2573;

								{	/* Inline/loop.scm 255 */
									obj_t BgL_tmpz00_3091;

									BgL_tmpz00_3091 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1660z00_2571));
									BgL_arg1825z00_2573 = (BgL_objectz00_bglt) (BgL_tmpz00_3091);
								}
								{	/* Inline/loop.scm 255 */
									bool_t BgL_arg1822z00_2574;
									bool_t BgL_arg1823z00_2575;

									{	/* Inline/loop.scm 255 */
										long BgL_idxz00_2576;

										BgL_idxz00_2576 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2573);
										BgL_arg1822z00_2574 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2576 + ((long) 2))) == BgL_classz00_2572);
									}
									{	/* Inline/loop.scm 255 */
										bool_t BgL_res1897z00_2579;

										{	/* Inline/loop.scm 255 */
											obj_t BgL_oclassz00_2580;

											{	/* Inline/loop.scm 255 */
												long BgL_arg1833z00_2581;

												{	/* Inline/loop.scm 255 */
													long BgL_arg1834z00_2582;

													BgL_arg1834z00_2582 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2573);
													BgL_arg1833z00_2581 =
														(BgL_arg1834z00_2582 - OBJECT_TYPE);
												}
												BgL_oclassz00_2580 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2581);
											}
											{	/* Inline/loop.scm 255 */
												bool_t BgL__ortest_1110z00_2583;

												BgL__ortest_1110z00_2583 =
													(BgL_classz00_2572 == BgL_oclassz00_2580);
												if (BgL__ortest_1110z00_2583)
													{	/* Inline/loop.scm 255 */
														BgL_res1897z00_2579 = BgL__ortest_1110z00_2583;
													}
												else
													{	/* Inline/loop.scm 255 */
														long BgL_odepthz00_2584;

														BgL_odepthz00_2584 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2580);
														if ((((long) 2) < BgL_odepthz00_2584))
															{	/* Inline/loop.scm 255 */
																obj_t BgL_arg1821z00_2585;

																BgL_arg1821z00_2585 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2580,
																	((long) 2));
																BgL_res1897z00_2579 =
																	(BgL_arg1821z00_2585 == BgL_classz00_2572);
															}
														else
															{	/* Inline/loop.scm 255 */
																BgL_res1897z00_2579 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2575 = BgL_res1897z00_2579;
									}
									BgL_test2011z00_3088 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2574, BgL_arg1823z00_2575);
								}
							}
						}
					}
					if (BgL_test2011z00_3088)
						{	/* Inline/loop.scm 255 */
							BgL_test2010z00_3087 =
								(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2439)))->
													BgL_funz00)))->BgL_variablez00)) == BgL_varz00_2440);
						}
					else
						{	/* Inline/loop.scm 255 */
							BgL_test2010z00_3087 = ((bool_t) 0);
						}
				}
				if (BgL_test2010z00_3087)
					{	/* Inline/loop.scm 255 */
						return
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_nesterz00_2441) (BgL_nesterz00_2441,
								((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2439)), BEOA));
					}
				else
					{	/* Inline/loop.scm 255 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2439));
					}
			}
		}

	}



/* &nest-loop!-sync1322 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sync1322z70zzinline_loopz00(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443, obj_t BgL_varz00_2444,
		obj_t BgL_nesterz00_2445)
	{
		{	/* Inline/loop.scm 242 */
			{
				BgL_nodez00_bglt BgL_auxz00_3124;

				{	/* Inline/loop.scm 244 */
					BgL_nodez00_bglt BgL_arg1619z00_2587;

					BgL_arg1619z00_2587 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_mutexz00);
					BgL_auxz00_3124 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1619z00_2587,
						((BgL_localz00_bglt) BgL_varz00_2444), BgL_nesterz00_2445);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3124), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3131;

				{	/* Inline/loop.scm 245 */
					BgL_nodez00_bglt BgL_arg1620z00_2588;

					BgL_arg1620z00_2588 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_prelockz00);
					BgL_auxz00_3131 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1620z00_2588,
						((BgL_localz00_bglt) BgL_varz00_2444), BgL_nesterz00_2445);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3131), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3138;

				{	/* Inline/loop.scm 246 */
					BgL_nodez00_bglt BgL_arg1621z00_2589;

					BgL_arg1621z00_2589 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_bodyz00);
					BgL_auxz00_3138 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1621z00_2589,
						((BgL_localz00_bglt) BgL_varz00_2444), BgL_nesterz00_2445);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3138), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2443));
		}

	}



/* &nest-loop!-sequence1320 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sequence1320z70zzinline_loopz00(obj_t
		BgL_envz00_2446, obj_t BgL_nodez00_2447, obj_t BgL_varz00_2448,
		obj_t BgL_nesterz00_2449)
	{
		{	/* Inline/loop.scm 234 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2447)))->BgL_nodesz00),
				BgL_varz00_2448, BgL_nesterz00_2449);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2447));
		}

	}



/* &nest-loop!-var1318 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2var1318z70zzinline_loopz00(obj_t
		BgL_envz00_2450, obj_t BgL_nodez00_2451, obj_t BgL_varz00_2452,
		obj_t BgL_nesterz00_2453)
	{
		{	/* Inline/loop.scm 228 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2451));
		}

	}



/* &nest-loop!-kwote1316 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2kwote1316z70zzinline_loopz00(obj_t
		BgL_envz00_2454, obj_t BgL_nodez00_2455, obj_t BgL_varz00_2456,
		obj_t BgL_nesterz00_2457)
	{
		{	/* Inline/loop.scm 222 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2455));
		}

	}



/* &nest-loop!-atom1314 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2atom1314z70zzinline_loopz00(obj_t
		BgL_envz00_2458, obj_t BgL_nodez00_2459, obj_t BgL_varz00_2460,
		obj_t BgL_nesterz00_2461)
	{
		{	/* Inline/loop.scm 216 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2459));
		}

	}



/* &find-let-fun?-box-se1310 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2se1310z91zzinline_loopz00(obj_t
		BgL_envz00_2462, obj_t BgL_nodez00_2463)
	{
		{	/* Inline/loop.scm 191 */
			{	/* Inline/loop.scm 193 */
				obj_t BgL__ortest_1130z00_2595;

				{	/* Inline/loop.scm 193 */
					BgL_varz00_bglt BgL_arg1612z00_2596;

					BgL_arg1612z00_2596 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2463)))->BgL_varz00);
					BgL__ortest_1130z00_2595 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						((BgL_nodez00_bglt) BgL_arg1612z00_2596));
				}
				if (CBOOL(BgL__ortest_1130z00_2595))
					{	/* Inline/loop.scm 193 */
						return BgL__ortest_1130z00_2595;
					}
				else
					{	/* Inline/loop.scm 193 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2463)))->
								BgL_valuez00));
					}
			}
		}

	}



/* &find-let-fun?-box-re1308 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2re1308z91zzinline_loopz00(obj_t
		BgL_envz00_2464, obj_t BgL_nodez00_2465)
	{
		{	/* Inline/loop.scm 185 */
			{	/* Inline/loop.scm 186 */
				BgL_varz00_bglt BgL_arg1604z00_2598;

				BgL_arg1604z00_2598 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2465)))->BgL_varz00);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					((BgL_nodez00_bglt) BgL_arg1604z00_2598));
			}
		}

	}



/* &find-let-fun?-make-b1306 */
	obj_t BGl_z62findzd2letzd2funzf3zd2makezd2b1306z91zzinline_loopz00(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467)
	{
		{	/* Inline/loop.scm 179 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2467)))->BgL_valuez00));
		}

	}



/* &find-let-fun?-jump-e1304 */
	obj_t BGl_z62findzd2letzd2funzf3zd2jumpzd2e1304z91zzinline_loopz00(obj_t
		BgL_envz00_2468, obj_t BgL_nodez00_2469)
	{
		{	/* Inline/loop.scm 172 */
			{	/* Inline/loop.scm 174 */
				obj_t BgL__ortest_1128z00_2601;

				BgL__ortest_1128z00_2601 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2469)))->
						BgL_exitz00));
				if (CBOOL(BgL__ortest_1128z00_2601))
					{	/* Inline/loop.scm 174 */
						return BgL__ortest_1128z00_2601;
					}
				else
					{	/* Inline/loop.scm 174 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2469)))->
								BgL_valuez00));
					}
			}
		}

	}



/* &find-let-fun?-set-ex1302 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setzd2ex1302z91zzinline_loopz00(obj_t
		BgL_envz00_2470, obj_t BgL_nodez00_2471)
	{
		{	/* Inline/loop.scm 165 */
			{	/* Inline/loop.scm 166 */
				obj_t BgL__ortest_1126z00_2603;

				BgL__ortest_1126z00_2603 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2471)))->BgL_bodyz00));
				if (CBOOL(BgL__ortest_1126z00_2603))
					{	/* Inline/loop.scm 166 */
						return BgL__ortest_1126z00_2603;
					}
				else
					{	/* Inline/loop.scm 166 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2471)))->
								BgL_onexitz00));
					}
			}
		}

	}



/* &find-let-fun?-let-va1300 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2va1300z91zzinline_loopz00(obj_t
		BgL_envz00_2472, obj_t BgL_nodez00_2473)
	{
		{	/* Inline/loop.scm 152 */
			{	/* Inline/loop.scm 153 */
				obj_t BgL_g1125z00_2605;

				BgL_g1125z00_2605 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2473)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2607;

					BgL_bindingsz00_2607 = BgL_g1125z00_2605;
				BgL_loopz00_2606:
					if (NULLP(BgL_bindingsz00_2607))
						{	/* Inline/loop.scm 155 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2473)))->
									BgL_bodyz00));
						}
					else
						{	/* Inline/loop.scm 157 */
							bool_t BgL_test2018z00_3197;

							{	/* Inline/loop.scm 157 */
								obj_t BgL_arg1586z00_2608;

								{	/* Inline/loop.scm 157 */
									obj_t BgL_pairz00_2609;

									BgL_pairz00_2609 = CAR(((obj_t) BgL_bindingsz00_2607));
									BgL_arg1586z00_2608 = CDR(BgL_pairz00_2609);
								}
								BgL_test2018z00_3197 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1586z00_2608)));
							}
							if (BgL_test2018z00_3197)
								{	/* Inline/loop.scm 157 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 160 */
									obj_t BgL_arg1585z00_2610;

									BgL_arg1585z00_2610 = CDR(((obj_t) BgL_bindingsz00_2607));
									{
										obj_t BgL_bindingsz00_3206;

										BgL_bindingsz00_3206 = BgL_arg1585z00_2610;
										BgL_bindingsz00_2607 = BgL_bindingsz00_3206;
										goto BgL_loopz00_2606;
									}
								}
						}
				}
			}
		}

	}



/* &find-let-fun?-let-fu1298 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2fu1298z91zzinline_loopz00(obj_t
		BgL_envz00_2474, obj_t BgL_nodez00_2475)
	{
		{	/* Inline/loop.scm 146 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &find-let-fun?-switch1296 */
	obj_t BGl_z62findzd2letzd2funzf3zd2switch1296z43zzinline_loopz00(obj_t
		BgL_envz00_2476, obj_t BgL_nodez00_2477)
	{
		{	/* Inline/loop.scm 133 */
			{	/* Inline/loop.scm 134 */
				obj_t BgL_g1124z00_2613;

				BgL_g1124z00_2613 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2477)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2615;

					BgL_clausesz00_2615 = BgL_g1124z00_2613;
				BgL_loopz00_2614:
					if (NULLP(BgL_clausesz00_2615))
						{	/* Inline/loop.scm 136 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2477)))->BgL_testz00));
						}
					else
						{	/* Inline/loop.scm 138 */
							bool_t BgL_test2020z00_3215;

							{	/* Inline/loop.scm 138 */
								obj_t BgL_arg1570z00_2616;

								{	/* Inline/loop.scm 138 */
									obj_t BgL_pairz00_2617;

									BgL_pairz00_2617 = CAR(((obj_t) BgL_clausesz00_2615));
									BgL_arg1570z00_2616 = CDR(BgL_pairz00_2617);
								}
								BgL_test2020z00_3215 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1570z00_2616)));
							}
							if (BgL_test2020z00_3215)
								{	/* Inline/loop.scm 138 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 141 */
									obj_t BgL_arg1567z00_2618;

									BgL_arg1567z00_2618 = CDR(((obj_t) BgL_clausesz00_2615));
									{
										obj_t BgL_clausesz00_3224;

										BgL_clausesz00_3224 = BgL_arg1567z00_2618;
										BgL_clausesz00_2615 = BgL_clausesz00_3224;
										goto BgL_loopz00_2614;
									}
								}
						}
				}
			}
		}

	}



/* &find-let-fun?-fail1294 */
	obj_t BGl_z62findzd2letzd2funzf3zd2fail1294z43zzinline_loopz00(obj_t
		BgL_envz00_2478, obj_t BgL_nodez00_2479)
	{
		{	/* Inline/loop.scm 124 */
			{	/* Inline/loop.scm 126 */
				obj_t BgL__ortest_1121z00_2620;

				BgL__ortest_1121z00_2620 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2479)))->BgL_procz00));
				if (CBOOL(BgL__ortest_1121z00_2620))
					{	/* Inline/loop.scm 126 */
						return BgL__ortest_1121z00_2620;
					}
				else
					{	/* Inline/loop.scm 127 */
						obj_t BgL__ortest_1122z00_2621;

						BgL__ortest_1122z00_2621 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2479)))->BgL_msgz00));
						if (CBOOL(BgL__ortest_1122z00_2621))
							{	/* Inline/loop.scm 127 */
								return BgL__ortest_1122z00_2621;
							}
						else
							{	/* Inline/loop.scm 127 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2479)))->BgL_objz00));
							}
					}
			}
		}

	}



/* &find-let-fun?-condit1292 */
	obj_t BGl_z62findzd2letzd2funzf3zd2condit1292z43zzinline_loopz00(obj_t
		BgL_envz00_2480, obj_t BgL_nodez00_2481)
	{
		{	/* Inline/loop.scm 115 */
			{	/* Inline/loop.scm 117 */
				obj_t BgL__ortest_1118z00_2623;

				BgL__ortest_1118z00_2623 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2481)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1118z00_2623))
					{	/* Inline/loop.scm 117 */
						return BgL__ortest_1118z00_2623;
					}
				else
					{	/* Inline/loop.scm 118 */
						obj_t BgL__ortest_1119z00_2624;

						BgL__ortest_1119z00_2624 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2481)))->
								BgL_truez00));
						if (CBOOL(BgL__ortest_1119z00_2624))
							{	/* Inline/loop.scm 118 */
								return BgL__ortest_1119z00_2624;
							}
						else
							{	/* Inline/loop.scm 118 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2481)))->
										BgL_falsez00));
							}
					}
			}
		}

	}



/* &find-let-fun?-setq1290 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setq1290z43zzinline_loopz00(obj_t
		BgL_envz00_2482, obj_t BgL_nodez00_2483)
	{
		{	/* Inline/loop.scm 109 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2483)))->BgL_valuez00));
		}

	}



/* &find-let-fun?-cast1288 */
	obj_t BGl_z62findzd2letzd2funzf3zd2cast1288z43zzinline_loopz00(obj_t
		BgL_envz00_2484, obj_t BgL_nodez00_2485)
	{
		{	/* Inline/loop.scm 103 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2485)))->BgL_argz00));
		}

	}



/* &find-let-fun?-extern1286 */
	obj_t BGl_z62findzd2letzd2funzf3zd2extern1286z43zzinline_loopz00(obj_t
		BgL_envz00_2486, obj_t BgL_nodez00_2487)
	{
		{	/* Inline/loop.scm 97 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2487)))->BgL_exprza2za2)));
		}

	}



/* &find-let-fun?-funcal1284 */
	obj_t BGl_z62findzd2letzd2funzf3zd2funcal1284z43zzinline_loopz00(obj_t
		BgL_envz00_2488, obj_t BgL_nodez00_2489)
	{
		{	/* Inline/loop.scm 89 */
			{	/* Inline/loop.scm 91 */
				obj_t BgL__ortest_1116z00_2629;

				BgL__ortest_1116z00_2629 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2489)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1116z00_2629))
					{	/* Inline/loop.scm 91 */
						return BgL__ortest_1116z00_2629;
					}
				else
					{	/* Inline/loop.scm 92 */
						obj_t BgL_arg1497z00_2630;

						BgL_arg1497z00_2630 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2489)))->BgL_argsz00);
						return
							BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
							(BgL_arg1497z00_2630));
					}
			}
		}

	}



/* &find-let-fun?-app-ly1282 */
	obj_t BGl_z62findzd2letzd2funzf3zd2appzd2ly1282z91zzinline_loopz00(obj_t
		BgL_envz00_2490, obj_t BgL_nodez00_2491)
	{
		{	/* Inline/loop.scm 82 */
			{	/* Inline/loop.scm 84 */
				obj_t BgL__ortest_1114z00_2632;

				BgL__ortest_1114z00_2632 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2491)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1114z00_2632))
					{	/* Inline/loop.scm 84 */
						return BgL__ortest_1114z00_2632;
					}
				else
					{	/* Inline/loop.scm 84 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2491)))->BgL_argz00));
					}
			}
		}

	}



/* &find-let-fun?-app1280 */
	obj_t BGl_z62findzd2letzd2funzf3zd2app1280z43zzinline_loopz00(obj_t
		BgL_envz00_2492, obj_t BgL_nodez00_2493)
	{
		{	/* Inline/loop.scm 75 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2493)))->BgL_argsz00)));
		}

	}



/* &find-let-fun?-sync1278 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sync1278z43zzinline_loopz00(obj_t
		BgL_envz00_2494, obj_t BgL_nodez00_2495)
	{
		{	/* Inline/loop.scm 67 */
			{	/* Inline/loop.scm 68 */
				obj_t BgL__ortest_1109z00_2635;

				BgL__ortest_1109z00_2635 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2495)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1109z00_2635))
					{	/* Inline/loop.scm 68 */
						return BgL__ortest_1109z00_2635;
					}
				else
					{	/* Inline/loop.scm 69 */
						obj_t BgL__ortest_1111z00_2636;

						BgL__ortest_1111z00_2636 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2495)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1111z00_2636))
							{	/* Inline/loop.scm 69 */
								return BgL__ortest_1111z00_2636;
							}
						else
							{	/* Inline/loop.scm 69 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_2495)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &find-let-fun?-sequen1276 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sequen1276z43zzinline_loopz00(obj_t
		BgL_envz00_2496, obj_t BgL_nodez00_2497)
	{
		{	/* Inline/loop.scm 61 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2497)))->BgL_nodesz00)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00()
	{
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long) 101873001),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1945z00zzinline_loopz00));
		}

	}

#ifdef __cplusplus
}
#endif
