/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/simple.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_simplez00();
	static obj_t BGl_objectzd2initzd2zzinline_simplez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_simplez00();
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
	static obj_t BGl_gczd2rootszd2initz00zzinline_simplez00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static BgL_nodez00_bglt BGl_stackablez12z12zzinline_simplez00(BgL_appz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1865z00zzinline_simplez00,
		BgL_bgl_string1865za700za7za7i1872za7, " (", 2);
	      DEFINE_STRING(BGl_string1866z00zzinline_simplez00,
		BgL_bgl_string1866za700za7za7i1873za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1867z00zzinline_simplez00,
		BgL_bgl_string1867za700za7za7i1874za7, "         ", 9);
	      DEFINE_STRING(BGl_string1868z00zzinline_simplez00,
		BgL_bgl_string1868za700za7za7i1875za7, "inline_simple", 13);
	      DEFINE_STRING(BGl_string1869z00zzinline_simplez00,
		BgL_bgl_string1869za700za7za7i1876za7, "res (sifun sgfun) read ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00,
		BgL_bgl_za762inlineza7d2appza71877za7,
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_simplez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long
		BgL_checksumz00_2390, char *BgL_fromz00_2391)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_simplez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_simplez00();
					BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
					BGl_cnstzd2initzd2zzinline_simplez00();
					BGl_importedzd2moduleszd2initz00zzinline_simplez00();
					return BGl_methodzd2initzd2zzinline_simplez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_simple");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			{	/* Inline/simple.scm 15 */
				obj_t BgL_cportz00_2378;

				{	/* Inline/simple.scm 15 */
					obj_t BgL_stringz00_2386;

					BgL_stringz00_2386 = BGl_string1869z00zzinline_simplez00;
					{	/* Inline/simple.scm 15 */
						obj_t BgL_startz00_2387;

						BgL_startz00_2387 = BINT(((long) 0));
						{	/* Inline/simple.scm 15 */
							obj_t BgL_endz00_2388;

							BgL_endz00_2388 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2386)));
							{	/* Inline/simple.scm 15 */

								BgL_cportz00_2378 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2386, BgL_startz00_2387, BgL_endz00_2388);
				}}}}
				{
					long BgL_iz00_2379;

					BgL_iz00_2379 = ((long) 2);
				BgL_loopz00_2380:
					if ((BgL_iz00_2379 == ((long) -1)))
						{	/* Inline/simple.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/simple.scm 15 */
							{	/* Inline/simple.scm 15 */
								obj_t BgL_arg1871z00_2382;

								{	/* Inline/simple.scm 15 */

									{	/* Inline/simple.scm 15 */
										obj_t BgL_locationz00_2384;

										BgL_locationz00_2384 = BBOOL(((bool_t) 0));
										{	/* Inline/simple.scm 15 */

											BgL_arg1871z00_2382 =
												BGl_readz00zz__readerz00(BgL_cportz00_2378,
												BgL_locationz00_2384);
										}
									}
								}
								{	/* Inline/simple.scm 15 */
									int BgL_tmpz00_2419;

									BgL_tmpz00_2419 = (int) (BgL_iz00_2379);
									CNST_TABLE_SET(BgL_tmpz00_2419, BgL_arg1871z00_2382);
							}}
							{	/* Inline/simple.scm 15 */
								int BgL_auxz00_2385;

								BgL_auxz00_2385 = (int) ((BgL_iz00_2379 - ((long) 1)));
								{
									long BgL_iz00_2424;

									BgL_iz00_2424 = (long) (BgL_auxz00_2385);
									BgL_iz00_2379 = BgL_iz00_2424;
									goto BgL_loopz00_2380;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* inline-app-simple */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5,
		obj_t BgL_msgz00_6)
	{
		{	/* Inline/simple.scm 46 */
			{	/* Inline/simple.scm 48 */
				BgL_variablez00_bglt BgL_calleez00_1446;

				BgL_calleez00_1446 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/simple.scm 48 */
					BgL_valuez00_bglt BgL_sfunz00_1447;

					BgL_sfunz00_1447 =
						(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_1446))->
						BgL_valuez00);
					{	/* Inline/simple.scm 49 */
						obj_t BgL_formalsz00_1448;

						BgL_formalsz00_1448 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_sfunz00_1447)))->BgL_argsz00);
						{	/* Inline/simple.scm 50 */
							obj_t BgL_actualsz00_1449;

							BgL_actualsz00_1449 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_argsz00);
							{	/* Inline/simple.scm 51 */
								obj_t BgL_reductorsz00_1450;

								if (NULLP(BgL_formalsz00_1448))
									{	/* Inline/simple.scm 52 */
										BgL_reductorsz00_1450 = BNIL;
									}
								else
									{	/* Inline/simple.scm 52 */
										obj_t BgL_head1246z00_1571;

										BgL_head1246z00_1571 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_ll1244z00_1573;
											obj_t BgL_ll1245z00_1574;
											obj_t BgL_tail1247z00_1575;

											BgL_ll1244z00_1573 = BgL_formalsz00_1448;
											BgL_ll1245z00_1574 = BgL_actualsz00_1449;
											BgL_tail1247z00_1575 = BgL_head1246z00_1571;
										BgL_zc3z04anonymousza31526ze3z87_1576:
											if (NULLP(BgL_ll1244z00_1573))
												{	/* Inline/simple.scm 52 */
													BgL_reductorsz00_1450 = CDR(BgL_head1246z00_1571);
												}
											else
												{	/* Inline/simple.scm 52 */
													obj_t BgL_newtail1248z00_1578;

													{	/* Inline/simple.scm 52 */
														obj_t BgL_arg1542z00_1581;

														{	/* Inline/simple.scm 52 */
															obj_t BgL_fz00_1582;
															obj_t BgL_az00_1583;

															BgL_fz00_1582 = CAR(((obj_t) BgL_ll1244z00_1573));
															BgL_az00_1583 = CAR(((obj_t) BgL_ll1245z00_1574));
															{	/* Inline/simple.scm 54 */
																bool_t BgL_test1882z00_2445;

																{	/* Inline/simple.scm 54 */
																	bool_t BgL_test1883z00_2446;

																	{	/* Inline/simple.scm 54 */
																		obj_t BgL_classz00_1848;

																		BgL_classz00_1848 =
																			BGl_closurez00zzast_nodez00;
																		if (BGL_OBJECTP(BgL_az00_1583))
																			{	/* Inline/simple.scm 54 */
																				BgL_objectz00_bglt BgL_arg1825z00_1850;

																				BgL_arg1825z00_1850 =
																					(BgL_objectz00_bglt) (BgL_az00_1583);
																				{	/* Inline/simple.scm 54 */
																					bool_t BgL_arg1822z00_1853;
																					bool_t BgL_arg1823z00_1854;

																					{	/* Inline/simple.scm 54 */
																						long BgL_idxz00_1857;

																						BgL_idxz00_1857 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_1850);
																						BgL_arg1822z00_1853 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1857 +
																									((long) 3))) ==
																							BgL_classz00_1848);
																					}
																					{	/* Inline/simple.scm 54 */
																						bool_t BgL_res1850z00_1879;

																						{	/* Inline/simple.scm 54 */
																							obj_t BgL_oclassz00_1865;

																							{	/* Inline/simple.scm 54 */
																								long BgL_arg1833z00_1871;

																								{	/* Inline/simple.scm 54 */
																									long BgL_arg1834z00_1872;

																									BgL_arg1834z00_1872 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_1850);
																									BgL_arg1833z00_1871 =
																										(BgL_arg1834z00_1872 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1865 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_1871);
																							}
																							{	/* Inline/simple.scm 54 */
																								bool_t BgL__ortest_1110z00_1866;

																								BgL__ortest_1110z00_1866 =
																									(BgL_classz00_1848 ==
																									BgL_oclassz00_1865);
																								if (BgL__ortest_1110z00_1866)
																									{	/* Inline/simple.scm 54 */
																										BgL_res1850z00_1879 =
																											BgL__ortest_1110z00_1866;
																									}
																								else
																									{	/* Inline/simple.scm 54 */
																										long BgL_odepthz00_1867;

																										BgL_odepthz00_1867 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_1865);
																										if ((((long) 3) <
																												BgL_odepthz00_1867))
																											{	/* Inline/simple.scm 54 */
																												obj_t
																													BgL_arg1821z00_1869;
																												BgL_arg1821z00_1869 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_1865,
																													((long) 3));
																												BgL_res1850z00_1879 =
																													(BgL_arg1821z00_1869
																													== BgL_classz00_1848);
																											}
																										else
																											{	/* Inline/simple.scm 54 */
																												BgL_res1850z00_1879 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_1854 =
																							BgL_res1850z00_1879;
																					}
																					BgL_test1883z00_2446 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_1853,
																						BgL_arg1823z00_1854);
																				}
																			}
																		else
																			{	/* Inline/simple.scm 54 */
																				BgL_test1883z00_2446 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1883z00_2446)
																		{	/* Inline/simple.scm 54 */
																			if (
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_fz00_1582))))->
																						BgL_accessz00) ==
																					CNST_TABLE_REF(((long) 0))))
																				{	/* Inline/simple.scm 56 */
																					bool_t BgL__ortest_1107z00_1661;

																					{	/* Inline/simple.scm 56 */
																						BgL_typez00_bglt
																							BgL_arg1695z00_1665;
																						BgL_arg1695z00_1665 =
																							(((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_fz00_1582))))->
																							BgL_typez00);
																						BgL__ortest_1107z00_1661 =
																							(((obj_t) BgL_arg1695z00_1665) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																					if (BgL__ortest_1107z00_1661)
																						{	/* Inline/simple.scm 56 */
																							BgL_test1882z00_2445 =
																								BgL__ortest_1107z00_1661;
																						}
																					else
																						{	/* Inline/simple.scm 57 */
																							bool_t BgL__ortest_1108z00_1662;

																							{	/* Inline/simple.scm 57 */
																								BgL_typez00_bglt
																									BgL_arg1694z00_1664;
																								BgL_arg1694z00_1664 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_localz00_bglt)
																													BgL_fz00_1582))))->
																									BgL_typez00);
																								BgL__ortest_1108z00_1662 =
																									(((obj_t) BgL_arg1694z00_1664)
																									==
																									BGl_za2_za2z00zztype_cachez00);
																							}
																							if (BgL__ortest_1108z00_1662)
																								{	/* Inline/simple.scm 57 */
																									BgL_test1882z00_2445 =
																										BgL__ortest_1108z00_1662;
																								}
																							else
																								{	/* Inline/simple.scm 58 */
																									BgL_typez00_bglt
																										BgL_arg1682z00_1663;
																									BgL_arg1682z00_1663 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_fz00_1582))))->
																										BgL_typez00);
																									BgL_test1882z00_2445 =
																										(((obj_t)
																											BgL_arg1682z00_1663) ==
																										BGl_za2objza2z00zztype_cachez00);
																								}
																						}
																				}
																			else
																				{	/* Inline/simple.scm 55 */
																					BgL_test1882z00_2445 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Inline/simple.scm 54 */
																			BgL_test1882z00_2445 = ((bool_t) 0);
																		}
																}
																if (BgL_test1882z00_2445)
																	{	/* Inline/simple.scm 54 */
																		BgL_arg1542z00_1581 =
																			((obj_t)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							((BgL_closurez00_bglt)
																								BgL_az00_1583))))->
																				BgL_variablez00));
																	}
																else
																	{	/* Inline/simple.scm 64 */
																		bool_t BgL_test1890z00_2492;

																		if (
																			((((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1582))))->
																					BgL_accessz00) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Inline/simple.scm 65 */
																				bool_t BgL_test1892z00_2499;

																				{	/* Inline/simple.scm 65 */
																					bool_t BgL_test1893z00_2500;

																					{	/* Inline/simple.scm 65 */
																						BgL_typez00_bglt
																							BgL_arg1679z00_1657;
																						BgL_arg1679z00_1657 =
																							(((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_fz00_1582))))->
																							BgL_typez00);
																						BgL_test1893z00_2500 =
																							(((obj_t) BgL_arg1679z00_1657) ==
																							BGl_za2objza2z00zztype_cachez00);
																					}
																					if (BgL_test1893z00_2500)
																						{	/* Inline/simple.scm 65 */
																							BgL_test1892z00_2499 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Inline/simple.scm 66 */
																							BgL_typez00_bglt
																								BgL_arg1678z00_1656;
																							BgL_arg1678z00_1656 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												BgL_fz00_1582))))->
																								BgL_typez00);
																							BgL_test1892z00_2499 =
																								(((obj_t) BgL_arg1678z00_1656)
																								==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																				}
																				if (BgL_test1892z00_2499)
																					{	/* Inline/simple.scm 67 */
																						obj_t BgL_classz00_1888;

																						BgL_classz00_1888 =
																							BGl_atomz00zzast_nodez00;
																						if (BGL_OBJECTP(BgL_az00_1583))
																							{	/* Inline/simple.scm 67 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_1890;
																								BgL_arg1825z00_1890 =
																									(BgL_objectz00_bglt)
																									(BgL_az00_1583);
																								{	/* Inline/simple.scm 67 */
																									bool_t BgL_arg1822z00_1893;
																									bool_t BgL_arg1823z00_1894;

																									{	/* Inline/simple.scm 67 */
																										long BgL_idxz00_1897;

																										BgL_idxz00_1897 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_1890);
																										BgL_arg1822z00_1893 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_1897 +
																													((long) 2))) ==
																											BgL_classz00_1888);
																									}
																									{	/* Inline/simple.scm 67 */
																										bool_t BgL_res1851z00_1919;

																										{	/* Inline/simple.scm 67 */
																											obj_t BgL_oclassz00_1905;

																											{	/* Inline/simple.scm 67 */
																												long
																													BgL_arg1833z00_1911;
																												{	/* Inline/simple.scm 67 */
																													long
																														BgL_arg1834z00_1912;
																													BgL_arg1834z00_1912 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_1890);
																													BgL_arg1833z00_1911 =
																														(BgL_arg1834z00_1912
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_1905 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_1911);
																											}
																											{	/* Inline/simple.scm 67 */
																												bool_t
																													BgL__ortest_1110z00_1906;
																												BgL__ortest_1110z00_1906
																													=
																													(BgL_classz00_1888 ==
																													BgL_oclassz00_1905);
																												if (BgL__ortest_1110z00_1906)
																													{	/* Inline/simple.scm 67 */
																														BgL_res1851z00_1919
																															=
																															BgL__ortest_1110z00_1906;
																													}
																												else
																													{	/* Inline/simple.scm 67 */
																														long
																															BgL_odepthz00_1907;
																														BgL_odepthz00_1907 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_1905);
																														if ((((long) 2) <
																																BgL_odepthz00_1907))
																															{	/* Inline/simple.scm 67 */
																																obj_t
																																	BgL_arg1821z00_1909;
																																BgL_arg1821z00_1909
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_1905,
																																	((long) 2));
																																BgL_res1851z00_1919
																																	=
																																	(BgL_arg1821z00_1909
																																	==
																																	BgL_classz00_1888);
																															}
																														else
																															{	/* Inline/simple.scm 67 */
																																BgL_res1851z00_1919
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_1894 =
																											BgL_res1851z00_1919;
																									}
																									BgL_test1890z00_2492 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_1893,
																										BgL_arg1823z00_1894);
																								}
																							}
																						else
																							{	/* Inline/simple.scm 67 */
																								BgL_test1890z00_2492 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Inline/simple.scm 65 */
																						BgL_test1890z00_2492 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Inline/simple.scm 64 */
																				BgL_test1890z00_2492 = ((bool_t) 0);
																			}
																		if (BgL_test1890z00_2492)
																			{	/* Inline/simple.scm 64 */
																				BgL_arg1542z00_1581 = BgL_az00_1583;
																			}
																		else
																			{	/* Inline/simple.scm 69 */
																				bool_t BgL_test1897z00_2529;

																				if (
																					((((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_fz00_1582))))->
																							BgL_accessz00) ==
																						CNST_TABLE_REF(((long) 0))))
																					{	/* Inline/simple.scm 70 */
																						bool_t BgL_test1899z00_2536;

																						{	/* Inline/simple.scm 70 */
																							bool_t BgL_test1900z00_2537;

																							{	/* Inline/simple.scm 70 */
																								BgL_typez00_bglt
																									BgL_arg1675z00_1651;
																								BgL_arg1675z00_1651 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_localz00_bglt)
																													BgL_fz00_1582))))->
																									BgL_typez00);
																								BgL_test1900z00_2537 =
																									(((obj_t) BgL_arg1675z00_1651)
																									==
																									BGl_za2objza2z00zztype_cachez00);
																							}
																							if (BgL_test1900z00_2537)
																								{	/* Inline/simple.scm 70 */
																									BgL_test1899z00_2536 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Inline/simple.scm 71 */
																									BgL_typez00_bglt
																										BgL_arg1668z00_1650;
																									BgL_arg1668z00_1650 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_fz00_1582))))->
																										BgL_typez00);
																									BgL_test1899z00_2536 =
																										(((obj_t)
																											BgL_arg1668z00_1650) ==
																										BGl_za2_za2z00zztype_cachez00);
																								}
																						}
																						if (BgL_test1899z00_2536)
																							{	/* Inline/simple.scm 72 */
																								bool_t BgL_test1901z00_2548;

																								{	/* Inline/simple.scm 72 */
																									obj_t BgL_classz00_1923;

																									BgL_classz00_1923 =
																										BGl_varz00zzast_nodez00;
																									if (BGL_OBJECTP
																										(BgL_az00_1583))
																										{	/* Inline/simple.scm 72 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_1925;
																											BgL_arg1825z00_1925 =
																												(BgL_objectz00_bglt)
																												(BgL_az00_1583);
																											{	/* Inline/simple.scm 72 */
																												bool_t
																													BgL_arg1822z00_1928;
																												bool_t
																													BgL_arg1823z00_1929;
																												{	/* Inline/simple.scm 72 */
																													long BgL_idxz00_1932;

																													BgL_idxz00_1932 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_1925);
																													BgL_arg1822z00_1928 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_1932 +
																																((long) 2))) ==
																														BgL_classz00_1923);
																												}
																												{	/* Inline/simple.scm 72 */
																													bool_t
																														BgL_res1852z00_1954;
																													{	/* Inline/simple.scm 72 */
																														obj_t
																															BgL_oclassz00_1940;
																														{	/* Inline/simple.scm 72 */
																															long
																																BgL_arg1833z00_1946;
																															{	/* Inline/simple.scm 72 */
																																long
																																	BgL_arg1834z00_1947;
																																BgL_arg1834z00_1947
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_1925);
																																BgL_arg1833z00_1946
																																	=
																																	(BgL_arg1834z00_1947
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_1940
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_1946);
																														}
																														{	/* Inline/simple.scm 72 */
																															bool_t
																																BgL__ortest_1110z00_1941;
																															BgL__ortest_1110z00_1941
																																=
																																(BgL_classz00_1923
																																==
																																BgL_oclassz00_1940);
																															if (BgL__ortest_1110z00_1941)
																																{	/* Inline/simple.scm 72 */
																																	BgL_res1852z00_1954
																																		=
																																		BgL__ortest_1110z00_1941;
																																}
																															else
																																{	/* Inline/simple.scm 72 */
																																	long
																																		BgL_odepthz00_1942;
																																	BgL_odepthz00_1942
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_1940);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_1942))
																																		{	/* Inline/simple.scm 72 */
																																			obj_t
																																				BgL_arg1821z00_1944;
																																			BgL_arg1821z00_1944
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_1940,
																																				((long)
																																					2));
																																			BgL_res1852z00_1954
																																				=
																																				(BgL_arg1821z00_1944
																																				==
																																				BgL_classz00_1923);
																																		}
																																	else
																																		{	/* Inline/simple.scm 72 */
																																			BgL_res1852z00_1954
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_1929 =
																														BgL_res1852z00_1954;
																												}
																												BgL_test1901z00_2548 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_1928,
																													BgL_arg1823z00_1929);
																											}
																										}
																									else
																										{	/* Inline/simple.scm 72 */
																											BgL_test1901z00_2548 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test1901z00_2548)
																									{	/* Inline/simple.scm 72 */
																										BgL_test1897z00_2529 =
																											(
																											(((BgL_variablez00_bglt)
																													COBJECT(((
																																(BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_az00_1583)))->
																															BgL_variablez00)))->
																												BgL_accessz00) ==
																											CNST_TABLE_REF(((long)
																													0)));
																									}
																								else
																									{	/* Inline/simple.scm 72 */
																										BgL_test1897z00_2529 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Inline/simple.scm 70 */
																								BgL_test1897z00_2529 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Inline/simple.scm 69 */
																						BgL_test1897z00_2529 = ((bool_t) 0);
																					}
																				if (BgL_test1897z00_2529)
																					{	/* Inline/simple.scm 69 */
																						BgL_arg1542z00_1581 =
																							((obj_t)
																							(((BgL_varz00_bglt) COBJECT(
																										((BgL_varz00_bglt)
																											BgL_az00_1583)))->
																								BgL_variablez00));
																					}
																				else
																					{	/* Inline/simple.scm 76 */
																						bool_t BgL_test1905z00_2575;

																						if (
																							((((BgL_variablez00_bglt) COBJECT(
																											((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_fz00_1582))))->
																									BgL_accessz00) ==
																								CNST_TABLE_REF(((long) 0))))
																							{	/* Inline/simple.scm 77 */
																								bool_t BgL_test1907z00_2582;

																								{	/* Inline/simple.scm 77 */
																									bool_t
																										BgL__ortest_1111z00_1640;
																									{	/* Inline/simple.scm 77 */
																										BgL_typez00_bglt
																											BgL_arg1657z00_1642;
																										BgL_arg1657z00_1642 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_fz00_1582))))->
																											BgL_typez00);
																										BgL__ortest_1111z00_1640 =
																											(((obj_t)
																												BgL_arg1657z00_1642) ==
																											BGl_za2intza2z00zztype_cachez00);
																									}
																									if (BgL__ortest_1111z00_1640)
																										{	/* Inline/simple.scm 77 */
																											BgL_test1907z00_2582 =
																												BgL__ortest_1111z00_1640;
																										}
																									else
																										{	/* Inline/simple.scm 78 */
																											BgL_typez00_bglt
																												BgL_arg1656z00_1641;
																											BgL_arg1656z00_1641 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_fz00_1582))))->BgL_typez00);
																											BgL_test1907z00_2582 =
																												(((obj_t)
																													BgL_arg1656z00_1641)
																												==
																												BGl_za2longza2z00zztype_cachez00);
																										}
																								}
																								if (BgL_test1907z00_2582)
																									{	/* Inline/simple.scm 79 */
																										bool_t BgL_test1909z00_2594;

																										{	/* Inline/simple.scm 79 */
																											obj_t BgL_classz00_1961;

																											BgL_classz00_1961 =
																												BGl_atomz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_az00_1583))
																												{	/* Inline/simple.scm 79 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_1963;
																													BgL_arg1825z00_1963 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_1583);
																													{	/* Inline/simple.scm 79 */
																														bool_t
																															BgL_arg1822z00_1966;
																														bool_t
																															BgL_arg1823z00_1967;
																														{	/* Inline/simple.scm 79 */
																															long
																																BgL_idxz00_1970;
																															BgL_idxz00_1970 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_1963);
																															BgL_arg1822z00_1966
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_1970
																																		+
																																		((long) 2)))
																																==
																																BgL_classz00_1961);
																														}
																														{	/* Inline/simple.scm 79 */
																															bool_t
																																BgL_res1853z00_1992;
																															{	/* Inline/simple.scm 79 */
																																obj_t
																																	BgL_oclassz00_1978;
																																{	/* Inline/simple.scm 79 */
																																	long
																																		BgL_arg1833z00_1984;
																																	{	/* Inline/simple.scm 79 */
																																		long
																																			BgL_arg1834z00_1985;
																																		BgL_arg1834z00_1985
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_1963);
																																		BgL_arg1833z00_1984
																																			=
																																			(BgL_arg1834z00_1985
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_1978
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_1984);
																																}
																																{	/* Inline/simple.scm 79 */
																																	bool_t
																																		BgL__ortest_1110z00_1979;
																																	BgL__ortest_1110z00_1979
																																		=
																																		(BgL_classz00_1961
																																		==
																																		BgL_oclassz00_1978);
																																	if (BgL__ortest_1110z00_1979)
																																		{	/* Inline/simple.scm 79 */
																																			BgL_res1853z00_1992
																																				=
																																				BgL__ortest_1110z00_1979;
																																		}
																																	else
																																		{	/* Inline/simple.scm 79 */
																																			long
																																				BgL_odepthz00_1980;
																																			BgL_odepthz00_1980
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_1978);
																																			if ((((long) 2) < BgL_odepthz00_1980))
																																				{	/* Inline/simple.scm 79 */
																																					obj_t
																																						BgL_arg1821z00_1982;
																																					BgL_arg1821z00_1982
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_1978,
																																						((long) 2));
																																					BgL_res1853z00_1992
																																						=
																																						(BgL_arg1821z00_1982
																																						==
																																						BgL_classz00_1961);
																																				}
																																			else
																																				{	/* Inline/simple.scm 79 */
																																					BgL_res1853z00_1992
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_1967
																																=
																																BgL_res1853z00_1992;
																														}
																														BgL_test1909z00_2594
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_1966,
																															BgL_arg1823z00_1967);
																													}
																												}
																											else
																												{	/* Inline/simple.scm 79 */
																													BgL_test1909z00_2594 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test1909z00_2594)
																											{	/* Inline/simple.scm 79 */
																												BgL_test1905z00_2575 =
																													INTEGERP(
																													(((BgL_atomz00_bglt)
																															COBJECT((
																																	(BgL_atomz00_bglt)
																																	BgL_az00_1583)))->
																														BgL_valuez00));
																											}
																										else
																											{	/* Inline/simple.scm 79 */
																												BgL_test1905z00_2575 =
																													((bool_t) 0);
																											}
																									}
																								else
																									{	/* Inline/simple.scm 77 */
																										BgL_test1905z00_2575 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Inline/simple.scm 76 */
																								BgL_test1905z00_2575 =
																									((bool_t) 0);
																							}
																						if (BgL_test1905z00_2575)
																							{	/* Inline/simple.scm 76 */
																								BgL_arg1542z00_1581 =
																									BgL_az00_1583;
																							}
																						else
																							{	/* Inline/simple.scm 85 */
																								BgL_svarz00_bglt
																									BgL_arg1636z00_1631;
																								{	/* Inline/simple.scm 85 */
																									BgL_svarz00_bglt
																										BgL_duplicated1114z00_1632;
																									BgL_svarz00_bglt
																										BgL_new1112z00_1633;
																									BgL_duplicated1114z00_1632 =
																										((BgL_svarz00_bglt) ((
																												(BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_fz00_1582))))->
																											BgL_valuez00));
																									{	/* Inline/simple.scm 85 */
																										BgL_svarz00_bglt
																											BgL_new1115z00_1634;
																										BgL_new1115z00_1634 =
																											((BgL_svarz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_svarz00_bgl))));
																										{	/* Inline/simple.scm 85 */
																											long BgL_arg1647z00_1635;

																											BgL_arg1647z00_1635 =
																												BGL_CLASS_NUM
																												(BGl_svarz00zzast_varz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1115z00_1634),
																												BgL_arg1647z00_1635);
																										}
																										{	/* Inline/simple.scm 85 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2624;
																											BgL_tmpz00_2624 =
																												((BgL_objectz00_bglt)
																												BgL_new1115z00_1634);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_2624,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1115z00_1634);
																										BgL_new1112z00_1633 =
																											BgL_new1115z00_1634;
																									}
																									((((BgL_svarz00_bglt)
																												COBJECT
																												(BgL_new1112z00_1633))->
																											BgL_locz00) =
																										((obj_t) ((
																													(BgL_svarz00_bglt)
																													COBJECT
																													(BgL_duplicated1114z00_1632))->
																												BgL_locz00)), BUNSPEC);
																									BgL_arg1636z00_1631 =
																										BgL_new1112z00_1633;
																								}
																								BgL_arg1542z00_1581 =
																									((obj_t)
																									BGl_clonezd2localzd2zzast_localz00
																									(((BgL_localz00_bglt)
																											BgL_fz00_1582),
																										((BgL_valuez00_bglt)
																											BgL_arg1636z00_1631)));
														}}}}}}
														BgL_newtail1248z00_1578 =
															MAKE_YOUNG_PAIR(BgL_arg1542z00_1581, BNIL);
													}
													SET_CDR(BgL_tail1247z00_1575,
														BgL_newtail1248z00_1578);
													{	/* Inline/simple.scm 52 */
														obj_t BgL_arg1534z00_1579;
														obj_t BgL_arg1536z00_1580;

														BgL_arg1534z00_1579 =
															CDR(((obj_t) BgL_ll1244z00_1573));
														BgL_arg1536z00_1580 =
															CDR(((obj_t) BgL_ll1245z00_1574));
														{
															obj_t BgL_tail1247z00_2642;
															obj_t BgL_ll1245z00_2641;
															obj_t BgL_ll1244z00_2640;

															BgL_ll1244z00_2640 = BgL_arg1534z00_1579;
															BgL_ll1245z00_2641 = BgL_arg1536z00_1580;
															BgL_tail1247z00_2642 = BgL_newtail1248z00_1578;
															BgL_tail1247z00_1575 = BgL_tail1247z00_2642;
															BgL_ll1245z00_1574 = BgL_ll1245z00_2641;
															BgL_ll1244z00_1573 = BgL_ll1244z00_2640;
															goto BgL_zc3z04anonymousza31526ze3z87_1576;
														}
													}
												}
										}
									}
								{	/* Inline/simple.scm 52 */
									obj_t BgL_bindingsz00_1451;

									{
										obj_t BgL_reductorsz00_1521;
										obj_t BgL_actualsz00_1522;
										obj_t BgL_resz00_1523;

										BgL_reductorsz00_1521 = BgL_reductorsz00_1450;
										BgL_actualsz00_1522 = BgL_actualsz00_1449;
										BgL_resz00_1523 = BNIL;
									BgL_zc3z04anonymousza31330ze3z87_1524:
										if (NULLP(BgL_actualsz00_1522))
											{	/* Inline/simple.scm 92 */
												BgL_bindingsz00_1451 =
													bgl_reverse_bang(BgL_resz00_1523);
											}
										else
											{	/* Inline/simple.scm 94 */
												bool_t BgL_test1914z00_2646;

												{	/* Inline/simple.scm 94 */
													bool_t BgL_test1915z00_2647;

													{	/* Inline/simple.scm 94 */
														obj_t BgL_arg1524z00_1566;

														BgL_arg1524z00_1566 =
															CAR(((obj_t) BgL_actualsz00_1522));
														{	/* Inline/simple.scm 94 */
															obj_t BgL_classz00_2003;

															BgL_classz00_2003 = BGl_closurez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1524z00_1566))
																{	/* Inline/simple.scm 94 */
																	BgL_objectz00_bglt BgL_arg1825z00_2005;

																	BgL_arg1825z00_2005 =
																		(BgL_objectz00_bglt) (BgL_arg1524z00_1566);
																	{	/* Inline/simple.scm 94 */
																		bool_t BgL_arg1822z00_2008;
																		bool_t BgL_arg1823z00_2009;

																		{	/* Inline/simple.scm 94 */
																			long BgL_idxz00_2012;

																			BgL_idxz00_2012 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2005);
																			BgL_arg1822z00_2008 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2012 + ((long) 3))) ==
																				BgL_classz00_2003);
																		}
																		{	/* Inline/simple.scm 94 */
																			bool_t BgL_res1854z00_2034;

																			{	/* Inline/simple.scm 94 */
																				obj_t BgL_oclassz00_2020;

																				{	/* Inline/simple.scm 94 */
																					long BgL_arg1833z00_2026;

																					{	/* Inline/simple.scm 94 */
																						long BgL_arg1834z00_2027;

																						BgL_arg1834z00_2027 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2005);
																						BgL_arg1833z00_2026 =
																							(BgL_arg1834z00_2027 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2020 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2026);
																				}
																				{	/* Inline/simple.scm 94 */
																					bool_t BgL__ortest_1110z00_2021;

																					BgL__ortest_1110z00_2021 =
																						(BgL_classz00_2003 ==
																						BgL_oclassz00_2020);
																					if (BgL__ortest_1110z00_2021)
																						{	/* Inline/simple.scm 94 */
																							BgL_res1854z00_2034 =
																								BgL__ortest_1110z00_2021;
																						}
																					else
																						{	/* Inline/simple.scm 94 */
																							long BgL_odepthz00_2022;

																							BgL_odepthz00_2022 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2020);
																							if ((((long) 3) <
																									BgL_odepthz00_2022))
																								{	/* Inline/simple.scm 94 */
																									obj_t BgL_arg1821z00_2024;

																									BgL_arg1821z00_2024 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2020,
																										((long) 3));
																									BgL_res1854z00_2034 =
																										(BgL_arg1821z00_2024 ==
																										BgL_classz00_2003);
																								}
																							else
																								{	/* Inline/simple.scm 94 */
																									BgL_res1854z00_2034 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2009 = BgL_res1854z00_2034;
																		}
																		BgL_test1915z00_2647 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2008,
																			BgL_arg1823z00_2009);
																	}
																}
															else
																{	/* Inline/simple.scm 94 */
																	BgL_test1915z00_2647 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1915z00_2647)
														{	/* Inline/simple.scm 94 */
															BgL_test1914z00_2646 =
																(CAR(
																	((obj_t) BgL_reductorsz00_1521)) ==
																((obj_t)
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					((BgL_closurez00_bglt)
																						CAR(
																							((obj_t)
																								BgL_actualsz00_1522))))))->
																		BgL_variablez00)));
														}
													else
														{	/* Inline/simple.scm 94 */
															BgL_test1914z00_2646 = ((bool_t) 0);
														}
												}
												if (BgL_test1914z00_2646)
													{	/* Inline/simple.scm 97 */
														obj_t BgL_arg1354z00_1533;
														obj_t BgL_arg1357z00_1534;

														BgL_arg1354z00_1533 =
															CDR(((obj_t) BgL_reductorsz00_1521));
														BgL_arg1357z00_1534 =
															CDR(((obj_t) BgL_actualsz00_1522));
														{
															obj_t BgL_actualsz00_2682;
															obj_t BgL_reductorsz00_2681;

															BgL_reductorsz00_2681 = BgL_arg1354z00_1533;
															BgL_actualsz00_2682 = BgL_arg1357z00_1534;
															BgL_actualsz00_1522 = BgL_actualsz00_2682;
															BgL_reductorsz00_1521 = BgL_reductorsz00_2681;
															goto BgL_zc3z04anonymousza31330ze3z87_1524;
														}
													}
												else
													{	/* Inline/simple.scm 94 */
														if (
															(CAR(
																	((obj_t) BgL_reductorsz00_1521)) ==
																CAR(((obj_t) BgL_actualsz00_1522))))
															{	/* Inline/simple.scm 101 */
																obj_t BgL_arg1363z00_1538;
																obj_t BgL_arg1364z00_1539;

																BgL_arg1363z00_1538 =
																	CDR(((obj_t) BgL_reductorsz00_1521));
																BgL_arg1364z00_1539 =
																	CDR(((obj_t) BgL_actualsz00_1522));
																{
																	obj_t BgL_actualsz00_2694;
																	obj_t BgL_reductorsz00_2693;

																	BgL_reductorsz00_2693 = BgL_arg1363z00_1538;
																	BgL_actualsz00_2694 = BgL_arg1364z00_1539;
																	BgL_actualsz00_1522 = BgL_actualsz00_2694;
																	BgL_reductorsz00_1521 = BgL_reductorsz00_2693;
																	goto BgL_zc3z04anonymousza31330ze3z87_1524;
																}
															}
														else
															{	/* Inline/simple.scm 104 */
																bool_t BgL_test1920z00_2695;

																{	/* Inline/simple.scm 104 */
																	bool_t BgL_test1921z00_2696;

																	{	/* Inline/simple.scm 104 */
																		obj_t BgL_arg1477z00_1559;

																		BgL_arg1477z00_1559 =
																			CAR(((obj_t) BgL_actualsz00_1522));
																		{	/* Inline/simple.scm 104 */
																			obj_t BgL_classz00_2045;

																			BgL_classz00_2045 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1477z00_1559))
																				{	/* Inline/simple.scm 104 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_2047;
																					BgL_arg1825z00_2047 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1477z00_1559);
																					{	/* Inline/simple.scm 104 */
																						bool_t BgL_arg1822z00_2050;
																						bool_t BgL_arg1823z00_2051;

																						{	/* Inline/simple.scm 104 */
																							long BgL_idxz00_2054;

																							BgL_idxz00_2054 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_2047);
																							BgL_arg1822z00_2050 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2054 +
																										((long) 2))) ==
																								BgL_classz00_2045);
																						}
																						{	/* Inline/simple.scm 104 */
																							bool_t BgL_res1855z00_2076;

																							{	/* Inline/simple.scm 104 */
																								obj_t BgL_oclassz00_2062;

																								{	/* Inline/simple.scm 104 */
																									long BgL_arg1833z00_2068;

																									{	/* Inline/simple.scm 104 */
																										long BgL_arg1834z00_2069;

																										BgL_arg1834z00_2069 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_2047);
																										BgL_arg1833z00_2068 =
																											(BgL_arg1834z00_2069 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2062 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_2068);
																								}
																								{	/* Inline/simple.scm 104 */
																									bool_t
																										BgL__ortest_1110z00_2063;
																									BgL__ortest_1110z00_2063 =
																										(BgL_classz00_2045 ==
																										BgL_oclassz00_2062);
																									if (BgL__ortest_1110z00_2063)
																										{	/* Inline/simple.scm 104 */
																											BgL_res1855z00_2076 =
																												BgL__ortest_1110z00_2063;
																										}
																									else
																										{	/* Inline/simple.scm 104 */
																											long BgL_odepthz00_2064;

																											BgL_odepthz00_2064 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2062);
																											if ((((long) 2) <
																													BgL_odepthz00_2064))
																												{	/* Inline/simple.scm 104 */
																													obj_t
																														BgL_arg1821z00_2066;
																													BgL_arg1821z00_2066 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2062,
																														((long) 2));
																													BgL_res1855z00_2076 =
																														(BgL_arg1821z00_2066
																														==
																														BgL_classz00_2045);
																												}
																											else
																												{	/* Inline/simple.scm 104 */
																													BgL_res1855z00_2076 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_2051 =
																								BgL_res1855z00_2076;
																						}
																						BgL_test1921z00_2696 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_2050,
																							BgL_arg1823z00_2051);
																					}
																				}
																			else
																				{	/* Inline/simple.scm 104 */
																					BgL_test1921z00_2696 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test1921z00_2696)
																		{	/* Inline/simple.scm 104 */
																			BgL_test1920z00_2695 =
																				(CAR(
																					((obj_t) BgL_reductorsz00_1521)) ==
																				((obj_t)
																					(((BgL_varz00_bglt) COBJECT(
																								((BgL_varz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_actualsz00_1522)))))->
																						BgL_variablez00)));
																		}
																	else
																		{	/* Inline/simple.scm 104 */
																			BgL_test1920z00_2695 = ((bool_t) 0);
																		}
																}
																if (BgL_test1920z00_2695)
																	{	/* Inline/simple.scm 106 */
																		obj_t BgL_arg1400z00_1547;
																		obj_t BgL_arg1401z00_1548;

																		BgL_arg1400z00_1547 =
																			CDR(((obj_t) BgL_reductorsz00_1521));
																		BgL_arg1401z00_1548 =
																			CDR(((obj_t) BgL_actualsz00_1522));
																		{
																			obj_t BgL_actualsz00_2730;
																			obj_t BgL_reductorsz00_2729;

																			BgL_reductorsz00_2729 =
																				BgL_arg1400z00_1547;
																			BgL_actualsz00_2730 = BgL_arg1401z00_1548;
																			BgL_actualsz00_1522 = BgL_actualsz00_2730;
																			BgL_reductorsz00_1521 =
																				BgL_reductorsz00_2729;
																			goto
																				BgL_zc3z04anonymousza31330ze3z87_1524;
																		}
																	}
																else
																	{	/* Inline/simple.scm 110 */
																		obj_t BgL_arg1415z00_1549;
																		obj_t BgL_arg1416z00_1550;
																		obj_t BgL_arg1418z00_1551;

																		BgL_arg1415z00_1549 =
																			CDR(((obj_t) BgL_reductorsz00_1521));
																		BgL_arg1416z00_1550 =
																			CDR(((obj_t) BgL_actualsz00_1522));
																		{	/* Inline/simple.scm 112 */
																			obj_t BgL_arg1419z00_1552;

																			{	/* Inline/simple.scm 112 */
																				obj_t BgL_arg1430z00_1553;
																				obj_t BgL_arg1454z00_1554;

																				BgL_arg1430z00_1553 =
																					CAR(((obj_t) BgL_reductorsz00_1521));
																				BgL_arg1454z00_1554 =
																					CAR(((obj_t) BgL_actualsz00_1522));
																				BgL_arg1419z00_1552 =
																					MAKE_YOUNG_PAIR(BgL_arg1430z00_1553,
																					BgL_arg1454z00_1554);
																			}
																			BgL_arg1418z00_1551 =
																				MAKE_YOUNG_PAIR(BgL_arg1419z00_1552,
																				BgL_resz00_1523);
																		}
																		{
																			obj_t BgL_resz00_2743;
																			obj_t BgL_actualsz00_2742;
																			obj_t BgL_reductorsz00_2741;

																			BgL_reductorsz00_2741 =
																				BgL_arg1415z00_1549;
																			BgL_actualsz00_2742 = BgL_arg1416z00_1550;
																			BgL_resz00_2743 = BgL_arg1418z00_1551;
																			BgL_resz00_1523 = BgL_resz00_2743;
																			BgL_actualsz00_1522 = BgL_actualsz00_2742;
																			BgL_reductorsz00_1521 =
																				BgL_reductorsz00_2741;
																			goto
																				BgL_zc3z04anonymousza31330ze3z87_1524;
																		}
																	}
															}
													}
											}
									}
									{	/* Inline/simple.scm 88 */
										obj_t BgL_bodyz00_1452;

										{	/* Inline/simple.scm 115 */
											bool_t BgL_test1925z00_2744;

											{	/* Inline/simple.scm 115 */
												obj_t BgL_classz00_2086;

												BgL_classz00_2086 = BGl_isfunz00zzinline_inlinez00;
												{	/* Inline/simple.scm 115 */
													BgL_objectz00_bglt BgL_arg1825z00_2088;

													{	/* Inline/simple.scm 115 */
														obj_t BgL_tmpz00_2745;

														BgL_tmpz00_2745 =
															((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1447));
														BgL_arg1825z00_2088 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2745);
													}
													{	/* Inline/simple.scm 115 */
														bool_t BgL_arg1822z00_2091;
														bool_t BgL_arg1823z00_2092;

														{	/* Inline/simple.scm 115 */
															long BgL_idxz00_2095;

															BgL_idxz00_2095 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2088);
															BgL_arg1822z00_2091 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2095 + ((long) 4))) ==
																BgL_classz00_2086);
														}
														{	/* Inline/simple.scm 115 */
															bool_t BgL_res1856z00_2117;

															{	/* Inline/simple.scm 115 */
																obj_t BgL_oclassz00_2103;

																{	/* Inline/simple.scm 115 */
																	long BgL_arg1833z00_2109;

																	{	/* Inline/simple.scm 115 */
																		long BgL_arg1834z00_2110;

																		BgL_arg1834z00_2110 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2088);
																		BgL_arg1833z00_2109 =
																			(BgL_arg1834z00_2110 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2103 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2109);
																}
																{	/* Inline/simple.scm 115 */
																	bool_t BgL__ortest_1110z00_2104;

																	BgL__ortest_1110z00_2104 =
																		(BgL_classz00_2086 == BgL_oclassz00_2103);
																	if (BgL__ortest_1110z00_2104)
																		{	/* Inline/simple.scm 115 */
																			BgL_res1856z00_2117 =
																				BgL__ortest_1110z00_2104;
																		}
																	else
																		{	/* Inline/simple.scm 115 */
																			long BgL_odepthz00_2105;

																			BgL_odepthz00_2105 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2103);
																			if ((((long) 4) < BgL_odepthz00_2105))
																				{	/* Inline/simple.scm 115 */
																					obj_t BgL_arg1821z00_2107;

																					BgL_arg1821z00_2107 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2103, ((long) 4));
																					BgL_res1856z00_2117 =
																						(BgL_arg1821z00_2107 ==
																						BgL_classz00_2086);
																				}
																			else
																				{	/* Inline/simple.scm 115 */
																					BgL_res1856z00_2117 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2092 = BgL_res1856z00_2117;
														}
														BgL_test1925z00_2744 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2091,
															BgL_arg1823z00_2092);
													}
												}
											}
											if (BgL_test1925z00_2744)
												{
													BgL_nodez00_bglt BgL_auxz00_2764;

													{
														BgL_isfunz00_bglt BgL_auxz00_2765;

														{
															obj_t BgL_auxz00_2766;

															{	/* Inline/simple.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_2767;

																BgL_tmpz00_2767 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1447));
																BgL_auxz00_2766 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2767);
															}
															BgL_auxz00_2765 =
																((BgL_isfunz00_bglt) BgL_auxz00_2766);
														}
														BgL_auxz00_2764 =
															(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2765))->
															BgL_originalzd2bodyzd2);
													}
													BgL_bodyz00_1452 = ((obj_t) BgL_auxz00_2764);
												}
											else
												{	/* Inline/simple.scm 115 */
													BgL_bodyz00_1452 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_1447)))->
														BgL_bodyz00);
												}
										}
										{	/* Inline/simple.scm 118 */
											obj_t BgL_newzd2kfactorzd2_1454;

											BgL_newzd2kfactorzd2_1454 =
												PROCEDURE_ENTRY
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
												BINT(BgL_kfactorz00_4), BEOA);
											{	/* Inline/simple.scm 119 */
												obj_t BgL_locz00_1455;

												BgL_locz00_1455 =
													(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_3))->
													BgL_locz00);
												{	/* Inline/simple.scm 120 */
													BgL_typez00_bglt BgL_typez00_1456;

													BgL_typez00_1456 =
														(((BgL_variablez00_bglt)
															COBJECT(BgL_calleez00_1446))->BgL_typez00);
													{	/* Inline/simple.scm 121 */

														((((BgL_variablez00_bglt)
																	COBJECT(BgL_calleez00_1446))->
																BgL_occurrencez00) =
															((long) ((((BgL_variablez00_bglt)
																			COBJECT(BgL_calleez00_1446))->
																		BgL_occurrencez00) - ((long) 1))), BUNSPEC);
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00((
																		((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_sfunz00_1447)))->BgL_classz00),
																	CNST_TABLE_REF(((long) 1)))))
															{	/* Inline/simple.scm 125 */
																BFALSE;
															}
														else
															{	/* Inline/simple.scm 125 */
																if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT((
																				(long) 3)),
																		BGl_za2verboseza2z00zzengine_paramz00))
																	{	/* Inline/simple.scm 127 */
																		obj_t BgL_arg1261z00_1463;
																		obj_t BgL_arg1265z00_1464;

																		BgL_arg1261z00_1463 =
																			BGl_shapez00zztools_shapez00(
																			((obj_t) BgL_calleez00_1446));
																		BgL_arg1265z00_1464 =
																			BGl_currentzd2functionzd2zztools_errorz00
																			();
																		{	/* Inline/simple.scm 126 */
																			obj_t BgL_list1266z00_1465;

																			{	/* Inline/simple.scm 126 */
																				obj_t BgL_arg1275z00_1466;

																				{	/* Inline/simple.scm 126 */
																					obj_t BgL_arg1280z00_1467;

																					{	/* Inline/simple.scm 126 */
																						obj_t BgL_arg1281z00_1468;

																						{	/* Inline/simple.scm 126 */
																							obj_t BgL_arg1284z00_1469;

																							{	/* Inline/simple.scm 126 */
																								obj_t BgL_arg1295z00_1470;

																								{	/* Inline/simple.scm 126 */
																									obj_t BgL_arg1296z00_1471;

																									{	/* Inline/simple.scm 126 */
																										obj_t BgL_arg1297z00_1472;

																										BgL_arg1297z00_1472 =
																											MAKE_YOUNG_PAIR(BCHAR((
																													(unsigned char) 10)),
																											BNIL);
																										BgL_arg1296z00_1471 =
																											MAKE_YOUNG_PAIR(BCHAR((
																													(unsigned char) ')')),
																											BgL_arg1297z00_1472);
																									}
																									BgL_arg1295z00_1470 =
																										MAKE_YOUNG_PAIR
																										(BgL_msgz00_6,
																										BgL_arg1296z00_1471);
																								}
																								BgL_arg1284z00_1469 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1865z00zzinline_simplez00,
																									BgL_arg1295z00_1470);
																							}
																							BgL_arg1281z00_1468 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1265z00_1464,
																								BgL_arg1284z00_1469);
																						}
																						BgL_arg1280z00_1467 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1866z00zzinline_simplez00,
																							BgL_arg1281z00_1468);
																					}
																					BgL_arg1275z00_1466 =
																						MAKE_YOUNG_PAIR(BgL_arg1261z00_1463,
																						BgL_arg1280z00_1467);
																				}
																				BgL_list1266z00_1465 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1867z00zzinline_simplez00,
																					BgL_arg1275z00_1466);
																			}
																			BGl_verbosez00zztools_speekz00(BINT((
																						(long) 3)), BgL_list1266z00_1465);
																	}}
																else
																	{	/* Inline/simple.scm 126 */
																		BUNSPEC;
																	}
															}
														{	/* Inline/simple.scm 133 */
															BgL_nodez00_bglt BgL_alphazd2bodyzd2_1474;

															BgL_alphazd2bodyzd2_1474 =
																BGl_alphatiza7eza7zzast_alphatiza7eza7
																(BgL_formalsz00_1448, BgL_reductorsz00_1450,
																BgL_locz00_1455,
																((BgL_nodez00_bglt) BgL_bodyz00_1452));
															{	/* Inline/simple.scm 133 */

																BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
																	(BgL_alphazd2bodyzd2_1474);
																{	/* Inline/simple.scm 137 */
																	BgL_nodez00_bglt BgL_inodez00_1475;

																	{	/* Inline/simple.scm 137 */
																		obj_t BgL_arg1328z00_1517;

																		BgL_arg1328z00_1517 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_calleez00_1446),
																			BgL_stackz00_5);
																		BgL_inodez00_1475 =
																			BGl_inlinezd2nodezd2zzinline_inlinez00
																			(BgL_alphazd2bodyzd2_1474,
																			(long) CINT(BgL_newzd2kfactorzd2_1454),
																			BgL_arg1328z00_1517);
																	}
																	{	/* Inline/simple.scm 137 */
																		BgL_letzd2varzd2_bglt BgL_ibodyz00_1476;

																		{	/* Inline/simple.scm 138 */
																			BgL_letzd2varzd2_bglt BgL_new1120z00_1513;

																			{	/* Inline/simple.scm 139 */
																				BgL_letzd2varzd2_bglt
																					BgL_new1119z00_1515;
																				BgL_new1119z00_1515 =
																					((BgL_letzd2varzd2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_letzd2varzd2_bgl))));
																				{	/* Inline/simple.scm 139 */
																					long BgL_arg1326z00_1516;

																					BgL_arg1326z00_1516 =
																						BGL_CLASS_NUM
																						(BGl_letzd2varzd2zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1119z00_1515),
																						BgL_arg1326z00_1516);
																				}
																				{	/* Inline/simple.scm 139 */
																					BgL_objectz00_bglt BgL_tmpz00_2821;

																					BgL_tmpz00_2821 =
																						((BgL_objectz00_bglt)
																						BgL_new1119z00_1515);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_2821, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1119z00_1515);
																				BgL_new1120z00_1513 =
																					BgL_new1119z00_1515;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1120z00_1513)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1455), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_2827;

																				{	/* Inline/simple.scm 141 */
																					BgL_typez00_bglt BgL_arg1325z00_1514;

																					BgL_arg1325z00_1514 =
																						(((BgL_nodez00_bglt)
																							COBJECT(BgL_inodez00_1475))->
																						BgL_typez00);
																					BgL_auxz00_2827 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg1325z00_1514,
																						BgL_typez00_1456);
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1120z00_1513)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_2827),
																					BUNSPEC);
																			}
																			((((BgL_nodezf2effectzf2_bglt) COBJECT(
																							((BgL_nodezf2effectzf2_bglt)
																								BgL_new1120z00_1513)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t)
																					BBOOL
																					(BGl_sidezd2effectzf3z21zzeffect_effectz00
																						(BgL_alphazd2bodyzd2_1474))),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1120z00_1513)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1120z00_1513))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_bindingsz00_1451),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1120z00_1513))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_inodez00_1475),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1120z00_1513))->
																					BgL_removablezf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																			BgL_ibodyz00_1476 = BgL_new1120z00_1513;
																		}
																		{	/* Inline/simple.scm 138 */

																			{
																				obj_t BgL_ll1250z00_1478;
																				obj_t BgL_ll1251z00_1479;

																				BgL_ll1250z00_1478 =
																					BgL_reductorsz00_1450;
																				BgL_ll1251z00_1479 =
																					BgL_formalsz00_1448;
																			BgL_zc3z04anonymousza31299ze3z87_1480:
																				if (NULLP(BgL_ll1250z00_1478))
																					{	/* Inline/simple.scm 145 */
																						((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 145 */
																						{	/* Inline/simple.scm 146 */
																							obj_t BgL_reductorz00_1482;
																							obj_t BgL_formalz00_1483;

																							BgL_reductorz00_1482 =
																								CAR(
																								((obj_t) BgL_ll1250z00_1478));
																							BgL_formalz00_1483 =
																								CAR(
																								((obj_t) BgL_ll1251z00_1479));
																							{	/* Inline/simple.scm 146 */
																								bool_t BgL_test1931z00_2848;

																								{	/* Inline/simple.scm 146 */
																									obj_t BgL_classz00_2133;

																									BgL_classz00_2133 =
																										BGl_localz00zzast_varz00;
																									if (BGL_OBJECTP
																										(BgL_reductorz00_1482))
																										{	/* Inline/simple.scm 146 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_2135;
																											BgL_arg1825z00_2135 =
																												(BgL_objectz00_bglt)
																												(BgL_reductorz00_1482);
																											{	/* Inline/simple.scm 146 */
																												bool_t
																													BgL_arg1822z00_2138;
																												bool_t
																													BgL_arg1823z00_2139;
																												{	/* Inline/simple.scm 146 */
																													long BgL_idxz00_2142;

																													BgL_idxz00_2142 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_2135);
																													BgL_arg1822z00_2138 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2142 +
																																((long) 2))) ==
																														BgL_classz00_2133);
																												}
																												{	/* Inline/simple.scm 146 */
																													bool_t
																														BgL_res1857z00_2164;
																													{	/* Inline/simple.scm 146 */
																														obj_t
																															BgL_oclassz00_2150;
																														{	/* Inline/simple.scm 146 */
																															long
																																BgL_arg1833z00_2156;
																															{	/* Inline/simple.scm 146 */
																																long
																																	BgL_arg1834z00_2157;
																																BgL_arg1834z00_2157
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_2135);
																																BgL_arg1833z00_2156
																																	=
																																	(BgL_arg1834z00_2157
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2150
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_2156);
																														}
																														{	/* Inline/simple.scm 146 */
																															bool_t
																																BgL__ortest_1110z00_2151;
																															BgL__ortest_1110z00_2151
																																=
																																(BgL_classz00_2133
																																==
																																BgL_oclassz00_2150);
																															if (BgL__ortest_1110z00_2151)
																																{	/* Inline/simple.scm 146 */
																																	BgL_res1857z00_2164
																																		=
																																		BgL__ortest_1110z00_2151;
																																}
																															else
																																{	/* Inline/simple.scm 146 */
																																	long
																																		BgL_odepthz00_2152;
																																	BgL_odepthz00_2152
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2150);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_2152))
																																		{	/* Inline/simple.scm 146 */
																																			obj_t
																																				BgL_arg1821z00_2154;
																																			BgL_arg1821z00_2154
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2150,
																																				((long)
																																					2));
																																			BgL_res1857z00_2164
																																				=
																																				(BgL_arg1821z00_2154
																																				==
																																				BgL_classz00_2133);
																																		}
																																	else
																																		{	/* Inline/simple.scm 146 */
																																			BgL_res1857z00_2164
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_2139 =
																														BgL_res1857z00_2164;
																												}
																												BgL_test1931z00_2848 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_2138,
																													BgL_arg1823z00_2139);
																											}
																										}
																									else
																										{	/* Inline/simple.scm 146 */
																											BgL_test1931z00_2848 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test1931z00_2848)
																									{	/* Inline/simple.scm 147 */
																										bool_t BgL_arg1304z00_1485;

																										BgL_arg1304z00_1485 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_formalz00_1483))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_reductorz00_1482))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1304z00_1485), BUNSPEC);
																									}
																								else
																									{	/* Inline/simple.scm 146 */
																										BFALSE;
																									}
																							}
																						}
																						{	/* Inline/simple.scm 145 */
																							obj_t BgL_arg1306z00_1486;
																							obj_t BgL_arg1307z00_1487;

																							BgL_arg1306z00_1486 =
																								CDR(
																								((obj_t) BgL_ll1250z00_1478));
																							BgL_arg1307z00_1487 =
																								CDR(
																								((obj_t) BgL_ll1251z00_1479));
																							{
																								obj_t BgL_ll1251z00_2878;
																								obj_t BgL_ll1250z00_2877;

																								BgL_ll1250z00_2877 =
																									BgL_arg1306z00_1486;
																								BgL_ll1251z00_2878 =
																									BgL_arg1307z00_1487;
																								BgL_ll1251z00_1479 =
																									BgL_ll1251z00_2878;
																								BgL_ll1250z00_1478 =
																									BgL_ll1250z00_2877;
																								goto
																									BgL_zc3z04anonymousza31299ze3z87_1480;
																							}
																						}
																					}
																			}
																			{	/* Inline/simple.scm 154 */
																				bool_t BgL_test1935z00_2879;

																				if (
																					(((obj_t) BgL_typez00_1456) ==
																						BGl_za2_za2z00zztype_cachez00))
																					{	/* Inline/simple.scm 154 */
																						BgL_test1935z00_2879 = ((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 154 */
																						if (
																							(((obj_t) BgL_typez00_1456) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Inline/simple.scm 155 */
																								BgL_test1935z00_2879 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Inline/simple.scm 155 */
																								if (
																									(((obj_t) BgL_typez00_1456) ==
																										((obj_t)
																											(((BgL_nodez00_bglt)
																													COBJECT
																													(BgL_alphazd2bodyzd2_1474))->
																												BgL_typez00))))
																									{	/* Inline/simple.scm 156 */
																										BgL_test1935z00_2879 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Inline/simple.scm 157 */
																										BgL_typez00_bglt
																											BgL_arg1323z00_1511;
																										BgL_arg1323z00_1511 =
																											BGl_getzd2typezd2zztype_typeofz00
																											(BgL_alphazd2bodyzd2_1474,
																											((bool_t) 1));
																										BgL_test1935z00_2879 =
																											(((obj_t)
																												BgL_typez00_1456) ==
																											((obj_t)
																												BgL_arg1323z00_1511));
																									}
																							}
																					}
																				if (BgL_test1935z00_2879)
																					{	/* Inline/simple.scm 154 */
																						if (CBOOL(
																								(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												BgL_nodez00_3)))->
																									BgL_stackablez00)))
																							{	/* Inline/simple.scm 159 */
																								return
																									BGl_stackablez12z12zzinline_simplez00
																									(((BgL_appz00_bglt)
																										BgL_nodez00_3),
																									((BgL_nodez00_bglt)
																										BgL_ibodyz00_1476));
																							}
																						else
																							{	/* Inline/simple.scm 159 */
																								return
																									((BgL_nodez00_bglt)
																									BgL_ibodyz00_1476);
																							}
																					}
																				else
																					{	/* Inline/simple.scm 162 */
																						BgL_localz00_bglt BgL_varz00_1498;

																						BgL_varz00_1498 =
																							BGl_makezd2localzd2svarz00zzast_localz00
																							(BGl_gensymz00zz__r4_symbols_6_4z00
																							(CNST_TABLE_REF(((long) 2))),
																							BgL_typez00_1456);
																						{	/* Inline/simple.scm 163 */
																							BgL_letzd2varzd2_bglt
																								BgL_new1124z00_1499;
																							{	/* Inline/simple.scm 164 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1123z00_1505;
																								BgL_new1123z00_1505 =
																									((BgL_letzd2varzd2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_letzd2varzd2_bgl))));
																								{	/* Inline/simple.scm 164 */
																									long BgL_arg1321z00_1506;

																									BgL_arg1321z00_1506 =
																										BGL_CLASS_NUM
																										(BGl_letzd2varzd2zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1123z00_1505),
																										BgL_arg1321z00_1506);
																								}
																								{	/* Inline/simple.scm 164 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2910;
																									BgL_tmpz00_2910 =
																										((BgL_objectz00_bglt)
																										BgL_new1123z00_1505);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_2910, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1123z00_1505);
																								BgL_new1124z00_1499 =
																									BgL_new1123z00_1505;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1124z00_1499)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_1455),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1124z00_1499)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_typez00_1456), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1124z00_1499)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t)
																									BBOOL
																									(BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																												BgL_ibodyz00_1476)))),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1124z00_1499)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2926;

																								{	/* Inline/simple.scm 167 */
																									obj_t BgL_arg1317z00_1500;

																									BgL_arg1317z00_1500 =
																										MAKE_YOUNG_PAIR(
																										((obj_t) BgL_varz00_1498),
																										((obj_t)
																											BgL_ibodyz00_1476));
																									{	/* Inline/simple.scm 167 */
																										obj_t BgL_list1318z00_1501;

																										BgL_list1318z00_1501 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1317z00_1500,
																											BNIL);
																										BgL_auxz00_2926 =
																											BgL_list1318z00_1501;
																								}}
																								((((BgL_letzd2varzd2_bglt)
																											COBJECT
																											(BgL_new1124z00_1499))->
																										BgL_bindingsz00) =
																									((obj_t) BgL_auxz00_2926),
																									BUNSPEC);
																							}
																							{
																								BgL_nodez00_bglt
																									BgL_auxz00_2932;
																								{	/* Inline/simple.scm 168 */
																									BgL_refz00_bglt
																										BgL_new1126z00_1502;
																									{	/* Inline/simple.scm 169 */
																										BgL_refz00_bglt
																											BgL_new1125z00_1503;
																										BgL_new1125z00_1503 =
																											((BgL_refz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_refz00_bgl))));
																										{	/* Inline/simple.scm 169 */
																											long BgL_arg1320z00_1504;

																											{	/* Inline/simple.scm 169 */
																												obj_t BgL_classz00_2176;

																												BgL_classz00_2176 =
																													BGl_refz00zzast_nodez00;
																												BgL_arg1320z00_1504 =
																													BGL_CLASS_NUM
																													(BgL_classz00_2176);
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1125z00_1503),
																												BgL_arg1320z00_1504);
																										}
																										{	/* Inline/simple.scm 169 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2937;
																											BgL_tmpz00_2937 =
																												((BgL_objectz00_bglt)
																												BgL_new1125z00_1503);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_2937,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1125z00_1503);
																										BgL_new1126z00_1502 =
																											BgL_new1125z00_1503;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1126z00_1502)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_1455),
																										BUNSPEC);
																									((((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt)
																														BgL_new1126z00_1502)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_typez00_1456),
																										BUNSPEC);
																									((((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_new1126z00_1502)))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) (
																												(BgL_variablez00_bglt)
																												BgL_varz00_1498)),
																										BUNSPEC);
																									BgL_auxz00_2932 =
																										((BgL_nodez00_bglt)
																										BgL_new1126z00_1502);
																								}
																								((((BgL_letzd2varzd2_bglt)
																											COBJECT
																											(BgL_new1124z00_1499))->
																										BgL_bodyz00) =
																									((BgL_nodez00_bglt)
																										BgL_auxz00_2932), BUNSPEC);
																							}
																							((((BgL_letzd2varzd2_bglt)
																										COBJECT
																										(BgL_new1124z00_1499))->
																									BgL_removablezf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																							return ((BgL_nodez00_bglt)
																								BgL_new1124z00_1499);
																						}
																					}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inline-app-simple */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t
		BgL_envz00_2373, obj_t BgL_nodez00_2374, obj_t BgL_kfactorz00_2375,
		obj_t BgL_stackz00_2376, obj_t BgL_msgz00_2377)
	{
		{	/* Inline/simple.scm 46 */
			return
				BGl_inlinezd2appzd2simplez00zzinline_simplez00(
				((BgL_nodez00_bglt) BgL_nodez00_2374),
				(long) CINT(BgL_kfactorz00_2375), BgL_stackz00_2376, BgL_msgz00_2377);
		}

	}



/* stackable! */
	BgL_nodez00_bglt BGl_stackablez12z12zzinline_simplez00(BgL_appz00_bglt
		BgL_oldz00_7, BgL_nodez00_bglt BgL_newz00_8)
	{
		{	/* Inline/simple.scm 178 */
			BGl_occurzd2nodez12zc0zzast_occurz00(BgL_newz00_8);
			{	/* Inline/simple.scm 180 */
				obj_t BgL_rnewz00_1669;

				BgL_rnewz00_1669 = BGl_nodezd2removez12zc0zzast_removez00(BgL_newz00_8);
				{	/* Inline/simple.scm 181 */
					bool_t BgL_test1940z00_2957;

					{	/* Inline/simple.scm 181 */
						obj_t BgL_classz00_2180;

						BgL_classz00_2180 = BGl_appz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_rnewz00_1669))
							{	/* Inline/simple.scm 181 */
								BgL_objectz00_bglt BgL_arg1825z00_2182;

								BgL_arg1825z00_2182 = (BgL_objectz00_bglt) (BgL_rnewz00_1669);
								{	/* Inline/simple.scm 181 */
									bool_t BgL_arg1822z00_2185;
									bool_t BgL_arg1823z00_2186;

									{	/* Inline/simple.scm 181 */
										long BgL_idxz00_2189;

										BgL_idxz00_2189 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2182);
										BgL_arg1822z00_2185 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2189 + ((long) 3))) == BgL_classz00_2180);
									}
									{	/* Inline/simple.scm 181 */
										bool_t BgL_res1859z00_2211;

										{	/* Inline/simple.scm 181 */
											obj_t BgL_oclassz00_2197;

											{	/* Inline/simple.scm 181 */
												long BgL_arg1833z00_2203;

												{	/* Inline/simple.scm 181 */
													long BgL_arg1834z00_2204;

													BgL_arg1834z00_2204 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2182);
													BgL_arg1833z00_2203 =
														(BgL_arg1834z00_2204 - OBJECT_TYPE);
												}
												BgL_oclassz00_2197 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2203);
											}
											{	/* Inline/simple.scm 181 */
												bool_t BgL__ortest_1110z00_2198;

												BgL__ortest_1110z00_2198 =
													(BgL_classz00_2180 == BgL_oclassz00_2197);
												if (BgL__ortest_1110z00_2198)
													{	/* Inline/simple.scm 181 */
														BgL_res1859z00_2211 = BgL__ortest_1110z00_2198;
													}
												else
													{	/* Inline/simple.scm 181 */
														long BgL_odepthz00_2199;

														BgL_odepthz00_2199 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2197);
														if ((((long) 3) < BgL_odepthz00_2199))
															{	/* Inline/simple.scm 181 */
																obj_t BgL_arg1821z00_2201;

																BgL_arg1821z00_2201 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2197,
																	((long) 3));
																BgL_res1859z00_2211 =
																	(BgL_arg1821z00_2201 == BgL_classz00_2180);
															}
														else
															{	/* Inline/simple.scm 181 */
																BgL_res1859z00_2211 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2186 = BgL_res1859z00_2211;
									}
									BgL_test1940z00_2957 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2185, BgL_arg1823z00_2186);
								}
							}
						else
							{	/* Inline/simple.scm 181 */
								BgL_test1940z00_2957 = ((bool_t) 0);
							}
					}
					if (BgL_test1940z00_2957)
						{	/* Inline/simple.scm 181 */
							((((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_rnewz00_1669)))->
									BgL_stackablez00) = ((obj_t) BTRUE), BUNSPEC);
							BgL_rnewz00_1669;
						}
					else
						{	/* Inline/simple.scm 181 */
							((obj_t) BgL_newz00_8);
						}
				}
				return BgL_newz00_8;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
	{
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 243191744),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string1868z00zzinline_simplez00));
		}

	}

#ifdef __cplusplus
}
#endif
