/*===========================================================================*/
/*   (Inline/variant.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/variant.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_localzf2variantzf2_bgl
	{
		bool_t BgL_variantz00;
	}                         *BgL_localzf2variantzf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	static obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_variantz00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_variantz00();
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt);
	static BgL_localz00_bglt
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_variantz00();
	static BgL_typez00_bglt
		BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_localzf2variantzf2zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_variantz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00();
	static obj_t BGl_gczd2rootszd2initz00zzinline_variantz00();
	static obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1605z62zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1613z62zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1621z62zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00();
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, bool_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1657z62zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1658z62zzinline_variantz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzf3zd2envzd3zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1809z00,
		BGl_z62localzf2variantzf3z63zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762makeza7d2localza71810za7,
		BGl_z62makezd2localzf2variantz42zzinline_variantz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2keyzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1811z00,
		BGl_z62localzf2variantzd2keyz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1812z00,
		BGl_z62localzf2variantzd2namez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1813z00,
		BGl_z62localzf2variantzd2variantz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2setz12zd2envzc1zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1814z00,
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1815z00,
		BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1805z00zzinline_variantz00,
		BgL_bgl_string1805za700za7za7i1816za7, "inline_variant", 14);
	      DEFINE_STRING(BGl_string1806z00zzinline_variantz00,
		BgL_bgl_string1806za700za7za7i1817za7,
		"_ inline_variant local/variant bool variant done read ", 54);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1818z00,
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1819z00,
		BGl_z62localzf2variantzd2removablez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzinline_variantz00,
		BgL_bgl_za762lambda1657za7621820z00,
		BGl_z62lambda1657z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzinline_variantz00,
		BgL_bgl_za762lambda1621za7621821z00,
		BGl_z62lambda1621z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzinline_variantz00,
		BgL_bgl_za762za7c3za704anonymo1822za7,
		BGl_z62zc3z04anonymousza31620ze3ze5zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzinline_variantz00,
		BgL_bgl_za762lambda1613za7621823z00,
		BGl_z62lambda1613z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzinline_variantz00,
		BgL_bgl_za762lambda1605za7621824z00,
		BGl_z62lambda1605z62zzinline_variantz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762variantza7d2arg1825z00,
		BGl_z62variantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2envz01zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1826z00,
		BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1827z00,
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1828z00,
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1829z00,
		BGl_z62localzf2variantzd2typez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1830z00,
		BGl_z62localzf2variantzd2accessz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2envz20zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1831z00,
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzinline_variantz00,
		BgL_bgl_za762lambda1658za7621832z00,
		BGl_z62lambda1658z62zzinline_variantz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1833z00,
		BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1834z00,
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2nilzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1835z00,
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_invariantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762invariantza7d2a1836z00,
		BGl_z62invariantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutionszd2envzd2zzinline_variantz00,
		BgL_bgl_za762substitutions1837za7,
		BGl_z62substitutionsz62zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2invariantzd2argsz12zd2envzc0zzinline_variantz00,
		BgL_bgl_za762removeza7d2inva1838z00,
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1839z00,
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_shrinkzd2argsz12zd2envz12zzinline_variantz00,
		BgL_bgl_za762shrinkza7d2args1840z00,
		BGl_z62shrinkzd2argsz12za2zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2setz12zd2envze0zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1841z00,
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1842z00,
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2idzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1843z00,
		BGl_z62localzf2variantzd2idz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1844z00,
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1845z00,
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1846z00,
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_variantz00));
		     ADD_ROOT((void *) (&BGl_localzf2variantzf2zzinline_variantz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long
		BgL_checksumz00_2459, char *BgL_fromz00_2460)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_variantz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_variantz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_variantz00();
					BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
					BGl_cnstzd2initzd2zzinline_variantz00();
					BGl_importedzd2moduleszd2initz00zzinline_variantz00();
					BGl_objectzd2initzd2zzinline_variantz00();
					return BGl_methodzd2initzd2zzinline_variantz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_variant");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 15 */
				obj_t BgL_cportz00_2395;

				{	/* Inline/variant.scm 15 */
					obj_t BgL_stringz00_2403;

					BgL_stringz00_2403 = BGl_string1806z00zzinline_variantz00;
					{	/* Inline/variant.scm 15 */
						obj_t BgL_startz00_2404;

						BgL_startz00_2404 = BINT(((long) 0));
						{	/* Inline/variant.scm 15 */
							obj_t BgL_endz00_2405;

							BgL_endz00_2405 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2403)));
							{	/* Inline/variant.scm 15 */

								BgL_cportz00_2395 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2403, BgL_startz00_2404, BgL_endz00_2405);
				}}}}
				{
					long BgL_iz00_2396;

					BgL_iz00_2396 = ((long) 6);
				BgL_loopz00_2397:
					if ((BgL_iz00_2396 == ((long) -1)))
						{	/* Inline/variant.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/variant.scm 15 */
							{	/* Inline/variant.scm 15 */
								obj_t BgL_arg1808z00_2399;

								{	/* Inline/variant.scm 15 */

									{	/* Inline/variant.scm 15 */
										obj_t BgL_locationz00_2401;

										BgL_locationz00_2401 = BBOOL(((bool_t) 0));
										{	/* Inline/variant.scm 15 */

											BgL_arg1808z00_2399 =
												BGl_readz00zz__readerz00(BgL_cportz00_2395,
												BgL_locationz00_2401);
										}
									}
								}
								{	/* Inline/variant.scm 15 */
									int BgL_tmpz00_2487;

									BgL_tmpz00_2487 = (int) (BgL_iz00_2396);
									CNST_TABLE_SET(BgL_tmpz00_2487, BgL_arg1808z00_2399);
							}}
							{	/* Inline/variant.scm 15 */
								int BgL_auxz00_2402;

								BgL_auxz00_2402 = (int) ((BgL_iz00_2396 - ((long) 1)));
								{
									long BgL_iz00_2492;

									BgL_iz00_2492 = (long) (BgL_auxz00_2402);
									BgL_iz00_2396 = BgL_iz00_2492;
									goto BgL_loopz00_2397;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-local/variant */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_id1114z00_3,
		obj_t BgL_name1115z00_4, BgL_typez00_bglt BgL_type1116z00_5,
		BgL_valuez00_bglt BgL_value1117z00_6, obj_t BgL_access1118z00_7,
		obj_t BgL_fastzd2alpha1119zd2_8, obj_t BgL_removable1120z00_9,
		long BgL_occurrence1121z00_10, long BgL_occurrencew1122z00_11,
		bool_t BgL_userzf31123zf3_12, long BgL_key1124z00_13,
		bool_t BgL_variant1125z00_14)
	{
		{	/* Inline/variant.sch 43 */
			{	/* Inline/variant.sch 43 */
				BgL_localz00_bglt BgL_new1132z00_2407;

				{	/* Inline/variant.sch 43 */
					BgL_localz00_bglt BgL_tmp1130z00_2408;
					BgL_localzf2variantzf2_bglt BgL_wide1131z00_2409;

					{
						BgL_localz00_bglt BgL_auxz00_2495;

						{	/* Inline/variant.sch 43 */
							BgL_localz00_bglt BgL_new1129z00_2410;

							BgL_new1129z00_2410 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Inline/variant.sch 43 */
								long BgL_arg1297z00_2411;

								BgL_arg1297z00_2411 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1129z00_2410),
									BgL_arg1297z00_2411);
							}
							{	/* Inline/variant.sch 43 */
								BgL_objectz00_bglt BgL_tmpz00_2500;

								BgL_tmpz00_2500 = ((BgL_objectz00_bglt) BgL_new1129z00_2410);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2500, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1129z00_2410);
							BgL_auxz00_2495 = BgL_new1129z00_2410;
						}
						BgL_tmp1130z00_2408 = ((BgL_localz00_bglt) BgL_auxz00_2495);
					}
					BgL_wide1131z00_2409 =
						((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2variantzf2_bgl))));
					{	/* Inline/variant.sch 43 */
						obj_t BgL_auxz00_2508;
						BgL_objectz00_bglt BgL_tmpz00_2506;

						BgL_auxz00_2508 = ((obj_t) BgL_wide1131z00_2409);
						BgL_tmpz00_2506 = ((BgL_objectz00_bglt) BgL_tmp1130z00_2408);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2506, BgL_auxz00_2508);
					}
					((BgL_objectz00_bglt) BgL_tmp1130z00_2408);
					{	/* Inline/variant.sch 43 */
						long BgL_arg1296z00_2412;

						BgL_arg1296z00_2412 =
							BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1130z00_2408), BgL_arg1296z00_2412);
					}
					BgL_new1132z00_2407 = ((BgL_localz00_bglt) BgL_tmp1130z00_2408);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1132z00_2407)))->BgL_idz00) =
					((obj_t) BgL_id1114z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_namez00) =
					((obj_t) BgL_name1115z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1116z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1117z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_accessz00) =
					((obj_t) BgL_access1118z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1119zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_removablez00) =
					((obj_t) BgL_removable1120z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_occurrencez00) =
					((long) BgL_occurrence1121z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1122z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1132z00_2407)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31123zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1132z00_2407)))->BgL_keyz00) =
					((long) BgL_key1124z00_13), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1132z00_2407)))->BgL_valzd2noescapezd2) =
					((obj_t) BTRUE), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1132z00_2407)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_2542;

					{
						obj_t BgL_auxz00_2543;

						{	/* Inline/variant.sch 43 */
							BgL_objectz00_bglt BgL_tmpz00_2544;

							BgL_tmpz00_2544 = ((BgL_objectz00_bglt) BgL_new1132z00_2407);
							BgL_auxz00_2543 = BGL_OBJECT_WIDENING(BgL_tmpz00_2544);
						}
						BgL_auxz00_2542 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2543);
					}
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2542))->
							BgL_variantz00) = ((bool_t) BgL_variant1125z00_14), BUNSPEC);
				}
				return BgL_new1132z00_2407;
			}
		}

	}



/* &make-local/variant */
	BgL_localz00_bglt BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t
		BgL_envz00_2279, obj_t BgL_id1114z00_2280, obj_t BgL_name1115z00_2281,
		obj_t BgL_type1116z00_2282, obj_t BgL_value1117z00_2283,
		obj_t BgL_access1118z00_2284, obj_t BgL_fastzd2alpha1119zd2_2285,
		obj_t BgL_removable1120z00_2286, obj_t BgL_occurrence1121z00_2287,
		obj_t BgL_occurrencew1122z00_2288, obj_t BgL_userzf31123zf3_2289,
		obj_t BgL_key1124z00_2290, obj_t BgL_variant1125z00_2291)
	{
		{	/* Inline/variant.sch 43 */
			return
				BGl_makezd2localzf2variantz20zzinline_variantz00(BgL_id1114z00_2280,
				BgL_name1115z00_2281, ((BgL_typez00_bglt) BgL_type1116z00_2282),
				((BgL_valuez00_bglt) BgL_value1117z00_2283), BgL_access1118z00_2284,
				BgL_fastzd2alpha1119zd2_2285, BgL_removable1120z00_2286,
				(long) CINT(BgL_occurrence1121z00_2287),
				(long) CINT(BgL_occurrencew1122z00_2288),
				CBOOL(BgL_userzf31123zf3_2289), (long) CINT(BgL_key1124z00_2290),
				CBOOL(BgL_variant1125z00_2291));
		}

	}



/* local/variant? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t
		BgL_objz00_15)
	{
		{	/* Inline/variant.sch 44 */
			{	/* Inline/variant.sch 44 */
				obj_t BgL_classz00_2413;

				BgL_classz00_2413 = BGl_localzf2variantzf2zzinline_variantz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* Inline/variant.sch 44 */
						BgL_objectz00_bglt BgL_arg1825z00_2414;

						BgL_arg1825z00_2414 = (BgL_objectz00_bglt) (BgL_objz00_15);
						{	/* Inline/variant.sch 44 */
							bool_t BgL_arg1822z00_2415;
							bool_t BgL_arg1823z00_2416;

							{	/* Inline/variant.sch 44 */
								long BgL_idxz00_2417;

								BgL_idxz00_2417 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2414);
								BgL_arg1822z00_2415 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2417 + ((long) 3))) == BgL_classz00_2413);
							}
							{	/* Inline/variant.sch 44 */
								bool_t BgL_res1789z00_2420;

								{	/* Inline/variant.sch 44 */
									obj_t BgL_oclassz00_2421;

									{	/* Inline/variant.sch 44 */
										long BgL_arg1833z00_2422;

										{	/* Inline/variant.sch 44 */
											long BgL_arg1834z00_2423;

											BgL_arg1834z00_2423 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2414);
											BgL_arg1833z00_2422 = (BgL_arg1834z00_2423 - OBJECT_TYPE);
										}
										BgL_oclassz00_2421 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2422);
									}
									{	/* Inline/variant.sch 44 */
										bool_t BgL__ortest_1110z00_2424;

										BgL__ortest_1110z00_2424 =
											(BgL_classz00_2413 == BgL_oclassz00_2421);
										if (BgL__ortest_1110z00_2424)
											{	/* Inline/variant.sch 44 */
												BgL_res1789z00_2420 = BgL__ortest_1110z00_2424;
											}
										else
											{	/* Inline/variant.sch 44 */
												long BgL_odepthz00_2425;

												BgL_odepthz00_2425 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2421);
												if ((((long) 3) < BgL_odepthz00_2425))
													{	/* Inline/variant.sch 44 */
														obj_t BgL_arg1821z00_2426;

														BgL_arg1821z00_2426 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2421,
															((long) 3));
														BgL_res1789z00_2420 =
															(BgL_arg1821z00_2426 == BgL_classz00_2413);
													}
												else
													{	/* Inline/variant.sch 44 */
														BgL_res1789z00_2420 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2416 = BgL_res1789z00_2420;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2415, BgL_arg1823z00_2416);
						}
					}
				else
					{	/* Inline/variant.sch 44 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/variant? */
	obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t BgL_envz00_2292,
		obj_t BgL_objz00_2293)
	{
		{	/* Inline/variant.sch 44 */
			return
				BBOOL(BGl_localzf2variantzf3z01zzinline_variantz00(BgL_objz00_2293));
		}

	}



/* local/variant-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00()
	{
		{	/* Inline/variant.sch 45 */
			{	/* Inline/variant.sch 45 */
				obj_t BgL_classz00_1856;

				BgL_classz00_1856 = BGl_localzf2variantzf2zzinline_variantz00;
				{	/* Inline/variant.sch 45 */
					obj_t BgL__ortest_1112z00_1857;

					BgL__ortest_1112z00_1857 = BGL_CLASS_NIL(BgL_classz00_1856);
					if (CBOOL(BgL__ortest_1112z00_1857))
						{	/* Inline/variant.sch 45 */
							return ((BgL_localz00_bglt) BgL__ortest_1112z00_1857);
						}
					else
						{	/* Inline/variant.sch 45 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1856));
						}
				}
			}
		}

	}



/* &local/variant-nil */
	BgL_localz00_bglt BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t
		BgL_envz00_2294)
	{
		{	/* Inline/variant.sch 45 */
			return BGl_localzf2variantzd2nilz20zzinline_variantz00();
		}

	}



/* local/variant-variant */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_16)
	{
		{	/* Inline/variant.sch 46 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2584;

				{
					obj_t BgL_auxz00_2585;

					{	/* Inline/variant.sch 46 */
						BgL_objectz00_bglt BgL_tmpz00_2586;

						BgL_tmpz00_2586 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_2585 = BGL_OBJECT_WIDENING(BgL_tmpz00_2586);
					}
					BgL_auxz00_2584 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2585);
				}
				return
					(((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2584))->
					BgL_variantz00);
			}
		}

	}



/* &local/variant-variant */
	obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t
		BgL_envz00_2295, obj_t BgL_oz00_2296)
	{
		{	/* Inline/variant.sch 46 */
			return
				BBOOL(BGl_localzf2variantzd2variantz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2296)));
		}

	}



/* local/variant-variant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		{	/* Inline/variant.sch 47 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2594;

				{
					obj_t BgL_auxz00_2595;

					{	/* Inline/variant.sch 47 */
						BgL_objectz00_bglt BgL_tmpz00_2596;

						BgL_tmpz00_2596 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_2595 = BGL_OBJECT_WIDENING(BgL_tmpz00_2596);
					}
					BgL_auxz00_2594 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2595);
				}
				return
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2594))->
						BgL_variantz00) = ((bool_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &local/variant-variant-set! */
	obj_t BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2297, obj_t BgL_oz00_2298, obj_t BgL_vz00_2299)
	{
		{	/* Inline/variant.sch 47 */
			return
				BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2298), CBOOL(BgL_vz00_2299));
		}

	}



/* local/variant-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_19)
	{
		{	/* Inline/variant.sch 48 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}

	}



/* &local/variant-key */
	obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t
		BgL_envz00_2300, obj_t BgL_oz00_2301)
	{
		{	/* Inline/variant.sch 48 */
			return
				BINT(BGl_localzf2variantzd2keyz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2301)));
		}

	}



/* local/variant-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		{	/* Inline/variant.sch 50 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}

	}



/* &local/variant-user? */
	obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t
		BgL_envz00_2302, obj_t BgL_oz00_2303)
	{
		{	/* Inline/variant.sch 50 */
			return
				BBOOL(BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2303)));
		}

	}



/* local/variant-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* Inline/variant.sch 51 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &local/variant-user?-set! */
	obj_t BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t
		BgL_envz00_2304, obj_t BgL_oz00_2305, obj_t BgL_vz00_2306)
	{
		{	/* Inline/variant.sch 51 */
			return
				BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2305), CBOOL(BgL_vz00_2306));
		}

	}



/* local/variant-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		{	/* Inline/variant.sch 52 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}

	}



/* &local/variant-occurrencew */
	obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t
		BgL_envz00_2307, obj_t BgL_oz00_2308)
	{
		{	/* Inline/variant.sch 52 */
			return
				BINT(BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2308)));
		}

	}



/* local/variant-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		{	/* Inline/variant.sch 53 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}

	}



/* &local/variant-occurrencew-set! */
	obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2309, obj_t BgL_oz00_2310, obj_t BgL_vz00_2311)
	{
		{	/* Inline/variant.sch 53 */
			return
				BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2310), (long) CINT(BgL_vz00_2311));
		}

	}



/* local/variant-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		{	/* Inline/variant.sch 54 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}

	}



/* &local/variant-occurrence */
	obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t
		BgL_envz00_2312, obj_t BgL_oz00_2313)
	{
		{	/* Inline/variant.sch 54 */
			return
				BINT(BGl_localzf2variantzd2occurrencez20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2313)));
		}

	}



/* local/variant-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		{	/* Inline/variant.sch 55 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}

	}



/* &local/variant-occurrence-set! */
	obj_t BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2314, obj_t BgL_oz00_2315, obj_t BgL_vz00_2316)
	{
		{	/* Inline/variant.sch 55 */
			return
				BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2315), (long) CINT(BgL_vz00_2316));
		}

	}



/* local/variant-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		{	/* Inline/variant.sch 56 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}

	}



/* &local/variant-removable */
	obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t
		BgL_envz00_2317, obj_t BgL_oz00_2318)
	{
		{	/* Inline/variant.sch 56 */
			return
				BGl_localzf2variantzd2removablez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2318));
		}

	}



/* local/variant-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* Inline/variant.sch 57 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &local/variant-removable-set! */
	obj_t BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2319, obj_t BgL_oz00_2320, obj_t BgL_vz00_2321)
	{
		{	/* Inline/variant.sch 57 */
			return
				BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2320), BgL_vz00_2321);
		}

	}



/* local/variant-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		{	/* Inline/variant.sch 58 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/variant-fast-alpha */
	obj_t BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t
		BgL_envz00_2322, obj_t BgL_oz00_2323)
	{
		{	/* Inline/variant.sch 58 */
			return
				BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2323));
		}

	}



/* local/variant-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* Inline/variant.sch 59 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &local/variant-fast-alpha-set! */
	obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t
		BgL_envz00_2324, obj_t BgL_oz00_2325, obj_t BgL_vz00_2326)
	{
		{	/* Inline/variant.sch 59 */
			return
				BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2325), BgL_vz00_2326);
		}

	}



/* local/variant-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		{	/* Inline/variant.sch 60 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}

	}



/* &local/variant-access */
	obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t
		BgL_envz00_2327, obj_t BgL_oz00_2328)
	{
		{	/* Inline/variant.sch 60 */
			return
				BGl_localzf2variantzd2accessz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2328));
		}

	}



/* local/variant-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* Inline/variant.sch 61 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &local/variant-access-set! */
	obj_t BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2329, obj_t BgL_oz00_2330, obj_t BgL_vz00_2331)
	{
		{	/* Inline/variant.sch 61 */
			return
				BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2330), BgL_vz00_2331);
		}

	}



/* local/variant-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_40)
	{
		{	/* Inline/variant.sch 62 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}

	}



/* &local/variant-value */
	BgL_valuez00_bglt BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t
		BgL_envz00_2332, obj_t BgL_oz00_2333)
	{
		{	/* Inline/variant.sch 62 */
			return
				BGl_localzf2variantzd2valuez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2333));
		}

	}



/* local/variant-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		{	/* Inline/variant.sch 63 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}

	}



/* &local/variant-value-set! */
	obj_t BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2334, obj_t BgL_oz00_2335, obj_t BgL_vz00_2336)
	{
		{	/* Inline/variant.sch 63 */
			return
				BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2335),
				((BgL_valuez00_bglt) BgL_vz00_2336));
		}

	}



/* local/variant-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_43)
	{
		{	/* Inline/variant.sch 64 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}

	}



/* &local/variant-type */
	BgL_typez00_bglt BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t
		BgL_envz00_2337, obj_t BgL_oz00_2338)
	{
		{	/* Inline/variant.sch 64 */
			return
				BGl_localzf2variantzd2typez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2338));
		}

	}



/* local/variant-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		{	/* Inline/variant.sch 65 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}

	}



/* &local/variant-type-set! */
	obj_t BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2339, obj_t BgL_oz00_2340, obj_t BgL_vz00_2341)
	{
		{	/* Inline/variant.sch 65 */
			return
				BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2340),
				((BgL_typez00_bglt) BgL_vz00_2341));
		}

	}



/* local/variant-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_46)
	{
		{	/* Inline/variant.sch 66 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}

	}



/* &local/variant-name */
	obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t
		BgL_envz00_2342, obj_t BgL_oz00_2343)
	{
		{	/* Inline/variant.sch 66 */
			return
				BGl_localzf2variantzd2namez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2343));
		}

	}



/* local/variant-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* Inline/variant.sch 67 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &local/variant-name-set! */
	obj_t BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2344, obj_t BgL_oz00_2345, obj_t BgL_vz00_2346)
	{
		{	/* Inline/variant.sch 67 */
			return
				BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2345), BgL_vz00_2346);
		}

	}



/* local/variant-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_49)
	{
		{	/* Inline/variant.sch 68 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}

	}



/* &local/variant-id */
	obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t BgL_envz00_2347,
		obj_t BgL_oz00_2348)
	{
		{	/* Inline/variant.sch 68 */
			return
				BGl_localzf2variantzd2idz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2348));
		}

	}



/* invariant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt BgL_nodez00_52,
		BgL_variablez00_bglt BgL_varz00_53, obj_t BgL_callsz00_54)
	{
		{	/* Inline/variant.scm 36 */
			{	/* Inline/variant.scm 37 */
				BgL_valuez00_bglt BgL_funz00_1416;

				BgL_funz00_1416 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_53))->BgL_valuez00);
				{	/* Inline/variant.scm 37 */
					obj_t BgL_argsz00_1417;

					BgL_argsz00_1417 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1416)))->BgL_argsz00);
					{	/* Inline/variant.scm 38 */
						obj_t BgL_valsz00_1418;

						BgL_valsz00_1418 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_52)))->BgL_argsz00);
						{	/* Inline/variant.scm 39 */

							{
								obj_t BgL_ll1271z00_1420;
								obj_t BgL_ll1272z00_1421;

								BgL_ll1271z00_1420 = BgL_argsz00_1417;
								BgL_ll1272z00_1421 = BgL_valsz00_1418;
							BgL_zc3z04anonymousza31298ze3z87_1422:
								if (NULLP(BgL_ll1271z00_1420))
									{	/* Inline/variant.scm 42 */
										((bool_t) 1);
									}
								else
									{	/* Inline/variant.scm 42 */
										{	/* Inline/variant.scm 43 */
											obj_t BgL_localz00_1424;
											obj_t BgL_valz00_1425;

											BgL_localz00_1424 = CAR(((obj_t) BgL_ll1271z00_1420));
											BgL_valz00_1425 = CAR(((obj_t) BgL_ll1272z00_1421));
											{	/* Inline/variant.scm 43 */
												bool_t BgL_test1855z00_2704;

												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1424))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Inline/variant.scm 44 */
														bool_t BgL__ortest_1133z00_1446;

														{	/* Inline/variant.scm 44 */
															obj_t BgL_classz00_1866;

															BgL_classz00_1866 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_valz00_1425))
																{	/* Inline/variant.scm 44 */
																	BgL_objectz00_bglt BgL_arg1825z00_1868;

																	BgL_arg1825z00_1868 =
																		(BgL_objectz00_bglt) (BgL_valz00_1425);
																	{	/* Inline/variant.scm 44 */
																		bool_t BgL_arg1822z00_1871;
																		bool_t BgL_arg1823z00_1872;

																		{	/* Inline/variant.scm 44 */
																			long BgL_idxz00_1875;

																			BgL_idxz00_1875 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_1868);
																			BgL_arg1822z00_1871 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1875 + ((long) 2))) ==
																				BgL_classz00_1866);
																		}
																		{	/* Inline/variant.scm 44 */
																			bool_t BgL_res1790z00_1897;

																			{	/* Inline/variant.scm 44 */
																				obj_t BgL_oclassz00_1883;

																				{	/* Inline/variant.scm 44 */
																					long BgL_arg1833z00_1889;

																					{	/* Inline/variant.scm 44 */
																						long BgL_arg1834z00_1890;

																						BgL_arg1834z00_1890 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_1868);
																						BgL_arg1833z00_1889 =
																							(BgL_arg1834z00_1890 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1883 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_1889);
																				}
																				{	/* Inline/variant.scm 44 */
																					bool_t BgL__ortest_1110z00_1884;

																					BgL__ortest_1110z00_1884 =
																						(BgL_classz00_1866 ==
																						BgL_oclassz00_1883);
																					if (BgL__ortest_1110z00_1884)
																						{	/* Inline/variant.scm 44 */
																							BgL_res1790z00_1897 =
																								BgL__ortest_1110z00_1884;
																						}
																					else
																						{	/* Inline/variant.scm 44 */
																							long BgL_odepthz00_1885;

																							BgL_odepthz00_1885 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1883);
																							if ((((long) 2) <
																									BgL_odepthz00_1885))
																								{	/* Inline/variant.scm 44 */
																									obj_t BgL_arg1821z00_1887;

																									BgL_arg1821z00_1887 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1883,
																										((long) 2));
																									BgL_res1790z00_1897 =
																										(BgL_arg1821z00_1887 ==
																										BgL_classz00_1866);
																								}
																							else
																								{	/* Inline/variant.scm 44 */
																									BgL_res1790z00_1897 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_1872 = BgL_res1790z00_1897;
																		}
																		BgL__ortest_1133z00_1446 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_1871,
																			BgL_arg1823z00_1872);
																	}
																}
															else
																{	/* Inline/variant.scm 44 */
																	BgL__ortest_1133z00_1446 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1133z00_1446)
															{	/* Inline/variant.scm 44 */
																BgL_test1855z00_2704 = BgL__ortest_1133z00_1446;
															}
														else
															{	/* Inline/variant.scm 45 */
																bool_t BgL__ortest_1134z00_1447;

																{	/* Inline/variant.scm 45 */
																	obj_t BgL_classz00_1898;

																	BgL_classz00_1898 = BGl_kwotez00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_valz00_1425))
																		{	/* Inline/variant.scm 45 */
																			BgL_objectz00_bglt BgL_arg1825z00_1900;

																			BgL_arg1825z00_1900 =
																				(BgL_objectz00_bglt) (BgL_valz00_1425);
																			{	/* Inline/variant.scm 45 */
																				bool_t BgL_arg1822z00_1903;
																				bool_t BgL_arg1823z00_1904;

																				{	/* Inline/variant.scm 45 */
																					long BgL_idxz00_1907;

																					BgL_idxz00_1907 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_1900);
																					BgL_arg1822z00_1903 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_1907 + ((long) 2))) ==
																						BgL_classz00_1898);
																				}
																				{	/* Inline/variant.scm 45 */
																					bool_t BgL_res1791z00_1929;

																					{	/* Inline/variant.scm 45 */
																						obj_t BgL_oclassz00_1915;

																						{	/* Inline/variant.scm 45 */
																							long BgL_arg1833z00_1921;

																							{	/* Inline/variant.scm 45 */
																								long BgL_arg1834z00_1922;

																								BgL_arg1834z00_1922 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_1900);
																								BgL_arg1833z00_1921 =
																									(BgL_arg1834z00_1922 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_1915 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_1921);
																						}
																						{	/* Inline/variant.scm 45 */
																							bool_t BgL__ortest_1110z00_1916;

																							BgL__ortest_1110z00_1916 =
																								(BgL_classz00_1898 ==
																								BgL_oclassz00_1915);
																							if (BgL__ortest_1110z00_1916)
																								{	/* Inline/variant.scm 45 */
																									BgL_res1791z00_1929 =
																										BgL__ortest_1110z00_1916;
																								}
																							else
																								{	/* Inline/variant.scm 45 */
																									long BgL_odepthz00_1917;

																									BgL_odepthz00_1917 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_1915);
																									if ((((long) 2) <
																											BgL_odepthz00_1917))
																										{	/* Inline/variant.scm 45 */
																											obj_t BgL_arg1821z00_1919;

																											BgL_arg1821z00_1919 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_1915,
																												((long) 2));
																											BgL_res1791z00_1929 =
																												(BgL_arg1821z00_1919 ==
																												BgL_classz00_1898);
																										}
																									else
																										{	/* Inline/variant.scm 45 */
																											BgL_res1791z00_1929 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_1904 =
																						BgL_res1791z00_1929;
																				}
																				BgL__ortest_1134z00_1447 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_1903,
																					BgL_arg1823z00_1904);
																			}
																		}
																	else
																		{	/* Inline/variant.scm 45 */
																			BgL__ortest_1134z00_1447 = ((bool_t) 0);
																		}
																}
																if (BgL__ortest_1134z00_1447)
																	{	/* Inline/variant.scm 45 */
																		BgL_test1855z00_2704 =
																			BgL__ortest_1134z00_1447;
																	}
																else
																	{	/* Inline/variant.scm 46 */
																		bool_t BgL_test1865z00_2749;

																		{	/* Inline/variant.scm 46 */
																			obj_t BgL_classz00_1930;

																			BgL_classz00_1930 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_valz00_1425))
																				{	/* Inline/variant.scm 46 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_1932;
																					BgL_arg1825z00_1932 =
																						(BgL_objectz00_bglt)
																						(BgL_valz00_1425);
																					{	/* Inline/variant.scm 46 */
																						bool_t BgL_arg1822z00_1935;
																						bool_t BgL_arg1823z00_1936;

																						{	/* Inline/variant.scm 46 */
																							long BgL_idxz00_1939;

																							BgL_idxz00_1939 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_1932);
																							BgL_arg1822z00_1935 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1939 +
																										((long) 2))) ==
																								BgL_classz00_1930);
																						}
																						{	/* Inline/variant.scm 46 */
																							bool_t BgL_res1792z00_1961;

																							{	/* Inline/variant.scm 46 */
																								obj_t BgL_oclassz00_1947;

																								{	/* Inline/variant.scm 46 */
																									long BgL_arg1833z00_1953;

																									{	/* Inline/variant.scm 46 */
																										long BgL_arg1834z00_1954;

																										BgL_arg1834z00_1954 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_1932);
																										BgL_arg1833z00_1953 =
																											(BgL_arg1834z00_1954 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1947 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_1953);
																								}
																								{	/* Inline/variant.scm 46 */
																									bool_t
																										BgL__ortest_1110z00_1948;
																									BgL__ortest_1110z00_1948 =
																										(BgL_classz00_1930 ==
																										BgL_oclassz00_1947);
																									if (BgL__ortest_1110z00_1948)
																										{	/* Inline/variant.scm 46 */
																											BgL_res1792z00_1961 =
																												BgL__ortest_1110z00_1948;
																										}
																									else
																										{	/* Inline/variant.scm 46 */
																											long BgL_odepthz00_1949;

																											BgL_odepthz00_1949 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_1947);
																											if ((((long) 2) <
																													BgL_odepthz00_1949))
																												{	/* Inline/variant.scm 46 */
																													obj_t
																														BgL_arg1821z00_1951;
																													BgL_arg1821z00_1951 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_1947,
																														((long) 2));
																													BgL_res1792z00_1961 =
																														(BgL_arg1821z00_1951
																														==
																														BgL_classz00_1930);
																												}
																											else
																												{	/* Inline/variant.scm 46 */
																													BgL_res1792z00_1961 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_1936 =
																								BgL_res1792z00_1961;
																						}
																						BgL_test1865z00_2749 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_1935,
																							BgL_arg1823z00_1936);
																					}
																				}
																			else
																				{	/* Inline/variant.scm 46 */
																					BgL_test1865z00_2749 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1865z00_2749)
																			{	/* Inline/variant.scm 46 */
																				BgL_test1855z00_2704 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								(((BgL_varz00_bglt) COBJECT(
																											((BgL_varz00_bglt)
																												BgL_valz00_1425)))->
																									BgL_variablez00)))->
																						BgL_accessz00) ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																		else
																			{	/* Inline/variant.scm 46 */
																				BgL_test1855z00_2704 = ((bool_t) 0);
																			}
																	}
															}
													}
												else
													{	/* Inline/variant.scm 43 */
														BgL_test1855z00_2704 = ((bool_t) 0);
													}
												if (BgL_test1855z00_2704)
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 49 */
															BgL_localzf2variantzf2_bglt BgL_wide1138z00_1437;

															BgL_wide1138z00_1437 =
																((BgL_localzf2variantzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 49 */
																obj_t BgL_auxz00_2778;
																BgL_objectz00_bglt BgL_tmpz00_2774;

																BgL_auxz00_2778 =
																	((obj_t) BgL_wide1138z00_1437);
																BgL_tmpz00_2774 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1424)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2774,
																	BgL_auxz00_2778);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
															{	/* Inline/variant.scm 49 */
																long BgL_arg1309z00_1438;

																BgL_arg1309z00_1438 =
																	BGL_CLASS_NUM
																	(BGl_localzf2variantzf2zzinline_variantz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_1424))),
																	BgL_arg1309z00_1438);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2792;

															{
																obj_t BgL_auxz00_2793;

																{	/* Inline/variant.scm 49 */
																	BgL_objectz00_bglt BgL_tmpz00_2794;

																	BgL_tmpz00_2794 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1424)));
																	BgL_auxz00_2793 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2794);
																}
																BgL_auxz00_2792 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2793);
															}
															((((BgL_localzf2variantzf2_bglt)
																		COBJECT(BgL_auxz00_2792))->BgL_variantz00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1424));
													}
												else
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 50 */
															BgL_localzf2variantzf2_bglt BgL_wide1142z00_1442;

															BgL_wide1142z00_1442 =
																((BgL_localzf2variantzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 50 */
																obj_t BgL_auxz00_2808;
																BgL_objectz00_bglt BgL_tmpz00_2804;

																BgL_auxz00_2808 =
																	((obj_t) BgL_wide1142z00_1442);
																BgL_tmpz00_2804 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1424)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2804,
																	BgL_auxz00_2808);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
															{	/* Inline/variant.scm 50 */
																long BgL_arg1310z00_1443;

																BgL_arg1310z00_1443 =
																	BGL_CLASS_NUM
																	(BGl_localzf2variantzf2zzinline_variantz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_1424))),
																	BgL_arg1310z00_1443);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2822;

															{
																obj_t BgL_auxz00_2823;

																{	/* Inline/variant.scm 50 */
																	BgL_objectz00_bglt BgL_tmpz00_2824;

																	BgL_tmpz00_2824 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1424)));
																	BgL_auxz00_2823 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2824);
																}
																BgL_auxz00_2822 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2823);
															}
															((((BgL_localzf2variantzf2_bglt)
																		COBJECT(BgL_auxz00_2822))->BgL_variantz00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1424));
										}}}
										{	/* Inline/variant.scm 42 */
											obj_t BgL_arg1316z00_1452;
											obj_t BgL_arg1317z00_1453;

											BgL_arg1316z00_1452 = CDR(((obj_t) BgL_ll1271z00_1420));
											BgL_arg1317z00_1453 = CDR(((obj_t) BgL_ll1272z00_1421));
											{
												obj_t BgL_ll1272z00_2838;
												obj_t BgL_ll1271z00_2837;

												BgL_ll1271z00_2837 = BgL_arg1316z00_1452;
												BgL_ll1272z00_2838 = BgL_arg1317z00_1453;
												BgL_ll1272z00_1421 = BgL_ll1272z00_2838;
												BgL_ll1271z00_1420 = BgL_ll1271z00_2837;
												goto BgL_zc3z04anonymousza31298ze3z87_1422;
											}
										}
									}
							}
							{
								obj_t BgL_l1276z00_1456;

								BgL_l1276z00_1456 = BgL_callsz00_54;
							BgL_zc3z04anonymousza31318ze3z87_1457:
								if (PAIRP(BgL_l1276z00_1456))
									{	/* Inline/variant.scm 53 */
										{	/* Inline/variant.scm 54 */
											BgL_appz00_bglt BgL_appz00_1459;

											BgL_appz00_1459 =
												((BgL_appz00_bglt) CAR(BgL_l1276z00_1456));
											{	/* Inline/variant.scm 54 */
												obj_t BgL_g1144z00_1460;

												BgL_g1144z00_1460 =
													(((BgL_appz00_bglt) COBJECT(BgL_appz00_1459))->
													BgL_argsz00);
												{
													obj_t BgL_actualsz00_1462;
													obj_t BgL_argsz00_1463;

													BgL_actualsz00_1462 = BgL_g1144z00_1460;
													BgL_argsz00_1463 = BgL_argsz00_1417;
												BgL_zc3z04anonymousza31320ze3z87_1464:
													if (NULLP(BgL_argsz00_1463))
														{	/* Inline/variant.scm 57 */
															CNST_TABLE_REF(((long) 1));
														}
													else
														{	/* Inline/variant.scm 57 */
															if (NULLP(BgL_actualsz00_1462))
																{
																	obj_t BgL_l1274z00_1468;

																	{	/* Inline/variant.scm 60 */
																		bool_t BgL_tmpz00_2849;

																		BgL_l1274z00_1468 = BgL_argsz00_1463;
																	BgL_zc3z04anonymousza31323ze3z87_1469:
																		if (PAIRP(BgL_l1274z00_1468))
																			{	/* Inline/variant.scm 60 */
																				{	/* Inline/variant.scm 61 */
																					obj_t BgL_localz00_1471;

																					BgL_localz00_1471 =
																						CAR(BgL_l1274z00_1468);
																					{
																						BgL_localzf2variantzf2_bglt
																							BgL_auxz00_2853;
																						{
																							obj_t BgL_auxz00_2854;

																							{	/* Inline/variant.scm 61 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2855;
																								BgL_tmpz00_2855 =
																									((BgL_objectz00_bglt) (
																										(BgL_localz00_bglt)
																										BgL_localz00_1471));
																								BgL_auxz00_2854 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2855);
																							}
																							BgL_auxz00_2853 =
																								((BgL_localzf2variantzf2_bglt)
																								BgL_auxz00_2854);
																						}
																						((((BgL_localzf2variantzf2_bglt)
																									COBJECT(BgL_auxz00_2853))->
																								BgL_variantz00) =
																							((bool_t) ((bool_t) 1)), BUNSPEC);
																					}
																				}
																				{
																					obj_t BgL_l1274z00_2861;

																					BgL_l1274z00_2861 =
																						CDR(BgL_l1274z00_1468);
																					BgL_l1274z00_1468 = BgL_l1274z00_2861;
																					goto
																						BgL_zc3z04anonymousza31323ze3z87_1469;
																				}
																			}
																		else
																			{	/* Inline/variant.scm 60 */
																				BgL_tmpz00_2849 = ((bool_t) 1);
																			}
																		BBOOL(BgL_tmpz00_2849);
																	}
																}
															else
																{	/* Inline/variant.scm 63 */
																	bool_t BgL_test1873z00_2864;

																	{	/* Inline/variant.scm 63 */
																		bool_t BgL_test1874z00_2865;

																		{	/* Inline/variant.scm 63 */
																			obj_t BgL_arg1354z00_1490;

																			BgL_arg1354z00_1490 =
																				CAR(((obj_t) BgL_actualsz00_1462));
																			{	/* Inline/variant.scm 63 */
																				obj_t BgL_classz00_1984;

																				BgL_classz00_1984 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1354z00_1490))
																					{	/* Inline/variant.scm 63 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_1986;
																						BgL_arg1825z00_1986 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1354z00_1490);
																						{	/* Inline/variant.scm 63 */
																							bool_t BgL_arg1822z00_1989;
																							bool_t BgL_arg1823z00_1990;

																							{	/* Inline/variant.scm 63 */
																								long BgL_idxz00_1993;

																								BgL_idxz00_1993 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_1986);
																								BgL_arg1822z00_1989 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_1993 +
																											((long) 2))) ==
																									BgL_classz00_1984);
																							}
																							{	/* Inline/variant.scm 63 */
																								bool_t BgL_res1793z00_2015;

																								{	/* Inline/variant.scm 63 */
																									obj_t BgL_oclassz00_2001;

																									{	/* Inline/variant.scm 63 */
																										long BgL_arg1833z00_2007;

																										{	/* Inline/variant.scm 63 */
																											long BgL_arg1834z00_2008;

																											BgL_arg1834z00_2008 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_1986);
																											BgL_arg1833z00_2007 =
																												(BgL_arg1834z00_2008 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2001 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_2007);
																									}
																									{	/* Inline/variant.scm 63 */
																										bool_t
																											BgL__ortest_1110z00_2002;
																										BgL__ortest_1110z00_2002 =
																											(BgL_classz00_1984 ==
																											BgL_oclassz00_2001);
																										if (BgL__ortest_1110z00_2002)
																											{	/* Inline/variant.scm 63 */
																												BgL_res1793z00_2015 =
																													BgL__ortest_1110z00_2002;
																											}
																										else
																											{	/* Inline/variant.scm 63 */
																												long BgL_odepthz00_2003;

																												BgL_odepthz00_2003 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_2001);
																												if ((((long) 2) <
																														BgL_odepthz00_2003))
																													{	/* Inline/variant.scm 63 */
																														obj_t
																															BgL_arg1821z00_2005;
																														BgL_arg1821z00_2005
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_2001,
																															((long) 2));
																														BgL_res1793z00_2015
																															=
																															(BgL_arg1821z00_2005
																															==
																															BgL_classz00_1984);
																													}
																												else
																													{	/* Inline/variant.scm 63 */
																														BgL_res1793z00_2015
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_1990 =
																									BgL_res1793z00_2015;
																							}
																							BgL_test1874z00_2865 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_1989,
																								BgL_arg1823z00_1990);
																						}
																					}
																				else
																					{	/* Inline/variant.scm 63 */
																						BgL_test1874z00_2865 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test1874z00_2865)
																			{	/* Inline/variant.scm 63 */
																				BgL_test1873z00_2864 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_actualsz00_1462)))))->
																							BgL_variablez00)) ==
																					CAR(((obj_t) BgL_argsz00_1463)));
																			}
																		else
																			{	/* Inline/variant.scm 63 */
																				BgL_test1873z00_2864 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1873z00_2864)
																		{	/* Inline/variant.scm 65 */
																			obj_t BgL_arg1338z00_1481;
																			obj_t BgL_arg1339z00_1482;

																			BgL_arg1338z00_1481 =
																				CDR(((obj_t) BgL_actualsz00_1462));
																			BgL_arg1339z00_1482 =
																				CDR(((obj_t) BgL_argsz00_1463));
																			{
																				obj_t BgL_argsz00_2899;
																				obj_t BgL_actualsz00_2898;

																				BgL_actualsz00_2898 =
																					BgL_arg1338z00_1481;
																				BgL_argsz00_2899 = BgL_arg1339z00_1482;
																				BgL_argsz00_1463 = BgL_argsz00_2899;
																				BgL_actualsz00_1462 =
																					BgL_actualsz00_2898;
																				goto
																					BgL_zc3z04anonymousza31320ze3z87_1464;
																			}
																		}
																	else
																		{	/* Inline/variant.scm 63 */
																			{	/* Inline/variant.scm 67 */
																				obj_t BgL_arg1340z00_1483;

																				BgL_arg1340z00_1483 =
																					CAR(((obj_t) BgL_argsz00_1463));
																				{
																					BgL_localzf2variantzf2_bglt
																						BgL_auxz00_2902;
																					{
																						obj_t BgL_auxz00_2903;

																						{	/* Inline/variant.scm 67 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2904;
																							BgL_tmpz00_2904 =
																								((BgL_objectz00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1340z00_1483));
																							BgL_auxz00_2903 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2904);
																						}
																						BgL_auxz00_2902 =
																							((BgL_localzf2variantzf2_bglt)
																							BgL_auxz00_2903);
																					}
																					((((BgL_localzf2variantzf2_bglt)
																								COBJECT(BgL_auxz00_2902))->
																							BgL_variantz00) =
																						((bool_t) ((bool_t) 1)), BUNSPEC);
																				}
																			}
																			{	/* Inline/variant.scm 68 */
																				obj_t BgL_arg1341z00_1484;
																				obj_t BgL_arg1343z00_1485;

																				BgL_arg1341z00_1484 =
																					CDR(((obj_t) BgL_actualsz00_1462));
																				BgL_arg1343z00_1485 =
																					CDR(((obj_t) BgL_argsz00_1463));
																				{
																					obj_t BgL_argsz00_2915;
																					obj_t BgL_actualsz00_2914;

																					BgL_actualsz00_2914 =
																						BgL_arg1341z00_1484;
																					BgL_argsz00_2915 =
																						BgL_arg1343z00_1485;
																					BgL_argsz00_1463 = BgL_argsz00_2915;
																					BgL_actualsz00_1462 =
																						BgL_actualsz00_2914;
																					goto
																						BgL_zc3z04anonymousza31320ze3z87_1464;
																				}
																			}
																		}
																}
														}
												}
											}
										}
										{
											obj_t BgL_l1276z00_2916;

											BgL_l1276z00_2916 = CDR(BgL_l1276z00_1456);
											BgL_l1276z00_1456 = BgL_l1276z00_2916;
											goto BgL_zc3z04anonymousza31318ze3z87_1457;
										}
									}
								else
									{	/* Inline/variant.scm 53 */
										((bool_t) 1);
									}
							}
							{
								obj_t BgL_argsz00_1496;
								obj_t BgL_invariantz00_1497;

								BgL_argsz00_1496 = BgL_argsz00_1417;
								BgL_invariantz00_1497 = BNIL;
							BgL_zc3z04anonymousza31358ze3z87_1498:
								if (NULLP(BgL_argsz00_1496))
									{	/* Inline/variant.scm 73 */
										return bgl_reverse_bang(BgL_invariantz00_1497);
									}
								else
									{	/* Inline/variant.scm 75 */
										obj_t BgL_arg1361z00_1500;
										obj_t BgL_arg1363z00_1501;

										BgL_arg1361z00_1500 = CDR(((obj_t) BgL_argsz00_1496));
										{	/* Inline/variant.scm 76 */
											bool_t BgL_test1879z00_2923;

											{	/* Inline/variant.scm 76 */
												BgL_localz00_bglt BgL_oz00_2030;

												BgL_oz00_2030 =
													((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_1496)));
												{
													BgL_localzf2variantzf2_bglt BgL_auxz00_2927;

													{
														obj_t BgL_auxz00_2928;

														{	/* Inline/variant.scm 76 */
															BgL_objectz00_bglt BgL_tmpz00_2929;

															BgL_tmpz00_2929 =
																((BgL_objectz00_bglt) BgL_oz00_2030);
															BgL_auxz00_2928 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2929);
														}
														BgL_auxz00_2927 =
															((BgL_localzf2variantzf2_bglt) BgL_auxz00_2928);
													}
													BgL_test1879z00_2923 =
														(((BgL_localzf2variantzf2_bglt)
															COBJECT(BgL_auxz00_2927))->BgL_variantz00);
												}
											}
											if (BgL_test1879z00_2923)
												{	/* Inline/variant.scm 76 */
													BgL_arg1363z00_1501 = BgL_invariantz00_1497;
												}
											else
												{	/* Inline/variant.scm 78 */
													obj_t BgL_arg1366z00_1504;

													BgL_arg1366z00_1504 = CAR(((obj_t) BgL_argsz00_1496));
													BgL_arg1363z00_1501 =
														MAKE_YOUNG_PAIR(BgL_arg1366z00_1504,
														BgL_invariantz00_1497);
												}
										}
										{
											obj_t BgL_invariantz00_2938;
											obj_t BgL_argsz00_2937;

											BgL_argsz00_2937 = BgL_arg1361z00_1500;
											BgL_invariantz00_2938 = BgL_arg1363z00_1501;
											BgL_invariantz00_1497 = BgL_invariantz00_2938;
											BgL_argsz00_1496 = BgL_argsz00_2937;
											goto BgL_zc3z04anonymousza31358ze3z87_1498;
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &invariant-args */
	obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_2349,
		obj_t BgL_nodez00_2350, obj_t BgL_varz00_2351, obj_t BgL_callsz00_2352)
	{
		{	/* Inline/variant.scm 36 */
			return
				BGl_invariantzd2argszd2zzinline_variantz00(
				((BgL_nodez00_bglt) BgL_nodez00_2350),
				((BgL_variablez00_bglt) BgL_varz00_2351), BgL_callsz00_2352);
		}

	}



/* variant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_55)
	{
		{	/* Inline/variant.scm 85 */
			{	/* Inline/variant.scm 86 */
				BgL_valuez00_bglt BgL_funz00_1507;

				BgL_funz00_1507 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_55))->BgL_valuez00);
				{	/* Inline/variant.scm 86 */
					obj_t BgL_argsz00_1508;

					BgL_argsz00_1508 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1507)))->BgL_argsz00);
					{	/* Inline/variant.scm 87 */

						{
							obj_t BgL_argsz00_1511;
							obj_t BgL_variantz00_1512;

							BgL_argsz00_1511 = BgL_argsz00_1508;
							BgL_variantz00_1512 = BNIL;
						BgL_zc3z04anonymousza31368ze3z87_1513:
							if (NULLP(BgL_argsz00_1511))
								{	/* Inline/variant.scm 90 */
									return bgl_reverse_bang(BgL_variantz00_1512);
								}
							else
								{	/* Inline/variant.scm 92 */
									obj_t BgL_arg1380z00_1515;
									obj_t BgL_arg1381z00_1516;

									BgL_arg1380z00_1515 = CDR(((obj_t) BgL_argsz00_1511));
									{	/* Inline/variant.scm 93 */
										bool_t BgL_test1881z00_2950;

										{	/* Inline/variant.scm 93 */
											BgL_localz00_bglt BgL_oz00_2037;

											BgL_oz00_2037 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_1511)));
											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_2954;

												{
													obj_t BgL_auxz00_2955;

													{	/* Inline/variant.scm 93 */
														BgL_objectz00_bglt BgL_tmpz00_2956;

														BgL_tmpz00_2956 =
															((BgL_objectz00_bglt) BgL_oz00_2037);
														BgL_auxz00_2955 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2956);
													}
													BgL_auxz00_2954 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_2955);
												}
												BgL_test1881z00_2950 =
													(((BgL_localzf2variantzf2_bglt)
														COBJECT(BgL_auxz00_2954))->BgL_variantz00);
											}
										}
										if (BgL_test1881z00_2950)
											{	/* Inline/variant.scm 94 */
												obj_t BgL_arg1400z00_1519;

												BgL_arg1400z00_1519 = CAR(((obj_t) BgL_argsz00_1511));
												BgL_arg1381z00_1516 =
													MAKE_YOUNG_PAIR(BgL_arg1400z00_1519,
													BgL_variantz00_1512);
											}
										else
											{	/* Inline/variant.scm 93 */
												BgL_arg1381z00_1516 = BgL_variantz00_1512;
											}
									}
									{
										obj_t BgL_variantz00_2965;
										obj_t BgL_argsz00_2964;

										BgL_argsz00_2964 = BgL_arg1380z00_1515;
										BgL_variantz00_2965 = BgL_arg1381z00_1516;
										BgL_variantz00_1512 = BgL_variantz00_2965;
										BgL_argsz00_1511 = BgL_argsz00_2964;
										goto BgL_zc3z04anonymousza31368ze3z87_1513;
									}
								}
						}
					}
				}
			}
		}

	}



/* &variant-args */
	obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_2353,
		obj_t BgL_varz00_2354)
	{
		{	/* Inline/variant.scm 85 */
			return
				BGl_variantzd2argszd2zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2354));
		}

	}



/* substitutions */
	BGL_EXPORTED_DEF obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_56,
		obj_t BgL_actualsz00_57, obj_t BgL_varzd2argszd2_58)
	{
		{	/* Inline/variant.scm 100 */
			{	/* Inline/variant.scm 101 */
				BgL_valuez00_bglt BgL_funz00_1522;

				BgL_funz00_1522 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_56))->BgL_valuez00);
				{	/* Inline/variant.scm 101 */
					obj_t BgL_allzd2argszd2_1523;

					BgL_allzd2argszd2_1523 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1522)))->BgL_argsz00);
					{	/* Inline/variant.scm 102 */

						{
							obj_t BgL_actualsz00_1526;
							obj_t BgL_allzd2argszd2_1527;
							obj_t BgL_varzd2argszd2_1528;
							obj_t BgL_substitutionsz00_1529;

							BgL_actualsz00_1526 = BgL_actualsz00_57;
							BgL_allzd2argszd2_1527 = BgL_allzd2argszd2_1523;
							BgL_varzd2argszd2_1528 = BgL_varzd2argszd2_58;
							BgL_substitutionsz00_1529 = BNIL;
						BgL_zc3z04anonymousza31402ze3z87_1530:
							if (NULLP(BgL_allzd2argszd2_1527))
								{	/* Inline/variant.scm 108 */
									return bgl_reverse_bang(BgL_substitutionsz00_1529);
								}
							else
								{	/* Inline/variant.scm 110 */
									bool_t BgL_test1883z00_2974;

									{	/* Inline/variant.scm 110 */
										BgL_localz00_bglt BgL_oz00_2043;

										BgL_oz00_2043 =
											((BgL_localz00_bglt)
											CAR(((obj_t) BgL_allzd2argszd2_1527)));
										{
											BgL_localzf2variantzf2_bglt BgL_auxz00_2978;

											{
												obj_t BgL_auxz00_2979;

												{	/* Inline/variant.scm 110 */
													BgL_objectz00_bglt BgL_tmpz00_2980;

													BgL_tmpz00_2980 =
														((BgL_objectz00_bglt) BgL_oz00_2043);
													BgL_auxz00_2979 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2980);
												}
												BgL_auxz00_2978 =
													((BgL_localzf2variantzf2_bglt) BgL_auxz00_2979);
											}
											BgL_test1883z00_2974 =
												(((BgL_localzf2variantzf2_bglt)
													COBJECT(BgL_auxz00_2978))->BgL_variantz00);
										}
									}
									if (BgL_test1883z00_2974)
										{	/* Inline/variant.scm 111 */
											obj_t BgL_arg1418z00_1534;
											obj_t BgL_arg1419z00_1535;
											obj_t BgL_arg1430z00_1536;
											obj_t BgL_arg1454z00_1537;

											BgL_arg1418z00_1534 = CDR(((obj_t) BgL_actualsz00_1526));
											BgL_arg1419z00_1535 =
												CDR(((obj_t) BgL_allzd2argszd2_1527));
											BgL_arg1430z00_1536 =
												CDR(((obj_t) BgL_varzd2argszd2_1528));
											{	/* Inline/variant.scm 114 */
												obj_t BgL_arg1456z00_1538;

												BgL_arg1456z00_1538 =
													CAR(((obj_t) BgL_varzd2argszd2_1528));
												BgL_arg1454z00_1537 =
													MAKE_YOUNG_PAIR(BgL_arg1456z00_1538,
													BgL_substitutionsz00_1529);
											}
											{
												obj_t BgL_substitutionsz00_2997;
												obj_t BgL_varzd2argszd2_2996;
												obj_t BgL_allzd2argszd2_2995;
												obj_t BgL_actualsz00_2994;

												BgL_actualsz00_2994 = BgL_arg1418z00_1534;
												BgL_allzd2argszd2_2995 = BgL_arg1419z00_1535;
												BgL_varzd2argszd2_2996 = BgL_arg1430z00_1536;
												BgL_substitutionsz00_2997 = BgL_arg1454z00_1537;
												BgL_substitutionsz00_1529 = BgL_substitutionsz00_2997;
												BgL_varzd2argszd2_1528 = BgL_varzd2argszd2_2996;
												BgL_allzd2argszd2_1527 = BgL_allzd2argszd2_2995;
												BgL_actualsz00_1526 = BgL_actualsz00_2994;
												goto BgL_zc3z04anonymousza31402ze3z87_1530;
											}
										}
									else
										{	/* Inline/variant.scm 116 */
											obj_t BgL_arg1457z00_1539;
											obj_t BgL_arg1462z00_1540;
											obj_t BgL_arg1477z00_1541;

											BgL_arg1457z00_1539 = CDR(((obj_t) BgL_actualsz00_1526));
											BgL_arg1462z00_1540 =
												CDR(((obj_t) BgL_allzd2argszd2_1527));
											{	/* Inline/variant.scm 119 */
												obj_t BgL_arg1494z00_1542;

												{	/* Inline/variant.scm 119 */
													bool_t BgL_test1884z00_3002;

													{	/* Inline/variant.scm 119 */
														obj_t BgL_arg1520z00_1546;

														BgL_arg1520z00_1546 =
															CAR(((obj_t) BgL_actualsz00_1526));
														{	/* Inline/variant.scm 119 */
															obj_t BgL_classz00_2052;

															BgL_classz00_2052 = BGl_varz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1520z00_1546))
																{	/* Inline/variant.scm 119 */
																	BgL_objectz00_bglt BgL_arg1825z00_2054;

																	BgL_arg1825z00_2054 =
																		(BgL_objectz00_bglt) (BgL_arg1520z00_1546);
																	{	/* Inline/variant.scm 119 */
																		bool_t BgL_arg1822z00_2057;
																		bool_t BgL_arg1823z00_2058;

																		{	/* Inline/variant.scm 119 */
																			long BgL_idxz00_2061;

																			BgL_idxz00_2061 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2054);
																			BgL_arg1822z00_2057 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2061 + ((long) 2))) ==
																				BgL_classz00_2052);
																		}
																		{	/* Inline/variant.scm 119 */
																			bool_t BgL_res1794z00_2083;

																			{	/* Inline/variant.scm 119 */
																				obj_t BgL_oclassz00_2069;

																				{	/* Inline/variant.scm 119 */
																					long BgL_arg1833z00_2075;

																					{	/* Inline/variant.scm 119 */
																						long BgL_arg1834z00_2076;

																						BgL_arg1834z00_2076 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2054);
																						BgL_arg1833z00_2075 =
																							(BgL_arg1834z00_2076 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2069 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2075);
																				}
																				{	/* Inline/variant.scm 119 */
																					bool_t BgL__ortest_1110z00_2070;

																					BgL__ortest_1110z00_2070 =
																						(BgL_classz00_2052 ==
																						BgL_oclassz00_2069);
																					if (BgL__ortest_1110z00_2070)
																						{	/* Inline/variant.scm 119 */
																							BgL_res1794z00_2083 =
																								BgL__ortest_1110z00_2070;
																						}
																					else
																						{	/* Inline/variant.scm 119 */
																							long BgL_odepthz00_2071;

																							BgL_odepthz00_2071 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2069);
																							if ((((long) 2) <
																									BgL_odepthz00_2071))
																								{	/* Inline/variant.scm 119 */
																									obj_t BgL_arg1821z00_2073;

																									BgL_arg1821z00_2073 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2069,
																										((long) 2));
																									BgL_res1794z00_2083 =
																										(BgL_arg1821z00_2073 ==
																										BgL_classz00_2052);
																								}
																							else
																								{	/* Inline/variant.scm 119 */
																									BgL_res1794z00_2083 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2058 = BgL_res1794z00_2083;
																		}
																		BgL_test1884z00_3002 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2057,
																			BgL_arg1823z00_2058);
																	}
																}
															else
																{	/* Inline/variant.scm 119 */
																	BgL_test1884z00_3002 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1884z00_3002)
														{	/* Inline/variant.scm 119 */
															BgL_arg1494z00_1542 =
																((obj_t)
																(((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				CAR(
																					((obj_t) BgL_actualsz00_1526)))))->
																	BgL_variablez00));
														}
													else
														{	/* Inline/variant.scm 119 */
															BgL_arg1494z00_1542 =
																CAR(((obj_t) BgL_actualsz00_1526));
														}
												}
												BgL_arg1477z00_1541 =
													MAKE_YOUNG_PAIR(BgL_arg1494z00_1542,
													BgL_substitutionsz00_1529);
											}
											{
												obj_t BgL_substitutionsz00_3033;
												obj_t BgL_allzd2argszd2_3032;
												obj_t BgL_actualsz00_3031;

												BgL_actualsz00_3031 = BgL_arg1457z00_1539;
												BgL_allzd2argszd2_3032 = BgL_arg1462z00_1540;
												BgL_substitutionsz00_3033 = BgL_arg1477z00_1541;
												BgL_substitutionsz00_1529 = BgL_substitutionsz00_3033;
												BgL_allzd2argszd2_1527 = BgL_allzd2argszd2_3032;
												BgL_actualsz00_1526 = BgL_actualsz00_3031;
												goto BgL_zc3z04anonymousza31402ze3z87_1530;
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* &substitutions */
	obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t BgL_envz00_2355,
		obj_t BgL_varz00_2356, obj_t BgL_actualsz00_2357,
		obj_t BgL_varzd2argszd2_2358)
	{
		{	/* Inline/variant.scm 100 */
			return
				BGl_substitutionsz00zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2356), BgL_actualsz00_2357,
				BgL_varzd2argszd2_2358);
		}

	}



/* shrink-args! */
	BGL_EXPORTED_DEF obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt
		BgL_varz00_59)
	{
		{	/* Inline/variant.scm 127 */
			{	/* Inline/variant.scm 128 */
				BgL_valuez00_bglt BgL_funz00_1549;

				BgL_funz00_1549 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_59))->BgL_valuez00);
				{	/* Inline/variant.scm 128 */
					obj_t BgL_argsz00_1550;

					BgL_argsz00_1550 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1549)))->BgL_argsz00);
					{	/* Inline/variant.scm 129 */

						{
							obj_t BgL_l1278z00_1552;

							{	/* Inline/variant.scm 130 */
								bool_t BgL_tmpz00_3039;

								BgL_l1278z00_1552 = BgL_argsz00_1550;
							BgL_zc3z04anonymousza31525ze3z87_1553:
								if (PAIRP(BgL_l1278z00_1552))
									{	/* Inline/variant.scm 130 */
										{	/* Inline/variant.scm 130 */
											obj_t BgL_az00_1555;

											BgL_az00_1555 = CAR(BgL_l1278z00_1552);
											{	/* Inline/variant.scm 130 */
												bool_t BgL_test1889z00_3043;

												{	/* Inline/variant.scm 130 */
													obj_t BgL_tmpz00_3044;

													{	/* Inline/variant.scm 130 */
														BgL_objectz00_bglt BgL_tmpz00_3045;

														BgL_tmpz00_3045 =
															((BgL_objectz00_bglt) BgL_az00_1555);
														BgL_tmpz00_3044 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3045);
													}
													BgL_test1889z00_3043 = CBOOL(BgL_tmpz00_3044);
												}
												if (BgL_test1889z00_3043)
													{	/* Inline/variant.scm 130 */
														{	/* Inline/variant.scm 130 */
															long BgL_arg1534z00_1558;

															{	/* Inline/variant.scm 130 */
																obj_t BgL_arg1536z00_1559;

																{	/* Inline/variant.scm 130 */
																	obj_t BgL_arg1542z00_1560;

																	{	/* Inline/variant.scm 130 */
																		long BgL_arg1833z00_2094;

																		{	/* Inline/variant.scm 130 */
																			long BgL_arg1834z00_2095;

																			BgL_arg1834z00_2095 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt) BgL_az00_1555));
																			BgL_arg1833z00_2094 =
																				(BgL_arg1834z00_2095 - OBJECT_TYPE);
																		}
																		BgL_arg1542z00_1560 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2094);
																	}
																	BgL_arg1536z00_1559 =
																		BGl_classzd2superzd2zz__objectz00
																		(BgL_arg1542z00_1560);
																}
																{	/* Inline/variant.scm 130 */
																	obj_t BgL_tmpz00_3054;

																	BgL_tmpz00_3054 =
																		((obj_t) BgL_arg1536z00_1559);
																	BgL_arg1534z00_1558 =
																		BGL_CLASS_NUM(BgL_tmpz00_3054);
															}}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_az00_1555),
																BgL_arg1534z00_1558);
														}
														{	/* Inline/variant.scm 130 */
															BgL_objectz00_bglt BgL_tmpz00_3059;

															BgL_tmpz00_3059 =
																((BgL_objectz00_bglt) BgL_az00_1555);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3059, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_az00_1555);
														BgL_az00_1555;
													}
												else
													{	/* Inline/variant.scm 130 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1278z00_3063;

											BgL_l1278z00_3063 = CDR(BgL_l1278z00_1552);
											BgL_l1278z00_1552 = BgL_l1278z00_3063;
											goto BgL_zc3z04anonymousza31525ze3z87_1553;
										}
									}
								else
									{	/* Inline/variant.scm 130 */
										BgL_tmpz00_3039 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_3039);
							}
						}
					}
				}
			}
		}

	}



/* &shrink-args! */
	obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t BgL_envz00_2359,
		obj_t BgL_varz00_2360)
	{
		{	/* Inline/variant.scm 127 */
			return
				BGl_shrinkzd2argsz12zc0zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2360));
		}

	}



/* remove-invariant-args! */
	BGL_EXPORTED_DEF BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt
		BgL_appz00_60)
	{
		{	/* Inline/variant.scm 141 */
			{	/* Inline/variant.scm 143 */
				obj_t BgL_g1154z00_1564;

				BgL_g1154z00_1564 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->
															BgL_funz00)))->BgL_variablez00)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_formalsz00_1568;
					obj_t BgL_oldzd2argszd2_1569;
					obj_t BgL_newzd2argszd2_1570;

					BgL_formalsz00_1568 = BgL_g1154z00_1564;
					BgL_oldzd2argszd2_1569 =
						(((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->BgL_argsz00);
					BgL_newzd2argszd2_1570 = BNIL;
				BgL_zc3z04anonymousza31549ze3z87_1571:
					if (NULLP(BgL_oldzd2argszd2_1569))
						{	/* Inline/variant.scm 147 */
							((((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->BgL_argsz00) =
								((obj_t) bgl_reverse_bang(BgL_newzd2argszd2_1570)), BUNSPEC);
							return BgL_appz00_60;
						}
					else
						{	/* Inline/variant.scm 150 */
							bool_t BgL_test1891z00_3077;

							{	/* Inline/variant.scm 150 */
								bool_t BgL_test1892z00_3078;

								{	/* Inline/variant.scm 150 */
									obj_t BgL_arg1584z00_1589;

									BgL_arg1584z00_1589 = CAR(((obj_t) BgL_formalsz00_1568));
									{	/* Inline/variant.scm 150 */
										obj_t BgL_classz00_2110;

										BgL_classz00_2110 =
											BGl_localzf2variantzf2zzinline_variantz00;
										if (BGL_OBJECTP(BgL_arg1584z00_1589))
											{	/* Inline/variant.scm 150 */
												BgL_objectz00_bglt BgL_arg1825z00_2112;

												BgL_arg1825z00_2112 =
													(BgL_objectz00_bglt) (BgL_arg1584z00_1589);
												{	/* Inline/variant.scm 150 */
													bool_t BgL_arg1822z00_2115;
													bool_t BgL_arg1823z00_2116;

													{	/* Inline/variant.scm 150 */
														long BgL_idxz00_2119;

														BgL_idxz00_2119 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2112);
														BgL_arg1822z00_2115 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2119 + ((long) 3))) ==
															BgL_classz00_2110);
													}
													{	/* Inline/variant.scm 150 */
														bool_t BgL_res1795z00_2141;

														{	/* Inline/variant.scm 150 */
															obj_t BgL_oclassz00_2127;

															{	/* Inline/variant.scm 150 */
																long BgL_arg1833z00_2133;

																{	/* Inline/variant.scm 150 */
																	long BgL_arg1834z00_2134;

																	BgL_arg1834z00_2134 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2112);
																	BgL_arg1833z00_2133 =
																		(BgL_arg1834z00_2134 - OBJECT_TYPE);
																}
																BgL_oclassz00_2127 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2133);
															}
															{	/* Inline/variant.scm 150 */
																bool_t BgL__ortest_1110z00_2128;

																BgL__ortest_1110z00_2128 =
																	(BgL_classz00_2110 == BgL_oclassz00_2127);
																if (BgL__ortest_1110z00_2128)
																	{	/* Inline/variant.scm 150 */
																		BgL_res1795z00_2141 =
																			BgL__ortest_1110z00_2128;
																	}
																else
																	{	/* Inline/variant.scm 150 */
																		long BgL_odepthz00_2129;

																		BgL_odepthz00_2129 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2127);
																		if ((((long) 3) < BgL_odepthz00_2129))
																			{	/* Inline/variant.scm 150 */
																				obj_t BgL_arg1821z00_2131;

																				BgL_arg1821z00_2131 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2127, ((long) 3));
																				BgL_res1795z00_2141 =
																					(BgL_arg1821z00_2131 ==
																					BgL_classz00_2110);
																			}
																		else
																			{	/* Inline/variant.scm 150 */
																				BgL_res1795z00_2141 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2116 = BgL_res1795z00_2141;
													}
													BgL_test1892z00_3078 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2115,
														BgL_arg1823z00_2116);
												}
											}
										else
											{	/* Inline/variant.scm 150 */
												BgL_test1892z00_3078 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1892z00_3078)
									{	/* Inline/variant.scm 151 */
										bool_t BgL_test1896z00_3099;

										{	/* Inline/variant.scm 151 */
											BgL_localz00_bglt BgL_oz00_2143;

											BgL_oz00_2143 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_formalsz00_1568)));
											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_3103;

												{
													obj_t BgL_auxz00_3104;

													{	/* Inline/variant.scm 151 */
														BgL_objectz00_bglt BgL_tmpz00_3105;

														BgL_tmpz00_3105 =
															((BgL_objectz00_bglt) BgL_oz00_2143);
														BgL_auxz00_3104 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3105);
													}
													BgL_auxz00_3103 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_3104);
												}
												BgL_test1896z00_3099 =
													(((BgL_localzf2variantzf2_bglt)
														COBJECT(BgL_auxz00_3103))->BgL_variantz00);
											}
										}
										if (BgL_test1896z00_3099)
											{	/* Inline/variant.scm 151 */
												BgL_test1891z00_3077 = ((bool_t) 0);
											}
										else
											{	/* Inline/variant.scm 151 */
												BgL_test1891z00_3077 = ((bool_t) 1);
											}
									}
								else
									{	/* Inline/variant.scm 150 */
										BgL_test1891z00_3077 = ((bool_t) 0);
									}
							}
							if (BgL_test1891z00_3077)
								{	/* Inline/variant.scm 152 */
									obj_t BgL_arg1567z00_1580;
									obj_t BgL_arg1570z00_1581;

									BgL_arg1567z00_1580 = CDR(((obj_t) BgL_formalsz00_1568));
									BgL_arg1570z00_1581 = CDR(((obj_t) BgL_oldzd2argszd2_1569));
									{
										obj_t BgL_oldzd2argszd2_3115;
										obj_t BgL_formalsz00_3114;

										BgL_formalsz00_3114 = BgL_arg1567z00_1580;
										BgL_oldzd2argszd2_3115 = BgL_arg1570z00_1581;
										BgL_oldzd2argszd2_1569 = BgL_oldzd2argszd2_3115;
										BgL_formalsz00_1568 = BgL_formalsz00_3114;
										goto BgL_zc3z04anonymousza31549ze3z87_1571;
									}
								}
							else
								{	/* Inline/variant.scm 156 */
									obj_t BgL_arg1571z00_1582;
									obj_t BgL_arg1578z00_1583;
									obj_t BgL_arg1581z00_1584;

									BgL_arg1571z00_1582 = CDR(((obj_t) BgL_formalsz00_1568));
									BgL_arg1578z00_1583 = CDR(((obj_t) BgL_oldzd2argszd2_1569));
									{	/* Inline/variant.scm 158 */
										obj_t BgL_arg1582z00_1585;

										BgL_arg1582z00_1585 = CAR(((obj_t) BgL_oldzd2argszd2_1569));
										BgL_arg1581z00_1584 =
											MAKE_YOUNG_PAIR(BgL_arg1582z00_1585,
											BgL_newzd2argszd2_1570);
									}
									{
										obj_t BgL_newzd2argszd2_3125;
										obj_t BgL_oldzd2argszd2_3124;
										obj_t BgL_formalsz00_3123;

										BgL_formalsz00_3123 = BgL_arg1571z00_1582;
										BgL_oldzd2argszd2_3124 = BgL_arg1578z00_1583;
										BgL_newzd2argszd2_3125 = BgL_arg1581z00_1584;
										BgL_newzd2argszd2_1570 = BgL_newzd2argszd2_3125;
										BgL_oldzd2argszd2_1569 = BgL_oldzd2argszd2_3124;
										BgL_formalsz00_1568 = BgL_formalsz00_3123;
										goto BgL_zc3z04anonymousza31549ze3z87_1571;
									}
								}
						}
				}
			}
		}

	}



/* &remove-invariant-args! */
	BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t
		BgL_envz00_2361, obj_t BgL_appz00_2362)
	{
		{	/* Inline/variant.scm 141 */
			return
				BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
				((BgL_appz00_bglt) BgL_appz00_2362));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 22 */
				obj_t BgL_arg1603z00_1598;
				obj_t BgL_arg1604z00_1599;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1280z00_1634;

					BgL_v1280z00_1634 = create_vector(((long) 1));
					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1647z00_1635;

						BgL_arg1647z00_1635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1800z00zzinline_variantz00,
							BGl_proc1799z00zzinline_variantz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1280z00_1634, ((long) 0), BgL_arg1647z00_1635);
					}
					BgL_arg1603z00_1598 = BgL_v1280z00_1634;
				}
				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1281z00_1645;

					BgL_v1281z00_1645 = create_vector(((long) 0));
					BgL_arg1604z00_1599 = BgL_v1281z00_1645;
				}
				return (BGl_localzf2variantzf2zzinline_variantz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_localz00zzast_varz00,
						((long) 37050), BGl_proc1804z00zzinline_variantz00,
						BGl_proc1803z00zzinline_variantz00, BFALSE,
						BGl_proc1802z00zzinline_variantz00,
						BGl_proc1801z00zzinline_variantz00, BgL_arg1603z00_1598,
						BgL_arg1604z00_1599), BUNSPEC);
		}}

	}



/* &lambda1621 */
	BgL_localz00_bglt BGl_z62lambda1621z62zzinline_variantz00(obj_t
		BgL_envz00_2369, obj_t BgL_o1120z00_2370)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_arg1632z00_2428;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_arg1633z00_2429;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1636z00_2430;

						{	/* Inline/variant.scm 22 */
							long BgL_arg1833z00_2431;

							{	/* Inline/variant.scm 22 */
								long BgL_arg1834z00_2432;

								BgL_arg1834z00_2432 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1120z00_2370)));
								BgL_arg1833z00_2431 = (BgL_arg1834z00_2432 - OBJECT_TYPE);
							}
							BgL_arg1636z00_2430 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2431);
						}
						BgL_arg1633z00_2429 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1636z00_2430);
					}
					{	/* Inline/variant.scm 22 */
						obj_t BgL_tmpz00_3144;

						BgL_tmpz00_3144 = ((obj_t) BgL_arg1633z00_2429);
						BgL_arg1632z00_2428 = BGL_CLASS_NUM(BgL_tmpz00_3144);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1120z00_2370)), BgL_arg1632z00_2428);
			}
			{	/* Inline/variant.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3150;

				BgL_tmpz00_3150 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_2370));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3150, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_2370));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_2370));
		}

	}



/* &<@anonymous:1620> */
	obj_t BGl_z62zc3z04anonymousza31620ze3ze5zzinline_variantz00(obj_t
		BgL_envz00_2371, obj_t BgL_new1119z00_2372)
	{
		{	/* Inline/variant.scm 22 */
			{
				BgL_localz00_bglt BgL_auxz00_3158;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1119z00_2372))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3166;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_classz00_2434;

						BgL_classz00_2434 = BGl_typez00zztype_typez00;
						{	/* Inline/variant.scm 22 */
							obj_t BgL__ortest_1112z00_2435;

							BgL__ortest_1112z00_2435 = BGL_CLASS_NIL(BgL_classz00_2434);
							if (CBOOL(BgL__ortest_1112z00_2435))
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3166 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2435);
								}
							else
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3166 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2434));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1119z00_2372))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3166), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3176;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_classz00_2436;

						BgL_classz00_2436 = BGl_valuez00zzast_varz00;
						{	/* Inline/variant.scm 22 */
							obj_t BgL__ortest_1112z00_2437;

							BgL__ortest_1112z00_2437 = BGL_CLASS_NIL(BgL_classz00_2436);
							if (CBOOL(BgL__ortest_1112z00_2437))
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3176 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_2437);
								}
							else
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3176 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2436));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1119z00_2372))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3176), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1119z00_2372))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2372))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3213;

					{
						obj_t BgL_auxz00_3214;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3215;

							BgL_tmpz00_3215 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1119z00_2372));
							BgL_auxz00_3214 = BGL_OBJECT_WIDENING(BgL_tmpz00_3215);
						}
						BgL_auxz00_3213 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3214);
					}
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3213))->
							BgL_variantz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_3158 = ((BgL_localz00_bglt) BgL_new1119z00_2372);
				return ((obj_t) BgL_auxz00_3158);
			}
		}

	}



/* &lambda1613 */
	BgL_localz00_bglt BGl_z62lambda1613z62zzinline_variantz00(obj_t
		BgL_envz00_2373, obj_t BgL_o1116z00_2374)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				BgL_localzf2variantzf2_bglt BgL_wide1118z00_2439;

				BgL_wide1118z00_2439 =
					((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2variantzf2_bgl))));
				{	/* Inline/variant.scm 22 */
					obj_t BgL_auxz00_3228;
					BgL_objectz00_bglt BgL_tmpz00_3224;

					BgL_auxz00_3228 = ((obj_t) BgL_wide1118z00_2439);
					BgL_tmpz00_3224 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2374)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3224, BgL_auxz00_3228);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2374)));
				{	/* Inline/variant.scm 22 */
					long BgL_arg1619z00_2440;

					BgL_arg1619z00_2440 =
						BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1116z00_2374))), BgL_arg1619z00_2440);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2374)));
			}
		}

	}



/* &lambda1605 */
	BgL_localz00_bglt BGl_z62lambda1605z62zzinline_variantz00(obj_t
		BgL_envz00_2375, obj_t BgL_id1102z00_2376, obj_t BgL_name1103z00_2377,
		obj_t BgL_type1104z00_2378, obj_t BgL_value1105z00_2379,
		obj_t BgL_access1106z00_2380, obj_t BgL_fastzd2alpha1107zd2_2381,
		obj_t BgL_removable1108z00_2382, obj_t BgL_occurrence1109z00_2383,
		obj_t BgL_occurrencew1110z00_2384, obj_t BgL_userzf31111zf3_2385,
		obj_t BgL_key1112z00_2386, obj_t BgL_valzd2noescape1113zd2_2387,
		obj_t BgL_volatile1114z00_2388, obj_t BgL_variant1115z00_2389)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_occurrence1109z00_2444;
				long BgL_occurrencew1110z00_2445;
				bool_t BgL_userzf31111zf3_2446;
				long BgL_key1112z00_2447;
				bool_t BgL_volatile1114z00_2448;
				bool_t BgL_variant1115z00_2449;

				BgL_occurrence1109z00_2444 = (long) CINT(BgL_occurrence1109z00_2383);
				BgL_occurrencew1110z00_2445 = (long) CINT(BgL_occurrencew1110z00_2384);
				BgL_userzf31111zf3_2446 = CBOOL(BgL_userzf31111zf3_2385);
				BgL_key1112z00_2447 = (long) CINT(BgL_key1112z00_2386);
				BgL_volatile1114z00_2448 = CBOOL(BgL_volatile1114z00_2388);
				BgL_variant1115z00_2449 = CBOOL(BgL_variant1115z00_2389);
				{	/* Inline/variant.scm 22 */
					BgL_localz00_bglt BgL_new1160z00_2450;

					{	/* Inline/variant.scm 22 */
						BgL_localz00_bglt BgL_tmp1158z00_2451;
						BgL_localzf2variantzf2_bglt BgL_wide1159z00_2452;

						{
							BgL_localz00_bglt BgL_auxz00_3248;

							{	/* Inline/variant.scm 22 */
								BgL_localz00_bglt BgL_new1157z00_2453;

								BgL_new1157z00_2453 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Inline/variant.scm 22 */
									long BgL_arg1612z00_2454;

									BgL_arg1612z00_2454 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1157z00_2453),
										BgL_arg1612z00_2454);
								}
								{	/* Inline/variant.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3253;

									BgL_tmpz00_3253 = ((BgL_objectz00_bglt) BgL_new1157z00_2453);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3253, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1157z00_2453);
								BgL_auxz00_3248 = BgL_new1157z00_2453;
							}
							BgL_tmp1158z00_2451 = ((BgL_localz00_bglt) BgL_auxz00_3248);
						}
						BgL_wide1159z00_2452 =
							((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2variantzf2_bgl))));
						{	/* Inline/variant.scm 22 */
							obj_t BgL_auxz00_3261;
							BgL_objectz00_bglt BgL_tmpz00_3259;

							BgL_auxz00_3261 = ((obj_t) BgL_wide1159z00_2452);
							BgL_tmpz00_3259 = ((BgL_objectz00_bglt) BgL_tmp1158z00_2451);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3259, BgL_auxz00_3261);
						}
						((BgL_objectz00_bglt) BgL_tmp1158z00_2451);
						{	/* Inline/variant.scm 22 */
							long BgL_arg1606z00_2455;

							BgL_arg1606z00_2455 =
								BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1158z00_2451),
								BgL_arg1606z00_2455);
						}
						BgL_new1160z00_2450 = ((BgL_localz00_bglt) BgL_tmp1158z00_2451);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1160z00_2450)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1102z00_2376)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_2377), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1104z00_2378)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1105z00_2379)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_accessz00) =
						((obj_t) BgL_access1106z00_2380), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1107zd2_2381), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_removablez00) =
						((obj_t) BgL_removable1108z00_2382), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_occurrencez00) =
						((long) BgL_occurrence1109z00_2444), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1110z00_2445), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1160z00_2450)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31111zf3_2446), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1160z00_2450)))->BgL_keyz00) =
						((long) BgL_key1112z00_2447), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1160z00_2450)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1113zd2_2387), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1160z00_2450)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1114z00_2448), BUNSPEC);
					{
						BgL_localzf2variantzf2_bglt BgL_auxz00_3298;

						{
							obj_t BgL_auxz00_3299;

							{	/* Inline/variant.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_3300;

								BgL_tmpz00_3300 = ((BgL_objectz00_bglt) BgL_new1160z00_2450);
								BgL_auxz00_3299 = BGL_OBJECT_WIDENING(BgL_tmpz00_3300);
							}
							BgL_auxz00_3298 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3299);
						}
						((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3298))->
								BgL_variantz00) = ((bool_t) BgL_variant1115z00_2449), BUNSPEC);
					}
					return BgL_new1160z00_2450;
				}
			}
		}

	}



/* &lambda1658 */
	obj_t BGl_z62lambda1658z62zzinline_variantz00(obj_t BgL_envz00_2390,
		obj_t BgL_oz00_2391, obj_t BgL_vz00_2392)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_vz00_2457;

				BgL_vz00_2457 = CBOOL(BgL_vz00_2392);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3306;

					{
						obj_t BgL_auxz00_3307;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3308;

							BgL_tmpz00_3308 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2391));
							BgL_auxz00_3307 = BGL_OBJECT_WIDENING(BgL_tmpz00_3308);
						}
						BgL_auxz00_3306 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3307);
					}
					return
						((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3306))->
							BgL_variantz00) = ((bool_t) BgL_vz00_2457), BUNSPEC);
				}
			}
		}

	}



/* &lambda1657 */
	obj_t BGl_z62lambda1657z62zzinline_variantz00(obj_t BgL_envz00_2393,
		obj_t BgL_oz00_2394)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_tmpz00_3314;

				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3315;

					{
						obj_t BgL_auxz00_3316;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3317;

							BgL_tmpz00_3317 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2394));
							BgL_auxz00_3316 = BGL_OBJECT_WIDENING(BgL_tmpz00_3317);
						}
						BgL_auxz00_3315 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3316);
					}
					BgL_tmpz00_3314 =
						(((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3315))->
						BgL_variantz00);
				}
				return BBOOL(BgL_tmpz00_3314);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00()
	{
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1805z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1805z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1805z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1805z00zzinline_variantz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1805z00zzinline_variantz00));
		}

	}

#ifdef __cplusplus
}
#endif
