/*===========================================================================*/
/*   (Integrate/ctn.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/ctn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctnz00();
	BGL_EXPORTED_DECL obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctnz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_ctnz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctnz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00();
	static obj_t BGl_globaliza7ez12zb5zzintegrate_ctnz00(BgL_localz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00();
	static obj_t BGl_zc3z04anonymousza31315ze3ze70z60zzintegrate_ctnz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Cnz62Ctz12zd2envza2zzintegrate_ctnz00,
		BgL_bgl_za762cnza762ctza712za7121564z00,
		BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1556z00zzintegrate_ctnz00,
		BgL_bgl_string1556za700za7za7i1565za7, "Cn&Ct!", 6);
	      DEFINE_STRING(BGl_string1557z00zzintegrate_ctnz00,
		BgL_bgl_string1557za700za7za7i1566za7, "Should not be here", 18);
	      DEFINE_STRING(BGl_string1558z00zzintegrate_ctnz00,
		BgL_bgl_string1558za700za7za7i1567za7, "integrate_ctn", 13);
	      DEFINE_STRING(BGl_string1559z00zzintegrate_ctnz00,
		BgL_bgl_string1559za700za7za7i1568za7, "escape tail ", 12);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctnz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long
		BgL_checksumz00_1974, char *BgL_fromz00_1975)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctnz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctnz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
					BGl_cnstzd2initzd2zzintegrate_ctnz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
					return BGl_methodzd2initzd2zzintegrate_ctnz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_ctn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			{	/* Integrate/ctn.scm 17 */
				obj_t BgL_cportz00_1962;

				{	/* Integrate/ctn.scm 17 */
					obj_t BgL_stringz00_1970;

					BgL_stringz00_1970 = BGl_string1559z00zzintegrate_ctnz00;
					{	/* Integrate/ctn.scm 17 */
						obj_t BgL_startz00_1971;

						BgL_startz00_1971 = BINT(((long) 0));
						{	/* Integrate/ctn.scm 17 */
							obj_t BgL_endz00_1972;

							BgL_endz00_1972 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1970)));
							{	/* Integrate/ctn.scm 17 */

								BgL_cportz00_1962 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1970, BgL_startz00_1971, BgL_endz00_1972);
				}}}}
				{
					long BgL_iz00_1963;

					BgL_iz00_1963 = ((long) 1);
				BgL_loopz00_1964:
					if ((BgL_iz00_1963 == ((long) -1)))
						{	/* Integrate/ctn.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/ctn.scm 17 */
							{	/* Integrate/ctn.scm 17 */
								obj_t BgL_arg1563z00_1966;

								{	/* Integrate/ctn.scm 17 */

									{	/* Integrate/ctn.scm 17 */
										obj_t BgL_locationz00_1968;

										BgL_locationz00_1968 = BBOOL(((bool_t) 0));
										{	/* Integrate/ctn.scm 17 */

											BgL_arg1563z00_1966 =
												BGl_readz00zz__readerz00(BgL_cportz00_1962,
												BgL_locationz00_1968);
										}
									}
								}
								{	/* Integrate/ctn.scm 17 */
									int BgL_tmpz00_2002;

									BgL_tmpz00_2002 = (int) (BgL_iz00_1963);
									CNST_TABLE_SET(BgL_tmpz00_2002, BgL_arg1563z00_1966);
							}}
							{	/* Integrate/ctn.scm 17 */
								int BgL_auxz00_1969;

								BgL_auxz00_1969 = (int) ((BgL_iz00_1963 - ((long) 1)));
								{
									long BgL_iz00_2007;

									BgL_iz00_2007 = (long) (BgL_auxz00_1969);
									BgL_iz00_1963 = BgL_iz00_2007;
									goto BgL_loopz00_1964;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_ctnz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1561;

				BgL_headz00_1561 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1562;
					obj_t BgL_tailz00_1563;

					BgL_prevz00_1562 = BgL_headz00_1561;
					BgL_tailz00_1563 = BgL_l1z00_1;
				BgL_loopz00_1564:
					if (PAIRP(BgL_tailz00_1563))
						{
							obj_t BgL_newzd2prevzd2_1566;

							BgL_newzd2prevzd2_1566 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1563), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1562, BgL_newzd2prevzd2_1566);
							{
								obj_t BgL_tailz00_2017;
								obj_t BgL_prevz00_2016;

								BgL_prevz00_2016 = BgL_newzd2prevzd2_1566;
								BgL_tailz00_2017 = CDR(BgL_tailz00_1563);
								BgL_tailz00_1563 = BgL_tailz00_2017;
								BgL_prevz00_1562 = BgL_prevz00_2016;
								goto BgL_loopz00_1564;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1561);
				}
			}
		}

	}



/* Cn&Ct! */
	BGL_EXPORTED_DEF obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_az00_3)
	{
		{	/* Integrate/ctn.scm 33 */
			{
				obj_t BgL_asz00_1571;
				obj_t BgL_gzf2cnzf2_1572;

				BgL_asz00_1571 = BgL_az00_3;
				BgL_gzf2cnzf2_1572 = BNIL;
			BgL_zc3z04anonymousza31244ze3z87_1573:
				if (NULLP(BgL_asz00_1571))
					{	/* Integrate/ctn.scm 36 */
						return BgL_gzf2cnzf2_1572;
					}
				else
					{	/* Integrate/ctn.scm 40 */
						obj_t BgL_az00_1575;

						BgL_az00_1575 = CAR(((obj_t) BgL_asz00_1571));
						{	/* Integrate/ctn.scm 40 */
							obj_t BgL_fz00_1576;

							BgL_fz00_1576 = CAR(((obj_t) BgL_az00_1575));
							{	/* Integrate/ctn.scm 41 */
								obj_t BgL_gz00_1577;

								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_pairz00_1822;

									BgL_pairz00_1822 = CDR(((obj_t) BgL_az00_1575));
									BgL_gz00_1577 = CAR(BgL_pairz00_1822);
								}
								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_kz00_1578;

									{	/* Integrate/ctn.scm 43 */
										obj_t BgL_pairz00_1828;

										{	/* Integrate/ctn.scm 43 */
											obj_t BgL_pairz00_1827;

											BgL_pairz00_1827 = CDR(((obj_t) BgL_az00_1575));
											BgL_pairz00_1828 = CDR(BgL_pairz00_1827);
										}
										BgL_kz00_1578 = CAR(BgL_pairz00_1828);
									}
									{	/* Integrate/ctn.scm 43 */
										BgL_valuez00_bglt BgL_fiz00_1579;

										BgL_fiz00_1579 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_fz00_1576)))->
											BgL_valuez00);
										{	/* Integrate/ctn.scm 44 */
											BgL_valuez00_bglt BgL_giz00_1580;

											BgL_giz00_1580 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_gz00_1577)))->
												BgL_valuez00);
											{	/* Integrate/ctn.scm 45 */

												{	/* Integrate/ctn.scm 47 */
													bool_t BgL_test1573z00_2037;

													{	/* Integrate/ctn.scm 47 */
														obj_t BgL_classz00_1831;

														BgL_classz00_1831 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_gz00_1577))
															{	/* Integrate/ctn.scm 47 */
																BgL_objectz00_bglt BgL_arg1825z00_1833;

																BgL_arg1825z00_1833 =
																	(BgL_objectz00_bglt) (BgL_gz00_1577);
																{	/* Integrate/ctn.scm 47 */
																	bool_t BgL_arg1822z00_1836;
																	bool_t BgL_arg1823z00_1837;

																	{	/* Integrate/ctn.scm 47 */
																		long BgL_idxz00_1840;

																		BgL_idxz00_1840 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_1833);
																		BgL_arg1822z00_1836 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1840 + ((long) 2))) ==
																			BgL_classz00_1831);
																	}
																	{	/* Integrate/ctn.scm 47 */
																		bool_t BgL_res1553z00_1862;

																		{	/* Integrate/ctn.scm 47 */
																			obj_t BgL_oclassz00_1848;

																			{	/* Integrate/ctn.scm 47 */
																				long BgL_arg1833z00_1854;

																				{	/* Integrate/ctn.scm 47 */
																					long BgL_arg1834z00_1855;

																					BgL_arg1834z00_1855 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_1833);
																					BgL_arg1833z00_1854 =
																						(BgL_arg1834z00_1855 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1848 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_1854);
																			}
																			{	/* Integrate/ctn.scm 47 */
																				bool_t BgL__ortest_1110z00_1849;

																				BgL__ortest_1110z00_1849 =
																					(BgL_classz00_1831 ==
																					BgL_oclassz00_1848);
																				if (BgL__ortest_1110z00_1849)
																					{	/* Integrate/ctn.scm 47 */
																						BgL_res1553z00_1862 =
																							BgL__ortest_1110z00_1849;
																					}
																				else
																					{	/* Integrate/ctn.scm 47 */
																						long BgL_odepthz00_1850;

																						BgL_odepthz00_1850 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1848);
																						if ((((long) 2) <
																								BgL_odepthz00_1850))
																							{	/* Integrate/ctn.scm 47 */
																								obj_t BgL_arg1821z00_1852;

																								BgL_arg1821z00_1852 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1848,
																									((long) 2));
																								BgL_res1553z00_1862 =
																									(BgL_arg1821z00_1852 ==
																									BgL_classz00_1831);
																							}
																						else
																							{	/* Integrate/ctn.scm 47 */
																								BgL_res1553z00_1862 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_1837 = BgL_res1553z00_1862;
																	}
																	BgL_test1573z00_2037 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_1836,
																		BgL_arg1823z00_1837);
																}
															}
														else
															{	/* Integrate/ctn.scm 47 */
																BgL_test1573z00_2037 = ((bool_t) 0);
															}
													}
													if (BgL_test1573z00_2037)
														{	/* Integrate/ctn.scm 48 */
															obj_t BgL_arg1247z00_1582;

															BgL_arg1247z00_1582 =
																CDR(((obj_t) BgL_asz00_1571));
															{
																obj_t BgL_asz00_2058;

																BgL_asz00_2058 = BgL_arg1247z00_1582;
																BgL_asz00_1571 = BgL_asz00_2058;
																goto BgL_zc3z04anonymousza31244ze3z87_1573;
															}
														}
													else
														{	/* Integrate/ctn.scm 49 */
															bool_t BgL_test1578z00_2059;

															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2060;

																{
																	obj_t BgL_auxz00_2061;

																	{	/* Integrate/ctn.scm 49 */
																		BgL_objectz00_bglt BgL_tmpz00_2062;

																		BgL_tmpz00_2062 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_giz00_1580));
																		BgL_auxz00_2061 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2062);
																	}
																	BgL_auxz00_2060 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2061);
																}
																BgL_test1578z00_2059 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2060))->
																	BgL_forcegzf3zf3);
															}
															if (BgL_test1578z00_2059)
																{	/* Integrate/ctn.scm 50 */
																	bool_t BgL_test1579z00_2068;

																	{
																		BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2069;

																		{
																			obj_t BgL_auxz00_2070;

																			{	/* Integrate/ctn.scm 50 */
																				BgL_objectz00_bglt BgL_tmpz00_2071;

																				BgL_tmpz00_2071 =
																					((BgL_objectz00_bglt)
																					((BgL_sfunz00_bglt) BgL_giz00_1580));
																				BgL_auxz00_2070 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2071);
																			}
																			BgL_auxz00_2069 =
																				((BgL_sfunzf2iinfozf2_bglt)
																				BgL_auxz00_2070);
																		}
																		BgL_test1579z00_2068 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				COBJECT(BgL_auxz00_2069))->BgL_gzf3zf3);
																	}
																	if (BgL_test1579z00_2068)
																		{	/* Integrate/ctn.scm 52 */
																			obj_t BgL_arg1253z00_1585;

																			BgL_arg1253z00_1585 =
																				CDR(((obj_t) BgL_asz00_1571));
																			{
																				obj_t BgL_asz00_2079;

																				BgL_asz00_2079 = BgL_arg1253z00_1585;
																				BgL_asz00_1571 = BgL_asz00_2079;
																				goto
																					BgL_zc3z04anonymousza31244ze3z87_1573;
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 51 */
																			obj_t BgL_arg1254z00_1586;
																			obj_t BgL_arg1255z00_1587;

																			BgL_arg1254z00_1586 =
																				CDR(((obj_t) BgL_asz00_1571));
																			{	/* Integrate/ctn.scm 51 */
																				obj_t BgL_arg1256z00_1588;

																				BgL_arg1256z00_1588 =
																					BGl_globaliza7ez12zb5zzintegrate_ctnz00
																					(((BgL_localz00_bglt) BgL_gz00_1577));
																				BgL_arg1255z00_1587 =
																					BGl_appendzd221011zd2zzintegrate_ctnz00
																					(BgL_arg1256z00_1588,
																					BgL_gzf2cnzf2_1572);
																			}
																			{
																				obj_t BgL_gzf2cnzf2_2086;
																				obj_t BgL_asz00_2085;

																				BgL_asz00_2085 = BgL_arg1254z00_1586;
																				BgL_gzf2cnzf2_2086 =
																					BgL_arg1255z00_1587;
																				BgL_gzf2cnzf2_1572 = BgL_gzf2cnzf2_2086;
																				BgL_asz00_1571 = BgL_asz00_2085;
																				goto
																					BgL_zc3z04anonymousza31244ze3z87_1573;
																			}
																		}
																}
															else
																{	/* Integrate/ctn.scm 49 */
																	if (
																		(BgL_kz00_1578 ==
																			CNST_TABLE_REF(((long) 0))))
																		{	/* Integrate/ctn.scm 53 */
																			{	/* Integrate/ctn.scm 54 */
																				obj_t BgL_arg1258z00_1590;

																				{	/* Integrate/ctn.scm 54 */
																					obj_t BgL_arg1259z00_1591;

																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2090;
																						{
																							obj_t BgL_auxz00_2091;

																							{	/* Integrate/ctn.scm 54 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2092;
																								BgL_tmpz00_2092 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_fiz00_1579));
																								BgL_auxz00_2091 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2092);
																							}
																							BgL_auxz00_2090 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2091);
																						}
																						BgL_arg1259z00_1591 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2090))->
																							BgL_ctz00);
																					}
																					BgL_arg1258z00_1590 =
																						MAKE_YOUNG_PAIR(BgL_gz00_1577,
																						BgL_arg1259z00_1591);
																				}
																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_2099;
																					{
																						obj_t BgL_auxz00_2100;

																						{	/* Integrate/ctn.scm 54 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2101;
																							BgL_tmpz00_2101 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_fiz00_1579));
																							BgL_auxz00_2100 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2101);
																						}
																						BgL_auxz00_2099 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_2100);
																					}
																					((((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2099))->
																							BgL_ctz00) =
																						((obj_t) BgL_arg1258z00_1590),
																						BUNSPEC);
																			}}
																			{	/* Integrate/ctn.scm 55 */
																				bool_t BgL_test1582z00_2107;

																				if ((BgL_fz00_1576 == BgL_gz00_1577))
																					{	/* Integrate/ctn.scm 55 */
																						BgL_test1582z00_2107 = ((bool_t) 0);
																					}
																				else
																					{	/* Integrate/ctn.scm 56 */
																						bool_t BgL_test1585z00_2110;

																						{	/* Integrate/ctn.scm 56 */
																							obj_t BgL_arg1281z00_1601;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2111;
																								{
																									obj_t BgL_auxz00_2112;

																									{	/* Integrate/ctn.scm 56 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2113;
																										BgL_tmpz00_2113 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1579));
																										BgL_auxz00_2112 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2113);
																									}
																									BgL_auxz00_2111 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2112);
																								}
																								BgL_arg1281z00_1601 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2111))->
																									BgL_kontz00);
																							}
																							BgL_test1585z00_2110 =
																								CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_gz00_1577,
																									BgL_arg1281z00_1601));
																						}
																						if (BgL_test1585z00_2110)
																							{	/* Integrate/ctn.scm 56 */
																								BgL_test1582z00_2107 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Integrate/ctn.scm 56 */
																								BgL_test1582z00_2107 =
																									((bool_t) 1);
																							}
																					}
																				if (BgL_test1582z00_2107)
																					{	/* Integrate/ctn.scm 57 */
																						obj_t BgL_arg1275z00_1597;

																						{	/* Integrate/ctn.scm 57 */
																							obj_t BgL_arg1280z00_1598;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2121;
																								{
																									obj_t BgL_auxz00_2122;

																									{	/* Integrate/ctn.scm 57 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2123;
																										BgL_tmpz00_2123 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1579));
																										BgL_auxz00_2122 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2123);
																									}
																									BgL_auxz00_2121 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2122);
																								}
																								BgL_arg1280z00_1598 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2121))->
																									BgL_kontz00);
																							}
																							BgL_arg1275z00_1597 =
																								MAKE_YOUNG_PAIR(BgL_gz00_1577,
																								BgL_arg1280z00_1598);
																						}
																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2130;
																							{
																								obj_t BgL_auxz00_2131;

																								{	/* Integrate/ctn.scm 57 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2132;
																									BgL_tmpz00_2132 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fiz00_1579));
																									BgL_auxz00_2131 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2132);
																								}
																								BgL_auxz00_2130 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2131);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2130))->
																									BgL_kontz00) =
																								((obj_t) BgL_arg1275z00_1597),
																								BUNSPEC);
																						}
																					}
																				else
																					{	/* Integrate/ctn.scm 55 */
																						BFALSE;
																					}
																			}
																			{	/* Integrate/ctn.scm 58 */
																				obj_t BgL_arg1284z00_1602;

																				BgL_arg1284z00_1602 =
																					CDR(((obj_t) BgL_asz00_1571));
																				{
																					obj_t BgL_asz00_2140;

																					BgL_asz00_2140 = BgL_arg1284z00_1602;
																					BgL_asz00_1571 = BgL_asz00_2140;
																					goto
																						BgL_zc3z04anonymousza31244ze3z87_1573;
																				}
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 53 */
																			if (
																				(BgL_kz00_1578 ==
																					CNST_TABLE_REF(((long) 1))))
																				{	/* Integrate/ctn.scm 59 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string1556z00zzintegrate_ctnz00,
																						BGl_string1557z00zzintegrate_ctnz00,
																						BgL_az00_1575);
																				}
																			else
																				{	/* Integrate/ctn.scm 61 */
																					bool_t BgL_test1588z00_2145;

																					{	/* Integrate/ctn.scm 61 */
																						obj_t BgL_tmpz00_2146;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2147;
																							{
																								obj_t BgL_auxz00_2148;

																								{	/* Integrate/ctn.scm 61 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2149;
																									BgL_tmpz00_2149 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_giz00_1580));
																									BgL_auxz00_2148 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2149);
																								}
																								BgL_auxz00_2147 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2148);
																							}
																							BgL_tmpz00_2146 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2147))->
																								BgL_uz00);
																						}
																						BgL_test1588z00_2145 =
																							CBOOL(BgL_tmpz00_2146);
																					}
																					if (BgL_test1588z00_2145)
																						{	/* Integrate/ctn.scm 61 */
																							{	/* Integrate/ctn.scm 62 */
																								obj_t BgL_arg1295z00_1605;

																								{	/* Integrate/ctn.scm 62 */
																									obj_t BgL_arg1296z00_1606;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2156;
																										{
																											obj_t BgL_auxz00_2157;

																											{	/* Integrate/ctn.scm 62 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2158;
																												BgL_tmpz00_2158 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1579));
																												BgL_auxz00_2157 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2158);
																											}
																											BgL_auxz00_2156 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2157);
																										}
																										BgL_arg1296z00_1606 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2156))->BgL_ctz00);
																									}
																									BgL_arg1295z00_1605 =
																										MAKE_YOUNG_PAIR
																										(BgL_gz00_1577,
																										BgL_arg1296z00_1606);
																								}
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2165;
																									{
																										obj_t BgL_auxz00_2166;

																										{	/* Integrate/ctn.scm 62 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2167;
																											BgL_tmpz00_2167 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1579));
																											BgL_auxz00_2166 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2167);
																										}
																										BgL_auxz00_2165 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2166);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2165))->
																											BgL_ctz00) =
																										((obj_t)
																											BgL_arg1295z00_1605),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 63 */
																								bool_t BgL_test1589z00_2173;

																								{	/* Integrate/ctn.scm 63 */
																									obj_t BgL_arg1304z00_1611;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2174;
																										{
																											obj_t BgL_auxz00_2175;

																											{	/* Integrate/ctn.scm 63 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2176;
																												BgL_tmpz00_2176 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1579));
																												BgL_auxz00_2175 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2176);
																											}
																											BgL_auxz00_2174 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2175);
																										}
																										BgL_arg1304z00_1611 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2174))->BgL_kontz00);
																									}
																									BgL_test1589z00_2173 =
																										CBOOL
																										(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																										(BgL_gz00_1577,
																											BgL_arg1304z00_1611));
																								}
																								if (BgL_test1589z00_2173)
																									{	/* Integrate/ctn.scm 63 */
																										BFALSE;
																									}
																								else
																									{	/* Integrate/ctn.scm 64 */
																										obj_t BgL_arg1299z00_1609;

																										{	/* Integrate/ctn.scm 64 */
																											obj_t BgL_arg1301z00_1610;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2184;
																												{
																													obj_t BgL_auxz00_2185;

																													{	/* Integrate/ctn.scm 64 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2186;
																														BgL_tmpz00_2186 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fiz00_1579));
																														BgL_auxz00_2185 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2186);
																													}
																													BgL_auxz00_2184 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2185);
																												}
																												BgL_arg1301z00_1610 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2184))->BgL_kontz00);
																											}
																											BgL_arg1299z00_1609 =
																												MAKE_YOUNG_PAIR
																												(BgL_gz00_1577,
																												BgL_arg1301z00_1610);
																										}
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2193;
																											{
																												obj_t BgL_auxz00_2194;

																												{	/* Integrate/ctn.scm 64 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2195;
																													BgL_tmpz00_2195 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_fiz00_1579));
																													BgL_auxz00_2194 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2195);
																												}
																												BgL_auxz00_2193 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2194);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2193))->BgL_kontz00) = ((obj_t) BgL_arg1299z00_1609), BUNSPEC);
																										}
																									}
																							}
																							{	/* Integrate/ctn.scm 65 */
																								obj_t BgL_arg1306z00_1612;

																								BgL_arg1306z00_1612 =
																									CDR(((obj_t) BgL_asz00_1571));
																								{
																									obj_t BgL_asz00_2203;

																									BgL_asz00_2203 =
																										BgL_arg1306z00_1612;
																									BgL_asz00_1571 =
																										BgL_asz00_2203;
																									goto
																										BgL_zc3z04anonymousza31244ze3z87_1573;
																								}
																							}
																						}
																					else
																						{	/* Integrate/ctn.scm 61 */
																							{	/* Integrate/ctn.scm 67 */
																								obj_t BgL_arg1307z00_1613;

																								{	/* Integrate/ctn.scm 67 */
																									obj_t BgL_arg1308z00_1614;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2204;
																										{
																											obj_t BgL_auxz00_2205;

																											{	/* Integrate/ctn.scm 67 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2206;
																												BgL_tmpz00_2206 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1579));
																												BgL_auxz00_2205 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2206);
																											}
																											BgL_auxz00_2204 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2205);
																										}
																										BgL_arg1308z00_1614 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2204))->BgL_cnz00);
																									}
																									BgL_arg1307z00_1613 =
																										MAKE_YOUNG_PAIR
																										(BgL_gz00_1577,
																										BgL_arg1308z00_1614);
																								}
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2213;
																									{
																										obj_t BgL_auxz00_2214;

																										{	/* Integrate/ctn.scm 67 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2215;
																											BgL_tmpz00_2215 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1579));
																											BgL_auxz00_2214 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2215);
																										}
																										BgL_auxz00_2213 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2214);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2213))->
																											BgL_cnz00) =
																										((obj_t)
																											BgL_arg1307z00_1613),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 68 */
																								bool_t BgL_test1590z00_2221;

																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2222;
																									{
																										obj_t BgL_auxz00_2223;

																										{	/* Integrate/ctn.scm 68 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2224;
																											BgL_tmpz00_2224 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_giz00_1580));
																											BgL_auxz00_2223 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2224);
																										}
																										BgL_auxz00_2222 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2223);
																									}
																									BgL_test1590z00_2221 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2222))->
																										BgL_gzf3zf3);
																								}
																								if (BgL_test1590z00_2221)
																									{	/* Integrate/ctn.scm 70 */
																										obj_t BgL_arg1310z00_1616;

																										BgL_arg1310z00_1616 =
																											CDR(
																											((obj_t) BgL_asz00_1571));
																										{
																											obj_t BgL_asz00_2232;

																											BgL_asz00_2232 =
																												BgL_arg1310z00_1616;
																											BgL_asz00_1571 =
																												BgL_asz00_2232;
																											goto
																												BgL_zc3z04anonymousza31244ze3z87_1573;
																										}
																									}
																								else
																									{	/* Integrate/ctn.scm 69 */
																										obj_t BgL_arg1311z00_1617;
																										obj_t BgL_arg1313z00_1618;

																										BgL_arg1311z00_1617 =
																											CDR(
																											((obj_t) BgL_asz00_1571));
																										{	/* Integrate/ctn.scm 69 */
																											obj_t BgL_arg1314z00_1619;

																											BgL_arg1314z00_1619 =
																												BGl_globaliza7ez12zb5zzintegrate_ctnz00
																												(((BgL_localz00_bglt)
																													BgL_gz00_1577));
																											BgL_arg1313z00_1618 =
																												BGl_appendzd221011zd2zzintegrate_ctnz00
																												(BgL_arg1314z00_1619,
																												BgL_gzf2cnzf2_1572);
																										}
																										{
																											obj_t BgL_gzf2cnzf2_2239;
																											obj_t BgL_asz00_2238;

																											BgL_asz00_2238 =
																												BgL_arg1311z00_1617;
																											BgL_gzf2cnzf2_2239 =
																												BgL_arg1313z00_1618;
																											BgL_gzf2cnzf2_1572 =
																												BgL_gzf2cnzf2_2239;
																											BgL_asz00_1571 =
																												BgL_asz00_2238;
																											goto
																												BgL_zc3z04anonymousza31244ze3z87_1573;
																										}
																									}
																							}
																						}
																				}
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &Cn&Ct! */
	obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t BgL_envz00_1960,
		obj_t BgL_az00_1961)
	{
		{	/* Integrate/ctn.scm 33 */
			return BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1961);
		}

	}



/* globalize! */
	obj_t BGl_globaliza7ez12zb5zzintegrate_ctnz00(BgL_localz00_bglt BgL_lz00_4)
	{
		{	/* Integrate/ctn.scm 75 */
			{	/* Integrate/ctn.scm 76 */
				BgL_valuez00_bglt BgL_iz00_1621;

				BgL_iz00_1621 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_lz00_4)))->BgL_valuez00);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2243;

					{
						obj_t BgL_auxz00_2244;

						{	/* Integrate/ctn.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_2245;

							BgL_tmpz00_2245 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_iz00_1621));
							BgL_auxz00_2244 = BGL_OBJECT_WIDENING(BgL_tmpz00_2245);
						}
						BgL_auxz00_2243 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2244);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2243))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
				{	/* Integrate/ctn.scm 78 */
					obj_t BgL_xgz00_1622;

					{	/* Integrate/ctn.scm 78 */
						obj_t BgL_g1237z00_1623;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2251;

							{
								obj_t BgL_auxz00_2252;

								{	/* Integrate/ctn.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_2253;

									BgL_tmpz00_2253 =
										((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_iz00_1621));
									BgL_auxz00_2252 = BGL_OBJECT_WIDENING(BgL_tmpz00_2253);
								}
								BgL_auxz00_2251 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2252);
							}
							BgL_g1237z00_1623 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2251))->
								BgL_xhdlsz00);
						}
						BgL_xgz00_1622 =
							BGl_zc3z04anonymousza31315ze3ze70z60zzintegrate_ctnz00
							(BgL_g1237z00_1623);
					}
					return MAKE_YOUNG_PAIR(((obj_t) BgL_lz00_4), BgL_xgz00_1622);
				}
			}
		}

	}



/* <@anonymous:1315>~0 */
	obj_t BGl_zc3z04anonymousza31315ze3ze70z60zzintegrate_ctnz00(obj_t
		BgL_l1236z00_1625)
	{
		{	/* Integrate/ctn.scm 85 */
			if (NULLP(BgL_l1236z00_1625))
				{	/* Integrate/ctn.scm 85 */
					return BNIL;
				}
			else
				{	/* Integrate/ctn.scm 79 */
					obj_t BgL_arg1317z00_1628;
					obj_t BgL_arg1320z00_1629;

					{	/* Integrate/ctn.scm 79 */
						obj_t BgL_xz00_1630;

						BgL_xz00_1630 = CAR(((obj_t) BgL_l1236z00_1625));
						{	/* Integrate/ctn.scm 79 */
							BgL_valuez00_bglt BgL_xiz00_1631;

							BgL_xiz00_1631 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_xz00_1630))))->BgL_valuez00);
							{	/* Integrate/ctn.scm 80 */
								bool_t BgL_test1592z00_2269;

								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2270;

									{
										obj_t BgL_auxz00_2271;

										{	/* Integrate/ctn.scm 80 */
											BgL_objectz00_bglt BgL_tmpz00_2272;

											BgL_tmpz00_2272 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_xiz00_1631));
											BgL_auxz00_2271 = BGL_OBJECT_WIDENING(BgL_tmpz00_2272);
										}
										BgL_auxz00_2270 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2271);
									}
									BgL_test1592z00_2269 =
										(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2270))->
										BgL_gzf3zf3);
								}
								if (BgL_test1592z00_2269)
									{	/* Integrate/ctn.scm 80 */
										BgL_arg1317z00_1628 = BNIL;
									}
								else
									{	/* Integrate/ctn.scm 80 */
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2278;

											{
												obj_t BgL_auxz00_2279;

												{	/* Integrate/ctn.scm 83 */
													BgL_objectz00_bglt BgL_tmpz00_2280;

													BgL_tmpz00_2280 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_xiz00_1631));
													BgL_auxz00_2279 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2280);
												}
												BgL_auxz00_2278 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2279);
											}
											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2278))->
													BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										{	/* Integrate/ctn.scm 84 */
											obj_t BgL_list1322z00_1633;

											BgL_list1322z00_1633 =
												MAKE_YOUNG_PAIR(BgL_xz00_1630, BNIL);
											BgL_arg1317z00_1628 = BgL_list1322z00_1633;
										}
									}
							}
						}
					}
					{	/* Integrate/ctn.scm 85 */
						obj_t BgL_arg1323z00_1634;

						BgL_arg1323z00_1634 = CDR(((obj_t) BgL_l1236z00_1625));
						BgL_arg1320z00_1629 =
							BGl_zc3z04anonymousza31315ze3ze70z60zzintegrate_ctnz00
							(BgL_arg1323z00_1634);
					}
					return bgl_append2(BgL_arg1317z00_1628, BgL_arg1320z00_1629);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string1558z00zzintegrate_ctnz00));
		}

	}

#ifdef __cplusplus
}
#endif
