/*===========================================================================*/
/*   (Integrate/cto.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/cto.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2app1275z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1297z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = BUNSPEC;
	static obj_t
		BGl_z62setzd2ctoz12zd2boxzd2setz121303zb0zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
	static obj_t BGl_z62setzd2ctoz12zd2makezd2box1301za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2appzd2ly1277za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62setzd2ctoz12zd2atom1263z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1305za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctoz00();
	static obj_t
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1299z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctoz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2extern1281z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2funcall1279z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2switch1291z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2letzd2var1295za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2closure1269z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctoz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2kwote1265z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2conditional1287z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2cast1283z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sequence1271z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62setzd2ctoz12zd2setq1285z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2sync1273z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2fail1289z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz121260za2zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2var1267z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2letzd2fun1293za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71763z00,
		BGl_z62setzd2ctoz12za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1733z00zzintegrate_ctoz00,
		BgL_bgl_string1733za700za7za7i1764za7, "set-cto!1260", 12);
	      DEFINE_STRING(BGl_string1734z00zzintegrate_ctoz00,
		BgL_bgl_string1734za700za7za7i1765za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1736z00zzintegrate_ctoz00,
		BgL_bgl_string1736za700za7za7i1766za7, "set-cto!", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza71211767za7,
		BGl_z62setzd2ctoz121260za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1735z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71768z00,
		BGl_z62setzd2ctoz12zd2atom1263z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71769z00,
		BGl_z62setzd2ctoz12zd2kwote1265z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71770z00,
		BGl_z62setzd2ctoz12zd2var1267z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71771z00,
		BGl_z62setzd2ctoz12zd2closure1269z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71772z00,
		BGl_z62setzd2ctoz12zd2sequence1271z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71773z00,
		BGl_z62setzd2ctoz12zd2sync1273z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71774z00,
		BGl_z62setzd2ctoz12zd2app1275z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71775z00,
		BGl_z62setzd2ctoz12zd2appzd2ly1277za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71776z00,
		BGl_z62setzd2ctoz12zd2funcall1279z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71777z00,
		BGl_z62setzd2ctoz12zd2extern1281z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1746z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71778z00,
		BGl_z62setzd2ctoz12zd2cast1283z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71779z00,
		BGl_z62setzd2ctoz12zd2setq1285z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71780z00,
		BGl_z62setzd2ctoz12zd2conditional1287z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71781z00,
		BGl_z62setzd2ctoz12zd2fail1289z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1758z00zzintegrate_ctoz00,
		BgL_bgl_string1758za700za7za7i1782za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1759z00zzintegrate_ctoz00,
		BgL_bgl_string1759za700za7za7i1783za7, "integrate_cto", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71784z00,
		BGl_z62setzd2ctoz12zd2switch1291z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71785z00,
		BGl_z62setzd2ctoz12zd2letzd2fun1293za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71786z00,
		BGl_z62setzd2ctoz12zd2letzd2var1295za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1753z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71787z00,
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1297z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1760z00zzintegrate_ctoz00,
		BgL_bgl_string1760za700za7za7i1788za7, "set-cto!1260 ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71789z00,
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1299z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1755z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71790z00,
		BGl_z62setzd2ctoz12zd2makezd2box1301za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71791z00,
		BGl_z62setzd2ctoz12zd2boxzd2setz121303zb0zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1757z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71792z00,
		BGl_z62setzd2ctoz12zd2boxzd2ref1305za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long
		BgL_checksumz00_2458, char *BgL_fromz00_2459)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctoz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_cnstzd2initzd2zzintegrate_ctoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_genericzd2initzd2zzintegrate_ctoz00();
					BGl_methodzd2initzd2zzintegrate_ctoz00();
					return BGl_toplevelzd2initzd2zzintegrate_ctoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_cto");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			{	/* Integrate/cto.scm 15 */
				obj_t BgL_cportz00_2324;

				{	/* Integrate/cto.scm 15 */
					obj_t BgL_stringz00_2332;

					BgL_stringz00_2332 = BGl_string1760z00zzintegrate_ctoz00;
					{	/* Integrate/cto.scm 15 */
						obj_t BgL_startz00_2333;

						BgL_startz00_2333 = BINT(((long) 0));
						{	/* Integrate/cto.scm 15 */
							obj_t BgL_endz00_2334;

							BgL_endz00_2334 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2332)));
							{	/* Integrate/cto.scm 15 */

								BgL_cportz00_2324 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2332, BgL_startz00_2333, BgL_endz00_2334);
				}}}}
				{
					long BgL_iz00_2325;

					BgL_iz00_2325 = ((long) 0);
				BgL_loopz00_2326:
					if ((BgL_iz00_2325 == ((long) -1)))
						{	/* Integrate/cto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 15 */
							{	/* Integrate/cto.scm 15 */
								obj_t BgL_arg1762z00_2328;

								{	/* Integrate/cto.scm 15 */

									{	/* Integrate/cto.scm 15 */
										obj_t BgL_locationz00_2330;

										BgL_locationz00_2330 = BBOOL(((bool_t) 0));
										{	/* Integrate/cto.scm 15 */

											BgL_arg1762z00_2328 =
												BGl_readz00zz__readerz00(BgL_cportz00_2324,
												BgL_locationz00_2330);
										}
									}
								}
								{	/* Integrate/cto.scm 15 */
									int BgL_tmpz00_2489;

									BgL_tmpz00_2489 = (int) (BgL_iz00_2325);
									CNST_TABLE_SET(BgL_tmpz00_2489, BgL_arg1762z00_2328);
							}}
							{	/* Integrate/cto.scm 15 */
								int BgL_auxz00_2331;

								BgL_auxz00_2331 = (int) ((BgL_iz00_2325 - ((long) 1)));
								{
									long BgL_iz00_2494;

									BgL_iz00_2494 = (long) (BgL_auxz00_2331);
									BgL_iz00_2325 = BgL_iz00_2494;
									goto BgL_loopz00_2326;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_proc1732z00zzintegrate_ctoz00, BGl_nodez00zzast_nodez00,
				BGl_string1733z00zzintegrate_ctoz00);
		}

	}



/* &set-cto!1260 */
	obj_t BGl_z62setzd2ctoz121260za2zzintegrate_ctoz00(obj_t BgL_envz00_2230,
		obj_t BgL_nodez00_2231, obj_t BgL_localz00_2232)
	{
		{	/* Integrate/cto.scm 28 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1734z00zzintegrate_ctoz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2231)));
		}

	}



/* set-cto! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_localz00_bglt BgL_localz00_4)
	{
		{	/* Integrate/cto.scm 28 */
			{	/* Integrate/cto.scm 28 */
				obj_t BgL_method1261z00_1618;

				{	/* Integrate/cto.scm 28 */
					obj_t BgL_res1728z00_2071;

					{	/* Integrate/cto.scm 28 */
						long BgL_objzd2classzd2numz00_2042;

						BgL_objzd2classzd2numz00_2042 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Integrate/cto.scm 28 */
							obj_t BgL_arg1829z00_2043;

							BgL_arg1829z00_2043 =
								PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
								(int) (((long) 1)));
							{	/* Integrate/cto.scm 28 */
								int BgL_offsetz00_2046;

								BgL_offsetz00_2046 = (int) (BgL_objzd2classzd2numz00_2042);
								{	/* Integrate/cto.scm 28 */
									long BgL_offsetz00_2047;

									BgL_offsetz00_2047 =
										((long) (BgL_offsetz00_2046) - OBJECT_TYPE);
									{	/* Integrate/cto.scm 28 */
										long BgL_modz00_2048;

										BgL_modz00_2048 =
											(BgL_offsetz00_2047 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/cto.scm 28 */
											long BgL_restz00_2050;

											BgL_restz00_2050 =
												(BgL_offsetz00_2047 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/cto.scm 28 */

												{	/* Integrate/cto.scm 28 */
													obj_t BgL_bucketz00_2052;

													BgL_bucketz00_2052 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2043), BgL_modz00_2048);
													BgL_res1728z00_2071 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2052), BgL_restz00_2050);
					}}}}}}}}
					BgL_method1261z00_1618 = BgL_res1728z00_2071;
				}
				return
					PROCEDURE_ENTRY(BgL_method1261z00_1618) (BgL_method1261z00_1618,
					((obj_t) BgL_nodez00_3), ((obj_t) BgL_localz00_4), BEOA);
			}
		}

	}



/* &set-cto! */
	obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t BgL_envz00_2233,
		obj_t BgL_nodez00_2234, obj_t BgL_localz00_2235)
	{
		{	/* Integrate/cto.scm 28 */
			return
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
				((BgL_nodez00_bglt) BgL_nodez00_2234),
				((BgL_localz00_bglt) BgL_localz00_2235));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_atomz00zzast_nodez00,
				BGl_proc1735z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1737z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_varz00zzast_nodez00,
				BGl_proc1738z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_closurez00zzast_nodez00, BGl_proc1739z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1740z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_syncz00zzast_nodez00,
				BGl_proc1741z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appz00zzast_nodez00,
				BGl_proc1742z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1743z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1744z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_externz00zzast_nodez00, BGl_proc1745z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_castz00zzast_nodez00,
				BGl_proc1746z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setqz00zzast_nodez00,
				BGl_proc1747z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1748z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_failz00zzast_nodez00,
				BGl_proc1749z00zzintegrate_ctoz00, BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_switchz00zzast_nodez00, BGl_proc1750z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1751z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1752z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1753z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1754z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1755z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1756z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1757z00zzintegrate_ctoz00,
				BGl_string1736z00zzintegrate_ctoz00);
		}

	}



/* &set-cto!-box-ref1305 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1305za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2258, obj_t BgL_nodez00_2259, obj_t BgL_localz00_2260)
	{
		{	/* Integrate/cto.scm 233 */
			{	/* Integrate/cto.scm 235 */
				BgL_varz00_bglt BgL_arg1551z00_2339;

				BgL_arg1551z00_2339 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2259)))->BgL_varz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1551z00_2339),
					((BgL_localz00_bglt) BgL_localz00_2260));
			}
		}

	}



/* &set-cto!-box-set!1303 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2setz121303zb0zzintegrate_ctoz00(obj_t
		BgL_envz00_2261, obj_t BgL_nodez00_2262, obj_t BgL_localz00_2263)
	{
		{	/* Integrate/cto.scm 225 */
			{	/* Integrate/cto.scm 227 */
				BgL_varz00_bglt BgL_arg1543z00_2341;

				BgL_arg1543z00_2341 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2262)))->BgL_varz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1543z00_2341),
					((BgL_localz00_bglt) BgL_localz00_2263));
			}
			{	/* Integrate/cto.scm 228 */
				BgL_nodez00_bglt BgL_arg1548z00_2342;

				BgL_arg1548z00_2342 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2262)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1548z00_2342,
					((BgL_localz00_bglt) BgL_localz00_2263));
			}
		}

	}



/* &set-cto!-make-box1301 */
	obj_t BGl_z62setzd2ctoz12zd2makezd2box1301za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2264, obj_t BgL_nodez00_2265, obj_t BgL_localz00_2266)
	{
		{	/* Integrate/cto.scm 218 */
			{	/* Integrate/cto.scm 220 */
				BgL_nodez00_bglt BgL_arg1542z00_2344;

				BgL_arg1542z00_2344 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2265)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1542z00_2344,
					((BgL_localz00_bglt) BgL_localz00_2266));
			}
		}

	}



/* &set-cto!-jump-ex-it1299 */
	obj_t BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1299z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2267, obj_t BgL_nodez00_2268, obj_t BgL_localz00_2269)
	{
		{	/* Integrate/cto.scm 210 */
			{	/* Integrate/cto.scm 212 */
				BgL_nodez00_bglt BgL_arg1534z00_2346;

				BgL_arg1534z00_2346 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2268)))->BgL_exitz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1534z00_2346,
					((BgL_localz00_bglt) BgL_localz00_2269));
			}
			{	/* Integrate/cto.scm 213 */
				BgL_nodez00_bglt BgL_arg1536z00_2347;

				BgL_arg1536z00_2347 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2268)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1536z00_2347,
					((BgL_localz00_bglt) BgL_localz00_2269));
			}
		}

	}



/* &set-cto!-set-ex-it1297 */
	obj_t BGl_z62setzd2ctoz12zd2setzd2exzd2it1297z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2270, obj_t BgL_nodez00_2271, obj_t BgL_localz00_2272)
	{
		{	/* Integrate/cto.scm 202 */
			{	/* Integrate/cto.scm 204 */
				BgL_nodez00_bglt BgL_arg1520z00_2349;

				BgL_arg1520z00_2349 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2271)))->BgL_onexitz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1520z00_2349,
					((BgL_localz00_bglt) BgL_localz00_2272));
			}
			{	/* Integrate/cto.scm 205 */
				BgL_nodez00_bglt BgL_arg1524z00_2350;

				BgL_arg1524z00_2350 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2271)))->BgL_bodyz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1524z00_2350,
					((BgL_localz00_bglt) BgL_localz00_2272));
			}
		}

	}



/* &set-cto!-let-var1295 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2var1295za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2273, obj_t BgL_nodez00_2274, obj_t BgL_localz00_2275)
	{
		{	/* Integrate/cto.scm 190 */
			{	/* Integrate/cto.scm 192 */
				obj_t BgL_g1126z00_2352;

				BgL_g1126z00_2352 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2274)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2354;

					BgL_bindingsz00_2354 = BgL_g1126z00_2352;
				BgL_liipz00_2353:
					if (NULLP(BgL_bindingsz00_2354))
						{	/* Integrate/cto.scm 194 */
							BgL_nodez00_bglt BgL_arg1494z00_2355;

							BgL_arg1494z00_2355 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2274)))->BgL_bodyz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1494z00_2355,
								((BgL_localz00_bglt) BgL_localz00_2275));
						}
					else
						{	/* Integrate/cto.scm 193 */
							{	/* Integrate/cto.scm 196 */
								obj_t BgL_arg1496z00_2356;

								{	/* Integrate/cto.scm 196 */
									obj_t BgL_pairz00_2357;

									BgL_pairz00_2357 = CAR(((obj_t) BgL_bindingsz00_2354));
									BgL_arg1496z00_2356 = CDR(BgL_pairz00_2357);
								}
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1496z00_2356),
									((BgL_localz00_bglt) BgL_localz00_2275));
							}
							{	/* Integrate/cto.scm 197 */
								obj_t BgL_arg1500z00_2358;

								BgL_arg1500z00_2358 = CDR(((obj_t) BgL_bindingsz00_2354));
								{
									obj_t BgL_bindingsz00_2609;

									BgL_bindingsz00_2609 = BgL_arg1500z00_2358;
									BgL_bindingsz00_2354 = BgL_bindingsz00_2609;
									goto BgL_liipz00_2353;
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-let-fun1293 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2fun1293za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2276, obj_t BgL_nodez00_2277, obj_t BgL_localz00_2278)
	{
		{	/* Integrate/cto.scm 175 */
			{	/* Integrate/cto.scm 177 */
				obj_t BgL_g1124z00_2360;

				BgL_g1124z00_2360 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2277)))->BgL_localsz00);
				{
					obj_t BgL_localsz00_2362;

					BgL_localsz00_2362 = BgL_g1124z00_2360;
				BgL_liipz00_2361:
					if (NULLP(BgL_localsz00_2362))
						{	/* Integrate/cto.scm 179 */
							BgL_nodez00_bglt BgL_arg1457z00_2363;

							BgL_arg1457z00_2363 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2277)))->BgL_bodyz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1457z00_2363,
								((BgL_localz00_bglt) BgL_localz00_2278));
						}
					else
						{	/* Integrate/cto.scm 180 */
							obj_t BgL_llocalz00_2364;

							BgL_llocalz00_2364 = CAR(((obj_t) BgL_localsz00_2362));
							{	/* Integrate/cto.scm 180 */
								BgL_valuez00_bglt BgL_funz00_2365;

								BgL_funz00_2365 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_llocalz00_2364))))->
									BgL_valuez00);
								{	/* Integrate/cto.scm 182 */

									{	/* Integrate/cto.scm 184 */
										obj_t BgL_arg1462z00_2366;

										BgL_arg1462z00_2366 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2365)))->BgL_bodyz00);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_arg1462z00_2366),
											((BgL_localz00_bglt) BgL_localz00_2278));
									}
									{	/* Integrate/cto.scm 185 */
										obj_t BgL_arg1477z00_2367;

										BgL_arg1477z00_2367 = CDR(((obj_t) BgL_localsz00_2362));
										{
											obj_t BgL_localsz00_2630;

											BgL_localsz00_2630 = BgL_arg1477z00_2367;
											BgL_localsz00_2362 = BgL_localsz00_2630;
											goto BgL_liipz00_2361;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-switch1291 */
	obj_t BGl_z62setzd2ctoz12zd2switch1291z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2279, obj_t BgL_nodez00_2280, obj_t BgL_localz00_2281)
	{
		{	/* Integrate/cto.scm 163 */
			{	/* Integrate/cto.scm 165 */
				obj_t BgL_g1119z00_2369;

				BgL_g1119z00_2369 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2280)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2371;

					BgL_clausesz00_2371 = BgL_g1119z00_2369;
				BgL_liipz00_2370:
					if (NULLP(BgL_clausesz00_2371))
						{	/* Integrate/cto.scm 167 */
							BgL_nodez00_bglt BgL_arg1418z00_2372;

							BgL_arg1418z00_2372 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2280)))->BgL_testz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1418z00_2372,
								((BgL_localz00_bglt) BgL_localz00_2281));
						}
					else
						{	/* Integrate/cto.scm 166 */
							{	/* Integrate/cto.scm 169 */
								obj_t BgL_arg1419z00_2373;

								{	/* Integrate/cto.scm 169 */
									obj_t BgL_pairz00_2374;

									BgL_pairz00_2374 = CAR(((obj_t) BgL_clausesz00_2371));
									BgL_arg1419z00_2373 = CDR(BgL_pairz00_2374);
								}
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1419z00_2373),
									((BgL_localz00_bglt) BgL_localz00_2281));
							}
							{	/* Integrate/cto.scm 170 */
								obj_t BgL_arg1454z00_2375;

								BgL_arg1454z00_2375 = CDR(((obj_t) BgL_clausesz00_2371));
								{
									obj_t BgL_clausesz00_2647;

									BgL_clausesz00_2647 = BgL_arg1454z00_2375;
									BgL_clausesz00_2371 = BgL_clausesz00_2647;
									goto BgL_liipz00_2370;
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-fail1289 */
	obj_t BGl_z62setzd2ctoz12zd2fail1289z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2282, obj_t BgL_nodez00_2283, obj_t BgL_localz00_2284)
	{
		{	/* Integrate/cto.scm 154 */
			{	/* Integrate/cto.scm 156 */
				BgL_nodez00_bglt BgL_arg1400z00_2377;

				BgL_arg1400z00_2377 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2283)))->BgL_procz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1400z00_2377,
					((BgL_localz00_bglt) BgL_localz00_2284));
			}
			{	/* Integrate/cto.scm 157 */
				BgL_nodez00_bglt BgL_arg1401z00_2378;

				BgL_arg1401z00_2378 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2283)))->BgL_msgz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1401z00_2378,
					((BgL_localz00_bglt) BgL_localz00_2284));
			}
			{	/* Integrate/cto.scm 158 */
				BgL_nodez00_bglt BgL_arg1415z00_2379;

				BgL_arg1415z00_2379 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2283)))->BgL_objz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1415z00_2379,
					((BgL_localz00_bglt) BgL_localz00_2284));
			}
		}

	}



/* &set-cto!-conditional1287 */
	obj_t BGl_z62setzd2ctoz12zd2conditional1287z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2285, obj_t BgL_nodez00_2286, obj_t BgL_localz00_2287)
	{
		{	/* Integrate/cto.scm 145 */
			{	/* Integrate/cto.scm 147 */
				BgL_nodez00_bglt BgL_arg1385z00_2381;

				BgL_arg1385z00_2381 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2286)))->BgL_testz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1385z00_2381,
					((BgL_localz00_bglt) BgL_localz00_2287));
			}
			{	/* Integrate/cto.scm 148 */
				BgL_nodez00_bglt BgL_arg1386z00_2382;

				BgL_arg1386z00_2382 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2286)))->BgL_truez00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1386z00_2382,
					((BgL_localz00_bglt) BgL_localz00_2287));
			}
			{	/* Integrate/cto.scm 149 */
				BgL_nodez00_bglt BgL_arg1387z00_2383;

				BgL_arg1387z00_2383 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2286)))->BgL_falsez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1387z00_2383,
					((BgL_localz00_bglt) BgL_localz00_2287));
			}
		}

	}



/* &set-cto!-setq1285 */
	obj_t BGl_z62setzd2ctoz12zd2setq1285z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2288, obj_t BgL_nodez00_2289, obj_t BgL_localz00_2290)
	{
		{	/* Integrate/cto.scm 137 */
			{	/* Integrate/cto.scm 139 */
				BgL_varz00_bglt BgL_arg1382z00_2385;

				BgL_arg1382z00_2385 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2289)))->BgL_varz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1382z00_2385),
					((BgL_localz00_bglt) BgL_localz00_2290));
			}
			{	/* Integrate/cto.scm 140 */
				BgL_nodez00_bglt BgL_arg1383z00_2386;

				BgL_arg1383z00_2386 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2289)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1383z00_2386,
					((BgL_localz00_bglt) BgL_localz00_2290));
			}
		}

	}



/* &set-cto!-cast1283 */
	obj_t BGl_z62setzd2ctoz12zd2cast1283z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2291, obj_t BgL_nodez00_2292, obj_t BgL_localz00_2293)
	{
		{	/* Integrate/cto.scm 130 */
			{	/* Integrate/cto.scm 132 */
				BgL_nodez00_bglt BgL_arg1381z00_2388;

				BgL_arg1381z00_2388 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2292)))->BgL_argz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1381z00_2388,
					((BgL_localz00_bglt) BgL_localz00_2293));
			}
		}

	}



/* &set-cto!-extern1281 */
	obj_t BGl_z62setzd2ctoz12zd2extern1281z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2294, obj_t BgL_nodez00_2295, obj_t BgL_localz00_2296)
	{
		{	/* Integrate/cto.scm 123 */
			{	/* Integrate/cto.scm 125 */
				obj_t BgL_g1259z00_2390;

				BgL_g1259z00_2390 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2295)))->BgL_exprza2za2);
				{
					obj_t BgL_l1257z00_2392;

					{	/* Integrate/cto.scm 125 */
						bool_t BgL_tmpz00_2687;

						BgL_l1257z00_2392 = BgL_g1259z00_2390;
					BgL_zc3z04anonymousza31371ze3z87_2391:
						if (PAIRP(BgL_l1257z00_2392))
							{	/* Integrate/cto.scm 125 */
								{	/* Integrate/cto.scm 125 */
									obj_t BgL_nodez00_2393;

									BgL_nodez00_2393 = CAR(BgL_l1257z00_2392);
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_nodez00_2393),
										((BgL_localz00_bglt) BgL_localz00_2296));
								}
								{
									obj_t BgL_l1257z00_2694;

									BgL_l1257z00_2694 = CDR(BgL_l1257z00_2392);
									BgL_l1257z00_2392 = BgL_l1257z00_2694;
									goto BgL_zc3z04anonymousza31371ze3z87_2391;
								}
							}
						else
							{	/* Integrate/cto.scm 125 */
								BgL_tmpz00_2687 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2687);
					}
				}
			}
		}

	}



/* &set-cto!-funcall1279 */
	obj_t BGl_z62setzd2ctoz12zd2funcall1279z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2297, obj_t BgL_nodez00_2298, obj_t BgL_localz00_2299)
	{
		{	/* Integrate/cto.scm 111 */
			{
				obj_t BgL_astsz00_2396;

				BgL_astsz00_2396 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2298)))->BgL_argsz00);
			BgL_liipz00_2395:
				if (NULLP(BgL_astsz00_2396))
					{	/* Integrate/cto.scm 115 */
						BgL_nodez00_bglt BgL_arg1367z00_2397;

						BgL_arg1367z00_2397 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2298)))->BgL_funz00);
						return
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1367z00_2397,
							((BgL_localz00_bglt) BgL_localz00_2299));
					}
				else
					{	/* Integrate/cto.scm 114 */
						{	/* Integrate/cto.scm 117 */
							obj_t BgL_arg1369z00_2398;

							BgL_arg1369z00_2398 = CAR(((obj_t) BgL_astsz00_2396));
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
								((BgL_nodez00_bglt) BgL_arg1369z00_2398),
								((BgL_localz00_bglt) BgL_localz00_2299));
						}
						{	/* Integrate/cto.scm 118 */
							obj_t BgL_arg1370z00_2399;

							BgL_arg1370z00_2399 = CDR(((obj_t) BgL_astsz00_2396));
							{
								obj_t BgL_astsz00_2710;

								BgL_astsz00_2710 = BgL_arg1370z00_2399;
								BgL_astsz00_2396 = BgL_astsz00_2710;
								goto BgL_liipz00_2395;
							}
						}
					}
			}
		}

	}



/* &set-cto!-app-ly1277 */
	obj_t BGl_z62setzd2ctoz12zd2appzd2ly1277za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2300, obj_t BgL_nodez00_2301, obj_t BgL_localz00_2302)
	{
		{	/* Integrate/cto.scm 103 */
			{	/* Integrate/cto.scm 105 */
				BgL_nodez00_bglt BgL_arg1361z00_2401;

				BgL_arg1361z00_2401 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2301)))->BgL_funz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1361z00_2401,
					((BgL_localz00_bglt) BgL_localz00_2302));
			}
			{	/* Integrate/cto.scm 106 */
				BgL_nodez00_bglt BgL_arg1363z00_2402;

				BgL_arg1363z00_2402 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2301)))->BgL_argz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1363z00_2402,
					((BgL_localz00_bglt) BgL_localz00_2302));
			}
		}

	}



/* &set-cto!-app1275 */
	obj_t BGl_z62setzd2ctoz12zd2app1275z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2303, obj_t BgL_nodez00_2304, obj_t BgL_localz00_2305)
	{
		{	/* Integrate/cto.scm 73 */
			{	/* Integrate/cto.scm 77 */
				BgL_variablez00_bglt BgL_funz00_2404;

				BgL_funz00_2404 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2304)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Integrate/cto.scm 78 */
					bool_t BgL_test1800z00_2724;

					{	/* Integrate/cto.scm 78 */
						bool_t BgL_test1801z00_2725;

						{	/* Integrate/cto.scm 78 */
							obj_t BgL_classz00_2405;

							BgL_classz00_2405 = BGl_localz00zzast_varz00;
							{	/* Integrate/cto.scm 78 */
								BgL_objectz00_bglt BgL_arg1825z00_2406;

								{	/* Integrate/cto.scm 78 */
									obj_t BgL_tmpz00_2726;

									BgL_tmpz00_2726 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2404));
									BgL_arg1825z00_2406 = (BgL_objectz00_bglt) (BgL_tmpz00_2726);
								}
								{	/* Integrate/cto.scm 78 */
									bool_t BgL_arg1822z00_2407;
									bool_t BgL_arg1823z00_2408;

									{	/* Integrate/cto.scm 78 */
										long BgL_idxz00_2409;

										BgL_idxz00_2409 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2406);
										BgL_arg1822z00_2407 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2409 + ((long) 2))) == BgL_classz00_2405);
									}
									{	/* Integrate/cto.scm 78 */
										bool_t BgL_res1729z00_2412;

										{	/* Integrate/cto.scm 78 */
											obj_t BgL_oclassz00_2413;

											{	/* Integrate/cto.scm 78 */
												long BgL_arg1833z00_2414;

												{	/* Integrate/cto.scm 78 */
													long BgL_arg1834z00_2415;

													BgL_arg1834z00_2415 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2406);
													BgL_arg1833z00_2414 =
														(BgL_arg1834z00_2415 - OBJECT_TYPE);
												}
												BgL_oclassz00_2413 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2414);
											}
											{	/* Integrate/cto.scm 78 */
												bool_t BgL__ortest_1110z00_2416;

												BgL__ortest_1110z00_2416 =
													(BgL_classz00_2405 == BgL_oclassz00_2413);
												if (BgL__ortest_1110z00_2416)
													{	/* Integrate/cto.scm 78 */
														BgL_res1729z00_2412 = BgL__ortest_1110z00_2416;
													}
												else
													{	/* Integrate/cto.scm 78 */
														long BgL_odepthz00_2417;

														BgL_odepthz00_2417 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2413);
														if ((((long) 2) < BgL_odepthz00_2417))
															{	/* Integrate/cto.scm 78 */
																obj_t BgL_arg1821z00_2418;

																BgL_arg1821z00_2418 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2413,
																	((long) 2));
																BgL_res1729z00_2412 =
																	(BgL_arg1821z00_2418 == BgL_classz00_2405);
															}
														else
															{	/* Integrate/cto.scm 78 */
																BgL_res1729z00_2412 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2408 = BgL_res1729z00_2412;
									}
									BgL_test1801z00_2725 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2407, BgL_arg1823z00_2408);
								}
							}
						}
						if (BgL_test1801z00_2725)
							{	/* Integrate/cto.scm 78 */
								if ((BgL_localz00_2305 == ((obj_t) BgL_funz00_2404)))
									{	/* Integrate/cto.scm 78 */
										BgL_test1800z00_2724 = ((bool_t) 0);
									}
								else
									{	/* Integrate/cto.scm 78 */
										BgL_test1800z00_2724 = ((bool_t) 1);
									}
							}
						else
							{	/* Integrate/cto.scm 78 */
								BgL_test1800z00_2724 = ((bool_t) 0);
							}
					}
					if (BgL_test1800z00_2724)
						{	/* Integrate/cto.scm 78 */
							BNIL;
						}
					else
						{	/* Integrate/cto.scm 78 */
							BFALSE;
						}
				}
				{	/* Integrate/cto.scm 85 */
					bool_t BgL_test1805z00_2748;

					{	/* Integrate/cto.scm 85 */
						bool_t BgL_test1806z00_2749;

						{	/* Integrate/cto.scm 85 */
							obj_t BgL_classz00_2419;

							BgL_classz00_2419 = BGl_localz00zzast_varz00;
							{	/* Integrate/cto.scm 85 */
								BgL_objectz00_bglt BgL_arg1825z00_2420;

								{	/* Integrate/cto.scm 85 */
									obj_t BgL_tmpz00_2750;

									BgL_tmpz00_2750 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2404));
									BgL_arg1825z00_2420 = (BgL_objectz00_bglt) (BgL_tmpz00_2750);
								}
								{	/* Integrate/cto.scm 85 */
									bool_t BgL_arg1822z00_2421;
									bool_t BgL_arg1823z00_2422;

									{	/* Integrate/cto.scm 85 */
										long BgL_idxz00_2423;

										BgL_idxz00_2423 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2420);
										BgL_arg1822z00_2421 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2423 + ((long) 2))) == BgL_classz00_2419);
									}
									{	/* Integrate/cto.scm 85 */
										bool_t BgL_res1730z00_2426;

										{	/* Integrate/cto.scm 85 */
											obj_t BgL_oclassz00_2427;

											{	/* Integrate/cto.scm 85 */
												long BgL_arg1833z00_2428;

												{	/* Integrate/cto.scm 85 */
													long BgL_arg1834z00_2429;

													BgL_arg1834z00_2429 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2420);
													BgL_arg1833z00_2428 =
														(BgL_arg1834z00_2429 - OBJECT_TYPE);
												}
												BgL_oclassz00_2427 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2428);
											}
											{	/* Integrate/cto.scm 85 */
												bool_t BgL__ortest_1110z00_2430;

												BgL__ortest_1110z00_2430 =
													(BgL_classz00_2419 == BgL_oclassz00_2427);
												if (BgL__ortest_1110z00_2430)
													{	/* Integrate/cto.scm 85 */
														BgL_res1730z00_2426 = BgL__ortest_1110z00_2430;
													}
												else
													{	/* Integrate/cto.scm 85 */
														long BgL_odepthz00_2431;

														BgL_odepthz00_2431 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2427);
														if ((((long) 2) < BgL_odepthz00_2431))
															{	/* Integrate/cto.scm 85 */
																obj_t BgL_arg1821z00_2432;

																BgL_arg1821z00_2432 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2427,
																	((long) 2));
																BgL_res1730z00_2426 =
																	(BgL_arg1821z00_2432 == BgL_classz00_2419);
															}
														else
															{	/* Integrate/cto.scm 85 */
																BgL_res1730z00_2426 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2422 = BgL_res1730z00_2426;
									}
									BgL_test1806z00_2749 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2421, BgL_arg1823z00_2422);
								}
							}
						}
						if (BgL_test1806z00_2749)
							{	/* Integrate/cto.scm 86 */
								bool_t BgL_test1809z00_2769;

								{	/* Integrate/cto.scm 86 */
									BgL_sfunz00_bglt BgL_oz00_2433;

									BgL_oz00_2433 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_funz00_2404))))->
											BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2774;

										{
											obj_t BgL_auxz00_2775;

											{	/* Integrate/cto.scm 86 */
												BgL_objectz00_bglt BgL_tmpz00_2776;

												BgL_tmpz00_2776 = ((BgL_objectz00_bglt) BgL_oz00_2433);
												BgL_auxz00_2775 = BGL_OBJECT_WIDENING(BgL_tmpz00_2776);
											}
											BgL_auxz00_2774 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2775);
										}
										BgL_test1809z00_2769 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2774))->
											BgL_gzf3zf3);
									}
								}
								if (BgL_test1809z00_2769)
									{	/* Integrate/cto.scm 86 */
										if ((BgL_localz00_2305 == ((obj_t) BgL_funz00_2404)))
											{	/* Integrate/cto.scm 87 */
												BgL_test1805z00_2748 = ((bool_t) 0);
											}
										else
											{	/* Integrate/cto.scm 88 */
												bool_t BgL_test1811z00_2784;

												{	/* Integrate/cto.scm 88 */
													obj_t BgL_arg1343z00_2434;

													{	/* Integrate/cto.scm 88 */
														BgL_sfunz00_bglt BgL_oz00_2435;

														BgL_oz00_2435 =
															((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_2305))))->BgL_valuez00));
														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2789;

															{
																obj_t BgL_auxz00_2790;

																{	/* Integrate/cto.scm 88 */
																	BgL_objectz00_bglt BgL_tmpz00_2791;

																	BgL_tmpz00_2791 =
																		((BgL_objectz00_bglt) BgL_oz00_2435);
																	BgL_auxz00_2790 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2791);
																}
																BgL_auxz00_2789 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2790);
															}
															BgL_arg1343z00_2434 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2789))->BgL_ctoz00);
														}
													}
													BgL_test1811z00_2784 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
															((obj_t) BgL_funz00_2404), BgL_arg1343z00_2434));
												}
												if (BgL_test1811z00_2784)
													{	/* Integrate/cto.scm 88 */
														BgL_test1805z00_2748 = ((bool_t) 0);
													}
												else
													{	/* Integrate/cto.scm 88 */
														BgL_test1805z00_2748 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Integrate/cto.scm 86 */
										BgL_test1805z00_2748 = ((bool_t) 0);
									}
							}
						else
							{	/* Integrate/cto.scm 85 */
								BgL_test1805z00_2748 = ((bool_t) 0);
							}
					}
					if (BgL_test1805z00_2748)
						{	/* Integrate/cto.scm 89 */
							BgL_valuez00_bglt BgL_arg1338z00_2436;
							obj_t BgL_arg1339z00_2437;

							BgL_arg1338z00_2436 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2305))))->BgL_valuez00);
							{	/* Integrate/cto.scm 92 */
								obj_t BgL_arg1340z00_2438;

								{	/* Integrate/cto.scm 91 */
									BgL_sfunz00_bglt BgL_oz00_2439;

									BgL_oz00_2439 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2305))))->
											BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2806;

										{
											obj_t BgL_auxz00_2807;

											{	/* Integrate/cto.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2808;

												BgL_tmpz00_2808 = ((BgL_objectz00_bglt) BgL_oz00_2439);
												BgL_auxz00_2807 = BGL_OBJECT_WIDENING(BgL_tmpz00_2808);
											}
											BgL_auxz00_2806 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2807);
										}
										BgL_arg1340z00_2438 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2806))->
											BgL_ctoz00);
									}
								}
								BgL_arg1339z00_2437 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_funz00_2404), BgL_arg1340z00_2438);
							}
							{
								BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2815;

								{
									obj_t BgL_auxz00_2816;

									{	/* Integrate/cto.scm 89 */
										BgL_objectz00_bglt BgL_tmpz00_2817;

										BgL_tmpz00_2817 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_arg1338z00_2436));
										BgL_auxz00_2816 = BGL_OBJECT_WIDENING(BgL_tmpz00_2817);
									}
									BgL_auxz00_2815 =
										((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2816);
								}
								((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2815))->
										BgL_ctoz00) = ((obj_t) BgL_arg1339z00_2437), BUNSPEC);
							}
						}
					else
						{	/* Integrate/cto.scm 85 */
							BFALSE;
						}
				}
			}
			{
				obj_t BgL_astsz00_2441;

				BgL_astsz00_2441 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2304)))->BgL_argsz00);
			BgL_liipz00_2440:
				if (NULLP(BgL_astsz00_2441))
					{	/* Integrate/cto.scm 94 */
						return BUNSPEC;
					}
				else
					{	/* Integrate/cto.scm 94 */
						{	/* Integrate/cto.scm 97 */
							obj_t BgL_arg1357z00_2442;

							BgL_arg1357z00_2442 = CAR(((obj_t) BgL_astsz00_2441));
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
								((BgL_nodez00_bglt) BgL_arg1357z00_2442),
								((BgL_localz00_bglt) BgL_localz00_2305));
						}
						{	/* Integrate/cto.scm 98 */
							obj_t BgL_arg1358z00_2443;

							BgL_arg1358z00_2443 = CDR(((obj_t) BgL_astsz00_2441));
							{
								obj_t BgL_astsz00_2832;

								BgL_astsz00_2832 = BgL_arg1358z00_2443;
								BgL_astsz00_2441 = BgL_astsz00_2832;
								goto BgL_liipz00_2440;
							}
						}
					}
			}
		}

	}



/* &set-cto!-sync1273 */
	obj_t BGl_z62setzd2ctoz12zd2sync1273z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2306, obj_t BgL_nodez00_2307, obj_t BgL_localz00_2308)
	{
		{	/* Integrate/cto.scm 64 */
			{	/* Integrate/cto.scm 66 */
				BgL_nodez00_bglt BgL_arg1314z00_2445;

				BgL_arg1314z00_2445 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2307)))->BgL_mutexz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1314z00_2445,
					((BgL_localz00_bglt) BgL_localz00_2308));
			}
			{	/* Integrate/cto.scm 67 */
				BgL_nodez00_bglt BgL_arg1316z00_2446;

				BgL_arg1316z00_2446 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2307)))->BgL_prelockz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1316z00_2446,
					((BgL_localz00_bglt) BgL_localz00_2308));
			}
			{	/* Integrate/cto.scm 68 */
				BgL_nodez00_bglt BgL_arg1317z00_2447;

				BgL_arg1317z00_2447 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2307)))->BgL_bodyz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1317z00_2447,
					((BgL_localz00_bglt) BgL_localz00_2308));
			}
		}

	}



/* &set-cto!-sequence1271 */
	obj_t BGl_z62setzd2ctoz12zd2sequence1271z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2309, obj_t BgL_nodez00_2310, obj_t BgL_localz00_2311)
	{
		{	/* Integrate/cto.scm 57 */
			{	/* Integrate/cto.scm 59 */
				obj_t BgL_g1256z00_2449;

				BgL_g1256z00_2449 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2310)))->BgL_nodesz00);
				{
					obj_t BgL_l1254z00_2451;

					{	/* Integrate/cto.scm 59 */
						bool_t BgL_tmpz00_2849;

						BgL_l1254z00_2451 = BgL_g1256z00_2449;
					BgL_zc3z04anonymousza31311ze3z87_2450:
						if (PAIRP(BgL_l1254z00_2451))
							{	/* Integrate/cto.scm 59 */
								{	/* Integrate/cto.scm 59 */
									obj_t BgL_nodez00_2452;

									BgL_nodez00_2452 = CAR(BgL_l1254z00_2451);
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_nodez00_2452),
										((BgL_localz00_bglt) BgL_localz00_2311));
								}
								{
									obj_t BgL_l1254z00_2856;

									BgL_l1254z00_2856 = CDR(BgL_l1254z00_2451);
									BgL_l1254z00_2451 = BgL_l1254z00_2856;
									goto BgL_zc3z04anonymousza31311ze3z87_2450;
								}
							}
						else
							{	/* Integrate/cto.scm 59 */
								BgL_tmpz00_2849 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2849);
					}
				}
			}
		}

	}



/* &set-cto!-closure1269 */
	obj_t BGl_z62setzd2ctoz12zd2closure1269z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2312, obj_t BgL_nodez00_2313, obj_t BgL_localz00_2314)
	{
		{	/* Integrate/cto.scm 51 */
			{	/* Integrate/cto.scm 52 */
				obj_t BgL_arg1310z00_2454;

				BgL_arg1310z00_2454 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2313)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1736z00zzintegrate_ctoz00,
					BGl_string1758z00zzintegrate_ctoz00, BgL_arg1310z00_2454);
			}
		}

	}



/* &set-cto!-var1267 */
	obj_t BGl_z62setzd2ctoz12zd2var1267z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2315, obj_t BgL_nodez00_2316, obj_t BgL_localz00_2317)
	{
		{	/* Integrate/cto.scm 45 */
			return BUNSPEC;
		}

	}



/* &set-cto!-kwote1265 */
	obj_t BGl_z62setzd2ctoz12zd2kwote1265z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2318, obj_t BgL_nodez00_2319, obj_t BgL_localz00_2320)
	{
		{	/* Integrate/cto.scm 39 */
			return BUNSPEC;
		}

	}



/* &set-cto!-atom1263 */
	obj_t BGl_z62setzd2ctoz12zd2atom1263z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2321, obj_t BgL_nodez00_2322, obj_t BgL_localz00_2323)
	{
		{	/* Integrate/cto.scm 33 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00()
	{
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1759z00zzintegrate_ctoz00));
		}

	}

#ifdef __cplusplus
}
#endif
