/*===========================================================================*/
/*   (Integrate/free.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/free.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t
		BGl_z62nodezd2freezd2boxzd2setz121309za2zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2makezd2box1305zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_freez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_freez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t, obj_t);
	static obj_t BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2conditiona1291z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_freez00();
	static obj_t BGl_objectzd2initzd2zzintegrate_freez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2letzd2fun1297zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t
		BGl_z62nodezd2freezd2jumpzd2exzd2it1303z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_freez00();
	static obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	static obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt,
		BgL_localz00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt);
	static obj_t
		BGl_z62nodezd2freezd2setzd2exzd2it1301z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2boxzd2ref1307zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t,
		BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
	static long BGl_za2roundza2z00zzintegrate_freez00;
	static obj_t BGl_z62nodezd2freezd2sequence1275z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2var1271z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2funcall1283z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t);
	static obj_t BGl_z62nodezd2freezd2letzd2var1299zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2closure1273z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
	static obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_freez00();
	static obj_t BGl_z62nodezd2freezd2app1279z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2appzd2ly1281zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2free1268zb0zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2cast1287z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2extern1285z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2switch1295z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2setq1289z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2freezd2sync1277z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2fail1293z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2freezd2varszd2envzd2zzintegrate_freez00,
		BgL_bgl_za762getza7d2freeza7d21896za7,
		BGl_z62getzd2freezd2varsz62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1869z00zzintegrate_freez00,
		BgL_bgl_string1869za700za7za7i1897za7, "free-variable?", 14);
	      DEFINE_STRING(BGl_string1870z00zzintegrate_freez00,
		BgL_bgl_string1870za700za7za7i1898za7, "Unknown variable type", 21);
	      DEFINE_STRING(BGl_string1872z00zzintegrate_freez00,
		BgL_bgl_string1872za700za7za7i1899za7, "node-free1268", 13);
	      DEFINE_STRING(BGl_string1874z00zzintegrate_freez00,
		BgL_bgl_string1874za700za7za7i1900za7, "node-free", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2free121901z00,
		BGl_z62nodezd2free1268zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1902za7,
		BGl_z62nodezd2freezd2var1271z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1903za7,
		BGl_z62nodezd2freezd2closure1273z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1904za7,
		BGl_z62nodezd2freezd2sequence1275z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1905za7,
		BGl_z62nodezd2freezd2sync1277z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1906za7,
		BGl_z62nodezd2freezd2app1279z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1907za7,
		BGl_z62nodezd2freezd2appzd2ly1281zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1908za7,
		BGl_z62nodezd2freezd2funcall1283z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1909za7,
		BGl_z62nodezd2freezd2extern1285z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1910za7,
		BGl_z62nodezd2freezd2cast1287z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1911za7,
		BGl_z62nodezd2freezd2setq1289z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1912za7,
		BGl_z62nodezd2freezd2conditiona1291z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1913za7,
		BGl_z62nodezd2freezd2fail1293z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1914za7,
		BGl_z62nodezd2freezd2switch1295z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1915za7,
		BGl_z62nodezd2freezd2letzd2fun1297zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1894z00zzintegrate_freez00,
		BgL_bgl_string1894za700za7za7i1916za7, "Unexepected `closure' node", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1917za7,
		BGl_z62nodezd2freezd2letzd2var1299zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1895z00zzintegrate_freez00,
		BgL_bgl_string1895za700za7za7i1918za7, "integrate_free", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1919za7,
		BGl_z62nodezd2freezd2setzd2exzd2it1301z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1920za7,
		BGl_z62nodezd2freezd2jumpzd2exzd2it1303z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1921za7,
		BGl_z62nodezd2freezd2makezd2box1305zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1922za7,
		BGl_z62nodezd2freezd2boxzd2ref1307zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1923za7,
		BGl_z62nodezd2freezd2boxzd2setz121309za2zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_freezd2fromzd2envz00zzintegrate_freez00,
		BgL_bgl_za762freeza7d2fromza7b1924za7,
		BGl_z62freezd2fromzb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2freezd2envz00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7b1925za7,
		BGl_z62nodezd2freezb0zzintegrate_freez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_freez00));
		     ADD_ROOT((void *) (&BGl_za2integratorza2z00zzintegrate_freez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long
		BgL_checksumz00_2655, char *BgL_fromz00_2656)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_freez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_freez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_freez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
					BGl_genericzd2initzd2zzintegrate_freez00();
					BGl_methodzd2initzd2zzintegrate_freez00();
					return BGl_toplevelzd2initzd2zzintegrate_freez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_free");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_za2roundza2z00zzintegrate_freez00 = ((long) 0);
			BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* mark-variable! */
	obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Integrate/free.scm 41 */
			{	/* Integrate/free.scm 42 */
				BgL_valuez00_bglt BgL_infoz00_1621;

				BgL_infoz00_1621 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
				{	/* Integrate/free.scm 44 */
					bool_t BgL_test1927z00_2677;

					{	/* Integrate/free.scm 44 */
						obj_t BgL_classz00_2099;

						BgL_classz00_2099 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/free.scm 44 */
							BgL_objectz00_bglt BgL_arg1825z00_2101;

							{	/* Integrate/free.scm 44 */
								obj_t BgL_tmpz00_2678;

								BgL_tmpz00_2678 =
									((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1621));
								BgL_arg1825z00_2101 = (BgL_objectz00_bglt) (BgL_tmpz00_2678);
							}
							{	/* Integrate/free.scm 44 */
								bool_t BgL_arg1822z00_2104;
								bool_t BgL_arg1823z00_2105;

								{	/* Integrate/free.scm 44 */
									long BgL_idxz00_2108;

									BgL_idxz00_2108 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2101);
									BgL_arg1822z00_2104 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2108 + ((long) 3))) == BgL_classz00_2099);
								}
								{	/* Integrate/free.scm 44 */
									bool_t BgL_res1856z00_2130;

									{	/* Integrate/free.scm 44 */
										obj_t BgL_oclassz00_2116;

										{	/* Integrate/free.scm 44 */
											long BgL_arg1833z00_2122;

											{	/* Integrate/free.scm 44 */
												long BgL_arg1834z00_2123;

												BgL_arg1834z00_2123 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2101);
												BgL_arg1833z00_2122 =
													(BgL_arg1834z00_2123 - OBJECT_TYPE);
											}
											BgL_oclassz00_2116 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2122);
										}
										{	/* Integrate/free.scm 44 */
											bool_t BgL__ortest_1110z00_2117;

											BgL__ortest_1110z00_2117 =
												(BgL_classz00_2099 == BgL_oclassz00_2116);
											if (BgL__ortest_1110z00_2117)
												{	/* Integrate/free.scm 44 */
													BgL_res1856z00_2130 = BgL__ortest_1110z00_2117;
												}
											else
												{	/* Integrate/free.scm 44 */
													long BgL_odepthz00_2118;

													BgL_odepthz00_2118 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2116);
													if ((((long) 3) < BgL_odepthz00_2118))
														{	/* Integrate/free.scm 44 */
															obj_t BgL_arg1821z00_2120;

															BgL_arg1821z00_2120 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2116,
																((long) 3));
															BgL_res1856z00_2130 =
																(BgL_arg1821z00_2120 == BgL_classz00_2099);
														}
													else
														{	/* Integrate/free.scm 44 */
															BgL_res1856z00_2130 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2105 = BgL_res1856z00_2130;
								}
								BgL_test1927z00_2677 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2104, BgL_arg1823z00_2105);
							}
						}
					}
					if (BgL_test1927z00_2677)
						{	/* Integrate/free.scm 45 */
							obj_t BgL_vz00_2132;

							BgL_vz00_2132 = BINT(BGl_za2roundza2z00zzintegrate_freez00);
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_2698;

								{
									obj_t BgL_auxz00_2699;

									{	/* Integrate/free.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_2700;

										BgL_tmpz00_2700 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_infoz00_1621));
										BgL_auxz00_2699 = BGL_OBJECT_WIDENING(BgL_tmpz00_2700);
									}
									BgL_auxz00_2698 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2699);
								}
								return
									((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2698))->
										BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2132), BUNSPEC);
							}
						}
					else
						{	/* Integrate/free.scm 46 */
							bool_t BgL_test1930z00_2706;

							{	/* Integrate/free.scm 46 */
								obj_t BgL_classz00_2134;

								BgL_classz00_2134 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
								{	/* Integrate/free.scm 46 */
									BgL_objectz00_bglt BgL_arg1825z00_2136;

									{	/* Integrate/free.scm 46 */
										obj_t BgL_tmpz00_2707;

										BgL_tmpz00_2707 =
											((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1621));
										BgL_arg1825z00_2136 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2707);
									}
									{	/* Integrate/free.scm 46 */
										bool_t BgL_arg1822z00_2139;
										bool_t BgL_arg1823z00_2140;

										{	/* Integrate/free.scm 46 */
											long BgL_idxz00_2143;

											BgL_idxz00_2143 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2136);
											BgL_arg1822z00_2139 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2143 + ((long) 3))) == BgL_classz00_2134);
										}
										{	/* Integrate/free.scm 46 */
											bool_t BgL_res1857z00_2165;

											{	/* Integrate/free.scm 46 */
												obj_t BgL_oclassz00_2151;

												{	/* Integrate/free.scm 46 */
													long BgL_arg1833z00_2157;

													{	/* Integrate/free.scm 46 */
														long BgL_arg1834z00_2158;

														BgL_arg1834z00_2158 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2136);
														BgL_arg1833z00_2157 =
															(BgL_arg1834z00_2158 - OBJECT_TYPE);
													}
													BgL_oclassz00_2151 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2157);
												}
												{	/* Integrate/free.scm 46 */
													bool_t BgL__ortest_1110z00_2152;

													BgL__ortest_1110z00_2152 =
														(BgL_classz00_2134 == BgL_oclassz00_2151);
													if (BgL__ortest_1110z00_2152)
														{	/* Integrate/free.scm 46 */
															BgL_res1857z00_2165 = BgL__ortest_1110z00_2152;
														}
													else
														{	/* Integrate/free.scm 46 */
															long BgL_odepthz00_2153;

															BgL_odepthz00_2153 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2151);
															if ((((long) 3) < BgL_odepthz00_2153))
																{	/* Integrate/free.scm 46 */
																	obj_t BgL_arg1821z00_2155;

																	BgL_arg1821z00_2155 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2151,
																		((long) 3));
																	BgL_res1857z00_2165 =
																		(BgL_arg1821z00_2155 == BgL_classz00_2134);
																}
															else
																{	/* Integrate/free.scm 46 */
																	BgL_res1857z00_2165 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2140 = BgL_res1857z00_2165;
										}
										BgL_test1930z00_2706 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2139,
											BgL_arg1823z00_2140);
									}
								}
							}
							if (BgL_test1930z00_2706)
								{	/* Integrate/free.scm 47 */
									obj_t BgL_vz00_2167;

									BgL_vz00_2167 = BINT(BGl_za2roundza2z00zzintegrate_freez00);
									{
										BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2727;

										{
											obj_t BgL_auxz00_2728;

											{	/* Integrate/free.scm 47 */
												BgL_objectz00_bglt BgL_tmpz00_2729;

												BgL_tmpz00_2729 =
													((BgL_objectz00_bglt)
													((BgL_sexitz00_bglt) BgL_infoz00_1621));
												BgL_auxz00_2728 = BGL_OBJECT_WIDENING(BgL_tmpz00_2729);
											}
											BgL_auxz00_2727 =
												((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2728);
										}
										return
											((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2727))->
												BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2167), BUNSPEC);
									}
								}
							else
								{	/* Integrate/free.scm 46 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* bind-variable! */
	obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_4, BgL_localz00_bglt BgL_integratorz00_5)
	{
		{	/* Integrate/free.scm 52 */
			{	/* Integrate/free.scm 53 */
				BgL_valuez00_bglt BgL_finfoz00_1624;

				BgL_finfoz00_1624 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_5)))->BgL_valuez00);
				{	/* Integrate/free.scm 54 */
					obj_t BgL_arg1316z00_1625;

					{	/* Integrate/free.scm 54 */
						obj_t BgL_arg1317z00_1626;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2737;

							{
								obj_t BgL_auxz00_2738;

								{	/* Integrate/free.scm 54 */
									BgL_objectz00_bglt BgL_tmpz00_2739;

									BgL_tmpz00_2739 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_finfoz00_1624));
									BgL_auxz00_2738 = BGL_OBJECT_WIDENING(BgL_tmpz00_2739);
								}
								BgL_auxz00_2737 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2738);
							}
							BgL_arg1317z00_1626 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2737))->
								BgL_boundz00);
						}
						BgL_arg1316z00_1625 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_4), BgL_arg1317z00_1626);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2747;

						{
							obj_t BgL_auxz00_2748;

							{	/* Integrate/free.scm 54 */
								BgL_objectz00_bglt BgL_tmpz00_2749;

								BgL_tmpz00_2749 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1624));
								BgL_auxz00_2748 = BGL_OBJECT_WIDENING(BgL_tmpz00_2749);
							}
							BgL_auxz00_2747 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2748);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2747))->
								BgL_boundz00) = ((obj_t) BgL_arg1316z00_1625), BUNSPEC);
					}
				}
				return BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_4);
			}
		}

	}



/* free-variable? */
	obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t BgL_localz00_6)
	{
		{	/* Integrate/free.scm 60 */
			{	/* Integrate/free.scm 61 */
				BgL_valuez00_bglt BgL_infoz00_1627;

				BgL_infoz00_1627 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				{	/* Integrate/free.scm 63 */
					bool_t BgL_test1933z00_2759;

					{	/* Integrate/free.scm 63 */
						obj_t BgL_classz00_2175;

						BgL_classz00_2175 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/free.scm 63 */
							BgL_objectz00_bglt BgL_arg1825z00_2177;

							{	/* Integrate/free.scm 63 */
								obj_t BgL_tmpz00_2760;

								BgL_tmpz00_2760 =
									((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1627));
								BgL_arg1825z00_2177 = (BgL_objectz00_bglt) (BgL_tmpz00_2760);
							}
							{	/* Integrate/free.scm 63 */
								bool_t BgL_arg1822z00_2180;
								bool_t BgL_arg1823z00_2181;

								{	/* Integrate/free.scm 63 */
									long BgL_idxz00_2184;

									BgL_idxz00_2184 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2177);
									BgL_arg1822z00_2180 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2184 + ((long) 3))) == BgL_classz00_2175);
								}
								{	/* Integrate/free.scm 63 */
									bool_t BgL_res1858z00_2206;

									{	/* Integrate/free.scm 63 */
										obj_t BgL_oclassz00_2192;

										{	/* Integrate/free.scm 63 */
											long BgL_arg1833z00_2198;

											{	/* Integrate/free.scm 63 */
												long BgL_arg1834z00_2199;

												BgL_arg1834z00_2199 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2177);
												BgL_arg1833z00_2198 =
													(BgL_arg1834z00_2199 - OBJECT_TYPE);
											}
											BgL_oclassz00_2192 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2198);
										}
										{	/* Integrate/free.scm 63 */
											bool_t BgL__ortest_1110z00_2193;

											BgL__ortest_1110z00_2193 =
												(BgL_classz00_2175 == BgL_oclassz00_2192);
											if (BgL__ortest_1110z00_2193)
												{	/* Integrate/free.scm 63 */
													BgL_res1858z00_2206 = BgL__ortest_1110z00_2193;
												}
											else
												{	/* Integrate/free.scm 63 */
													long BgL_odepthz00_2194;

													BgL_odepthz00_2194 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2192);
													if ((((long) 3) < BgL_odepthz00_2194))
														{	/* Integrate/free.scm 63 */
															obj_t BgL_arg1821z00_2196;

															BgL_arg1821z00_2196 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2192,
																((long) 3));
															BgL_res1858z00_2206 =
																(BgL_arg1821z00_2196 == BgL_classz00_2175);
														}
													else
														{	/* Integrate/free.scm 63 */
															BgL_res1858z00_2206 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2181 = BgL_res1858z00_2206;
								}
								BgL_test1933z00_2759 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2180, BgL_arg1823z00_2181);
							}
						}
					}
					if (BgL_test1933z00_2759)
						{	/* Integrate/free.scm 64 */
							bool_t BgL_test1936z00_2779;

							{	/* Integrate/free.scm 64 */
								obj_t BgL_arg1322z00_1631;

								{
									BgL_svarzf2iinfozf2_bglt BgL_auxz00_2780;

									{
										obj_t BgL_auxz00_2781;

										{	/* Integrate/free.scm 64 */
											BgL_objectz00_bglt BgL_tmpz00_2782;

											BgL_tmpz00_2782 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_infoz00_1627));
											BgL_auxz00_2781 = BGL_OBJECT_WIDENING(BgL_tmpz00_2782);
										}
										BgL_auxz00_2780 =
											((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2781);
									}
									BgL_arg1322z00_1631 =
										(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2780))->
										BgL_fzd2markzd2);
								}
								BgL_test1936z00_2779 =
									(BgL_arg1322z00_1631 ==
									BINT(BGl_za2roundza2z00zzintegrate_freez00));
							}
							if (BgL_test1936z00_2779)
								{	/* Integrate/free.scm 64 */
									return BFALSE;
								}
							else
								{	/* Integrate/free.scm 64 */
									return BTRUE;
								}
						}
					else
						{	/* Integrate/free.scm 65 */
							bool_t BgL_test1937z00_2790;

							{	/* Integrate/free.scm 65 */
								obj_t BgL_classz00_2209;

								BgL_classz00_2209 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
								{	/* Integrate/free.scm 65 */
									BgL_objectz00_bglt BgL_arg1825z00_2211;

									{	/* Integrate/free.scm 65 */
										obj_t BgL_tmpz00_2791;

										BgL_tmpz00_2791 =
											((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1627));
										BgL_arg1825z00_2211 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2791);
									}
									{	/* Integrate/free.scm 65 */
										bool_t BgL_arg1822z00_2214;
										bool_t BgL_arg1823z00_2215;

										{	/* Integrate/free.scm 65 */
											long BgL_idxz00_2218;

											BgL_idxz00_2218 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2211);
											BgL_arg1822z00_2214 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2218 + ((long) 3))) == BgL_classz00_2209);
										}
										{	/* Integrate/free.scm 65 */
											bool_t BgL_res1859z00_2240;

											{	/* Integrate/free.scm 65 */
												obj_t BgL_oclassz00_2226;

												{	/* Integrate/free.scm 65 */
													long BgL_arg1833z00_2232;

													{	/* Integrate/free.scm 65 */
														long BgL_arg1834z00_2233;

														BgL_arg1834z00_2233 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2211);
														BgL_arg1833z00_2232 =
															(BgL_arg1834z00_2233 - OBJECT_TYPE);
													}
													BgL_oclassz00_2226 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2232);
												}
												{	/* Integrate/free.scm 65 */
													bool_t BgL__ortest_1110z00_2227;

													BgL__ortest_1110z00_2227 =
														(BgL_classz00_2209 == BgL_oclassz00_2226);
													if (BgL__ortest_1110z00_2227)
														{	/* Integrate/free.scm 65 */
															BgL_res1859z00_2240 = BgL__ortest_1110z00_2227;
														}
													else
														{	/* Integrate/free.scm 65 */
															long BgL_odepthz00_2228;

															BgL_odepthz00_2228 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2226);
															if ((((long) 3) < BgL_odepthz00_2228))
																{	/* Integrate/free.scm 65 */
																	obj_t BgL_arg1821z00_2230;

																	BgL_arg1821z00_2230 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2226,
																		((long) 3));
																	BgL_res1859z00_2240 =
																		(BgL_arg1821z00_2230 == BgL_classz00_2209);
																}
															else
																{	/* Integrate/free.scm 65 */
																	BgL_res1859z00_2240 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2215 = BgL_res1859z00_2240;
										}
										BgL_test1937z00_2790 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2214,
											BgL_arg1823z00_2215);
									}
								}
							}
							if (BgL_test1937z00_2790)
								{	/* Integrate/free.scm 66 */
									bool_t BgL_test1940z00_2810;

									{	/* Integrate/free.scm 66 */
										obj_t BgL_arg1326z00_1635;

										{
											BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2811;

											{
												obj_t BgL_auxz00_2812;

												{	/* Integrate/free.scm 66 */
													BgL_objectz00_bglt BgL_tmpz00_2813;

													BgL_tmpz00_2813 =
														((BgL_objectz00_bglt)
														((BgL_sexitz00_bglt) BgL_infoz00_1627));
													BgL_auxz00_2812 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2813);
												}
												BgL_auxz00_2811 =
													((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2812);
											}
											BgL_arg1326z00_1635 =
												(((BgL_sexitzf2iinfozf2_bglt)
													COBJECT(BgL_auxz00_2811))->BgL_fzd2markzd2);
										}
										BgL_test1940z00_2810 =
											(BgL_arg1326z00_1635 ==
											BINT(BGl_za2roundza2z00zzintegrate_freez00));
									}
									if (BgL_test1940z00_2810)
										{	/* Integrate/free.scm 66 */
											return BFALSE;
										}
									else
										{	/* Integrate/free.scm 66 */
											return BTRUE;
										}
								}
							else
								{	/* Integrate/free.scm 70 */
									obj_t BgL_arg1328z00_1636;

									BgL_arg1328z00_1636 =
										MAKE_YOUNG_PAIR(BgL_localz00_6,
										BGl_shapez00zztools_shapez00(BgL_localz00_6));
									return
										BGl_errorz00zz__errorz00
										(BGl_string1869z00zzintegrate_freez00,
										BGl_string1870z00zzintegrate_freez00, BgL_arg1328z00_1636);
								}
						}
				}
			}
		}

	}



/* get-free-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_localz00_bglt BgL_integratorz00_8)
	{
		{	/* Integrate/free.scm 78 */
			{	/* Integrate/free.scm 81 */
				obj_t BgL_freez00_1638;

				{	/* Integrate/free.scm 81 */
					BgL_sfunz00_bglt BgL_oz00_2244;

					BgL_oz00_2244 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_integratorz00_8)))->
							BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2827;

						{
							obj_t BgL_auxz00_2828;

							{	/* Integrate/free.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_2829;

								BgL_tmpz00_2829 = ((BgL_objectz00_bglt) BgL_oz00_2244);
								BgL_auxz00_2828 = BGL_OBJECT_WIDENING(BgL_tmpz00_2829);
							}
							BgL_auxz00_2827 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2828);
						}
						BgL_freez00_1638 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2827))->
							BgL_freez00);
					}
				}
				{	/* Integrate/free.scm 82 */
					bool_t BgL_test1941z00_2834;

					if (NULLP(BgL_freez00_1638))
						{	/* Integrate/free.scm 82 */
							BgL_test1941z00_2834 = ((bool_t) 1);
						}
					else
						{	/* Integrate/free.scm 82 */
							BgL_test1941z00_2834 = PAIRP(BgL_freez00_1638);
						}
					if (BgL_test1941z00_2834)
						{	/* Integrate/free.scm 82 */
							return BgL_freez00_1638;
						}
					else
						{	/* Integrate/free.scm 84 */
							obj_t BgL_freez00_1641;

							BgL_freez00_1641 =
								BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00
								(BgL_nodez00_7, BgL_integratorz00_8);
							{	/* Integrate/free.scm 85 */
								BgL_valuez00_bglt BgL_arg1338z00_1642;

								BgL_arg1338z00_1642 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_8)))->
									BgL_valuez00);
								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2841;

									{
										obj_t BgL_auxz00_2842;

										{	/* Integrate/free.scm 85 */
											BgL_objectz00_bglt BgL_tmpz00_2843;

											BgL_tmpz00_2843 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1338z00_1642));
											BgL_auxz00_2842 = BGL_OBJECT_WIDENING(BgL_tmpz00_2843);
										}
										BgL_auxz00_2841 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2842);
									}
									((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2841))->
											BgL_freez00) = ((obj_t) BgL_freez00_1641), BUNSPEC);
								}
							}
							return BgL_freez00_1641;
						}
				}
			}
		}

	}



/* &get-free-vars */
	obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t BgL_envz00_2487,
		obj_t BgL_nodez00_2488, obj_t BgL_integratorz00_2489)
	{
		{	/* Integrate/free.scm 78 */
			return
				BGl_getzd2freezd2varsz00zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2488),
				((BgL_localz00_bglt) BgL_integratorz00_2489));
		}

	}



/* internal-get-free-vars! */
	obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt
		BgL_nodez00_9, BgL_localz00_bglt BgL_integratorz00_10)
	{
		{	/* Integrate/free.scm 99 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				(BGl_za2roundza2z00zzintegrate_freez00 + ((long) 1));
			BGl_za2integratorza2z00zzintegrate_freez00 =
				((obj_t) BgL_integratorz00_10);
			{	/* Integrate/free.scm 103 */
				obj_t BgL_g1256z00_1645;

				BgL_g1256z00_1645 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_10)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1254z00_1647;

					BgL_l1254z00_1647 = BgL_g1256z00_1645;
				BgL_zc3z04anonymousza31340ze3z87_1648:
					if (PAIRP(BgL_l1254z00_1647))
						{	/* Integrate/free.scm 104 */
							{	/* Integrate/free.scm 103 */
								obj_t BgL_lz00_1650;

								BgL_lz00_1650 = CAR(BgL_l1254z00_1647);
								BGl_bindzd2variablez12zc0zzintegrate_freez00(
									((BgL_localz00_bglt) BgL_lz00_1650), BgL_integratorz00_10);
							}
							{
								obj_t BgL_l1254z00_2863;

								BgL_l1254z00_2863 = CDR(BgL_l1254z00_1647);
								BgL_l1254z00_1647 = BgL_l1254z00_2863;
								goto BgL_zc3z04anonymousza31340ze3z87_1648;
							}
						}
					else
						{	/* Integrate/free.scm 104 */
							((bool_t) 1);
						}
				}
			}
			return BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_9, BNIL);
		}

	}



/* node-free* */
	obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t BgL_nodeza2za2_53,
		obj_t BgL_freez00_54)
	{
		{	/* Integrate/free.scm 285 */
			{
				obj_t BgL_nodeza2za2_1655;
				obj_t BgL_freez00_1656;

				BgL_nodeza2za2_1655 = BgL_nodeza2za2_53;
				BgL_freez00_1656 = BgL_freez00_54;
			BgL_zc3z04anonymousza31348ze3z87_1657:
				if (NULLP(BgL_nodeza2za2_1655))
					{	/* Integrate/free.scm 288 */
						return BgL_freez00_1656;
					}
				else
					{	/* Integrate/free.scm 290 */
						obj_t BgL_arg1350z00_1659;
						obj_t BgL_arg1354z00_1660;

						BgL_arg1350z00_1659 = CDR(((obj_t) BgL_nodeza2za2_1655));
						{	/* Integrate/free.scm 291 */
							obj_t BgL_arg1357z00_1661;

							BgL_arg1357z00_1661 = CAR(((obj_t) BgL_nodeza2za2_1655));
							BgL_arg1354z00_1660 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1357z00_1661), BgL_freez00_1656);
						}
						{
							obj_t BgL_freez00_2875;
							obj_t BgL_nodeza2za2_2874;

							BgL_nodeza2za2_2874 = BgL_arg1350z00_1659;
							BgL_freez00_2875 = BgL_arg1354z00_1660;
							BgL_freez00_1656 = BgL_freez00_2875;
							BgL_nodeza2za2_1655 = BgL_nodeza2za2_2874;
							goto BgL_zc3z04anonymousza31348ze3z87_1657;
						}
					}
			}
		}

	}



/* free-from */
	BGL_EXPORTED_DEF obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t
		BgL_setsz00_55, BgL_localz00_bglt BgL_integratorz00_56)
	{
		{	/* Integrate/free.scm 296 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				(BGl_za2roundza2z00zzintegrate_freez00 + ((long) 1));
			{	/* Integrate/free.scm 299 */
				BgL_valuez00_bglt BgL_finfoz00_1663;

				BgL_finfoz00_1663 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_56)))->BgL_valuez00);
				{	/* Integrate/free.scm 306 */
					obj_t BgL_g1262z00_1664;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2879;

						{
							obj_t BgL_auxz00_2880;

							{	/* Integrate/free.scm 306 */
								BgL_objectz00_bglt BgL_tmpz00_2881;

								BgL_tmpz00_2881 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1663));
								BgL_auxz00_2880 = BGL_OBJECT_WIDENING(BgL_tmpz00_2881);
							}
							BgL_auxz00_2879 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2880);
						}
						BgL_g1262z00_1664 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2879))->
							BgL_boundz00);
					}
					{
						obj_t BgL_l1260z00_1666;

						BgL_l1260z00_1666 = BgL_g1262z00_1664;
					BgL_zc3z04anonymousza31358ze3z87_1667:
						if (PAIRP(BgL_l1260z00_1666))
							{	/* Integrate/free.scm 306 */
								{	/* Integrate/free.scm 306 */
									obj_t BgL_arg1361z00_1669;

									BgL_arg1361z00_1669 = CAR(BgL_l1260z00_1666);
									BGl_markzd2variablez12zc0zzintegrate_freez00(
										((BgL_localz00_bglt) BgL_arg1361z00_1669));
								}
								{
									obj_t BgL_l1260z00_2892;

									BgL_l1260z00_2892 = CDR(BgL_l1260z00_1666);
									BgL_l1260z00_1666 = BgL_l1260z00_2892;
									goto BgL_zc3z04anonymousza31358ze3z87_1667;
								}
							}
						else
							{	/* Integrate/free.scm 306 */
								((bool_t) 1);
							}
					}
				}
			}
			if (NULLP(BgL_setsz00_55))
				{	/* Integrate/free.scm 308 */
					return BNIL;
				}
			else
				{	/* Integrate/free.scm 308 */
					obj_t BgL_head1265z00_1674;

					BgL_head1265z00_1674 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1263z00_1676;
						obj_t BgL_tail1266z00_1677;

						BgL_l1263z00_1676 = BgL_setsz00_55;
						BgL_tail1266z00_1677 = BgL_head1265z00_1674;
					BgL_zc3z04anonymousza31366ze3z87_1678:
						if (NULLP(BgL_l1263z00_1676))
							{	/* Integrate/free.scm 308 */
								return CDR(BgL_head1265z00_1674);
							}
						else
							{	/* Integrate/free.scm 308 */
								obj_t BgL_newtail1267z00_1680;

								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1370z00_1682;

									{	/* Integrate/free.scm 308 */
										obj_t BgL_setz00_1683;

										BgL_setz00_1683 = CAR(((obj_t) BgL_l1263z00_1676));
										{
											obj_t BgL_setz00_1686;
											obj_t BgL_resz00_1687;

											BgL_setz00_1686 = BgL_setz00_1683;
											BgL_resz00_1687 = BNIL;
										BgL_zc3z04anonymousza31371ze3z87_1688:
											if (NULLP(BgL_setz00_1686))
												{	/* Integrate/free.scm 312 */
													BgL_arg1370z00_1682 = BgL_resz00_1687;
												}
											else
												{	/* Integrate/free.scm 314 */
													bool_t BgL_test1949z00_2904;

													{	/* Integrate/free.scm 314 */
														obj_t BgL_arg1418z00_1696;

														BgL_arg1418z00_1696 =
															CAR(((obj_t) BgL_setz00_1686));
														BgL_test1949z00_2904 =
															CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00
															(BgL_arg1418z00_1696));
													}
													if (BgL_test1949z00_2904)
														{	/* Integrate/free.scm 315 */
															obj_t BgL_arg1400z00_1692;
															obj_t BgL_arg1401z00_1693;

															BgL_arg1400z00_1692 =
																CDR(((obj_t) BgL_setz00_1686));
															{	/* Integrate/free.scm 315 */
																obj_t BgL_arg1415z00_1694;

																BgL_arg1415z00_1694 =
																	CAR(((obj_t) BgL_setz00_1686));
																BgL_arg1401z00_1693 =
																	MAKE_YOUNG_PAIR(BgL_arg1415z00_1694,
																	BgL_resz00_1687);
															}
															{
																obj_t BgL_resz00_2915;
																obj_t BgL_setz00_2914;

																BgL_setz00_2914 = BgL_arg1400z00_1692;
																BgL_resz00_2915 = BgL_arg1401z00_1693;
																BgL_resz00_1687 = BgL_resz00_2915;
																BgL_setz00_1686 = BgL_setz00_2914;
																goto BgL_zc3z04anonymousza31371ze3z87_1688;
															}
														}
													else
														{	/* Integrate/free.scm 317 */
															obj_t BgL_arg1416z00_1695;

															BgL_arg1416z00_1695 =
																CDR(((obj_t) BgL_setz00_1686));
															{
																obj_t BgL_setz00_2918;

																BgL_setz00_2918 = BgL_arg1416z00_1695;
																BgL_setz00_1686 = BgL_setz00_2918;
																goto BgL_zc3z04anonymousza31371ze3z87_1688;
															}
														}
												}
										}
									}
									BgL_newtail1267z00_1680 =
										MAKE_YOUNG_PAIR(BgL_arg1370z00_1682, BNIL);
								}
								SET_CDR(BgL_tail1266z00_1677, BgL_newtail1267z00_1680);
								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1369z00_1681;

									BgL_arg1369z00_1681 = CDR(((obj_t) BgL_l1263z00_1676));
									{
										obj_t BgL_tail1266z00_2924;
										obj_t BgL_l1263z00_2923;

										BgL_l1263z00_2923 = BgL_arg1369z00_1681;
										BgL_tail1266z00_2924 = BgL_newtail1267z00_1680;
										BgL_tail1266z00_1677 = BgL_tail1266z00_2924;
										BgL_l1263z00_1676 = BgL_l1263z00_2923;
										goto BgL_zc3z04anonymousza31366ze3z87_1678;
									}
								}
							}
					}
				}
		}

	}



/* &free-from */
	obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t BgL_envz00_2490,
		obj_t BgL_setsz00_2491, obj_t BgL_integratorz00_2492)
	{
		{	/* Integrate/free.scm 296 */
			return
				BGl_freezd2fromzd2zzintegrate_freez00(BgL_setsz00_2491,
				((BgL_localz00_bglt) BgL_integratorz00_2492));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_proc1871z00zzintegrate_freez00, BGl_nodez00zzast_nodez00,
				BGl_string1872z00zzintegrate_freez00);
		}

	}



/* &node-free1268 */
	obj_t BGl_z62nodezd2free1268zb0zzintegrate_freez00(obj_t BgL_envz00_2494,
		obj_t BgL_nodez00_2495, obj_t BgL_freez00_2496)
	{
		{	/* Integrate/free.scm 111 */
			return BgL_freez00_2496;
		}

	}



/* node-free */
	obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_11,
		obj_t BgL_freez00_12)
	{
		{	/* Integrate/free.scm 111 */
			{	/* Integrate/free.scm 111 */
				obj_t BgL_method1269z00_1704;

				{	/* Integrate/free.scm 111 */
					obj_t BgL_res1864z00_2300;

					{	/* Integrate/free.scm 111 */
						long BgL_objzd2classzd2numz00_2271;

						BgL_objzd2classzd2numz00_2271 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_11));
						{	/* Integrate/free.scm 111 */
							obj_t BgL_arg1829z00_2272;

							BgL_arg1829z00_2272 =
								PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00,
								(int) (((long) 1)));
							{	/* Integrate/free.scm 111 */
								int BgL_offsetz00_2275;

								BgL_offsetz00_2275 = (int) (BgL_objzd2classzd2numz00_2271);
								{	/* Integrate/free.scm 111 */
									long BgL_offsetz00_2276;

									BgL_offsetz00_2276 =
										((long) (BgL_offsetz00_2275) - OBJECT_TYPE);
									{	/* Integrate/free.scm 111 */
										long BgL_modz00_2277;

										BgL_modz00_2277 =
											(BgL_offsetz00_2276 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/free.scm 111 */
											long BgL_restz00_2279;

											BgL_restz00_2279 =
												(BgL_offsetz00_2276 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/free.scm 111 */

												{	/* Integrate/free.scm 111 */
													obj_t BgL_bucketz00_2281;

													BgL_bucketz00_2281 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2272), BgL_modz00_2277);
													BgL_res1864z00_2300 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2281), BgL_restz00_2279);
					}}}}}}}}
					BgL_method1269z00_1704 = BgL_res1864z00_2300;
				}
				return
					PROCEDURE_ENTRY(BgL_method1269z00_1704) (BgL_method1269z00_1704,
					((obj_t) BgL_nodez00_11), BgL_freez00_12, BEOA);
			}
		}

	}



/* &node-free */
	obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t BgL_envz00_2497,
		obj_t BgL_nodez00_2498, obj_t BgL_freez00_2499)
	{
		{	/* Integrate/free.scm 111 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2498), BgL_freez00_2499);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_varz00zzast_nodez00,
				BGl_proc1873z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_closurez00zzast_nodez00, BGl_proc1875z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1876z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_syncz00zzast_nodez00,
				BGl_proc1877z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_appz00zzast_nodez00,
				BGl_proc1878z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1879z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1880z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_externz00zzast_nodez00, BGl_proc1881z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_castz00zzast_nodez00,
				BGl_proc1882z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_setqz00zzast_nodez00,
				BGl_proc1883z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1884z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_failz00zzast_nodez00,
				BGl_proc1885z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_switchz00zzast_nodez00, BGl_proc1886z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1887z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1888z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1889z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1890z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1891z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1892z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1893z00zzintegrate_freez00,
				BGl_string1874z00zzintegrate_freez00);
		}

	}



/* &node-free-box-set!1309 */
	obj_t BGl_z62nodezd2freezd2boxzd2setz121309za2zzintegrate_freez00(obj_t
		BgL_envz00_2520, obj_t BgL_nodez00_2521, obj_t BgL_freez00_2522)
	{
		{	/* Integrate/free.scm 278 */
			{	/* Integrate/free.scm 280 */
				BgL_varz00_bglt BgL_arg1696z00_2582;
				obj_t BgL_arg1699z00_2583;

				BgL_arg1696z00_2582 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2521)))->BgL_varz00);
				BgL_arg1699z00_2583 =
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2521)))->BgL_valuez00),
					BgL_freez00_2522);
				return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
						BgL_arg1696z00_2582), BgL_arg1699z00_2583);
			}
		}

	}



/* &node-free-box-ref1307 */
	obj_t BGl_z62nodezd2freezd2boxzd2ref1307zb0zzintegrate_freez00(obj_t
		BgL_envz00_2523, obj_t BgL_nodez00_2524, obj_t BgL_freez00_2525)
	{
		{	/* Integrate/free.scm 271 */
			{	/* Integrate/free.scm 273 */
				BgL_varz00_bglt BgL_arg1695z00_2585;

				BgL_arg1695z00_2585 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2524)))->BgL_varz00);
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					((BgL_nodez00_bglt) BgL_arg1695z00_2585), BgL_freez00_2525);
			}
		}

	}



/* &node-free-make-box1305 */
	obj_t BGl_z62nodezd2freezd2makezd2box1305zb0zzintegrate_freez00(obj_t
		BgL_envz00_2526, obj_t BgL_nodez00_2527, obj_t BgL_freez00_2528)
	{
		{	/* Integrate/free.scm 264 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2527)))->BgL_valuez00),
				BgL_freez00_2528);
		}

	}



/* &node-free-jump-ex-it1303 */
	obj_t BGl_z62nodezd2freezd2jumpzd2exzd2it1303z62zzintegrate_freez00(obj_t
		BgL_envz00_2529, obj_t BgL_nodez00_2530, obj_t BgL_freez00_2531)
	{
		{	/* Integrate/free.scm 257 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2530)))->BgL_exitz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2530)))->
						BgL_valuez00), BgL_freez00_2531));
		}

	}



/* &node-free-set-ex-it1301 */
	obj_t BGl_z62nodezd2freezd2setzd2exzd2it1301z62zzintegrate_freez00(obj_t
		BgL_envz00_2532, obj_t BgL_nodez00_2533, obj_t BgL_freez00_2534)
	{
		{	/* Integrate/free.scm 249 */
			{	/* Integrate/free.scm 251 */
				BgL_variablez00_bglt BgL_arg1667z00_2589;

				BgL_arg1667z00_2589 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2533)))->
								BgL_varz00)))->BgL_variablez00);
				BGl_bindzd2variablez12zc0zzintegrate_freez00(((BgL_localz00_bglt)
						BgL_arg1667z00_2589),
					((BgL_localz00_bglt) BGl_za2integratorza2z00zzintegrate_freez00));
			}
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2533)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2533)))->
						BgL_onexitz00), BgL_freez00_2534));
		}

	}



/* &node-free-let-var1299 */
	obj_t BGl_z62nodezd2freezd2letzd2var1299zb0zzintegrate_freez00(obj_t
		BgL_envz00_2535, obj_t BgL_nodez00_2536, obj_t BgL_freez00_2537)
	{
		{	/* Integrate/free.scm 235 */
			{
				obj_t BgL_bindingsz00_2592;
				obj_t BgL_freez00_2593;

				BgL_bindingsz00_2592 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2536)))->BgL_bindingsz00);
				BgL_freez00_2593 = BgL_freez00_2537;
			BgL_loopz00_2591:
				if (NULLP(BgL_bindingsz00_2592))
					{	/* Integrate/free.scm 239 */
						return
							BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2536)))->BgL_bodyz00),
							BgL_freez00_2593);
					}
				else
					{	/* Integrate/free.scm 239 */
						{	/* Integrate/free.scm 242 */
							obj_t BgL_arg1647z00_2594;

							{	/* Integrate/free.scm 242 */
								obj_t BgL_pairz00_2595;

								BgL_pairz00_2595 = CAR(((obj_t) BgL_bindingsz00_2592));
								BgL_arg1647z00_2594 = CAR(BgL_pairz00_2595);
							}
							BGl_bindzd2variablez12zc0zzintegrate_freez00(
								((BgL_localz00_bglt) BgL_arg1647z00_2594),
								((BgL_localz00_bglt)
									BGl_za2integratorza2z00zzintegrate_freez00));
						}
						{	/* Integrate/free.scm 243 */
							obj_t BgL_arg1656z00_2596;
							obj_t BgL_arg1657z00_2597;

							BgL_arg1656z00_2596 = CDR(((obj_t) BgL_bindingsz00_2592));
							{	/* Integrate/free.scm 244 */
								obj_t BgL_arg1660z00_2598;

								{	/* Integrate/free.scm 244 */
									obj_t BgL_pairz00_2599;

									BgL_pairz00_2599 = CAR(((obj_t) BgL_bindingsz00_2592));
									BgL_arg1660z00_2598 = CDR(BgL_pairz00_2599);
								}
								BgL_arg1657z00_2597 =
									BGl_nodezd2freezd2zzintegrate_freez00(
									((BgL_nodez00_bglt) BgL_arg1660z00_2598), BgL_freez00_2593);
							}
							{
								obj_t BgL_freez00_3032;
								obj_t BgL_bindingsz00_3031;

								BgL_bindingsz00_3031 = BgL_arg1656z00_2596;
								BgL_freez00_3032 = BgL_arg1657z00_2597;
								BgL_freez00_2593 = BgL_freez00_3032;
								BgL_bindingsz00_2592 = BgL_bindingsz00_3031;
								goto BgL_loopz00_2591;
							}
						}
					}
			}
		}

	}



/* &node-free-let-fun1297 */
	obj_t BGl_z62nodezd2freezd2letzd2fun1297zb0zzintegrate_freez00(obj_t
		BgL_envz00_2538, obj_t BgL_nodez00_2539, obj_t BgL_freez00_2540)
	{
		{	/* Integrate/free.scm 218 */
			{	/* Integrate/free.scm 221 */
				obj_t BgL_g1124z00_2601;

				BgL_g1124z00_2601 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2539)))->BgL_localsz00);
				{
					obj_t BgL_localsz00_2603;
					obj_t BgL_freez00_2604;

					BgL_localsz00_2603 = BgL_g1124z00_2601;
					BgL_freez00_2604 = BgL_freez00_2540;
				BgL_liipz00_2602:
					if (NULLP(BgL_localsz00_2603))
						{	/* Integrate/free.scm 223 */
							return
								BGl_nodezd2freezd2zzintegrate_freez00(
								(((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2539)))->
									BgL_bodyz00), BgL_freez00_2604);
						}
					else
						{	/* Integrate/free.scm 225 */
							obj_t BgL_localz00_2605;

							BgL_localz00_2605 = CAR(((obj_t) BgL_localsz00_2603));
							{	/* Integrate/free.scm 225 */
								BgL_valuez00_bglt BgL_funz00_2606;

								BgL_funz00_2606 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_2605))))->
									BgL_valuez00);
								{	/* Integrate/free.scm 226 */

									{	/* Integrate/free.scm 227 */
										obj_t BgL_g1259z00_2607;

										BgL_g1259z00_2607 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2606)))->BgL_argsz00);
										{
											obj_t BgL_l1257z00_2609;

											BgL_l1257z00_2609 = BgL_g1259z00_2607;
										BgL_zc3z04anonymousza31613ze3z87_2608:
											if (PAIRP(BgL_l1257z00_2609))
												{	/* Integrate/free.scm 228 */
													{	/* Integrate/free.scm 227 */
														obj_t BgL_lz00_2610;

														BgL_lz00_2610 = CAR(BgL_l1257z00_2609);
														BGl_bindzd2variablez12zc0zzintegrate_freez00(
															((BgL_localz00_bglt) BgL_lz00_2610),
															((BgL_localz00_bglt)
																BGl_za2integratorza2z00zzintegrate_freez00));
													}
													{
														obj_t BgL_l1257z00_3055;

														BgL_l1257z00_3055 = CDR(BgL_l1257z00_2609);
														BgL_l1257z00_2609 = BgL_l1257z00_3055;
														goto BgL_zc3z04anonymousza31613ze3z87_2608;
													}
												}
											else
												{	/* Integrate/free.scm 228 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/free.scm 229 */
										obj_t BgL_arg1620z00_2611;
										obj_t BgL_arg1621z00_2612;

										BgL_arg1620z00_2611 = CDR(((obj_t) BgL_localsz00_2603));
										{	/* Integrate/free.scm 230 */
											obj_t BgL_arg1632z00_2613;

											BgL_arg1632z00_2613 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2606)))->
												BgL_bodyz00);
											BgL_arg1621z00_2612 =
												BGl_nodezd2freezd2zzintegrate_freez00((
													(BgL_nodez00_bglt) BgL_arg1632z00_2613),
												BgL_freez00_2604);
										}
										{
											obj_t BgL_freez00_3064;
											obj_t BgL_localsz00_3063;

											BgL_localsz00_3063 = BgL_arg1620z00_2611;
											BgL_freez00_3064 = BgL_arg1621z00_2612;
											BgL_freez00_2604 = BgL_freez00_3064;
											BgL_localsz00_2603 = BgL_localsz00_3063;
											goto BgL_liipz00_2602;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &node-free-switch1295 */
	obj_t BGl_z62nodezd2freezd2switch1295z62zzintegrate_freez00(obj_t
		BgL_envz00_2541, obj_t BgL_nodez00_2542, obj_t BgL_freez00_2543)
	{
		{	/* Integrate/free.scm 207 */
			{
				obj_t BgL_clausesz00_2616;
				obj_t BgL_freez00_2617;

				BgL_clausesz00_2616 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2542)))->BgL_clausesz00);
				BgL_freez00_2617 = BgL_freez00_2543;
			BgL_loopz00_2615:
				if (NULLP(BgL_clausesz00_2616))
					{	/* Integrate/free.scm 211 */
						return
							BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2542)))->BgL_testz00),
							BgL_freez00_2617);
					}
				else
					{	/* Integrate/free.scm 213 */
						obj_t BgL_arg1602z00_2618;
						obj_t BgL_arg1603z00_2619;

						BgL_arg1602z00_2618 = CDR(((obj_t) BgL_clausesz00_2616));
						{	/* Integrate/free.scm 213 */
							obj_t BgL_arg1604z00_2620;

							{	/* Integrate/free.scm 213 */
								obj_t BgL_pairz00_2621;

								BgL_pairz00_2621 = CAR(((obj_t) BgL_clausesz00_2616));
								BgL_arg1604z00_2620 = CDR(BgL_pairz00_2621);
							}
							BgL_arg1603z00_2619 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1604z00_2620), BgL_freez00_2617);
						}
						{
							obj_t BgL_freez00_3078;
							obj_t BgL_clausesz00_3077;

							BgL_clausesz00_3077 = BgL_arg1602z00_2618;
							BgL_freez00_3078 = BgL_arg1603z00_2619;
							BgL_freez00_2617 = BgL_freez00_3078;
							BgL_clausesz00_2616 = BgL_clausesz00_3077;
							goto BgL_loopz00_2615;
						}
					}
			}
		}

	}



/* &node-free-fail1293 */
	obj_t BGl_z62nodezd2freezd2fail1293z62zzintegrate_freez00(obj_t
		BgL_envz00_2544, obj_t BgL_nodez00_2545, obj_t BgL_freez00_2546)
	{
		{	/* Integrate/free.scm 200 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2545)))->BgL_procz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2545)))->BgL_msgz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2545)))->BgL_objz00),
						BgL_freez00_2546)));
		}

	}



/* &node-free-conditiona1291 */
	obj_t BGl_z62nodezd2freezd2conditiona1291z62zzintegrate_freez00(obj_t
		BgL_envz00_2547, obj_t BgL_nodez00_2548, obj_t BgL_freez00_2549)
	{
		{	/* Integrate/free.scm 193 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2548)))->BgL_testz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2548)))->BgL_truez00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2548)))->BgL_falsez00),
						BgL_freez00_2549)));
		}

	}



/* &node-free-setq1289 */
	obj_t BGl_z62nodezd2freezd2setq1289z62zzintegrate_freez00(obj_t
		BgL_envz00_2550, obj_t BgL_nodez00_2551, obj_t BgL_freez00_2552)
	{
		{	/* Integrate/free.scm 186 */
			{	/* Integrate/free.scm 188 */
				BgL_varz00_bglt BgL_arg1564z00_2625;
				obj_t BgL_arg1567z00_2626;

				BgL_arg1564z00_2625 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2551)))->BgL_varz00);
				BgL_arg1567z00_2626 =
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2551)))->BgL_valuez00),
					BgL_freez00_2552);
				return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
						BgL_arg1564z00_2625), BgL_arg1567z00_2626);
			}
		}

	}



/* &node-free-cast1287 */
	obj_t BGl_z62nodezd2freezd2cast1287z62zzintegrate_freez00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554, obj_t BgL_freez00_2555)
	{
		{	/* Integrate/free.scm 179 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2554)))->BgL_argz00),
				BgL_freez00_2555);
		}

	}



/* &node-free-extern1285 */
	obj_t BGl_z62nodezd2freezd2extern1285z62zzintegrate_freez00(obj_t
		BgL_envz00_2556, obj_t BgL_nodez00_2557, obj_t BgL_freez00_2558)
	{
		{	/* Integrate/free.scm 172 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2557)))->BgL_exprza2za2),
				BgL_freez00_2558);
		}

	}



/* &node-free-funcall1283 */
	obj_t BGl_z62nodezd2freezd2funcall1283z62zzintegrate_freez00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560, obj_t BgL_freez00_2561)
	{
		{	/* Integrate/free.scm 165 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2560)))->BgL_funz00),
				BGl_nodezd2freeza2z70zzintegrate_freez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2560)))->BgL_argsz00),
					BgL_freez00_2561));
		}

	}



/* &node-free-app-ly1281 */
	obj_t BGl_z62nodezd2freezd2appzd2ly1281zb0zzintegrate_freez00(obj_t
		BgL_envz00_2562, obj_t BgL_nodez00_2563, obj_t BgL_freez00_2564)
	{
		{	/* Integrate/free.scm 158 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2563)))->BgL_funz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2563)))->BgL_argz00),
					BgL_freez00_2564));
		}

	}



/* &node-free-app1279 */
	obj_t BGl_z62nodezd2freezd2app1279z62zzintegrate_freez00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566, obj_t BgL_freez00_2567)
	{
		{	/* Integrate/free.scm 151 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2566)))->BgL_argsz00),
				BgL_freez00_2567);
		}

	}



/* &node-free-sync1277 */
	obj_t BGl_z62nodezd2freezd2sync1277z62zzintegrate_freez00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569, obj_t BgL_freez00_2570)
	{
		{	/* Integrate/free.scm 144 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2569)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2569)))->BgL_prelockz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2569)))->BgL_mutexz00),
						BgL_freez00_2570)));
		}

	}



/* &node-free-sequence1275 */
	obj_t BGl_z62nodezd2freezd2sequence1275z62zzintegrate_freez00(obj_t
		BgL_envz00_2571, obj_t BgL_nodez00_2572, obj_t BgL_freez00_2573)
	{
		{	/* Integrate/free.scm 137 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2572)))->BgL_nodesz00),
				BgL_freez00_2573);
		}

	}



/* &node-free-closure1273 */
	obj_t BGl_z62nodezd2freezd2closure1273z62zzintegrate_freez00(obj_t
		BgL_envz00_2574, obj_t BgL_nodez00_2575, obj_t BgL_freez00_2576)
	{
		{	/* Integrate/free.scm 131 */
			{	/* Integrate/free.scm 132 */
				obj_t BgL_arg1494z00_2635;

				BgL_arg1494z00_2635 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2575)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1874z00zzintegrate_freez00,
					BGl_string1894z00zzintegrate_freez00, BgL_arg1494z00_2635);
			}
		}

	}



/* &node-free-var1271 */
	obj_t BGl_z62nodezd2freezd2var1271z62zzintegrate_freez00(obj_t
		BgL_envz00_2577, obj_t BgL_nodez00_2578, obj_t BgL_freez00_2579)
	{
		{	/* Integrate/free.scm 117 */
			{	/* Integrate/free.scm 120 */
				bool_t BgL_test1954z00_3143;

				{	/* Integrate/free.scm 120 */
					BgL_variablez00_bglt BgL_arg1477z00_2637;

					BgL_arg1477z00_2637 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2578)))->BgL_variablez00);
					{	/* Integrate/free.scm 120 */
						obj_t BgL_classz00_2638;

						BgL_classz00_2638 = BGl_globalz00zzast_varz00;
						{	/* Integrate/free.scm 120 */
							BgL_objectz00_bglt BgL_arg1825z00_2639;

							{	/* Integrate/free.scm 120 */
								obj_t BgL_tmpz00_3146;

								BgL_tmpz00_3146 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1477z00_2637));
								BgL_arg1825z00_2639 = (BgL_objectz00_bglt) (BgL_tmpz00_3146);
							}
							{	/* Integrate/free.scm 120 */
								bool_t BgL_arg1822z00_2640;
								bool_t BgL_arg1823z00_2641;

								{	/* Integrate/free.scm 120 */
									long BgL_idxz00_2642;

									BgL_idxz00_2642 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2639);
									BgL_arg1822z00_2640 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2642 + ((long) 2))) == BgL_classz00_2638);
								}
								{	/* Integrate/free.scm 120 */
									bool_t BgL_res1865z00_2645;

									{	/* Integrate/free.scm 120 */
										obj_t BgL_oclassz00_2646;

										{	/* Integrate/free.scm 120 */
											long BgL_arg1833z00_2647;

											{	/* Integrate/free.scm 120 */
												long BgL_arg1834z00_2648;

												BgL_arg1834z00_2648 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2639);
												BgL_arg1833z00_2647 =
													(BgL_arg1834z00_2648 - OBJECT_TYPE);
											}
											BgL_oclassz00_2646 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2647);
										}
										{	/* Integrate/free.scm 120 */
											bool_t BgL__ortest_1110z00_2649;

											BgL__ortest_1110z00_2649 =
												(BgL_classz00_2638 == BgL_oclassz00_2646);
											if (BgL__ortest_1110z00_2649)
												{	/* Integrate/free.scm 120 */
													BgL_res1865z00_2645 = BgL__ortest_1110z00_2649;
												}
											else
												{	/* Integrate/free.scm 120 */
													long BgL_odepthz00_2650;

													BgL_odepthz00_2650 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2646);
													if ((((long) 2) < BgL_odepthz00_2650))
														{	/* Integrate/free.scm 120 */
															obj_t BgL_arg1821z00_2651;

															BgL_arg1821z00_2651 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2646,
																((long) 2));
															BgL_res1865z00_2645 =
																(BgL_arg1821z00_2651 == BgL_classz00_2638);
														}
													else
														{	/* Integrate/free.scm 120 */
															BgL_res1865z00_2645 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2641 = BgL_res1865z00_2645;
								}
								BgL_test1954z00_3143 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2640, BgL_arg1823z00_2641);
							}
						}
					}
				}
				if (BgL_test1954z00_3143)
					{	/* Integrate/free.scm 120 */
						return BgL_freez00_2579;
					}
				else
					{	/* Integrate/free.scm 122 */
						bool_t BgL_test1957z00_3165;

						{	/* Integrate/free.scm 122 */
							BgL_variablez00_bglt BgL_arg1462z00_2652;

							BgL_arg1462z00_2652 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2578)))->BgL_variablez00);
							BgL_test1957z00_3165 =
								CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00(
									((obj_t) BgL_arg1462z00_2652)));
						}
						if (BgL_test1957z00_3165)
							{	/* Integrate/free.scm 122 */
								{	/* Integrate/free.scm 123 */
									BgL_variablez00_bglt BgL_arg1456z00_2653;

									BgL_arg1456z00_2653 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2578)))->
										BgL_variablez00);
									BGl_markzd2variablez12zc0zzintegrate_freez00((
											(BgL_localz00_bglt) BgL_arg1456z00_2653));
								}
								{	/* Integrate/free.scm 124 */
									BgL_variablez00_bglt BgL_arg1457z00_2654;

									BgL_arg1457z00_2654 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2578)))->
										BgL_variablez00);
									return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1457z00_2654),
										BgL_freez00_2579);
								}
							}
						else
							{	/* Integrate/free.scm 122 */
								return BgL_freez00_2579;
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 347237104),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1895z00zzintegrate_freez00));
		}

	}

#ifdef __cplusplus
}
#endif
