/*===========================================================================*/
/*   (Integrate/kk.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/kk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	BGL_EXPORTED_DECL obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kkz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzintegrate_kkz00();
	static obj_t BGl_objectzd2initzd2zzintegrate_kkz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_kkz00();
	static obj_t BGl_Kzd21z12zc0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_Kzd22z12zc0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_z62Kz12z70zzintegrate_kkz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62Kza2z12zd2zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_kkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_kkz00();
	BGL_EXPORTED_DECL obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1587z00zzintegrate_kkz00,
		BgL_bgl_string1587za700za7za7i1596za7, "integrate_kk", 12);
	      DEFINE_STRING(BGl_string1588z00zzintegrate_kkz00,
		BgL_bgl_string1588za700za7za7i1597za7, "tail bottom ", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kz12zd2envzc0zzintegrate_kkz00,
		BgL_bgl_za762kza712za770za7za7inte1598za7, BGl_z62Kz12z70zzintegrate_kkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kza2z12zd2envz62zzintegrate_kkz00,
		BgL_bgl_za762kza7a2za712za7d2za7za7i1599z00,
		BGl_z62Kza2z12zd2zzintegrate_kkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzintegrate_kkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long
		BgL_checksumz00_1956, char *BgL_fromz00_1957)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_kkz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
					BGl_cnstzd2initzd2zzintegrate_kkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
					return BGl_methodzd2initzd2zzintegrate_kkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_kk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_kk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_kk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_kk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "integrate_kk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			{	/* Integrate/kk.scm 15 */
				obj_t BgL_cportz00_1944;

				{	/* Integrate/kk.scm 15 */
					obj_t BgL_stringz00_1952;

					BgL_stringz00_1952 = BGl_string1588z00zzintegrate_kkz00;
					{	/* Integrate/kk.scm 15 */
						obj_t BgL_startz00_1953;

						BgL_startz00_1953 = BINT(((long) 0));
						{	/* Integrate/kk.scm 15 */
							obj_t BgL_endz00_1954;

							BgL_endz00_1954 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1952)));
							{	/* Integrate/kk.scm 15 */

								BgL_cportz00_1944 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1952, BgL_startz00_1953, BgL_endz00_1954);
				}}}}
				{
					long BgL_iz00_1945;

					BgL_iz00_1945 = ((long) 1);
				BgL_loopz00_1946:
					if ((BgL_iz00_1945 == ((long) -1)))
						{	/* Integrate/kk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/kk.scm 15 */
							{	/* Integrate/kk.scm 15 */
								obj_t BgL_arg1595z00_1948;

								{	/* Integrate/kk.scm 15 */

									{	/* Integrate/kk.scm 15 */
										obj_t BgL_locationz00_1950;

										BgL_locationz00_1950 = BBOOL(((bool_t) 0));
										{	/* Integrate/kk.scm 15 */

											BgL_arg1595z00_1948 =
												BGl_readz00zz__readerz00(BgL_cportz00_1944,
												BgL_locationz00_1950);
										}
									}
								}
								{	/* Integrate/kk.scm 15 */
									int BgL_tmpz00_1980;

									BgL_tmpz00_1980 = (int) (BgL_iz00_1945);
									CNST_TABLE_SET(BgL_tmpz00_1980, BgL_arg1595z00_1948);
							}}
							{	/* Integrate/kk.scm 15 */
								int BgL_auxz00_1951;

								BgL_auxz00_1951 = (int) ((BgL_iz00_1945 - ((long) 1)));
								{
									long BgL_iz00_1985;

									BgL_iz00_1985 = (long) (BgL_auxz00_1951);
									BgL_iz00_1945 = BgL_iz00_1985;
									goto BgL_loopz00_1946;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* K! */
	BGL_EXPORTED_DEF obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t BgL_az00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		{	/* Integrate/kk.scm 44 */
			{	/* Integrate/kk.scm 48 */
				BgL_valuez00_bglt BgL_ifunz00_1574;

				BgL_ifunz00_1574 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_valuez00);
				{	/* Integrate/kk.scm 49 */
					obj_t BgL_arg1243z00_1575;

					{	/* Integrate/kk.scm 49 */
						obj_t BgL_list1244z00_1576;

						BgL_list1244z00_1576 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						BgL_arg1243z00_1575 = BgL_list1244z00_1576;
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1992;

						{
							obj_t BgL_auxz00_1993;

							{	/* Integrate/kk.scm 49 */
								BgL_objectz00_bglt BgL_tmpz00_1994;

								BgL_tmpz00_1994 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_ifunz00_1574));
								BgL_auxz00_1993 = BGL_OBJECT_WIDENING(BgL_tmpz00_1994);
							}
							BgL_auxz00_1992 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1993);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1992))->BgL_kz00) =
							((obj_t) BgL_arg1243z00_1575), BUNSPEC);
				}}
				{	/* Integrate/kk.scm 50 */
					obj_t BgL_arg1245z00_1577;

					{	/* Integrate/kk.scm 50 */
						obj_t BgL_list1246z00_1578;

						BgL_list1246z00_1578 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						BgL_arg1245z00_1577 = BgL_list1246z00_1578;
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2002;

						{
							obj_t BgL_auxz00_2003;

							{	/* Integrate/kk.scm 50 */
								BgL_objectz00_bglt BgL_tmpz00_2004;

								BgL_tmpz00_2004 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_ifunz00_1574));
								BgL_auxz00_2003 = BGL_OBJECT_WIDENING(BgL_tmpz00_2004);
							}
							BgL_auxz00_2002 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2003);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2002))->
								BgL_kza2za2) = ((obj_t) BgL_arg1245z00_1577), BUNSPEC);
				}}
				return
					BGl_Kzd22z12zc0zzintegrate_kkz00(BgL_az00_3,
					BGl_Kzd21z12zc0zzintegrate_kkz00(BgL_az00_3, BNIL));
			}
		}

	}



/* &K! */
	obj_t BGl_z62Kz12z70zzintegrate_kkz00(obj_t BgL_envz00_1939,
		obj_t BgL_az00_1940, obj_t BgL_varz00_1941)
	{
		{	/* Integrate/kk.scm 44 */
			return
				BGl_Kz12z12zzintegrate_kkz00(BgL_az00_1940,
				((BgL_globalz00_bglt) BgL_varz00_1941));
		}

	}



/* K-1! */
	obj_t BGl_Kzd21z12zc0zzintegrate_kkz00(obj_t BgL_az00_5,
		obj_t BgL_azd2tailzd2_6)
	{
		{	/* Integrate/kk.scm 56 */
		BGl_Kzd21z12zc0zzintegrate_kkz00:
			if (NULLP(BgL_az00_5))
				{	/* Integrate/kk.scm 58 */
					return BgL_azd2tailzd2_6;
				}
			else
				{	/* Integrate/kk.scm 60 */
					obj_t BgL_prz00_1581;

					BgL_prz00_1581 = CAR(((obj_t) BgL_az00_5));
					{	/* Integrate/kk.scm 60 */
						obj_t BgL_fz00_1582;

						BgL_fz00_1582 = CAR(((obj_t) BgL_prz00_1581));
						{	/* Integrate/kk.scm 61 */
							obj_t BgL_gz00_1583;

							{	/* Integrate/kk.scm 62 */
								obj_t BgL_pairz00_1862;

								BgL_pairz00_1862 = CDR(((obj_t) BgL_prz00_1581));
								BgL_gz00_1583 = CAR(BgL_pairz00_1862);
							}
							{	/* Integrate/kk.scm 62 */
								obj_t BgL_kz00_1584;

								{	/* Integrate/kk.scm 63 */
									obj_t BgL_pairz00_1868;

									{	/* Integrate/kk.scm 63 */
										obj_t BgL_pairz00_1867;

										BgL_pairz00_1867 = CDR(((obj_t) BgL_prz00_1581));
										BgL_pairz00_1868 = CDR(BgL_pairz00_1867);
									}
									BgL_kz00_1584 = CAR(BgL_pairz00_1868);
								}
								{	/* Integrate/kk.scm 63 */

									if ((BgL_kz00_1584 == CNST_TABLE_REF(((long) 1))))
										{	/* Integrate/kk.scm 65 */
											if ((BgL_fz00_1582 == BgL_gz00_1583))
												{	/* Integrate/kk.scm 67 */
													obj_t BgL_arg1253z00_1587;

													BgL_arg1253z00_1587 = CDR(((obj_t) BgL_az00_5));
													{
														obj_t BgL_az00_2034;

														BgL_az00_2034 = BgL_arg1253z00_1587;
														BgL_az00_5 = BgL_az00_2034;
														goto BGl_Kzd21z12zc0zzintegrate_kkz00;
													}
												}
											else
												{	/* Integrate/kk.scm 68 */
													obj_t BgL_arg1254z00_1588;
													obj_t BgL_arg1255z00_1589;

													BgL_arg1254z00_1588 = CDR(((obj_t) BgL_az00_5));
													BgL_arg1255z00_1589 =
														MAKE_YOUNG_PAIR(BgL_prz00_1581, BgL_azd2tailzd2_6);
													{
														obj_t BgL_azd2tailzd2_2039;
														obj_t BgL_az00_2038;

														BgL_az00_2038 = BgL_arg1254z00_1588;
														BgL_azd2tailzd2_2039 = BgL_arg1255z00_1589;
														BgL_azd2tailzd2_6 = BgL_azd2tailzd2_2039;
														BgL_az00_5 = BgL_az00_2038;
														goto BGl_Kzd21z12zc0zzintegrate_kkz00;
													}
												}
										}
									else
										{	/* Integrate/kk.scm 70 */
											BgL_valuez00_bglt BgL_ifunz00_1590;

											BgL_ifunz00_1590 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_gz00_1583)))->
												BgL_valuez00);
											{	/* Integrate/kk.scm 71 */
												bool_t BgL_test1608z00_2042;

												{	/* Integrate/kk.scm 71 */
													obj_t BgL_arg1280z00_1599;

													{
														BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2043;

														{
															obj_t BgL_auxz00_2044;

															{	/* Integrate/kk.scm 71 */
																BgL_objectz00_bglt BgL_tmpz00_2045;

																BgL_tmpz00_2045 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_ifunz00_1590));
																BgL_auxz00_2044 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2045);
															}
															BgL_auxz00_2043 =
																((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2044);
														}
														BgL_arg1280z00_1599 =
															(((BgL_sfunzf2iinfozf2_bglt)
																COBJECT(BgL_auxz00_2043))->BgL_kz00);
													}
													BgL_test1608z00_2042 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_kz00_1584, BgL_arg1280z00_1599));
												}
												if (BgL_test1608z00_2042)
													{	/* Integrate/kk.scm 72 */
														obj_t BgL_arg1258z00_1593;

														BgL_arg1258z00_1593 = CDR(((obj_t) BgL_az00_5));
														{
															obj_t BgL_az00_2055;

															BgL_az00_2055 = BgL_arg1258z00_1593;
															BgL_az00_5 = BgL_az00_2055;
															goto BGl_Kzd21z12zc0zzintegrate_kkz00;
														}
													}
												else
													{	/* Integrate/kk.scm 71 */
														{	/* Integrate/kk.scm 74 */
															obj_t BgL_arg1259z00_1594;

															{	/* Integrate/kk.scm 74 */
																obj_t BgL_arg1260z00_1595;

																{
																	BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2056;

																	{
																		obj_t BgL_auxz00_2057;

																		{	/* Integrate/kk.scm 74 */
																			BgL_objectz00_bglt BgL_tmpz00_2058;

																			BgL_tmpz00_2058 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt) BgL_ifunz00_1590));
																			BgL_auxz00_2057 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2058);
																		}
																		BgL_auxz00_2056 =
																			((BgL_sfunzf2iinfozf2_bglt)
																			BgL_auxz00_2057);
																	}
																	BgL_arg1260z00_1595 =
																		(((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2056))->BgL_kz00);
																}
																BgL_arg1259z00_1594 =
																	MAKE_YOUNG_PAIR(BgL_kz00_1584,
																	BgL_arg1260z00_1595);
															}
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2065;

																{
																	obj_t BgL_auxz00_2066;

																	{	/* Integrate/kk.scm 74 */
																		BgL_objectz00_bglt BgL_tmpz00_2067;

																		BgL_tmpz00_2067 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_ifunz00_1590));
																		BgL_auxz00_2066 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2067);
																	}
																	BgL_auxz00_2065 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2066);
																}
																((((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2065))->BgL_kz00) =
																	((obj_t) BgL_arg1259z00_1594), BUNSPEC);
															}
														}
														{	/* Integrate/kk.scm 75 */
															obj_t BgL_arg1261z00_1596;

															{	/* Integrate/kk.scm 75 */
																obj_t BgL_arg1265z00_1597;

																{
																	BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2073;

																	{
																		obj_t BgL_auxz00_2074;

																		{	/* Integrate/kk.scm 75 */
																			BgL_objectz00_bglt BgL_tmpz00_2075;

																			BgL_tmpz00_2075 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt) BgL_ifunz00_1590));
																			BgL_auxz00_2074 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2075);
																		}
																		BgL_auxz00_2073 =
																			((BgL_sfunzf2iinfozf2_bglt)
																			BgL_auxz00_2074);
																	}
																	BgL_arg1265z00_1597 =
																		(((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2073))->BgL_kza2za2);
																}
																BgL_arg1261z00_1596 =
																	MAKE_YOUNG_PAIR(BgL_kz00_1584,
																	BgL_arg1265z00_1597);
															}
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2082;

																{
																	obj_t BgL_auxz00_2083;

																	{	/* Integrate/kk.scm 75 */
																		BgL_objectz00_bglt BgL_tmpz00_2084;

																		BgL_tmpz00_2084 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_ifunz00_1590));
																		BgL_auxz00_2083 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2084);
																	}
																	BgL_auxz00_2082 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2083);
																}
																((((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2082))->BgL_kza2za2) =
																	((obj_t) BgL_arg1261z00_1596), BUNSPEC);
															}
														}
														{	/* Integrate/kk.scm 76 */
															obj_t BgL_arg1275z00_1598;

															BgL_arg1275z00_1598 = CDR(((obj_t) BgL_az00_5));
															{
																obj_t BgL_az00_2092;

																BgL_az00_2092 = BgL_arg1275z00_1598;
																BgL_az00_5 = BgL_az00_2092;
																goto BGl_Kzd21z12zc0zzintegrate_kkz00;
															}
														}
													}
											}
										}
								}
							}
						}
					}
				}
		}

	}



/* K-2! */
	obj_t BGl_Kzd22z12zc0zzintegrate_kkz00(obj_t BgL_az00_7,
		obj_t BgL_azd2tailzd2_8)
	{
		{	/* Integrate/kk.scm 81 */
			{
				bool_t BgL_continuez00_1601;

				BgL_continuez00_1601 = ((bool_t) 1);
			BgL_zc3z04anonymousza31281ze3z87_1602:
				if (BgL_continuez00_1601)
					{
						obj_t BgL_atz00_1604;
						bool_t BgL_continuez00_1605;

						BgL_atz00_1604 = BgL_azd2tailzd2_8;
						BgL_continuez00_1605 = ((bool_t) 0);
					BgL_zc3z04anonymousza31282ze3z87_1606:
						if (NULLP(BgL_atz00_1604))
							{
								bool_t BgL_continuez00_2096;

								BgL_continuez00_2096 = BgL_continuez00_1605;
								BgL_continuez00_1601 = BgL_continuez00_2096;
								goto BgL_zc3z04anonymousza31281ze3z87_1602;
							}
						else
							{	/* Integrate/kk.scm 93 */
								BgL_valuez00_bglt BgL_ifunz00_1608;

								{
									BgL_variablez00_bglt BgL_auxz00_2097;

									{	/* Integrate/kk.scm 93 */
										obj_t BgL_pairz00_1885;

										BgL_pairz00_1885 = CAR(((obj_t) BgL_atz00_1604));
										BgL_auxz00_2097 =
											((BgL_variablez00_bglt) CAR(BgL_pairz00_1885));
									}
									BgL_ifunz00_1608 =
										(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2097))->
										BgL_valuez00);
								}
								{	/* Integrate/kk.scm 94 */
									bool_t BgL_test1611z00_2103;

									{	/* Integrate/kk.scm 94 */
										obj_t BgL_arg1313z00_1633;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2104;

											{
												obj_t BgL_auxz00_2105;

												{	/* Integrate/kk.scm 94 */
													BgL_objectz00_bglt BgL_tmpz00_2106;

													BgL_tmpz00_2106 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_ifunz00_1608));
													BgL_auxz00_2105 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2106);
												}
												BgL_auxz00_2104 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2105);
											}
											BgL_arg1313z00_1633 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2104))->
												BgL_kz00);
										}
										BgL_test1611z00_2103 = NULLP(BgL_arg1313z00_1633);
									}
									if (BgL_test1611z00_2103)
										{	/* Integrate/kk.scm 95 */
											obj_t BgL_arg1295z00_1611;

											BgL_arg1295z00_1611 = CDR(((obj_t) BgL_atz00_1604));
											{
												obj_t BgL_atz00_2115;

												BgL_atz00_2115 = BgL_arg1295z00_1611;
												BgL_atz00_1604 = BgL_atz00_2115;
												goto BgL_zc3z04anonymousza31282ze3z87_1606;
											}
										}
									else
										{	/* Integrate/kk.scm 96 */
											obj_t BgL_gz00_1612;

											{	/* Integrate/kk.scm 96 */
												obj_t BgL_pairz00_1891;

												BgL_pairz00_1891 = CAR(((obj_t) BgL_atz00_1604));
												BgL_gz00_1612 = CAR(CDR(BgL_pairz00_1891));
											}
											{	/* Integrate/kk.scm 96 */
												BgL_valuez00_bglt BgL_gifunz00_1613;

												BgL_gifunz00_1613 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_gz00_1612)))->
													BgL_valuez00);
												{	/* Integrate/kk.scm 97 */

													{	/* Integrate/kk.scm 98 */
														obj_t BgL_g1108z00_1614;

														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2122;

															{
																obj_t BgL_auxz00_2123;

																{	/* Integrate/kk.scm 98 */
																	BgL_objectz00_bglt BgL_tmpz00_2124;

																	BgL_tmpz00_2124 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt) BgL_ifunz00_1608));
																	BgL_auxz00_2123 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2124);
																}
																BgL_auxz00_2122 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2123);
															}
															BgL_g1108z00_1614 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2122))->BgL_kz00);
														}
														{
															obj_t BgL_ksz00_1616;
															bool_t BgL_continuez00_1617;

															BgL_ksz00_1616 = BgL_g1108z00_1614;
															BgL_continuez00_1617 = BgL_continuez00_1605;
														BgL_zc3z04anonymousza31296ze3z87_1618:
															if (NULLP(BgL_ksz00_1616))
																{	/* Integrate/kk.scm 104 */
																	obj_t BgL_arg1298z00_1620;

																	BgL_arg1298z00_1620 =
																		CDR(((obj_t) BgL_atz00_1604));
																	{
																		bool_t BgL_continuez00_2135;
																		obj_t BgL_atz00_2134;

																		BgL_atz00_2134 = BgL_arg1298z00_1620;
																		BgL_continuez00_2135 = BgL_continuez00_1617;
																		BgL_continuez00_1605 = BgL_continuez00_2135;
																		BgL_atz00_1604 = BgL_atz00_2134;
																		goto BgL_zc3z04anonymousza31282ze3z87_1606;
																	}
																}
															else
																{	/* Integrate/kk.scm 105 */
																	obj_t BgL_kz00_1621;

																	BgL_kz00_1621 = CAR(((obj_t) BgL_ksz00_1616));
																	{	/* Integrate/kk.scm 106 */
																		bool_t BgL_test1614z00_2138;

																		{	/* Integrate/kk.scm 106 */
																			obj_t BgL_arg1310z00_1630;

																			{
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_auxz00_2139;
																				{
																					obj_t BgL_auxz00_2140;

																					{	/* Integrate/kk.scm 106 */
																						BgL_objectz00_bglt BgL_tmpz00_2141;

																						BgL_tmpz00_2141 =
																							((BgL_objectz00_bglt)
																							((BgL_sfunz00_bglt)
																								BgL_gifunz00_1613));
																						BgL_auxz00_2140 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_2141);
																					}
																					BgL_auxz00_2139 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_auxz00_2140);
																				}
																				BgL_arg1310z00_1630 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						COBJECT(BgL_auxz00_2139))->
																					BgL_kz00);
																			}
																			BgL_test1614z00_2138 =
																				CBOOL
																				(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_kz00_1621, BgL_arg1310z00_1630));
																		}
																		if (BgL_test1614z00_2138)
																			{	/* Integrate/kk.scm 107 */
																				obj_t BgL_arg1301z00_1624;

																				BgL_arg1301z00_1624 =
																					CDR(((obj_t) BgL_ksz00_1616));
																				{
																					obj_t BgL_ksz00_2151;

																					BgL_ksz00_2151 = BgL_arg1301z00_1624;
																					BgL_ksz00_1616 = BgL_ksz00_2151;
																					goto
																						BgL_zc3z04anonymousza31296ze3z87_1618;
																				}
																			}
																		else
																			{	/* Integrate/kk.scm 106 */
																				{	/* Integrate/kk.scm 111 */
																					obj_t BgL_arg1304z00_1625;

																					{	/* Integrate/kk.scm 111 */
																						obj_t BgL_arg1306z00_1626;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2152;
																							{
																								obj_t BgL_auxz00_2153;

																								{	/* Integrate/kk.scm 111 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2154;
																									BgL_tmpz00_2154 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_gifunz00_1613));
																									BgL_auxz00_2153 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2154);
																								}
																								BgL_auxz00_2152 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2153);
																							}
																							BgL_arg1306z00_1626 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2152))->
																								BgL_kz00);
																						}
																						BgL_arg1304z00_1625 =
																							MAKE_YOUNG_PAIR(BgL_kz00_1621,
																							BgL_arg1306z00_1626);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2161;
																						{
																							obj_t BgL_auxz00_2162;

																							{	/* Integrate/kk.scm 109 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2163;
																								BgL_tmpz00_2163 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_gifunz00_1613));
																								BgL_auxz00_2162 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2163);
																							}
																							BgL_auxz00_2161 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2162);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2161))->
																								BgL_kz00) =
																							((obj_t) BgL_arg1304z00_1625),
																							BUNSPEC);
																					}
																				}
																				{	/* Integrate/kk.scm 114 */
																					obj_t BgL_arg1307z00_1627;

																					{	/* Integrate/kk.scm 114 */
																						obj_t BgL_arg1308z00_1628;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2169;
																							{
																								obj_t BgL_auxz00_2170;

																								{	/* Integrate/kk.scm 114 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2171;
																									BgL_tmpz00_2171 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_gifunz00_1613));
																									BgL_auxz00_2170 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2171);
																								}
																								BgL_auxz00_2169 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2170);
																							}
																							BgL_arg1308z00_1628 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2169))->
																								BgL_kza2za2);
																						}
																						BgL_arg1307z00_1627 =
																							MAKE_YOUNG_PAIR(BgL_kz00_1621,
																							BgL_arg1308z00_1628);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2178;
																						{
																							obj_t BgL_auxz00_2179;

																							{	/* Integrate/kk.scm 112 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2180;
																								BgL_tmpz00_2180 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_gifunz00_1613));
																								BgL_auxz00_2179 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2180);
																							}
																							BgL_auxz00_2178 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2179);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2178))->
																								BgL_kza2za2) =
																							((obj_t) BgL_arg1307z00_1627),
																							BUNSPEC);
																					}
																				}
																				{	/* Integrate/kk.scm 115 */
																					obj_t BgL_arg1309z00_1629;

																					BgL_arg1309z00_1629 =
																						CDR(((obj_t) BgL_ksz00_1616));
																					{
																						bool_t BgL_continuez00_2189;
																						obj_t BgL_ksz00_2188;

																						BgL_ksz00_2188 =
																							BgL_arg1309z00_1629;
																						BgL_continuez00_2189 = ((bool_t) 1);
																						BgL_continuez00_1617 =
																							BgL_continuez00_2189;
																						BgL_ksz00_1616 = BgL_ksz00_2188;
																						goto
																							BgL_zc3z04anonymousza31296ze3z87_1618;
																					}
																				}
																			}
																	}
																}
														}
													}
												}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 84 */
						return BgL_azd2tailzd2_8;
					}
			}
		}

	}



/* K*! */
	BGL_EXPORTED_DEF obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t
		BgL_azd2tailzd2_9)
	{
		{	/* Integrate/kk.scm 130 */
			{
				bool_t BgL_continuez00_1639;

				BgL_continuez00_1639 = ((bool_t) 1);
			BgL_zc3z04anonymousza31317ze3z87_1640:
				if (BgL_continuez00_1639)
					{
						obj_t BgL_atz00_1642;
						bool_t BgL_continuez00_1643;

						BgL_atz00_1642 = BgL_azd2tailzd2_9;
						BgL_continuez00_1643 = ((bool_t) 0);
					BgL_zc3z04anonymousza31318ze3z87_1644:
						if (NULLP(BgL_atz00_1642))
							{
								bool_t BgL_continuez00_2193;

								BgL_continuez00_2193 = BgL_continuez00_1643;
								BgL_continuez00_1639 = BgL_continuez00_2193;
								goto BgL_zc3z04anonymousza31317ze3z87_1640;
							}
						else
							{	/* Integrate/kk.scm 139 */
								BgL_valuez00_bglt BgL_ifunz00_1646;

								{
									BgL_variablez00_bglt BgL_auxz00_2194;

									{
										obj_t BgL_auxz00_2195;

										{	/* Integrate/kk.scm 139 */
											obj_t BgL_pairz00_1913;

											BgL_pairz00_1913 = CAR(((obj_t) BgL_atz00_1642));
											{	/* Integrate/kk.scm 139 */
												obj_t BgL_pairz00_1916;

												BgL_pairz00_1916 = CDR(BgL_pairz00_1913);
												BgL_auxz00_2195 = CAR(BgL_pairz00_1916);
											}
										}
										BgL_auxz00_2194 = ((BgL_variablez00_bglt) BgL_auxz00_2195);
									}
									BgL_ifunz00_1646 =
										(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2194))->
										BgL_valuez00);
								}
								{	/* Integrate/kk.scm 140 */
									bool_t BgL_test1617z00_2202;

									{	/* Integrate/kk.scm 140 */
										obj_t BgL_arg1339z00_1668;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2203;

											{
												obj_t BgL_auxz00_2204;

												{	/* Integrate/kk.scm 140 */
													BgL_objectz00_bglt BgL_tmpz00_2205;

													BgL_tmpz00_2205 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_ifunz00_1646));
													BgL_auxz00_2204 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2205);
												}
												BgL_auxz00_2203 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2204);
											}
											BgL_arg1339z00_1668 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2203))->
												BgL_kza2za2);
										}
										BgL_test1617z00_2202 = NULLP(BgL_arg1339z00_1668);
									}
									if (BgL_test1617z00_2202)
										{
											bool_t BgL_continuez00_2212;

											BgL_continuez00_2212 = BgL_continuez00_1643;
											BgL_continuez00_1639 = BgL_continuez00_2212;
											goto BgL_zc3z04anonymousza31317ze3z87_1640;
										}
									else
										{	/* Integrate/kk.scm 142 */
											obj_t BgL_g1109z00_1649;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2213;

												{
													obj_t BgL_auxz00_2214;

													{	/* Integrate/kk.scm 142 */
														BgL_objectz00_bglt BgL_tmpz00_2215;

														BgL_tmpz00_2215 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_ifunz00_1646));
														BgL_auxz00_2214 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2215);
													}
													BgL_auxz00_2213 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2214);
												}
												BgL_g1109z00_1649 =
													(((BgL_sfunzf2iinfozf2_bglt)
														COBJECT(BgL_auxz00_2213))->BgL_kza2za2);
											}
											{
												obj_t BgL_ksz00_1651;
												bool_t BgL_continuez00_1652;

												BgL_ksz00_1651 = BgL_g1109z00_1649;
												BgL_continuez00_1652 = BgL_continuez00_1643;
											BgL_zc3z04anonymousza31322ze3z87_1653:
												if (NULLP(BgL_ksz00_1651))
													{	/* Integrate/kk.scm 145 */
														obj_t BgL_arg1324z00_1655;

														BgL_arg1324z00_1655 = CDR(((obj_t) BgL_atz00_1642));
														{
															bool_t BgL_continuez00_2226;
															obj_t BgL_atz00_2225;

															BgL_atz00_2225 = BgL_arg1324z00_1655;
															BgL_continuez00_2226 = BgL_continuez00_1652;
															BgL_continuez00_1643 = BgL_continuez00_2226;
															BgL_atz00_1642 = BgL_atz00_2225;
															goto BgL_zc3z04anonymousza31318ze3z87_1644;
														}
													}
												else
													{	/* Integrate/kk.scm 146 */
														obj_t BgL_fz00_1656;

														{	/* Integrate/kk.scm 146 */
															obj_t BgL_pairz00_1924;

															BgL_pairz00_1924 = CAR(((obj_t) BgL_atz00_1642));
															BgL_fz00_1656 = CAR(BgL_pairz00_1924);
														}
														{	/* Integrate/kk.scm 146 */
															BgL_valuez00_bglt BgL_fifunz00_1657;

															BgL_fifunz00_1657 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_fz00_1656)))->
																BgL_valuez00);
															{	/* Integrate/kk.scm 147 */
																obj_t BgL_kz00_1658;

																BgL_kz00_1658 = CAR(((obj_t) BgL_ksz00_1651));
																{	/* Integrate/kk.scm 148 */

																	{	/* Integrate/kk.scm 149 */
																		bool_t BgL_test1621z00_2234;

																		{	/* Integrate/kk.scm 149 */
																			obj_t BgL_arg1334z00_1665;

																			{
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_auxz00_2235;
																				{
																					obj_t BgL_auxz00_2236;

																					{	/* Integrate/kk.scm 149 */
																						BgL_objectz00_bglt BgL_tmpz00_2237;

																						BgL_tmpz00_2237 =
																							((BgL_objectz00_bglt)
																							((BgL_sfunz00_bglt)
																								BgL_fifunz00_1657));
																						BgL_auxz00_2236 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_2237);
																					}
																					BgL_auxz00_2235 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_auxz00_2236);
																				}
																				BgL_arg1334z00_1665 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						COBJECT(BgL_auxz00_2235))->
																					BgL_kza2za2);
																			}
																			BgL_test1621z00_2234 =
																				CBOOL
																				(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_kz00_1658, BgL_arg1334z00_1665));
																		}
																		if (BgL_test1621z00_2234)
																			{	/* Integrate/kk.scm 150 */
																				obj_t BgL_arg1328z00_1661;

																				BgL_arg1328z00_1661 =
																					CDR(((obj_t) BgL_ksz00_1651));
																				{
																					obj_t BgL_ksz00_2247;

																					BgL_ksz00_2247 = BgL_arg1328z00_1661;
																					BgL_ksz00_1651 = BgL_ksz00_2247;
																					goto
																						BgL_zc3z04anonymousza31322ze3z87_1653;
																				}
																			}
																		else
																			{	/* Integrate/kk.scm 149 */
																				{	/* Integrate/kk.scm 154 */
																					obj_t BgL_arg1331z00_1662;

																					{	/* Integrate/kk.scm 154 */
																						obj_t BgL_arg1332z00_1663;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2248;
																							{
																								obj_t BgL_auxz00_2249;

																								{	/* Integrate/kk.scm 154 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2250;
																									BgL_tmpz00_2250 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fifunz00_1657));
																									BgL_auxz00_2249 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2250);
																								}
																								BgL_auxz00_2248 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2249);
																							}
																							BgL_arg1332z00_1663 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2248))->
																								BgL_kza2za2);
																						}
																						BgL_arg1331z00_1662 =
																							MAKE_YOUNG_PAIR(BgL_kz00_1658,
																							BgL_arg1332z00_1663);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2257;
																						{
																							obj_t BgL_auxz00_2258;

																							{	/* Integrate/kk.scm 152 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2259;
																								BgL_tmpz00_2259 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_fifunz00_1657));
																								BgL_auxz00_2258 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2259);
																							}
																							BgL_auxz00_2257 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2258);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2257))->
																								BgL_kza2za2) =
																							((obj_t) BgL_arg1331z00_1662),
																							BUNSPEC);
																					}
																				}
																				{	/* Integrate/kk.scm 155 */
																					obj_t BgL_arg1333z00_1664;

																					BgL_arg1333z00_1664 =
																						CDR(((obj_t) BgL_ksz00_1651));
																					{
																						bool_t BgL_continuez00_2268;
																						obj_t BgL_ksz00_2267;

																						BgL_ksz00_2267 =
																							BgL_arg1333z00_1664;
																						BgL_continuez00_2268 = ((bool_t) 1);
																						BgL_continuez00_1652 =
																							BgL_continuez00_2268;
																						BgL_ksz00_1651 = BgL_ksz00_2267;
																						goto
																							BgL_zc3z04anonymousza31322ze3z87_1653;
																					}
																				}
																			}
																	}
																}
															}
														}
													}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 133 */
						return BNIL;
					}
			}
		}

	}



/* &K*! */
	obj_t BGl_z62Kza2z12zd2zzintegrate_kkz00(obj_t BgL_envz00_1942,
		obj_t BgL_azd2tailzd2_1943)
	{
		{	/* Integrate/kk.scm 130 */
			return BGl_Kza2z12zb0zzintegrate_kkz00(BgL_azd2tailzd2_1943);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00()
	{
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string1587z00zzintegrate_kkz00));
		}

	}

#ifdef __cplusplus
}
#endif
