/*===========================================================================*/
/*   (Integrate/let_fun.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/let_fun.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
	static obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1307zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1309zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1264zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1267zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1269zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1273zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1275zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1277zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1279zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1281zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1283zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1285zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1287zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1289zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1291zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1293zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1295zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1297zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1299zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	static bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2();
	static long BGl_za2stampza2z00zzintegrate_letzd2funzd2;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1802z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1802za700za7za7i1808za7, "displace-let-fun-node", 21);
	      DEFINE_STRING(BGl_string1803z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1803za700za7za7i1809za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1804z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1804za700za7za7i1810za7, "integrate_let-fun", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displacezd2letzd2funz12zd2envzc0zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1811z00,
		BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1805z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1805za700za7za7i1812za7, "displace-let-fun-nod1264 ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1813z00,
		BGl_z62displacezd2letzd2funzd2nod1307zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1814z00,
		BGl_z62displacezd2letzd2funzd2nod1309zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1777z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1777za700za7za7i1815za7, "displace-let-fun-nod1264", 24);
	      DEFINE_STRING(BGl_string1778z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1778za700za7za7i1816za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1780z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1780za700za7za7i1817za7, "displace-let-fun-node!", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1818z00,
		BGl_z62displacezd2letzd2funzd2nod1264zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1819z00,
		BGl_z62displacezd2letzd2funzd2nod1267zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1820z00,
		BGl_z62displacezd2letzd2funzd2nod1269zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1821z00,
		BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1822z00,
		BGl_z62displacezd2letzd2funzd2nod1273zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1823z00,
		BGl_z62displacezd2letzd2funzd2nod1275zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1824z00,
		BGl_z62displacezd2letzd2funzd2nod1277zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1825z00,
		BGl_z62displacezd2letzd2funzd2nod1279zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1826z00,
		BGl_z62displacezd2letzd2funzd2nod1281zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1827z00,
		BGl_z62displacezd2letzd2funzd2nod1283zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1828z00,
		BGl_z62displacezd2letzd2funzd2nod1285zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1829z00,
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1830z00,
		BGl_z62displacezd2letzd2funzd2nod1287zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1831z00,
		BGl_z62displacezd2letzd2funzd2nod1289zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1832z00,
		BGl_z62displacezd2letzd2funzd2nod1291zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1833z00,
		BGl_z62displacezd2letzd2funzd2nod1293zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1834z00,
		BGl_z62displacezd2letzd2funzd2nod1295zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1835z00,
		BGl_z62displacezd2letzd2funzd2nod1297zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1836z00,
		BGl_z62displacezd2letzd2funzd2nod1299zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1837z00,
		BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1838z00,
		BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1839z00,
		BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long
		BgL_checksumz00_2419, char *BgL_fromz00_2420)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2();
					BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
					BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
					BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
					return BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_let-fun");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			{	/* Integrate/let_fun.scm 16 */
				obj_t BgL_cportz00_2341;

				{	/* Integrate/let_fun.scm 16 */
					obj_t BgL_stringz00_2349;

					BgL_stringz00_2349 = BGl_string1805z00zzintegrate_letzd2funzd2;
					{	/* Integrate/let_fun.scm 16 */
						obj_t BgL_startz00_2350;

						BgL_startz00_2350 = BINT(((long) 0));
						{	/* Integrate/let_fun.scm 16 */
							obj_t BgL_endz00_2351;

							BgL_endz00_2351 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2349)));
							{	/* Integrate/let_fun.scm 16 */

								BgL_cportz00_2341 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2349, BgL_startz00_2350, BgL_endz00_2351);
				}}}}
				{
					long BgL_iz00_2342;

					BgL_iz00_2342 = ((long) 0);
				BgL_loopz00_2343:
					if ((BgL_iz00_2342 == ((long) -1)))
						{	/* Integrate/let_fun.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 16 */
							{	/* Integrate/let_fun.scm 16 */
								obj_t BgL_arg1807z00_2345;

								{	/* Integrate/let_fun.scm 16 */

									{	/* Integrate/let_fun.scm 16 */
										obj_t BgL_locationz00_2347;

										BgL_locationz00_2347 = BBOOL(((bool_t) 0));
										{	/* Integrate/let_fun.scm 16 */

											BgL_arg1807z00_2345 =
												BGl_readz00zz__readerz00(BgL_cportz00_2341,
												BgL_locationz00_2347);
										}
									}
								}
								{	/* Integrate/let_fun.scm 16 */
									int BgL_tmpz00_2450;

									BgL_tmpz00_2450 = (int) (BgL_iz00_2342);
									CNST_TABLE_SET(BgL_tmpz00_2450, BgL_arg1807z00_2345);
							}}
							{	/* Integrate/let_fun.scm 16 */
								int BgL_auxz00_2348;

								BgL_auxz00_2348 = (int) ((BgL_iz00_2342 - ((long) 1)));
								{
									long BgL_iz00_2455;

									BgL_iz00_2455 = (long) (BgL_auxz00_2348);
									BgL_iz00_2342 = BgL_iz00_2455;
									goto BgL_loopz00_2343;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 = ((long) 0);
			return BUNSPEC;
		}

	}



/* bind-fun! */
	obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t BgL_varz00_3)
	{
		{	/* Integrate/let_fun.scm 36 */
			{	/* Integrate/let_fun.scm 38 */
				bool_t BgL_test1843z00_2458;

				{	/* Integrate/let_fun.scm 38 */
					obj_t BgL_classz00_2068;

					BgL_classz00_2068 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_varz00_3))
						{	/* Integrate/let_fun.scm 38 */
							BgL_objectz00_bglt BgL_arg1825z00_2070;

							BgL_arg1825z00_2070 = (BgL_objectz00_bglt) (BgL_varz00_3);
							{	/* Integrate/let_fun.scm 38 */
								bool_t BgL_arg1822z00_2073;
								bool_t BgL_arg1823z00_2074;

								{	/* Integrate/let_fun.scm 38 */
									long BgL_idxz00_2077;

									BgL_idxz00_2077 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2070);
									BgL_arg1822z00_2073 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2077 + ((long) 2))) == BgL_classz00_2068);
								}
								{	/* Integrate/let_fun.scm 38 */
									bool_t BgL_res1767z00_2099;

									{	/* Integrate/let_fun.scm 38 */
										obj_t BgL_oclassz00_2085;

										{	/* Integrate/let_fun.scm 38 */
											long BgL_arg1833z00_2091;

											{	/* Integrate/let_fun.scm 38 */
												long BgL_arg1834z00_2092;

												BgL_arg1834z00_2092 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2070);
												BgL_arg1833z00_2091 =
													(BgL_arg1834z00_2092 - OBJECT_TYPE);
											}
											BgL_oclassz00_2085 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2091);
										}
										{	/* Integrate/let_fun.scm 38 */
											bool_t BgL__ortest_1110z00_2086;

											BgL__ortest_1110z00_2086 =
												(BgL_classz00_2068 == BgL_oclassz00_2085);
											if (BgL__ortest_1110z00_2086)
												{	/* Integrate/let_fun.scm 38 */
													BgL_res1767z00_2099 = BgL__ortest_1110z00_2086;
												}
											else
												{	/* Integrate/let_fun.scm 38 */
													long BgL_odepthz00_2087;

													BgL_odepthz00_2087 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2085);
													if ((((long) 2) < BgL_odepthz00_2087))
														{	/* Integrate/let_fun.scm 38 */
															obj_t BgL_arg1821z00_2089;

															BgL_arg1821z00_2089 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2085,
																((long) 2));
															BgL_res1767z00_2099 =
																(BgL_arg1821z00_2089 == BgL_classz00_2068);
														}
													else
														{	/* Integrate/let_fun.scm 38 */
															BgL_res1767z00_2099 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2074 = BgL_res1767z00_2099;
								}
								BgL_test1843z00_2458 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2073, BgL_arg1823z00_2074);
							}
						}
					else
						{	/* Integrate/let_fun.scm 38 */
							BgL_test1843z00_2458 = ((bool_t) 0);
						}
				}
				if (BgL_test1843z00_2458)
					{	/* Integrate/let_fun.scm 39 */
						BgL_valuez00_bglt BgL_arg1316z00_1617;

						BgL_arg1316z00_1617 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_varz00_3))))->BgL_valuez00);
						{	/* Integrate/let_fun.scm 39 */
							obj_t BgL_vz00_2102;

							BgL_vz00_2102 = BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2);
							{
								BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2481;

								{
									obj_t BgL_auxz00_2482;

									{	/* Integrate/let_fun.scm 39 */
										BgL_objectz00_bglt BgL_tmpz00_2483;

										BgL_tmpz00_2483 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_arg1316z00_1617));
										BgL_auxz00_2482 = BGL_OBJECT_WIDENING(BgL_tmpz00_2483);
									}
									BgL_auxz00_2481 =
										((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2482);
								}
								return
									((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2481))->
										BgL_istampz00) = ((obj_t) BgL_vz00_2102), BUNSPEC);
							}
						}
					}
				else
					{	/* Integrate/let_fun.scm 38 */
						return BFALSE;
					}
			}
		}

	}



/* free-fun? */
	bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t BgL_localz00_4)
	{
		{	/* Integrate/let_fun.scm 44 */
			{	/* Integrate/let_fun.scm 48 */
				bool_t BgL_test1847z00_2489;

				{	/* Integrate/let_fun.scm 48 */
					obj_t BgL_arg1322z00_1621;

					{	/* Integrate/let_fun.scm 48 */
						BgL_sfunz00_bglt BgL_oz00_2105;

						BgL_oz00_2105 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_4))))->BgL_valuez00));
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2494;

							{
								obj_t BgL_auxz00_2495;

								{	/* Integrate/let_fun.scm 48 */
									BgL_objectz00_bglt BgL_tmpz00_2496;

									BgL_tmpz00_2496 = ((BgL_objectz00_bglt) BgL_oz00_2105);
									BgL_auxz00_2495 = BGL_OBJECT_WIDENING(BgL_tmpz00_2496);
								}
								BgL_auxz00_2494 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2495);
							}
							BgL_arg1322z00_1621 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2494))->
								BgL_istampz00);
						}
					}
					BgL_test1847z00_2489 =
						(BgL_arg1322z00_1621 ==
						BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2));
				}
				if (BgL_test1847z00_2489)
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 0);
					}
				else
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* displace-let-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_varz00_5)
	{
		{	/* Integrate/let_fun.scm 53 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 =
				(((long) 1) + BGl_za2stampza2z00zzintegrate_letzd2funzd2);
			{	/* Integrate/let_fun.scm 60 */
				obj_t BgL_arg1324z00_1623;
				obj_t BgL_arg1325z00_1624;

				BgL_arg1324z00_1623 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Integrate/let_fun.scm 60 */
					obj_t BgL_list1327z00_1626;

					BgL_list1327z00_1626 = MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
					BgL_arg1325z00_1624 = BgL_list1327z00_1626;
				}
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					((BgL_nodez00_bglt) BgL_arg1324z00_1623), BgL_arg1325z00_1624);
			}
			{	/* Integrate/let_fun.scm 69 */
				obj_t BgL_ledz00_1627;

				{	/* Integrate/let_fun.scm 69 */
					BgL_sfunz00_bglt BgL_oz00_2112;

					BgL_oz00_2112 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5)))->BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2514;

						{
							obj_t BgL_auxz00_2515;

							{	/* Integrate/let_fun.scm 69 */
								BgL_objectz00_bglt BgL_tmpz00_2516;

								BgL_tmpz00_2516 = ((BgL_objectz00_bglt) BgL_oz00_2112);
								BgL_auxz00_2515 = BGL_OBJECT_WIDENING(BgL_tmpz00_2516);
							}
							BgL_auxz00_2514 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2515);
						}
						BgL_ledz00_1627 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2514))->
							BgL_ledz00);
				}}
				{
					obj_t BgL_l1256z00_1629;

					BgL_l1256z00_1629 = BgL_ledz00_1627;
				BgL_zc3z04anonymousza31328ze3z87_1630:
					if (PAIRP(BgL_l1256z00_1629))
						{	/* Integrate/let_fun.scm 70 */
							{	/* Integrate/let_fun.scm 73 */
								obj_t BgL_lz00_1632;

								BgL_lz00_1632 = CAR(BgL_l1256z00_1629);
								if (BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(BgL_lz00_1632))
									{	/* Integrate/let_fun.scm 80 */
										obj_t BgL_arg1331z00_1634;
										obj_t BgL_arg1332z00_1635;

										BgL_arg1331z00_1634 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_lz00_1632)))->
															BgL_valuez00))))->BgL_bodyz00);
										{	/* Integrate/let_fun.scm 81 */
											obj_t BgL_list1334z00_1637;

											BgL_list1334z00_1637 =
												MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
											BgL_arg1332z00_1635 = BgL_list1334z00_1637;
										}
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1331z00_1634),
											BgL_arg1332z00_1635);
									}
								else
									{	/* Integrate/let_fun.scm 74 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1256z00_2533;

								BgL_l1256z00_2533 = CDR(BgL_l1256z00_1629);
								BgL_l1256z00_1629 = BgL_l1256z00_2533;
								goto BgL_zc3z04anonymousza31328ze3z87_1630;
							}
						}
					else
						{	/* Integrate/let_fun.scm 70 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_ledz00_1642;
					obj_t BgL_addedz00_1643;

					BgL_ledz00_1642 = BgL_ledz00_1627;
					BgL_addedz00_1643 = BNIL;
				BgL_zc3z04anonymousza31339ze3z87_1644:
					if (NULLP(BgL_ledz00_1642))
						{	/* Integrate/let_fun.scm 88 */
							obj_t BgL_oldzd2bodyzd2_1646;

							BgL_oldzd2bodyzd2_1646 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_varz00_5)))->
												BgL_valuez00))))->BgL_bodyz00);
							if (NULLP(BgL_addedz00_1643))
								{	/* Integrate/let_fun.scm 89 */
									return BgL_oldzd2bodyzd2_1646;
								}
							else
								{	/* Integrate/let_fun.scm 90 */
									BgL_letzd2funzd2_bglt BgL_newzd2bodyzd2_1648;

									{	/* Integrate/let_fun.scm 90 */
										BgL_letzd2funzd2_bglt BgL_new1110z00_1650;

										{	/* Integrate/let_fun.scm 91 */
											BgL_letzd2funzd2_bglt BgL_new1109z00_1651;

											BgL_new1109z00_1651 =
												((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_letzd2funzd2_bgl))));
											{	/* Integrate/let_fun.scm 91 */
												long BgL_arg1348z00_1652;

												BgL_arg1348z00_1652 =
													BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1109z00_1651),
													BgL_arg1348z00_1652);
											}
											{	/* Integrate/let_fun.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2547;

												BgL_tmpz00_2547 =
													((BgL_objectz00_bglt) BgL_new1109z00_1651);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2547, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1109z00_1651);
											BgL_new1110z00_1650 = BgL_new1109z00_1651;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1110z00_1650)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_oldzd2bodyzd2_1646)))->BgL_locz00)),
											BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1110z00_1650)))->BgL_typez00) =
											((BgL_typez00_bglt)
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
														BgL_oldzd2bodyzd2_1646), ((bool_t) 0))), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1110z00_1650)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1110z00_1650)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1110z00_1650))->
												BgL_localsz00) = ((obj_t) BgL_addedz00_1643), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1110z00_1650))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_oldzd2bodyzd2_1646)), BUNSPEC);
										BgL_newzd2bodyzd2_1648 = BgL_new1110z00_1650;
									}
									{	/* Integrate/let_fun.scm 101 */
										BgL_valuez00_bglt BgL_arg1347z00_1649;

										BgL_arg1347z00_1649 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5)))->
											BgL_valuez00);
										((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_arg1347z00_1649)))->BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_newzd2bodyzd2_1648)), BUNSPEC);
									}
									return ((obj_t) BgL_newzd2bodyzd2_1648);
								}
						}
					else
						{	/* Integrate/let_fun.scm 108 */
							bool_t BgL_test1853z00_2573;

							{	/* Integrate/let_fun.scm 108 */
								obj_t BgL_arg1364z00_1660;

								BgL_arg1364z00_1660 = CAR(((obj_t) BgL_ledz00_1642));
								BgL_test1853z00_2573 =
									BGl_freezd2funzf3z21zzintegrate_letzd2funzd2
									(BgL_arg1364z00_1660);
							}
							if (BgL_test1853z00_2573)
								{	/* Integrate/let_fun.scm 110 */
									obj_t BgL_arg1357z00_1656;
									obj_t BgL_arg1358z00_1657;

									BgL_arg1357z00_1656 = CDR(((obj_t) BgL_ledz00_1642));
									{	/* Integrate/let_fun.scm 110 */
										obj_t BgL_arg1361z00_1658;

										BgL_arg1361z00_1658 = CAR(((obj_t) BgL_ledz00_1642));
										BgL_arg1358z00_1657 =
											MAKE_YOUNG_PAIR(BgL_arg1361z00_1658, BgL_addedz00_1643);
									}
									{
										obj_t BgL_addedz00_2583;
										obj_t BgL_ledz00_2582;

										BgL_ledz00_2582 = BgL_arg1357z00_1656;
										BgL_addedz00_2583 = BgL_arg1358z00_1657;
										BgL_addedz00_1643 = BgL_addedz00_2583;
										BgL_ledz00_1642 = BgL_ledz00_2582;
										goto BgL_zc3z04anonymousza31339ze3z87_1644;
									}
								}
							else
								{	/* Integrate/let_fun.scm 113 */
									obj_t BgL_arg1363z00_1659;

									BgL_arg1363z00_1659 = CDR(((obj_t) BgL_ledz00_1642));
									{
										obj_t BgL_ledz00_2586;

										BgL_ledz00_2586 = BgL_arg1363z00_1659;
										BgL_ledz00_1642 = BgL_ledz00_2586;
										goto BgL_zc3z04anonymousza31339ze3z87_1644;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun! */
	obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2244, obj_t BgL_varz00_2245)
	{
		{	/* Integrate/let_fun.scm 53 */
			return
				BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_varz00_2245);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_proc1776z00zzintegrate_letzd2funzd2, BGl_nodez00zzast_nodez00,
				BGl_string1777z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1264 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1264zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2247, obj_t BgL_nodez00_2248, obj_t BgL_hostsz00_2249)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1778z00zzintegrate_letzd2funzd2,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2248)));
		}

	}



/* displace-let-fun-node! */
	obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt BgL_nodez00_6, obj_t BgL_hostsz00_7)
	{
		{	/* Integrate/let_fun.scm 123 */
			{	/* Integrate/let_fun.scm 123 */
				obj_t BgL_method1265z00_1668;

				{	/* Integrate/let_fun.scm 123 */
					obj_t BgL_res1774z00_2162;

					{	/* Integrate/let_fun.scm 123 */
						long BgL_objzd2classzd2numz00_2133;

						BgL_objzd2classzd2numz00_2133 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Integrate/let_fun.scm 123 */
							obj_t BgL_arg1829z00_2134;

							BgL_arg1829z00_2134 =
								PROCEDURE_REF
								(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
								(int) (((long) 1)));
							{	/* Integrate/let_fun.scm 123 */
								int BgL_offsetz00_2137;

								BgL_offsetz00_2137 = (int) (BgL_objzd2classzd2numz00_2133);
								{	/* Integrate/let_fun.scm 123 */
									long BgL_offsetz00_2138;

									BgL_offsetz00_2138 =
										((long) (BgL_offsetz00_2137) - OBJECT_TYPE);
									{	/* Integrate/let_fun.scm 123 */
										long BgL_modz00_2139;

										BgL_modz00_2139 =
											(BgL_offsetz00_2138 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/let_fun.scm 123 */
											long BgL_restz00_2141;

											BgL_restz00_2141 =
												(BgL_offsetz00_2138 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/let_fun.scm 123 */

												{	/* Integrate/let_fun.scm 123 */
													obj_t BgL_bucketz00_2143;

													BgL_bucketz00_2143 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2134), BgL_modz00_2139);
													BgL_res1774z00_2162 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2143), BgL_restz00_2141);
					}}}}}}}}
					BgL_method1265z00_1668 = BgL_res1774z00_2162;
				}
				return
					PROCEDURE_ENTRY(BgL_method1265z00_1668) (BgL_method1265z00_1668,
					((obj_t) BgL_nodez00_6), BgL_hostsz00_7, BEOA);
			}
		}

	}



/* &displace-let-fun-node! */
	obj_t BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2250, obj_t BgL_nodez00_2251, obj_t BgL_hostsz00_2252)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2251), BgL_hostsz00_2252);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_atomz00zzast_nodez00, BGl_proc1779z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_kwotez00zzast_nodez00, BGl_proc1781z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_varz00zzast_nodez00, BGl_proc1782z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_closurez00zzast_nodez00, BGl_proc1783z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1784z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1785z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appz00zzast_nodez00, BGl_proc1786z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1787z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1788z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_externz00zzast_nodez00, BGl_proc1789z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_castz00zzast_nodez00, BGl_proc1790z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1791z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1792z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_failz00zzast_nodez00, BGl_proc1793z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1794z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1795z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1796z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1797z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1798z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1799z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1800z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1801z00zzintegrate_letzd2funzd2,
				BGl_string1780z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1309 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1309zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2275, obj_t BgL_nodez00_2276, obj_t BgL_hostsz00_2277)
	{
		{	/* Integrate/let_fun.scm 323 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1307 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1307zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2278, obj_t BgL_nodez00_2279, obj_t BgL_hostsz00_2280)
	{
		{	/* Integrate/let_fun.scm 317 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1305 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2281, obj_t BgL_nodez00_2282, obj_t BgL_hostsz00_2283)
	{
		{	/* Integrate/let_fun.scm 310 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2282)))->BgL_valuez00),
				BgL_hostsz00_2283);
		}

	}



/* &displace-let-fun-nod1303 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2284, obj_t BgL_nodez00_2285, obj_t BgL_hostsz00_2286)
	{
		{	/* Integrate/let_fun.scm 302 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2285)))->BgL_exitz00),
				BgL_hostsz00_2286);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2285)))->BgL_valuez00), BgL_hostsz00_2286);
		}

	}



/* &displace-let-fun-nod1301 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2287, obj_t BgL_nodez00_2288, obj_t BgL_hostsz00_2289)
	{
		{	/* Integrate/let_fun.scm 294 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2288)))->BgL_onexitz00),
				BgL_hostsz00_2289);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2288)))->BgL_bodyz00), BgL_hostsz00_2289);
		}

	}



/* &displace-let-fun-nod1299 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1299zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2290, obj_t BgL_nodez00_2291, obj_t BgL_hostsz00_2292)
	{
		{	/* Integrate/let_fun.scm 280 */
			{	/* Integrate/let_fun.scm 282 */
				obj_t BgL_g1129z00_2361;

				BgL_g1129z00_2361 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2291)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2363;

					BgL_bindingsz00_2363 = BgL_g1129z00_2361;
				BgL_liipz00_2362:
					if (NULLP(BgL_bindingsz00_2363))
						{	/* Integrate/let_fun.scm 283 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2291)))->
									BgL_bodyz00), BgL_hostsz00_2292);
						}
					else
						{	/* Integrate/let_fun.scm 285 */
							obj_t BgL_bindingz00_2364;

							BgL_bindingz00_2364 = CAR(((obj_t) BgL_bindingsz00_2363));
							{	/* Integrate/let_fun.scm 286 */
								obj_t BgL_valz00_2365;

								BgL_valz00_2365 = CDR(((obj_t) BgL_bindingz00_2364));
								{	/* Integrate/let_fun.scm 287 */

									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_valz00_2365), BgL_hostsz00_2292);
									{	/* Integrate/let_fun.scm 289 */
										obj_t BgL_arg1597z00_2366;

										BgL_arg1597z00_2366 = CDR(((obj_t) BgL_bindingsz00_2363));
										{
											obj_t BgL_bindingsz00_2678;

											BgL_bindingsz00_2678 = BgL_arg1597z00_2366;
											BgL_bindingsz00_2363 = BgL_bindingsz00_2678;
											goto BgL_liipz00_2362;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1297 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1297zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294, obj_t BgL_hostsz00_2295)
	{
		{	/* Integrate/let_fun.scm 250 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_g1126z00_2368;

				BgL_g1126z00_2368 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2294)))->BgL_localsz00);
				{
					obj_t BgL_oldz00_2370;
					obj_t BgL_newz00_2371;

					BgL_oldz00_2370 = BgL_g1126z00_2368;
					BgL_newz00_2371 = BNIL;
				BgL_liipz00_2369:
					if (NULLP(BgL_oldz00_2370))
						{	/* Tools/trace.sch 53 */
							((((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2294)))->
									BgL_localsz00) = ((obj_t) BgL_newz00_2371), BUNSPEC);
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
										(BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_2294)))->BgL_bodyz00), BgL_hostsz00_2295);
						}
					else
						{	/* Tools/trace.sch 53 */
							bool_t BgL_test1856z00_2688;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1584z00_2372;

								{	/* Tools/trace.sch 53 */
									BgL_sfunz00_bglt BgL_oz00_2373;

									BgL_oz00_2373 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(
																((obj_t) BgL_oldz00_2370))))))->BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2695;

										{
											obj_t BgL_auxz00_2696;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_2697;

												BgL_tmpz00_2697 = ((BgL_objectz00_bglt) BgL_oz00_2373);
												BgL_auxz00_2696 = BGL_OBJECT_WIDENING(BgL_tmpz00_2697);
											}
											BgL_auxz00_2695 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2696);
										}
										BgL_arg1584z00_2372 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2695))->
											BgL_lz00);
									}
								}
								BgL_test1856z00_2688 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1584z00_2372, BgL_hostsz00_2295));
							}
							if (BgL_test1856z00_2688)
								{	/* Tools/trace.sch 53 */
									obj_t BgL_lz00_2374;

									BgL_lz00_2374 = CAR(((obj_t) BgL_oldz00_2370));
									BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(BgL_lz00_2374);
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1570z00_2375;
										obj_t BgL_arg1571z00_2376;

										BgL_arg1570z00_2375 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_2374))))->
															BgL_valuez00))))->BgL_bodyz00);
										BgL_arg1571z00_2376 =
											MAKE_YOUNG_PAIR(BgL_lz00_2374, BgL_hostsz00_2295);
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1570z00_2375),
											BgL_arg1571z00_2376);
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1581z00_2377;
										obj_t BgL_arg1582z00_2378;

										BgL_arg1581z00_2377 = CDR(((obj_t) BgL_oldz00_2370));
										BgL_arg1582z00_2378 =
											MAKE_YOUNG_PAIR(BgL_lz00_2374, BgL_newz00_2371);
										{
											obj_t BgL_newz00_2719;
											obj_t BgL_oldz00_2718;

											BgL_oldz00_2718 = BgL_arg1581z00_2377;
											BgL_newz00_2719 = BgL_arg1582z00_2378;
											BgL_newz00_2371 = BgL_newz00_2719;
											BgL_oldz00_2370 = BgL_oldz00_2718;
											goto BgL_liipz00_2369;
										}
									}
								}
							else
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1583z00_2379;

									BgL_arg1583z00_2379 = CDR(((obj_t) BgL_oldz00_2370));
									{
										obj_t BgL_oldz00_2722;

										BgL_oldz00_2722 = BgL_arg1583z00_2379;
										BgL_oldz00_2370 = BgL_oldz00_2722;
										goto BgL_liipz00_2369;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1295 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1295zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297, obj_t BgL_hostsz00_2298)
	{
		{	/* Integrate/let_fun.scm 238 */
			{	/* Integrate/let_fun.scm 240 */
				obj_t BgL_g1124z00_2381;

				BgL_g1124z00_2381 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2297)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2383;

					BgL_clausesz00_2383 = BgL_g1124z00_2381;
				BgL_liipz00_2382:
					if (NULLP(BgL_clausesz00_2383))
						{	/* Integrate/let_fun.scm 241 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2297)))->BgL_testz00),
								BgL_hostsz00_2298);
						}
					else
						{	/* Integrate/let_fun.scm 241 */
							{	/* Integrate/let_fun.scm 244 */
								obj_t BgL_arg1543z00_2384;

								{	/* Integrate/let_fun.scm 244 */
									obj_t BgL_pairz00_2385;

									BgL_pairz00_2385 = CAR(((obj_t) BgL_clausesz00_2383));
									BgL_arg1543z00_2384 = CDR(BgL_pairz00_2385);
								}
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1543z00_2384), BgL_hostsz00_2298);
							}
							{	/* Integrate/let_fun.scm 245 */
								obj_t BgL_arg1551z00_2386;

								BgL_arg1551z00_2386 = CDR(((obj_t) BgL_clausesz00_2383));
								{
									obj_t BgL_clausesz00_2737;

									BgL_clausesz00_2737 = BgL_arg1551z00_2386;
									BgL_clausesz00_2383 = BgL_clausesz00_2737;
									goto BgL_liipz00_2382;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1293 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1293zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2299, obj_t BgL_nodez00_2300, obj_t BgL_hostsz00_2301)
	{
		{	/* Integrate/let_fun.scm 229 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2300)))->BgL_procz00),
				BgL_hostsz00_2301);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2300)))->
					BgL_msgz00), BgL_hostsz00_2301);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2300)))->
					BgL_objz00), BgL_hostsz00_2301);
		}

	}



/* &displace-let-fun-nod1291 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1291zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2302, obj_t BgL_nodez00_2303, obj_t BgL_hostsz00_2304)
	{
		{	/* Integrate/let_fun.scm 220 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2303)))->BgL_testz00),
				BgL_hostsz00_2304);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2303)))->BgL_truez00), BgL_hostsz00_2304);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2303)))->BgL_falsez00), BgL_hostsz00_2304);
		}

	}



/* &displace-let-fun-nod1289 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1289zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2305, obj_t BgL_nodez00_2306, obj_t BgL_hostsz00_2307)
	{
		{	/* Integrate/let_fun.scm 213 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2306)))->BgL_valuez00),
				BgL_hostsz00_2307);
		}

	}



/* &displace-let-fun-nod1287 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1287zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2308, obj_t BgL_nodez00_2309, obj_t BgL_hostsz00_2310)
	{
		{	/* Integrate/let_fun.scm 206 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2309)))->BgL_argz00),
				BgL_hostsz00_2310);
		}

	}



/* &displace-let-fun-nod1285 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1285zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2311, obj_t BgL_nodez00_2312, obj_t BgL_hostsz00_2313)
	{
		{	/* Integrate/let_fun.scm 199 */
			{	/* Integrate/let_fun.scm 200 */
				bool_t BgL_tmpz00_2762;

				{	/* Integrate/let_fun.scm 201 */
					obj_t BgL_g1263z00_2392;

					BgL_g1263z00_2392 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2312)))->BgL_exprza2za2);
					{
						obj_t BgL_l1261z00_2394;

						BgL_l1261z00_2394 = BgL_g1263z00_2392;
					BgL_zc3z04anonymousza31457ze3z87_2393:
						if (PAIRP(BgL_l1261z00_2394))
							{	/* Integrate/let_fun.scm 201 */
								{	/* Integrate/let_fun.scm 201 */
									obj_t BgL_nodez00_2395;

									BgL_nodez00_2395 = CAR(BgL_l1261z00_2394);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2395), BgL_hostsz00_2313);
								}
								{
									obj_t BgL_l1261z00_2770;

									BgL_l1261z00_2770 = CDR(BgL_l1261z00_2394);
									BgL_l1261z00_2394 = BgL_l1261z00_2770;
									goto BgL_zc3z04anonymousza31457ze3z87_2393;
								}
							}
						else
							{	/* Integrate/let_fun.scm 201 */
								BgL_tmpz00_2762 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2762);
			}
		}

	}



/* &displace-let-fun-nod1283 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1283zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2314, obj_t BgL_nodez00_2315, obj_t BgL_hostsz00_2316)
	{
		{	/* Integrate/let_fun.scm 187 */
			{
				obj_t BgL_astsz00_2398;

				BgL_astsz00_2398 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2315)))->BgL_argsz00);
			BgL_liipz00_2397:
				if (NULLP(BgL_astsz00_2398))
					{	/* Integrate/let_fun.scm 190 */
						return
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_2315)))->BgL_funz00),
							BgL_hostsz00_2316);
					}
				else
					{	/* Integrate/let_fun.scm 190 */
						{	/* Integrate/let_fun.scm 193 */
							obj_t BgL_arg1454z00_2399;

							BgL_arg1454z00_2399 = CAR(((obj_t) BgL_astsz00_2398));
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								((BgL_nodez00_bglt) BgL_arg1454z00_2399), BgL_hostsz00_2316);
						}
						{	/* Integrate/let_fun.scm 194 */
							obj_t BgL_arg1456z00_2400;

							BgL_arg1456z00_2400 = CDR(((obj_t) BgL_astsz00_2398));
							{
								obj_t BgL_astsz00_2784;

								BgL_astsz00_2784 = BgL_arg1456z00_2400;
								BgL_astsz00_2398 = BgL_astsz00_2784;
								goto BgL_liipz00_2397;
							}
						}
					}
			}
		}

	}



/* &displace-let-fun-nod1281 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1281zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2317, obj_t BgL_nodez00_2318, obj_t BgL_hostsz00_2319)
	{
		{	/* Integrate/let_fun.scm 179 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2318)))->BgL_funz00),
				BgL_hostsz00_2319);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2318)))->BgL_argz00), BgL_hostsz00_2319);
		}

	}



/* &displace-let-fun-nod1279 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1279zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2320, obj_t BgL_nodez00_2321, obj_t BgL_hostsz00_2322)
	{
		{	/* Integrate/let_fun.scm 168 */
			{	/* Integrate/let_fun.scm 169 */
				obj_t BgL_g1113z00_2403;

				BgL_g1113z00_2403 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2321)))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2405;

					BgL_argsz00_2405 = BgL_g1113z00_2403;
				BgL_liipz00_2404:
					if (NULLP(BgL_argsz00_2405))
						{	/* Integrate/let_fun.scm 170 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 170 */
							{	/* Integrate/let_fun.scm 173 */
								obj_t BgL_arg1400z00_2406;

								BgL_arg1400z00_2406 = CAR(((obj_t) BgL_argsz00_2405));
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1400z00_2406), BgL_hostsz00_2322);
							}
							{	/* Integrate/let_fun.scm 174 */
								obj_t BgL_arg1401z00_2407;

								BgL_arg1401z00_2407 = CDR(((obj_t) BgL_argsz00_2405));
								{
									obj_t BgL_argsz00_2803;

									BgL_argsz00_2803 = BgL_arg1401z00_2407;
									BgL_argsz00_2405 = BgL_argsz00_2803;
									goto BgL_liipz00_2404;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1277 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1277zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2323, obj_t BgL_nodez00_2324, obj_t BgL_hostsz00_2325)
	{
		{	/* Integrate/let_fun.scm 159 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2324)))->BgL_mutexz00),
				BgL_hostsz00_2325);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2324)))->
					BgL_prelockz00), BgL_hostsz00_2325);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2324)))->
					BgL_bodyz00), BgL_hostsz00_2325);
		}

	}



/* &displace-let-fun-nod1275 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1275zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2326, obj_t BgL_nodez00_2327, obj_t BgL_hostsz00_2328)
	{
		{	/* Integrate/let_fun.scm 152 */
			{	/* Integrate/let_fun.scm 153 */
				bool_t BgL_tmpz00_2813;

				{	/* Integrate/let_fun.scm 154 */
					obj_t BgL_g1260z00_2410;

					BgL_g1260z00_2410 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2327)))->BgL_nodesz00);
					{
						obj_t BgL_l1258z00_2412;

						BgL_l1258z00_2412 = BgL_g1260z00_2410;
					BgL_zc3z04anonymousza31370ze3z87_2411:
						if (PAIRP(BgL_l1258z00_2412))
							{	/* Integrate/let_fun.scm 154 */
								{	/* Integrate/let_fun.scm 154 */
									obj_t BgL_nodez00_2413;

									BgL_nodez00_2413 = CAR(BgL_l1258z00_2412);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2413), BgL_hostsz00_2328);
								}
								{
									obj_t BgL_l1258z00_2821;

									BgL_l1258z00_2821 = CDR(BgL_l1258z00_2412);
									BgL_l1258z00_2412 = BgL_l1258z00_2821;
									goto BgL_zc3z04anonymousza31370ze3z87_2411;
								}
							}
						else
							{	/* Integrate/let_fun.scm 154 */
								BgL_tmpz00_2813 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2813);
			}
		}

	}



/* &displace-let-fun-nod1273 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1273zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2329, obj_t BgL_nodez00_2330, obj_t BgL_hostsz00_2331)
	{
		{	/* Integrate/let_fun.scm 146 */
			{	/* Integrate/let_fun.scm 147 */
				obj_t BgL_arg1369z00_2415;

				BgL_arg1369z00_2415 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2330)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1802z00zzintegrate_letzd2funzd2,
					BGl_string1803z00zzintegrate_letzd2funzd2, BgL_arg1369z00_2415);
			}
		}

	}



/* &displace-let-fun-nod1271 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2332, obj_t BgL_nodez00_2333, obj_t BgL_hostsz00_2334)
	{
		{	/* Integrate/let_fun.scm 140 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1269 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1269zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2335, obj_t BgL_nodez00_2336, obj_t BgL_hostsz00_2337)
	{
		{	/* Integrate/let_fun.scm 134 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1267 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1267zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2338, obj_t BgL_nodez00_2339, obj_t BgL_hostsz00_2340)
	{
		{	/* Integrate/let_fun.scm 128 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1804z00zzintegrate_letzd2funzd2));
		}

	}

#ifdef __cplusplus
}
#endif
