/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/loc2glo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
		= BUNSPEC;
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31();
	extern obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	static obj_t
		BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1624z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1624za700za7za7i1633za7, "'", 1);
	      DEFINE_STRING(BGl_string1625z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1625za700za7za7i1634za7, "~", 1);
	      DEFINE_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1626za700za7za7i1635za7, "integrate_local->global", 23);
	      DEFINE_STRING(BGl_string1627z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1627za700za7za7i1636za7, "now a-integrated-body sfun ", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31,
		BgL_bgl_za762localza7d2za7e3gl1637za7,
		BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_za762theza7d2globalza71638za7,
		BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31));
		     ADD_ROOT((void
				*) (&BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long
		BgL_checksumz00_2067, char *BgL_fromz00_2068)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
					BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					return BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"integrate_local->global");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			{	/* Integrate/loc2glo.scm 15 */
				obj_t BgL_cportz00_2055;

				{	/* Integrate/loc2glo.scm 15 */
					obj_t BgL_stringz00_2063;

					BgL_stringz00_2063 =
						BGl_string1627z00zzintegrate_localzd2ze3globalz31;
					{	/* Integrate/loc2glo.scm 15 */
						obj_t BgL_startz00_2064;

						BgL_startz00_2064 = BINT(((long) 0));
						{	/* Integrate/loc2glo.scm 15 */
							obj_t BgL_endz00_2065;

							BgL_endz00_2065 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2063)));
							{	/* Integrate/loc2glo.scm 15 */

								BgL_cportz00_2055 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2063, BgL_startz00_2064, BgL_endz00_2065);
				}}}}
				{
					long BgL_iz00_2056;

					BgL_iz00_2056 = ((long) 2);
				BgL_loopz00_2057:
					if ((BgL_iz00_2056 == ((long) -1)))
						{	/* Integrate/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/loc2glo.scm 15 */
							{	/* Integrate/loc2glo.scm 15 */
								obj_t BgL_arg1632z00_2059;

								{	/* Integrate/loc2glo.scm 15 */

									{	/* Integrate/loc2glo.scm 15 */
										obj_t BgL_locationz00_2061;

										BgL_locationz00_2061 = BBOOL(((bool_t) 0));
										{	/* Integrate/loc2glo.scm 15 */

											BgL_arg1632z00_2059 =
												BGl_readz00zz__readerz00(BgL_cportz00_2055,
												BgL_locationz00_2061);
										}
									}
								}
								{	/* Integrate/loc2glo.scm 15 */
									int BgL_tmpz00_2095;

									BgL_tmpz00_2095 = (int) (BgL_iz00_2056);
									CNST_TABLE_SET(BgL_tmpz00_2095, BgL_arg1632z00_2059);
							}}
							{	/* Integrate/loc2glo.scm 15 */
								int BgL_auxz00_2062;

								BgL_auxz00_2062 = (int) ((BgL_iz00_2056 - ((long) 1)));
								{
									long BgL_iz00_2100;

									BgL_iz00_2100 = (long) (BgL_auxz00_2062);
									BgL_iz00_2056 = BgL_iz00_2100;
									goto BgL_loopz00_2057;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			return (BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 =
				bstring_to_symbol(BGl_string1624z00zzintegrate_localzd2ze3globalz31),
				BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1571;

				BgL_headz00_1571 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1572;
					obj_t BgL_tailz00_1573;

					BgL_prevz00_1572 = BgL_headz00_1571;
					BgL_tailz00_1573 = BgL_l1z00_1;
				BgL_loopz00_1574:
					if (PAIRP(BgL_tailz00_1573))
						{
							obj_t BgL_newzd2prevzd2_1576;

							BgL_newzd2prevzd2_1576 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1573), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1572, BgL_newzd2prevzd2_1576);
							{
								obj_t BgL_tailz00_2111;
								obj_t BgL_prevz00_2110;

								BgL_prevz00_2110 = BgL_newzd2prevzd2_1576;
								BgL_tailz00_2111 = CDR(BgL_tailz00_1573);
								BgL_tailz00_1573 = BgL_tailz00_2111;
								BgL_prevz00_1572 = BgL_prevz00_2110;
								goto BgL_loopz00_1574;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1571);
				}
			}
		}

	}



/* local->global */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Integrate/loc2glo.scm 35 */
			{	/* Integrate/loc2glo.scm 38 */
				obj_t BgL_globalz00_1579;

				BgL_globalz00_1579 =
					BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_3);
				{	/* Integrate/loc2glo.scm 38 */
					obj_t BgL_kapturedz00_1580;

					{	/* Integrate/loc2glo.scm 39 */
						BgL_sfunz00_bglt BgL_oz00_1878;

						BgL_oz00_1878 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00));
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2118;

							{
								obj_t BgL_auxz00_2119;

								{	/* Integrate/loc2glo.scm 39 */
									BgL_objectz00_bglt BgL_tmpz00_2120;

									BgL_tmpz00_2120 = ((BgL_objectz00_bglt) BgL_oz00_1878);
									BgL_auxz00_2119 = BGL_OBJECT_WIDENING(BgL_tmpz00_2120);
								}
								BgL_auxz00_2118 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2119);
							}
							BgL_kapturedz00_1580 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2118))->
								BgL_kapturedz00);
						}
					}
					{	/* Integrate/loc2glo.scm 39 */
						obj_t BgL_addzd2argszd2_1581;

						if (NULLP(BgL_kapturedz00_1580))
							{	/* Integrate/loc2glo.scm 40 */
								BgL_addzd2argszd2_1581 = BNIL;
							}
						else
							{	/* Integrate/loc2glo.scm 40 */
								obj_t BgL_head1261z00_1640;

								BgL_head1261z00_1640 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1259z00_1642;
									obj_t BgL_tail1262z00_1643;

									BgL_l1259z00_1642 = BgL_kapturedz00_1580;
									BgL_tail1262z00_1643 = BgL_head1261z00_1640;
								BgL_zc3z04anonymousza31323ze3z87_1644:
									if (NULLP(BgL_l1259z00_1642))
										{	/* Integrate/loc2glo.scm 40 */
											BgL_addzd2argszd2_1581 = CDR(BgL_head1261z00_1640);
										}
									else
										{	/* Integrate/loc2glo.scm 40 */
											obj_t BgL_newtail1263z00_1646;

											{	/* Integrate/loc2glo.scm 40 */
												BgL_localz00_bglt BgL_arg1326z00_1648;

												{	/* Integrate/loc2glo.scm 40 */
													obj_t BgL_oldz00_1649;

													BgL_oldz00_1649 = CAR(((obj_t) BgL_l1259z00_1642));
													{	/* Integrate/loc2glo.scm 42 */
														BgL_svarz00_bglt BgL_arg1328z00_1650;

														{	/* Integrate/loc2glo.scm 42 */
															BgL_svarz00_bglt BgL_duplicated1111z00_1651;
															BgL_svarz00_bglt BgL_new1109z00_1652;

															BgL_duplicated1111z00_1651 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_oldz00_1649))))->BgL_valuez00));
															{	/* Integrate/loc2glo.scm 42 */
																BgL_svarz00_bglt BgL_tmp1118z00_1658;
																BgL_svarzf2iinfozf2_bglt BgL_wide1119z00_1659;

																{
																	BgL_svarz00_bglt BgL_auxz00_2137;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_svarz00_bglt BgL_new1117z00_1661;

																		BgL_new1117z00_1661 =
																			((BgL_svarz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_svarz00_bgl))));
																		{	/* Integrate/loc2glo.scm 42 */
																			long BgL_arg1332z00_1662;

																			BgL_arg1332z00_1662 =
																				BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1117z00_1661),
																				BgL_arg1332z00_1662);
																		}
																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2142;

																			BgL_tmpz00_2142 =
																				((BgL_objectz00_bglt)
																				BgL_new1117z00_1661);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2142,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1117z00_1661);
																		BgL_auxz00_2137 = BgL_new1117z00_1661;
																	}
																	BgL_tmp1118z00_1658 =
																		((BgL_svarz00_bglt) BgL_auxz00_2137);
																}
																BgL_wide1119z00_1659 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/loc2glo.scm 42 */
																	obj_t BgL_auxz00_2150;
																	BgL_objectz00_bglt BgL_tmpz00_2148;

																	BgL_auxz00_2150 =
																		((obj_t) BgL_wide1119z00_1659);
																	BgL_tmpz00_2148 =
																		((BgL_objectz00_bglt) BgL_tmp1118z00_1658);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2148,
																		BgL_auxz00_2150);
																}
																((BgL_objectz00_bglt) BgL_tmp1118z00_1658);
																{	/* Integrate/loc2glo.scm 42 */
																	long BgL_arg1331z00_1660;

																	BgL_arg1331z00_1660 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1118z00_1658),
																		BgL_arg1331z00_1660);
																}
																BgL_new1109z00_1652 =
																	((BgL_svarz00_bglt) BgL_tmp1118z00_1658);
															}
															((((BgL_svarz00_bglt) COBJECT(
																			((BgL_svarz00_bglt)
																				BgL_new1109z00_1652)))->BgL_locz00) =
																((obj_t) (((BgL_svarz00_bglt)
																			COBJECT(BgL_duplicated1111z00_1651))->
																		BgL_locz00)), BUNSPEC);
															{
																obj_t BgL_auxz00_2167;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2161;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2168;

																	{
																		obj_t BgL_auxz00_2169;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2170;

																			BgL_tmpz00_2170 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1111z00_1651));
																			BgL_auxz00_2169 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2170);
																		}
																		BgL_auxz00_2168 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2169);
																	}
																	BgL_auxz00_2167 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2168))->
																		BgL_fzd2markzd2);
																}
																{
																	obj_t BgL_auxz00_2162;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2163;

																		BgL_tmpz00_2163 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1652);
																		BgL_auxz00_2162 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2163);
																	}
																	BgL_auxz00_2161 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2162);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2161))->
																		BgL_fzd2markzd2) =
																	((obj_t) BgL_auxz00_2167), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2183;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2177;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2184;

																	{
																		obj_t BgL_auxz00_2185;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2186;

																			BgL_tmpz00_2186 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1111z00_1651));
																			BgL_auxz00_2185 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2186);
																		}
																		BgL_auxz00_2184 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2185);
																	}
																	BgL_auxz00_2183 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2184))->
																		BgL_uzd2markzd2);
																}
																{
																	obj_t BgL_auxz00_2178;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2179;

																		BgL_tmpz00_2179 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1652);
																		BgL_auxz00_2178 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2179);
																	}
																	BgL_auxz00_2177 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2178);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2177))->
																		BgL_uzd2markzd2) =
																	((obj_t) BgL_auxz00_2183), BUNSPEC);
															}
															{
																bool_t BgL_auxz00_2199;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2193;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2200;

																	{
																		obj_t BgL_auxz00_2201;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2202;

																			BgL_tmpz00_2202 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1111z00_1651));
																			BgL_auxz00_2201 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2202);
																		}
																		BgL_auxz00_2200 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2201);
																	}
																	BgL_auxz00_2199 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2200))->
																		BgL_kapturedzf3zf3);
																}
																{
																	obj_t BgL_auxz00_2194;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2195;

																		BgL_tmpz00_2195 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1652);
																		BgL_auxz00_2194 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2195);
																	}
																	BgL_auxz00_2193 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2194);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2193))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) BgL_auxz00_2199), BUNSPEC);
															}
															{
																bool_t BgL_auxz00_2215;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2209;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2216;

																	{
																		obj_t BgL_auxz00_2217;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2218;

																			BgL_tmpz00_2218 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1111z00_1651));
																			BgL_auxz00_2217 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2218);
																		}
																		BgL_auxz00_2216 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2217);
																	}
																	BgL_auxz00_2215 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2216))->
																		BgL_celledzf3zf3);
																}
																{
																	obj_t BgL_auxz00_2210;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2211;

																		BgL_tmpz00_2211 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1652);
																		BgL_auxz00_2210 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2211);
																	}
																	BgL_auxz00_2209 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2210);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2209))->
																		BgL_celledzf3zf3) =
																	((bool_t) BgL_auxz00_2215), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2231;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2225;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2232;

																	{
																		obj_t BgL_auxz00_2233;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2234;

																			BgL_tmpz00_2234 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1111z00_1651));
																			BgL_auxz00_2233 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2234);
																		}
																		BgL_auxz00_2232 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2233);
																	}
																	BgL_auxz00_2231 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2232))->BgL_xhdlz00);
																}
																{
																	obj_t BgL_auxz00_2226;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2227;

																		BgL_tmpz00_2227 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1652);
																		BgL_auxz00_2226 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2227);
																	}
																	BgL_auxz00_2225 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2226);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2225))->BgL_xhdlz00) =
																	((obj_t) BgL_auxz00_2231), BUNSPEC);
															}
															BgL_arg1328z00_1650 = BgL_new1109z00_1652;
														}
														BgL_arg1326z00_1648 =
															BGl_clonezd2localzd2zzast_localz00(
															((BgL_localz00_bglt) BgL_oldz00_1649),
															((BgL_valuez00_bglt) BgL_arg1328z00_1650));
												}}
												BgL_newtail1263z00_1646 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1326z00_1648), BNIL);
											}
											SET_CDR(BgL_tail1262z00_1643, BgL_newtail1263z00_1646);
											{	/* Integrate/loc2glo.scm 40 */
												obj_t BgL_arg1325z00_1647;

												BgL_arg1325z00_1647 = CDR(((obj_t) BgL_l1259z00_1642));
												{
													obj_t BgL_tail1262z00_2250;
													obj_t BgL_l1259z00_2249;

													BgL_l1259z00_2249 = BgL_arg1325z00_1647;
													BgL_tail1262z00_2250 = BgL_newtail1263z00_1646;
													BgL_tail1262z00_1643 = BgL_tail1262z00_2250;
													BgL_l1259z00_1642 = BgL_l1259z00_2249;
													goto BgL_zc3z04anonymousza31323ze3z87_1644;
												}
											}
										}
								}
							}
						{	/* Integrate/loc2glo.scm 40 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1582;

							BgL_oldzd2funzd2_1582 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
							{	/* Integrate/loc2glo.scm 45 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1583;

								{	/* Integrate/loc2glo.scm 46 */
									BgL_sfunz00_bglt BgL_new1120z00_1620;

									{	/* Integrate/loc2glo.scm 47 */
										BgL_sfunz00_bglt BgL_new1134z00_1636;

										BgL_new1134z00_1636 =
											((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunz00_bgl))));
										{	/* Integrate/loc2glo.scm 47 */
											long BgL_arg1321z00_1637;

											BgL_arg1321z00_1637 =
												BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1134z00_1636),
												BgL_arg1321z00_1637);
										}
										{	/* Integrate/loc2glo.scm 47 */
											BgL_objectz00_bglt BgL_tmpz00_2257;

											BgL_tmpz00_2257 =
												((BgL_objectz00_bglt) BgL_new1134z00_1636);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2257, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1134z00_1636);
										BgL_new1120z00_1620 = BgL_new1134z00_1636;
									}
									{
										long BgL_auxz00_2261;

										{	/* Integrate/loc2glo.scm 47 */
											long BgL_arg1314z00_1621;
											long BgL_arg1316z00_1622;

											BgL_arg1314z00_1621 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1582))))->
												BgL_arityz00);
											BgL_arg1316z00_1622 =
												bgl_list_length(BgL_addzd2argszd2_1581);
											BgL_auxz00_2261 =
												(long)
												CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg1314z00_1621), BINT(BgL_arg1316z00_1622)));
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1120z00_1620)))->
												BgL_arityz00) = ((long) BgL_auxz00_2261), BUNSPEC);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_new1120z00_1620)))->
											BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_predicatezd2ofzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->BgL_predicatezd2ofzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_stackzd2allocatorzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->
												BgL_stackzd2allocatorzd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_topzf3zf3) =
										((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->BgL_topzf3zf3)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_thezd2closurezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->BgL_thezd2closurezd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_effectz00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->BgL_effectz00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_failsafez00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->BgL_failsafez00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_argszd2noescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->
												BgL_argszd2noescapezd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1120z00_1620)))->BgL_argszd2retescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1582)))->
												BgL_argszd2retescapezd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_propertyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_propertyz00)),
										BUNSPEC);
									{
										obj_t BgL_auxz00_2312;

										{	/* Integrate/loc2glo.scm 48 */
											obj_t BgL_arg1317z00_1624;
											obj_t BgL_arg1320z00_1625;

											BgL_arg1317z00_1624 = bgl_reverse(BgL_addzd2argszd2_1581);
											BgL_arg1320z00_1625 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1582)))->
												BgL_argsz00);
											BgL_auxz00_2312 =
												BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31
												(BgL_arg1317z00_1624, BgL_arg1320z00_1625);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_2312), BUNSPEC);
									}
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_argszd2namezd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_argszd2namezd2)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_bodyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_bodyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_classz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_classz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_dssslzd2keywordszd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->
												BgL_dssslzd2keywordszd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_locz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_locz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_optionalsz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_optionalsz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_keysz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_keysz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->
												BgL_thezd2closurezd2globalz00)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_strengthz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_strengthz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1120z00_1620))->
											BgL_stackablez00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1582))))->BgL_stackablez00)),
										BUNSPEC);
									BgL_newzd2funzd2_1583 = BgL_new1120z00_1620;
								}
								{	/* Integrate/loc2glo.scm 46 */

									{	/* Integrate/loc2glo.scm 51 */
										BgL_typez00_bglt BgL_arg1284z00_1584;

										BgL_arg1284z00_1584 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_3)))->
											BgL_typez00);
										((((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
																BgL_globalz00_1579))))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_arg1284z00_1584), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 52 */
										obj_t BgL_g1266z00_1585;

										BgL_g1266z00_1585 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1583))->
											BgL_argsz00);
										{
											obj_t BgL_l1264z00_1587;

											BgL_l1264z00_1587 = BgL_g1266z00_1585;
										BgL_zc3z04anonymousza31285ze3z87_1588:
											if (PAIRP(BgL_l1264z00_1587))
												{	/* Integrate/loc2glo.scm 55 */
													{	/* Integrate/loc2glo.scm 53 */
														obj_t BgL_lz00_1590;

														BgL_lz00_1590 = CAR(BgL_l1264z00_1587);
														if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_lz00_1590)))
															{	/* Integrate/loc2glo.scm 54 */
																BgL_typez00_bglt BgL_vz00_1916;

																BgL_vz00_1916 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt) (
																						(BgL_localz00_bglt)
																						BgL_lz00_1590))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_1916), BUNSPEC);
															}
														else
															{	/* Integrate/loc2glo.scm 53 */
																BFALSE;
															}
													}
													{
														obj_t BgL_l1264z00_2374;

														BgL_l1264z00_2374 = CDR(BgL_l1264z00_1587);
														BgL_l1264z00_1587 = BgL_l1264z00_2374;
														goto BgL_zc3z04anonymousza31285ze3z87_1588;
													}
												}
											else
												{	/* Integrate/loc2glo.scm 55 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/loc2glo.scm 57 */
										obj_t BgL_arg1296z00_1594;

										{	/* Integrate/loc2glo.scm 57 */
											obj_t BgL_arg1297z00_1595;
											obj_t BgL_arg1298z00_1596;

											BgL_arg1297z00_1595 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1582)))->
												BgL_bodyz00);
											if (NULLP(BgL_kapturedz00_1580))
												{	/* Integrate/loc2glo.scm 59 */
													BgL_arg1298z00_1596 = BNIL;
												}
											else
												{	/* Integrate/loc2glo.scm 59 */
													obj_t BgL_head1269z00_1600;

													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_arg1310z00_1616;

														{	/* Integrate/loc2glo.scm 59 */
															obj_t BgL_arg1311z00_1617;
															obj_t BgL_arg1313z00_1618;

															BgL_arg1311z00_1617 =
																CAR(((obj_t) BgL_kapturedz00_1580));
															BgL_arg1313z00_1618 =
																CAR(((obj_t) BgL_addzd2argszd2_1581));
															BgL_arg1310z00_1616 =
																MAKE_YOUNG_PAIR(BgL_arg1311z00_1617,
																BgL_arg1313z00_1618);
														}
														BgL_head1269z00_1600 =
															MAKE_YOUNG_PAIR(BgL_arg1310z00_1616, BNIL);
													}
													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_g1273z00_1601;
														obj_t BgL_g1274z00_1602;

														BgL_g1273z00_1601 =
															CDR(((obj_t) BgL_kapturedz00_1580));
														BgL_g1274z00_1602 =
															CDR(((obj_t) BgL_addzd2argszd2_1581));
														{
															obj_t BgL_ll1267z00_1604;
															obj_t BgL_ll1268z00_1605;
															obj_t BgL_tail1270z00_1606;

															BgL_ll1267z00_1604 = BgL_g1273z00_1601;
															BgL_ll1268z00_1605 = BgL_g1274z00_1602;
															BgL_tail1270z00_1606 = BgL_head1269z00_1600;
														BgL_zc3z04anonymousza31300ze3z87_1607:
															if (NULLP(BgL_ll1267z00_1604))
																{	/* Integrate/loc2glo.scm 59 */
																	BgL_arg1298z00_1596 = BgL_head1269z00_1600;
																}
															else
																{	/* Integrate/loc2glo.scm 59 */
																	obj_t BgL_newtail1271z00_1609;

																	{	/* Integrate/loc2glo.scm 59 */
																		obj_t BgL_arg1307z00_1612;

																		{	/* Integrate/loc2glo.scm 59 */
																			obj_t BgL_arg1308z00_1613;
																			obj_t BgL_arg1309z00_1614;

																			BgL_arg1308z00_1613 =
																				CAR(((obj_t) BgL_ll1267z00_1604));
																			BgL_arg1309z00_1614 =
																				CAR(((obj_t) BgL_ll1268z00_1605));
																			BgL_arg1307z00_1612 =
																				MAKE_YOUNG_PAIR(BgL_arg1308z00_1613,
																				BgL_arg1309z00_1614);
																		}
																		BgL_newtail1271z00_1609 =
																			MAKE_YOUNG_PAIR(BgL_arg1307z00_1612,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1270z00_1606,
																		BgL_newtail1271z00_1609);
																	{	/* Integrate/loc2glo.scm 59 */
																		obj_t BgL_arg1304z00_1610;
																		obj_t BgL_arg1306z00_1611;

																		BgL_arg1304z00_1610 =
																			CDR(((obj_t) BgL_ll1267z00_1604));
																		BgL_arg1306z00_1611 =
																			CDR(((obj_t) BgL_ll1268z00_1605));
																		{
																			obj_t BgL_tail1270z00_2405;
																			obj_t BgL_ll1268z00_2404;
																			obj_t BgL_ll1267z00_2403;

																			BgL_ll1267z00_2403 = BgL_arg1304z00_1610;
																			BgL_ll1268z00_2404 = BgL_arg1306z00_1611;
																			BgL_tail1270z00_2405 =
																				BgL_newtail1271z00_1609;
																			BgL_tail1270z00_1606 =
																				BgL_tail1270z00_2405;
																			BgL_ll1268z00_1605 = BgL_ll1268z00_2404;
																			BgL_ll1267z00_1604 = BgL_ll1267z00_2403;
																			goto
																				BgL_zc3z04anonymousza31300ze3z87_1607;
																		}
																	}
																}
														}
													}
												}
											BgL_arg1296z00_1594 =
												BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1297z00_1595),
												((BgL_variablez00_bglt) BgL_localz00_3),
												BgL_arg1298z00_1596);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1583))->
												BgL_bodyz00) = ((obj_t) BgL_arg1296z00_1594), BUNSPEC);
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1579))))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
												BgL_newzd2funzd2_1583)), BUNSPEC);
									return BgL_globalz00_1579;
								}
							}
						}
					}
				}
			}
		}

	}



/* &local->global */
	obj_t BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_2051, obj_t BgL_localz00_2052)
	{
		{	/* Integrate/loc2glo.scm 35 */
			return
				BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
				((BgL_localz00_bglt) BgL_localz00_2052));
		}

	}



/* local-id->global-id */
	obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt BgL_localz00_4)
	{
		{	/* Integrate/loc2glo.scm 73 */
			{	/* Integrate/loc2glo.scm 74 */
				obj_t BgL_pz00_1665;

				{	/* Integrate/loc2glo.scm 74 */
					obj_t BgL_arg1354z00_1679;

					{	/* Integrate/loc2glo.scm 74 */
						obj_t BgL_arg1357z00_1680;

						BgL_arg1357z00_1680 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_localz00_4)))->BgL_idz00);
						{	/* Integrate/loc2glo.scm 74 */
							obj_t BgL_arg1463z00_1933;

							BgL_arg1463z00_1933 = SYMBOL_TO_STRING(BgL_arg1357z00_1680);
							BgL_arg1354z00_1679 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_1933);
						}
					}
					BgL_pz00_1665 =
						string_append(BgL_arg1354z00_1679,
						BGl_string1625z00zzintegrate_localzd2ze3globalz31);
				}
				{
					long BgL_countz00_1667;

					BgL_countz00_1667 = ((long) 0);
				BgL_zc3z04anonymousza31334ze3z87_1668:
					{	/* Integrate/loc2glo.scm 76 */
						obj_t BgL_idz00_1669;

						{	/* Integrate/loc2glo.scm 76 */
							obj_t BgL_arg1348z00_1674;

							{	/* Integrate/loc2glo.scm 76 */
								obj_t BgL_arg1350z00_1675;

								{	/* Integrate/loc2glo.scm 76 */

									BgL_arg1350z00_1675 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_countz00_1667, ((long) 10));
								}
								BgL_arg1348z00_1674 =
									string_append(BgL_pz00_1665, BgL_arg1350z00_1675);
							}
							BgL_idz00_1669 = bstring_to_symbol(BgL_arg1348z00_1674);
						}
						{	/* Integrate/loc2glo.scm 77 */
							bool_t BgL_test1648z00_2424;

							{	/* Integrate/loc2glo.scm 77 */
								obj_t BgL_arg1347z00_1673;

								BgL_arg1347z00_1673 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1669,
									BGl_za2moduleza2z00zzmodule_modulez00);
								{	/* Integrate/loc2glo.scm 77 */
									obj_t BgL_classz00_1935;

									BgL_classz00_1935 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_arg1347z00_1673))
										{	/* Integrate/loc2glo.scm 77 */
											BgL_objectz00_bglt BgL_arg1825z00_1937;

											BgL_arg1825z00_1937 =
												(BgL_objectz00_bglt) (BgL_arg1347z00_1673);
											{	/* Integrate/loc2glo.scm 77 */
												bool_t BgL_arg1822z00_1940;
												bool_t BgL_arg1823z00_1941;

												{	/* Integrate/loc2glo.scm 77 */
													long BgL_idxz00_1944;

													BgL_idxz00_1944 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1937);
													BgL_arg1822z00_1940 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1944 + ((long) 2))) ==
														BgL_classz00_1935);
												}
												{	/* Integrate/loc2glo.scm 77 */
													bool_t BgL_res1621z00_1966;

													{	/* Integrate/loc2glo.scm 77 */
														obj_t BgL_oclassz00_1952;

														{	/* Integrate/loc2glo.scm 77 */
															long BgL_arg1833z00_1958;

															{	/* Integrate/loc2glo.scm 77 */
																long BgL_arg1834z00_1959;

																BgL_arg1834z00_1959 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1937);
																BgL_arg1833z00_1958 =
																	(BgL_arg1834z00_1959 - OBJECT_TYPE);
															}
															BgL_oclassz00_1952 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_1958);
														}
														{	/* Integrate/loc2glo.scm 77 */
															bool_t BgL__ortest_1110z00_1953;

															BgL__ortest_1110z00_1953 =
																(BgL_classz00_1935 == BgL_oclassz00_1952);
															if (BgL__ortest_1110z00_1953)
																{	/* Integrate/loc2glo.scm 77 */
																	BgL_res1621z00_1966 =
																		BgL__ortest_1110z00_1953;
																}
															else
																{	/* Integrate/loc2glo.scm 77 */
																	long BgL_odepthz00_1954;

																	BgL_odepthz00_1954 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1952);
																	if ((((long) 2) < BgL_odepthz00_1954))
																		{	/* Integrate/loc2glo.scm 77 */
																			obj_t BgL_arg1821z00_1956;

																			BgL_arg1821z00_1956 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1952, ((long) 2));
																			BgL_res1621z00_1966 =
																				(BgL_arg1821z00_1956 ==
																				BgL_classz00_1935);
																		}
																	else
																		{	/* Integrate/loc2glo.scm 77 */
																			BgL_res1621z00_1966 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_1941 = BgL_res1621z00_1966;
												}
												BgL_test1648z00_2424 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_1940,
													BgL_arg1823z00_1941);
											}
										}
									else
										{	/* Integrate/loc2glo.scm 77 */
											BgL_test1648z00_2424 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1648z00_2424)
								{
									long BgL_countz00_2444;

									BgL_countz00_2444 = (BgL_countz00_1667 + ((long) 1));
									BgL_countz00_1667 = BgL_countz00_2444;
									goto BgL_zc3z04anonymousza31334ze3z87_1668;
								}
							else
								{	/* Integrate/loc2glo.scm 77 */
									return BgL_idz00_1669;
								}
						}
					}
				}
			}
		}

	}



/* the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_5)
	{
		{	/* Integrate/loc2glo.scm 84 */
			{	/* Integrate/loc2glo.scm 85 */
				BgL_valuez00_bglt BgL_valuez00_1681;

				BgL_valuez00_1681 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_5)))->BgL_valuez00);
				{	/* Integrate/loc2glo.scm 86 */
					bool_t BgL_test1652z00_2448;

					{	/* Integrate/loc2glo.scm 86 */
						obj_t BgL_arg1369z00_1691;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2449;

							{
								obj_t BgL_auxz00_2450;

								{	/* Integrate/loc2glo.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_2451;

									BgL_tmpz00_2451 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_1681));
									BgL_auxz00_2450 = BGL_OBJECT_WIDENING(BgL_tmpz00_2451);
								}
								BgL_auxz00_2449 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2450);
							}
							BgL_arg1369z00_1691 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2449))->
								BgL_globalz00);
						}
						{	/* Integrate/loc2glo.scm 86 */
							obj_t BgL_classz00_1971;

							BgL_classz00_1971 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1369z00_1691))
								{	/* Integrate/loc2glo.scm 86 */
									BgL_objectz00_bglt BgL_arg1825z00_1973;

									BgL_arg1825z00_1973 =
										(BgL_objectz00_bglt) (BgL_arg1369z00_1691);
									{	/* Integrate/loc2glo.scm 86 */
										bool_t BgL_arg1822z00_1976;
										bool_t BgL_arg1823z00_1977;

										{	/* Integrate/loc2glo.scm 86 */
											long BgL_idxz00_1980;

											BgL_idxz00_1980 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1973);
											BgL_arg1822z00_1976 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1980 + ((long) 2))) == BgL_classz00_1971);
										}
										{	/* Integrate/loc2glo.scm 86 */
											bool_t BgL_res1622z00_2002;

											{	/* Integrate/loc2glo.scm 86 */
												obj_t BgL_oclassz00_1988;

												{	/* Integrate/loc2glo.scm 86 */
													long BgL_arg1833z00_1994;

													{	/* Integrate/loc2glo.scm 86 */
														long BgL_arg1834z00_1995;

														BgL_arg1834z00_1995 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1973);
														BgL_arg1833z00_1994 =
															(BgL_arg1834z00_1995 - OBJECT_TYPE);
													}
													BgL_oclassz00_1988 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_1994);
												}
												{	/* Integrate/loc2glo.scm 86 */
													bool_t BgL__ortest_1110z00_1989;

													BgL__ortest_1110z00_1989 =
														(BgL_classz00_1971 == BgL_oclassz00_1988);
													if (BgL__ortest_1110z00_1989)
														{	/* Integrate/loc2glo.scm 86 */
															BgL_res1622z00_2002 = BgL__ortest_1110z00_1989;
														}
													else
														{	/* Integrate/loc2glo.scm 86 */
															long BgL_odepthz00_1990;

															BgL_odepthz00_1990 =
																BGL_CLASS_DEPTH(BgL_oclassz00_1988);
															if ((((long) 2) < BgL_odepthz00_1990))
																{	/* Integrate/loc2glo.scm 86 */
																	obj_t BgL_arg1821z00_1992;

																	BgL_arg1821z00_1992 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1988,
																		((long) 2));
																	BgL_res1622z00_2002 =
																		(BgL_arg1821z00_1992 == BgL_classz00_1971);
																}
															else
																{	/* Integrate/loc2glo.scm 86 */
																	BgL_res1622z00_2002 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_1977 = BgL_res1622z00_2002;
										}
										BgL_test1652z00_2448 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_1976,
											BgL_arg1823z00_1977);
									}
								}
							else
								{	/* Integrate/loc2glo.scm 86 */
									BgL_test1652z00_2448 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test1652z00_2448)
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2475;

							{
								obj_t BgL_auxz00_2476;

								{	/* Integrate/loc2glo.scm 87 */
									BgL_objectz00_bglt BgL_tmpz00_2477;

									BgL_tmpz00_2477 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_1681));
									BgL_auxz00_2476 = BGL_OBJECT_WIDENING(BgL_tmpz00_2477);
								}
								BgL_auxz00_2475 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2476);
							}
							return
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2475))->
								BgL_globalz00);
						}
					else
						{	/* Integrate/loc2glo.scm 88 */
							obj_t BgL_idz00_1684;

							BgL_idz00_1684 =
								BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
								(BgL_localz00_5);
							{	/* Integrate/loc2glo.scm 88 */
								BgL_globalz00_bglt BgL_globalz00_1685;

								BgL_globalz00_1685 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_idz00_1684, BNIL, BNIL,
									BGl_za2moduleza2z00zzmodule_modulez00,
									CNST_TABLE_REF(((long) 0)), CNST_TABLE_REF(((long) 1)),
									CNST_TABLE_REF(((long) 2)), BUNSPEC);
								{	/* Integrate/loc2glo.scm 89 */

									{	/* Integrate/loc2glo.scm 102 */
										BgL_valuez00_bglt BgL_arg1361z00_1686;
										obj_t BgL_arg1363z00_1687;

										BgL_arg1361z00_1686 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1685)))->
											BgL_valuez00);
										BgL_arg1363z00_1687 =
											(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
														BgL_valuez00_1681)))->BgL_locz00);
										((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_arg1361z00_1686)))->BgL_locz00) =
											((obj_t) BgL_arg1363z00_1687), BUNSPEC);
									}
									if (
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_5)))->
											BgL_userzf3zf3))
										{	/* Integrate/loc2glo.scm 104 */
											BFALSE;
										}
									else
										{	/* Integrate/loc2glo.scm 104 */
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_1685)))->
													BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2499;

										{
											obj_t BgL_auxz00_2500;

											{	/* Integrate/loc2glo.scm 106 */
												BgL_objectz00_bglt BgL_tmpz00_2501;

												BgL_tmpz00_2501 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1681));
												BgL_auxz00_2500 = BGL_OBJECT_WIDENING(BgL_tmpz00_2501);
											}
											BgL_auxz00_2499 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2500);
										}
										((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2499))->
												BgL_globalz00) =
											((obj_t) ((obj_t) BgL_globalz00_1685)), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 107 */
										BgL_valuez00_bglt BgL_arg1366z00_1689;
										obj_t BgL_arg1367z00_1690;

										BgL_arg1366z00_1689 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1685)))->
											BgL_valuez00);
										BgL_arg1367z00_1690 =
											(((BgL_funz00_bglt)
												COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
															BgL_valuez00_1681))))->BgL_sidezd2effectzd2);
										((((BgL_funz00_bglt)
													COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																BgL_arg1366z00_1689))))->BgL_sidezd2effectzd2) =
											((obj_t) BgL_arg1367z00_1690), BUNSPEC);
									}
									return ((obj_t) BgL_globalz00_1685);
								}
							}
						}
				}
			}
		}

	}



/* &the-global */
	obj_t BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_2053, obj_t BgL_localz00_2054)
	{
		{	/* Integrate/loc2glo.scm 84 */
			return
				BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
				((BgL_localz00_bglt) BgL_localz00_2054));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 347237104),
				BSTRING_TO_STRING(BGl_string1626z00zzintegrate_localzd2ze3globalz31));
		}

	}

#ifdef __cplusplus
}
#endif
