/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_walkz00();
	static obj_t BGl_objectzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	static obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_volatilez12z12zzintegrate_volatilez00(BgL_globalz00_bglt);
	extern obj_t BGl_za2localzd2exitzf3za2z21zzengine_paramz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1433z00zzintegrate_walkz00,
		BgL_bgl_string1433za700za7za7i1455za7, "Integration", 11);
	      DEFINE_STRING(BGl_string1434z00zzintegrate_walkz00,
		BgL_bgl_string1434za700za7za7i1456za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1435z00zzintegrate_walkz00,
		BgL_bgl_string1435za700za7za7i1457za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1436z00zzintegrate_walkz00,
		BgL_bgl_string1436za700za7za7i1458za7, " error", 6);
	      DEFINE_STRING(BGl_string1437z00zzintegrate_walkz00,
		BgL_bgl_string1437za700za7za7i1459za7, "s", 1);
	      DEFINE_STRING(BGl_string1438z00zzintegrate_walkz00,
		BgL_bgl_string1438za700za7za7i1460za7, "", 0);
	      DEFINE_STRING(BGl_string1439z00zzintegrate_walkz00,
		BgL_bgl_string1439za700za7za7i1461za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1440z00zzintegrate_walkz00,
		BgL_bgl_string1440za700za7za7i1462za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1441z00zzintegrate_walkz00,
		BgL_bgl_string1441za700za7za7i1463za7, "integrate_walk", 14);
	      DEFINE_STRING(BGl_string1442z00zzintegrate_walkz00,
		BgL_bgl_string1442za700za7za7i1464za7, "(integrate cfa) pass-started ", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00,
		BgL_bgl_za762integrateza7d2w1465z00,
		BGl_z62integratezd2walkz12za2zzintegrate_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long
		BgL_checksumz00_1629, char *BgL_fromz00_1630)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_walkz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
					BGl_cnstzd2initzd2zzintegrate_walkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
					return BGl_methodzd2initzd2zzintegrate_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			{	/* Integrate/walk.scm 15 */
				obj_t BgL_cportz00_1617;

				{	/* Integrate/walk.scm 15 */
					obj_t BgL_stringz00_1625;

					BgL_stringz00_1625 = BGl_string1442z00zzintegrate_walkz00;
					{	/* Integrate/walk.scm 15 */
						obj_t BgL_startz00_1626;

						BgL_startz00_1626 = BINT(((long) 0));
						{	/* Integrate/walk.scm 15 */
							obj_t BgL_endz00_1627;

							BgL_endz00_1627 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1625)));
							{	/* Integrate/walk.scm 15 */

								BgL_cportz00_1617 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1625, BgL_startz00_1626, BgL_endz00_1627);
				}}}}
				{
					long BgL_iz00_1618;

					BgL_iz00_1618 = ((long) 1);
				BgL_loopz00_1619:
					if ((BgL_iz00_1618 == ((long) -1)))
						{	/* Integrate/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/walk.scm 15 */
							{	/* Integrate/walk.scm 15 */
								obj_t BgL_arg1454z00_1621;

								{	/* Integrate/walk.scm 15 */

									{	/* Integrate/walk.scm 15 */
										obj_t BgL_locationz00_1623;

										BgL_locationz00_1623 = BBOOL(((bool_t) 0));
										{	/* Integrate/walk.scm 15 */

											BgL_arg1454z00_1621 =
												BGl_readz00zz__readerz00(BgL_cportz00_1617,
												BgL_locationz00_1623);
										}
									}
								}
								{	/* Integrate/walk.scm 15 */
									int BgL_tmpz00_1656;

									BgL_tmpz00_1656 = (int) (BgL_iz00_1618);
									CNST_TABLE_SET(BgL_tmpz00_1656, BgL_arg1454z00_1621);
							}}
							{	/* Integrate/walk.scm 15 */
								int BgL_auxz00_1624;

								BgL_auxz00_1624 = (int) ((BgL_iz00_1618 - ((long) 1)));
								{
									long BgL_iz00_1661;

									BgL_iz00_1661 = (long) (BgL_auxz00_1624);
									BgL_iz00_1618 = BgL_iz00_1661;
									goto BgL_loopz00_1619;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1345;

				BgL_headz00_1345 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1346;
					obj_t BgL_tailz00_1347;

					BgL_prevz00_1346 = BgL_headz00_1345;
					BgL_tailz00_1347 = BgL_l1z00_1;
				BgL_loopz00_1348:
					if (PAIRP(BgL_tailz00_1347))
						{
							obj_t BgL_newzd2prevzd2_1350;

							BgL_newzd2prevzd2_1350 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1347), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1346, BgL_newzd2prevzd2_1350);
							{
								obj_t BgL_tailz00_1671;
								obj_t BgL_prevz00_1670;

								BgL_prevz00_1670 = BgL_newzd2prevzd2_1350;
								BgL_tailz00_1671 = CDR(BgL_tailz00_1347);
								BgL_tailz00_1347 = BgL_tailz00_1671;
								BgL_prevz00_1346 = BgL_prevz00_1670;
								goto BgL_loopz00_1348;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1345);
				}
			}
		}

	}



/* integrate-walk! */
	BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Integrate/walk.scm 31 */
			{	/* Integrate/walk.scm 32 */
				obj_t BgL_list1234z00_1353;

				{	/* Integrate/walk.scm 32 */
					obj_t BgL_arg1236z00_1354;

					{	/* Integrate/walk.scm 32 */
						obj_t BgL_arg1237z00_1355;

						BgL_arg1237z00_1355 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1236z00_1354 =
							MAKE_YOUNG_PAIR(BGl_string1433z00zzintegrate_walkz00,
							BgL_arg1237z00_1355);
					}
					BgL_list1234z00_1353 =
						MAKE_YOUNG_PAIR(BGl_string1434z00zzintegrate_walkz00,
						BgL_arg1236z00_1354);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1234z00_1353);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1433z00zzintegrate_walkz00;
			{	/* Integrate/walk.scm 32 */
				obj_t BgL_g1105z00_1356;

				BgL_g1105z00_1356 = BNIL;
				{
					obj_t BgL_hooksz00_1359;
					obj_t BgL_hnamesz00_1360;

					BgL_hooksz00_1359 = BgL_g1105z00_1356;
					BgL_hnamesz00_1360 = BNIL;
				BgL_zc3z04anonymousza31238ze3z87_1361:
					if (NULLP(BgL_hooksz00_1359))
						{	/* Integrate/walk.scm 32 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Integrate/walk.scm 32 */
							bool_t BgL_test1470z00_1684;

							{	/* Integrate/walk.scm 32 */
								obj_t BgL_fun1247z00_1368;

								BgL_fun1247z00_1368 = CAR(((obj_t) BgL_hooksz00_1359));
								BgL_test1470z00_1684 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1247z00_1368)
									(BgL_fun1247z00_1368, BEOA));
							}
							if (BgL_test1470z00_1684)
								{	/* Integrate/walk.scm 32 */
									obj_t BgL_arg1243z00_1365;
									obj_t BgL_arg1245z00_1366;

									BgL_arg1243z00_1365 = CDR(((obj_t) BgL_hooksz00_1359));
									BgL_arg1245z00_1366 = CDR(((obj_t) BgL_hnamesz00_1360));
									{
										obj_t BgL_hnamesz00_1696;
										obj_t BgL_hooksz00_1695;

										BgL_hooksz00_1695 = BgL_arg1243z00_1365;
										BgL_hnamesz00_1696 = BgL_arg1245z00_1366;
										BgL_hnamesz00_1360 = BgL_hnamesz00_1696;
										BgL_hooksz00_1359 = BgL_hooksz00_1695;
										goto BgL_zc3z04anonymousza31238ze3z87_1361;
									}
								}
							else
								{	/* Integrate/walk.scm 32 */
									obj_t BgL_arg1246z00_1367;

									BgL_arg1246z00_1367 = CAR(((obj_t) BgL_hnamesz00_1360));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1433z00zzintegrate_walkz00,
										BGl_string1435z00zzintegrate_walkz00, BgL_arg1246z00_1367);
								}
						}
				}
			}
			{
				obj_t BgL_oldz00_1373;
				obj_t BgL_newz00_1374;

				BgL_oldz00_1373 = BgL_globalsz00_3;
				BgL_newz00_1374 = BNIL;
			BgL_zc3z04anonymousza31249ze3z87_1375:
				if (NULLP(BgL_oldz00_1373))
					{	/* Integrate/walk.scm 36 */
						obj_t BgL_varsz00_1377;

						if (CBOOL(BGl_za2localzd2exitzf3za2z21zzengine_paramz00))
							{	/* Integrate/walk.scm 36 */
								if (NULLP(BgL_newz00_1374))
									{	/* Integrate/walk.scm 36 */
										BgL_varsz00_1377 = BNIL;
									}
								else
									{	/* Integrate/walk.scm 36 */
										obj_t BgL_head1226z00_1405;

										{	/* Integrate/walk.scm 36 */
											BgL_globalz00_bglt BgL_arg1298z00_1417;

											{	/* Integrate/walk.scm 36 */
												obj_t BgL_arg1299z00_1418;

												BgL_arg1299z00_1418 = CAR(((obj_t) BgL_newz00_1374));
												BgL_arg1298z00_1417 =
													BGl_volatilez12z12zzintegrate_volatilez00(
													((BgL_globalz00_bglt) BgL_arg1299z00_1418));
											}
											BgL_head1226z00_1405 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1298z00_1417), BNIL);
										}
										{	/* Integrate/walk.scm 36 */
											obj_t BgL_g1229z00_1406;

											BgL_g1229z00_1406 = CDR(((obj_t) BgL_newz00_1374));
											{
												obj_t BgL_l1224z00_1408;
												obj_t BgL_tail1227z00_1409;

												BgL_l1224z00_1408 = BgL_g1229z00_1406;
												BgL_tail1227z00_1409 = BgL_head1226z00_1405;
											BgL_zc3z04anonymousza31286ze3z87_1410:
												if (NULLP(BgL_l1224z00_1408))
													{	/* Integrate/walk.scm 36 */
														BgL_varsz00_1377 = BgL_head1226z00_1405;
													}
												else
													{	/* Integrate/walk.scm 36 */
														obj_t BgL_newtail1228z00_1412;

														{	/* Integrate/walk.scm 36 */
															BgL_globalz00_bglt BgL_arg1296z00_1414;

															{	/* Integrate/walk.scm 36 */
																obj_t BgL_arg1297z00_1415;

																BgL_arg1297z00_1415 =
																	CAR(((obj_t) BgL_l1224z00_1408));
																BgL_arg1296z00_1414 =
																	BGl_volatilez12z12zzintegrate_volatilez00(
																	((BgL_globalz00_bglt) BgL_arg1297z00_1415));
															}
															BgL_newtail1228z00_1412 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1296z00_1414), BNIL);
														}
														SET_CDR(BgL_tail1227z00_1409,
															BgL_newtail1228z00_1412);
														{	/* Integrate/walk.scm 36 */
															obj_t BgL_arg1295z00_1413;

															BgL_arg1295z00_1413 =
																CDR(((obj_t) BgL_l1224z00_1408));
															{
																obj_t BgL_tail1227z00_1726;
																obj_t BgL_l1224z00_1725;

																BgL_l1224z00_1725 = BgL_arg1295z00_1413;
																BgL_tail1227z00_1726 = BgL_newtail1228z00_1412;
																BgL_tail1227z00_1409 = BgL_tail1227z00_1726;
																BgL_l1224z00_1408 = BgL_l1224z00_1725;
																goto BgL_zc3z04anonymousza31286ze3z87_1410;
															}
														}
													}
											}
										}
									}
							}
						else
							{	/* Integrate/walk.scm 36 */
								BgL_varsz00_1377 = BgL_newz00_1374;
							}
						{	/* Integrate/walk.scm 37 */
							obj_t BgL_valuez00_1378;

							BgL_valuez00_1378 =
								BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
								BgL_varsz00_1377);
							if (((long)
									CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
									((long) 0)))
								{	/* Integrate/walk.scm 37 */
									{	/* Integrate/walk.scm 37 */
										obj_t BgL_port1230z00_1380;

										{	/* Integrate/walk.scm 37 */
											obj_t BgL_tmpz00_1732;

											BgL_tmpz00_1732 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_port1230z00_1380 =
												BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1732);
										}
										bgl_display_obj
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BgL_port1230z00_1380);
										bgl_display_string(BGl_string1436z00zzintegrate_walkz00,
											BgL_port1230z00_1380);
										{	/* Integrate/walk.scm 37 */
											obj_t BgL_arg1253z00_1381;

											{	/* Integrate/walk.scm 37 */
												bool_t BgL_test1476z00_1737;

												if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Integrate/walk.scm 37 */
														if (INTEGERP
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Integrate/walk.scm 37 */
																BgL_test1476z00_1737 =
																	(
																	(long)
																	CINT
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																	> ((long) 1));
															}
														else
															{	/* Integrate/walk.scm 37 */
																BgL_test1476z00_1737 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
													}}
												else
													{	/* Integrate/walk.scm 37 */
														BgL_test1476z00_1737 = ((bool_t) 0);
													}
												if (BgL_test1476z00_1737)
													{	/* Integrate/walk.scm 37 */
														BgL_arg1253z00_1381 =
															BGl_string1437z00zzintegrate_walkz00;
													}
												else
													{	/* Integrate/walk.scm 37 */
														BgL_arg1253z00_1381 =
															BGl_string1438z00zzintegrate_walkz00;
													}
											}
											bgl_display_obj(BgL_arg1253z00_1381,
												BgL_port1230z00_1380);
										}
										bgl_display_string(BGl_string1439z00zzintegrate_walkz00,
											BgL_port1230z00_1380);
										bgl_display_char(((unsigned char) 10),
											BgL_port1230z00_1380);
									}
									{	/* Integrate/walk.scm 37 */
										obj_t BgL_list1257z00_1387;

										BgL_list1257z00_1387 =
											MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
										return BGl_exitz00zz__errorz00(BgL_list1257z00_1387);
									}
								}
							else
								{	/* Integrate/walk.scm 37 */
									obj_t BgL_g1108z00_1388;

									BgL_g1108z00_1388 = BNIL;
									{
										obj_t BgL_hooksz00_1391;
										obj_t BgL_hnamesz00_1392;

										BgL_hooksz00_1391 = BgL_g1108z00_1388;
										BgL_hnamesz00_1392 = BNIL;
									BgL_zc3z04anonymousza31258ze3z87_1393:
										if (NULLP(BgL_hooksz00_1391))
											{	/* Integrate/walk.scm 37 */
												return BgL_valuez00_1378;
											}
										else
											{	/* Integrate/walk.scm 37 */
												bool_t BgL_test1480z00_1754;

												{	/* Integrate/walk.scm 37 */
													obj_t BgL_fun1282z00_1400;

													BgL_fun1282z00_1400 =
														CAR(((obj_t) BgL_hooksz00_1391));
													BgL_test1480z00_1754 =
														CBOOL(PROCEDURE_ENTRY(BgL_fun1282z00_1400)
														(BgL_fun1282z00_1400, BEOA));
												}
												if (BgL_test1480z00_1754)
													{	/* Integrate/walk.scm 37 */
														obj_t BgL_arg1265z00_1397;
														obj_t BgL_arg1275z00_1398;

														BgL_arg1265z00_1397 =
															CDR(((obj_t) BgL_hooksz00_1391));
														BgL_arg1275z00_1398 =
															CDR(((obj_t) BgL_hnamesz00_1392));
														{
															obj_t BgL_hnamesz00_1766;
															obj_t BgL_hooksz00_1765;

															BgL_hooksz00_1765 = BgL_arg1265z00_1397;
															BgL_hnamesz00_1766 = BgL_arg1275z00_1398;
															BgL_hnamesz00_1392 = BgL_hnamesz00_1766;
															BgL_hooksz00_1391 = BgL_hooksz00_1765;
															goto BgL_zc3z04anonymousza31258ze3z87_1393;
														}
													}
												else
													{	/* Integrate/walk.scm 37 */
														obj_t BgL_arg1280z00_1399;

														BgL_arg1280z00_1399 =
															CAR(((obj_t) BgL_hnamesz00_1392));
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_za2currentzd2passza2zd2zzengine_passz00,
															BGl_string1440z00zzintegrate_walkz00,
															BgL_arg1280z00_1399);
													}
											}
									}
								}
						}
					}
				else
					{	/* Integrate/walk.scm 38 */
						obj_t BgL_globalz00_1419;

						BgL_globalz00_1419 = CAR(((obj_t) BgL_oldz00_1373));
						{	/* Integrate/walk.scm 39 */
							obj_t BgL_arg1301z00_1420;

							BgL_arg1301z00_1420 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_1419))))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1301z00_1420);
						}
						{	/* Integrate/walk.scm 40 */
							obj_t BgL_arg1304z00_1421;
							obj_t BgL_arg1306z00_1422;

							BgL_arg1304z00_1421 = CDR(((obj_t) BgL_oldz00_1373));
							BgL_arg1306z00_1422 =
								BGl_appendzd221011zd2zzintegrate_walkz00
								(BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
								(BgL_globalz00_1419), BgL_newz00_1374);
							{
								obj_t BgL_newz00_1781;
								obj_t BgL_oldz00_1780;

								BgL_oldz00_1780 = BgL_arg1304z00_1421;
								BgL_newz00_1781 = BgL_arg1306z00_1422;
								BgL_newz00_1374 = BgL_newz00_1781;
								BgL_oldz00_1373 = BgL_oldz00_1780;
								goto BgL_zc3z04anonymousza31249ze3z87_1375;
							}
						}
					}
			}
		}

	}



/* &integrate-walk! */
	obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t BgL_envz00_1615,
		obj_t BgL_globalsz00_1616)
	{
		{	/* Integrate/walk.scm 31 */
			return BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_1616);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
	{
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)
					67375820), BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
			return BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(((long)
					85351432), BSTRING_TO_STRING(BGl_string1441z00zzintegrate_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
