/*===========================================================================*/
/*   (Isa/walk.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Isa/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_z62isaz121282z70zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62isaz12zd2app1285za2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzisa_walkz00();
	static obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	static obj_t BGl_za2isazf2finalza2zf2zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzisa_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzisa_walkz00();
	static BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzisa_walkz00();
	static obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt
		BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzisa_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00();
	static obj_t BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzisa_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static long BGl_setzd2classzd2depthz12z12zzisa_walkz00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762clearza7d2isaza7d1800za7,
		BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762initza7d2isaza7d21801za7,
		BGl_z62initzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2walkz12zd2envz12zzisa_walkz00,
		BgL_bgl_za762isaza7d2walkza7121802za7, BGl_z62isazd2walkz12za2zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1779z00zzisa_walkz00,
		BgL_bgl_string1779za700za7za7i1803za7, "Isa", 3);
	      DEFINE_STRING(BGl_string1780z00zzisa_walkz00,
		BgL_bgl_string1780za700za7za7i1804za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1781z00zzisa_walkz00,
		BgL_bgl_string1781za700za7za7i1805za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1782z00zzisa_walkz00,
		BgL_bgl_string1782za700za7za7i1806za7, " error", 6);
	      DEFINE_STRING(BGl_string1783z00zzisa_walkz00,
		BgL_bgl_string1783za700za7za7i1807za7, "s", 1);
	      DEFINE_STRING(BGl_string1784z00zzisa_walkz00,
		BgL_bgl_string1784za700za7za7i1808za7, "", 0);
	      DEFINE_STRING(BGl_string1785z00zzisa_walkz00,
		BgL_bgl_string1785za700za7za7i1809za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1786z00zzisa_walkz00,
		BgL_bgl_string1786za700za7za7i1810za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1788z00zzisa_walkz00,
		BgL_bgl_string1788za700za7za7i1811za7, "isa!1282", 8);
	      DEFINE_STRING(BGl_string1790z00zzisa_walkz00,
		BgL_bgl_string1790za700za7za7i1812za7, "isa!::node", 10);
	      DEFINE_STRING(BGl_string1791z00zzisa_walkz00,
		BgL_bgl_string1791za700za7za7i1813za7, "isa_walk", 8);
	      DEFINE_STRING(BGl_string1792z00zzisa_walkz00,
		BgL_bgl_string1792za700za7za7i1814za7,
		"class-display-min-size static %isa-object/final? %isa/final? %isa-object/cdepth? __object %isa/cdepth? (clear-isa-cache!) pass-started (init-isa-cache!) ",
		153);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzisa_walkz00,
		BgL_bgl_za762isaza7121282za7701815za7, BGl_z62isaz121282z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzisa_walkz00,
		BgL_bgl_za762isaza712za7d2app11816za7,
		BGl_z62isaz12zd2app1285za2zzisa_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_isaz12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762isaza712za770za7za7is1817za7, BGl_z62isaz12z70zzisa_walkz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2cdepthza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2finalza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long
		BgL_checksumz00_2470, char *BgL_fromz00_2471)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzisa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzisa_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzisa_walkz00();
					BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
					BGl_cnstzd2initzd2zzisa_walkz00();
					BGl_importedzd2moduleszd2initz00zzisa_walkz00();
					BGl_genericzd2initzd2zzisa_walkz00();
					BGl_methodzd2initzd2zzisa_walkz00();
					return BGl_toplevelzd2initzd2zzisa_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "isa_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			{	/* Isa/walk.scm 15 */
				obj_t BgL_cportz00_2351;

				{	/* Isa/walk.scm 15 */
					obj_t BgL_stringz00_2359;

					BgL_stringz00_2359 = BGl_string1792z00zzisa_walkz00;
					{	/* Isa/walk.scm 15 */
						obj_t BgL_startz00_2360;

						BgL_startz00_2360 = BINT(((long) 0));
						{	/* Isa/walk.scm 15 */
							obj_t BgL_endz00_2361;

							BgL_endz00_2361 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2359)));
							{	/* Isa/walk.scm 15 */

								BgL_cportz00_2351 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2359, BgL_startz00_2360, BgL_endz00_2361);
				}}}}
				{
					long BgL_iz00_2352;

					BgL_iz00_2352 = ((long) 9);
				BgL_loopz00_2353:
					if ((BgL_iz00_2352 == ((long) -1)))
						{	/* Isa/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Isa/walk.scm 15 */
							{	/* Isa/walk.scm 15 */
								obj_t BgL_arg1799z00_2355;

								{	/* Isa/walk.scm 15 */

									{	/* Isa/walk.scm 15 */
										obj_t BgL_locationz00_2357;

										BgL_locationz00_2357 = BBOOL(((bool_t) 0));
										{	/* Isa/walk.scm 15 */

											BgL_arg1799z00_2355 =
												BGl_readz00zz__readerz00(BgL_cportz00_2351,
												BgL_locationz00_2357);
										}
									}
								}
								{	/* Isa/walk.scm 15 */
									int BgL_tmpz00_2505;

									BgL_tmpz00_2505 = (int) (BgL_iz00_2352);
									CNST_TABLE_SET(BgL_tmpz00_2505, BgL_arg1799z00_2355);
							}}
							{	/* Isa/walk.scm 15 */
								int BgL_auxz00_2358;

								BgL_auxz00_2358 = (int) ((BgL_iz00_2352 - ((long) 1)));
								{
									long BgL_iz00_2510;

									BgL_iz00_2510 = (long) (BgL_auxz00_2358);
									BgL_iz00_2352 = BgL_iz00_2510;
									goto BgL_loopz00_2353;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1588;

				BgL_headz00_1588 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1589;
					obj_t BgL_tailz00_1590;

					BgL_prevz00_1589 = BgL_headz00_1588;
					BgL_tailz00_1590 = BgL_l1z00_1;
				BgL_loopz00_1591:
					if (PAIRP(BgL_tailz00_1590))
						{
							obj_t BgL_newzd2prevzd2_1593;

							BgL_newzd2prevzd2_1593 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1590), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1589, BgL_newzd2prevzd2_1593);
							{
								obj_t BgL_tailz00_2520;
								obj_t BgL_prevz00_2519;

								BgL_prevz00_2519 = BgL_newzd2prevzd2_1593;
								BgL_tailz00_2520 = CDR(BgL_tailz00_1590);
								BgL_tailz00_1590 = BgL_tailz00_2520;
								BgL_prevz00_1589 = BgL_prevz00_2519;
								goto BgL_loopz00_1591;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1588);
				}
			}
		}

	}



/* isa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Isa/walk.scm 41 */
			{	/* Isa/walk.scm 42 */
				obj_t BgL_list1309z00_1608;

				{	/* Isa/walk.scm 42 */
					obj_t BgL_arg1310z00_1609;

					{	/* Isa/walk.scm 42 */
						obj_t BgL_arg1311z00_1610;

						BgL_arg1311z00_1610 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1310z00_1609 =
							MAKE_YOUNG_PAIR(BGl_string1779z00zzisa_walkz00,
							BgL_arg1311z00_1610);
					}
					BgL_list1309z00_1608 =
						MAKE_YOUNG_PAIR(BGl_string1780z00zzisa_walkz00,
						BgL_arg1310z00_1609);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1309z00_1608);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1779z00zzisa_walkz00;
			{	/* Isa/walk.scm 42 */
				obj_t BgL_g1118z00_1611;
				obj_t BgL_g1119z00_1612;

				{	/* Isa/walk.scm 42 */
					obj_t BgL_list1322z00_1625;

					BgL_list1322z00_1625 =
						MAKE_YOUNG_PAIR(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
						BNIL);
					BgL_g1118z00_1611 = BgL_list1322z00_1625;
				}
				BgL_g1119z00_1612 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1614;
					obj_t BgL_hnamesz00_1615;

					BgL_hooksz00_1614 = BgL_g1118z00_1611;
					BgL_hnamesz00_1615 = BgL_g1119z00_1612;
				BgL_zc3z04anonymousza31312ze3z87_1616:
					if (NULLP(BgL_hooksz00_1614))
						{	/* Isa/walk.scm 42 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Isa/walk.scm 42 */
							bool_t BgL_test1823z00_2535;

							{	/* Isa/walk.scm 42 */
								obj_t BgL_fun1321z00_1623;

								BgL_fun1321z00_1623 = CAR(((obj_t) BgL_hooksz00_1614));
								BgL_test1823z00_2535 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1321z00_1623)
									(BgL_fun1321z00_1623, BEOA));
							}
							if (BgL_test1823z00_2535)
								{	/* Isa/walk.scm 42 */
									obj_t BgL_arg1316z00_1620;
									obj_t BgL_arg1317z00_1621;

									BgL_arg1316z00_1620 = CDR(((obj_t) BgL_hooksz00_1614));
									BgL_arg1317z00_1621 = CDR(((obj_t) BgL_hnamesz00_1615));
									{
										obj_t BgL_hnamesz00_2547;
										obj_t BgL_hooksz00_2546;

										BgL_hooksz00_2546 = BgL_arg1316z00_1620;
										BgL_hnamesz00_2547 = BgL_arg1317z00_1621;
										BgL_hnamesz00_1615 = BgL_hnamesz00_2547;
										BgL_hooksz00_1614 = BgL_hooksz00_2546;
										goto BgL_zc3z04anonymousza31312ze3z87_1616;
									}
								}
							else
								{	/* Isa/walk.scm 42 */
									obj_t BgL_arg1320z00_1622;

									BgL_arg1320z00_1622 = CAR(((obj_t) BgL_hnamesz00_1615));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1779z00zzisa_walkz00,
										BGl_string1781z00zzisa_walkz00, BgL_arg1320z00_1622);
								}
						}
				}
			}
			{	/* Isa/walk.scm 43 */
				obj_t BgL_g1278z00_1626;

				BgL_g1278z00_1626 = BGl_getzd2classzd2listz00zzobject_classz00();
				{
					obj_t BgL_l1276z00_1628;

					BgL_l1276z00_1628 = BgL_g1278z00_1626;
				BgL_zc3z04anonymousza31323ze3z87_1629:
					if (PAIRP(BgL_l1276z00_1628))
						{	/* Isa/walk.scm 43 */
							{	/* Isa/walk.scm 43 */
								obj_t BgL_arg1325z00_1631;

								BgL_arg1325z00_1631 = CAR(BgL_l1276z00_1628);
								BGl_setzd2classzd2depthz12z12zzisa_walkz00(
									((BgL_typez00_bglt) BgL_arg1325z00_1631));
							}
							{
								obj_t BgL_l1276z00_2557;

								BgL_l1276z00_2557 = CDR(BgL_l1276z00_1628);
								BgL_l1276z00_1628 = BgL_l1276z00_2557;
								goto BgL_zc3z04anonymousza31323ze3z87_1629;
							}
						}
					else
						{	/* Isa/walk.scm 43 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1279z00_1635;

				BgL_l1279z00_1635 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31327ze3z87_1636:
				if (PAIRP(BgL_l1279z00_1635))
					{	/* Isa/walk.scm 44 */
						BGl_isazd2funz12zc0zzisa_walkz00(CAR(BgL_l1279z00_1635));
						{
							obj_t BgL_l1279z00_2563;

							BgL_l1279z00_2563 = CDR(BgL_l1279z00_1635);
							BgL_l1279z00_1635 = BgL_l1279z00_2563;
							goto BgL_zc3z04anonymousza31327ze3z87_1636;
						}
					}
				else
					{	/* Isa/walk.scm 44 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Isa/walk.scm 45 */
					{	/* Isa/walk.scm 45 */
						obj_t BgL_port1281z00_1643;

						{	/* Isa/walk.scm 45 */
							obj_t BgL_tmpz00_2568;

							BgL_tmpz00_2568 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1281z00_1643 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2568);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1281z00_1643);
						bgl_display_string(BGl_string1782z00zzisa_walkz00,
							BgL_port1281z00_1643);
						{	/* Isa/walk.scm 45 */
							obj_t BgL_arg1338z00_1644;

							{	/* Isa/walk.scm 45 */
								bool_t BgL_test1829z00_2573;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Isa/walk.scm 45 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Isa/walk.scm 45 */
												BgL_test1829z00_2573 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Isa/walk.scm 45 */
												BgL_test1829z00_2573 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Isa/walk.scm 45 */
										BgL_test1829z00_2573 = ((bool_t) 0);
									}
								if (BgL_test1829z00_2573)
									{	/* Isa/walk.scm 45 */
										BgL_arg1338z00_1644 = BGl_string1783z00zzisa_walkz00;
									}
								else
									{	/* Isa/walk.scm 45 */
										BgL_arg1338z00_1644 = BGl_string1784z00zzisa_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1338z00_1644, BgL_port1281z00_1643);
						}
						bgl_display_string(BGl_string1785z00zzisa_walkz00,
							BgL_port1281z00_1643);
						bgl_display_char(((unsigned char) 10), BgL_port1281z00_1643);
					}
					{	/* Isa/walk.scm 45 */
						obj_t BgL_list1347z00_1650;

						BgL_list1347z00_1650 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1347z00_1650);
					}
				}
			else
				{	/* Isa/walk.scm 45 */
					obj_t BgL_g1120z00_1651;
					obj_t BgL_g1124z00_1652;

					{	/* Isa/walk.scm 45 */
						obj_t BgL_list1361z00_1665;

						BgL_list1361z00_1665 =
							MAKE_YOUNG_PAIR(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
							BNIL);
						BgL_g1120z00_1651 = BgL_list1361z00_1665;
					}
					BgL_g1124z00_1652 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1654;
						obj_t BgL_hnamesz00_1655;

						BgL_hooksz00_1654 = BgL_g1120z00_1651;
						BgL_hnamesz00_1655 = BgL_g1124z00_1652;
					BgL_zc3z04anonymousza31348ze3z87_1656:
						if (NULLP(BgL_hooksz00_1654))
							{	/* Isa/walk.scm 45 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Isa/walk.scm 45 */
								bool_t BgL_test1833z00_2592;

								{	/* Isa/walk.scm 45 */
									obj_t BgL_fun1360z00_1663;

									BgL_fun1360z00_1663 = CAR(((obj_t) BgL_hooksz00_1654));
									BgL_test1833z00_2592 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1360z00_1663)
										(BgL_fun1360z00_1663, BEOA));
								}
								if (BgL_test1833z00_2592)
									{	/* Isa/walk.scm 45 */
										obj_t BgL_arg1354z00_1660;
										obj_t BgL_arg1357z00_1661;

										BgL_arg1354z00_1660 = CDR(((obj_t) BgL_hooksz00_1654));
										BgL_arg1357z00_1661 = CDR(((obj_t) BgL_hnamesz00_1655));
										{
											obj_t BgL_hnamesz00_2604;
											obj_t BgL_hooksz00_2603;

											BgL_hooksz00_2603 = BgL_arg1354z00_1660;
											BgL_hnamesz00_2604 = BgL_arg1357z00_1661;
											BgL_hnamesz00_1655 = BgL_hnamesz00_2604;
											BgL_hooksz00_1654 = BgL_hooksz00_2603;
											goto BgL_zc3z04anonymousza31348ze3z87_1656;
										}
									}
								else
									{	/* Isa/walk.scm 45 */
										obj_t BgL_arg1358z00_1662;

										BgL_arg1358z00_1662 = CAR(((obj_t) BgL_hnamesz00_1655));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1786z00zzisa_walkz00, BgL_arg1358z00_1662);
									}
							}
					}
				}
		}

	}



/* &isa-walk! */
	obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t BgL_envz00_2338,
		obj_t BgL_globalsz00_2339)
	{
		{	/* Isa/walk.scm 41 */
			return BGl_isazd2walkz12zc0zzisa_walkz00(BgL_globalsz00_2339);
		}

	}



/* &init-isa-cache! */
	obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2340)
	{
		{	/* Isa/walk.scm 58 */
			{	/* Isa/walk.scm 59 */
				bool_t BgL_test1834z00_2609;

				{	/* Isa/walk.scm 59 */
					obj_t BgL_objz00_2363;

					BgL_objz00_2363 = BGl_za2isazf2cdepthza2zf2zzisa_walkz00;
					{	/* Isa/walk.scm 59 */
						obj_t BgL_classz00_2364;

						BgL_classz00_2364 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_2363))
							{	/* Isa/walk.scm 59 */
								BgL_objectz00_bglt BgL_arg1825z00_2365;

								BgL_arg1825z00_2365 = (BgL_objectz00_bglt) (BgL_objz00_2363);
								{	/* Isa/walk.scm 59 */
									bool_t BgL_arg1822z00_2366;
									bool_t BgL_arg1823z00_2367;

									{	/* Isa/walk.scm 59 */
										long BgL_idxz00_2368;

										BgL_idxz00_2368 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2365);
										BgL_arg1822z00_2366 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2368 + ((long) 2))) == BgL_classz00_2364);
									}
									{	/* Isa/walk.scm 59 */
										bool_t BgL_res1765z00_2371;

										{	/* Isa/walk.scm 59 */
											obj_t BgL_oclassz00_2372;

											{	/* Isa/walk.scm 59 */
												long BgL_arg1833z00_2373;

												{	/* Isa/walk.scm 59 */
													long BgL_arg1834z00_2374;

													BgL_arg1834z00_2374 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2365);
													BgL_arg1833z00_2373 =
														(BgL_arg1834z00_2374 - OBJECT_TYPE);
												}
												BgL_oclassz00_2372 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2373);
											}
											{	/* Isa/walk.scm 59 */
												bool_t BgL__ortest_1110z00_2375;

												BgL__ortest_1110z00_2375 =
													(BgL_classz00_2364 == BgL_oclassz00_2372);
												if (BgL__ortest_1110z00_2375)
													{	/* Isa/walk.scm 59 */
														BgL_res1765z00_2371 = BgL__ortest_1110z00_2375;
													}
												else
													{	/* Isa/walk.scm 59 */
														long BgL_odepthz00_2376;

														BgL_odepthz00_2376 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2372);
														if ((((long) 2) < BgL_odepthz00_2376))
															{	/* Isa/walk.scm 59 */
																obj_t BgL_arg1821z00_2377;

																BgL_arg1821z00_2377 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2372,
																	((long) 2));
																BgL_res1765z00_2371 =
																	(BgL_arg1821z00_2377 == BgL_classz00_2364);
															}
														else
															{	/* Isa/walk.scm 59 */
																BgL_res1765z00_2371 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2367 = BgL_res1765z00_2371;
									}
									BgL_test1834z00_2609 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2366, BgL_arg1823z00_2367);
								}
							}
						else
							{	/* Isa/walk.scm 59 */
								BgL_test1834z00_2609 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1834z00_2609)
					{	/* Isa/walk.scm 59 */
						BFALSE;
					}
				else
					{	/* Isa/walk.scm 59 */
						BGl_za2isazf2cdepthza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									3)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									5)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazf2finalza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									6)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									7)), CNST_TABLE_REF(((long) 4)));
			}}
			return BUNSPEC;
		}

	}



/* &clear-isa-cache! */
	obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2341)
	{
		{	/* Isa/walk.scm 69 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			return (BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* set-class-depth! */
	long BGl_setzd2classzd2depthz12z12zzisa_walkz00(BgL_typez00_bglt
		BgL_claza7za7z00_18)
	{
		{	/* Isa/walk.scm 78 */
			{	/* Isa/walk.scm 80 */
				bool_t BgL_test1840z00_2640;

				{	/* Isa/walk.scm 80 */
					long BgL_arg1380z00_1675;

					{
						BgL_tclassz00_bglt BgL_auxz00_2641;

						{
							obj_t BgL_auxz00_2642;

							{	/* Isa/walk.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_2643;

								BgL_tmpz00_2643 = ((BgL_objectz00_bglt) BgL_claza7za7z00_18);
								BgL_auxz00_2642 = BGL_OBJECT_WIDENING(BgL_tmpz00_2643);
							}
							BgL_auxz00_2641 = ((BgL_tclassz00_bglt) BgL_auxz00_2642);
						}
						BgL_arg1380z00_1675 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2641))->BgL_depthz00);
					}
					BgL_test1840z00_2640 = (BgL_arg1380z00_1675 == ((long) 0));
				}
				if (BgL_test1840z00_2640)
					{	/* Isa/walk.scm 81 */
						bool_t BgL_test1841z00_2649;

						{	/* Isa/walk.scm 81 */
							obj_t BgL_arg1371z00_1674;

							{
								BgL_tclassz00_bglt BgL_auxz00_2650;

								{
									obj_t BgL_auxz00_2651;

									{	/* Isa/walk.scm 81 */
										BgL_objectz00_bglt BgL_tmpz00_2652;

										BgL_tmpz00_2652 =
											((BgL_objectz00_bglt) BgL_claza7za7z00_18);
										BgL_auxz00_2651 = BGL_OBJECT_WIDENING(BgL_tmpz00_2652);
									}
									BgL_auxz00_2650 = ((BgL_tclassz00_bglt) BgL_auxz00_2651);
								}
								BgL_arg1371z00_1674 =
									(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2650))->
									BgL_itszd2superzd2);
							}
							{	/* Isa/walk.scm 81 */
								obj_t BgL_classz00_2041;

								BgL_classz00_2041 = BGl_tclassz00zzobject_classz00;
								if (BGL_OBJECTP(BgL_arg1371z00_1674))
									{	/* Isa/walk.scm 81 */
										BgL_objectz00_bglt BgL_arg1825z00_2043;

										BgL_arg1825z00_2043 =
											(BgL_objectz00_bglt) (BgL_arg1371z00_1674);
										{	/* Isa/walk.scm 81 */
											bool_t BgL_arg1822z00_2046;
											bool_t BgL_arg1823z00_2047;

											{	/* Isa/walk.scm 81 */
												long BgL_idxz00_2050;

												BgL_idxz00_2050 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2043);
												BgL_arg1822z00_2046 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2050 + ((long) 2))) ==
													BgL_classz00_2041);
											}
											{	/* Isa/walk.scm 81 */
												bool_t BgL_res1766z00_2072;

												{	/* Isa/walk.scm 81 */
													obj_t BgL_oclassz00_2058;

													{	/* Isa/walk.scm 81 */
														long BgL_arg1833z00_2064;

														{	/* Isa/walk.scm 81 */
															long BgL_arg1834z00_2065;

															BgL_arg1834z00_2065 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2043);
															BgL_arg1833z00_2064 =
																(BgL_arg1834z00_2065 - OBJECT_TYPE);
														}
														BgL_oclassz00_2058 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2064);
													}
													{	/* Isa/walk.scm 81 */
														bool_t BgL__ortest_1110z00_2059;

														BgL__ortest_1110z00_2059 =
															(BgL_classz00_2041 == BgL_oclassz00_2058);
														if (BgL__ortest_1110z00_2059)
															{	/* Isa/walk.scm 81 */
																BgL_res1766z00_2072 = BgL__ortest_1110z00_2059;
															}
														else
															{	/* Isa/walk.scm 81 */
																long BgL_odepthz00_2060;

																BgL_odepthz00_2060 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2058);
																if ((((long) 2) < BgL_odepthz00_2060))
																	{	/* Isa/walk.scm 81 */
																		obj_t BgL_arg1821z00_2062;

																		BgL_arg1821z00_2062 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2058, ((long) 2));
																		BgL_res1766z00_2072 =
																			(BgL_arg1821z00_2062 ==
																			BgL_classz00_2041);
																	}
																else
																	{	/* Isa/walk.scm 81 */
																		BgL_res1766z00_2072 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2047 = BgL_res1766z00_2072;
											}
											BgL_test1841z00_2649 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2046,
												BgL_arg1823z00_2047);
										}
									}
								else
									{	/* Isa/walk.scm 81 */
										BgL_test1841z00_2649 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test1841z00_2649)
							{
								long BgL_auxz00_2681;
								BgL_tclassz00_bglt BgL_auxz00_2675;

								{	/* Isa/walk.scm 82 */
									long BgL_arg1369z00_1672;

									{	/* Isa/walk.scm 82 */
										obj_t BgL_arg1370z00_1673;

										{
											BgL_tclassz00_bglt BgL_auxz00_2682;

											{
												obj_t BgL_auxz00_2683;

												{	/* Isa/walk.scm 82 */
													BgL_objectz00_bglt BgL_tmpz00_2684;

													BgL_tmpz00_2684 =
														((BgL_objectz00_bglt) BgL_claza7za7z00_18);
													BgL_auxz00_2683 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2684);
												}
												BgL_auxz00_2682 =
													((BgL_tclassz00_bglt) BgL_auxz00_2683);
											}
											BgL_arg1370z00_1673 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2682))->
												BgL_itszd2superzd2);
										}
										BgL_arg1369z00_1672 =
											BGl_setzd2classzd2depthz12z12zzisa_walkz00(
											((BgL_typez00_bglt) BgL_arg1370z00_1673));
									}
									BgL_auxz00_2681 = (((long) 1) + BgL_arg1369z00_1672);
								}
								{
									obj_t BgL_auxz00_2676;

									{	/* Isa/walk.scm 82 */
										BgL_objectz00_bglt BgL_tmpz00_2677;

										BgL_tmpz00_2677 =
											((BgL_objectz00_bglt) BgL_claza7za7z00_18);
										BgL_auxz00_2676 = BGL_OBJECT_WIDENING(BgL_tmpz00_2677);
									}
									BgL_auxz00_2675 = ((BgL_tclassz00_bglt) BgL_auxz00_2676);
								}
								((((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2675))->
										BgL_depthz00) = ((long) BgL_auxz00_2681), BUNSPEC);
							}
						else
							{	/* Isa/walk.scm 81 */
								BINT(((long) 0));
					}}
				else
					{	/* Isa/walk.scm 80 */
						BFALSE;
					}
			}
			{
				BgL_tclassz00_bglt BgL_auxz00_2694;

				{
					obj_t BgL_auxz00_2695;

					{	/* Isa/walk.scm 84 */
						BgL_objectz00_bglt BgL_tmpz00_2696;

						BgL_tmpz00_2696 = ((BgL_objectz00_bglt) BgL_claza7za7z00_18);
						BgL_auxz00_2695 = BGL_OBJECT_WIDENING(BgL_tmpz00_2696);
					}
					BgL_auxz00_2694 = ((BgL_tclassz00_bglt) BgL_auxz00_2695);
				}
				return (((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2694))->BgL_depthz00);
			}
		}

	}



/* isa-fun! */
	obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t BgL_varz00_19)
	{
		{	/* Isa/walk.scm 89 */
			{	/* Isa/walk.scm 90 */
				obj_t BgL_arg1381z00_1676;

				BgL_arg1381z00_1676 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1381z00_1676);
			}
			{	/* Isa/walk.scm 91 */
				BgL_valuez00_bglt BgL_funz00_1677;

				BgL_funz00_1677 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Isa/walk.scm 91 */
					obj_t BgL_bodyz00_1678;

					BgL_bodyz00_1678 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1677)))->BgL_bodyz00);
					{	/* Isa/walk.scm 92 */

						BgL_bodyz00_1678 =
							((obj_t)
							BGl_isaz12z12zzisa_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1678)));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_19;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_proc1787z00zzisa_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1788z00zzisa_walkz00);
		}

	}



/* &isa!1282 */
	obj_t BGl_z62isaz121282z70zzisa_walkz00(obj_t BgL_envz00_2345,
		obj_t BgL_nodez00_2346)
	{
		{	/* Isa/walk.scm 100 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2346),
					BGl_isaz12zd2envzc0zzisa_walkz00));
		}

	}



/* isa! */
	BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt BgL_nodez00_20)
	{
		{	/* Isa/walk.scm 100 */
			{	/* Isa/walk.scm 100 */
				obj_t BgL_method1283z00_1694;

				{	/* Isa/walk.scm 100 */
					obj_t BgL_res1771z00_2111;

					{	/* Isa/walk.scm 100 */
						long BgL_objzd2classzd2numz00_2082;

						BgL_objzd2classzd2numz00_2082 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
						{	/* Isa/walk.scm 100 */
							obj_t BgL_arg1829z00_2083;

							BgL_arg1829z00_2083 =
								PROCEDURE_REF(BGl_isaz12zd2envzc0zzisa_walkz00,
								(int) (((long) 1)));
							{	/* Isa/walk.scm 100 */
								int BgL_offsetz00_2086;

								BgL_offsetz00_2086 = (int) (BgL_objzd2classzd2numz00_2082);
								{	/* Isa/walk.scm 100 */
									long BgL_offsetz00_2087;

									BgL_offsetz00_2087 =
										((long) (BgL_offsetz00_2086) - OBJECT_TYPE);
									{	/* Isa/walk.scm 100 */
										long BgL_modz00_2088;

										BgL_modz00_2088 =
											(BgL_offsetz00_2087 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Isa/walk.scm 100 */
											long BgL_restz00_2090;

											BgL_restz00_2090 =
												(BgL_offsetz00_2087 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Isa/walk.scm 100 */

												{	/* Isa/walk.scm 100 */
													obj_t BgL_bucketz00_2092;

													BgL_bucketz00_2092 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2083), BgL_modz00_2088);
													BgL_res1771z00_2111 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2092), BgL_restz00_2090);
					}}}}}}}}
					BgL_method1283z00_1694 = BgL_res1771z00_2111;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1283z00_1694) (BgL_method1283z00_1694,
						((obj_t) BgL_nodez00_20), BEOA));
			}
		}

	}



/* &isa! */
	BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t BgL_envz00_2343,
		obj_t BgL_nodez00_2344)
	{
		{	/* Isa/walk.scm 100 */
			return BGl_isaz12z12zzisa_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2344));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1789z00zzisa_walkz00, BGl_string1790z00zzisa_walkz00);
		}

	}



/* &isa!-app1285 */
	BgL_nodez00_bglt BGl_z62isaz12zd2app1285za2zzisa_walkz00(obj_t
		BgL_envz00_2348, obj_t BgL_nodez00_2349)
	{
		{	/* Isa/walk.scm 106 */
			{
				obj_t BgL_typz00_2381;

				{	/* Isa/walk.scm 118 */
					obj_t BgL_typz00_2385;

					BgL_typz00_2385 =
						BGl_isazd2ofzd2zztype_miscz00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2349)));
					if (CBOOL(BgL_typz00_2385))
						{	/* Isa/walk.scm 119 */
							{	/* Isa/walk.scm 124 */
								bool_t BgL_test1847z00_2755;

								BgL_typz00_2381 = BgL_typz00_2385;
								{	/* Isa/walk.scm 115 */
									bool_t BgL_test1849z00_2756;

									{	/* Isa/walk.scm 115 */
										obj_t BgL_arg1601z00_2382;

										{	/* Isa/walk.scm 115 */
											BgL_globalz00_bglt BgL_arg1602z00_2383;

											{
												BgL_tclassz00_bglt BgL_auxz00_2757;

												{
													obj_t BgL_auxz00_2758;

													{	/* Isa/walk.scm 115 */
														BgL_objectz00_bglt BgL_tmpz00_2759;

														BgL_tmpz00_2759 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2381));
														BgL_auxz00_2758 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2759);
													}
													BgL_auxz00_2757 =
														((BgL_tclassz00_bglt) BgL_auxz00_2758);
												}
												BgL_arg1602z00_2383 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2757))->
													BgL_holderz00);
											}
											BgL_arg1601z00_2382 =
												(((BgL_globalz00_bglt) COBJECT(BgL_arg1602z00_2383))->
												BgL_importz00);
										}
										BgL_test1849z00_2756 =
											(BgL_arg1601z00_2382 == CNST_TABLE_REF(((long) 8)));
									}
									if (BgL_test1849z00_2756)
										{	/* Isa/walk.scm 116 */
											obj_t BgL_arg1597z00_2384;

											{
												BgL_tclassz00_bglt BgL_auxz00_2768;

												{
													obj_t BgL_auxz00_2769;

													{	/* Isa/walk.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_2770;

														BgL_tmpz00_2770 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2381));
														BgL_auxz00_2769 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2770);
													}
													BgL_auxz00_2768 =
														((BgL_tclassz00_bglt) BgL_auxz00_2769);
												}
												BgL_arg1597z00_2384 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2768))->
													BgL_subclassesz00);
											}
											BgL_test1847z00_2755 = NULLP(BgL_arg1597z00_2384);
										}
									else
										{	/* Isa/walk.scm 115 */
											BgL_test1847z00_2755 = ((bool_t) 0);
										}
								}
								if (BgL_test1847z00_2755)
									{	/* Isa/walk.scm 126 */
										bool_t BgL_test1850z00_2777;

										{	/* Isa/walk.scm 126 */
											BgL_typez00_bglt BgL_arg1462z00_2386;

											{	/* Isa/walk.scm 126 */
												obj_t BgL_arg1477z00_2387;

												BgL_arg1477z00_2387 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2349)))->
														BgL_argsz00));
												BgL_arg1462z00_2386 =
													BGl_uncastedzd2typeze70z35zzisa_walkz00((
														(BgL_nodez00_bglt) BgL_arg1477z00_2387));
											}
											{	/* Isa/walk.scm 126 */
												obj_t BgL_classz00_2388;

												BgL_classz00_2388 = BGl_tclassz00zzobject_classz00;
												{	/* Isa/walk.scm 126 */
													BgL_objectz00_bglt BgL_arg1825z00_2389;

													{	/* Isa/walk.scm 126 */
														obj_t BgL_tmpz00_2783;

														BgL_tmpz00_2783 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1462z00_2386));
														BgL_arg1825z00_2389 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2783);
													}
													{	/* Isa/walk.scm 126 */
														bool_t BgL_arg1822z00_2390;
														bool_t BgL_arg1823z00_2391;

														{	/* Isa/walk.scm 126 */
															long BgL_idxz00_2392;

															BgL_idxz00_2392 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2389);
															BgL_arg1822z00_2390 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2392 + ((long) 2))) ==
																BgL_classz00_2388);
														}
														{	/* Isa/walk.scm 126 */
															bool_t BgL_res1773z00_2395;

															{	/* Isa/walk.scm 126 */
																obj_t BgL_oclassz00_2396;

																{	/* Isa/walk.scm 126 */
																	long BgL_arg1833z00_2397;

																	{	/* Isa/walk.scm 126 */
																		long BgL_arg1834z00_2398;

																		BgL_arg1834z00_2398 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2389);
																		BgL_arg1833z00_2397 =
																			(BgL_arg1834z00_2398 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2396 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2397);
																}
																{	/* Isa/walk.scm 126 */
																	bool_t BgL__ortest_1110z00_2399;

																	BgL__ortest_1110z00_2399 =
																		(BgL_classz00_2388 == BgL_oclassz00_2396);
																	if (BgL__ortest_1110z00_2399)
																		{	/* Isa/walk.scm 126 */
																			BgL_res1773z00_2395 =
																				BgL__ortest_1110z00_2399;
																		}
																	else
																		{	/* Isa/walk.scm 126 */
																			long BgL_odepthz00_2400;

																			BgL_odepthz00_2400 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2396);
																			if ((((long) 2) < BgL_odepthz00_2400))
																				{	/* Isa/walk.scm 126 */
																					obj_t BgL_arg1821z00_2401;

																					BgL_arg1821z00_2401 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2396, ((long) 2));
																					BgL_res1773z00_2395 =
																						(BgL_arg1821z00_2401 ==
																						BgL_classz00_2388);
																				}
																			else
																				{	/* Isa/walk.scm 126 */
																					BgL_res1773z00_2395 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2391 = BgL_res1773z00_2395;
														}
														BgL_test1850z00_2777 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2390,
															BgL_arg1823z00_2391);
													}
												}
											}
										}
										if (BgL_test1850z00_2777)
											{	/* Isa/walk.scm 127 */
												BgL_refz00_bglt BgL_nfunz00_2402;

												{	/* Isa/walk.scm 127 */
													BgL_nodez00_bglt BgL_duplicated1132z00_2403;
													BgL_refz00_bglt BgL_new1130z00_2404;

													BgL_duplicated1132z00_2403 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2349)))->
															BgL_funz00));
													{	/* Isa/walk.scm 127 */
														BgL_refz00_bglt BgL_new1134z00_2405;

														BgL_new1134z00_2405 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Isa/walk.scm 127 */
															long BgL_arg1456z00_2406;

															BgL_arg1456z00_2406 =
																BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1134z00_2405),
																BgL_arg1456z00_2406);
														}
														{	/* Isa/walk.scm 127 */
															BgL_objectz00_bglt BgL_tmpz00_2809;

															BgL_tmpz00_2809 =
																((BgL_objectz00_bglt) BgL_new1134z00_2405);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2809, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1134z00_2405);
														BgL_new1130z00_2404 = BgL_new1134z00_2405;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1130z00_2404)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1132z00_2403))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1130z00_2404)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1132z00_2403))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1130z00_2404)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2402 = BgL_new1130z00_2404;
												}
												{	/* Isa/walk.scm 129 */
													obj_t BgL_arg1418z00_2407;
													BgL_castz00_bglt BgL_arg1419z00_2408;

													BgL_arg1418z00_2407 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2349)))->
														BgL_argsz00);
													{	/* Isa/walk.scm 130 */
														BgL_castz00_bglt BgL_new1136z00_2409;

														{	/* Isa/walk.scm 130 */
															BgL_castz00_bglt BgL_new1135z00_2410;

															BgL_new1135z00_2410 =
																((BgL_castz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_castz00_bgl))));
															{	/* Isa/walk.scm 130 */
																long BgL_arg1454z00_2411;

																BgL_arg1454z00_2411 =
																	BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1135z00_2410),
																	BgL_arg1454z00_2411);
															}
															{	/* Isa/walk.scm 130 */
																BgL_objectz00_bglt BgL_tmpz00_2828;

																BgL_tmpz00_2828 =
																	((BgL_objectz00_bglt) BgL_new1135z00_2410);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2828,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1135z00_2410);
															BgL_new1136z00_2409 = BgL_new1135z00_2410;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1136z00_2409)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1136z00_2409)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_getzd2objectzd2typez00zztype_cachez00())),
															BUNSPEC);
														{
															BgL_nodez00_bglt BgL_auxz00_2838;

															{	/* Isa/walk.scm 131 */
																obj_t BgL_pairz00_2412;

																BgL_pairz00_2412 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2349)))->
																	BgL_argsz00);
																BgL_auxz00_2838 =
																	((BgL_nodez00_bglt) CAR(BgL_pairz00_2412));
															}
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1136z00_2409))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_auxz00_2838), BUNSPEC);
														}
														BgL_arg1419z00_2408 = BgL_new1136z00_2409;
													}
													{	/* Isa/walk.scm 129 */
														obj_t BgL_auxz00_2846;
														obj_t BgL_tmpz00_2844;

														BgL_auxz00_2846 = ((obj_t) BgL_arg1419z00_2408);
														BgL_tmpz00_2844 = ((obj_t) BgL_arg1418z00_2407);
														SET_CAR(BgL_tmpz00_2844, BgL_auxz00_2846);
												}}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2349)))->
														BgL_funz00) =
													((BgL_varz00_bglt) ((BgL_varz00_bglt)
															BgL_nfunz00_2402)), BUNSPEC);
											}
										else
											{	/* Isa/walk.scm 134 */
												BgL_refz00_bglt BgL_nfunz00_2413;

												{	/* Isa/walk.scm 134 */
													BgL_nodez00_bglt BgL_duplicated1139z00_2414;
													BgL_refz00_bglt BgL_new1137z00_2415;

													BgL_duplicated1139z00_2414 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2349)))->
															BgL_funz00));
													{	/* Isa/walk.scm 134 */
														BgL_refz00_bglt BgL_new1140z00_2416;

														BgL_new1140z00_2416 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Isa/walk.scm 134 */
															long BgL_arg1457z00_2417;

															BgL_arg1457z00_2417 =
																BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1140z00_2416),
																BgL_arg1457z00_2417);
														}
														{	/* Isa/walk.scm 134 */
															BgL_objectz00_bglt BgL_tmpz00_2859;

															BgL_tmpz00_2859 =
																((BgL_objectz00_bglt) BgL_new1140z00_2416);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2859, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1140z00_2416);
														BgL_new1137z00_2415 = BgL_new1140z00_2416;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1137z00_2415)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1139z00_2414))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1137z00_2415)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1139z00_2414))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1137z00_2415)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazf2finalza2zf2zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2413 = BgL_new1137z00_2415;
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2349)))->
														BgL_funz00) =
													((BgL_varz00_bglt) ((BgL_varz00_bglt)
															BgL_nfunz00_2413)), BUNSPEC);
									}}
								else
									{	/* Isa/walk.scm 137 */
										bool_t BgL_test1853z00_2875;

										{	/* Isa/walk.scm 137 */
											long BgL_arg1583z00_2418;
											obj_t BgL_arg1584z00_2419;

											{
												BgL_tclassz00_bglt BgL_auxz00_2876;

												{
													obj_t BgL_auxz00_2877;

													{	/* Isa/walk.scm 137 */
														BgL_objectz00_bglt BgL_tmpz00_2878;

														BgL_tmpz00_2878 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2385));
														BgL_auxz00_2877 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2878);
													}
													BgL_auxz00_2876 =
														((BgL_tclassz00_bglt) BgL_auxz00_2877);
												}
												BgL_arg1583z00_2418 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2876))->
													BgL_depthz00);
											}
											BgL_arg1584z00_2419 =
												BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF((
														(long) 9)));
											BgL_test1853z00_2875 =
												BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT
												(BgL_arg1583z00_2418), BgL_arg1584z00_2419);
										}
										if (BgL_test1853z00_2875)
											{	/* Isa/walk.scm 138 */
												bool_t BgL_test1854z00_2888;

												{	/* Isa/walk.scm 138 */
													BgL_typez00_bglt BgL_arg1578z00_2420;

													{	/* Isa/walk.scm 138 */
														obj_t BgL_arg1581z00_2421;

														BgL_arg1581z00_2421 =
															CAR(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2349)))->
																BgL_argsz00));
														BgL_arg1578z00_2420 =
															BGl_uncastedzd2typeze70z35zzisa_walkz00((
																(BgL_nodez00_bglt) BgL_arg1581z00_2421));
													}
													{	/* Isa/walk.scm 138 */
														obj_t BgL_classz00_2422;

														BgL_classz00_2422 = BGl_tclassz00zzobject_classz00;
														{	/* Isa/walk.scm 138 */
															BgL_objectz00_bglt BgL_arg1825z00_2423;

															{	/* Isa/walk.scm 138 */
																obj_t BgL_tmpz00_2894;

																BgL_tmpz00_2894 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1578z00_2420));
																BgL_arg1825z00_2423 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2894);
															}
															{	/* Isa/walk.scm 138 */
																bool_t BgL_arg1822z00_2424;
																bool_t BgL_arg1823z00_2425;

																{	/* Isa/walk.scm 138 */
																	long BgL_idxz00_2426;

																	BgL_idxz00_2426 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2423);
																	BgL_arg1822z00_2424 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2426 + ((long) 2))) ==
																		BgL_classz00_2422);
																}
																{	/* Isa/walk.scm 138 */
																	bool_t BgL_res1774z00_2429;

																	{	/* Isa/walk.scm 138 */
																		obj_t BgL_oclassz00_2430;

																		{	/* Isa/walk.scm 138 */
																			long BgL_arg1833z00_2431;

																			{	/* Isa/walk.scm 138 */
																				long BgL_arg1834z00_2432;

																				BgL_arg1834z00_2432 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2423);
																				BgL_arg1833z00_2431 =
																					(BgL_arg1834z00_2432 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2430 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2431);
																		}
																		{	/* Isa/walk.scm 138 */
																			bool_t BgL__ortest_1110z00_2433;

																			BgL__ortest_1110z00_2433 =
																				(BgL_classz00_2422 ==
																				BgL_oclassz00_2430);
																			if (BgL__ortest_1110z00_2433)
																				{	/* Isa/walk.scm 138 */
																					BgL_res1774z00_2429 =
																						BgL__ortest_1110z00_2433;
																				}
																			else
																				{	/* Isa/walk.scm 138 */
																					long BgL_odepthz00_2434;

																					BgL_odepthz00_2434 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2430);
																					if ((((long) 2) < BgL_odepthz00_2434))
																						{	/* Isa/walk.scm 138 */
																							obj_t BgL_arg1821z00_2435;

																							BgL_arg1821z00_2435 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2430,
																								((long) 2));
																							BgL_res1774z00_2429 =
																								(BgL_arg1821z00_2435 ==
																								BgL_classz00_2422);
																						}
																					else
																						{	/* Isa/walk.scm 138 */
																							BgL_res1774z00_2429 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2425 = BgL_res1774z00_2429;
																}
																BgL_test1854z00_2888 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2424,
																	BgL_arg1823z00_2425);
															}
														}
													}
												}
												if (BgL_test1854z00_2888)
													{	/* Isa/walk.scm 139 */
														BgL_refz00_bglt BgL_nfunz00_2436;
														BgL_literalz00_bglt BgL_depthz00_2437;
														BgL_castz00_bglt BgL_arg0z00_2438;

														{	/* Isa/walk.scm 139 */
															BgL_nodez00_bglt BgL_duplicated1143z00_2439;
															BgL_refz00_bglt BgL_new1141z00_2440;

															BgL_duplicated1143z00_2439 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2349)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 139 */
																BgL_refz00_bglt BgL_new1144z00_2441;

																BgL_new1144z00_2441 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Isa/walk.scm 139 */
																	long BgL_arg1548z00_2442;

																	BgL_arg1548z00_2442 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1144z00_2441),
																		BgL_arg1548z00_2442);
																}
																{	/* Isa/walk.scm 139 */
																	BgL_objectz00_bglt BgL_tmpz00_2920;

																	BgL_tmpz00_2920 =
																		((BgL_objectz00_bglt) BgL_new1144z00_2441);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2920,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1144z00_2441);
																BgL_new1141z00_2440 = BgL_new1144z00_2441;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1141z00_2440)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1143z00_2439))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1141z00_2440)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1143z00_2439))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																				BgL_new1141z00_2440)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2436 = BgL_new1141z00_2440;
														}
														{	/* Isa/walk.scm 141 */
															BgL_literalz00_bglt BgL_new1146z00_2443;

															{	/* Isa/walk.scm 142 */
																BgL_literalz00_bglt BgL_new1145z00_2444;

																BgL_new1145z00_2444 =
																	((BgL_literalz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_literalz00_bgl))));
																{	/* Isa/walk.scm 142 */
																	long BgL_arg1552z00_2445;

																	BgL_arg1552z00_2445 =
																		BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1145z00_2444),
																		BgL_arg1552z00_2445);
																}
																{	/* Isa/walk.scm 142 */
																	BgL_objectz00_bglt BgL_tmpz00_2937;

																	BgL_tmpz00_2937 =
																		((BgL_objectz00_bglt) BgL_new1145z00_2444);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2937,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1145z00_2444);
																BgL_new1146z00_2443 = BgL_new1145z00_2444;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1146z00_2443)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_appz00_bglt)
																						BgL_nodez00_2349))))->BgL_locz00)),
																BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_2946;

																{	/* Isa/walk.scm 143 */
																	long BgL_arg1551z00_2446;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2948;

																		{
																			obj_t BgL_auxz00_2949;

																			{	/* Isa/walk.scm 143 */
																				BgL_objectz00_bglt BgL_tmpz00_2950;

																				BgL_tmpz00_2950 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2385));
																				BgL_auxz00_2949 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2950);
																			}
																			BgL_auxz00_2948 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2949);
																		}
																		BgL_arg1551z00_2446 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2948))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2946 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BINT(BgL_arg1551z00_2446));
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1146z00_2443)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_2946),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2959;

																{	/* Isa/walk.scm 144 */
																	long BgL_tmpz00_2961;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2962;

																		{
																			obj_t BgL_auxz00_2963;

																			{	/* Isa/walk.scm 144 */
																				BgL_objectz00_bglt BgL_tmpz00_2964;

																				BgL_tmpz00_2964 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2385));
																				BgL_auxz00_2963 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2964);
																			}
																			BgL_auxz00_2962 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2963);
																		}
																		BgL_tmpz00_2961 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2962))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2959 = BINT(BgL_tmpz00_2961);
																}
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					BgL_new1146z00_2443)))->
																		BgL_valuez00) =
																	((obj_t) BgL_auxz00_2959), BUNSPEC);
															}
															BgL_depthz00_2437 = BgL_new1146z00_2443;
														}
														{	/* Isa/walk.scm 145 */
															BgL_castz00_bglt BgL_new1148z00_2447;

															{	/* Isa/walk.scm 145 */
																BgL_castz00_bglt BgL_new1147z00_2448;

																BgL_new1147z00_2448 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Isa/walk.scm 145 */
																	long BgL_arg1555z00_2449;

																	BgL_arg1555z00_2449 =
																		BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1147z00_2448),
																		BgL_arg1555z00_2449);
																}
																{	/* Isa/walk.scm 145 */
																	BgL_objectz00_bglt BgL_tmpz00_2976;

																	BgL_tmpz00_2976 =
																		((BgL_objectz00_bglt) BgL_new1147z00_2448);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2976,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1147z00_2448);
																BgL_new1148z00_2447 = BgL_new1147z00_2448;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1148z00_2447)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1148z00_2447)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_getzd2objectzd2typez00zztype_cachez00
																		())), BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_2986;

																{	/* Isa/walk.scm 146 */
																	obj_t BgL_pairz00_2450;

																	BgL_pairz00_2450 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2349)))->
																		BgL_argsz00);
																	BgL_auxz00_2986 =
																		((BgL_nodez00_bglt) CAR(BgL_pairz00_2450));
																}
																((((BgL_castz00_bglt)
																			COBJECT(BgL_new1148z00_2447))->
																		BgL_argz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_2986),
																	BUNSPEC);
															}
															BgL_arg0z00_2438 = BgL_new1148z00_2447;
														}
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2349)))->
																BgL_funz00) =
															((BgL_varz00_bglt) ((BgL_varz00_bglt)
																	BgL_nfunz00_2436)), BUNSPEC);
														{
															obj_t BgL_auxz00_2995;

															{	/* Isa/walk.scm 149 */
																obj_t BgL_arg1534z00_2451;

																{	/* Isa/walk.scm 149 */
																	obj_t BgL_pairz00_2452;

																	BgL_pairz00_2452 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2349)))->
																		BgL_argsz00);
																	{	/* Isa/walk.scm 149 */
																		obj_t BgL_pairz00_2453;

																		BgL_pairz00_2453 = CDR(BgL_pairz00_2452);
																		BgL_arg1534z00_2451 = CAR(BgL_pairz00_2453);
																}}
																{	/* Isa/walk.scm 149 */
																	obj_t BgL_list1535z00_2454;

																	{	/* Isa/walk.scm 149 */
																		obj_t BgL_arg1536z00_2455;

																		{	/* Isa/walk.scm 149 */
																			obj_t BgL_arg1542z00_2456;

																			BgL_arg1542z00_2456 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2437), BNIL);
																			BgL_arg1536z00_2455 =
																				MAKE_YOUNG_PAIR(BgL_arg1534z00_2451,
																				BgL_arg1542z00_2456);
																		}
																		BgL_list1535z00_2454 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg0z00_2438),
																			BgL_arg1536z00_2455);
																	}
																	BgL_auxz00_2995 = BgL_list1535z00_2454;
															}}
															((((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2349)))->
																	BgL_argsz00) =
																((obj_t) BgL_auxz00_2995), BUNSPEC);
													}}
												else
													{	/* Isa/walk.scm 150 */
														BgL_refz00_bglt BgL_nfunz00_2457;

														{	/* Isa/walk.scm 150 */
															BgL_nodez00_bglt BgL_duplicated1151z00_2458;
															BgL_refz00_bglt BgL_new1149z00_2459;

															BgL_duplicated1151z00_2458 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2349)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 150 */
																BgL_refz00_bglt BgL_new1152z00_2460;

																BgL_new1152z00_2460 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Isa/walk.scm 150 */
																	long BgL_arg1571z00_2461;

																	BgL_arg1571z00_2461 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1152z00_2460),
																		BgL_arg1571z00_2461);
																}
																{	/* Isa/walk.scm 150 */
																	BgL_objectz00_bglt BgL_tmpz00_3014;

																	BgL_tmpz00_3014 =
																		((BgL_objectz00_bglt) BgL_new1152z00_2460);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3014,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1152z00_2460);
																BgL_new1149z00_2459 = BgL_new1152z00_2460;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1149z00_2459)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1151z00_2458))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1149z00_2459)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1151z00_2458))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																				BgL_new1149z00_2459)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazf2cdepthza2zf2zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2457 = BgL_new1149z00_2459;
														}
														{	/* Isa/walk.scm 150 */
															BgL_literalz00_bglt BgL_depthz00_2462;

															{	/* Isa/walk.scm 152 */
																BgL_literalz00_bglt BgL_new1154z00_2463;

																{	/* Isa/walk.scm 153 */
																	BgL_literalz00_bglt BgL_new1153z00_2464;

																	BgL_new1153z00_2464 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Isa/walk.scm 153 */
																		long BgL_arg1570z00_2465;

																		BgL_arg1570z00_2465 =
																			BGL_CLASS_NUM
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1153z00_2464),
																			BgL_arg1570z00_2465);
																	}
																	{	/* Isa/walk.scm 153 */
																		BgL_objectz00_bglt BgL_tmpz00_3031;

																		BgL_tmpz00_3031 =
																			((BgL_objectz00_bglt)
																			BgL_new1153z00_2464);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3031,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1153z00_2464);
																	BgL_new1154z00_2463 = BgL_new1153z00_2464;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1154z00_2463)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2349))))->
																			BgL_locz00)), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_3040;

																	{	/* Isa/walk.scm 154 */
																		long BgL_arg1567z00_2466;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3042;

																			{
																				obj_t BgL_auxz00_3043;

																				{	/* Isa/walk.scm 154 */
																					BgL_objectz00_bglt BgL_tmpz00_3044;

																					BgL_tmpz00_3044 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2385));
																					BgL_auxz00_3043 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3044);
																				}
																				BgL_auxz00_3042 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3043);
																			}
																			BgL_arg1567z00_2466 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3042))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_3040 =
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BINT(BgL_arg1567z00_2466));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1154z00_2463)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_3040),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_3053;

																	{	/* Isa/walk.scm 155 */
																		long BgL_tmpz00_3055;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3056;

																			{
																				obj_t BgL_auxz00_3057;

																				{	/* Isa/walk.scm 155 */
																					BgL_objectz00_bglt BgL_tmpz00_3058;

																					BgL_tmpz00_3058 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2385));
																					BgL_auxz00_3057 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3058);
																				}
																				BgL_auxz00_3056 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3057);
																			}
																			BgL_tmpz00_3055 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3056))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_3053 = BINT(BgL_tmpz00_3055);
																	}
																	((((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_new1154z00_2463)))->
																			BgL_valuez00) =
																		((obj_t) BgL_auxz00_3053), BUNSPEC);
																}
																BgL_depthz00_2462 = BgL_new1154z00_2463;
															}
															{	/* Isa/walk.scm 152 */

																((((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2349)))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nfunz00_2457)), BUNSPEC);
																{
																	obj_t BgL_auxz00_3069;

																	{	/* Isa/walk.scm 157 */
																		obj_t BgL_arg1563z00_2467;
																		obj_t BgL_arg1564z00_2468;

																		BgL_arg1563z00_2467 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2349)))->BgL_argsz00);
																		{	/* Isa/walk.scm 157 */
																			obj_t BgL_list1565z00_2469;

																			BgL_list1565z00_2469 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2462), BNIL);
																			BgL_arg1564z00_2468 =
																				BgL_list1565z00_2469;
																		}
																		BgL_auxz00_3069 =
																			BGl_appendzd221011zd2zzisa_walkz00
																			(BgL_arg1563z00_2467,
																			BgL_arg1564z00_2468);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2349)))->BgL_argsz00) =
																		((obj_t) BgL_auxz00_3069), BUNSPEC);
											}}}}}
										else
											{	/* Isa/walk.scm 137 */
												BFALSE;
											}
									}
							}
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2349));
						}
					else
						{	/* Isa/walk.scm 119 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2349)),
								BGl_isaz12zd2envzc0zzisa_walkz00);
						}
				}
			}
		}

	}



/* uncasted-type~0 */
	BgL_typez00_bglt BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt
		BgL_nodez00_1783)
	{
		{	/* Isa/walk.scm 112 */
			{	/* Isa/walk.scm 109 */
				bool_t BgL_test1857z00_3082;

				{	/* Isa/walk.scm 109 */
					obj_t BgL_classz00_2112;

					BgL_classz00_2112 = BGl_castz00zzast_nodez00;
					{	/* Isa/walk.scm 109 */
						BgL_objectz00_bglt BgL_arg1825z00_2114;

						{	/* Isa/walk.scm 109 */
							obj_t BgL_tmpz00_3083;

							BgL_tmpz00_3083 = ((obj_t) BgL_nodez00_1783);
							BgL_arg1825z00_2114 = (BgL_objectz00_bglt) (BgL_tmpz00_3083);
						}
						{	/* Isa/walk.scm 109 */
							bool_t BgL_arg1822z00_2117;
							bool_t BgL_arg1823z00_2118;

							{	/* Isa/walk.scm 109 */
								long BgL_idxz00_2121;

								BgL_idxz00_2121 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2114);
								BgL_arg1822z00_2117 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2121 + ((long) 2))) == BgL_classz00_2112);
							}
							{	/* Isa/walk.scm 109 */
								bool_t BgL_res1772z00_2143;

								{	/* Isa/walk.scm 109 */
									obj_t BgL_oclassz00_2129;

									{	/* Isa/walk.scm 109 */
										long BgL_arg1833z00_2135;

										{	/* Isa/walk.scm 109 */
											long BgL_arg1834z00_2136;

											BgL_arg1834z00_2136 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2114);
											BgL_arg1833z00_2135 = (BgL_arg1834z00_2136 - OBJECT_TYPE);
										}
										BgL_oclassz00_2129 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2135);
									}
									{	/* Isa/walk.scm 109 */
										bool_t BgL__ortest_1110z00_2130;

										BgL__ortest_1110z00_2130 =
											(BgL_classz00_2112 == BgL_oclassz00_2129);
										if (BgL__ortest_1110z00_2130)
											{	/* Isa/walk.scm 109 */
												BgL_res1772z00_2143 = BgL__ortest_1110z00_2130;
											}
										else
											{	/* Isa/walk.scm 109 */
												long BgL_odepthz00_2131;

												BgL_odepthz00_2131 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2129);
												if ((((long) 2) < BgL_odepthz00_2131))
													{	/* Isa/walk.scm 109 */
														obj_t BgL_arg1821z00_2133;

														BgL_arg1821z00_2133 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2129,
															((long) 2));
														BgL_res1772z00_2143 =
															(BgL_arg1821z00_2133 == BgL_classz00_2112);
													}
												else
													{	/* Isa/walk.scm 109 */
														BgL_res1772z00_2143 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2118 = BgL_res1772z00_2143;
							}
							BgL_test1857z00_3082 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2117, BgL_arg1823z00_2118);
						}
					}
				}
				if (BgL_test1857z00_3082)
					{	/* Isa/walk.scm 109 */
						return
							(((BgL_nodez00_bglt) COBJECT(
									(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt) BgL_nodez00_1783)))->BgL_argz00)))->
							BgL_typez00);
					}
				else
					{	/* Isa/walk.scm 109 */
						return
							(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1783))->BgL_typez00);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
