/*===========================================================================*/
/*   (Module/eval.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/eval.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t);
	static obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t);
	static obj_t BGl_library_ez00zzmodule_evalz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_evalz00();
	static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzmodule_evalz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	static obj_t BGl_evmodulezd2compzd2zzmodule_evalz00();
	static obj_t BGl_genericzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzmodule_evalz00();
	static obj_t BGl_z62zc3z04anonymousza31401ze3ze5zzmodule_evalz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t);
	static obj_t BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern BgL_typez00_bglt BGl_findzd2typezf2locationz20zztype_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
		(BgL_globalz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	static obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
	static obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00
		= BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
	static obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static bool_t BGl_za2onezd2evalzf3za2z21zzmodule_evalz00;
	static obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(obj_t);
	static obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzmodule_evalz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
	static obj_t BGl_gczd2rootszd2initz00zzmodule_evalz00();
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2modulezd2locationza2zd2zzmodule_modulez00;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t, obj_t);
	static obj_t BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00();
	static obj_t BGl_exportzd2globalze70z35zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31658ze3ze5zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t __cnst[39];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzmodule_evalz00,
		BgL_bgl_string2120za700za7za7m2131za7, "~s", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzmodule_evalz00,
		BgL_bgl_za762za7c3za704anonymo2132za7,
		BGl_z62zc3z04anonymousza31401ze3ze5zzmodule_evalz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2121z00zzmodule_evalz00,
		BgL_bgl_string2121za700za7za7m2133za7, "cannot initialize library for eval",
		34);
	      DEFINE_STRING(BGl_string2122z00zzmodule_evalz00,
		BgL_bgl_string2122za700za7za7m2134za7, "eval", 4);
	      DEFINE_STRING(BGl_string2123z00zzmodule_evalz00,
		BgL_bgl_string2123za700za7za7m2135za7,
		"Non bigloo prototyped value can't be evaluated", 46);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzmodule_evalz00,
		BgL_bgl_za762za7c3za704anonymo2136za7,
		BGl_z62zc3z04anonymousza31658ze3ze5zzmodule_evalz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2124z00zzmodule_evalz00,
		BgL_bgl_string2124za700za7za7m2137za7, "eval-init", 9);
	      DEFINE_STRING(BGl_string2125z00zzmodule_evalz00,
		BgL_bgl_string2125za700za7za7m2138za7,
		"This variable cannot be known by eval", 37);
	      DEFINE_STRING(BGl_string2126z00zzmodule_evalz00,
		BgL_bgl_string2126za700za7za7m2139za7, "Unbound eval variable", 21);
	      DEFINE_STRING(BGl_string2127z00zzmodule_evalz00,
		BgL_bgl_string2127za700za7za7m2140za7, "module_eval", 11);
	      DEFINE_STRING(BGl_string2128z00zzmodule_evalz00,
		BgL_bgl_string2128za700za7za7m2141za7,
		"eval-expand-with-access eval-expand-duplicate eval-expand-instantiate register-eval-srfi! (export) (import static export) (all module export) library-load library-mark-loaded! pragma::string bigloo-library-path library-load-init __library (int string) obj libinfo vector __evmeaning_address value module quote evmodule-comp! __evmodule begin (#unspecified) one all write void unit library import class @ export export-module export-exports export-all eval ",
		456);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2producerzd2envz00zzmodule_evalz00,
		BgL_bgl_za762evalza7d2produc2142z00,
		BGl_z62evalzd2producerzb0zzmodule_evalz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2evalzd2libraryz12zd2envzc0zzmodule_evalz00,
		BgL_bgl_za762addza7d2evalza7d22143za7,
		BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00,
		BgL_bgl_za762evalza7d2finali2144z00,
		BGl_z62evalzd2finaliza7erz17zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evalzd2librarieszd2envzd2zzmodule_evalz00,
		BgL_bgl_za762getza7d2evalza7d22145za7,
		BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2evalzd2compilerzd2envzd2zzmodule_evalz00,
		BgL_bgl_za762makeza7d2evalza7d2146za7,
		BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2115z00zzmodule_evalz00,
		BgL_bgl_string2115za700za7za7m2147za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2116z00zzmodule_evalz00,
		BgL_bgl_string2116za700za7za7m2148za7, "Illegal `eval' clause", 21);
	      DEFINE_STRING(BGl_string2118z00zzmodule_evalz00,
		BgL_bgl_string2118za700za7za7m2149za7, "cannot find info \"~a\"", 21);
	      DEFINE_STRING(BGl_string2119z00zzmodule_evalz00,
		BgL_bgl_string2119za700za7za7m2150za7,
		"cannot find file \"~a\" in lib path", 33);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2evalzd2librariesza2zd2zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2evalzd2classesza2zd2zzmodule_evalz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00));
		     ADD_ROOT((void
				*) (&BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00));
		     ADD_ROOT((void
				*) (&BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2allzd2evalzf3za2z21zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2evalzd2exportedza2zd2zzmodule_evalz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long
		BgL_checksumz00_3155, char *BgL_fromz00_3156)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_evalz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_evalz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_evalz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
					BGl_cnstzd2initzd2zzmodule_evalz00();
					BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
					return BGl_toplevelzd2initzd2zzmodule_evalz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__libraryz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_eval");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			{	/* Module/eval.scm 15 */
				obj_t BgL_cportz00_3059;

				{	/* Module/eval.scm 15 */
					obj_t BgL_stringz00_3067;

					BgL_stringz00_3067 = BGl_string2128z00zzmodule_evalz00;
					{	/* Module/eval.scm 15 */
						obj_t BgL_startz00_3068;

						BgL_startz00_3068 = BINT(((long) 0));
						{	/* Module/eval.scm 15 */
							obj_t BgL_endz00_3069;

							BgL_endz00_3069 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3067)));
							{	/* Module/eval.scm 15 */

								BgL_cportz00_3059 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3067, BgL_startz00_3068, BgL_endz00_3069);
				}}}}
				{
					long BgL_iz00_3060;

					BgL_iz00_3060 = ((long) 38);
				BgL_loopz00_3061:
					if ((BgL_iz00_3060 == ((long) -1)))
						{	/* Module/eval.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/eval.scm 15 */
							{	/* Module/eval.scm 15 */
								obj_t BgL_arg2130z00_3063;

								{	/* Module/eval.scm 15 */

									{	/* Module/eval.scm 15 */
										obj_t BgL_locationz00_3065;

										BgL_locationz00_3065 = BBOOL(((bool_t) 0));
										{	/* Module/eval.scm 15 */

											BgL_arg2130z00_3063 =
												BGl_readz00zz__readerz00(BgL_cportz00_3059,
												BgL_locationz00_3065);
										}
									}
								}
								{	/* Module/eval.scm 15 */
									int BgL_tmpz00_3191;

									BgL_tmpz00_3191 = (int) (BgL_iz00_3060);
									CNST_TABLE_SET(BgL_tmpz00_3191, BgL_arg2130z00_3063);
							}}
							{	/* Module/eval.scm 15 */
								int BgL_auxz00_3066;

								BgL_auxz00_3066 = (int) ((BgL_iz00_3060 - ((long) 1)));
								{
									long BgL_iz00_3196;

									BgL_iz00_3196 = (long) (BgL_auxz00_3066);
									BgL_iz00_3060 = BgL_iz00_3196;
									goto BgL_loopz00_3061;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BFALSE;
			return (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 =
				((bool_t) 0), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1782;

				BgL_headz00_1782 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1783;
					obj_t BgL_tailz00_1784;

					BgL_prevz00_1783 = BgL_headz00_1782;
					BgL_tailz00_1784 = BgL_l1z00_1;
				BgL_loopz00_1785:
					if (PAIRP(BgL_tailz00_1784))
						{
							obj_t BgL_newzd2prevzd2_1787;

							BgL_newzd2prevzd2_1787 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1784), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1783, BgL_newzd2prevzd2_1787);
							{
								obj_t BgL_tailz00_3206;
								obj_t BgL_prevz00_3205;

								BgL_prevz00_3205 = BgL_newzd2prevzd2_1787;
								BgL_tailz00_3206 = CDR(BgL_tailz00_1784);
								BgL_tailz00_1784 = BgL_tailz00_3206;
								BgL_prevz00_1783 = BgL_prevz00_3205;
								goto BgL_loopz00_1785;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1782);
				}
			}
		}

	}



/* make-eval-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00()
	{
		{	/* Module/eval.scm 45 */
			{	/* Module/eval.scm 46 */
				BgL_ccompz00_bglt BgL_new1109z00_1825;

				{	/* Module/eval.scm 47 */
					BgL_ccompz00_bglt BgL_new1107z00_1829;

					BgL_new1107z00_1829 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/eval.scm 47 */
						long BgL_arg1415z00_1830;

						BgL_arg1415z00_1830 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1107z00_1829), BgL_arg1415z00_1830);
					}
					BgL_new1109z00_1825 = BgL_new1107z00_1829;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1825))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1825))->BgL_producerz00) =
					((obj_t) BGl_evalzd2producerzd2envz00zzmodule_evalz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1825))->BgL_consumerz00) =
					((obj_t) BGl_proc2114z00zzmodule_evalz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1825))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00), BUNSPEC);
				return ((obj_t) BgL_new1109z00_1825);
			}
		}

	}



/* &make-eval-compiler */
	obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t BgL_envz00_3037)
	{
		{	/* Module/eval.scm 45 */
			return BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
		}

	}



/* &<@anonymous:1401> */
	obj_t BGl_z62zc3z04anonymousza31401ze3ze5zzmodule_evalz00(obj_t
		BgL_envz00_3038, obj_t BgL_mz00_3039, obj_t BgL_cz00_3040)
	{
		{	/* Module/module.scm 53 */
			return BNIL;
		}

	}



/* &eval-producer */
	obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t BgL_envz00_3041,
		obj_t BgL_clausez00_3042)
	{
		{	/* Module/eval.scm 54 */
			{
				obj_t BgL_protosz00_3073;

				if (PAIRP(BgL_clausez00_3042))
					{	/* Module/eval.scm 55 */
						BgL_protosz00_3073 = CDR(BgL_clausez00_3042);
						{
							obj_t BgL_l1297z00_3075;

							BgL_l1297z00_3075 = BgL_protosz00_3073;
						BgL_zc3z04anonymousza31419ze3z87_3074:
							if (PAIRP(BgL_l1297z00_3075))
								{	/* Module/eval.scm 57 */
									BGl_evalzd2parserzd2zzmodule_evalz00(CAR(BgL_l1297z00_3075),
										BgL_clausez00_3042);
									{
										obj_t BgL_l1297z00_3226;

										BgL_l1297z00_3226 = CDR(BgL_l1297z00_3075);
										BgL_l1297z00_3075 = BgL_l1297z00_3226;
										goto BgL_zc3z04anonymousza31419ze3z87_3074;
									}
								}
							else
								{	/* Module/eval.scm 57 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/eval.scm 55 */
						{	/* Module/eval.scm 60 */
							obj_t BgL_list1431z00_3076;

							BgL_list1431z00_3076 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string2115z00zzmodule_evalz00,
								BGl_string2116z00zzmodule_evalz00, BgL_clausez00_3042,
								BgL_list1431z00_3076);
						}
					}
			}
		}

	}



/* eval-parser */
	obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t BgL_protoz00_76,
		obj_t BgL_clausez00_77)
	{
		{	/* Module/eval.scm 68 */
			{
				obj_t BgL_libsz00_1857;

				if (PAIRP(BgL_protoz00_76))
					{	/* Module/eval.scm 69 */
						if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/eval.scm 69 */
								if (NULLP(CDR(BgL_protoz00_76)))
									{	/* Module/eval.scm 69 */
										return (BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 =
											BTRUE, BUNSPEC);
									}
								else
									{	/* Module/eval.scm 69 */
									BgL_tagzd2117zd2_1859:
										{	/* Module/eval.scm 95 */
											obj_t BgL_list1620z00_1943;

											BgL_list1620z00_1943 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzd2zztools_errorz00
												(BGl_string2115z00zzmodule_evalz00,
												BGl_string2116z00zzmodule_evalz00, BgL_clausez00_77,
												BgL_list1620z00_1943);
										}
									}
							}
						else
							{	/* Module/eval.scm 69 */
								if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 2))))
									{	/* Module/eval.scm 69 */
										if (NULLP(CDR(BgL_protoz00_76)))
											{	/* Module/eval.scm 69 */
												return
													(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
													BTRUE, BUNSPEC);
											}
										else
											{	/* Module/eval.scm 69 */
												goto BgL_tagzd2117zd2_1859;
											}
									}
								else
									{	/* Module/eval.scm 69 */
										if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 3))))
											{	/* Module/eval.scm 69 */
												if (NULLP(CDR(BgL_protoz00_76)))
													{	/* Module/eval.scm 69 */
														return
															(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00
															= BTRUE, BUNSPEC);
													}
												else
													{	/* Module/eval.scm 69 */
														goto BgL_tagzd2117zd2_1859;
													}
											}
										else
											{	/* Module/eval.scm 69 */
												obj_t BgL_cdrzd2215zd2_1877;

												BgL_cdrzd2215zd2_1877 = CDR(BgL_protoz00_76);
												if (
													(CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 4))))
													{	/* Module/eval.scm 69 */
														if (PAIRP(BgL_cdrzd2215zd2_1877))
															{	/* Module/eval.scm 69 */
																obj_t BgL_carzd2217zd2_1881;

																BgL_carzd2217zd2_1881 =
																	CAR(BgL_cdrzd2215zd2_1877);
																if (SYMBOLP(BgL_carzd2217zd2_1881))
																	{	/* Module/eval.scm 69 */
																		if (NULLP(CDR(BgL_cdrzd2215zd2_1877)))
																			{	/* Module/eval.scm 69 */
																				BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																					= ((bool_t) 1);
																				return
																					BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																					(BgL_carzd2217zd2_1881, BFALSE,
																					BgL_protoz00_76);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1859;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2247zd2_1887;

																		BgL_carzd2247zd2_1887 =
																			CAR(((obj_t) BgL_cdrzd2215zd2_1877));
																		if (PAIRP(BgL_carzd2247zd2_1887))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_cdrzd2252zd2_1889;

																				BgL_cdrzd2252zd2_1889 =
																					CDR(BgL_carzd2247zd2_1887);
																				if (
																					(CAR(BgL_carzd2247zd2_1887) ==
																						CNST_TABLE_REF(((long) 5))))
																					{	/* Module/eval.scm 69 */
																						if (PAIRP(BgL_cdrzd2252zd2_1889))
																							{	/* Module/eval.scm 69 */
																								obj_t BgL_carzd2255zd2_1893;
																								obj_t BgL_cdrzd2256zd2_1894;

																								BgL_carzd2255zd2_1893 =
																									CAR(BgL_cdrzd2252zd2_1889);
																								BgL_cdrzd2256zd2_1894 =
																									CDR(BgL_cdrzd2252zd2_1889);
																								if (SYMBOLP
																									(BgL_carzd2255zd2_1893))
																									{	/* Module/eval.scm 69 */
																										if (PAIRP
																											(BgL_cdrzd2256zd2_1894))
																											{	/* Module/eval.scm 69 */
																												obj_t
																													BgL_carzd2261zd2_1897;
																												BgL_carzd2261zd2_1897 =
																													CAR
																													(BgL_cdrzd2256zd2_1894);
																												if (SYMBOLP
																													(BgL_carzd2261zd2_1897))
																													{	/* Module/eval.scm 69 */
																														if (NULLP(CDR
																																(BgL_cdrzd2256zd2_1894)))
																															{	/* Module/eval.scm 69 */
																																if (NULLP(CDR(
																																			((obj_t)
																																				BgL_cdrzd2215zd2_1877))))
																																	{	/* Module/eval.scm 69 */
																																		BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																																			=
																																			((bool_t)
																																			1);
																																		return
																																			BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																																			(BgL_carzd2255zd2_1893,
																																			BgL_carzd2261zd2_1897,
																																			BgL_protoz00_76);
																																	}
																																else
																																	{	/* Module/eval.scm 69 */
																																		goto
																																			BgL_tagzd2117zd2_1859;
																																	}
																															}
																														else
																															{	/* Module/eval.scm 69 */
																																goto
																																	BgL_tagzd2117zd2_1859;
																															}
																													}
																												else
																													{	/* Module/eval.scm 69 */
																														goto
																															BgL_tagzd2117zd2_1859;
																													}
																											}
																										else
																											{	/* Module/eval.scm 69 */
																												goto
																													BgL_tagzd2117zd2_1859;
																											}
																									}
																								else
																									{	/* Module/eval.scm 69 */
																										goto BgL_tagzd2117zd2_1859;
																									}
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1859;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1859;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1859;
																			}
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																goto BgL_tagzd2117zd2_1859;
															}
													}
												else
													{	/* Module/eval.scm 69 */
														if (
															(CAR(BgL_protoz00_76) ==
																CNST_TABLE_REF(((long) 6))))
															{	/* Module/eval.scm 69 */
																if (PAIRP(BgL_cdrzd2215zd2_1877))
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2366zd2_1910;

																		BgL_carzd2366zd2_1910 =
																			CAR(BgL_cdrzd2215zd2_1877);
																		if (SYMBOLP(BgL_carzd2366zd2_1910))
																			{	/* Module/eval.scm 69 */
																				if (NULLP(CDR(BgL_cdrzd2215zd2_1877)))
																					{	/* Module/eval.scm 69 */
																						return
																							(BGl_za2evalzd2classesza2zd2zzmodule_evalz00
																							=
																							MAKE_YOUNG_PAIR(BgL_protoz00_76,
																								BGl_za2evalzd2classesza2zd2zzmodule_evalz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1859;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1859;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		goto BgL_tagzd2117zd2_1859;
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																obj_t BgL_cdrzd2390zd2_1915;

																BgL_cdrzd2390zd2_1915 = CDR(BgL_protoz00_76);
																if (
																	(CAR(BgL_protoz00_76) ==
																		CNST_TABLE_REF(((long) 7))))
																	{	/* Module/eval.scm 69 */
																		if (PAIRP(BgL_cdrzd2390zd2_1915))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_carzd2392zd2_1919;

																				BgL_carzd2392zd2_1919 =
																					CAR(BgL_cdrzd2390zd2_1915);
																				if (SYMBOLP(BgL_carzd2392zd2_1919))
																					{	/* Module/eval.scm 69 */
																						if (NULLP(CDR
																								(BgL_cdrzd2390zd2_1915)))
																							{	/* Module/eval.scm 69 */
																								return
																									((obj_t)
																									BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
																									(BgL_carzd2392zd2_1919,
																										BFALSE,
																										CNST_TABLE_REF(((long) 0)),
																										CNST_TABLE_REF(((long) 0)),
																										BgL_clausez00_77, BFALSE));
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1859;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1859;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1859;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		if (
																			(CAR(BgL_protoz00_76) ==
																				CNST_TABLE_REF(((long) 8))))
																			{	/* Module/eval.scm 69 */
																				bool_t BgL_tmpz00_3332;

																				BgL_libsz00_1857 =
																					BgL_cdrzd2390zd2_1915;
																				{
																					obj_t BgL_l1299z00_1935;

																					BgL_l1299z00_1935 = BgL_libsz00_1857;
																				BgL_zc3z04anonymousza31614ze3z87_1936:
																					if (PAIRP(BgL_l1299z00_1935))
																						{	/* Module/eval.scm 87 */
																							{	/* Module/eval.scm 88 */
																								obj_t BgL_libz00_1938;

																								BgL_libz00_1938 =
																									CAR(BgL_l1299z00_1935);
																								if (SYMBOLP(BgL_libz00_1938))
																									{	/* Module/eval.scm 88 */
																										BGl_za2evalzd2librariesza2zd2zzmodule_evalz00
																											=
																											MAKE_YOUNG_PAIR
																											(BgL_libz00_1938,
																											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00);
																									}
																								else
																									{	/* Module/eval.scm 89 */
																										obj_t BgL_list1617z00_1940;

																										BgL_list1617z00_1940 =
																											MAKE_YOUNG_PAIR(BNIL,
																											BNIL);
																										BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2115z00zzmodule_evalz00,
																											BGl_string2116z00zzmodule_evalz00,
																											BgL_clausez00_77,
																											BgL_list1617z00_1940);
																									}
																							}
																							{
																								obj_t BgL_l1299z00_3341;

																								BgL_l1299z00_3341 =
																									CDR(BgL_l1299z00_1935);
																								BgL_l1299z00_1935 =
																									BgL_l1299z00_3341;
																								goto
																									BgL_zc3z04anonymousza31614ze3z87_1936;
																							}
																						}
																					else
																						{	/* Module/eval.scm 87 */
																							BgL_tmpz00_3332 = ((bool_t) 1);
																						}
																				}
																				return BBOOL(BgL_tmpz00_3332);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1859;
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/eval.scm 69 */
						goto BgL_tagzd2117zd2_1859;
					}
			}
		}

	}



/* get-eval-libraries */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00()
	{
		{	/* Module/eval.scm 105 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}

	}



/* &get-eval-libraries */
	obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t BgL_envz00_3044)
	{
		{	/* Module/eval.scm 105 */
			return BGl_getzd2evalzd2librariesz00zzmodule_evalz00();
		}

	}



/* add-eval-library! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t
		BgL_libz00_78)
	{
		{	/* Module/eval.scm 111 */
			return (BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 =
				MAKE_YOUNG_PAIR(BgL_libz00_78,
					BGl_za2evalzd2librariesza2zd2zzmodule_evalz00), BUNSPEC);
		}

	}



/* &add-eval-library! */
	obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t BgL_envz00_3045,
		obj_t BgL_libz00_3046)
	{
		{	/* Module/eval.scm 111 */
			return BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(BgL_libz00_3046);
		}

	}



/* remember-eval-exported! */
	obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t
		BgL_varz00_79, obj_t BgL_modulez00_80, obj_t BgL_locz00_81)
	{
		{	/* Module/eval.scm 127 */
			{	/* Module/eval.scm 128 */
				obj_t BgL_arg1621z00_1944;

				{	/* Module/eval.scm 128 */
					obj_t BgL_list1622z00_1945;

					{	/* Module/eval.scm 128 */
						obj_t BgL_arg1632z00_1946;

						{	/* Module/eval.scm 128 */
							obj_t BgL_arg1633z00_1947;

							BgL_arg1633z00_1947 = MAKE_YOUNG_PAIR(BgL_locz00_81, BNIL);
							BgL_arg1632z00_1946 =
								MAKE_YOUNG_PAIR(BgL_modulez00_80, BgL_arg1633z00_1947);
						}
						BgL_list1622z00_1945 =
							MAKE_YOUNG_PAIR(BgL_varz00_79, BgL_arg1632z00_1946);
					}
					BgL_arg1621z00_1944 = BgL_list1622z00_1945;
				}
				return (BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 =
					MAKE_YOUNG_PAIR(BgL_arg1621z00_1944,
						BGl_za2evalzd2exportedza2zd2zzmodule_evalz00), BUNSPEC);
			}
		}

	}



/* &eval-finalizer */
	obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t BgL_envz00_3043)
	{
		{	/* Module/eval.scm 146 */
			{	/* Module/eval.scm 159 */
				bool_t BgL_test2186z00_3351;

				if (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00)
					{	/* Module/eval.scm 159 */
						BgL_test2186z00_3351 = ((bool_t) 1);
					}
				else
					{	/* Module/eval.scm 159 */
						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 159 */
								BgL_test2186z00_3351 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 159 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 159 */
										BgL_test2186z00_3351 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 159 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 159 */
												BgL_test2186z00_3351 = ((bool_t) 1);
											}
										else
											{	/* Module/eval.scm 159 */
												if (NULLP
													(BGl_za2evalzd2librariesza2zd2zzmodule_evalz00))
													{	/* Module/eval.scm 163 */
														BgL_test2186z00_3351 =
															PAIRP
															(BGl_za2evalzd2classesza2zd2zzmodule_evalz00);
													}
												else
													{	/* Module/eval.scm 163 */
														BgL_test2186z00_3351 = ((bool_t) 1);
													}
											}
									}
							}
					}
				if (BgL_test2186z00_3351)
					{	/* Module/eval.scm 167 */
						obj_t BgL_arg1636z00_3077;

						{	/* Module/eval.scm 167 */
							long BgL_arg1647z00_3078;
							obj_t BgL_arg1652z00_3079;

							{	/* Module/eval.scm 167 */
								obj_t BgL_arg1656z00_3080;

								BgL_arg1656z00_3080 =
									BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
								BgL_arg1647z00_3078 =
									((long) CINT(BgL_arg1656z00_3080) - ((long) 2));
							}
							BgL_arg1652z00_3079 =
								BGl_makezd2promisezd2zz__r4_control_features_6_9z00
								(BGl_proc2117z00zzmodule_evalz00);
							{	/* Module/eval.scm 166 */
								obj_t BgL_idz00_3081;

								BgL_idz00_3081 = CNST_TABLE_REF(((long) 0));
								{	/* Module/eval.scm 166 */
									obj_t BgL_newz00_3082;

									BgL_newz00_3082 =
										create_struct(CNST_TABLE_REF(((long) 9)),
										(int) (((long) 5)));
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3370;

										BgL_tmpz00_3370 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_3082, BgL_tmpz00_3370, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3373;

										BgL_tmpz00_3373 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_3082, BgL_tmpz00_3373, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3376;

										BgL_tmpz00_3376 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_3082, BgL_tmpz00_3376,
											BgL_arg1652z00_3079);
									}
									{	/* Module/eval.scm 166 */
										obj_t BgL_auxz00_3381;
										int BgL_tmpz00_3379;

										BgL_auxz00_3381 = BINT(BgL_arg1647z00_3078);
										BgL_tmpz00_3379 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_3082, BgL_tmpz00_3379,
											BgL_auxz00_3381);
									}
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3384;

										BgL_tmpz00_3384 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_3082, BgL_tmpz00_3384,
											BgL_idz00_3081);
									}
									BgL_arg1636z00_3077 = BgL_newz00_3082;
						}}}
						{	/* Module/eval.scm 165 */
							obj_t BgL_list1637z00_3083;

							BgL_list1637z00_3083 = MAKE_YOUNG_PAIR(BgL_arg1636z00_3077, BNIL);
							return BgL_list1637z00_3083;
						}
					}
				else
					{	/* Module/eval.scm 159 */
						return CNST_TABLE_REF(((long) 10));
		}}}

	}



/* &<@anonymous:1658> */
	obj_t BGl_z62zc3z04anonymousza31658ze3ze5zzmodule_evalz00(obj_t
		BgL_envz00_3048)
	{
		{	/* Module/eval.scm 168 */
			{
				obj_t BgL_gz00_3085;

				{	/* Module/eval.scm 169 */
					obj_t BgL_g1110z00_3120;
					obj_t BgL_g1111z00_3121;

					{	/* Module/eval.scm 171 */
						obj_t BgL_arg1716z00_3122;
						obj_t BgL_arg1721z00_3123;

						{	/* Module/eval.scm 171 */
							obj_t BgL_arg1723z00_3124;

							if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
								{	/* Module/eval.scm 171 */
									BgL_arg1723z00_3124 = CNST_TABLE_REF(((long) 12));
								}
							else
								{	/* Module/eval.scm 171 */
									if (CBOOL
										(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
										{	/* Module/eval.scm 172 */
											BgL_arg1723z00_3124 = CNST_TABLE_REF(((long) 4));
										}
									else
										{	/* Module/eval.scm 172 */
											BgL_arg1723z00_3124 = CNST_TABLE_REF(((long) 13));
								}}
							BgL_arg1716z00_3122 =
								BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00
								(BgL_arg1723z00_3124);
						}
						BgL_arg1721z00_3123 =
							BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00();
						BgL_g1110z00_3120 =
							BGl_appendzd221011zd2zzmodule_evalz00(BgL_arg1716z00_3122,
							BgL_arg1721z00_3123);
					}
					BgL_g1111z00_3121 = CNST_TABLE_REF(((long) 14));
					{
						obj_t BgL_globalsz00_3126;
						obj_t BgL_initza2za2_3127;

						BgL_globalsz00_3126 = BgL_g1110z00_3120;
						BgL_initza2za2_3127 = BgL_g1111z00_3121;
					BgL_loopz00_3125:
						if (NULLP(BgL_globalsz00_3126))
							{	/* Module/eval.scm 179 */
								obj_t BgL_arg1665z00_3128;

								{	/* Module/eval.scm 179 */
									obj_t BgL_arg1667z00_3129;
									obj_t BgL_arg1668z00_3130;

									{	/* Module/eval.scm 179 */
										obj_t BgL_l1301z00_3131;

										BgL_l1301z00_3131 =
											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
										if (NULLP(BgL_l1301z00_3131))
											{	/* Module/eval.scm 179 */
												BgL_arg1667z00_3129 = BNIL;
											}
										else
											{	/* Module/eval.scm 179 */
												obj_t BgL_head1303z00_3132;

												BgL_head1303z00_3132 =
													MAKE_YOUNG_PAIR(BGl_library_ez00zzmodule_evalz00(CAR
														(BgL_l1301z00_3131)), BNIL);
												{	/* Module/eval.scm 179 */
													obj_t BgL_g1306z00_3133;

													BgL_g1306z00_3133 = CDR(BgL_l1301z00_3131);
													{
														obj_t BgL_l1301z00_3135;
														obj_t BgL_tail1304z00_3136;

														BgL_l1301z00_3135 = BgL_g1306z00_3133;
														BgL_tail1304z00_3136 = BgL_head1303z00_3132;
													BgL_zc3z04anonymousza31670ze3z87_3134:
														if (NULLP(BgL_l1301z00_3135))
															{	/* Module/eval.scm 179 */
																BgL_arg1667z00_3129 = BgL_head1303z00_3132;
															}
														else
															{	/* Module/eval.scm 179 */
																obj_t BgL_newtail1305z00_3137;

																{	/* Module/eval.scm 179 */
																	obj_t BgL_arg1676z00_3138;

																	{	/* Module/eval.scm 179 */
																		obj_t BgL_arg1678z00_3139;

																		BgL_arg1678z00_3139 =
																			CAR(((obj_t) BgL_l1301z00_3135));
																		BgL_arg1676z00_3138 =
																			BGl_library_ez00zzmodule_evalz00
																			(BgL_arg1678z00_3139);
																	}
																	BgL_newtail1305z00_3137 =
																		MAKE_YOUNG_PAIR(BgL_arg1676z00_3138, BNIL);
																}
																SET_CDR(BgL_tail1304z00_3136,
																	BgL_newtail1305z00_3137);
																{	/* Module/eval.scm 179 */
																	obj_t BgL_arg1675z00_3140;

																	BgL_arg1675z00_3140 =
																		CDR(((obj_t) BgL_l1301z00_3135));
																	{
																		obj_t BgL_tail1304z00_3418;
																		obj_t BgL_l1301z00_3417;

																		BgL_l1301z00_3417 = BgL_arg1675z00_3140;
																		BgL_tail1304z00_3418 =
																			BgL_newtail1305z00_3137;
																		BgL_tail1304z00_3136 = BgL_tail1304z00_3418;
																		BgL_l1301z00_3135 = BgL_l1301z00_3417;
																		goto BgL_zc3z04anonymousza31670ze3z87_3134;
																	}
																}
															}
													}
												}
											}
									}
									{	/* Module/eval.scm 181 */
										obj_t BgL_arg1682z00_3141;
										obj_t BgL_arg1694z00_3142;

										BgL_arg1682z00_3141 =
											BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
										{	/* Module/eval.scm 183 */
											obj_t BgL_arg1695z00_3143;
											obj_t BgL_arg1696z00_3144;

											BgL_arg1695z00_3143 =
												BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00
												();
											{	/* Module/eval.scm 185 */
												obj_t BgL_arg1699z00_3145;
												obj_t BgL_arg1703z00_3146;

												BgL_arg1699z00_3145 =
													bgl_reverse_bang(BgL_initza2za2_3127);
												{	/* Module/eval.scm 187 */
													obj_t BgL_arg1706z00_3147;
													obj_t BgL_arg1711z00_3148;

													BgL_arg1706z00_3147 =
														BGl_evmodulezd2compzd2zzmodule_evalz00();
													BgL_arg1711z00_3148 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
													BgL_arg1703z00_3146 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1706z00_3147, BgL_arg1711z00_3148);
												}
												BgL_arg1696z00_3144 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1699z00_3145, BgL_arg1703z00_3146);
											}
											BgL_arg1694z00_3142 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1695z00_3143, BgL_arg1696z00_3144);
										}
										BgL_arg1668z00_3130 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1682z00_3141, BgL_arg1694z00_3142);
									}
									BgL_arg1665z00_3128 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1667z00_3129, BgL_arg1668z00_3130);
								}
								return
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
									BgL_arg1665z00_3128);
							}
						else
							{	/* Module/eval.scm 189 */
								obj_t BgL_gz00_3149;

								BgL_gz00_3149 = CAR(((obj_t) BgL_globalsz00_3126));
								BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(BgL_gz00_3149);
								{	/* Module/eval.scm 191 */
									obj_t BgL_arg1712z00_3150;
									obj_t BgL_arg1713z00_3151;

									BgL_arg1712z00_3150 = CDR(((obj_t) BgL_globalsz00_3126));
									if (
										(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_gz00_3149)))->
											BgL_evalzf3zf3))
										{	/* Module/eval.scm 192 */
											BgL_arg1713z00_3151 = BgL_initza2za2_3127;
										}
									else
										{	/* Module/eval.scm 194 */
											BgL_nodez00_bglt BgL_arg1715z00_3152;

											BgL_gz00_3085 = BgL_gz00_3149;
											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_gz00_3085)))->
													BgL_evalzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
											{	/* Module/eval.scm 151 */
												bool_t BgL_test2198z00_3441;

												{	/* Module/eval.scm 151 */
													BgL_valuez00_bglt BgL_arg1742z00_3086;

													BgL_arg1742z00_3086 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_3085))))->
														BgL_valuez00);
													{	/* Module/eval.scm 151 */
														obj_t BgL_classz00_3087;

														BgL_classz00_3087 = BGl_svarz00zzast_varz00;
														{	/* Module/eval.scm 151 */
															BgL_objectz00_bglt BgL_arg1825z00_3088;

															{	/* Module/eval.scm 151 */
																obj_t BgL_tmpz00_3445;

																BgL_tmpz00_3445 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1742z00_3086));
																BgL_arg1825z00_3088 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3445);
															}
															{	/* Module/eval.scm 151 */
																bool_t BgL_arg1822z00_3089;
																bool_t BgL_arg1823z00_3090;

																{	/* Module/eval.scm 151 */
																	long BgL_idxz00_3091;

																	BgL_idxz00_3091 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3088);
																	BgL_arg1822z00_3089 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3091 + ((long) 2))) ==
																		BgL_classz00_3087);
																}
																{	/* Module/eval.scm 151 */
																	bool_t BgL_res2101z00_3094;

																	{	/* Module/eval.scm 151 */
																		obj_t BgL_oclassz00_3095;

																		{	/* Module/eval.scm 151 */
																			long BgL_arg1833z00_3096;

																			{	/* Module/eval.scm 151 */
																				long BgL_arg1834z00_3097;

																				BgL_arg1834z00_3097 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3088);
																				BgL_arg1833z00_3096 =
																					(BgL_arg1834z00_3097 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3095 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3096);
																		}
																		{	/* Module/eval.scm 151 */
																			bool_t BgL__ortest_1110z00_3098;

																			BgL__ortest_1110z00_3098 =
																				(BgL_classz00_3087 ==
																				BgL_oclassz00_3095);
																			if (BgL__ortest_1110z00_3098)
																				{	/* Module/eval.scm 151 */
																					BgL_res2101z00_3094 =
																						BgL__ortest_1110z00_3098;
																				}
																			else
																				{	/* Module/eval.scm 151 */
																					long BgL_odepthz00_3099;

																					BgL_odepthz00_3099 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3095);
																					if ((((long) 2) < BgL_odepthz00_3099))
																						{	/* Module/eval.scm 151 */
																							obj_t BgL_arg1821z00_3100;

																							BgL_arg1821z00_3100 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3095,
																								((long) 2));
																							BgL_res2101z00_3094 =
																								(BgL_arg1821z00_3100 ==
																								BgL_classz00_3087);
																						}
																					else
																						{	/* Module/eval.scm 151 */
																							BgL_res2101z00_3094 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3090 = BgL_res2101z00_3094;
																}
																BgL_test2198z00_3441 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3089,
																	BgL_arg1823z00_3090);
															}
														}
													}
												}
												if (BgL_test2198z00_3441)
													{	/* Module/eval.scm 151 */
														{	/* Module/eval.scm 152 */
															obj_t BgL_vz00_3101;

															BgL_vz00_3101 = CNST_TABLE_REF(((long) 11));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt) BgL_gz00_3085)))->
																	BgL_accessz00) =
																((obj_t) BgL_vz00_3101), BUNSPEC);
														}
														{	/* Module/eval.scm 153 */
															BgL_nodez00_bglt BgL_arg1728z00_3102;
															obj_t BgL_arg1729z00_3103;

															BgL_arg1728z00_3102 =
																BGl_locationzd2ze3nodez31zzast_sexpz00(
																((BgL_globalz00_bglt) BgL_gz00_3085));
															BgL_arg1729z00_3103 =
																(((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_gz00_3085)))->
																BgL_srcz00);
															BgL_arg1715z00_3152 =
																BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
																(((BgL_globalz00_bglt) BgL_gz00_3085),
																BgL_arg1728z00_3102, BgL_arg1729z00_3103);
													}}
												else
													{	/* Module/eval.scm 154 */
														bool_t BgL_test2201z00_3473;

														{	/* Module/eval.scm 154 */
															BgL_valuez00_bglt BgL_arg1739z00_3104;

															BgL_arg1739z00_3104 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_3085))))->
																BgL_valuez00);
															{	/* Module/eval.scm 154 */
																obj_t BgL_classz00_3105;

																BgL_classz00_3105 = BGl_scnstz00zzast_varz00;
																{	/* Module/eval.scm 154 */
																	BgL_objectz00_bglt BgL_arg1825z00_3106;

																	{	/* Module/eval.scm 154 */
																		obj_t BgL_tmpz00_3477;

																		BgL_tmpz00_3477 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg1739z00_3104));
																		BgL_arg1825z00_3106 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3477);
																	}
																	{	/* Module/eval.scm 154 */
																		bool_t BgL_arg1822z00_3107;
																		bool_t BgL_arg1823z00_3108;

																		{	/* Module/eval.scm 154 */
																			long BgL_idxz00_3109;

																			BgL_idxz00_3109 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_3106);
																			BgL_arg1822z00_3107 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3109 + ((long) 2))) ==
																				BgL_classz00_3105);
																		}
																		{	/* Module/eval.scm 154 */
																			bool_t BgL_res2102z00_3112;

																			{	/* Module/eval.scm 154 */
																				obj_t BgL_oclassz00_3113;

																				{	/* Module/eval.scm 154 */
																					long BgL_arg1833z00_3114;

																					{	/* Module/eval.scm 154 */
																						long BgL_arg1834z00_3115;

																						BgL_arg1834z00_3115 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_3106);
																						BgL_arg1833z00_3114 =
																							(BgL_arg1834z00_3115 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3113 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_3114);
																				}
																				{	/* Module/eval.scm 154 */
																					bool_t BgL__ortest_1110z00_3116;

																					BgL__ortest_1110z00_3116 =
																						(BgL_classz00_3105 ==
																						BgL_oclassz00_3113);
																					if (BgL__ortest_1110z00_3116)
																						{	/* Module/eval.scm 154 */
																							BgL_res2102z00_3112 =
																								BgL__ortest_1110z00_3116;
																						}
																					else
																						{	/* Module/eval.scm 154 */
																							long BgL_odepthz00_3117;

																							BgL_odepthz00_3117 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3113);
																							if ((((long) 2) <
																									BgL_odepthz00_3117))
																								{	/* Module/eval.scm 154 */
																									obj_t BgL_arg1821z00_3118;

																									BgL_arg1821z00_3118 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3113,
																										((long) 2));
																									BgL_res2102z00_3112 =
																										(BgL_arg1821z00_3118 ==
																										BgL_classz00_3105);
																								}
																							else
																								{	/* Module/eval.scm 154 */
																									BgL_res2102z00_3112 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_3108 = BgL_res2102z00_3112;
																		}
																		BgL_test2201z00_3473 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_3107,
																			BgL_arg1823z00_3108);
																	}
																}
															}
														}
														if (BgL_test2201z00_3473)
															{	/* Module/eval.scm 155 */
																BgL_nodez00_bglt BgL_arg1738z00_3119;

																BgL_arg1738z00_3119 =
																	BGl_locationzd2ze3nodez31zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_3085));
																BgL_arg1715z00_3152 =
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(((BgL_globalz00_bglt) BgL_gz00_3085),
																	BgL_arg1738z00_3119);
															}
														else
															{	/* Module/eval.scm 154 */
																BgL_arg1715z00_3152 =
																	BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_3085));
															}
													}
											}
											BgL_arg1713z00_3151 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1715z00_3152), BgL_initza2za2_3127);
										}
									{
										obj_t BgL_initza2za2_3505;
										obj_t BgL_globalsz00_3504;

										BgL_globalsz00_3504 = BgL_arg1712z00_3150;
										BgL_initza2za2_3505 = BgL_arg1713z00_3151;
										BgL_initza2za2_3127 = BgL_initza2za2_3505;
										BgL_globalsz00_3126 = BgL_globalsz00_3504;
										goto BgL_loopz00_3125;
									}
								}
							}
					}
				}
			}
		}

	}



/* evmodule-comp */
	obj_t BGl_evmodulezd2compzd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 202 */
			if (CBOOL(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
				{	/* Module/eval.scm 219 */
					BgL_nodez00_bglt BgL_arg1743z00_2016;

					{	/* Module/eval.scm 219 */
						obj_t BgL_arg1745z00_2018;

						{	/* Module/eval.scm 219 */
							obj_t BgL_arg1746z00_2019;
							obj_t BgL_arg1747z00_2020;

							{	/* Module/eval.scm 219 */
								obj_t BgL_arg1748z00_2021;

								{	/* Module/eval.scm 219 */
									obj_t BgL_arg1749z00_2022;

									BgL_arg1749z00_2022 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 16)), BNIL);
									BgL_arg1748z00_2021 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 17)),
										BgL_arg1749z00_2022);
								}
								BgL_arg1746z00_2019 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
									BgL_arg1748z00_2021);
							}
							{	/* Module/eval.scm 220 */
								obj_t BgL_arg1750z00_2023;
								obj_t BgL_arg1751z00_2024;

								{	/* Module/eval.scm 220 */
									obj_t BgL_arg1752z00_2025;

									BgL_arg1752z00_2025 =
										MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
										BNIL);
									BgL_arg1750z00_2023 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
										BgL_arg1752z00_2025);
								}
								{	/* Module/eval.scm 220 */
									obj_t BgL_arg1753z00_2026;
									obj_t BgL_arg1759z00_2027;

									{	/* Module/eval.scm 220 */
										obj_t BgL_arg1761z00_2028;

										BgL_arg1761z00_2028 =
											MAKE_YOUNG_PAIR(BGl_za2srczd2filesza2zd2zzengine_paramz00,
											BNIL);
										BgL_arg1753z00_2026 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
											BgL_arg1761z00_2028);
									}
									{	/* Module/eval.scm 220 */
										obj_t BgL_arg1762z00_2029;
										obj_t BgL_arg1763z00_2030;

										{	/* Module/eval.scm 220 */
											obj_t BgL_arg1766z00_2031;

											BgL_arg1766z00_2031 =
												MAKE_YOUNG_PAIR
												(BGl_za2modulezd2locationza2zd2zzmodule_modulez00,
												BNIL);
											BgL_arg1762z00_2029 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
												BgL_arg1766z00_2031);
										}
										{	/* Module/eval.scm 221 */
											obj_t BgL_arg1770z00_2032;

											{	/* Module/eval.scm 221 */
												obj_t BgL_l1307z00_2033;

												BgL_l1307z00_2033 =
													BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00
													(CNST_TABLE_REF(((long) 19)));
												if (NULLP(BgL_l1307z00_2033))
													{	/* Module/eval.scm 221 */
														BgL_arg1770z00_2032 = BNIL;
													}
												else
													{	/* Module/eval.scm 221 */
														obj_t BgL_head1309z00_2035;

														{	/* Module/eval.scm 221 */
															obj_t BgL_arg1788z00_2047;

															{	/* Module/eval.scm 221 */
																obj_t BgL_arg1789z00_2048;

																BgL_arg1789z00_2048 =
																	CAR(((obj_t) BgL_l1307z00_2033));
																BgL_arg1788z00_2047 =
																	BGl_exportzd2globalze70z35zzmodule_evalz00
																	(BgL_arg1789z00_2048);
															}
															BgL_head1309z00_2035 =
																MAKE_YOUNG_PAIR(BgL_arg1788z00_2047, BNIL);
														}
														{	/* Module/eval.scm 221 */
															obj_t BgL_g1312z00_2036;

															BgL_g1312z00_2036 =
																CDR(((obj_t) BgL_l1307z00_2033));
															{
																obj_t BgL_l1307z00_2038;
																obj_t BgL_tail1310z00_2039;

																BgL_l1307z00_2038 = BgL_g1312z00_2036;
																BgL_tail1310z00_2039 = BgL_head1309z00_2035;
															BgL_zc3z04anonymousza31772ze3z87_2040:
																if (NULLP(BgL_l1307z00_2038))
																	{	/* Module/eval.scm 221 */
																		BgL_arg1770z00_2032 = BgL_head1309z00_2035;
																	}
																else
																	{	/* Module/eval.scm 221 */
																		obj_t BgL_newtail1311z00_2042;

																		{	/* Module/eval.scm 221 */
																			obj_t BgL_arg1781z00_2044;

																			{	/* Module/eval.scm 221 */
																				obj_t BgL_arg1785z00_2045;

																				BgL_arg1785z00_2045 =
																					CAR(((obj_t) BgL_l1307z00_2038));
																				BgL_arg1781z00_2044 =
																					BGl_exportzd2globalze70z35zzmodule_evalz00
																					(BgL_arg1785z00_2045);
																			}
																			BgL_newtail1311z00_2042 =
																				MAKE_YOUNG_PAIR(BgL_arg1781z00_2044,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1310z00_2039,
																			BgL_newtail1311z00_2042);
																		{	/* Module/eval.scm 221 */
																			obj_t BgL_arg1777z00_2043;

																			BgL_arg1777z00_2043 =
																				CDR(((obj_t) BgL_l1307z00_2038));
																			{
																				obj_t BgL_tail1310z00_3543;
																				obj_t BgL_l1307z00_3542;

																				BgL_l1307z00_3542 = BgL_arg1777z00_2043;
																				BgL_tail1310z00_3543 =
																					BgL_newtail1311z00_2042;
																				BgL_tail1310z00_2039 =
																					BgL_tail1310z00_3543;
																				BgL_l1307z00_2038 = BgL_l1307z00_3542;
																				goto
																					BgL_zc3z04anonymousza31772ze3z87_2040;
																			}
																		}
																	}
															}
														}
													}
											}
											BgL_arg1763z00_2030 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1770z00_2032, BNIL);
										}
										BgL_arg1759z00_2027 =
											MAKE_YOUNG_PAIR(BgL_arg1762z00_2029, BgL_arg1763z00_2030);
									}
									BgL_arg1751z00_2024 =
										MAKE_YOUNG_PAIR(BgL_arg1753z00_2026, BgL_arg1759z00_2027);
								}
								BgL_arg1747z00_2020 =
									MAKE_YOUNG_PAIR(BgL_arg1750z00_2023, BgL_arg1751z00_2024);
							}
							BgL_arg1745z00_2018 =
								MAKE_YOUNG_PAIR(BgL_arg1746z00_2019, BgL_arg1747z00_2020);
						}
						BgL_arg1743z00_2016 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1745z00_2018, BNIL,
							BFALSE, CNST_TABLE_REF(((long) 20)));
					}
					{	/* Module/eval.scm 217 */
						obj_t BgL_list1744z00_2017;

						BgL_list1744z00_2017 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1743z00_2016), BNIL);
						return BgL_list1744z00_2017;
					}
				}
			else
				{	/* Module/eval.scm 216 */
					return BNIL;
				}
		}

	}



/* export-global~0 */
	obj_t BGl_exportzd2globalze70z35zzmodule_evalz00(obj_t BgL_gz00_2049)
	{
		{	/* Module/eval.scm 205 */
			((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_gz00_2049)))->BgL_evalzf3zf3) =
				((bool_t) ((bool_t) 1)), BUNSPEC);
			{	/* Module/eval.scm 206 */
				obj_t BgL_idz00_2051;

				BgL_idz00_2051 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_2049))))->BgL_idz00);
				{	/* Module/eval.scm 208 */
					bool_t BgL_test2207z00_3558;

					{	/* Module/eval.scm 208 */
						BgL_valuez00_bglt BgL_arg1872z00_2082;

						BgL_arg1872z00_2082 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_2049))))->BgL_valuez00);
						{	/* Module/eval.scm 208 */
							obj_t BgL_classz00_2680;

							BgL_classz00_2680 = BGl_svarz00zzast_varz00;
							{	/* Module/eval.scm 208 */
								BgL_objectz00_bglt BgL_arg1825z00_2682;

								{	/* Module/eval.scm 208 */
									obj_t BgL_tmpz00_3562;

									BgL_tmpz00_3562 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1872z00_2082));
									BgL_arg1825z00_2682 = (BgL_objectz00_bglt) (BgL_tmpz00_3562);
								}
								{	/* Module/eval.scm 208 */
									bool_t BgL_arg1822z00_2685;
									bool_t BgL_arg1823z00_2686;

									{	/* Module/eval.scm 208 */
										long BgL_idxz00_2689;

										BgL_idxz00_2689 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2682);
										BgL_arg1822z00_2685 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2689 + ((long) 2))) == BgL_classz00_2680);
									}
									{	/* Module/eval.scm 208 */
										bool_t BgL_res2104z00_2711;

										{	/* Module/eval.scm 208 */
											obj_t BgL_oclassz00_2697;

											{	/* Module/eval.scm 208 */
												long BgL_arg1833z00_2703;

												{	/* Module/eval.scm 208 */
													long BgL_arg1834z00_2704;

													BgL_arg1834z00_2704 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2682);
													BgL_arg1833z00_2703 =
														(BgL_arg1834z00_2704 - OBJECT_TYPE);
												}
												BgL_oclassz00_2697 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2703);
											}
											{	/* Module/eval.scm 208 */
												bool_t BgL__ortest_1110z00_2698;

												BgL__ortest_1110z00_2698 =
													(BgL_classz00_2680 == BgL_oclassz00_2697);
												if (BgL__ortest_1110z00_2698)
													{	/* Module/eval.scm 208 */
														BgL_res2104z00_2711 = BgL__ortest_1110z00_2698;
													}
												else
													{	/* Module/eval.scm 208 */
														long BgL_odepthz00_2699;

														BgL_odepthz00_2699 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2697);
														if ((((long) 2) < BgL_odepthz00_2699))
															{	/* Module/eval.scm 208 */
																obj_t BgL_arg1821z00_2701;

																BgL_arg1821z00_2701 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2697,
																	((long) 2));
																BgL_res2104z00_2711 =
																	(BgL_arg1821z00_2701 == BgL_classz00_2680);
															}
														else
															{	/* Module/eval.scm 208 */
																BgL_res2104z00_2711 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2686 = BgL_res2104z00_2711;
									}
									BgL_test2207z00_3558 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2685, BgL_arg1823z00_2686);
								}
							}
						}
					}
					if (BgL_test2207z00_3558)
						{	/* Module/eval.scm 208 */
							{	/* Module/eval.scm 209 */
								obj_t BgL_vz00_2713;

								BgL_vz00_2713 = CNST_TABLE_REF(((long) 11));
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_gz00_2049)))->
										BgL_accessz00) = ((obj_t) BgL_vz00_2713), BUNSPEC);
							}
							{	/* Module/eval.scm 210 */
								obj_t BgL_arg1801z00_2054;

								{	/* Module/eval.scm 210 */
									obj_t BgL_arg1805z00_2055;

									{	/* Module/eval.scm 210 */
										obj_t BgL_arg1807z00_2056;
										obj_t BgL_arg1808z00_2057;

										{	/* Module/eval.scm 210 */
											obj_t BgL_arg1810z00_2058;

											BgL_arg1810z00_2058 =
												MAKE_YOUNG_PAIR(BgL_idz00_2051, BNIL);
											BgL_arg1807z00_2056 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
												BgL_arg1810z00_2058);
										}
										{	/* Module/eval.scm 210 */
											obj_t BgL_arg1811z00_2059;
											obj_t BgL_arg1817z00_2060;

											{	/* Module/eval.scm 210 */
												obj_t BgL_arg1818z00_2061;

												BgL_arg1818z00_2061 =
													MAKE_YOUNG_PAIR(BgL_idz00_2051, BNIL);
												BgL_arg1811z00_2059 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
													BgL_arg1818z00_2061);
											}
											{	/* Module/eval.scm 210 */
												obj_t BgL_arg1824z00_2062;

												BgL_arg1824z00_2062 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
												BgL_arg1817z00_2060 =
													MAKE_YOUNG_PAIR(BFALSE, BgL_arg1824z00_2062);
											}
											BgL_arg1808z00_2057 =
												MAKE_YOUNG_PAIR(BgL_arg1811z00_2059,
												BgL_arg1817z00_2060);
										}
										BgL_arg1805z00_2055 =
											MAKE_YOUNG_PAIR(BgL_arg1807z00_2056, BgL_arg1808z00_2057);
									}
									BgL_arg1801z00_2054 =
										MAKE_YOUNG_PAIR(BINT(((long) 1)), BgL_arg1805z00_2055);
								}
								return
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 22)),
									BgL_arg1801z00_2054);
						}}
					else
						{	/* Module/eval.scm 211 */
							bool_t BgL_test2210z00_3598;

							{	/* Module/eval.scm 211 */
								BgL_valuez00_bglt BgL_arg1871z00_2081;

								BgL_arg1871z00_2081 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2049))))->BgL_valuez00);
								{	/* Module/eval.scm 211 */
									obj_t BgL_classz00_2715;

									BgL_classz00_2715 = BGl_scnstz00zzast_varz00;
									{	/* Module/eval.scm 211 */
										BgL_objectz00_bglt BgL_arg1825z00_2717;

										{	/* Module/eval.scm 211 */
											obj_t BgL_tmpz00_3602;

											BgL_tmpz00_3602 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1871z00_2081));
											BgL_arg1825z00_2717 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3602);
										}
										{	/* Module/eval.scm 211 */
											bool_t BgL_arg1822z00_2720;
											bool_t BgL_arg1823z00_2721;

											{	/* Module/eval.scm 211 */
												long BgL_idxz00_2724;

												BgL_idxz00_2724 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2717);
												BgL_arg1822z00_2720 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2724 + ((long) 2))) ==
													BgL_classz00_2715);
											}
											{	/* Module/eval.scm 211 */
												bool_t BgL_res2105z00_2746;

												{	/* Module/eval.scm 211 */
													obj_t BgL_oclassz00_2732;

													{	/* Module/eval.scm 211 */
														long BgL_arg1833z00_2738;

														{	/* Module/eval.scm 211 */
															long BgL_arg1834z00_2739;

															BgL_arg1834z00_2739 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2717);
															BgL_arg1833z00_2738 =
																(BgL_arg1834z00_2739 - OBJECT_TYPE);
														}
														BgL_oclassz00_2732 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2738);
													}
													{	/* Module/eval.scm 211 */
														bool_t BgL__ortest_1110z00_2733;

														BgL__ortest_1110z00_2733 =
															(BgL_classz00_2715 == BgL_oclassz00_2732);
														if (BgL__ortest_1110z00_2733)
															{	/* Module/eval.scm 211 */
																BgL_res2105z00_2746 = BgL__ortest_1110z00_2733;
															}
														else
															{	/* Module/eval.scm 211 */
																long BgL_odepthz00_2734;

																BgL_odepthz00_2734 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2732);
																if ((((long) 2) < BgL_odepthz00_2734))
																	{	/* Module/eval.scm 211 */
																		obj_t BgL_arg1821z00_2736;

																		BgL_arg1821z00_2736 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2732, ((long) 2));
																		BgL_res2105z00_2746 =
																			(BgL_arg1821z00_2736 ==
																			BgL_classz00_2715);
																	}
																else
																	{	/* Module/eval.scm 211 */
																		BgL_res2105z00_2746 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2721 = BgL_res2105z00_2746;
											}
											BgL_test2210z00_3598 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2720,
												BgL_arg1823z00_2721);
										}
									}
								}
							}
							if (BgL_test2210z00_3598)
								{	/* Module/eval.scm 212 */
									obj_t BgL_arg1842z00_2065;

									{	/* Module/eval.scm 212 */
										obj_t BgL_arg1848z00_2066;

										{	/* Module/eval.scm 212 */
											obj_t BgL_arg1849z00_2067;
											obj_t BgL_arg1850z00_2068;

											{	/* Module/eval.scm 212 */
												obj_t BgL_arg1852z00_2069;

												BgL_arg1852z00_2069 =
													MAKE_YOUNG_PAIR(BgL_idz00_2051, BNIL);
												BgL_arg1849z00_2067 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
													BgL_arg1852z00_2069);
											}
											{	/* Module/eval.scm 212 */
												obj_t BgL_arg1854z00_2070;
												obj_t BgL_arg1855z00_2071;

												{	/* Module/eval.scm 212 */
													obj_t BgL_arg1856z00_2072;

													BgL_arg1856z00_2072 =
														MAKE_YOUNG_PAIR(BgL_idz00_2051, BNIL);
													BgL_arg1854z00_2070 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
														BgL_arg1856z00_2072);
												}
												{	/* Module/eval.scm 212 */
													obj_t BgL_arg1857z00_2073;

													BgL_arg1857z00_2073 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													BgL_arg1855z00_2071 =
														MAKE_YOUNG_PAIR(BFALSE, BgL_arg1857z00_2073);
												}
												BgL_arg1850z00_2068 =
													MAKE_YOUNG_PAIR(BgL_arg1854z00_2070,
													BgL_arg1855z00_2071);
											}
											BgL_arg1848z00_2066 =
												MAKE_YOUNG_PAIR(BgL_arg1849z00_2067,
												BgL_arg1850z00_2068);
										}
										BgL_arg1842z00_2065 =
											MAKE_YOUNG_PAIR(BINT(((long) 1)), BgL_arg1848z00_2066);
									}
									return
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 22)),
										BgL_arg1842z00_2065);
								}
							else
								{	/* Module/eval.scm 214 */
									obj_t BgL_arg1858z00_2074;

									{	/* Module/eval.scm 214 */
										obj_t BgL_arg1862z00_2075;

										{	/* Module/eval.scm 214 */
											obj_t BgL_arg1863z00_2076;
											obj_t BgL_arg1865z00_2077;

											{	/* Module/eval.scm 214 */
												obj_t BgL_arg1867z00_2078;

												BgL_arg1867z00_2078 =
													MAKE_YOUNG_PAIR(BgL_idz00_2051, BNIL);
												BgL_arg1863z00_2076 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
													BgL_arg1867z00_2078);
											}
											{	/* Module/eval.scm 214 */
												obj_t BgL_arg1869z00_2079;

												{	/* Module/eval.scm 214 */
													obj_t BgL_arg1870z00_2080;

													BgL_arg1870z00_2080 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													BgL_arg1869z00_2079 =
														MAKE_YOUNG_PAIR(BFALSE, BgL_arg1870z00_2080);
												}
												BgL_arg1865z00_2077 =
													MAKE_YOUNG_PAIR(BgL_idz00_2051, BgL_arg1869z00_2079);
											}
											BgL_arg1862z00_2075 =
												MAKE_YOUNG_PAIR(BgL_arg1863z00_2076,
												BgL_arg1865z00_2077);
										}
										BgL_arg1858z00_2074 =
											MAKE_YOUNG_PAIR(BINT(((long) 0)), BgL_arg1862z00_2075);
									}
									return
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 22)),
										BgL_arg1858z00_2074);
		}}}}}

	}



/* get-library-info */
	obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t BgL_libraryz00_82)
	{
		{	/* Module/eval.scm 228 */
			{	/* Module/eval.scm 229 */
				obj_t BgL__ortest_1113z00_2084;

				BgL__ortest_1113z00_2084 =
					BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
				if (CBOOL(BgL__ortest_1113z00_2084))
					{	/* Module/eval.scm 229 */
						return BgL__ortest_1113z00_2084;
					}
				else
					{	/* Module/eval.scm 230 */
						obj_t BgL_initz00_2085;

						BgL_initz00_2085 =
							BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libraryz00_82);
						{	/* Module/eval.scm 230 */
							obj_t BgL_pathz00_2086;

							BgL_pathz00_2086 =
								BGl_findzd2filezf2pathz20zz__osz00(BgL_initz00_2085,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
							{	/* Module/eval.scm 231 */

								if (CBOOL(BgL_pathz00_2086))
									{	/* Module/eval.scm 232 */
										{	/* Module/eval.scm 234 */
											obj_t BgL_envz00_2088;

											BgL_envz00_2088 =
												BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Module/eval.scm 234 */

												BGl_loadqz00zz__evalz00(BgL_pathz00_2086,
													BgL_envz00_2088);
											}
										}
										{	/* Module/eval.scm 235 */
											obj_t BgL_iz00_2089;

											BgL_iz00_2089 =
												BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
											if (CBOOL(BgL_iz00_2089))
												{	/* Module/eval.scm 236 */
													return BgL_iz00_2089;
												}
											else
												{	/* Module/eval.scm 238 */
													obj_t BgL_arg1875z00_2090;

													{	/* Module/eval.scm 238 */
														obj_t BgL_list1878z00_2093;

														BgL_list1878z00_2093 =
															MAKE_YOUNG_PAIR(BgL_initz00_2085, BNIL);
														BgL_arg1875z00_2090 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2118z00zzmodule_evalz00,
															BgL_list1878z00_2093);
													}
													{	/* Module/eval.scm 238 */
														obj_t BgL_list1876z00_2091;

														{	/* Module/eval.scm 238 */
															obj_t BgL_arg1877z00_2092;

															BgL_arg1877z00_2092 =
																MAKE_YOUNG_PAIR(BgL_arg1875z00_2090, BNIL);
															BgL_list1876z00_2091 =
																MAKE_YOUNG_PAIR(BgL_libraryz00_82,
																BgL_arg1877z00_2092);
														}
														return
															BGl_warningz00zz__errorz00(BgL_list1876z00_2091);
													}
												}
										}
									}
								else
									{	/* Module/eval.scm 239 */
										obj_t BgL_arg1880z00_2094;

										{	/* Module/eval.scm 239 */
											obj_t BgL_list1883z00_2097;

											BgL_list1883z00_2097 =
												MAKE_YOUNG_PAIR(BgL_initz00_2085, BNIL);
											BgL_arg1880z00_2094 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2119z00zzmodule_evalz00,
												BgL_list1883z00_2097);
										}
										{	/* Module/eval.scm 239 */
											obj_t BgL_list1881z00_2095;

											{	/* Module/eval.scm 239 */
												obj_t BgL_arg1882z00_2096;

												BgL_arg1882z00_2096 =
													MAKE_YOUNG_PAIR(BgL_arg1880z00_2094, BNIL);
												BgL_list1881z00_2095 =
													MAKE_YOUNG_PAIR(BgL_libraryz00_82,
													BgL_arg1882z00_2096);
											}
											return BGl_warningz00zz__errorz00(BgL_list1881z00_2095);
										}
									}
							}
						}
					}
			}
		}

	}



/* library_e */
	obj_t BGl_library_ez00zzmodule_evalz00(obj_t BgL_libz00_83)
	{
		{	/* Module/eval.scm 246 */
			{	/* Module/eval.scm 247 */
				obj_t BgL_infoz00_2098;

				BgL_infoz00_2098 =
					BGl_getzd2libraryzd2infoz00zzmodule_evalz00(BgL_libz00_83);
				{	/* Module/eval.scm 248 */
					bool_t BgL_test2216z00_3669;

					{	/* Module/eval.scm 248 */
						bool_t BgL_test2217z00_3670;

						if (STRUCTP(BgL_infoz00_2098))
							{	/* Module/eval.scm 248 */
								BgL_test2217z00_3670 =
									(STRUCT_KEY(BgL_infoz00_2098) == CNST_TABLE_REF(((long) 23)));
							}
						else
							{	/* Module/eval.scm 248 */
								BgL_test2217z00_3670 = ((bool_t) 0);
							}
						if (BgL_test2217z00_3670)
							{	/* Module/eval.scm 248 */
								BgL_test2216z00_3669 =
									CBOOL(STRUCT_REF(BgL_infoz00_2098, (int) (((long) 6))));
							}
						else
							{	/* Module/eval.scm 248 */
								BgL_test2216z00_3669 = ((bool_t) 0);
							}
					}
					if (BgL_test2216z00_3669)
						{	/* Module/eval.scm 249 */
							obj_t BgL_initz00_2101;

							BgL_initz00_2101 =
								BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
								(STRUCT_REF(BgL_infoz00_2098, (int) (((long) 6))));
							{	/* Module/eval.scm 249 */
								BgL_globalz00_bglt BgL_gloz00_2102;

								{	/* Module/eval.scm 252 */
									obj_t BgL_arg1931z00_2139;
									obj_t BgL_arg1932z00_2140;

									BgL_arg1931z00_2139 =
										STRUCT_REF(BgL_infoz00_2098, (int) (((long) 6)));
									{	/* Module/eval.scm 254 */
										obj_t BgL_arg1933z00_2141;
										obj_t BgL_arg1935z00_2142;

										{	/* Module/eval.scm 254 */
											obj_t BgL_arg1463z00_2761;

											BgL_arg1463z00_2761 = SYMBOL_TO_STRING(BgL_initz00_2101);
											BgL_arg1933z00_2141 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2761);
										}
										{	/* Module/eval.scm 255 */
											obj_t BgL_arg1936z00_2143;

											BgL_arg1936z00_2143 =
												STRUCT_REF(BgL_infoz00_2098, (int) (((long) 6)));
											{	/* Module/eval.scm 255 */
												obj_t BgL_arg1463z00_2764;

												BgL_arg1463z00_2764 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1936z00_2143));
												BgL_arg1935z00_2142 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2764);
										}}
										BgL_arg1932z00_2140 =
											bigloo_module_mangle(BgL_arg1933z00_2141,
											BgL_arg1935z00_2142);
									}
									BgL_gloz00_2102 =
										BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
										(BgL_initz00_2101, BgL_initz00_2101, BgL_arg1931z00_2139,
										BgL_arg1932z00_2140, CNST_TABLE_REF(((long) 24)),
										CNST_TABLE_REF(((long) 25)), ((bool_t) 0), ((bool_t) 0),
										BFALSE, BFALSE);
								}
								{	/* Module/eval.scm 250 */

									{	/* Module/eval.scm 257 */
										bool_t BgL_test2219z00_3695;

										{	/* Module/eval.scm 257 */
											obj_t BgL_arg1930z00_2138;

											BgL_arg1930z00_2138 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_test2219z00_3695 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1930z00_2138)))->
												BgL_pragmazd2supportzd2);
										}
										if (BgL_test2219z00_3695)
											{	/* Module/eval.scm 259 */
												obj_t BgL_arg1888z00_2105;

												{	/* Module/eval.scm 259 */
													obj_t BgL_arg1890z00_2106;
													obj_t BgL_arg1891z00_2107;

													{	/* Module/eval.scm 259 */
														obj_t BgL_arg1892z00_2108;
														obj_t BgL_arg1894z00_2109;

														{	/* Module/eval.scm 259 */
															obj_t BgL_arg1895z00_2110;

															{	/* Module/eval.scm 259 */
																obj_t BgL_arg1896z00_2111;

																BgL_arg1896z00_2111 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 26)),
																	BNIL);
																BgL_arg1895z00_2110 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 27)),
																	BgL_arg1896z00_2111);
															}
															BgL_arg1892z00_2108 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg1895z00_2110);
														}
														{	/* Module/eval.scm 259 */
															obj_t BgL_arg1897z00_2112;
															obj_t BgL_arg1898z00_2113;

															{	/* Module/eval.scm 259 */
																obj_t BgL_arg1901z00_2114;

																BgL_arg1901z00_2114 =
																	MAKE_YOUNG_PAIR(BgL_libz00_83, BNIL);
																BgL_arg1897z00_2112 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																	BgL_arg1901z00_2114);
															}
															{	/* Module/eval.scm 259 */
																obj_t BgL_arg1904z00_2115;

																BgL_arg1904z00_2115 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 28)),
																	BNIL);
																BgL_arg1898z00_2113 =
																	MAKE_YOUNG_PAIR(BgL_arg1904z00_2115, BNIL);
															}
															BgL_arg1894z00_2109 =
																MAKE_YOUNG_PAIR(BgL_arg1897z00_2112,
																BgL_arg1898z00_2113);
														}
														BgL_arg1890z00_2106 =
															MAKE_YOUNG_PAIR(BgL_arg1892z00_2108,
															BgL_arg1894z00_2109);
													}
													{	/* Module/eval.scm 260 */
														obj_t BgL_arg1905z00_2116;
														obj_t BgL_arg1906z00_2117;

														{	/* Module/eval.scm 260 */
															obj_t BgL_arg1907z00_2118;

															{	/* Module/eval.scm 260 */
																obj_t BgL_arg1908z00_2119;

																{	/* Module/eval.scm 260 */
																	obj_t BgL_arg1909z00_2120;

																	{	/* Module/eval.scm 260 */
																		obj_t BgL_arg1910z00_2121;

																		{	/* Module/eval.scm 260 */
																			obj_t BgL_arg1911z00_2122;

																			{	/* Module/eval.scm 260 */
																				obj_t BgL_arg1912z00_2123;

																				{	/* Module/eval.scm 260 */
																					obj_t BgL_symbolz00_2767;

																					BgL_symbolz00_2767 =
																						BGl_za2moduleza2z00zzmodule_modulez00;
																					{	/* Module/eval.scm 260 */
																						obj_t BgL_arg1463z00_2768;

																						BgL_arg1463z00_2768 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_2767);
																						BgL_arg1912z00_2123 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1463z00_2768);
																				}}
																				{	/* Module/eval.scm 260 */
																					obj_t BgL_list1913z00_2124;

																					BgL_list1913z00_2124 =
																						MAKE_YOUNG_PAIR(BgL_arg1912z00_2123,
																						BNIL);
																					BgL_arg1911z00_2122 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2120z00zzmodule_evalz00,
																						BgL_list1913z00_2124);
																			}}
																			BgL_arg1910z00_2121 =
																				MAKE_YOUNG_PAIR(BgL_arg1911z00_2122,
																				BNIL);
																		}
																		BgL_arg1909z00_2120 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					29)), BgL_arg1910z00_2121);
																	}
																	BgL_arg1908z00_2119 =
																		MAKE_YOUNG_PAIR(BgL_arg1909z00_2120, BNIL);
																}
																BgL_arg1907z00_2118 =
																	MAKE_YOUNG_PAIR(BINT(((long) 0)),
																	BgL_arg1908z00_2119);
															}
															BgL_arg1905z00_2116 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_gloz00_2102), BgL_arg1907z00_2118);
														}
														{	/* Module/eval.scm 261 */
															obj_t BgL_arg1914z00_2125;

															{	/* Module/eval.scm 261 */
																obj_t BgL_arg1916z00_2126;
																obj_t BgL_arg1917z00_2127;

																{	/* Module/eval.scm 261 */
																	obj_t BgL_arg1918z00_2128;

																	{	/* Module/eval.scm 261 */
																		obj_t BgL_arg1919z00_2129;

																		BgL_arg1919z00_2129 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					26)), BNIL);
																		BgL_arg1918z00_2128 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					30)), BgL_arg1919z00_2129);
																	}
																	BgL_arg1916z00_2126 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																		BgL_arg1918z00_2128);
																}
																{	/* Module/eval.scm 261 */
																	obj_t BgL_arg1920z00_2130;

																	{	/* Module/eval.scm 261 */
																		obj_t BgL_arg1922z00_2131;

																		BgL_arg1922z00_2131 =
																			MAKE_YOUNG_PAIR(BgL_libz00_83, BNIL);
																		BgL_arg1920z00_2130 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					18)), BgL_arg1922z00_2131);
																	}
																	BgL_arg1917z00_2127 =
																		MAKE_YOUNG_PAIR(BgL_arg1920z00_2130, BNIL);
																}
																BgL_arg1914z00_2125 =
																	MAKE_YOUNG_PAIR(BgL_arg1916z00_2126,
																	BgL_arg1917z00_2127);
															}
															BgL_arg1906z00_2117 =
																MAKE_YOUNG_PAIR(BgL_arg1914z00_2125, BNIL);
														}
														BgL_arg1891z00_2107 =
															MAKE_YOUNG_PAIR(BgL_arg1905z00_2116,
															BgL_arg1906z00_2117);
													}
													BgL_arg1888z00_2105 =
														MAKE_YOUNG_PAIR(BgL_arg1890z00_2106,
														BgL_arg1891z00_2107);
												}
												return
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
													BgL_arg1888z00_2105);
											}
										else
											{	/* Module/eval.scm 262 */
												obj_t BgL_arg1923z00_2132;
												obj_t BgL_arg1924z00_2133;

												{	/* Module/eval.scm 262 */
													obj_t BgL_arg1925z00_2134;

													{	/* Module/eval.scm 262 */
														obj_t BgL_arg1926z00_2135;

														BgL_arg1926z00_2135 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 26)),
															BNIL);
														BgL_arg1925z00_2134 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 31)),
															BgL_arg1926z00_2135);
													}
													BgL_arg1923z00_2132 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg1925z00_2134);
												}
												{	/* Module/eval.scm 262 */
													obj_t BgL_arg1927z00_2136;

													{	/* Module/eval.scm 262 */
														obj_t BgL_arg1929z00_2137;

														BgL_arg1929z00_2137 =
															MAKE_YOUNG_PAIR(BgL_libz00_83, BNIL);
														BgL_arg1927z00_2136 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
															BgL_arg1929z00_2137);
													}
													BgL_arg1924z00_2133 =
														MAKE_YOUNG_PAIR(BgL_arg1927z00_2136, BNIL);
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1923z00_2132,
													BgL_arg1924z00_2133);
											}
									}
								}
							}
						}
					else
						{	/* Module/eval.scm 263 */
							obj_t BgL_list1938z00_2145;

							{	/* Module/eval.scm 263 */
								obj_t BgL_arg1939z00_2146;

								BgL_arg1939z00_2146 =
									MAKE_YOUNG_PAIR(BGl_string2121z00zzmodule_evalz00, BNIL);
								BgL_list1938z00_2145 =
									MAKE_YOUNG_PAIR(BgL_libz00_83, BgL_arg1939z00_2146);
							}
							return BGl_warningz00zz__errorz00(BgL_list1938z00_2145);
						}
				}
			}
		}

	}



/* set-eval-types! */
	obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t BgL_globalz00_84)
	{
		{	/* Module/eval.scm 271 */
			{	/* Module/eval.scm 272 */
				BgL_valuez00_bglt BgL_valz00_2148;

				BgL_valz00_2148 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_valuez00);
				{	/* Module/eval.scm 273 */
					bool_t BgL_test2220z00_3758;

					{	/* Module/eval.scm 273 */
						obj_t BgL_classz00_2770;

						BgL_classz00_2770 = BGl_sfunz00zzast_varz00;
						{	/* Module/eval.scm 273 */
							BgL_objectz00_bglt BgL_arg1825z00_2772;

							{	/* Module/eval.scm 273 */
								obj_t BgL_tmpz00_3759;

								BgL_tmpz00_3759 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2148));
								BgL_arg1825z00_2772 = (BgL_objectz00_bglt) (BgL_tmpz00_3759);
							}
							{	/* Module/eval.scm 273 */
								bool_t BgL_arg1822z00_2775;
								bool_t BgL_arg1823z00_2776;

								{	/* Module/eval.scm 273 */
									long BgL_idxz00_2779;

									BgL_idxz00_2779 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2772);
									BgL_arg1822z00_2775 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2779 + ((long) 3))) == BgL_classz00_2770);
								}
								{	/* Module/eval.scm 273 */
									bool_t BgL_res2108z00_2801;

									{	/* Module/eval.scm 273 */
										obj_t BgL_oclassz00_2787;

										{	/* Module/eval.scm 273 */
											long BgL_arg1833z00_2793;

											{	/* Module/eval.scm 273 */
												long BgL_arg1834z00_2794;

												BgL_arg1834z00_2794 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2772);
												BgL_arg1833z00_2793 =
													(BgL_arg1834z00_2794 - OBJECT_TYPE);
											}
											BgL_oclassz00_2787 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2793);
										}
										{	/* Module/eval.scm 273 */
											bool_t BgL__ortest_1110z00_2788;

											BgL__ortest_1110z00_2788 =
												(BgL_classz00_2770 == BgL_oclassz00_2787);
											if (BgL__ortest_1110z00_2788)
												{	/* Module/eval.scm 273 */
													BgL_res2108z00_2801 = BgL__ortest_1110z00_2788;
												}
											else
												{	/* Module/eval.scm 273 */
													long BgL_odepthz00_2789;

													BgL_odepthz00_2789 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2787);
													if ((((long) 3) < BgL_odepthz00_2789))
														{	/* Module/eval.scm 273 */
															obj_t BgL_arg1821z00_2791;

															BgL_arg1821z00_2791 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2787,
																((long) 3));
															BgL_res2108z00_2801 =
																(BgL_arg1821z00_2791 == BgL_classz00_2770);
														}
													else
														{	/* Module/eval.scm 273 */
															BgL_res2108z00_2801 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2776 = BgL_res2108z00_2801;
								}
								BgL_test2220z00_3758 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2775, BgL_arg1823z00_2776);
							}
						}
					}
					if (BgL_test2220z00_3758)
						{	/* Module/eval.scm 273 */
							return BFALSE;
						}
					else
						{	/* Module/eval.scm 274 */
							BgL_typez00_bglt BgL_typez00_2150;

							BgL_typez00_2150 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_typez00);
							if ((((obj_t) BgL_typez00_2150) == BGl_za2_za2z00zztype_cachez00))
								{	/* Module/eval.scm 277 */
									BgL_typez00_bglt BgL_vz00_2804;

									BgL_vz00_2804 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
									return
										((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_84))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_2804), BUNSPEC);
								}
							else
								{	/* Module/eval.scm 276 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_2150))
										{	/* Module/eval.scm 278 */
											return BFALSE;
										}
									else
										{	/* Module/eval.scm 281 */
											obj_t BgL_arg1943z00_2153;

											BgL_arg1943z00_2153 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_84))))->
												BgL_idz00);
											return
												BGl_errorz00zz__errorz00
												(BGl_string2122z00zzmodule_evalz00,
												BGl_string2123z00zzmodule_evalz00, BgL_arg1943z00_2153);
										}
								}
						}
				}
			}
		}

	}



/* get-evaluated-globals */
	obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(obj_t BgL_scopez00_85)
	{
		{	/* Module/eval.scm 286 */
			{	/* Module/eval.scm 287 */
				obj_t BgL_globalsz00_3055;

				BgL_globalsz00_3055 = MAKE_CELL(BNIL);
				{	/* Module/eval.scm 287 */

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_scopez00_85,
								CNST_TABLE_REF(((long) 32)))))
						{	/* Module/eval.scm 289 */
							obj_t BgL_scopezd2lstzd2_2156;

							if ((BgL_scopez00_85 == CNST_TABLE_REF(((long) 12))))
								{	/* Module/eval.scm 289 */
									BgL_scopezd2lstzd2_2156 = CNST_TABLE_REF(((long) 33));
								}
							else
								{	/* Module/eval.scm 289 */
									if ((BgL_scopez00_85 == CNST_TABLE_REF(((long) 19))))
										{	/* Module/eval.scm 289 */
											BgL_scopezd2lstzd2_2156 = CNST_TABLE_REF(((long) 34));
										}
									else
										{	/* Module/eval.scm 289 */
											BgL_scopezd2lstzd2_2156 = CNST_TABLE_REF(((long) 34));
								}}
							{	/* Module/eval.scm 295 */
								obj_t BgL_zc3z04anonymousza31947ze3z87_3049;

								BgL_zc3z04anonymousza31947ze3z87_3049 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31947ze3ze5zzmodule_evalz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31947ze3z87_3049,
									(int) (((long) 0)), ((obj_t) BgL_globalsz00_3055));
								PROCEDURE_SET(BgL_zc3z04anonymousza31947ze3z87_3049,
									(int) (((long) 1)), BgL_scopezd2lstzd2_2156);
								BGl_forzd2eachzd2globalz12z12zzast_envz00
									(BgL_zc3z04anonymousza31947ze3z87_3049, BNIL);
						}}
					else
						{	/* Module/eval.scm 288 */
							BFALSE;
						}
					{
						obj_t BgL_evalzd2exportedzd2_2178;
						obj_t BgL_resz00_2179;

						BgL_evalzd2exportedzd2_2178 =
							BGl_za2evalzd2exportedza2zd2zzmodule_evalz00;
						BgL_resz00_2179 = CELL_REF(BgL_globalsz00_3055);
					BgL_zc3z04anonymousza31957ze3z87_2180:
						if (NULLP(BgL_evalzd2exportedzd2_2178))
							{	/* Module/eval.scm 301 */
								return BgL_resz00_2179;
							}
						else
							{	/* Module/eval.scm 303 */
								obj_t BgL_varzd2modulezd2posz00_2182;

								BgL_varzd2modulezd2posz00_2182 =
									CAR(((obj_t) BgL_evalzd2exportedzd2_2178));
								{	/* Module/eval.scm 304 */
									obj_t BgL_gz00_2183;

									{	/* Module/eval.scm 304 */
										bool_t BgL_test2229z00_3820;

										{	/* Module/eval.scm 304 */
											obj_t BgL_pairz00_2815;

											BgL_pairz00_2815 =
												CDR(((obj_t) BgL_varzd2modulezd2posz00_2182));
											BgL_test2229z00_3820 = CBOOL(CAR(BgL_pairz00_2815));
										}
										if (BgL_test2229z00_3820)
											{	/* Module/eval.scm 305 */
												obj_t BgL_arg1975z00_2199;
												obj_t BgL_arg1976z00_2200;

												BgL_arg1975z00_2199 =
													CAR(((obj_t) BgL_varzd2modulezd2posz00_2182));
												{	/* Module/eval.scm 306 */
													obj_t BgL_pairz00_2820;

													BgL_pairz00_2820 =
														CDR(((obj_t) BgL_varzd2modulezd2posz00_2182));
													BgL_arg1976z00_2200 = CAR(BgL_pairz00_2820);
												}
												BgL_gz00_2183 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg1975z00_2199, BgL_arg1976z00_2200);
											}
										else
											{	/* Module/eval.scm 307 */
												obj_t BgL_arg1977z00_2201;

												BgL_arg1977z00_2201 =
													CAR(((obj_t) BgL_varzd2modulezd2posz00_2182));
												BgL_gz00_2183 =
													BGl_findzd2globalzd2zzast_envz00(BgL_arg1977z00_2201,
													BNIL);
											}
									}
									{	/* Module/eval.scm 309 */
										bool_t BgL_test2230z00_3834;

										{	/* Module/eval.scm 309 */
											obj_t BgL_classz00_2822;

											BgL_classz00_2822 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_gz00_2183))
												{	/* Module/eval.scm 309 */
													BgL_objectz00_bglt BgL_arg1825z00_2824;

													BgL_arg1825z00_2824 =
														(BgL_objectz00_bglt) (BgL_gz00_2183);
													{	/* Module/eval.scm 309 */
														bool_t BgL_arg1822z00_2827;
														bool_t BgL_arg1823z00_2828;

														{	/* Module/eval.scm 309 */
															long BgL_idxz00_2831;

															BgL_idxz00_2831 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2824);
															BgL_arg1822z00_2827 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2831 + ((long) 2))) ==
																BgL_classz00_2822);
														}
														{	/* Module/eval.scm 309 */
															bool_t BgL_res2109z00_2853;

															{	/* Module/eval.scm 309 */
																obj_t BgL_oclassz00_2839;

																{	/* Module/eval.scm 309 */
																	long BgL_arg1833z00_2845;

																	{	/* Module/eval.scm 309 */
																		long BgL_arg1834z00_2846;

																		BgL_arg1834z00_2846 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2824);
																		BgL_arg1833z00_2845 =
																			(BgL_arg1834z00_2846 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2839 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2845);
																}
																{	/* Module/eval.scm 309 */
																	bool_t BgL__ortest_1110z00_2840;

																	BgL__ortest_1110z00_2840 =
																		(BgL_classz00_2822 == BgL_oclassz00_2839);
																	if (BgL__ortest_1110z00_2840)
																		{	/* Module/eval.scm 309 */
																			BgL_res2109z00_2853 =
																				BgL__ortest_1110z00_2840;
																		}
																	else
																		{	/* Module/eval.scm 309 */
																			long BgL_odepthz00_2841;

																			BgL_odepthz00_2841 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2839);
																			if ((((long) 2) < BgL_odepthz00_2841))
																				{	/* Module/eval.scm 309 */
																					obj_t BgL_arg1821z00_2843;

																					BgL_arg1821z00_2843 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2839, ((long) 2));
																					BgL_res2109z00_2853 =
																						(BgL_arg1821z00_2843 ==
																						BgL_classz00_2822);
																				}
																			else
																				{	/* Module/eval.scm 309 */
																					BgL_res2109z00_2853 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2828 = BgL_res2109z00_2853;
														}
														BgL_test2230z00_3834 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2827,
															BgL_arg1823z00_2828);
													}
												}
											else
												{	/* Module/eval.scm 309 */
													BgL_test2230z00_3834 = ((bool_t) 0);
												}
										}
										if (BgL_test2230z00_3834)
											{	/* Module/eval.scm 309 */
												if (
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_2183)))->
														BgL_evaluablezf3zf3))
													{	/* Module/eval.scm 326 */
														obj_t BgL_arg1961z00_2186;
														obj_t BgL_arg1962z00_2187;

														BgL_arg1961z00_2186 =
															CDR(((obj_t) BgL_evalzd2exportedzd2_2178));
														BgL_arg1962z00_2187 =
															MAKE_YOUNG_PAIR(BgL_gz00_2183, BgL_resz00_2179);
														{
															obj_t BgL_resz00_3860;
															obj_t BgL_evalzd2exportedzd2_3859;

															BgL_evalzd2exportedzd2_3859 = BgL_arg1961z00_2186;
															BgL_resz00_3860 = BgL_arg1962z00_2187;
															BgL_resz00_2179 = BgL_resz00_3860;
															BgL_evalzd2exportedzd2_2178 =
																BgL_evalzd2exportedzd2_3859;
															goto BgL_zc3z04anonymousza31957ze3z87_2180;
														}
													}
												else
													{	/* Module/eval.scm 317 */
														{	/* Module/eval.scm 319 */
															obj_t BgL_arg1964z00_2188;
															obj_t BgL_arg1965z00_2189;

															{	/* Module/eval.scm 319 */
																obj_t BgL_arg1967z00_2191;

																{	/* Module/eval.scm 319 */
																	obj_t BgL_pairz00_2861;

																	{	/* Module/eval.scm 319 */
																		obj_t BgL_pairz00_2860;

																		BgL_pairz00_2860 =
																			CDR(
																			((obj_t) BgL_varzd2modulezd2posz00_2182));
																		BgL_pairz00_2861 = CDR(BgL_pairz00_2860);
																	}
																	BgL_arg1967z00_2191 = CAR(BgL_pairz00_2861);
																}
																BgL_arg1964z00_2188 =
																	BGl_findzd2locationzd2zztools_locationz00
																	(BgL_arg1967z00_2191);
															}
															BgL_arg1965z00_2189 =
																CAR(((obj_t) BgL_varzd2modulezd2posz00_2182));
															{	/* Module/eval.scm 318 */
																obj_t BgL_list1966z00_2190;

																BgL_list1966z00_2190 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																BGl_userzd2errorzf2locationz20zztools_errorz00
																	(BgL_arg1964z00_2188,
																	BGl_string2124z00zzmodule_evalz00,
																	BGl_string2125z00zzmodule_evalz00,
																	BgL_arg1965z00_2189, BgL_list1966z00_2190);
															}
														}
														{	/* Module/eval.scm 324 */
															obj_t BgL_arg1968z00_2192;

															BgL_arg1968z00_2192 =
																CDR(((obj_t) BgL_evalzd2exportedzd2_2178));
															{
																obj_t BgL_evalzd2exportedzd2_3872;

																BgL_evalzd2exportedzd2_3872 =
																	BgL_arg1968z00_2192;
																BgL_evalzd2exportedzd2_2178 =
																	BgL_evalzd2exportedzd2_3872;
																goto BgL_zc3z04anonymousza31957ze3z87_2180;
															}
														}
													}
											}
										else
											{	/* Module/eval.scm 309 */
												{	/* Module/eval.scm 311 */
													obj_t BgL_arg1969z00_2193;
													obj_t BgL_arg1970z00_2194;

													{	/* Module/eval.scm 311 */
														obj_t BgL_arg1972z00_2196;

														{	/* Module/eval.scm 311 */
															obj_t BgL_pairz00_2869;

															{	/* Module/eval.scm 311 */
																obj_t BgL_pairz00_2868;

																BgL_pairz00_2868 =
																	CDR(((obj_t) BgL_varzd2modulezd2posz00_2182));
																BgL_pairz00_2869 = CDR(BgL_pairz00_2868);
															}
															BgL_arg1972z00_2196 = CAR(BgL_pairz00_2869);
														}
														BgL_arg1969z00_2193 =
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_arg1972z00_2196);
													}
													BgL_arg1970z00_2194 =
														CAR(((obj_t) BgL_varzd2modulezd2posz00_2182));
													{	/* Module/eval.scm 310 */
														obj_t BgL_list1971z00_2195;

														BgL_list1971z00_2195 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														BGl_userzd2errorzf2locationz20zztools_errorz00
															(BgL_arg1969z00_2193,
															BGl_string2124z00zzmodule_evalz00,
															BGl_string2126z00zzmodule_evalz00,
															BgL_arg1970z00_2194, BgL_list1971z00_2195);
													}
												}
												{	/* Module/eval.scm 316 */
													obj_t BgL_arg1973z00_2197;

													BgL_arg1973z00_2197 =
														CDR(((obj_t) BgL_evalzd2exportedzd2_2178));
													{
														obj_t BgL_evalzd2exportedzd2_3884;

														BgL_evalzd2exportedzd2_3884 = BgL_arg1973z00_2197;
														BgL_evalzd2exportedzd2_2178 =
															BgL_evalzd2exportedzd2_3884;
														goto BgL_zc3z04anonymousza31957ze3z87_2180;
													}
												}
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1947> */
	obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzmodule_evalz00(obj_t
		BgL_envz00_3050, obj_t BgL_gz00_3053)
	{
		{	/* Module/eval.scm 294 */
			{	/* Module/eval.scm 295 */
				obj_t BgL_globalsz00_3051;
				obj_t BgL_scopezd2lstzd2_3052;

				BgL_globalsz00_3051 =
					PROCEDURE_REF(BgL_envz00_3050, (int) (((long) 0)));
				BgL_scopezd2lstzd2_3052 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3050, (int) (((long) 1))));
				{	/* Module/eval.scm 295 */
					bool_t BgL_test2235z00_3890;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_3053)))->BgL_importz00),
								BgL_scopezd2lstzd2_3052)))
						{	/* Module/eval.scm 295 */
							if (
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_3053)))->
									BgL_evaluablezf3zf3))
								{	/* Module/eval.scm 297 */
									obj_t BgL__ortest_1114z00_3153;

									BgL__ortest_1114z00_3153 =
										BGl_za2libzd2modeza2zd2zzengine_paramz00;
									if (CBOOL(BgL__ortest_1114z00_3153))
										{	/* Module/eval.scm 297 */
											BgL_test2235z00_3890 = CBOOL(BgL__ortest_1114z00_3153);
										}
									else
										{	/* Module/eval.scm 297 */
											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_3053)))->
														BgL_libraryz00)))
												{	/* Module/eval.scm 297 */
													BgL_test2235z00_3890 = ((bool_t) 0);
												}
											else
												{	/* Module/eval.scm 297 */
													BgL_test2235z00_3890 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Module/eval.scm 296 */
									BgL_test2235z00_3890 = ((bool_t) 0);
								}
						}
					else
						{	/* Module/eval.scm 295 */
							BgL_test2235z00_3890 = ((bool_t) 0);
						}
					if (BgL_test2235z00_3890)
						{	/* Module/eval.scm 298 */
							obj_t BgL_auxz00_3154;

							BgL_auxz00_3154 =
								MAKE_YOUNG_PAIR(BgL_gz00_3053, CELL_REF(BgL_globalsz00_3051));
							return CELL_SET(BgL_globalsz00_3051, BgL_auxz00_3154);
						}
					else
						{	/* Module/eval.scm 295 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get-eval-srfi-libraries */
	obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 337 */
			{	/* Module/eval.scm 338 */
				obj_t BgL_l1313z00_2204;

				BgL_l1313z00_2204 = BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1313z00_2204))
					{	/* Module/eval.scm 338 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 338 */
						obj_t BgL_head1315z00_2206;

						BgL_head1315z00_2206 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1313z00_2208;
							obj_t BgL_tail1316z00_2209;

							BgL_l1313z00_2208 = BgL_l1313z00_2204;
							BgL_tail1316z00_2209 = BgL_head1315z00_2206;
						BgL_zc3z04anonymousza31980ze3z87_2210:
							if (NULLP(BgL_l1313z00_2208))
								{	/* Module/eval.scm 338 */
									return CDR(BgL_head1315z00_2206);
								}
							else
								{	/* Module/eval.scm 338 */
									obj_t BgL_newtail1317z00_2212;

									{	/* Module/eval.scm 338 */
										obj_t BgL_arg1983z00_2214;

										{	/* Module/eval.scm 338 */
											obj_t BgL_lz00_2215;

											BgL_lz00_2215 = CAR(((obj_t) BgL_l1313z00_2208));
											{	/* Module/eval.scm 340 */
												obj_t BgL_arg1984z00_2216;

												{	/* Module/eval.scm 340 */
													obj_t BgL_arg1985z00_2217;

													{	/* Module/eval.scm 340 */
														obj_t BgL_arg1986z00_2218;

														{	/* Module/eval.scm 340 */
															obj_t BgL_arg1987z00_2219;

															{	/* Module/eval.scm 340 */
																obj_t BgL_arg1988z00_2220;

																BgL_arg1988z00_2220 =
																	MAKE_YOUNG_PAIR(BgL_lz00_2215, BNIL);
																BgL_arg1987z00_2219 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																	BgL_arg1988z00_2220);
															}
															BgL_arg1986z00_2218 =
																MAKE_YOUNG_PAIR(BgL_arg1987z00_2219, BNIL);
														}
														BgL_arg1985z00_2217 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg1986z00_2218);
													}
													BgL_arg1984z00_2216 =
														MAKE_YOUNG_PAIR(BgL_arg1985z00_2217, BNIL);
												}
												BgL_arg1983z00_2214 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
													BgL_arg1984z00_2216);
										}}
										BgL_newtail1317z00_2212 =
											MAKE_YOUNG_PAIR(BgL_arg1983z00_2214, BNIL);
									}
									SET_CDR(BgL_tail1316z00_2209, BgL_newtail1317z00_2212);
									{	/* Module/eval.scm 338 */
										obj_t BgL_arg1982z00_2213;

										BgL_arg1982z00_2213 = CDR(((obj_t) BgL_l1313z00_2208));
										{
											obj_t BgL_tail1316z00_3929;
											obj_t BgL_l1313z00_3928;

											BgL_l1313z00_3928 = BgL_arg1982z00_2213;
											BgL_tail1316z00_3929 = BgL_newtail1317z00_2212;
											BgL_tail1316z00_2209 = BgL_tail1316z00_3929;
											BgL_l1313z00_2208 = BgL_l1313z00_3928;
											goto BgL_zc3z04anonymousza31980ze3z87_2210;
										}
									}
								}
						}
					}
			}
		}

	}



/* get-evaluated-class-macros */
	obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 346 */
			{	/* Module/eval.scm 347 */
				obj_t BgL_l1318z00_2222;

				BgL_l1318z00_2222 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1318z00_2222))
					{	/* Module/eval.scm 347 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 347 */
						obj_t BgL_head1320z00_2224;

						BgL_head1320z00_2224 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1318z00_2226;
							obj_t BgL_tail1321z00_2227;

							BgL_l1318z00_2226 = BgL_l1318z00_2222;
							BgL_tail1321z00_2227 = BgL_head1320z00_2224;
						BgL_zc3z04anonymousza31990ze3z87_2228:
							if (NULLP(BgL_l1318z00_2226))
								{	/* Module/eval.scm 347 */
									return CDR(BgL_head1320z00_2224);
								}
							else
								{	/* Module/eval.scm 347 */
									obj_t BgL_newtail1322z00_2230;

									{	/* Module/eval.scm 347 */
										obj_t BgL_arg1994z00_2232;

										{	/* Module/eval.scm 347 */
											obj_t BgL_sz00_2233;

											BgL_sz00_2233 = CAR(((obj_t) BgL_l1318z00_2226));
											{	/* Module/eval.scm 348 */
												BgL_typez00_bglt BgL_tz00_2234;

												{	/* Module/eval.scm 348 */
													obj_t BgL_arg2015z00_2259;
													obj_t BgL_arg2016z00_2260;

													{	/* Module/eval.scm 348 */
														obj_t BgL_pairz00_2881;

														BgL_pairz00_2881 = CDR(((obj_t) BgL_sz00_2233));
														BgL_arg2015z00_2259 = CAR(BgL_pairz00_2881);
													}
													BgL_arg2016z00_2260 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_2233);
													BgL_tz00_2234 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2015z00_2259, BgL_arg2016z00_2260);
												}
												{	/* Module/eval.scm 350 */
													BgL_globalz00_bglt BgL_holderz00_2237;

													{
														BgL_tclassz00_bglt BgL_auxz00_3943;

														{
															obj_t BgL_auxz00_3944;

															{	/* Module/eval.scm 351 */
																BgL_objectz00_bglt BgL_tmpz00_3945;

																BgL_tmpz00_3945 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_tz00_2234));
																BgL_auxz00_3944 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3945);
															}
															BgL_auxz00_3943 =
																((BgL_tclassz00_bglt) BgL_auxz00_3944);
														}
														BgL_holderz00_2237 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3943))->
															BgL_holderz00);
													}
													{	/* Module/eval.scm 351 */
														obj_t BgL_holderez00_2238;

														{	/* Module/eval.scm 352 */
															obj_t BgL_arg2010z00_2254;

															{	/* Module/eval.scm 352 */
																obj_t BgL_arg2011z00_2255;
																obj_t BgL_arg2012z00_2256;

																BgL_arg2011z00_2255 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_holderz00_2237)))->BgL_idz00);
																BgL_arg2012z00_2256 =
																	MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																			COBJECT(BgL_holderz00_2237))->
																		BgL_modulez00), BNIL);
																BgL_arg2010z00_2254 =
																	MAKE_YOUNG_PAIR(BgL_arg2011z00_2255,
																	BgL_arg2012z00_2256);
															}
															BgL_holderez00_2238 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg2010z00_2254);
														}
														{	/* Module/eval.scm 352 */

															{	/* Module/eval.scm 354 */
																obj_t BgL_arg1995z00_2239;

																{	/* Module/eval.scm 354 */
																	obj_t BgL_arg1996z00_2240;
																	obj_t BgL_arg1997z00_2241;

																	{	/* Module/eval.scm 354 */
																		bool_t BgL_test2244z00_3958;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3959;

																			{
																				obj_t BgL_auxz00_3960;

																				{	/* Module/eval.scm 354 */
																					BgL_objectz00_bglt BgL_tmpz00_3961;

																					BgL_tmpz00_3961 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt) BgL_tz00_2234));
																					BgL_auxz00_3960 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3961);
																				}
																				BgL_auxz00_3959 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3960);
																			}
																			BgL_test2244z00_3958 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3959))->
																				BgL_abstractzf3zf3);
																		}
																		if (BgL_test2244z00_3958)
																			{	/* Module/eval.scm 354 */
																				BgL_arg1996z00_2240 = BUNSPEC;
																			}
																		else
																			{	/* Module/eval.scm 357 */
																				obj_t BgL_arg1999z00_2243;

																				{	/* Module/eval.scm 357 */
																					obj_t BgL_arg2000z00_2244;
																					obj_t BgL_arg2001z00_2245;

																					{	/* Module/eval.scm 357 */
																						obj_t BgL_arg2002z00_2246;

																						BgL_arg2002z00_2246 =
																							MAKE_YOUNG_PAIR
																							(BgL_holderez00_2238, BNIL);
																						BgL_arg2000z00_2244 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 36)),
																							BgL_arg2002z00_2246);
																					}
																					{	/* Module/eval.scm 358 */
																						obj_t BgL_arg2003z00_2247;

																						{	/* Module/eval.scm 358 */
																							obj_t BgL_arg2004z00_2248;

																							BgL_arg2004z00_2248 =
																								MAKE_YOUNG_PAIR
																								(BgL_holderez00_2238, BNIL);
																							BgL_arg2003z00_2247 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 37)),
																								BgL_arg2004z00_2248);
																						}
																						BgL_arg2001z00_2245 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2003z00_2247, BNIL);
																					}
																					BgL_arg1999z00_2243 =
																						MAKE_YOUNG_PAIR(BgL_arg2000z00_2244,
																						BgL_arg2001z00_2245);
																				}
																				BgL_arg1996z00_2240 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							15)), BgL_arg1999z00_2243);
																	}}
																	{	/* Module/eval.scm 359 */
																		obj_t BgL_arg2005z00_2249;
																		obj_t BgL_arg2006z00_2250;

																		{	/* Module/eval.scm 359 */
																			obj_t BgL_arg2007z00_2251;

																			BgL_arg2007z00_2251 =
																				MAKE_YOUNG_PAIR(BgL_holderez00_2238,
																				BNIL);
																			BgL_arg2005z00_2249 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						38)), BgL_arg2007z00_2251);
																		}
																		{	/* Module/eval.scm 360 */
																			obj_t BgL_arg2008z00_2252;

																			{	/* Module/eval.scm 360 */
																				obj_t BgL_arg2009z00_2253;

																				BgL_arg2009z00_2253 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				BgL_arg2008z00_2252 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							18)), BgL_arg2009z00_2253);
																			}
																			BgL_arg2006z00_2250 =
																				MAKE_YOUNG_PAIR(BgL_arg2008z00_2252,
																				BNIL);
																		}
																		BgL_arg1997z00_2241 =
																			MAKE_YOUNG_PAIR(BgL_arg2005z00_2249,
																			BgL_arg2006z00_2250);
																	}
																	BgL_arg1995z00_2239 =
																		MAKE_YOUNG_PAIR(BgL_arg1996z00_2240,
																		BgL_arg1997z00_2241);
																}
																BgL_arg1994z00_2232 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
																	BgL_arg1995z00_2239);
										}}}}}}
										BgL_newtail1322z00_2230 =
											MAKE_YOUNG_PAIR(BgL_arg1994z00_2232, BNIL);
									}
									SET_CDR(BgL_tail1321z00_2227, BgL_newtail1322z00_2230);
									{	/* Module/eval.scm 347 */
										obj_t BgL_arg1992z00_2231;

										BgL_arg1992z00_2231 = CDR(((obj_t) BgL_l1318z00_2226));
										{
											obj_t BgL_tail1321z00_3993;
											obj_t BgL_l1318z00_3992;

											BgL_l1318z00_3992 = BgL_arg1992z00_2231;
											BgL_tail1321z00_3993 = BgL_newtail1322z00_2230;
											BgL_tail1321z00_2227 = BgL_tail1321z00_3993;
											BgL_l1318z00_2226 = BgL_l1318z00_3992;
											goto BgL_zc3z04anonymousza31990ze3z87_2228;
										}
									}
								}
						}
					}
			}
		}

	}



/* get-evaluated-class-holders */
	obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 366 */
			{	/* Module/eval.scm 367 */
				obj_t BgL_l1323z00_2262;

				BgL_l1323z00_2262 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1323z00_2262))
					{	/* Module/eval.scm 367 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 367 */
						obj_t BgL_head1325z00_2264;

						BgL_head1325z00_2264 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1323z00_2266;
							obj_t BgL_tail1326z00_2267;

							BgL_l1323z00_2266 = BgL_l1323z00_2262;
							BgL_tail1326z00_2267 = BgL_head1325z00_2264;
						BgL_zc3z04anonymousza32018ze3z87_2268:
							if (NULLP(BgL_l1323z00_2266))
								{	/* Module/eval.scm 367 */
									return CDR(BgL_head1325z00_2264);
								}
							else
								{	/* Module/eval.scm 367 */
									obj_t BgL_newtail1327z00_2270;

									{	/* Module/eval.scm 367 */
										BgL_globalz00_bglt BgL_arg2022z00_2272;

										{	/* Module/eval.scm 367 */
											obj_t BgL_sz00_2273;

											BgL_sz00_2273 = CAR(((obj_t) BgL_l1323z00_2266));
											{	/* Module/eval.scm 368 */
												BgL_typez00_bglt BgL_tz00_2274;

												{	/* Module/eval.scm 368 */
													obj_t BgL_arg2023z00_2275;
													obj_t BgL_arg2024z00_2276;

													{	/* Module/eval.scm 368 */
														obj_t BgL_pairz00_2900;

														BgL_pairz00_2900 = CDR(((obj_t) BgL_sz00_2273));
														BgL_arg2023z00_2275 = CAR(BgL_pairz00_2900);
													}
													BgL_arg2024z00_2276 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_2273);
													BgL_tz00_2274 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2023z00_2275, BgL_arg2024z00_2276);
												}
												{
													BgL_tclassz00_bglt BgL_auxz00_4007;

													{
														obj_t BgL_auxz00_4008;

														{	/* Module/eval.scm 369 */
															BgL_objectz00_bglt BgL_tmpz00_4009;

															BgL_tmpz00_4009 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_tz00_2274));
															BgL_auxz00_4008 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4009);
														}
														BgL_auxz00_4007 =
															((BgL_tclassz00_bglt) BgL_auxz00_4008);
													}
													BgL_arg2022z00_2272 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4007))->
														BgL_holderz00);
												}
											}
										}
										BgL_newtail1327z00_2270 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2022z00_2272), BNIL);
									}
									SET_CDR(BgL_tail1326z00_2267, BgL_newtail1327z00_2270);
									{	/* Module/eval.scm 367 */
										obj_t BgL_arg2020z00_2271;

										BgL_arg2020z00_2271 = CDR(((obj_t) BgL_l1323z00_2266));
										{
											obj_t BgL_tail1326z00_4021;
											obj_t BgL_l1323z00_4020;

											BgL_l1323z00_4020 = BgL_arg2020z00_2271;
											BgL_tail1326z00_4021 = BgL_newtail1327z00_2270;
											BgL_tail1326z00_2267 = BgL_tail1326z00_4021;
											BgL_l1323z00_2266 = BgL_l1323z00_4020;
											goto BgL_zc3z04anonymousza32018ze3z87_2268;
										}
									}
								}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00()
	{
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2127z00zzmodule_evalz00));
		}

	}

#ifdef __cplusplus
}
#endif
