/*===========================================================================*/
/*   (Module/library.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/library.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_libraryz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_libraryz00();
	static obj_t BGl_z62withzd2libraryzd2modulez12z70zzmodule_libraryz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_libraryz00();
	static obj_t BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_libraryz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
	static obj_t BGl_methodzd2initzd2zzmodule_libraryz00();
	static obj_t BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00 =
		BUNSPEC;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_libraryzd2finaliza7erz75zzmodule_libraryz00();
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62zc3z04anonymousza31193ze3ze5zzmodule_libraryz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zzmodule_libraryz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_libraryz00();
	static obj_t BGl_gczd2rootszd2initz00zzmodule_libraryz00();
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2debugzd2moduleza2z00zzbdb_settingz00;
	static obj_t BGl_za2keyza2z00zzmodule_libraryz00 = BUNSPEC;
	static obj_t BGl_z62libraryzd2finaliza7erz17zzmodule_libraryz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00;
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	static obj_t BGl_za2withzd2keyza2zd2zzmodule_libraryz00 = BUNSPEC;
	extern obj_t BGl_cvarz00zzast_varz00;
	static obj_t __cnst[11];


	   
		 
		DEFINE_STRING(BGl_string1345z00zzmodule_libraryz00,
		BgL_bgl_string1345za700za7za7m1351za7, "bgl_init_module_debug_library(\"",
		31);
	      DEFINE_STRING(BGl_string1346z00zzmodule_libraryz00,
		BgL_bgl_string1346za700za7za7m1352za7, "\")", 2);
	      DEFINE_STRING(BGl_string1347z00zzmodule_libraryz00,
		BgL_bgl_string1347za700za7za7m1353za7, "module_library", 14);
	      DEFINE_STRING(BGl_string1348z00zzmodule_libraryz00,
		BgL_bgl_string1348za700za7za7m1354za7,
		"@ unit library-modules begin pragma::void module (#unspecified) jvm bdb foreign with-key ",
		89);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1344z00zzmodule_libraryz00,
		BgL_bgl_za762za7c3za704anonymo1355za7,
		BGl_z62zc3z04anonymousza31193ze3ze5zzmodule_libraryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_libraryzd2finaliza7erzd2envza7zzmodule_libraryz00,
		BgL_bgl_za762libraryza7d2fin1356z00,
		BGl_z62libraryzd2finaliza7erz17zzmodule_libraryz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_withzd2libraryzd2modulez12zd2envzc0zzmodule_libraryz00,
		BgL_bgl_za762withza7d2librar1357z00,
		BGl_z62withzd2libraryzd2modulez12z70zzmodule_libraryz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_libraryz00));
		     ADD_ROOT((void *) (&BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00));
		     ADD_ROOT((void *) (&BGl_za2keyza2z00zzmodule_libraryz00));
		     ADD_ROOT((void *) (&BGl_za2withzd2keyza2zd2zzmodule_libraryz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long
		BgL_checksumz00_1004, char *BgL_fromz00_1005)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_libraryz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_libraryz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_libraryz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00();
					BGl_cnstzd2initzd2zzmodule_libraryz00();
					BGl_importedzd2moduleszd2initz00zzmodule_libraryz00();
					return BGl_toplevelzd2initzd2zzmodule_libraryz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_library");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"module_library");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			{	/* Module/library.scm 15 */
				obj_t BgL_cportz00_961;

				{	/* Module/library.scm 15 */
					obj_t BgL_stringz00_969;

					BgL_stringz00_969 = BGl_string1348z00zzmodule_libraryz00;
					{	/* Module/library.scm 15 */
						obj_t BgL_startz00_970;

						BgL_startz00_970 = BINT(((long) 0));
						{	/* Module/library.scm 15 */
							obj_t BgL_endz00_971;

							BgL_endz00_971 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_969)));
							{	/* Module/library.scm 15 */

								BgL_cportz00_961 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_969, BgL_startz00_970, BgL_endz00_971);
				}}}}
				{
					long BgL_iz00_962;

					BgL_iz00_962 = ((long) 10);
				BgL_loopz00_963:
					if ((BgL_iz00_962 == ((long) -1)))
						{	/* Module/library.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/library.scm 15 */
							{	/* Module/library.scm 15 */
								obj_t BgL_arg1350z00_965;

								{	/* Module/library.scm 15 */

									{	/* Module/library.scm 15 */
										obj_t BgL_locationz00_967;

										BgL_locationz00_967 = BBOOL(((bool_t) 0));
										{	/* Module/library.scm 15 */

											BgL_arg1350z00_965 =
												BGl_readz00zz__readerz00(BgL_cportz00_961,
												BgL_locationz00_967);
										}
									}
								}
								{	/* Module/library.scm 15 */
									int BgL_tmpz00_1034;

									BgL_tmpz00_1034 = (int) (BgL_iz00_962);
									CNST_TABLE_SET(BgL_tmpz00_1034, BgL_arg1350z00_965);
							}}
							{	/* Module/library.scm 15 */
								int BgL_auxz00_968;

								BgL_auxz00_968 = (int) ((BgL_iz00_962 - ((long) 1)));
								{
									long BgL_iz00_1039;

									BgL_iz00_1039 = (long) (BgL_auxz00_968);
									BgL_iz00_962 = BgL_iz00_1039;
									goto BgL_loopz00_963;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = BNIL;
			BGl_za2keyza2z00zzmodule_libraryz00 = BUNSPEC;
			BGl_za2withzd2keyza2zd2zzmodule_libraryz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
			return (BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00 =
				BNIL, BUNSPEC);
		}

	}



/* library-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_libraryzd2finaliza7erz75zzmodule_libraryz00()
	{
		{	/* Module/library.scm 31 */
			{	/* Module/library.scm 33 */

				{	/* Module/library.scm 33 */

					BGl_za2keyza2z00zzmodule_libraryz00 =
						BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
			{	/* Module/library.scm 35 */
				obj_t BgL_g1154z00_578;

				BgL_g1154z00_578 = BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
				{
					obj_t BgL_l1149z00_580;

					BgL_l1149z00_580 = BgL_g1154z00_578;
				BgL_zc3z04anonymousza31184ze3z87_581:
					if (PAIRP(BgL_l1149z00_580))
						{	/* Module/library.scm 36 */
							{	/* Module/library.scm 35 */
								obj_t BgL_modulez00_583;

								BgL_modulez00_583 = CAR(BgL_l1149z00_580);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_583,
									BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
							}
							{
								obj_t BgL_l1149z00_1050;

								BgL_l1149z00_1050 = CDR(BgL_l1149z00_580);
								BgL_l1149z00_580 = BgL_l1149z00_1050;
								goto BgL_zc3z04anonymousza31184ze3z87_581;
							}
						}
					else
						{	/* Module/library.scm 36 */
							((bool_t) 1);
						}
				}
			}
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)),
				BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
			BGl_putpropz12z12zz__r4_symbols_6_4z00
				(BGl_za2moduleza2z00zzmodule_modulez00,
				BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_proc1344z00zzmodule_libraryz00, BNIL);
			{	/* Module/library.scm 50 */
				bool_t BgL_test1363z00_1056;

				if (
					((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > ((long) 0)))
					{	/* Module/library.scm 51 */
						obj_t BgL_arg1236z00_625;

						{	/* Module/library.scm 51 */
							obj_t BgL_arg1237z00_626;

							BgL_arg1237z00_626 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_arg1236z00_625 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1237z00_626)))->
								BgL_debugzd2supportzd2);
						}
						BgL_test1363z00_1056 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
										(long) 2)), BgL_arg1236z00_625));
					}
				else
					{	/* Module/library.scm 50 */
						BgL_test1363z00_1056 = ((bool_t) 0);
					}
				if (BgL_test1363z00_1056)
					{
						obj_t BgL_l1155z00_618;

						BgL_l1155z00_618 = BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00;
					BgL_zc3z04anonymousza31225ze3z87_619:
						if (PAIRP(BgL_l1155z00_618))
							{	/* Module/library.scm 52 */
								BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(CAR
									(BgL_l1155z00_618));
								{
									obj_t BgL_l1155z00_1070;

									BgL_l1155z00_1070 = CDR(BgL_l1155z00_618);
									BgL_l1155z00_618 = BgL_l1155z00_1070;
									goto BgL_zc3z04anonymousza31225ze3z87_619;
								}
							}
						else
							{	/* Module/library.scm 52 */
								((bool_t) 1);
							}
					}
				else
					{	/* Module/library.scm 50 */
						((bool_t) 0);
					}
			}
			{	/* Module/library.scm 53 */
				bool_t BgL_test1368z00_1072;

				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* Module/library.scm 53 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Module/library.scm 54 */
								BgL_test1368z00_1072 = ((bool_t) 0);
							}
						else
							{	/* Module/library.scm 55 */
								obj_t BgL_arg1254z00_637;

								{	/* Module/library.scm 55 */
									obj_t BgL_arg1255z00_638;

									BgL_arg1255z00_638 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_arg1254z00_637 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg1255z00_638)))->
										BgL_debugzd2supportzd2);
								}
								BgL_test1368z00_1072 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
											((long) 3)), BgL_arg1254z00_637));
					}}
				else
					{	/* Module/library.scm 53 */
						BgL_test1368z00_1072 = ((bool_t) 0);
					}
				if (BgL_test1368z00_1072)
					{
						obj_t BgL_l1157z00_631;

						BgL_l1157z00_631 =
							BGl_za2jvmzd2debugzd2moduleza2z00zzbdb_settingz00;
					BgL_zc3z04anonymousza31245ze3z87_632:
						if (PAIRP(BgL_l1157z00_631))
							{	/* Module/library.scm 56 */
								BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(CAR
									(BgL_l1157z00_631));
								{
									obj_t BgL_l1157z00_1087;

									BgL_l1157z00_1087 = CDR(BgL_l1157z00_631);
									BgL_l1157z00_631 = BgL_l1157z00_1087;
									goto BgL_zc3z04anonymousza31245ze3z87_632;
								}
							}
						else
							{	/* Module/library.scm 56 */
								((bool_t) 1);
							}
					}
				else
					{	/* Module/library.scm 53 */
						((bool_t) 0);
					}
			}
			{
				obj_t BgL_l1159z00_640;

				BgL_l1159z00_640 =
					BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00;
			BgL_zc3z04anonymousza31256ze3z87_641:
				if (PAIRP(BgL_l1159z00_640))
					{	/* Module/library.scm 59 */
						BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(CAR
							(BgL_l1159z00_640));
						{
							obj_t BgL_l1159z00_1093;

							BgL_l1159z00_1093 = CDR(BgL_l1159z00_640);
							BgL_l1159z00_640 = BgL_l1159z00_1093;
							goto BgL_zc3z04anonymousza31256ze3z87_641;
						}
					}
				else
					{	/* Module/library.scm 59 */
						((bool_t) 1);
					}
			}
			{	/* Module/library.scm 61 */
				obj_t BgL_modulesz00_646;

				BgL_modulesz00_646 = BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00;
				if (NULLP(BgL_modulesz00_646))
					{	/* Module/library.scm 62 */
						return BNIL;
					}
				else
					{	/* Module/library.scm 64 */
						obj_t BgL_g1062z00_648;

						BgL_g1062z00_648 = CNST_TABLE_REF(((long) 4));
						{
							obj_t BgL_modulesz00_650;
							obj_t BgL_initzd2callza2z70_651;

							BgL_modulesz00_650 = BgL_modulesz00_646;
							BgL_initzd2callza2z70_651 = BgL_g1062z00_648;
						BgL_zc3z04anonymousza31261ze3z87_652:
							if (NULLP(BgL_modulesz00_650))
								{	/* Module/library.scm 67 */
									obj_t BgL_bodyz00_654;

									{	/* Module/library.scm 67 */
										bool_t BgL_test1378z00_1100;

										if (
											((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
												> ((long) 0)))
											{	/* Module/library.scm 70 */
												obj_t BgL_arg1299z00_667;

												{	/* Module/library.scm 70 */
													obj_t BgL_arg1301z00_668;

													BgL_arg1301z00_668 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1299z00_667 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1301z00_668)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test1378z00_1100 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 5)), BgL_arg1299z00_667));
											}
										else
											{	/* Module/library.scm 67 */
												BgL_test1378z00_1100 = ((bool_t) 0);
											}
										if (BgL_test1378z00_1100)
											{	/* Module/library.scm 75 */
												obj_t BgL_arg1280z00_659;

												{	/* Module/library.scm 75 */
													obj_t BgL_arg1281z00_660;

													{	/* Module/library.scm 75 */
														obj_t BgL_arg1284z00_661;
														obj_t BgL_arg1295z00_662;

														{	/* Module/library.scm 75 */
															obj_t BgL_arg1296z00_663;

															{	/* Module/library.scm 75 */
																obj_t BgL_arg1297z00_664;

																{	/* Module/library.scm 75 */
																	obj_t BgL_arg1298z00_665;

																	{	/* Module/library.scm 75 */
																		obj_t BgL_symbolz00_876;

																		BgL_symbolz00_876 =
																			BGl_za2moduleza2z00zzmodule_modulez00;
																		{	/* Module/library.scm 75 */
																			obj_t BgL_arg1463z00_877;

																			BgL_arg1463z00_877 =
																				SYMBOL_TO_STRING(BgL_symbolz00_876);
																			BgL_arg1298z00_665 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1463z00_877);
																		}
																	}
																	BgL_arg1297z00_664 =
																		string_append_3
																		(BGl_string1345z00zzmodule_libraryz00,
																		BgL_arg1298z00_665,
																		BGl_string1346z00zzmodule_libraryz00);
																}
																BgL_arg1296z00_663 =
																	MAKE_YOUNG_PAIR(BgL_arg1297z00_664, BNIL);
															}
															BgL_arg1284z00_661 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1296z00_663);
														}
														BgL_arg1295z00_662 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_initzd2callza2z70_651, BNIL);
														BgL_arg1281z00_660 =
															MAKE_YOUNG_PAIR(BgL_arg1284z00_661,
															BgL_arg1295z00_662);
													}
													BgL_arg1280z00_659 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
														BgL_arg1281z00_660);
												}
												BgL_bodyz00_654 =
													MAKE_YOUNG_PAIR(BgL_arg1280z00_659, BNIL);
											}
										else
											{	/* Module/library.scm 67 */
												BgL_bodyz00_654 = BgL_initzd2callza2z70_651;
											}
									}
									{	/* Module/library.scm 79 */
										obj_t BgL_idz00_878;

										BgL_idz00_878 = CNST_TABLE_REF(((long) 8));
										{	/* Module/library.scm 79 */
											obj_t BgL_newz00_879;

											BgL_newz00_879 =
												create_struct(CNST_TABLE_REF(((long) 9)),
												(int) (((long) 5)));
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1125;

												BgL_tmpz00_1125 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_879, BgL_tmpz00_1125, BFALSE);
											}
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1128;

												BgL_tmpz00_1128 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_879, BgL_tmpz00_1128, BTRUE);
											}
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1131;

												BgL_tmpz00_1131 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_879, BgL_tmpz00_1131,
													BgL_bodyz00_654);
											}
											{	/* Module/library.scm 79 */
												obj_t BgL_auxz00_1136;
												int BgL_tmpz00_1134;

												BgL_auxz00_1136 = BINT(((long) 2));
												BgL_tmpz00_1134 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_879, BgL_tmpz00_1134,
													BgL_auxz00_1136);
											}
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1139;

												BgL_tmpz00_1139 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_879, BgL_tmpz00_1139,
													BgL_idz00_878);
											}
											return BgL_newz00_879;
										}
									}
								}
							else
								{	/* Module/library.scm 80 */
									obj_t BgL_idz00_669;

									BgL_idz00_669 = CAR(((obj_t) BgL_modulesz00_650));
									{	/* Module/library.scm 80 */
										obj_t BgL_initzd2funzd2idz00_670;

										BgL_initzd2funzd2idz00_670 =
											BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
											(BgL_idz00_669);
										{	/* Module/library.scm 81 */

											{	/* Module/library.scm 82 */
												obj_t BgL_arg1304z00_671;
												obj_t BgL_arg1306z00_672;

												BgL_arg1304z00_671 = CDR(((obj_t) BgL_modulesz00_650));
												{	/* Module/library.scm 83 */
													obj_t BgL_arg1307z00_673;

													{	/* Module/library.scm 83 */
														obj_t BgL_arg1308z00_674;
														obj_t BgL_arg1309z00_675;

														{	/* Module/library.scm 83 */
															obj_t BgL_arg1310z00_676;

															{	/* Module/library.scm 83 */
																obj_t BgL_arg1311z00_677;

																BgL_arg1311z00_677 =
																	MAKE_YOUNG_PAIR(BgL_idz00_669, BNIL);
																BgL_arg1310z00_676 =
																	MAKE_YOUNG_PAIR(BgL_initzd2funzd2idz00_670,
																	BgL_arg1311z00_677);
															}
															BgL_arg1308z00_674 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
																BgL_arg1310z00_676);
														}
														{	/* Module/library.scm 87 */
															obj_t BgL_arg1313z00_678;

															{	/* Module/library.scm 87 */
																obj_t BgL_arg1314z00_679;

																{	/* Module/library.scm 87 */
																	obj_t BgL_symbolz00_887;

																	BgL_symbolz00_887 =
																		BGl_za2moduleza2z00zzmodule_modulez00;
																	{	/* Module/library.scm 87 */
																		obj_t BgL_arg1463z00_888;

																		BgL_arg1463z00_888 =
																			SYMBOL_TO_STRING(BgL_symbolz00_887);
																		BgL_arg1314z00_679 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1463z00_888);
																}}
																BgL_arg1313z00_678 =
																	MAKE_YOUNG_PAIR(BgL_arg1314z00_679, BNIL);
															}
															BgL_arg1309z00_675 =
																MAKE_YOUNG_PAIR(BINT(((long) 0)),
																BgL_arg1313z00_678);
														}
														BgL_arg1307z00_673 =
															MAKE_YOUNG_PAIR(BgL_arg1308z00_674,
															BgL_arg1309z00_675);
													}
													BgL_arg1306z00_672 =
														MAKE_YOUNG_PAIR(BgL_arg1307z00_673,
														BgL_initzd2callza2z70_651);
												}
												{
													obj_t BgL_initzd2callza2z70_1159;
													obj_t BgL_modulesz00_1158;

													BgL_modulesz00_1158 = BgL_arg1304z00_671;
													BgL_initzd2callza2z70_1159 = BgL_arg1306z00_672;
													BgL_initzd2callza2z70_651 =
														BgL_initzd2callza2z70_1159;
													BgL_modulesz00_650 = BgL_modulesz00_1158;
													goto BgL_zc3z04anonymousza31261ze3z87_652;
												}
											}
										}
									}
								}
						}
					}
			}
		}

	}



/* &library-finalizer */
	obj_t BGl_z62libraryzd2finaliza7erz17zzmodule_libraryz00(obj_t BgL_envz00_955)
	{
		{	/* Module/library.scm 31 */
			return BGl_libraryzd2finaliza7erz75zzmodule_libraryz00();
		}

	}



/* &<@anonymous:1193> */
	obj_t BGl_z62zc3z04anonymousza31193ze3ze5zzmodule_libraryz00(obj_t
		BgL_envz00_956, obj_t BgL_globalz00_957)
	{
		{	/* Module/library.scm 42 */
			{	/* Module/library.scm 45 */
				bool_t BgL_test1388z00_1161;

				if (
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_957))))->
							BgL_occurrencez00) > ((long) 0)))
					{	/* Module/library.scm 45 */
						if (CBOOL(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_957)))->
									BgL_libraryz00)))
							{	/* Module/library.scm 47 */
								bool_t BgL_test1391z00_1171;

								{	/* Module/library.scm 47 */
									bool_t BgL_test1392z00_1172;

									{	/* Module/library.scm 47 */
										BgL_valuez00_bglt BgL_arg1217z00_973;

										BgL_arg1217z00_973 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_957))))->
											BgL_valuez00);
										{	/* Module/library.scm 47 */
											obj_t BgL_classz00_974;

											BgL_classz00_974 = BGl_cfunz00zzast_varz00;
											{	/* Module/library.scm 47 */
												BgL_objectz00_bglt BgL_arg1825z00_975;

												{	/* Module/library.scm 47 */
													obj_t BgL_tmpz00_1176;

													BgL_tmpz00_1176 =
														((obj_t) ((BgL_objectz00_bglt) BgL_arg1217z00_973));
													BgL_arg1825z00_975 =
														(BgL_objectz00_bglt) (BgL_tmpz00_1176);
												}
												{	/* Module/library.scm 47 */
													bool_t BgL_arg1822z00_976;
													bool_t BgL_arg1823z00_977;

													{	/* Module/library.scm 47 */
														long BgL_idxz00_978;

														BgL_idxz00_978 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_975);
														BgL_arg1822z00_976 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_978 + ((long) 3))) ==
															BgL_classz00_974);
													}
													{	/* Module/library.scm 47 */
														bool_t BgL_res1340z00_981;

														{	/* Module/library.scm 47 */
															obj_t BgL_oclassz00_982;

															{	/* Module/library.scm 47 */
																long BgL_arg1833z00_983;

																{	/* Module/library.scm 47 */
																	long BgL_arg1834z00_984;

																	BgL_arg1834z00_984 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_975);
																	BgL_arg1833z00_983 =
																		(BgL_arg1834z00_984 - OBJECT_TYPE);
																}
																BgL_oclassz00_982 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_983);
															}
															{	/* Module/library.scm 47 */
																bool_t BgL__ortest_1110z00_985;

																BgL__ortest_1110z00_985 =
																	(BgL_classz00_974 == BgL_oclassz00_982);
																if (BgL__ortest_1110z00_985)
																	{	/* Module/library.scm 47 */
																		BgL_res1340z00_981 =
																			BgL__ortest_1110z00_985;
																	}
																else
																	{	/* Module/library.scm 47 */
																		long BgL_odepthz00_986;

																		BgL_odepthz00_986 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_982);
																		if ((((long) 3) < BgL_odepthz00_986))
																			{	/* Module/library.scm 47 */
																				obj_t BgL_arg1821z00_987;

																				BgL_arg1821z00_987 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_982, ((long) 3));
																				BgL_res1340z00_981 =
																					(BgL_arg1821z00_987 ==
																					BgL_classz00_974);
																			}
																		else
																			{	/* Module/library.scm 47 */
																				BgL_res1340z00_981 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_977 = BgL_res1340z00_981;
													}
													BgL_test1392z00_1172 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_976,
														BgL_arg1823z00_977);
												}
											}
										}
									}
									if (BgL_test1392z00_1172)
										{	/* Module/library.scm 47 */
											BgL_test1391z00_1171 = ((bool_t) 1);
										}
									else
										{	/* Module/library.scm 47 */
											BgL_valuez00_bglt BgL_arg1216z00_988;

											BgL_arg1216z00_988 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_957))))->
												BgL_valuez00);
											{	/* Module/library.scm 47 */
												obj_t BgL_classz00_989;

												BgL_classz00_989 = BGl_cvarz00zzast_varz00;
												{	/* Module/library.scm 47 */
													BgL_objectz00_bglt BgL_arg1825z00_990;

													{	/* Module/library.scm 47 */
														obj_t BgL_tmpz00_1198;

														BgL_tmpz00_1198 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1216z00_988));
														BgL_arg1825z00_990 =
															(BgL_objectz00_bglt) (BgL_tmpz00_1198);
													}
													{	/* Module/library.scm 47 */
														bool_t BgL_arg1822z00_991;
														bool_t BgL_arg1823z00_992;

														{	/* Module/library.scm 47 */
															long BgL_idxz00_993;

															BgL_idxz00_993 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_990);
															BgL_arg1822z00_991 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_993 + ((long) 2))) ==
																BgL_classz00_989);
														}
														{	/* Module/library.scm 47 */
															bool_t BgL_res1341z00_996;

															{	/* Module/library.scm 47 */
																obj_t BgL_oclassz00_997;

																{	/* Module/library.scm 47 */
																	long BgL_arg1833z00_998;

																	{	/* Module/library.scm 47 */
																		long BgL_arg1834z00_999;

																		BgL_arg1834z00_999 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_990);
																		BgL_arg1833z00_998 =
																			(BgL_arg1834z00_999 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_997 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_998);
																}
																{	/* Module/library.scm 47 */
																	bool_t BgL__ortest_1110z00_1000;

																	BgL__ortest_1110z00_1000 =
																		(BgL_classz00_989 == BgL_oclassz00_997);
																	if (BgL__ortest_1110z00_1000)
																		{	/* Module/library.scm 47 */
																			BgL_res1341z00_996 =
																				BgL__ortest_1110z00_1000;
																		}
																	else
																		{	/* Module/library.scm 47 */
																			long BgL_odepthz00_1001;

																			BgL_odepthz00_1001 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_997);
																			if ((((long) 2) < BgL_odepthz00_1001))
																				{	/* Module/library.scm 47 */
																					obj_t BgL_arg1821z00_1002;

																					BgL_arg1821z00_1002 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_997, ((long) 2));
																					BgL_res1341z00_996 =
																						(BgL_arg1821z00_1002 ==
																						BgL_classz00_989);
																				}
																			else
																				{	/* Module/library.scm 47 */
																					BgL_res1341z00_996 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_992 = BgL_res1341z00_996;
														}
														BgL_test1391z00_1171 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_991,
															BgL_arg1823z00_992);
													}
												}
											}
										}
								}
								if (BgL_test1391z00_1171)
									{	/* Module/library.scm 47 */
										BgL_test1388z00_1161 = ((bool_t) 0);
									}
								else
									{	/* Module/library.scm 47 */
										BgL_test1388z00_1161 = ((bool_t) 1);
									}
							}
						else
							{	/* Module/library.scm 45 */
								BgL_test1388z00_1161 = ((bool_t) 0);
							}
					}
				else
					{	/* Module/library.scm 45 */
						BgL_test1388z00_1161 = ((bool_t) 0);
					}
				if (BgL_test1388z00_1161)
					{	/* Module/library.scm 48 */
						obj_t BgL_arg1212z00_1003;

						BgL_arg1212z00_1003 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_globalz00_957)))->BgL_modulez00);
						return
							BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00
							(BgL_arg1212z00_1003);
					}
				else
					{	/* Module/library.scm 45 */
						return BFALSE;
					}
			}
		}

	}



/* need-library-module! */
	obj_t BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t
		BgL_modulez00_25)
	{
		{	/* Module/library.scm 103 */
			if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_25,
						BGl_za2keyza2z00zzmodule_libraryz00)))
				{	/* Module/library.scm 104 */
					return BFALSE;
				}
			else
				{	/* Module/library.scm 104 */
					BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_25,
						BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
					return (BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 =
						MAKE_YOUNG_PAIR(BgL_modulez00_25,
							BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00), BUNSPEC);
				}
		}

	}



/* with-library-module! */
	BGL_EXPORTED_DEF obj_t
		BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t BgL_modulez00_26)
	{
		{	/* Module/library.scm 122 */
			if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_26,
						BGl_za2withzd2keyza2zd2zzmodule_libraryz00)))
				{	/* Module/library.scm 123 */
					return BFALSE;
				}
			else
				{	/* Module/library.scm 123 */
					BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_26,
						BGl_za2withzd2keyza2zd2zzmodule_libraryz00, BTRUE);
					return (BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00 =
						MAKE_YOUNG_PAIR(BgL_modulez00_26,
							BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00),
						BUNSPEC);
				}
		}

	}



/* &with-library-module! */
	obj_t BGl_z62withzd2libraryzd2modulez12z70zzmodule_libraryz00(obj_t
		BgL_envz00_958, obj_t BgL_modulez00_959)
	{
		{	/* Module/library.scm 122 */
			return
				BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(BgL_modulez00_959);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_libraryz00()
	{
		{	/* Module/library.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
			return
				BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long) 444161932),
				BSTRING_TO_STRING(BGl_string1347z00zzmodule_libraryz00));
		}

	}

#ifdef __cplusplus
}
#endif
