/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/main.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_genericzd2initzd2zzmodule_mainz00();
	static obj_t BGl_objectzd2initzd2zzmodule_mainz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_mainz00();
	static obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31157ze3ze5zzmodule_mainz00(obj_t);
	static obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzmodule_mainz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
	static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
	static obj_t BGl_gczd2rootszd2initz00zzmodule_mainz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string1248z00zzmodule_mainz00,
		BgL_bgl_string1248za700za7za7m1256za7,
		"Illegal declaration of main function", 36);
	      DEFINE_STRING(BGl_string1249z00zzmodule_mainz00,
		BgL_bgl_string1249za700za7za7m1257za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1250z00zzmodule_mainz00,
		BgL_bgl_string1250za700za7za7m1258za7, "Illegal \"main\" clause", 21);
	      DEFINE_STRING(BGl_string1251z00zzmodule_mainz00,
		BgL_bgl_string1251za700za7za7m1259za7, "Duplicated main clause", 22);
	      DEFINE_STRING(BGl_string1252z00zzmodule_mainz00,
		BgL_bgl_string1252za700za7za7m1260za7, "module_main", 11);
	      DEFINE_STRING(BGl_string1253z00zzmodule_mainz00,
		BgL_bgl_string1253za700za7za7m1261za7,
		"argv::pair export argv::obj bdb imported void main ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1247z00zzmodule_mainz00,
		BgL_bgl_za762za7c3za704anonymo1262za7,
		BGl_z62zc3z04anonymousza31157ze3ze5zzmodule_mainz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00,
		BgL_bgl_za762makeza7d2mainza7d1263za7,
		BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2consum1264z00,
		BGl_z62mainzd2consumerzb0zzmodule_mainz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2producerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2produc1265z00,
		BGl_z62mainzd2producerzb0zzmodule_mainz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_mainz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long
		BgL_checksumz00_986, char *BgL_fromz00_987)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_mainz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_mainz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
					BGl_cnstzd2initzd2zzmodule_mainz00();
					BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
					return BGl_methodzd2initzd2zzmodule_mainz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_main");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			{	/* Module/main.scm 15 */
				obj_t BgL_cportz00_912;

				{	/* Module/main.scm 15 */
					obj_t BgL_stringz00_920;

					BgL_stringz00_920 = BGl_string1253z00zzmodule_mainz00;
					{	/* Module/main.scm 15 */
						obj_t BgL_startz00_921;

						BgL_startz00_921 = BINT(((long) 0));
						{	/* Module/main.scm 15 */
							obj_t BgL_endz00_922;

							BgL_endz00_922 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_920)));
							{	/* Module/main.scm 15 */

								BgL_cportz00_912 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_920, BgL_startz00_921, BgL_endz00_922);
				}}}}
				{
					long BgL_iz00_913;

					BgL_iz00_913 = ((long) 6);
				BgL_loopz00_914:
					if ((BgL_iz00_913 == ((long) -1)))
						{	/* Module/main.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/main.scm 15 */
							{	/* Module/main.scm 15 */
								obj_t BgL_arg1255z00_916;

								{	/* Module/main.scm 15 */

									{	/* Module/main.scm 15 */
										obj_t BgL_locationz00_918;

										BgL_locationz00_918 = BBOOL(((bool_t) 0));
										{	/* Module/main.scm 15 */

											BgL_arg1255z00_916 =
												BGl_readz00zz__readerz00(BgL_cportz00_912,
												BgL_locationz00_918);
										}
									}
								}
								{	/* Module/main.scm 15 */
									int BgL_tmpz00_1014;

									BgL_tmpz00_1014 = (int) (BgL_iz00_913);
									CNST_TABLE_SET(BgL_tmpz00_1014, BgL_arg1255z00_916);
							}}
							{	/* Module/main.scm 15 */
								int BgL_auxz00_919;

								BgL_auxz00_919 = (int) ((BgL_iz00_913 - ((long) 1)));
								{
									long BgL_iz00_1019;

									BgL_iz00_1019 = (long) (BgL_auxz00_919);
									BgL_iz00_913 = BgL_iz00_1019;
									goto BgL_loopz00_914;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-main-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00()
	{
		{	/* Module/main.scm 33 */
			{	/* Module/main.scm 34 */
				BgL_ccompz00_bglt BgL_new1062z00_544;

				{	/* Module/main.scm 35 */
					BgL_ccompz00_bglt BgL_new1061z00_546;

					BgL_new1061z00_546 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/main.scm 35 */
						long BgL_arg1160z00_547;

						BgL_arg1160z00_547 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1061z00_546), BgL_arg1160z00_547);
					}
					BgL_new1062z00_544 = BgL_new1061z00_546;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1062z00_544))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1062z00_544))->BgL_producerz00) =
					((obj_t) BGl_mainzd2producerzd2envz00zzmodule_mainz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1062z00_544))->BgL_consumerz00) =
					((obj_t) BGl_mainzd2consumerzd2envz00zzmodule_mainz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1062z00_544))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc1247z00zzmodule_mainz00), BUNSPEC);
				return ((obj_t) BgL_new1062z00_544);
			}
		}

	}



/* &make-main-compiler */
	obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t BgL_envz00_905)
	{
		{	/* Module/main.scm 33 */
			return BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
		}

	}



/* &<@anonymous:1157> */
	obj_t BGl_z62zc3z04anonymousza31157ze3ze5zzmodule_mainz00(obj_t
		BgL_envz00_906)
	{
		{	/* Module/module.scm 55 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* correct-main? */
	bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Module/main.scm 45 */
			{	/* Module/main.scm 46 */
				BgL_valuez00_bglt BgL_sfunz00_548;

				BgL_sfunz00_548 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
				{	/* Module/main.scm 47 */
					bool_t BgL_test1273z00_1036;

					{	/* Module/main.scm 47 */
						obj_t BgL_classz00_697;

						BgL_classz00_697 = BGl_sfunz00zzast_varz00;
						{	/* Module/main.scm 47 */
							BgL_objectz00_bglt BgL_arg1825z00_699;

							{	/* Module/main.scm 47 */
								obj_t BgL_tmpz00_1037;

								BgL_tmpz00_1037 =
									((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_548));
								BgL_arg1825z00_699 = (BgL_objectz00_bglt) (BgL_tmpz00_1037);
							}
							{	/* Module/main.scm 47 */
								bool_t BgL_arg1822z00_702;
								bool_t BgL_arg1823z00_703;

								{	/* Module/main.scm 47 */
									long BgL_idxz00_706;

									BgL_idxz00_706 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_699);
									BgL_arg1822z00_702 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_706 + ((long) 3))) == BgL_classz00_697);
								}
								{	/* Module/main.scm 47 */
									bool_t BgL_res1241z00_728;

									{	/* Module/main.scm 47 */
										obj_t BgL_oclassz00_714;

										{	/* Module/main.scm 47 */
											long BgL_arg1833z00_720;

											{	/* Module/main.scm 47 */
												long BgL_arg1834z00_721;

												BgL_arg1834z00_721 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_699);
												BgL_arg1833z00_720 = (BgL_arg1834z00_721 - OBJECT_TYPE);
											}
											BgL_oclassz00_714 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_720);
										}
										{	/* Module/main.scm 47 */
											bool_t BgL__ortest_1110z00_715;

											BgL__ortest_1110z00_715 =
												(BgL_classz00_697 == BgL_oclassz00_714);
											if (BgL__ortest_1110z00_715)
												{	/* Module/main.scm 47 */
													BgL_res1241z00_728 = BgL__ortest_1110z00_715;
												}
											else
												{	/* Module/main.scm 47 */
													long BgL_odepthz00_716;

													BgL_odepthz00_716 =
														BGL_CLASS_DEPTH(BgL_oclassz00_714);
													if ((((long) 3) < BgL_odepthz00_716))
														{	/* Module/main.scm 47 */
															obj_t BgL_arg1821z00_718;

															BgL_arg1821z00_718 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_714,
																((long) 3));
															BgL_res1241z00_728 =
																(BgL_arg1821z00_718 == BgL_classz00_697);
														}
													else
														{	/* Module/main.scm 47 */
															BgL_res1241z00_728 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_703 = BgL_res1241z00_728;
								}
								BgL_test1273z00_1036 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_702, BgL_arg1823z00_703);
							}
						}
					}
					if (BgL_test1273z00_1036)
						{	/* Module/main.scm 47 */
							if (
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_548))))->
										BgL_arityz00) == ((long) 1)))
								{	/* Module/main.scm 49 */
									obj_t BgL_argsz00_551;

									{	/* Module/main.scm 49 */
										obj_t BgL_pairz00_732;

										BgL_pairz00_732 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_548)))->BgL_argsz00);
										BgL_argsz00_551 = CAR(BgL_pairz00_732);
									}
									{	/* Module/main.scm 49 */
										BgL_typez00_bglt BgL_typez00_552;

										BgL_typez00_552 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_argsz00_551))))->
											BgL_typez00);
										{	/* Module/main.scm 50 */

											{	/* Module/main.scm 51 */
												bool_t BgL__ortest_1065z00_553;

												BgL__ortest_1065z00_553 =
													(
													((obj_t) BgL_typez00_552) ==
													BGl_za2objza2z00zztype_cachez00);
												if (BgL__ortest_1065z00_553)
													{	/* Module/main.scm 51 */
														return BgL__ortest_1065z00_553;
													}
												else
													{	/* Module/main.scm 51 */
														return
															(
															((obj_t) BgL_typez00_552) ==
															BGl_za2pairza2z00zztype_cachez00);
													}
											}
										}
									}
								}
							else
								{	/* Module/main.scm 48 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Module/main.scm 47 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* &main-producer */
	obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t BgL_envz00_907,
		obj_t BgL_clausez00_908)
	{
		{	/* Module/main.scm 56 */
			{	/* Module/main.scm 57 */
				bool_t BgL_test1278z00_1072;

				if ((BGl_za2mainza2z00zzmodule_modulez00 == CNST_TABLE_REF(((long) 2))))
					{	/* Module/main.scm 57 */
						BgL_test1278z00_1072 = ((bool_t) 1);
					}
				else
					{	/* Module/main.scm 57 */
						obj_t BgL_objz00_924;

						BgL_objz00_924 = BGl_za2mainza2z00zzmodule_modulez00;
						{	/* Module/main.scm 57 */
							obj_t BgL_classz00_925;

							BgL_classz00_925 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_objz00_924))
								{	/* Module/main.scm 57 */
									BgL_objectz00_bglt BgL_arg1825z00_926;

									BgL_arg1825z00_926 = (BgL_objectz00_bglt) (BgL_objz00_924);
									{	/* Module/main.scm 57 */
										bool_t BgL_arg1822z00_927;
										bool_t BgL_arg1823z00_928;

										{	/* Module/main.scm 57 */
											long BgL_idxz00_929;

											BgL_idxz00_929 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_926);
											BgL_arg1822z00_927 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_929 + ((long) 2))) == BgL_classz00_925);
										}
										{	/* Module/main.scm 57 */
											bool_t BgL_res1242z00_932;

											{	/* Module/main.scm 57 */
												obj_t BgL_oclassz00_933;

												{	/* Module/main.scm 57 */
													long BgL_arg1833z00_934;

													{	/* Module/main.scm 57 */
														long BgL_arg1834z00_935;

														BgL_arg1834z00_935 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_926);
														BgL_arg1833z00_934 =
															(BgL_arg1834z00_935 - OBJECT_TYPE);
													}
													BgL_oclassz00_933 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_934);
												}
												{	/* Module/main.scm 57 */
													bool_t BgL__ortest_1110z00_936;

													BgL__ortest_1110z00_936 =
														(BgL_classz00_925 == BgL_oclassz00_933);
													if (BgL__ortest_1110z00_936)
														{	/* Module/main.scm 57 */
															BgL_res1242z00_932 = BgL__ortest_1110z00_936;
														}
													else
														{	/* Module/main.scm 57 */
															long BgL_odepthz00_937;

															BgL_odepthz00_937 =
																BGL_CLASS_DEPTH(BgL_oclassz00_933);
															if ((((long) 2) < BgL_odepthz00_937))
																{	/* Module/main.scm 57 */
																	obj_t BgL_arg1821z00_938;

																	BgL_arg1821z00_938 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_933,
																		((long) 2));
																	BgL_res1242z00_932 =
																		(BgL_arg1821z00_938 == BgL_classz00_925);
																}
															else
																{	/* Module/main.scm 57 */
																	BgL_res1242z00_932 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_928 = BgL_res1242z00_932;
										}
										BgL_test1278z00_1072 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_927, BgL_arg1823z00_928);
									}
								}
							else
								{	/* Module/main.scm 57 */
									BgL_test1278z00_1072 = ((bool_t) 0);
								}
						}
					}
				if (BgL_test1278z00_1072)
					{	/* Module/main.scm 57 */
						return
							BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00
							(BgL_clausez00_908);
					}
				else
					{
						obj_t BgL_mainz00_941;

						if (PAIRP(BgL_clausez00_908))
							{	/* Module/main.scm 59 */
								obj_t BgL_cdrzd2107zd2_969;

								BgL_cdrzd2107zd2_969 = CDR(BgL_clausez00_908);
								if (PAIRP(BgL_cdrzd2107zd2_969))
									{	/* Module/main.scm 59 */
										obj_t BgL_carzd2109zd2_970;

										BgL_carzd2109zd2_970 = CAR(BgL_cdrzd2107zd2_969);
										if (SYMBOLP(BgL_carzd2109zd2_970))
											{	/* Module/main.scm 59 */
												if (NULLP(CDR(BgL_cdrzd2107zd2_969)))
													{	/* Module/main.scm 59 */
														BgL_mainz00_941 = BgL_carzd2109zd2_970;
														{	/* Module/main.scm 61 */
															obj_t BgL_globalz00_942;

															BgL_globalz00_942 =
																BGl_findzd2globalzf2modulez20zzast_envz00
																(BgL_mainz00_941,
																BGl_za2moduleza2z00zzmodule_modulez00);
															{	/* Module/main.scm 62 */
																bool_t BgL_test1290z00_1107;

																{	/* Module/main.scm 62 */
																	obj_t BgL_classz00_943;

																	BgL_classz00_943 = BGl_globalz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_globalz00_942))
																		{	/* Module/main.scm 62 */
																			BgL_objectz00_bglt BgL_arg1825z00_944;

																			BgL_arg1825z00_944 =
																				(BgL_objectz00_bglt)
																				(BgL_globalz00_942);
																			{	/* Module/main.scm 62 */
																				bool_t BgL_arg1822z00_945;
																				bool_t BgL_arg1823z00_946;

																				{	/* Module/main.scm 62 */
																					long BgL_idxz00_947;

																					BgL_idxz00_947 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_944);
																					BgL_arg1822z00_945 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_947 + ((long) 2))) ==
																						BgL_classz00_943);
																				}
																				{	/* Module/main.scm 62 */
																					bool_t BgL_res1243z00_950;

																					{	/* Module/main.scm 62 */
																						obj_t BgL_oclassz00_951;

																						{	/* Module/main.scm 62 */
																							long BgL_arg1833z00_952;

																							{	/* Module/main.scm 62 */
																								long BgL_arg1834z00_953;

																								BgL_arg1834z00_953 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_944);
																								BgL_arg1833z00_952 =
																									(BgL_arg1834z00_953 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_951 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_952);
																						}
																						{	/* Module/main.scm 62 */
																							bool_t BgL__ortest_1110z00_954;

																							BgL__ortest_1110z00_954 =
																								(BgL_classz00_943 ==
																								BgL_oclassz00_951);
																							if (BgL__ortest_1110z00_954)
																								{	/* Module/main.scm 62 */
																									BgL_res1243z00_950 =
																										BgL__ortest_1110z00_954;
																								}
																							else
																								{	/* Module/main.scm 62 */
																									long BgL_odepthz00_955;

																									BgL_odepthz00_955 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_951);
																									if ((((long) 2) <
																											BgL_odepthz00_955))
																										{	/* Module/main.scm 62 */
																											obj_t BgL_arg1821z00_956;

																											BgL_arg1821z00_956 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_951,
																												((long) 2));
																											BgL_res1243z00_950 =
																												(BgL_arg1821z00_956 ==
																												BgL_classz00_943);
																										}
																									else
																										{	/* Module/main.scm 62 */
																											BgL_res1243z00_950 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_946 =
																						BgL_res1243z00_950;
																				}
																				BgL_test1290z00_1107 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_945,
																					BgL_arg1823z00_946);
																			}
																		}
																	else
																		{	/* Module/main.scm 62 */
																			BgL_test1290z00_1107 = ((bool_t) 0);
																		}
																}
																if (BgL_test1290z00_1107)
																	{	/* Module/main.scm 62 */
																		if (BGl_correctzd2mainzf3z21zzmodule_mainz00
																			(((BgL_globalz00_bglt)
																					BgL_globalz00_942)))
																			{	/* Module/main.scm 63 */
																				return BFALSE;
																			}
																		else
																			{	/* Module/main.scm 64 */
																				obj_t BgL_list1176z00_957;

																				BgL_list1176z00_957 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BGl_string1248z00zzmodule_mainz00,
																					BgL_mainz00_941, BgL_list1176z00_957);
																			}
																	}
																else
																	{	/* Module/main.scm 62 */
																		{	/* Module/main.scm 67 */
																			bool_t BgL_test1295z00_1131;

																			if (
																				((long)
																					CINT
																					(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																					> ((long) 0)))
																				{	/* Module/main.scm 69 */
																					obj_t BgL_arg1203z00_958;

																					{	/* Module/main.scm 69 */
																						obj_t BgL_arg1204z00_959;

																						BgL_arg1204z00_959 =
																							BGl_thezd2backendzd2zzbackend_backendz00
																							();
																						BgL_arg1203z00_958 =
																							(((BgL_backendz00_bglt)
																								COBJECT(((BgL_backendz00_bglt)
																										BgL_arg1204z00_959)))->
																							BgL_debugzd2supportzd2);
																					}
																					BgL_test1295z00_1131 =
																						CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(CNST_TABLE_REF(((long) 3)),
																							BgL_arg1203z00_958));
																				}
																			else
																				{	/* Module/main.scm 67 */
																					BgL_test1295z00_1131 = ((bool_t) 0);
																				}
																			if (BgL_test1295z00_1131)
																				{	/* Module/main.scm 70 */
																					obj_t BgL_arg1187z00_960;

																					{	/* Module/main.scm 70 */
																						obj_t BgL_arg1191z00_961;

																						{	/* Module/main.scm 70 */
																							obj_t BgL_arg1192z00_962;

																							{	/* Module/main.scm 70 */
																								obj_t BgL_arg1193z00_963;

																								BgL_arg1193z00_963 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 4)), BNIL);
																								BgL_arg1192z00_962 =
																									MAKE_YOUNG_PAIR
																									(BgL_mainz00_941,
																									BgL_arg1193z00_963);
																							}
																							BgL_arg1191z00_961 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1192z00_962, BNIL);
																						}
																						BgL_arg1187z00_960 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 5)),
																							BgL_arg1191z00_961);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg1187z00_960);
																				}
																			else
																				{	/* Module/main.scm 71 */
																					obj_t BgL_arg1194z00_964;

																					{	/* Module/main.scm 71 */
																						obj_t BgL_arg1195z00_965;

																						{	/* Module/main.scm 71 */
																							obj_t BgL_arg1196z00_966;

																							{	/* Module/main.scm 71 */
																								obj_t BgL_arg1199z00_967;

																								BgL_arg1199z00_967 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 6)), BNIL);
																								BgL_arg1196z00_966 =
																									MAKE_YOUNG_PAIR
																									(BgL_mainz00_941,
																									BgL_arg1199z00_967);
																							}
																							BgL_arg1195z00_965 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1196z00_966, BNIL);
																						}
																						BgL_arg1194z00_964 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 5)),
																							BgL_arg1195z00_965);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg1194z00_964);
																		}}
																		return (BGl_za2mainza2z00zzmodule_modulez00
																			=
																			BGl_findzd2globalzf2modulez20zzast_envz00
																			(BgL_mainz00_941,
																				BGl_za2moduleza2z00zzmodule_modulez00),
																			BUNSPEC);
																	}
															}
														}
													}
												else
													{	/* Module/main.scm 59 */
													BgL_tagzd2102zd2_940:
														{	/* Module/main.scm 74 */
															obj_t BgL_list1205z00_968;

															BgL_list1205z00_968 = MAKE_YOUNG_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1249z00zzmodule_mainz00,
																BGl_string1250z00zzmodule_mainz00,
																BgL_clausez00_908, BgL_list1205z00_968);
														}
													}
											}
										else
											{	/* Module/main.scm 59 */
												goto BgL_tagzd2102zd2_940;
											}
									}
								else
									{	/* Module/main.scm 59 */
										goto BgL_tagzd2102zd2_940;
									}
							}
						else
							{	/* Module/main.scm 59 */
								goto BgL_tagzd2102zd2_940;
							}
					}
			}
		}

	}



/* &main-consumer */
	obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t BgL_envz00_909,
		obj_t BgL_modulez00_910, obj_t BgL_clausez00_911)
	{
		{	/* Module/main.scm 79 */
			{	/* Module/main.scm 80 */
				bool_t BgL_test1297z00_1158;

				{	/* Module/main.scm 80 */
					obj_t BgL_objz00_971;

					BgL_objz00_971 = BGl_za2mainza2z00zzmodule_modulez00;
					{	/* Module/main.scm 80 */
						obj_t BgL_classz00_972;

						BgL_classz00_972 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_971))
							{	/* Module/main.scm 80 */
								BgL_objectz00_bglt BgL_arg1825z00_973;

								BgL_arg1825z00_973 = (BgL_objectz00_bglt) (BgL_objz00_971);
								{	/* Module/main.scm 80 */
									bool_t BgL_arg1822z00_974;
									bool_t BgL_arg1823z00_975;

									{	/* Module/main.scm 80 */
										long BgL_idxz00_976;

										BgL_idxz00_976 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_973);
										BgL_arg1822z00_974 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_976 + ((long) 2))) == BgL_classz00_972);
									}
									{	/* Module/main.scm 80 */
										bool_t BgL_res1244z00_979;

										{	/* Module/main.scm 80 */
											obj_t BgL_oclassz00_980;

											{	/* Module/main.scm 80 */
												long BgL_arg1833z00_981;

												{	/* Module/main.scm 80 */
													long BgL_arg1834z00_982;

													BgL_arg1834z00_982 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_973);
													BgL_arg1833z00_981 =
														(BgL_arg1834z00_982 - OBJECT_TYPE);
												}
												BgL_oclassz00_980 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_981);
											}
											{	/* Module/main.scm 80 */
												bool_t BgL__ortest_1110z00_983;

												BgL__ortest_1110z00_983 =
													(BgL_classz00_972 == BgL_oclassz00_980);
												if (BgL__ortest_1110z00_983)
													{	/* Module/main.scm 80 */
														BgL_res1244z00_979 = BgL__ortest_1110z00_983;
													}
												else
													{	/* Module/main.scm 80 */
														long BgL_odepthz00_984;

														BgL_odepthz00_984 =
															BGL_CLASS_DEPTH(BgL_oclassz00_980);
														if ((((long) 2) < BgL_odepthz00_984))
															{	/* Module/main.scm 80 */
																obj_t BgL_arg1821z00_985;

																BgL_arg1821z00_985 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_980,
																	((long) 2));
																BgL_res1244z00_979 =
																	(BgL_arg1821z00_985 == BgL_classz00_972);
															}
														else
															{	/* Module/main.scm 80 */
																BgL_res1244z00_979 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_975 = BgL_res1244z00_979;
									}
									BgL_test1297z00_1158 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_974, BgL_arg1823z00_975);
								}
							}
						else
							{	/* Module/main.scm 80 */
								BgL_test1297z00_1158 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1297z00_1158)
					{	/* Module/main.scm 80 */
						BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_911);
					}
				else
					{	/* Module/main.scm 80 */
						BGl_za2mainza2z00zzmodule_modulez00 = CNST_TABLE_REF(((long) 2));
			}}
			return BNIL;
		}

	}



/* duplicate-main-error */
	obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_7)
	{
		{	/* Module/main.scm 88 */
			{	/* Module/main.scm 89 */
				obj_t BgL_list1207z00_592;

				BgL_list1207z00_592 = MAKE_YOUNG_PAIR(BNIL, BNIL);
				return
					BGl_userzd2errorzd2zztools_errorz00(BGl_string1249z00zzmodule_mainz00,
					BGl_string1251z00zzmodule_mainz00, BgL_clausez00_7,
					BgL_list1207z00_592);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00()
	{
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1252z00zzmodule_mainz00));
		}

	}

#ifdef __cplusplus
}
#endif
