/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/pragma.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_pragmaz00();
	static obj_t BGl_objectzd2initzd2zzmodule_pragmaz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_pragmaz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00();
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzmodule_pragmaz00(obj_t,
		obj_t);
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
	static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
	static obj_t BGl_gczd2rootszd2initz00zzmodule_pragmaz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t);
	static obj_t BGl_argszd2noescapezd2zzmodule_pragmaz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_sfunzd2errorzd2zzmodule_pragmaz00(obj_t, BgL_globalz00_bglt);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
	static obj_t __cnst[22];


	extern obj_t BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00;
	   
		 
		DEFINE_STRING(BGl_string1800z00zzmodule_pragmaz00,
		BgL_bgl_string1800za700za7za7m1808za7,
		"Illegal \"args-noescape\", cannot find argument", 45);
	      DEFINE_STRING(BGl_string1801z00zzmodule_pragmaz00,
		BgL_bgl_string1801za700za7za7m1809za7,
		"Illegal \"args-noescape\" on non-function value", 45);
	      DEFINE_STRING(BGl_string1802z00zzmodule_pragmaz00,
		BgL_bgl_string1802za700za7za7m1810za7, "args-noescape", 13);
	      DEFINE_STRING(BGl_string1803z00zzmodule_pragmaz00,
		BgL_bgl_string1803za700za7za7m1811za7, "module_pragma", 13);
	      DEFINE_STRING(BGl_string1804z00zzmodule_pragmaz00,
		BgL_bgl_string1804za700za7za7m1812za7,
		"* args-retescape args-noescape stack-allocator effect coerce predicate-of thread-local default-inline no-alloc fail-safe args-safe nesting no-trace allocator no-init-flow no-cfa-top side-effect-free void @ foreign pragma ",
		221);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00,
		BgL_bgl_za762makeza7d2pragma1813z00,
		BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00;
	   
		 
		DEFINE_STRING(BGl_string1780z00zzmodule_pragmaz00,
		BgL_bgl_string1780za700za7za7m1814za7, "pragma", 6);
	      DEFINE_STRING(BGl_string1781z00zzmodule_pragmaz00,
		BgL_bgl_string1781za700za7za7m1815za7, "Illegal clause", 14);
	      DEFINE_STRING(BGl_string1782z00zzmodule_pragmaz00,
		BgL_bgl_string1782za700za7za7m1816za7,
		"Can't find global variable for pragma", 37);
	      DEFINE_STRING(BGl_string1783z00zzmodule_pragmaz00,
		BgL_bgl_string1783za700za7za7m1817za7, "pragma-finalizer", 16);
	      DEFINE_STRING(BGl_string1784z00zzmodule_pragmaz00,
		BgL_bgl_string1784za700za7za7m1818za7, "Illegal \"pragma\" finalizer form",
		31);
	      DEFINE_STRING(BGl_string1785z00zzmodule_pragmaz00,
		BgL_bgl_string1785za700za7za7m1819za7, "pragma(", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzmodule_pragmaz00,
		BgL_bgl_za762za7c3za704anonymo1820za7,
		BGl_z62zc3z04anonymousza31234ze3ze5zzmodule_pragmaz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1786z00zzmodule_pragmaz00,
		BgL_bgl_string1786za700za7za7m1821za7, ")", 1);
	      DEFINE_STRING(BGl_string1787z00zzmodule_pragmaz00,
		BgL_bgl_string1787za700za7za7m1822za7,
		"property is not concerning a function", 37);
	      DEFINE_STRING(BGl_string1788z00zzmodule_pragmaz00,
		BgL_bgl_string1788za700za7za7m1823za7, "side-effect-free", 16);
	      DEFINE_STRING(BGl_string1789z00zzmodule_pragmaz00,
		BgL_bgl_string1789za700za7za7m1824za7, "no-cfa-top", 10);
	      DEFINE_STRING(BGl_string1790z00zzmodule_pragmaz00,
		BgL_bgl_string1790za700za7za7m1825za7, "no-init-flow", 12);
	      DEFINE_STRING(BGl_string1791z00zzmodule_pragmaz00,
		BgL_bgl_string1791za700za7za7m1826za7, "allocator", 9);
	      DEFINE_STRING(BGl_string1792z00zzmodule_pragmaz00,
		BgL_bgl_string1792za700za7za7m1827za7, "no-trace", 8);
	      DEFINE_STRING(BGl_string1793z00zzmodule_pragmaz00,
		BgL_bgl_string1793za700za7za7m1828za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1794z00zzmodule_pragmaz00,
		BgL_bgl_string1794za700za7za7m1829za7, "Illegal \"pragma\" form", 21);
	      DEFINE_STRING(BGl_string1795z00zzmodule_pragmaz00,
		BgL_bgl_string1795za700za7za7m1830za7, "predicate-of", 12);
	      DEFINE_STRING(BGl_string1796z00zzmodule_pragmaz00,
		BgL_bgl_string1796za700za7za7m1831za7, "Illegal \"predicate-of\" pragma",
		29);
	      DEFINE_STRING(BGl_string1797z00zzmodule_pragmaz00,
		BgL_bgl_string1797za700za7za7m1832za7, "effect", 6);
	      DEFINE_STRING(BGl_string1798z00zzmodule_pragmaz00,
		BgL_bgl_string1798za700za7za7m1833za7, "stack-allocator", 15);
	      DEFINE_STRING(BGl_string1799z00zzmodule_pragmaz00,
		BgL_bgl_string1799za700za7za7m1834za7, "Illegal \"pragma\" form (~a)", 26);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00,
		BgL_bgl_za762pragmaza7d2fina1835z00,
		BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_funzd2argszd2retescapezd2envzd2zzast_varz00;
	extern obj_t BGl_funzd2argszd2noescapezd2envzd2zzast_varz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_pragmaz00));
		     ADD_ROOT((void *) (&BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long
		BgL_checksumz00_2736, char *BgL_fromz00_2737)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_pragmaz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_cnstzd2initzd2zzmodule_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
					return BGl_toplevelzd2initzd2zzmodule_pragmaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_pragma");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			{	/* Module/pragma.scm 15 */
				obj_t BgL_cportz00_2717;

				{	/* Module/pragma.scm 15 */
					obj_t BgL_stringz00_2725;

					BgL_stringz00_2725 = BGl_string1804z00zzmodule_pragmaz00;
					{	/* Module/pragma.scm 15 */
						obj_t BgL_startz00_2726;

						BgL_startz00_2726 = BINT(((long) 0));
						{	/* Module/pragma.scm 15 */
							obj_t BgL_endz00_2727;

							BgL_endz00_2727 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2725)));
							{	/* Module/pragma.scm 15 */

								BgL_cportz00_2717 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2725, BgL_startz00_2726, BgL_endz00_2727);
				}}}}
				{
					long BgL_iz00_2718;

					BgL_iz00_2718 = ((long) 21);
				BgL_loopz00_2719:
					if ((BgL_iz00_2718 == ((long) -1)))
						{	/* Module/pragma.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/pragma.scm 15 */
							{	/* Module/pragma.scm 15 */
								obj_t BgL_arg1807z00_2721;

								{	/* Module/pragma.scm 15 */

									{	/* Module/pragma.scm 15 */
										obj_t BgL_locationz00_2723;

										BgL_locationz00_2723 = BBOOL(((bool_t) 0));
										{	/* Module/pragma.scm 15 */

											BgL_arg1807z00_2721 =
												BGl_readz00zz__readerz00(BgL_cportz00_2717,
												BgL_locationz00_2723);
										}
									}
								}
								{	/* Module/pragma.scm 15 */
									int BgL_tmpz00_2765;

									BgL_tmpz00_2765 = (int) (BgL_iz00_2718);
									CNST_TABLE_SET(BgL_tmpz00_2765, BgL_arg1807z00_2721);
							}}
							{	/* Module/pragma.scm 15 */
								int BgL_auxz00_2724;

								BgL_auxz00_2724 = (int) ((BgL_iz00_2718 - ((long) 1)));
								{
									long BgL_iz00_2770;

									BgL_iz00_2770 = (long) (BgL_auxz00_2724);
									BgL_iz00_2718 = BgL_iz00_2770;
									goto BgL_loopz00_2719;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_pragmaz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1369;

				BgL_headz00_1369 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1370;
					obj_t BgL_tailz00_1371;

					BgL_prevz00_1370 = BgL_headz00_1369;
					BgL_tailz00_1371 = BgL_l1z00_1;
				BgL_loopz00_1372:
					if (PAIRP(BgL_tailz00_1371))
						{
							obj_t BgL_newzd2prevzd2_1374;

							BgL_newzd2prevzd2_1374 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1371), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1370, BgL_newzd2prevzd2_1374);
							{
								obj_t BgL_tailz00_2780;
								obj_t BgL_prevz00_2779;

								BgL_prevz00_2779 = BgL_newzd2prevzd2_1374;
								BgL_tailz00_2780 = CDR(BgL_tailz00_1371);
								BgL_tailz00_1371 = BgL_tailz00_2780;
								BgL_prevz00_1370 = BgL_prevz00_2779;
								goto BgL_loopz00_1372;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1369);
				}
			}
		}

	}



/* make-pragma-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 35 */
			{	/* Module/pragma.scm 36 */
				BgL_ccompz00_bglt BgL_new1103z00_1377;

				{	/* Module/pragma.scm 37 */
					BgL_ccompz00_bglt BgL_new1102z00_1382;

					BgL_new1102z00_1382 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/pragma.scm 37 */
						long BgL_arg1236z00_1383;

						BgL_arg1236z00_1383 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1102z00_1382), BgL_arg1236z00_1383);
					}
					BgL_new1103z00_1377 = BgL_new1102z00_1382;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1103z00_1377))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1103z00_1377))->BgL_producerz00) =
					((obj_t)
						BGl_pragmazd2producerzd2zzmodule_pragmaz00
						(BGl_za2moduleza2z00zzmodule_modulez00)), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1103z00_1377))->BgL_consumerz00) =
					((obj_t) BGl_proc1779z00zzmodule_pragmaz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1103z00_1377))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00),
					BUNSPEC);
				return ((obj_t) BgL_new1103z00_1377);
			}
		}

	}



/* &make-pragma-compiler */
	obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t
		BgL_envz00_2698)
	{
		{	/* Module/pragma.scm 35 */
			return BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
		}

	}



/* &<@anonymous:1234> */
	obj_t BGl_z62zc3z04anonymousza31234ze3ze5zzmodule_pragmaz00(obj_t
		BgL_envz00_2699, obj_t BgL_mz00_2700, obj_t BgL_cz00_2701)
	{
		{	/* Module/pragma.scm 39 */
			{	/* Module/pragma.scm 39 */
				obj_t BgL_fun1235z00_2729;

				BgL_fun1235z00_2729 =
					BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_2700);
				return
					PROCEDURE_ENTRY(BgL_fun1235z00_2729) (BgL_fun1235z00_2729,
					BgL_cz00_2701, BEOA);
			}
		}

	}



/* pragma-producer */
	obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_3)
	{
		{	/* Module/pragma.scm 45 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_zc3z04anonymousza31237ze3z87_2703;

				BgL_zc3z04anonymousza31237ze3z87_2703 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31237ze3ze5zzmodule_pragmaz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza31237ze3z87_2703, (int) (((long) 0)),
					BgL_modulez00_3);
				return BgL_zc3z04anonymousza31237ze3z87_2703;
			}
		}

	}



/* &<@anonymous:1237> */
	obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzmodule_pragmaz00(obj_t
		BgL_envz00_2704, obj_t BgL_clausez00_2706)
	{
		{	/* Module/pragma.scm 46 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_modulez00_2705;

				BgL_modulez00_2705 = PROCEDURE_REF(BgL_envz00_2704, (int) (((long) 0)));
				{
					obj_t BgL_protosz00_2733;

					if (PAIRP(BgL_clausez00_2706))
						{	/* Module/pragma.scm 46 */
							BgL_protosz00_2733 = CDR(BgL_clausez00_2706);
							{
								obj_t BgL_l1222z00_2735;

								BgL_l1222z00_2735 = BgL_protosz00_2733;
							BgL_zc3z04anonymousza31241ze3z87_2734:
								if (PAIRP(BgL_l1222z00_2735))
									{	/* Module/pragma.scm 49 */
										BGl_pragmazd2parserzd2zzmodule_pragmaz00(CAR
											(BgL_l1222z00_2735), BgL_modulez00_2705,
											BgL_clausez00_2706);
										{
											obj_t BgL_l1222z00_2813;

											BgL_l1222z00_2813 = CDR(BgL_l1222z00_2735);
											BgL_l1222z00_2735 = BgL_l1222z00_2813;
											goto BgL_zc3z04anonymousza31241ze3z87_2734;
										}
									}
								else
									{	/* Module/pragma.scm 49 */
										((bool_t) 1);
									}
							}
							return BNIL;
						}
					else
						{	/* Module/pragma.scm 46 */
							{	/* Module/pragma.scm 54 */
								obj_t BgL_list1244z00_2732;

								BgL_list1244z00_2732 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00
									(BGl_string1780z00zzmodule_pragmaz00,
									BGl_string1781z00zzmodule_pragmaz00, BgL_clausez00_2706,
									BgL_list1244z00_2732);
							}
						}
				}
			}
		}

	}



/* pragma-parser */
	obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_4,
		obj_t BgL_modulez00_5, obj_t BgL_clausez00_6)
	{
		{	/* Module/pragma.scm 59 */
			{
				obj_t BgL_idz00_1400;
				obj_t BgL_propz00_1401;

				if (PAIRP(BgL_protoz00_4))
					{	/* Module/pragma.scm 60 */
						obj_t BgL_carzd2116zd2_1406;

						BgL_carzd2116zd2_1406 = CAR(BgL_protoz00_4);
						if (SYMBOLP(BgL_carzd2116zd2_1406))
							{	/* Module/pragma.scm 60 */
								BgL_idz00_1400 = BgL_carzd2116zd2_1406;
								BgL_propz00_1401 = CDR(BgL_protoz00_4);
								{	/* Module/pragma.scm 63 */
									obj_t BgL_pragz00_1409;

									if (EPAIRP(BgL_protoz00_4))
										{	/* Module/pragma.scm 64 */
											obj_t BgL_arg1253z00_1411;
											obj_t BgL_arg1254z00_1412;

											{	/* Module/pragma.scm 64 */
												obj_t BgL_list1255z00_1413;

												{	/* Module/pragma.scm 64 */
													obj_t BgL_arg1256z00_1414;

													{	/* Module/pragma.scm 64 */
														obj_t BgL_arg1257z00_1415;

														BgL_arg1257z00_1415 =
															MAKE_YOUNG_PAIR(BgL_clausez00_6, BNIL);
														BgL_arg1256z00_1414 =
															MAKE_YOUNG_PAIR(BgL_propz00_1401,
															BgL_arg1257z00_1415);
													}
													BgL_list1255z00_1413 =
														MAKE_YOUNG_PAIR(BgL_modulez00_5,
														BgL_arg1256z00_1414);
												}
												BgL_arg1253z00_1411 = BgL_list1255z00_1413;
											}
											BgL_arg1254z00_1412 = CER(((obj_t) BgL_protoz00_4));
											{	/* Module/pragma.scm 64 */
												obj_t BgL_res1750z00_1781;

												BgL_res1750z00_1781 =
													MAKE_YOUNG_EPAIR(BgL_idz00_1400, BgL_arg1253z00_1411,
													BgL_arg1254z00_1412);
												BgL_pragz00_1409 = BgL_res1750z00_1781;
											}
										}
									else
										{	/* Module/pragma.scm 65 */
											obj_t BgL_list1258z00_1416;

											{	/* Module/pragma.scm 65 */
												obj_t BgL_arg1259z00_1417;

												{	/* Module/pragma.scm 65 */
													obj_t BgL_arg1260z00_1418;

													{	/* Module/pragma.scm 65 */
														obj_t BgL_arg1261z00_1419;

														BgL_arg1261z00_1419 =
															MAKE_YOUNG_PAIR(BgL_clausez00_6, BNIL);
														BgL_arg1260z00_1418 =
															MAKE_YOUNG_PAIR(BgL_propz00_1401,
															BgL_arg1261z00_1419);
													}
													BgL_arg1259z00_1417 =
														MAKE_YOUNG_PAIR(BgL_modulez00_5,
														BgL_arg1260z00_1418);
												}
												BgL_list1258z00_1416 =
													MAKE_YOUNG_PAIR(BgL_idz00_1400, BgL_arg1259z00_1417);
											}
											BgL_pragz00_1409 = BgL_list1258z00_1416;
										}
									return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 =
										MAKE_YOUNG_PAIR(BgL_pragz00_1409,
											BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC);
								}
							}
						else
							{	/* Module/pragma.scm 60 */
							BgL_tagzd2110zd2_1403:
								{	/* Module/pragma.scm 68 */
									obj_t BgL_list1262z00_1420;

									BgL_list1262z00_1420 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1780z00zzmodule_pragmaz00,
										BGl_string1781z00zzmodule_pragmaz00, BgL_clausez00_6,
										BgL_list1262z00_1420);
								}
							}
					}
				else
					{	/* Module/pragma.scm 60 */
						goto BgL_tagzd2110zd2_1403;
					}
			}
		}

	}



/* pragma-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 78 */
			{
				obj_t BgL_l1224z00_1422;

				BgL_l1224z00_1422 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00;
			BgL_zc3z04anonymousza31263ze3z87_1423:
				if (PAIRP(BgL_l1224z00_1422))
					{	/* Module/pragma.scm 79 */
						{	/* Module/pragma.scm 80 */
							obj_t BgL_pragmaz00_1425;

							BgL_pragmaz00_1425 = CAR(BgL_l1224z00_1422);
							{
								obj_t BgL_idz00_1426;
								obj_t BgL_modulez00_1427;
								obj_t BgL_propza2za2_1428;
								obj_t BgL_clausez00_1429;

								if (PAIRP(BgL_pragmaz00_1425))
									{	/* Module/pragma.scm 80 */
										obj_t BgL_cdrzd2133zd2_1434;

										BgL_cdrzd2133zd2_1434 = CDR(BgL_pragmaz00_1425);
										if (PAIRP(BgL_cdrzd2133zd2_1434))
											{	/* Module/pragma.scm 80 */
												obj_t BgL_cdrzd2139zd2_1436;

												BgL_cdrzd2139zd2_1436 = CDR(BgL_cdrzd2133zd2_1434);
												if (PAIRP(BgL_cdrzd2139zd2_1436))
													{	/* Module/pragma.scm 80 */
														obj_t BgL_cdrzd2144zd2_1438;

														BgL_cdrzd2144zd2_1438 = CDR(BgL_cdrzd2139zd2_1436);
														if (PAIRP(BgL_cdrzd2144zd2_1438))
															{	/* Module/pragma.scm 80 */
																if (NULLP(CDR(BgL_cdrzd2144zd2_1438)))
																	{	/* Module/pragma.scm 80 */
																		BgL_idz00_1426 = CAR(BgL_pragmaz00_1425);
																		BgL_modulez00_1427 =
																			CAR(BgL_cdrzd2133zd2_1434);
																		BgL_propza2za2_1428 =
																			CAR(BgL_cdrzd2139zd2_1436);
																		BgL_clausez00_1429 =
																			CAR(BgL_cdrzd2144zd2_1438);
																		{	/* Module/pragma.scm 82 */
																			obj_t BgL_globalz00_1447;

																			{	/* Module/pragma.scm 82 */
																				obj_t BgL_globalz00_1454;

																				BgL_globalz00_1454 =
																					BGl_findzd2globalzf2modulez20zzast_envz00
																					(BgL_idz00_1426, BgL_modulez00_1427);
																				{	/* Module/pragma.scm 83 */
																					bool_t BgL_test1854z00_2857;

																					{	/* Module/pragma.scm 83 */
																						obj_t BgL_classz00_1786;

																						BgL_classz00_1786 =
																							BGl_globalz00zzast_varz00;
																						if (BGL_OBJECTP(BgL_globalz00_1454))
																							{	/* Module/pragma.scm 83 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_1788;
																								BgL_arg1825z00_1788 =
																									(BgL_objectz00_bglt)
																									(BgL_globalz00_1454);
																								{	/* Module/pragma.scm 83 */
																									bool_t BgL_arg1822z00_1791;
																									bool_t BgL_arg1823z00_1792;

																									{	/* Module/pragma.scm 83 */
																										long BgL_idxz00_1795;

																										BgL_idxz00_1795 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_1788);
																										BgL_arg1822z00_1791 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_1795 +
																													((long) 2))) ==
																											BgL_classz00_1786);
																									}
																									{	/* Module/pragma.scm 83 */
																										bool_t BgL_res1752z00_1817;

																										{	/* Module/pragma.scm 83 */
																											obj_t BgL_oclassz00_1803;

																											{	/* Module/pragma.scm 83 */
																												long
																													BgL_arg1833z00_1809;
																												{	/* Module/pragma.scm 83 */
																													long
																														BgL_arg1834z00_1810;
																													BgL_arg1834z00_1810 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_1788);
																													BgL_arg1833z00_1809 =
																														(BgL_arg1834z00_1810
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_1803 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_1809);
																											}
																											{	/* Module/pragma.scm 83 */
																												bool_t
																													BgL__ortest_1110z00_1804;
																												BgL__ortest_1110z00_1804
																													=
																													(BgL_classz00_1786 ==
																													BgL_oclassz00_1803);
																												if (BgL__ortest_1110z00_1804)
																													{	/* Module/pragma.scm 83 */
																														BgL_res1752z00_1817
																															=
																															BgL__ortest_1110z00_1804;
																													}
																												else
																													{	/* Module/pragma.scm 83 */
																														long
																															BgL_odepthz00_1805;
																														BgL_odepthz00_1805 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_1803);
																														if ((((long) 2) <
																																BgL_odepthz00_1805))
																															{	/* Module/pragma.scm 83 */
																																obj_t
																																	BgL_arg1821z00_1807;
																																BgL_arg1821z00_1807
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_1803,
																																	((long) 2));
																																BgL_res1752z00_1817
																																	=
																																	(BgL_arg1821z00_1807
																																	==
																																	BgL_classz00_1786);
																															}
																														else
																															{	/* Module/pragma.scm 83 */
																																BgL_res1752z00_1817
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_1792 =
																											BgL_res1752z00_1817;
																									}
																									BgL_test1854z00_2857 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_1791,
																										BgL_arg1823z00_1792);
																								}
																							}
																						else
																							{	/* Module/pragma.scm 83 */
																								BgL_test1854z00_2857 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test1854z00_2857)
																						{	/* Module/pragma.scm 83 */
																							BgL_globalz00_1447 =
																								BgL_globalz00_1454;
																						}
																					else
																						{	/* Module/pragma.scm 83 */
																							BgL_globalz00_1447 =
																								BGl_findzd2globalzf2modulez20zzast_envz00
																								(BgL_idz00_1426,
																								CNST_TABLE_REF(((long) 1)));
																			}}}
																			{	/* Module/pragma.scm 86 */
																				bool_t BgL_test1858z00_2878;

																				{	/* Module/pragma.scm 86 */
																					obj_t BgL_classz00_1818;

																					BgL_classz00_1818 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_globalz00_1447))
																						{	/* Module/pragma.scm 86 */
																							BgL_objectz00_bglt
																								BgL_arg1825z00_1820;
																							BgL_arg1825z00_1820 =
																								(BgL_objectz00_bglt)
																								(BgL_globalz00_1447);
																							{	/* Module/pragma.scm 86 */
																								bool_t BgL_arg1822z00_1823;
																								bool_t BgL_arg1823z00_1824;

																								{	/* Module/pragma.scm 86 */
																									long BgL_idxz00_1827;

																									BgL_idxz00_1827 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1825z00_1820);
																									BgL_arg1822z00_1823 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_1827 +
																												((long) 2))) ==
																										BgL_classz00_1818);
																								}
																								{	/* Module/pragma.scm 86 */
																									bool_t BgL_res1753z00_1849;

																									{	/* Module/pragma.scm 86 */
																										obj_t BgL_oclassz00_1835;

																										{	/* Module/pragma.scm 86 */
																											long BgL_arg1833z00_1841;

																											{	/* Module/pragma.scm 86 */
																												long
																													BgL_arg1834z00_1842;
																												BgL_arg1834z00_1842 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1825z00_1820);
																												BgL_arg1833z00_1841 =
																													(BgL_arg1834z00_1842 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_1835 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1833z00_1841);
																										}
																										{	/* Module/pragma.scm 86 */
																											bool_t
																												BgL__ortest_1110z00_1836;
																											BgL__ortest_1110z00_1836 =
																												(BgL_classz00_1818 ==
																												BgL_oclassz00_1835);
																											if (BgL__ortest_1110z00_1836)
																												{	/* Module/pragma.scm 86 */
																													BgL_res1753z00_1849 =
																														BgL__ortest_1110z00_1836;
																												}
																											else
																												{	/* Module/pragma.scm 86 */
																													long
																														BgL_odepthz00_1837;
																													BgL_odepthz00_1837 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_1835);
																													if ((((long) 2) <
																															BgL_odepthz00_1837))
																														{	/* Module/pragma.scm 86 */
																															obj_t
																																BgL_arg1821z00_1839;
																															BgL_arg1821z00_1839
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_1835,
																																((long) 2));
																															BgL_res1753z00_1849
																																=
																																(BgL_arg1821z00_1839
																																==
																																BgL_classz00_1818);
																														}
																													else
																														{	/* Module/pragma.scm 86 */
																															BgL_res1753z00_1849
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_arg1823z00_1824 =
																										BgL_res1753z00_1849;
																								}
																								BgL_test1858z00_2878 =
																									BGL_ISA_C_BACKEND
																									(BgL_arg1822z00_1823,
																									BgL_arg1823z00_1824);
																							}
																						}
																					else
																						{	/* Module/pragma.scm 86 */
																							BgL_test1858z00_2878 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test1858z00_2878)
																					{	/* Module/pragma.scm 86 */
																						BBOOL
																							(BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00
																							(BgL_globalz00_1447,
																								BgL_propza2za2_1428,
																								BgL_clausez00_1429));
																					}
																				else
																					{	/* Module/pragma.scm 86 */
																						if (
																							(BgL_modulez00_1427 ==
																								BGl_za2moduleza2z00zzmodule_modulez00))
																							{	/* Module/pragma.scm 89 */
																								obj_t BgL_arg1299z00_1450;
																								obj_t BgL_arg1301z00_1451;

																								BgL_arg1299z00_1450 =
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_pragmaz00_1425);
																								{	/* Module/pragma.scm 92 */
																									obj_t BgL_arg1304z00_1452;

																									{	/* Module/pragma.scm 92 */
																										obj_t BgL_arg1306z00_1453;

																										BgL_arg1306z00_1453 =
																											MAKE_YOUNG_PAIR
																											(BgL_modulez00_1427,
																											BNIL);
																										BgL_arg1304z00_1452 =
																											MAKE_YOUNG_PAIR
																											(BgL_idz00_1426,
																											BgL_arg1306z00_1453);
																									}
																									BgL_arg1301z00_1451 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long) 2)),
																										BgL_arg1304z00_1452);
																								}
																								BGl_userzd2warningzf2locationz20zztools_errorz00
																									(BgL_arg1299z00_1450,
																									BGl_string1780z00zzmodule_pragmaz00,
																									BGl_string1782z00zzmodule_pragmaz00,
																									BgL_arg1301z00_1451);
																							}
																						else
																							{	/* Module/pragma.scm 87 */
																								BFALSE;
																							}
																					}
																			}
																		}
																	}
																else
																	{	/* Module/pragma.scm 80 */
																	BgL_tagzd2122zd2_1431:
																		BGl_internalzd2errorzd2zztools_errorz00
																			(BGl_string1783z00zzmodule_pragmaz00,
																			BGl_string1784z00zzmodule_pragmaz00,
																			BgL_pragmaz00_1425);
																	}
															}
														else
															{	/* Module/pragma.scm 80 */
																goto BgL_tagzd2122zd2_1431;
															}
													}
												else
													{	/* Module/pragma.scm 80 */
														goto BgL_tagzd2122zd2_1431;
													}
											}
										else
											{	/* Module/pragma.scm 80 */
												goto BgL_tagzd2122zd2_1431;
											}
									}
								else
									{	/* Module/pragma.scm 80 */
										goto BgL_tagzd2122zd2_1431;
									}
							}
						}
						{
							obj_t BgL_l1224z00_2912;

							BgL_l1224z00_2912 = CDR(BgL_l1224z00_1422);
							BgL_l1224z00_1422 = BgL_l1224z00_2912;
							goto BgL_zc3z04anonymousza31263ze3z87_1423;
						}
					}
				else
					{	/* Module/pragma.scm 79 */
						((bool_t) 1);
					}
			}
			BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL;
			return CNST_TABLE_REF(((long) 3));
		}

	}



/* &pragma-finalizer */
	obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t BgL_envz00_2702)
	{
		{	/* Module/pragma.scm 78 */
			return BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
		}

	}



/* set-pragma-properties! */
	bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_7, obj_t BgL_propza2za2_8, obj_t BgL_clausez00_9)
	{
		{	/* Module/pragma.scm 105 */
			{
				obj_t BgL_l1226z00_1459;

				BgL_l1226z00_1459 = BgL_propza2za2_8;
			BgL_zc3z04anonymousza31309ze3z87_1460:
				if (PAIRP(BgL_l1226z00_1459))
					{	/* Module/pragma.scm 106 */
						BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_7,
							CAR(BgL_l1226z00_1459), BgL_clausez00_9);
						{
							obj_t BgL_l1226z00_2920;

							BgL_l1226z00_2920 = CDR(BgL_l1226z00_1459);
							BgL_l1226z00_1459 = BgL_l1226z00_2920;
							goto BgL_zc3z04anonymousza31309ze3z87_1460;
						}
					}
				else
					{	/* Module/pragma.scm 106 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* sfun-error */
	obj_t BGl_sfunzd2errorzd2zzmodule_pragmaz00(obj_t BgL_pz00_10,
		BgL_globalz00_bglt BgL_gz00_11)
	{
		{	/* Module/pragma.scm 113 */
			if (CBOOL(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
				{	/* Module/pragma.scm 114 */
					return BFALSE;
				}
			else
				{	/* Module/pragma.scm 115 */
					obj_t BgL_arg1313z00_1465;
					obj_t BgL_arg1314z00_1466;

					BgL_arg1313z00_1465 =
						string_append_3(BGl_string1785z00zzmodule_pragmaz00, BgL_pz00_10,
						BGl_string1786z00zzmodule_pragmaz00);
					BgL_arg1314z00_1466 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_gz00_11));
					{	/* Module/pragma.scm 115 */
						obj_t BgL_list1315z00_1467;

						BgL_list1315z00_1467 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1313z00_1465,
							BGl_string1787z00zzmodule_pragmaz00, BgL_arg1314z00_1466,
							BgL_list1315z00_1467);
					}
				}
		}

	}



/* set-pragma-property! */
	obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_12, obj_t BgL_propz00_13, obj_t BgL_clausez00_14)
	{
		{	/* Module/pragma.scm 123 */
			{
				obj_t BgL_keyz00_1469;
				obj_t BgL_valz00_1470;

				if (SYMBOLP(BgL_propz00_13))
					{	/* Module/pragma.scm 124 */
						if ((BgL_propz00_13 == CNST_TABLE_REF(((long) 4))))
							{	/* Module/pragma.scm 129 */
								BgL_valuez00_bglt BgL_valz00_1481;

								BgL_valz00_1481 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_12))))->
									BgL_valuez00);
								{	/* Module/pragma.scm 130 */
									bool_t BgL_test1867z00_2937;

									{	/* Module/pragma.scm 130 */
										obj_t BgL_classz00_1863;

										BgL_classz00_1863 = BGl_funz00zzast_varz00;
										{	/* Module/pragma.scm 130 */
											BgL_objectz00_bglt BgL_arg1825z00_1865;

											{	/* Module/pragma.scm 130 */
												obj_t BgL_tmpz00_2938;

												BgL_tmpz00_2938 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valz00_1481));
												BgL_arg1825z00_1865 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2938);
											}
											{	/* Module/pragma.scm 130 */
												bool_t BgL_arg1822z00_1868;
												bool_t BgL_arg1823z00_1869;

												{	/* Module/pragma.scm 130 */
													long BgL_idxz00_1872;

													BgL_idxz00_1872 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1865);
													BgL_arg1822z00_1868 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1872 + ((long) 2))) ==
														BgL_classz00_1863);
												}
												{	/* Module/pragma.scm 130 */
													bool_t BgL_res1754z00_1894;

													{	/* Module/pragma.scm 130 */
														obj_t BgL_oclassz00_1880;

														{	/* Module/pragma.scm 130 */
															long BgL_arg1833z00_1886;

															{	/* Module/pragma.scm 130 */
																long BgL_arg1834z00_1887;

																BgL_arg1834z00_1887 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1865);
																BgL_arg1833z00_1886 =
																	(BgL_arg1834z00_1887 - OBJECT_TYPE);
															}
															BgL_oclassz00_1880 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_1886);
														}
														{	/* Module/pragma.scm 130 */
															bool_t BgL__ortest_1110z00_1881;

															BgL__ortest_1110z00_1881 =
																(BgL_classz00_1863 == BgL_oclassz00_1880);
															if (BgL__ortest_1110z00_1881)
																{	/* Module/pragma.scm 130 */
																	BgL_res1754z00_1894 =
																		BgL__ortest_1110z00_1881;
																}
															else
																{	/* Module/pragma.scm 130 */
																	long BgL_odepthz00_1882;

																	BgL_odepthz00_1882 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1880);
																	if ((((long) 2) < BgL_odepthz00_1882))
																		{	/* Module/pragma.scm 130 */
																			obj_t BgL_arg1821z00_1884;

																			BgL_arg1821z00_1884 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1880, ((long) 2));
																			BgL_res1754z00_1894 =
																				(BgL_arg1821z00_1884 ==
																				BgL_classz00_1863);
																		}
																	else
																		{	/* Module/pragma.scm 130 */
																			BgL_res1754z00_1894 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_1869 = BgL_res1754z00_1894;
												}
												BgL_test1867z00_2937 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_1868,
													BgL_arg1823z00_1869);
											}
										}
									}
									if (BgL_test1867z00_2937)
										{	/* Module/pragma.scm 130 */
											return
												((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_valz00_1481)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Module/pragma.scm 130 */
											return
												BGl_sfunzd2errorzd2zzmodule_pragmaz00
												(BGl_string1788z00zzmodule_pragmaz00,
												((BgL_globalz00_bglt) BgL_globalz00_12));
										}
								}
							}
						else
							{	/* Module/pragma.scm 126 */
								if ((BgL_propz00_13 == CNST_TABLE_REF(((long) 5))))
									{	/* Module/pragma.scm 135 */
										BgL_valuez00_bglt BgL_valz00_1484;

										BgL_valz00_1484 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_12))))->
											BgL_valuez00);
										{	/* Module/pragma.scm 136 */
											bool_t BgL_test1871z00_2967;

											{	/* Module/pragma.scm 136 */
												obj_t BgL_classz00_1898;

												BgL_classz00_1898 = BGl_funz00zzast_varz00;
												{	/* Module/pragma.scm 136 */
													BgL_objectz00_bglt BgL_arg1825z00_1900;

													{	/* Module/pragma.scm 136 */
														obj_t BgL_tmpz00_2968;

														BgL_tmpz00_2968 =
															((obj_t) ((BgL_objectz00_bglt) BgL_valz00_1484));
														BgL_arg1825z00_1900 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2968);
													}
													{	/* Module/pragma.scm 136 */
														bool_t BgL_arg1822z00_1903;
														bool_t BgL_arg1823z00_1904;

														{	/* Module/pragma.scm 136 */
															long BgL_idxz00_1907;

															BgL_idxz00_1907 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1900);
															BgL_arg1822z00_1903 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1907 + ((long) 2))) ==
																BgL_classz00_1898);
														}
														{	/* Module/pragma.scm 136 */
															bool_t BgL_res1755z00_1929;

															{	/* Module/pragma.scm 136 */
																obj_t BgL_oclassz00_1915;

																{	/* Module/pragma.scm 136 */
																	long BgL_arg1833z00_1921;

																	{	/* Module/pragma.scm 136 */
																		long BgL_arg1834z00_1922;

																		BgL_arg1834z00_1922 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1900);
																		BgL_arg1833z00_1921 =
																			(BgL_arg1834z00_1922 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1915 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_1921);
																}
																{	/* Module/pragma.scm 136 */
																	bool_t BgL__ortest_1110z00_1916;

																	BgL__ortest_1110z00_1916 =
																		(BgL_classz00_1898 == BgL_oclassz00_1915);
																	if (BgL__ortest_1110z00_1916)
																		{	/* Module/pragma.scm 136 */
																			BgL_res1755z00_1929 =
																				BgL__ortest_1110z00_1916;
																		}
																	else
																		{	/* Module/pragma.scm 136 */
																			long BgL_odepthz00_1917;

																			BgL_odepthz00_1917 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_1915);
																			if ((((long) 2) < BgL_odepthz00_1917))
																				{	/* Module/pragma.scm 136 */
																					obj_t BgL_arg1821z00_1919;

																					BgL_arg1821z00_1919 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_1915, ((long) 2));
																					BgL_res1755z00_1929 =
																						(BgL_arg1821z00_1919 ==
																						BgL_classz00_1898);
																				}
																			else
																				{	/* Module/pragma.scm 136 */
																					BgL_res1755z00_1929 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_1904 = BgL_res1755z00_1929;
														}
														BgL_test1871z00_2967 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_1903,
															BgL_arg1823z00_1904);
													}
												}
											}
											if (BgL_test1871z00_2967)
												{	/* Module/pragma.scm 136 */
													return
														((((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_valz00_1484)))->
															BgL_topzf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
											else
												{	/* Module/pragma.scm 136 */
													return
														BGl_sfunzd2errorzd2zzmodule_pragmaz00
														(BGl_string1789z00zzmodule_pragmaz00,
														((BgL_globalz00_bglt) BgL_globalz00_12));
												}
										}
									}
								else
									{	/* Module/pragma.scm 126 */
										if ((BgL_propz00_13 == CNST_TABLE_REF(((long) 6))))
											{	/* Module/pragma.scm 142 */
												BgL_valuez00_bglt BgL_valz00_1487;

												BgL_valz00_1487 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_12))))->
													BgL_valuez00);
												{	/* Module/pragma.scm 143 */
													bool_t BgL_test1875z00_2997;

													{	/* Module/pragma.scm 143 */
														obj_t BgL_classz00_1934;

														BgL_classz00_1934 = BGl_funz00zzast_varz00;
														{	/* Module/pragma.scm 143 */
															BgL_objectz00_bglt BgL_arg1825z00_1936;

															{	/* Module/pragma.scm 143 */
																obj_t BgL_tmpz00_2998;

																BgL_tmpz00_2998 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valz00_1487));
																BgL_arg1825z00_1936 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2998);
															}
															{	/* Module/pragma.scm 143 */
																bool_t BgL_arg1822z00_1939;
																bool_t BgL_arg1823z00_1940;

																{	/* Module/pragma.scm 143 */
																	long BgL_idxz00_1943;

																	BgL_idxz00_1943 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_1936);
																	BgL_arg1822z00_1939 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1943 + ((long) 2))) ==
																		BgL_classz00_1934);
																}
																{	/* Module/pragma.scm 143 */
																	bool_t BgL_res1756z00_1965;

																	{	/* Module/pragma.scm 143 */
																		obj_t BgL_oclassz00_1951;

																		{	/* Module/pragma.scm 143 */
																			long BgL_arg1833z00_1957;

																			{	/* Module/pragma.scm 143 */
																				long BgL_arg1834z00_1958;

																				BgL_arg1834z00_1958 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_1936);
																				BgL_arg1833z00_1957 =
																					(BgL_arg1834z00_1958 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1951 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_1957);
																		}
																		{	/* Module/pragma.scm 143 */
																			bool_t BgL__ortest_1110z00_1952;

																			BgL__ortest_1110z00_1952 =
																				(BgL_classz00_1934 ==
																				BgL_oclassz00_1951);
																			if (BgL__ortest_1110z00_1952)
																				{	/* Module/pragma.scm 143 */
																					BgL_res1756z00_1965 =
																						BgL__ortest_1110z00_1952;
																				}
																			else
																				{	/* Module/pragma.scm 143 */
																					long BgL_odepthz00_1953;

																					BgL_odepthz00_1953 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_1951);
																					if ((((long) 2) < BgL_odepthz00_1953))
																						{	/* Module/pragma.scm 143 */
																							obj_t BgL_arg1821z00_1955;

																							BgL_arg1821z00_1955 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_1951,
																								((long) 2));
																							BgL_res1756z00_1965 =
																								(BgL_arg1821z00_1955 ==
																								BgL_classz00_1934);
																						}
																					else
																						{	/* Module/pragma.scm 143 */
																							BgL_res1756z00_1965 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_1940 = BgL_res1756z00_1965;
																}
																BgL_test1875z00_2997 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_1939,
																	BgL_arg1823z00_1940);
															}
														}
													}
													if (BgL_test1875z00_2997)
														{	/* Module/pragma.scm 145 */
															obj_t BgL_arg1328z00_1489;

															{	/* Module/pragma.scm 145 */
																obj_t BgL_arg1331z00_1490;

																BgL_arg1331z00_1490 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valz00_1487)))->
																	BgL_propertyz00);
																BgL_arg1328z00_1489 =
																	MAKE_YOUNG_PAIR(BgL_propz00_13,
																	BgL_arg1331z00_1490);
															}
															return
																((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valz00_1487)))->
																	BgL_propertyz00) =
																((obj_t) BgL_arg1328z00_1489), BUNSPEC);
														}
													else
														{	/* Module/pragma.scm 143 */
															return
																BGl_sfunzd2errorzd2zzmodule_pragmaz00
																(BGl_string1790z00zzmodule_pragmaz00,
																((BgL_globalz00_bglt) BgL_globalz00_12));
														}
												}
											}
										else
											{	/* Module/pragma.scm 126 */
												if ((BgL_propz00_13 == CNST_TABLE_REF(((long) 7))))
													{	/* Module/pragma.scm 149 */
														BgL_valuez00_bglt BgL_valz00_1492;

														BgL_valz00_1492 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_globalz00_12))))->
															BgL_valuez00);
														{	/* Module/pragma.scm 150 */
															bool_t BgL_test1879z00_3030;

															{	/* Module/pragma.scm 150 */
																obj_t BgL_classz00_1970;

																BgL_classz00_1970 = BGl_sfunz00zzast_varz00;
																{	/* Module/pragma.scm 150 */
																	BgL_objectz00_bglt BgL_arg1825z00_1972;

																	{	/* Module/pragma.scm 150 */
																		obj_t BgL_tmpz00_3031;

																		BgL_tmpz00_3031 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valz00_1492));
																		BgL_arg1825z00_1972 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3031);
																	}
																	{	/* Module/pragma.scm 150 */
																		bool_t BgL_arg1822z00_1975;
																		bool_t BgL_arg1823z00_1976;

																		{	/* Module/pragma.scm 150 */
																			long BgL_idxz00_1979;

																			BgL_idxz00_1979 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_1972);
																			BgL_arg1822z00_1975 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1979 + ((long) 3))) ==
																				BgL_classz00_1970);
																		}
																		{	/* Module/pragma.scm 150 */
																			bool_t BgL_res1757z00_2001;

																			{	/* Module/pragma.scm 150 */
																				obj_t BgL_oclassz00_1987;

																				{	/* Module/pragma.scm 150 */
																					long BgL_arg1833z00_1993;

																					{	/* Module/pragma.scm 150 */
																						long BgL_arg1834z00_1994;

																						BgL_arg1834z00_1994 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_1972);
																						BgL_arg1833z00_1993 =
																							(BgL_arg1834z00_1994 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1987 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_1993);
																				}
																				{	/* Module/pragma.scm 150 */
																					bool_t BgL__ortest_1110z00_1988;

																					BgL__ortest_1110z00_1988 =
																						(BgL_classz00_1970 ==
																						BgL_oclassz00_1987);
																					if (BgL__ortest_1110z00_1988)
																						{	/* Module/pragma.scm 150 */
																							BgL_res1757z00_2001 =
																								BgL__ortest_1110z00_1988;
																						}
																					else
																						{	/* Module/pragma.scm 150 */
																							long BgL_odepthz00_1989;

																							BgL_odepthz00_1989 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1987);
																							if ((((long) 3) <
																									BgL_odepthz00_1989))
																								{	/* Module/pragma.scm 150 */
																									obj_t BgL_arg1821z00_1991;

																									BgL_arg1821z00_1991 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1987,
																										((long) 3));
																									BgL_res1757z00_2001 =
																										(BgL_arg1821z00_1991 ==
																										BgL_classz00_1970);
																								}
																							else
																								{	/* Module/pragma.scm 150 */
																									BgL_res1757z00_2001 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_1976 = BgL_res1757z00_2001;
																		}
																		BgL_test1879z00_3030 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_1975,
																			BgL_arg1823z00_1976);
																	}
																}
															}
															if (BgL_test1879z00_3030)
																{	/* Module/pragma.scm 152 */
																	obj_t BgL_arg1338z00_1494;

																	{	/* Module/pragma.scm 152 */
																		obj_t BgL_arg1339z00_1495;

																		BgL_arg1339z00_1495 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1492)))->
																			BgL_propertyz00);
																		BgL_arg1338z00_1494 =
																			MAKE_YOUNG_PAIR(BgL_propz00_13,
																			BgL_arg1339z00_1495);
																	}
																	return
																		((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1492)))->
																			BgL_propertyz00) =
																		((obj_t) BgL_arg1338z00_1494), BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 150 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1791z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 126 */
														if ((BgL_propz00_13 == CNST_TABLE_REF(((long) 8))))
															{	/* Module/pragma.scm 154 */
																BgL_valuez00_bglt BgL_valz00_1497;

																BgL_valz00_1497 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12))))->BgL_valuez00);
																{	/* Module/pragma.scm 155 */
																	bool_t BgL_test1883z00_3063;

																	{	/* Module/pragma.scm 155 */
																		obj_t BgL_classz00_2006;

																		BgL_classz00_2006 = BGl_sfunz00zzast_varz00;
																		{	/* Module/pragma.scm 155 */
																			BgL_objectz00_bglt BgL_arg1825z00_2008;

																			{	/* Module/pragma.scm 155 */
																				obj_t BgL_tmpz00_3064;

																				BgL_tmpz00_3064 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valz00_1497));
																				BgL_arg1825z00_2008 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3064);
																			}
																			{	/* Module/pragma.scm 155 */
																				bool_t BgL_arg1822z00_2011;
																				bool_t BgL_arg1823z00_2012;

																				{	/* Module/pragma.scm 155 */
																					long BgL_idxz00_2015;

																					BgL_idxz00_2015 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2008);
																					BgL_arg1822z00_2011 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2015 + ((long) 3))) ==
																						BgL_classz00_2006);
																				}
																				{	/* Module/pragma.scm 155 */
																					bool_t BgL_res1758z00_2037;

																					{	/* Module/pragma.scm 155 */
																						obj_t BgL_oclassz00_2023;

																						{	/* Module/pragma.scm 155 */
																							long BgL_arg1833z00_2029;

																							{	/* Module/pragma.scm 155 */
																								long BgL_arg1834z00_2030;

																								BgL_arg1834z00_2030 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2008);
																								BgL_arg1833z00_2029 =
																									(BgL_arg1834z00_2030 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2023 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2029);
																						}
																						{	/* Module/pragma.scm 155 */
																							bool_t BgL__ortest_1110z00_2024;

																							BgL__ortest_1110z00_2024 =
																								(BgL_classz00_2006 ==
																								BgL_oclassz00_2023);
																							if (BgL__ortest_1110z00_2024)
																								{	/* Module/pragma.scm 155 */
																									BgL_res1758z00_2037 =
																										BgL__ortest_1110z00_2024;
																								}
																							else
																								{	/* Module/pragma.scm 155 */
																									long BgL_odepthz00_2025;

																									BgL_odepthz00_2025 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2023);
																									if ((((long) 3) <
																											BgL_odepthz00_2025))
																										{	/* Module/pragma.scm 155 */
																											obj_t BgL_arg1821z00_2027;

																											BgL_arg1821z00_2027 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2023,
																												((long) 3));
																											BgL_res1758z00_2037 =
																												(BgL_arg1821z00_2027 ==
																												BgL_classz00_2006);
																										}
																									else
																										{	/* Module/pragma.scm 155 */
																											BgL_res1758z00_2037 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2012 =
																						BgL_res1758z00_2037;
																				}
																				BgL_test1883z00_3063 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2011,
																					BgL_arg1823z00_2012);
																			}
																		}
																	}
																	if (BgL_test1883z00_3063)
																		{	/* Module/pragma.scm 157 */
																			obj_t BgL_arg1347z00_1499;

																			{	/* Module/pragma.scm 157 */
																				obj_t BgL_arg1348z00_1500;

																				BgL_arg1348z00_1500 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_valz00_1497)))->
																					BgL_propertyz00);
																				BgL_arg1347z00_1499 =
																					MAKE_YOUNG_PAIR(BgL_propz00_13,
																					BgL_arg1348z00_1500);
																			}
																			return
																				((((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_valz00_1497)))->
																					BgL_propertyz00) =
																				((obj_t) BgL_arg1347z00_1499), BUNSPEC);
																		}
																	else
																		{	/* Module/pragma.scm 155 */
																			return
																				BGl_sfunzd2errorzd2zzmodule_pragmaz00
																				(BGl_string1792z00zzmodule_pragmaz00,
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12));
																		}
																}
															}
														else
															{	/* Module/pragma.scm 126 */
																if (
																	(BgL_propz00_13 ==
																		CNST_TABLE_REF(((long) 9))))
																	{	/* Module/pragma.scm 159 */
																		BgL_valuez00_bglt BgL_valz00_1502;

																		BgL_valz00_1502 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_globalz00_12))))->
																			BgL_valuez00);
																		{	/* Module/pragma.scm 160 */
																			bool_t BgL_test1887z00_3096;

																			{	/* Module/pragma.scm 160 */
																				obj_t BgL_classz00_2042;

																				BgL_classz00_2042 =
																					BGl_cfunz00zzast_varz00;
																				{	/* Module/pragma.scm 160 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_2044;
																					{	/* Module/pragma.scm 160 */
																						obj_t BgL_tmpz00_3097;

																						BgL_tmpz00_3097 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_valz00_1502));
																						BgL_arg1825z00_2044 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_3097);
																					}
																					{	/* Module/pragma.scm 160 */
																						bool_t BgL_arg1822z00_2047;
																						bool_t BgL_arg1823z00_2048;

																						{	/* Module/pragma.scm 160 */
																							long BgL_idxz00_2051;

																							BgL_idxz00_2051 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_2044);
																							BgL_arg1822z00_2047 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2051 +
																										((long) 3))) ==
																								BgL_classz00_2042);
																						}
																						{	/* Module/pragma.scm 160 */
																							bool_t BgL_res1759z00_2073;

																							{	/* Module/pragma.scm 160 */
																								obj_t BgL_oclassz00_2059;

																								{	/* Module/pragma.scm 160 */
																									long BgL_arg1833z00_2065;

																									{	/* Module/pragma.scm 160 */
																										long BgL_arg1834z00_2066;

																										BgL_arg1834z00_2066 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_2044);
																										BgL_arg1833z00_2065 =
																											(BgL_arg1834z00_2066 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2059 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_2065);
																								}
																								{	/* Module/pragma.scm 160 */
																									bool_t
																										BgL__ortest_1110z00_2060;
																									BgL__ortest_1110z00_2060 =
																										(BgL_classz00_2042 ==
																										BgL_oclassz00_2059);
																									if (BgL__ortest_1110z00_2060)
																										{	/* Module/pragma.scm 160 */
																											BgL_res1759z00_2073 =
																												BgL__ortest_1110z00_2060;
																										}
																									else
																										{	/* Module/pragma.scm 160 */
																											long BgL_odepthz00_2061;

																											BgL_odepthz00_2061 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2059);
																											if ((((long) 3) <
																													BgL_odepthz00_2061))
																												{	/* Module/pragma.scm 160 */
																													obj_t
																														BgL_arg1821z00_2063;
																													BgL_arg1821z00_2063 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2059,
																														((long) 3));
																													BgL_res1759z00_2073 =
																														(BgL_arg1821z00_2063
																														==
																														BgL_classz00_2042);
																												}
																											else
																												{	/* Module/pragma.scm 160 */
																													BgL_res1759z00_2073 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_2048 =
																								BgL_res1759z00_2073;
																						}
																						BgL_test1887z00_3096 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_2047,
																							BgL_arg1823z00_2048);
																					}
																				}
																			}
																			if (BgL_test1887z00_3096)
																				{	/* Module/pragma.scm 162 */
																					obj_t BgL_arg1354z00_1504;

																					{	/* Module/pragma.scm 162 */
																						obj_t BgL_arg1357z00_1505;

																						BgL_arg1357z00_1505 =
																							(((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_globalz00_12)))->
																							BgL_pragmaz00);
																						BgL_arg1354z00_1504 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 9)),
																							BgL_arg1357z00_1505);
																					}
																					return
																						((((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_globalz00_12)))->
																							BgL_pragmaz00) =
																						((obj_t) BgL_arg1354z00_1504),
																						BUNSPEC);
																				}
																			else
																				{	/* Module/pragma.scm 160 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Module/pragma.scm 126 */
																		if (
																			(BgL_propz00_13 ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* Module/pragma.scm 164 */
																				BgL_valuez00_bglt BgL_valz00_1507;

																				BgL_valz00_1507 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_globalz00_12))))->
																					BgL_valuez00);
																				{	/* Module/pragma.scm 165 */
																					bool_t BgL_test1891z00_3128;

																					{	/* Module/pragma.scm 165 */
																						obj_t BgL_classz00_2078;

																						BgL_classz00_2078 =
																							BGl_cfunz00zzast_varz00;
																						{	/* Module/pragma.scm 165 */
																							BgL_objectz00_bglt
																								BgL_arg1825z00_2080;
																							{	/* Module/pragma.scm 165 */
																								obj_t BgL_tmpz00_3129;

																								BgL_tmpz00_3129 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_valz00_1507));
																								BgL_arg1825z00_2080 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_3129);
																							}
																							{	/* Module/pragma.scm 165 */
																								bool_t BgL_arg1822z00_2083;
																								bool_t BgL_arg1823z00_2084;

																								{	/* Module/pragma.scm 165 */
																									long BgL_idxz00_2087;

																									BgL_idxz00_2087 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1825z00_2080);
																									BgL_arg1822z00_2083 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2087 +
																												((long) 3))) ==
																										BgL_classz00_2078);
																								}
																								{	/* Module/pragma.scm 165 */
																									bool_t BgL_res1760z00_2109;

																									{	/* Module/pragma.scm 165 */
																										obj_t BgL_oclassz00_2095;

																										{	/* Module/pragma.scm 165 */
																											long BgL_arg1833z00_2101;

																											{	/* Module/pragma.scm 165 */
																												long
																													BgL_arg1834z00_2102;
																												BgL_arg1834z00_2102 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1825z00_2080);
																												BgL_arg1833z00_2101 =
																													(BgL_arg1834z00_2102 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2095 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1833z00_2101);
																										}
																										{	/* Module/pragma.scm 165 */
																											bool_t
																												BgL__ortest_1110z00_2096;
																											BgL__ortest_1110z00_2096 =
																												(BgL_classz00_2078 ==
																												BgL_oclassz00_2095);
																											if (BgL__ortest_1110z00_2096)
																												{	/* Module/pragma.scm 165 */
																													BgL_res1760z00_2109 =
																														BgL__ortest_1110z00_2096;
																												}
																											else
																												{	/* Module/pragma.scm 165 */
																													long
																														BgL_odepthz00_2097;
																													BgL_odepthz00_2097 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_2095);
																													if ((((long) 3) <
																															BgL_odepthz00_2097))
																														{	/* Module/pragma.scm 165 */
																															obj_t
																																BgL_arg1821z00_2099;
																															BgL_arg1821z00_2099
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_2095,
																																((long) 3));
																															BgL_res1760z00_2109
																																=
																																(BgL_arg1821z00_2099
																																==
																																BgL_classz00_2078);
																														}
																													else
																														{	/* Module/pragma.scm 165 */
																															BgL_res1760z00_2109
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_arg1823z00_2084 =
																										BgL_res1760z00_2109;
																								}
																								BgL_test1891z00_3128 =
																									BGL_ISA_C_BACKEND
																									(BgL_arg1822z00_2083,
																									BgL_arg1823z00_2084);
																							}
																						}
																					}
																					if (BgL_test1891z00_3128)
																						{	/* Module/pragma.scm 168 */
																							obj_t BgL_arg1361z00_1509;

																							{	/* Module/pragma.scm 168 */
																								obj_t BgL_arg1363z00_1510;

																								BgL_arg1363z00_1510 =
																									(((BgL_globalz00_bglt)
																										COBJECT((
																												(BgL_globalz00_bglt)
																												BgL_globalz00_12)))->
																									BgL_pragmaz00);
																								BgL_arg1361z00_1509 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 10)),
																									BgL_arg1363z00_1510);
																							}
																							return
																								((((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_globalz00_12)))->
																									BgL_pragmaz00) =
																								((obj_t) BgL_arg1361z00_1509),
																								BUNSPEC);
																						}
																					else
																						{	/* Module/pragma.scm 165 */
																							return BFALSE;
																						}
																				}
																			}
																		else
																			{	/* Module/pragma.scm 126 */
																				if (
																					(BgL_propz00_13 ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Module/pragma.scm 170 */
																						BgL_valuez00_bglt BgL_valz00_1512;

																						BgL_valz00_1512 =
																							(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_globalz00_bglt)
																											BgL_globalz00_12))))->
																							BgL_valuez00);
																						{	/* Module/pragma.scm 171 */
																							bool_t BgL_test1895z00_3160;

																							{	/* Module/pragma.scm 171 */
																								bool_t BgL_test1896z00_3161;

																								{	/* Module/pragma.scm 171 */
																									obj_t BgL_classz00_2114;

																									BgL_classz00_2114 =
																										BGl_sfunz00zzast_varz00;
																									{	/* Module/pragma.scm 171 */
																										BgL_objectz00_bglt
																											BgL_arg1825z00_2116;
																										{	/* Module/pragma.scm 171 */
																											obj_t BgL_tmpz00_3162;

																											BgL_tmpz00_3162 =
																												((obj_t)
																												((BgL_objectz00_bglt)
																													BgL_valz00_1512));
																											BgL_arg1825z00_2116 =
																												(BgL_objectz00_bglt)
																												(BgL_tmpz00_3162);
																										}
																										{	/* Module/pragma.scm 171 */
																											bool_t
																												BgL_arg1822z00_2119;
																											bool_t
																												BgL_arg1823z00_2120;
																											{	/* Module/pragma.scm 171 */
																												long BgL_idxz00_2123;

																												BgL_idxz00_2123 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1825z00_2116);
																												BgL_arg1822z00_2119 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_2123 +
																															((long) 3))) ==
																													BgL_classz00_2114);
																											}
																											{	/* Module/pragma.scm 171 */
																												bool_t
																													BgL_res1761z00_2145;
																												{	/* Module/pragma.scm 171 */
																													obj_t
																														BgL_oclassz00_2131;
																													{	/* Module/pragma.scm 171 */
																														long
																															BgL_arg1833z00_2137;
																														{	/* Module/pragma.scm 171 */
																															long
																																BgL_arg1834z00_2138;
																															BgL_arg1834z00_2138
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1825z00_2116);
																															BgL_arg1833z00_2137
																																=
																																(BgL_arg1834z00_2138
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_2131 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1833z00_2137);
																													}
																													{	/* Module/pragma.scm 171 */
																														bool_t
																															BgL__ortest_1110z00_2132;
																														BgL__ortest_1110z00_2132
																															=
																															(BgL_classz00_2114
																															==
																															BgL_oclassz00_2131);
																														if (BgL__ortest_1110z00_2132)
																															{	/* Module/pragma.scm 171 */
																																BgL_res1761z00_2145
																																	=
																																	BgL__ortest_1110z00_2132;
																															}
																														else
																															{	/* Module/pragma.scm 171 */
																																long
																																	BgL_odepthz00_2133;
																																BgL_odepthz00_2133
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_2131);
																																if ((((long) 3)
																																		<
																																		BgL_odepthz00_2133))
																																	{	/* Module/pragma.scm 171 */
																																		obj_t
																																			BgL_arg1821z00_2135;
																																		BgL_arg1821z00_2135
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_2131,
																																			((long)
																																				3));
																																		BgL_res1761z00_2145
																																			=
																																			(BgL_arg1821z00_2135
																																			==
																																			BgL_classz00_2114);
																																	}
																																else
																																	{	/* Module/pragma.scm 171 */
																																		BgL_res1761z00_2145
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_arg1823z00_2120 =
																													BgL_res1761z00_2145;
																											}
																											BgL_test1896z00_3161 =
																												BGL_ISA_C_BACKEND
																												(BgL_arg1822z00_2119,
																												BgL_arg1823z00_2120);
																										}
																									}
																								}
																								if (BgL_test1896z00_3161)
																									{	/* Module/pragma.scm 171 */
																										BgL_test1895z00_3160 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Module/pragma.scm 171 */
																										obj_t BgL_classz00_2146;

																										BgL_classz00_2146 =
																											BGl_cfunz00zzast_varz00;
																										{	/* Module/pragma.scm 171 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_2148;
																											{	/* Module/pragma.scm 171 */
																												obj_t BgL_tmpz00_3181;

																												BgL_tmpz00_3181 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_valz00_1512));
																												BgL_arg1825z00_2148 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3181);
																											}
																											{	/* Module/pragma.scm 171 */
																												bool_t
																													BgL_arg1822z00_2151;
																												bool_t
																													BgL_arg1823z00_2152;
																												{	/* Module/pragma.scm 171 */
																													long BgL_idxz00_2155;

																													BgL_idxz00_2155 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_2148);
																													BgL_arg1822z00_2151 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2155 +
																																((long) 3))) ==
																														BgL_classz00_2146);
																												}
																												{	/* Module/pragma.scm 171 */
																													bool_t
																														BgL_res1762z00_2177;
																													{	/* Module/pragma.scm 171 */
																														obj_t
																															BgL_oclassz00_2163;
																														{	/* Module/pragma.scm 171 */
																															long
																																BgL_arg1833z00_2169;
																															{	/* Module/pragma.scm 171 */
																																long
																																	BgL_arg1834z00_2170;
																																BgL_arg1834z00_2170
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_2148);
																																BgL_arg1833z00_2169
																																	=
																																	(BgL_arg1834z00_2170
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2163
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_2169);
																														}
																														{	/* Module/pragma.scm 171 */
																															bool_t
																																BgL__ortest_1110z00_2164;
																															BgL__ortest_1110z00_2164
																																=
																																(BgL_classz00_2146
																																==
																																BgL_oclassz00_2163);
																															if (BgL__ortest_1110z00_2164)
																																{	/* Module/pragma.scm 171 */
																																	BgL_res1762z00_2177
																																		=
																																		BgL__ortest_1110z00_2164;
																																}
																															else
																																{	/* Module/pragma.scm 171 */
																																	long
																																		BgL_odepthz00_2165;
																																	BgL_odepthz00_2165
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2163);
																																	if ((((long)
																																				3) <
																																			BgL_odepthz00_2165))
																																		{	/* Module/pragma.scm 171 */
																																			obj_t
																																				BgL_arg1821z00_2167;
																																			BgL_arg1821z00_2167
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2163,
																																				((long)
																																					3));
																																			BgL_res1762z00_2177
																																				=
																																				(BgL_arg1821z00_2167
																																				==
																																				BgL_classz00_2146);
																																		}
																																	else
																																		{	/* Module/pragma.scm 171 */
																																			BgL_res1762z00_2177
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_2152 =
																														BgL_res1762z00_2177;
																												}
																												BgL_test1895z00_3160 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_2151,
																													BgL_arg1823z00_2152);
																											}
																										}
																									}
																							}
																							if (BgL_test1895z00_3160)
																								{	/* Module/pragma.scm 174 */
																									obj_t BgL_arg1369z00_1515;

																									{	/* Module/pragma.scm 174 */
																										obj_t BgL_arg1370z00_1516;

																										BgL_arg1370z00_1516 =
																											(((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_globalz00_12)))->
																											BgL_pragmaz00);
																										BgL_arg1369z00_1515 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													11)),
																											BgL_arg1370z00_1516);
																									}
																									return
																										((((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_globalz00_12)))->
																											BgL_pragmaz00) =
																										((obj_t)
																											BgL_arg1369z00_1515),
																										BUNSPEC);
																								}
																							else
																								{	/* Module/pragma.scm 171 */
																									return BFALSE;
																								}
																						}
																					}
																				else
																					{	/* Module/pragma.scm 126 */
																						if (
																							(BgL_propz00_13 ==
																								CNST_TABLE_REF(((long) 12))))
																							{	/* Module/pragma.scm 177 */
																								BgL_valuez00_bglt
																									BgL_valz00_1519;
																								BgL_valz00_1519 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_globalz00_12))))->
																									BgL_valuez00);
																								{	/* Module/pragma.scm 178 */
																									bool_t BgL_test1902z00_3212;

																									{	/* Module/pragma.scm 178 */
																										bool_t BgL_test1903z00_3213;

																										{	/* Module/pragma.scm 178 */
																											obj_t BgL_classz00_2182;

																											BgL_classz00_2182 =
																												BGl_sfunz00zzast_varz00;
																											{	/* Module/pragma.scm 178 */
																												BgL_objectz00_bglt
																													BgL_arg1825z00_2184;
																												{	/* Module/pragma.scm 178 */
																													obj_t BgL_tmpz00_3214;

																													BgL_tmpz00_3214 =
																														((obj_t)
																														((BgL_objectz00_bglt) BgL_valz00_1519));
																													BgL_arg1825z00_2184 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_3214);
																												}
																												{	/* Module/pragma.scm 178 */
																													bool_t
																														BgL_arg1822z00_2187;
																													bool_t
																														BgL_arg1823z00_2188;
																													{	/* Module/pragma.scm 178 */
																														long
																															BgL_idxz00_2191;
																														BgL_idxz00_2191 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1825z00_2184);
																														BgL_arg1822z00_2187
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2191
																																	+
																																	((long) 3)))
																															==
																															BgL_classz00_2182);
																													}
																													{	/* Module/pragma.scm 178 */
																														bool_t
																															BgL_res1763z00_2213;
																														{	/* Module/pragma.scm 178 */
																															obj_t
																																BgL_oclassz00_2199;
																															{	/* Module/pragma.scm 178 */
																																long
																																	BgL_arg1833z00_2205;
																																{	/* Module/pragma.scm 178 */
																																	long
																																		BgL_arg1834z00_2206;
																																	BgL_arg1834z00_2206
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1825z00_2184);
																																	BgL_arg1833z00_2205
																																		=
																																		(BgL_arg1834z00_2206
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2199
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1833z00_2205);
																															}
																															{	/* Module/pragma.scm 178 */
																																bool_t
																																	BgL__ortest_1110z00_2200;
																																BgL__ortest_1110z00_2200
																																	=
																																	(BgL_classz00_2182
																																	==
																																	BgL_oclassz00_2199);
																																if (BgL__ortest_1110z00_2200)
																																	{	/* Module/pragma.scm 178 */
																																		BgL_res1763z00_2213
																																			=
																																			BgL__ortest_1110z00_2200;
																																	}
																																else
																																	{	/* Module/pragma.scm 178 */
																																		long
																																			BgL_odepthz00_2201;
																																		BgL_odepthz00_2201
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_2199);
																																		if ((((long)
																																					3) <
																																				BgL_odepthz00_2201))
																																			{	/* Module/pragma.scm 178 */
																																				obj_t
																																					BgL_arg1821z00_2203;
																																				BgL_arg1821z00_2203
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_2199,
																																					((long) 3));
																																				BgL_res1763z00_2213
																																					=
																																					(BgL_arg1821z00_2203
																																					==
																																					BgL_classz00_2182);
																																			}
																																		else
																																			{	/* Module/pragma.scm 178 */
																																				BgL_res1763z00_2213
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_arg1823z00_2188
																															=
																															BgL_res1763z00_2213;
																													}
																													BgL_test1903z00_3213 =
																														BGL_ISA_C_BACKEND
																														(BgL_arg1822z00_2187,
																														BgL_arg1823z00_2188);
																												}
																											}
																										}
																										if (BgL_test1903z00_3213)
																											{	/* Module/pragma.scm 178 */
																												BgL_test1902z00_3212 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Module/pragma.scm 178 */
																												obj_t BgL_classz00_2214;

																												BgL_classz00_2214 =
																													BGl_cfunz00zzast_varz00;
																												{	/* Module/pragma.scm 178 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_2216;
																													{	/* Module/pragma.scm 178 */
																														obj_t
																															BgL_tmpz00_3233;
																														BgL_tmpz00_3233 =
																															((obj_t) (
																																(BgL_objectz00_bglt)
																																BgL_valz00_1519));
																														BgL_arg1825z00_2216
																															=
																															(BgL_objectz00_bglt)
																															(BgL_tmpz00_3233);
																													}
																													{	/* Module/pragma.scm 178 */
																														bool_t
																															BgL_arg1822z00_2219;
																														bool_t
																															BgL_arg1823z00_2220;
																														{	/* Module/pragma.scm 178 */
																															long
																																BgL_idxz00_2223;
																															BgL_idxz00_2223 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_2216);
																															BgL_arg1822z00_2219
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2223
																																		+
																																		((long) 3)))
																																==
																																BgL_classz00_2214);
																														}
																														{	/* Module/pragma.scm 178 */
																															bool_t
																																BgL_res1764z00_2245;
																															{	/* Module/pragma.scm 178 */
																																obj_t
																																	BgL_oclassz00_2231;
																																{	/* Module/pragma.scm 178 */
																																	long
																																		BgL_arg1833z00_2237;
																																	{	/* Module/pragma.scm 178 */
																																		long
																																			BgL_arg1834z00_2238;
																																		BgL_arg1834z00_2238
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_2216);
																																		BgL_arg1833z00_2237
																																			=
																																			(BgL_arg1834z00_2238
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2231
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_2237);
																																}
																																{	/* Module/pragma.scm 178 */
																																	bool_t
																																		BgL__ortest_1110z00_2232;
																																	BgL__ortest_1110z00_2232
																																		=
																																		(BgL_classz00_2214
																																		==
																																		BgL_oclassz00_2231);
																																	if (BgL__ortest_1110z00_2232)
																																		{	/* Module/pragma.scm 178 */
																																			BgL_res1764z00_2245
																																				=
																																				BgL__ortest_1110z00_2232;
																																		}
																																	else
																																		{	/* Module/pragma.scm 178 */
																																			long
																																				BgL_odepthz00_2233;
																																			BgL_odepthz00_2233
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_2231);
																																			if ((((long) 3) < BgL_odepthz00_2233))
																																				{	/* Module/pragma.scm 178 */
																																					obj_t
																																						BgL_arg1821z00_2235;
																																					BgL_arg1821z00_2235
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_2231,
																																						((long) 3));
																																					BgL_res1764z00_2245
																																						=
																																						(BgL_arg1821z00_2235
																																						==
																																						BgL_classz00_2214);
																																				}
																																			else
																																				{	/* Module/pragma.scm 178 */
																																					BgL_res1764z00_2245
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_2220
																																=
																																BgL_res1764z00_2245;
																														}
																														BgL_test1902z00_3212
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_2219,
																															BgL_arg1823z00_2220);
																													}
																												}
																											}
																									}
																									if (BgL_test1902z00_3212)
																										{	/* Module/pragma.scm 181 */
																											obj_t BgL_arg1380z00_1522;

																											{	/* Module/pragma.scm 181 */
																												obj_t
																													BgL_arg1381z00_1523;
																												BgL_arg1381z00_1523 =
																													(((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_globalz00_12)))->
																													BgL_pragmaz00);
																												BgL_arg1380z00_1522 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 12)),
																													BgL_arg1381z00_1523);
																											}
																											return
																												((((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_globalz00_12)))->
																													BgL_pragmaz00) =
																												((obj_t)
																													BgL_arg1380z00_1522),
																												BUNSPEC);
																										}
																									else
																										{	/* Module/pragma.scm 178 */
																											return BFALSE;
																										}
																								}
																							}
																						else
																							{	/* Module/pragma.scm 126 */
																								if (
																									(BgL_propz00_13 ==
																										CNST_TABLE_REF(((long)
																												13))))
																									{	/* Module/pragma.scm 185 */
																										BgL_valuez00_bglt
																											BgL_valz00_1526;
																										BgL_valz00_1526 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_12))))->BgL_valuez00);
																										{	/* Module/pragma.scm 186 */
																											bool_t
																												BgL_test1909z00_3264;
																											{	/* Module/pragma.scm 186 */
																												bool_t
																													BgL_test1910z00_3265;
																												{	/* Module/pragma.scm 186 */
																													obj_t
																														BgL_classz00_2250;
																													BgL_classz00_2250 =
																														BGl_sfunz00zzast_varz00;
																													{	/* Module/pragma.scm 186 */
																														BgL_objectz00_bglt
																															BgL_arg1825z00_2252;
																														{	/* Module/pragma.scm 186 */
																															obj_t
																																BgL_tmpz00_3266;
																															BgL_tmpz00_3266 =
																																((obj_t) (
																																	(BgL_objectz00_bglt)
																																	BgL_valz00_1526));
																															BgL_arg1825z00_2252
																																=
																																(BgL_objectz00_bglt)
																																(BgL_tmpz00_3266);
																														}
																														{	/* Module/pragma.scm 186 */
																															bool_t
																																BgL_arg1822z00_2255;
																															bool_t
																																BgL_arg1823z00_2256;
																															{	/* Module/pragma.scm 186 */
																																long
																																	BgL_idxz00_2259;
																																BgL_idxz00_2259
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1825z00_2252);
																																BgL_arg1822z00_2255
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_2259
																																			+
																																			((long)
																																				3))) ==
																																	BgL_classz00_2250);
																															}
																															{	/* Module/pragma.scm 186 */
																																bool_t
																																	BgL_res1765z00_2281;
																																{	/* Module/pragma.scm 186 */
																																	obj_t
																																		BgL_oclassz00_2267;
																																	{	/* Module/pragma.scm 186 */
																																		long
																																			BgL_arg1833z00_2273;
																																		{	/* Module/pragma.scm 186 */
																																			long
																																				BgL_arg1834z00_2274;
																																			BgL_arg1834z00_2274
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1825z00_2252);
																																			BgL_arg1833z00_2273
																																				=
																																				(BgL_arg1834z00_2274
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_2267
																																			=
																																			VECTOR_REF
																																			(BGl_za2classesza2z00zz__objectz00,
																																			BgL_arg1833z00_2273);
																																	}
																																	{	/* Module/pragma.scm 186 */
																																		bool_t
																																			BgL__ortest_1110z00_2268;
																																		BgL__ortest_1110z00_2268
																																			=
																																			(BgL_classz00_2250
																																			==
																																			BgL_oclassz00_2267);
																																		if (BgL__ortest_1110z00_2268)
																																			{	/* Module/pragma.scm 186 */
																																				BgL_res1765z00_2281
																																					=
																																					BgL__ortest_1110z00_2268;
																																			}
																																		else
																																			{	/* Module/pragma.scm 186 */
																																				long
																																					BgL_odepthz00_2269;
																																				BgL_odepthz00_2269
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_oclassz00_2267);
																																				if ((((long) 3) < BgL_odepthz00_2269))
																																					{	/* Module/pragma.scm 186 */
																																						obj_t
																																							BgL_arg1821z00_2271;
																																						BgL_arg1821z00_2271
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_oclassz00_2267,
																																							((long) 3));
																																						BgL_res1765z00_2281
																																							=
																																							(BgL_arg1821z00_2271
																																							==
																																							BgL_classz00_2250);
																																					}
																																				else
																																					{	/* Module/pragma.scm 186 */
																																						BgL_res1765z00_2281
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_arg1823z00_2256
																																	=
																																	BgL_res1765z00_2281;
																															}
																															BgL_test1910z00_3265
																																=
																																BGL_ISA_C_BACKEND
																																(BgL_arg1822z00_2255,
																																BgL_arg1823z00_2256);
																														}
																													}
																												}
																												if (BgL_test1910z00_3265)
																													{	/* Module/pragma.scm 186 */
																														BgL_test1909z00_3264
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Module/pragma.scm 186 */
																														obj_t
																															BgL_classz00_2282;
																														BgL_classz00_2282 =
																															BGl_cfunz00zzast_varz00;
																														{	/* Module/pragma.scm 186 */
																															BgL_objectz00_bglt
																																BgL_arg1825z00_2284;
																															{	/* Module/pragma.scm 186 */
																																obj_t
																																	BgL_tmpz00_3285;
																																BgL_tmpz00_3285
																																	=
																																	((obj_t) (
																																		(BgL_objectz00_bglt)
																																		BgL_valz00_1526));
																																BgL_arg1825z00_2284
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_3285);
																															}
																															{	/* Module/pragma.scm 186 */
																																bool_t
																																	BgL_arg1822z00_2287;
																																bool_t
																																	BgL_arg1823z00_2288;
																																{	/* Module/pragma.scm 186 */
																																	long
																																		BgL_idxz00_2291;
																																	BgL_idxz00_2291
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1825z00_2284);
																																	BgL_arg1822z00_2287
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2291
																																				+
																																				((long)
																																					3)))
																																		==
																																		BgL_classz00_2282);
																																}
																																{	/* Module/pragma.scm 186 */
																																	bool_t
																																		BgL_res1766z00_2313;
																																	{	/* Module/pragma.scm 186 */
																																		obj_t
																																			BgL_oclassz00_2299;
																																		{	/* Module/pragma.scm 186 */
																																			long
																																				BgL_arg1833z00_2305;
																																			{	/* Module/pragma.scm 186 */
																																				long
																																					BgL_arg1834z00_2306;
																																				BgL_arg1834z00_2306
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1825z00_2284);
																																				BgL_arg1833z00_2305
																																					=
																																					(BgL_arg1834z00_2306
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2299
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1833z00_2305);
																																		}
																																		{	/* Module/pragma.scm 186 */
																																			bool_t
																																				BgL__ortest_1110z00_2300;
																																			BgL__ortest_1110z00_2300
																																				=
																																				(BgL_classz00_2282
																																				==
																																				BgL_oclassz00_2299);
																																			if (BgL__ortest_1110z00_2300)
																																				{	/* Module/pragma.scm 186 */
																																					BgL_res1766z00_2313
																																						=
																																						BgL__ortest_1110z00_2300;
																																				}
																																			else
																																				{	/* Module/pragma.scm 186 */
																																					long
																																						BgL_odepthz00_2301;
																																					BgL_odepthz00_2301
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_2299);
																																					if ((((long) 3) < BgL_odepthz00_2301))
																																						{	/* Module/pragma.scm 186 */
																																							obj_t
																																								BgL_arg1821z00_2303;
																																							BgL_arg1821z00_2303
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_2299,
																																								((long) 3));
																																							BgL_res1766z00_2313
																																								=
																																								(BgL_arg1821z00_2303
																																								==
																																								BgL_classz00_2282);
																																						}
																																					else
																																						{	/* Module/pragma.scm 186 */
																																							BgL_res1766z00_2313
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_arg1823z00_2288
																																		=
																																		BgL_res1766z00_2313;
																																}
																																BgL_test1909z00_3264
																																	=
																																	BGL_ISA_C_BACKEND
																																	(BgL_arg1822z00_2287,
																																	BgL_arg1823z00_2288);
																															}
																														}
																													}
																											}
																											if (BgL_test1909z00_3264)
																												{	/* Module/pragma.scm 189 */
																													obj_t
																														BgL_arg1400z00_1529;
																													{	/* Module/pragma.scm 189 */
																														obj_t
																															BgL_arg1401z00_1530;
																														BgL_arg1401z00_1530
																															=
																															(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00);
																														BgL_arg1400z00_1529
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 13)),
																															BgL_arg1401z00_1530);
																													}
																													return
																														((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00) = ((obj_t) BgL_arg1400z00_1529), BUNSPEC);
																												}
																											else
																												{	/* Module/pragma.scm 186 */
																													return BFALSE;
																												}
																										}
																									}
																								else
																									{	/* Module/pragma.scm 126 */
																										if (
																											(BgL_propz00_13 ==
																												CNST_TABLE_REF(((long)
																														14))))
																											{	/* Module/pragma.scm 192 */
																												BgL_valuez00_bglt
																													BgL_valz00_1533;
																												BgL_valz00_1533 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_12))))->BgL_valuez00);
																												{	/* Module/pragma.scm 193 */
																													bool_t
																														BgL_test1916z00_3316;
																													{	/* Module/pragma.scm 193 */
																														bool_t
																															BgL_test1917z00_3317;
																														{	/* Module/pragma.scm 193 */
																															obj_t
																																BgL_classz00_2318;
																															BgL_classz00_2318
																																=
																																BGl_sfunz00zzast_varz00;
																															{	/* Module/pragma.scm 193 */
																																BgL_objectz00_bglt
																																	BgL_arg1825z00_2320;
																																{	/* Module/pragma.scm 193 */
																																	obj_t
																																		BgL_tmpz00_3318;
																																	BgL_tmpz00_3318
																																		=
																																		((obj_t) (
																																			(BgL_objectz00_bglt)
																																			BgL_valz00_1533));
																																	BgL_arg1825z00_2320
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_tmpz00_3318);
																																}
																																{	/* Module/pragma.scm 193 */
																																	bool_t
																																		BgL_arg1822z00_2323;
																																	bool_t
																																		BgL_arg1823z00_2324;
																																	{	/* Module/pragma.scm 193 */
																																		long
																																			BgL_idxz00_2327;
																																		BgL_idxz00_2327
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1825z00_2320);
																																		BgL_arg1822z00_2323
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_2327
																																					+
																																					((long) 3))) == BgL_classz00_2318);
																																	}
																																	{	/* Module/pragma.scm 193 */
																																		bool_t
																																			BgL_res1767z00_2349;
																																		{	/* Module/pragma.scm 193 */
																																			obj_t
																																				BgL_oclassz00_2335;
																																			{	/* Module/pragma.scm 193 */
																																				long
																																					BgL_arg1833z00_2341;
																																				{	/* Module/pragma.scm 193 */
																																					long
																																						BgL_arg1834z00_2342;
																																					BgL_arg1834z00_2342
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1825z00_2320);
																																					BgL_arg1833z00_2341
																																						=
																																						(BgL_arg1834z00_2342
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_2335
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1833z00_2341);
																																			}
																																			{	/* Module/pragma.scm 193 */
																																				bool_t
																																					BgL__ortest_1110z00_2336;
																																				BgL__ortest_1110z00_2336
																																					=
																																					(BgL_classz00_2318
																																					==
																																					BgL_oclassz00_2335);
																																				if (BgL__ortest_1110z00_2336)
																																					{	/* Module/pragma.scm 193 */
																																						BgL_res1767z00_2349
																																							=
																																							BgL__ortest_1110z00_2336;
																																					}
																																				else
																																					{	/* Module/pragma.scm 193 */
																																						long
																																							BgL_odepthz00_2337;
																																						BgL_odepthz00_2337
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_2335);
																																						if (
																																							(((long) 3) < BgL_odepthz00_2337))
																																							{	/* Module/pragma.scm 193 */
																																								obj_t
																																									BgL_arg1821z00_2339;
																																								BgL_arg1821z00_2339
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_2335,
																																									((long) 3));
																																								BgL_res1767z00_2349
																																									=
																																									(BgL_arg1821z00_2339
																																									==
																																									BgL_classz00_2318);
																																							}
																																						else
																																							{	/* Module/pragma.scm 193 */
																																								BgL_res1767z00_2349
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_arg1823z00_2324
																																			=
																																			BgL_res1767z00_2349;
																																	}
																																	BgL_test1917z00_3317
																																		=
																																		BGL_ISA_C_BACKEND
																																		(BgL_arg1822z00_2323,
																																		BgL_arg1823z00_2324);
																																}
																															}
																														}
																														if (BgL_test1917z00_3317)
																															{	/* Module/pragma.scm 193 */
																																BgL_test1916z00_3316
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Module/pragma.scm 193 */
																																obj_t
																																	BgL_classz00_2350;
																																BgL_classz00_2350
																																	=
																																	BGl_cfunz00zzast_varz00;
																																{	/* Module/pragma.scm 193 */
																																	BgL_objectz00_bglt
																																		BgL_arg1825z00_2352;
																																	{	/* Module/pragma.scm 193 */
																																		obj_t
																																			BgL_tmpz00_3337;
																																		BgL_tmpz00_3337
																																			=
																																			((obj_t) (
																																				(BgL_objectz00_bglt)
																																				BgL_valz00_1533));
																																		BgL_arg1825z00_2352
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_tmpz00_3337);
																																	}
																																	{	/* Module/pragma.scm 193 */
																																		bool_t
																																			BgL_arg1822z00_2355;
																																		bool_t
																																			BgL_arg1823z00_2356;
																																		{	/* Module/pragma.scm 193 */
																																			long
																																				BgL_idxz00_2359;
																																			BgL_idxz00_2359
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1825z00_2352);
																																			BgL_arg1822z00_2355
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_2359
																																						+
																																						((long) 3))) == BgL_classz00_2350);
																																		}
																																		{	/* Module/pragma.scm 193 */
																																			bool_t
																																				BgL_res1768z00_2381;
																																			{	/* Module/pragma.scm 193 */
																																				obj_t
																																					BgL_oclassz00_2367;
																																				{	/* Module/pragma.scm 193 */
																																					long
																																						BgL_arg1833z00_2373;
																																					{	/* Module/pragma.scm 193 */
																																						long
																																							BgL_arg1834z00_2374;
																																						BgL_arg1834z00_2374
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1825z00_2352);
																																						BgL_arg1833z00_2373
																																							=
																																							(BgL_arg1834z00_2374
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_2367
																																						=
																																						VECTOR_REF
																																						(BGl_za2classesza2z00zz__objectz00,
																																						BgL_arg1833z00_2373);
																																				}
																																				{	/* Module/pragma.scm 193 */
																																					bool_t
																																						BgL__ortest_1110z00_2368;
																																					BgL__ortest_1110z00_2368
																																						=
																																						(BgL_classz00_2350
																																						==
																																						BgL_oclassz00_2367);
																																					if (BgL__ortest_1110z00_2368)
																																						{	/* Module/pragma.scm 193 */
																																							BgL_res1768z00_2381
																																								=
																																								BgL__ortest_1110z00_2368;
																																						}
																																					else
																																						{	/* Module/pragma.scm 193 */
																																							long
																																								BgL_odepthz00_2369;
																																							BgL_odepthz00_2369
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_oclassz00_2367);
																																							if ((((long) 3) < BgL_odepthz00_2369))
																																								{	/* Module/pragma.scm 193 */
																																									obj_t
																																										BgL_arg1821z00_2371;
																																									BgL_arg1821z00_2371
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_oclassz00_2367,
																																										((long) 3));
																																									BgL_res1768z00_2381
																																										=
																																										(BgL_arg1821z00_2371
																																										==
																																										BgL_classz00_2350);
																																								}
																																							else
																																								{	/* Module/pragma.scm 193 */
																																									BgL_res1768z00_2381
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_arg1823z00_2356
																																				=
																																				BgL_res1768z00_2381;
																																		}
																																		BgL_test1916z00_3316
																																			=
																																			BGL_ISA_C_BACKEND
																																			(BgL_arg1822z00_2355,
																																			BgL_arg1823z00_2356);
																																	}
																																}
																															}
																													}
																													if (BgL_test1916z00_3316)
																														{	/* Module/pragma.scm 193 */
																															return BFALSE;
																														}
																													else
																														{	/* Module/pragma.scm 196 */
																															obj_t
																																BgL_arg1415z00_1536;
																															{	/* Module/pragma.scm 196 */
																																obj_t
																																	BgL_arg1416z00_1537;
																																BgL_arg1416z00_1537
																																	=
																																	(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00);
																																BgL_arg1415z00_1536
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg1416z00_1537);
																															}
																															return
																																((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00) = ((obj_t) BgL_arg1415z00_1536), BUNSPEC);
																														}
																												}
																											}
																										else
																											{	/* Module/pragma.scm 198 */
																												obj_t
																													BgL_list1417z00_1539;
																												BgL_list1417z00_1539 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string1793z00zzmodule_pragmaz00,
																													BGl_string1794z00zzmodule_pragmaz00,
																													BgL_clausez00_14,
																													BgL_list1417z00_1539);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/pragma.scm 124 */
						if (PAIRP(BgL_propz00_13))
							{	/* Module/pragma.scm 124 */
								obj_t BgL_carzd2160zd2_1476;

								BgL_carzd2160zd2_1476 = CAR(BgL_propz00_13);
								if (SYMBOLP(BgL_carzd2160zd2_1476))
									{	/* Module/pragma.scm 124 */
										BgL_keyz00_1469 = BgL_carzd2160zd2_1476;
										BgL_valz00_1470 = CDR(BgL_propz00_13);
										if ((BgL_keyz00_1469 == CNST_TABLE_REF(((long) 15))))
											{	/* Module/pragma.scm 203 */
												bool_t BgL_test1925z00_3372;

												if (PAIRP(BgL_valz00_1470))
													{	/* Module/pragma.scm 203 */
														obj_t BgL_tmpz00_3375;

														BgL_tmpz00_3375 = CAR(BgL_valz00_1470);
														BgL_test1925z00_3372 = SYMBOLP(BgL_tmpz00_3375);
													}
												else
													{	/* Module/pragma.scm 203 */
														BgL_test1925z00_3372 = ((bool_t) 0);
													}
												if (BgL_test1925z00_3372)
													{	/* Module/pragma.scm 205 */
														BgL_typez00_bglt BgL_typez00_1545;
														BgL_valuez00_bglt BgL_valuez00_1546;

														BgL_typez00_1545 =
															BGl_usezd2typez12zc0zztype_envz00(CAR
															(BgL_valz00_1470),
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_propz00_13));
														BgL_valuez00_1546 =
															(((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt) (
																			(BgL_globalz00_bglt)
																			BgL_globalz00_12))))->BgL_valuez00);
														{	/* Module/pragma.scm 207 */
															bool_t BgL_test1927z00_3384;

															{	/* Module/pragma.scm 207 */
																obj_t BgL_classz00_2388;

																BgL_classz00_2388 = BGl_funz00zzast_varz00;
																{	/* Module/pragma.scm 207 */
																	BgL_objectz00_bglt BgL_arg1825z00_2390;

																	{	/* Module/pragma.scm 207 */
																		obj_t BgL_tmpz00_3385;

																		BgL_tmpz00_3385 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valuez00_1546));
																		BgL_arg1825z00_2390 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3385);
																	}
																	{	/* Module/pragma.scm 207 */
																		bool_t BgL_arg1822z00_2393;
																		bool_t BgL_arg1823z00_2394;

																		{	/* Module/pragma.scm 207 */
																			long BgL_idxz00_2397;

																			BgL_idxz00_2397 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2390);
																			BgL_arg1822z00_2393 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2397 + ((long) 2))) ==
																				BgL_classz00_2388);
																		}
																		{	/* Module/pragma.scm 207 */
																			bool_t BgL_res1769z00_2419;

																			{	/* Module/pragma.scm 207 */
																				obj_t BgL_oclassz00_2405;

																				{	/* Module/pragma.scm 207 */
																					long BgL_arg1833z00_2411;

																					{	/* Module/pragma.scm 207 */
																						long BgL_arg1834z00_2412;

																						BgL_arg1834z00_2412 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2390);
																						BgL_arg1833z00_2411 =
																							(BgL_arg1834z00_2412 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2405 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2411);
																				}
																				{	/* Module/pragma.scm 207 */
																					bool_t BgL__ortest_1110z00_2406;

																					BgL__ortest_1110z00_2406 =
																						(BgL_classz00_2388 ==
																						BgL_oclassz00_2405);
																					if (BgL__ortest_1110z00_2406)
																						{	/* Module/pragma.scm 207 */
																							BgL_res1769z00_2419 =
																								BgL__ortest_1110z00_2406;
																						}
																					else
																						{	/* Module/pragma.scm 207 */
																							long BgL_odepthz00_2407;

																							BgL_odepthz00_2407 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2405);
																							if ((((long) 2) <
																									BgL_odepthz00_2407))
																								{	/* Module/pragma.scm 207 */
																									obj_t BgL_arg1821z00_2409;

																									BgL_arg1821z00_2409 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2405,
																										((long) 2));
																									BgL_res1769z00_2419 =
																										(BgL_arg1821z00_2409 ==
																										BgL_classz00_2388);
																								}
																							else
																								{	/* Module/pragma.scm 207 */
																									BgL_res1769z00_2419 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2394 = BgL_res1769z00_2419;
																		}
																		BgL_test1927z00_3384 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2393,
																			BgL_arg1823z00_2394);
																	}
																}
															}
															if (BgL_test1927z00_3384)
																{	/* Module/pragma.scm 207 */
																	((((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						BgL_valuez00_1546)))->
																			BgL_predicatezd2ofzd2) =
																		((obj_t) ((obj_t) BgL_typez00_1545)),
																		BUNSPEC);
																	BGl_removezd2varzd2fromz12z12zzast_removez00
																		(CNST_TABLE_REF(((long) 16)),
																		((BgL_variablez00_bglt) BgL_globalz00_12));
																	return ((((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_valuez00_1546)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BFALSE), BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 207 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1795z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 203 */
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string1793z00zzmodule_pragmaz00,
															BGl_string1796z00zzmodule_pragmaz00,
															BgL_propz00_13, BNIL);
													}
											}
										else
											{	/* Module/pragma.scm 200 */
												if ((BgL_keyz00_1469 == CNST_TABLE_REF(((long) 17))))
													{	/* Module/pragma.scm 218 */
														BgL_valuez00_bglt BgL_valuez00_1554;

														BgL_valuez00_1554 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_globalz00_12))))->
															BgL_valuez00);
														{	/* Module/pragma.scm 219 */
															bool_t BgL_test1931z00_3421;

															{	/* Module/pragma.scm 219 */
																obj_t BgL_classz00_2424;

																BgL_classz00_2424 = BGl_funz00zzast_varz00;
																{	/* Module/pragma.scm 219 */
																	BgL_objectz00_bglt BgL_arg1825z00_2426;

																	{	/* Module/pragma.scm 219 */
																		obj_t BgL_tmpz00_3422;

																		BgL_tmpz00_3422 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valuez00_1554));
																		BgL_arg1825z00_2426 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3422);
																	}
																	{	/* Module/pragma.scm 219 */
																		bool_t BgL_arg1822z00_2429;
																		bool_t BgL_arg1823z00_2430;

																		{	/* Module/pragma.scm 219 */
																			long BgL_idxz00_2433;

																			BgL_idxz00_2433 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2426);
																			BgL_arg1822z00_2429 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2433 + ((long) 2))) ==
																				BgL_classz00_2424);
																		}
																		{	/* Module/pragma.scm 219 */
																			bool_t BgL_res1770z00_2455;

																			{	/* Module/pragma.scm 219 */
																				obj_t BgL_oclassz00_2441;

																				{	/* Module/pragma.scm 219 */
																					long BgL_arg1833z00_2447;

																					{	/* Module/pragma.scm 219 */
																						long BgL_arg1834z00_2448;

																						BgL_arg1834z00_2448 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2426);
																						BgL_arg1833z00_2447 =
																							(BgL_arg1834z00_2448 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2441 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2447);
																				}
																				{	/* Module/pragma.scm 219 */
																					bool_t BgL__ortest_1110z00_2442;

																					BgL__ortest_1110z00_2442 =
																						(BgL_classz00_2424 ==
																						BgL_oclassz00_2441);
																					if (BgL__ortest_1110z00_2442)
																						{	/* Module/pragma.scm 219 */
																							BgL_res1770z00_2455 =
																								BgL__ortest_1110z00_2442;
																						}
																					else
																						{	/* Module/pragma.scm 219 */
																							long BgL_odepthz00_2443;

																							BgL_odepthz00_2443 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2441);
																							if ((((long) 2) <
																									BgL_odepthz00_2443))
																								{	/* Module/pragma.scm 219 */
																									obj_t BgL_arg1821z00_2445;

																									BgL_arg1821z00_2445 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2441,
																										((long) 2));
																									BgL_res1770z00_2455 =
																										(BgL_arg1821z00_2445 ==
																										BgL_classz00_2424);
																								}
																							else
																								{	/* Module/pragma.scm 219 */
																									BgL_res1770z00_2455 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2430 = BgL_res1770z00_2455;
																		}
																		BgL_test1931z00_3421 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2429,
																			BgL_arg1823z00_2430);
																	}
																}
															}
															if (BgL_test1931z00_3421)
																{	/* Module/pragma.scm 221 */
																	BgL_feffectz00_bglt BgL_arg1477z00_1556;

																	BgL_arg1477z00_1556 =
																		BGl_parsezd2effectzd2zzeffect_feffectz00
																		(BgL_propz00_13);
																	return ((((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_valuez00_1554)))->
																			BgL_effectz00) =
																		((obj_t) ((obj_t) BgL_arg1477z00_1556)),
																		BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 219 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1797z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 200 */
														if (
															(BgL_keyz00_1469 == CNST_TABLE_REF(((long) 18))))
															{	/* Module/pragma.scm 223 */
																BgL_valuez00_bglt BgL_valuez00_1558;

																BgL_valuez00_1558 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12))))->BgL_valuez00);
																{	/* Module/pragma.scm 224 */
																	bool_t BgL_test1935z00_3453;

																	{	/* Module/pragma.scm 224 */
																		obj_t BgL_classz00_2459;

																		BgL_classz00_2459 = BGl_funz00zzast_varz00;
																		{	/* Module/pragma.scm 224 */
																			BgL_objectz00_bglt BgL_arg1825z00_2461;

																			{	/* Module/pragma.scm 224 */
																				obj_t BgL_tmpz00_3454;

																				BgL_tmpz00_3454 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valuez00_1558));
																				BgL_arg1825z00_2461 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3454);
																			}
																			{	/* Module/pragma.scm 224 */
																				bool_t BgL_arg1822z00_2464;
																				bool_t BgL_arg1823z00_2465;

																				{	/* Module/pragma.scm 224 */
																					long BgL_idxz00_2468;

																					BgL_idxz00_2468 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2461);
																					BgL_arg1822z00_2464 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2468 + ((long) 2))) ==
																						BgL_classz00_2459);
																				}
																				{	/* Module/pragma.scm 224 */
																					bool_t BgL_res1771z00_2490;

																					{	/* Module/pragma.scm 224 */
																						obj_t BgL_oclassz00_2476;

																						{	/* Module/pragma.scm 224 */
																							long BgL_arg1833z00_2482;

																							{	/* Module/pragma.scm 224 */
																								long BgL_arg1834z00_2483;

																								BgL_arg1834z00_2483 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2461);
																								BgL_arg1833z00_2482 =
																									(BgL_arg1834z00_2483 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2476 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2482);
																						}
																						{	/* Module/pragma.scm 224 */
																							bool_t BgL__ortest_1110z00_2477;

																							BgL__ortest_1110z00_2477 =
																								(BgL_classz00_2459 ==
																								BgL_oclassz00_2476);
																							if (BgL__ortest_1110z00_2477)
																								{	/* Module/pragma.scm 224 */
																									BgL_res1771z00_2490 =
																										BgL__ortest_1110z00_2477;
																								}
																							else
																								{	/* Module/pragma.scm 224 */
																									long BgL_odepthz00_2478;

																									BgL_odepthz00_2478 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2476);
																									if ((((long) 2) <
																											BgL_odepthz00_2478))
																										{	/* Module/pragma.scm 224 */
																											obj_t BgL_arg1821z00_2480;

																											BgL_arg1821z00_2480 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2476,
																												((long) 2));
																											BgL_res1771z00_2490 =
																												(BgL_arg1821z00_2480 ==
																												BgL_classz00_2459);
																										}
																									else
																										{	/* Module/pragma.scm 224 */
																											BgL_res1771z00_2490 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2465 =
																						BgL_res1771z00_2490;
																				}
																				BgL_test1935z00_3453 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2464,
																					BgL_arg1823z00_2465);
																			}
																		}
																	}
																	if (BgL_test1935z00_3453)
																		{	/* Module/pragma.scm 224 */
																			return
																				((((BgL_funz00_bglt) COBJECT(
																							((BgL_funz00_bglt)
																								BgL_valuez00_1558)))->
																					BgL_stackzd2allocatorzd2) =
																				((obj_t) BgL_valz00_1470), BUNSPEC);
																		}
																	else
																		{	/* Module/pragma.scm 224 */
																			return
																				BGl_sfunzd2errorzd2zzmodule_pragmaz00
																				(BGl_string1798z00zzmodule_pragmaz00,
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12));
																		}
																}
															}
														else
															{	/* Module/pragma.scm 200 */
																if (
																	(BgL_keyz00_1469 ==
																		CNST_TABLE_REF(((long) 19))))
																	{	/* Module/pragma.scm 200 */
																		return
																			BGl_argszd2noescapezd2zzmodule_pragmaz00
																			(BgL_globalz00_12, BgL_valz00_1470,
																			BGl_funzd2argszd2noescapezd2envzd2zzast_varz00,
																			BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00);
																	}
																else
																	{	/* Module/pragma.scm 200 */
																		if (
																			(BgL_keyz00_1469 ==
																				CNST_TABLE_REF(((long) 20))))
																			{	/* Module/pragma.scm 200 */
																				return
																					BGl_argszd2noescapezd2zzmodule_pragmaz00
																					(BgL_globalz00_12, BgL_valz00_1470,
																					BGl_funzd2argszd2retescapezd2envzd2zzast_varz00,
																					BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00);
																			}
																		else
																			{	/* Module/pragma.scm 232 */
																				obj_t BgL_list1482z00_1562;

																				BgL_list1482z00_1562 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BGl_string1793z00zzmodule_pragmaz00,
																					BGl_string1794z00zzmodule_pragmaz00,
																					BgL_propz00_13, BgL_list1482z00_1562);
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Module/pragma.scm 124 */
									BgL_tagzd2152zd2_1472:
										{	/* Module/pragma.scm 235 */
											obj_t BgL_arg1494z00_1563;

											{	/* Module/pragma.scm 235 */
												obj_t BgL_list1496z00_1565;

												BgL_list1496z00_1565 =
													MAKE_YOUNG_PAIR(BgL_propz00_13, BNIL);
												BgL_arg1494z00_1563 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string1799z00zzmodule_pragmaz00,
													BgL_list1496z00_1565);
											}
											{	/* Module/pragma.scm 234 */
												obj_t BgL_list1495z00_1564;

												BgL_list1495z00_1564 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1793z00zzmodule_pragmaz00,
													BgL_arg1494z00_1563, BgL_clausez00_14,
													BgL_list1495z00_1564);
											}
										}
									}
							}
						else
							{	/* Module/pragma.scm 124 */
								goto BgL_tagzd2152zd2_1472;
							}
					}
			}
		}

	}



/* args-noescape */
	obj_t BGl_argszd2noescapezd2zzmodule_pragmaz00(obj_t BgL_globalz00_15,
		obj_t BgL_valz00_16, obj_t BgL_pgetz00_17, obj_t BgL_psetz00_18)
	{
		{	/* Module/pragma.scm 242 */
			{	/* Module/pragma.scm 244 */
				BgL_valuez00_bglt BgL_valuez00_1566;

				BgL_valuez00_1566 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_15))))->BgL_valuez00);
				{	/* Module/pragma.scm 245 */
					bool_t BgL_test1940z00_3495;

					{	/* Module/pragma.scm 245 */
						obj_t BgL_classz00_2497;

						BgL_classz00_2497 = BGl_funz00zzast_varz00;
						{	/* Module/pragma.scm 245 */
							BgL_objectz00_bglt BgL_arg1825z00_2499;

							{	/* Module/pragma.scm 245 */
								obj_t BgL_tmpz00_3496;

								BgL_tmpz00_3496 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1566));
								BgL_arg1825z00_2499 = (BgL_objectz00_bglt) (BgL_tmpz00_3496);
							}
							{	/* Module/pragma.scm 245 */
								bool_t BgL_arg1822z00_2502;
								bool_t BgL_arg1823z00_2503;

								{	/* Module/pragma.scm 245 */
									long BgL_idxz00_2506;

									BgL_idxz00_2506 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2499);
									BgL_arg1822z00_2502 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2506 + ((long) 2))) == BgL_classz00_2497);
								}
								{	/* Module/pragma.scm 245 */
									bool_t BgL_res1772z00_2528;

									{	/* Module/pragma.scm 245 */
										obj_t BgL_oclassz00_2514;

										{	/* Module/pragma.scm 245 */
											long BgL_arg1833z00_2520;

											{	/* Module/pragma.scm 245 */
												long BgL_arg1834z00_2521;

												BgL_arg1834z00_2521 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2499);
												BgL_arg1833z00_2520 =
													(BgL_arg1834z00_2521 - OBJECT_TYPE);
											}
											BgL_oclassz00_2514 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2520);
										}
										{	/* Module/pragma.scm 245 */
											bool_t BgL__ortest_1110z00_2515;

											BgL__ortest_1110z00_2515 =
												(BgL_classz00_2497 == BgL_oclassz00_2514);
											if (BgL__ortest_1110z00_2515)
												{	/* Module/pragma.scm 245 */
													BgL_res1772z00_2528 = BgL__ortest_1110z00_2515;
												}
											else
												{	/* Module/pragma.scm 245 */
													long BgL_odepthz00_2516;

													BgL_odepthz00_2516 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2514);
													if ((((long) 2) < BgL_odepthz00_2516))
														{	/* Module/pragma.scm 245 */
															obj_t BgL_arg1821z00_2518;

															BgL_arg1821z00_2518 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2514,
																((long) 2));
															BgL_res1772z00_2528 =
																(BgL_arg1821z00_2518 == BgL_classz00_2497);
														}
													else
														{	/* Module/pragma.scm 245 */
															BgL_res1772z00_2528 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2503 = BgL_res1772z00_2528;
								}
								BgL_test1940z00_3495 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2502, BgL_arg1823z00_2503);
							}
						}
					}
					if (BgL_test1940z00_3495)
						{	/* Module/pragma.scm 245 */
							if (NULLP(BgL_valz00_16))
								{	/* Module/pragma.scm 248 */
									return
										PROCEDURE_ENTRY(BgL_psetz00_18) (BgL_psetz00_18,
										((obj_t) BgL_valuez00_1566),
										CNST_TABLE_REF(((long) 21)), BEOA);
								}
							else
								{	/* Module/pragma.scm 248 */
									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(CAR(
												((obj_t) BgL_valz00_16))))
										{	/* Module/pragma.scm 251 */
											obj_t BgL_arg1520z00_1571;

											{	/* Module/pragma.scm 251 */
												obj_t BgL_arg1524z00_1572;

												BgL_arg1524z00_1572 =
													PROCEDURE_ENTRY(BgL_pgetz00_17) (BgL_pgetz00_17,
													((obj_t) BgL_valuez00_1566), BEOA);
												BgL_arg1520z00_1571 =
													BGl_appendzd221011zd2zzmodule_pragmaz00(BgL_valz00_16,
													BgL_arg1524z00_1572);
											}
											return
												PROCEDURE_ENTRY(BgL_psetz00_18) (BgL_psetz00_18,
												((obj_t) BgL_valuez00_1566), BgL_arg1520z00_1571, BEOA);
										}
									else
										{	/* Module/pragma.scm 252 */
											bool_t BgL_test1945z00_3540;

											{	/* Module/pragma.scm 252 */
												obj_t BgL_tmpz00_3541;

												BgL_tmpz00_3541 = CAR(((obj_t) BgL_valz00_16));
												BgL_test1945z00_3540 = SYMBOLP(BgL_tmpz00_3541);
											}
											if (BgL_test1945z00_3540)
												{	/* Module/pragma.scm 253 */
													bool_t BgL_test1946z00_3545;

													{	/* Module/pragma.scm 253 */
														obj_t BgL_classz00_2531;

														BgL_classz00_2531 = BGl_sfunz00zzast_varz00;
														{	/* Module/pragma.scm 253 */
															BgL_objectz00_bglt BgL_arg1825z00_2533;

															{	/* Module/pragma.scm 253 */
																obj_t BgL_tmpz00_3546;

																BgL_tmpz00_3546 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valuez00_1566));
																BgL_arg1825z00_2533 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3546);
															}
															{	/* Module/pragma.scm 253 */
																bool_t BgL_arg1822z00_2536;
																bool_t BgL_arg1823z00_2537;

																{	/* Module/pragma.scm 253 */
																	long BgL_idxz00_2540;

																	BgL_idxz00_2540 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2533);
																	BgL_arg1822z00_2536 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2540 + ((long) 3))) ==
																		BgL_classz00_2531);
																}
																{	/* Module/pragma.scm 253 */
																	bool_t BgL_res1773z00_2562;

																	{	/* Module/pragma.scm 253 */
																		obj_t BgL_oclassz00_2548;

																		{	/* Module/pragma.scm 253 */
																			long BgL_arg1833z00_2554;

																			{	/* Module/pragma.scm 253 */
																				long BgL_arg1834z00_2555;

																				BgL_arg1834z00_2555 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2533);
																				BgL_arg1833z00_2554 =
																					(BgL_arg1834z00_2555 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2548 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2554);
																		}
																		{	/* Module/pragma.scm 253 */
																			bool_t BgL__ortest_1110z00_2549;

																			BgL__ortest_1110z00_2549 =
																				(BgL_classz00_2531 ==
																				BgL_oclassz00_2548);
																			if (BgL__ortest_1110z00_2549)
																				{	/* Module/pragma.scm 253 */
																					BgL_res1773z00_2562 =
																						BgL__ortest_1110z00_2549;
																				}
																			else
																				{	/* Module/pragma.scm 253 */
																					long BgL_odepthz00_2550;

																					BgL_odepthz00_2550 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2548);
																					if ((((long) 3) < BgL_odepthz00_2550))
																						{	/* Module/pragma.scm 253 */
																							obj_t BgL_arg1821z00_2552;

																							BgL_arg1821z00_2552 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2548,
																								((long) 3));
																							BgL_res1773z00_2562 =
																								(BgL_arg1821z00_2552 ==
																								BgL_classz00_2531);
																						}
																					else
																						{	/* Module/pragma.scm 253 */
																							BgL_res1773z00_2562 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2537 = BgL_res1773z00_2562;
																}
																BgL_test1946z00_3545 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2536,
																	BgL_arg1823z00_2537);
															}
														}
													}
													if (BgL_test1946z00_3545)
														{	/* Module/pragma.scm 253 */
															{	/* Module/pragma.scm 257 */
																bool_t BgL_test1949z00_3565;

																{	/* Module/pragma.scm 257 */
																	obj_t BgL_arg1548z00_1578;

																	BgL_arg1548z00_1578 =
																		PROCEDURE_ENTRY(BgL_pgetz00_17)
																		(BgL_pgetz00_17,
																		((obj_t) BgL_valuez00_1566), BEOA);
																	BgL_test1949z00_3565 =
																		(BgL_arg1548z00_1578 == BUNSPEC);
																}
																if (BgL_test1949z00_3565)
																	{	/* Module/pragma.scm 257 */
																		PROCEDURE_ENTRY(BgL_psetz00_18)
																			(BgL_psetz00_18,
																			((obj_t) BgL_valuez00_1566), BNIL, BEOA);
																	}
																else
																	{	/* Module/pragma.scm 257 */
																		BFALSE;
																	}
															}
															{	/* Module/pragma.scm 259 */
																obj_t BgL_g1104z00_1579;

																BgL_g1104z00_1579 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valuez00_1566)))->
																	BgL_argszd2namezd2);
																{
																	long BgL_iz00_1581;
																	obj_t BgL_argsz00_1582;

																	BgL_iz00_1581 = ((long) 0);
																	BgL_argsz00_1582 = BgL_g1104z00_1579;
																BgL_zc3z04anonymousza31549ze3z87_1583:
																	if (NULLP(BgL_argsz00_1582))
																		{	/* Module/pragma.scm 262 */
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_string1793z00zzmodule_pragmaz00,
																				BGl_string1800z00zzmodule_pragmaz00,
																				BgL_valz00_16, BNIL);
																		}
																	else
																		{	/* Module/pragma.scm 262 */
																			if (
																				(CAR(
																						((obj_t) BgL_argsz00_1582)) ==
																					CAR(((obj_t) BgL_valz00_16))))
																				{	/* Module/pragma.scm 267 */
																					obj_t BgL_arg1563z00_1589;

																					{	/* Module/pragma.scm 267 */
																						obj_t BgL_arg1564z00_1590;

																						BgL_arg1564z00_1590 =
																							PROCEDURE_ENTRY(BgL_pgetz00_17)
																							(BgL_pgetz00_17,
																							((obj_t) BgL_valuez00_1566),
																							BEOA);
																						BgL_arg1563z00_1589 =
																							MAKE_YOUNG_PAIR(BINT
																							(BgL_iz00_1581),
																							BgL_arg1564z00_1590);
																					}
																					return
																						PROCEDURE_ENTRY(BgL_psetz00_18)
																						(BgL_psetz00_18,
																						((obj_t) BgL_valuez00_1566),
																						BgL_arg1563z00_1589, BEOA);
																				}
																			else
																				{	/* Module/pragma.scm 269 */
																					long BgL_arg1567z00_1591;
																					obj_t BgL_arg1570z00_1592;

																					BgL_arg1567z00_1591 =
																						(BgL_iz00_1581 + ((long) 1));
																					BgL_arg1570z00_1592 =
																						CDR(((obj_t) BgL_argsz00_1582));
																					{
																						obj_t BgL_argsz00_3606;
																						long BgL_iz00_3605;

																						BgL_iz00_3605 = BgL_arg1567z00_1591;
																						BgL_argsz00_3606 =
																							BgL_arg1570z00_1592;
																						BgL_argsz00_1582 = BgL_argsz00_3606;
																						BgL_iz00_1581 = BgL_iz00_3605;
																						goto
																							BgL_zc3z04anonymousza31549ze3z87_1583;
																					}
																				}
																		}
																}
															}
														}
													else
														{	/* Module/pragma.scm 253 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1793z00zzmodule_pragmaz00,
																BGl_string1801z00zzmodule_pragmaz00,
																BgL_valz00_16, BNIL);
														}
												}
											else
												{	/* Module/pragma.scm 270 */
													bool_t BgL_test1952z00_3608;

													{	/* Module/pragma.scm 270 */
														obj_t BgL_arg1588z00_1603;

														BgL_arg1588z00_1603 =
															PROCEDURE_ENTRY(BgL_pgetz00_17) (BgL_pgetz00_17,
															((obj_t) BgL_valuez00_1566), BEOA);
														BgL_test1952z00_3608 =
															(BgL_arg1588z00_1603 == BUNSPEC);
													}
													if (BgL_test1952z00_3608)
														{	/* Module/pragma.scm 271 */
															obj_t BgL_arg1583z00_1599;

															{	/* Module/pragma.scm 271 */
																obj_t BgL_list1584z00_1600;

																BgL_list1584z00_1600 =
																	MAKE_YOUNG_PAIR(BgL_valz00_16, BNIL);
																BgL_arg1583z00_1599 = BgL_list1584z00_1600;
															}
															return
																PROCEDURE_ENTRY(BgL_psetz00_18) (BgL_psetz00_18,
																((obj_t) BgL_valuez00_1566),
																BgL_arg1583z00_1599, BEOA);
														}
													else
														{	/* Module/pragma.scm 273 */
															obj_t BgL_arg1585z00_1601;

															{	/* Module/pragma.scm 273 */
																obj_t BgL_arg1586z00_1602;

																BgL_arg1586z00_1602 =
																	PROCEDURE_ENTRY(BgL_pgetz00_17)
																	(BgL_pgetz00_17, ((obj_t) BgL_valuez00_1566),
																	BEOA);
																BgL_arg1585z00_1601 =
																	MAKE_YOUNG_PAIR(BgL_valz00_16,
																	BgL_arg1586z00_1602);
															}
															return
																PROCEDURE_ENTRY(BgL_psetz00_18) (BgL_psetz00_18,
																((obj_t) BgL_valuez00_1566),
																BgL_arg1585z00_1601, BEOA);
														}
												}
										}
								}
						}
					else
						{	/* Module/pragma.scm 245 */
							return
								BGl_sfunzd2errorzd2zzmodule_pragmaz00
								(BGl_string1802z00zzmodule_pragmaz00,
								((BgL_globalz00_bglt) BgL_globalz00_15));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00()
	{
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
		}

	}

#ifdef __cplusplus
}
#endif
