/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/generic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_genericzd2initzd2zzobject_genericz00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzobject_genericz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_genericz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_genericz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00();
	static obj_t BGl_gczd2rootszd2initz00zzobject_genericz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2genericzd2bodyz62zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1430z00zzobject_genericz00,
		BgL_bgl_string1430za700za7za7o1455za7,
		"Illegal generic definition (no formal arguments provided)", 57);
	      DEFINE_STRING(BGl_string1431z00zzobject_genericz00,
		BgL_bgl_string1431za700za7za7o1456za7,
		"Illegal global definition (internal error)", 42);
	      DEFINE_STRING(BGl_string1432z00zzobject_genericz00,
		BgL_bgl_string1432za700za7za7o1457za7,
		"generic function has a non-class dispatching type arg", 53);
	      DEFINE_STRING(BGl_string1433z00zzobject_genericz00,
		BgL_bgl_string1433za700za7za7o1458za7, "object_generic", 14);
	      DEFINE_STRING(BGl_string1434z00zzobject_genericz00,
		BgL_bgl_string1434za700za7za7o1459za7,
		"if object? __r4_pairs_and_lists_6_3 generic-default let apply cons* _ unsafe find-method @ procedure method sgfun ",
		114);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00,
		BgL_bgl_za762makeza7d2generi1460z00,
		BGl_z62makezd2genericzd2bodyz62zzobject_genericz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_genericz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long
		BgL_checksumz00_1334, char *BgL_fromz00_1335)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_genericz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_genericz00();
					BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
					BGl_cnstzd2initzd2zzobject_genericz00();
					BGl_importedzd2moduleszd2initz00zzobject_genericz00();
					return BGl_methodzd2initzd2zzobject_genericz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_generic");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			{	/* Object/generic.scm 15 */
				obj_t BgL_cportz00_1322;

				{	/* Object/generic.scm 15 */
					obj_t BgL_stringz00_1330;

					BgL_stringz00_1330 = BGl_string1434z00zzobject_genericz00;
					{	/* Object/generic.scm 15 */
						obj_t BgL_startz00_1331;

						BgL_startz00_1331 = BINT(((long) 0));
						{	/* Object/generic.scm 15 */
							obj_t BgL_endz00_1332;

							BgL_endz00_1332 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1330)));
							{	/* Object/generic.scm 15 */

								BgL_cportz00_1322 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1330, BgL_startz00_1331, BgL_endz00_1332);
				}}}}
				{
					long BgL_iz00_1323;

					BgL_iz00_1323 = ((long) 13);
				BgL_loopz00_1324:
					if ((BgL_iz00_1323 == ((long) -1)))
						{	/* Object/generic.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/generic.scm 15 */
							{	/* Object/generic.scm 15 */
								obj_t BgL_arg1454z00_1326;

								{	/* Object/generic.scm 15 */

									{	/* Object/generic.scm 15 */
										obj_t BgL_locationz00_1328;

										BgL_locationz00_1328 = BBOOL(((bool_t) 0));
										{	/* Object/generic.scm 15 */

											BgL_arg1454z00_1326 =
												BGl_readz00zz__readerz00(BgL_cportz00_1322,
												BgL_locationz00_1328);
										}
									}
								}
								{	/* Object/generic.scm 15 */
									int BgL_tmpz00_1362;

									BgL_tmpz00_1362 = (int) (BgL_iz00_1323);
									CNST_TABLE_SET(BgL_tmpz00_1362, BgL_arg1454z00_1326);
							}}
							{	/* Object/generic.scm 15 */
								int BgL_auxz00_1329;

								BgL_auxz00_1329 = (int) ((BgL_iz00_1323 - ((long) 1)));
								{
									long BgL_iz00_1367;

									BgL_iz00_1367 = (long) (BgL_auxz00_1329);
									BgL_iz00_1323 = BgL_iz00_1367;
									goto BgL_loopz00_1324;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-generic-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_3, obj_t BgL_localsz00_4, obj_t BgL_argsz00_5, obj_t BgL_srcz00_6)
	{
		{	/* Object/generic.scm 34 */
			{	/* Object/generic.scm 37 */
				obj_t BgL_gz00_689;

				BgL_gz00_689 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_3,
					BGl_za2moduleza2z00zzmodule_modulez00);
				if (NULLP(BgL_argsz00_5))
					{	/* Object/generic.scm 36 */
						obj_t BgL_list1195z00_926;

						BgL_list1195z00_926 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_3,
							BGl_string1430z00zzobject_genericz00, BgL_srcz00_6,
							BgL_list1195z00_926);
					}
				else
					{	/* Object/generic.scm 41 */
						bool_t BgL_test1466z00_1375;

						{	/* Object/generic.scm 41 */
							bool_t BgL_test1467z00_1376;

							{	/* Object/generic.scm 41 */
								obj_t BgL_classz00_927;

								BgL_classz00_927 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_689))
									{	/* Object/generic.scm 41 */
										BgL_objectz00_bglt BgL_arg1825z00_929;

										BgL_arg1825z00_929 = (BgL_objectz00_bglt) (BgL_gz00_689);
										{	/* Object/generic.scm 41 */
											bool_t BgL_arg1822z00_932;
											bool_t BgL_arg1823z00_933;

											{	/* Object/generic.scm 41 */
												long BgL_idxz00_936;

												BgL_idxz00_936 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_929);
												BgL_arg1822z00_932 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_936 + ((long) 2))) == BgL_classz00_927);
											}
											{	/* Object/generic.scm 41 */
												bool_t BgL_res1419z00_958;

												{	/* Object/generic.scm 41 */
													obj_t BgL_oclassz00_944;

													{	/* Object/generic.scm 41 */
														long BgL_arg1833z00_950;

														{	/* Object/generic.scm 41 */
															long BgL_arg1834z00_951;

															BgL_arg1834z00_951 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_929);
															BgL_arg1833z00_950 =
																(BgL_arg1834z00_951 - OBJECT_TYPE);
														}
														BgL_oclassz00_944 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_950);
													}
													{	/* Object/generic.scm 41 */
														bool_t BgL__ortest_1110z00_945;

														BgL__ortest_1110z00_945 =
															(BgL_classz00_927 == BgL_oclassz00_944);
														if (BgL__ortest_1110z00_945)
															{	/* Object/generic.scm 41 */
																BgL_res1419z00_958 = BgL__ortest_1110z00_945;
															}
														else
															{	/* Object/generic.scm 41 */
																long BgL_odepthz00_946;

																BgL_odepthz00_946 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_944);
																if ((((long) 2) < BgL_odepthz00_946))
																	{	/* Object/generic.scm 41 */
																		obj_t BgL_arg1821z00_948;

																		BgL_arg1821z00_948 =
																			BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_944,
																			((long) 2));
																		BgL_res1419z00_958 =
																			(BgL_arg1821z00_948 == BgL_classz00_927);
																	}
																else
																	{	/* Object/generic.scm 41 */
																		BgL_res1419z00_958 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_933 = BgL_res1419z00_958;
											}
											BgL_test1467z00_1376 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_932,
												BgL_arg1823z00_933);
										}
									}
								else
									{	/* Object/generic.scm 41 */
										BgL_test1467z00_1376 = ((bool_t) 0);
									}
							}
							if (BgL_test1467z00_1376)
								{	/* Object/generic.scm 42 */
									bool_t BgL__ortest_1063z00_735;

									{	/* Object/generic.scm 42 */
										bool_t BgL_test1471z00_1395;

										{	/* Object/generic.scm 42 */
											BgL_valuez00_bglt BgL_arg1193z00_743;

											BgL_arg1193z00_743 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_gz00_689))))->
												BgL_valuez00);
											{	/* Object/generic.scm 42 */
												obj_t BgL_classz00_960;

												BgL_classz00_960 = BGl_sfunz00zzast_varz00;
												{	/* Object/generic.scm 42 */
													BgL_objectz00_bglt BgL_arg1825z00_962;

													{	/* Object/generic.scm 42 */
														obj_t BgL_tmpz00_1399;

														BgL_tmpz00_1399 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1193z00_743));
														BgL_arg1825z00_962 =
															(BgL_objectz00_bglt) (BgL_tmpz00_1399);
													}
													{	/* Object/generic.scm 42 */
														bool_t BgL_arg1822z00_965;
														bool_t BgL_arg1823z00_966;

														{	/* Object/generic.scm 42 */
															long BgL_idxz00_969;

															BgL_idxz00_969 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_962);
															BgL_arg1822z00_965 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_969 + ((long) 3))) ==
																BgL_classz00_960);
														}
														{	/* Object/generic.scm 42 */
															bool_t BgL_res1420z00_991;

															{	/* Object/generic.scm 42 */
																obj_t BgL_oclassz00_977;

																{	/* Object/generic.scm 42 */
																	long BgL_arg1833z00_983;

																	{	/* Object/generic.scm 42 */
																		long BgL_arg1834z00_984;

																		BgL_arg1834z00_984 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_962);
																		BgL_arg1833z00_983 =
																			(BgL_arg1834z00_984 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_977 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_983);
																}
																{	/* Object/generic.scm 42 */
																	bool_t BgL__ortest_1110z00_978;

																	BgL__ortest_1110z00_978 =
																		(BgL_classz00_960 == BgL_oclassz00_977);
																	if (BgL__ortest_1110z00_978)
																		{	/* Object/generic.scm 42 */
																			BgL_res1420z00_991 =
																				BgL__ortest_1110z00_978;
																		}
																	else
																		{	/* Object/generic.scm 42 */
																			long BgL_odepthz00_979;

																			BgL_odepthz00_979 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_977);
																			if ((((long) 3) < BgL_odepthz00_979))
																				{	/* Object/generic.scm 42 */
																					obj_t BgL_arg1821z00_981;

																					BgL_arg1821z00_981 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_977, ((long) 3));
																					BgL_res1420z00_991 =
																						(BgL_arg1821z00_981 ==
																						BgL_classz00_960);
																				}
																			else
																				{	/* Object/generic.scm 42 */
																					BgL_res1420z00_991 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_966 = BgL_res1420z00_991;
														}
														BgL_test1471z00_1395 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_965,
															BgL_arg1823z00_966);
													}
												}
											}
										}
										if (BgL_test1471z00_1395)
											{	/* Object/generic.scm 42 */
												BgL__ortest_1063z00_735 = ((bool_t) 0);
											}
										else
											{	/* Object/generic.scm 42 */
												BgL__ortest_1063z00_735 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_1063z00_735)
										{	/* Object/generic.scm 42 */
											BgL_test1466z00_1375 = BgL__ortest_1063z00_735;
										}
									else
										{	/* Object/generic.scm 43 */
											bool_t BgL__ortest_1064z00_736;

											if (
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_689))))->BgL_valuez00))))->
														BgL_classz00) == CNST_TABLE_REF(((long) 0))))
												{	/* Object/generic.scm 43 */
													BgL__ortest_1064z00_736 = ((bool_t) 0);
												}
											else
												{	/* Object/generic.scm 43 */
													BgL__ortest_1064z00_736 = ((bool_t) 1);
												}
											if (BgL__ortest_1064z00_736)
												{	/* Object/generic.scm 43 */
													BgL_test1466z00_1375 = BgL__ortest_1064z00_736;
												}
											else
												{	/* Object/generic.scm 43 */
													BgL_test1466z00_1375 =
														NULLP(
														(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_689))))->
																			BgL_valuez00))))->BgL_argsz00));
												}
										}
								}
							else
								{	/* Object/generic.scm 41 */
									BgL_test1466z00_1375 = ((bool_t) 0);
								}
						}
						if (BgL_test1466z00_1375)
							{	/* Object/generic.scm 36 */
								obj_t BgL_list1195z00_996;

								BgL_list1195z00_996 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_3,
									BGl_string1431z00zzobject_genericz00, BgL_srcz00_6,
									BgL_list1195z00_996);
							}
						else
							{	/* Object/generic.scm 47 */
								obj_t BgL_methodzd2argzd2_705;

								BgL_methodzd2argzd2_705 = CAR(((obj_t) BgL_localsz00_4));
								{	/* Object/generic.scm 47 */
									BgL_typez00_bglt BgL_methodzd2argzd2typez00_706;

									BgL_methodzd2argzd2typez00_706 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_methodzd2argzd2_705))))->
										BgL_typez00);
									{	/* Object/generic.scm 48 */
										obj_t BgL_ptypez00_707;

										{	/* Object/generic.scm 49 */
											bool_t BgL_test1477z00_1441;

											{	/* Object/generic.scm 49 */
												obj_t BgL_classz00_999;

												BgL_classz00_999 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_gz00_689))
													{	/* Object/generic.scm 49 */
														BgL_objectz00_bglt BgL_arg1825z00_1001;

														BgL_arg1825z00_1001 =
															(BgL_objectz00_bglt) (BgL_gz00_689);
														{	/* Object/generic.scm 49 */
															bool_t BgL_arg1822z00_1004;
															bool_t BgL_arg1823z00_1005;

															{	/* Object/generic.scm 49 */
																long BgL_idxz00_1008;

																BgL_idxz00_1008 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_1001);
																BgL_arg1822z00_1004 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1008 + ((long) 2))) ==
																	BgL_classz00_999);
															}
															{	/* Object/generic.scm 49 */
																bool_t BgL_res1421z00_1030;

																{	/* Object/generic.scm 49 */
																	obj_t BgL_oclassz00_1016;

																	{	/* Object/generic.scm 49 */
																		long BgL_arg1833z00_1022;

																		{	/* Object/generic.scm 49 */
																			long BgL_arg1834z00_1023;

																			BgL_arg1834z00_1023 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_1001);
																			BgL_arg1833z00_1022 =
																				(BgL_arg1834z00_1023 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1016 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_1022);
																	}
																	{	/* Object/generic.scm 49 */
																		bool_t BgL__ortest_1110z00_1017;

																		BgL__ortest_1110z00_1017 =
																			(BgL_classz00_999 == BgL_oclassz00_1016);
																		if (BgL__ortest_1110z00_1017)
																			{	/* Object/generic.scm 49 */
																				BgL_res1421z00_1030 =
																					BgL__ortest_1110z00_1017;
																			}
																		else
																			{	/* Object/generic.scm 49 */
																				long BgL_odepthz00_1018;

																				BgL_odepthz00_1018 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_1016);
																				if ((((long) 2) < BgL_odepthz00_1018))
																					{	/* Object/generic.scm 49 */
																						obj_t BgL_arg1821z00_1020;

																						BgL_arg1821z00_1020 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_1016, ((long) 2));
																						BgL_res1421z00_1030 =
																							(BgL_arg1821z00_1020 ==
																							BgL_classz00_999);
																					}
																				else
																					{	/* Object/generic.scm 49 */
																						BgL_res1421z00_1030 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_1005 = BgL_res1421z00_1030;
															}
															BgL_test1477z00_1441 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_1004,
																BgL_arg1823z00_1005);
														}
													}
												else
													{	/* Object/generic.scm 49 */
														BgL_test1477z00_1441 = ((bool_t) 0);
													}
											}
											if (BgL_test1477z00_1441)
												{	/* Object/generic.scm 49 */
													obj_t BgL_pairz00_1033;

													BgL_pairz00_1033 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_689))))->BgL_valuez00))))->
														BgL_argsz00);
													BgL_ptypez00_707 = CAR(BgL_pairz00_1033);
												}
											else
												{	/* Object/generic.scm 49 */
													BgL_ptypez00_707 = BFALSE;
												}
										}
										{	/* Object/generic.scm 49 */

											{	/* Object/generic.scm 51 */
												bool_t BgL_test1481z00_1466;

												{	/* Object/generic.scm 51 */
													bool_t BgL_test1482z00_1467;

													{	/* Object/generic.scm 51 */
														obj_t BgL_classz00_1034;

														BgL_classz00_1034 = BGl_tclassz00zzobject_classz00;
														{	/* Object/generic.scm 51 */
															BgL_objectz00_bglt BgL_arg1825z00_1036;

															{	/* Object/generic.scm 51 */
																obj_t BgL_tmpz00_1468;

																BgL_tmpz00_1468 =
																	((obj_t)
																	((BgL_objectz00_bglt)
																		BgL_methodzd2argzd2typez00_706));
																BgL_arg1825z00_1036 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_1468);
															}
															{	/* Object/generic.scm 51 */
																bool_t BgL_arg1822z00_1039;
																bool_t BgL_arg1823z00_1040;

																{	/* Object/generic.scm 51 */
																	long BgL_idxz00_1043;

																	BgL_idxz00_1043 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_1036);
																	BgL_arg1822z00_1039 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1043 + ((long) 2))) ==
																		BgL_classz00_1034);
																}
																{	/* Object/generic.scm 51 */
																	bool_t BgL_res1422z00_1065;

																	{	/* Object/generic.scm 51 */
																		obj_t BgL_oclassz00_1051;

																		{	/* Object/generic.scm 51 */
																			long BgL_arg1833z00_1057;

																			{	/* Object/generic.scm 51 */
																				long BgL_arg1834z00_1058;

																				BgL_arg1834z00_1058 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_1036);
																				BgL_arg1833z00_1057 =
																					(BgL_arg1834z00_1058 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1051 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_1057);
																		}
																		{	/* Object/generic.scm 51 */
																			bool_t BgL__ortest_1110z00_1052;

																			BgL__ortest_1110z00_1052 =
																				(BgL_classz00_1034 ==
																				BgL_oclassz00_1051);
																			if (BgL__ortest_1110z00_1052)
																				{	/* Object/generic.scm 51 */
																					BgL_res1422z00_1065 =
																						BgL__ortest_1110z00_1052;
																				}
																			else
																				{	/* Object/generic.scm 51 */
																					long BgL_odepthz00_1053;

																					BgL_odepthz00_1053 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_1051);
																					if ((((long) 2) < BgL_odepthz00_1053))
																						{	/* Object/generic.scm 51 */
																							obj_t BgL_arg1821z00_1055;

																							BgL_arg1821z00_1055 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_1051,
																								((long) 2));
																							BgL_res1422z00_1065 =
																								(BgL_arg1821z00_1055 ==
																								BgL_classz00_1034);
																						}
																					else
																						{	/* Object/generic.scm 51 */
																							BgL_res1422z00_1065 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_1040 = BgL_res1422z00_1065;
																}
																BgL_test1482z00_1467 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_1039,
																	BgL_arg1823z00_1040);
															}
														}
													}
													if (BgL_test1482z00_1467)
														{	/* Object/generic.scm 51 */
															BgL_test1481z00_1466 = ((bool_t) 1);
														}
													else
														{	/* Object/generic.scm 51 */
															obj_t BgL_classz00_1066;

															BgL_classz00_1066 =
																BGl_tclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_ptypez00_707))
																{	/* Object/generic.scm 51 */
																	BgL_objectz00_bglt BgL_arg1825z00_1068;

																	BgL_arg1825z00_1068 =
																		(BgL_objectz00_bglt) (BgL_ptypez00_707);
																	{	/* Object/generic.scm 51 */
																		bool_t BgL_arg1822z00_1071;
																		bool_t BgL_arg1823z00_1072;

																		{	/* Object/generic.scm 51 */
																			long BgL_idxz00_1075;

																			BgL_idxz00_1075 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_1068);
																			BgL_arg1822z00_1071 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1075 + ((long) 2))) ==
																				BgL_classz00_1066);
																		}
																		{	/* Object/generic.scm 51 */
																			bool_t BgL_res1423z00_1097;

																			{	/* Object/generic.scm 51 */
																				obj_t BgL_oclassz00_1083;

																				{	/* Object/generic.scm 51 */
																					long BgL_arg1833z00_1089;

																					{	/* Object/generic.scm 51 */
																						long BgL_arg1834z00_1090;

																						BgL_arg1834z00_1090 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_1068);
																						BgL_arg1833z00_1089 =
																							(BgL_arg1834z00_1090 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1083 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_1089);
																				}
																				{	/* Object/generic.scm 51 */
																					bool_t BgL__ortest_1110z00_1084;

																					BgL__ortest_1110z00_1084 =
																						(BgL_classz00_1066 ==
																						BgL_oclassz00_1083);
																					if (BgL__ortest_1110z00_1084)
																						{	/* Object/generic.scm 51 */
																							BgL_res1423z00_1097 =
																								BgL__ortest_1110z00_1084;
																						}
																					else
																						{	/* Object/generic.scm 51 */
																							long BgL_odepthz00_1085;

																							BgL_odepthz00_1085 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1083);
																							if ((((long) 2) <
																									BgL_odepthz00_1085))
																								{	/* Object/generic.scm 51 */
																									obj_t BgL_arg1821z00_1087;

																									BgL_arg1821z00_1087 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1083,
																										((long) 2));
																									BgL_res1423z00_1097 =
																										(BgL_arg1821z00_1087 ==
																										BgL_classz00_1066);
																								}
																							else
																								{	/* Object/generic.scm 51 */
																									BgL_res1423z00_1097 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_1072 = BgL_res1423z00_1097;
																		}
																		BgL_test1481z00_1466 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_1071,
																			BgL_arg1823z00_1072);
																	}
																}
															else
																{	/* Object/generic.scm 51 */
																	BgL_test1481z00_1466 = ((bool_t) 0);
																}
														}
												}
												if (BgL_test1481z00_1466)
													{	/* Object/generic.scm 51 */
														return
															BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00
															(BgL_idz00_3, BgL_localsz00_4, BgL_argsz00_5,
															BgL_srcz00_6);
													}
												else
													{	/* Object/generic.scm 53 */
														bool_t BgL_test1488z00_1506;

														{	/* Object/generic.scm 53 */
															bool_t BgL_test1489z00_1507;

															{	/* Object/generic.scm 53 */
																obj_t BgL_classz00_1098;

																BgL_classz00_1098 = BGl_typez00zztype_typez00;
																{	/* Object/generic.scm 53 */
																	BgL_objectz00_bglt BgL_arg1825z00_1100;

																	{	/* Object/generic.scm 53 */
																		obj_t BgL_tmpz00_1508;

																		BgL_tmpz00_1508 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_methodzd2argzd2typez00_706));
																		BgL_arg1825z00_1100 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_1508);
																	}
																	{	/* Object/generic.scm 53 */
																		bool_t BgL_arg1822z00_1103;
																		bool_t BgL_arg1823z00_1104;

																		{	/* Object/generic.scm 53 */
																			long BgL_idxz00_1107;

																			BgL_idxz00_1107 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_1100);
																			BgL_arg1822z00_1103 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1107 + ((long) 1))) ==
																				BgL_classz00_1098);
																		}
																		{	/* Object/generic.scm 53 */
																			bool_t BgL_res1424z00_1129;

																			{	/* Object/generic.scm 53 */
																				obj_t BgL_oclassz00_1115;

																				{	/* Object/generic.scm 53 */
																					long BgL_arg1833z00_1121;

																					{	/* Object/generic.scm 53 */
																						long BgL_arg1834z00_1122;

																						BgL_arg1834z00_1122 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_1100);
																						BgL_arg1833z00_1121 =
																							(BgL_arg1834z00_1122 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1115 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_1121);
																				}
																				{	/* Object/generic.scm 53 */
																					bool_t BgL__ortest_1110z00_1116;

																					BgL__ortest_1110z00_1116 =
																						(BgL_classz00_1098 ==
																						BgL_oclassz00_1115);
																					if (BgL__ortest_1110z00_1116)
																						{	/* Object/generic.scm 53 */
																							BgL_res1424z00_1129 =
																								BgL__ortest_1110z00_1116;
																						}
																					else
																						{	/* Object/generic.scm 53 */
																							long BgL_odepthz00_1117;

																							BgL_odepthz00_1117 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1115);
																							if ((((long) 1) <
																									BgL_odepthz00_1117))
																								{	/* Object/generic.scm 53 */
																									obj_t BgL_arg1821z00_1119;

																									BgL_arg1821z00_1119 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1115,
																										((long) 1));
																									BgL_res1424z00_1129 =
																										(BgL_arg1821z00_1119 ==
																										BgL_classz00_1098);
																								}
																							else
																								{	/* Object/generic.scm 53 */
																									BgL_res1424z00_1129 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_1104 = BgL_res1424z00_1129;
																		}
																		BgL_test1489z00_1507 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_1103,
																			BgL_arg1823z00_1104);
																	}
																}
															}
															if (BgL_test1489z00_1507)
																{	/* Object/generic.scm 53 */
																	if (
																		(((obj_t) BgL_methodzd2argzd2typez00_706) ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Object/generic.scm 54 */
																			BgL_test1488z00_1506 = ((bool_t) 0);
																		}
																	else
																		{	/* Object/generic.scm 55 */
																			bool_t BgL_test1493z00_1530;

																			{	/* Object/generic.scm 55 */
																				BgL_typez00_bglt BgL_arg1174z00_729;

																				BgL_arg1174z00_729 =
																					BGl_getzd2defaultzd2typez00zztype_cachez00
																					();
																				BgL_test1493z00_1530 =
																					(((obj_t)
																						BgL_methodzd2argzd2typez00_706) ==
																					((obj_t) BgL_arg1174z00_729));
																			}
																			if (BgL_test1493z00_1530)
																				{	/* Object/generic.scm 55 */
																					BgL_test1488z00_1506 = ((bool_t) 0);
																				}
																			else
																				{	/* Object/generic.scm 55 */
																					BgL_test1488z00_1506 = ((bool_t) 1);
																				}
																		}
																}
															else
																{	/* Object/generic.scm 53 */
																	BgL_test1488z00_1506 = ((bool_t) 0);
																}
														}
														if (BgL_test1488z00_1506)
															{	/* Object/generic.scm 36 */
																obj_t BgL_list1195z00_1130;

																BgL_list1195z00_1130 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																return
																	BGl_userzd2errorzd2zztools_errorz00
																	(BgL_idz00_3,
																	BGl_string1432z00zzobject_genericz00,
																	BgL_srcz00_6, BgL_list1195z00_1130);
															}
														else
															{	/* Object/generic.scm 57 */
																bool_t BgL_test1494z00_1537;

																{	/* Object/generic.scm 57 */
																	bool_t BgL_test1495z00_1538;

																	{	/* Object/generic.scm 57 */
																		obj_t BgL_classz00_1131;

																		BgL_classz00_1131 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_ptypez00_707))
																			{	/* Object/generic.scm 57 */
																				BgL_objectz00_bglt BgL_arg1825z00_1133;

																				BgL_arg1825z00_1133 =
																					(BgL_objectz00_bglt)
																					(BgL_ptypez00_707);
																				{	/* Object/generic.scm 57 */
																					bool_t BgL_arg1822z00_1136;
																					bool_t BgL_arg1823z00_1137;

																					{	/* Object/generic.scm 57 */
																						long BgL_idxz00_1140;

																						BgL_idxz00_1140 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_1133);
																						BgL_arg1822z00_1136 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1140 +
																									((long) 1))) ==
																							BgL_classz00_1131);
																					}
																					{	/* Object/generic.scm 57 */
																						bool_t BgL_res1425z00_1162;

																						{	/* Object/generic.scm 57 */
																							obj_t BgL_oclassz00_1148;

																							{	/* Object/generic.scm 57 */
																								long BgL_arg1833z00_1154;

																								{	/* Object/generic.scm 57 */
																									long BgL_arg1834z00_1155;

																									BgL_arg1834z00_1155 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_1133);
																									BgL_arg1833z00_1154 =
																										(BgL_arg1834z00_1155 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1148 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_1154);
																							}
																							{	/* Object/generic.scm 57 */
																								bool_t BgL__ortest_1110z00_1149;

																								BgL__ortest_1110z00_1149 =
																									(BgL_classz00_1131 ==
																									BgL_oclassz00_1148);
																								if (BgL__ortest_1110z00_1149)
																									{	/* Object/generic.scm 57 */
																										BgL_res1425z00_1162 =
																											BgL__ortest_1110z00_1149;
																									}
																								else
																									{	/* Object/generic.scm 57 */
																										long BgL_odepthz00_1150;

																										BgL_odepthz00_1150 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_1148);
																										if ((((long) 1) <
																												BgL_odepthz00_1150))
																											{	/* Object/generic.scm 57 */
																												obj_t
																													BgL_arg1821z00_1152;
																												BgL_arg1821z00_1152 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_1148,
																													((long) 1));
																												BgL_res1425z00_1162 =
																													(BgL_arg1821z00_1152
																													== BgL_classz00_1131);
																											}
																										else
																											{	/* Object/generic.scm 57 */
																												BgL_res1425z00_1162 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_1137 =
																							BgL_res1425z00_1162;
																					}
																					BgL_test1495z00_1538 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_1136,
																						BgL_arg1823z00_1137);
																				}
																			}
																		else
																			{	/* Object/generic.scm 57 */
																				BgL_test1495z00_1538 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1495z00_1538)
																		{	/* Object/generic.scm 57 */
																			if (
																				(BgL_ptypez00_707 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* Object/generic.scm 58 */
																					BgL_test1494z00_1537 = ((bool_t) 0);
																				}
																			else
																				{	/* Object/generic.scm 59 */
																					bool_t BgL_test1500z00_1559;

																					{	/* Object/generic.scm 59 */
																						BgL_typez00_bglt BgL_arg1173z00_725;

																						BgL_arg1173z00_725 =
																							BGl_getzd2defaultzd2typez00zztype_cachez00
																							();
																						BgL_test1500z00_1559 =
																							(BgL_ptypez00_707 ==
																							((obj_t) BgL_arg1173z00_725));
																					}
																					if (BgL_test1500z00_1559)
																						{	/* Object/generic.scm 59 */
																							BgL_test1494z00_1537 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Object/generic.scm 59 */
																							BgL_test1494z00_1537 =
																								((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Object/generic.scm 57 */
																			BgL_test1494z00_1537 = ((bool_t) 0);
																		}
																}
																if (BgL_test1494z00_1537)
																	{	/* Object/generic.scm 36 */
																		obj_t BgL_list1195z00_1163;

																		BgL_list1195z00_1163 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		return
																			BGl_userzd2errorzd2zztools_errorz00
																			(BgL_idz00_3,
																			BGl_string1432z00zzobject_genericz00,
																			BgL_srcz00_6, BgL_list1195z00_1163);
																	}
																else
																	{	/* Object/generic.scm 57 */
																		return
																			BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00
																			(BgL_idz00_3, BgL_localsz00_4,
																			BgL_argsz00_5, BgL_srcz00_6);
																	}
															}
													}
											}
										}
									}
								}
							}
					}
			}
		}

	}



/* &make-generic-body */
	obj_t BGl_z62makezd2genericzd2bodyz62zzobject_genericz00(obj_t
		BgL_envz00_1317, obj_t BgL_idz00_1318, obj_t BgL_localsz00_1319,
		obj_t BgL_argsz00_1320, obj_t BgL_srcz00_1321)
	{
		{	/* Object/generic.scm 34 */
			return
				BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1318,
				BgL_localsz00_1319, BgL_argsz00_1320, BgL_srcz00_1321);
		}

	}



/* make-object-generic-body */
	obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t
		BgL_idz00_7, obj_t BgL_localsz00_8, obj_t BgL_argsz00_9,
		obj_t BgL_srcz00_10)
	{
		{	/* Object/generic.scm 67 */
			{	/* Object/generic.scm 68 */
				obj_t BgL_pidz00_748;

				BgL_pidz00_748 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_7,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_10));
				{	/* Object/generic.scm 68 */
					obj_t BgL_idz00_749;

					BgL_idz00_749 = CAR(BgL_pidz00_748);
					{	/* Object/generic.scm 69 */
						long BgL_arityz00_750;

						BgL_arityz00_750 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_9);
						{	/* Object/generic.scm 70 */
							obj_t BgL_argszd2idzd2_751;

							if (NULLP(BgL_localsz00_8))
								{	/* Object/generic.scm 71 */
									BgL_argszd2idzd2_751 = BNIL;
								}
							else
								{	/* Object/generic.scm 71 */
									obj_t BgL_head1112z00_779;

									{	/* Object/generic.scm 71 */
										obj_t BgL_arg1253z00_791;

										BgL_arg1253z00_791 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_localsz00_8))))))->BgL_idz00);
										BgL_head1112z00_779 =
											MAKE_YOUNG_PAIR(BgL_arg1253z00_791, BNIL);
									}
									{	/* Object/generic.scm 71 */
										obj_t BgL_g1115z00_780;

										BgL_g1115z00_780 = CDR(((obj_t) BgL_localsz00_8));
										{
											obj_t BgL_l1110z00_782;
											obj_t BgL_tail1113z00_783;

											BgL_l1110z00_782 = BgL_g1115z00_780;
											BgL_tail1113z00_783 = BgL_head1112z00_779;
										BgL_zc3z04anonymousza31242ze3z87_784:
											if (NULLP(BgL_l1110z00_782))
												{	/* Object/generic.scm 71 */
													BgL_argszd2idzd2_751 = BgL_head1112z00_779;
												}
											else
												{	/* Object/generic.scm 71 */
													obj_t BgL_newtail1114z00_786;

													{	/* Object/generic.scm 71 */
														obj_t BgL_arg1246z00_788;

														BgL_arg1246z00_788 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_l1110z00_782))))))->
															BgL_idz00);
														BgL_newtail1114z00_786 =
															MAKE_YOUNG_PAIR(BgL_arg1246z00_788, BNIL);
													}
													SET_CDR(BgL_tail1113z00_783, BgL_newtail1114z00_786);
													{	/* Object/generic.scm 71 */
														obj_t BgL_arg1245z00_787;

														BgL_arg1245z00_787 =
															CDR(((obj_t) BgL_l1110z00_782));
														{
															obj_t BgL_tail1113z00_1593;
															obj_t BgL_l1110z00_1592;

															BgL_l1110z00_1592 = BgL_arg1245z00_787;
															BgL_tail1113z00_1593 = BgL_newtail1114z00_786;
															BgL_tail1113z00_783 = BgL_tail1113z00_1593;
															BgL_l1110z00_782 = BgL_l1110z00_1592;
															goto BgL_zc3z04anonymousza31242ze3z87_784;
														}
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 71 */
								obj_t BgL_methodzd2argzd2_752;

								BgL_methodzd2argzd2_752 = CAR(((obj_t) BgL_localsz00_8));
								{	/* Object/generic.scm 72 */
									obj_t BgL_methodzd2argzd2idz00_753;

									BgL_methodzd2argzd2idz00_753 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_methodzd2argzd2_752))))->
										BgL_idz00);
									{	/* Object/generic.scm 74 */
										obj_t BgL_methodz00_755;

										BgL_methodz00_755 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													1)));
										{	/* Object/generic.scm 75 */
											obj_t BgL_tmethodz00_756;

											BgL_tmethodz00_756 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_methodz00_755, CNST_TABLE_REF(((long) 2)));
											{	/* Object/generic.scm 76 */

												{	/* Object/generic.scm 78 */
													obj_t BgL_arg1196z00_757;

													{	/* Object/generic.scm 78 */
														obj_t BgL_arg1199z00_758;
														obj_t BgL_arg1203z00_759;

														{	/* Object/generic.scm 78 */
															obj_t BgL_arg1204z00_760;

															{	/* Object/generic.scm 78 */
																obj_t BgL_arg1208z00_761;

																{	/* Object/generic.scm 78 */
																	obj_t BgL_arg1209z00_762;

																	{	/* Object/generic.scm 78 */
																		obj_t BgL_arg1210z00_763;

																		{	/* Object/generic.scm 78 */
																			obj_t BgL_arg1212z00_765;

																			{	/* Object/generic.scm 78 */
																				obj_t BgL_arg1216z00_766;

																				{	/* Object/generic.scm 78 */
																					obj_t BgL_arg1217z00_767;

																					{	/* Object/generic.scm 78 */
																						obj_t BgL_arg1220z00_768;

																						{	/* Object/generic.scm 78 */
																							obj_t BgL_arg1222z00_769;

																							BgL_arg1222z00_769 =
																								MAKE_YOUNG_PAIR
																								(BGl_za2moduleza2z00zzmodule_modulez00,
																								BNIL);
																							BgL_arg1220z00_768 =
																								MAKE_YOUNG_PAIR(BgL_idz00_749,
																								BgL_arg1222z00_769);
																						}
																						BgL_arg1217z00_767 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 3)),
																							BgL_arg1220z00_768);
																					}
																					BgL_arg1216z00_766 =
																						MAKE_YOUNG_PAIR(BgL_arg1217z00_767,
																						BNIL);
																				}
																				BgL_arg1212z00_765 =
																					MAKE_YOUNG_PAIR
																					(BgL_methodzd2argzd2idz00_753,
																					BgL_arg1216z00_766);
																			}
																			BgL_arg1210z00_763 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						4)), BgL_arg1212z00_765);
																		}
																		{	/* Object/generic.scm 77 */
																			obj_t BgL_list1211z00_764;

																			BgL_list1211z00_764 =
																				MAKE_YOUNG_PAIR(BgL_arg1210z00_763,
																				BNIL);
																			BgL_arg1209z00_762 =
																				BGl_makezd2privatezd2sexpz00zzast_privatez00
																				(CNST_TABLE_REF(((long) 5)),
																				CNST_TABLE_REF(((long) 6)),
																				BgL_list1211z00_764);
																	}}
																	BgL_arg1208z00_761 =
																		MAKE_YOUNG_PAIR(BgL_arg1209z00_762, BNIL);
																}
																BgL_arg1204z00_760 =
																	MAKE_YOUNG_PAIR(BgL_tmethodz00_756,
																	BgL_arg1208z00_761);
															}
															BgL_arg1199z00_758 =
																MAKE_YOUNG_PAIR(BgL_arg1204z00_760, BNIL);
														}
														{	/* Object/generic.scm 79 */
															obj_t BgL_arg1223z00_770;

															if ((BgL_arityz00_750 >= ((long) 0)))
																{	/* Object/generic.scm 79 */
																	BgL_arg1223z00_770 =
																		MAKE_YOUNG_PAIR(BgL_methodz00_755,
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_argszd2idzd2_751, BNIL));
																}
															else
																{	/* Object/generic.scm 81 */
																	obj_t BgL_arg1233z00_773;

																	{	/* Object/generic.scm 81 */
																		obj_t BgL_arg1236z00_774;

																		{	/* Object/generic.scm 81 */
																			obj_t BgL_arg1237z00_775;

																			{	/* Object/generic.scm 81 */
																				obj_t BgL_arg1240z00_776;

																				BgL_arg1240z00_776 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_argszd2idzd2_751, BNIL);
																				BgL_arg1237z00_775 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							7)), BgL_arg1240z00_776);
																			}
																			BgL_arg1236z00_774 =
																				MAKE_YOUNG_PAIR(BgL_arg1237z00_775,
																				BNIL);
																		}
																		BgL_arg1233z00_773 =
																			MAKE_YOUNG_PAIR(BgL_methodz00_755,
																			BgL_arg1236z00_774);
																	}
																	BgL_arg1223z00_770 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
																		BgL_arg1233z00_773);
																}
															BgL_arg1203z00_759 =
																MAKE_YOUNG_PAIR(BgL_arg1223z00_770, BNIL);
														}
														BgL_arg1196z00_757 =
															MAKE_YOUNG_PAIR(BgL_arg1199z00_758,
															BgL_arg1203z00_759);
													}
													return
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
														BgL_arg1196z00_757);
		}}}}}}}}}}}

	}



/* make-non-object-generic-body */
	obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_11, obj_t BgL_localsz00_12, obj_t BgL_argsz00_13,
		obj_t BgL_srcz00_14)
	{
		{	/* Object/generic.scm 86 */
			{	/* Object/generic.scm 87 */
				obj_t BgL_pidz00_794;

				BgL_pidz00_794 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_11,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_14));
				{	/* Object/generic.scm 87 */
					obj_t BgL_idz00_795;

					BgL_idz00_795 = CAR(BgL_pidz00_794);
					{	/* Object/generic.scm 88 */
						long BgL_arityz00_796;

						BgL_arityz00_796 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_13);
						{	/* Object/generic.scm 89 */
							obj_t BgL_argszd2idzd2_797;

							if (NULLP(BgL_localsz00_12))
								{	/* Object/generic.scm 90 */
									BgL_argszd2idzd2_797 = BNIL;
								}
							else
								{	/* Object/generic.scm 90 */
									obj_t BgL_head1118z00_851;

									{	/* Object/generic.scm 90 */
										obj_t BgL_arg1354z00_863;

										BgL_arg1354z00_863 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_localsz00_12))))))->BgL_idz00);
										BgL_head1118z00_851 =
											MAKE_YOUNG_PAIR(BgL_arg1354z00_863, BNIL);
									}
									{	/* Object/generic.scm 90 */
										obj_t BgL_g1124z00_852;

										BgL_g1124z00_852 = CDR(((obj_t) BgL_localsz00_12));
										{
											obj_t BgL_l1116z00_854;
											obj_t BgL_tail1119z00_855;

											BgL_l1116z00_854 = BgL_g1124z00_852;
											BgL_tail1119z00_855 = BgL_head1118z00_851;
										BgL_zc3z04anonymousza31343ze3z87_856:
											if (NULLP(BgL_l1116z00_854))
												{	/* Object/generic.scm 90 */
													BgL_argszd2idzd2_797 = BgL_head1118z00_851;
												}
											else
												{	/* Object/generic.scm 90 */
													obj_t BgL_newtail1120z00_858;

													{	/* Object/generic.scm 90 */
														obj_t BgL_arg1348z00_860;

														BgL_arg1348z00_860 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_l1116z00_854))))))->
															BgL_idz00);
														BgL_newtail1120z00_858 =
															MAKE_YOUNG_PAIR(BgL_arg1348z00_860, BNIL);
													}
													SET_CDR(BgL_tail1119z00_855, BgL_newtail1120z00_858);
													{	/* Object/generic.scm 90 */
														obj_t BgL_arg1347z00_859;

														BgL_arg1347z00_859 =
															CDR(((obj_t) BgL_l1116z00_854));
														{
															obj_t BgL_tail1119z00_1659;
															obj_t BgL_l1116z00_1658;

															BgL_l1116z00_1658 = BgL_arg1347z00_859;
															BgL_tail1119z00_1659 = BgL_newtail1120z00_858;
															BgL_tail1119z00_855 = BgL_tail1119z00_1659;
															BgL_l1116z00_854 = BgL_l1116z00_1658;
															goto BgL_zc3z04anonymousza31343ze3z87_856;
														}
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 90 */
								obj_t BgL_defaultzd2bodyzd2_798;

								if ((BgL_arityz00_796 >= ((long) 0)))
									{	/* Object/generic.scm 93 */
										obj_t BgL_arg1316z00_831;
										obj_t BgL_arg1317z00_832;

										{	/* Object/generic.scm 93 */
											obj_t BgL_arg1320z00_833;

											{	/* Object/generic.scm 93 */
												obj_t BgL_arg1321z00_834;

												{	/* Object/generic.scm 93 */
													obj_t BgL_arg1322z00_835;

													{	/* Object/generic.scm 93 */
														obj_t BgL_arg1323z00_836;

														BgL_arg1323z00_836 =
															MAKE_YOUNG_PAIR
															(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
														BgL_arg1322z00_835 =
															MAKE_YOUNG_PAIR(BgL_idz00_795,
															BgL_arg1323z00_836);
													}
													BgL_arg1321z00_834 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg1322z00_835);
												}
												BgL_arg1320z00_833 =
													MAKE_YOUNG_PAIR(BgL_arg1321z00_834, BNIL);
											}
											BgL_arg1316z00_831 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
												BgL_arg1320z00_833);
										}
										BgL_arg1317z00_832 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_argszd2idzd2_797, BNIL);
										BgL_defaultzd2bodyzd2_798 =
											MAKE_YOUNG_PAIR(BgL_arg1316z00_831, BgL_arg1317z00_832);
									}
								else
									{	/* Object/generic.scm 96 */
										obj_t BgL_arg1324z00_837;

										{	/* Object/generic.scm 96 */
											obj_t BgL_arg1325z00_838;
											obj_t BgL_arg1326z00_839;

											{	/* Object/generic.scm 96 */
												obj_t BgL_arg1328z00_840;

												{	/* Object/generic.scm 96 */
													obj_t BgL_arg1331z00_841;

													{	/* Object/generic.scm 96 */
														obj_t BgL_arg1332z00_842;

														{	/* Object/generic.scm 96 */
															obj_t BgL_arg1333z00_843;

															BgL_arg1333z00_843 =
																MAKE_YOUNG_PAIR
																(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
															BgL_arg1332z00_842 =
																MAKE_YOUNG_PAIR(BgL_idz00_795,
																BgL_arg1333z00_843);
														}
														BgL_arg1331z00_841 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
															BgL_arg1332z00_842);
													}
													BgL_arg1328z00_840 =
														MAKE_YOUNG_PAIR(BgL_arg1331z00_841, BNIL);
												}
												BgL_arg1325z00_838 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
													BgL_arg1328z00_840);
											}
											{	/* Object/generic.scm 97 */
												obj_t BgL_arg1334z00_844;

												{	/* Object/generic.scm 97 */
													obj_t BgL_arg1338z00_845;
													obj_t BgL_arg1339z00_846;

													{	/* Object/generic.scm 97 */
														obj_t BgL_arg1340z00_847;

														{	/* Object/generic.scm 97 */
															obj_t BgL_arg1341z00_848;

															BgL_arg1341z00_848 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
																BNIL);
															BgL_arg1340z00_847 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
																BgL_arg1341z00_848);
														}
														BgL_arg1338z00_845 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
															BgL_arg1340z00_847);
													}
													BgL_arg1339z00_846 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_argszd2idzd2_797, BNIL);
													BgL_arg1334z00_844 =
														MAKE_YOUNG_PAIR(BgL_arg1338z00_845,
														BgL_arg1339z00_846);
												}
												BgL_arg1326z00_839 =
													MAKE_YOUNG_PAIR(BgL_arg1334z00_844, BNIL);
											}
											BgL_arg1324z00_837 =
												MAKE_YOUNG_PAIR(BgL_arg1325z00_838, BgL_arg1326z00_839);
										}
										BgL_defaultzd2bodyzd2_798 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
											BgL_arg1324z00_837);
									}
								{	/* Object/generic.scm 91 */
									obj_t BgL_methodzd2argzd2_799;

									BgL_methodzd2argzd2_799 = CAR(((obj_t) BgL_localsz00_12));
									{	/* Object/generic.scm 100 */
										obj_t BgL_methodzd2argzd2idz00_800;

										BgL_methodzd2argzd2idz00_800 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_methodzd2argzd2_799))))->
											BgL_idz00);
										{	/* Object/generic.scm 102 */
											obj_t BgL_methodz00_802;

											BgL_methodz00_802 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 1)));
											{	/* Object/generic.scm 103 */
												obj_t BgL_tmethodz00_803;

												BgL_tmethodz00_803 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_methodz00_802, CNST_TABLE_REF(((long) 2)));
												{	/* Object/generic.scm 104 */
													obj_t BgL_appzd2lyzd2methodz00_804;

													{	/* Object/generic.scm 109 */
														obj_t BgL_arg1261z00_810;

														{	/* Object/generic.scm 109 */
															obj_t BgL_arg1265z00_811;
															obj_t BgL_arg1275z00_812;

															{	/* Object/generic.scm 109 */
																obj_t BgL_arg1280z00_813;

																{	/* Object/generic.scm 109 */
																	obj_t BgL_arg1281z00_814;

																	{	/* Object/generic.scm 109 */
																		obj_t BgL_arg1284z00_815;

																		{	/* Object/generic.scm 109 */
																			obj_t BgL_arg1295z00_816;

																			{	/* Object/generic.scm 109 */
																				obj_t BgL_arg1297z00_818;

																				{	/* Object/generic.scm 109 */
																					obj_t BgL_arg1298z00_819;

																					{	/* Object/generic.scm 109 */
																						obj_t BgL_arg1299z00_820;

																						{	/* Object/generic.scm 109 */
																							obj_t BgL_arg1301z00_821;

																							{	/* Object/generic.scm 109 */
																								obj_t BgL_arg1304z00_822;

																								BgL_arg1304z00_822 =
																									MAKE_YOUNG_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BNIL);
																								BgL_arg1301z00_821 =
																									MAKE_YOUNG_PAIR(BgL_idz00_795,
																									BgL_arg1304z00_822);
																							}
																							BgL_arg1299z00_820 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 3)),
																								BgL_arg1301z00_821);
																						}
																						BgL_arg1298z00_819 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1299z00_820, BNIL);
																					}
																					BgL_arg1297z00_818 =
																						MAKE_YOUNG_PAIR
																						(BgL_methodzd2argzd2idz00_800,
																						BgL_arg1298z00_819);
																				}
																				BgL_arg1295z00_816 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							4)), BgL_arg1297z00_818);
																			}
																			{	/* Object/generic.scm 106 */
																				obj_t BgL_list1296z00_817;

																				BgL_list1296z00_817 =
																					MAKE_YOUNG_PAIR(BgL_arg1295z00_816,
																					BNIL);
																				BgL_arg1284z00_815 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(CNST_TABLE_REF(((long) 5)),
																					CNST_TABLE_REF(((long) 6)),
																					BgL_list1296z00_817);
																		}}
																		BgL_arg1281z00_814 =
																			MAKE_YOUNG_PAIR(BgL_arg1284z00_815, BNIL);
																	}
																	BgL_arg1280z00_813 =
																		MAKE_YOUNG_PAIR(BgL_tmethodz00_803,
																		BgL_arg1281z00_814);
																}
																BgL_arg1265z00_811 =
																	MAKE_YOUNG_PAIR(BgL_arg1280z00_813, BNIL);
															}
															{	/* Object/generic.scm 110 */
																obj_t BgL_arg1306z00_823;

																if ((BgL_arityz00_796 >= ((long) 0)))
																	{	/* Object/generic.scm 110 */
																		BgL_arg1306z00_823 =
																			MAKE_YOUNG_PAIR(BgL_methodz00_802,
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_argszd2idzd2_797, BNIL));
																	}
																else
																	{	/* Object/generic.scm 112 */
																		obj_t BgL_arg1309z00_826;

																		{	/* Object/generic.scm 112 */
																			obj_t BgL_arg1310z00_827;

																			{	/* Object/generic.scm 112 */
																				obj_t BgL_arg1311z00_828;

																				{	/* Object/generic.scm 112 */
																					obj_t BgL_arg1313z00_829;

																					BgL_arg1313z00_829 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_argszd2idzd2_797, BNIL);
																					BgL_arg1311z00_828 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 7)), BgL_arg1313z00_829);
																				}
																				BgL_arg1310z00_827 =
																					MAKE_YOUNG_PAIR(BgL_arg1311z00_828,
																					BNIL);
																			}
																			BgL_arg1309z00_826 =
																				MAKE_YOUNG_PAIR(BgL_methodz00_802,
																				BgL_arg1310z00_827);
																		}
																		BgL_arg1306z00_823 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					8)), BgL_arg1309z00_826);
																	}
																BgL_arg1275z00_812 =
																	MAKE_YOUNG_PAIR(BgL_arg1306z00_823, BNIL);
															}
															BgL_arg1261z00_810 =
																MAKE_YOUNG_PAIR(BgL_arg1265z00_811,
																BgL_arg1275z00_812);
														}
														BgL_appzd2lyzd2methodz00_804 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
															BgL_arg1261z00_810);
													}
													{	/* Object/generic.scm 105 */

														{	/* Object/generic.scm 114 */
															obj_t BgL_arg1256z00_805;

															{	/* Object/generic.scm 114 */
																obj_t BgL_arg1257z00_806;
																obj_t BgL_arg1258z00_807;

																{	/* Object/generic.scm 114 */
																	obj_t BgL_arg1259z00_808;

																	BgL_arg1259z00_808 =
																		MAKE_YOUNG_PAIR
																		(BgL_methodzd2argzd2idz00_800, BNIL);
																	BgL_arg1257z00_806 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																		BgL_arg1259z00_808);
																}
																{	/* Object/generic.scm 114 */
																	obj_t BgL_arg1260z00_809;

																	BgL_arg1260z00_809 =
																		MAKE_YOUNG_PAIR(BgL_defaultzd2bodyzd2_798,
																		BNIL);
																	BgL_arg1258z00_807 =
																		MAKE_YOUNG_PAIR
																		(BgL_appzd2lyzd2methodz00_804,
																		BgL_arg1260z00_809);
																}
																BgL_arg1256z00_805 =
																	MAKE_YOUNG_PAIR(BgL_arg1257z00_806,
																	BgL_arg1258z00_807);
															}
															return
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
																BgL_arg1256z00_805);
		}}}}}}}}}}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00()
	{
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1433z00zzobject_genericz00));
		}

	}

#ifdef __cplusplus
}
#endif
