/*===========================================================================*/
/*   (Object/method.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/method.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_methodz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_za2methodsza2z00zzobject_methodz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_methodz00();
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_methodz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_methodz00();
	BGL_EXPORTED_DECL obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_methodz00();
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_methodz00();
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00();
	static obj_t BGl_gczd2rootszd2initz00zzobject_methodz00();
	static obj_t BGl_z62makezd2methodzd2dssslzd2bodyzb0zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t
		BGl_z62makezd2methodzd2nozd2dssslzd2bodyz62zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[13];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2dssslzd2bodyzd2envz00zzobject_methodz00,
		BgL_bgl_za762makeza7d2method1838z00,
		BGl_z62makezd2methodzd2dssslzd2bodyzb0zzobject_methodz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string1824z00zzobject_methodz00,
		BgL_bgl_string1824za700za7za7o1839za7, "\"); ", 4);
	      DEFINE_STRING(BGl_string1825z00zzobject_methodz00,
		BgL_bgl_string1825za700za7za7o1840za7, " ::", 3);
	      DEFINE_STRING(BGl_string1826z00zzobject_methodz00,
		BgL_bgl_string1826za700za7za7o1841za7,
		"bgl_init_module_debug_string( \"generic-add-method: ", 51);
	      DEFINE_STRING(BGl_string1827z00zzobject_methodz00,
		BgL_bgl_string1827za700za7za7o1842za7, "Can't find generic for method", 29);
	      DEFINE_STRING(BGl_string1828z00zzobject_methodz00,
		BgL_bgl_string1828za700za7za7o1843za7,
		"method has a non-class dispatching type arg", 43);
	      DEFINE_STRING(BGl_string1829z00zzobject_methodz00,
		BgL_bgl_string1829za700za7za7o1844za7, "object_method", 13);
	      DEFINE_STRING(BGl_string1830z00zzobject_methodz00,
		BgL_bgl_string1830za700za7za7o1845za7,
		"(quote method-definition-error) generic-add-method! pragma::void module labels call-next-method let apply cons* find-super-class-method @ - next-method ",
		152);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_markzd2methodz12zd2envz12zzobject_methodz00,
		BgL_bgl_za762markza7d2method1846z00,
		BGl_z62markzd2methodz12za2zzobject_methodz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2nozd2dssslzd2bodyzd2envzd2zzobject_methodz00,
		BgL_bgl_za762makeza7d2method1847z00,
		BGl_z62makezd2methodzd2nozd2dssslzd2bodyz62zzobject_methodz00, 0L, BUNSPEC,
		5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2iszd2methodzf3zd2envz21zzobject_methodz00,
		BgL_bgl_za762localza7d2isza7d21848za7,
		BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_methodz00));
		     ADD_ROOT((void *) (&BGl_za2methodsza2z00zzobject_methodz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long
		BgL_checksumz00_1481, char *BgL_fromz00_1482)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_methodz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_methodz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_methodz00();
					BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
					BGl_cnstzd2initzd2zzobject_methodz00();
					BGl_importedzd2moduleszd2initz00zzobject_methodz00();
					return BGl_toplevelzd2initzd2zzobject_methodz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "object_method");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_method");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_method");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			{	/* Object/method.scm 15 */
				obj_t BgL_cportz00_1469;

				{	/* Object/method.scm 15 */
					obj_t BgL_stringz00_1477;

					BgL_stringz00_1477 = BGl_string1830z00zzobject_methodz00;
					{	/* Object/method.scm 15 */
						obj_t BgL_startz00_1478;

						BgL_startz00_1478 = BINT(((long) 0));
						{	/* Object/method.scm 15 */
							obj_t BgL_endz00_1479;

							BgL_endz00_1479 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1477)));
							{	/* Object/method.scm 15 */

								BgL_cportz00_1469 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1477, BgL_startz00_1478, BgL_endz00_1479);
				}}}}
				{
					long BgL_iz00_1470;

					BgL_iz00_1470 = ((long) 12);
				BgL_loopz00_1471:
					if ((BgL_iz00_1470 == ((long) -1)))
						{	/* Object/method.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/method.scm 15 */
							{	/* Object/method.scm 15 */
								obj_t BgL_arg1837z00_1473;

								{	/* Object/method.scm 15 */

									{	/* Object/method.scm 15 */
										obj_t BgL_locationz00_1475;

										BgL_locationz00_1475 = BBOOL(((bool_t) 0));
										{	/* Object/method.scm 15 */

											BgL_arg1837z00_1473 =
												BGl_readz00zz__readerz00(BgL_cportz00_1469,
												BgL_locationz00_1475);
										}
									}
								}
								{	/* Object/method.scm 15 */
									int BgL_tmpz00_1511;

									BgL_tmpz00_1511 = (int) (BgL_iz00_1470);
									CNST_TABLE_SET(BgL_tmpz00_1511, BgL_arg1837z00_1473);
							}}
							{	/* Object/method.scm 15 */
								int BgL_auxz00_1476;

								BgL_auxz00_1476 = (int) ((BgL_iz00_1470 - ((long) 1)));
								{
									long BgL_iz00_1516;

									BgL_iz00_1516 = (long) (BgL_auxz00_1476);
									BgL_iz00_1470 = BgL_iz00_1516;
									goto BgL_loopz00_1471;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			return (BGl_za2methodsza2z00zzobject_methodz00 = BNIL, BUNSPEC);
		}

	}



/* make-method-no-dsssl-body */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00(obj_t
		BgL_identz00_3, obj_t BgL_argsz00_4, obj_t BgL_localsz00_5,
		obj_t BgL_bodyz00_6, obj_t BgL_srcz00_7)
	{
		{	/* Object/method.scm 37 */
			{	/* Object/method.scm 38 */
				obj_t BgL_idz00_772;

				BgL_idz00_772 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_identz00_3,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_7));
				{	/* Object/method.scm 38 */
					obj_t BgL_metz00_773;

					BgL_metz00_773 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
					{	/* Object/method.scm 39 */
						long BgL_arityz00_774;

						BgL_arityz00_774 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_4);
						{	/* Object/method.scm 40 */
							obj_t BgL_argszd2idzd2_775;

							if (NULLP(BgL_localsz00_5))
								{	/* Object/method.scm 41 */
									BgL_argszd2idzd2_775 = BNIL;
								}
							else
								{	/* Object/method.scm 41 */
									obj_t BgL_head1167z00_874;

									{	/* Object/method.scm 41 */
										obj_t BgL_arg1361z00_886;

										BgL_arg1361z00_886 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_localsz00_5))))))->BgL_idz00);
										BgL_head1167z00_874 =
											MAKE_YOUNG_PAIR(BgL_arg1361z00_886, BNIL);
									}
									{	/* Object/method.scm 41 */
										obj_t BgL_g1172z00_875;

										BgL_g1172z00_875 = CDR(((obj_t) BgL_localsz00_5));
										{
											obj_t BgL_l1165z00_877;
											obj_t BgL_tail1168z00_878;

											BgL_l1165z00_877 = BgL_g1172z00_875;
											BgL_tail1168z00_878 = BgL_head1167z00_874;
										BgL_zc3z04anonymousza31349ze3z87_879:
											if (NULLP(BgL_l1165z00_877))
												{	/* Object/method.scm 41 */
													BgL_argszd2idzd2_775 = BgL_head1167z00_874;
												}
											else
												{	/* Object/method.scm 41 */
													obj_t BgL_newtail1169z00_881;

													{	/* Object/method.scm 41 */
														obj_t BgL_arg1357z00_883;

														BgL_arg1357z00_883 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_l1165z00_877))))))->
															BgL_idz00);
														BgL_newtail1169z00_881 =
															MAKE_YOUNG_PAIR(BgL_arg1357z00_883, BNIL);
													}
													SET_CDR(BgL_tail1168z00_878, BgL_newtail1169z00_881);
													{	/* Object/method.scm 41 */
														obj_t BgL_arg1354z00_882;

														BgL_arg1354z00_882 =
															CDR(((obj_t) BgL_l1165z00_877));
														{
															obj_t BgL_tail1168z00_1546;
															obj_t BgL_l1165z00_1545;

															BgL_l1165z00_1545 = BgL_arg1354z00_882;
															BgL_tail1168z00_1546 = BgL_newtail1169z00_881;
															BgL_tail1168z00_878 = BgL_tail1168z00_1546;
															BgL_l1165z00_877 = BgL_l1165z00_1545;
															goto BgL_zc3z04anonymousza31349ze3z87_879;
														}
													}
												}
										}
									}
								}
							{	/* Object/method.scm 41 */
								BgL_typez00_bglt BgL_typez00_776;

								BgL_typez00_776 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													CAR(((obj_t) BgL_localsz00_5))))))->BgL_typez00);
								{	/* Object/method.scm 42 */
									obj_t BgL_mzd2idzd2_777;

									{	/* Object/method.scm 43 */
										obj_t BgL_arg1338z00_866;

										{	/* Object/method.scm 43 */
											obj_t BgL_arg1339z00_867;

											BgL_arg1339z00_867 =
												(((BgL_typez00_bglt) COBJECT(BgL_typez00_776))->
												BgL_idz00);
											{	/* Object/method.scm 43 */
												obj_t BgL_list1340z00_868;

												{	/* Object/method.scm 43 */
													obj_t BgL_arg1341z00_869;

													{	/* Object/method.scm 43 */
														obj_t BgL_arg1343z00_870;

														BgL_arg1343z00_870 =
															MAKE_YOUNG_PAIR(BgL_arg1339z00_867, BNIL);
														BgL_arg1341z00_869 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
															BgL_arg1343z00_870);
													}
													BgL_list1340z00_868 =
														MAKE_YOUNG_PAIR(BgL_idz00_772, BgL_arg1341z00_869);
												}
												BgL_arg1338z00_866 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list1340z00_868);
										}}
										BgL_mzd2idzd2_777 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1338z00_866);
									}
									{	/* Object/method.scm 43 */

										{	/* Object/method.scm 45 */
											bool_t BgL_test1853z00_1559;

											{	/* Object/method.scm 45 */
												obj_t BgL_classz00_1158;

												BgL_classz00_1158 = BGl_tclassz00zzobject_classz00;
												{	/* Object/method.scm 45 */
													BgL_objectz00_bglt BgL_arg1825z00_1160;

													{	/* Object/method.scm 45 */
														obj_t BgL_tmpz00_1560;

														BgL_tmpz00_1560 =
															((obj_t) ((BgL_objectz00_bglt) BgL_typez00_776));
														BgL_arg1825z00_1160 =
															(BgL_objectz00_bglt) (BgL_tmpz00_1560);
													}
													{	/* Object/method.scm 45 */
														bool_t BgL_arg1822z00_1163;
														bool_t BgL_arg1823z00_1164;

														{	/* Object/method.scm 45 */
															long BgL_idxz00_1167;

															BgL_idxz00_1167 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1160);
															BgL_arg1822z00_1163 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1167 + ((long) 2))) ==
																BgL_classz00_1158);
														}
														{	/* Object/method.scm 45 */
															bool_t BgL_res1802z00_1189;

															{	/* Object/method.scm 45 */
																obj_t BgL_oclassz00_1175;

																{	/* Object/method.scm 45 */
																	long BgL_arg1833z00_1181;

																	{	/* Object/method.scm 45 */
																		long BgL_arg1834z00_1182;

																		BgL_arg1834z00_1182 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1160);
																		BgL_arg1833z00_1181 =
																			(BgL_arg1834z00_1182 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1175 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_1181);
																}
																{	/* Object/method.scm 45 */
																	bool_t BgL__ortest_1110z00_1176;

																	BgL__ortest_1110z00_1176 =
																		(BgL_classz00_1158 == BgL_oclassz00_1175);
																	if (BgL__ortest_1110z00_1176)
																		{	/* Object/method.scm 45 */
																			BgL_res1802z00_1189 =
																				BgL__ortest_1110z00_1176;
																		}
																	else
																		{	/* Object/method.scm 45 */
																			long BgL_odepthz00_1177;

																			BgL_odepthz00_1177 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_1175);
																			if ((((long) 2) < BgL_odepthz00_1177))
																				{	/* Object/method.scm 45 */
																					obj_t BgL_arg1821z00_1179;

																					BgL_arg1821z00_1179 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_1175, ((long) 2));
																					BgL_res1802z00_1189 =
																						(BgL_arg1821z00_1179 ==
																						BgL_classz00_1158);
																				}
																			else
																				{	/* Object/method.scm 45 */
																					BgL_res1802z00_1189 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_1164 = BgL_res1802z00_1189;
														}
														BgL_test1853z00_1559 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_1163,
															BgL_arg1823z00_1164);
													}
												}
											}
											if (BgL_test1853z00_1559)
												{	/* Object/method.scm 48 */
													BgL_globalz00_bglt BgL_holderz00_779;

													{
														BgL_tclassz00_bglt BgL_auxz00_1579;

														{
															obj_t BgL_auxz00_1580;

															{	/* Object/method.scm 48 */
																BgL_objectz00_bglt BgL_tmpz00_1581;

																BgL_tmpz00_1581 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_typez00_776));
																BgL_auxz00_1580 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_1581);
															}
															BgL_auxz00_1579 =
																((BgL_tclassz00_bglt) BgL_auxz00_1580);
														}
														BgL_holderz00_779 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1579))->
															BgL_holderz00);
													}
													{	/* Object/method.scm 48 */
														obj_t BgL_modulez00_780;

														BgL_modulez00_780 =
															(((BgL_globalz00_bglt)
																COBJECT(BgL_holderz00_779))->BgL_modulez00);
														{	/* Object/method.scm 49 */
															obj_t BgL_genericz00_781;

															BgL_genericz00_781 =
																BGl_findzd2globalzd2zzast_envz00(BgL_idz00_772,
																BNIL);
															{	/* Object/method.scm 50 */

																{	/* Object/method.scm 52 */
																	bool_t BgL_test1856z00_1589;

																	{	/* Object/method.scm 52 */
																		obj_t BgL_classz00_1193;

																		BgL_classz00_1193 =
																			BGl_globalz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_genericz00_781))
																			{	/* Object/method.scm 52 */
																				BgL_objectz00_bglt BgL_arg1825z00_1195;

																				BgL_arg1825z00_1195 =
																					(BgL_objectz00_bglt)
																					(BgL_genericz00_781);
																				{	/* Object/method.scm 52 */
																					bool_t BgL_arg1822z00_1198;
																					bool_t BgL_arg1823z00_1199;

																					{	/* Object/method.scm 52 */
																						long BgL_idxz00_1202;

																						BgL_idxz00_1202 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_1195);
																						BgL_arg1822z00_1198 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1202 +
																									((long) 2))) ==
																							BgL_classz00_1193);
																					}
																					{	/* Object/method.scm 52 */
																						bool_t BgL_res1803z00_1224;

																						{	/* Object/method.scm 52 */
																							obj_t BgL_oclassz00_1210;

																							{	/* Object/method.scm 52 */
																								long BgL_arg1833z00_1216;

																								{	/* Object/method.scm 52 */
																									long BgL_arg1834z00_1217;

																									BgL_arg1834z00_1217 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_1195);
																									BgL_arg1833z00_1216 =
																										(BgL_arg1834z00_1217 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1210 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_1216);
																							}
																							{	/* Object/method.scm 52 */
																								bool_t BgL__ortest_1110z00_1211;

																								BgL__ortest_1110z00_1211 =
																									(BgL_classz00_1193 ==
																									BgL_oclassz00_1210);
																								if (BgL__ortest_1110z00_1211)
																									{	/* Object/method.scm 52 */
																										BgL_res1803z00_1224 =
																											BgL__ortest_1110z00_1211;
																									}
																								else
																									{	/* Object/method.scm 52 */
																										long BgL_odepthz00_1212;

																										BgL_odepthz00_1212 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_1210);
																										if ((((long) 2) <
																												BgL_odepthz00_1212))
																											{	/* Object/method.scm 52 */
																												obj_t
																													BgL_arg1821z00_1214;
																												BgL_arg1821z00_1214 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_1210,
																													((long) 2));
																												BgL_res1803z00_1224 =
																													(BgL_arg1821z00_1214
																													== BgL_classz00_1193);
																											}
																										else
																											{	/* Object/method.scm 52 */
																												BgL_res1803z00_1224 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_1199 =
																							BgL_res1803z00_1224;
																					}
																					BgL_test1856z00_1589 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_1198,
																						BgL_arg1823z00_1199);
																				}
																			}
																		else
																			{	/* Object/method.scm 52 */
																				BgL_test1856z00_1589 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1856z00_1589)
																		{	/* Object/method.scm 55 */
																			obj_t BgL_bodyz00_783;

																			{	/* Object/method.scm 57 */
																				obj_t BgL_arg1297z00_837;

																				{	/* Object/method.scm 57 */
																					obj_t BgL_arg1298z00_838;
																					obj_t BgL_arg1299z00_839;

																					{	/* Object/method.scm 57 */
																						obj_t BgL_arg1301z00_840;

																						{	/* Object/method.scm 57 */
																							obj_t BgL_arg1304z00_841;

																							{	/* Object/method.scm 57 */
																								obj_t BgL_arg1306z00_842;

																								{	/* Object/method.scm 57 */
																									obj_t BgL_arg1307z00_843;

																									{	/* Object/method.scm 57 */
																										obj_t BgL_arg1308z00_844;

																										{	/* Object/method.scm 57 */
																											obj_t BgL_arg1309z00_845;
																											obj_t BgL_arg1310z00_846;

																											{	/* Object/method.scm 57 */
																												obj_t
																													BgL_arg1311z00_847;
																												{	/* Object/method.scm 57 */
																													obj_t
																														BgL_arg1313z00_848;
																													{	/* Object/method.scm 57 */
																														obj_t
																															BgL_arg1314z00_849;
																														{	/* Object/method.scm 57 */
																															obj_t
																																BgL_arg1316z00_850;
																															{	/* Object/method.scm 57 */
																																obj_t
																																	BgL_arg1317z00_851;
																																obj_t
																																	BgL_arg1320z00_852;
																																BgL_arg1317z00_851
																																	=
																																	CAR(((obj_t)
																																		BgL_argszd2idzd2_775));
																																{	/* Object/method.scm 59 */
																																	obj_t
																																		BgL_arg1321z00_853;
																																	{	/* Object/method.scm 59 */
																																		obj_t
																																			BgL_arg1322z00_854;
																																		{	/* Object/method.scm 59 */
																																			obj_t
																																				BgL_arg1323z00_855;
																																			{	/* Object/method.scm 59 */
																																				obj_t
																																					BgL_arg1324z00_856;
																																				obj_t
																																					BgL_arg1325z00_857;
																																				BgL_arg1324z00_856
																																					=
																																					(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_779)))->BgL_idz00);
																																				BgL_arg1325z00_857
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_modulez00_780,
																																					BNIL);
																																				BgL_arg1323z00_855
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1324z00_856,
																																					BgL_arg1325z00_857);
																																			}
																																			BgL_arg1322z00_854
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						2)),
																																				BgL_arg1323z00_855);
																																		}
																																		BgL_arg1321z00_853
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1322z00_854,
																																			BNIL);
																																	}
																																	BgL_arg1320z00_852
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_idz00_772,
																																		BgL_arg1321z00_853);
																																}
																																BgL_arg1316z00_850
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1317z00_851,
																																	BgL_arg1320z00_852);
																															}
																															BgL_arg1314z00_849
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 3)),
																																BgL_arg1316z00_850);
																														}
																														BgL_arg1313z00_848 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1314z00_849,
																															BNIL);
																													}
																													BgL_arg1311z00_847 =
																														MAKE_YOUNG_PAIR
																														(BgL_metz00_773,
																														BgL_arg1313z00_848);
																												}
																												BgL_arg1309z00_845 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1311z00_847,
																													BNIL);
																											}
																											{	/* Object/method.scm 61 */
																												obj_t
																													BgL_arg1326z00_858;
																												if ((BgL_arityz00_774 >=
																														((long) 0)))
																													{	/* Object/method.scm 61 */
																														BgL_arg1326z00_858 =
																															MAKE_YOUNG_PAIR
																															(BgL_metz00_773,
																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																															(BgL_argszd2idzd2_775,
																																BNIL));
																													}
																												else
																													{	/* Object/method.scm 64 */
																														obj_t
																															BgL_arg1331z00_861;
																														{	/* Object/method.scm 64 */
																															obj_t
																																BgL_arg1332z00_862;
																															{	/* Object/method.scm 64 */
																																obj_t
																																	BgL_arg1333z00_863;
																																{	/* Object/method.scm 64 */
																																	obj_t
																																		BgL_arg1334z00_864;
																																	BgL_arg1334z00_864
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argszd2idzd2_775,
																																		BNIL);
																																	BgL_arg1333z00_863
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				4)),
																																		BgL_arg1334z00_864);
																																}
																																BgL_arg1332z00_862
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1333z00_863,
																																	BNIL);
																															}
																															BgL_arg1331z00_861
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_metz00_773,
																																BgL_arg1332z00_862);
																														}
																														BgL_arg1326z00_858 =
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 5)),
																															BgL_arg1331z00_861);
																													}
																												BgL_arg1310z00_846 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1326z00_858,
																													BNIL);
																											}
																											BgL_arg1308z00_844 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1309z00_845,
																												BgL_arg1310z00_846);
																										}
																										BgL_arg1307z00_843 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													6)),
																											BgL_arg1308z00_844);
																									}
																									BgL_arg1306z00_842 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1307z00_843, BNIL);
																								}
																								BgL_arg1304z00_841 =
																									MAKE_YOUNG_PAIR(BNIL,
																									BgL_arg1306z00_842);
																							}
																							BgL_arg1301z00_840 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 7)),
																								BgL_arg1304z00_841);
																						}
																						BgL_arg1298z00_838 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1301z00_840, BNIL);
																					}
																					BgL_arg1299z00_839 =
																						MAKE_YOUNG_PAIR(BgL_bodyz00_6,
																						BNIL);
																					BgL_arg1297z00_837 =
																						MAKE_YOUNG_PAIR(BgL_arg1298z00_838,
																						BgL_arg1299z00_839);
																				}
																				BgL_bodyz00_783 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							8)), BgL_arg1297z00_837);
																			}
																			{	/* Object/method.scm 55 */
																				obj_t BgL_ebodyz00_784;

																				if (EPAIRP(BgL_srcz00_7))
																					{	/* Object/method.scm 67 */
																						obj_t BgL_arg1284z00_834;
																						obj_t BgL_arg1295z00_835;
																						obj_t BgL_arg1296z00_836;

																						BgL_arg1284z00_834 =
																							CAR(BgL_bodyz00_783);
																						BgL_arg1295z00_835 =
																							CDR(BgL_bodyz00_783);
																						BgL_arg1296z00_836 =
																							CER(((obj_t) BgL_srcz00_7));
																						{	/* Object/method.scm 67 */
																							obj_t BgL_res1804z00_1231;

																							BgL_res1804z00_1231 =
																								MAKE_YOUNG_EPAIR
																								(BgL_arg1284z00_834,
																								BgL_arg1295z00_835,
																								BgL_arg1296z00_836);
																							BgL_ebodyz00_784 =
																								BgL_res1804z00_1231;
																						}
																					}
																				else
																					{	/* Object/method.scm 66 */
																						BgL_ebodyz00_784 = BgL_bodyz00_783;
																					}
																				{	/* Object/method.scm 66 */
																					obj_t BgL_tmzd2idzd2_785;

																					{	/* Object/method.scm 69 */
																						bool_t BgL_test1862z00_1655;

																						{	/* Object/method.scm 69 */
																							BgL_typez00_bglt
																								BgL_arg1281z00_832;
																							BgL_arg1281z00_832 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_genericz00_781))))->
																								BgL_typez00);
																							BgL_test1862z00_1655 =
																								BGl_bigloozd2typezf3z21zztype_typez00
																								(BgL_arg1281z00_832);
																						}
																						if (BgL_test1862z00_1655)
																							{	/* Object/method.scm 70 */
																								obj_t BgL_arg1275z00_830;

																								BgL_arg1275z00_830 =
																									(((BgL_typez00_bglt) COBJECT(
																											(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_genericz00_781))))->BgL_typez00)))->BgL_idz00);
																								BgL_tmzd2idzd2_785 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_mzd2idzd2_777,
																									BgL_arg1275z00_830);
																							}
																						else
																							{	/* Object/method.scm 69 */
																								BgL_tmzd2idzd2_785 =
																									BgL_mzd2idzd2_777;
																							}
																					}
																					{	/* Object/method.scm 69 */
																						obj_t BgL_bdgz00_786;

																						{	/* Object/method.scm 72 */
																							obj_t BgL_arg1260z00_826;

																							{	/* Object/method.scm 72 */
																								obj_t BgL_arg1261z00_827;

																								BgL_arg1261z00_827 =
																									MAKE_YOUNG_PAIR
																									(BgL_ebodyz00_784, BNIL);
																								BgL_arg1260z00_826 =
																									MAKE_YOUNG_PAIR(BgL_argsz00_4,
																									BgL_arg1261z00_827);
																							}
																							BgL_bdgz00_786 =
																								MAKE_YOUNG_PAIR
																								(BgL_tmzd2idzd2_785,
																								BgL_arg1260z00_826);
																						}
																						{	/* Object/method.scm 72 */
																							obj_t BgL_ebdgz00_787;

																							if (EPAIRP(BgL_srcz00_7))
																								{	/* Object/method.scm 74 */
																									obj_t BgL_arg1257z00_823;
																									obj_t BgL_arg1258z00_824;
																									obj_t BgL_arg1259z00_825;

																									BgL_arg1257z00_823 =
																										CAR(BgL_bdgz00_786);
																									BgL_arg1258z00_824 =
																										CDR(BgL_bdgz00_786);
																									BgL_arg1259z00_825 =
																										CER(((obj_t) BgL_srcz00_7));
																									{	/* Object/method.scm 74 */
																										obj_t BgL_res1805z00_1238;

																										BgL_res1805z00_1238 =
																											MAKE_YOUNG_EPAIR
																											(BgL_arg1257z00_823,
																											BgL_arg1258z00_824,
																											BgL_arg1259z00_825);
																										BgL_ebdgz00_787 =
																											BgL_res1805z00_1238;
																									}
																								}
																							else
																								{	/* Object/method.scm 73 */
																									BgL_ebdgz00_787 =
																										BgL_bdgz00_786;
																								}
																							{	/* Object/method.scm 73 */

																								BGl_za2methodsza2z00zzobject_methodz00
																									=
																									MAKE_YOUNG_PAIR
																									(BgL_mzd2idzd2_777,
																									BGl_za2methodsza2z00zzobject_methodz00);
																								{	/* Object/method.scm 77 */
																									obj_t BgL_arg1191z00_788;

																									{	/* Object/method.scm 77 */
																										obj_t BgL_arg1193z00_790;

																										{	/* Object/method.scm 77 */
																											obj_t BgL_arg1194z00_791;
																											obj_t BgL_arg1195z00_792;

																											BgL_arg1194z00_791 =
																												MAKE_YOUNG_PAIR
																												(BgL_ebdgz00_787, BNIL);
																											{	/* Object/method.scm 78 */
																												obj_t
																													BgL_arg1196z00_793;
																												obj_t
																													BgL_arg1199z00_794;
																												{	/* Object/method.scm 78 */
																													bool_t
																														BgL_test1864z00_1677;
																													if (((long)
																															CINT
																															(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
																															>= ((long) 1)))
																														{	/* Object/method.scm 81 */
																															obj_t
																																BgL_arg1232z00_810;
																															{	/* Object/method.scm 81 */
																																obj_t
																																	BgL_arg1233z00_811;
																																BgL_arg1233z00_811
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_arg1232z00_810
																																	=
																																	(((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt) BgL_arg1233z00_811)))->BgL_debugzd2supportzd2);
																															}
																															BgL_test1864z00_1677
																																=
																																CBOOL
																																(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(CNST_TABLE_REF(
																																		((long) 9)),
																																	BgL_arg1232z00_810));
																														}
																													else
																														{	/* Object/method.scm 78 */
																															BgL_test1864z00_1677
																																= ((bool_t) 0);
																														}
																													if (BgL_test1864z00_1677)
																														{	/* Object/method.scm 83 */
																															obj_t
																																BgL_arg1208z00_799;
																															{	/* Object/method.scm 83 */
																																obj_t
																																	BgL_arg1209z00_800;
																																{	/* Object/method.scm 83 */
																																	obj_t
																																		BgL_arg1210z00_801;
																																	obj_t
																																		BgL_arg1212z00_802;
																																	{	/* Object/method.scm 83 */
																																		obj_t
																																			BgL_arg1463z00_1244;
																																		BgL_arg1463z00_1244
																																			=
																																			SYMBOL_TO_STRING
																																			(BgL_identz00_3);
																																		BgL_arg1210z00_801
																																			=
																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																			(BgL_arg1463z00_1244);
																																	}
																																	{	/* Object/method.scm 83 */
																																		obj_t
																																			BgL_arg1223z00_808;
																																		BgL_arg1223z00_808
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_779)))->BgL_idz00);
																																		{	/* Object/method.scm 83 */
																																			obj_t
																																				BgL_arg1463z00_1247;
																																			BgL_arg1463z00_1247
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_arg1223z00_808);
																																			BgL_arg1212z00_802
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1463z00_1247);
																																		}
																																	}
																																	{	/* Object/method.scm 83 */
																																		obj_t
																																			BgL_list1213z00_803;
																																		{	/* Object/method.scm 83 */
																																			obj_t
																																				BgL_arg1216z00_804;
																																			{	/* Object/method.scm 83 */
																																				obj_t
																																					BgL_arg1217z00_805;
																																				{	/* Object/method.scm 83 */
																																					obj_t
																																						BgL_arg1220z00_806;
																																					{	/* Object/method.scm 83 */
																																						obj_t
																																							BgL_arg1222z00_807;
																																						BgL_arg1222z00_807
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string1824z00zzobject_methodz00,
																																							BNIL);
																																						BgL_arg1220z00_806
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg1212z00_802,
																																							BgL_arg1222z00_807);
																																					}
																																					BgL_arg1217z00_805
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_string1825z00zzobject_methodz00,
																																						BgL_arg1220z00_806);
																																				}
																																				BgL_arg1216z00_804
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1210z00_801,
																																					BgL_arg1217z00_805);
																																			}
																																			BgL_list1213z00_803
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string1826z00zzobject_methodz00,
																																				BgL_arg1216z00_804);
																																		}
																																		BgL_arg1209z00_800
																																			=
																																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																			(BgL_list1213z00_803);
																																	}
																																}
																																BgL_arg1208z00_799
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1209z00_800,
																																	BNIL);
																															}
																															BgL_arg1196z00_793
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 10)),
																																BgL_arg1208z00_799);
																														}
																													else
																														{	/* Object/method.scm 78 */
																															BgL_arg1196z00_793
																																= BFALSE;
																														}
																												}
																												{	/* Object/method.scm 86 */
																													obj_t
																														BgL_arg1236z00_812;
																													{	/* Object/method.scm 86 */
																														obj_t
																															BgL_arg1237z00_813;
																														{	/* Object/method.scm 86 */
																															obj_t
																																BgL_arg1240z00_814;
																															{	/* Object/method.scm 86 */
																																obj_t
																																	BgL_arg1243z00_815;
																																obj_t
																																	BgL_arg1245z00_816;
																																{	/* Object/method.scm 86 */
																																	obj_t
																																		BgL_arg1246z00_817;
																																	{	/* Object/method.scm 86 */
																																		obj_t
																																			BgL_arg1247z00_818;
																																		obj_t
																																			BgL_arg1253z00_819;
																																		BgL_arg1247z00_818
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_779)))->BgL_idz00);
																																		BgL_arg1253z00_819
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_modulez00_780,
																																			BNIL);
																																		BgL_arg1246z00_817
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1247z00_818,
																																			BgL_arg1253z00_819);
																																	}
																																	BgL_arg1243z00_815
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				2)),
																																		BgL_arg1246z00_817);
																																}
																																{	/* Object/method.scm 88 */
																																	obj_t
																																		BgL_arg1254z00_820;
																																	{	/* Object/method.scm 88 */
																																		obj_t
																																			BgL_arg1255z00_821;
																																		{	/* Object/method.scm 88 */
																																			obj_t
																																				BgL_arg1463z00_1250;
																																			BgL_arg1463z00_1250
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_identz00_3);
																																			BgL_arg1255z00_821
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1463z00_1250);
																																		}
																																		BgL_arg1254z00_820
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1255z00_821,
																																			BNIL);
																																	}
																																	BgL_arg1245z00_816
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_mzd2idzd2_777,
																																		BgL_arg1254z00_820);
																																}
																																BgL_arg1240z00_814
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1243z00_815,
																																	BgL_arg1245z00_816);
																															}
																															BgL_arg1237z00_813
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_idz00_772,
																																BgL_arg1240z00_814);
																														}
																														BgL_arg1236z00_812 =
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 11)),
																															BgL_arg1237z00_813);
																													}
																													BgL_arg1199z00_794 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1236z00_812,
																														BNIL);
																												}
																												BgL_arg1195z00_792 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1196z00_793,
																													BgL_arg1199z00_794);
																											}
																											BgL_arg1193z00_790 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1194z00_791,
																												BgL_arg1195z00_792);
																										}
																										BgL_arg1191z00_788 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													8)),
																											BgL_arg1193z00_790);
																									}
																									{	/* Object/method.scm 77 */
																										obj_t BgL_list1192z00_789;

																										BgL_list1192z00_789 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1191z00_788,
																											BNIL);
																										return BgL_list1192z00_789;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Object/method.scm 193 */
																			obj_t BgL_arg1746z00_1252;

																			{	/* Object/method.scm 193 */
																				obj_t BgL_list1748z00_1253;

																				BgL_list1748z00_1253 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							12)), BNIL);
																				BgL_arg1746z00_1252 =
																					BgL_list1748z00_1253;
																			}
																			{	/* Object/method.scm 193 */
																				obj_t BgL_list1747z00_1254;

																				BgL_list1747z00_1254 =
																					MAKE_YOUNG_PAIR(BgL_arg1746z00_1252,
																					BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BgL_idz00_772,
																					BGl_string1827z00zzobject_methodz00,
																					BgL_srcz00_7, BgL_list1747z00_1254);
																			}
																		}
																}
															}
														}
													}
												}
											else
												{	/* Object/method.scm 193 */
													obj_t BgL_arg1746z00_1256;

													{	/* Object/method.scm 193 */
														obj_t BgL_list1748z00_1257;

														BgL_list1748z00_1257 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BNIL);
														BgL_arg1746z00_1256 = BgL_list1748z00_1257;
													}
													{	/* Object/method.scm 193 */
														obj_t BgL_list1747z00_1258;

														BgL_list1747z00_1258 =
															MAKE_YOUNG_PAIR(BgL_arg1746z00_1256, BNIL);
														return
															BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_772,
															BGl_string1828z00zzobject_methodz00, BgL_srcz00_7,
															BgL_list1747z00_1258);
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &make-method-no-dsssl-body */
	obj_t BGl_z62makezd2methodzd2nozd2dssslzd2bodyz62zzobject_methodz00(obj_t
		BgL_envz00_1449, obj_t BgL_identz00_1450, obj_t BgL_argsz00_1451,
		obj_t BgL_localsz00_1452, obj_t BgL_bodyz00_1453, obj_t BgL_srcz00_1454)
	{
		{	/* Object/method.scm 37 */
			return
				BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00
				(BgL_identz00_1450, BgL_argsz00_1451, BgL_localsz00_1452,
				BgL_bodyz00_1453, BgL_srcz00_1454);
		}

	}



/* make-method-dsssl-body */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(obj_t BgL_identz00_8,
		obj_t BgL_argsz00_9, obj_t BgL_localsz00_10, obj_t BgL_bodyz00_11,
		obj_t BgL_srcz00_12)
	{
		{	/* Object/method.scm 93 */
			{	/* Object/method.scm 94 */
				obj_t BgL_idz00_889;

				BgL_idz00_889 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_identz00_8,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12));
				{	/* Object/method.scm 94 */
					obj_t BgL_metz00_890;

					BgL_metz00_890 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
					{	/* Object/method.scm 95 */
						long BgL_arityz00_891;

						BgL_arityz00_891 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_9);
						{	/* Object/method.scm 96 */
							bool_t BgL_dssslz00_892;

							BgL_dssslz00_892 =
								BGl_dssslzd2methodzf3z21zzobject_methodz00(BgL_argsz00_9);
							{	/* Object/method.scm 97 */
								obj_t BgL_argszd2idzd2_893;

								if (BgL_dssslz00_892)
									{	/* Object/method.scm 98 */
										BgL_argszd2idzd2_893 =
											BGl_pairzd2ze3listz31zzobject_methodz00
											(BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
											(BgL_argsz00_9, BGl_errorzd2envzd2zz__errorz00,
												((bool_t) 0)));
									}
								else
									{	/* Object/method.scm 98 */
										if (NULLP(BgL_localsz00_10))
											{	/* Object/method.scm 100 */
												BgL_argszd2idzd2_893 = BNIL;
											}
										else
											{	/* Object/method.scm 100 */
												obj_t BgL_head1175z00_999;

												{	/* Object/method.scm 100 */
													obj_t BgL_arg1723z00_1011;

													BgL_arg1723z00_1011 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(
																			((obj_t) BgL_localsz00_10))))))->
														BgL_idz00);
													BgL_head1175z00_999 =
														MAKE_YOUNG_PAIR(BgL_arg1723z00_1011, BNIL);
												}
												{	/* Object/method.scm 100 */
													obj_t BgL_g1178z00_1000;

													BgL_g1178z00_1000 = CDR(((obj_t) BgL_localsz00_10));
													{
														obj_t BgL_l1173z00_1002;
														obj_t BgL_tail1176z00_1003;

														BgL_l1173z00_1002 = BgL_g1178z00_1000;
														BgL_tail1176z00_1003 = BgL_head1175z00_999;
													BgL_zc3z04anonymousza31713ze3z87_1004:
														if (NULLP(BgL_l1173z00_1002))
															{	/* Object/method.scm 100 */
																BgL_argszd2idzd2_893 = BgL_head1175z00_999;
															}
														else
															{	/* Object/method.scm 100 */
																obj_t BgL_newtail1177z00_1006;

																{	/* Object/method.scm 100 */
																	obj_t BgL_arg1716z00_1008;

																	BgL_arg1716z00_1008 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(
																							((obj_t) BgL_l1173z00_1002))))))->
																		BgL_idz00);
																	BgL_newtail1177z00_1006 =
																		MAKE_YOUNG_PAIR(BgL_arg1716z00_1008, BNIL);
																}
																SET_CDR(BgL_tail1176z00_1003,
																	BgL_newtail1177z00_1006);
																{	/* Object/method.scm 100 */
																	obj_t BgL_arg1715z00_1007;

																	BgL_arg1715z00_1007 =
																		CDR(((obj_t) BgL_l1173z00_1002));
																	{
																		obj_t BgL_tail1176z00_1762;
																		obj_t BgL_l1173z00_1761;

																		BgL_l1173z00_1761 = BgL_arg1715z00_1007;
																		BgL_tail1176z00_1762 =
																			BgL_newtail1177z00_1006;
																		BgL_tail1176z00_1003 = BgL_tail1176z00_1762;
																		BgL_l1173z00_1002 = BgL_l1173z00_1761;
																		goto BgL_zc3z04anonymousza31713ze3z87_1004;
																	}
																}
															}
													}
												}
											}
									}
								{	/* Object/method.scm 98 */
									BgL_typez00_bglt BgL_typez00_894;

									BgL_typez00_894 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(((obj_t) BgL_localsz00_10))))))->BgL_typez00);
									{	/* Object/method.scm 101 */
										obj_t BgL_mzd2idzd2_895;

										{	/* Object/method.scm 102 */
											obj_t BgL_arg1694z00_990;

											{	/* Object/method.scm 102 */
												obj_t BgL_arg1695z00_991;

												BgL_arg1695z00_991 =
													(((BgL_typez00_bglt) COBJECT(BgL_typez00_894))->
													BgL_idz00);
												{	/* Object/method.scm 102 */
													obj_t BgL_list1696z00_992;

													{	/* Object/method.scm 102 */
														obj_t BgL_arg1699z00_993;

														{	/* Object/method.scm 102 */
															obj_t BgL_arg1703z00_994;

															BgL_arg1703z00_994 =
																MAKE_YOUNG_PAIR(BgL_arg1695z00_991, BNIL);
															BgL_arg1699z00_993 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
																BgL_arg1703z00_994);
														}
														BgL_list1696z00_992 =
															MAKE_YOUNG_PAIR(BgL_idz00_889,
															BgL_arg1699z00_993);
													}
													BgL_arg1694z00_990 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1696z00_992);
											}}
											BgL_mzd2idzd2_895 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1694z00_990);
										}
										{	/* Object/method.scm 102 */

											{	/* Object/method.scm 104 */
												bool_t BgL_test1869z00_1775;

												{	/* Object/method.scm 104 */
													obj_t BgL_classz00_1270;

													BgL_classz00_1270 = BGl_tclassz00zzobject_classz00;
													{	/* Object/method.scm 104 */
														BgL_objectz00_bglt BgL_arg1825z00_1272;

														{	/* Object/method.scm 104 */
															obj_t BgL_tmpz00_1776;

															BgL_tmpz00_1776 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_typez00_894));
															BgL_arg1825z00_1272 =
																(BgL_objectz00_bglt) (BgL_tmpz00_1776);
														}
														{	/* Object/method.scm 104 */
															bool_t BgL_arg1822z00_1275;
															bool_t BgL_arg1823z00_1276;

															{	/* Object/method.scm 104 */
																long BgL_idxz00_1279;

																BgL_idxz00_1279 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_1272);
																BgL_arg1822z00_1275 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1279 + ((long) 2))) ==
																	BgL_classz00_1270);
															}
															{	/* Object/method.scm 104 */
																bool_t BgL_res1809z00_1301;

																{	/* Object/method.scm 104 */
																	obj_t BgL_oclassz00_1287;

																	{	/* Object/method.scm 104 */
																		long BgL_arg1833z00_1293;

																		{	/* Object/method.scm 104 */
																			long BgL_arg1834z00_1294;

																			BgL_arg1834z00_1294 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_1272);
																			BgL_arg1833z00_1293 =
																				(BgL_arg1834z00_1294 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1287 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_1293);
																	}
																	{	/* Object/method.scm 104 */
																		bool_t BgL__ortest_1110z00_1288;

																		BgL__ortest_1110z00_1288 =
																			(BgL_classz00_1270 == BgL_oclassz00_1287);
																		if (BgL__ortest_1110z00_1288)
																			{	/* Object/method.scm 104 */
																				BgL_res1809z00_1301 =
																					BgL__ortest_1110z00_1288;
																			}
																		else
																			{	/* Object/method.scm 104 */
																				long BgL_odepthz00_1289;

																				BgL_odepthz00_1289 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_1287);
																				if ((((long) 2) < BgL_odepthz00_1289))
																					{	/* Object/method.scm 104 */
																						obj_t BgL_arg1821z00_1291;

																						BgL_arg1821z00_1291 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_1287, ((long) 2));
																						BgL_res1809z00_1301 =
																							(BgL_arg1821z00_1291 ==
																							BgL_classz00_1270);
																					}
																				else
																					{	/* Object/method.scm 104 */
																						BgL_res1809z00_1301 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_1276 = BgL_res1809z00_1301;
															}
															BgL_test1869z00_1775 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_1275,
																BgL_arg1823z00_1276);
														}
													}
												}
												if (BgL_test1869z00_1775)
													{	/* Object/method.scm 107 */
														BgL_globalz00_bglt BgL_holderz00_897;

														{
															BgL_tclassz00_bglt BgL_auxz00_1795;

															{
																obj_t BgL_auxz00_1796;

																{	/* Object/method.scm 107 */
																	BgL_objectz00_bglt BgL_tmpz00_1797;

																	BgL_tmpz00_1797 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_typez00_894));
																	BgL_auxz00_1796 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1797);
																}
																BgL_auxz00_1795 =
																	((BgL_tclassz00_bglt) BgL_auxz00_1796);
															}
															BgL_holderz00_897 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_1795))->BgL_holderz00);
														}
														{	/* Object/method.scm 107 */
															obj_t BgL_modulez00_898;

															BgL_modulez00_898 =
																(((BgL_globalz00_bglt)
																	COBJECT(BgL_holderz00_897))->BgL_modulez00);
															{	/* Object/method.scm 108 */
																obj_t BgL_genericz00_899;

																BgL_genericz00_899 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_889, BNIL);
																{	/* Object/method.scm 109 */

																	{	/* Object/method.scm 111 */
																		bool_t BgL_test1872z00_1805;

																		{	/* Object/method.scm 111 */
																			obj_t BgL_classz00_1305;

																			BgL_classz00_1305 =
																				BGl_globalz00zzast_varz00;
																			if (BGL_OBJECTP(BgL_genericz00_899))
																				{	/* Object/method.scm 111 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_1307;
																					BgL_arg1825z00_1307 =
																						(BgL_objectz00_bglt)
																						(BgL_genericz00_899);
																					{	/* Object/method.scm 111 */
																						bool_t BgL_arg1822z00_1310;
																						bool_t BgL_arg1823z00_1311;

																						{	/* Object/method.scm 111 */
																							long BgL_idxz00_1314;

																							BgL_idxz00_1314 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_1307);
																							BgL_arg1822z00_1310 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1314 +
																										((long) 2))) ==
																								BgL_classz00_1305);
																						}
																						{	/* Object/method.scm 111 */
																							bool_t BgL_res1810z00_1336;

																							{	/* Object/method.scm 111 */
																								obj_t BgL_oclassz00_1322;

																								{	/* Object/method.scm 111 */
																									long BgL_arg1833z00_1328;

																									{	/* Object/method.scm 111 */
																										long BgL_arg1834z00_1329;

																										BgL_arg1834z00_1329 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_1307);
																										BgL_arg1833z00_1328 =
																											(BgL_arg1834z00_1329 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1322 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_1328);
																								}
																								{	/* Object/method.scm 111 */
																									bool_t
																										BgL__ortest_1110z00_1323;
																									BgL__ortest_1110z00_1323 =
																										(BgL_classz00_1305 ==
																										BgL_oclassz00_1322);
																									if (BgL__ortest_1110z00_1323)
																										{	/* Object/method.scm 111 */
																											BgL_res1810z00_1336 =
																												BgL__ortest_1110z00_1323;
																										}
																									else
																										{	/* Object/method.scm 111 */
																											long BgL_odepthz00_1324;

																											BgL_odepthz00_1324 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_1322);
																											if ((((long) 2) <
																													BgL_odepthz00_1324))
																												{	/* Object/method.scm 111 */
																													obj_t
																														BgL_arg1821z00_1326;
																													BgL_arg1821z00_1326 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_1322,
																														((long) 2));
																													BgL_res1810z00_1336 =
																														(BgL_arg1821z00_1326
																														==
																														BgL_classz00_1305);
																												}
																											else
																												{	/* Object/method.scm 111 */
																													BgL_res1810z00_1336 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_1311 =
																								BgL_res1810z00_1336;
																						}
																						BgL_test1872z00_1805 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_1310,
																							BgL_arg1823z00_1311);
																					}
																				}
																			else
																				{	/* Object/method.scm 111 */
																					BgL_test1872z00_1805 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1872z00_1805)
																			{	/* Object/method.scm 114 */
																				obj_t BgL_bodyz00_901;

																				{	/* Object/method.scm 116 */
																					obj_t BgL_arg1584z00_956;

																					{	/* Object/method.scm 116 */
																						obj_t BgL_arg1585z00_957;
																						obj_t BgL_arg1586z00_958;

																						{	/* Object/method.scm 116 */
																							obj_t BgL_arg1588z00_959;

																							{	/* Object/method.scm 116 */
																								obj_t BgL_arg1595z00_960;

																								{	/* Object/method.scm 116 */
																									obj_t BgL_arg1597z00_961;

																									{	/* Object/method.scm 116 */
																										obj_t BgL_arg1601z00_962;

																										{	/* Object/method.scm 116 */
																											obj_t BgL_arg1602z00_963;

																											{	/* Object/method.scm 116 */
																												obj_t
																													BgL_arg1603z00_964;
																												obj_t
																													BgL_arg1604z00_965;
																												{	/* Object/method.scm 116 */
																													obj_t
																														BgL_arg1606z00_966;
																													{	/* Object/method.scm 116 */
																														obj_t
																															BgL_arg1612z00_967;
																														{	/* Object/method.scm 116 */
																															obj_t
																																BgL_arg1613z00_968;
																															{	/* Object/method.scm 116 */
																																obj_t
																																	BgL_arg1619z00_969;
																																{	/* Object/method.scm 116 */
																																	obj_t
																																		BgL_arg1620z00_970;
																																	obj_t
																																		BgL_arg1621z00_971;
																																	BgL_arg1620z00_970
																																		=
																																		CAR(((obj_t)
																																			BgL_argszd2idzd2_893));
																																	{	/* Object/method.scm 118 */
																																		obj_t
																																			BgL_arg1632z00_972;
																																		{	/* Object/method.scm 118 */
																																			obj_t
																																				BgL_arg1633z00_973;
																																			{	/* Object/method.scm 118 */
																																				obj_t
																																					BgL_arg1636z00_974;
																																				{	/* Object/method.scm 118 */
																																					obj_t
																																						BgL_arg1647z00_975;
																																					obj_t
																																						BgL_arg1652z00_976;
																																					BgL_arg1647z00_975
																																						=
																																						(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_897)))->BgL_idz00);
																																					BgL_arg1652z00_976
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_modulez00_898,
																																						BNIL);
																																					BgL_arg1636z00_974
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1647z00_975,
																																						BgL_arg1652z00_976);
																																				}
																																				BgL_arg1633z00_973
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 2)), BgL_arg1636z00_974);
																																			}
																																			BgL_arg1632z00_972
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1633z00_973,
																																				BNIL);
																																		}
																																		BgL_arg1621z00_971
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_idz00_889,
																																			BgL_arg1632z00_972);
																																	}
																																	BgL_arg1619z00_969
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1620z00_970,
																																		BgL_arg1621z00_971);
																																}
																																BgL_arg1613z00_968
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 3)),
																																	BgL_arg1619z00_969);
																															}
																															BgL_arg1612z00_967
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1613z00_968,
																																BNIL);
																														}
																														BgL_arg1606z00_966 =
																															MAKE_YOUNG_PAIR
																															(BgL_metz00_890,
																															BgL_arg1612z00_967);
																													}
																													BgL_arg1603z00_964 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1606z00_966,
																														BNIL);
																												}
																												{	/* Object/method.scm 120 */
																													obj_t
																														BgL_arg1656z00_977;
																													if (BgL_dssslz00_892)
																														{	/* Object/method.scm 121 */
																															obj_t
																																BgL_arg1657z00_978;
																															{	/* Object/method.scm 121 */
																																obj_t
																																	BgL_arg1660z00_979;
																																{	/* Object/method.scm 121 */
																																	obj_t
																																		BgL_arg1665z00_980;
																																	{	/* Object/method.scm 121 */
																																		obj_t
																																			BgL_arg1667z00_981;
																																		BgL_arg1667z00_981
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_argszd2idzd2_893,
																																			BNIL);
																																		BgL_arg1665z00_980
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BgL_arg1667z00_981);
																																	}
																																	BgL_arg1660z00_979
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1665z00_980,
																																		BNIL);
																																}
																																BgL_arg1657z00_978
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_metz00_890,
																																	BgL_arg1660z00_979);
																															}
																															BgL_arg1656z00_977
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 5)),
																																BgL_arg1657z00_978);
																														}
																													else
																														{	/* Object/method.scm 120 */
																															if (
																																(BgL_arityz00_891
																																	>=
																																	((long) 0)))
																																{	/* Object/method.scm 122 */
																																	BgL_arg1656z00_977
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_metz00_890,
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argszd2idzd2_893,
																																			BNIL));
																																}
																															else
																																{	/* Object/method.scm 125 */
																																	obj_t
																																		BgL_arg1676z00_984;
																																	{	/* Object/method.scm 125 */
																																		obj_t
																																			BgL_arg1678z00_985;
																																		{	/* Object/method.scm 125 */
																																			obj_t
																																				BgL_arg1679z00_986;
																																			{	/* Object/method.scm 125 */
																																				obj_t
																																					BgL_arg1681z00_987;
																																				BgL_arg1681z00_987
																																					=
																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_argszd2idzd2_893,
																																					BNIL);
																																				BgL_arg1679z00_986
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 4)), BgL_arg1681z00_987);
																																			}
																																			BgL_arg1678z00_985
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1679z00_986,
																																				BNIL);
																																		}
																																		BgL_arg1676z00_984
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_metz00_890,
																																			BgL_arg1678z00_985);
																																	}
																																	BgL_arg1656z00_977
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				5)),
																																		BgL_arg1676z00_984);
																														}}
																													BgL_arg1604z00_965 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1656z00_977,
																														BNIL);
																												}
																												BgL_arg1602z00_963 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1603z00_964,
																													BgL_arg1604z00_965);
																											}
																											BgL_arg1601z00_962 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														6)),
																												BgL_arg1602z00_963);
																										}
																										BgL_arg1597z00_961 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1601z00_962,
																											BNIL);
																									}
																									BgL_arg1595z00_960 =
																										MAKE_YOUNG_PAIR(BNIL,
																										BgL_arg1597z00_961);
																								}
																								BgL_arg1588z00_959 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 7)),
																									BgL_arg1595z00_960);
																							}
																							BgL_arg1585z00_957 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1588z00_959, BNIL);
																						}
																						{	/* Object/method.scm 126 */
																							obj_t BgL_arg1682z00_988;

																							if (BgL_dssslz00_892)
																								{	/* Object/method.scm 126 */
																									BgL_arg1682z00_988 =
																										BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																										(BgL_identz00_8,
																										BgL_argsz00_9,
																										BgL_bodyz00_11,
																										BGl_errorzd2envzd2zz__errorz00);
																								}
																							else
																								{	/* Object/method.scm 126 */
																									BgL_arg1682z00_988 =
																										BgL_bodyz00_11;
																								}
																							BgL_arg1586z00_958 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1682z00_988, BNIL);
																						}
																						BgL_arg1584z00_956 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1585z00_957,
																							BgL_arg1586z00_958);
																					}
																					BgL_bodyz00_901 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 8)), BgL_arg1584z00_956);
																				}
																				{	/* Object/method.scm 114 */
																					obj_t BgL_ebodyz00_902;

																					if (EPAIRP(BgL_srcz00_12))
																						{	/* Object/method.scm 130 */
																							obj_t BgL_arg1581z00_953;
																							obj_t BgL_arg1582z00_954;
																							obj_t BgL_arg1583z00_955;

																							BgL_arg1581z00_953 =
																								CAR(BgL_bodyz00_901);
																							BgL_arg1582z00_954 =
																								CDR(BgL_bodyz00_901);
																							BgL_arg1583z00_955 =
																								CER(((obj_t) BgL_srcz00_12));
																							{	/* Object/method.scm 130 */
																								obj_t BgL_res1811z00_1343;

																								BgL_res1811z00_1343 =
																									MAKE_YOUNG_EPAIR
																									(BgL_arg1581z00_953,
																									BgL_arg1582z00_954,
																									BgL_arg1583z00_955);
																								BgL_ebodyz00_902 =
																									BgL_res1811z00_1343;
																							}
																						}
																					else
																						{	/* Object/method.scm 129 */
																							BgL_ebodyz00_902 =
																								BgL_bodyz00_901;
																						}
																					{	/* Object/method.scm 129 */
																						obj_t BgL_tmzd2idzd2_903;

																						{	/* Object/method.scm 132 */
																							bool_t BgL_test1880z00_1881;

																							{	/* Object/method.scm 132 */
																								BgL_typez00_bglt
																									BgL_arg1578z00_951;
																								BgL_arg1578z00_951 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_genericz00_899))))->
																									BgL_typez00);
																								BgL_test1880z00_1881 =
																									BGl_bigloozd2typezf3z21zztype_typez00
																									(BgL_arg1578z00_951);
																							}
																							if (BgL_test1880z00_1881)
																								{	/* Object/method.scm 133 */
																									obj_t BgL_arg1570z00_949;

																									BgL_arg1570z00_949 =
																										(((BgL_typez00_bglt)
																											COBJECT(((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_globalz00_bglt) BgL_genericz00_899))))->BgL_typez00)))->BgL_idz00);
																									BgL_tmzd2idzd2_903 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_mzd2idzd2_895,
																										BgL_arg1570z00_949);
																								}
																							else
																								{	/* Object/method.scm 132 */
																									BgL_tmzd2idzd2_903 =
																										BgL_mzd2idzd2_895;
																								}
																						}
																						{	/* Object/method.scm 132 */
																							obj_t BgL_bdgz00_904;

																							{	/* Object/method.scm 135 */
																								obj_t BgL_arg1555z00_944;

																								{	/* Object/method.scm 135 */
																									obj_t BgL_arg1563z00_945;
																									obj_t BgL_arg1564z00_946;

																									if (BgL_dssslz00_892)
																										{	/* Object/method.scm 135 */
																											BgL_arg1563z00_945 =
																												BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
																												(BgL_argsz00_9,
																												BGl_errorzd2envzd2zz__errorz00,
																												((bool_t) 1));
																										}
																									else
																										{	/* Object/method.scm 135 */
																											BgL_arg1563z00_945 =
																												BgL_argsz00_9;
																										}
																									BgL_arg1564z00_946 =
																										MAKE_YOUNG_PAIR
																										(BgL_ebodyz00_902, BNIL);
																									BgL_arg1555z00_944 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1563z00_945,
																										BgL_arg1564z00_946);
																								}
																								BgL_bdgz00_904 =
																									MAKE_YOUNG_PAIR
																									(BgL_tmzd2idzd2_903,
																									BgL_arg1555z00_944);
																							}
																							{	/* Object/method.scm 135 */
																								obj_t BgL_ebdgz00_905;

																								if (EPAIRP(BgL_srcz00_12))
																									{	/* Object/method.scm 140 */
																										obj_t BgL_arg1551z00_941;
																										obj_t BgL_arg1552z00_942;
																										obj_t BgL_arg1554z00_943;

																										BgL_arg1551z00_941 =
																											CAR(BgL_bdgz00_904);
																										BgL_arg1552z00_942 =
																											CDR(BgL_bdgz00_904);
																										BgL_arg1554z00_943 =
																											CER(
																											((obj_t) BgL_srcz00_12));
																										{	/* Object/method.scm 140 */
																											obj_t BgL_res1812z00_1350;

																											BgL_res1812z00_1350 =
																												MAKE_YOUNG_EPAIR
																												(BgL_arg1551z00_941,
																												BgL_arg1552z00_942,
																												BgL_arg1554z00_943);
																											BgL_ebdgz00_905 =
																												BgL_res1812z00_1350;
																										}
																									}
																								else
																									{	/* Object/method.scm 139 */
																										BgL_ebdgz00_905 =
																											BgL_bdgz00_904;
																									}
																								{	/* Object/method.scm 139 */

																									BGl_za2methodsza2z00zzobject_methodz00
																										=
																										MAKE_YOUNG_PAIR
																										(BgL_mzd2idzd2_895,
																										BGl_za2methodsza2z00zzobject_methodz00);
																									{	/* Object/method.scm 143 */
																										obj_t BgL_arg1367z00_906;

																										{	/* Object/method.scm 143 */
																											obj_t BgL_arg1369z00_908;

																											{	/* Object/method.scm 143 */
																												obj_t
																													BgL_arg1370z00_909;
																												obj_t
																													BgL_arg1371z00_910;
																												BgL_arg1370z00_909 =
																													MAKE_YOUNG_PAIR
																													(BgL_ebdgz00_905,
																													BNIL);
																												{	/* Object/method.scm 144 */
																													obj_t
																														BgL_arg1380z00_911;
																													obj_t
																														BgL_arg1381z00_912;
																													{	/* Object/method.scm 144 */
																														bool_t
																															BgL_test1883z00_1905;
																														if (((long)
																																CINT
																																(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
																																>= ((long) 1)))
																															{	/* Object/method.scm 147 */
																																obj_t
																																	BgL_arg1477z00_928;
																																{	/* Object/method.scm 147 */
																																	obj_t
																																		BgL_arg1494z00_929;
																																	BgL_arg1494z00_929
																																		=
																																		BGl_thezd2backendzd2zzbackend_backendz00
																																		();
																																	BgL_arg1477z00_928
																																		=
																																		(((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt) BgL_arg1494z00_929)))->BgL_debugzd2supportzd2);
																																}
																																BgL_test1883z00_1905
																																	=
																																	CBOOL
																																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																	(CNST_TABLE_REF
																																		(((long)
																																				9)),
																																		BgL_arg1477z00_928));
																															}
																														else
																															{	/* Object/method.scm 144 */
																																BgL_test1883z00_1905
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_test1883z00_1905)
																															{	/* Object/method.scm 149 */
																																obj_t
																																	BgL_arg1415z00_917;
																																{	/* Object/method.scm 149 */
																																	obj_t
																																		BgL_arg1416z00_918;
																																	{	/* Object/method.scm 149 */
																																		obj_t
																																			BgL_arg1418z00_919;
																																		obj_t
																																			BgL_arg1419z00_920;
																																		{	/* Object/method.scm 149 */
																																			obj_t
																																				BgL_arg1463z00_1356;
																																			BgL_arg1463z00_1356
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_identz00_8);
																																			BgL_arg1418z00_919
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1463z00_1356);
																																		}
																																		{	/* Object/method.scm 149 */
																																			obj_t
																																				BgL_arg1462z00_926;
																																			BgL_arg1462z00_926
																																				=
																																				(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_897)))->BgL_idz00);
																																			{	/* Object/method.scm 149 */
																																				obj_t
																																					BgL_arg1463z00_1359;
																																				BgL_arg1463z00_1359
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_arg1462z00_926);
																																				BgL_arg1419z00_920
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1463z00_1359);
																																			}
																																		}
																																		{	/* Object/method.scm 149 */
																																			obj_t
																																				BgL_list1420z00_921;
																																			{	/* Object/method.scm 149 */
																																				obj_t
																																					BgL_arg1430z00_922;
																																				{	/* Object/method.scm 149 */
																																					obj_t
																																						BgL_arg1454z00_923;
																																					{	/* Object/method.scm 149 */
																																						obj_t
																																							BgL_arg1456z00_924;
																																						{	/* Object/method.scm 149 */
																																							obj_t
																																								BgL_arg1457z00_925;
																																							BgL_arg1457z00_925
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_string1824z00zzobject_methodz00,
																																								BNIL);
																																							BgL_arg1456z00_924
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg1419z00_920,
																																								BgL_arg1457z00_925);
																																						}
																																						BgL_arg1454z00_923
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string1825z00zzobject_methodz00,
																																							BgL_arg1456z00_924);
																																					}
																																					BgL_arg1430z00_922
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1418z00_919,
																																						BgL_arg1454z00_923);
																																				}
																																				BgL_list1420z00_921
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BGl_string1826z00zzobject_methodz00,
																																					BgL_arg1430z00_922);
																																			}
																																			BgL_arg1416z00_918
																																				=
																																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																				(BgL_list1420z00_921);
																																		}
																																	}
																																	BgL_arg1415z00_917
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1416z00_918,
																																		BNIL);
																																}
																																BgL_arg1380z00_911
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 10)),
																																	BgL_arg1415z00_917);
																															}
																														else
																															{	/* Object/method.scm 144 */
																																BgL_arg1380z00_911
																																	= BFALSE;
																															}
																													}
																													{	/* Object/method.scm 152 */
																														obj_t
																															BgL_arg1496z00_930;
																														{	/* Object/method.scm 152 */
																															obj_t
																																BgL_arg1497z00_931;
																															{	/* Object/method.scm 152 */
																																obj_t
																																	BgL_arg1500z00_932;
																																{	/* Object/method.scm 152 */
																																	obj_t
																																		BgL_arg1520z00_933;
																																	obj_t
																																		BgL_arg1524z00_934;
																																	{	/* Object/method.scm 152 */
																																		obj_t
																																			BgL_arg1534z00_935;
																																		{	/* Object/method.scm 152 */
																																			obj_t
																																				BgL_arg1536z00_936;
																																			obj_t
																																				BgL_arg1542z00_937;
																																			BgL_arg1536z00_936
																																				=
																																				(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_897)))->BgL_idz00);
																																			BgL_arg1542z00_937
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_modulez00_898,
																																				BNIL);
																																			BgL_arg1534z00_935
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1536z00_936,
																																				BgL_arg1542z00_937);
																																		}
																																		BgL_arg1520z00_933
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					2)),
																																			BgL_arg1534z00_935);
																																	}
																																	{	/* Object/method.scm 154 */
																																		obj_t
																																			BgL_arg1543z00_938;
																																		{	/* Object/method.scm 154 */
																																			obj_t
																																				BgL_arg1548z00_939;
																																			{	/* Object/method.scm 154 */
																																				obj_t
																																					BgL_arg1463z00_1362;
																																				BgL_arg1463z00_1362
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_identz00_8);
																																				BgL_arg1548z00_939
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1463z00_1362);
																																			}
																																			BgL_arg1543z00_938
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1548z00_939,
																																				BNIL);
																																		}
																																		BgL_arg1524z00_934
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_mzd2idzd2_895,
																																			BgL_arg1543z00_938);
																																	}
																																	BgL_arg1500z00_932
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1520z00_933,
																																		BgL_arg1524z00_934);
																																}
																																BgL_arg1497z00_931
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_idz00_889,
																																	BgL_arg1500z00_932);
																															}
																															BgL_arg1496z00_930
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 11)),
																																BgL_arg1497z00_931);
																														}
																														BgL_arg1381z00_912 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1496z00_930,
																															BNIL);
																													}
																													BgL_arg1371z00_910 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1380z00_911,
																														BgL_arg1381z00_912);
																												}
																												BgL_arg1369z00_908 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1370z00_909,
																													BgL_arg1371z00_910);
																											}
																											BgL_arg1367z00_906 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														8)),
																												BgL_arg1369z00_908);
																										}
																										{	/* Object/method.scm 143 */
																											obj_t BgL_list1368z00_907;

																											BgL_list1368z00_907 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1367z00_906,
																												BNIL);
																											return
																												BgL_list1368z00_907;
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		else
																			{	/* Object/method.scm 193 */
																				obj_t BgL_arg1746z00_1364;

																				{	/* Object/method.scm 193 */
																					obj_t BgL_list1748z00_1365;

																					BgL_list1748z00_1365 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 12)), BNIL);
																					BgL_arg1746z00_1364 =
																						BgL_list1748z00_1365;
																				}
																				{	/* Object/method.scm 193 */
																					obj_t BgL_list1747z00_1366;

																					BgL_list1747z00_1366 =
																						MAKE_YOUNG_PAIR(BgL_arg1746z00_1364,
																						BNIL);
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BgL_idz00_889,
																						BGl_string1827z00zzobject_methodz00,
																						BgL_srcz00_12,
																						BgL_list1747z00_1366);
																				}
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Object/method.scm 193 */
														obj_t BgL_arg1746z00_1368;

														{	/* Object/method.scm 193 */
															obj_t BgL_list1748z00_1369;

															BgL_list1748z00_1369 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																BNIL);
															BgL_arg1746z00_1368 = BgL_list1748z00_1369;
														}
														{	/* Object/method.scm 193 */
															obj_t BgL_list1747z00_1370;

															BgL_list1747z00_1370 =
																MAKE_YOUNG_PAIR(BgL_arg1746z00_1368, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BgL_idz00_889,
																BGl_string1828z00zzobject_methodz00,
																BgL_srcz00_12, BgL_list1747z00_1370);
														}
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &make-method-dsssl-body */
	obj_t BGl_z62makezd2methodzd2dssslzd2bodyzb0zzobject_methodz00(obj_t
		BgL_envz00_1455, obj_t BgL_identz00_1456, obj_t BgL_argsz00_1457,
		obj_t BgL_localsz00_1458, obj_t BgL_bodyz00_1459, obj_t BgL_srcz00_1460)
	{
		{	/* Object/method.scm 93 */
			return
				BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(BgL_identz00_1456,
				BgL_argsz00_1457, BgL_localsz00_1458, BgL_bodyz00_1459,
				BgL_srcz00_1460);
		}

	}



/* dsssl-method? */
	bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t BgL_argsz00_13)
	{
		{	/* Object/method.scm 159 */
			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_13))
				{
					obj_t BgL_l1179z00_1016;

					BgL_l1179z00_1016 = BgL_argsz00_13;
				BgL_zc3z04anonymousza31727ze3z87_1017:
					if (NULLP(BgL_l1179z00_1016))
						{	/* Object/method.scm 160 */
							return ((bool_t) 0);
						}
					else
						{	/* Object/method.scm 160 */
							bool_t BgL__ortest_1181z00_1019;

							{	/* Object/method.scm 160 */
								obj_t BgL_arg1731z00_1021;

								BgL_arg1731z00_1021 = CAR(((obj_t) BgL_l1179z00_1016));
								BgL__ortest_1181z00_1019 =
									BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
									(BgL_arg1731z00_1021);
							}
							if (BgL__ortest_1181z00_1019)
								{	/* Object/method.scm 160 */
									return BgL__ortest_1181z00_1019;
								}
							else
								{	/* Object/method.scm 160 */
									obj_t BgL_arg1729z00_1020;

									BgL_arg1729z00_1020 = CDR(((obj_t) BgL_l1179z00_1016));
									{
										obj_t BgL_l1179z00_1969;

										BgL_l1179z00_1969 = BgL_arg1729z00_1020;
										BgL_l1179z00_1016 = BgL_l1179z00_1969;
										goto BgL_zc3z04anonymousza31727ze3z87_1017;
									}
								}
						}
				}
			else
				{	/* Object/method.scm 160 */
					return ((bool_t) 0);
				}
		}

	}



/* pair->list */
	obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t BgL_pz00_14)
	{
		{	/* Object/method.scm 166 */
			if (PAIRP(BgL_pz00_14))
				{	/* Object/method.scm 168 */
					return
						MAKE_YOUNG_PAIR(CAR(BgL_pz00_14),
						BGl_pairzd2ze3listz31zzobject_methodz00(CDR(BgL_pz00_14)));
				}
			else
				{	/* Object/method.scm 168 */
					if (NULLP(BgL_pz00_14))
						{	/* Object/method.scm 169 */
							return BNIL;
						}
					else
						{	/* Object/method.scm 170 */
							obj_t BgL_list1744z00_1028;

							BgL_list1744z00_1028 = MAKE_YOUNG_PAIR(BgL_pz00_14, BNIL);
							return BgL_list1744z00_1028;
						}
				}
		}

	}



/* mark-method! */
	BGL_EXPORTED_DEF obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t
		BgL_idz00_15)
	{
		{	/* Object/method.scm 180 */
			return (BGl_za2methodsza2z00zzobject_methodz00 =
				MAKE_YOUNG_PAIR(BgL_idz00_15, BGl_za2methodsza2z00zzobject_methodz00),
				BUNSPEC);
		}

	}



/* &mark-method! */
	obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t BgL_envz00_1465,
		obj_t BgL_idz00_1466)
	{
		{	/* Object/method.scm 180 */
			return BGl_markzd2methodz12zc0zzobject_methodz00(BgL_idz00_1466);
		}

	}



/* local-is-method? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt
		BgL_localz00_16)
	{
		{	/* Object/method.scm 186 */
			{	/* Object/method.scm 187 */
				obj_t BgL_arg1745z00_1377;

				BgL_arg1745z00_1377 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_16)))->BgL_idz00);
				return
					CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1745z00_1377,
						BGl_za2methodsza2z00zzobject_methodz00));
			}
		}

	}



/* &local-is-method? */
	obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t
		BgL_envz00_1467, obj_t BgL_localz00_1468)
	{
		{	/* Object/method.scm 186 */
			return
				BBOOL(BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(
					((BgL_localz00_bglt) BgL_localz00_1468)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00()
	{
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1829z00zzobject_methodz00));
		}

	}

#ifdef __cplusplus
}
#endif
