/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/copy.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1344za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sync1290z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2var1314z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall1294z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00();
	static obj_t BGl_z62copyablezf3zd2conditiona1326z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure1286z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2cast1320z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00();
	static obj_t BGl_z62copyablezf31309z91zzreduce_copyz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1302z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2fail1328z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote1282z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2switch1306z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2return1338z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static bool_t
		BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121342zb0zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1340za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly1292za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1308za2zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom1280z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1334z70zzreduce_copyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern1296z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1332z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
	static obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_copyz00();
	static obj_t BGl_z62copyablezf3zd2vlength1318z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq1300z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2instanceof1324z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2atom1312z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail1304z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2copyz121277za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var1284z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence1288z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app1346z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	static obj_t BGl_z62copyablezf3zd2castzd2null1322z91zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast1298z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1330za2zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2sequence1316z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2retblock1336z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1918za7,
		BGl_z62copyablezf3zd2cast1320z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1919za7,
		BGl_z62copyablezf3zd2castzd2null1322z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1920za7,
		BGl_z62copyablezf3zd2instanceof1324z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1921za7,
		BGl_z62copyablezf3zd2conditiona1326z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1922za7,
		BGl_z62copyablezf3zd2fail1328z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711923za7,
		BGl_z62nodezd2copyz12zd2letzd2var1330za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711924za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1332z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711925za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1334z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1914z00zzreduce_copyz00,
		BgL_bgl_string1914za700za7za7r1926za7, "reduce_copy", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711927za7,
		BGl_z62nodezd2copyz12zd2retblock1336z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1915z00zzreduce_copyz00,
		BgL_bgl_string1915za700za7za7r1928za7, "read node-copy!1277 done ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711929za7,
		BGl_z62nodezd2copyz12zd2return1338z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711930za7,
		BGl_z62nodezd2copyz12zd2makezd2box1340za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711931za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz121342zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711932za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref1344za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711933za7,
		BGl_z62nodezd2copyz12zd2app1346z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_copyablezf3zd2envz21zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za791934za7,
		BGl_z62copyablezf3z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1872z00zzreduce_copyz00,
		BgL_bgl_string1872za700za7za7r1935za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string1873z00zzreduce_copyz00,
		BgL_bgl_string1873za700za7za7r1936za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1875z00zzreduce_copyz00,
		BgL_bgl_string1875za700za7za7r1937za7, "node-copy!1277", 14);
	      DEFINE_STRING(BGl_string1877z00zzreduce_copyz00,
		BgL_bgl_string1877za700za7za7r1938za7, "copyable?1309", 13);
	      DEFINE_STRING(BGl_string1878z00zzreduce_copyz00,
		BgL_bgl_string1878za700za7za7r1939za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1880z00zzreduce_copyz00,
		BgL_bgl_string1880za700za7za7r1940za7, "node-copy!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711941za7,
		BGl_z62nodezd2copyz121277za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3131942z00,
		BGl_z62copyablezf31309z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711943za7,
		BGl_z62nodezd2copyz12zd2atom1280z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711944za7,
		BGl_z62nodezd2copyz12zd2kwote1282z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711945za7,
		BGl_z62nodezd2copyz12zd2var1284z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711946za7,
		BGl_z62nodezd2copyz12zd2closure1286z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711947za7,
		BGl_z62nodezd2copyz12zd2sequence1288z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711948za7,
		BGl_z62nodezd2copyz12zd2sync1290z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711949za7,
		BGl_z62nodezd2copyz12zd2appzd2ly1292za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711950za7,
		BGl_z62nodezd2copyz12zd2funcall1294z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711951za7,
		BGl_z62nodezd2copyz12zd2extern1296z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711952za7,
		BGl_z62nodezd2copyz12zd2cast1298z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1896z00zzreduce_copyz00,
		BgL_bgl_string1896za700za7za7r1953za7, "copyable?", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711954za7,
		BGl_z62nodezd2copyz12zd2setq1300z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711955za7,
		BGl_z62nodezd2copyz12zd2condition1302z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711956za7,
		BGl_z62nodezd2copyz12zd2fail1304z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711957za7,
		BGl_z62nodezd2copyz12zd2switch1306z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711958za7,
		BGl_z62nodezd2copyz12zd2letzd2fun1308za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1959za7,
		BGl_z62copyablezf3zd2atom1312z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1960za7,
		BGl_z62copyablezf3zd2var1314z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1961za7,
		BGl_z62copyablezf3zd2sequence1316z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1962za7,
		BGl_z62copyablezf3zd2vlength1318z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy1963z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711964za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_copyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_2410, char *BgL_fromz00_2411)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_copyz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					return BGl_toplevelzd2initzd2zzreduce_copyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_copy");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_2237;

				{	/* Reduce/copy.scm 15 */
					obj_t BgL_stringz00_2245;

					BgL_stringz00_2245 = BGl_string1915z00zzreduce_copyz00;
					{	/* Reduce/copy.scm 15 */
						obj_t BgL_startz00_2246;

						BgL_startz00_2246 = BINT(((long) 0));
						{	/* Reduce/copy.scm 15 */
							obj_t BgL_endz00_2247;

							BgL_endz00_2247 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2245)));
							{	/* Reduce/copy.scm 15 */

								BgL_cportz00_2237 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2245, BgL_startz00_2246, BgL_endz00_2247);
				}}}}
				{
					long BgL_iz00_2238;

					BgL_iz00_2238 = ((long) 2);
				BgL_loopz00_2239:
					if ((BgL_iz00_2238 == ((long) -1)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg1917z00_2241;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_2243;

										BgL_locationz00_2243 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg1917z00_2241 =
												BGl_readz00zz__readerz00(BgL_cportz00_2237,
												BgL_locationz00_2243);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_tmpz00_2441;

									BgL_tmpz00_2441 = (int) (BgL_iz00_2238);
									CNST_TABLE_SET(BgL_tmpz00_2441, BgL_arg1917z00_2241);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_2244;

								BgL_auxz00_2244 = (int) ((BgL_iz00_2238 - ((long) 1)));
								{
									long BgL_iz00_2446;

									BgL_iz00_2446 = (long) (BgL_auxz00_2244);
									BgL_iz00_2238 = BgL_iz00_2446;
									goto BgL_loopz00_2239;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/copy.scm 35 */
			{	/* Reduce/copy.scm 36 */
				obj_t BgL_list1351z00_1401;

				BgL_list1351z00_1401 =
					MAKE_YOUNG_PAIR(BGl_string1872z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1351z00_1401);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			{
				obj_t BgL_l1253z00_1403;

				BgL_l1253z00_1403 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31352ze3z87_1404:
				if (PAIRP(BgL_l1253z00_1403))
					{	/* Reduce/copy.scm 38 */
						{	/* Reduce/copy.scm 39 */
							obj_t BgL_globalz00_1406;

							BgL_globalz00_1406 = CAR(BgL_l1253z00_1403);
							{	/* Reduce/copy.scm 39 */
								BgL_valuez00_bglt BgL_funz00_1407;

								BgL_funz00_1407 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1406))))->
									BgL_valuez00);
								{	/* Reduce/copy.scm 39 */
									obj_t BgL_nodez00_1408;

									BgL_nodez00_1408 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1407)))->BgL_bodyz00);
									{	/* Reduce/copy.scm 40 */

										{	/* Reduce/copy.scm 41 */
											BgL_nodez00_bglt BgL_arg1354z00_1409;

											BgL_arg1354z00_1409 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_1408));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1407)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1354z00_1409)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1253z00_2465;

							BgL_l1253z00_2465 = CDR(BgL_l1253z00_1403);
							BgL_l1253z00_1403 = BgL_l1253z00_2465;
							goto BgL_zc3z04anonymousza31352ze3z87_1404;
						}
					}
				else
					{	/* Reduce/copy.scm 38 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 44 */
				obj_t BgL_list1358z00_1412;

				{	/* Reduce/copy.scm 44 */
					obj_t BgL_arg1361z00_1413;

					{	/* Reduce/copy.scm 44 */
						obj_t BgL_arg1363z00_1414;

						{	/* Reduce/copy.scm 44 */
							obj_t BgL_arg1364z00_1415;

							BgL_arg1364z00_1415 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1363z00_1414 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1364z00_1415);
						}
						BgL_arg1361z00_1413 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg1363z00_1414);
					}
					BgL_list1358z00_1412 =
						MAKE_YOUNG_PAIR(BGl_string1873z00zzreduce_copyz00,
						BgL_arg1361z00_1413);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1358z00_1412);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_2115,
		obj_t BgL_globalsz00_2116)
	{
		{	/* Reduce/copy.scm 35 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_2116);
		}

	}



/* cell-type-less-specific? */
	bool_t
		BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00(BgL_typez00_bglt
		BgL_ty1z00_41, BgL_typez00_bglt BgL_ty2z00_42)
	{
		{	/* Reduce/copy.scm 314 */
			{	/* Reduce/copy.scm 315 */
				bool_t BgL__ortest_1131z00_1416;

				BgL__ortest_1131z00_1416 =
					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_ty1z00_41,
					BgL_ty2z00_42);
				if (BgL__ortest_1131z00_1416)
					{	/* Reduce/copy.scm 315 */
						return BgL__ortest_1131z00_1416;
					}
				else
					{	/* Reduce/copy.scm 315 */
						if ((((obj_t) BgL_ty2z00_42) == BGl_za2objza2z00zztype_cachez00))
							{	/* Reduce/copy.scm 316 */
								return
									(((obj_t) BgL_ty1z00_41) == BGl_za2cellza2z00zztype_cachez00);
							}
						else
							{	/* Reduce/copy.scm 316 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_51)
	{
		{	/* Reduce/copy.scm 403 */
			{
				obj_t BgL_nodeza2za2_1419;

				BgL_nodeza2za2_1419 = BgL_nodeza2za2_51;
			BgL_zc3z04anonymousza31365ze3z87_1420:
				if (NULLP(BgL_nodeza2za2_1419))
					{	/* Reduce/copy.scm 405 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/copy.scm 405 */
						{	/* Reduce/copy.scm 408 */
							BgL_nodez00_bglt BgL_arg1367z00_1422;

							{	/* Reduce/copy.scm 408 */
								obj_t BgL_arg1369z00_1423;

								BgL_arg1369z00_1423 = CAR(((obj_t) BgL_nodeza2za2_1419));
								BgL_arg1367z00_1422 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg1369z00_1423));
							}
							{	/* Reduce/copy.scm 408 */
								obj_t BgL_auxz00_2493;
								obj_t BgL_tmpz00_2491;

								BgL_auxz00_2493 = ((obj_t) BgL_arg1367z00_1422);
								BgL_tmpz00_2491 = ((obj_t) BgL_nodeza2za2_1419);
								SET_CAR(BgL_tmpz00_2491, BgL_auxz00_2493);
							}
						}
						{	/* Reduce/copy.scm 409 */
							obj_t BgL_arg1370z00_1424;

							BgL_arg1370z00_1424 = CDR(((obj_t) BgL_nodeza2za2_1419));
							{
								obj_t BgL_nodeza2za2_2498;

								BgL_nodeza2za2_2498 = BgL_arg1370z00_1424;
								BgL_nodeza2za2_1419 = BgL_nodeza2za2_2498;
								goto BgL_zc3z04anonymousza31365ze3z87_1420;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc1874z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string1875z00zzreduce_copyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_proc1876z00zzreduce_copyz00, BFALSE,
				BGl_string1877z00zzreduce_copyz00);
		}

	}



/* &copyable?1309 */
	obj_t BGl_z62copyablezf31309z91zzreduce_copyz00(obj_t BgL_envz00_2119,
		obj_t BgL_nodez00_2120, obj_t BgL_vz00_2121)
	{
		{	/* Reduce/copy.scm 194 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &node-copy!1277 */
	obj_t BGl_z62nodezd2copyz121277za2zzreduce_copyz00(obj_t BgL_envz00_2122,
		obj_t BgL_nodez00_2123)
	{
		{	/* Reduce/copy.scm 55 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1878z00zzreduce_copyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2123)));
		}

	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method1278z00_1435;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res1863z00_1965;

					{	/* Reduce/copy.scm 55 */
						long BgL_objzd2classzd2numz00_1936;

						BgL_objzd2classzd2numz00_1936 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/copy.scm 55 */
							obj_t BgL_arg1829z00_1937;

							BgL_arg1829z00_1937 =
								PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
								(int) (((long) 1)));
							{	/* Reduce/copy.scm 55 */
								int BgL_offsetz00_1940;

								BgL_offsetz00_1940 = (int) (BgL_objzd2classzd2numz00_1936);
								{	/* Reduce/copy.scm 55 */
									long BgL_offsetz00_1941;

									BgL_offsetz00_1941 =
										((long) (BgL_offsetz00_1940) - OBJECT_TYPE);
									{	/* Reduce/copy.scm 55 */
										long BgL_modz00_1942;

										BgL_modz00_1942 =
											(BgL_offsetz00_1941 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/copy.scm 55 */
											long BgL_restz00_1944;

											BgL_restz00_1944 =
												(BgL_offsetz00_1941 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/copy.scm 55 */

												{	/* Reduce/copy.scm 55 */
													obj_t BgL_bucketz00_1946;

													BgL_bucketz00_1946 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1937), BgL_modz00_1942);
													BgL_res1863z00_1965 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1946), BgL_restz00_1944);
					}}}}}}}}
					BgL_method1278z00_1435 = BgL_res1863z00_1965;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1278z00_1435) (BgL_method1278z00_1435,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_2124, obj_t BgL_nodez00_2125)
	{
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2125));
		}

	}



/* copyable? */
	obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t BgL_nodez00_20,
		obj_t BgL_vz00_21)
	{
		{	/* Reduce/copy.scm 194 */
			if (BGL_OBJECTP(BgL_nodez00_20))
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_method1310z00_1437;

					{	/* Reduce/copy.scm 194 */
						obj_t BgL_res1868z00_1996;

						{	/* Reduce/copy.scm 194 */
							long BgL_objzd2classzd2numz00_1967;

							BgL_objzd2classzd2numz00_1967 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
							{	/* Reduce/copy.scm 194 */
								obj_t BgL_arg1829z00_1968;

								BgL_arg1829z00_1968 =
									PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
									(int) (((long) 1)));
								{	/* Reduce/copy.scm 194 */
									int BgL_offsetz00_1971;

									BgL_offsetz00_1971 = (int) (BgL_objzd2classzd2numz00_1967);
									{	/* Reduce/copy.scm 194 */
										long BgL_offsetz00_1972;

										BgL_offsetz00_1972 =
											((long) (BgL_offsetz00_1971) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 194 */
											long BgL_modz00_1973;

											BgL_modz00_1973 =
												(BgL_offsetz00_1972 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* Reduce/copy.scm 194 */
												long BgL_restz00_1975;

												BgL_restz00_1975 =
													(BgL_offsetz00_1972 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* Reduce/copy.scm 194 */

													{	/* Reduce/copy.scm 194 */
														obj_t BgL_bucketz00_1977;

														BgL_bucketz00_1977 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_1968), BgL_modz00_1973);
														BgL_res1868z00_1996 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_1977), BgL_restz00_1975);
						}}}}}}}}
						BgL_method1310z00_1437 = BgL_res1868z00_1996;
					}
					return
						PROCEDURE_ENTRY(BgL_method1310z00_1437) (BgL_method1310z00_1437,
						BgL_nodez00_20, BgL_vz00_21, BEOA);
				}
			else
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_fun1389z00_1438;

					BgL_fun1389z00_1438 =
						PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun1389z00_1438) (BgL_fun1389z00_1438,
						BgL_nodez00_20, BgL_vz00_21, BEOA);
				}
		}

	}



/* &copyable? */
	obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t BgL_envz00_2126,
		obj_t BgL_nodez00_2127, obj_t BgL_vz00_2128)
	{
		{	/* Reduce/copy.scm 194 */
			return
				BGl_copyablezf3zf3zzreduce_copyz00(BgL_nodez00_2127, BgL_vz00_2128);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1879z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1881z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1882z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc1883z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1884z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_syncz00zzast_nodez00,
				BGl_proc1885z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1886z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1887z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc1888z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1889z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc1890z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1891z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1892z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_switchz00zzast_nodez00, BGl_proc1893z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1894z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1895z00zzreduce_copyz00, BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1897z00zzreduce_copyz00, BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1898z00zzreduce_copyz00, BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc1899z00zzreduce_copyz00, BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1900z00zzreduce_copyz00, BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc1901z00zzreduce_copyz00,
				BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1902z00zzreduce_copyz00,
				BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1903z00zzreduce_copyz00,
				BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1904z00zzreduce_copyz00, BGl_string1896z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1905z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1906z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1907z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1908z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_returnz00zzast_nodez00, BGl_proc1909z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1910z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1911z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1912z00zzreduce_copyz00,
				BGl_string1880z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc1913z00zzreduce_copyz00, BGl_string1880z00zzreduce_copyz00);
		}

	}



/* &node-copy!-app1346 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app1346z70zzreduce_copyz00(obj_t
		BgL_envz00_2162, obj_t BgL_nodez00_2163)
	{
		{	/* Reduce/copy.scm 395 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2163)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2163));
		}

	}



/* &node-copy!-box-ref1344 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1344za2zzreduce_copyz00(obj_t
		BgL_envz00_2164, obj_t BgL_nodez00_2165)
	{
		{	/* Reduce/copy.scm 380 */
			{	/* Reduce/copy.scm 382 */
				BgL_nodez00_bglt BgL_cpz00_2252;

				{	/* Reduce/copy.scm 382 */
					BgL_varz00_bglt BgL_arg1721z00_2253;

					BgL_arg1721z00_2253 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2165)))->BgL_varz00);
					BgL_cpz00_2252 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
						((BgL_nodez00_bglt) BgL_arg1721z00_2253));
				}
				{	/* Reduce/copy.scm 383 */
					bool_t BgL_test1972z00_2621;

					{	/* Reduce/copy.scm 383 */
						obj_t BgL_classz00_2254;

						BgL_classz00_2254 = BGl_castz00zzast_nodez00;
						{	/* Reduce/copy.scm 383 */
							BgL_objectz00_bglt BgL_arg1825z00_2255;

							{	/* Reduce/copy.scm 383 */
								obj_t BgL_tmpz00_2622;

								BgL_tmpz00_2622 =
									((obj_t) ((BgL_objectz00_bglt) BgL_cpz00_2252));
								BgL_arg1825z00_2255 = (BgL_objectz00_bglt) (BgL_tmpz00_2622);
							}
							{	/* Reduce/copy.scm 383 */
								bool_t BgL_arg1822z00_2256;
								bool_t BgL_arg1823z00_2257;

								{	/* Reduce/copy.scm 383 */
									long BgL_idxz00_2258;

									BgL_idxz00_2258 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2255);
									BgL_arg1822z00_2256 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2258 + ((long) 2))) == BgL_classz00_2254);
								}
								{	/* Reduce/copy.scm 383 */
									bool_t BgL_res1871z00_2261;

									{	/* Reduce/copy.scm 383 */
										obj_t BgL_oclassz00_2262;

										{	/* Reduce/copy.scm 383 */
											long BgL_arg1833z00_2263;

											{	/* Reduce/copy.scm 383 */
												long BgL_arg1834z00_2264;

												BgL_arg1834z00_2264 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2255);
												BgL_arg1833z00_2263 =
													(BgL_arg1834z00_2264 - OBJECT_TYPE);
											}
											BgL_oclassz00_2262 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2263);
										}
										{	/* Reduce/copy.scm 383 */
											bool_t BgL__ortest_1110z00_2265;

											BgL__ortest_1110z00_2265 =
												(BgL_classz00_2254 == BgL_oclassz00_2262);
											if (BgL__ortest_1110z00_2265)
												{	/* Reduce/copy.scm 383 */
													BgL_res1871z00_2261 = BgL__ortest_1110z00_2265;
												}
											else
												{	/* Reduce/copy.scm 383 */
													long BgL_odepthz00_2266;

													BgL_odepthz00_2266 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2262);
													if ((((long) 2) < BgL_odepthz00_2266))
														{	/* Reduce/copy.scm 383 */
															obj_t BgL_arg1821z00_2267;

															BgL_arg1821z00_2267 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2262,
																((long) 2));
															BgL_res1871z00_2261 =
																(BgL_arg1821z00_2267 == BgL_classz00_2254);
														}
													else
														{	/* Reduce/copy.scm 383 */
															BgL_res1871z00_2261 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2257 = BgL_res1871z00_2261;
								}
								BgL_test1972z00_2621 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2256, BgL_arg1823z00_2257);
							}
						}
					}
					if (BgL_test1972z00_2621)
						{	/* Reduce/copy.scm 383 */
							((((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2165)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) (((BgL_castz00_bglt)
												COBJECT(((BgL_castz00_bglt) BgL_cpz00_2252)))->
											BgL_argz00))), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
												BgL_cpz00_2252)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt)
											BgL_nodez00_2165))), BUNSPEC);
							return BgL_cpz00_2252;
						}
					else
						{	/* Reduce/copy.scm 383 */
							((((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2165)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_cpz00_2252)),
								BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt)
									BgL_nodez00_2165));
						}
				}
			}
		}

	}



/* &node-copy!-box-set!1342 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121342zb0zzreduce_copyz00(obj_t
		BgL_envz00_2166, obj_t BgL_nodez00_2167)
	{
		{	/* Reduce/copy.scm 364 */
			{
				BgL_nodez00_bglt BgL_auxz00_2655;

				{	/* Reduce/copy.scm 366 */
					BgL_nodez00_bglt BgL_arg1713z00_2269;

					BgL_arg1713z00_2269 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2167)))->BgL_valuez00);
					BgL_auxz00_2655 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1713z00_2269);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2167)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2655), BUNSPEC);
			}
			{	/* Reduce/copy.scm 367 */
				BgL_nodez00_bglt BgL_cpz00_2270;

				{	/* Reduce/copy.scm 367 */
					BgL_varz00_bglt BgL_arg1715z00_2271;

					BgL_arg1715z00_2271 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2167)))->BgL_varz00);
					BgL_cpz00_2270 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
						((BgL_nodez00_bglt) BgL_arg1715z00_2271));
				}
				{	/* Reduce/copy.scm 368 */
					bool_t BgL_test1975z00_2665;

					{	/* Reduce/copy.scm 368 */
						obj_t BgL_classz00_2272;

						BgL_classz00_2272 = BGl_castz00zzast_nodez00;
						{	/* Reduce/copy.scm 368 */
							BgL_objectz00_bglt BgL_arg1825z00_2273;

							{	/* Reduce/copy.scm 368 */
								obj_t BgL_tmpz00_2666;

								BgL_tmpz00_2666 =
									((obj_t) ((BgL_objectz00_bglt) BgL_cpz00_2270));
								BgL_arg1825z00_2273 = (BgL_objectz00_bglt) (BgL_tmpz00_2666);
							}
							{	/* Reduce/copy.scm 368 */
								bool_t BgL_arg1822z00_2274;
								bool_t BgL_arg1823z00_2275;

								{	/* Reduce/copy.scm 368 */
									long BgL_idxz00_2276;

									BgL_idxz00_2276 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2273);
									BgL_arg1822z00_2274 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2276 + ((long) 2))) == BgL_classz00_2272);
								}
								{	/* Reduce/copy.scm 368 */
									bool_t BgL_res1870z00_2279;

									{	/* Reduce/copy.scm 368 */
										obj_t BgL_oclassz00_2280;

										{	/* Reduce/copy.scm 368 */
											long BgL_arg1833z00_2281;

											{	/* Reduce/copy.scm 368 */
												long BgL_arg1834z00_2282;

												BgL_arg1834z00_2282 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2273);
												BgL_arg1833z00_2281 =
													(BgL_arg1834z00_2282 - OBJECT_TYPE);
											}
											BgL_oclassz00_2280 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2281);
										}
										{	/* Reduce/copy.scm 368 */
											bool_t BgL__ortest_1110z00_2283;

											BgL__ortest_1110z00_2283 =
												(BgL_classz00_2272 == BgL_oclassz00_2280);
											if (BgL__ortest_1110z00_2283)
												{	/* Reduce/copy.scm 368 */
													BgL_res1870z00_2279 = BgL__ortest_1110z00_2283;
												}
											else
												{	/* Reduce/copy.scm 368 */
													long BgL_odepthz00_2284;

													BgL_odepthz00_2284 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2280);
													if ((((long) 2) < BgL_odepthz00_2284))
														{	/* Reduce/copy.scm 368 */
															obj_t BgL_arg1821z00_2285;

															BgL_arg1821z00_2285 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2280,
																((long) 2));
															BgL_res1870z00_2279 =
																(BgL_arg1821z00_2285 == BgL_classz00_2272);
														}
													else
														{	/* Reduce/copy.scm 368 */
															BgL_res1870z00_2279 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2275 = BgL_res1870z00_2279;
								}
								BgL_test1975z00_2665 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2274, BgL_arg1823z00_2275);
							}
						}
					}
					if (BgL_test1975z00_2665)
						{	/* Reduce/copy.scm 368 */
							((((BgL_boxzd2setz12zc0_bglt) COBJECT(
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2167)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) (((BgL_castz00_bglt)
												COBJECT(((BgL_castz00_bglt) BgL_cpz00_2270)))->
											BgL_argz00))), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
												BgL_cpz00_2270)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (
											(BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2167))), BUNSPEC);
							return BgL_cpz00_2270;
						}
					else
						{	/* Reduce/copy.scm 368 */
							((((BgL_boxzd2setz12zc0_bglt) COBJECT(
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2167)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_cpz00_2270)),
								BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_2167));
						}
				}
			}
		}

	}



/* &node-copy!-make-box1340 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1340za2zzreduce_copyz00(obj_t
		BgL_envz00_2168, obj_t BgL_nodez00_2169)
	{
		{	/* Reduce/copy.scm 356 */
			{
				BgL_nodez00_bglt BgL_auxz00_2699;

				{	/* Reduce/copy.scm 358 */
					BgL_nodez00_bglt BgL_arg1712z00_2287;

					BgL_arg1712z00_2287 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2169)))->BgL_valuez00);
					BgL_auxz00_2699 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1712z00_2287);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2169)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2699), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2169));
		}

	}



/* &node-copy!-return1338 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2return1338z70zzreduce_copyz00(obj_t
		BgL_envz00_2170, obj_t BgL_nodez00_2171)
	{
		{	/* Reduce/copy.scm 348 */
			{
				BgL_nodez00_bglt BgL_auxz00_2707;

				{	/* Reduce/copy.scm 350 */
					BgL_nodez00_bglt BgL_arg1711z00_2289;

					BgL_arg1711z00_2289 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2171)))->BgL_valuez00);
					BgL_auxz00_2707 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1711z00_2289);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2171)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2707), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2171));
		}

	}



/* &node-copy!-retblock1336 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2retblock1336z70zzreduce_copyz00(obj_t
		BgL_envz00_2172, obj_t BgL_nodez00_2173)
	{
		{	/* Reduce/copy.scm 340 */
			{
				BgL_nodez00_bglt BgL_auxz00_2715;

				{	/* Reduce/copy.scm 342 */
					BgL_nodez00_bglt BgL_arg1706z00_2291;

					BgL_arg1706z00_2291 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2173)))->BgL_bodyz00);
					BgL_auxz00_2715 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1706z00_2291);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2173)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2715), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2173));
		}

	}



/* &node-copy!-jump-ex-i1334 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1334z70zzreduce_copyz00(obj_t
		BgL_envz00_2174, obj_t BgL_nodez00_2175)
	{
		{	/* Reduce/copy.scm 331 */
			{
				BgL_nodez00_bglt BgL_auxz00_2723;

				{	/* Reduce/copy.scm 333 */
					BgL_nodez00_bglt BgL_arg1699z00_2293;

					BgL_arg1699z00_2293 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2175)))->BgL_exitz00);
					BgL_auxz00_2723 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1699z00_2293);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2175)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2723), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2729;

				{	/* Reduce/copy.scm 334 */
					BgL_nodez00_bglt BgL_arg1703z00_2294;

					BgL_arg1703z00_2294 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2175)))->
						BgL_valuez00);
					BgL_auxz00_2729 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1703z00_2294);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2175)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2729), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2175));
		}

	}



/* &node-copy!-set-ex-it1332 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1332z70zzreduce_copyz00(obj_t
		BgL_envz00_2176, obj_t BgL_nodez00_2177)
	{
		{	/* Reduce/copy.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_2737;

				{	/* Reduce/copy.scm 323 */
					BgL_nodez00_bglt BgL_arg1694z00_2296;

					BgL_arg1694z00_2296 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177)))->BgL_bodyz00);
					BgL_auxz00_2737 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1694z00_2296);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2737), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2743;

				{	/* Reduce/copy.scm 324 */
					BgL_varz00_bglt BgL_arg1695z00_2297;

					BgL_arg1695z00_2297 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177)))->BgL_varz00);
					BgL_auxz00_2743 =
						((BgL_varz00_bglt)
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg1695z00_2297)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2743), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2751;

				{	/* Reduce/copy.scm 325 */
					BgL_nodez00_bglt BgL_arg1696z00_2298;

					BgL_arg1696z00_2298 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177)))->
						BgL_onexitz00);
					BgL_auxz00_2751 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1696z00_2298);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2751), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177));
		}

	}



/* &node-copy!-let-var1330 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1330za2zzreduce_copyz00(obj_t
		BgL_envz00_2178, obj_t BgL_nodez00_2179)
	{
		{	/* Reduce/copy.scm 262 */
			{
				obj_t BgL_obindingsz00_2301;
				obj_t BgL_nbindingsz00_2302;

				BgL_obindingsz00_2301 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2179)))->BgL_bindingsz00);
				BgL_nbindingsz00_2302 = BNIL;
			BgL_loopz00_2300:
				if (NULLP(BgL_obindingsz00_2301))
					{	/* Reduce/copy.scm 267 */
						bool_t BgL_test1979z00_2761;

						if (NULLP(BgL_nbindingsz00_2302))
							{	/* Reduce/copy.scm 267 */
								BgL_test1979z00_2761 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2179)))->
									BgL_removablezf3zf3);
							}
						else
							{	/* Reduce/copy.scm 267 */
								BgL_test1979z00_2761 = ((bool_t) 0);
							}
						if (BgL_test1979z00_2761)
							{	/* Reduce/copy.scm 267 */
								return
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2179)))->
										BgL_bodyz00));
							}
						else
							{	/* Reduce/copy.scm 267 */
								((((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2179)))->
										BgL_bindingsz00) =
									((obj_t) BgL_nbindingsz00_2302), BUNSPEC);
								{
									BgL_nodez00_bglt BgL_auxz00_2771;

									{	/* Reduce/copy.scm 271 */
										BgL_nodez00_bglt BgL_arg1620z00_2303;

										BgL_arg1620z00_2303 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2179)))->
											BgL_bodyz00);
										BgL_auxz00_2771 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00
											(BgL_arg1620z00_2303);
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2179)))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) BgL_auxz00_2771), BUNSPEC);
								}
								return
									((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2179));
							}
					}
				else
					{	/* Reduce/copy.scm 273 */
						obj_t BgL_bindingz00_2304;

						BgL_bindingz00_2304 = CAR(((obj_t) BgL_obindingsz00_2301));
						{	/* Reduce/copy.scm 273 */
							obj_t BgL_varz00_2305;

							BgL_varz00_2305 = CAR(((obj_t) BgL_bindingz00_2304));
							{	/* Reduce/copy.scm 274 */
								BgL_nodez00_bglt BgL_valz00_2306;

								{	/* Reduce/copy.scm 275 */
									obj_t BgL_arg1682z00_2307;

									BgL_arg1682z00_2307 = CDR(((obj_t) BgL_bindingz00_2304));
									BgL_valz00_2306 =
										BGl_nodezd2copyz12zc0zzreduce_copyz00(
										((BgL_nodez00_bglt) BgL_arg1682z00_2307));
								}
								{	/* Reduce/copy.scm 275 */

									{	/* Reduce/copy.scm 276 */
										obj_t BgL_auxz00_2789;
										obj_t BgL_tmpz00_2787;

										BgL_auxz00_2789 = ((obj_t) BgL_valz00_2306);
										BgL_tmpz00_2787 = ((obj_t) BgL_bindingz00_2304);
										SET_CDR(BgL_tmpz00_2787, BgL_auxz00_2789);
									}
									{	/* Reduce/copy.scm 291 */
										bool_t BgL_test1981z00_2792;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_2305)))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
											{	/* Reduce/copy.scm 291 */
												if (CBOOL(BGl_copyablezf3zf3zzreduce_copyz00(
															((obj_t) BgL_valz00_2306), BgL_varz00_2305)))
													{	/* Reduce/copy.scm 294 */
														BgL_typez00_bglt BgL_arg1678z00_2308;
														BgL_typez00_bglt BgL_arg1679z00_2309;

														BgL_arg1678z00_2308 =
															(((BgL_nodez00_bglt) COBJECT(BgL_valz00_2306))->
															BgL_typez00);
														BgL_arg1679z00_2309 =
															(((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_varz00_2305)))->BgL_typez00);
														BgL_test1981z00_2792 =
															BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00
															(BgL_arg1678z00_2308, BgL_arg1679z00_2309);
													}
												else
													{	/* Reduce/copy.scm 292 */
														BgL_test1981z00_2792 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/copy.scm 291 */
												BgL_test1981z00_2792 = ((bool_t) 0);
											}
										if (BgL_test1981z00_2792)
											{	/* Reduce/copy.scm 291 */
												BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
													(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 +
													((long) 1));
												{	/* Reduce/copy.scm 302 */
													BgL_nodez00_bglt BgL_arg1647z00_2310;

													if (
														(((obj_t)
																(((BgL_nodez00_bglt) COBJECT(BgL_valz00_2306))->
																	BgL_typez00)) ==
															((obj_t) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_2305)))->BgL_typez00))))
														{	/* Reduce/copy.scm 302 */
															BgL_arg1647z00_2310 = BgL_valz00_2306;
														}
													else
														{	/* Reduce/copy.scm 304 */
															BgL_castz00_bglt BgL_new1130z00_2311;

															{	/* Reduce/copy.scm 305 */
																BgL_castz00_bglt BgL_new1129z00_2312;

																BgL_new1129z00_2312 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Reduce/copy.scm 305 */
																	long BgL_arg1660z00_2313;

																	BgL_arg1660z00_2313 =
																		BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1129z00_2312),
																		BgL_arg1660z00_2313);
																}
																{	/* Reduce/copy.scm 305 */
																	BgL_objectz00_bglt BgL_tmpz00_2818;

																	BgL_tmpz00_2818 =
																		((BgL_objectz00_bglt) BgL_new1129z00_2312);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2818,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1129z00_2312);
																BgL_new1130z00_2311 = BgL_new1129z00_2312;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1130z00_2311)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_valz00_2306))->BgL_locz00)),
																BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1130z00_2311)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt)
																					BgL_varz00_2305)))->BgL_typez00)),
																BUNSPEC);
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1130z00_2311))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_valz00_2306), BUNSPEC);
															BgL_arg1647z00_2310 =
																((BgL_nodez00_bglt) BgL_new1130z00_2311);
														}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_2305)))->
															BgL_fastzd2alphazd2) =
														((obj_t) ((obj_t) BgL_arg1647z00_2310)), BUNSPEC);
												}
												{	/* Reduce/copy.scm 308 */
													obj_t BgL_arg1668z00_2314;

													BgL_arg1668z00_2314 =
														CDR(((obj_t) BgL_obindingsz00_2301));
													{
														obj_t BgL_obindingsz00_2836;

														BgL_obindingsz00_2836 = BgL_arg1668z00_2314;
														BgL_obindingsz00_2301 = BgL_obindingsz00_2836;
														goto BgL_loopz00_2300;
													}
												}
											}
										else
											{	/* Reduce/copy.scm 309 */
												obj_t BgL_arg1675z00_2315;
												obj_t BgL_arg1676z00_2316;

												BgL_arg1675z00_2315 =
													CDR(((obj_t) BgL_obindingsz00_2301));
												BgL_arg1676z00_2316 =
													MAKE_YOUNG_PAIR(BgL_bindingz00_2304,
													BgL_nbindingsz00_2302);
												{
													obj_t BgL_nbindingsz00_2841;
													obj_t BgL_obindingsz00_2840;

													BgL_obindingsz00_2840 = BgL_arg1675z00_2315;
													BgL_nbindingsz00_2841 = BgL_arg1676z00_2316;
													BgL_nbindingsz00_2302 = BgL_nbindingsz00_2841;
													BgL_obindingsz00_2301 = BgL_obindingsz00_2840;
													goto BgL_loopz00_2300;
												}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &copyable?-fail1328 */
	obj_t BGl_z62copyablezf3zd2fail1328z43zzreduce_copyz00(obj_t BgL_envz00_2180,
		obj_t BgL_nodez00_2181, obj_t BgL_vz00_2182)
	{
		{	/* Reduce/copy.scm 255 */
			{	/* Reduce/copy.scm 257 */
				obj_t BgL__andtest_1125z00_2318;

				{	/* Reduce/copy.scm 257 */
					BgL_nodez00_bglt BgL_arg1612z00_2319;

					BgL_arg1612z00_2319 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2181)))->BgL_procz00);
					BgL__andtest_1125z00_2318 =
						BGl_copyablezf3zf3zzreduce_copyz00(
						((obj_t) BgL_arg1612z00_2319), BgL_vz00_2182);
				}
				if (CBOOL(BgL__andtest_1125z00_2318))
					{	/* Reduce/copy.scm 257 */
						obj_t BgL__andtest_1126z00_2320;

						{	/* Reduce/copy.scm 257 */
							BgL_nodez00_bglt BgL_arg1606z00_2321;

							BgL_arg1606z00_2321 =
								(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2181)))->BgL_msgz00);
							BgL__andtest_1126z00_2320 =
								BGl_copyablezf3zf3zzreduce_copyz00(
								((obj_t) BgL_arg1606z00_2321), BgL_vz00_2182);
						}
						if (CBOOL(BgL__andtest_1126z00_2320))
							{	/* Reduce/copy.scm 257 */
								BgL_nodez00_bglt BgL_arg1604z00_2322;

								BgL_arg1604z00_2322 =
									(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2181)))->BgL_objz00);
								return
									BGl_copyablezf3zf3zzreduce_copyz00(
									((obj_t) BgL_arg1604z00_2322), BgL_vz00_2182);
							}
						else
							{	/* Reduce/copy.scm 257 */
								return BFALSE;
							}
					}
				else
					{	/* Reduce/copy.scm 257 */
						return BFALSE;
					}
			}
		}

	}



/* &copyable?-conditiona1326 */
	obj_t BGl_z62copyablezf3zd2conditiona1326z43zzreduce_copyz00(obj_t
		BgL_envz00_2183, obj_t BgL_nodez00_2184, obj_t BgL_vz00_2185)
	{
		{	/* Reduce/copy.scm 247 */
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2185)))->BgL_occurrencez00) <=
					((long) 1)))
				{	/* Reduce/copy.scm 250 */
					obj_t BgL__andtest_1122z00_2324;

					{	/* Reduce/copy.scm 250 */
						BgL_nodez00_bglt BgL_arg1602z00_2325;

						BgL_arg1602z00_2325 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2184)))->BgL_testz00);
						BgL__andtest_1122z00_2324 =
							BGl_copyablezf3zf3zzreduce_copyz00(
							((obj_t) BgL_arg1602z00_2325), BgL_vz00_2185);
					}
					if (CBOOL(BgL__andtest_1122z00_2324))
						{	/* Reduce/copy.scm 250 */
							obj_t BgL__andtest_1123z00_2326;

							{	/* Reduce/copy.scm 250 */
								BgL_nodez00_bglt BgL_arg1601z00_2327;

								BgL_arg1601z00_2327 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2184)))->
									BgL_truez00);
								BgL__andtest_1123z00_2326 =
									BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
										BgL_arg1601z00_2327), BgL_vz00_2185);
							}
							if (CBOOL(BgL__andtest_1123z00_2326))
								{	/* Reduce/copy.scm 250 */
									BgL_nodez00_bglt BgL_arg1597z00_2328;

									BgL_arg1597z00_2328 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2184)))->
										BgL_falsez00);
									return BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
											BgL_arg1597z00_2328), BgL_vz00_2185);
								}
							else
								{	/* Reduce/copy.scm 250 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/copy.scm 250 */
							return BFALSE;
						}
				}
			else
				{	/* Reduce/copy.scm 249 */
					return BFALSE;
				}
		}

	}



/* &copyable?-instanceof1324 */
	obj_t BGl_z62copyablezf3zd2instanceof1324z43zzreduce_copyz00(obj_t
		BgL_envz00_2186, obj_t BgL_nodez00_2187, obj_t BgL_vz00_2188)
	{
		{	/* Reduce/copy.scm 240 */
			{	/* Reduce/copy.scm 241 */
				bool_t BgL_tmpz00_2880;

				{	/* Reduce/copy.scm 242 */
					obj_t BgL_g1275z00_2330;

					BgL_g1275z00_2330 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_2187))))->
						BgL_exprza2za2);
					{
						obj_t BgL_l1273z00_2332;

						BgL_l1273z00_2332 = BgL_g1275z00_2330;
					BgL_zc3z04anonymousza31586ze3z87_2331:
						if (NULLP(BgL_l1273z00_2332))
							{	/* Reduce/copy.scm 242 */
								BgL_tmpz00_2880 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 242 */
								obj_t BgL_nvz00_2333;

								{	/* Reduce/copy.scm 242 */
									obj_t BgL_nz00_2334;

									BgL_nz00_2334 = CAR(((obj_t) BgL_l1273z00_2332));
									BgL_nvz00_2333 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2334,
										BgL_vz00_2188);
								}
								if (CBOOL(BgL_nvz00_2333))
									{	/* Reduce/copy.scm 242 */
										obj_t BgL_arg1588z00_2335;

										BgL_arg1588z00_2335 = CDR(((obj_t) BgL_l1273z00_2332));
										{
											obj_t BgL_l1273z00_2893;

											BgL_l1273z00_2893 = BgL_arg1588z00_2335;
											BgL_l1273z00_2332 = BgL_l1273z00_2893;
											goto BgL_zc3z04anonymousza31586ze3z87_2331;
										}
									}
								else
									{	/* Reduce/copy.scm 242 */
										BgL_tmpz00_2880 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2880);
			}
		}

	}



/* &copyable?-cast-null1322 */
	obj_t BGl_z62copyablezf3zd2castzd2null1322z91zzreduce_copyz00(obj_t
		BgL_envz00_2189, obj_t BgL_nodez00_2190, obj_t BgL_vz00_2191)
	{
		{	/* Reduce/copy.scm 233 */
			{	/* Reduce/copy.scm 234 */
				bool_t BgL_tmpz00_2895;

				{	/* Reduce/copy.scm 235 */
					obj_t BgL_g1271z00_2337;

					BgL_g1271z00_2337 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nodez00_2190))))->
						BgL_exprza2za2);
					{
						obj_t BgL_l1269z00_2339;

						BgL_l1269z00_2339 = BgL_g1271z00_2337;
					BgL_zc3z04anonymousza31583ze3z87_2338:
						if (NULLP(BgL_l1269z00_2339))
							{	/* Reduce/copy.scm 235 */
								BgL_tmpz00_2895 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 235 */
								obj_t BgL_nvz00_2340;

								{	/* Reduce/copy.scm 235 */
									obj_t BgL_nz00_2341;

									BgL_nz00_2341 = CAR(((obj_t) BgL_l1269z00_2339));
									BgL_nvz00_2340 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2341,
										BgL_vz00_2191);
								}
								if (CBOOL(BgL_nvz00_2340))
									{	/* Reduce/copy.scm 235 */
										obj_t BgL_arg1585z00_2342;

										BgL_arg1585z00_2342 = CDR(((obj_t) BgL_l1269z00_2339));
										{
											obj_t BgL_l1269z00_2908;

											BgL_l1269z00_2908 = BgL_arg1585z00_2342;
											BgL_l1269z00_2339 = BgL_l1269z00_2908;
											goto BgL_zc3z04anonymousza31583ze3z87_2338;
										}
									}
								else
									{	/* Reduce/copy.scm 235 */
										BgL_tmpz00_2895 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2895);
			}
		}

	}



/* &copyable?-cast1320 */
	obj_t BGl_z62copyablezf3zd2cast1320z43zzreduce_copyz00(obj_t BgL_envz00_2192,
		obj_t BgL_nodez00_2193, obj_t BgL_vz00_2194)
	{
		{	/* Reduce/copy.scm 226 */
			{	/* Reduce/copy.scm 228 */
				BgL_nodez00_bglt BgL_arg1582z00_2344;

				BgL_arg1582z00_2344 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2193)))->BgL_argz00);
				return
					BGl_copyablezf3zf3zzreduce_copyz00(
					((obj_t) BgL_arg1582z00_2344), BgL_vz00_2194);
			}
		}

	}



/* &copyable?-vlength1318 */
	obj_t BGl_z62copyablezf3zd2vlength1318z43zzreduce_copyz00(obj_t
		BgL_envz00_2195, obj_t BgL_nodez00_2196, obj_t BgL_vz00_2197)
	{
		{	/* Reduce/copy.scm 219 */
			{	/* Reduce/copy.scm 220 */
				bool_t BgL_tmpz00_2914;

				{	/* Reduce/copy.scm 221 */
					obj_t BgL_g1267z00_2346;

					BgL_g1267z00_2346 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_2196))))->BgL_exprza2za2);
					{
						obj_t BgL_l1265z00_2348;

						BgL_l1265z00_2348 = BgL_g1267z00_2346;
					BgL_zc3z04anonymousza31579ze3z87_2347:
						if (NULLP(BgL_l1265z00_2348))
							{	/* Reduce/copy.scm 221 */
								BgL_tmpz00_2914 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 221 */
								obj_t BgL_nvz00_2349;

								{	/* Reduce/copy.scm 221 */
									obj_t BgL_nz00_2350;

									BgL_nz00_2350 = CAR(((obj_t) BgL_l1265z00_2348));
									BgL_nvz00_2349 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2350,
										BgL_vz00_2197);
								}
								if (CBOOL(BgL_nvz00_2349))
									{	/* Reduce/copy.scm 221 */
										obj_t BgL_arg1581z00_2351;

										BgL_arg1581z00_2351 = CDR(((obj_t) BgL_l1265z00_2348));
										{
											obj_t BgL_l1265z00_2927;

											BgL_l1265z00_2927 = BgL_arg1581z00_2351;
											BgL_l1265z00_2348 = BgL_l1265z00_2927;
											goto BgL_zc3z04anonymousza31579ze3z87_2347;
										}
									}
								else
									{	/* Reduce/copy.scm 221 */
										BgL_tmpz00_2914 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2914);
			}
		}

	}



/* &copyable?-sequence1316 */
	obj_t BGl_z62copyablezf3zd2sequence1316z43zzreduce_copyz00(obj_t
		BgL_envz00_2198, obj_t BgL_nodez00_2199, obj_t BgL_vz00_2200)
	{
		{	/* Reduce/copy.scm 212 */
			{	/* Reduce/copy.scm 213 */
				bool_t BgL_tmpz00_2929;

				{	/* Reduce/copy.scm 214 */
					obj_t BgL_g1263z00_2353;

					BgL_g1263z00_2353 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2199)))->BgL_nodesz00);
					{
						obj_t BgL_l1261z00_2355;

						BgL_l1261z00_2355 = BgL_g1263z00_2353;
					BgL_zc3z04anonymousza31572ze3z87_2354:
						if (NULLP(BgL_l1261z00_2355))
							{	/* Reduce/copy.scm 214 */
								BgL_tmpz00_2929 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 214 */
								obj_t BgL_nvz00_2356;

								{	/* Reduce/copy.scm 214 */
									obj_t BgL_nz00_2357;

									BgL_nz00_2357 = CAR(((obj_t) BgL_l1261z00_2355));
									BgL_nvz00_2356 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2357,
										BgL_vz00_2200);
								}
								if (CBOOL(BgL_nvz00_2356))
									{	/* Reduce/copy.scm 214 */
										obj_t BgL_arg1578z00_2358;

										BgL_arg1578z00_2358 = CDR(((obj_t) BgL_l1261z00_2355));
										{
											obj_t BgL_l1261z00_2941;

											BgL_l1261z00_2941 = BgL_arg1578z00_2358;
											BgL_l1261z00_2355 = BgL_l1261z00_2941;
											goto BgL_zc3z04anonymousza31572ze3z87_2354;
										}
									}
								else
									{	/* Reduce/copy.scm 214 */
										BgL_tmpz00_2929 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2929);
			}
		}

	}



/* &copyable?-var1314 */
	obj_t BGl_z62copyablezf3zd2var1314z43zzreduce_copyz00(obj_t BgL_envz00_2201,
		obj_t BgL_nodez00_2202, obj_t BgL_vz00_2203)
	{
		{	/* Reduce/copy.scm 206 */
			return
				BBOOL(
				((((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2202)))->
									BgL_variablez00)))->BgL_accessz00) ==
					CNST_TABLE_REF(((long) 2))));
		}

	}



/* &copyable?-atom1312 */
	obj_t BGl_z62copyablezf3zd2atom1312z43zzreduce_copyz00(obj_t BgL_envz00_2204,
		obj_t BgL_nodez00_2205, obj_t BgL_vz00_2206)
	{
		{	/* Reduce/copy.scm 200 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &node-copy!-let-fun1308 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1308za2zzreduce_copyz00(obj_t
		BgL_envz00_2207, obj_t BgL_nodez00_2208)
	{
		{	/* Reduce/copy.scm 180 */
			{	/* Reduce/copy.scm 182 */
				obj_t BgL_g1260z00_2362;

				BgL_g1260z00_2362 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2208)))->BgL_localsz00);
				{
					obj_t BgL_l1258z00_2364;

					BgL_l1258z00_2364 = BgL_g1260z00_2362;
				BgL_zc3z04anonymousza31553ze3z87_2363:
					if (PAIRP(BgL_l1258z00_2364))
						{	/* Reduce/copy.scm 182 */
							{	/* Reduce/copy.scm 183 */
								obj_t BgL_localz00_2365;

								BgL_localz00_2365 = CAR(BgL_l1258z00_2364);
								{	/* Reduce/copy.scm 183 */
									BgL_valuez00_bglt BgL_funz00_2366;

									BgL_funz00_2366 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2365))))->
										BgL_valuez00);
									{	/* Reduce/copy.scm 184 */
										BgL_nodez00_bglt BgL_arg1555z00_2367;

										{	/* Reduce/copy.scm 184 */
											obj_t BgL_arg1563z00_2368;

											BgL_arg1563z00_2368 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2366)))->
												BgL_bodyz00);
											BgL_arg1555z00_2367 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00((
													(BgL_nodez00_bglt) BgL_arg1563z00_2368));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2366)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1555z00_2367)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1258z00_2965;

								BgL_l1258z00_2965 = CDR(BgL_l1258z00_2364);
								BgL_l1258z00_2364 = BgL_l1258z00_2965;
								goto BgL_zc3z04anonymousza31553ze3z87_2363;
							}
						}
					else
						{	/* Reduce/copy.scm 182 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2967;

				{	/* Reduce/copy.scm 186 */
					BgL_nodez00_bglt BgL_arg1567z00_2369;

					BgL_arg1567z00_2369 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2208)))->BgL_bodyz00);
					BgL_auxz00_2967 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1567z00_2369);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2208)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2967), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2208));
		}

	}



/* &node-copy!-switch1306 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2switch1306z70zzreduce_copyz00(obj_t
		BgL_envz00_2209, obj_t BgL_nodez00_2210)
	{
		{	/* Reduce/copy.scm 169 */
			{
				BgL_nodez00_bglt BgL_auxz00_2975;

				{	/* Reduce/copy.scm 171 */
					BgL_nodez00_bglt BgL_arg1542z00_2371;

					BgL_arg1542z00_2371 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2210)))->BgL_testz00);
					BgL_auxz00_2975 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1542z00_2371);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2210)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2975), BUNSPEC);
			}
			{	/* Reduce/copy.scm 172 */
				obj_t BgL_g1257z00_2372;

				BgL_g1257z00_2372 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2210)))->BgL_clausesz00);
				{
					obj_t BgL_l1255z00_2374;

					BgL_l1255z00_2374 = BgL_g1257z00_2372;
				BgL_zc3z04anonymousza31543ze3z87_2373:
					if (PAIRP(BgL_l1255z00_2374))
						{	/* Reduce/copy.scm 172 */
							{	/* Reduce/copy.scm 173 */
								obj_t BgL_clausez00_2375;

								BgL_clausez00_2375 = CAR(BgL_l1255z00_2374);
								{	/* Reduce/copy.scm 173 */
									BgL_nodez00_bglt BgL_arg1548z00_2376;

									{	/* Reduce/copy.scm 173 */
										obj_t BgL_arg1551z00_2377;

										BgL_arg1551z00_2377 = CDR(((obj_t) BgL_clausez00_2375));
										BgL_arg1548z00_2376 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00(
											((BgL_nodez00_bglt) BgL_arg1551z00_2377));
									}
									{	/* Reduce/copy.scm 173 */
										obj_t BgL_auxz00_2992;
										obj_t BgL_tmpz00_2990;

										BgL_auxz00_2992 = ((obj_t) BgL_arg1548z00_2376);
										BgL_tmpz00_2990 = ((obj_t) BgL_clausez00_2375);
										SET_CDR(BgL_tmpz00_2990, BgL_auxz00_2992);
									}
								}
							}
							{
								obj_t BgL_l1255z00_2995;

								BgL_l1255z00_2995 = CDR(BgL_l1255z00_2374);
								BgL_l1255z00_2374 = BgL_l1255z00_2995;
								goto BgL_zc3z04anonymousza31543ze3z87_2373;
							}
						}
					else
						{	/* Reduce/copy.scm 172 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2210));
		}

	}



/* &node-copy!-fail1304 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail1304z70zzreduce_copyz00(obj_t
		BgL_envz00_2211, obj_t BgL_nodez00_2212)
	{
		{	/* Reduce/copy.scm 159 */
			{
				BgL_nodez00_bglt BgL_auxz00_2999;

				{	/* Reduce/copy.scm 161 */
					BgL_nodez00_bglt BgL_arg1524z00_2379;

					BgL_arg1524z00_2379 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2212)))->BgL_procz00);
					BgL_auxz00_2999 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1524z00_2379);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2212)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2999), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3005;

				{	/* Reduce/copy.scm 162 */
					BgL_nodez00_bglt BgL_arg1534z00_2380;

					BgL_arg1534z00_2380 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2212)))->BgL_msgz00);
					BgL_auxz00_3005 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1534z00_2380);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2212)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3005), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3011;

				{	/* Reduce/copy.scm 163 */
					BgL_nodez00_bglt BgL_arg1536z00_2381;

					BgL_arg1536z00_2381 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2212)))->BgL_objz00);
					BgL_auxz00_3011 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1536z00_2381);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2212)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3011), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2212));
		}

	}



/* &node-copy!-condition1302 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1302z70zzreduce_copyz00(obj_t
		BgL_envz00_2213, obj_t BgL_nodez00_2214)
	{
		{	/* Reduce/copy.scm 149 */
			{
				BgL_nodez00_bglt BgL_auxz00_3019;

				{	/* Reduce/copy.scm 151 */
					BgL_nodez00_bglt BgL_arg1497z00_2383;

					BgL_arg1497z00_2383 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2214)))->BgL_testz00);
					BgL_auxz00_3019 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1497z00_2383);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2214)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3019), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3025;

				{	/* Reduce/copy.scm 152 */
					BgL_nodez00_bglt BgL_arg1500z00_2384;

					BgL_arg1500z00_2384 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2214)))->BgL_truez00);
					BgL_auxz00_3025 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1500z00_2384);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2214)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3025), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3031;

				{	/* Reduce/copy.scm 153 */
					BgL_nodez00_bglt BgL_arg1520z00_2385;

					BgL_arg1520z00_2385 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2214)))->BgL_falsez00);
					BgL_auxz00_3031 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1520z00_2385);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2214)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3031), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2214));
		}

	}



/* &node-copy!-setq1300 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq1300z70zzreduce_copyz00(obj_t
		BgL_envz00_2215, obj_t BgL_nodez00_2216)
	{
		{	/* Reduce/copy.scm 140 */
			{
				BgL_nodez00_bglt BgL_auxz00_3039;

				{	/* Reduce/copy.scm 142 */
					BgL_nodez00_bglt BgL_arg1494z00_2387;

					BgL_arg1494z00_2387 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2216)))->BgL_valuez00);
					BgL_auxz00_3039 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1494z00_2387);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2216)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3039), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3045;

				{	/* Reduce/copy.scm 143 */
					BgL_varz00_bglt BgL_arg1496z00_2388;

					BgL_arg1496z00_2388 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2216)))->BgL_varz00);
					BgL_auxz00_3045 =
						((BgL_varz00_bglt)
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg1496z00_2388)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2216)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3045), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2216));
		}

	}



/* &node-copy!-cast1298 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast1298z70zzreduce_copyz00(obj_t
		BgL_envz00_2217, obj_t BgL_nodez00_2218)
	{
		{	/* Reduce/copy.scm 132 */
			{
				BgL_nodez00_bglt BgL_auxz00_3055;

				{	/* Reduce/copy.scm 134 */
					BgL_nodez00_bglt BgL_arg1477z00_2390;

					BgL_arg1477z00_2390 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2218)))->BgL_argz00);
					BgL_auxz00_3055 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1477z00_2390);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2218)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3055), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2218));
		}

	}



/* &node-copy!-extern1296 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern1296z70zzreduce_copyz00(obj_t
		BgL_envz00_2219, obj_t BgL_nodez00_2220)
	{
		{	/* Reduce/copy.scm 124 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2220)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2220));
		}

	}



/* &node-copy!-funcall1294 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall1294z70zzreduce_copyz00(obj_t
		BgL_envz00_2221, obj_t BgL_nodez00_2222)
	{
		{	/* Reduce/copy.scm 115 */
			{
				BgL_nodez00_bglt BgL_auxz00_3068;

				{	/* Reduce/copy.scm 117 */
					BgL_nodez00_bglt BgL_arg1456z00_2393;

					BgL_arg1456z00_2393 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2222)))->BgL_funz00);
					BgL_auxz00_3068 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1456z00_2393);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2222)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3068), BUNSPEC);
			}
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2222)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2222));
		}

	}



/* &node-copy!-app-ly1292 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly1292za2zzreduce_copyz00(obj_t
		BgL_envz00_2223, obj_t BgL_nodez00_2224)
	{
		{	/* Reduce/copy.scm 106 */
			{
				BgL_nodez00_bglt BgL_auxz00_3079;

				{	/* Reduce/copy.scm 108 */
					BgL_nodez00_bglt BgL_arg1430z00_2395;

					BgL_arg1430z00_2395 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2224)))->BgL_funz00);
					BgL_auxz00_3079 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1430z00_2395);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2224)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3079), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3085;

				{	/* Reduce/copy.scm 109 */
					BgL_nodez00_bglt BgL_arg1454z00_2396;

					BgL_arg1454z00_2396 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2224)))->BgL_argz00);
					BgL_auxz00_3085 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1454z00_2396);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2224)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3085), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2224));
		}

	}



/* &node-copy!-sync1290 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sync1290z70zzreduce_copyz00(obj_t
		BgL_envz00_2225, obj_t BgL_nodez00_2226)
	{
		{	/* Reduce/copy.scm 96 */
			{
				BgL_nodez00_bglt BgL_auxz00_3093;

				{	/* Reduce/copy.scm 98 */
					BgL_nodez00_bglt BgL_arg1416z00_2398;

					BgL_arg1416z00_2398 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2226)))->BgL_mutexz00);
					BgL_auxz00_3093 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1416z00_2398);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2226)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3093), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3099;

				{	/* Reduce/copy.scm 99 */
					BgL_nodez00_bglt BgL_arg1418z00_2399;

					BgL_arg1418z00_2399 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2226)))->BgL_prelockz00);
					BgL_auxz00_3099 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1418z00_2399);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2226)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3099), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3105;

				{	/* Reduce/copy.scm 100 */
					BgL_nodez00_bglt BgL_arg1419z00_2400;

					BgL_arg1419z00_2400 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2226)))->BgL_bodyz00);
					BgL_auxz00_3105 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1419z00_2400);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2226)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3105), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2226));
		}

	}



/* &node-copy!-sequence1288 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence1288z70zzreduce_copyz00(obj_t
		BgL_envz00_2227, obj_t BgL_nodez00_2228)
	{
		{	/* Reduce/copy.scm 88 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2228)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2228));
		}

	}



/* &node-copy!-closure1286 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure1286z70zzreduce_copyz00(obj_t
		BgL_envz00_2229, obj_t BgL_nodez00_2230)
	{
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2230));
		}

	}



/* &node-copy!-var1284 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var1284z70zzreduce_copyz00(obj_t
		BgL_envz00_2231, obj_t BgL_nodez00_2232)
	{
		{	/* Reduce/copy.scm 72 */
			{	/* Reduce/copy.scm 73 */
				BgL_variablez00_bglt BgL_vz00_2404;

				BgL_vz00_2404 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2232)))->BgL_variablez00);
				{	/* Reduce/copy.scm 74 */
					obj_t BgL_falphaz00_2405;

					BgL_falphaz00_2405 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2404))->
						BgL_fastzd2alphazd2);
					if ((BgL_falphaz00_2405 == BUNSPEC))
						{	/* Reduce/copy.scm 75 */
							return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2232));
						}
					else
						{	/* Reduce/copy.scm 76 */
							obj_t BgL_arg1400z00_2406;
							BgL_nodez00_bglt BgL_arg1401z00_2407;

							BgL_arg1400z00_2406 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_2232))))->BgL_locz00);
							BgL_arg1401z00_2407 =
								BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_falphaz00_2405));
							return
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
								BgL_arg1400z00_2406, BgL_arg1401z00_2407);
						}
				}
			}
		}

	}



/* &node-copy!-kwote1282 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote1282z70zzreduce_copyz00(obj_t
		BgL_envz00_2233, obj_t BgL_nodez00_2234)
	{
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2234));
		}

	}



/* &node-copy!-atom1280 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom1280z70zzreduce_copyz00(obj_t
		BgL_envz00_2235, obj_t BgL_nodez00_2236)
	{
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2236));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00()
	{
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1914z00zzreduce_copyz00));
		}

	}

#ifdef __cplusplus
}
#endif
