/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/ftypec.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1300z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1304za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1296za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21302z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1290z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1308za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1286z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1288z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1278z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1282z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1292z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1298za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1280za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1276z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1284z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1294z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62nodezd2typecz121273za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static obj_t BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1310z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121306zb0zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71881za7,
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1851z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1851za700za7za7r1882za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string1852z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1852za700za7za7r1883za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1853z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1853za700za7za7r1884za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string1854z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1854za700za7za7r1885za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1856z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1856za700za7za7r1886za7, "node-typec!1273", 15);
	      DEFINE_STRING(BGl_string1858z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1858za700za7za7r1887za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71888za7,
		BGl_z62nodezd2typecz121273za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71889za7,
		BGl_z62nodezd2typecz12zd2sequence1276z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71890za7,
		BGl_z62nodezd2typecz12zd2sync1278z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71891za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1280za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71892za7,
		BGl_z62nodezd2typecz12zd2funcall1282z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71893za7,
		BGl_z62nodezd2typecz12zd2extern1284z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71894za7,
		BGl_z62nodezd2typecz12zd2cast1286z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71895za7,
		BGl_z62nodezd2typecz12zd2setq1288z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71896za7,
		BGl_z62nodezd2typecz12zd2conditio1290z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71897za7,
		BGl_z62nodezd2typecz12zd2fail1292z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71898za7,
		BGl_z62nodezd2typecz12zd2switch1294z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71899za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1296za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71900za7,
		BGl_z62nodezd2typecz12zd2letzd2var1298za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1876za700za7za7r1901za7, "reduce_flow-typec", 17);
	      DEFINE_STRING(BGl_string1877z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1877za700za7za7r1902za7, "read done ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71903za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1300z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71904za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21302z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71905za7,
		BGl_z62nodezd2typecz12zd2makezd2box1304za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71906za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121306zb0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71907za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1308za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71908za7,
		BGl_z62nodezd2typecz12zd2app1310z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762reduceza7d2flow1909z00,
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2627, char *BgL_fromz00_2628)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2();
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					return BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_flow-typec");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2472;

				{	/* Reduce/ftypec.scm 15 */
					obj_t BgL_stringz00_2480;

					BgL_stringz00_2480 = BGl_string1877z00zzreduce_flowzd2typeczd2;
					{	/* Reduce/ftypec.scm 15 */
						obj_t BgL_startz00_2481;

						BgL_startz00_2481 = BINT(((long) 0));
						{	/* Reduce/ftypec.scm 15 */
							obj_t BgL_endz00_2482;

							BgL_endz00_2482 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2480)));
							{	/* Reduce/ftypec.scm 15 */

								BgL_cportz00_2472 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2480, BgL_startz00_2481, BgL_endz00_2482);
				}}}}
				{
					long BgL_iz00_2473;

					BgL_iz00_2473 = ((long) 1);
				BgL_loopz00_2474:
					if ((BgL_iz00_2473 == ((long) -1)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg1880z00_2476;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2478;

										BgL_locationz00_2478 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg1880z00_2476 =
												BGl_readz00zz__readerz00(BgL_cportz00_2472,
												BgL_locationz00_2478);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_tmpz00_2657;

									BgL_tmpz00_2657 = (int) (BgL_iz00_2473);
									CNST_TABLE_SET(BgL_tmpz00_2657, BgL_arg1880z00_2476);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2479;

								BgL_auxz00_2479 = (int) ((BgL_iz00_2473 - ((long) 1)));
								{
									long BgL_iz00_2662;

									BgL_iz00_2662 = (long) (BgL_auxz00_2479);
									BgL_iz00_2473 = BgL_iz00_2662;
									goto BgL_loopz00_2474;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
				((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list1315z00_1618;

				BgL_list1315z00_1618 =
					MAKE_YOUNG_PAIR(BGl_string1851z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1315z00_1618);
			}
			{
				obj_t BgL_l1262z00_1620;

				BgL_l1262z00_1620 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31316ze3z87_1621:
				if (PAIRP(BgL_l1262z00_1620))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_1623;

							BgL_globalz00_1623 = CAR(BgL_l1262z00_1620);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_1624;

								BgL_funz00_1624 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1623))))->
									BgL_valuez00);
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_1625;

									BgL_nodez00_1625 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1624)))->BgL_bodyz00);
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg1320z00_1626;

											BgL_arg1320z00_1626 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_nodez00_1625), BNIL);
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1624)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1320z00_1626)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1262z00_2681;

							BgL_l1262z00_2681 = CDR(BgL_l1262z00_1620);
							BgL_l1262z00_1620 = BgL_l1262z00_2681;
							goto BgL_zc3z04anonymousza31316ze3z87_1621;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list1322z00_1629;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg1323z00_1630;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg1324z00_1631;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg1325z00_1632;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg1326z00_1633;

								BgL_arg1326z00_1633 =
									MAKE_YOUNG_PAIR(BGl_string1852z00zzreduce_flowzd2typeczd2,
									BNIL);
								BgL_arg1325z00_1632 =
									MAKE_YOUNG_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg1326z00_1633);
							}
							BgL_arg1324z00_1631 =
								MAKE_YOUNG_PAIR(BGl_string1853z00zzreduce_flowzd2typeczd2,
								BgL_arg1325z00_1632);
						}
						BgL_arg1323z00_1630 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg1324z00_1631);
					}
					BgL_list1322z00_1629 =
						MAKE_YOUNG_PAIR(BGl_string1854z00zzreduce_flowzd2typeczd2,
						BgL_arg1323z00_1630);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1322z00_1629);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-flow-type-check! */
	obj_t BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2391, obj_t BgL_globalsz00_2392)
	{
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_2392);
		}

	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_40, obj_t BgL_stackz00_41)
	{
		{	/* Reduce/ftypec.scm 304 */
			{
				obj_t BgL_nodeza2za2_1635;

				BgL_nodeza2za2_1635 = BgL_nodeza2za2_40;
			BgL_zc3z04anonymousza31327ze3z87_1636:
				if (NULLP(BgL_nodeza2za2_1635))
					{	/* Reduce/ftypec.scm 306 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/ftypec.scm 306 */
						{	/* Reduce/ftypec.scm 309 */
							BgL_nodez00_bglt BgL_arg1331z00_1638;

							{	/* Reduce/ftypec.scm 309 */
								obj_t BgL_arg1332z00_1639;

								BgL_arg1332z00_1639 = CAR(((obj_t) BgL_nodeza2za2_1635));
								BgL_arg1331z00_1638 =
									BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
									((BgL_nodez00_bglt) BgL_arg1332z00_1639), BgL_stackz00_41);
							}
							{	/* Reduce/ftypec.scm 309 */
								obj_t BgL_auxz00_2702;
								obj_t BgL_tmpz00_2700;

								BgL_auxz00_2702 = ((obj_t) BgL_arg1331z00_1638);
								BgL_tmpz00_2700 = ((obj_t) BgL_nodeza2za2_1635);
								SET_CAR(BgL_tmpz00_2700, BgL_auxz00_2702);
							}
						}
						{	/* Reduce/ftypec.scm 310 */
							obj_t BgL_arg1333z00_1640;

							BgL_arg1333z00_1640 = CDR(((obj_t) BgL_nodeza2za2_1635));
							{
								obj_t BgL_nodeza2za2_2707;

								BgL_nodeza2za2_2707 = BgL_arg1333z00_1640;
								BgL_nodeza2za2_1635 = BgL_nodeza2za2_2707;
								goto BgL_zc3z04anonymousza31327ze3z87_1636;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_proc1855z00zzreduce_flowzd2typeczd2, BGl_nodez00zzast_nodez00,
				BGl_string1856z00zzreduce_flowzd2typeczd2);
		}

	}



/* &node-typec!1273 */
	obj_t BGl_z62nodezd2typecz121273za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2394, obj_t BgL_nodez00_2395, obj_t BgL_stackz00_2396)
	{
		{	/* Reduce/ftypec.scm 76 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2395));
		}

	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method1274z00_1647;

				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_res1843z00_2118;

					{	/* Reduce/ftypec.scm 76 */
						long BgL_objzd2classzd2numz00_2089;

						BgL_objzd2classzd2numz00_2089 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/ftypec.scm 76 */
							obj_t BgL_arg1829z00_2090;

							BgL_arg1829z00_2090 =
								PROCEDURE_REF
								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
								(int) (((long) 1)));
							{	/* Reduce/ftypec.scm 76 */
								int BgL_offsetz00_2093;

								BgL_offsetz00_2093 = (int) (BgL_objzd2classzd2numz00_2089);
								{	/* Reduce/ftypec.scm 76 */
									long BgL_offsetz00_2094;

									BgL_offsetz00_2094 =
										((long) (BgL_offsetz00_2093) - OBJECT_TYPE);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_modz00_2095;

										BgL_modz00_2095 =
											(BgL_offsetz00_2094 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/ftypec.scm 76 */
											long BgL_restz00_2097;

											BgL_restz00_2097 =
												(BgL_offsetz00_2094 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/ftypec.scm 76 */

												{	/* Reduce/ftypec.scm 76 */
													obj_t BgL_bucketz00_2099;

													BgL_bucketz00_2099 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2090), BgL_modz00_2095);
													BgL_res1843z00_2118 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2099), BgL_restz00_2097);
					}}}}}}}}
					BgL_method1274z00_1647 = BgL_res1843z00_2118;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1274z00_1647) (BgL_method1274z00_1647,
						((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA));
			}
		}

	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2397, obj_t BgL_nodez00_2398, obj_t BgL_stackz00_2399)
	{
		{	/* Reduce/ftypec.scm 76 */
			return
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				((BgL_nodez00_bglt) BgL_nodez00_2398), BgL_stackz00_2399);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1857z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_syncz00zzast_nodez00, BGl_proc1859z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1860z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1861z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc1862z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc1863z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc1864z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1865z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc1866z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_switchz00zzast_nodez00, BGl_proc1867z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1868z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1869z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1870z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1871z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1872z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1873z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1874z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc1875z00zzreduce_flowzd2typeczd2,
				BGl_string1858z00zzreduce_flowzd2typeczd2);
		}

	}



/* &node-typec!-app1310 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1310z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2418, obj_t BgL_nodez00_2419, obj_t BgL_stackz00_2420)
	{
		{	/* Reduce/ftypec.scm 320 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2419)))->BgL_argsz00),
				BgL_stackz00_2420);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2419));
		}

	}



/* &node-typec!-box-ref1308 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1308za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2421, obj_t BgL_nodez00_2422, obj_t BgL_stackz00_2423)
	{
		{	/* Reduce/ftypec.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_2768;

				{	/* Reduce/ftypec.scm 298 */
					BgL_varz00_bglt BgL_arg1676z00_2487;

					BgL_arg1676z00_2487 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2422)))->BgL_varz00);
					BgL_auxz00_2768 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1676z00_2487), BgL_stackz00_2423));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2422)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2768), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2422));
		}

	}



/* &node-typec!-box-set!1306 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121306zb0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2424, obj_t BgL_nodez00_2425, obj_t BgL_stackz00_2426)
	{
		{	/* Reduce/ftypec.scm 287 */
			{
				BgL_varz00_bglt BgL_auxz00_2778;

				{	/* Reduce/ftypec.scm 289 */
					BgL_varz00_bglt BgL_arg1668z00_2489;

					BgL_arg1668z00_2489 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2425)))->BgL_varz00);
					BgL_auxz00_2778 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1668z00_2489), BgL_stackz00_2426));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2425)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2778), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2786;

				{	/* Reduce/ftypec.scm 290 */
					BgL_nodez00_bglt BgL_arg1675z00_2490;

					BgL_arg1675z00_2490 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2425)))->BgL_valuez00);
					BgL_auxz00_2786 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1675z00_2490,
						BgL_stackz00_2426);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2425)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2786), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2425));
		}

	}



/* &node-typec!-make-box1304 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1304za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2427, obj_t BgL_nodez00_2428, obj_t BgL_stackz00_2429)
	{
		{	/* Reduce/ftypec.scm 279 */
			{
				BgL_nodez00_bglt BgL_auxz00_2794;

				{	/* Reduce/ftypec.scm 281 */
					BgL_nodez00_bglt BgL_arg1667z00_2492;

					BgL_arg1667z00_2492 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2428)))->BgL_valuez00);
					BgL_auxz00_2794 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1667z00_2492,
						BgL_stackz00_2429);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2428)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2794), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2428));
		}

	}



/* &node-typec!-jump-ex-1302 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21302z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2430, obj_t BgL_nodez00_2431, obj_t BgL_stackz00_2432)
	{
		{	/* Reduce/ftypec.scm 270 */
			{
				BgL_nodez00_bglt BgL_auxz00_2802;

				{	/* Reduce/ftypec.scm 272 */
					BgL_nodez00_bglt BgL_arg1660z00_2494;

					BgL_arg1660z00_2494 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2431)))->BgL_exitz00);
					BgL_auxz00_2802 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1660z00_2494,
						BgL_stackz00_2432);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2431)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2802), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2808;

				{	/* Reduce/ftypec.scm 273 */
					BgL_nodez00_bglt BgL_arg1665z00_2495;

					BgL_arg1665z00_2495 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2431)))->
						BgL_valuez00);
					BgL_auxz00_2808 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1665z00_2495,
						BgL_stackz00_2432);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2431)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2808), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2431));
		}

	}



/* &node-typec!-set-ex-i1300 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1300z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2433, obj_t BgL_nodez00_2434, obj_t BgL_stackz00_2435)
	{
		{	/* Reduce/ftypec.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_2816;

				{	/* Reduce/ftypec.scm 262 */
					BgL_nodez00_bglt BgL_arg1652z00_2497;

					BgL_arg1652z00_2497 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434)))->BgL_bodyz00);
					BgL_auxz00_2816 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1652z00_2497,
						BgL_stackz00_2435);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2816), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2822;

				{	/* Reduce/ftypec.scm 263 */
					BgL_nodez00_bglt BgL_arg1656z00_2498;

					BgL_arg1656z00_2498 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434)))->
						BgL_onexitz00);
					BgL_auxz00_2822 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1656z00_2498,
						BgL_stackz00_2435);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2822), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2828;

				{	/* Reduce/ftypec.scm 264 */
					BgL_varz00_bglt BgL_arg1657z00_2499;

					BgL_arg1657z00_2499 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434)))->BgL_varz00);
					BgL_auxz00_2828 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1657z00_2499), BgL_stackz00_2435));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2828), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2434));
		}

	}



/* &node-typec!-let-var1298 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1298za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437, obj_t BgL_stackz00_2438)
	{
		{	/* Reduce/ftypec.scm 249 */
			{	/* Reduce/ftypec.scm 251 */
				obj_t BgL_g1272z00_2501;

				BgL_g1272z00_2501 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2437)))->BgL_bindingsz00);
				{
					obj_t BgL_l1270z00_2503;

					BgL_l1270z00_2503 = BgL_g1272z00_2501;
				BgL_zc3z04anonymousza31620ze3z87_2502:
					if (PAIRP(BgL_l1270z00_2503))
						{	/* Reduce/ftypec.scm 251 */
							{	/* Reduce/ftypec.scm 252 */
								obj_t BgL_bindingz00_2504;

								BgL_bindingz00_2504 = CAR(BgL_l1270z00_2503);
								{	/* Reduce/ftypec.scm 252 */
									BgL_nodez00_bglt BgL_arg1632z00_2505;

									{	/* Reduce/ftypec.scm 252 */
										obj_t BgL_arg1633z00_2506;

										BgL_arg1633z00_2506 = CDR(((obj_t) BgL_bindingz00_2504));
										BgL_arg1632z00_2505 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
											((BgL_nodez00_bglt) BgL_arg1633z00_2506),
											BgL_stackz00_2438);
									}
									{	/* Reduce/ftypec.scm 252 */
										obj_t BgL_auxz00_2849;
										obj_t BgL_tmpz00_2847;

										BgL_auxz00_2849 = ((obj_t) BgL_arg1632z00_2505);
										BgL_tmpz00_2847 = ((obj_t) BgL_bindingz00_2504);
										SET_CDR(BgL_tmpz00_2847, BgL_auxz00_2849);
									}
								}
							}
							{
								obj_t BgL_l1270z00_2852;

								BgL_l1270z00_2852 = CDR(BgL_l1270z00_2503);
								BgL_l1270z00_2503 = BgL_l1270z00_2852;
								goto BgL_zc3z04anonymousza31620ze3z87_2502;
							}
						}
					else
						{	/* Reduce/ftypec.scm 251 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2854;

				{	/* Reduce/ftypec.scm 254 */
					BgL_nodez00_bglt BgL_arg1647z00_2507;

					BgL_arg1647z00_2507 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2437)))->BgL_bodyz00);
					BgL_auxz00_2854 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1647z00_2507,
						BgL_stackz00_2438);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2437)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2854), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2437));
		}

	}



/* &node-typec!-let-fun1296 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1296za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_stackz00_2441)
	{
		{	/* Reduce/ftypec.scm 237 */
			{	/* Reduce/ftypec.scm 239 */
				obj_t BgL_g1269z00_2509;

				BgL_g1269z00_2509 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2440)))->BgL_localsz00);
				{
					obj_t BgL_l1267z00_2511;

					BgL_l1267z00_2511 = BgL_g1269z00_2509;
				BgL_zc3z04anonymousza31604ze3z87_2510:
					if (PAIRP(BgL_l1267z00_2511))
						{	/* Reduce/ftypec.scm 239 */
							{	/* Reduce/ftypec.scm 240 */
								obj_t BgL_localz00_2512;

								BgL_localz00_2512 = CAR(BgL_l1267z00_2511);
								{	/* Reduce/ftypec.scm 240 */
									BgL_valuez00_bglt BgL_funz00_2513;

									BgL_funz00_2513 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2512))))->
										BgL_valuez00);
									{	/* Reduce/ftypec.scm 241 */
										BgL_nodez00_bglt BgL_arg1606z00_2514;

										{	/* Reduce/ftypec.scm 241 */
											obj_t BgL_arg1612z00_2515;

											BgL_arg1612z00_2515 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2513)))->
												BgL_bodyz00);
											BgL_arg1606z00_2514 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2((
													(BgL_nodez00_bglt) BgL_arg1612z00_2515),
												BgL_stackz00_2441);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2513)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1606z00_2514)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1267z00_2877;

								BgL_l1267z00_2877 = CDR(BgL_l1267z00_2511);
								BgL_l1267z00_2511 = BgL_l1267z00_2877;
								goto BgL_zc3z04anonymousza31604ze3z87_2510;
							}
						}
					else
						{	/* Reduce/ftypec.scm 239 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2879;

				{	/* Reduce/ftypec.scm 243 */
					BgL_nodez00_bglt BgL_arg1619z00_2516;

					BgL_arg1619z00_2516 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2440)))->BgL_bodyz00);
					BgL_auxz00_2879 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1619z00_2516,
						BgL_stackz00_2441);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2440)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2879), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2440));
		}

	}



/* &node-typec!-switch1294 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1294z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443, obj_t BgL_stackz00_2444)
	{
		{	/* Reduce/ftypec.scm 226 */
			{
				BgL_nodez00_bglt BgL_auxz00_2887;

				{	/* Reduce/ftypec.scm 228 */
					BgL_nodez00_bglt BgL_arg1595z00_2518;

					BgL_arg1595z00_2518 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2443)))->BgL_testz00);
					BgL_auxz00_2887 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1595z00_2518,
						BgL_stackz00_2444);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2443)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2887), BUNSPEC);
			}
			{	/* Reduce/ftypec.scm 229 */
				obj_t BgL_g1266z00_2519;

				BgL_g1266z00_2519 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2443)))->BgL_clausesz00);
				{
					obj_t BgL_l1264z00_2521;

					BgL_l1264z00_2521 = BgL_g1266z00_2519;
				BgL_zc3z04anonymousza31596ze3z87_2520:
					if (PAIRP(BgL_l1264z00_2521))
						{	/* Reduce/ftypec.scm 229 */
							{	/* Reduce/ftypec.scm 230 */
								obj_t BgL_clausez00_2522;

								BgL_clausez00_2522 = CAR(BgL_l1264z00_2521);
								{	/* Reduce/ftypec.scm 230 */
									BgL_nodez00_bglt BgL_arg1601z00_2523;

									{	/* Reduce/ftypec.scm 230 */
										obj_t BgL_arg1602z00_2524;

										BgL_arg1602z00_2524 = CDR(((obj_t) BgL_clausez00_2522));
										BgL_arg1601z00_2523 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
											((BgL_nodez00_bglt) BgL_arg1602z00_2524),
											BgL_stackz00_2444);
									}
									{	/* Reduce/ftypec.scm 230 */
										obj_t BgL_auxz00_2904;
										obj_t BgL_tmpz00_2902;

										BgL_auxz00_2904 = ((obj_t) BgL_arg1601z00_2523);
										BgL_tmpz00_2902 = ((obj_t) BgL_clausez00_2522);
										SET_CDR(BgL_tmpz00_2902, BgL_auxz00_2904);
									}
								}
							}
							{
								obj_t BgL_l1264z00_2907;

								BgL_l1264z00_2907 = CDR(BgL_l1264z00_2521);
								BgL_l1264z00_2521 = BgL_l1264z00_2907;
								goto BgL_zc3z04anonymousza31596ze3z87_2520;
							}
						}
					else
						{	/* Reduce/ftypec.scm 229 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2443));
		}

	}



/* &node-typec!-fail1292 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1292z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446, obj_t BgL_stackz00_2447)
	{
		{	/* Reduce/ftypec.scm 216 */
			{
				BgL_nodez00_bglt BgL_auxz00_2911;

				{	/* Reduce/ftypec.scm 218 */
					BgL_nodez00_bglt BgL_arg1585z00_2526;

					BgL_arg1585z00_2526 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2446)))->BgL_procz00);
					BgL_auxz00_2911 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1585z00_2526,
						BgL_stackz00_2447);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2446)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2911), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2917;

				{	/* Reduce/ftypec.scm 219 */
					BgL_nodez00_bglt BgL_arg1586z00_2527;

					BgL_arg1586z00_2527 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2446)))->BgL_msgz00);
					BgL_auxz00_2917 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1586z00_2527,
						BgL_stackz00_2447);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2446)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2917), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2923;

				{	/* Reduce/ftypec.scm 220 */
					BgL_nodez00_bglt BgL_arg1588z00_2528;

					BgL_arg1588z00_2528 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2446)))->BgL_objz00);
					BgL_auxz00_2923 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1588z00_2528,
						BgL_stackz00_2447);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2446)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2923), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2446));
		}

	}



/* &node-typec!-conditio1290 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1290z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2448, obj_t BgL_nodez00_2449, obj_t BgL_stackz00_2450)
	{
		{	/* Reduce/ftypec.scm 143 */
			{
				BgL_nodez00_bglt BgL_nodez00_2531;

				{
					BgL_nodez00_bglt BgL_auxz00_2931;

					{	/* Reduce/ftypec.scm 187 */
						BgL_nodez00_bglt BgL_arg1363z00_2581;

						BgL_arg1363z00_2581 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->BgL_testz00);
						BgL_auxz00_2931 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg1363z00_2581, BgL_stackz00_2450);
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2931), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 188 */
					obj_t BgL_typecz00_2582;

					BgL_nodez00_2531 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->BgL_testz00);
					{	/* Reduce/ftypec.scm 145 */
						bool_t BgL_test1917z00_2937;

						{	/* Reduce/ftypec.scm 145 */
							obj_t BgL_classz00_2532;

							BgL_classz00_2532 = BGl_appz00zzast_nodez00;
							{	/* Reduce/ftypec.scm 145 */
								BgL_objectz00_bglt BgL_arg1825z00_2533;

								{	/* Reduce/ftypec.scm 145 */
									obj_t BgL_tmpz00_2938;

									BgL_tmpz00_2938 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_2531));
									BgL_arg1825z00_2533 = (BgL_objectz00_bglt) (BgL_tmpz00_2938);
								}
								{	/* Reduce/ftypec.scm 145 */
									bool_t BgL_arg1822z00_2534;
									bool_t BgL_arg1823z00_2535;

									{	/* Reduce/ftypec.scm 145 */
										long BgL_idxz00_2536;

										BgL_idxz00_2536 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2533);
										BgL_arg1822z00_2534 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2536 + ((long) 3))) == BgL_classz00_2532);
									}
									{	/* Reduce/ftypec.scm 145 */
										bool_t BgL_res1844z00_2539;

										{	/* Reduce/ftypec.scm 145 */
											obj_t BgL_oclassz00_2540;

											{	/* Reduce/ftypec.scm 145 */
												long BgL_arg1833z00_2541;

												{	/* Reduce/ftypec.scm 145 */
													long BgL_arg1834z00_2542;

													BgL_arg1834z00_2542 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2533);
													BgL_arg1833z00_2541 =
														(BgL_arg1834z00_2542 - OBJECT_TYPE);
												}
												BgL_oclassz00_2540 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2541);
											}
											{	/* Reduce/ftypec.scm 145 */
												bool_t BgL__ortest_1110z00_2543;

												BgL__ortest_1110z00_2543 =
													(BgL_classz00_2532 == BgL_oclassz00_2540);
												if (BgL__ortest_1110z00_2543)
													{	/* Reduce/ftypec.scm 145 */
														BgL_res1844z00_2539 = BgL__ortest_1110z00_2543;
													}
												else
													{	/* Reduce/ftypec.scm 145 */
														long BgL_odepthz00_2544;

														BgL_odepthz00_2544 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2540);
														if ((((long) 3) < BgL_odepthz00_2544))
															{	/* Reduce/ftypec.scm 145 */
																obj_t BgL_arg1821z00_2545;

																BgL_arg1821z00_2545 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2540,
																	((long) 3));
																BgL_res1844z00_2539 =
																	(BgL_arg1821z00_2545 == BgL_classz00_2532);
															}
														else
															{	/* Reduce/ftypec.scm 145 */
																BgL_res1844z00_2539 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2535 = BgL_res1844z00_2539;
									}
									BgL_test1917z00_2937 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2534, BgL_arg1823z00_2535);
								}
							}
						}
						if (BgL_test1917z00_2937)
							{	/* Reduce/ftypec.scm 147 */
								obj_t BgL_g1115z00_2546;

								BgL_g1115z00_2546 =
									BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_2531);
								if (CBOOL(BgL_g1115z00_2546))
									{	/* Reduce/ftypec.scm 151 */
										bool_t BgL_test1921z00_2960;

										{	/* Reduce/ftypec.scm 151 */
											obj_t BgL_arg1500z00_2547;

											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_pairz00_2548;

												BgL_pairz00_2548 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2531)))->
													BgL_argsz00);
												BgL_arg1500z00_2547 = CAR(BgL_pairz00_2548);
											}
											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_classz00_2549;

												BgL_classz00_2549 = BGl_varz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1500z00_2547))
													{	/* Reduce/ftypec.scm 151 */
														BgL_objectz00_bglt BgL_arg1825z00_2550;

														BgL_arg1825z00_2550 =
															(BgL_objectz00_bglt) (BgL_arg1500z00_2547);
														{	/* Reduce/ftypec.scm 151 */
															bool_t BgL_arg1822z00_2551;
															bool_t BgL_arg1823z00_2552;

															{	/* Reduce/ftypec.scm 151 */
																long BgL_idxz00_2553;

																BgL_idxz00_2553 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2550);
																BgL_arg1822z00_2551 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2553 + ((long) 2))) ==
																	BgL_classz00_2549);
															}
															{	/* Reduce/ftypec.scm 151 */
																bool_t BgL_res1845z00_2556;

																{	/* Reduce/ftypec.scm 151 */
																	obj_t BgL_oclassz00_2557;

																	{	/* Reduce/ftypec.scm 151 */
																		long BgL_arg1833z00_2558;

																		{	/* Reduce/ftypec.scm 151 */
																			long BgL_arg1834z00_2559;

																			BgL_arg1834z00_2559 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2550);
																			BgL_arg1833z00_2558 =
																				(BgL_arg1834z00_2559 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2557 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2558);
																	}
																	{	/* Reduce/ftypec.scm 151 */
																		bool_t BgL__ortest_1110z00_2560;

																		BgL__ortest_1110z00_2560 =
																			(BgL_classz00_2549 == BgL_oclassz00_2557);
																		if (BgL__ortest_1110z00_2560)
																			{	/* Reduce/ftypec.scm 151 */
																				BgL_res1845z00_2556 =
																					BgL__ortest_1110z00_2560;
																			}
																		else
																			{	/* Reduce/ftypec.scm 151 */
																				long BgL_odepthz00_2561;

																				BgL_odepthz00_2561 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2557);
																				if ((((long) 2) < BgL_odepthz00_2561))
																					{	/* Reduce/ftypec.scm 151 */
																						obj_t BgL_arg1821z00_2562;

																						BgL_arg1821z00_2562 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2557, ((long) 2));
																						BgL_res1845z00_2556 =
																							(BgL_arg1821z00_2562 ==
																							BgL_classz00_2549);
																					}
																				else
																					{	/* Reduce/ftypec.scm 151 */
																						BgL_res1845z00_2556 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2552 = BgL_res1845z00_2556;
															}
															BgL_test1921z00_2960 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2551,
																BgL_arg1823z00_2552);
														}
													}
												else
													{	/* Reduce/ftypec.scm 151 */
														BgL_test1921z00_2960 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test1921z00_2960)
											{	/* Reduce/ftypec.scm 151 */
												BgL_typecz00_2582 = BgL_g1115z00_2546;
											}
										else
											{	/* Reduce/ftypec.scm 151 */
												BgL_typecz00_2582 = BFALSE;
											}
									}
								else
									{	/* Reduce/ftypec.scm 155 */
										bool_t BgL_test1925z00_2982;

										{	/* Reduce/ftypec.scm 155 */
											obj_t BgL_tmpz00_2983;

											BgL_tmpz00_2983 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2531)))->
												BgL_argsz00);
											BgL_test1925z00_2982 = PAIRP(BgL_tmpz00_2983);
										}
										if (BgL_test1925z00_2982)
											{	/* Reduce/ftypec.scm 156 */
												bool_t BgL_test1926z00_2987;

												{	/* Reduce/ftypec.scm 156 */
													obj_t BgL_tmpz00_2988;

													{	/* Reduce/ftypec.scm 156 */
														obj_t BgL_pairz00_2563;

														BgL_pairz00_2563 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2531)))->
															BgL_argsz00);
														BgL_tmpz00_2988 = CDR(BgL_pairz00_2563);
													}
													BgL_test1926z00_2987 = NULLP(BgL_tmpz00_2988);
												}
												if (BgL_test1926z00_2987)
													{	/* Reduce/ftypec.scm 157 */
														bool_t BgL_test1927z00_2993;

														{	/* Reduce/ftypec.scm 157 */
															obj_t BgL_arg1548z00_2564;

															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_pairz00_2565;

																BgL_pairz00_2565 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2531)))->
																	BgL_argsz00);
																BgL_arg1548z00_2564 = CAR(BgL_pairz00_2565);
															}
															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_classz00_2566;

																BgL_classz00_2566 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg1548z00_2564))
																	{	/* Reduce/ftypec.scm 157 */
																		BgL_objectz00_bglt BgL_arg1825z00_2567;

																		BgL_arg1825z00_2567 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1548z00_2564);
																		{	/* Reduce/ftypec.scm 157 */
																			bool_t BgL_arg1822z00_2568;
																			bool_t BgL_arg1823z00_2569;

																			{	/* Reduce/ftypec.scm 157 */
																				long BgL_idxz00_2570;

																				BgL_idxz00_2570 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2567);
																				BgL_arg1822z00_2568 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2570 + ((long) 2))) ==
																					BgL_classz00_2566);
																			}
																			{	/* Reduce/ftypec.scm 157 */
																				bool_t BgL_res1846z00_2573;

																				{	/* Reduce/ftypec.scm 157 */
																					obj_t BgL_oclassz00_2574;

																					{	/* Reduce/ftypec.scm 157 */
																						long BgL_arg1833z00_2575;

																						{	/* Reduce/ftypec.scm 157 */
																							long BgL_arg1834z00_2576;

																							BgL_arg1834z00_2576 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2567);
																							BgL_arg1833z00_2575 =
																								(BgL_arg1834z00_2576 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2574 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2575);
																					}
																					{	/* Reduce/ftypec.scm 157 */
																						bool_t BgL__ortest_1110z00_2577;

																						BgL__ortest_1110z00_2577 =
																							(BgL_classz00_2566 ==
																							BgL_oclassz00_2574);
																						if (BgL__ortest_1110z00_2577)
																							{	/* Reduce/ftypec.scm 157 */
																								BgL_res1846z00_2573 =
																									BgL__ortest_1110z00_2577;
																							}
																						else
																							{	/* Reduce/ftypec.scm 157 */
																								long BgL_odepthz00_2578;

																								BgL_odepthz00_2578 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2574);
																								if ((((long) 2) <
																										BgL_odepthz00_2578))
																									{	/* Reduce/ftypec.scm 157 */
																										obj_t BgL_arg1821z00_2579;

																										BgL_arg1821z00_2579 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2574,
																											((long) 2));
																										BgL_res1846z00_2573 =
																											(BgL_arg1821z00_2579 ==
																											BgL_classz00_2566);
																									}
																								else
																									{	/* Reduce/ftypec.scm 157 */
																										BgL_res1846z00_2573 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2569 =
																					BgL_res1846z00_2573;
																			}
																			BgL_test1927z00_2993 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2568,
																				BgL_arg1823z00_2569);
																		}
																	}
																else
																	{	/* Reduce/ftypec.scm 157 */
																		BgL_test1927z00_2993 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test1927z00_2993)
															{	/* Reduce/ftypec.scm 158 */
																bool_t BgL_test1931z00_3015;

																{	/* Reduce/ftypec.scm 158 */
																	obj_t BgL_tmpz00_3016;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3017;

																		{
																			BgL_varz00_bglt BgL_auxz00_3018;

																			{	/* Reduce/ftypec.scm 158 */
																				obj_t BgL_pairz00_2580;

																				BgL_pairz00_2580 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_2531)))->
																					BgL_argsz00);
																				BgL_auxz00_3018 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2580));
																			}
																			BgL_auxz00_3017 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3018))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3016 =
																			(((BgL_variablez00_bglt)
																				COBJECT(BgL_auxz00_3017))->
																			BgL_accessz00);
																	}
																	BgL_test1931z00_3015 =
																		(BgL_tmpz00_3016 ==
																		CNST_TABLE_REF(((long) 1)));
																}
																if (BgL_test1931z00_3015)
																	{	/* Reduce/ftypec.scm 161 */

																		BgL_typecz00_2582 =
																			(((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									(((BgL_varz00_bglt) COBJECT(
																												(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_nodez00_2531)))->
																													BgL_funz00)))->
																										BgL_variablez00)))->
																							BgL_valuez00))))->
																			BgL_predicatezd2ofzd2);
																	}
																else
																	{	/* Reduce/ftypec.scm 158 */
																		BgL_typecz00_2582 = BFALSE;
																	}
															}
														else
															{	/* Reduce/ftypec.scm 157 */
																BgL_typecz00_2582 = BFALSE;
															}
													}
												else
													{	/* Reduce/ftypec.scm 156 */
														BgL_typecz00_2582 = BFALSE;
													}
											}
										else
											{	/* Reduce/ftypec.scm 155 */
												BgL_typecz00_2582 = BFALSE;
											}
									}
							}
						else
							{	/* Reduce/ftypec.scm 145 */
								BgL_typecz00_2582 = BFALSE;
							}
					}
					{	/* Reduce/ftypec.scm 189 */
						bool_t BgL_test1932z00_3035;

						{	/* Reduce/ftypec.scm 189 */
							obj_t BgL_classz00_2583;

							BgL_classz00_2583 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_typecz00_2582))
								{	/* Reduce/ftypec.scm 189 */
									BgL_objectz00_bglt BgL_arg1825z00_2584;

									BgL_arg1825z00_2584 =
										(BgL_objectz00_bglt) (BgL_typecz00_2582);
									{	/* Reduce/ftypec.scm 189 */
										bool_t BgL_arg1822z00_2585;
										bool_t BgL_arg1823z00_2586;

										{	/* Reduce/ftypec.scm 189 */
											long BgL_idxz00_2587;

											BgL_idxz00_2587 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2584);
											BgL_arg1822z00_2585 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2587 + ((long) 1))) == BgL_classz00_2583);
										}
										{	/* Reduce/ftypec.scm 189 */
											bool_t BgL_res1847z00_2590;

											{	/* Reduce/ftypec.scm 189 */
												obj_t BgL_oclassz00_2591;

												{	/* Reduce/ftypec.scm 189 */
													long BgL_arg1833z00_2592;

													{	/* Reduce/ftypec.scm 189 */
														long BgL_arg1834z00_2593;

														BgL_arg1834z00_2593 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2584);
														BgL_arg1833z00_2592 =
															(BgL_arg1834z00_2593 - OBJECT_TYPE);
													}
													BgL_oclassz00_2591 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2592);
												}
												{	/* Reduce/ftypec.scm 189 */
													bool_t BgL__ortest_1110z00_2594;

													BgL__ortest_1110z00_2594 =
														(BgL_classz00_2583 == BgL_oclassz00_2591);
													if (BgL__ortest_1110z00_2594)
														{	/* Reduce/ftypec.scm 189 */
															BgL_res1847z00_2590 = BgL__ortest_1110z00_2594;
														}
													else
														{	/* Reduce/ftypec.scm 189 */
															long BgL_odepthz00_2595;

															BgL_odepthz00_2595 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2591);
															if ((((long) 1) < BgL_odepthz00_2595))
																{	/* Reduce/ftypec.scm 189 */
																	obj_t BgL_arg1821z00_2596;

																	BgL_arg1821z00_2596 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2591,
																		((long) 1));
																	BgL_res1847z00_2590 =
																		(BgL_arg1821z00_2596 == BgL_classz00_2583);
																}
															else
																{	/* Reduce/ftypec.scm 189 */
																	BgL_res1847z00_2590 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2586 = BgL_res1847z00_2590;
										}
										BgL_test1932z00_3035 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2585,
											BgL_arg1823z00_2586);
									}
								}
							else
								{	/* Reduce/ftypec.scm 189 */
									BgL_test1932z00_3035 = ((bool_t) 0);
								}
						}
						if (BgL_test1932z00_3035)
							{	/* Reduce/ftypec.scm 194 */
								obj_t BgL_argsz00_2597;

								BgL_argsz00_2597 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->
													BgL_testz00))))->BgL_argsz00);
								{	/* Reduce/ftypec.scm 194 */
									BgL_variablez00_bglt BgL_varz00_2598;

									BgL_varz00_2598 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt)
													CAR(((obj_t) BgL_argsz00_2597)))))->BgL_variablez00);
									{	/* Reduce/ftypec.scm 195 */
										obj_t BgL_typesz00_2599;

										BgL_typesz00_2599 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_varz00_2598), BgL_stackz00_2450);
										{	/* Reduce/ftypec.scm 196 */
											obj_t BgL_tzd2stackzd2_2600;

											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_arg1419z00_2601;

												{	/* Reduce/ftypec.scm 197 */
													obj_t BgL_arg1430z00_2602;

													BgL_arg1430z00_2602 =
														MAKE_YOUNG_PAIR(BgL_typecz00_2582, BTRUE);
													BgL_arg1419z00_2601 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_varz00_2598), BgL_arg1430z00_2602);
												}
												BgL_tzd2stackzd2_2600 =
													MAKE_YOUNG_PAIR(BgL_arg1419z00_2601,
													BgL_stackz00_2450);
											}
											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_fzd2stackzd2_2603;

												{	/* Reduce/ftypec.scm 198 */
													obj_t BgL_arg1416z00_2604;

													{	/* Reduce/ftypec.scm 198 */
														obj_t BgL_arg1418z00_2605;

														BgL_arg1418z00_2605 =
															MAKE_YOUNG_PAIR(BgL_typecz00_2582, BFALSE);
														BgL_arg1416z00_2604 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_varz00_2598), BgL_arg1418z00_2605);
													}
													BgL_fzd2stackzd2_2603 =
														MAKE_YOUNG_PAIR(BgL_arg1416z00_2604,
														BgL_stackz00_2450);
												}
												{	/* Reduce/ftypec.scm 198 */

													{	/* Reduce/ftypec.scm 199 */
														bool_t BgL_test1936z00_3072;

														if (CBOOL(BgL_typesz00_2599))
															{	/* Reduce/ftypec.scm 199 */
																bool_t BgL_test1938z00_3075;

																{	/* Reduce/ftypec.scm 199 */
																	obj_t BgL_tmpz00_3076;

																	{	/* Reduce/ftypec.scm 199 */
																		obj_t BgL_pairz00_2606;

																		BgL_pairz00_2606 =
																			CDR(((obj_t) BgL_typesz00_2599));
																		BgL_tmpz00_3076 = CAR(BgL_pairz00_2606);
																	}
																	BgL_test1938z00_3075 =
																		(BgL_tmpz00_3076 == BgL_typecz00_2582);
																}
																if (BgL_test1938z00_3075)
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_test1936z00_3072 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_test1936z00_3072 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BgL_test1936z00_3072 = ((bool_t) 1);
															}
														if (BgL_test1936z00_3072)
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{
																	BgL_nodez00_bglt BgL_auxz00_3082;

																	{	/* Reduce/ftypec.scm 203 */
																		BgL_nodez00_bglt BgL_arg1380z00_2607;

																		BgL_arg1380z00_2607 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2449)))->BgL_truez00);
																		BgL_auxz00_3082 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg1380z00_2607,
																			BgL_tzd2stackzd2_2600);
																	}
																	((((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2449)))->BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3082),
																		BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_3088;

																	{	/* Reduce/ftypec.scm 204 */
																		BgL_nodez00_bglt BgL_arg1381z00_2608;

																		BgL_arg1381z00_2608 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2449)))->BgL_falsez00);
																		BgL_auxz00_3088 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg1381z00_2608,
																			BgL_fzd2stackzd2_2603);
																	}
																	((((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2449)))->BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3088),
																		BUNSPEC);
																}
																return
																	((BgL_nodez00_bglt)
																	((BgL_conditionalz00_bglt) BgL_nodez00_2449));
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 209 */
																	bool_t BgL_test1939z00_3097;

																	{	/* Reduce/ftypec.scm 209 */
																		obj_t BgL_pairz00_2609;

																		BgL_pairz00_2609 =
																			CDR(((obj_t) BgL_typesz00_2599));
																		BgL_test1939z00_3097 =
																			CBOOL(CDR(BgL_pairz00_2609));
																	}
																	if (BgL_test1939z00_3097)
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						COBJECT(((BgL_conditionalz00_bglt)
																								BgL_nodez00_2449)))->
																					BgL_truez00), BgL_tzd2stackzd2_2600);
																		}
																	else
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						COBJECT(((BgL_conditionalz00_bglt)
																								BgL_nodez00_2449)))->
																					BgL_falsez00), BgL_fzd2stackzd2_2603);
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 189 */
								{
									BgL_nodez00_bglt BgL_auxz00_3108;

									{	/* Reduce/ftypec.scm 191 */
										BgL_nodez00_bglt BgL_arg1457z00_2610;

										BgL_arg1457z00_2610 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->
											BgL_truez00);
										BgL_auxz00_3108 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg1457z00_2610, BgL_stackz00_2450);
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->
											BgL_truez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3108), BUNSPEC);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3114;

									{	/* Reduce/ftypec.scm 192 */
										BgL_nodez00_bglt BgL_arg1462z00_2611;

										BgL_arg1462z00_2611 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->
											BgL_falsez00);
										BgL_auxz00_3114 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg1462z00_2611, BgL_stackz00_2450);
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2449)))->
											BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3114), BUNSPEC);
								}
								return
									((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_2449));
							}
					}
				}
			}
		}

	}



/* &node-typec!-setq1288 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1288z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2451, obj_t BgL_nodez00_2452, obj_t BgL_stackz00_2453)
	{
		{	/* Reduce/ftypec.scm 134 */
			{
				BgL_nodez00_bglt BgL_auxz00_3122;

				{	/* Reduce/ftypec.scm 136 */
					BgL_nodez00_bglt BgL_arg1358z00_2613;

					BgL_arg1358z00_2613 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2452)))->BgL_valuez00);
					BgL_auxz00_3122 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1358z00_2613,
						BgL_stackz00_2453);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2452)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3122), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3128;

				{	/* Reduce/ftypec.scm 137 */
					BgL_varz00_bglt BgL_arg1361z00_2614;

					BgL_arg1361z00_2614 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2452)))->BgL_varz00);
					BgL_auxz00_3128 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1361z00_2614), BgL_stackz00_2453));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2452)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3128), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2452));
		}

	}



/* &node-typec!-cast1286 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1286z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2454, obj_t BgL_nodez00_2455, obj_t BgL_stackz00_2456)
	{
		{	/* Reduce/ftypec.scm 126 */
			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2455)))->BgL_argz00),
				BgL_stackz00_2456);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2455));
		}

	}



/* &node-typec!-extern1284 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1284z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2457, obj_t BgL_nodez00_2458, obj_t BgL_stackz00_2459)
	{
		{	/* Reduce/ftypec.scm 118 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2458)))->BgL_exprza2za2),
				BgL_stackz00_2459);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2458));
		}

	}



/* &node-typec!-funcall1282 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1282z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2460, obj_t BgL_nodez00_2461, obj_t BgL_stackz00_2462)
	{
		{	/* Reduce/ftypec.scm 109 */
			{
				BgL_nodez00_bglt BgL_auxz00_3148;

				{	/* Reduce/ftypec.scm 111 */
					BgL_nodez00_bglt BgL_arg1348z00_2618;

					BgL_arg1348z00_2618 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2461)))->BgL_funz00);
					BgL_auxz00_3148 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1348z00_2618,
						BgL_stackz00_2462);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2461)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3148), BUNSPEC);
			}
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2461)))->BgL_argsz00),
				BgL_stackz00_2462);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2461));
		}

	}



/* &node-typec!-app-ly1280 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1280za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2463, obj_t BgL_nodez00_2464, obj_t BgL_stackz00_2465)
	{
		{	/* Reduce/ftypec.scm 100 */
			{
				BgL_nodez00_bglt BgL_auxz00_3159;

				{	/* Reduce/ftypec.scm 102 */
					BgL_nodez00_bglt BgL_arg1343z00_2620;

					BgL_arg1343z00_2620 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2464)))->BgL_funz00);
					BgL_auxz00_3159 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1343z00_2620,
						BgL_stackz00_2465);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2464)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3159), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3165;

				{	/* Reduce/ftypec.scm 103 */
					BgL_nodez00_bglt BgL_arg1347z00_2621;

					BgL_arg1347z00_2621 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2464)))->BgL_argz00);
					BgL_auxz00_3165 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1347z00_2621,
						BgL_stackz00_2465);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2464)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3165), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2464));
		}

	}



/* &node-typec!-sync1278 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1278z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467, obj_t BgL_stackz00_2468)
	{
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_nodez00_bglt BgL_auxz00_3173;

				{	/* Reduce/ftypec.scm 92 */
					BgL_nodez00_bglt BgL_arg1339z00_2623;

					BgL_arg1339z00_2623 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2467)))->BgL_mutexz00);
					BgL_auxz00_3173 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1339z00_2623,
						BgL_stackz00_2468);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2467)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3173), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3179;

				{	/* Reduce/ftypec.scm 93 */
					BgL_nodez00_bglt BgL_arg1340z00_2624;

					BgL_arg1340z00_2624 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2467)))->BgL_prelockz00);
					BgL_auxz00_3179 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1340z00_2624,
						BgL_stackz00_2468);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2467)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3179), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3185;

				{	/* Reduce/ftypec.scm 94 */
					BgL_nodez00_bglt BgL_arg1341z00_2625;

					BgL_arg1341z00_2625 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2467)))->BgL_bodyz00);
					BgL_auxz00_3185 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1341z00_2625,
						BgL_stackz00_2468);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2467)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3185), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2467));
		}

	}



/* &node-typec!-sequence1276 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1276z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2469, obj_t BgL_nodez00_2470, obj_t BgL_stackz00_2471)
	{
		{	/* Reduce/ftypec.scm 82 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2470)))->BgL_nodesz00),
				BgL_stackz00_2471);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2470));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2));
		}

	}

#ifdef __cplusplus
}
#endif
