/*===========================================================================*/
/*   (Reduce/same.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/same.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2condition1304z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2valloc1300z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_samez00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2letzd2var1308z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2app1290z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2cast1302z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_samez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_samez00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2fail1306z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_samez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2funcall1288z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_samez00();
	static obj_t BGl_z62samezd2nodezf3zd2sequence1282z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2appzd2ly1286z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2sync1284z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2extern1292z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_samez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00();
	static obj_t BGl_gczd2rootszd2initz00zzreduce_samez00();
	BGL_EXPORTED_DECL bool_t
		BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62samezd2nodezf31273z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2getfield1296z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2atom1276z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2pragma1294z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2var1280z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2kwote1278z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2setfield1298z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1956z00zzreduce_samez00,
		BgL_bgl_string1956za700za7za7r1979za7, "same-node?1273", 14);
	      DEFINE_STRING(BGl_string1958z00zzreduce_samez00,
		BgL_bgl_string1958za700za7za7r1980za7, "same-node?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1981za7,
		BGl_z62samezd2nodezf31273z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1982za7,
		BGl_z62samezd2nodezf3zd2atom1276z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1983za7,
		BGl_z62samezd2nodezf3zd2kwote1278z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1984za7,
		BGl_z62samezd2nodezf3zd2var1280z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1985za7,
		BGl_z62samezd2nodezf3zd2sequence1282z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1986za7,
		BGl_z62samezd2nodezf3zd2sync1284z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1987za7,
		BGl_z62samezd2nodezf3zd2appzd2ly1286z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1988za7,
		BGl_z62samezd2nodezf3zd2funcall1288z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1989za7,
		BGl_z62samezd2nodezf3zd2app1290z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1990za7,
		BGl_z62samezd2nodezf3zd2extern1292z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1991za7,
		BGl_z62samezd2nodezf3zd2pragma1294z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1992za7,
		BGl_z62samezd2nodezf3zd2getfield1296z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1975z00zzreduce_samez00,
		BgL_bgl_string1975za700za7za7r1993za7, "reduce_same", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1994za7,
		BGl_z62samezd2nodezf3zd2setfield1298z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1976z00zzreduce_samez00,
		BgL_bgl_string1976za700za7za7r1995za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1996za7,
		BGl_z62samezd2nodezf3zd2valloc1300z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1997za7,
		BGl_z62samezd2nodezf3zd2cast1302z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1998za7,
		BGl_z62samezd2nodezf3zd2condition1304z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f1999za7,
		BGl_z62samezd2nodezf3zd2fail1306z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2000za7,
		BGl_z62samezd2nodezf3zd2letzd2var1308z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2001za7,
		BGl_z62samezd2nodezf3z43zzreduce_samez00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_samez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long
		BgL_checksumz00_3603, char *BgL_fromz00_3604)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_samez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_samez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_samez00();
					BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
					BGl_cnstzd2initzd2zzreduce_samez00();
					BGl_importedzd2moduleszd2initz00zzreduce_samez00();
					BGl_genericzd2initzd2zzreduce_samez00();
					BGl_methodzd2initzd2zzreduce_samez00();
					return BGl_toplevelzd2initzd2zzreduce_samez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_same");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			{	/* Reduce/same.scm 15 */
				obj_t BgL_cportz00_3240;

				{	/* Reduce/same.scm 15 */
					obj_t BgL_stringz00_3248;

					BgL_stringz00_3248 = BGl_string1976z00zzreduce_samez00;
					{	/* Reduce/same.scm 15 */
						obj_t BgL_startz00_3249;

						BgL_startz00_3249 = BINT(((long) 0));
						{	/* Reduce/same.scm 15 */
							obj_t BgL_endz00_3250;

							BgL_endz00_3250 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3248)));
							{	/* Reduce/same.scm 15 */

								BgL_cportz00_3240 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3248, BgL_startz00_3249, BgL_endz00_3250);
				}}}}
				{
					long BgL_iz00_3241;

					BgL_iz00_3241 = ((long) 0);
				BgL_loopz00_3242:
					if ((BgL_iz00_3241 == ((long) -1)))
						{	/* Reduce/same.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/same.scm 15 */
							{	/* Reduce/same.scm 15 */
								obj_t BgL_arg1978z00_3244;

								{	/* Reduce/same.scm 15 */

									{	/* Reduce/same.scm 15 */
										obj_t BgL_locationz00_3246;

										BgL_locationz00_3246 = BBOOL(((bool_t) 0));
										{	/* Reduce/same.scm 15 */

											BgL_arg1978z00_3244 =
												BGl_readz00zz__readerz00(BgL_cportz00_3240,
												BgL_locationz00_3246);
										}
									}
								}
								{	/* Reduce/same.scm 15 */
									int BgL_tmpz00_3634;

									BgL_tmpz00_3634 = (int) (BgL_iz00_3241);
									CNST_TABLE_SET(BgL_tmpz00_3634, BgL_arg1978z00_3244);
							}}
							{	/* Reduce/same.scm 15 */
								int BgL_auxz00_3247;

								BgL_auxz00_3247 = (int) ((BgL_iz00_3241 - ((long) 1)));
								{
									long BgL_iz00_3639;

									BgL_iz00_3639 = (long) (BgL_auxz00_3247);
									BgL_iz00_3241 = BgL_iz00_3639;
									goto BgL_loopz00_3242;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}

	}



/* same-node*? */
	bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t BgL_node1z00_57,
		obj_t BgL_node2z00_58, obj_t BgL_aliasz00_59)
	{
		{	/* Reduce/same.scm 227 */
		BGl_samezd2nodeza2zf3z83zzreduce_samez00:
			if (NULLP(BgL_node1z00_57))
				{	/* Reduce/same.scm 229 */
					return NULLP(BgL_node2z00_58);
				}
			else
				{	/* Reduce/same.scm 229 */
					if (NULLP(BgL_node2z00_58))
						{	/* Reduce/same.scm 231 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/same.scm 233 */
							bool_t BgL_test2006z00_3647;

							{	/* Reduce/same.scm 233 */
								obj_t BgL_arg1322z00_1419;
								obj_t BgL_arg1323z00_1420;

								BgL_arg1322z00_1419 = CAR(((obj_t) BgL_node1z00_57));
								BgL_arg1323z00_1420 = CAR(((obj_t) BgL_node2z00_58));
								BgL_test2006z00_3647 =
									BGl_samezd2nodezf3z21zzreduce_samez00(
									((BgL_nodez00_bglt) BgL_arg1322z00_1419),
									((BgL_nodez00_bglt) BgL_arg1323z00_1420), BgL_aliasz00_59);
							}
							if (BgL_test2006z00_3647)
								{	/* Reduce/same.scm 234 */
									obj_t BgL_arg1320z00_1417;
									obj_t BgL_arg1321z00_1418;

									BgL_arg1320z00_1417 = CDR(((obj_t) BgL_node1z00_57));
									BgL_arg1321z00_1418 = CDR(((obj_t) BgL_node2z00_58));
									{
										obj_t BgL_node2z00_3660;
										obj_t BgL_node1z00_3659;

										BgL_node1z00_3659 = BgL_arg1320z00_1417;
										BgL_node2z00_3660 = BgL_arg1321z00_1418;
										BgL_node2z00_58 = BgL_node2z00_3660;
										BgL_node1z00_57 = BgL_node1z00_3659;
										goto BGl_samezd2nodeza2zf3z83zzreduce_samez00;
									}
								}
							else
								{	/* Reduce/same.scm 233 */
									return ((bool_t) 0);
								}
						}
				}
		}

	}



/* aliased? */
	bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt BgL_var1z00_60,
		BgL_variablez00_bglt BgL_var2z00_61, obj_t BgL_aliasz00_62)
	{
		{	/* Reduce/same.scm 241 */
			{
				obj_t BgL_aliasz00_1422;

				BgL_aliasz00_1422 = BgL_aliasz00_62;
			BgL_zc3z04anonymousza31324ze3z87_1423:
				if (NULLP(BgL_aliasz00_1422))
					{	/* Reduce/same.scm 244 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/same.scm 246 */
						bool_t BgL_test2008z00_3663;

						{	/* Reduce/same.scm 246 */
							obj_t BgL_tmpz00_3664;

							{	/* Reduce/same.scm 246 */
								obj_t BgL_pairz00_1926;

								BgL_pairz00_1926 = CAR(((obj_t) BgL_aliasz00_1422));
								BgL_tmpz00_3664 = CAR(BgL_pairz00_1926);
							}
							BgL_test2008z00_3663 =
								(BgL_tmpz00_3664 == ((obj_t) BgL_var1z00_60));
						}
						if (BgL_test2008z00_3663)
							{	/* Reduce/same.scm 247 */
								bool_t BgL_test2009z00_3670;

								{	/* Reduce/same.scm 247 */
									obj_t BgL_tmpz00_3671;

									{	/* Reduce/same.scm 247 */
										obj_t BgL_pairz00_1928;

										BgL_pairz00_1928 = CAR(((obj_t) BgL_aliasz00_1422));
										BgL_tmpz00_3671 = CDR(BgL_pairz00_1928);
									}
									BgL_test2009z00_3670 =
										(BgL_tmpz00_3671 == ((obj_t) BgL_var2z00_61));
								}
								if (BgL_test2009z00_3670)
									{	/* Reduce/same.scm 247 */
										return ((bool_t) 1);
									}
								else
									{
										obj_t BgL_aliasz00_3677;

										BgL_aliasz00_3677 = CDR(((obj_t) BgL_aliasz00_1422));
										BgL_aliasz00_1422 = BgL_aliasz00_3677;
										goto BgL_zc3z04anonymousza31324ze3z87_1423;
									}
							}
						else
							{	/* Reduce/same.scm 250 */
								bool_t BgL_test2010z00_3680;

								{	/* Reduce/same.scm 250 */
									obj_t BgL_tmpz00_3681;

									{	/* Reduce/same.scm 250 */
										obj_t BgL_pairz00_1931;

										BgL_pairz00_1931 = CAR(((obj_t) BgL_aliasz00_1422));
										BgL_tmpz00_3681 = CAR(BgL_pairz00_1931);
									}
									BgL_test2010z00_3680 =
										(BgL_tmpz00_3681 == ((obj_t) BgL_var2z00_61));
								}
								if (BgL_test2010z00_3680)
									{	/* Reduce/same.scm 251 */
										bool_t BgL_test2011z00_3687;

										{	/* Reduce/same.scm 251 */
											obj_t BgL_tmpz00_3688;

											{	/* Reduce/same.scm 251 */
												obj_t BgL_pairz00_1933;

												BgL_pairz00_1933 = CAR(((obj_t) BgL_aliasz00_1422));
												BgL_tmpz00_3688 = CDR(BgL_pairz00_1933);
											}
											BgL_test2011z00_3687 =
												(BgL_tmpz00_3688 == ((obj_t) BgL_var1z00_60));
										}
										if (BgL_test2011z00_3687)
											{	/* Reduce/same.scm 251 */
												return ((bool_t) 1);
											}
										else
											{
												obj_t BgL_aliasz00_3694;

												BgL_aliasz00_3694 = CDR(((obj_t) BgL_aliasz00_1422));
												BgL_aliasz00_1422 = BgL_aliasz00_3694;
												goto BgL_zc3z04anonymousza31324ze3z87_1423;
											}
									}
								else
									{
										obj_t BgL_aliasz00_3697;

										BgL_aliasz00_3697 = CDR(((obj_t) BgL_aliasz00_1422));
										BgL_aliasz00_1422 = BgL_aliasz00_3697;
										goto BgL_zc3z04anonymousza31324ze3z87_1423;
									}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_proc1955z00zzreduce_samez00, BGl_nodez00zzast_nodez00,
				BGl_string1956z00zzreduce_samez00);
		}

	}



/* &same-node?1273 */
	obj_t BGl_z62samezd2nodezf31273z43zzreduce_samez00(obj_t BgL_envz00_3147,
		obj_t BgL_node1z00_3148, obj_t BgL_node2z00_3149, obj_t BgL_aliasz00_3150)
	{
		{	/* Reduce/same.scm 26 */
			return BBOOL(((bool_t) 0));
		}

	}



/* same-node? */
	BGL_EXPORTED_DEF bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt
		BgL_node1z00_3, BgL_nodez00_bglt BgL_node2z00_4, obj_t BgL_aliasz00_5)
	{
		{	/* Reduce/same.scm 26 */
			{	/* Reduce/same.scm 26 */
				obj_t BgL_method1274z00_1455;

				{	/* Reduce/same.scm 26 */
					obj_t BgL_res1922z00_1966;

					{	/* Reduce/same.scm 26 */
						long BgL_objzd2classzd2numz00_1937;

						BgL_objzd2classzd2numz00_1937 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_node1z00_3));
						{	/* Reduce/same.scm 26 */
							obj_t BgL_arg1829z00_1938;

							BgL_arg1829z00_1938 =
								PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
								(int) (((long) 1)));
							{	/* Reduce/same.scm 26 */
								int BgL_offsetz00_1941;

								BgL_offsetz00_1941 = (int) (BgL_objzd2classzd2numz00_1937);
								{	/* Reduce/same.scm 26 */
									long BgL_offsetz00_1942;

									BgL_offsetz00_1942 =
										((long) (BgL_offsetz00_1941) - OBJECT_TYPE);
									{	/* Reduce/same.scm 26 */
										long BgL_modz00_1943;

										BgL_modz00_1943 =
											(BgL_offsetz00_1942 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/same.scm 26 */
											long BgL_restz00_1945;

											BgL_restz00_1945 =
												(BgL_offsetz00_1942 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/same.scm 26 */

												{	/* Reduce/same.scm 26 */
													obj_t BgL_bucketz00_1947;

													BgL_bucketz00_1947 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1938), BgL_modz00_1943);
													BgL_res1922z00_1966 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1947), BgL_restz00_1945);
					}}}}}}}}
					BgL_method1274z00_1455 = BgL_res1922z00_1966;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method1274z00_1455) (BgL_method1274z00_1455,
						((obj_t) BgL_node1z00_3),
						((obj_t) BgL_node2z00_4), BgL_aliasz00_5, BEOA));
			}
		}

	}



/* &same-node? */
	obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t BgL_envz00_3151,
		obj_t BgL_node1z00_3152, obj_t BgL_node2z00_3153, obj_t BgL_aliasz00_3154)
	{
		{	/* Reduce/same.scm 26 */
			return
				BBOOL(BGl_samezd2nodezf3z21zzreduce_samez00(
					((BgL_nodez00_bglt) BgL_node1z00_3152),
					((BgL_nodez00_bglt) BgL_node2z00_3153), BgL_aliasz00_3154));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_atomz00zzast_nodez00,
				BGl_proc1957z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1959z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_varz00zzast_nodez00,
				BGl_proc1960z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1961z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_syncz00zzast_nodez00,
				BGl_proc1962z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1963z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1964z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appz00zzast_nodez00,
				BGl_proc1965z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_externz00zzast_nodez00, BGl_proc1966z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_pragmaz00zzast_nodez00, BGl_proc1967z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc1968z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc1969z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_vallocz00zzast_nodez00, BGl_proc1970z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_castz00zzast_nodez00,
				BGl_proc1971z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1972z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_failz00zzast_nodez00,
				BGl_proc1973z00zzreduce_samez00, BGl_string1958z00zzreduce_samez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1974z00zzreduce_samez00,
				BGl_string1958z00zzreduce_samez00);
		}

	}



/* &same-node?-let-var1308 */
	obj_t BGl_z62samezd2nodezf3zd2letzd2var1308z43zzreduce_samez00(obj_t
		BgL_envz00_3172, obj_t BgL_nodez00_3173, obj_t BgL_node2z00_3174,
		obj_t BgL_aliasz00_3175)
	{
		{	/* Reduce/same.scm 193 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_3757;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2012z00_3758;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3258;

						BgL_classz00_3258 = BGl_letzd2varzd2zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3259;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3759;

								BgL_tmpz00_3759 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3174));
								BgL_arg1825z00_3259 = (BgL_objectz00_bglt) (BgL_tmpz00_3759);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3260;
								bool_t BgL_arg1823z00_3261;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3262;

									BgL_idxz00_3262 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3259);
									BgL_arg1822z00_3260 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3262 + ((long) 3))) == BgL_classz00_3258);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1938z00_3265;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3266;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3267;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3268;

												BgL_arg1834z00_3268 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3259);
												BgL_arg1833z00_3267 =
													(BgL_arg1834z00_3268 - OBJECT_TYPE);
											}
											BgL_oclassz00_3266 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3267);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3269;

											BgL__ortest_1110z00_3269 =
												(BgL_classz00_3258 == BgL_oclassz00_3266);
											if (BgL__ortest_1110z00_3269)
												{	/* Tools/trace.sch 53 */
													BgL_res1938z00_3265 = BgL__ortest_1110z00_3269;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3270;

													BgL_odepthz00_3270 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3266);
													if ((((long) 3) < BgL_odepthz00_3270))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3271;

															BgL_arg1821z00_3271 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3266,
																((long) 3));
															BgL_res1938z00_3265 =
																(BgL_arg1821z00_3271 == BgL_classz00_3258);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1938z00_3265 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3261 = BgL_res1938z00_3265;
								}
								BgL_test2012z00_3758 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3260, BgL_arg1823z00_3261);
							}
						}
					}
					if (BgL_test2012z00_3758)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3173))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3174)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									if (
										(bgl_list_length(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_3173)))->
													BgL_bindingsz00)) ==
											bgl_list_length((((BgL_letzd2varzd2_bglt)
														COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3174))))->BgL_bindingsz00))))
										{	/* Tools/trace.sch 53 */
											obj_t BgL_newzd2aliaszd2_3274;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1788z00_3275;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_ll1267z00_3276;
													obj_t BgL_ll1268z00_3277;

													BgL_ll1267z00_3276 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3173)))->
														BgL_bindingsz00);
													BgL_ll1268z00_3277 =
														(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3174))))->
														BgL_bindingsz00);
													if (NULLP(BgL_ll1267z00_3276))
														{	/* Tools/trace.sch 53 */
															BgL_arg1788z00_3275 = BNIL;
														}
													else
														{	/* Tools/trace.sch 53 */
															obj_t BgL_head1269z00_3278;

															BgL_head1269z00_3278 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_ll1267z00_3280;
																obj_t BgL_ll1268z00_3281;
																obj_t BgL_tail1270z00_3282;

																BgL_ll1267z00_3280 = BgL_ll1267z00_3276;
																BgL_ll1268z00_3281 = BgL_ll1268z00_3277;
																BgL_tail1270z00_3282 = BgL_head1269z00_3278;
															BgL_zc3z04anonymousza31791ze3z87_3279:
																if (NULLP(BgL_ll1267z00_3280))
																	{	/* Tools/trace.sch 53 */
																		BgL_arg1788z00_3275 =
																			CDR(BgL_head1269z00_3278);
																	}
																else
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_newtail1271z00_3283;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1805z00_3284;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_b1z00_3285;
																				obj_t BgL_b2z00_3286;

																				BgL_b1z00_3285 =
																					CAR(((obj_t) BgL_ll1267z00_3280));
																				BgL_b2z00_3286 =
																					CAR(((obj_t) BgL_ll1268z00_3281));
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1807z00_3287;
																					obj_t BgL_arg1808z00_3288;

																					BgL_arg1807z00_3287 =
																						CAR(((obj_t) BgL_b1z00_3285));
																					BgL_arg1808z00_3288 =
																						CAR(((obj_t) BgL_b2z00_3286));
																					BgL_arg1805z00_3284 =
																						MAKE_YOUNG_PAIR(BgL_arg1807z00_3287,
																						BgL_arg1808z00_3288);
																				}
																			}
																			BgL_newtail1271z00_3283 =
																				MAKE_YOUNG_PAIR(BgL_arg1805z00_3284,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1270z00_3282,
																			BgL_newtail1271z00_3283);
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1799z00_3289;
																			obj_t BgL_arg1801z00_3290;

																			BgL_arg1799z00_3289 =
																				CDR(((obj_t) BgL_ll1267z00_3280));
																			BgL_arg1801z00_3290 =
																				CDR(((obj_t) BgL_ll1268z00_3281));
																			{
																				obj_t BgL_tail1270z00_3824;
																				obj_t BgL_ll1268z00_3823;
																				obj_t BgL_ll1267z00_3822;

																				BgL_ll1267z00_3822 =
																					BgL_arg1799z00_3289;
																				BgL_ll1268z00_3823 =
																					BgL_arg1801z00_3290;
																				BgL_tail1270z00_3824 =
																					BgL_newtail1271z00_3283;
																				BgL_tail1270z00_3282 =
																					BgL_tail1270z00_3824;
																				BgL_ll1268z00_3281 = BgL_ll1268z00_3823;
																				BgL_ll1267z00_3280 = BgL_ll1267z00_3822;
																				goto
																					BgL_zc3z04anonymousza31791ze3z87_3279;
																			}
																		}
																	}
															}
														}
												}
												BgL_newzd2aliaszd2_3274 =
													BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1788z00_3275, BgL_aliasz00_3175);
											}
											{	/* Tools/trace.sch 53 */
												bool_t BgL_test2019z00_3826;

												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1781z00_3291;
													BgL_nodez00_bglt BgL_arg1785z00_3292;

													BgL_arg1781z00_3291 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3173)))->
														BgL_bodyz00);
													BgL_arg1785z00_3292 =
														(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3174))))->
														BgL_bodyz00);
													BgL_test2019z00_3826 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1781z00_3291, BgL_arg1785z00_3292,
														BgL_newzd2aliaszd2_3274);
												}
												if (BgL_test2019z00_3826)
													{	/* Tools/trace.sch 53 */
														obj_t BgL_g1156z00_3293;
														obj_t BgL_g1157z00_3294;

														BgL_g1156z00_3293 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3173)))->
															BgL_bindingsz00);
														BgL_g1157z00_3294 =
															(((BgL_letzd2varzd2_bglt)
																COBJECT(((BgL_letzd2varzd2_bglt) (
																			(BgL_nodez00_bglt) BgL_node2z00_3174))))->
															BgL_bindingsz00);
														{
															obj_t BgL_bindings1z00_3296;
															obj_t BgL_bindings2z00_3297;

															BgL_bindings1z00_3296 = BgL_g1156z00_3293;
															BgL_bindings2z00_3297 = BgL_g1157z00_3294;
														BgL_loopz00_3295:
															if (NULLP(BgL_bindings1z00_3296))
																{	/* Tools/trace.sch 53 */
																	BgL_tmpz00_3757 = ((bool_t) 1);
																}
															else
																{	/* Tools/trace.sch 53 */
																	bool_t BgL_test2021z00_3840;

																	{	/* Tools/trace.sch 53 */
																		bool_t BgL_test2022z00_3841;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_tmpz00_3842;

																			{
																				BgL_variablez00_bglt BgL_auxz00_3843;

																				{
																					BgL_localz00_bglt BgL_auxz00_3844;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_pairz00_3298;

																						BgL_pairz00_3298 =
																							CAR(
																							((obj_t) BgL_bindings1z00_3296));
																						BgL_auxz00_3844 =
																							((BgL_localz00_bglt)
																							CAR(BgL_pairz00_3298));
																					}
																					BgL_auxz00_3843 =
																						((BgL_variablez00_bglt)
																						BgL_auxz00_3844);
																				}
																				BgL_tmpz00_3842 =
																					(((BgL_variablez00_bglt)
																						COBJECT(BgL_auxz00_3843))->
																					BgL_accessz00);
																			}
																			BgL_test2022z00_3841 =
																				(BgL_tmpz00_3842 ==
																				CNST_TABLE_REF(((long) 0)));
																		}
																		if (BgL_test2022z00_3841)
																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_tmpz00_3853;

																				{
																					BgL_variablez00_bglt BgL_auxz00_3854;

																					{
																						BgL_localz00_bglt BgL_auxz00_3855;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_pairz00_3299;

																							BgL_pairz00_3299 =
																								CAR(
																								((obj_t)
																									BgL_bindings2z00_3297));
																							BgL_auxz00_3855 =
																								((BgL_localz00_bglt)
																								CAR(BgL_pairz00_3299));
																						}
																						BgL_auxz00_3854 =
																							((BgL_variablez00_bglt)
																							BgL_auxz00_3855);
																					}
																					BgL_tmpz00_3853 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_3854))->
																						BgL_accessz00);
																				}
																				BgL_test2021z00_3840 =
																					(BgL_tmpz00_3853 ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																		else
																			{	/* Tools/trace.sch 53 */
																				BgL_test2021z00_3840 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2021z00_3840)
																		{	/* Tools/trace.sch 53 */
																			bool_t BgL_test2023z00_3864;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1752z00_3300;
																				obj_t BgL_arg1753z00_3301;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_pairz00_3302;

																					BgL_pairz00_3302 =
																						CAR(
																						((obj_t) BgL_bindings1z00_3296));
																					BgL_arg1752z00_3300 =
																						CDR(BgL_pairz00_3302);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_pairz00_3303;

																					BgL_pairz00_3303 =
																						CAR(
																						((obj_t) BgL_bindings2z00_3297));
																					BgL_arg1753z00_3301 =
																						CDR(BgL_pairz00_3303);
																				}
																				BgL_test2023z00_3864 =
																					BGl_samezd2nodezf3z21zzreduce_samez00(
																					((BgL_nodez00_bglt)
																						BgL_arg1752z00_3300),
																					((BgL_nodez00_bglt)
																						BgL_arg1753z00_3301),
																					BgL_aliasz00_3175);
																			}
																			if (BgL_test2023z00_3864)
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1750z00_3304;
																					obj_t BgL_arg1751z00_3305;

																					BgL_arg1750z00_3304 =
																						CDR(
																						((obj_t) BgL_bindings1z00_3296));
																					BgL_arg1751z00_3305 =
																						CDR(
																						((obj_t) BgL_bindings2z00_3297));
																					{
																						obj_t BgL_bindings2z00_3879;
																						obj_t BgL_bindings1z00_3878;

																						BgL_bindings1z00_3878 =
																							BgL_arg1750z00_3304;
																						BgL_bindings2z00_3879 =
																							BgL_arg1751z00_3305;
																						BgL_bindings2z00_3297 =
																							BgL_bindings2z00_3879;
																						BgL_bindings1z00_3296 =
																							BgL_bindings1z00_3878;
																						goto BgL_loopz00_3295;
																					}
																				}
																			else
																				{	/* Tools/trace.sch 53 */
																					BgL_tmpz00_3757 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Tools/trace.sch 53 */
																			BgL_tmpz00_3757 = ((bool_t) 0);
																		}
																}
														}
													}
												else
													{	/* Tools/trace.sch 53 */
														BgL_tmpz00_3757 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_3757 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_3757 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_3757 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_3757);
			}
		}

	}



/* &same-node?-fail1306 */
	obj_t BGl_z62samezd2nodezf3zd2fail1306z91zzreduce_samez00(obj_t
		BgL_envz00_3176, obj_t BgL_nodez00_3177, obj_t BgL_node2z00_3178,
		obj_t BgL_aliasz00_3179)
	{
		{	/* Reduce/same.scm 180 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_3881;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2024z00_3882;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3308;

						BgL_classz00_3308 = BGl_failz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3309;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3883;

								BgL_tmpz00_3883 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3178));
								BgL_arg1825z00_3309 = (BgL_objectz00_bglt) (BgL_tmpz00_3883);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3310;
								bool_t BgL_arg1823z00_3311;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3312;

									BgL_idxz00_3312 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3309);
									BgL_arg1822z00_3310 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3312 + ((long) 2))) == BgL_classz00_3308);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1937z00_3315;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3316;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3317;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3318;

												BgL_arg1834z00_3318 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3309);
												BgL_arg1833z00_3317 =
													(BgL_arg1834z00_3318 - OBJECT_TYPE);
											}
											BgL_oclassz00_3316 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3317);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3319;

											BgL__ortest_1110z00_3319 =
												(BgL_classz00_3308 == BgL_oclassz00_3316);
											if (BgL__ortest_1110z00_3319)
												{	/* Tools/trace.sch 53 */
													BgL_res1937z00_3315 = BgL__ortest_1110z00_3319;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3320;

													BgL_odepthz00_3320 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3316);
													if ((((long) 2) < BgL_odepthz00_3320))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3321;

															BgL_arg1821z00_3321 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3316,
																((long) 2));
															BgL_res1937z00_3315 =
																(BgL_arg1821z00_3321 == BgL_classz00_3308);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1937z00_3315 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3311 = BgL_res1937z00_3315;
								}
								BgL_test2024z00_3882 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3310, BgL_arg1823z00_3311);
							}
						}
					}
					if (BgL_test2024z00_3882)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_failz00_bglt) BgL_nodez00_3177))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3178)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									bool_t BgL_test2028z00_3911;

									{	/* Tools/trace.sch 53 */
										BgL_nodez00_bglt BgL_arg1713z00_3322;
										BgL_nodez00_bglt BgL_arg1714z00_3323;

										BgL_arg1713z00_3322 =
											(((BgL_failz00_bglt) COBJECT(
													((BgL_failz00_bglt) BgL_nodez00_3177)))->BgL_msgz00);
										BgL_arg1714z00_3323 =
											(((BgL_failz00_bglt) COBJECT(
													((BgL_failz00_bglt)
														((BgL_nodez00_bglt) BgL_node2z00_3178))))->
											BgL_msgz00);
										BgL_test2028z00_3911 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1713z00_3322,
											BgL_arg1714z00_3323, BgL_aliasz00_3179);
									}
									if (BgL_test2028z00_3911)
										{	/* Tools/trace.sch 53 */
											bool_t BgL_test2029z00_3918;

											{	/* Tools/trace.sch 53 */
												BgL_nodez00_bglt BgL_arg1711z00_3324;
												BgL_nodez00_bglt BgL_arg1712z00_3325;

												BgL_arg1711z00_3324 =
													(((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_3177)))->
													BgL_procz00);
												BgL_arg1712z00_3325 =
													(((BgL_failz00_bglt)
														COBJECT(((BgL_failz00_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3178))))->BgL_procz00);
												BgL_test2029z00_3918 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1711z00_3324, BgL_arg1712z00_3325,
													BgL_aliasz00_3179);
											}
											if (BgL_test2029z00_3918)
												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1703z00_3326;
													BgL_nodez00_bglt BgL_arg1706z00_3327;

													BgL_arg1703z00_3326 =
														(((BgL_failz00_bglt) COBJECT(
																((BgL_failz00_bglt) BgL_nodez00_3177)))->
														BgL_objz00);
													BgL_arg1706z00_3327 =
														(((BgL_failz00_bglt)
															COBJECT(((BgL_failz00_bglt) ((BgL_nodez00_bglt)
																		BgL_node2z00_3178))))->BgL_objz00);
													BgL_tmpz00_3881 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1703z00_3326, BgL_arg1706z00_3327,
														BgL_aliasz00_3179);
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_3881 = ((bool_t) 0);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_3881 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_3881 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_3881 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_3881);
			}
		}

	}



/* &same-node?-condition1304 */
	obj_t BGl_z62samezd2nodezf3zd2condition1304z91zzreduce_samez00(obj_t
		BgL_envz00_3180, obj_t BgL_nodez00_3181, obj_t BgL_node2z00_3182,
		obj_t BgL_aliasz00_3183)
	{
		{	/* Reduce/same.scm 167 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_3932;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2030z00_3933;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3330;

						BgL_classz00_3330 = BGl_conditionalz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3331;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3934;

								BgL_tmpz00_3934 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3182));
								BgL_arg1825z00_3331 = (BgL_objectz00_bglt) (BgL_tmpz00_3934);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3332;
								bool_t BgL_arg1823z00_3333;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3334;

									BgL_idxz00_3334 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3331);
									BgL_arg1822z00_3332 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3334 + ((long) 3))) == BgL_classz00_3330);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1936z00_3337;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3338;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3339;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3340;

												BgL_arg1834z00_3340 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3331);
												BgL_arg1833z00_3339 =
													(BgL_arg1834z00_3340 - OBJECT_TYPE);
											}
											BgL_oclassz00_3338 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3339);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3341;

											BgL__ortest_1110z00_3341 =
												(BgL_classz00_3330 == BgL_oclassz00_3338);
											if (BgL__ortest_1110z00_3341)
												{	/* Tools/trace.sch 53 */
													BgL_res1936z00_3337 = BgL__ortest_1110z00_3341;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3342;

													BgL_odepthz00_3342 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3338);
													if ((((long) 3) < BgL_odepthz00_3342))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3343;

															BgL_arg1821z00_3343 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3338,
																((long) 3));
															BgL_res1936z00_3337 =
																(BgL_arg1821z00_3343 == BgL_classz00_3330);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1936z00_3337 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3333 = BgL_res1936z00_3337;
								}
								BgL_test2030z00_3933 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3332, BgL_arg1823z00_3333);
							}
						}
					}
					if (BgL_test2030z00_3933)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_conditionalz00_bglt) BgL_nodez00_3181))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3182)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									bool_t BgL_test2034z00_3962;

									{	/* Tools/trace.sch 53 */
										BgL_nodez00_bglt BgL_arg1694z00_3344;
										BgL_nodez00_bglt BgL_arg1695z00_3345;

										BgL_arg1694z00_3344 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3181)))->
											BgL_falsez00);
										BgL_arg1695z00_3345 =
											(((BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3182))))->BgL_falsez00);
										BgL_test2034z00_3962 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1694z00_3344,
											BgL_arg1695z00_3345, BgL_aliasz00_3183);
									}
									if (BgL_test2034z00_3962)
										{	/* Tools/trace.sch 53 */
											bool_t BgL_test2035z00_3969;

											{	/* Tools/trace.sch 53 */
												BgL_nodez00_bglt BgL_arg1681z00_3346;
												BgL_nodez00_bglt BgL_arg1682z00_3347;

												BgL_arg1681z00_3346 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3181)))->
													BgL_truez00);
												BgL_arg1682z00_3347 =
													(((BgL_conditionalz00_bglt)
														COBJECT(((BgL_conditionalz00_bglt) (
																	(BgL_nodez00_bglt) BgL_node2z00_3182))))->
													BgL_truez00);
												BgL_test2035z00_3969 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1681z00_3346, BgL_arg1682z00_3347,
													BgL_aliasz00_3183);
											}
											if (BgL_test2035z00_3969)
												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1678z00_3348;
													BgL_nodez00_bglt BgL_arg1679z00_3349;

													BgL_arg1678z00_3348 =
														(((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt) BgL_nodez00_3181)))->
														BgL_testz00);
													BgL_arg1679z00_3349 =
														(((BgL_conditionalz00_bglt)
															COBJECT(((BgL_conditionalz00_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3182))))->
														BgL_testz00);
													BgL_tmpz00_3932 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1678z00_3348, BgL_arg1679z00_3349,
														BgL_aliasz00_3183);
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_3932 = ((bool_t) 0);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_3932 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_3932 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_3932 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_3932);
			}
		}

	}



/* &same-node?-cast1302 */
	obj_t BGl_z62samezd2nodezf3zd2cast1302z91zzreduce_samez00(obj_t
		BgL_envz00_3184, obj_t BgL_nodez00_3185, obj_t BgL_node2z00_3186,
		obj_t BgL_aliasz00_3187)
	{
		{	/* Reduce/same.scm 159 */
			{	/* Reduce/same.scm 160 */
				bool_t BgL_tmpz00_3983;

				{	/* Reduce/same.scm 160 */
					bool_t BgL_test2036z00_3984;

					{	/* Reduce/same.scm 160 */
						obj_t BgL_classz00_3352;

						BgL_classz00_3352 = BGl_castz00zzast_nodez00;
						{	/* Reduce/same.scm 160 */
							BgL_objectz00_bglt BgL_arg1825z00_3353;

							{	/* Reduce/same.scm 160 */
								obj_t BgL_tmpz00_3985;

								BgL_tmpz00_3985 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3186));
								BgL_arg1825z00_3353 = (BgL_objectz00_bglt) (BgL_tmpz00_3985);
							}
							{	/* Reduce/same.scm 160 */
								bool_t BgL_arg1822z00_3354;
								bool_t BgL_arg1823z00_3355;

								{	/* Reduce/same.scm 160 */
									long BgL_idxz00_3356;

									BgL_idxz00_3356 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3353);
									BgL_arg1822z00_3354 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3356 + ((long) 2))) == BgL_classz00_3352);
								}
								{	/* Reduce/same.scm 160 */
									bool_t BgL_res1935z00_3359;

									{	/* Reduce/same.scm 160 */
										obj_t BgL_oclassz00_3360;

										{	/* Reduce/same.scm 160 */
											long BgL_arg1833z00_3361;

											{	/* Reduce/same.scm 160 */
												long BgL_arg1834z00_3362;

												BgL_arg1834z00_3362 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3353);
												BgL_arg1833z00_3361 =
													(BgL_arg1834z00_3362 - OBJECT_TYPE);
											}
											BgL_oclassz00_3360 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3361);
										}
										{	/* Reduce/same.scm 160 */
											bool_t BgL__ortest_1110z00_3363;

											BgL__ortest_1110z00_3363 =
												(BgL_classz00_3352 == BgL_oclassz00_3360);
											if (BgL__ortest_1110z00_3363)
												{	/* Reduce/same.scm 160 */
													BgL_res1935z00_3359 = BgL__ortest_1110z00_3363;
												}
											else
												{	/* Reduce/same.scm 160 */
													long BgL_odepthz00_3364;

													BgL_odepthz00_3364 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3360);
													if ((((long) 2) < BgL_odepthz00_3364))
														{	/* Reduce/same.scm 160 */
															obj_t BgL_arg1821z00_3365;

															BgL_arg1821z00_3365 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3360,
																((long) 2));
															BgL_res1935z00_3359 =
																(BgL_arg1821z00_3365 == BgL_classz00_3352);
														}
													else
														{	/* Reduce/same.scm 160 */
															BgL_res1935z00_3359 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3355 = BgL_res1935z00_3359;
								}
								BgL_test2036z00_3984 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3354, BgL_arg1823z00_3355);
							}
						}
					}
					if (BgL_test2036z00_3984)
						{	/* Reduce/same.scm 160 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_castz00_bglt) BgL_nodez00_3185))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3186)))->BgL_typez00))))
								{	/* Reduce/same.scm 162 */
									BgL_nodez00_bglt BgL_arg1667z00_3366;
									BgL_nodez00_bglt BgL_arg1668z00_3367;

									BgL_arg1667z00_3366 =
										(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt) BgL_nodez00_3185)))->BgL_argz00);
									BgL_arg1668z00_3367 =
										(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt)
													((BgL_nodez00_bglt) BgL_node2z00_3186))))->
										BgL_argz00);
									BgL_tmpz00_3983 =
										BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1667z00_3366,
										BgL_arg1668z00_3367, BgL_aliasz00_3187);
								}
							else
								{	/* Reduce/same.scm 161 */
									BgL_tmpz00_3983 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 160 */
							BgL_tmpz00_3983 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_3983);
			}
		}

	}



/* &same-node?-valloc1300 */
	obj_t BGl_z62samezd2nodezf3zd2valloc1300z91zzreduce_samez00(obj_t
		BgL_envz00_3188, obj_t BgL_nodez00_3189, obj_t BgL_node2z00_3190,
		obj_t BgL_aliasz00_3191)
	{
		{	/* Reduce/same.scm 153 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &same-node?-setfield1298 */
	obj_t BGl_z62samezd2nodezf3zd2setfield1298z91zzreduce_samez00(obj_t
		BgL_envz00_3192, obj_t BgL_nodez00_3193, obj_t BgL_node2z00_3194,
		obj_t BgL_aliasz00_3195)
	{
		{	/* Reduce/same.scm 145 */
			{

				{	/* Reduce/same.scm 146 */
					bool_t BgL_test2040z00_4021;

					{	/* Reduce/same.scm 146 */
						obj_t BgL_classz00_3374;

						BgL_classz00_3374 = BGl_setfieldz00zzast_nodez00;
						{	/* Reduce/same.scm 146 */
							BgL_objectz00_bglt BgL_arg1825z00_3375;

							{	/* Reduce/same.scm 146 */
								obj_t BgL_tmpz00_4022;

								BgL_tmpz00_4022 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3194));
								BgL_arg1825z00_3375 = (BgL_objectz00_bglt) (BgL_tmpz00_4022);
							}
							{	/* Reduce/same.scm 146 */
								bool_t BgL_arg1822z00_3376;
								bool_t BgL_arg1823z00_3377;

								{	/* Reduce/same.scm 146 */
									long BgL_idxz00_3378;

									BgL_idxz00_3378 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3375);
									BgL_arg1822z00_3376 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3378 + ((long) 5))) == BgL_classz00_3374);
								}
								{	/* Reduce/same.scm 146 */
									bool_t BgL_res1934z00_3381;

									{	/* Reduce/same.scm 146 */
										obj_t BgL_oclassz00_3382;

										{	/* Reduce/same.scm 146 */
											long BgL_arg1833z00_3383;

											{	/* Reduce/same.scm 146 */
												long BgL_arg1834z00_3384;

												BgL_arg1834z00_3384 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3375);
												BgL_arg1833z00_3383 =
													(BgL_arg1834z00_3384 - OBJECT_TYPE);
											}
											BgL_oclassz00_3382 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3383);
										}
										{	/* Reduce/same.scm 146 */
											bool_t BgL__ortest_1110z00_3385;

											BgL__ortest_1110z00_3385 =
												(BgL_classz00_3374 == BgL_oclassz00_3382);
											if (BgL__ortest_1110z00_3385)
												{	/* Reduce/same.scm 146 */
													BgL_res1934z00_3381 = BgL__ortest_1110z00_3385;
												}
											else
												{	/* Reduce/same.scm 146 */
													long BgL_odepthz00_3386;

													BgL_odepthz00_3386 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3382);
													if ((((long) 5) < BgL_odepthz00_3386))
														{	/* Reduce/same.scm 146 */
															obj_t BgL_arg1821z00_3387;

															BgL_arg1821z00_3387 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3382,
																((long) 5));
															BgL_res1934z00_3381 =
																(BgL_arg1821z00_3387 == BgL_classz00_3374);
														}
													else
														{	/* Reduce/same.scm 146 */
															BgL_res1934z00_3381 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3377 = BgL_res1934z00_3381;
								}
								BgL_test2040z00_4021 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3376, BgL_arg1823z00_3377);
							}
						}
					}
					if (BgL_test2040z00_4021)
						{	/* Reduce/same.scm 147 */
							bool_t BgL_test2043z00_4041;

							{	/* Reduce/same.scm 147 */
								obj_t BgL_arg1660z00_3388;
								obj_t BgL_arg1665z00_3389;

								BgL_arg1660z00_3388 =
									(((BgL_setfieldz00_bglt) COBJECT(
											((BgL_setfieldz00_bglt) BgL_nodez00_3193)))->
									BgL_fnamez00);
								BgL_arg1665z00_3389 =
									(((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) ((BgL_nodez00_bglt)
													BgL_node2z00_3194))))->BgL_fnamez00);
								{	/* Reduce/same.scm 147 */
									long BgL_l1z00_3390;

									BgL_l1z00_3390 = STRING_LENGTH(BgL_arg1660z00_3388);
									if ((BgL_l1z00_3390 == STRING_LENGTH(BgL_arg1665z00_3389)))
										{	/* Reduce/same.scm 147 */
											int BgL_arg1289z00_3391;

											{	/* Reduce/same.scm 147 */
												char *BgL_auxz00_4053;
												char *BgL_tmpz00_4051;

												BgL_auxz00_4053 =
													BSTRING_TO_STRING(BgL_arg1665z00_3389);
												BgL_tmpz00_4051 =
													BSTRING_TO_STRING(BgL_arg1660z00_3388);
												BgL_arg1289z00_3391 =
													memcmp(BgL_tmpz00_4051, BgL_auxz00_4053,
													BgL_l1z00_3390);
											}
											BgL_test2043z00_4041 =
												((long) (BgL_arg1289z00_3391) == ((long) 0));
										}
									else
										{	/* Reduce/same.scm 147 */
											BgL_test2043z00_4041 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2043z00_4041)
								{	/* Reduce/same.scm 147 */
									{	/* Reduce/same.scm 145 */
										obj_t BgL_nextzd2method1297zd2_3373;

										BgL_nextzd2method1297zd2_3373 =
											BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
											((BgL_objectz00_bglt)
												((BgL_setfieldz00_bglt) BgL_nodez00_3193)),
											BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
											BGl_setfieldz00zzast_nodez00);
										return
											PROCEDURE_ENTRY(BgL_nextzd2method1297zd2_3373)
											(BgL_nextzd2method1297zd2_3373,
											((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_3193)),
											((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3194)),
											BgL_aliasz00_3195, BEOA);
									}
								}
							else
								{	/* Reduce/same.scm 147 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/same.scm 146 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &same-node?-getfield1296 */
	obj_t BGl_z62samezd2nodezf3zd2getfield1296z91zzreduce_samez00(obj_t
		BgL_envz00_3196, obj_t BgL_nodez00_3197, obj_t BgL_node2z00_3198,
		obj_t BgL_aliasz00_3199)
	{
		{	/* Reduce/same.scm 137 */
			{

				{	/* Reduce/same.scm 138 */
					bool_t BgL_test2045z00_4071;

					{	/* Reduce/same.scm 138 */
						obj_t BgL_classz00_3396;

						BgL_classz00_3396 = BGl_getfieldz00zzast_nodez00;
						{	/* Reduce/same.scm 138 */
							BgL_objectz00_bglt BgL_arg1825z00_3397;

							{	/* Reduce/same.scm 138 */
								obj_t BgL_tmpz00_4072;

								BgL_tmpz00_4072 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3198));
								BgL_arg1825z00_3397 = (BgL_objectz00_bglt) (BgL_tmpz00_4072);
							}
							{	/* Reduce/same.scm 138 */
								bool_t BgL_arg1822z00_3398;
								bool_t BgL_arg1823z00_3399;

								{	/* Reduce/same.scm 138 */
									long BgL_idxz00_3400;

									BgL_idxz00_3400 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3397);
									BgL_arg1822z00_3398 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3400 + ((long) 5))) == BgL_classz00_3396);
								}
								{	/* Reduce/same.scm 138 */
									bool_t BgL_res1933z00_3403;

									{	/* Reduce/same.scm 138 */
										obj_t BgL_oclassz00_3404;

										{	/* Reduce/same.scm 138 */
											long BgL_arg1833z00_3405;

											{	/* Reduce/same.scm 138 */
												long BgL_arg1834z00_3406;

												BgL_arg1834z00_3406 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3397);
												BgL_arg1833z00_3405 =
													(BgL_arg1834z00_3406 - OBJECT_TYPE);
											}
											BgL_oclassz00_3404 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3405);
										}
										{	/* Reduce/same.scm 138 */
											bool_t BgL__ortest_1110z00_3407;

											BgL__ortest_1110z00_3407 =
												(BgL_classz00_3396 == BgL_oclassz00_3404);
											if (BgL__ortest_1110z00_3407)
												{	/* Reduce/same.scm 138 */
													BgL_res1933z00_3403 = BgL__ortest_1110z00_3407;
												}
											else
												{	/* Reduce/same.scm 138 */
													long BgL_odepthz00_3408;

													BgL_odepthz00_3408 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3404);
													if ((((long) 5) < BgL_odepthz00_3408))
														{	/* Reduce/same.scm 138 */
															obj_t BgL_arg1821z00_3409;

															BgL_arg1821z00_3409 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3404,
																((long) 5));
															BgL_res1933z00_3403 =
																(BgL_arg1821z00_3409 == BgL_classz00_3396);
														}
													else
														{	/* Reduce/same.scm 138 */
															BgL_res1933z00_3403 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3399 = BgL_res1933z00_3403;
								}
								BgL_test2045z00_4071 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3398, BgL_arg1823z00_3399);
							}
						}
					}
					if (BgL_test2045z00_4071)
						{	/* Reduce/same.scm 139 */
							bool_t BgL_test2048z00_4091;

							{	/* Reduce/same.scm 139 */
								obj_t BgL_arg1656z00_3410;
								obj_t BgL_arg1657z00_3411;

								BgL_arg1656z00_3410 =
									(((BgL_getfieldz00_bglt) COBJECT(
											((BgL_getfieldz00_bglt) BgL_nodez00_3197)))->
									BgL_fnamez00);
								BgL_arg1657z00_3411 =
									(((BgL_getfieldz00_bglt)
										COBJECT(((BgL_getfieldz00_bglt) ((BgL_nodez00_bglt)
													BgL_node2z00_3198))))->BgL_fnamez00);
								{	/* Reduce/same.scm 139 */
									long BgL_l1z00_3412;

									BgL_l1z00_3412 = STRING_LENGTH(BgL_arg1656z00_3410);
									if ((BgL_l1z00_3412 == STRING_LENGTH(BgL_arg1657z00_3411)))
										{	/* Reduce/same.scm 139 */
											int BgL_arg1289z00_3413;

											{	/* Reduce/same.scm 139 */
												char *BgL_auxz00_4103;
												char *BgL_tmpz00_4101;

												BgL_auxz00_4103 =
													BSTRING_TO_STRING(BgL_arg1657z00_3411);
												BgL_tmpz00_4101 =
													BSTRING_TO_STRING(BgL_arg1656z00_3410);
												BgL_arg1289z00_3413 =
													memcmp(BgL_tmpz00_4101, BgL_auxz00_4103,
													BgL_l1z00_3412);
											}
											BgL_test2048z00_4091 =
												((long) (BgL_arg1289z00_3413) == ((long) 0));
										}
									else
										{	/* Reduce/same.scm 139 */
											BgL_test2048z00_4091 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2048z00_4091)
								{	/* Reduce/same.scm 139 */
									{	/* Reduce/same.scm 137 */
										obj_t BgL_nextzd2method1295zd2_3395;

										BgL_nextzd2method1295zd2_3395 =
											BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
											((BgL_objectz00_bglt)
												((BgL_getfieldz00_bglt) BgL_nodez00_3197)),
											BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
											BGl_getfieldz00zzast_nodez00);
										return
											PROCEDURE_ENTRY(BgL_nextzd2method1295zd2_3395)
											(BgL_nextzd2method1295zd2_3395,
											((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_3197)),
											((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3198)),
											BgL_aliasz00_3199, BEOA);
									}
								}
							else
								{	/* Reduce/same.scm 139 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/same.scm 138 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &same-node?-pragma1294 */
	obj_t BGl_z62samezd2nodezf3zd2pragma1294z91zzreduce_samez00(obj_t
		BgL_envz00_3200, obj_t BgL_nodez00_3201, obj_t BgL_node2z00_3202,
		obj_t BgL_aliasz00_3203)
	{
		{	/* Reduce/same.scm 128 */
			{	/* Reduce/same.scm 129 */
				bool_t BgL_tmpz00_4121;

				{	/* Reduce/same.scm 129 */
					bool_t BgL_test2050z00_4122;

					{	/* Reduce/same.scm 129 */
						obj_t BgL_classz00_3416;

						BgL_classz00_3416 = BGl_pragmaz00zzast_nodez00;
						{	/* Reduce/same.scm 129 */
							BgL_objectz00_bglt BgL_arg1825z00_3417;

							{	/* Reduce/same.scm 129 */
								obj_t BgL_tmpz00_4123;

								BgL_tmpz00_4123 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3202));
								BgL_arg1825z00_3417 = (BgL_objectz00_bglt) (BgL_tmpz00_4123);
							}
							{	/* Reduce/same.scm 129 */
								bool_t BgL_arg1822z00_3418;
								bool_t BgL_arg1823z00_3419;

								{	/* Reduce/same.scm 129 */
									long BgL_idxz00_3420;

									BgL_idxz00_3420 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3417);
									BgL_arg1822z00_3418 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3420 + ((long) 4))) == BgL_classz00_3416);
								}
								{	/* Reduce/same.scm 129 */
									bool_t BgL_res1932z00_3423;

									{	/* Reduce/same.scm 129 */
										obj_t BgL_oclassz00_3424;

										{	/* Reduce/same.scm 129 */
											long BgL_arg1833z00_3425;

											{	/* Reduce/same.scm 129 */
												long BgL_arg1834z00_3426;

												BgL_arg1834z00_3426 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3417);
												BgL_arg1833z00_3425 =
													(BgL_arg1834z00_3426 - OBJECT_TYPE);
											}
											BgL_oclassz00_3424 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3425);
										}
										{	/* Reduce/same.scm 129 */
											bool_t BgL__ortest_1110z00_3427;

											BgL__ortest_1110z00_3427 =
												(BgL_classz00_3416 == BgL_oclassz00_3424);
											if (BgL__ortest_1110z00_3427)
												{	/* Reduce/same.scm 129 */
													BgL_res1932z00_3423 = BgL__ortest_1110z00_3427;
												}
											else
												{	/* Reduce/same.scm 129 */
													long BgL_odepthz00_3428;

													BgL_odepthz00_3428 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3424);
													if ((((long) 4) < BgL_odepthz00_3428))
														{	/* Reduce/same.scm 129 */
															obj_t BgL_arg1821z00_3429;

															BgL_arg1821z00_3429 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3424,
																((long) 4));
															BgL_res1932z00_3423 =
																(BgL_arg1821z00_3429 == BgL_classz00_3416);
														}
													else
														{	/* Reduce/same.scm 129 */
															BgL_res1932z00_3423 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3419 = BgL_res1932z00_3423;
								}
								BgL_test2050z00_4122 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3418, BgL_arg1823z00_3419);
							}
						}
					}
					if (BgL_test2050z00_4122)
						{	/* Reduce/same.scm 129 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_pragmaz00_bglt) BgL_nodez00_3201))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3202)))->BgL_typez00))))
								{	/* Reduce/same.scm 131 */
									bool_t BgL_test2054z00_4151;

									{	/* Reduce/same.scm 131 */
										obj_t BgL_arg1633z00_3430;
										obj_t BgL_arg1636z00_3431;

										BgL_arg1633z00_3430 =
											(((BgL_pragmaz00_bglt) COBJECT(
													((BgL_pragmaz00_bglt) BgL_nodez00_3201)))->
											BgL_formatz00);
										BgL_arg1636z00_3431 =
											(((BgL_pragmaz00_bglt)
												COBJECT(((BgL_pragmaz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3202))))->BgL_formatz00);
										{	/* Reduce/same.scm 131 */
											long BgL_l1z00_3432;

											BgL_l1z00_3432 = STRING_LENGTH(BgL_arg1633z00_3430);
											if (
												(BgL_l1z00_3432 == STRING_LENGTH(BgL_arg1636z00_3431)))
												{	/* Reduce/same.scm 131 */
													int BgL_arg1289z00_3433;

													{	/* Reduce/same.scm 131 */
														char *BgL_auxz00_4163;
														char *BgL_tmpz00_4161;

														BgL_auxz00_4163 =
															BSTRING_TO_STRING(BgL_arg1636z00_3431);
														BgL_tmpz00_4161 =
															BSTRING_TO_STRING(BgL_arg1633z00_3430);
														BgL_arg1289z00_3433 =
															memcmp(BgL_tmpz00_4161, BgL_auxz00_4163,
															BgL_l1z00_3432);
													}
													BgL_test2054z00_4151 =
														((long) (BgL_arg1289z00_3433) == ((long) 0));
												}
											else
												{	/* Reduce/same.scm 131 */
													BgL_test2054z00_4151 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2054z00_4151)
										{	/* Reduce/same.scm 132 */
											obj_t BgL_arg1621z00_3434;
											obj_t BgL_arg1632z00_3435;

											BgL_arg1621z00_3434 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_pragmaz00_bglt) BgL_nodez00_3201))))->
												BgL_exprza2za2);
											BgL_arg1632z00_3435 =
												(((BgL_externz00_bglt)
													COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt) (
																	(BgL_nodez00_bglt) BgL_node2z00_3202)))))->
												BgL_exprza2za2);
											BgL_tmpz00_4121 =
												BGl_samezd2nodeza2zf3z83zzreduce_samez00
												(BgL_arg1621z00_3434, BgL_arg1632z00_3435,
												BgL_aliasz00_3203);
										}
									else
										{	/* Reduce/same.scm 131 */
											BgL_tmpz00_4121 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 130 */
									BgL_tmpz00_4121 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 129 */
							BgL_tmpz00_4121 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4121);
			}
		}

	}



/* &same-node?-extern1292 */
	obj_t BGl_z62samezd2nodezf3zd2extern1292z91zzreduce_samez00(obj_t
		BgL_envz00_3204, obj_t BgL_nodez00_3205, obj_t BgL_node2z00_3206,
		obj_t BgL_aliasz00_3207)
	{
		{	/* Reduce/same.scm 117 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4177;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2056z00_4178;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3438;

						BgL_classz00_3438 = BGl_externz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3439;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4179;

								BgL_tmpz00_4179 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3206));
								BgL_arg1825z00_3439 = (BgL_objectz00_bglt) (BgL_tmpz00_4179);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3440;
								bool_t BgL_arg1823z00_3441;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3442;

									BgL_idxz00_3442 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3439);
									BgL_arg1822z00_3440 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3442 + ((long) 3))) == BgL_classz00_3438);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1931z00_3445;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3446;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3447;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3448;

												BgL_arg1834z00_3448 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3439);
												BgL_arg1833z00_3447 =
													(BgL_arg1834z00_3448 - OBJECT_TYPE);
											}
											BgL_oclassz00_3446 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3447);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3449;

											BgL__ortest_1110z00_3449 =
												(BgL_classz00_3438 == BgL_oclassz00_3446);
											if (BgL__ortest_1110z00_3449)
												{	/* Tools/trace.sch 53 */
													BgL_res1931z00_3445 = BgL__ortest_1110z00_3449;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3450;

													BgL_odepthz00_3450 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3446);
													if ((((long) 3) < BgL_odepthz00_3450))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3451;

															BgL_arg1821z00_3451 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3446,
																((long) 3));
															BgL_res1931z00_3445 =
																(BgL_arg1821z00_3451 == BgL_classz00_3438);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1931z00_3445 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3441 = BgL_res1931z00_3445;
								}
								BgL_test2056z00_4178 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3440, BgL_arg1823z00_3441);
							}
						}
					}
					if (BgL_test2056z00_4178)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_externz00_bglt) BgL_nodez00_3205))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3206)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1612z00_3452;
									obj_t BgL_arg1613z00_3453;

									BgL_arg1612z00_3452 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_3205)))->
										BgL_exprza2za2);
									BgL_arg1613z00_3453 =
										(((BgL_externz00_bglt)
											COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
														BgL_node2z00_3206))))->BgL_exprza2za2);
									BgL_tmpz00_4177 =
										BGl_samezd2nodeza2zf3z83zzreduce_samez00
										(BgL_arg1612z00_3452, BgL_arg1613z00_3453,
										BgL_aliasz00_3207);
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4177 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4177 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4177);
			}
		}

	}



/* &same-node?-app1290 */
	obj_t BGl_z62samezd2nodezf3zd2app1290z91zzreduce_samez00(obj_t
		BgL_envz00_3208, obj_t BgL_nodez00_3209, obj_t BgL_node2z00_3210,
		obj_t BgL_aliasz00_3211)
	{
		{	/* Reduce/same.scm 108 */
			{	/* Reduce/same.scm 109 */
				bool_t BgL_tmpz00_4214;

				{	/* Reduce/same.scm 109 */
					bool_t BgL_test2060z00_4215;

					{	/* Reduce/same.scm 109 */
						obj_t BgL_classz00_3456;

						BgL_classz00_3456 = BGl_appz00zzast_nodez00;
						{	/* Reduce/same.scm 109 */
							BgL_objectz00_bglt BgL_arg1825z00_3457;

							{	/* Reduce/same.scm 109 */
								obj_t BgL_tmpz00_4216;

								BgL_tmpz00_4216 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3210));
								BgL_arg1825z00_3457 = (BgL_objectz00_bglt) (BgL_tmpz00_4216);
							}
							{	/* Reduce/same.scm 109 */
								bool_t BgL_arg1822z00_3458;
								bool_t BgL_arg1823z00_3459;

								{	/* Reduce/same.scm 109 */
									long BgL_idxz00_3460;

									BgL_idxz00_3460 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3457);
									BgL_arg1822z00_3458 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3460 + ((long) 3))) == BgL_classz00_3456);
								}
								{	/* Reduce/same.scm 109 */
									bool_t BgL_res1930z00_3463;

									{	/* Reduce/same.scm 109 */
										obj_t BgL_oclassz00_3464;

										{	/* Reduce/same.scm 109 */
											long BgL_arg1833z00_3465;

											{	/* Reduce/same.scm 109 */
												long BgL_arg1834z00_3466;

												BgL_arg1834z00_3466 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3457);
												BgL_arg1833z00_3465 =
													(BgL_arg1834z00_3466 - OBJECT_TYPE);
											}
											BgL_oclassz00_3464 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3465);
										}
										{	/* Reduce/same.scm 109 */
											bool_t BgL__ortest_1110z00_3467;

											BgL__ortest_1110z00_3467 =
												(BgL_classz00_3456 == BgL_oclassz00_3464);
											if (BgL__ortest_1110z00_3467)
												{	/* Reduce/same.scm 109 */
													BgL_res1930z00_3463 = BgL__ortest_1110z00_3467;
												}
											else
												{	/* Reduce/same.scm 109 */
													long BgL_odepthz00_3468;

													BgL_odepthz00_3468 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3464);
													if ((((long) 3) < BgL_odepthz00_3468))
														{	/* Reduce/same.scm 109 */
															obj_t BgL_arg1821z00_3469;

															BgL_arg1821z00_3469 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3464,
																((long) 3));
															BgL_res1930z00_3463 =
																(BgL_arg1821z00_3469 == BgL_classz00_3456);
														}
													else
														{	/* Reduce/same.scm 109 */
															BgL_res1930z00_3463 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3459 = BgL_res1930z00_3463;
								}
								BgL_test2060z00_4215 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3458, BgL_arg1823z00_3459);
							}
						}
					}
					if (BgL_test2060z00_4215)
						{	/* Reduce/same.scm 109 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3209))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3210)))->BgL_typez00))))
								{	/* Reduce/same.scm 111 */
									bool_t BgL_test2064z00_4244;

									{	/* Reduce/same.scm 111 */
										BgL_varz00_bglt BgL_arg1602z00_3470;
										BgL_varz00_bglt BgL_arg1603z00_3471;

										BgL_arg1602z00_3470 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3209)))->BgL_funz00);
										BgL_arg1603z00_3471 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_nodez00_bglt) BgL_node2z00_3210))))->
											BgL_funz00);
										BgL_test2064z00_4244 =
											BGl_samezd2nodezf3z21zzreduce_samez00(((BgL_nodez00_bglt)
												BgL_arg1602z00_3470),
											((BgL_nodez00_bglt) BgL_arg1603z00_3471),
											BgL_aliasz00_3211);
									}
									if (BgL_test2064z00_4244)
										{	/* Reduce/same.scm 112 */
											obj_t BgL_arg1597z00_3472;
											obj_t BgL_arg1601z00_3473;

											BgL_arg1597z00_3472 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3209)))->
												BgL_argsz00);
											BgL_arg1601z00_3473 =
												(((BgL_appz00_bglt)
													COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
																BgL_node2z00_3210))))->BgL_argsz00);
											BgL_tmpz00_4214 =
												BGl_samezd2nodeza2zf3z83zzreduce_samez00
												(BgL_arg1597z00_3472, BgL_arg1601z00_3473,
												BgL_aliasz00_3211);
										}
									else
										{	/* Reduce/same.scm 111 */
											BgL_tmpz00_4214 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 110 */
									BgL_tmpz00_4214 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 109 */
							BgL_tmpz00_4214 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4214);
			}
		}

	}



/* &same-node?-funcall1288 */
	obj_t BGl_z62samezd2nodezf3zd2funcall1288z91zzreduce_samez00(obj_t
		BgL_envz00_3212, obj_t BgL_nodez00_3213, obj_t BgL_node2z00_3214,
		obj_t BgL_aliasz00_3215)
	{
		{	/* Reduce/same.scm 99 */
			{	/* Reduce/same.scm 100 */
				bool_t BgL_tmpz00_4260;

				{	/* Reduce/same.scm 100 */
					bool_t BgL_test2065z00_4261;

					{	/* Reduce/same.scm 100 */
						obj_t BgL_classz00_3476;

						BgL_classz00_3476 = BGl_funcallz00zzast_nodez00;
						{	/* Reduce/same.scm 100 */
							BgL_objectz00_bglt BgL_arg1825z00_3477;

							{	/* Reduce/same.scm 100 */
								obj_t BgL_tmpz00_4262;

								BgL_tmpz00_4262 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3214));
								BgL_arg1825z00_3477 = (BgL_objectz00_bglt) (BgL_tmpz00_4262);
							}
							{	/* Reduce/same.scm 100 */
								bool_t BgL_arg1822z00_3478;
								bool_t BgL_arg1823z00_3479;

								{	/* Reduce/same.scm 100 */
									long BgL_idxz00_3480;

									BgL_idxz00_3480 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3477);
									BgL_arg1822z00_3478 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3480 + ((long) 2))) == BgL_classz00_3476);
								}
								{	/* Reduce/same.scm 100 */
									bool_t BgL_res1929z00_3483;

									{	/* Reduce/same.scm 100 */
										obj_t BgL_oclassz00_3484;

										{	/* Reduce/same.scm 100 */
											long BgL_arg1833z00_3485;

											{	/* Reduce/same.scm 100 */
												long BgL_arg1834z00_3486;

												BgL_arg1834z00_3486 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3477);
												BgL_arg1833z00_3485 =
													(BgL_arg1834z00_3486 - OBJECT_TYPE);
											}
											BgL_oclassz00_3484 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3485);
										}
										{	/* Reduce/same.scm 100 */
											bool_t BgL__ortest_1110z00_3487;

											BgL__ortest_1110z00_3487 =
												(BgL_classz00_3476 == BgL_oclassz00_3484);
											if (BgL__ortest_1110z00_3487)
												{	/* Reduce/same.scm 100 */
													BgL_res1929z00_3483 = BgL__ortest_1110z00_3487;
												}
											else
												{	/* Reduce/same.scm 100 */
													long BgL_odepthz00_3488;

													BgL_odepthz00_3488 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3484);
													if ((((long) 2) < BgL_odepthz00_3488))
														{	/* Reduce/same.scm 100 */
															obj_t BgL_arg1821z00_3489;

															BgL_arg1821z00_3489 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3484,
																((long) 2));
															BgL_res1929z00_3483 =
																(BgL_arg1821z00_3489 == BgL_classz00_3476);
														}
													else
														{	/* Reduce/same.scm 100 */
															BgL_res1929z00_3483 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3479 = BgL_res1929z00_3483;
								}
								BgL_test2065z00_4261 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3478, BgL_arg1823z00_3479);
							}
						}
					}
					if (BgL_test2065z00_4261)
						{	/* Reduce/same.scm 100 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_3213))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3214)))->BgL_typez00))))
								{	/* Reduce/same.scm 102 */
									bool_t BgL_test2069z00_4290;

									{	/* Reduce/same.scm 102 */
										BgL_nodez00_bglt BgL_arg1585z00_3490;
										BgL_nodez00_bglt BgL_arg1586z00_3491;

										BgL_arg1585z00_3490 =
											(((BgL_funcallz00_bglt) COBJECT(
													((BgL_funcallz00_bglt) BgL_nodez00_3213)))->
											BgL_funz00);
										BgL_arg1586z00_3491 =
											(((BgL_funcallz00_bglt)
												COBJECT(((BgL_funcallz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3214))))->BgL_funz00);
										BgL_test2069z00_4290 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1585z00_3490,
											BgL_arg1586z00_3491, BgL_aliasz00_3215);
									}
									if (BgL_test2069z00_4290)
										{	/* Reduce/same.scm 103 */
											obj_t BgL_arg1583z00_3492;
											obj_t BgL_arg1584z00_3493;

											BgL_arg1583z00_3492 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_nodez00_3213)))->
												BgL_argsz00);
											BgL_arg1584z00_3493 =
												(((BgL_funcallz00_bglt)
													COBJECT(((BgL_funcallz00_bglt) ((BgL_nodez00_bglt)
																BgL_node2z00_3214))))->BgL_argsz00);
											BgL_tmpz00_4260 =
												BGl_samezd2nodeza2zf3z83zzreduce_samez00
												(BgL_arg1583z00_3492, BgL_arg1584z00_3493,
												BgL_aliasz00_3215);
										}
									else
										{	/* Reduce/same.scm 102 */
											BgL_tmpz00_4260 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 101 */
									BgL_tmpz00_4260 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 100 */
							BgL_tmpz00_4260 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4260);
			}
		}

	}



/* &same-node?-app-ly1286 */
	obj_t BGl_z62samezd2nodezf3zd2appzd2ly1286z43zzreduce_samez00(obj_t
		BgL_envz00_3216, obj_t BgL_nodez00_3217, obj_t BgL_node2z00_3218,
		obj_t BgL_aliasz00_3219)
	{
		{	/* Reduce/same.scm 90 */
			{	/* Reduce/same.scm 91 */
				bool_t BgL_tmpz00_4304;

				{	/* Reduce/same.scm 91 */
					bool_t BgL_test2070z00_4305;

					{	/* Reduce/same.scm 91 */
						obj_t BgL_classz00_3496;

						BgL_classz00_3496 = BGl_appzd2lyzd2zzast_nodez00;
						{	/* Reduce/same.scm 91 */
							BgL_objectz00_bglt BgL_arg1825z00_3497;

							{	/* Reduce/same.scm 91 */
								obj_t BgL_tmpz00_4306;

								BgL_tmpz00_4306 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3218));
								BgL_arg1825z00_3497 = (BgL_objectz00_bglt) (BgL_tmpz00_4306);
							}
							{	/* Reduce/same.scm 91 */
								bool_t BgL_arg1822z00_3498;
								bool_t BgL_arg1823z00_3499;

								{	/* Reduce/same.scm 91 */
									long BgL_idxz00_3500;

									BgL_idxz00_3500 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3497);
									BgL_arg1822z00_3498 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3500 + ((long) 2))) == BgL_classz00_3496);
								}
								{	/* Reduce/same.scm 91 */
									bool_t BgL_res1928z00_3503;

									{	/* Reduce/same.scm 91 */
										obj_t BgL_oclassz00_3504;

										{	/* Reduce/same.scm 91 */
											long BgL_arg1833z00_3505;

											{	/* Reduce/same.scm 91 */
												long BgL_arg1834z00_3506;

												BgL_arg1834z00_3506 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3497);
												BgL_arg1833z00_3505 =
													(BgL_arg1834z00_3506 - OBJECT_TYPE);
											}
											BgL_oclassz00_3504 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3505);
										}
										{	/* Reduce/same.scm 91 */
											bool_t BgL__ortest_1110z00_3507;

											BgL__ortest_1110z00_3507 =
												(BgL_classz00_3496 == BgL_oclassz00_3504);
											if (BgL__ortest_1110z00_3507)
												{	/* Reduce/same.scm 91 */
													BgL_res1928z00_3503 = BgL__ortest_1110z00_3507;
												}
											else
												{	/* Reduce/same.scm 91 */
													long BgL_odepthz00_3508;

													BgL_odepthz00_3508 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3504);
													if ((((long) 2) < BgL_odepthz00_3508))
														{	/* Reduce/same.scm 91 */
															obj_t BgL_arg1821z00_3509;

															BgL_arg1821z00_3509 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3504,
																((long) 2));
															BgL_res1928z00_3503 =
																(BgL_arg1821z00_3509 == BgL_classz00_3496);
														}
													else
														{	/* Reduce/same.scm 91 */
															BgL_res1928z00_3503 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3499 = BgL_res1928z00_3503;
								}
								BgL_test2070z00_4305 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3498, BgL_arg1823z00_3499);
							}
						}
					}
					if (BgL_test2070z00_4305)
						{	/* Reduce/same.scm 91 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_3217))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3218)))->BgL_typez00))))
								{	/* Reduce/same.scm 93 */
									bool_t BgL_test2074z00_4334;

									{	/* Reduce/same.scm 93 */
										BgL_nodez00_bglt BgL_arg1571z00_3510;
										BgL_nodez00_bglt BgL_arg1578z00_3511;

										BgL_arg1571z00_3510 =
											(((BgL_appzd2lyzd2_bglt) COBJECT(
													((BgL_appzd2lyzd2_bglt) BgL_nodez00_3217)))->
											BgL_funz00);
										BgL_arg1578z00_3511 =
											(((BgL_appzd2lyzd2_bglt)
												COBJECT(((BgL_appzd2lyzd2_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3218))))->BgL_funz00);
										BgL_test2074z00_4334 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1571z00_3510,
											BgL_arg1578z00_3511, BgL_aliasz00_3219);
									}
									if (BgL_test2074z00_4334)
										{	/* Reduce/same.scm 94 */
											BgL_nodez00_bglt BgL_arg1567z00_3512;
											BgL_nodez00_bglt BgL_arg1570z00_3513;

											BgL_arg1567z00_3512 =
												(((BgL_appzd2lyzd2_bglt) COBJECT(
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_3217)))->
												BgL_argz00);
											BgL_arg1570z00_3513 =
												(((BgL_appzd2lyzd2_bglt)
													COBJECT(((BgL_appzd2lyzd2_bglt) ((BgL_nodez00_bglt)
																BgL_node2z00_3218))))->BgL_argz00);
											BgL_tmpz00_4304 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1567z00_3512, BgL_arg1570z00_3513,
												BgL_aliasz00_3219);
										}
									else
										{	/* Reduce/same.scm 93 */
											BgL_tmpz00_4304 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 92 */
									BgL_tmpz00_4304 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 91 */
							BgL_tmpz00_4304 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4304);
			}
		}

	}



/* &same-node?-sync1284 */
	obj_t BGl_z62samezd2nodezf3zd2sync1284z91zzreduce_samez00(obj_t
		BgL_envz00_3220, obj_t BgL_nodez00_3221, obj_t BgL_node2z00_3222,
		obj_t BgL_aliasz00_3223)
	{
		{	/* Reduce/same.scm 80 */
			{	/* Reduce/same.scm 81 */
				bool_t BgL_tmpz00_4348;

				{	/* Reduce/same.scm 81 */
					bool_t BgL_test2075z00_4349;

					{	/* Reduce/same.scm 81 */
						obj_t BgL_classz00_3516;

						BgL_classz00_3516 = BGl_syncz00zzast_nodez00;
						{	/* Reduce/same.scm 81 */
							BgL_objectz00_bglt BgL_arg1825z00_3517;

							{	/* Reduce/same.scm 81 */
								obj_t BgL_tmpz00_4350;

								BgL_tmpz00_4350 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3222));
								BgL_arg1825z00_3517 = (BgL_objectz00_bglt) (BgL_tmpz00_4350);
							}
							{	/* Reduce/same.scm 81 */
								bool_t BgL_arg1822z00_3518;
								bool_t BgL_arg1823z00_3519;

								{	/* Reduce/same.scm 81 */
									long BgL_idxz00_3520;

									BgL_idxz00_3520 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3517);
									BgL_arg1822z00_3518 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3520 + ((long) 2))) == BgL_classz00_3516);
								}
								{	/* Reduce/same.scm 81 */
									bool_t BgL_res1927z00_3523;

									{	/* Reduce/same.scm 81 */
										obj_t BgL_oclassz00_3524;

										{	/* Reduce/same.scm 81 */
											long BgL_arg1833z00_3525;

											{	/* Reduce/same.scm 81 */
												long BgL_arg1834z00_3526;

												BgL_arg1834z00_3526 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3517);
												BgL_arg1833z00_3525 =
													(BgL_arg1834z00_3526 - OBJECT_TYPE);
											}
											BgL_oclassz00_3524 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3525);
										}
										{	/* Reduce/same.scm 81 */
											bool_t BgL__ortest_1110z00_3527;

											BgL__ortest_1110z00_3527 =
												(BgL_classz00_3516 == BgL_oclassz00_3524);
											if (BgL__ortest_1110z00_3527)
												{	/* Reduce/same.scm 81 */
													BgL_res1927z00_3523 = BgL__ortest_1110z00_3527;
												}
											else
												{	/* Reduce/same.scm 81 */
													long BgL_odepthz00_3528;

													BgL_odepthz00_3528 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3524);
													if ((((long) 2) < BgL_odepthz00_3528))
														{	/* Reduce/same.scm 81 */
															obj_t BgL_arg1821z00_3529;

															BgL_arg1821z00_3529 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3524,
																((long) 2));
															BgL_res1927z00_3523 =
																(BgL_arg1821z00_3529 == BgL_classz00_3516);
														}
													else
														{	/* Reduce/same.scm 81 */
															BgL_res1927z00_3523 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3519 = BgL_res1927z00_3523;
								}
								BgL_test2075z00_4349 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3518, BgL_arg1823z00_3519);
							}
						}
					}
					if (BgL_test2075z00_4349)
						{	/* Reduce/same.scm 81 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_syncz00_bglt) BgL_nodez00_3221))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3222)))->BgL_typez00))))
								{	/* Reduce/same.scm 83 */
									bool_t BgL_test2079z00_4378;

									{	/* Reduce/same.scm 83 */
										BgL_nodez00_bglt BgL_arg1554z00_3530;
										BgL_nodez00_bglt BgL_arg1555z00_3531;

										BgL_arg1554z00_3530 =
											(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_3221)))->
											BgL_mutexz00);
										BgL_arg1555z00_3531 =
											(((BgL_syncz00_bglt)
												COBJECT(((BgL_syncz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3222))))->BgL_mutexz00);
										BgL_test2079z00_4378 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1554z00_3530,
											BgL_arg1555z00_3531, BgL_aliasz00_3223);
									}
									if (BgL_test2079z00_4378)
										{	/* Reduce/same.scm 84 */
											bool_t BgL_test2080z00_4385;

											{	/* Reduce/same.scm 84 */
												BgL_nodez00_bglt BgL_arg1551z00_3532;
												BgL_nodez00_bglt BgL_arg1552z00_3533;

												BgL_arg1551z00_3532 =
													(((BgL_syncz00_bglt) COBJECT(
															((BgL_syncz00_bglt) BgL_nodez00_3221)))->
													BgL_prelockz00);
												BgL_arg1552z00_3533 =
													(((BgL_syncz00_bglt)
														COBJECT(((BgL_syncz00_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3222))))->BgL_prelockz00);
												BgL_test2080z00_4385 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1551z00_3532, BgL_arg1552z00_3533,
													BgL_aliasz00_3223);
											}
											if (BgL_test2080z00_4385)
												{	/* Reduce/same.scm 85 */
													BgL_nodez00_bglt BgL_arg1543z00_3534;
													BgL_nodez00_bglt BgL_arg1548z00_3535;

													BgL_arg1543z00_3534 =
														(((BgL_syncz00_bglt) COBJECT(
																((BgL_syncz00_bglt) BgL_nodez00_3221)))->
														BgL_bodyz00);
													BgL_arg1548z00_3535 =
														(((BgL_syncz00_bglt)
															COBJECT(((BgL_syncz00_bglt) ((BgL_nodez00_bglt)
																		BgL_node2z00_3222))))->BgL_bodyz00);
													BgL_tmpz00_4348 =
														BGl_samezd2nodeza2zf3z83zzreduce_samez00(((obj_t)
															BgL_arg1543z00_3534),
														((obj_t) BgL_arg1548z00_3535), BgL_aliasz00_3223);
												}
											else
												{	/* Reduce/same.scm 84 */
													BgL_tmpz00_4348 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/same.scm 83 */
											BgL_tmpz00_4348 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 82 */
									BgL_tmpz00_4348 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 81 */
							BgL_tmpz00_4348 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4348);
			}
		}

	}



/* &same-node?-sequence1282 */
	obj_t BGl_z62samezd2nodezf3zd2sequence1282z91zzreduce_samez00(obj_t
		BgL_envz00_3224, obj_t BgL_nodez00_3225, obj_t BgL_node2z00_3226,
		obj_t BgL_aliasz00_3227)
	{
		{	/* Reduce/same.scm 72 */
			{	/* Reduce/same.scm 73 */
				bool_t BgL_tmpz00_4401;

				{	/* Reduce/same.scm 73 */
					bool_t BgL_test2081z00_4402;

					{	/* Reduce/same.scm 73 */
						obj_t BgL_classz00_3538;

						BgL_classz00_3538 = BGl_sequencez00zzast_nodez00;
						{	/* Reduce/same.scm 73 */
							BgL_objectz00_bglt BgL_arg1825z00_3539;

							{	/* Reduce/same.scm 73 */
								obj_t BgL_tmpz00_4403;

								BgL_tmpz00_4403 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3226));
								BgL_arg1825z00_3539 = (BgL_objectz00_bglt) (BgL_tmpz00_4403);
							}
							{	/* Reduce/same.scm 73 */
								bool_t BgL_arg1822z00_3540;
								bool_t BgL_arg1823z00_3541;

								{	/* Reduce/same.scm 73 */
									long BgL_idxz00_3542;

									BgL_idxz00_3542 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3539);
									BgL_arg1822z00_3540 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3542 + ((long) 3))) == BgL_classz00_3538);
								}
								{	/* Reduce/same.scm 73 */
									bool_t BgL_res1926z00_3545;

									{	/* Reduce/same.scm 73 */
										obj_t BgL_oclassz00_3546;

										{	/* Reduce/same.scm 73 */
											long BgL_arg1833z00_3547;

											{	/* Reduce/same.scm 73 */
												long BgL_arg1834z00_3548;

												BgL_arg1834z00_3548 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3539);
												BgL_arg1833z00_3547 =
													(BgL_arg1834z00_3548 - OBJECT_TYPE);
											}
											BgL_oclassz00_3546 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3547);
										}
										{	/* Reduce/same.scm 73 */
											bool_t BgL__ortest_1110z00_3549;

											BgL__ortest_1110z00_3549 =
												(BgL_classz00_3538 == BgL_oclassz00_3546);
											if (BgL__ortest_1110z00_3549)
												{	/* Reduce/same.scm 73 */
													BgL_res1926z00_3545 = BgL__ortest_1110z00_3549;
												}
											else
												{	/* Reduce/same.scm 73 */
													long BgL_odepthz00_3550;

													BgL_odepthz00_3550 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3546);
													if ((((long) 3) < BgL_odepthz00_3550))
														{	/* Reduce/same.scm 73 */
															obj_t BgL_arg1821z00_3551;

															BgL_arg1821z00_3551 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3546,
																((long) 3));
															BgL_res1926z00_3545 =
																(BgL_arg1821z00_3551 == BgL_classz00_3538);
														}
													else
														{	/* Reduce/same.scm 73 */
															BgL_res1926z00_3545 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3541 = BgL_res1926z00_3545;
								}
								BgL_test2081z00_4402 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3540, BgL_arg1823z00_3541);
							}
						}
					}
					if (BgL_test2081z00_4402)
						{	/* Reduce/same.scm 73 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_sequencez00_bglt) BgL_nodez00_3225))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3226)))->BgL_typez00))))
								{	/* Reduce/same.scm 75 */
									obj_t BgL_arg1524z00_3552;
									obj_t BgL_arg1534z00_3553;

									BgL_arg1524z00_3552 =
										(((BgL_sequencez00_bglt) COBJECT(
												((BgL_sequencez00_bglt) BgL_nodez00_3225)))->
										BgL_nodesz00);
									BgL_arg1534z00_3553 =
										(((BgL_sequencez00_bglt)
											COBJECT(((BgL_sequencez00_bglt) ((BgL_nodez00_bglt)
														BgL_node2z00_3226))))->BgL_nodesz00);
									BgL_tmpz00_4401 =
										BGl_samezd2nodeza2zf3z83zzreduce_samez00
										(BgL_arg1524z00_3552, BgL_arg1534z00_3553,
										BgL_aliasz00_3227);
								}
							else
								{	/* Reduce/same.scm 74 */
									BgL_tmpz00_4401 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 73 */
							BgL_tmpz00_4401 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4401);
			}
		}

	}



/* &same-node?-var1280 */
	obj_t BGl_z62samezd2nodezf3zd2var1280z91zzreduce_samez00(obj_t
		BgL_envz00_3228, obj_t BgL_nodez00_3229, obj_t BgL_node2z00_3230,
		obj_t BgL_aliasz00_3231)
	{
		{	/* Reduce/same.scm 59 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4438;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2085z00_4439;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3556;

						BgL_classz00_3556 = BGl_varz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3557;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4440;

								BgL_tmpz00_4440 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3230));
								BgL_arg1825z00_3557 = (BgL_objectz00_bglt) (BgL_tmpz00_4440);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3558;
								bool_t BgL_arg1823z00_3559;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3560;

									BgL_idxz00_3560 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3557);
									BgL_arg1822z00_3558 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3560 + ((long) 2))) == BgL_classz00_3556);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1925z00_3563;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3564;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3565;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3566;

												BgL_arg1834z00_3566 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3557);
												BgL_arg1833z00_3565 =
													(BgL_arg1834z00_3566 - OBJECT_TYPE);
											}
											BgL_oclassz00_3564 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3565);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3567;

											BgL__ortest_1110z00_3567 =
												(BgL_classz00_3556 == BgL_oclassz00_3564);
											if (BgL__ortest_1110z00_3567)
												{	/* Tools/trace.sch 53 */
													BgL_res1925z00_3563 = BgL__ortest_1110z00_3567;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3568;

													BgL_odepthz00_3568 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3564);
													if ((((long) 2) < BgL_odepthz00_3568))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3569;

															BgL_arg1821z00_3569 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3564,
																((long) 2));
															BgL_res1925z00_3563 =
																(BgL_arg1821z00_3569 == BgL_classz00_3556);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1925z00_3563 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3559 = BgL_res1925z00_3563;
								}
								BgL_test2085z00_4439 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3558, BgL_arg1823z00_3559);
							}
						}
					}
					if (BgL_test2085z00_4439)
						{	/* Tools/trace.sch 53 */
							if (
								((((BgL_variablez00_bglt) COBJECT(
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3229)))->
													BgL_variablez00)))->BgL_accessz00) ==
									CNST_TABLE_REF(((long) 0))))
								{	/* Tools/trace.sch 53 */
									if (
										(((obj_t)
												(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3229))))->
													BgL_typez00)) ==
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_node2z00_3230)))->BgL_typez00))))
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1117z00_3570;

											BgL__ortest_1117z00_3570 =
												(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_3229)))->
														BgL_variablez00)) ==
												((obj_t) (((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) ((BgL_nodez00_bglt)
																		BgL_node2z00_3230))))->BgL_variablez00)));
											if (BgL__ortest_1117z00_3570)
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4438 = BgL__ortest_1117z00_3570;
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4438 =
														BGl_aliasedzf3zf3zzreduce_samez00(
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_3229)))->
															BgL_variablez00),
														(((BgL_varz00_bglt)
																COBJECT(((BgL_varz00_bglt) ((BgL_nodez00_bglt)
																			BgL_node2z00_3230))))->BgL_variablez00),
														BgL_aliasz00_3231);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_4438 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4438 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4438 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4438);
			}
		}

	}



/* &same-node?-kwote1278 */
	obj_t BGl_z62samezd2nodezf3zd2kwote1278z91zzreduce_samez00(obj_t
		BgL_envz00_3232, obj_t BgL_nodez00_3233, obj_t BgL_node2z00_3234,
		obj_t BgL_aliasz00_3235)
	{
		{	/* Reduce/same.scm 48 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4490;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2091z00_4491;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3573;

						BgL_classz00_3573 = BGl_kwotez00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3574;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4492;

								BgL_tmpz00_4492 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3234));
								BgL_arg1825z00_3574 = (BgL_objectz00_bglt) (BgL_tmpz00_4492);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3575;
								bool_t BgL_arg1823z00_3576;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3577;

									BgL_idxz00_3577 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3574);
									BgL_arg1822z00_3575 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3577 + ((long) 2))) == BgL_classz00_3573);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1924z00_3580;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3581;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3582;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3583;

												BgL_arg1834z00_3583 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3574);
												BgL_arg1833z00_3582 =
													(BgL_arg1834z00_3583 - OBJECT_TYPE);
											}
											BgL_oclassz00_3581 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3582);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3584;

											BgL__ortest_1110z00_3584 =
												(BgL_classz00_3573 == BgL_oclassz00_3581);
											if (BgL__ortest_1110z00_3584)
												{	/* Tools/trace.sch 53 */
													BgL_res1924z00_3580 = BgL__ortest_1110z00_3584;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3585;

													BgL_odepthz00_3585 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3581);
													if ((((long) 2) < BgL_odepthz00_3585))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3586;

															BgL_arg1821z00_3586 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3581,
																((long) 2));
															BgL_res1924z00_3580 =
																(BgL_arg1821z00_3586 == BgL_classz00_3573);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1924z00_3580 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3576 = BgL_res1924z00_3580;
								}
								BgL_test2091z00_4491 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3575, BgL_arg1823z00_3576);
							}
						}
					}
					if (BgL_test2091z00_4491)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_kwotez00_bglt) BgL_nodez00_3233))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3234)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4490 =
										BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
										(((BgL_kwotez00_bglt) COBJECT(
													((BgL_kwotez00_bglt) BgL_nodez00_3233)))->
											BgL_valuez00),
										(((BgL_kwotez00_bglt)
												COBJECT(((BgL_kwotez00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3234))))->BgL_valuez00));
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4490 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4490 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4490);
			}
		}

	}



/* &same-node?-atom1276 */
	obj_t BGl_z62samezd2nodezf3zd2atom1276z91zzreduce_samez00(obj_t
		BgL_envz00_3236, obj_t BgL_nodez00_3237, obj_t BgL_node2z00_3238,
		obj_t BgL_aliasz00_3239)
	{
		{	/* Reduce/same.scm 32 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4527;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2095z00_4528;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3589;

						BgL_classz00_3589 = BGl_atomz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_3590;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4529;

								BgL_tmpz00_4529 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3238));
								BgL_arg1825z00_3590 = (BgL_objectz00_bglt) (BgL_tmpz00_4529);
							}
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_3591;
								bool_t BgL_arg1823z00_3592;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3593;

									BgL_idxz00_3593 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3590);
									BgL_arg1822z00_3591 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3593 + ((long) 2))) == BgL_classz00_3589);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1923z00_3596;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3597;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_3598;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_3599;

												BgL_arg1834z00_3599 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3590);
												BgL_arg1833z00_3598 =
													(BgL_arg1834z00_3599 - OBJECT_TYPE);
											}
											BgL_oclassz00_3597 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3598);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_3600;

											BgL__ortest_1110z00_3600 =
												(BgL_classz00_3589 == BgL_oclassz00_3597);
											if (BgL__ortest_1110z00_3600)
												{	/* Tools/trace.sch 53 */
													BgL_res1923z00_3596 = BgL__ortest_1110z00_3600;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3601;

													BgL_odepthz00_3601 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3597);
													if ((((long) 2) < BgL_odepthz00_3601))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_3602;

															BgL_arg1821z00_3602 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3597,
																((long) 2));
															BgL_res1923z00_3596 =
																(BgL_arg1821z00_3602 == BgL_classz00_3589);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1923z00_3596 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3592 = BgL_res1923z00_3596;
								}
								BgL_test2095z00_4528 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3591, BgL_arg1823z00_3592);
							}
						}
					}
					if (BgL_test2095z00_4528)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_atomz00_bglt) BgL_nodez00_3237))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3238)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									bool_t BgL_test2099z00_4557;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_tmpz00_4558;

										BgL_tmpz00_4558 =
											(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt) BgL_nodez00_3237)))->
											BgL_valuez00);
										BgL_test2099z00_4557 = REALP(BgL_tmpz00_4558);
									}
									if (BgL_test2099z00_4557)
										{	/* Tools/trace.sch 53 */
											bool_t BgL_test2100z00_4562;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_tmpz00_4563;

												BgL_tmpz00_4563 =
													(((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt)
																((BgL_nodez00_bglt) BgL_node2z00_3238))))->
													BgL_valuez00);
												BgL_test2100z00_4562 = REALP(BgL_tmpz00_4563);
											}
											if (BgL_test2100z00_4562)
												{	/* Tools/trace.sch 53 */
													if (
														(REAL_TO_DOUBLE(
																(((BgL_atomz00_bglt) COBJECT(
																			((BgL_atomz00_bglt) BgL_nodez00_3237)))->
																	BgL_valuez00)) ==
															REAL_TO_DOUBLE((((BgL_atomz00_bglt)
																		COBJECT(((BgL_atomz00_bglt) (
																					(BgL_nodez00_bglt)
																					BgL_node2z00_3238))))->
																	BgL_valuez00))))
														{	/* Tools/trace.sch 53 */
															BgL_tmpz00_4527 =
																(BGL_SIGNBIT(REAL_TO_DOUBLE(
																		(((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_nodez00_3237)))->
																			BgL_valuez00))) ==
																BGL_SIGNBIT(REAL_TO_DOUBLE((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt) (
																							(BgL_nodez00_bglt)
																							BgL_node2z00_3238))))->
																			BgL_valuez00))));
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_tmpz00_4527 = ((bool_t) 0);
														}
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4527 = ((bool_t) 0);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_4527 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
												(((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt) BgL_nodez00_3237)))->
													BgL_valuez00),
												(((BgL_atomz00_bglt)
														COBJECT(((BgL_atomz00_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3238))))->BgL_valuez00));
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4527 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4527 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4527);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00()
	{
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1975z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1975z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1975z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1975z00zzreduce_samez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1975z00zzreduce_samez00));
		}

	}

#ifdef __cplusplus
}
#endif
