/*===========================================================================*/
/*   (SawJvm/compile.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/compile.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 = BUNSPEC;
	extern obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	extern obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00();
	static obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00();
	extern obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt, BgL_globalz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t, BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_slotz00_bglt);
	extern obj_t BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00();
	extern obj_t BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00;
	extern obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2catchza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00();
	extern obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	static bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t __cnst[74];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_saw_jvmzd2compilezd2envz00zzsaw_jvm_compilez00,
		BgL_bgl_za762saw_jvmza7d2com2017z00,
		BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2011z00zzsaw_jvm_compilez00,
		BgL_bgl_string2011za700za7za7s2018za7, "emit-cnst", 9);
	      DEFINE_STRING(BGl_string2012z00zzsaw_jvm_compilez00,
		BgL_bgl_string2012za700za7za7s2019za7, "Unknown cnst class", 18);
	      DEFINE_STRING(BGl_string2013z00zzsaw_jvm_compilez00,
		BgL_bgl_string2013za700za7za7s2020za7, "saw_jvm_compile", 15);
	      DEFINE_STRING(BGl_string2014z00zzsaw_jvm_compilez00,
		BgL_bgl_string2014za700za7za7s2021za7,
		"dlopen (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) anewarray newarray float char boolean stvector sgfun (putfield procenv) slfun selfun (putfield procarity) (putfield procindex) (invokespecial init) (dup) (new me) sfun (invokestatic BGL_INT8_TO_BINT8) byte suint8 sint8 (invokestatic BGL_INT16_TO_BINT16) short suint16 sint16 (invokestatic BGL_INT32_TO_BINT32) int suint32 sint32 (invokestatic BGL_INT64_TO_BINT64) suint64 sint64 (invokestatic llong_to_bllong) sllong (invokestatic elong_to_belong) long selong (invokestatic double_to_real) double sreal (invokestatic getbytes) sstring module-initialization (aconst_null) (iconst_0) putstatic (anewarray obj) (putstatic myname) (invokestatic foreign-print) ldc clinit (invokespecial super-init) (aload this) (this) init (invokestatic internalerror) catch (return) (pop) bigloo_main (invokestatic listargv) (aload argv) from (handler from catch catch throwable) (argv) main ",
		959);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long
		BgL_checksumz00_3620, char *BgL_fromz00_3621)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
					BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_compilez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_jvm_compile");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			{	/* SawJvm/compile.scm 1 */
				obj_t BgL_cportz00_3608;

				{	/* SawJvm/compile.scm 1 */
					obj_t BgL_stringz00_3616;

					BgL_stringz00_3616 = BGl_string2014z00zzsaw_jvm_compilez00;
					{	/* SawJvm/compile.scm 1 */
						obj_t BgL_startz00_3617;

						BgL_startz00_3617 = BINT(((long) 0));
						{	/* SawJvm/compile.scm 1 */
							obj_t BgL_endz00_3618;

							BgL_endz00_3618 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3616)));
							{	/* SawJvm/compile.scm 1 */

								BgL_cportz00_3608 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3616, BgL_startz00_3617, BgL_endz00_3618);
				}}}}
				{
					long BgL_iz00_3609;

					BgL_iz00_3609 = ((long) 73);
				BgL_loopz00_3610:
					if ((BgL_iz00_3609 == ((long) -1)))
						{	/* SawJvm/compile.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/compile.scm 1 */
							{	/* SawJvm/compile.scm 1 */
								obj_t BgL_arg2016z00_3612;

								{	/* SawJvm/compile.scm 1 */

									{	/* SawJvm/compile.scm 1 */
										obj_t BgL_locationz00_3614;

										BgL_locationz00_3614 = BBOOL(((bool_t) 0));
										{	/* SawJvm/compile.scm 1 */

											BgL_arg2016z00_3612 =
												BGl_readz00zz__readerz00(BgL_cportz00_3608,
												BgL_locationz00_3614);
										}
									}
								}
								{	/* SawJvm/compile.scm 1 */
									int BgL_tmpz00_3651;

									BgL_tmpz00_3651 = (int) (BgL_iz00_3609);
									CNST_TABLE_SET(BgL_tmpz00_3651, BgL_arg2016z00_3612);
							}}
							{	/* SawJvm/compile.scm 1 */
								int BgL_auxz00_3615;

								BgL_auxz00_3615 = (int) ((BgL_iz00_3609 - ((long) 1)));
								{
									long BgL_iz00_3656;

									BgL_iz00_3656 = (long) (BgL_auxz00_3615);
									BgL_iz00_3609 = BgL_iz00_3656;
									goto BgL_loopz00_3610;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* saw_jvm-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_13)
	{
		{	/* SawJvm/compile.scm 40 */
			BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_mez00_13);
			{	/* SawJvm/compile.scm 42 */
				obj_t BgL_g1614z00_2665;

				BgL_g1614z00_2665 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1612z00_2667;

					BgL_l1612z00_2667 = BgL_g1614z00_2665;
				BgL_zc3z04anonymousza31666ze3z87_2668:
					if (PAIRP(BgL_l1612z00_2667))
						{	/* SawJvm/compile.scm 42 */
							BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_mez00_13,
								CAR(BgL_l1612z00_2667));
							{
								obj_t BgL_l1612z00_3665;

								BgL_l1612z00_3665 = CDR(BgL_l1612z00_2667);
								BgL_l1612z00_2667 = BgL_l1612z00_3665;
								goto BgL_zc3z04anonymousza31666ze3z87_2668;
							}
						}
					else
						{	/* SawJvm/compile.scm 42 */
							((bool_t) 1);
						}
				}
			}
			return BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_mez00_13);
		}

	}



/* &saw_jvm-compile */
	obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t BgL_envz00_3605,
		obj_t BgL_mez00_3606)
	{
		{	/* SawJvm/compile.scm 40 */
			return
				BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
				((BgL_jvmz00_bglt) BgL_mez00_3606));
		}

	}



/* compile-class */
	obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_14,
		obj_t BgL_cz00_15)
	{
		{	/* SawJvm/compile.scm 48 */
			{	/* SawJvm/compile.scm 49 */
				BgL_typez00_bglt BgL_arg1675z00_2673;

				BgL_arg1675z00_2673 =
					BGl_getzd2itszd2superz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
					((BgL_typez00_bglt) BgL_cz00_15), ((obj_t) BgL_arg1675z00_2673));
			}
			{	/* SawJvm/compile.scm 50 */
				obj_t BgL_g1617z00_2674;

				BgL_g1617z00_2674 =
					BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				{
					obj_t BgL_l1615z00_2676;

					BgL_l1615z00_2676 = BgL_g1617z00_2674;
				BgL_zc3z04anonymousza31676ze3z87_2677:
					if (PAIRP(BgL_l1615z00_2676))
						{	/* SawJvm/compile.scm 50 */
							{	/* SawJvm/compile.scm 50 */
								obj_t BgL_fz00_2679;

								BgL_fz00_2679 = CAR(BgL_l1615z00_2676);
								BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_mez00_14,
									((BgL_slotz00_bglt) BgL_fz00_2679));
							}
							{
								obj_t BgL_l1615z00_3682;

								BgL_l1615z00_3682 = CDR(BgL_l1615z00_2676);
								BgL_l1615z00_2676 = BgL_l1615z00_3682;
								goto BgL_zc3z04anonymousza31676ze3z87_2677;
							}
						}
					else
						{	/* SawJvm/compile.scm 50 */
							((bool_t) 1);
						}
				}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_14);
			return
				BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
				((BgL_typez00_bglt) BgL_cz00_15));
		}

	}



/* compile-module */
	obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_16)
	{
		{	/* SawJvm/compile.scm 57 */
			BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
			{	/* SawJvm/compile.scm 59 */
				obj_t BgL_g1620z00_2682;

				BgL_g1620z00_2682 =
					BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1618z00_2684;

					BgL_l1618z00_2684 = BgL_g1620z00_2682;
				BgL_zc3z04anonymousza31679ze3z87_2685:
					if (PAIRP(BgL_l1618z00_2684))
						{	/* SawJvm/compile.scm 60 */
							{	/* SawJvm/compile.scm 59 */
								obj_t BgL_vz00_2687;

								BgL_vz00_2687 = CAR(BgL_l1618z00_2684);
								BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
									((BgL_globalz00_bglt) BgL_vz00_2687));
							}
							{
								obj_t BgL_l1618z00_3694;

								BgL_l1618z00_3694 = CDR(BgL_l1618z00_2684);
								BgL_l1618z00_2684 = BgL_l1618z00_3694;
								goto BgL_zc3z04anonymousza31679ze3z87_2685;
							}
						}
					else
						{	/* SawJvm/compile.scm 60 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawJvm/compile.scm 61 */
				bool_t BgL_test2027z00_3696;

				{	/* SawJvm/compile.scm 61 */
					obj_t BgL_arg1695z00_2693;

					BgL_arg1695z00_2693 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_test2027z00_3696 =
						((long) CINT(BgL_arg1695z00_2693) > ((long) 0));
				}
				if (BgL_test2027z00_3696)
					{	/* SawJvm/compile.scm 61 */
						obj_t BgL_arg1694z00_2692;

						BgL_arg1694z00_2692 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
						BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
							((BgL_globalz00_bglt) BgL_arg1694z00_2692));
					}
				else
					{	/* SawJvm/compile.scm 61 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 62 */
				bool_t BgL_test2028z00_3703;

				{	/* SawJvm/compile.scm 62 */
					obj_t BgL_objz00_3416;

					BgL_objz00_3416 = BGl_za2mainza2z00zzmodule_modulez00;
					{	/* SawJvm/compile.scm 62 */
						obj_t BgL_classz00_3417;

						BgL_classz00_3417 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_3416))
							{	/* SawJvm/compile.scm 62 */
								BgL_objectz00_bglt BgL_arg1825z00_3419;

								BgL_arg1825z00_3419 = (BgL_objectz00_bglt) (BgL_objz00_3416);
								{	/* SawJvm/compile.scm 62 */
									bool_t BgL_arg1822z00_3422;
									bool_t BgL_arg1823z00_3423;

									{	/* SawJvm/compile.scm 62 */
										long BgL_idxz00_3426;

										BgL_idxz00_3426 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3419);
										BgL_arg1822z00_3422 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3426 + ((long) 2))) == BgL_classz00_3417);
									}
									{	/* SawJvm/compile.scm 62 */
										bool_t BgL_res2007z00_3448;

										{	/* SawJvm/compile.scm 62 */
											obj_t BgL_oclassz00_3434;

											{	/* SawJvm/compile.scm 62 */
												long BgL_arg1833z00_3440;

												{	/* SawJvm/compile.scm 62 */
													long BgL_arg1834z00_3441;

													BgL_arg1834z00_3441 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3419);
													BgL_arg1833z00_3440 =
														(BgL_arg1834z00_3441 - OBJECT_TYPE);
												}
												BgL_oclassz00_3434 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3440);
											}
											{	/* SawJvm/compile.scm 62 */
												bool_t BgL__ortest_1110z00_3435;

												BgL__ortest_1110z00_3435 =
													(BgL_classz00_3417 == BgL_oclassz00_3434);
												if (BgL__ortest_1110z00_3435)
													{	/* SawJvm/compile.scm 62 */
														BgL_res2007z00_3448 = BgL__ortest_1110z00_3435;
													}
												else
													{	/* SawJvm/compile.scm 62 */
														long BgL_odepthz00_3436;

														BgL_odepthz00_3436 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3434);
														if ((((long) 2) < BgL_odepthz00_3436))
															{	/* SawJvm/compile.scm 62 */
																obj_t BgL_arg1821z00_3438;

																BgL_arg1821z00_3438 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3434,
																	((long) 2));
																BgL_res2007z00_3448 =
																	(BgL_arg1821z00_3438 == BgL_classz00_3417);
															}
														else
															{	/* SawJvm/compile.scm 62 */
																BgL_res2007z00_3448 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3423 = BgL_res2007z00_3448;
									}
									BgL_test2028z00_3703 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3422, BgL_arg1823z00_3423);
								}
							}
						else
							{	/* SawJvm/compile.scm 62 */
								BgL_test2028z00_3703 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2028z00_3703)
					{	/* SawJvm/compile.scm 62 */
						BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_mez00_16);
					}
				else
					{	/* SawJvm/compile.scm 62 */
						BFALSE;
					}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_mez00_16);
			return BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
		}

	}



/* module-main */
	obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_17)
	{
		{	/* SawJvm/compile.scm 74 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(((long) 0)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(((long) 1)), BNIL);
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 77 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 2)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 3)));
				}
			else
				{	/* SawJvm/compile.scm 77 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 4)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 5)));
			{	/* SawJvm/compile.scm 82 */
				obj_t BgL_arg1699z00_2695;

				{	/* SawJvm/compile.scm 82 */
					obj_t BgL_list1700z00_2696;

					BgL_list1700z00_2696 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1699z00_2695 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
						BgL_list1700z00_2696);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_17,
					((BgL_globalz00_bglt) BgL_arg1699z00_2695));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 7)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 8)));
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 85 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 9)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 10)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 8)));
				}
			else
				{	/* SawJvm/compile.scm 85 */
					BFALSE;
				}
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_17);
		}

	}



/* constructor */
	obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_18)
	{
		{	/* SawJvm/compile.scm 94 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(((long) 11)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(((long) 12)), BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 13)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 14)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 8)));
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
		}

	}



/* module-init */
	obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_19)
	{
		{	/* SawJvm/compile.scm 105 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_19,
				CNST_TABLE_REF(((long) 15)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_19, BNIL, BNIL);
			{	/* SawJvm/compile.scm 109 */
				bool_t BgL_test2034z00_3776;

				if (INTEGERP(BGl_za2debugzd2moduleza2zd2zzengine_paramz00))
					{	/* SawJvm/compile.scm 109 */
						BgL_test2034z00_3776 =
							(
							(long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
							((long) 0));
					}
				else
					{	/* SawJvm/compile.scm 109 */
						BgL_test2034z00_3776 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00
							(BGl_za2debugzd2moduleza2zd2zzengine_paramz00, BINT(((long) 0)));
					}
				if (BgL_test2034z00_3776)
					{	/* SawJvm/compile.scm 109 */
						{	/* SawJvm/compile.scm 110 */
							obj_t BgL_arg1703z00_2699;

							{	/* SawJvm/compile.scm 110 */
								obj_t BgL_arg1706z00_2700;

								{	/* SawJvm/compile.scm 110 */
									obj_t BgL_arg1711z00_2701;

									{	/* SawJvm/compile.scm 110 */
										obj_t BgL_symbolz00_3451;

										BgL_symbolz00_3451 = BGl_za2moduleza2z00zzmodule_modulez00;
										{	/* SawJvm/compile.scm 110 */
											obj_t BgL_arg1463z00_3452;

											BgL_arg1463z00_3452 =
												SYMBOL_TO_STRING(BgL_symbolz00_3451);
											BgL_arg1711z00_2701 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_3452);
										}
									}
									BgL_arg1706z00_2700 =
										MAKE_YOUNG_PAIR(BgL_arg1711z00_2701, BNIL);
								}
								BgL_arg1703z00_2699 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 16)),
									BgL_arg1706z00_2700);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1703z00_2699);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							CNST_TABLE_REF(((long) 17)));
					}
				else
					{	/* SawJvm/compile.scm 109 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 113 */
				obj_t BgL_arg1712z00_2703;

				{	/* SawJvm/compile.scm 113 */
					obj_t BgL_arg1713z00_2704;

					{	/* SawJvm/compile.scm 113 */
						obj_t BgL_arg1714z00_2705;

						{	/* SawJvm/compile.scm 113 */
							obj_t BgL_symbolz00_3453;

							BgL_symbolz00_3453 = BGl_za2moduleza2z00zzmodule_modulez00;
							{	/* SawJvm/compile.scm 113 */
								obj_t BgL_arg1463z00_3454;

								BgL_arg1463z00_3454 = SYMBOL_TO_STRING(BgL_symbolz00_3453);
								BgL_arg1714z00_2705 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1463z00_3454);
							}
						}
						BgL_arg1713z00_2704 = MAKE_YOUNG_PAIR(BgL_arg1714z00_2705, BNIL);
					}
					BgL_arg1712z00_2703 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 16)), BgL_arg1713z00_2704);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1712z00_2703);
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(((long) 18)));
			{	/* SawJvm/compile.scm 116 */
				obj_t BgL_siza7eza7_2706;

				BgL_siza7eza7_2706 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
				if (((long) CINT(BgL_siza7eza7_2706) > ((long) 0)))
					{	/* SawJvm/compile.scm 117 */
						BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_19, BgL_siza7eza7_2706);
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							CNST_TABLE_REF(((long) 19)));
						{	/* SawJvm/compile.scm 120 */
							obj_t BgL_arg1716z00_2708;

							{	/* SawJvm/compile.scm 120 */
								obj_t BgL_arg1721z00_2709;

								{	/* SawJvm/compile.scm 120 */
									obj_t BgL_arg1723z00_2710;

									{	/* SawJvm/compile.scm 120 */
										obj_t BgL_arg1725z00_2711;

										BgL_arg1725z00_2711 =
											BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
										BgL_arg1723z00_2710 =
											BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
											((BgL_globalz00_bglt) BgL_arg1725z00_2711));
									}
									BgL_arg1721z00_2709 =
										MAKE_YOUNG_PAIR(BgL_arg1723z00_2710, BNIL);
								}
								BgL_arg1716z00_2708 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
									BgL_arg1721z00_2709);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1716z00_2708);
					}}
				else
					{	/* SawJvm/compile.scm 117 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 122 */
				obj_t BgL_g1623z00_2712;

				BgL_g1623z00_2712 =
					BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1621z00_2714;

					BgL_l1621z00_2714 = BgL_g1623z00_2712;
				BgL_zc3z04anonymousza31726ze3z87_2715:
					if (PAIRP(BgL_l1621z00_2714))
						{	/* SawJvm/compile.scm 123 */
							{	/* SawJvm/compile.scm 122 */
								obj_t BgL_vz00_2717;

								BgL_vz00_2717 = CAR(BgL_l1621z00_2714);
								{	/* SawJvm/compile.scm 122 */
									BgL_valuez00_bglt BgL_arg1728z00_2718;

									BgL_arg1728z00_2718 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_2717))))->
										BgL_valuez00);
									BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_mez00_19,
										BgL_vz00_2717, BgL_arg1728z00_2718);
								}
							}
							{
								obj_t BgL_l1621z00_3821;

								BgL_l1621z00_3821 = CDR(BgL_l1621z00_2714);
								BgL_l1621z00_2714 = BgL_l1621z00_3821;
								goto BgL_zc3z04anonymousza31726ze3z87_2715;
							}
						}
					else
						{	/* SawJvm/compile.scm 123 */
							((bool_t) 1);
						}
				}
			}
			if (CBOOL(BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00))
				{	/* SawJvm/compile.scm 124 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 21)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 22)));
					{	/* SawJvm/compile.scm 128 */
						obj_t BgL_arg1731z00_2721;

						{	/* SawJvm/compile.scm 128 */
							obj_t BgL_list1732z00_2722;

							BgL_list1732z00_2722 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
							BgL_arg1731z00_2721 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
								BgL_list1732z00_2722);
						}
						BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
							((BgL_globalz00_bglt) BgL_arg1731z00_2721));
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 7)));
				}
			else
				{	/* SawJvm/compile.scm 124 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(((long) 8)));
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_19);
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t BgL_vz00_20)
	{
		{	/* SawJvm/compile.scm 133 */
			{	/* SawJvm/compile.scm 134 */
				BgL_globalz00_bglt BgL_vz00_2723;

				BgL_vz00_2723 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_20));
				{	/* SawJvm/compile.scm 135 */
					BgL_valuez00_bglt BgL_valz00_2724;

					BgL_valz00_2724 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2723)))->BgL_valuez00);
					{	/* SawJvm/compile.scm 136 */
						bool_t BgL_test2039z00_3843;

						{	/* SawJvm/compile.scm 136 */
							obj_t BgL_classz00_3460;

							BgL_classz00_3460 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/compile.scm 136 */
								BgL_objectz00_bglt BgL_arg1825z00_3462;

								{	/* SawJvm/compile.scm 136 */
									obj_t BgL_tmpz00_3844;

									BgL_tmpz00_3844 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2724));
									BgL_arg1825z00_3462 = (BgL_objectz00_bglt) (BgL_tmpz00_3844);
								}
								{	/* SawJvm/compile.scm 136 */
									bool_t BgL_arg1822z00_3465;
									bool_t BgL_arg1823z00_3466;

									{	/* SawJvm/compile.scm 136 */
										long BgL_idxz00_3469;

										BgL_idxz00_3469 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3462);
										BgL_arg1822z00_3465 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3469 + ((long) 3))) == BgL_classz00_3460);
									}
									{	/* SawJvm/compile.scm 136 */
										bool_t BgL_res2008z00_3491;

										{	/* SawJvm/compile.scm 136 */
											obj_t BgL_oclassz00_3477;

											{	/* SawJvm/compile.scm 136 */
												long BgL_arg1833z00_3483;

												{	/* SawJvm/compile.scm 136 */
													long BgL_arg1834z00_3484;

													BgL_arg1834z00_3484 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3462);
													BgL_arg1833z00_3483 =
														(BgL_arg1834z00_3484 - OBJECT_TYPE);
												}
												BgL_oclassz00_3477 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3483);
											}
											{	/* SawJvm/compile.scm 136 */
												bool_t BgL__ortest_1110z00_3478;

												BgL__ortest_1110z00_3478 =
													(BgL_classz00_3460 == BgL_oclassz00_3477);
												if (BgL__ortest_1110z00_3478)
													{	/* SawJvm/compile.scm 136 */
														BgL_res2008z00_3491 = BgL__ortest_1110z00_3478;
													}
												else
													{	/* SawJvm/compile.scm 136 */
														long BgL_odepthz00_3479;

														BgL_odepthz00_3479 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3477);
														if ((((long) 3) < BgL_odepthz00_3479))
															{	/* SawJvm/compile.scm 136 */
																obj_t BgL_arg1821z00_3481;

																BgL_arg1821z00_3481 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3477,
																	((long) 3));
																BgL_res2008z00_3491 =
																	(BgL_arg1821z00_3481 == BgL_classz00_3460);
															}
														else
															{	/* SawJvm/compile.scm 136 */
																BgL_res2008z00_3491 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3466 = BgL_res2008z00_3491;
									}
									BgL_test2039z00_3843 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3465, BgL_arg1823z00_3466);
								}
							}
						}
						if (BgL_test2039z00_3843)
							{	/* SawJvm/compile.scm 137 */
								obj_t BgL_cloz00_2726;

								BgL_cloz00_2726 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2724)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/compile.scm 138 */
									bool_t BgL_oz00_2727;
									bool_t BgL_kz00_2728;

									BgL_oz00_2727 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2726);
									BgL_kz00_2728 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2726);
									if (BgL_oz00_2727)
										{	/* SawJvm/compile.scm 139 */
											return BgL_oz00_2727;
										}
									else
										{	/* SawJvm/compile.scm 139 */
											return BgL_kz00_2728;
										}
								}
							}
						else
							{	/* SawJvm/compile.scm 136 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-init-cnst */
	obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_21, obj_t BgL_varz00_22, BgL_valuez00_bglt BgL_valz00_23)
	{
		{	/* SawJvm/compile.scm 141 */
			{	/* SawJvm/compile.scm 143 */
				obj_t BgL_casezd2valuezd2_2731;

				BgL_casezd2valuezd2_2731 =
					(((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
				if ((BgL_casezd2valuezd2_2731 == CNST_TABLE_REF(((long) 24))))
					{	/* SawJvm/compile.scm 143 */
						{	/* SawJvm/compile.scm 145 */
							obj_t BgL_arg1738z00_2733;

							BgL_arg1738z00_2733 =
								(((BgL_scnstz00_bglt) COBJECT(
										((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
							BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_21,
								BgL_arg1738z00_2733);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
							CNST_TABLE_REF(((long) 25)));
					}
				else
					{	/* SawJvm/compile.scm 143 */
						if ((BgL_casezd2valuezd2_2731 == CNST_TABLE_REF(((long) 26))))
							{	/* SawJvm/compile.scm 143 */
								{	/* SawJvm/compile.scm 148 */
									obj_t BgL_arg1742z00_2735;

									BgL_arg1742z00_2735 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
									BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
										BgL_arg1742z00_2735, CNST_TABLE_REF(((long) 27)));
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
									CNST_TABLE_REF(((long) 28)));
							}
						else
							{	/* SawJvm/compile.scm 143 */
								if ((BgL_casezd2valuezd2_2731 == CNST_TABLE_REF(((long) 29))))
									{	/* SawJvm/compile.scm 143 */
										{	/* SawJvm/compile.scm 151 */
											obj_t BgL_arg1745z00_2737;

											BgL_arg1745z00_2737 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
											BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
												BgL_arg1745z00_2737, CNST_TABLE_REF(((long) 30)));
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
											CNST_TABLE_REF(((long) 31)));
									}
								else
									{	/* SawJvm/compile.scm 143 */
										if (
											(BgL_casezd2valuezd2_2731 == CNST_TABLE_REF(((long) 32))))
											{	/* SawJvm/compile.scm 143 */
												{	/* SawJvm/compile.scm 154 */
													obj_t BgL_arg1747z00_2739;

													BgL_arg1747z00_2739 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valz00_23)))->
														BgL_nodez00);
													BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
														BgL_arg1747z00_2739, CNST_TABLE_REF(((long) 30)));
												}
												BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
													CNST_TABLE_REF(((long) 33)));
											}
										else
											{	/* SawJvm/compile.scm 143 */
												bool_t BgL_test2047z00_3905;

												{	/* SawJvm/compile.scm 143 */
													bool_t BgL__ortest_1167z00_2832;

													BgL__ortest_1167z00_2832 =
														(BgL_casezd2valuezd2_2731 ==
														CNST_TABLE_REF(((long) 34)));
													if (BgL__ortest_1167z00_2832)
														{	/* SawJvm/compile.scm 143 */
															BgL_test2047z00_3905 = BgL__ortest_1167z00_2832;
														}
													else
														{	/* SawJvm/compile.scm 143 */
															BgL_test2047z00_3905 =
																(BgL_casezd2valuezd2_2731 ==
																CNST_TABLE_REF(((long) 35)));
												}}
												if (BgL_test2047z00_3905)
													{	/* SawJvm/compile.scm 143 */
														{	/* SawJvm/compile.scm 157 */
															obj_t BgL_arg1749z00_2742;

															BgL_arg1749z00_2742 =
																(((BgL_scnstz00_bglt) COBJECT(
																		((BgL_scnstz00_bglt) BgL_valz00_23)))->
																BgL_nodez00);
															BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
																BgL_arg1749z00_2742,
																CNST_TABLE_REF(((long) 30)));
														}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
															CNST_TABLE_REF(((long) 36)));
													}
												else
													{	/* SawJvm/compile.scm 143 */
														bool_t BgL_test2049z00_3917;

														{	/* SawJvm/compile.scm 143 */
															bool_t BgL__ortest_1168z00_2831;

															BgL__ortest_1168z00_2831 =
																(BgL_casezd2valuezd2_2731 ==
																CNST_TABLE_REF(((long) 37)));
															if (BgL__ortest_1168z00_2831)
																{	/* SawJvm/compile.scm 143 */
																	BgL_test2049z00_3917 =
																		BgL__ortest_1168z00_2831;
																}
															else
																{	/* SawJvm/compile.scm 143 */
																	BgL_test2049z00_3917 =
																		(BgL_casezd2valuezd2_2731 ==
																		CNST_TABLE_REF(((long) 38)));
														}}
														if (BgL_test2049z00_3917)
															{	/* SawJvm/compile.scm 143 */
																{	/* SawJvm/compile.scm 160 */
																	obj_t BgL_arg1751z00_2745;

																	BgL_arg1751z00_2745 =
																		(((BgL_scnstz00_bglt) COBJECT(
																				((BgL_scnstz00_bglt) BgL_valz00_23)))->
																		BgL_nodez00);
																	BGl_pushzd2numzd2zzsaw_jvm_outz00
																		(BgL_mez00_21, BgL_arg1751z00_2745,
																		CNST_TABLE_REF(((long) 39)));
																}
																BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																	CNST_TABLE_REF(((long) 40)));
															}
														else
															{	/* SawJvm/compile.scm 143 */
																bool_t BgL_test2051z00_3929;

																{	/* SawJvm/compile.scm 143 */
																	bool_t BgL__ortest_1169z00_2830;

																	BgL__ortest_1169z00_2830 =
																		(BgL_casezd2valuezd2_2731 ==
																		CNST_TABLE_REF(((long) 41)));
																	if (BgL__ortest_1169z00_2830)
																		{	/* SawJvm/compile.scm 143 */
																			BgL_test2051z00_3929 =
																				BgL__ortest_1169z00_2830;
																		}
																	else
																		{	/* SawJvm/compile.scm 143 */
																			BgL_test2051z00_3929 =
																				(BgL_casezd2valuezd2_2731 ==
																				CNST_TABLE_REF(((long) 42)));
																}}
																if (BgL_test2051z00_3929)
																	{	/* SawJvm/compile.scm 143 */
																		{	/* SawJvm/compile.scm 163 */
																			obj_t BgL_arg1759z00_2748;

																			BgL_arg1759z00_2748 =
																				(((BgL_scnstz00_bglt) COBJECT(
																						((BgL_scnstz00_bglt)
																							BgL_valz00_23)))->BgL_nodez00);
																			BGl_pushzd2numzd2zzsaw_jvm_outz00
																				(BgL_mez00_21, BgL_arg1759z00_2748,
																				CNST_TABLE_REF(((long) 43)));
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																			CNST_TABLE_REF(((long) 44)));
																	}
																else
																	{	/* SawJvm/compile.scm 143 */
																		bool_t BgL_test2053z00_3941;

																		{	/* SawJvm/compile.scm 143 */
																			bool_t BgL__ortest_1170z00_2829;

																			BgL__ortest_1170z00_2829 =
																				(BgL_casezd2valuezd2_2731 ==
																				CNST_TABLE_REF(((long) 45)));
																			if (BgL__ortest_1170z00_2829)
																				{	/* SawJvm/compile.scm 143 */
																					BgL_test2053z00_3941 =
																						BgL__ortest_1170z00_2829;
																				}
																			else
																				{	/* SawJvm/compile.scm 143 */
																					BgL_test2053z00_3941 =
																						(BgL_casezd2valuezd2_2731 ==
																						CNST_TABLE_REF(((long) 46)));
																		}}
																		if (BgL_test2053z00_3941)
																			{	/* SawJvm/compile.scm 143 */
																				{	/* SawJvm/compile.scm 166 */
																					obj_t BgL_arg1761z00_2751;

																					BgL_arg1761z00_2751 =
																						(((BgL_scnstz00_bglt) COBJECT(
																								((BgL_scnstz00_bglt)
																									BgL_valz00_23)))->
																						BgL_nodez00);
																					BGl_pushzd2numzd2zzsaw_jvm_outz00
																						(BgL_mez00_21, BgL_arg1761z00_2751,
																						CNST_TABLE_REF(((long) 47)));
																				}
																				BGl_codez12z12zzsaw_jvm_outz00
																					(BgL_mez00_21,
																					CNST_TABLE_REF(((long) 48)));
																			}
																		else
																			{	/* SawJvm/compile.scm 143 */
																				if (
																					(BgL_casezd2valuezd2_2731 ==
																						CNST_TABLE_REF(((long) 49))))
																					{	/* SawJvm/compile.scm 143 */
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 50)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 51)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 52)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 51)));
																						{	/* SawJvm/compile.scm 173 */
																							int BgL_arg1766z00_2753;

																							{
																								BgL_indexedz00_bglt
																									BgL_auxz00_3964;
																								{
																									obj_t BgL_auxz00_3965;

																									{	/* SawJvm/compile.scm 173 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3966;
																										BgL_tmpz00_3966 =
																											((BgL_objectz00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_varz00_22));
																										BgL_auxz00_3965 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_3966);
																									}
																									BgL_auxz00_3964 =
																										((BgL_indexedz00_bglt)
																										BgL_auxz00_3965);
																								}
																								BgL_arg1766z00_2753 =
																									(((BgL_indexedz00_bglt)
																										COBJECT(BgL_auxz00_3964))->
																									BgL_indexz00);
																							}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BINT(BgL_arg1766z00_2753));
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 53)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 51)));
																						{	/* SawJvm/compile.scm 176 */
																							obj_t BgL_arg1770z00_2754;

																							if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																								{	/* SawJvm/compile.scm 176 */
																									BgL_arg1770z00_2754 =
																										BINT(((long) -1));
																								}
																							else
																								{	/* SawJvm/compile.scm 176 */
																									BgL_arg1770z00_2754 =
																										BGl_globalzd2arityzd2zzbackend_cplibz00
																										(((BgL_globalz00_bglt)
																											BgL_varz00_22));
																								}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BgL_arg1770z00_2754);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 54)));
																					}
																				else
																					{	/* SawJvm/compile.scm 143 */
																						if (
																							(BgL_casezd2valuezd2_2731 ==
																								CNST_TABLE_REF(((long) 55))))
																							{	/* SawJvm/compile.scm 143 */
																								BGl_codez12z12zzsaw_jvm_outz00
																									(BgL_mez00_21,
																									CNST_TABLE_REF(((long) 22)));
																							}
																						else
																							{	/* SawJvm/compile.scm 143 */
																								if (
																									(BgL_casezd2valuezd2_2731 ==
																										CNST_TABLE_REF(((long)
																												56))))
																									{	/* SawJvm/compile.scm 143 */
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													50)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													51)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													52)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													51)));
																										{	/* SawJvm/compile.scm 186 */
																											int BgL_arg1777z00_2758;

																											{
																												BgL_indexedz00_bglt
																													BgL_auxz00_4002;
																												{
																													obj_t BgL_auxz00_4003;

																													{	/* SawJvm/compile.scm 186 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4004;
																														BgL_tmpz00_4004 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_globalz00_bglt) BgL_varz00_22));
																														BgL_auxz00_4003 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4004);
																													}
																													BgL_auxz00_4002 =
																														(
																														(BgL_indexedz00_bglt)
																														BgL_auxz00_4003);
																												}
																												BgL_arg1777z00_2758 =
																													(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4002))->BgL_indexz00);
																											}
																											BGl_pushzd2intzd2zzsaw_jvm_outz00
																												(BgL_mez00_21,
																												BINT
																												(BgL_arg1777z00_2758));
																										}
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													53)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													51)));
																										BGl_pushzd2intzd2zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											BINT(((long) 0)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													19)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													57)));
																									}
																								else
																									{	/* SawJvm/compile.scm 143 */
																										if (
																											(BgL_casezd2valuezd2_2731
																												==
																												CNST_TABLE_REF(((long)
																														58))))
																											{	/* SawJvm/compile.scm 143 */
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															50)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															52)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												{	/* SawJvm/compile.scm 197 */
																													int
																														BgL_arg1781z00_2760;
																													{
																														BgL_indexedz00_bglt
																															BgL_auxz00_4033;
																														{
																															obj_t
																																BgL_auxz00_4034;
																															{	/* SawJvm/compile.scm 197 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4035;
																																BgL_tmpz00_4035
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_globalz00_bglt) BgL_varz00_22));
																																BgL_auxz00_4034
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4035);
																															}
																															BgL_auxz00_4033 =
																																(
																																(BgL_indexedz00_bglt)
																																BgL_auxz00_4034);
																														}
																														BgL_arg1781z00_2760
																															=
																															(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4033))->BgL_indexz00);
																													}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BINT
																														(BgL_arg1781z00_2760));
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															53)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												{	/* SawJvm/compile.scm 200 */
																													obj_t
																														BgL_arg1785z00_2761;
																													if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																														{	/* SawJvm/compile.scm 200 */
																															BgL_arg1785z00_2761
																																=
																																BINT(((long)
																																	-1));
																														}
																													else
																														{	/* SawJvm/compile.scm 200 */
																															BgL_arg1785z00_2761
																																=
																																BGl_globalzd2arityzd2zzbackend_cplibz00
																																(((BgL_globalz00_bglt) BgL_varz00_22));
																														}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BgL_arg1785z00_2761);
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															54)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													BINT(((long) 3)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															19)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															57)));
																											}
																										else
																											{	/* SawJvm/compile.scm 143 */
																												if (
																													(BgL_casezd2valuezd2_2731
																														==
																														CNST_TABLE_REF((
																																(long) 59))))
																													{	/* SawJvm/compile.scm 208 */
																														obj_t
																															BgL_vecz00_2764;
																														{	/* SawJvm/compile.scm 208 */
																															obj_t
																																BgL_sz00_3508;
																															BgL_sz00_3508 =
																																(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																															BgL_vecz00_2764 =
																																STRUCT_REF
																																(BgL_sz00_3508,
																																(int) (((long)
																																		1)));
																														}
																														{	/* SawJvm/compile.scm 208 */
																															BgL_typez00_bglt
																																BgL_typez00_2765;
																															{	/* SawJvm/compile.scm 209 */
																																BgL_typez00_bglt
																																	BgL_oz00_3510;
																																{	/* SawJvm/compile.scm 209 */
																																	obj_t
																																		BgL_sz00_3509;
																																	BgL_sz00_3509
																																		=
																																		(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																																	BgL_oz00_3510
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		STRUCT_REF
																																		(BgL_sz00_3509,
																																			(int) ((
																																					(long)
																																					0))));
																																}
																																{
																																	BgL_tvecz00_bglt
																																		BgL_auxz00_4075;
																																	{
																																		obj_t
																																			BgL_auxz00_4076;
																																		{	/* SawJvm/compile.scm 209 */
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_4077;
																																			BgL_tmpz00_4077
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_oz00_3510);
																																			BgL_auxz00_4076
																																				=
																																				BGL_OBJECT_WIDENING
																																				(BgL_tmpz00_4077);
																																		}
																																		BgL_auxz00_4075
																																			=
																																			(
																																			(BgL_tvecz00_bglt)
																																			BgL_auxz00_4076);
																																	}
																																	BgL_typez00_2765
																																		=
																																		(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_4075))->BgL_itemzd2typezd2);
																															}}
																															{	/* SawJvm/compile.scm 209 */
																																obj_t
																																	BgL_idz00_2766;
																																BgL_idz00_2766 =
																																	(((BgL_typez00_bglt) COBJECT(BgL_typez00_2765))->BgL_namez00);
																																{	/* SawJvm/compile.scm 211 */

																																	BGl_pushzd2intzd2zzsaw_jvm_outz00
																																		(BgL_mez00_21,
																																		BINT
																																		(VECTOR_LENGTH
																																			(((obj_t)
																																					BgL_vecz00_2764))));
																																	{	/* SawJvm/compile.scm 213 */
																																		bool_t
																																			BgL_test2062z00_4087;
																																		{	/* SawJvm/compile.scm 213 */
																																			bool_t
																																				BgL__ortest_1171z00_2783;
																																			BgL__ortest_1171z00_2783
																																				=
																																				(BgL_idz00_2766
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						60)));
																																			if (BgL__ortest_1171z00_2783)
																																				{	/* SawJvm/compile.scm 213 */
																																					BgL_test2062z00_4087
																																						=
																																						BgL__ortest_1171z00_2783;
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 213 */
																																					bool_t
																																						BgL__ortest_1172z00_2784;
																																					BgL__ortest_1172z00_2784
																																						=
																																						(BgL_idz00_2766
																																						==
																																						CNST_TABLE_REF
																																						(((long) 47)));
																																					if (BgL__ortest_1172z00_2784)
																																						{	/* SawJvm/compile.scm 213 */
																																							BgL_test2062z00_4087
																																								=
																																								BgL__ortest_1172z00_2784;
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 213 */
																																							bool_t
																																								BgL__ortest_1173z00_2785;
																																							BgL__ortest_1173z00_2785
																																								=
																																								(BgL_idz00_2766
																																								==
																																								CNST_TABLE_REF
																																								(((long) 61)));
																																							if (BgL__ortest_1173z00_2785)
																																								{	/* SawJvm/compile.scm 213 */
																																									BgL_test2062z00_4087
																																										=
																																										BgL__ortest_1173z00_2785;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 213 */
																																									bool_t
																																										BgL__ortest_1174z00_2786;
																																									BgL__ortest_1174z00_2786
																																										=
																																										(BgL_idz00_2766
																																										==
																																										CNST_TABLE_REF
																																										(((long) 43)));
																																									if (BgL__ortest_1174z00_2786)
																																										{	/* SawJvm/compile.scm 213 */
																																											BgL_test2062z00_4087
																																												=
																																												BgL__ortest_1174z00_2786;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 213 */
																																											bool_t
																																												BgL__ortest_1175z00_2787;
																																											BgL__ortest_1175z00_2787
																																												=
																																												(BgL_idz00_2766
																																												==
																																												CNST_TABLE_REF
																																												(((long) 39)));
																																											if (BgL__ortest_1175z00_2787)
																																												{	/* SawJvm/compile.scm 213 */
																																													BgL_test2062z00_4087
																																														=
																																														BgL__ortest_1175z00_2787;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 213 */
																																													bool_t
																																														BgL__ortest_1176z00_2788;
																																													BgL__ortest_1176z00_2788
																																														=
																																														(BgL_idz00_2766
																																														==
																																														CNST_TABLE_REF
																																														(((long) 30)));
																																													if (BgL__ortest_1176z00_2788)
																																														{	/* SawJvm/compile.scm 213 */
																																															BgL_test2062z00_4087
																																																=
																																																BgL__ortest_1176z00_2788;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 213 */
																																															bool_t
																																																BgL__ortest_1177z00_2789;
																																															BgL__ortest_1177z00_2789
																																																=
																																																(BgL_idz00_2766
																																																==
																																																CNST_TABLE_REF
																																																(((long) 62)));
																																															if (BgL__ortest_1177z00_2789)
																																																{	/* SawJvm/compile.scm 213 */
																																																	BgL_test2062z00_4087
																																																		=
																																																		BgL__ortest_1177z00_2789;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 213 */
																																																	BgL_test2062z00_4087
																																																		=
																																																		(BgL_idz00_2766
																																																		==
																																																		CNST_TABLE_REF
																																																		(((long) 27)));
																																		}}}}}}}}
																																		if (BgL_test2062z00_4087)
																																			{	/* SawJvm/compile.scm 215 */
																																				obj_t
																																					BgL_arg1789z00_2777;
																																				{	/* SawJvm/compile.scm 215 */
																																					obj_t
																																						BgL_arg1799z00_2778;
																																					BgL_arg1799z00_2778
																																						=
																																						MAKE_YOUNG_PAIR
																																						((((BgL_typez00_bglt) COBJECT(BgL_typez00_2765))->BgL_namez00), BNIL);
																																					BgL_arg1789z00_2777
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 63)), BgL_arg1799z00_2778);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1789z00_2777);
																																			}
																																		else
																																			{	/* SawJvm/compile.scm 217 */
																																				obj_t
																																					BgL_arg1805z00_2780;
																																				{	/* SawJvm/compile.scm 217 */
																																					obj_t
																																						BgL_arg1807z00_2781;
																																					BgL_arg1807z00_2781
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_compilezd2typezd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																							BgL_typez00_2765),
																																						BNIL);
																																					BgL_arg1805z00_2780
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 64)), BgL_arg1807z00_2781);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1805z00_2780);
																																	}}
																																	{
																																		long
																																			BgL_iz00_2791;
																																		{	/* SawJvm/compile.scm 218 */
																																			bool_t
																																				BgL_tmpz00_4121;
																																			BgL_iz00_2791
																																				=
																																				((long)
																																				0);
																																		BgL_zc3z04anonymousza31809ze3z87_2792:
																																			if (
																																				(BgL_iz00_2791
																																					==
																																					VECTOR_LENGTH
																																					(((obj_t) BgL_vecz00_2764))))
																																				{	/* SawJvm/compile.scm 219 */
																																					BgL_tmpz00_4121
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 219 */
																																					BGl_codez12z12zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						CNST_TABLE_REF
																																						(((long) 51)));
																																					BGl_pushzd2intzd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						BINT
																																						(BgL_iz00_2791));
																																					{	/* SawJvm/compile.scm 223 */
																																						bool_t
																																							BgL_test2071z00_4130;
																																						{	/* SawJvm/compile.scm 223 */
																																							bool_t
																																								BgL__ortest_1178z00_2805;
																																							BgL__ortest_1178z00_2805
																																								=
																																								(BgL_idz00_2766
																																								==
																																								CNST_TABLE_REF
																																								(((long) 60)));
																																							if (BgL__ortest_1178z00_2805)
																																								{	/* SawJvm/compile.scm 223 */
																																									BgL_test2071z00_4130
																																										=
																																										BgL__ortest_1178z00_2805;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 223 */
																																									bool_t
																																										BgL__ortest_1179z00_2806;
																																									BgL__ortest_1179z00_2806
																																										=
																																										(BgL_idz00_2766
																																										==
																																										CNST_TABLE_REF
																																										(((long) 47)));
																																									if (BgL__ortest_1179z00_2806)
																																										{	/* SawJvm/compile.scm 223 */
																																											BgL_test2071z00_4130
																																												=
																																												BgL__ortest_1179z00_2806;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 223 */
																																											bool_t
																																												BgL__ortest_1180z00_2807;
																																											BgL__ortest_1180z00_2807
																																												=
																																												(BgL_idz00_2766
																																												==
																																												CNST_TABLE_REF
																																												(((long) 61)));
																																											if (BgL__ortest_1180z00_2807)
																																												{	/* SawJvm/compile.scm 223 */
																																													BgL_test2071z00_4130
																																														=
																																														BgL__ortest_1180z00_2807;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 223 */
																																													bool_t
																																														BgL__ortest_1181z00_2808;
																																													BgL__ortest_1181z00_2808
																																														=
																																														(BgL_idz00_2766
																																														==
																																														CNST_TABLE_REF
																																														(((long) 43)));
																																													if (BgL__ortest_1181z00_2808)
																																														{	/* SawJvm/compile.scm 223 */
																																															BgL_test2071z00_4130
																																																=
																																																BgL__ortest_1181z00_2808;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 223 */
																																															bool_t
																																																BgL__ortest_1182z00_2809;
																																															BgL__ortest_1182z00_2809
																																																=
																																																(BgL_idz00_2766
																																																==
																																																CNST_TABLE_REF
																																																(((long) 39)));
																																															if (BgL__ortest_1182z00_2809)
																																																{	/* SawJvm/compile.scm 223 */
																																																	BgL_test2071z00_4130
																																																		=
																																																		BgL__ortest_1182z00_2809;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 223 */
																																																	bool_t
																																																		BgL__ortest_1183z00_2810;
																																																	BgL__ortest_1183z00_2810
																																																		=
																																																		(BgL_idz00_2766
																																																		==
																																																		CNST_TABLE_REF
																																																		(((long) 30)));
																																																	if (BgL__ortest_1183z00_2810)
																																																		{	/* SawJvm/compile.scm 223 */
																																																			BgL_test2071z00_4130
																																																				=
																																																				BgL__ortest_1183z00_2810;
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 223 */
																																																			bool_t
																																																				BgL__ortest_1184z00_2811;
																																																			BgL__ortest_1184z00_2811
																																																				=
																																																				(BgL_idz00_2766
																																																				==
																																																				CNST_TABLE_REF
																																																				(((long) 62)));
																																																			if (BgL__ortest_1184z00_2811)
																																																				{	/* SawJvm/compile.scm 223 */
																																																					BgL_test2071z00_4130
																																																						=
																																																						BgL__ortest_1184z00_2811;
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 223 */
																																																					BgL_test2071z00_4130
																																																						=
																																																						(BgL_idz00_2766
																																																						==
																																																						CNST_TABLE_REF
																																																						(((long) 27)));
																																						}}}}}}}}
																																						if (BgL_test2071z00_4130)
																																							{	/* SawJvm/compile.scm 225 */
																																								obj_t
																																									BgL_arg1817z00_2803;
																																								BgL_arg1817z00_2803
																																									=
																																									VECTOR_REF
																																									(
																																									((obj_t) BgL_vecz00_2764), BgL_iz00_2791);
																																								BGl_pushzd2numzd2zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									BgL_arg1817z00_2803,
																																									BgL_idz00_2766);
																																							}
																																						else
																																							{	/* SawJvm/compile.scm 223 */
																																								{	/* SawJvm/compile.scm 227 */
																																									obj_t
																																										BgL_arg1818z00_2804;
																																									BgL_arg1818z00_2804
																																										=
																																										VECTOR_REF
																																										(
																																										((obj_t) BgL_vecz00_2764), BgL_iz00_2791);
																																									BGl_pushzd2stringzd2zzsaw_jvm_outz00
																																										(BgL_mez00_21,
																																										BgL_arg1818z00_2804);
																																								}
																																								BGl_codez12z12zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									CNST_TABLE_REF
																																									(((long) 25)));
																																					}}
																																					{	/* SawJvm/compile.scm 229 */
																																						obj_t
																																							BgL_arg1824z00_2812;
																																						{	/* SawJvm/compile.scm 229 */
																																							bool_t
																																								BgL_test2079z00_4162;
																																							{	/* SawJvm/compile.scm 229 */
																																								bool_t
																																									BgL__ortest_1185z00_2822;
																																								BgL__ortest_1185z00_2822
																																									=
																																									(BgL_idz00_2766
																																									==
																																									CNST_TABLE_REF
																																									(((long) 60)));
																																								if (BgL__ortest_1185z00_2822)
																																									{	/* SawJvm/compile.scm 229 */
																																										BgL_test2079z00_4162
																																											=
																																											BgL__ortest_1185z00_2822;
																																									}
																																								else
																																									{	/* SawJvm/compile.scm 229 */
																																										BgL_test2079z00_4162
																																											=
																																											(BgL_idz00_2766
																																											==
																																											CNST_TABLE_REF
																																											(((long) 47)));
																																							}}
																																							if (BgL_test2079z00_4162)
																																								{	/* SawJvm/compile.scm 229 */
																																									BgL_arg1824z00_2812
																																										=
																																										CNST_TABLE_REF
																																										(
																																										((long) 65));
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 229 */
																																									if ((BgL_idz00_2766 == CNST_TABLE_REF(((long) 61))))
																																										{	/* SawJvm/compile.scm 229 */
																																											BgL_arg1824z00_2812
																																												=
																																												CNST_TABLE_REF
																																												(
																																												((long) 66));
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 229 */
																																											if ((BgL_idz00_2766 == CNST_TABLE_REF(((long) 43))))
																																												{	/* SawJvm/compile.scm 229 */
																																													BgL_arg1824z00_2812
																																														=
																																														CNST_TABLE_REF
																																														(
																																														((long) 67));
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 229 */
																																													if ((BgL_idz00_2766 == CNST_TABLE_REF(((long) 39))))
																																														{	/* SawJvm/compile.scm 229 */
																																															BgL_arg1824z00_2812
																																																=
																																																CNST_TABLE_REF
																																																(
																																																((long) 68));
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 229 */
																																															if ((BgL_idz00_2766 == CNST_TABLE_REF(((long) 30))))
																																																{	/* SawJvm/compile.scm 229 */
																																																	BgL_arg1824z00_2812
																																																		=
																																																		CNST_TABLE_REF
																																																		(
																																																		((long) 69));
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 229 */
																																																	if ((BgL_idz00_2766 == CNST_TABLE_REF(((long) 62))))
																																																		{	/* SawJvm/compile.scm 229 */
																																																			BgL_arg1824z00_2812
																																																				=
																																																				CNST_TABLE_REF
																																																				(
																																																				((long) 70));
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 229 */
																																																			if ((BgL_idz00_2766 == CNST_TABLE_REF(((long) 27))))
																																																				{	/* SawJvm/compile.scm 229 */
																																																					BgL_arg1824z00_2812
																																																						=
																																																						CNST_TABLE_REF
																																																						(
																																																						((long) 71));
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 229 */
																																																					BgL_arg1824z00_2812
																																																						=
																																																						CNST_TABLE_REF
																																																						(
																																																						((long) 72));
																																						}}}}}}}}
																																						BGl_codez12z12zzsaw_jvm_outz00
																																							(BgL_mez00_21,
																																							BgL_arg1824z00_2812);
																																					}
																																					{
																																						long
																																							BgL_iz00_4195;
																																						BgL_iz00_4195
																																							=
																																							(BgL_iz00_2791
																																							+
																																							((long) 1));
																																						BgL_iz00_2791
																																							=
																																							BgL_iz00_4195;
																																						goto
																																							BgL_zc3z04anonymousza31809ze3z87_2792;
																																					}
																																				}
																																			BBOOL
																																				(BgL_tmpz00_4121);
																																		}
																																	}
																																}
																															}
																														}
																													}
																												else
																													{	/* SawJvm/compile.scm 240 */
																														obj_t
																															BgL_arg1848z00_2828;
																														BgL_arg1848z00_2828
																															=
																															(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
																														BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2011z00zzsaw_jvm_compilez00,
																															BGl_string2012z00zzsaw_jvm_compilez00,
																															BgL_arg1848z00_2828);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
			{	/* SawJvm/compile.scm 241 */
				obj_t BgL_arg1849z00_2833;

				{	/* SawJvm/compile.scm 241 */
					obj_t BgL_arg1850z00_2834;

					{	/* SawJvm/compile.scm 241 */
						obj_t BgL_arg1852z00_2835;

						BgL_arg1852z00_2835 =
							BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_21,
							((BgL_globalz00_bglt) BgL_varz00_22));
						BgL_arg1850z00_2834 = MAKE_YOUNG_PAIR(BgL_arg1852z00_2835, BNIL);
					}
					BgL_arg1849z00_2833 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)), BgL_arg1850z00_2834);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21, BgL_arg1849z00_2833);
			}
		}

	}



/* module-dlopen */
	obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_24)
	{
		{	/* SawJvm/compile.scm 246 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_24,
				CNST_TABLE_REF(((long) 73)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_24, BNIL, BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 21)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 22)));
			{	/* SawJvm/compile.scm 251 */
				obj_t BgL_arg1854z00_2836;

				{	/* SawJvm/compile.scm 251 */
					obj_t BgL_list1855z00_2837;

					BgL_list1855z00_2837 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1854z00_2836 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
						BgL_list1855z00_2837);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_24,
					((BgL_globalz00_bglt) BgL_arg1854z00_2836));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 7)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 8)));
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_24);
		}

	}



/* module-functions */
	bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_25)
	{
		{	/* SawJvm/compile.scm 259 */
			{	/* SawJvm/compile.scm 260 */
				obj_t BgL_g1626z00_2838;

				BgL_g1626z00_2838 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_mez00_25)))->BgL_functionsz00);
				{
					obj_t BgL_l1624z00_2840;

					BgL_l1624z00_2840 = BgL_g1626z00_2838;
				BgL_zc3z04anonymousza31856ze3z87_2841:
					if (PAIRP(BgL_l1624z00_2840))
						{	/* SawJvm/compile.scm 260 */
							BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_mez00_25,
								CAR(BgL_l1624z00_2840));
							{
								obj_t BgL_l1624z00_4230;

								BgL_l1624z00_4230 = CDR(BgL_l1624z00_2840);
								BgL_l1624z00_2840 = BgL_l1624z00_4230;
								goto BgL_zc3z04anonymousza31856ze3z87_2841;
							}
						}
					else
						{	/* SawJvm/compile.scm 260 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* module-function */
	obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_26, obj_t BgL_vz00_27)
	{
		{	/* SawJvm/compile.scm 262 */
			{	/* SawJvm/compile.scm 264 */
				obj_t BgL_codez00_2847;
				obj_t BgL_paramsz00_2848;

				BgL_codez00_2847 =
					BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
					((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27));
				{	/* SawJvm/compile.scm 265 */
					obj_t BgL_l1627z00_2849;

					BgL_l1627z00_2849 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_27))))->
										BgL_valuez00))))->BgL_argsz00);
					if (NULLP(BgL_l1627z00_2849))
						{	/* SawJvm/compile.scm 265 */
							BgL_paramsz00_2848 = BNIL;
						}
					else
						{	/* SawJvm/compile.scm 265 */
							obj_t BgL_head1629z00_2851;

							{	/* SawJvm/compile.scm 265 */
								BgL_rtl_regz00_bglt BgL_arg1867z00_2863;

								{	/* SawJvm/compile.scm 265 */
									obj_t BgL_arg1869z00_2864;

									BgL_arg1869z00_2864 = CAR(((obj_t) BgL_l1627z00_2849));
									BgL_arg1867z00_2863 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(
										((BgL_localz00_bglt) BgL_arg1869z00_2864));
								}
								BgL_head1629z00_2851 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1867z00_2863), BNIL);
							}
							{	/* SawJvm/compile.scm 265 */
								obj_t BgL_g1632z00_2852;

								BgL_g1632z00_2852 = CDR(((obj_t) BgL_l1627z00_2849));
								{
									obj_t BgL_l1627z00_2854;
									obj_t BgL_tail1630z00_2855;

									BgL_l1627z00_2854 = BgL_g1632z00_2852;
									BgL_tail1630z00_2855 = BgL_head1629z00_2851;
								BgL_zc3z04anonymousza31860ze3z87_2856:
									if (NULLP(BgL_l1627z00_2854))
										{	/* SawJvm/compile.scm 265 */
											BgL_paramsz00_2848 = BgL_head1629z00_2851;
										}
									else
										{	/* SawJvm/compile.scm 265 */
											obj_t BgL_newtail1631z00_2858;

											{	/* SawJvm/compile.scm 265 */
												BgL_rtl_regz00_bglt BgL_arg1863z00_2860;

												{	/* SawJvm/compile.scm 265 */
													obj_t BgL_arg1865z00_2861;

													BgL_arg1865z00_2861 =
														CAR(((obj_t) BgL_l1627z00_2854));
													BgL_arg1863z00_2860 =
														BGl_localzd2ze3regz31zzsaw_node2rtlz00(
														((BgL_localz00_bglt) BgL_arg1865z00_2861));
												}
												BgL_newtail1631z00_2858 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1863z00_2860), BNIL);
											}
											SET_CDR(BgL_tail1630z00_2855, BgL_newtail1631z00_2858);
											{	/* SawJvm/compile.scm 265 */
												obj_t BgL_arg1862z00_2859;

												BgL_arg1862z00_2859 = CDR(((obj_t) BgL_l1627z00_2854));
												{
													obj_t BgL_tail1630z00_4262;
													obj_t BgL_l1627z00_4261;

													BgL_l1627z00_4261 = BgL_arg1862z00_2859;
													BgL_tail1630z00_4262 = BgL_newtail1631z00_2858;
													BgL_tail1630z00_2855 = BgL_tail1630z00_4262;
													BgL_l1627z00_2854 = BgL_l1627z00_4261;
													goto BgL_zc3z04anonymousza31860ze3z87_2856;
												}
											}
										}
								}
							}
						}
				}
				BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_mez00_26,
					((BgL_globalz00_bglt) BgL_vz00_27));
				BGl_buildzd2treezd2zzsaw_exprz00(
					((BgL_backendz00_bglt) BgL_mez00_26), BgL_paramsz00_2848,
					BgL_codez00_2847);
				BgL_codez00_2847 =
					BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
						(BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2848,
					BgL_codez00_2847);
				BgL_codez00_2847 =
					BGl_bbvz00zzsaw_bbvz00(((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2848,
					BgL_codez00_2847);
				BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_mez00_26, BgL_paramsz00_2848,
					BgL_codez00_2847);
				return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_26);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00()
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(((long) 352965511),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(((long) 142709001),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(((long)
					250697396), BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvz00(((long) 263563890),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(((long) 282450876),
				BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
			return BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(((long)
					44765844), BSTRING_TO_STRING(BGl_string2013z00zzsaw_jvm_compilez00));
		}

	}

#ifdef __cplusplus
}
#endif
