/*===========================================================================*/
/*   (SawJvm/type.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1567z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1565z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 = BUNSPEC;
	static int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt,
		BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1561z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1563z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1581zb0zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1569z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00();
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00();
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1559z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_la1551z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2destzd2fun1578z62zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00();
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_li1573z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_no1553z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = BUNSPEC;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1557z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1571z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static obj_t BGl_z62siza7ezd2destzd2fun1548zc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
	BGL_EXPORTED_DECL int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
	static obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1555z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1575z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1577z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeSiza7ezd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762typesiza7a7eza7c51934za7,
		BGl_z62typeSiza7ezc5zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1908z00zzsaw_jvm_typez00,
		BgL_bgl_string1908za700za7za7s1935za7, "size-dest-fun1548", 17);
	      DEFINE_STRING(BGl_string1910z00zzsaw_jvm_typez00,
		BgL_bgl_string1910za700za7za7s1936za7, "type-dest-fun1578", 17);
	      DEFINE_STRING(BGl_string1911z00zzsaw_jvm_typez00,
		BgL_bgl_string1911za700za7za7s1937za7, "no method for", 13);
	      DEFINE_STRING(BGl_string1913z00zzsaw_jvm_typez00,
		BgL_bgl_string1913za700za7za7s1938za7, "size-dest-fun::int", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1939za7,
		BGl_z62siza7ezd2destzd2fun1548zc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1940za7,
		BGl_z62typezd2destzd2fun1578z62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1941za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_la1551z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1942za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_no1553z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1943za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1555z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1944za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1557z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1923z00zzsaw_jvm_typez00,
		BgL_bgl_string1923za700za7za7s1945za7, "size-dest-fun::type", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1946za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1559z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1947za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1561z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1948za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1563z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1949za7,
		BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1929z00zzsaw_jvm_typez00,
		BgL_bgl_string1929za700za7za7s1950za7, "type-dest-fun::type", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1951za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1565z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1952za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1567z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1953za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1569z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1930z00zzsaw_jvm_typez00,
		BgL_bgl_string1930za700za7za7s1954za7, "saw_jvm_type", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1955za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1571z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1931z00zzsaw_jvm_typez00,
		BgL_bgl_string1931za700za7za7s1956za7,
		"size-dest-fun void (elong llong uelong ullong double int64 uint64) ", 67);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1957za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_li1573z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1958za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1575z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1959za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1577z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1960za7,
		BGl_z62typezd2destzd2funzd2rtl_ca1581zb0zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1961za7,
		BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_siza7ezd2destzd2envza7zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1962za7,
		BGl_z62siza7ezd2destz17zzsaw_jvm_typez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00));
		     ADD_ROOT((void *) (&BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long
		BgL_checksumz00_3071, char *BgL_fromz00_3072)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_cnstzd2initzd2zzsaw_jvm_typez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_genericzd2initzd2zzsaw_jvm_typez00();
					BGl_methodzd2initzd2zzsaw_jvm_typez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_cportz00_3031;

				{	/* SawJvm/type.scm 1 */
					obj_t BgL_stringz00_3039;

					BgL_stringz00_3039 = BGl_string1931z00zzsaw_jvm_typez00;
					{	/* SawJvm/type.scm 1 */
						obj_t BgL_startz00_3040;

						BgL_startz00_3040 = BINT(((long) 0));
						{	/* SawJvm/type.scm 1 */
							obj_t BgL_endz00_3041;

							BgL_endz00_3041 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3039)));
							{	/* SawJvm/type.scm 1 */

								BgL_cportz00_3031 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3039, BgL_startz00_3040, BgL_endz00_3041);
				}}}}
				{
					long BgL_iz00_3032;

					BgL_iz00_3032 = ((long) 2);
				BgL_loopz00_3033:
					if ((BgL_iz00_3032 == ((long) -1)))
						{	/* SawJvm/type.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/type.scm 1 */
							{	/* SawJvm/type.scm 1 */
								obj_t BgL_arg1933z00_3035;

								{	/* SawJvm/type.scm 1 */

									{	/* SawJvm/type.scm 1 */
										obj_t BgL_locationz00_3037;

										BgL_locationz00_3037 = BBOOL(((bool_t) 0));
										{	/* SawJvm/type.scm 1 */

											BgL_arg1933z00_3035 =
												BGl_readz00zz__readerz00(BgL_cportz00_3031,
												BgL_locationz00_3037);
										}
									}
								}
								{	/* SawJvm/type.scm 1 */
									int BgL_tmpz00_3103;

									BgL_tmpz00_3103 = (int) (BgL_iz00_3032);
									CNST_TABLE_SET(BgL_tmpz00_3103, BgL_arg1933z00_3035);
							}}
							{	/* SawJvm/type.scm 1 */
								int BgL_auxz00_3038;

								BgL_auxz00_3038 = (int) ((BgL_iz00_3032 - ((long) 1)));
								{
									long BgL_iz00_3108;

									BgL_iz00_3108 = (long) (BgL_auxz00_3038);
									BgL_iz00_3032 = BgL_iz00_3108;
									goto BgL_loopz00_3033;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 =
				CNST_TABLE_REF(((long) 0));
			return BUNSPEC;
		}

	}



/* typeSize */
	BGL_EXPORTED_DEF int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt
		BgL_typez00_3)
	{
		{	/* SawJvm/type.scm 18 */
			{	/* SawJvm/type.scm 19 */
				obj_t BgL_idz00_2196;

				BgL_idz00_2196 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_3))->BgL_idz00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2196,
							CNST_TABLE_REF(((long) 0)))))
					{	/* SawJvm/type.scm 20 */
						return (int) (((long) 2));
					}
				else
					{	/* SawJvm/type.scm 20 */
						if ((BgL_idz00_2196 == CNST_TABLE_REF(((long) 1))))
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 0));
							}
						else
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 1));
		}}}}

	}



/* &typeSize */
	obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t BgL_envz00_2956,
		obj_t BgL_typez00_2957)
	{
		{	/* SawJvm/type.scm 18 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					((BgL_typez00_bglt) BgL_typez00_2957)));
		}

	}



/* size-dest */
	BGL_EXPORTED_DEF int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_insz00_4)
	{
		{	/* SawJvm/type.scm 24 */
			{	/* SawJvm/type.scm 25 */
				bool_t BgL_test1967z00_3126;

				{	/* SawJvm/type.scm 25 */
					obj_t BgL_classz00_2801;

					BgL_classz00_2801 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_4))
						{	/* SawJvm/type.scm 25 */
							BgL_objectz00_bglt BgL_arg1825z00_2803;

							BgL_arg1825z00_2803 = (BgL_objectz00_bglt) (BgL_insz00_4);
							{	/* SawJvm/type.scm 25 */
								bool_t BgL_arg1822z00_2806;
								bool_t BgL_arg1823z00_2807;

								{	/* SawJvm/type.scm 25 */
									long BgL_idxz00_2810;

									BgL_idxz00_2810 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2803);
									BgL_arg1822z00_2806 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2810 + ((long) 1))) == BgL_classz00_2801);
								}
								{	/* SawJvm/type.scm 25 */
									bool_t BgL_res1895z00_2832;

									{	/* SawJvm/type.scm 25 */
										obj_t BgL_oclassz00_2818;

										{	/* SawJvm/type.scm 25 */
											long BgL_arg1833z00_2824;

											{	/* SawJvm/type.scm 25 */
												long BgL_arg1834z00_2825;

												BgL_arg1834z00_2825 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2803);
												BgL_arg1833z00_2824 =
													(BgL_arg1834z00_2825 - OBJECT_TYPE);
											}
											BgL_oclassz00_2818 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2824);
										}
										{	/* SawJvm/type.scm 25 */
											bool_t BgL__ortest_1110z00_2819;

											BgL__ortest_1110z00_2819 =
												(BgL_classz00_2801 == BgL_oclassz00_2818);
											if (BgL__ortest_1110z00_2819)
												{	/* SawJvm/type.scm 25 */
													BgL_res1895z00_2832 = BgL__ortest_1110z00_2819;
												}
											else
												{	/* SawJvm/type.scm 25 */
													long BgL_odepthz00_2820;

													BgL_odepthz00_2820 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2818);
													if ((((long) 1) < BgL_odepthz00_2820))
														{	/* SawJvm/type.scm 25 */
															obj_t BgL_arg1821z00_2822;

															BgL_arg1821z00_2822 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2818,
																((long) 1));
															BgL_res1895z00_2832 =
																(BgL_arg1821z00_2822 == BgL_classz00_2801);
														}
													else
														{	/* SawJvm/type.scm 25 */
															BgL_res1895z00_2832 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2807 = BgL_res1895z00_2832;
								}
								BgL_test1967z00_3126 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2806, BgL_arg1823z00_2807);
							}
						}
					else
						{	/* SawJvm/type.scm 25 */
							BgL_test1967z00_3126 = ((bool_t) 0);
						}
				}
				if (BgL_test1967z00_3126)
					{	/* SawJvm/type.scm 26 */
						BgL_typez00_bglt BgL_arg1595z00_2200;

						BgL_arg1595z00_2200 =
							(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_insz00_4)))->BgL_typez00);
						return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1595z00_2200);
					}
				else
					{	/* SawJvm/type.scm 25 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_destz00)))
							{	/* SawJvm/type.scm 29 */
								BgL_typez00_bglt BgL_arg1597z00_2203;

								BgL_arg1597z00_2203 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt)
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_4)))->
													BgL_destz00))))->BgL_typez00);
								return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1597z00_2203);
							}
						else
							{	/* SawJvm/type.scm 30 */
								BgL_rtl_funz00_bglt BgL_arg1602z00_2205;

								BgL_arg1602z00_2205 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_funz00);
								return
									BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00
									(BgL_arg1602z00_2205, ((BgL_rtl_insz00_bglt) BgL_insz00_4));
							}
					}
			}
		}

	}



/* &size-dest */
	obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t BgL_envz00_2958,
		obj_t BgL_insz00_2959)
	{
		{	/* SawJvm/type.scm 24 */
			return BINT(BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_2959));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_proc1907z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1908z00zzsaw_jvm_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_proc1909z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1910z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun1578 */
	obj_t BGl_z62typezd2destzd2fun1578z62zzsaw_jvm_typez00(obj_t BgL_envz00_2962,
		obj_t BgL_funz00_2963)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 76 */
				obj_t BgL_arg1612z00_3044;

				{	/* SawJvm/type.scm 76 */
					obj_t BgL_arg1613z00_3045;

					{	/* SawJvm/type.scm 76 */
						long BgL_arg1833z00_3046;

						{	/* SawJvm/type.scm 76 */
							long BgL_arg1834z00_3047;

							BgL_arg1834z00_3047 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_funz00_2963)));
							BgL_arg1833z00_3046 = (BgL_arg1834z00_3047 - OBJECT_TYPE);
						}
						BgL_arg1613z00_3045 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1833z00_3046);
					}
					BgL_arg1612z00_3044 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1613z00_3045);
				}
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string1911z00zzsaw_jvm_typez00, BgL_arg1612z00_3044);
		}}

	}



/* &size-dest-fun1548 */
	obj_t BGl_z62siza7ezd2destzd2fun1548zc5zzsaw_jvm_typez00(obj_t
		BgL_envz00_2964, obj_t BgL_funz00_2965, obj_t BgL_insz00_2966)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00
				(BGl_typezd2destzd2funz00zzsaw_jvm_typez00(((BgL_rtl_funz00_bglt)
							BgL_funz00_2965))));
		}

	}



/* size-dest-fun */
	int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_5, BgL_rtl_insz00_bglt BgL_insz00_6)
	{
		{	/* SawJvm/type.scm 35 */
			{	/* SawJvm/type.scm 35 */
				obj_t BgL_method1549z00_2218;

				{	/* SawJvm/type.scm 35 */
					obj_t BgL_res1900z00_2874;

					{	/* SawJvm/type.scm 35 */
						long BgL_objzd2classzd2numz00_2845;

						BgL_objzd2classzd2numz00_2845 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_5));
						{	/* SawJvm/type.scm 35 */
							obj_t BgL_arg1829z00_2846;

							BgL_arg1829z00_2846 =
								PROCEDURE_REF(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 35 */
								int BgL_offsetz00_2849;

								BgL_offsetz00_2849 = (int) (BgL_objzd2classzd2numz00_2845);
								{	/* SawJvm/type.scm 35 */
									long BgL_offsetz00_2850;

									BgL_offsetz00_2850 =
										((long) (BgL_offsetz00_2849) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 35 */
										long BgL_modz00_2851;

										BgL_modz00_2851 =
											(BgL_offsetz00_2850 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/type.scm 35 */
											long BgL_restz00_2853;

											BgL_restz00_2853 =
												(BgL_offsetz00_2850 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/type.scm 35 */

												{	/* SawJvm/type.scm 35 */
													obj_t BgL_bucketz00_2855;

													BgL_bucketz00_2855 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2846), BgL_modz00_2851);
													BgL_res1900z00_2874 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2855), BgL_restz00_2853);
					}}}}}}}}
					BgL_method1549z00_2218 = BgL_res1900z00_2874;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1549z00_2218) (BgL_method1549z00_2218,
						((obj_t) BgL_funz00_5), ((obj_t) BgL_insz00_6), BEOA));
			}
		}

	}



/* &size-dest-fun */
	obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t BgL_envz00_2967,
		obj_t BgL_funz00_2968, obj_t BgL_insz00_2969)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(
					((BgL_rtl_funz00_bglt) BgL_funz00_2968),
					((BgL_rtl_insz00_bglt) BgL_insz00_2969)));
		}

	}



/* type-dest-fun */
	BgL_typez00_bglt BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_35)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				obj_t BgL_method1579z00_2219;

				{	/* SawJvm/type.scm 74 */
					obj_t BgL_res1905z00_2905;

					{	/* SawJvm/type.scm 74 */
						long BgL_objzd2classzd2numz00_2876;

						BgL_objzd2classzd2numz00_2876 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_35));
						{	/* SawJvm/type.scm 74 */
							obj_t BgL_arg1829z00_2877;

							BgL_arg1829z00_2877 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 74 */
								int BgL_offsetz00_2880;

								BgL_offsetz00_2880 = (int) (BgL_objzd2classzd2numz00_2876);
								{	/* SawJvm/type.scm 74 */
									long BgL_offsetz00_2881;

									BgL_offsetz00_2881 =
										((long) (BgL_offsetz00_2880) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 74 */
										long BgL_modz00_2882;

										BgL_modz00_2882 =
											(BgL_offsetz00_2881 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/type.scm 74 */
											long BgL_restz00_2884;

											BgL_restz00_2884 =
												(BgL_offsetz00_2881 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/type.scm 74 */

												{	/* SawJvm/type.scm 74 */
													obj_t BgL_bucketz00_2886;

													BgL_bucketz00_2886 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2877), BgL_modz00_2882);
													BgL_res1905z00_2905 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2886), BgL_restz00_2884);
					}}}}}}}}
					BgL_method1579z00_2219 = BgL_res1905z00_2905;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1579z00_2219) (BgL_method1579z00_2219,
						((obj_t) BgL_funz00_35), BEOA));
			}
		}

	}



/* &type-dest-fun */
	BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t
		BgL_envz00_2970, obj_t BgL_funz00_2971)
	{
		{	/* SawJvm/type.scm 74 */
			return
				BGl_typezd2destzd2funz00zzsaw_jvm_typez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_2971));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lastz00zzsaw_defsz00, BGl_proc1912z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_notseqz00zzsaw_defsz00, BGl_proc1914z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_effectz00zzsaw_defsz00, BGl_proc1915z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_purez00zzsaw_defsz00, BGl_proc1916z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc1917z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc1918z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc1919z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1920z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc1921z00zzsaw_jvm_typez00,
				BGl_string1913z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc1922z00zzsaw_jvm_typez00,
				BGl_string1923z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_applyz00zzsaw_defsz00, BGl_proc1924z00zzsaw_jvm_typez00,
				BGl_string1923z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1925z00zzsaw_jvm_typez00,
				BGl_string1923z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc1926z00zzsaw_jvm_typez00,
				BGl_string1923z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc1927z00zzsaw_jvm_typez00,
				BGl_string1923z00zzsaw_jvm_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc1928z00zzsaw_jvm_typez00,
				BGl_string1929z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun-rtl_ca1581 */
	BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1581zb0zzsaw_jvm_typez00(obj_t
		BgL_envz00_2987, obj_t BgL_funz00_2988)
	{
		{	/* SawJvm/type.scm 78 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_funz00_2988)))->BgL_varz00))))->
				BgL_typez00);
		}

	}



/* &size-dest-fun-rtl_ca1577 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ca1577z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2989, obj_t BgL_funz00_2990, obj_t BgL_insz00_2991)
	{
		{	/* SawJvm/type.scm 70 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_fu1575 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_fu1575z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2992, obj_t BgL_funz00_2993, obj_t BgL_insz00_2994)
	{
		{	/* SawJvm/type.scm 69 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_li1573 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_li1573z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2995, obj_t BgL_funz00_2996, obj_t BgL_insz00_2997)
	{
		{	/* SawJvm/type.scm 68 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_ap1571 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ap1571z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2998, obj_t BgL_funz00_2999, obj_t BgL_insz00_3000)
	{
		{	/* SawJvm/type.scm 67 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_ne1569 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ne1569z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3001, obj_t BgL_funz00_3002, obj_t BgL_insz00_3003)
	{
		{	/* SawJvm/type.scm 66 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_vr1567 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_vr1567z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3004, obj_t BgL_funz00_3005, obj_t BgL_insz00_3006)
	{
		{	/* SawJvm/type.scm 62 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_3005)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_ge1565 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ge1565z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3007, obj_t BgL_funz00_3008, obj_t BgL_insz00_3009)
	{
		{	/* SawJvm/type.scm 59 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
								((BgL_rtl_getfieldz00_bglt) BgL_funz00_3008)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_lo1563 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1563z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3010, obj_t BgL_funz00_3011, obj_t BgL_insz00_3012)
	{
		{	/* SawJvm/type.scm 56 */
			{	/* SawJvm/type.scm 57 */
				int BgL_tmpz00_3279;

				{	/* SawJvm/type.scm 57 */
					BgL_typez00_bglt BgL_arg1633z00_3059;

					BgL_arg1633z00_3059 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_loadgz00_bglt) COBJECT(
												((BgL_rtl_loadgz00_bglt) BgL_funz00_3011)))->
										BgL_varz00))))->BgL_typez00);
					BgL_tmpz00_3279 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1633z00_3059);
				}
				return BINT(BgL_tmpz00_3279);
			}
		}

	}



/* &size-dest-fun-rtl_lo1561 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1561z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3013, obj_t BgL_funz00_3014, obj_t BgL_insz00_3015)
	{
		{	/* SawJvm/type.scm 49 */
			{	/* SawJvm/type.scm 50 */
				int BgL_tmpz00_3286;

				{	/* SawJvm/type.scm 50 */
					BgL_atomz00_bglt BgL_constantz00_3061;

					BgL_constantz00_3061 =
						(((BgL_rtl_loadiz00_bglt) COBJECT(
								((BgL_rtl_loadiz00_bglt) BgL_funz00_3014)))->BgL_constantz00);
					{	/* SawJvm/type.scm 51 */
						obj_t BgL_valuez00_3062;

						BgL_valuez00_3062 =
							(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_3061))->
							BgL_valuez00);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_3062))
							{	/* SawJvm/type.scm 53 */
								BgL_typez00_bglt BgL_arg1632z00_3063;

								BgL_arg1632z00_3063 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_constantz00_3061)))->BgL_typez00);
								BgL_tmpz00_3286 =
									BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1632z00_3063);
							}
						else
							{	/* SawJvm/type.scm 52 */
								BgL_tmpz00_3286 = (int) (((long) 1));
				}}}
				return BINT(BgL_tmpz00_3286);
			}
		}

	}



/* &size-dest-fun-rtl_mo1559 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_mo1559z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3016, obj_t BgL_funz00_3017, obj_t BgL_insz00_3018)
	{
		{	/* SawJvm/type.scm 46 */
			{	/* SawJvm/type.scm 47 */
				int BgL_tmpz00_3297;

				{	/* SawJvm/type.scm 47 */
					obj_t BgL_arg1619z00_3065;

					{	/* SawJvm/type.scm 47 */
						obj_t BgL_pairz00_3066;

						BgL_pairz00_3066 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_3018)))->BgL_argsz00);
						BgL_arg1619z00_3065 = CAR(BgL_pairz00_3066);
					}
					BgL_tmpz00_3297 =
						BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_arg1619z00_3065);
				}
				return BINT(BgL_tmpz00_3297);
			}
		}

	}



/* &size-dest-fun-rtl_pu1557 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_pu1557z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3019, obj_t BgL_funz00_3020, obj_t BgL_insz00_3021)
	{
		{	/* SawJvm/type.scm 44 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_ef1555 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ef1555z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3022, obj_t BgL_funz00_3023, obj_t BgL_insz00_3024)
	{
		{	/* SawJvm/type.scm 41 */
			return BINT(((long) 0));
		}

	}



/* &size-dest-fun-rtl_no1553 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_no1553z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3025, obj_t BgL_funz00_3026, obj_t BgL_insz00_3027)
	{
		{	/* SawJvm/type.scm 40 */
			return BINT(((long) 0));
		}

	}



/* &size-dest-fun-rtl_la1551 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_la1551z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3028, obj_t BgL_funz00_3029, obj_t BgL_insz00_3030)
	{
		{	/* SawJvm/type.scm 39 */
			return BINT(((long) 0));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00()
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string1930z00zzsaw_jvm_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
