/*===========================================================================*/
/*   (SawMill/cast.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/cast.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_cast_n1465z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_loadfu1449z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_cast1469z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_castz00 = BUNSPEC;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_getfie1453z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_castz00();
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static obj_t BGl_genericzd2initzd2zzsaw_castz00();
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_castz00();
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_loadi1447z62zzsaw_castz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_nop1443z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_instan1463z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_setfie1476z62zzsaw_castz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_castz00();
	static obj_t BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backendz00_bglt,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62typezd2args1470zb0zzsaw_castz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_vset1480z62zzsaw_castz00(obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_addzd2castzd2zzsaw_castz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_vref1478z62zzsaw_castz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_vref1459z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_addzd2castszd2insz00zzsaw_castz00(BgL_backendz00_bglt,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_valloc1457z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62typezd2argszd2rtl_return1488z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_funcal1490z62zzsaw_castz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_z62typezd2dest1440zb0zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	static obj_t BGl_z62addzd2castszb0zzsaw_castz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_castz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static BgL_typez00_bglt BGl_z62typezd2destzb0zzsaw_castz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_new1455z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_castz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_castz00();
	static obj_t BGl_z62typezd2argszd2rtl_boxset1498z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_castz00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_castz00();
	BGL_EXPORTED_DECL obj_t BGl_addzd2castszd2zzsaw_castz00(BgL_backendz00_bglt,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_addzd2castzd2destz00zzsaw_castz00(BgL_backendz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_typezd2destzd2zzsaw_castz00(BgL_rtl_funz00_bglt,
		obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_boxref1496z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_vlengt1482z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2argszb0zzsaw_castz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_apply1494z62zzsaw_castz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_lightf1492z62zzsaw_castz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_mov1445z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backendz00_bglt,
		BgL_rtl_funz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2argszd2zzsaw_castz00(BgL_rtl_funz00_bglt);
	extern obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_storeg1484z62zzsaw_castz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_call1486z62zzsaw_castz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_call1467z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_vlengt1461z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_getfie1474z62zzsaw_castz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_loadg1451z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2castszd2envz00zzsaw_castz00,
		BgL_bgl_za762addza7d2castsza7b1976za7, BGl_z62addzd2castszb0zzsaw_castz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2argszd2envz00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7b1977za7, BGl_z62typezd2argszb0zzsaw_castz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1940z00zzsaw_castz00,
		BgL_bgl_string1940za700za7za7s1978za7, "type-dest1440", 13);
	      DEFINE_STRING(BGl_string1942z00zzsaw_castz00,
		BgL_bgl_string1942za700za7za7s1979za7, "type-args1470", 13);
	      DEFINE_STRING(BGl_string1944z00zzsaw_castz00,
		BgL_bgl_string1944za700za7za7s1980za7, "type-dest::type", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2dest141981z00, BGl_z62typezd2dest1440zb0zzsaw_castz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2args141982z00, BGl_z62typezd2args1470zb0zzsaw_castz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1983za7,
		BGl_z62typezd2destzd2rtl_nop1443z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1984za7,
		BGl_z62typezd2destzd2rtl_mov1445z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1985za7,
		BGl_z62typezd2destzd2rtl_loadi1447z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1986za7,
		BGl_z62typezd2destzd2rtl_loadfu1449z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1987za7,
		BGl_z62typezd2destzd2rtl_loadg1451z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1988za7,
		BGl_z62typezd2destzd2rtl_getfie1453z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1959z00zzsaw_castz00,
		BgL_bgl_string1959za700za7za7s1989za7, "type-args", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1990za7,
		BGl_z62typezd2destzd2rtl_new1455z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1991za7,
		BGl_z62typezd2destzd2rtl_valloc1457z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1992za7,
		BGl_z62typezd2destzd2rtl_vref1459z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1993za7,
		BGl_z62typezd2destzd2rtl_vlengt1461z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1994za7,
		BGl_z62typezd2destzd2rtl_instan1463z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1995za7,
		BGl_z62typezd2destzd2rtl_cast_n1465z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1996za7,
		BGl_z62typezd2destzd2rtl_call1467z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1997za7,
		BGl_z62typezd2destzd2rtl_cast1469z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d1998za7,
		BGl_z62typezd2argszd2rtl_getfie1474z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2envz00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7b1999za7, BGl_z62typezd2destzb0zzsaw_castz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2000za7,
		BGl_z62typezd2argszd2rtl_setfie1476z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2001za7,
		BGl_z62typezd2argszd2rtl_vref1478z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2002za7,
		BGl_z62typezd2argszd2rtl_vset1480z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2003za7,
		BGl_z62typezd2argszd2rtl_vlengt1482z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2004za7,
		BGl_z62typezd2argszd2rtl_storeg1484z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2005za7,
		BGl_z62typezd2argszd2rtl_call1486z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1972z00zzsaw_castz00,
		BgL_bgl_string1972za700za7za7s2006za7, "saw_cast", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2007za7,
		BGl_z62typezd2argszd2rtl_return1488z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1973z00zzsaw_castz00,
		BgL_bgl_string1973za700za7za7s2008za7,
		"unspecified int procedure cell obj (bool byte ubyte short ushort char uchar ucs2 void int long ulong elong llong uelong ullong float double) hook ",
		146);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2009za7,
		BGl_z62typezd2argszd2rtl_funcal1490z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2010za7,
		BGl_z62typezd2argszd2rtl_lightf1492z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2011za7,
		BGl_z62typezd2argszd2rtl_apply1494z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2012za7,
		BGl_z62typezd2argszd2rtl_boxref1496z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2013za7,
		BGl_z62typezd2argszd2rtl_boxset1498z62zzsaw_castz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_castz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_castz00(long
		BgL_checksumz00_3270, char *BgL_fromz00_3271)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_castz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_castz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_castz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_castz00();
					BGl_cnstzd2initzd2zzsaw_castz00();
					BGl_importedzd2moduleszd2initz00zzsaw_castz00();
					BGl_genericzd2initzd2zzsaw_castz00();
					BGl_methodzd2initzd2zzsaw_castz00();
					return BGl_toplevelzd2initzd2zzsaw_castz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_cast");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			{	/* SawMill/cast.scm 1 */
				obj_t BgL_cportz00_3160;

				{	/* SawMill/cast.scm 1 */
					obj_t BgL_stringz00_3168;

					BgL_stringz00_3168 = BGl_string1973z00zzsaw_castz00;
					{	/* SawMill/cast.scm 1 */
						obj_t BgL_startz00_3169;

						BgL_startz00_3169 = BINT(((long) 0));
						{	/* SawMill/cast.scm 1 */
							obj_t BgL_endz00_3170;

							BgL_endz00_3170 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3168)));
							{	/* SawMill/cast.scm 1 */

								BgL_cportz00_3160 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3168, BgL_startz00_3169, BgL_endz00_3170);
				}}}}
				{
					long BgL_iz00_3161;

					BgL_iz00_3161 = ((long) 6);
				BgL_loopz00_3162:
					if ((BgL_iz00_3161 == ((long) -1)))
						{	/* SawMill/cast.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/cast.scm 1 */
							{	/* SawMill/cast.scm 1 */
								obj_t BgL_arg1975z00_3164;

								{	/* SawMill/cast.scm 1 */

									{	/* SawMill/cast.scm 1 */
										obj_t BgL_locationz00_3166;

										BgL_locationz00_3166 = BBOOL(((bool_t) 0));
										{	/* SawMill/cast.scm 1 */

											BgL_arg1975z00_3164 =
												BGl_readz00zz__readerz00(BgL_cportz00_3160,
												BgL_locationz00_3166);
										}
									}
								}
								{	/* SawMill/cast.scm 1 */
									int BgL_tmpz00_3301;

									BgL_tmpz00_3301 = (int) (BgL_iz00_3161);
									CNST_TABLE_SET(BgL_tmpz00_3301, BgL_arg1975z00_3164);
							}}
							{	/* SawMill/cast.scm 1 */
								int BgL_auxz00_3167;

								BgL_auxz00_3167 = (int) ((BgL_iz00_3161 - ((long) 1)));
								{
									long BgL_iz00_3306;

									BgL_iz00_3306 = (long) (BgL_auxz00_3167);
									BgL_iz00_3161 = BgL_iz00_3306;
									goto BgL_loopz00_3162;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			return BUNSPEC;
		}

	}



/* add-casts */
	BGL_EXPORTED_DEF obj_t BGl_addzd2castszd2zzsaw_castz00(BgL_backendz00_bglt
		BgL_backz00_3, obj_t BgL_lz00_4)
	{
		{	/* SawMill/cast.scm 12 */
			{
				obj_t BgL_l1432z00_2145;

				{	/* SawMill/cast.scm 13 */
					bool_t BgL_tmpz00_3309;

					BgL_l1432z00_2145 = BgL_lz00_4;
				BgL_zc3z04anonymousza31521ze3z87_2146:
					if (PAIRP(BgL_l1432z00_2145))
						{	/* SawMill/cast.scm 13 */
							{	/* SawMill/cast.scm 14 */
								obj_t BgL_bz00_2148;

								BgL_bz00_2148 = CAR(BgL_l1432z00_2145);
								{	/* SawMill/cast.scm 14 */
									obj_t BgL_hookz00_2149;

									BgL_hookz00_2149 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
									{	/* SawMill/cast.scm 15 */
										obj_t BgL_g1149z00_2150;

										BgL_g1149z00_2150 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2148)))->BgL_firstz00);
										{
											obj_t BgL_lz00_2152;
											obj_t BgL_lastz00_2153;

											BgL_lz00_2152 = BgL_g1149z00_2150;
											BgL_lastz00_2153 = BgL_hookz00_2149;
										BgL_zc3z04anonymousza31523ze3z87_2154:
											if (NULLP(BgL_lz00_2152))
												{	/* SawMill/cast.scm 17 */
													obj_t BgL_arg1534z00_2156;

													BgL_arg1534z00_2156 = CDR(BgL_hookz00_2149);
													((((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_2148)))->
															BgL_firstz00) =
														((obj_t) ((obj_t) BgL_arg1534z00_2156)), BUNSPEC);
												}
											else
												{	/* SawMill/cast.scm 18 */
													obj_t BgL_insz00_2157;

													BgL_insz00_2157 = CAR(((obj_t) BgL_lz00_2152));
													{	/* SawMill/cast.scm 19 */
														obj_t BgL_cinsz00_2159;

														BgL_cinsz00_2159 =
															BGl_addzd2castszd2insz00zzsaw_castz00
															(BgL_backz00_3, BgL_insz00_2157);
														SET_CDR(BgL_lastz00_2153, BgL_cinsz00_2159);
														{	/* SawMill/cast.scm 21 */
															obj_t BgL_arg1536z00_2160;
															obj_t BgL_arg1542z00_2161;

															BgL_arg1536z00_2160 =
																CDR(((obj_t) BgL_lz00_2152));
															BgL_arg1542z00_2161 =
																BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																(BgL_cinsz00_2159);
															{
																obj_t BgL_lastz00_3331;
																obj_t BgL_lz00_3330;

																BgL_lz00_3330 = BgL_arg1536z00_2160;
																BgL_lastz00_3331 = BgL_arg1542z00_2161;
																BgL_lastz00_2153 = BgL_lastz00_3331;
																BgL_lz00_2152 = BgL_lz00_3330;
																goto BgL_zc3z04anonymousza31523ze3z87_2154;
															}
														}
													}
												}
										}
									}
								}
							}
							{
								obj_t BgL_l1432z00_3332;

								BgL_l1432z00_3332 = CDR(BgL_l1432z00_2145);
								BgL_l1432z00_2145 = BgL_l1432z00_3332;
								goto BgL_zc3z04anonymousza31521ze3z87_2146;
							}
						}
					else
						{	/* SawMill/cast.scm 13 */
							BgL_tmpz00_3309 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_3309);
				}
			}
		}

	}



/* &add-casts */
	obj_t BGl_z62addzd2castszb0zzsaw_castz00(obj_t BgL_envz00_3050,
		obj_t BgL_backz00_3051, obj_t BgL_lz00_3052)
	{
		{	/* SawMill/cast.scm 12 */
			return
				BGl_addzd2castszd2zzsaw_castz00(
				((BgL_backendz00_bglt) BgL_backz00_3051), BgL_lz00_3052);
		}

	}



/* add-cast */
	BgL_rtl_insz00_bglt BGl_addzd2castzd2zzsaw_castz00(obj_t BgL_fromz00_5,
		obj_t BgL_toz00_6)
	{
		{	/* SawMill/cast.scm 24 */
			{	/* SawMill/cast.scm 26 */
				BgL_typez00_bglt BgL_typez00_2165;

				BgL_typez00_2165 =
					(((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_toz00_6)))->BgL_typez00);
				{	/* SawMill/cast.scm 27 */
					BgL_rtl_insz00_bglt BgL_new1151z00_2166;

					{	/* SawMill/cast.scm 27 */
						BgL_rtl_insz00_bglt BgL_new1150z00_2170;

						BgL_new1150z00_2170 =
							((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_insz00_bgl))));
						{	/* SawMill/cast.scm 27 */
							long BgL_arg1551z00_2171;

							BgL_arg1551z00_2171 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1150z00_2170),
								BgL_arg1551z00_2171);
						}
						{	/* SawMill/cast.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_3343;

							BgL_tmpz00_3343 = ((BgL_objectz00_bglt) BgL_new1150z00_2170);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3343, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1150z00_2170);
						BgL_new1151z00_2166 = BgL_new1150z00_2170;
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1151z00_2166))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1151z00_2166))->
							BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1151z00_2166))->BgL_destz00) =
						((obj_t) BgL_toz00_6), BUNSPEC);
					{
						BgL_rtl_funz00_bglt BgL_auxz00_3350;

						{	/* SawMill/cast.scm 28 */
							BgL_rtl_castz00_bglt BgL_new1153z00_2167;

							{	/* SawMill/cast.scm 28 */
								BgL_rtl_castz00_bglt BgL_new1152z00_2168;

								BgL_new1152z00_2168 =
									((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_castz00_bgl))));
								{	/* SawMill/cast.scm 28 */
									long BgL_arg1548z00_2169;

									{	/* SawMill/cast.scm 28 */
										obj_t BgL_classz00_2778;

										BgL_classz00_2778 = BGl_rtl_castz00zzsaw_defsz00;
										BgL_arg1548z00_2169 = BGL_CLASS_NUM(BgL_classz00_2778);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1152z00_2168),
										BgL_arg1548z00_2169);
								}
								BgL_new1153z00_2167 = BgL_new1152z00_2168;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1153z00_2167)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1153z00_2167))->
									BgL_totypez00) =
								((BgL_typez00_bglt) BgL_typez00_2165), BUNSPEC);
							((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1153z00_2167))->
									BgL_fromtypez00) =
								((BgL_typez00_bglt) (((BgL_rtl_regz00_bglt)
											COBJECT(((BgL_rtl_regz00_bglt) BgL_fromz00_5)))->
										BgL_typez00)), BUNSPEC);
							BgL_auxz00_3350 = ((BgL_rtl_funz00_bglt) BgL_new1153z00_2167);
						}
						((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1151z00_2166))->
								BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_3350), BUNSPEC);
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1151z00_2166))->BgL_argsz00) =
						((obj_t) MAKE_YOUNG_PAIR(BgL_fromz00_5, BNIL)), BUNSPEC);
					return BgL_new1151z00_2166;
				}
			}
		}

	}



/* add-casts-ins */
	obj_t BGl_addzd2castszd2insz00zzsaw_castz00(BgL_backendz00_bglt BgL_backz00_7,
		obj_t BgL_insz00_8)
	{
		{	/* SawMill/cast.scm 33 */
			{	/* SawMill/cast.scm 35 */
				obj_t BgL_castsz00_2173;

				BgL_castsz00_2173 =
					BGl_addzd2castzd2destz00zzsaw_castz00(BgL_backz00_7, BgL_insz00_8);
				{	/* SawMill/cast.scm 36 */
					BgL_rtl_funz00_bglt BgL_arg1552z00_2174;
					obj_t BgL_arg1554z00_2175;
					obj_t BgL_arg1555z00_2176;
					obj_t BgL_arg1563z00_2177;

					BgL_arg1552z00_2174 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_8)))->BgL_funz00);
					BgL_arg1554z00_2175 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_8)))->BgL_argsz00);
					{	/* SawMill/cast.scm 36 */
						BgL_rtl_funz00_bglt BgL_arg1564z00_2178;

						BgL_arg1564z00_2178 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_8)))->BgL_funz00);
						BgL_arg1555z00_2176 =
							BGl_typezd2argszd2zzsaw_castz00(BgL_arg1564z00_2178);
					}
					BgL_arg1563z00_2177 =
						MAKE_YOUNG_PAIR(BgL_insz00_8, BgL_castsz00_2173);
					return
						BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backz00_7,
						BgL_arg1552z00_2174, BgL_arg1554z00_2175, BgL_arg1555z00_2176,
						BgL_arg1563z00_2177);
				}
			}
		}

	}



/* add-cast-dest */
	obj_t BGl_addzd2castzd2destz00zzsaw_castz00(BgL_backendz00_bglt BgL_backz00_9,
		obj_t BgL_insz00_10)
	{
		{	/* SawMill/cast.scm 38 */
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_destz00)))
				{	/* SawMill/cast.scm 41 */
					BgL_typez00_bglt BgL_realz00_2181;
					BgL_typez00_bglt BgL_declaredz00_2182;

					{	/* SawMill/cast.scm 41 */
						BgL_rtl_funz00_bglt BgL_arg1581z00_2193;
						obj_t BgL_arg1582z00_2194;

						BgL_arg1581z00_2193 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_funz00);
						BgL_arg1582z00_2194 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_argsz00);
						BgL_realz00_2181 =
							BGl_typezd2destzd2zzsaw_castz00(BgL_arg1581z00_2193,
							BgL_arg1582z00_2194);
					}
					BgL_declaredz00_2182 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_10)))->
										BgL_destz00))))->BgL_typez00);
					if (CBOOL(BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backz00_9,
								BgL_realz00_2181, ((obj_t) BgL_declaredz00_2182))))
						{	/* SawMill/cast.scm 42 */
							return BNIL;
						}
					else
						{	/* SawMill/cast.scm 44 */
							BgL_rtl_regz00_bglt BgL_rrz00_2184;

							{	/* SawMill/cast.scm 44 */
								BgL_rtl_regz00_bglt BgL_new1158z00_2187;

								{	/* SawMill/cast.scm 45 */
									BgL_rtl_regz00_bglt BgL_new1157z00_2191;

									BgL_new1157z00_2191 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/cast.scm 45 */
										long BgL_arg1578z00_2192;

										BgL_arg1578z00_2192 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1157z00_2191),
											BgL_arg1578z00_2192);
									}
									{	/* SawMill/cast.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_3396;

										BgL_tmpz00_3396 =
											((BgL_objectz00_bglt) BgL_new1157z00_2191);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3396, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1157z00_2191);
									BgL_new1158z00_2187 = BgL_new1157z00_2191;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1158z00_2187))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_realz00_2181), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1158z00_2187))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1158z00_2187))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_3403;

									{	/* SawMill/cast.scm 47 */

										{	/* SawMill/cast.scm 47 */

											BgL_auxz00_3403 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1158z00_2187))->
											BgL_namez00) = ((obj_t) BgL_auxz00_3403), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_3406;

									{	/* SawMill/cast.scm 47 */
										obj_t BgL_arg1570z00_2189;

										{	/* SawMill/cast.scm 47 */
											obj_t BgL_arg1571z00_2190;

											{	/* SawMill/cast.scm 47 */
												obj_t BgL_classz00_2787;

												BgL_classz00_2787 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1571z00_2190 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_2787);
											}
											BgL_arg1570z00_2189 =
												VECTOR_REF(BgL_arg1571z00_2190, ((long) 4));
										}
										BgL_auxz00_3406 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1570z00_2189);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1158z00_2187))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_3406), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1158z00_2187))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_rrz00_2184 = BgL_new1158z00_2187;
							}
							{	/* SawMill/cast.scm 48 */
								obj_t BgL_xz00_2185;

								BgL_xz00_2185 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_destz00);
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_destz00) =
									((obj_t) ((obj_t) BgL_rrz00_2184)), BUNSPEC);
								{	/* SawMill/cast.scm 50 */
									BgL_rtl_insz00_bglt BgL_arg1567z00_2186;

									BgL_arg1567z00_2186 =
										BGl_addzd2castzd2zzsaw_castz00(
										((obj_t) BgL_rrz00_2184), BgL_xz00_2185);
									return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1567z00_2186), BNIL);
								}
							}
						}
				}
			else
				{	/* SawMill/cast.scm 40 */
					return BNIL;
				}
		}

	}



/* add-cast-args */
	obj_t BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backendz00_bglt
		BgL_backz00_11, BgL_rtl_funz00_bglt BgL_funz00_12, obj_t BgL_argsz00_13,
		obj_t BgL_typesz00_14, obj_t BgL_castsz00_15)
	{
		{	/* SawMill/cast.scm 53 */
			if (NULLP(BgL_typesz00_14))
				{	/* SawMill/cast.scm 54 */
					return BgL_castsz00_15;
				}
			else
				{	/* SawMill/cast.scm 56 */
					obj_t BgL_castsz00_2197;

					{	/* SawMill/cast.scm 56 */
						obj_t BgL_arg1603z00_2211;
						obj_t BgL_arg1604z00_2212;

						BgL_arg1603z00_2211 = CDR(((obj_t) BgL_argsz00_13));
						BgL_arg1604z00_2212 = CDR(((obj_t) BgL_typesz00_14));
						BgL_castsz00_2197 =
							BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backz00_11,
							BgL_funz00_12, BgL_arg1603z00_2211, BgL_arg1604z00_2212,
							BgL_castsz00_15);
					}
					{	/* SawMill/cast.scm 57 */
						obj_t BgL_rz00_2198;
						obj_t BgL_tz00_2199;

						BgL_rz00_2198 = CAR(((obj_t) BgL_argsz00_13));
						BgL_tz00_2199 = CAR(((obj_t) BgL_typesz00_14));
						{	/* SawMill/cast.scm 58 */
							bool_t BgL_test2021z00_3432;

							{	/* SawMill/cast.scm 58 */
								BgL_typez00_bglt BgL_arg1602z00_2210;

								BgL_arg1602z00_2210 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_rz00_2198)))->BgL_typez00);
								BgL_test2021z00_3432 =
									CBOOL(BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backz00_11,
										BgL_arg1602z00_2210, BgL_tz00_2199));
							}
							if (BgL_test2021z00_3432)
								{	/* SawMill/cast.scm 58 */
									return BgL_castsz00_2197;
								}
							else
								{	/* SawMill/cast.scm 60 */
									BgL_rtl_regz00_bglt BgL_rrz00_2202;

									{	/* SawMill/cast.scm 60 */
										BgL_rtl_regz00_bglt BgL_new1160z00_2204;

										{	/* SawMill/cast.scm 61 */
											BgL_rtl_regz00_bglt BgL_new1159z00_2208;

											BgL_new1159z00_2208 =
												((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_regz00_bgl))));
											{	/* SawMill/cast.scm 61 */
												long BgL_arg1601z00_2209;

												BgL_arg1601z00_2209 =
													BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1159z00_2208),
													BgL_arg1601z00_2209);
											}
											{	/* SawMill/cast.scm 61 */
												BgL_objectz00_bglt BgL_tmpz00_3441;

												BgL_tmpz00_3441 =
													((BgL_objectz00_bglt) BgL_new1159z00_2208);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3441, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1159z00_2208);
											BgL_new1160z00_2204 = BgL_new1159z00_2208;
										}
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2204))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_tz00_2199)),
											BUNSPEC);
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2204))->
												BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2204))->
												BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_3449;

											{	/* SawMill/cast.scm 63 */

												{	/* SawMill/cast.scm 63 */

													BgL_auxz00_3449 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2204))->
													BgL_namez00) = ((obj_t) BgL_auxz00_3449), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_3452;

											{	/* SawMill/cast.scm 63 */
												obj_t BgL_arg1595z00_2206;

												{	/* SawMill/cast.scm 63 */
													obj_t BgL_arg1597z00_2207;

													{	/* SawMill/cast.scm 63 */
														obj_t BgL_classz00_2799;

														BgL_classz00_2799 = BGl_rtl_regz00zzsaw_defsz00;
														BgL_arg1597z00_2207 =
															BGL_CLASS_ALL_FIELDS(BgL_classz00_2799);
													}
													BgL_arg1595z00_2206 =
														VECTOR_REF(BgL_arg1597z00_2207, ((long) 4));
												}
												BgL_auxz00_3452 =
													BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
													(BgL_arg1595z00_2206);
											}
											((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2204))->
													BgL_keyz00) = ((obj_t) BgL_auxz00_3452), BUNSPEC);
										}
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2204))->
												BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_rrz00_2202 = BgL_new1160z00_2204;
									}
									{	/* SawMill/cast.scm 64 */
										obj_t BgL_auxz00_3460;
										obj_t BgL_tmpz00_3458;

										BgL_auxz00_3460 = ((obj_t) BgL_rrz00_2202);
										BgL_tmpz00_3458 = ((obj_t) BgL_argsz00_13);
										SET_CAR(BgL_tmpz00_3458, BgL_auxz00_3460);
									}
									{	/* SawMill/cast.scm 65 */
										BgL_rtl_insz00_bglt BgL_arg1588z00_2203;

										BgL_arg1588z00_2203 =
											BGl_addzd2castzd2zzsaw_castz00(BgL_rz00_2198,
											((obj_t) BgL_rrz00_2202));
										return
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1588z00_2203), BgL_castsz00_2197);
									}
								}
						}
					}
				}
		}

	}



/* assign-type? */
	obj_t BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backendz00_bglt BgL_backz00_16,
		BgL_typez00_bglt BgL_t1z00_17, obj_t BgL_t2z00_18)
	{
		{	/* SawMill/cast.scm 67 */
			{	/* SawMill/cast.scm 68 */
				bool_t BgL__ortest_1161z00_2213;

				BgL__ortest_1161z00_2213 = (((obj_t) BgL_t1z00_17) == BgL_t2z00_18);
				if (BgL__ortest_1161z00_2213)
					{	/* SawMill/cast.scm 68 */
						return BBOOL(BgL__ortest_1161z00_2213);
					}
				else
					{	/* SawMill/cast.scm 69 */
						obj_t BgL__ortest_1162z00_2214;

						BgL__ortest_1162z00_2214 =
							BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_typez00_bglt) COBJECT(BgL_t1z00_17))->BgL_idz00),
							CNST_TABLE_REF(((long) 1)));
						if (CBOOL(BgL__ortest_1162z00_2214))
							{	/* SawMill/cast.scm 69 */
								return BgL__ortest_1162z00_2214;
							}
						else
							{	/* SawMill/cast.scm 70 */
								obj_t BgL__ortest_1163z00_2215;

								BgL__ortest_1163z00_2215 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_t2z00_18)))->BgL_idz00),
									CNST_TABLE_REF(((long) 1)));
								if (CBOOL(BgL__ortest_1163z00_2215))
									{	/* SawMill/cast.scm 70 */
										return BgL__ortest_1163z00_2215;
									}
								else
									{	/* SawMill/cast.scm 70 */
										return
											BGl_backendzd2subtypezf3z21zzbackend_backendz00
											(BgL_backz00_16, ((obj_t) BgL_t1z00_17), BgL_t2z00_18);
									}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_proc1939z00zzsaw_castz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string1940z00zzsaw_castz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_proc1941z00zzsaw_castz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string1942z00zzsaw_castz00);
		}

	}



/* &type-args1470 */
	obj_t BGl_z62typezd2args1470zb0zzsaw_castz00(obj_t BgL_envz00_3055,
		obj_t BgL_funz00_3056)
	{
		{	/* SawMill/cast.scm 130 */
			return BNIL;
		}

	}



/* &type-dest1440 */
	obj_t BGl_z62typezd2dest1440zb0zzsaw_castz00(obj_t BgL_envz00_3057,
		obj_t BgL_funz00_3058, obj_t BgL_argsz00_3059)
	{
		{	/* SawMill/cast.scm 81 */
			return
				((obj_t) BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 2))));
		}

	}



/* type-dest */
	BgL_typez00_bglt BGl_typezd2destzd2zzsaw_castz00(BgL_rtl_funz00_bglt
		BgL_funz00_20, obj_t BgL_argsz00_21)
	{
		{	/* SawMill/cast.scm 81 */
			{	/* SawMill/cast.scm 81 */
				obj_t BgL_method1441z00_2226;

				{	/* SawMill/cast.scm 81 */
					obj_t BgL_res1929z00_2838;

					{	/* SawMill/cast.scm 81 */
						long BgL_objzd2classzd2numz00_2809;

						BgL_objzd2classzd2numz00_2809 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_20));
						{	/* SawMill/cast.scm 81 */
							obj_t BgL_arg1829z00_2810;

							BgL_arg1829z00_2810 =
								PROCEDURE_REF(BGl_typezd2destzd2envz00zzsaw_castz00,
								(int) (((long) 1)));
							{	/* SawMill/cast.scm 81 */
								int BgL_offsetz00_2813;

								BgL_offsetz00_2813 = (int) (BgL_objzd2classzd2numz00_2809);
								{	/* SawMill/cast.scm 81 */
									long BgL_offsetz00_2814;

									BgL_offsetz00_2814 =
										((long) (BgL_offsetz00_2813) - OBJECT_TYPE);
									{	/* SawMill/cast.scm 81 */
										long BgL_modz00_2815;

										BgL_modz00_2815 =
											(BgL_offsetz00_2814 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/cast.scm 81 */
											long BgL_restz00_2817;

											BgL_restz00_2817 =
												(BgL_offsetz00_2814 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/cast.scm 81 */

												{	/* SawMill/cast.scm 81 */
													obj_t BgL_bucketz00_2819;

													BgL_bucketz00_2819 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2810), BgL_modz00_2815);
													BgL_res1929z00_2838 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2819), BgL_restz00_2817);
					}}}}}}}}
					BgL_method1441z00_2226 = BgL_res1929z00_2838;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1441z00_2226) (BgL_method1441z00_2226,
						((obj_t) BgL_funz00_20), BgL_argsz00_21, BEOA));
			}
		}

	}



/* &type-dest */
	BgL_typez00_bglt BGl_z62typezd2destzb0zzsaw_castz00(obj_t BgL_envz00_3060,
		obj_t BgL_funz00_3061, obj_t BgL_argsz00_3062)
	{
		{	/* SawMill/cast.scm 81 */
			return
				BGl_typezd2destzd2zzsaw_castz00(
				((BgL_rtl_funz00_bglt) BgL_funz00_3061), BgL_argsz00_3062);
		}

	}



/* type-args */
	obj_t BGl_typezd2argszd2zzsaw_castz00(BgL_rtl_funz00_bglt BgL_funz00_50)
	{
		{	/* SawMill/cast.scm 130 */
			{	/* SawMill/cast.scm 130 */
				obj_t BgL_method1472z00_2227;

				{	/* SawMill/cast.scm 130 */
					obj_t BgL_res1934z00_2869;

					{	/* SawMill/cast.scm 130 */
						long BgL_objzd2classzd2numz00_2840;

						BgL_objzd2classzd2numz00_2840 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_50));
						{	/* SawMill/cast.scm 130 */
							obj_t BgL_arg1829z00_2841;

							BgL_arg1829z00_2841 =
								PROCEDURE_REF(BGl_typezd2argszd2envz00zzsaw_castz00,
								(int) (((long) 1)));
							{	/* SawMill/cast.scm 130 */
								int BgL_offsetz00_2844;

								BgL_offsetz00_2844 = (int) (BgL_objzd2classzd2numz00_2840);
								{	/* SawMill/cast.scm 130 */
									long BgL_offsetz00_2845;

									BgL_offsetz00_2845 =
										((long) (BgL_offsetz00_2844) - OBJECT_TYPE);
									{	/* SawMill/cast.scm 130 */
										long BgL_modz00_2846;

										BgL_modz00_2846 =
											(BgL_offsetz00_2845 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/cast.scm 130 */
											long BgL_restz00_2848;

											BgL_restz00_2848 =
												(BgL_offsetz00_2845 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/cast.scm 130 */

												{	/* SawMill/cast.scm 130 */
													obj_t BgL_bucketz00_2850;

													BgL_bucketz00_2850 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2841), BgL_modz00_2846);
													BgL_res1934z00_2869 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2850), BgL_restz00_2848);
					}}}}}}}}
					BgL_method1472z00_2227 = BgL_res1934z00_2869;
				}
				return
					PROCEDURE_ENTRY(BgL_method1472z00_2227) (BgL_method1472z00_2227,
					((obj_t) BgL_funz00_50), BEOA);
			}
		}

	}



/* &type-args */
	obj_t BGl_z62typezd2argszb0zzsaw_castz00(obj_t BgL_envz00_3063,
		obj_t BgL_funz00_3064)
	{
		{	/* SawMill/cast.scm 130 */
			return
				BGl_typezd2argszd2zzsaw_castz00(
				((BgL_rtl_funz00_bglt) BgL_funz00_3064));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_nopz00zzsaw_defsz00,
				BGl_proc1943z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc1945z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc1946z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_loadfunz00zzsaw_defsz00,
				BGl_proc1947z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc1948z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1949z00zzsaw_castz00,
				BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_newz00zzsaw_defsz00,
				BGl_proc1950z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_vallocz00zzsaw_defsz00,
				BGl_proc1951z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc1952z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_vlengthz00zzsaw_defsz00,
				BGl_proc1953z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc1954z00zzsaw_castz00,
				BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc1955z00zzsaw_castz00,
				BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc1956z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc1957z00zzsaw_castz00, BGl_string1944z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1958z00zzsaw_castz00,
				BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc1960z00zzsaw_castz00,
				BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc1961z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc1962z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_vlengthz00zzsaw_defsz00,
				BGl_proc1963z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_storegz00zzsaw_defsz00,
				BGl_proc1964z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc1965z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_returnz00zzsaw_defsz00,
				BGl_proc1966z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_funcallz00zzsaw_defsz00,
				BGl_proc1967z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1968z00zzsaw_castz00,
				BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc1969z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_boxrefz00zzsaw_defsz00,
				BGl_proc1970z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_boxsetz00zzsaw_defsz00,
				BGl_proc1971z00zzsaw_castz00, BGl_string1959z00zzsaw_castz00);
		}

	}



/* &type-args-rtl_boxset1498 */
	obj_t BGl_z62typezd2argszd2rtl_boxset1498z62zzsaw_castz00(obj_t
		BgL_envz00_3092, obj_t BgL_funz00_3093)
	{
		{	/* SawMill/cast.scm 176 */
			{	/* SawMill/cast.scm 177 */
				BgL_typez00_bglt BgL_arg1715z00_3176;

				BgL_arg1715z00_3176 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 3)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1715z00_3176), BNIL);
			}
		}

	}



/* &type-args-rtl_boxref1496 */
	obj_t BGl_z62typezd2argszd2rtl_boxref1496z62zzsaw_castz00(obj_t
		BgL_envz00_3094, obj_t BgL_funz00_3095)
	{
		{	/* SawMill/cast.scm 173 */
			{	/* SawMill/cast.scm 174 */
				BgL_typez00_bglt BgL_arg1714z00_3178;

				BgL_arg1714z00_3178 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 3)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1714z00_3178), BNIL);
			}
		}

	}



/* &type-args-rtl_apply1494 */
	obj_t BGl_z62typezd2argszd2rtl_apply1494z62zzsaw_castz00(obj_t
		BgL_envz00_3096, obj_t BgL_funz00_3097)
	{
		{	/* SawMill/cast.scm 170 */
			{	/* SawMill/cast.scm 171 */
				BgL_typez00_bglt BgL_arg1713z00_3180;

				BgL_arg1713z00_3180 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 4)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1713z00_3180), BNIL);
			}
		}

	}



/* &type-args-rtl_lightf1492 */
	obj_t BGl_z62typezd2argszd2rtl_lightf1492z62zzsaw_castz00(obj_t
		BgL_envz00_3098, obj_t BgL_funz00_3099)
	{
		{	/* SawMill/cast.scm 167 */
			{	/* SawMill/cast.scm 168 */
				BgL_typez00_bglt BgL_arg1712z00_3182;

				BgL_arg1712z00_3182 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 4)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1712z00_3182), BNIL);
			}
		}

	}



/* &type-args-rtl_funcal1490 */
	obj_t BGl_z62typezd2argszd2rtl_funcal1490z62zzsaw_castz00(obj_t
		BgL_envz00_3100, obj_t BgL_funz00_3101)
	{
		{	/* SawMill/cast.scm 164 */
			{	/* SawMill/cast.scm 165 */
				BgL_typez00_bglt BgL_arg1711z00_3184;

				BgL_arg1711z00_3184 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 4)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1711z00_3184), BNIL);
			}
		}

	}



/* &type-args-rtl_return1488 */
	obj_t BGl_z62typezd2argszd2rtl_return1488z62zzsaw_castz00(obj_t
		BgL_envz00_3102, obj_t BgL_funz00_3103)
	{
		{	/* SawMill/cast.scm 161 */
			{	/* SawMill/cast.scm 162 */
				BgL_typez00_bglt BgL_arg1706z00_3186;

				BgL_arg1706z00_3186 =
					(((BgL_rtl_returnz00_bglt) COBJECT(
							((BgL_rtl_returnz00_bglt) BgL_funz00_3103)))->BgL_typez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1706z00_3186), BNIL);
			}
		}

	}



/* &type-args-rtl_call1486 */
	obj_t BGl_z62typezd2argszd2rtl_call1486z62zzsaw_castz00(obj_t BgL_envz00_3104,
		obj_t BgL_funz00_3105)
	{
		{	/* SawMill/cast.scm 151 */
			{	/* SawMill/cast.scm 152 */
				BgL_valuez00_bglt BgL_fz00_3188;

				BgL_fz00_3188 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								(((BgL_rtl_callz00_bglt) COBJECT(
											((BgL_rtl_callz00_bglt) BgL_funz00_3105)))->
									BgL_varz00))))->BgL_valuez00);
				{	/* SawMill/cast.scm 153 */

					{	/* SawMill/cast.scm 154 */
						bool_t BgL_test2025z00_3610;

						{	/* SawMill/cast.scm 154 */
							obj_t BgL_classz00_3189;

							BgL_classz00_3189 = BGl_cfunz00zzast_varz00;
							{	/* SawMill/cast.scm 154 */
								BgL_objectz00_bglt BgL_arg1825z00_3190;

								{	/* SawMill/cast.scm 154 */
									obj_t BgL_tmpz00_3611;

									BgL_tmpz00_3611 =
										((obj_t) ((BgL_objectz00_bglt) BgL_fz00_3188));
									BgL_arg1825z00_3190 = (BgL_objectz00_bglt) (BgL_tmpz00_3611);
								}
								{	/* SawMill/cast.scm 154 */
									bool_t BgL_arg1822z00_3191;
									bool_t BgL_arg1823z00_3192;

									{	/* SawMill/cast.scm 154 */
										long BgL_idxz00_3193;

										BgL_idxz00_3193 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3190);
										BgL_arg1822z00_3191 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3193 + ((long) 3))) == BgL_classz00_3189);
									}
									{	/* SawMill/cast.scm 154 */
										bool_t BgL_res1935z00_3196;

										{	/* SawMill/cast.scm 154 */
											obj_t BgL_oclassz00_3197;

											{	/* SawMill/cast.scm 154 */
												long BgL_arg1833z00_3198;

												{	/* SawMill/cast.scm 154 */
													long BgL_arg1834z00_3199;

													BgL_arg1834z00_3199 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3190);
													BgL_arg1833z00_3198 =
														(BgL_arg1834z00_3199 - OBJECT_TYPE);
												}
												BgL_oclassz00_3197 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3198);
											}
											{	/* SawMill/cast.scm 154 */
												bool_t BgL__ortest_1110z00_3200;

												BgL__ortest_1110z00_3200 =
													(BgL_classz00_3189 == BgL_oclassz00_3197);
												if (BgL__ortest_1110z00_3200)
													{	/* SawMill/cast.scm 154 */
														BgL_res1935z00_3196 = BgL__ortest_1110z00_3200;
													}
												else
													{	/* SawMill/cast.scm 154 */
														long BgL_odepthz00_3201;

														BgL_odepthz00_3201 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3197);
														if ((((long) 3) < BgL_odepthz00_3201))
															{	/* SawMill/cast.scm 154 */
																obj_t BgL_arg1821z00_3202;

																BgL_arg1821z00_3202 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3197,
																	((long) 3));
																BgL_res1935z00_3196 =
																	(BgL_arg1821z00_3202 == BgL_classz00_3189);
															}
														else
															{	/* SawMill/cast.scm 154 */
																BgL_res1935z00_3196 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3192 = BgL_res1935z00_3196;
									}
									BgL_test2025z00_3610 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3191, BgL_arg1823z00_3192);
								}
							}
						}
						if (BgL_test2025z00_3610)
							{	/* SawMill/cast.scm 154 */
								return
									(((BgL_cfunz00_bglt) COBJECT(
											((BgL_cfunz00_bglt) BgL_fz00_3188)))->BgL_argszd2typezd2);
							}
						else
							{	/* SawMill/cast.scm 156 */
								obj_t BgL_rz00_3203;

								BgL_rz00_3203 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_fz00_3188)))->BgL_argsz00);
								{	/* SawMill/cast.scm 157 */
									bool_t BgL_test2028z00_3634;

									if (NULLP(BgL_rz00_3203))
										{	/* SawMill/cast.scm 157 */
											BgL_test2028z00_3634 = ((bool_t) 1);
										}
									else
										{	/* SawMill/cast.scm 157 */
											obj_t BgL_arg1699z00_3204;

											BgL_arg1699z00_3204 = CAR(((obj_t) BgL_rz00_3203));
											{	/* SawMill/cast.scm 157 */
												obj_t BgL_classz00_3205;

												BgL_classz00_3205 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_arg1699z00_3204))
													{	/* SawMill/cast.scm 157 */
														BgL_objectz00_bglt BgL_arg1825z00_3206;

														BgL_arg1825z00_3206 =
															(BgL_objectz00_bglt) (BgL_arg1699z00_3204);
														{	/* SawMill/cast.scm 157 */
															bool_t BgL_arg1822z00_3207;
															bool_t BgL_arg1823z00_3208;

															{	/* SawMill/cast.scm 157 */
																long BgL_idxz00_3209;

																BgL_idxz00_3209 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3206);
																BgL_arg1822z00_3207 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3209 + ((long) 1))) ==
																	BgL_classz00_3205);
															}
															{	/* SawMill/cast.scm 157 */
																bool_t BgL_res1936z00_3212;

																{	/* SawMill/cast.scm 157 */
																	obj_t BgL_oclassz00_3213;

																	{	/* SawMill/cast.scm 157 */
																		long BgL_arg1833z00_3214;

																		{	/* SawMill/cast.scm 157 */
																			long BgL_arg1834z00_3215;

																			BgL_arg1834z00_3215 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3206);
																			BgL_arg1833z00_3214 =
																				(BgL_arg1834z00_3215 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3213 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3214);
																	}
																	{	/* SawMill/cast.scm 157 */
																		bool_t BgL__ortest_1110z00_3216;

																		BgL__ortest_1110z00_3216 =
																			(BgL_classz00_3205 == BgL_oclassz00_3213);
																		if (BgL__ortest_1110z00_3216)
																			{	/* SawMill/cast.scm 157 */
																				BgL_res1936z00_3212 =
																					BgL__ortest_1110z00_3216;
																			}
																		else
																			{	/* SawMill/cast.scm 157 */
																				long BgL_odepthz00_3217;

																				BgL_odepthz00_3217 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3213);
																				if ((((long) 1) < BgL_odepthz00_3217))
																					{	/* SawMill/cast.scm 157 */
																						obj_t BgL_arg1821z00_3218;

																						BgL_arg1821z00_3218 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3213, ((long) 1));
																						BgL_res1936z00_3212 =
																							(BgL_arg1821z00_3218 ==
																							BgL_classz00_3205);
																					}
																				else
																					{	/* SawMill/cast.scm 157 */
																						BgL_res1936z00_3212 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3208 = BgL_res1936z00_3212;
															}
															BgL_test2028z00_3634 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3207,
																BgL_arg1823z00_3208);
														}
													}
												else
													{	/* SawMill/cast.scm 157 */
														BgL_test2028z00_3634 = ((bool_t) 0);
													}
											}
										}
									if (BgL_test2028z00_3634)
										{	/* SawMill/cast.scm 157 */
											return BgL_rz00_3203;
										}
									else
										{	/* SawMill/cast.scm 157 */
											if (NULLP(BgL_rz00_3203))
												{	/* SawMill/cast.scm 159 */
													return BNIL;
												}
											else
												{	/* SawMill/cast.scm 159 */
													obj_t BgL_head1436z00_3219;

													{	/* SawMill/cast.scm 159 */
														BgL_typez00_bglt BgL_arg1695z00_3220;

														BgL_arg1695z00_3220 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_rz00_3203))))))->
															BgL_typez00);
														BgL_head1436z00_3219 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_arg1695z00_3220),
															BNIL);
													}
													{	/* SawMill/cast.scm 159 */
														obj_t BgL_g1439z00_3221;

														BgL_g1439z00_3221 = CDR(((obj_t) BgL_rz00_3203));
														{
															obj_t BgL_l1434z00_3223;
															obj_t BgL_tail1437z00_3224;

															BgL_l1434z00_3223 = BgL_g1439z00_3221;
															BgL_tail1437z00_3224 = BgL_head1436z00_3219;
														BgL_zc3z04anonymousza31678ze3z87_3222:
															if (NULLP(BgL_l1434z00_3223))
																{	/* SawMill/cast.scm 159 */
																	return BgL_head1436z00_3219;
																}
															else
																{	/* SawMill/cast.scm 159 */
																	obj_t BgL_newtail1438z00_3225;

																	{	/* SawMill/cast.scm 159 */
																		BgL_typez00_bglt BgL_arg1682z00_3226;

																		BgL_arg1682z00_3226 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_l1434z00_3223))))))->
																			BgL_typez00);
																		BgL_newtail1438z00_3225 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_arg1682z00_3226), BNIL);
																	}
																	SET_CDR(BgL_tail1437z00_3224,
																		BgL_newtail1438z00_3225);
																	{	/* SawMill/cast.scm 159 */
																		obj_t BgL_arg1681z00_3227;

																		BgL_arg1681z00_3227 =
																			CDR(((obj_t) BgL_l1434z00_3223));
																		{
																			obj_t BgL_tail1437z00_3681;
																			obj_t BgL_l1434z00_3680;

																			BgL_l1434z00_3680 = BgL_arg1681z00_3227;
																			BgL_tail1437z00_3681 =
																				BgL_newtail1438z00_3225;
																			BgL_tail1437z00_3224 =
																				BgL_tail1437z00_3681;
																			BgL_l1434z00_3223 = BgL_l1434z00_3680;
																			goto
																				BgL_zc3z04anonymousza31678ze3z87_3222;
																		}
																	}
																}
														}
													}
												}
										}
								}
							}
					}
				}
			}
		}

	}



/* &type-args-rtl_storeg1484 */
	obj_t BGl_z62typezd2argszd2rtl_storeg1484z62zzsaw_castz00(obj_t
		BgL_envz00_3106, obj_t BgL_funz00_3107)
	{
		{	/* SawMill/cast.scm 148 */
			{	/* SawMill/cast.scm 149 */
				BgL_typez00_bglt BgL_arg1665z00_3229;

				BgL_arg1665z00_3229 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								(((BgL_rtl_storegz00_bglt) COBJECT(
											((BgL_rtl_storegz00_bglt) BgL_funz00_3107)))->
									BgL_varz00))))->BgL_typez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1665z00_3229), BNIL);
			}
		}

	}



/* &type-args-rtl_vlengt1482 */
	obj_t BGl_z62typezd2argszd2rtl_vlengt1482z62zzsaw_castz00(obj_t
		BgL_envz00_3108, obj_t BgL_funz00_3109)
	{
		{	/* SawMill/cast.scm 145 */
			{	/* SawMill/cast.scm 146 */
				BgL_typez00_bglt BgL_arg1660z00_3231;

				BgL_arg1660z00_3231 =
					(((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_funz00_3109)))->BgL_vtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1660z00_3231), BNIL);
			}
		}

	}



/* &type-args-rtl_vset1480 */
	obj_t BGl_z62typezd2argszd2rtl_vset1480z62zzsaw_castz00(obj_t BgL_envz00_3110,
		obj_t BgL_funz00_3111)
	{
		{	/* SawMill/cast.scm 142 */
			{	/* SawMill/cast.scm 143 */
				BgL_typez00_bglt BgL_arg1657z00_3233;

				BgL_arg1657z00_3233 =
					(((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_funz00_3111)))->BgL_vtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1657z00_3233), BNIL);
			}
		}

	}



/* &type-args-rtl_vref1478 */
	obj_t BGl_z62typezd2argszd2rtl_vref1478z62zzsaw_castz00(obj_t BgL_envz00_3112,
		obj_t BgL_funz00_3113)
	{
		{	/* SawMill/cast.scm 139 */
			{	/* SawMill/cast.scm 140 */
				BgL_typez00_bglt BgL_arg1656z00_3235;

				BgL_arg1656z00_3235 =
					(((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_funz00_3113)))->BgL_vtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1656z00_3235), BNIL);
			}
		}

	}



/* &type-args-rtl_setfie1476 */
	obj_t BGl_z62typezd2argszd2rtl_setfie1476z62zzsaw_castz00(obj_t
		BgL_envz00_3114, obj_t BgL_funz00_3115)
	{
		{	/* SawMill/cast.scm 136 */
			{	/* SawMill/cast.scm 137 */
				BgL_typez00_bglt BgL_arg1636z00_3237;
				obj_t BgL_arg1647z00_3238;

				BgL_arg1636z00_3237 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_3115)))->BgL_objtypez00);
				{	/* SawMill/cast.scm 137 */
					BgL_typez00_bglt BgL_arg1652z00_3239;

					BgL_arg1652z00_3239 =
						(((BgL_rtl_setfieldz00_bglt) COBJECT(
								((BgL_rtl_setfieldz00_bglt) BgL_funz00_3115)))->BgL_typez00);
					BgL_arg1647z00_3238 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg1652z00_3239), BNIL);
				}
				return
					MAKE_YOUNG_PAIR(((obj_t) BgL_arg1636z00_3237), BgL_arg1647z00_3238);
			}
		}

	}



/* &type-args-rtl_getfie1474 */
	obj_t BGl_z62typezd2argszd2rtl_getfie1474z62zzsaw_castz00(obj_t
		BgL_envz00_3116, obj_t BgL_funz00_3117)
	{
		{	/* SawMill/cast.scm 133 */
			{	/* SawMill/cast.scm 134 */
				BgL_typez00_bglt BgL_arg1633z00_3241;

				BgL_arg1633z00_3241 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_3117)))->BgL_objtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1633z00_3241), BNIL);
			}
		}

	}



/* &type-dest-rtl_cast1469 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_cast1469z62zzsaw_castz00(obj_t
		BgL_envz00_3118, obj_t BgL_funz00_3119, obj_t BgL_argsz00_3120)
	{
		{	/* SawMill/cast.scm 126 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_funz00_3119)))->BgL_totypez00);
		}

	}



/* &type-dest-rtl_call1467 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_call1467z62zzsaw_castz00(obj_t
		BgL_envz00_3121, obj_t BgL_funz00_3122, obj_t BgL_argsz00_3123)
	{
		{	/* SawMill/cast.scm 123 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_funz00_3122)))->BgL_varz00))))->
				BgL_typez00);
		}

	}



/* &type-dest-rtl_cast_n1465 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_cast_n1465z62zzsaw_castz00(obj_t
		BgL_envz00_3124, obj_t BgL_funz00_3125, obj_t BgL_argsz00_3126)
	{
		{	/* SawMill/cast.scm 119 */
			return
				(((BgL_rtl_cast_nullz00_bglt) COBJECT(
						((BgL_rtl_cast_nullz00_bglt) BgL_funz00_3125)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_instan1463 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_instan1463z62zzsaw_castz00(obj_t
		BgL_envz00_3127, obj_t BgL_funz00_3128, obj_t BgL_argsz00_3129)
	{
		{	/* SawMill/cast.scm 116 */
			return BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 5)));
		}

	}



/* &type-dest-rtl_vlengt1461 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_vlengt1461z62zzsaw_castz00(obj_t
		BgL_envz00_3130, obj_t BgL_funz00_3131, obj_t BgL_argsz00_3132)
	{
		{	/* SawMill/cast.scm 113 */
			return BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 5)));
		}

	}



/* &type-dest-rtl_vref1459 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_vref1459z62zzsaw_castz00(obj_t
		BgL_envz00_3133, obj_t BgL_funz00_3134, obj_t BgL_argsz00_3135)
	{
		{	/* SawMill/cast.scm 110 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_funz00_3134)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_valloc1457 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_valloc1457z62zzsaw_castz00(obj_t
		BgL_envz00_3136, obj_t BgL_funz00_3137, obj_t BgL_argsz00_3138)
	{
		{	/* SawMill/cast.scm 107 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_funz00_3137)))->BgL_vtypez00);
		}

	}



/* &type-dest-rtl_new1455 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_new1455z62zzsaw_castz00(obj_t
		BgL_envz00_3139, obj_t BgL_funz00_3140, obj_t BgL_argsz00_3141)
	{
		{	/* SawMill/cast.scm 104 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_funz00_3140)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_getfie1453 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_getfie1453z62zzsaw_castz00(obj_t
		BgL_envz00_3142, obj_t BgL_funz00_3143, obj_t BgL_argsz00_3144)
	{
		{	/* SawMill/cast.scm 101 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_funz00_3143)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_loadg1451 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_loadg1451z62zzsaw_castz00(obj_t
		BgL_envz00_3145, obj_t BgL_funz00_3146, obj_t BgL_argsz00_3147)
	{
		{	/* SawMill/cast.scm 98 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_funz00_3146)))->
								BgL_varz00))))->BgL_typez00);
		}

	}



/* &type-dest-rtl_loadfu1449 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_loadfu1449z62zzsaw_castz00(obj_t
		BgL_envz00_3148, obj_t BgL_funz00_3149, obj_t BgL_argsz00_3150)
	{
		{	/* SawMill/cast.scm 93 */
			return BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 4)));
		}

	}



/* &type-dest-rtl_loadi1447 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_loadi1447z62zzsaw_castz00(obj_t
		BgL_envz00_3151, obj_t BgL_funz00_3152, obj_t BgL_argsz00_3153)
	{
		{	/* SawMill/cast.scm 90 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt)
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_funz00_3152)))->
								BgL_constantz00))))->BgL_typez00);
		}

	}



/* &type-dest-rtl_mov1445 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_mov1445z62zzsaw_castz00(obj_t
		BgL_envz00_3154, obj_t BgL_funz00_3155, obj_t BgL_argsz00_3156)
	{
		{	/* SawMill/cast.scm 87 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt)
							CAR(((obj_t) ((obj_t) BgL_argsz00_3156))))))->BgL_typez00);
		}

	}



/* &type-dest-rtl_nop1443 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_nop1443z62zzsaw_castz00(obj_t
		BgL_envz00_3157, obj_t BgL_funz00_3158, obj_t BgL_argsz00_3159)
	{
		{	/* SawMill/cast.scm 84 */
			return BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 6)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_castz00()
	{
		{	/* SawMill/cast.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string1972z00zzsaw_castz00));
		}

	}

#ifdef __cplusplus
}
#endif
