/*===========================================================================*/
/*   (SawMill/procedures.scm)                                                */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/procedures.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t
		BGl_needzd2functionzd2pointerz00zzsaw_elsewherez00(BgL_globalz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_proceduresz00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62getzd2conditional1273zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2fail1311zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_proceduresz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62getzd2sequence1269zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2setq1267zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsaw_proceduresz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsaw_proceduresz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62getzd2sync1271zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2pragma1285zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2new1291zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62get1258z62zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_proceduresz00();
	static obj_t BGl_z62zc3z04anonymousza31324ze3ze5zzsaw_proceduresz00(obj_t,
		obj_t);
	static obj_t BGl_z62getz62zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2setzd2exzd2it1307zb0zzsaw_proceduresz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62getzd2vlength1299zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2var1263zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62getzd2letzd2fun1277z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2vsetz121297za2zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2castzd2null1303z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_elsewherez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62getzd2jumpzd2exzd2it1309zb0zzsaw_proceduresz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62getzd2vref1295zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_getz00zzsaw_proceduresz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62getzd2valloc1293zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2getfield1287zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62getzd2app1279zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsaw_proceduresz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00();
	static obj_t BGl_z62getzd2procedureszb0zzsaw_proceduresz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_proceduresz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62getzd2boxzd2setz121317z70zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2atom1261zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2makezd2box1313z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2appzd2ly1281z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62getzd2setfield1289zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_z62getzd2boxzd2ref1315z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_getza2za2zzsaw_proceduresz00(obj_t, obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static obj_t BGl_z62getzd2switch1275zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2letzd2var1265z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62getzd2funcall1283zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2instanceof1301zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62getzd2cast1305zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1837z00zzsaw_proceduresz00,
		BgL_bgl_string1837za700za7za7s1873za7, "get1258", 7);
	      DEFINE_STRING(BGl_string1838z00zzsaw_proceduresz00,
		BgL_bgl_string1838za700za7za7s1874za7, "hole", 4);
	      DEFINE_STRING(BGl_string1840z00zzsaw_proceduresz00,
		BgL_bgl_string1840za700za7za7s1875za7, "get", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzsaw_proceduresz00,
		BgL_bgl_za762get1258za762za7za7s1876z00,
		BGl_z62get1258z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2atom1261877z00,
		BGl_z62getzd2atom1261zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2var12631878z00,
		BGl_z62getzd2var1263zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2letza7d2v1879za7,
		BGl_z62getzd2letzd2var1265z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setq1261880z00,
		BGl_z62getzd2setq1267zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2sequenc1881z00,
		BGl_z62getzd2sequence1269zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2sync1271882z00,
		BGl_z62getzd2sync1271zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2conditi1883z00,
		BGl_z62getzd2conditional1273zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2switch11884z00,
		BGl_z62getzd2switch1275zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2letza7d2f1885za7,
		BGl_z62getzd2letzd2fun1277z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2app12791886z00,
		BGl_z62getzd2app1279zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2appza7d2l1887za7,
		BGl_z62getzd2appzd2ly1281z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2funcall1888z00,
		BGl_z62getzd2funcall1283zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2pragma11889z00,
		BGl_z62getzd2pragma1285zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2getfiel1890z00,
		BGl_z62getzd2getfield1287zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setfiel1891z00,
		BGl_z62getzd2setfield1289zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2new12911892z00,
		BGl_z62getzd2new1291zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2valloc11893z00,
		BGl_z62getzd2valloc1293zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vref1291894z00,
		BGl_z62getzd2vref1295zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vsetza7121895za7,
		BGl_z62getzd2vsetz121297za2zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vlength1896z00,
		BGl_z62getzd2vlength1299zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1869z00zzsaw_proceduresz00,
		BgL_bgl_string1869za700za7za7s1897za7, "saw_procedures", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2instanc1898z00,
		BGl_z62getzd2instanceof1301zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2castza7d21899za7,
		BGl_z62getzd2castzd2null1303z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2cast1301900z00,
		BGl_z62getzd2cast1305zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setza7d2e1901za7,
		BGl_z62getzd2setzd2exzd2it1307zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1870z00zzsaw_proceduresz00,
		BgL_bgl_string1870za700za7za7s1902za7, "__evmeaning_address elight get ",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2jumpza7d21903za7,
		BGl_z62getzd2jumpzd2exzd2it1309zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2fail1311904z00,
		BGl_z62getzd2fail1311zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2makeza7d21905za7,
		BGl_z62getzd2makezd2box1313z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2boxza7d2r1906za7,
		BGl_z62getzd2boxzd2ref1315z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2boxza7d2s1907za7,
		BGl_z62getzd2boxzd2setz121317z70zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_getzd2envzd2zzsaw_proceduresz00,
		BgL_bgl_za762getza762za7za7saw_p1908z00, BGl_z62getz62zzsaw_proceduresz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedureszd2envz00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2procedu1909z00,
		BGl_z62getzd2procedureszb0zzsaw_proceduresz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_proceduresz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long
		BgL_checksumz00_2499, char *BgL_fromz00_2500)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_proceduresz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_proceduresz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_proceduresz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00();
					BGl_cnstzd2initzd2zzsaw_proceduresz00();
					BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00();
					BGl_genericzd2initzd2zzsaw_proceduresz00();
					BGl_methodzd2initzd2zzsaw_proceduresz00();
					return BGl_toplevelzd2initzd2zzsaw_proceduresz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_procedures");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			{	/* SawMill/procedures.scm 1 */
				obj_t BgL_cportz00_2349;

				{	/* SawMill/procedures.scm 1 */
					obj_t BgL_stringz00_2357;

					BgL_stringz00_2357 = BGl_string1870z00zzsaw_proceduresz00;
					{	/* SawMill/procedures.scm 1 */
						obj_t BgL_startz00_2358;

						BgL_startz00_2358 = BINT(((long) 0));
						{	/* SawMill/procedures.scm 1 */
							obj_t BgL_endz00_2359;

							BgL_endz00_2359 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2357)));
							{	/* SawMill/procedures.scm 1 */

								BgL_cportz00_2349 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2357, BgL_startz00_2358, BgL_endz00_2359);
				}}}}
				{
					long BgL_iz00_2350;

					BgL_iz00_2350 = ((long) 2);
				BgL_loopz00_2351:
					if ((BgL_iz00_2350 == ((long) -1)))
						{	/* SawMill/procedures.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/procedures.scm 1 */
							{	/* SawMill/procedures.scm 1 */
								obj_t BgL_arg1872z00_2353;

								{	/* SawMill/procedures.scm 1 */

									{	/* SawMill/procedures.scm 1 */
										obj_t BgL_locationz00_2355;

										BgL_locationz00_2355 = BBOOL(((bool_t) 0));
										{	/* SawMill/procedures.scm 1 */

											BgL_arg1872z00_2353 =
												BGl_readz00zz__readerz00(BgL_cportz00_2349,
												BgL_locationz00_2355);
										}
									}
								}
								{	/* SawMill/procedures.scm 1 */
									int BgL_tmpz00_2530;

									BgL_tmpz00_2530 = (int) (BgL_iz00_2350);
									CNST_TABLE_SET(BgL_tmpz00_2530, BgL_arg1872z00_2353);
							}}
							{	/* SawMill/procedures.scm 1 */
								int BgL_auxz00_2356;

								BgL_auxz00_2356 = (int) ((BgL_iz00_2350 - ((long) 1)));
								{
									long BgL_iz00_2535;

									BgL_iz00_2535 = (long) (BgL_auxz00_2356);
									BgL_iz00_2350 = BgL_iz00_2535;
									goto BgL_loopz00_2351;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			return BUNSPEC;
		}

	}



/* get-procedures */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* SawMill/procedures.scm 12 */
			{	/* SawMill/procedures.scm 13 */
				obj_t BgL_rz00_2223;

				BgL_rz00_2223 = MAKE_CELL(BNIL);
				{	/* SawMill/procedures.scm 15 */
					obj_t BgL_zc3z04anonymousza31324ze3z87_2216;

					BgL_zc3z04anonymousza31324ze3z87_2216 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31324ze3ze5zzsaw_proceduresz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31324ze3z87_2216,
						(int) (((long) 0)), ((obj_t) BgL_rz00_2223));
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31324ze3z87_2216, BNIL);
				}
				{
					obj_t BgL_l1239z00_1427;

					BgL_l1239z00_1427 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31328ze3z87_1428:
					if (PAIRP(BgL_l1239z00_1427))
						{	/* SawMill/procedures.scm 18 */
							{	/* SawMill/procedures.scm 19 */
								obj_t BgL_globalz00_1430;

								BgL_globalz00_1430 = CAR(BgL_l1239z00_1427);
								{	/* SawMill/procedures.scm 19 */
									obj_t BgL_auxz00_2224;

									{	/* SawMill/procedures.scm 19 */
										obj_t BgL_arg1331z00_1431;

										BgL_arg1331z00_1431 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1430))))->BgL_valuez00))))->
											BgL_bodyz00);
										BgL_auxz00_2224 =
											BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
												BgL_arg1331z00_1431), CELL_REF(BgL_rz00_2223));
									}
									CELL_SET(BgL_rz00_2223, BgL_auxz00_2224);
								}
							}
							{
								obj_t BgL_l1239z00_2555;

								BgL_l1239z00_2555 = CDR(BgL_l1239z00_1427);
								BgL_l1239z00_1427 = BgL_l1239z00_2555;
								goto BgL_zc3z04anonymousza31328ze3z87_1428;
							}
						}
					else
						{	/* SawMill/procedures.scm 18 */
							((bool_t) 1);
						}
				}
				return CELL_REF(BgL_rz00_2223);
			}
		}

	}



/* &get-procedures */
	obj_t BGl_z62getzd2procedureszb0zzsaw_proceduresz00(obj_t BgL_envz00_2217,
		obj_t BgL_globalsz00_2218)
	{
		{	/* SawMill/procedures.scm 12 */
			return BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_globalsz00_2218);
		}

	}



/* &<@anonymous:1324> */
	obj_t BGl_z62zc3z04anonymousza31324ze3ze5zzsaw_proceduresz00(obj_t
		BgL_envz00_2219, obj_t BgL_globalz00_2221)
	{
		{	/* SawMill/procedures.scm 14 */
			{	/* SawMill/procedures.scm 15 */
				obj_t BgL_rz00_2220;

				BgL_rz00_2220 = PROCEDURE_REF(BgL_envz00_2219, (int) (((long) 0)));
				{	/* SawMill/procedures.scm 15 */
					bool_t BgL_test1913z00_2560;

					if (CBOOL(BGl_needzd2functionzd2pointerz00zzsaw_elsewherez00(
								((BgL_globalz00_bglt) BgL_globalz00_2221))))
						{	/* SawMill/procedures.scm 15 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_globalz00_2221, CELL_REF(BgL_rz00_2220))))
								{	/* SawMill/procedures.scm 16 */
									BgL_test1913z00_2560 = ((bool_t) 0);
								}
							else
								{	/* SawMill/procedures.scm 16 */
									BgL_test1913z00_2560 = ((bool_t) 1);
								}
						}
					else
						{	/* SawMill/procedures.scm 15 */
							BgL_test1913z00_2560 = ((bool_t) 0);
						}
					if (BgL_test1913z00_2560)
						{	/* SawMill/procedures.scm 17 */
							obj_t BgL_auxz00_2361;

							BgL_auxz00_2361 =
								MAKE_YOUNG_PAIR(BgL_globalz00_2221, CELL_REF(BgL_rz00_2220));
							return CELL_SET(BgL_rz00_2220, BgL_auxz00_2361);
						}
					else
						{	/* SawMill/procedures.scm 15 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get* */
	obj_t BGl_getza2za2zzsaw_proceduresz00(obj_t BgL_lz00_4, obj_t BgL_rz00_5)
	{
		{	/* SawMill/procedures.scm 23 */
		BGl_getza2za2zzsaw_proceduresz00:
			if (NULLP(BgL_lz00_4))
				{	/* SawMill/procedures.scm 24 */
					return BgL_rz00_5;
				}
			else
				{	/* SawMill/procedures.scm 26 */
					obj_t BgL_arg1338z00_1436;
					obj_t BgL_arg1339z00_1437;

					BgL_arg1338z00_1436 = CDR(((obj_t) BgL_lz00_4));
					{	/* SawMill/procedures.scm 26 */
						obj_t BgL_arg1340z00_1438;

						BgL_arg1340z00_1438 = CAR(((obj_t) BgL_lz00_4));
						BgL_arg1339z00_1437 =
							BGl_getz00zzsaw_proceduresz00(
							((BgL_nodez00_bglt) BgL_arg1340z00_1438), BgL_rz00_5);
					}
					{
						obj_t BgL_rz00_2578;
						obj_t BgL_lz00_2577;

						BgL_lz00_2577 = BgL_arg1338z00_1436;
						BgL_rz00_2578 = BgL_arg1339z00_1437;
						BgL_rz00_5 = BgL_rz00_2578;
						BgL_lz00_4 = BgL_lz00_2577;
						goto BGl_getza2za2zzsaw_proceduresz00;
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00,
				BGl_proc1836z00zzsaw_proceduresz00, BGl_nodez00zzast_nodez00,
				BGl_string1837z00zzsaw_proceduresz00);
		}

	}



/* &get1258 */
	obj_t BGl_z62get1258z62zzsaw_proceduresz00(obj_t BgL_envz00_2227,
		obj_t BgL_ez00_2228, obj_t BgL_rz00_2229)
	{
		{	/* SawMill/procedures.scm 31 */
			{	/* SawMill/procedures.scm 32 */
				obj_t BgL_arg1343z00_2363;

				{	/* SawMill/procedures.scm 32 */
					obj_t BgL_arg1347z00_2364;

					{	/* SawMill/procedures.scm 32 */
						long BgL_arg1833z00_2365;

						{	/* SawMill/procedures.scm 32 */
							long BgL_arg1834z00_2366;

							BgL_arg1834z00_2366 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_nodez00_bglt) BgL_ez00_2228)));
							BgL_arg1833z00_2365 = (BgL_arg1834z00_2366 - OBJECT_TYPE);
						}
						BgL_arg1347z00_2364 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1833z00_2365);
					}
					BgL_arg1343z00_2363 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1347z00_2364);
				}
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string1838z00zzsaw_proceduresz00, BgL_arg1343z00_2363);
		}}

	}



/* get */
	obj_t BGl_getz00zzsaw_proceduresz00(BgL_nodez00_bglt BgL_ez00_6,
		obj_t BgL_rz00_7)
	{
		{	/* SawMill/procedures.scm 31 */
			{	/* SawMill/procedures.scm 31 */
				obj_t BgL_method1259z00_1446;

				{	/* SawMill/procedures.scm 31 */
					obj_t BgL_res1829z00_1956;

					{	/* SawMill/procedures.scm 31 */
						long BgL_objzd2classzd2numz00_1927;

						BgL_objzd2classzd2numz00_1927 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_6));
						{	/* SawMill/procedures.scm 31 */
							obj_t BgL_arg1829z00_1928;

							BgL_arg1829z00_1928 =
								PROCEDURE_REF(BGl_getzd2envzd2zzsaw_proceduresz00,
								(int) (((long) 1)));
							{	/* SawMill/procedures.scm 31 */
								int BgL_offsetz00_1931;

								BgL_offsetz00_1931 = (int) (BgL_objzd2classzd2numz00_1927);
								{	/* SawMill/procedures.scm 31 */
									long BgL_offsetz00_1932;

									BgL_offsetz00_1932 =
										((long) (BgL_offsetz00_1931) - OBJECT_TYPE);
									{	/* SawMill/procedures.scm 31 */
										long BgL_modz00_1933;

										BgL_modz00_1933 =
											(BgL_offsetz00_1932 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/procedures.scm 31 */
											long BgL_restz00_1935;

											BgL_restz00_1935 =
												(BgL_offsetz00_1932 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/procedures.scm 31 */

												{	/* SawMill/procedures.scm 31 */
													obj_t BgL_bucketz00_1937;

													BgL_bucketz00_1937 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1928), BgL_modz00_1933);
													BgL_res1829z00_1956 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1937), BgL_restz00_1935);
					}}}}}}}}
					BgL_method1259z00_1446 = BgL_res1829z00_1956;
				}
				return
					PROCEDURE_ENTRY(BgL_method1259z00_1446) (BgL_method1259z00_1446,
					((obj_t) BgL_ez00_6), BgL_rz00_7, BEOA);
			}
		}

	}



/* &get */
	obj_t BGl_z62getz62zzsaw_proceduresz00(obj_t BgL_envz00_2230,
		obj_t BgL_ez00_2231, obj_t BgL_rz00_2232)
	{
		{	/* SawMill/procedures.scm 31 */
			return
				BGl_getz00zzsaw_proceduresz00(
				((BgL_nodez00_bglt) BgL_ez00_2231), BgL_rz00_2232);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_atomz00zzast_nodez00,
				BGl_proc1839z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_varz00zzast_nodez00,
				BGl_proc1841z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1842z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setqz00zzast_nodez00,
				BGl_proc1843z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1844z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_syncz00zzast_nodez00,
				BGl_proc1845z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1846z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_switchz00zzast_nodez00,
				BGl_proc1847z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1848z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_appz00zzast_nodez00,
				BGl_proc1849z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1850z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1851z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1852z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_getfieldz00zzast_nodez00,
				BGl_proc1853z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setfieldz00zzast_nodez00,
				BGl_proc1854z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_newz00zzast_nodez00,
				BGl_proc1855z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vallocz00zzast_nodez00,
				BGl_proc1856z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vrefz00zzast_nodez00,
				BGl_proc1857z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc1858z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc1859z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_instanceofz00zzast_nodez00,
				BGl_proc1860z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_castzd2nullzd2zzast_nodez00,
				BGl_proc1861z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_castz00zzast_nodez00,
				BGl_proc1862z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1863z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1864z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_failz00zzast_nodez00,
				BGl_proc1865z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1866z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1867z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1868z00zzsaw_proceduresz00,
				BGl_string1840z00zzsaw_proceduresz00);
		}

	}



/* &get-box-set!1317 */
	obj_t BGl_z62getzd2boxzd2setz121317z70zzsaw_proceduresz00(obj_t
		BgL_envz00_2262, obj_t BgL_ez00_2263, obj_t BgL_rz00_2264)
	{
		{	/* SawMill/procedures.scm 188 */
			{	/* SawMill/procedures.scm 190 */
				BgL_varz00_bglt BgL_arg1681z00_2368;
				obj_t BgL_arg1682z00_2369;

				BgL_arg1681z00_2368 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_ez00_2263)))->BgL_varz00);
				BgL_arg1682z00_2369 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_2263)))->BgL_valuez00),
					BgL_rz00_2264);
				return BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
						BgL_arg1681z00_2368), BgL_arg1682z00_2369);
			}
		}

	}



/* &get-box-ref1315 */
	obj_t BGl_z62getzd2boxzd2ref1315z62zzsaw_proceduresz00(obj_t BgL_envz00_2265,
		obj_t BgL_ez00_2266, obj_t BgL_rz00_2267)
	{
		{	/* SawMill/procedures.scm 183 */
			{	/* SawMill/procedures.scm 185 */
				BgL_varz00_bglt BgL_arg1679z00_2371;

				BgL_arg1679z00_2371 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_2266)))->BgL_varz00);
				return
					BGl_getz00zzsaw_proceduresz00(
					((BgL_nodez00_bglt) BgL_arg1679z00_2371), BgL_rz00_2267);
			}
		}

	}



/* &get-make-box1313 */
	obj_t BGl_z62getzd2makezd2box1313z62zzsaw_proceduresz00(obj_t BgL_envz00_2268,
		obj_t BgL_ez00_2269, obj_t BgL_rz00_2270)
	{
		{	/* SawMill/procedures.scm 178 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_2269)))->BgL_valuez00),
				BgL_rz00_2270);
		}

	}



/* &get-fail1311 */
	obj_t BGl_z62getzd2fail1311zb0zzsaw_proceduresz00(obj_t BgL_envz00_2271,
		obj_t BgL_ez00_2272, obj_t BgL_rz00_2273)
	{
		{	/* SawMill/procedures.scm 173 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_ez00_2272)))->BgL_procz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_2272)))->BgL_msgz00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_ez00_2272)))->BgL_objz00),
						BgL_rz00_2273)));
		}

	}



/* &get-jump-ex-it1309 */
	obj_t BGl_z62getzd2jumpzd2exzd2it1309zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2274, obj_t BgL_ez00_2275, obj_t BgL_rz00_2276)
	{
		{	/* SawMill/procedures.scm 168 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_2275)))->BgL_exitz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_2275)))->BgL_valuez00),
					BgL_rz00_2276));
		}

	}



/* &get-set-ex-it1307 */
	obj_t BGl_z62getzd2setzd2exzd2it1307zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2277, obj_t BgL_ez00_2278, obj_t BgL_rz00_2279)
	{
		{	/* SawMill/procedures.scm 163 */
			{	/* SawMill/procedures.scm 165 */
				BgL_varz00_bglt BgL_arg1636z00_2376;
				obj_t BgL_arg1647z00_2377;

				BgL_arg1636z00_2376 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_ez00_2278)))->BgL_varz00);
				BgL_arg1647z00_2377 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_2278)))->BgL_bodyz00),
					BgL_rz00_2279);
				return BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
						BgL_arg1636z00_2376), BgL_arg1647z00_2377);
			}
		}

	}



/* &get-cast1305 */
	obj_t BGl_z62getzd2cast1305zb0zzsaw_proceduresz00(obj_t BgL_envz00_2280,
		obj_t BgL_ez00_2281, obj_t BgL_rz00_2282)
	{
		{	/* SawMill/procedures.scm 158 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_ez00_2281)))->BgL_argz00), BgL_rz00_2282);
		}

	}



/* &get-cast-null1303 */
	obj_t BGl_z62getzd2castzd2null1303z62zzsaw_proceduresz00(obj_t
		BgL_envz00_2283, obj_t BgL_ez00_2284, obj_t BgL_rz00_2285)
	{
		{	/* SawMill/procedures.scm 154 */
			return BgL_rz00_2285;
		}

	}



/* &get-instanceof1301 */
	obj_t BGl_z62getzd2instanceof1301zb0zzsaw_proceduresz00(obj_t BgL_envz00_2286,
		obj_t BgL_ez00_2287, obj_t BgL_rz00_2288)
	{
		{	/* SawMill/procedures.scm 149 */
			{	/* SawMill/procedures.scm 151 */
				obj_t BgL_arg1632z00_2381;

				BgL_arg1632z00_2381 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_2287))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1632z00_2381, BgL_rz00_2288);
			}
		}

	}



/* &get-vlength1299 */
	obj_t BGl_z62getzd2vlength1299zb0zzsaw_proceduresz00(obj_t BgL_envz00_2289,
		obj_t BgL_ez00_2290, obj_t BgL_rz00_2291)
	{
		{	/* SawMill/procedures.scm 144 */
			{	/* SawMill/procedures.scm 146 */
				obj_t BgL_arg1621z00_2383;

				BgL_arg1621z00_2383 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_2290))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1621z00_2383, BgL_rz00_2291);
			}
		}

	}



/* &get-vset!1297 */
	obj_t BGl_z62getzd2vsetz121297za2zzsaw_proceduresz00(obj_t BgL_envz00_2292,
		obj_t BgL_ez00_2293, obj_t BgL_rz00_2294)
	{
		{	/* SawMill/procedures.scm 139 */
			{	/* SawMill/procedures.scm 141 */
				obj_t BgL_arg1620z00_2385;

				BgL_arg1620z00_2385 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_ez00_2293))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1620z00_2385, BgL_rz00_2294);
			}
		}

	}



/* &get-vref1295 */
	obj_t BGl_z62getzd2vref1295zb0zzsaw_proceduresz00(obj_t BgL_envz00_2295,
		obj_t BgL_ez00_2296, obj_t BgL_rz00_2297)
	{
		{	/* SawMill/procedures.scm 134 */
			{	/* SawMill/procedures.scm 136 */
				obj_t BgL_arg1619z00_2387;

				BgL_arg1619z00_2387 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_2296))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1619z00_2387, BgL_rz00_2297);
			}
		}

	}



/* &get-valloc1293 */
	obj_t BGl_z62getzd2valloc1293zb0zzsaw_proceduresz00(obj_t BgL_envz00_2298,
		obj_t BgL_ez00_2299, obj_t BgL_rz00_2300)
	{
		{	/* SawMill/procedures.scm 129 */
			{	/* SawMill/procedures.scm 131 */
				obj_t BgL_arg1613z00_2389;

				BgL_arg1613z00_2389 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_2299))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1613z00_2389, BgL_rz00_2300);
			}
		}

	}



/* &get-new1291 */
	obj_t BGl_z62getzd2new1291zb0zzsaw_proceduresz00(obj_t BgL_envz00_2301,
		obj_t BgL_ez00_2302, obj_t BgL_rz00_2303)
	{
		{	/* SawMill/procedures.scm 125 */
			return BgL_rz00_2303;
		}

	}



/* &get-setfield1289 */
	obj_t BGl_z62getzd2setfield1289zb0zzsaw_proceduresz00(obj_t BgL_envz00_2304,
		obj_t BgL_ez00_2305, obj_t BgL_rz00_2306)
	{
		{	/* SawMill/procedures.scm 120 */
			{	/* SawMill/procedures.scm 122 */
				obj_t BgL_arg1612z00_2392;

				BgL_arg1612z00_2392 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_ez00_2305))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1612z00_2392, BgL_rz00_2306);
			}
		}

	}



/* &get-getfield1287 */
	obj_t BGl_z62getzd2getfield1287zb0zzsaw_proceduresz00(obj_t BgL_envz00_2307,
		obj_t BgL_ez00_2308, obj_t BgL_rz00_2309)
	{
		{	/* SawMill/procedures.scm 115 */
			{	/* SawMill/procedures.scm 117 */
				obj_t BgL_arg1606z00_2394;

				BgL_arg1606z00_2394 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_2308))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1606z00_2394, BgL_rz00_2309);
			}
		}

	}



/* &get-pragma1285 */
	obj_t BGl_z62getzd2pragma1285zb0zzsaw_proceduresz00(obj_t BgL_envz00_2310,
		obj_t BgL_ez00_2311, obj_t BgL_rz00_2312)
	{
		{	/* SawMill/procedures.scm 110 */
			{	/* SawMill/procedures.scm 112 */
				obj_t BgL_arg1604z00_2396;

				BgL_arg1604z00_2396 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_ez00_2311))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1604z00_2396, BgL_rz00_2312);
			}
		}

	}



/* &get-funcall1283 */
	obj_t BGl_z62getzd2funcall1283zb0zzsaw_proceduresz00(obj_t BgL_envz00_2313,
		obj_t BgL_ez00_2314, obj_t BgL_rz00_2315)
	{
		{	/* SawMill/procedures.scm 103 */
			if (
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_2314)))->BgL_strengthz00) ==
					CNST_TABLE_REF(((long) 1))))
				{	/* SawMill/procedures.scm 105 */
					return
						BGl_getza2za2zzsaw_proceduresz00(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_ez00_2314)))->BgL_argsz00),
						BgL_rz00_2315);
				}
			else
				{	/* SawMill/procedures.scm 105 */
					return
						BGl_getz00zzsaw_proceduresz00(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_ez00_2314)))->BgL_funz00),
						BGl_getza2za2zzsaw_proceduresz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_ez00_2314)))->BgL_argsz00),
							BgL_rz00_2315));
				}
		}

	}



/* &get-app-ly1281 */
	obj_t BGl_z62getzd2appzd2ly1281z62zzsaw_proceduresz00(obj_t BgL_envz00_2316,
		obj_t BgL_ez00_2317, obj_t BgL_rz00_2318)
	{
		{	/* SawMill/procedures.scm 98 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_2317)))->BgL_funz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_ez00_2317)))->BgL_argz00),
					BgL_rz00_2318));
		}

	}



/* &get-app1279 */
	obj_t BGl_z62getzd2app1279zb0zzsaw_proceduresz00(obj_t BgL_envz00_2319,
		obj_t BgL_ez00_2320, obj_t BgL_rz00_2321)
	{
		{	/* SawMill/procedures.scm 84 */
			{	/* SawMill/procedures.scm 86 */
				obj_t BgL_rz00_2400;
				BgL_variablez00_bglt BgL_vz00_2401;

				BgL_rz00_2400 =
					BGl_getza2za2zzsaw_proceduresz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_ez00_2320)))->BgL_argsz00),
					BgL_rz00_2321);
				BgL_vz00_2401 =
					(((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
									COBJECT(((BgL_appz00_bglt) BgL_ez00_2320)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/procedures.scm 87 */
					bool_t BgL_test1918z00_2747;

					{	/* SawMill/procedures.scm 87 */
						obj_t BgL_classz00_2402;

						BgL_classz00_2402 = BGl_localz00zzast_varz00;
						{	/* SawMill/procedures.scm 87 */
							BgL_objectz00_bglt BgL_arg1825z00_2403;

							{	/* SawMill/procedures.scm 87 */
								obj_t BgL_tmpz00_2748;

								BgL_tmpz00_2748 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2401));
								BgL_arg1825z00_2403 = (BgL_objectz00_bglt) (BgL_tmpz00_2748);
							}
							{	/* SawMill/procedures.scm 87 */
								bool_t BgL_arg1822z00_2404;
								bool_t BgL_arg1823z00_2405;

								{	/* SawMill/procedures.scm 87 */
									long BgL_idxz00_2406;

									BgL_idxz00_2406 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2403);
									BgL_arg1822z00_2404 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2406 + ((long) 2))) == BgL_classz00_2402);
								}
								{	/* SawMill/procedures.scm 87 */
									bool_t BgL_res1832z00_2409;

									{	/* SawMill/procedures.scm 87 */
										obj_t BgL_oclassz00_2410;

										{	/* SawMill/procedures.scm 87 */
											long BgL_arg1833z00_2411;

											{	/* SawMill/procedures.scm 87 */
												long BgL_arg1834z00_2412;

												BgL_arg1834z00_2412 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2403);
												BgL_arg1833z00_2411 =
													(BgL_arg1834z00_2412 - OBJECT_TYPE);
											}
											BgL_oclassz00_2410 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2411);
										}
										{	/* SawMill/procedures.scm 87 */
											bool_t BgL__ortest_1110z00_2413;

											BgL__ortest_1110z00_2413 =
												(BgL_classz00_2402 == BgL_oclassz00_2410);
											if (BgL__ortest_1110z00_2413)
												{	/* SawMill/procedures.scm 87 */
													BgL_res1832z00_2409 = BgL__ortest_1110z00_2413;
												}
											else
												{	/* SawMill/procedures.scm 87 */
													long BgL_odepthz00_2414;

													BgL_odepthz00_2414 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2410);
													if ((((long) 2) < BgL_odepthz00_2414))
														{	/* SawMill/procedures.scm 87 */
															obj_t BgL_arg1821z00_2415;

															BgL_arg1821z00_2415 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2410,
																((long) 2));
															BgL_res1832z00_2409 =
																(BgL_arg1821z00_2415 == BgL_classz00_2402);
														}
													else
														{	/* SawMill/procedures.scm 87 */
															BgL_res1832z00_2409 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2405 = BgL_res1832z00_2409;
								}
								BgL_test1918z00_2747 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2404, BgL_arg1823z00_2405);
							}
						}
					}
					if (BgL_test1918z00_2747)
						{	/* SawMill/procedures.scm 87 */
							return BgL_rz00_2400;
						}
					else
						{	/* SawMill/procedures.scm 89 */
							obj_t BgL_idz00_2416;

							BgL_idz00_2416 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_2401))))->BgL_idz00);
							if ((BgL_idz00_2416 == CNST_TABLE_REF(((long) 2))))
								{	/* SawMill/procedures.scm 91 */
									BgL_variablez00_bglt BgL_gz00_2417;

									{
										BgL_varz00_bglt BgL_auxz00_2773;

										{	/* SawMill/procedures.scm 91 */
											obj_t BgL_pairz00_2418;

											BgL_pairz00_2418 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_ez00_2320)))->BgL_argsz00);
											BgL_auxz00_2773 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_2418));
										}
										BgL_gz00_2417 =
											(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2773))->
											BgL_variablez00);
									}
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) BgL_gz00_2417), BgL_rz00_2400)))
										{	/* SawMill/procedures.scm 92 */
											return BgL_rz00_2400;
										}
									else
										{	/* SawMill/procedures.scm 92 */
											return
												MAKE_YOUNG_PAIR(((obj_t) BgL_gz00_2417), BgL_rz00_2400);
										}
								}
							else
								{	/* SawMill/procedures.scm 90 */
									return BgL_rz00_2400;
								}
						}
				}
			}
		}

	}



/* &get-let-fun1277 */
	obj_t BGl_z62getzd2letzd2fun1277z62zzsaw_proceduresz00(obj_t BgL_envz00_2322,
		obj_t BgL_ez00_2323, obj_t BgL_rz00_2324)
	{
		{	/* SawMill/procedures.scm 78 */
			{	/* SawMill/procedures.scm 80 */
				obj_t BgL_arg1554z00_2420;
				obj_t BgL_arg1555z00_2421;

				{	/* SawMill/procedures.scm 80 */
					obj_t BgL_l1253z00_2422;

					BgL_l1253z00_2422 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_ez00_2323)))->BgL_localsz00);
					if (NULLP(BgL_l1253z00_2422))
						{	/* SawMill/procedures.scm 80 */
							BgL_arg1554z00_2420 = BNIL;
						}
					else
						{	/* SawMill/procedures.scm 80 */
							obj_t BgL_head1255z00_2423;

							BgL_head1255z00_2423 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1253z00_2425;
								obj_t BgL_tail1256z00_2426;

								BgL_l1253z00_2425 = BgL_l1253z00_2422;
								BgL_tail1256z00_2426 = BgL_head1255z00_2423;
							BgL_zc3z04anonymousza31557ze3z87_2424:
								if (NULLP(BgL_l1253z00_2425))
									{	/* SawMill/procedures.scm 80 */
										BgL_arg1554z00_2420 = CDR(BgL_head1255z00_2423);
									}
								else
									{	/* SawMill/procedures.scm 80 */
										obj_t BgL_newtail1257z00_2427;

										{	/* SawMill/procedures.scm 80 */
											obj_t BgL_arg1564z00_2428;

											BgL_arg1564z00_2428 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_l1253z00_2425))))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_newtail1257z00_2427 =
												MAKE_YOUNG_PAIR(BgL_arg1564z00_2428, BNIL);
										}
										SET_CDR(BgL_tail1256z00_2426, BgL_newtail1257z00_2427);
										{	/* SawMill/procedures.scm 80 */
											obj_t BgL_arg1563z00_2429;

											BgL_arg1563z00_2429 = CDR(((obj_t) BgL_l1253z00_2425));
											{
												obj_t BgL_tail1256z00_2805;
												obj_t BgL_l1253z00_2804;

												BgL_l1253z00_2804 = BgL_arg1563z00_2429;
												BgL_tail1256z00_2805 = BgL_newtail1257z00_2427;
												BgL_tail1256z00_2426 = BgL_tail1256z00_2805;
												BgL_l1253z00_2425 = BgL_l1253z00_2804;
												goto BgL_zc3z04anonymousza31557ze3z87_2424;
											}
										}
									}
							}
						}
				}
				BgL_arg1555z00_2421 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_ez00_2323)))->BgL_bodyz00),
					BgL_rz00_2324);
				return BGl_getza2za2zzsaw_proceduresz00(BgL_arg1554z00_2420,
					BgL_arg1555z00_2421);
			}
		}

	}



/* &get-switch1275 */
	obj_t BGl_z62getzd2switch1275zb0zzsaw_proceduresz00(obj_t BgL_envz00_2325,
		obj_t BgL_ez00_2326, obj_t BgL_rz00_2327)
	{
		{	/* SawMill/procedures.scm 73 */
			{	/* SawMill/procedures.scm 75 */
				BgL_nodez00_bglt BgL_arg1524z00_2431;
				obj_t BgL_arg1534z00_2432;

				BgL_arg1524z00_2431 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_ez00_2326)))->BgL_testz00);
				{	/* SawMill/procedures.scm 75 */
					obj_t BgL_arg1536z00_2433;

					{	/* SawMill/procedures.scm 75 */
						obj_t BgL_l1247z00_2434;

						BgL_l1247z00_2434 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_ez00_2326)))->BgL_clausesz00);
						if (NULLP(BgL_l1247z00_2434))
							{	/* SawMill/procedures.scm 75 */
								BgL_arg1536z00_2433 = BNIL;
							}
						else
							{	/* SawMill/procedures.scm 75 */
								obj_t BgL_head1249z00_2435;

								{	/* SawMill/procedures.scm 75 */
									obj_t BgL_arg1551z00_2436;

									{	/* SawMill/procedures.scm 75 */
										obj_t BgL_pairz00_2437;

										BgL_pairz00_2437 = CAR(((obj_t) BgL_l1247z00_2434));
										BgL_arg1551z00_2436 = CDR(BgL_pairz00_2437);
									}
									BgL_head1249z00_2435 =
										MAKE_YOUNG_PAIR(BgL_arg1551z00_2436, BNIL);
								}
								{	/* SawMill/procedures.scm 75 */
									obj_t BgL_g1252z00_2438;

									BgL_g1252z00_2438 = CDR(((obj_t) BgL_l1247z00_2434));
									{
										obj_t BgL_l1247z00_2440;
										obj_t BgL_tail1250z00_2441;

										BgL_l1247z00_2440 = BgL_g1252z00_2438;
										BgL_tail1250z00_2441 = BgL_head1249z00_2435;
									BgL_zc3z04anonymousza31538ze3z87_2439:
										if (NULLP(BgL_l1247z00_2440))
											{	/* SawMill/procedures.scm 75 */
												BgL_arg1536z00_2433 = BgL_head1249z00_2435;
											}
										else
											{	/* SawMill/procedures.scm 75 */
												obj_t BgL_newtail1251z00_2442;

												{	/* SawMill/procedures.scm 75 */
													obj_t BgL_arg1543z00_2443;

													{	/* SawMill/procedures.scm 75 */
														obj_t BgL_pairz00_2444;

														BgL_pairz00_2444 = CAR(((obj_t) BgL_l1247z00_2440));
														BgL_arg1543z00_2443 = CDR(BgL_pairz00_2444);
													}
													BgL_newtail1251z00_2442 =
														MAKE_YOUNG_PAIR(BgL_arg1543z00_2443, BNIL);
												}
												SET_CDR(BgL_tail1250z00_2441, BgL_newtail1251z00_2442);
												{	/* SawMill/procedures.scm 75 */
													obj_t BgL_arg1542z00_2445;

													BgL_arg1542z00_2445 =
														CDR(((obj_t) BgL_l1247z00_2440));
													{
														obj_t BgL_tail1250z00_2832;
														obj_t BgL_l1247z00_2831;

														BgL_l1247z00_2831 = BgL_arg1542z00_2445;
														BgL_tail1250z00_2832 = BgL_newtail1251z00_2442;
														BgL_tail1250z00_2441 = BgL_tail1250z00_2832;
														BgL_l1247z00_2440 = BgL_l1247z00_2831;
														goto BgL_zc3z04anonymousza31538ze3z87_2439;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1534z00_2432 =
						BGl_getza2za2zzsaw_proceduresz00(BgL_arg1536z00_2433,
						BgL_rz00_2327);
				}
				return
					BGl_getz00zzsaw_proceduresz00(BgL_arg1524z00_2431,
					BgL_arg1534z00_2432);
			}
		}

	}



/* &get-conditional1273 */
	obj_t BGl_z62getzd2conditional1273zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2328, obj_t BgL_ez00_2329, obj_t BgL_rz00_2330)
	{
		{	/* SawMill/procedures.scm 68 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_2329)))->BgL_testz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_ez00_2329)))->BgL_truez00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_2329)))->BgL_falsez00),
						BgL_rz00_2330)));
		}

	}



/* &get-sync1271 */
	obj_t BGl_z62getzd2sync1271zb0zzsaw_proceduresz00(obj_t BgL_envz00_2331,
		obj_t BgL_ez00_2332, obj_t BgL_rz00_2333)
	{
		{	/* SawMill/procedures.scm 63 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_ez00_2332)))->BgL_prelockz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_ez00_2332)))->BgL_mutexz00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_ez00_2332)))->BgL_bodyz00),
						BgL_rz00_2333)));
		}

	}



/* &get-sequence1269 */
	obj_t BGl_z62getzd2sequence1269zb0zzsaw_proceduresz00(obj_t BgL_envz00_2334,
		obj_t BgL_ez00_2335, obj_t BgL_rz00_2336)
	{
		{	/* SawMill/procedures.scm 58 */
			return
				BGl_getza2za2zzsaw_proceduresz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_ez00_2335)))->BgL_nodesz00),
				BgL_rz00_2336);
		}

	}



/* &get-setq1267 */
	obj_t BGl_z62getzd2setq1267zb0zzsaw_proceduresz00(obj_t BgL_envz00_2337,
		obj_t BgL_ez00_2338, obj_t BgL_rz00_2339)
	{
		{	/* SawMill/procedures.scm 53 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_2338)))->BgL_valuez00),
				BgL_rz00_2339);
		}

	}



/* &get-let-var1265 */
	obj_t BGl_z62getzd2letzd2var1265z62zzsaw_proceduresz00(obj_t BgL_envz00_2340,
		obj_t BgL_ez00_2341, obj_t BgL_rz00_2342)
	{
		{	/* SawMill/procedures.scm 48 */
			{	/* SawMill/procedures.scm 50 */
				BgL_nodez00_bglt BgL_arg1382z00_2451;
				obj_t BgL_arg1383z00_2452;

				BgL_arg1382z00_2451 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_ez00_2341)))->BgL_bodyz00);
				{	/* SawMill/procedures.scm 50 */
					obj_t BgL_arg1385z00_2453;

					{	/* SawMill/procedures.scm 50 */
						obj_t BgL_l1241z00_2454;

						BgL_l1241z00_2454 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_2341)))->BgL_bindingsz00);
						if (NULLP(BgL_l1241z00_2454))
							{	/* SawMill/procedures.scm 50 */
								BgL_arg1385z00_2453 = BNIL;
							}
						else
							{	/* SawMill/procedures.scm 50 */
								obj_t BgL_head1243z00_2455;

								{	/* SawMill/procedures.scm 50 */
									obj_t BgL_arg1416z00_2456;

									{	/* SawMill/procedures.scm 50 */
										obj_t BgL_pairz00_2457;

										BgL_pairz00_2457 = CAR(((obj_t) BgL_l1241z00_2454));
										BgL_arg1416z00_2456 = CDR(BgL_pairz00_2457);
									}
									BgL_head1243z00_2455 =
										MAKE_YOUNG_PAIR(BgL_arg1416z00_2456, BNIL);
								}
								{	/* SawMill/procedures.scm 50 */
									obj_t BgL_g1246z00_2458;

									BgL_g1246z00_2458 = CDR(((obj_t) BgL_l1241z00_2454));
									{
										obj_t BgL_l1241z00_2460;
										obj_t BgL_tail1244z00_2461;

										BgL_l1241z00_2460 = BgL_g1246z00_2458;
										BgL_tail1244z00_2461 = BgL_head1243z00_2455;
									BgL_zc3z04anonymousza31389ze3z87_2459:
										if (NULLP(BgL_l1241z00_2460))
											{	/* SawMill/procedures.scm 50 */
												BgL_arg1385z00_2453 = BgL_head1243z00_2455;
											}
										else
											{	/* SawMill/procedures.scm 50 */
												obj_t BgL_newtail1245z00_2462;

												{	/* SawMill/procedures.scm 50 */
													obj_t BgL_arg1401z00_2463;

													{	/* SawMill/procedures.scm 50 */
														obj_t BgL_pairz00_2464;

														BgL_pairz00_2464 = CAR(((obj_t) BgL_l1241z00_2460));
														BgL_arg1401z00_2463 = CDR(BgL_pairz00_2464);
													}
													BgL_newtail1245z00_2462 =
														MAKE_YOUNG_PAIR(BgL_arg1401z00_2463, BNIL);
												}
												SET_CDR(BgL_tail1244z00_2461, BgL_newtail1245z00_2462);
												{	/* SawMill/procedures.scm 50 */
													obj_t BgL_arg1400z00_2465;

													BgL_arg1400z00_2465 =
														CDR(((obj_t) BgL_l1241z00_2460));
													{
														obj_t BgL_tail1244z00_2881;
														obj_t BgL_l1241z00_2880;

														BgL_l1241z00_2880 = BgL_arg1400z00_2465;
														BgL_tail1244z00_2881 = BgL_newtail1245z00_2462;
														BgL_tail1244z00_2461 = BgL_tail1244z00_2881;
														BgL_l1241z00_2460 = BgL_l1241z00_2880;
														goto BgL_zc3z04anonymousza31389ze3z87_2459;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1383z00_2452 =
						BGl_getza2za2zzsaw_proceduresz00(BgL_arg1385z00_2453,
						BgL_rz00_2342);
				}
				return
					BGl_getz00zzsaw_proceduresz00(BgL_arg1382z00_2451,
					BgL_arg1383z00_2452);
			}
		}

	}



/* &get-var1263 */
	obj_t BGl_z62getzd2var1263zb0zzsaw_proceduresz00(obj_t BgL_envz00_2343,
		obj_t BgL_ez00_2344, obj_t BgL_rz00_2345)
	{
		{	/* SawMill/procedures.scm 39 */
			{	/* SawMill/procedures.scm 41 */
				bool_t BgL_test1929z00_2884;

				{	/* SawMill/procedures.scm 41 */
					bool_t BgL_test1930z00_2885;

					{	/* SawMill/procedures.scm 41 */
						BgL_variablez00_bglt BgL_arg1381z00_2467;

						BgL_arg1381z00_2467 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_ez00_2344)))->BgL_variablez00);
						{	/* SawMill/procedures.scm 41 */
							obj_t BgL_classz00_2468;

							BgL_classz00_2468 = BGl_globalz00zzast_varz00;
							{	/* SawMill/procedures.scm 41 */
								BgL_objectz00_bglt BgL_arg1825z00_2469;

								{	/* SawMill/procedures.scm 41 */
									obj_t BgL_tmpz00_2888;

									BgL_tmpz00_2888 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1381z00_2467));
									BgL_arg1825z00_2469 = (BgL_objectz00_bglt) (BgL_tmpz00_2888);
								}
								{	/* SawMill/procedures.scm 41 */
									bool_t BgL_arg1822z00_2470;
									bool_t BgL_arg1823z00_2471;

									{	/* SawMill/procedures.scm 41 */
										long BgL_idxz00_2472;

										BgL_idxz00_2472 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2469);
										BgL_arg1822z00_2470 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2472 + ((long) 2))) == BgL_classz00_2468);
									}
									{	/* SawMill/procedures.scm 41 */
										bool_t BgL_res1830z00_2475;

										{	/* SawMill/procedures.scm 41 */
											obj_t BgL_oclassz00_2476;

											{	/* SawMill/procedures.scm 41 */
												long BgL_arg1833z00_2477;

												{	/* SawMill/procedures.scm 41 */
													long BgL_arg1834z00_2478;

													BgL_arg1834z00_2478 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2469);
													BgL_arg1833z00_2477 =
														(BgL_arg1834z00_2478 - OBJECT_TYPE);
												}
												BgL_oclassz00_2476 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2477);
											}
											{	/* SawMill/procedures.scm 41 */
												bool_t BgL__ortest_1110z00_2479;

												BgL__ortest_1110z00_2479 =
													(BgL_classz00_2468 == BgL_oclassz00_2476);
												if (BgL__ortest_1110z00_2479)
													{	/* SawMill/procedures.scm 41 */
														BgL_res1830z00_2475 = BgL__ortest_1110z00_2479;
													}
												else
													{	/* SawMill/procedures.scm 41 */
														long BgL_odepthz00_2480;

														BgL_odepthz00_2480 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2476);
														if ((((long) 2) < BgL_odepthz00_2480))
															{	/* SawMill/procedures.scm 41 */
																obj_t BgL_arg1821z00_2481;

																BgL_arg1821z00_2481 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2476,
																	((long) 2));
																BgL_res1830z00_2475 =
																	(BgL_arg1821z00_2481 == BgL_classz00_2468);
															}
														else
															{	/* SawMill/procedures.scm 41 */
																BgL_res1830z00_2475 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2471 = BgL_res1830z00_2475;
									}
									BgL_test1930z00_2885 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2470, BgL_arg1823z00_2471);
								}
							}
						}
					}
					if (BgL_test1930z00_2885)
						{	/* SawMill/procedures.scm 42 */
							bool_t BgL_test1933z00_2907;

							{	/* SawMill/procedures.scm 42 */
								BgL_valuez00_bglt BgL_arg1371z00_2482;

								BgL_arg1371z00_2482 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_2344)))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* SawMill/procedures.scm 42 */
									obj_t BgL_classz00_2483;

									BgL_classz00_2483 = BGl_sfunz00zzast_varz00;
									{	/* SawMill/procedures.scm 42 */
										BgL_objectz00_bglt BgL_arg1825z00_2484;

										{	/* SawMill/procedures.scm 42 */
											obj_t BgL_tmpz00_2911;

											BgL_tmpz00_2911 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1371z00_2482));
											BgL_arg1825z00_2484 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2911);
										}
										{	/* SawMill/procedures.scm 42 */
											bool_t BgL_arg1822z00_2485;
											bool_t BgL_arg1823z00_2486;

											{	/* SawMill/procedures.scm 42 */
												long BgL_idxz00_2487;

												BgL_idxz00_2487 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2484);
												BgL_arg1822z00_2485 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2487 + ((long) 3))) ==
													BgL_classz00_2483);
											}
											{	/* SawMill/procedures.scm 42 */
												bool_t BgL_res1831z00_2490;

												{	/* SawMill/procedures.scm 42 */
													obj_t BgL_oclassz00_2491;

													{	/* SawMill/procedures.scm 42 */
														long BgL_arg1833z00_2492;

														{	/* SawMill/procedures.scm 42 */
															long BgL_arg1834z00_2493;

															BgL_arg1834z00_2493 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2484);
															BgL_arg1833z00_2492 =
																(BgL_arg1834z00_2493 - OBJECT_TYPE);
														}
														BgL_oclassz00_2491 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2492);
													}
													{	/* SawMill/procedures.scm 42 */
														bool_t BgL__ortest_1110z00_2494;

														BgL__ortest_1110z00_2494 =
															(BgL_classz00_2483 == BgL_oclassz00_2491);
														if (BgL__ortest_1110z00_2494)
															{	/* SawMill/procedures.scm 42 */
																BgL_res1831z00_2490 = BgL__ortest_1110z00_2494;
															}
														else
															{	/* SawMill/procedures.scm 42 */
																long BgL_odepthz00_2495;

																BgL_odepthz00_2495 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2491);
																if ((((long) 3) < BgL_odepthz00_2495))
																	{	/* SawMill/procedures.scm 42 */
																		obj_t BgL_arg1821z00_2496;

																		BgL_arg1821z00_2496 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2491, ((long) 3));
																		BgL_res1831z00_2490 =
																			(BgL_arg1821z00_2496 ==
																			BgL_classz00_2483);
																	}
																else
																	{	/* SawMill/procedures.scm 42 */
																		BgL_res1831z00_2490 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2486 = BgL_res1831z00_2490;
											}
											BgL_test1933z00_2907 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2485,
												BgL_arg1823z00_2486);
										}
									}
								}
							}
							if (BgL_test1933z00_2907)
								{	/* SawMill/procedures.scm 42 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_ez00_2344)))->
														BgL_variablez00)), BgL_rz00_2345)))
										{	/* SawMill/procedures.scm 43 */
											BgL_test1929z00_2884 = ((bool_t) 0);
										}
									else
										{	/* SawMill/procedures.scm 43 */
											BgL_test1929z00_2884 = ((bool_t) 1);
										}
								}
							else
								{	/* SawMill/procedures.scm 42 */
									BgL_test1929z00_2884 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/procedures.scm 41 */
							BgL_test1929z00_2884 = ((bool_t) 0);
						}
				}
				if (BgL_test1929z00_2884)
					{	/* SawMill/procedures.scm 44 */
						BgL_variablez00_bglt BgL_arg1369z00_2497;

						BgL_arg1369z00_2497 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_ez00_2344)))->BgL_variablez00);
						return
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1369z00_2497), BgL_rz00_2345);
					}
				else
					{	/* SawMill/procedures.scm 41 */
						return BgL_rz00_2345;
					}
			}
		}

	}



/* &get-atom1261 */
	obj_t BGl_z62getzd2atom1261zb0zzsaw_proceduresz00(obj_t BgL_envz00_2346,
		obj_t BgL_ez00_2347, obj_t BgL_rz00_2348)
	{
		{	/* SawMill/procedures.scm 35 */
			return BgL_rz00_2348;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00()
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_proceduresz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_elsewherez00(((long) 10713639),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_proceduresz00));
		}

	}

#ifdef __cplusplus
}
#endif
