/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1296z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sequence1288z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1302z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3zd2var1284z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2atom1282z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2fun1312z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1286z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2app1292z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1298z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62failsafezf3zd2cast1304z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2makezd2box1316z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121320z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2setq1306z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1314z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2conditiona1308z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf31293z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1318z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2extern1300z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1290z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2switch1310z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62failsafezf31279z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791789za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1790z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1761z00zzsync_failsafez00,
		BgL_bgl_string1761za700za7za7s1791za7, "failsafe?1279", 13);
	      DEFINE_STRING(BGl_string1763z00zzsync_failsafez00,
		BgL_bgl_string1763za700za7za7s1792za7, "failsafe-fun?1293", 17);
	      DEFINE_STRING(BGl_string1765z00zzsync_failsafez00,
		BgL_bgl_string1765za700za7za7s1793za7, "failsafe?", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121794z00,
		BGl_z62failsafezf31279z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1795z00,
		BGl_z62failsafezd2funzf31293z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1796za7,
		BGl_z62failsafezf3zd2atom1282z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1772z00zzsync_failsafez00,
		BgL_bgl_string1772za700za7za7s1797za7, "failsafe-fun?", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1798za7,
		BGl_z62failsafezf3zd2var1284z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1799za7,
		BGl_z62failsafezf3zd2kwote1286z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1800za7,
		BGl_z62failsafezf3zd2sequence1288z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1801za7,
		BGl_z62failsafezf3zd2sync1290z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1802z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1803za7,
		BGl_z62failsafezf3zd2app1292z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1804z00,
		BGl_z62failsafezd2funzf3zd2sfun1296z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1805z00,
		BGl_z62failsafezd2funzf3zd2cfun1298z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1806za7,
		BGl_z62failsafezf3zd2extern1300z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1807za7,
		BGl_z62failsafezf3zd2pragma1302z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1808za7,
		BGl_z62failsafezf3zd2cast1304z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1809za7,
		BGl_z62failsafezf3zd2setq1306z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1810za7,
		BGl_z62failsafezf3zd2conditiona1308z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1785z00zzsync_failsafez00,
		BgL_bgl_string1785za700za7za7s1811za7, "sync_failsafe", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1812za7,
		BGl_z62failsafezf3zd2switch1310z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1786z00zzsync_failsafez00,
		BgL_bgl_string1786za700za7za7s1813za7, "fail-safe ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1814za7,
		BGl_z62failsafezf3zd2letzd2fun1312z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1815za7,
		BGl_z62failsafezf3zd2letzd2var1314z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1816za7,
		BGl_z62failsafezf3zd2makezd2box1316z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1817za7,
		BGl_z62failsafezf3zd2boxzd2ref1318z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1818za7,
		BGl_z62failsafezf3zd2boxzd2setz121320z83zzsync_failsafez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2496, char *BgL_fromz00_2497)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2387;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_stringz00_2395;

					BgL_stringz00_2395 = BGl_string1786z00zzsync_failsafez00;
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_startz00_2396;

						BgL_startz00_2396 = BINT(((long) 0));
						{	/* Sync/failsafe.scm 16 */
							obj_t BgL_endz00_2397;

							BgL_endz00_2397 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2395)));
							{	/* Sync/failsafe.scm 16 */

								BgL_cportz00_2387 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2395, BgL_startz00_2396, BgL_endz00_2397);
				}}}}
				{
					long BgL_iz00_2388;

					BgL_iz00_2388 = ((long) 0);
				BgL_loopz00_2389:
					if ((BgL_iz00_2388 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1788z00_2391;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2393;

										BgL_locationz00_2393 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1788z00_2391 =
												BGl_readz00zz__readerz00(BgL_cportz00_2387,
												BgL_locationz00_2393);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2528;

									BgL_tmpz00_2528 = (int) (BgL_iz00_2388);
									CNST_TABLE_SET(BgL_tmpz00_2528, BgL_arg1788z00_2391);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2394;

								BgL_auxz00_2394 = (int) ((BgL_iz00_2388 - ((long) 1)));
								{
									long BgL_iz00_2533;

									BgL_iz00_2533 = (long) (BgL_auxz00_2394);
									BgL_iz00_2388 = BgL_iz00_2533;
									goto BgL_loopz00_2389;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) COBJECT(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}

	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2290,
		obj_t BgL_nz00_2291)
	{
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2291));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1760z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1761z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1762z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1763z00zzsync_failsafez00);
		}

	}



/* &failsafe-fun?1293 */
	obj_t BGl_z62failsafezd2funzf31293z43zzsync_failsafez00(obj_t BgL_envz00_2294,
		obj_t BgL_funz00_2295, obj_t BgL_varz00_2296, obj_t BgL_stkz00_2297)
	{
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?1279 */
	obj_t BGl_z62failsafezf31279z91zzsync_failsafez00(obj_t BgL_envz00_2298,
		obj_t BgL_nz00_2299, obj_t BgL_stkz00_2300)
	{
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1280z00_1704;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1751z00_2136;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2107;

						BgL_objzd2classzd2numz00_2107 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1829z00_2108;

							BgL_arg1829z00_2108 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2111;

								BgL_offsetz00_2111 = (int) (BgL_objzd2classzd2numz00_2107);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2112;

									BgL_offsetz00_2112 =
										((long) (BgL_offsetz00_2111) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2113;

										BgL_modz00_2113 =
											(BgL_offsetz00_2112 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2115;

											BgL_restz00_2115 =
												(BgL_offsetz00_2112 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Sync/failsafe.scm 53 */

												{	/* Sync/failsafe.scm 53 */
													obj_t BgL_bucketz00_2117;

													BgL_bucketz00_2117 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2108), BgL_modz00_2113);
													BgL_res1751z00_2136 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2117), BgL_restz00_2115);
					}}}}}}}}
					BgL_method1280z00_1704 = BgL_res1751z00_2136;
				}
				return
					PROCEDURE_ENTRY(BgL_method1280z00_1704) (BgL_method1280z00_1704,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}

	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2301,
		obj_t BgL_nz00_2302, obj_t BgL_stkz00_2303)
	{
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2302), BgL_stkz00_2303);
		}

	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1294z00_1705;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1756z00_2167;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2138;

						BgL_objzd2classzd2numz00_2138 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1829z00_2139;

							BgL_arg1829z00_2139 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2142;

								BgL_offsetz00_2142 = (int) (BgL_objzd2classzd2numz00_2138);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2143;

									BgL_offsetz00_2143 =
										((long) (BgL_offsetz00_2142) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2144;

										BgL_modz00_2144 =
											(BgL_offsetz00_2143 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2146;

											BgL_restz00_2146 =
												(BgL_offsetz00_2143 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Sync/failsafe.scm 102 */

												{	/* Sync/failsafe.scm 102 */
													obj_t BgL_bucketz00_2148;

													BgL_bucketz00_2148 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2139), BgL_modz00_2144);
													BgL_res1756z00_2167 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2148), BgL_restz00_2146);
					}}}}}}}}
					BgL_method1294z00_1705 = BgL_res1756z00_2167;
				}
				return
					PROCEDURE_ENTRY(BgL_method1294z00_1705) (BgL_method1294z00_1705,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}

	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2304,
		obj_t BgL_funz00_2305, obj_t BgL_varz00_2306, obj_t BgL_stkz00_2307)
	{
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2305),
				((BgL_variablez00_bglt) BgL_varz00_2306), BgL_stkz00_2307);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1764z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1766z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1767z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1768z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1769z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1770z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1771z00zzsync_failsafez00,
				BGl_string1772z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1773z00zzsync_failsafez00,
				BGl_string1772z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1774z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1775z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1776z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1777z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1778z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_switchz00zzast_nodez00,
				BGl_proc1779z00zzsync_failsafez00, BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1780z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1781z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1782z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1783z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1784z00zzsync_failsafez00,
				BGl_string1765z00zzsync_failsafez00);
		}

	}



/* &failsafe?-box-set!1320 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121320z83zzsync_failsafez00(obj_t
		BgL_envz00_2327, obj_t BgL_nz00_2328, obj_t BgL_stkz00_2329)
	{
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2328)))->BgL_valuez00),
				BgL_stkz00_2329);
		}

	}



/* &failsafe?-box-ref1318 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1318z91zzsync_failsafez00(obj_t
		BgL_envz00_2330, obj_t BgL_nz00_2331, obj_t BgL_stkz00_2332)
	{
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-make-box1316 */
	obj_t BGl_z62failsafezf3zd2makezd2box1316z91zzsync_failsafez00(obj_t
		BgL_envz00_2333, obj_t BgL_nz00_2334, obj_t BgL_stkz00_2335)
	{
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2334)))->BgL_valuez00),
				BgL_stkz00_2335);
		}

	}



/* &failsafe?-let-var1314 */
	obj_t BGl_z62failsafezf3zd2letzd2var1314z91zzsync_failsafez00(obj_t
		BgL_envz00_2336, obj_t BgL_nz00_2337, obj_t BgL_stkz00_2338)
	{
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2641;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_test1822z00_2642;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1567z00_2407;

						BgL_arg1567z00_2407 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2337)))->BgL_bodyz00);
						BgL_test1822z00_2642 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1567z00_2407,
								BgL_stkz00_2338));
					}
					if (BgL_test1822z00_2642)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1277z00_2408;

							BgL_g1277z00_2408 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2337)))->BgL_bindingsz00);
							{
								obj_t BgL_l1275z00_2410;

								BgL_l1275z00_2410 = BgL_g1277z00_2408;
							BgL_zc3z04anonymousza31557ze3z87_2409:
								if (NULLP(BgL_l1275z00_2410))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2641 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2411;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2412;

											BgL_bz00_2412 = CAR(((obj_t) BgL_l1275z00_2410));
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1564z00_2413;

												BgL_arg1564z00_2413 = CDR(((obj_t) BgL_bz00_2412));
												BgL_nvz00_2411 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1564z00_2413),
													BgL_stkz00_2338);
											}
										}
										if (CBOOL(BgL_nvz00_2411))
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1563z00_2414;

												BgL_arg1563z00_2414 = CDR(((obj_t) BgL_l1275z00_2410));
												{
													obj_t BgL_l1275z00_2661;

													BgL_l1275z00_2661 = BgL_arg1563z00_2414;
													BgL_l1275z00_2410 = BgL_l1275z00_2661;
													goto BgL_zc3z04anonymousza31557ze3z87_2409;
												}
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2641 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2641 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2641);
			}
		}

	}



/* &failsafe?-let-fun1312 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1312z91zzsync_failsafez00(obj_t
		BgL_envz00_2339, obj_t BgL_nz00_2340, obj_t BgL_stkz00_2341)
	{
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2340)))->BgL_bodyz00),
				BgL_stkz00_2341);
		}

	}



/* &failsafe?-switch1310 */
	obj_t BGl_z62failsafezf3zd2switch1310z43zzsync_failsafez00(obj_t
		BgL_envz00_2342, obj_t BgL_nz00_2343, obj_t BgL_stkz00_2344)
	{
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2666;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_test1827z00_2667;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1552z00_2417;

						BgL_arg1552z00_2417 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_2343)))->BgL_testz00);
						BgL_test1827z00_2667 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1552z00_2417,
								BgL_stkz00_2344));
					}
					if (BgL_test1827z00_2667)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1273z00_2418;

							BgL_g1273z00_2418 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_2343)))->BgL_clausesz00);
							{
								obj_t BgL_l1271z00_2420;

								BgL_l1271z00_2420 = BgL_g1273z00_2418;
							BgL_zc3z04anonymousza31544ze3z87_2419:
								if (NULLP(BgL_l1271z00_2420))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2666 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2421;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2422;

											BgL_cz00_2422 = CAR(((obj_t) BgL_l1271z00_2420));
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1551z00_2423;

												BgL_arg1551z00_2423 = CDR(((obj_t) BgL_cz00_2422));
												BgL_nvz00_2421 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1551z00_2423),
													BgL_stkz00_2344);
											}
										}
										if (CBOOL(BgL_nvz00_2421))
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1548z00_2424;

												BgL_arg1548z00_2424 = CDR(((obj_t) BgL_l1271z00_2420));
												{
													obj_t BgL_l1271z00_2686;

													BgL_l1271z00_2686 = BgL_arg1548z00_2424;
													BgL_l1271z00_2420 = BgL_l1271z00_2686;
													goto BgL_zc3z04anonymousza31544ze3z87_2419;
												}
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2666 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2666 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2666);
			}
		}

	}



/* &failsafe?-conditiona1308 */
	obj_t BGl_z62failsafezf3zd2conditiona1308z43zzsync_failsafez00(obj_t
		BgL_envz00_2345, obj_t BgL_nz00_2346, obj_t BgL_stkz00_2347)
	{
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1125z00_2426;

				BgL__andtest_1125z00_2426 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_2346)))->BgL_testz00),
					BgL_stkz00_2347);
				if (CBOOL(BgL__andtest_1125z00_2426))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1126z00_2427;

						BgL__andtest_1126z00_2427 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_2346)))->BgL_truez00),
							BgL_stkz00_2347);
						if (CBOOL(BgL__andtest_1126z00_2427))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_2346)))->
										BgL_falsez00), BgL_stkz00_2347);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-setq1306 */
	obj_t BGl_z62failsafezf3zd2setq1306z43zzsync_failsafez00(obj_t
		BgL_envz00_2348, obj_t BgL_nz00_2349, obj_t BgL_stkz00_2350)
	{
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_2349)))->BgL_valuez00),
				BgL_stkz00_2350);
		}

	}



/* &failsafe?-cast1304 */
	obj_t BGl_z62failsafezf3zd2cast1304z43zzsync_failsafez00(obj_t
		BgL_envz00_2351, obj_t BgL_nz00_2352, obj_t BgL_stkz00_2353)
	{
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_2352)))->BgL_argz00),
				BgL_stkz00_2353);
		}

	}



/* &failsafe?-pragma1302 */
	obj_t BGl_z62failsafezf3zd2pragma1302z43zzsync_failsafez00(obj_t
		BgL_envz00_2354, obj_t BgL_nz00_2355, obj_t BgL_stkz00_2356)
	{
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?-extern1300 */
	obj_t BGl_z62failsafezf3zd2extern1300z43zzsync_failsafez00(obj_t
		BgL_envz00_2357, obj_t BgL_nz00_2358, obj_t BgL_stkz00_2359)
	{
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2708;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1269z00_2432;

					BgL_g1269z00_2432 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nz00_2358)))->BgL_exprza2za2);
					{
						obj_t BgL_l1267z00_2434;

						BgL_l1267z00_2434 = BgL_g1269z00_2432;
					BgL_zc3z04anonymousza31495ze3z87_2433:
						if (NULLP(BgL_l1267z00_2434))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2708 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2435;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2436;

									BgL_nz00_2436 = CAR(((obj_t) BgL_l1267z00_2434));
									BgL_nvz00_2435 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2436), BgL_stkz00_2359);
								}
								if (CBOOL(BgL_nvz00_2435))
									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_arg1497z00_2437;

										BgL_arg1497z00_2437 = CDR(((obj_t) BgL_l1267z00_2434));
										{
											obj_t BgL_l1267z00_2721;

											BgL_l1267z00_2721 = BgL_arg1497z00_2437;
											BgL_l1267z00_2434 = BgL_l1267z00_2721;
											goto BgL_zc3z04anonymousza31495ze3z87_2433;
										}
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2708 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2708);
			}
		}

	}



/* &failsafe-fun?-cfun1298 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1298z91zzsync_failsafez00(obj_t
		BgL_envz00_2360, obj_t BgL_funz00_2361, obj_t BgL_varz00_2362,
		obj_t BgL_stkz00_2363)
	{
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_test1834z00_2723;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2724;

					BgL_tmpz00_2724 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2361))))->BgL_failsafez00);
					BgL_test1834z00_2723 = BOOLEANP(BgL_tmpz00_2724);
				}
				if (BgL_test1834z00_2723)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2361))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_test1835z00_2732;

						{	/* Sync/failsafe.scm 135 */
							obj_t BgL_classz00_2440;

							BgL_classz00_2440 = BGl_globalz00zzast_varz00;
							{	/* Sync/failsafe.scm 135 */
								BgL_objectz00_bglt BgL_arg1825z00_2441;

								{	/* Sync/failsafe.scm 135 */
									obj_t BgL_tmpz00_2733;

									BgL_tmpz00_2733 =
										((obj_t) ((BgL_variablez00_bglt) BgL_varz00_2362));
									BgL_arg1825z00_2441 = (BgL_objectz00_bglt) (BgL_tmpz00_2733);
								}
								{	/* Sync/failsafe.scm 135 */
									bool_t BgL_arg1822z00_2442;
									bool_t BgL_arg1823z00_2443;

									{	/* Sync/failsafe.scm 135 */
										long BgL_idxz00_2444;

										BgL_idxz00_2444 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2441);
										BgL_arg1822z00_2442 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2444 + ((long) 2))) == BgL_classz00_2440);
									}
									{	/* Sync/failsafe.scm 135 */
										bool_t BgL_res1758z00_2447;

										{	/* Sync/failsafe.scm 135 */
											obj_t BgL_oclassz00_2448;

											{	/* Sync/failsafe.scm 135 */
												long BgL_arg1833z00_2449;

												{	/* Sync/failsafe.scm 135 */
													long BgL_arg1834z00_2450;

													BgL_arg1834z00_2450 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2441);
													BgL_arg1833z00_2449 =
														(BgL_arg1834z00_2450 - OBJECT_TYPE);
												}
												BgL_oclassz00_2448 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2449);
											}
											{	/* Sync/failsafe.scm 135 */
												bool_t BgL__ortest_1110z00_2451;

												BgL__ortest_1110z00_2451 =
													(BgL_classz00_2440 == BgL_oclassz00_2448);
												if (BgL__ortest_1110z00_2451)
													{	/* Sync/failsafe.scm 135 */
														BgL_res1758z00_2447 = BgL__ortest_1110z00_2451;
													}
												else
													{	/* Sync/failsafe.scm 135 */
														long BgL_odepthz00_2452;

														BgL_odepthz00_2452 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2448);
														if ((((long) 2) < BgL_odepthz00_2452))
															{	/* Sync/failsafe.scm 135 */
																obj_t BgL_arg1821z00_2453;

																BgL_arg1821z00_2453 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2448,
																	((long) 2));
																BgL_res1758z00_2447 =
																	(BgL_arg1821z00_2453 == BgL_classz00_2440);
															}
														else
															{	/* Sync/failsafe.scm 135 */
																BgL_res1758z00_2447 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2443 = BgL_res1758z00_2447;
									}
									BgL_test1835z00_2732 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2442, BgL_arg1823z00_2443);
								}
							}
						}
						if (BgL_test1835z00_2732)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2752;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2755;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2756;

											BgL_tmpz00_2756 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
													((long) 0)),
												(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (
																	(BgL_variablez00_bglt) BgL_varz00_2362))))->
													BgL_pragmaz00));
											BgL_tmpz00_2755 = PAIRP(BgL_tmpz00_2756);
										}
										BgL_auxz00_2752 = BBOOL(BgL_tmpz00_2755);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2361))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2752), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2361))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &failsafe-fun?-sfun1296 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1296z91zzsync_failsafez00(obj_t
		BgL_envz00_2364, obj_t BgL_funz00_2365, obj_t BgL_varz00_2366,
		obj_t BgL_stkz00_2367)
	{
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2366)), BgL_stkz00_2367)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_test1841z00_2773;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2774;

						BgL_tmpz00_2774 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2365))))->BgL_failsafez00);
						BgL_test1841z00_2773 = BOOLEANP(BgL_tmpz00_2774);
					}
					if (BgL_test1841z00_2773)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2365))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_test1843z00_2782;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_test1844z00_2783;

								{	/* Sync/failsafe.scm 115 */
									obj_t BgL_classz00_2456;

									BgL_classz00_2456 = BGl_globalz00zzast_varz00;
									{	/* Sync/failsafe.scm 115 */
										BgL_objectz00_bglt BgL_arg1825z00_2457;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_tmpz00_2784;

											BgL_tmpz00_2784 =
												((obj_t) ((BgL_variablez00_bglt) BgL_varz00_2366));
											BgL_arg1825z00_2457 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2784);
										}
										{	/* Sync/failsafe.scm 115 */
											bool_t BgL_arg1822z00_2458;
											bool_t BgL_arg1823z00_2459;

											{	/* Sync/failsafe.scm 115 */
												long BgL_idxz00_2460;

												BgL_idxz00_2460 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2457);
												BgL_arg1822z00_2458 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2460 + ((long) 2))) ==
													BgL_classz00_2456);
											}
											{	/* Sync/failsafe.scm 115 */
												bool_t BgL_res1757z00_2463;

												{	/* Sync/failsafe.scm 115 */
													obj_t BgL_oclassz00_2464;

													{	/* Sync/failsafe.scm 115 */
														long BgL_arg1833z00_2465;

														{	/* Sync/failsafe.scm 115 */
															long BgL_arg1834z00_2466;

															BgL_arg1834z00_2466 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2457);
															BgL_arg1833z00_2465 =
																(BgL_arg1834z00_2466 - OBJECT_TYPE);
														}
														BgL_oclassz00_2464 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2465);
													}
													{	/* Sync/failsafe.scm 115 */
														bool_t BgL__ortest_1110z00_2467;

														BgL__ortest_1110z00_2467 =
															(BgL_classz00_2456 == BgL_oclassz00_2464);
														if (BgL__ortest_1110z00_2467)
															{	/* Sync/failsafe.scm 115 */
																BgL_res1757z00_2463 = BgL__ortest_1110z00_2467;
															}
														else
															{	/* Sync/failsafe.scm 115 */
																long BgL_odepthz00_2468;

																BgL_odepthz00_2468 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2464);
																if ((((long) 2) < BgL_odepthz00_2468))
																	{	/* Sync/failsafe.scm 115 */
																		obj_t BgL_arg1821z00_2469;

																		BgL_arg1821z00_2469 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2464, ((long) 2));
																		BgL_res1757z00_2463 =
																			(BgL_arg1821z00_2469 ==
																			BgL_classz00_2456);
																	}
																else
																	{	/* Sync/failsafe.scm 115 */
																		BgL_res1757z00_2463 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2459 = BgL_res1757z00_2463;
											}
											BgL_test1844z00_2783 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2458,
												BgL_arg1823z00_2459);
										}
									}
								}
								if (BgL_test1844z00_2783)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_test1847z00_2803;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1430z00_2470;

											BgL_arg1430z00_2470 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2366))))->
												BgL_modulez00);
											BgL_test1847z00_2803 =
												(BgL_arg1430z00_2470 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_test1847z00_2803)
											{	/* Sync/failsafe.scm 115 */
												BgL_test1843z00_2782 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_test1843z00_2782 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_test1843z00_2782 = ((bool_t) 0);
									}
							}
							if (BgL_test1843z00_2782)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2808;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2811;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2812;

												BgL_tmpz00_2812 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt)
															COBJECT(((BgL_globalz00_bglt) (
																		(BgL_variablez00_bglt) BgL_varz00_2366))))->
														BgL_pragmaz00));
												BgL_tmpz00_2811 = PAIRP(BgL_tmpz00_2812);
											}
											BgL_auxz00_2808 = BBOOL(BgL_tmpz00_2811);
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2365))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2808), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2365))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2471;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1418z00_2472;
										obj_t BgL_arg1419z00_2473;

										BgL_arg1418z00_2472 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2365)))->BgL_bodyz00);
										BgL_arg1419z00_2473 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2366)),
											BgL_stkz00_2367);
										BgL_fsafez00_2471 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1418z00_2472), BgL_arg1419z00_2473);
									}
									if (NULLP(BgL_stkz00_2367))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2365))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2471), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2471;
								}
						}
				}
		}

	}



/* &failsafe?-app1292 */
	obj_t BGl_z62failsafezf3zd2app1292z43zzsync_failsafez00(obj_t BgL_envz00_2368,
		obj_t BgL_nz00_2369, obj_t BgL_stkz00_2370)
	{
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2836;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2475;

					BgL_vz00_2475 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2369)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_test1850z00_2840;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1364z00_2476;

							BgL_arg1364z00_2476 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2475))->BgL_valuez00);
							BgL_test1850z00_2840 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1364z00_2476), BgL_vz00_2475,
									BgL_stkz00_2370));
						}
						if (BgL_test1850z00_2840)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1265z00_2477;

								BgL_g1265z00_2477 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2369)))->BgL_argsz00);
								{
									obj_t BgL_l1263z00_2479;

									BgL_l1263z00_2479 = BgL_g1265z00_2477;
								BgL_zc3z04anonymousza31360ze3z87_2478:
									if (NULLP(BgL_l1263z00_2479))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2836 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2480;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2481;

												BgL_nz00_2481 = CAR(((obj_t) BgL_l1263z00_2479));
												BgL_nvz00_2480 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2481), BgL_stkz00_2370);
											}
											if (CBOOL(BgL_nvz00_2480))
												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_arg1363z00_2482;

													BgL_arg1363z00_2482 =
														CDR(((obj_t) BgL_l1263z00_2479));
													{
														obj_t BgL_l1263z00_2857;

														BgL_l1263z00_2857 = BgL_arg1363z00_2482;
														BgL_l1263z00_2479 = BgL_l1263z00_2857;
														goto BgL_zc3z04anonymousza31360ze3z87_2478;
													}
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2836 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2836 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2836);
			}
		}

	}



/* &failsafe?-sync1290 */
	obj_t BGl_z62failsafezf3zd2sync1290z43zzsync_failsafez00(obj_t
		BgL_envz00_2371, obj_t BgL_nz00_2372, obj_t BgL_stkz00_2373)
	{
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1113z00_2484;

				BgL__andtest_1113z00_2484 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_2372)))->BgL_mutexz00),
					BgL_stkz00_2373);
				if (CBOOL(BgL__andtest_1113z00_2484))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1114z00_2485;

						BgL__andtest_1114z00_2485 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nz00_2372)))->BgL_prelockz00),
							BgL_stkz00_2373);
						if (CBOOL(BgL__andtest_1114z00_2485))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nz00_2372)))->BgL_bodyz00),
									BgL_stkz00_2373);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-sequence1288 */
	obj_t BGl_z62failsafezf3zd2sequence1288z43zzsync_failsafez00(obj_t
		BgL_envz00_2374, obj_t BgL_nz00_2375, obj_t BgL_stkz00_2376)
	{
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2872;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1261z00_2487;

					BgL_g1261z00_2487 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_2375)))->BgL_nodesz00);
					{
						obj_t BgL_l1259z00_2489;

						BgL_l1259z00_2489 = BgL_g1261z00_2487;
					BgL_zc3z04anonymousza31342ze3z87_2488:
						if (NULLP(BgL_l1259z00_2489))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2872 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2490;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2491;

									BgL_nz00_2491 = CAR(((obj_t) BgL_l1259z00_2489));
									BgL_nvz00_2490 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2491), BgL_stkz00_2376);
								}
								if (CBOOL(BgL_nvz00_2490))
									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_arg1347z00_2492;

										BgL_arg1347z00_2492 = CDR(((obj_t) BgL_l1259z00_2489));
										{
											obj_t BgL_l1259z00_2885;

											BgL_l1259z00_2885 = BgL_arg1347z00_2492;
											BgL_l1259z00_2489 = BgL_l1259z00_2885;
											goto BgL_zc3z04anonymousza31342ze3z87_2488;
										}
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2872 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2872);
			}
		}

	}



/* &failsafe?-kwote1286 */
	obj_t BGl_z62failsafezf3zd2kwote1286z43zzsync_failsafez00(obj_t
		BgL_envz00_2377, obj_t BgL_nz00_2378, obj_t BgL_stkz00_2379)
	{
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-var1284 */
	obj_t BGl_z62failsafezf3zd2var1284z43zzsync_failsafez00(obj_t BgL_envz00_2380,
		obj_t BgL_nz00_2381, obj_t BgL_stkz00_2382)
	{
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-atom1282 */
	obj_t BGl_z62failsafezf3zd2atom1282z43zzsync_failsafez00(obj_t
		BgL_envz00_2383, obj_t BgL_nz00_2384, obj_t BgL_stkz00_2385)
	{
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1785z00zzsync_failsafez00));
		}

	}

#ifdef __cplusplus
}
#endif
