/*===========================================================================*/
/*   (Tailc/walk.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tailc/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_localzd2tailzd2_bgl
	{
	}                      *BgL_localzd2tailzd2_bglt;


	static obj_t BGl_z62getzd2tailzd2callszd2seque1311zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2sync1313zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztailc_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62getzd2tailzd2callszd2switc1319zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zztailc_walkz00();
	static obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztailc_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_z62getzd2tailzd2calls1306z62zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztailc_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t);
	static obj_t BGl_z62tailczd2walkz12za2zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztailc_walkz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62getzd2tailzd2callszd2condi1317zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_localzd2tailzd2zztailc_walkz00 = BUNSPEC;
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2letzd2f1321z62zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62getzd2tailzd2callszd2letzd2v1323z62zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zztailc_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zztailc_walkz00();
	static obj_t BGl_z62zc3z04anonymousza31564ze3ze5zztailc_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_localz00_bglt BGl_z62lambda1553z62zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1556z62zztailc_walkz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2closu1309zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2app1315zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1565z62zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callsz62zztailc_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tailczd2walkz12zd2envz12zztailc_walkz00,
		BgL_bgl_za762tailcza7d2walkza71811za7,
		BGl_z62tailczd2walkz12za2zztailc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1803z00zztailc_walkz00,
		BgL_bgl_string1803za700za7za7t1812za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1804z00zztailc_walkz00,
		BgL_bgl_string1804za700za7za7t1813za7, "tailc_walk", 10);
	      DEFINE_STRING(BGl_string1805z00zztailc_walkz00,
		BgL_bgl_string1805za700za7za7t1814za7,
		"_ tailc_walk local-tail pass-started ", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21815za7,
		BGl_z62getzd2tailzd2callszd2switc1319zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21816za7,
		BGl_z62getzd2tailzd2callszd2letzd2f1321z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21817za7,
		BGl_z62getzd2tailzd2callszd2letzd2v1323z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1782z00zztailc_walkz00,
		BgL_bgl_string1782za700za7za7t1818za7, "Tailc", 5);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21819za7,
		BGl_z62getzd2tailzd2callsz62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1783z00zztailc_walkz00,
		BgL_bgl_string1783za700za7za7t1820za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1784z00zztailc_walkz00,
		BgL_bgl_string1784za700za7za7t1821za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1785z00zztailc_walkz00,
		BgL_bgl_string1785za700za7za7t1822za7, " self tail call(s)", 18);
	      DEFINE_STRING(BGl_string1786z00zztailc_walkz00,
		BgL_bgl_string1786za700za7za7t1823za7, ": ", 2);
	      DEFINE_STRING(BGl_string1787z00zztailc_walkz00,
		BgL_bgl_string1787za700za7za7t1824za7, "        ", 8);
	      DEFINE_STRING(BGl_string1793z00zztailc_walkz00,
		BgL_bgl_string1793za700za7za7t1825za7, "get-tail-calls1306", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zztailc_walkz00,
		BgL_bgl_za762lambda1565za7621826z00, BGl_z62lambda1565z62zztailc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1795z00zztailc_walkz00,
		BgL_bgl_string1795za700za7za7t1827za7, "get-tail-calls", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zztailc_walkz00,
		BgL_bgl_za762za7c3za704anonymo1828za7,
		BGl_z62zc3z04anonymousza31564ze3ze5zztailc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zztailc_walkz00,
		BgL_bgl_za762lambda1556za7621829z00, BGl_z62lambda1556z62zztailc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zztailc_walkz00,
		BgL_bgl_za762lambda1553za7621830z00, BGl_z62lambda1553z62zztailc_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21831za7,
		BGl_z62getzd2tailzd2calls1306z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21832za7,
		BGl_z62getzd2tailzd2callszd2closu1309zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21833za7,
		BGl_z62getzd2tailzd2callszd2seque1311zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21834za7,
		BGl_z62getzd2tailzd2callszd2sync1313zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21835za7,
		BGl_z62getzd2tailzd2callszd2app1315zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21836za7,
		BGl_z62getzd2tailzd2callszd2condi1317zb0zztailc_walkz00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztailc_walkz00));
		     ADD_ROOT((void *) (&BGl_localzd2tailzd2zztailc_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long
		BgL_checksumz00_2247, char *BgL_fromz00_2248)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztailc_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztailc_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztailc_walkz00();
					BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
					BGl_cnstzd2initzd2zztailc_walkz00();
					BGl_importedzd2moduleszd2initz00zztailc_walkz00();
					BGl_objectzd2initzd2zztailc_walkz00();
					BGl_genericzd2initzd2zztailc_walkz00();
					BGl_methodzd2initzd2zztailc_walkz00();
					return BGl_toplevelzd2initzd2zztailc_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tailc_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 15 */
				obj_t BgL_cportz00_2156;

				{	/* Tailc/walk.scm 15 */
					obj_t BgL_stringz00_2164;

					BgL_stringz00_2164 = BGl_string1805z00zztailc_walkz00;
					{	/* Tailc/walk.scm 15 */
						obj_t BgL_startz00_2165;

						BgL_startz00_2165 = BINT(((long) 0));
						{	/* Tailc/walk.scm 15 */
							obj_t BgL_endz00_2166;

							BgL_endz00_2166 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2164)));
							{	/* Tailc/walk.scm 15 */

								BgL_cportz00_2156 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2164, BgL_startz00_2165, BgL_endz00_2166);
				}}}}
				{
					long BgL_iz00_2157;

					BgL_iz00_2157 = ((long) 3);
				BgL_loopz00_2158:
					if ((BgL_iz00_2157 == ((long) -1)))
						{	/* Tailc/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tailc/walk.scm 15 */
							{	/* Tailc/walk.scm 15 */
								obj_t BgL_arg1807z00_2160;

								{	/* Tailc/walk.scm 15 */

									{	/* Tailc/walk.scm 15 */
										obj_t BgL_locationz00_2162;

										BgL_locationz00_2162 = BBOOL(((bool_t) 0));
										{	/* Tailc/walk.scm 15 */

											BgL_arg1807z00_2160 =
												BGl_readz00zz__readerz00(BgL_cportz00_2156,
												BgL_locationz00_2162);
										}
									}
								}
								{	/* Tailc/walk.scm 15 */
									int BgL_tmpz00_2278;

									BgL_tmpz00_2278 = (int) (BgL_iz00_2157);
									CNST_TABLE_SET(BgL_tmpz00_2278, BgL_arg1807z00_2160);
							}}
							{	/* Tailc/walk.scm 15 */
								int BgL_auxz00_2163;

								BgL_auxz00_2163 = (int) ((BgL_iz00_2157 - ((long) 1)));
								{
									long BgL_iz00_2283;

									BgL_iz00_2283 = (long) (BgL_auxz00_2163);
									BgL_iz00_2157 = BgL_iz00_2283;
									goto BgL_loopz00_2158;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* tailc-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t
		BgL_globalsz00_48)
	{
		{	/* Tailc/walk.scm 32 */
			{	/* Tailc/walk.scm 33 */
				obj_t BgL_list1332z00_1434;

				{	/* Tailc/walk.scm 33 */
					obj_t BgL_arg1333z00_1435;

					{	/* Tailc/walk.scm 33 */
						obj_t BgL_arg1334z00_1436;

						BgL_arg1334z00_1436 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1333z00_1435 =
							MAKE_YOUNG_PAIR(BGl_string1782z00zztailc_walkz00,
							BgL_arg1334z00_1436);
					}
					BgL_list1332z00_1434 =
						MAKE_YOUNG_PAIR(BGl_string1783z00zztailc_walkz00,
						BgL_arg1333z00_1435);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1332z00_1434);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1782z00zztailc_walkz00;
			{	/* Tailc/walk.scm 33 */
				obj_t BgL_g1133z00_1437;

				BgL_g1133z00_1437 = BNIL;
				{
					obj_t BgL_hooksz00_1440;
					obj_t BgL_hnamesz00_1441;

					BgL_hooksz00_1440 = BgL_g1133z00_1437;
					BgL_hnamesz00_1441 = BNIL;
				BgL_zc3z04anonymousza31335ze3z87_1442:
					if (NULLP(BgL_hooksz00_1440))
						{	/* Tailc/walk.scm 33 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Tailc/walk.scm 33 */
							bool_t BgL_test1843z00_2296;

							{	/* Tailc/walk.scm 33 */
								obj_t BgL_fun1350z00_1449;

								BgL_fun1350z00_1449 = CAR(((obj_t) BgL_hooksz00_1440));
								BgL_test1843z00_2296 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1350z00_1449)
									(BgL_fun1350z00_1449, BEOA));
							}
							if (BgL_test1843z00_2296)
								{	/* Tailc/walk.scm 33 */
									obj_t BgL_arg1343z00_1446;
									obj_t BgL_arg1347z00_1447;

									BgL_arg1343z00_1446 = CDR(((obj_t) BgL_hooksz00_1440));
									BgL_arg1347z00_1447 = CDR(((obj_t) BgL_hnamesz00_1441));
									{
										obj_t BgL_hnamesz00_2308;
										obj_t BgL_hooksz00_2307;

										BgL_hooksz00_2307 = BgL_arg1343z00_1446;
										BgL_hnamesz00_2308 = BgL_arg1347z00_1447;
										BgL_hnamesz00_1441 = BgL_hnamesz00_2308;
										BgL_hooksz00_1440 = BgL_hooksz00_2307;
										goto BgL_zc3z04anonymousza31335ze3z87_1442;
									}
								}
							else
								{	/* Tailc/walk.scm 33 */
									obj_t BgL_arg1348z00_1448;

									BgL_arg1348z00_1448 = CAR(((obj_t) BgL_hnamesz00_1441));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1782z00zztailc_walkz00,
										BGl_string1784z00zztailc_walkz00, BgL_arg1348z00_1448);
								}
						}
				}
			}
			{
				obj_t BgL_l1290z00_1453;

				BgL_l1290z00_1453 = BgL_globalsz00_48;
			BgL_zc3z04anonymousza31352ze3z87_1454:
				if (PAIRP(BgL_l1290z00_1453))
					{	/* Tailc/walk.scm 34 */
						BGl_tailczd2globalzd2zztailc_walkz00(CAR(BgL_l1290z00_1453));
						{
							obj_t BgL_l1290z00_2316;

							BgL_l1290z00_2316 = CDR(BgL_l1290z00_1453);
							BgL_l1290z00_1453 = BgL_l1290z00_2316;
							goto BgL_zc3z04anonymousza31352ze3z87_1454;
						}
					}
				else
					{	/* Tailc/walk.scm 34 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_48;
		}

	}



/* &tailc-walk! */
	obj_t BGl_z62tailczd2walkz12za2zztailc_walkz00(obj_t BgL_envz00_2081,
		obj_t BgL_globalsz00_2082)
	{
		{	/* Tailc/walk.scm 32 */
			return BGl_tailczd2walkz12zc0zztailc_walkz00(BgL_globalsz00_2082);
		}

	}



/* tailc-global */
	obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t BgL_globalz00_49)
	{
		{	/* Tailc/walk.scm 40 */
			{	/* Tailc/walk.scm 41 */
				obj_t BgL_arg1358z00_1459;

				BgL_arg1358z00_1459 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_49))))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1358z00_1459);
			}
			{	/* Tailc/walk.scm 42 */
				obj_t BgL_callsz00_1460;

				{	/* Tailc/walk.scm 42 */
					obj_t BgL_arg1380z00_1470;

					BgL_arg1380z00_1470 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_49))))->
										BgL_valuez00))))->BgL_bodyz00);
					BgL_callsz00_1460 =
						BGl_getzd2tailzd2callsz00zztailc_walkz00(((BgL_nodez00_bglt)
							BgL_arg1380z00_1470), ((BgL_variablez00_bglt) BgL_globalz00_49),
						BNIL);
				}
				if (NULLP(BgL_callsz00_1460))
					{	/* Tailc/walk.scm 43 */
						BFALSE;
					}
				else
					{	/* Tailc/walk.scm 43 */
						{	/* Tailc/walk.scm 44 */
							obj_t BgL_arg1361z00_1462;
							long BgL_arg1363z00_1463;

							BgL_arg1361z00_1462 =
								BGl_shapez00zztools_shapez00(BgL_globalz00_49);
							BgL_arg1363z00_1463 = bgl_list_length(BgL_callsz00_1460);
							{	/* Tailc/walk.scm 44 */
								obj_t BgL_list1364z00_1464;

								{	/* Tailc/walk.scm 44 */
									obj_t BgL_arg1366z00_1465;

									{	/* Tailc/walk.scm 44 */
										obj_t BgL_arg1367z00_1466;

										{	/* Tailc/walk.scm 44 */
											obj_t BgL_arg1369z00_1467;

											{	/* Tailc/walk.scm 44 */
												obj_t BgL_arg1370z00_1468;

												{	/* Tailc/walk.scm 44 */
													obj_t BgL_arg1371z00_1469;

													BgL_arg1371z00_1469 =
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
													BgL_arg1370z00_1468 =
														MAKE_YOUNG_PAIR(BGl_string1785z00zztailc_walkz00,
														BgL_arg1371z00_1469);
												}
												BgL_arg1369z00_1467 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1363z00_1463),
													BgL_arg1370z00_1468);
											}
											BgL_arg1367z00_1466 =
												MAKE_YOUNG_PAIR(BGl_string1786z00zztailc_walkz00,
												BgL_arg1369z00_1467);
										}
										BgL_arg1366z00_1465 =
											MAKE_YOUNG_PAIR(BgL_arg1361z00_1462, BgL_arg1367z00_1466);
									}
									BgL_list1364z00_1464 =
										MAKE_YOUNG_PAIR(BGl_string1787z00zztailc_walkz00,
										BgL_arg1366z00_1465);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
									BgL_list1364z00_1464);
						}}
						BGl_globalzd2ze3localz12z23zztailc_walkz00(BgL_globalz00_49,
							BgL_callsz00_1460);
			}}
			return BGl_leavezd2functionzd2zztools_errorz00();
		}

	}



/* global->local! */
	obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t BgL_globalz00_50,
		obj_t BgL_callsz00_51)
	{
		{	/* Tailc/walk.scm 52 */
			{	/* Tailc/walk.scm 53 */
				BgL_valuez00_bglt BgL_gfunz00_1472;

				BgL_gfunz00_1472 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_50))))->BgL_valuez00);
				{	/* Tailc/walk.scm 53 */
					BgL_typez00_bglt BgL_gtypez00_1473;

					BgL_gtypez00_1473 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_globalz00_50))))->BgL_typez00);
					{	/* Tailc/walk.scm 54 */
						obj_t BgL_lbodyz00_1474;

						BgL_lbodyz00_1474 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_gfunz00_1472)))->BgL_bodyz00);
						{	/* Tailc/walk.scm 55 */
							obj_t BgL_largsz00_1475;

							BgL_largsz00_1475 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_gfunz00_1472)))->BgL_argsz00);
							{	/* Tailc/walk.scm 56 */
								obj_t BgL_gargsz00_1476;

								if (NULLP(BgL_largsz00_1475))
									{	/* Tailc/walk.scm 57 */
										BgL_gargsz00_1476 = BNIL;
									}
								else
									{	/* Tailc/walk.scm 57 */
										obj_t BgL_head1294z00_1537;

										BgL_head1294z00_1537 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1292z00_1539;
											obj_t BgL_tail1295z00_1540;

											BgL_l1292z00_1539 = BgL_largsz00_1475;
											BgL_tail1295z00_1540 = BgL_head1294z00_1537;
										BgL_zc3z04anonymousza31496ze3z87_1541:
											if (NULLP(BgL_l1292z00_1539))
												{	/* Tailc/walk.scm 57 */
													BgL_gargsz00_1476 = CDR(BgL_head1294z00_1537);
												}
											else
												{	/* Tailc/walk.scm 57 */
													obj_t BgL_newtail1296z00_1543;

													{	/* Tailc/walk.scm 57 */
														BgL_localz00_bglt BgL_arg1520z00_1545;

														{	/* Tailc/walk.scm 57 */
															obj_t BgL_oldz00_1546;

															BgL_oldz00_1546 =
																CAR(((obj_t) BgL_l1292z00_1539));
															{	/* Tailc/walk.scm 59 */
																BgL_svarz00_bglt BgL_arg1524z00_1547;

																{	/* Tailc/walk.scm 59 */
																	BgL_svarz00_bglt BgL_duplicated1137z00_1548;
																	BgL_svarz00_bglt BgL_new1135z00_1549;

																	BgL_duplicated1137z00_1548 =
																		((BgL_svarz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1546))))->
																			BgL_valuez00));
																	{	/* Tailc/walk.scm 59 */
																		BgL_svarz00_bglt BgL_new1138z00_1550;

																		BgL_new1138z00_1550 =
																			((BgL_svarz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_svarz00_bgl))));
																		{	/* Tailc/walk.scm 59 */
																			long BgL_arg1534z00_1551;

																			BgL_arg1534z00_1551 =
																				BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1138z00_1550),
																				BgL_arg1534z00_1551);
																		}
																		{	/* Tailc/walk.scm 59 */
																			BgL_objectz00_bglt BgL_tmpz00_2373;

																			BgL_tmpz00_2373 =
																				((BgL_objectz00_bglt)
																				BgL_new1138z00_1550);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2373,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1138z00_1550);
																		BgL_new1135z00_1549 = BgL_new1138z00_1550;
																	}
																	((((BgL_svarz00_bglt)
																				COBJECT(BgL_new1135z00_1549))->
																			BgL_locz00) =
																		((obj_t) (((BgL_svarz00_bglt)
																					COBJECT(BgL_duplicated1137z00_1548))->
																				BgL_locz00)), BUNSPEC);
																	BgL_arg1524z00_1547 = BgL_new1135z00_1549;
																}
																BgL_arg1520z00_1545 =
																	BGl_clonezd2localzd2zzast_localz00(
																	((BgL_localz00_bglt) BgL_oldz00_1546),
																	((BgL_valuez00_bglt) BgL_arg1524z00_1547));
														}}
														BgL_newtail1296z00_1543 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1520z00_1545), BNIL);
													}
													SET_CDR(BgL_tail1295z00_1540,
														BgL_newtail1296z00_1543);
													{	/* Tailc/walk.scm 57 */
														obj_t BgL_arg1500z00_1544;

														BgL_arg1500z00_1544 =
															CDR(((obj_t) BgL_l1292z00_1539));
														{
															obj_t BgL_tail1295z00_2388;
															obj_t BgL_l1292z00_2387;

															BgL_l1292z00_2387 = BgL_arg1500z00_1544;
															BgL_tail1295z00_2388 = BgL_newtail1296z00_1543;
															BgL_tail1295z00_1540 = BgL_tail1295z00_2388;
															BgL_l1292z00_1539 = BgL_l1292z00_2387;
															goto BgL_zc3z04anonymousza31496ze3z87_1541;
														}
													}
												}
										}
									}
								{	/* Tailc/walk.scm 57 */
									BgL_sfunz00_bglt BgL_lfunz00_1477;

									{	/* Tailc/walk.scm 62 */
										BgL_sfunz00_bglt BgL_new1139z00_1522;

										{	/* Tailc/walk.scm 63 */
											BgL_sfunz00_bglt BgL_new1152z00_1533;

											BgL_new1152z00_1533 =
												((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_sfunz00_bgl))));
											{	/* Tailc/walk.scm 63 */
												long BgL_arg1494z00_1534;

												BgL_arg1494z00_1534 =
													BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1152z00_1533),
													BgL_arg1494z00_1534);
											}
											{	/* Tailc/walk.scm 63 */
												BgL_objectz00_bglt BgL_tmpz00_2393;

												BgL_tmpz00_2393 =
													((BgL_objectz00_bglt) BgL_new1152z00_1533);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2393, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1152z00_1533);
											BgL_new1139z00_1522 = BgL_new1152z00_1533;
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1139z00_1522)))->
												BgL_arityz00) =
											((long) (((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1472))))->BgL_arityz00)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_sidezd2effectzd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_sidezd2effectzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_predicatezd2ofzd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_predicatezd2ofzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->
												BgL_stackzd2allocatorzd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_stackzd2allocatorzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_topzf3zf3) =
											((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_topzf3zf3)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_thezd2closurezd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_thezd2closurezd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_effectz00) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_effectz00)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_failsafez00) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_failsafez00)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_argszd2noescapezd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_argszd2noescapezd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1139z00_1522)))->BgL_argszd2retescapezd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1472)))->BgL_argszd2retescapezd2)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_propertyz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_propertyz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_argsz00) = ((obj_t) BgL_largsz00_1475), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_argszd2namezd2) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_argszd2namezd2)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_bodyz00) = ((obj_t) BgL_lbodyz00_1474), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_classz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_classz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_dssslzd2keywordszd2) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->
													BgL_dssslzd2keywordszd2)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_locz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_locz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_optionalsz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_optionalsz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_keysz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_keysz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_thezd2closurezd2globalz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->
													BgL_thezd2closurezd2globalz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_strengthz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_strengthz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1139z00_1522))->
												BgL_stackablez00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1472))))->BgL_stackablez00)),
											BUNSPEC);
										BgL_lfunz00_1477 = BgL_new1139z00_1522;
									}
									{	/* Tailc/walk.scm 62 */
										BgL_localz00_bglt BgL_localz00_1478;

										{	/* Tailc/walk.scm 66 */
											obj_t BgL_arg1477z00_1520;

											BgL_arg1477z00_1520 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_50))))->
												BgL_idz00);
											BgL_localz00_1478 =
												BGl_makezd2localzd2sfunz00zzast_localz00
												(BgL_arg1477z00_1520, BgL_gtypez00_1473,
												BgL_lfunz00_1477);
										}
										{	/* Tailc/walk.scm 66 */
											obj_t BgL_locz00_1479;

											BgL_locz00_1479 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_lbodyz00_1474)))->
												BgL_locz00);
											{	/* Tailc/walk.scm 67 */
												BgL_letzd2funzd2_bglt BgL_gbodyz00_1480;

												{	/* Tailc/walk.scm 68 */
													BgL_letzd2funzd2_bglt BgL_new1154z00_1494;

													{	/* Tailc/walk.scm 69 */
														BgL_letzd2funzd2_bglt BgL_new1153z00_1518;

														BgL_new1153z00_1518 =
															((BgL_letzd2funzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_letzd2funzd2_bgl))));
														{	/* Tailc/walk.scm 69 */
															long BgL_arg1462z00_1519;

															BgL_arg1462z00_1519 =
																BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1153z00_1518),
																BgL_arg1462z00_1519);
														}
														{	/* Tailc/walk.scm 69 */
															BgL_objectz00_bglt BgL_tmpz00_2490;

															BgL_tmpz00_2490 =
																((BgL_objectz00_bglt) BgL_new1153z00_1518);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2490, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1153z00_1518);
														BgL_new1154z00_1494 = BgL_new1153z00_1518;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1154z00_1494)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1479), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1154z00_1494)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_gtypez00_1473), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1154z00_1494)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1154z00_1494)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_2503;

														{	/* Tailc/walk.scm 71 */
															obj_t BgL_list1402z00_1495;

															BgL_list1402z00_1495 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_localz00_1478), BNIL);
															BgL_auxz00_2503 = BgL_list1402z00_1495;
														}
														((((BgL_letzd2funzd2_bglt)
																	COBJECT(BgL_new1154z00_1494))->
																BgL_localsz00) =
															((obj_t) BgL_auxz00_2503), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_2507;

														{	/* Tailc/walk.scm 72 */
															BgL_appz00_bglt BgL_new1157z00_1496;

															{	/* Tailc/walk.scm 73 */
																BgL_appz00_bglt BgL_new1155z00_1516;

																BgL_new1155z00_1516 =
																	((BgL_appz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_appz00_bgl))));
																{	/* Tailc/walk.scm 73 */
																	long BgL_arg1457z00_1517;

																	{	/* Tailc/walk.scm 73 */
																		obj_t BgL_classz00_1899;

																		BgL_classz00_1899 = BGl_appz00zzast_nodez00;
																		BgL_arg1457z00_1517 =
																			BGL_CLASS_NUM(BgL_classz00_1899);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1155z00_1516),
																		BgL_arg1457z00_1517);
																}
																{	/* Tailc/walk.scm 73 */
																	BgL_objectz00_bglt BgL_tmpz00_2512;

																	BgL_tmpz00_2512 =
																		((BgL_objectz00_bglt) BgL_new1155z00_1516);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2512,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1155z00_1516);
																BgL_new1157z00_1496 = BgL_new1155z00_1516;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1157z00_1496)))->BgL_locz00) =
																((obj_t) BgL_locz00_1479), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1157z00_1496)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_gtypez00_1473),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1157z00_1496)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1157z00_1496)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																BgL_varz00_bglt BgL_auxz00_2525;

																{	/* Tailc/walk.scm 75 */
																	BgL_refz00_bglt BgL_new1159z00_1497;

																	{	/* Tailc/walk.scm 76 */
																		BgL_refz00_bglt BgL_new1158z00_1498;

																		BgL_new1158z00_1498 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Tailc/walk.scm 76 */
																			long BgL_arg1415z00_1499;

																			{	/* Tailc/walk.scm 76 */
																				obj_t BgL_classz00_1903;

																				BgL_classz00_1903 =
																					BGl_refz00zzast_nodez00;
																				BgL_arg1415z00_1499 =
																					BGL_CLASS_NUM(BgL_classz00_1903);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1158z00_1498),
																				BgL_arg1415z00_1499);
																		}
																		{	/* Tailc/walk.scm 76 */
																			BgL_objectz00_bglt BgL_tmpz00_2530;

																			BgL_tmpz00_2530 =
																				((BgL_objectz00_bglt)
																				BgL_new1158z00_1498);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2530,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1158z00_1498);
																		BgL_new1159z00_1497 = BgL_new1158z00_1498;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1159z00_1497)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1479), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1159z00_1497)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_gtypez00_1473),
																		BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1159z00_1497)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_localz00_1478)), BUNSPEC);
																	BgL_auxz00_2525 =
																		((BgL_varz00_bglt) BgL_new1159z00_1497);
																}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1157z00_1496))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) BgL_auxz00_2525), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2543;

																if (NULLP(BgL_gargsz00_1476))
																	{	/* Tailc/walk.scm 79 */
																		BgL_auxz00_2543 = BNIL;
																	}
																else
																	{	/* Tailc/walk.scm 79 */
																		obj_t BgL_head1299z00_1502;

																		BgL_head1299z00_1502 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1297z00_1504;
																			obj_t BgL_tail1300z00_1505;

																			BgL_l1297z00_1504 = BgL_gargsz00_1476;
																			BgL_tail1300z00_1505 =
																				BgL_head1299z00_1502;
																		BgL_zc3z04anonymousza31417ze3z87_1506:
																			if (NULLP(BgL_l1297z00_1504))
																				{	/* Tailc/walk.scm 79 */
																					BgL_auxz00_2543 =
																						CDR(BgL_head1299z00_1502);
																				}
																			else
																				{	/* Tailc/walk.scm 79 */
																					obj_t BgL_newtail1301z00_1508;

																					{	/* Tailc/walk.scm 79 */
																						BgL_refz00_bglt BgL_arg1454z00_1510;

																						{	/* Tailc/walk.scm 79 */
																							obj_t BgL_vz00_1511;

																							BgL_vz00_1511 =
																								CAR(
																								((obj_t) BgL_l1297z00_1504));
																							{	/* Tailc/walk.scm 80 */
																								BgL_refz00_bglt
																									BgL_new1161z00_1512;
																								{	/* Tailc/walk.scm 83 */
																									BgL_refz00_bglt
																										BgL_new1160z00_1513;
																									BgL_new1160z00_1513 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Tailc/walk.scm 83 */
																										long BgL_arg1456z00_1514;

																										{	/* Tailc/walk.scm 83 */
																											obj_t BgL_classz00_1909;

																											BgL_classz00_1909 =
																												BGl_refz00zzast_nodez00;
																											BgL_arg1456z00_1514 =
																												BGL_CLASS_NUM
																												(BgL_classz00_1909);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1160z00_1513),
																											BgL_arg1456z00_1514);
																									}
																									{	/* Tailc/walk.scm 83 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2556;
																										BgL_tmpz00_2556 =
																											((BgL_objectz00_bglt)
																											BgL_new1160z00_1513);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_2556, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1160z00_1513);
																									BgL_new1161z00_1512 =
																										BgL_new1160z00_1513;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1161z00_1512)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_1479),
																									BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1161z00_1512)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) ((
																												(BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_vz00_1511))))->
																											BgL_typez00)), BUNSPEC);
																								((((BgL_varz00_bglt)
																											COBJECT(((BgL_varz00_bglt)
																													BgL_new1161z00_1512)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BgL_vz00_1511)), BUNSPEC);
																								BgL_arg1454z00_1510 =
																									BgL_new1161z00_1512;
																						}}
																						BgL_newtail1301z00_1508 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1454z00_1510),
																							BNIL);
																					}
																					SET_CDR(BgL_tail1300z00_1505,
																						BgL_newtail1301z00_1508);
																					{	/* Tailc/walk.scm 79 */
																						obj_t BgL_arg1430z00_1509;

																						BgL_arg1430z00_1509 =
																							CDR(((obj_t) BgL_l1297z00_1504));
																						{
																							obj_t BgL_tail1300z00_2576;
																							obj_t BgL_l1297z00_2575;

																							BgL_l1297z00_2575 =
																								BgL_arg1430z00_1509;
																							BgL_tail1300z00_2576 =
																								BgL_newtail1301z00_1508;
																							BgL_tail1300z00_1505 =
																								BgL_tail1300z00_2576;
																							BgL_l1297z00_1504 =
																								BgL_l1297z00_2575;
																							goto
																								BgL_zc3z04anonymousza31417ze3z87_1506;
																						}
																					}
																				}
																		}
																	}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1157z00_1496))->
																		BgL_argsz00) =
																	((obj_t) BgL_auxz00_2543), BUNSPEC);
															}
															((((BgL_appz00_bglt)
																		COBJECT(BgL_new1157z00_1496))->
																	BgL_stackablez00) =
																((obj_t) BFALSE), BUNSPEC);
															BgL_auxz00_2507 =
																((BgL_nodez00_bglt) BgL_new1157z00_1496);
														}
														((((BgL_letzd2funzd2_bglt)
																	COBJECT(BgL_new1154z00_1494))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_2507), BUNSPEC);
													}
													BgL_gbodyz00_1480 = BgL_new1154z00_1494;
												}
												{	/* Tailc/walk.scm 68 */

													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_gfunz00_1472)))->
															BgL_argsz00) =
														((obj_t) BgL_gargsz00_1476), BUNSPEC);
													((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																		BgL_gfunz00_1472)))->BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_gbodyz00_1480)), BUNSPEC);
													{
														obj_t BgL_l1302z00_1482;

														BgL_l1302z00_1482 = BgL_callsz00_51;
													BgL_zc3z04anonymousza31382ze3z87_1483:
														if (PAIRP(BgL_l1302z00_1482))
															{	/* Tailc/walk.scm 89 */
																{	/* Tailc/walk.scm 90 */
																	obj_t BgL_callz00_1485;

																	BgL_callz00_1485 = CAR(BgL_l1302z00_1482);
																	{	/* Tailc/walk.scm 90 */
																		obj_t BgL_locz00_1486;

																		BgL_locz00_1486 =
																			(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_callz00_1485)))->BgL_locz00);
																		{	/* Tailc/walk.scm 90 */
																			BgL_refz00_bglt BgL_varz00_1487;

																			{	/* Tailc/walk.scm 91 */
																				BgL_refz00_bglt BgL_new1163z00_1489;

																				{	/* Tailc/walk.scm 94 */
																					BgL_refz00_bglt BgL_new1162z00_1490;

																					BgL_new1162z00_1490 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Tailc/walk.scm 94 */
																						long BgL_arg1400z00_1491;

																						BgL_arg1400z00_1491 =
																							BGL_CLASS_NUM
																							(BGl_refz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1162z00_1490),
																							BgL_arg1400z00_1491);
																					}
																					{	/* Tailc/walk.scm 94 */
																						BgL_objectz00_bglt BgL_tmpz00_2595;

																						BgL_tmpz00_2595 =
																							((BgL_objectz00_bglt)
																							BgL_new1162z00_1490);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_2595, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1162z00_1490);
																					BgL_new1163z00_1489 =
																						BgL_new1162z00_1490;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1163z00_1489)))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_1486), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1163z00_1489)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_localz00_1478)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1163z00_1489)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_localz00_1478)), BUNSPEC);
																				BgL_varz00_1487 = BgL_new1163z00_1489;
																			}
																			{	/* Tailc/walk.scm 91 */

																				((((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_callz00_1485)))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) ((BgL_varz00_bglt)
																							BgL_varz00_1487)), BUNSPEC);
																}}}}
																{
																	obj_t BgL_l1302z00_2611;

																	BgL_l1302z00_2611 = CDR(BgL_l1302z00_1482);
																	BgL_l1302z00_1482 = BgL_l1302z00_2611;
																	goto BgL_zc3z04anonymousza31382ze3z87_1483;
																}
															}
														else
															{	/* Tailc/walk.scm 89 */
																((bool_t) 1);
															}
													}
													return BGl_funz00zzast_varz00;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 26 */
				obj_t BgL_arg1551z00_1557;
				obj_t BgL_arg1552z00_1558;

				{	/* Tailc/walk.scm 26 */
					obj_t BgL_v1304z00_1592;

					BgL_v1304z00_1592 = create_vector(((long) 0));
					BgL_arg1551z00_1557 = BgL_v1304z00_1592;
				}
				{	/* Tailc/walk.scm 26 */
					obj_t BgL_v1305z00_1593;

					BgL_v1305z00_1593 = create_vector(((long) 0));
					BgL_arg1552z00_1558 = BgL_v1305z00_1593;
				}
				return (BGl_localzd2tailzd2zztailc_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 1)),
						CNST_TABLE_REF(((long) 2)), BGl_localz00zzast_varz00,
						((long) 43644), BGl_proc1791z00zztailc_walkz00,
						BGl_proc1790z00zztailc_walkz00, BFALSE,
						BGl_proc1789z00zztailc_walkz00, BGl_proc1788z00zztailc_walkz00,
						BgL_arg1551z00_1557, BgL_arg1552z00_1558), BUNSPEC);
		}}

	}



/* &lambda1565 */
	BgL_localz00_bglt BGl_z62lambda1565z62zztailc_walkz00(obj_t BgL_envz00_2087,
		obj_t BgL_o1119z00_2088)
	{
		{	/* Tailc/walk.scm 26 */
			{	/* Tailc/walk.scm 26 */
				long BgL_arg1567z00_2169;

				{	/* Tailc/walk.scm 26 */
					obj_t BgL_arg1570z00_2170;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_arg1571z00_2171;

						{	/* Tailc/walk.scm 26 */
							long BgL_arg1833z00_2172;

							{	/* Tailc/walk.scm 26 */
								long BgL_arg1834z00_2173;

								BgL_arg1834z00_2173 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1119z00_2088)));
								BgL_arg1833z00_2172 = (BgL_arg1834z00_2173 - OBJECT_TYPE);
							}
							BgL_arg1571z00_2171 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2172);
						}
						BgL_arg1570z00_2170 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1571z00_2171);
					}
					{	/* Tailc/walk.scm 26 */
						obj_t BgL_tmpz00_2624;

						BgL_tmpz00_2624 = ((obj_t) BgL_arg1570z00_2170);
						BgL_arg1567z00_2169 = BGL_CLASS_NUM(BgL_tmpz00_2624);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1119z00_2088)), BgL_arg1567z00_2169);
			}
			{	/* Tailc/walk.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_2630;

				BgL_tmpz00_2630 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_2088));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2630, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_2088));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_2088));
		}

	}



/* &<@anonymous:1564> */
	obj_t BGl_z62zc3z04anonymousza31564ze3ze5zztailc_walkz00(obj_t
		BgL_envz00_2089, obj_t BgL_new1118z00_2090)
	{
		{	/* Tailc/walk.scm 26 */
			{
				BgL_localz00_bglt BgL_auxz00_2638;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1118z00_2090))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2646;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_classz00_2175;

						BgL_classz00_2175 = BGl_typez00zztype_typez00;
						{	/* Tailc/walk.scm 26 */
							obj_t BgL__ortest_1112z00_2176;

							BgL__ortest_1112z00_2176 = BGL_CLASS_NIL(BgL_classz00_2175);
							if (CBOOL(BgL__ortest_1112z00_2176))
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2646 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2176);
								}
							else
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2646 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2175));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1118z00_2090))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2646), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2656;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_classz00_2177;

						BgL_classz00_2177 = BGl_valuez00zzast_varz00;
						{	/* Tailc/walk.scm 26 */
							obj_t BgL__ortest_1112z00_2178;

							BgL__ortest_1112z00_2178 = BGL_CLASS_NIL(BgL_classz00_2177);
							if (CBOOL(BgL__ortest_1112z00_2178))
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2656 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_2178);
								}
							else
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2656 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2177));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1118z00_2090))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2656), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1118z00_2090))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2090))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2638 = ((BgL_localz00_bglt) BgL_new1118z00_2090);
				return ((obj_t) BgL_auxz00_2638);
			}
		}

	}



/* &lambda1556 */
	BgL_localz00_bglt BGl_z62lambda1556z62zztailc_walkz00(obj_t BgL_envz00_2091,
		obj_t BgL_o1115z00_2092)
	{
		{	/* Tailc/walk.scm 26 */
			{	/* Tailc/walk.scm 26 */
				BgL_localzd2tailzd2_bglt BgL_wide1117z00_2180;

				BgL_wide1117z00_2180 =
					((BgL_localzd2tailzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzd2tailzd2_bgl))));
				{	/* Tailc/walk.scm 26 */
					obj_t BgL_auxz00_2700;
					BgL_objectz00_bglt BgL_tmpz00_2696;

					BgL_auxz00_2700 = ((obj_t) BgL_wide1117z00_2180);
					BgL_tmpz00_2696 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_2092)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2696, BgL_auxz00_2700);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_2092)));
				{	/* Tailc/walk.scm 26 */
					long BgL_arg1563z00_2181;

					BgL_arg1563z00_2181 =
						BGL_CLASS_NUM(BGl_localzd2tailzd2zztailc_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1115z00_2092))), BgL_arg1563z00_2181);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_2092)));
			}
		}

	}



/* &lambda1553 */
	BgL_localz00_bglt BGl_z62lambda1553z62zztailc_walkz00(obj_t BgL_envz00_2093,
		obj_t BgL_id1102z00_2094, obj_t BgL_name1103z00_2095,
		obj_t BgL_type1104z00_2096, obj_t BgL_value1105z00_2097,
		obj_t BgL_access1106z00_2098, obj_t BgL_fastzd2alpha1107zd2_2099,
		obj_t BgL_removable1108z00_2100, obj_t BgL_occurrence1109z00_2101,
		obj_t BgL_occurrencew1110z00_2102, obj_t BgL_userzf31111zf3_2103,
		obj_t BgL_key1112z00_2104, obj_t BgL_valzd2noescape1113zd2_2105,
		obj_t BgL_volatile1114z00_2106)
	{
		{	/* Tailc/walk.scm 26 */
			{	/* Tailc/walk.scm 26 */
				long BgL_occurrence1109z00_2185;
				long BgL_occurrencew1110z00_2186;
				bool_t BgL_userzf31111zf3_2187;
				long BgL_key1112z00_2188;
				bool_t BgL_volatile1114z00_2189;

				BgL_occurrence1109z00_2185 = (long) CINT(BgL_occurrence1109z00_2101);
				BgL_occurrencew1110z00_2186 = (long) CINT(BgL_occurrencew1110z00_2102);
				BgL_userzf31111zf3_2187 = CBOOL(BgL_userzf31111zf3_2103);
				BgL_key1112z00_2188 = (long) CINT(BgL_key1112z00_2104);
				BgL_volatile1114z00_2189 = CBOOL(BgL_volatile1114z00_2106);
				{	/* Tailc/walk.scm 26 */
					BgL_localz00_bglt BgL_new1180z00_2190;

					{	/* Tailc/walk.scm 26 */
						BgL_localz00_bglt BgL_tmp1177z00_2191;
						BgL_localzd2tailzd2_bglt BgL_wide1178z00_2192;

						{
							BgL_localz00_bglt BgL_auxz00_2719;

							{	/* Tailc/walk.scm 26 */
								BgL_localz00_bglt BgL_new1176z00_2193;

								BgL_new1176z00_2193 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Tailc/walk.scm 26 */
									long BgL_arg1555z00_2194;

									BgL_arg1555z00_2194 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1176z00_2193),
										BgL_arg1555z00_2194);
								}
								{	/* Tailc/walk.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_2724;

									BgL_tmpz00_2724 = ((BgL_objectz00_bglt) BgL_new1176z00_2193);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2724, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1176z00_2193);
								BgL_auxz00_2719 = BgL_new1176z00_2193;
							}
							BgL_tmp1177z00_2191 = ((BgL_localz00_bglt) BgL_auxz00_2719);
						}
						BgL_wide1178z00_2192 =
							((BgL_localzd2tailzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzd2tailzd2_bgl))));
						{	/* Tailc/walk.scm 26 */
							obj_t BgL_auxz00_2732;
							BgL_objectz00_bglt BgL_tmpz00_2730;

							BgL_auxz00_2732 = ((obj_t) BgL_wide1178z00_2192);
							BgL_tmpz00_2730 = ((BgL_objectz00_bglt) BgL_tmp1177z00_2191);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2730, BgL_auxz00_2732);
						}
						((BgL_objectz00_bglt) BgL_tmp1177z00_2191);
						{	/* Tailc/walk.scm 26 */
							long BgL_arg1554z00_2195;

							BgL_arg1554z00_2195 =
								BGL_CLASS_NUM(BGl_localzd2tailzd2zztailc_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1177z00_2191),
								BgL_arg1554z00_2195);
						}
						BgL_new1180z00_2190 = ((BgL_localz00_bglt) BgL_tmp1177z00_2191);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1180z00_2190)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1102z00_2094)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_2095), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1104z00_2096)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1105z00_2097)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_accessz00) =
						((obj_t) BgL_access1106z00_2098), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1107zd2_2099), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_removablez00) =
						((obj_t) BgL_removable1108z00_2100), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_occurrencez00) =
						((long) BgL_occurrence1109z00_2185), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1110z00_2186), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2190)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31111zf3_2187), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1180z00_2190)))->BgL_keyz00) =
						((long) BgL_key1112z00_2188), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1180z00_2190)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1113zd2_2105), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1180z00_2190)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1114z00_2189), BUNSPEC);
					return BgL_new1180z00_2190;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_proc1792z00zztailc_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1793z00zztailc_walkz00);
		}

	}



/* &get-tail-calls1306 */
	obj_t BGl_z62getzd2tailzd2calls1306z62zztailc_walkz00(obj_t BgL_envz00_2108,
		obj_t BgL_nz00_2109, obj_t BgL_hz00_2110, obj_t BgL_tailsz00_2111)
	{
		{	/* Tailc/walk.scm 106 */
			return ((obj_t) BgL_tailsz00_2111);
		}

	}



/* get-tail-calls */
	obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		BgL_variablez00_bglt BgL_hz00_53, obj_t BgL_tailsz00_54)
	{
		{	/* Tailc/walk.scm 106 */
			{	/* Tailc/walk.scm 106 */
				obj_t BgL_method1307z00_1604;

				{	/* Tailc/walk.scm 106 */
					obj_t BgL_res1779z00_1984;

					{	/* Tailc/walk.scm 106 */
						long BgL_objzd2classzd2numz00_1955;

						BgL_objzd2classzd2numz00_1955 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
						{	/* Tailc/walk.scm 106 */
							obj_t BgL_arg1829z00_1956;

							BgL_arg1829z00_1956 =
								PROCEDURE_REF(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
								(int) (((long) 1)));
							{	/* Tailc/walk.scm 106 */
								int BgL_offsetz00_1959;

								BgL_offsetz00_1959 = (int) (BgL_objzd2classzd2numz00_1955);
								{	/* Tailc/walk.scm 106 */
									long BgL_offsetz00_1960;

									BgL_offsetz00_1960 =
										((long) (BgL_offsetz00_1959) - OBJECT_TYPE);
									{	/* Tailc/walk.scm 106 */
										long BgL_modz00_1961;

										BgL_modz00_1961 =
											(BgL_offsetz00_1960 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Tailc/walk.scm 106 */
											long BgL_restz00_1963;

											BgL_restz00_1963 =
												(BgL_offsetz00_1960 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Tailc/walk.scm 106 */

												{	/* Tailc/walk.scm 106 */
													obj_t BgL_bucketz00_1965;

													BgL_bucketz00_1965 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1956), BgL_modz00_1961);
													BgL_res1779z00_1984 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1965), BgL_restz00_1963);
					}}}}}}}}
					BgL_method1307z00_1604 = BgL_res1779z00_1984;
				}
				return
					PROCEDURE_ENTRY(BgL_method1307z00_1604) (BgL_method1307z00_1604,
					((obj_t) BgL_nz00_52), ((obj_t) BgL_hz00_53), BgL_tailsz00_54, BEOA);
			}
		}

	}



/* &get-tail-calls */
	obj_t BGl_z62getzd2tailzd2callsz62zztailc_walkz00(obj_t BgL_envz00_2112,
		obj_t BgL_nz00_2113, obj_t BgL_hz00_2114, obj_t BgL_tailsz00_2115)
	{
		{	/* Tailc/walk.scm 106 */
			return
				BGl_getzd2tailzd2callsz00zztailc_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_2113),
				((BgL_variablez00_bglt) BgL_hz00_2114), BgL_tailsz00_2115);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc1794z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1796z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc1797z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc1798z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1799z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc1800z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1801z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1802z00zztailc_walkz00,
				BGl_string1795z00zztailc_walkz00);
		}

	}



/* &get-tail-calls-let-v1323 */
	obj_t BGl_z62getzd2tailzd2callszd2letzd2v1323z62zztailc_walkz00(obj_t
		BgL_envz00_2124, obj_t BgL_nodez00_2125, obj_t BgL_hostz00_2126,
		obj_t BgL_tailsz00_2127)
	{
		{	/* Tailc/walk.scm 179 */
			{	/* Tailc/walk.scm 181 */
				BgL_nodez00_bglt BgL_arg1636z00_2200;

				BgL_arg1636z00_2200 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2125)))->BgL_bodyz00);
				return
					BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1636z00_2200,
					((BgL_variablez00_bglt) BgL_hostz00_2126), BgL_tailsz00_2127);
			}
		}

	}



/* &get-tail-calls-let-f1321 */
	obj_t BGl_z62getzd2tailzd2callszd2letzd2f1321z62zztailc_walkz00(obj_t
		BgL_envz00_2128, obj_t BgL_nodez00_2129, obj_t BgL_hostz00_2130,
		obj_t BgL_tailsz00_2131)
	{
		{	/* Tailc/walk.scm 169 */
			{	/* Tailc/walk.scm 174 */
				BgL_nodez00_bglt BgL_arg1633z00_2202;

				BgL_arg1633z00_2202 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2129)))->BgL_bodyz00);
				return
					BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1633z00_2202,
					((BgL_variablez00_bglt) BgL_hostz00_2130), BgL_tailsz00_2131);
			}
		}

	}



/* &get-tail-calls-switc1319 */
	obj_t BGl_z62getzd2tailzd2callszd2switc1319zb0zztailc_walkz00(obj_t
		BgL_envz00_2132, obj_t BgL_nodez00_2133, obj_t BgL_hostz00_2134,
		obj_t BgL_tailsz00_2135)
	{
		{	/* Tailc/walk.scm 157 */
			{	/* Tailc/walk.scm 159 */
				obj_t BgL_res1808z00_2212;

				{	/* Tailc/walk.scm 159 */
					obj_t BgL_g1173z00_2204;

					BgL_g1173z00_2204 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2133)))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_2206;
						obj_t BgL_tailsz00_2207;

						BgL_clausesz00_2206 = BgL_g1173z00_2204;
						BgL_tailsz00_2207 = BgL_tailsz00_2135;
					BgL_liipz00_2205:
						if (NULLP(BgL_clausesz00_2206))
							{	/* Tailc/walk.scm 161 */
								BgL_res1808z00_2212 = BgL_tailsz00_2207;
							}
						else
							{	/* Tailc/walk.scm 163 */
								obj_t BgL_arg1619z00_2208;
								obj_t BgL_arg1620z00_2209;

								BgL_arg1619z00_2208 = CDR(((obj_t) BgL_clausesz00_2206));
								{	/* Tailc/walk.scm 164 */
									obj_t BgL_arg1621z00_2210;

									{	/* Tailc/walk.scm 164 */
										obj_t BgL_pairz00_2211;

										BgL_pairz00_2211 = CAR(((obj_t) BgL_clausesz00_2206));
										BgL_arg1621z00_2210 = CDR(BgL_pairz00_2211);
									}
									BgL_arg1620z00_2209 =
										BGl_getzd2tailzd2callsz00zztailc_walkz00(
										((BgL_nodez00_bglt) BgL_arg1621z00_2210),
										((BgL_variablez00_bglt) BgL_hostz00_2134),
										BgL_tailsz00_2207);
								}
								{
									obj_t BgL_tailsz00_2836;
									obj_t BgL_clausesz00_2835;

									BgL_clausesz00_2835 = BgL_arg1619z00_2208;
									BgL_tailsz00_2836 = BgL_arg1620z00_2209;
									BgL_tailsz00_2207 = BgL_tailsz00_2836;
									BgL_clausesz00_2206 = BgL_clausesz00_2835;
									goto BgL_liipz00_2205;
								}
							}
					}
				}
				return BgL_res1808z00_2212;
			}
		}

	}



/* &get-tail-calls-condi1317 */
	obj_t BGl_z62getzd2tailzd2callszd2condi1317zb0zztailc_walkz00(obj_t
		BgL_envz00_2136, obj_t BgL_nodez00_2137, obj_t BgL_hostz00_2138,
		obj_t BgL_tailsz00_2139)
	{
		{	/* Tailc/walk.scm 150 */
			{	/* Tailc/walk.scm 152 */
				BgL_nodez00_bglt BgL_arg1606z00_2214;
				obj_t BgL_arg1612z00_2215;

				BgL_arg1606z00_2214 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2137)))->BgL_truez00);
				{	/* Tailc/walk.scm 152 */
					BgL_nodez00_bglt BgL_arg1613z00_2216;

					BgL_arg1613z00_2216 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2137)))->BgL_falsez00);
					BgL_arg1612z00_2215 =
						BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1613z00_2216,
						((BgL_variablez00_bglt) BgL_hostz00_2138), BgL_tailsz00_2139);
				}
				return
					BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1606z00_2214,
					((BgL_variablez00_bglt) BgL_hostz00_2138), BgL_arg1612z00_2215);
			}
		}

	}



/* &get-tail-calls-app1315 */
	obj_t BGl_z62getzd2tailzd2callszd2app1315zb0zztailc_walkz00(obj_t
		BgL_envz00_2140, obj_t BgL_nodez00_2141, obj_t BgL_hostz00_2142,
		obj_t BgL_tailsz00_2143)
	{
		{	/* Tailc/walk.scm 133 */
			{	/* Tailc/walk.scm 135 */
				BgL_variablez00_bglt BgL_calleez00_2218;

				BgL_calleez00_2218 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2141)))->BgL_funz00)))->
					BgL_variablez00);
				if ((((obj_t) BgL_calleez00_2218) == BgL_hostz00_2142))
					{	/* Tailc/walk.scm 137 */
						return
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_2141)), BgL_tailsz00_2143);
					}
				else
					{	/* Tailc/walk.scm 139 */
						bool_t BgL_test1856z00_2854;

						{	/* Tailc/walk.scm 139 */
							obj_t BgL_classz00_2219;

							BgL_classz00_2219 = BGl_localzd2tailzd2zztailc_walkz00;
							{	/* Tailc/walk.scm 139 */
								obj_t BgL_oclassz00_2220;

								{	/* Tailc/walk.scm 139 */
									long BgL_arg1833z00_2221;

									{	/* Tailc/walk.scm 139 */
										long BgL_arg1834z00_2222;

										BgL_arg1834z00_2222 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_calleez00_2218));
										BgL_arg1833z00_2221 = (BgL_arg1834z00_2222 - OBJECT_TYPE);
									}
									BgL_oclassz00_2220 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_2221);
								}
								BgL_test1856z00_2854 =
									(BgL_oclassz00_2220 == BgL_classz00_2219);
						}}
						if (BgL_test1856z00_2854)
							{	/* Tailc/walk.scm 139 */
								return BgL_tailsz00_2143;
							}
						else
							{	/* Tailc/walk.scm 141 */
								bool_t BgL_test1857z00_2860;

								{	/* Tailc/walk.scm 141 */
									obj_t BgL_classz00_2223;

									BgL_classz00_2223 = BGl_localz00zzast_varz00;
									{	/* Tailc/walk.scm 141 */
										BgL_objectz00_bglt BgL_arg1825z00_2224;

										{	/* Tailc/walk.scm 141 */
											obj_t BgL_tmpz00_2861;

											BgL_tmpz00_2861 =
												((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_2218));
											BgL_arg1825z00_2224 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2861);
										}
										{	/* Tailc/walk.scm 141 */
											bool_t BgL_arg1822z00_2225;
											bool_t BgL_arg1823z00_2226;

											{	/* Tailc/walk.scm 141 */
												long BgL_idxz00_2227;

												BgL_idxz00_2227 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2224);
												BgL_arg1822z00_2225 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2227 + ((long) 2))) ==
													BgL_classz00_2223);
											}
											{	/* Tailc/walk.scm 141 */
												bool_t BgL_res1780z00_2230;

												{	/* Tailc/walk.scm 141 */
													obj_t BgL_oclassz00_2231;

													{	/* Tailc/walk.scm 141 */
														long BgL_arg1833z00_2232;

														{	/* Tailc/walk.scm 141 */
															long BgL_arg1834z00_2233;

															BgL_arg1834z00_2233 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2224);
															BgL_arg1833z00_2232 =
																(BgL_arg1834z00_2233 - OBJECT_TYPE);
														}
														BgL_oclassz00_2231 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2232);
													}
													{	/* Tailc/walk.scm 141 */
														bool_t BgL__ortest_1110z00_2234;

														BgL__ortest_1110z00_2234 =
															(BgL_classz00_2223 == BgL_oclassz00_2231);
														if (BgL__ortest_1110z00_2234)
															{	/* Tailc/walk.scm 141 */
																BgL_res1780z00_2230 = BgL__ortest_1110z00_2234;
															}
														else
															{	/* Tailc/walk.scm 141 */
																long BgL_odepthz00_2235;

																BgL_odepthz00_2235 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2231);
																if ((((long) 2) < BgL_odepthz00_2235))
																	{	/* Tailc/walk.scm 141 */
																		obj_t BgL_arg1821z00_2236;

																		BgL_arg1821z00_2236 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2231, ((long) 2));
																		BgL_res1780z00_2230 =
																			(BgL_arg1821z00_2236 ==
																			BgL_classz00_2223);
																	}
																else
																	{	/* Tailc/walk.scm 141 */
																		BgL_res1780z00_2230 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2226 = BgL_res1780z00_2230;
											}
											BgL_test1857z00_2860 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2225,
												BgL_arg1823z00_2226);
										}
									}
								}
								if (BgL_test1857z00_2860)
									{	/* Tailc/walk.scm 141 */
										{	/* Tailc/walk.scm 142 */
											BgL_localzd2tailzd2_bglt BgL_wide1169z00_2237;

											BgL_wide1169z00_2237 =
												((BgL_localzd2tailzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzd2tailzd2_bgl))));
											{	/* Tailc/walk.scm 142 */
												obj_t BgL_auxz00_2885;
												BgL_objectz00_bglt BgL_tmpz00_2881;

												BgL_auxz00_2885 = ((obj_t) BgL_wide1169z00_2237);
												BgL_tmpz00_2881 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_calleez00_2218)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2881,
													BgL_auxz00_2885);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_calleez00_2218)));
											{	/* Tailc/walk.scm 142 */
												long BgL_arg1601z00_2238;

												BgL_arg1601z00_2238 =
													BGL_CLASS_NUM(BGl_localzd2tailzd2zztailc_walkz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_calleez00_2218))),
													BgL_arg1601z00_2238);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_calleez00_2218)));
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_calleez00_2218));
										{	/* Tailc/walk.scm 143 */
											obj_t BgL_arg1602z00_2239;

											BgL_arg1602z00_2239 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_calleez00_2218))))->
																BgL_valuez00))))->BgL_bodyz00);
											return
												BGl_getzd2tailzd2callsz00zztailc_walkz00((
													(BgL_nodez00_bglt) BgL_arg1602z00_2239),
												((BgL_variablez00_bglt) BgL_hostz00_2142),
												BgL_tailsz00_2143);
										}
									}
								else
									{	/* Tailc/walk.scm 141 */
										return BgL_tailsz00_2143;
									}
							}
					}
			}
		}

	}



/* &get-tail-calls-sync1313 */
	obj_t BGl_z62getzd2tailzd2callszd2sync1313zb0zztailc_walkz00(obj_t
		BgL_envz00_2144, obj_t BgL_nodez00_2145, obj_t BgL_hostz00_2146,
		obj_t BgL_tailsz00_2147)
	{
		{	/* Tailc/walk.scm 127 */
			return ((obj_t) BgL_tailsz00_2147);
		}

	}



/* &get-tail-calls-seque1311 */
	obj_t BGl_z62getzd2tailzd2callszd2seque1311zb0zztailc_walkz00(obj_t
		BgL_envz00_2148, obj_t BgL_nodez00_2149, obj_t BgL_hostz00_2150,
		obj_t BgL_tailsz00_2151)
	{
		{	/* Tailc/walk.scm 118 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2149)))->BgL_nodesz00)))
				{	/* Tailc/walk.scm 120 */
					return BgL_tailsz00_2151;
				}
			else
				{	/* Tailc/walk.scm 122 */
					obj_t BgL_arg1585z00_2243;

					BgL_arg1585z00_2243 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_2149)))->
								BgL_nodesz00)));
					return BGl_getzd2tailzd2callsz00zztailc_walkz00(((BgL_nodez00_bglt)
							BgL_arg1585z00_2243), ((BgL_variablez00_bglt) BgL_hostz00_2150),
						BgL_tailsz00_2151);
				}
		}

	}



/* &get-tail-calls-closu1309 */
	obj_t BGl_z62getzd2tailzd2callszd2closu1309zb0zztailc_walkz00(obj_t
		BgL_envz00_2152, obj_t BgL_nodez00_2153, obj_t BgL_hostz00_2154,
		obj_t BgL_tailsz00_2155)
	{
		{	/* Tailc/walk.scm 112 */
			{	/* Tailc/walk.scm 113 */
				obj_t BgL_res1810z00_2246;

				{	/* Tailc/walk.scm 113 */
					obj_t BgL_arg1581z00_2245;

					BgL_arg1581z00_2245 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2153)));
					BgL_res1810z00_2246 =
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1795z00zztailc_walkz00, BGl_string1803z00zztailc_walkz00,
						BgL_arg1581z00_2245);
				}
				return BgL_res1810z00_2246;
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00()
	{
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1804z00zztailc_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
