/*===========================================================================*/
/*   (Trace/isloop.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/isloop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_tailzf3zf3zztrace_isloopz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_isloopz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_isloopz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62tailzf3z91zztrace_isloopz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailzf31314z91zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_isloopz00();
	static obj_t BGl_objectzd2initzd2zztrace_isloopz00();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62tailzf3zd2conditional1331z43zztrace_isloopz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_isloopz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2setq1329z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2var1321z43zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailzf3zd2kwote1319z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2sequence1323z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isloopzf3z91zztrace_isloopz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztrace_isloopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2letzd2fun1334z91zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2app1325z43zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailzf3zd2switch1338z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2extern1340z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_isloopz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_isloopz00();
	static obj_t BGl_gczd2rootszd2initz00zztrace_isloopz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2literal1317z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2funcall1327z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2letzd2var1336z91zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_tailzf3zd2envz21zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za791za7za7t1867za7,
		BGl_z62tailzf3z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1852z00zztrace_isloopz00,
		BgL_bgl_string1852za700za7za7t1868za7, "tail?1314", 9);
	      DEFINE_STRING(BGl_string1854z00zztrace_isloopz00,
		BgL_bgl_string1854za700za7za7t1869za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f31314za791870za7,
		BGl_z62tailzf31314z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2lit1871za7,
		BGl_z62tailzf3zd2literal1317z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2kwo1872za7,
		BGl_z62tailzf3zd2kwote1319z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2var1873za7,
		BGl_z62tailzf3zd2var1321z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2seq1874za7,
		BGl_z62tailzf3zd2sequence1323z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2app1875za7,
		BGl_z62tailzf3zd2app1325z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2fun1876za7,
		BGl_z62tailzf3zd2funcall1327z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1866z00zztrace_isloopz00,
		BgL_bgl_string1866za700za7za7t1877za7, "trace_isloop", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2set1878za7,
		BGl_z62tailzf3zd2setq1329z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2con1879za7,
		BGl_z62tailzf3zd2conditional1331z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2let1880za7,
		BGl_z62tailzf3zd2letzd2fun1334z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2let1881za7,
		BGl_z62tailzf3zd2letzd2var1336z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2swi1882za7,
		BGl_z62tailzf3zd2switch1338z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2ext1883za7,
		BGl_z62tailzf3zd2extern1340z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isloopzf3zd2envz21zztrace_isloopz00,
		BgL_bgl_za762isloopza7f3za791za71884z00,
		BGl_z62isloopzf3z91zztrace_isloopz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_isloopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_isloopz00(long
		BgL_checksumz00_2285, char *BgL_fromz00_2286)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_isloopz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_isloopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_isloopz00();
					BGl_libraryzd2moduleszd2initz00zztrace_isloopz00();
					BGl_importedzd2moduleszd2initz00zztrace_isloopz00();
					BGl_genericzd2initzd2zztrace_isloopz00();
					BGl_methodzd2initzd2zztrace_isloopz00();
					return BGl_toplevelzd2initzd2zztrace_isloopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_isloop");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			return BUNSPEC;
		}

	}



/* isloop? */
	BGL_EXPORTED_DEF bool_t
		BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt BgL_nodez00_17)
	{
		{	/* Trace/isloop.scm 38 */
			{	/* Trace/isloop.scm 40 */
				bool_t BgL_test1886z00_2305;

				{	/* Trace/isloop.scm 40 */
					bool_t BgL_test1887z00_2306;

					{	/* Trace/isloop.scm 40 */
						obj_t BgL_tmpz00_2307;

						BgL_tmpz00_2307 =
							(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
							BgL_localsz00);
						BgL_test1887z00_2306 = PAIRP(BgL_tmpz00_2307);
					}
					if (BgL_test1887z00_2306)
						{	/* Trace/isloop.scm 40 */
							BgL_test1886z00_2305 =
								NULLP(CDR(
									(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
										BgL_localsz00)));
						}
					else
						{	/* Trace/isloop.scm 40 */
							BgL_test1886z00_2305 = ((bool_t) 0);
						}
				}
				if (BgL_test1886z00_2305)
					{	/* Trace/isloop.scm 41 */
						bool_t BgL_test1888z00_2313;

						{	/* Trace/isloop.scm 41 */
							BgL_nodez00_bglt BgL_arg1494z00_1538;

							BgL_arg1494z00_1538 =
								(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
								BgL_bodyz00);
							{	/* Trace/isloop.scm 41 */
								obj_t BgL_classz00_1999;

								BgL_classz00_1999 = BGl_appz00zzast_nodez00;
								{	/* Trace/isloop.scm 41 */
									BgL_objectz00_bglt BgL_arg1825z00_2001;

									{	/* Trace/isloop.scm 41 */
										obj_t BgL_tmpz00_2315;

										BgL_tmpz00_2315 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1494z00_1538));
										BgL_arg1825z00_2001 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2315);
									}
									{	/* Trace/isloop.scm 41 */
										bool_t BgL_arg1822z00_2004;
										bool_t BgL_arg1823z00_2005;

										{	/* Trace/isloop.scm 41 */
											long BgL_idxz00_2008;

											BgL_idxz00_2008 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2001);
											BgL_arg1822z00_2004 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2008 + ((long) 3))) == BgL_classz00_1999);
										}
										{	/* Trace/isloop.scm 41 */
											bool_t BgL_res1844z00_2030;

											{	/* Trace/isloop.scm 41 */
												obj_t BgL_oclassz00_2016;

												{	/* Trace/isloop.scm 41 */
													long BgL_arg1833z00_2022;

													{	/* Trace/isloop.scm 41 */
														long BgL_arg1834z00_2023;

														BgL_arg1834z00_2023 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2001);
														BgL_arg1833z00_2022 =
															(BgL_arg1834z00_2023 - OBJECT_TYPE);
													}
													BgL_oclassz00_2016 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2022);
												}
												{	/* Trace/isloop.scm 41 */
													bool_t BgL__ortest_1110z00_2017;

													BgL__ortest_1110z00_2017 =
														(BgL_classz00_1999 == BgL_oclassz00_2016);
													if (BgL__ortest_1110z00_2017)
														{	/* Trace/isloop.scm 41 */
															BgL_res1844z00_2030 = BgL__ortest_1110z00_2017;
														}
													else
														{	/* Trace/isloop.scm 41 */
															long BgL_odepthz00_2018;

															BgL_odepthz00_2018 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2016);
															if ((((long) 3) < BgL_odepthz00_2018))
																{	/* Trace/isloop.scm 41 */
																	obj_t BgL_arg1821z00_2020;

																	BgL_arg1821z00_2020 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2016,
																		((long) 3));
																	BgL_res1844z00_2030 =
																		(BgL_arg1821z00_2020 == BgL_classz00_1999);
																}
															else
																{	/* Trace/isloop.scm 41 */
																	BgL_res1844z00_2030 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2005 = BgL_res1844z00_2030;
										}
										BgL_test1888z00_2313 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2004,
											BgL_arg1823z00_2005);
									}
								}
							}
						}
						if (BgL_test1888z00_2313)
							{	/* Trace/isloop.scm 42 */
								bool_t BgL_test1891z00_2334;

								{	/* Trace/isloop.scm 42 */
									BgL_nodez00_bglt BgL_arg1457z00_1535;
									obj_t BgL_arg1462z00_1536;

									BgL_arg1457z00_1535 =
										(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
										BgL_bodyz00);
									BgL_arg1462z00_1536 =
										CAR((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
											BgL_localsz00));
									BgL_test1891z00_2334 =
										CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1457z00_1535,
											((BgL_variablez00_bglt) BgL_arg1462z00_1536), BTRUE));
								}
								if (BgL_test1891z00_2334)
									{	/* Trace/isloop.scm 43 */
										BgL_valuez00_bglt BgL_funz00_1528;

										{
											BgL_variablez00_bglt BgL_auxz00_2341;

											{
												BgL_localz00_bglt BgL_auxz00_2342;

												{	/* Trace/isloop.scm 43 */
													obj_t BgL_pairz00_2032;

													BgL_pairz00_2032 =
														(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
														BgL_localsz00);
													BgL_auxz00_2342 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_2032));
												}
												BgL_auxz00_2341 =
													((BgL_variablez00_bglt) BgL_auxz00_2342);
											}
											BgL_funz00_1528 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2341))->
												BgL_valuez00);
										}
										{	/* Trace/isloop.scm 45 */
											obj_t BgL_arg1418z00_1530;
											obj_t BgL_arg1419z00_1531;

											BgL_arg1418z00_1530 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1528)))->
												BgL_bodyz00);
											BgL_arg1419z00_1531 =
												CAR((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
													BgL_localsz00));
											return
												CBOOL(BGl_tailzf3zf3zztrace_isloopz00((
														(BgL_nodez00_bglt) BgL_arg1418z00_1530),
													((BgL_variablez00_bglt) BgL_arg1419z00_1531), BTRUE));
										}
									}
								else
									{	/* Trace/isloop.scm 42 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Trace/isloop.scm 41 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Trace/isloop.scm 40 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &isloop? */
	obj_t BGl_z62isloopzf3z91zztrace_isloopz00(obj_t BgL_envz00_2124,
		obj_t BgL_nodez00_2125)
	{
		{	/* Trace/isloop.scm 38 */
			return
				BBOOL(BGl_isloopzf3zf3zztrace_isloopz00(
					((BgL_letzd2funzd2_bglt) BgL_nodez00_2125)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00,
				BGl_proc1851z00zztrace_isloopz00, BGl_nodez00zzast_nodez00,
				BGl_string1852z00zztrace_isloopz00);
		}

	}



/* &tail?1314 */
	obj_t BGl_z62tailzf31314z91zztrace_isloopz00(obj_t BgL_envz00_2127,
		obj_t BgL_nodez00_2128, obj_t BgL_funz00_2129, obj_t BgL_tailpz00_2130)
	{
		{	/* Trace/isloop.scm 50 */
			return BBOOL(((bool_t) 0));
		}

	}



/* tail? */
	obj_t BGl_tailzf3zf3zztrace_isloopz00(BgL_nodez00_bglt BgL_nodez00_18,
		BgL_variablez00_bglt BgL_funz00_19, obj_t BgL_tailpz00_20)
	{
		{	/* Trace/isloop.scm 50 */
			{	/* Trace/isloop.scm 50 */
				obj_t BgL_method1315z00_1549;

				{	/* Trace/isloop.scm 50 */
					obj_t BgL_res1849z00_2065;

					{	/* Trace/isloop.scm 50 */
						long BgL_objzd2classzd2numz00_2036;

						BgL_objzd2classzd2numz00_2036 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_18));
						{	/* Trace/isloop.scm 50 */
							obj_t BgL_arg1829z00_2037;

							BgL_arg1829z00_2037 =
								PROCEDURE_REF(BGl_tailzf3zd2envz21zztrace_isloopz00,
								(int) (((long) 1)));
							{	/* Trace/isloop.scm 50 */
								int BgL_offsetz00_2040;

								BgL_offsetz00_2040 = (int) (BgL_objzd2classzd2numz00_2036);
								{	/* Trace/isloop.scm 50 */
									long BgL_offsetz00_2041;

									BgL_offsetz00_2041 =
										((long) (BgL_offsetz00_2040) - OBJECT_TYPE);
									{	/* Trace/isloop.scm 50 */
										long BgL_modz00_2042;

										BgL_modz00_2042 =
											(BgL_offsetz00_2041 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/isloop.scm 50 */
											long BgL_restz00_2044;

											BgL_restz00_2044 =
												(BgL_offsetz00_2041 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/isloop.scm 50 */

												{	/* Trace/isloop.scm 50 */
													obj_t BgL_bucketz00_2046;

													BgL_bucketz00_2046 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2037), BgL_modz00_2042);
													BgL_res1849z00_2065 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2046), BgL_restz00_2044);
					}}}}}}}}
					BgL_method1315z00_1549 = BgL_res1849z00_2065;
				}
				return
					PROCEDURE_ENTRY(BgL_method1315z00_1549) (BgL_method1315z00_1549,
					((obj_t) BgL_nodez00_18),
					((obj_t) BgL_funz00_19), BgL_tailpz00_20, BEOA);
			}
		}

	}



/* &tail? */
	obj_t BGl_z62tailzf3z91zztrace_isloopz00(obj_t BgL_envz00_2131,
		obj_t BgL_nodez00_2132, obj_t BgL_funz00_2133, obj_t BgL_tailpz00_2134)
	{
		{	/* Trace/isloop.scm 50 */
			return
				BGl_tailzf3zf3zztrace_isloopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2132),
				((BgL_variablez00_bglt) BgL_funz00_2133), BgL_tailpz00_2134);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_literalz00zzast_nodez00,
				BGl_proc1853z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1855z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_varz00zzast_nodez00,
				BGl_proc1856z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1857z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_appz00zzast_nodez00,
				BGl_proc1858z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1859z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1860z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1861z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1862z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1863z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_switchz00zzast_nodez00,
				BGl_proc1864z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_externz00zzast_nodez00,
				BGl_proc1865z00zztrace_isloopz00, BGl_string1854z00zztrace_isloopz00);
		}

	}



/* &tail?-extern1340 */
	obj_t BGl_z62tailzf3zd2extern1340z43zztrace_isloopz00(obj_t BgL_envz00_2147,
		obj_t BgL_nodez00_2148, obj_t BgL_funz00_2149, obj_t BgL_tailpz00_2150)
	{
		{	/* Trace/isloop.scm 150 */
			{	/* Trace/isloop.scm 151 */
				bool_t BgL_tmpz00_2409;

				{	/* Trace/isloop.scm 152 */
					obj_t BgL_g1312z00_2199;

					BgL_g1312z00_2199 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2148)))->BgL_exprza2za2);
					{
						obj_t BgL_l1310z00_2201;

						BgL_l1310z00_2201 = BgL_g1312z00_2199;
					BgL_zc3z04anonymousza31696ze3z87_2200:
						if (NULLP(BgL_l1310z00_2201))
							{	/* Trace/isloop.scm 152 */
								BgL_tmpz00_2409 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 152 */
								obj_t BgL_nvz00_2202;

								{	/* Trace/isloop.scm 152 */
									obj_t BgL_ez00_2203;

									BgL_ez00_2203 = CAR(((obj_t) BgL_l1310z00_2201));
									BgL_nvz00_2202 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_ez00_2203),
										((BgL_variablez00_bglt) BgL_funz00_2149), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2202))
									{	/* Trace/isloop.scm 152 */
										obj_t BgL_arg1699z00_2204;

										BgL_arg1699z00_2204 = CDR(((obj_t) BgL_l1310z00_2201));
										{
											obj_t BgL_l1310z00_2423;

											BgL_l1310z00_2423 = BgL_arg1699z00_2204;
											BgL_l1310z00_2201 = BgL_l1310z00_2423;
											goto BgL_zc3z04anonymousza31696ze3z87_2200;
										}
									}
								else
									{	/* Trace/isloop.scm 152 */
										BgL_tmpz00_2409 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2409);
			}
		}

	}



/* &tail?-switch1338 */
	obj_t BGl_z62tailzf3zd2switch1338z43zztrace_isloopz00(obj_t BgL_envz00_2151,
		obj_t BgL_nodez00_2152, obj_t BgL_funz00_2153, obj_t BgL_tailpz00_2154)
	{
		{	/* Trace/isloop.scm 142 */
			{	/* Trace/isloop.scm 143 */
				bool_t BgL_tmpz00_2425;

				{	/* Trace/isloop.scm 144 */
					bool_t BgL_test1894z00_2426;

					{	/* Trace/isloop.scm 144 */
						BgL_nodez00_bglt BgL_arg1695z00_2206;

						BgL_arg1695z00_2206 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2152)))->BgL_testz00);
						BgL_test1894z00_2426 =
							CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1695z00_2206,
								((BgL_variablez00_bglt) BgL_funz00_2153), BFALSE));
					}
					if (BgL_test1894z00_2426)
						{	/* Trace/isloop.scm 145 */
							obj_t BgL_g1308z00_2207;

							BgL_g1308z00_2207 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2152)))->BgL_clausesz00);
							{
								obj_t BgL_l1306z00_2209;

								BgL_l1306z00_2209 = BgL_g1308z00_2207;
							BgL_zc3z04anonymousza31680ze3z87_2208:
								if (NULLP(BgL_l1306z00_2209))
									{	/* Trace/isloop.scm 145 */
										BgL_tmpz00_2425 = ((bool_t) 1);
									}
								else
									{	/* Trace/isloop.scm 145 */
										obj_t BgL_nvz00_2210;

										{	/* Trace/isloop.scm 145 */
											obj_t BgL_cz00_2211;

											BgL_cz00_2211 = CAR(((obj_t) BgL_l1306z00_2209));
											{	/* Trace/isloop.scm 145 */
												obj_t BgL_arg1694z00_2212;

												BgL_arg1694z00_2212 = CDR(((obj_t) BgL_cz00_2211));
												BgL_nvz00_2210 =
													BGl_tailzf3zf3zztrace_isloopz00(
													((BgL_nodez00_bglt) BgL_arg1694z00_2212),
													((BgL_variablez00_bglt) BgL_funz00_2153),
													BgL_tailpz00_2154);
											}
										}
										if (CBOOL(BgL_nvz00_2210))
											{	/* Trace/isloop.scm 145 */
												obj_t BgL_arg1682z00_2213;

												BgL_arg1682z00_2213 = CDR(((obj_t) BgL_l1306z00_2209));
												{
													obj_t BgL_l1306z00_2447;

													BgL_l1306z00_2447 = BgL_arg1682z00_2213;
													BgL_l1306z00_2209 = BgL_l1306z00_2447;
													goto BgL_zc3z04anonymousza31680ze3z87_2208;
												}
											}
										else
											{	/* Trace/isloop.scm 145 */
												BgL_tmpz00_2425 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Trace/isloop.scm 144 */
							BgL_tmpz00_2425 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2425);
			}
		}

	}



/* &tail?-let-var1336 */
	obj_t BGl_z62tailzf3zd2letzd2var1336z91zztrace_isloopz00(obj_t
		BgL_envz00_2155, obj_t BgL_nodez00_2156, obj_t BgL_funz00_2157,
		obj_t BgL_tailpz00_2158)
	{
		{	/* Trace/isloop.scm 134 */
			{	/* Trace/isloop.scm 136 */
				bool_t BgL_test1897z00_2449;

				{	/* Trace/isloop.scm 136 */
					obj_t BgL_g1304z00_2215;

					BgL_g1304z00_2215 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2156)))->BgL_bindingsz00);
					{
						obj_t BgL_l1302z00_2217;

						BgL_l1302z00_2217 = BgL_g1304z00_2215;
					BgL_zc3z04anonymousza31668ze3z87_2216:
						if (NULLP(BgL_l1302z00_2217))
							{	/* Trace/isloop.scm 136 */
								BgL_test1897z00_2449 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 136 */
								obj_t BgL_nvz00_2218;

								{	/* Trace/isloop.scm 136 */
									obj_t BgL_bz00_2219;

									BgL_bz00_2219 = CAR(((obj_t) BgL_l1302z00_2217));
									{	/* Trace/isloop.scm 136 */
										obj_t BgL_arg1676z00_2220;

										BgL_arg1676z00_2220 = CDR(((obj_t) BgL_bz00_2219));
										BgL_nvz00_2218 =
											BGl_tailzf3zf3zztrace_isloopz00(
											((BgL_nodez00_bglt) BgL_arg1676z00_2220),
											((BgL_variablez00_bglt) BgL_funz00_2157), BFALSE);
									}
								}
								if (CBOOL(BgL_nvz00_2218))
									{	/* Trace/isloop.scm 136 */
										obj_t BgL_arg1675z00_2221;

										BgL_arg1675z00_2221 = CDR(((obj_t) BgL_l1302z00_2217));
										{
											obj_t BgL_l1302z00_2465;

											BgL_l1302z00_2465 = BgL_arg1675z00_2221;
											BgL_l1302z00_2217 = BgL_l1302z00_2465;
											goto BgL_zc3z04anonymousza31668ze3z87_2216;
										}
									}
								else
									{	/* Trace/isloop.scm 136 */
										BgL_test1897z00_2449 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1897z00_2449)
					{	/* Trace/isloop.scm 137 */
						BgL_nodez00_bglt BgL_arg1667z00_2222;

						BgL_arg1667z00_2222 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2156)))->BgL_bodyz00);
						return
							BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1667z00_2222,
							((BgL_variablez00_bglt) BgL_funz00_2157), BgL_tailpz00_2158);
					}
				else
					{	/* Trace/isloop.scm 136 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-let-fun1334 */
	obj_t BGl_z62tailzf3zd2letzd2fun1334z91zztrace_isloopz00(obj_t
		BgL_envz00_2159, obj_t BgL_nodez00_2160, obj_t BgL_funz00_2161,
		obj_t BgL_tailpz00_2162)
	{
		{	/* Trace/isloop.scm 120 */
			{	/* Trace/isloop.scm 121 */
				bool_t BgL_tmpz00_2470;

				{	/* Trace/isloop.scm 122 */
					bool_t BgL_test1900z00_2471;

					{	/* Trace/isloop.scm 122 */
						BgL_nodez00_bglt BgL_arg1656z00_2224;

						BgL_arg1656z00_2224 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2160)))->BgL_bodyz00);
						BgL_test1900z00_2471 =
							CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1656z00_2224,
								((BgL_variablez00_bglt) BgL_funz00_2161), BgL_tailpz00_2162));
					}
					if (BgL_test1900z00_2471)
						{	/* Trace/isloop.scm 122 */
							if (BGl_isloopzf3zf3zztrace_isloopz00(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2160)))
								{	/* Trace/isloop.scm 124 */
									BgL_sfunz00_bglt BgL_i1117z00_2225;

									{
										BgL_valuez00_bglt BgL_auxz00_2480;

										{
											BgL_variablez00_bglt BgL_auxz00_2481;

											{
												BgL_localz00_bglt BgL_auxz00_2482;

												{	/* Trace/isloop.scm 124 */
													obj_t BgL_pairz00_2226;

													BgL_pairz00_2226 =
														(((BgL_letzd2funzd2_bglt) COBJECT(
																((BgL_letzd2funzd2_bglt) BgL_nodez00_2160)))->
														BgL_localsz00);
													BgL_auxz00_2482 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_2226));
												}
												BgL_auxz00_2481 =
													((BgL_variablez00_bglt) BgL_auxz00_2482);
											}
											BgL_auxz00_2480 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2481))->
												BgL_valuez00);
										}
										BgL_i1117z00_2225 = ((BgL_sfunz00_bglt) BgL_auxz00_2480);
									}
									{	/* Trace/isloop.scm 125 */
										bool_t BgL_test1902z00_2490;

										{	/* Trace/isloop.scm 125 */
											obj_t BgL_arg1636z00_2227;

											BgL_arg1636z00_2227 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_2225))->
												BgL_bodyz00);
											BgL_test1902z00_2490 =
												CBOOL(BGl_tailzf3zf3zztrace_isloopz00((
														(BgL_nodez00_bglt) BgL_arg1636z00_2227),
													((BgL_variablez00_bglt) BgL_funz00_2161),
													BgL_tailpz00_2162));
										}
										if (BgL_test1902z00_2490)
											{	/* Trace/isloop.scm 126 */
												obj_t BgL_g1300z00_2228;

												BgL_g1300z00_2228 =
													(((BgL_letzd2funzd2_bglt) COBJECT(
															((BgL_letzd2funzd2_bglt) BgL_nodez00_2160)))->
													BgL_localsz00);
												{
													obj_t BgL_l1298z00_2230;

													BgL_l1298z00_2230 = BgL_g1300z00_2228;
												BgL_zc3z04anonymousza31622ze3z87_2229:
													if (NULLP(BgL_l1298z00_2230))
														{	/* Trace/isloop.scm 126 */
															BgL_tmpz00_2470 = ((bool_t) 1);
														}
													else
														{	/* Trace/isloop.scm 127 */
															obj_t BgL_nvz00_2231;

															{	/* Trace/isloop.scm 127 */
																obj_t BgL_lz00_2232;

																BgL_lz00_2232 =
																	CAR(((obj_t) BgL_l1298z00_2230));
																{	/* Trace/isloop.scm 127 */
																	BgL_sfunz00_bglt BgL_i1118z00_2233;

																	BgL_i1118z00_2233 =
																		((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_lz00_2232))))->BgL_valuez00));
																	{	/* Trace/isloop.scm 128 */
																		obj_t BgL_arg1633z00_2234;

																		BgL_arg1633z00_2234 =
																			(((BgL_sfunz00_bglt)
																				COBJECT(BgL_i1118z00_2233))->
																			BgL_bodyz00);
																		BgL_nvz00_2231 =
																			BGl_tailzf3zf3zztrace_isloopz00((
																				(BgL_nodez00_bglt) BgL_arg1633z00_2234),
																			((BgL_variablez00_bglt) BgL_funz00_2161),
																			BFALSE);
																	}
																}
															}
															if (CBOOL(BgL_nvz00_2231))
																{	/* Trace/isloop.scm 126 */
																	obj_t BgL_arg1632z00_2235;

																	BgL_arg1632z00_2235 =
																		CDR(((obj_t) BgL_l1298z00_2230));
																	{
																		obj_t BgL_l1298z00_2514;

																		BgL_l1298z00_2514 = BgL_arg1632z00_2235;
																		BgL_l1298z00_2230 = BgL_l1298z00_2514;
																		goto BgL_zc3z04anonymousza31622ze3z87_2229;
																	}
																}
															else
																{	/* Trace/isloop.scm 126 */
																	BgL_tmpz00_2470 = ((bool_t) 0);
																}
														}
												}
											}
										else
											{	/* Trace/isloop.scm 125 */
												BgL_tmpz00_2470 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Trace/isloop.scm 123 */
									BgL_tmpz00_2470 = ((bool_t) 0);
								}
						}
					else
						{	/* Trace/isloop.scm 122 */
							BgL_tmpz00_2470 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2470);
			}
		}

	}



/* &tail?-conditional1331 */
	obj_t BGl_z62tailzf3zd2conditional1331z43zztrace_isloopz00(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164, obj_t BgL_funz00_2165,
		obj_t BgL_tailpz00_2166)
	{
		{	/* Trace/isloop.scm 112 */
			{	/* Trace/isloop.scm 114 */
				bool_t BgL_test1905z00_2516;

				{	/* Trace/isloop.scm 114 */
					BgL_nodez00_bglt BgL_arg1612z00_2237;

					BgL_arg1612z00_2237 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2164)))->BgL_testz00);
					BgL_test1905z00_2516 =
						CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1612z00_2237,
							((BgL_variablez00_bglt) BgL_funz00_2165), BFALSE));
				}
				if (BgL_test1905z00_2516)
					{	/* Trace/isloop.scm 115 */
						obj_t BgL__andtest_1115z00_2238;

						{	/* Trace/isloop.scm 115 */
							BgL_nodez00_bglt BgL_arg1606z00_2239;

							BgL_arg1606z00_2239 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2164)))->
								BgL_truez00);
							BgL__andtest_1115z00_2238 =
								BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1606z00_2239,
								((BgL_variablez00_bglt) BgL_funz00_2165), BgL_tailpz00_2166);
						}
						if (CBOOL(BgL__andtest_1115z00_2238))
							{	/* Trace/isloop.scm 115 */
								BgL_nodez00_bglt BgL_arg1604z00_2240;

								BgL_arg1604z00_2240 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2164)))->
									BgL_falsez00);
								return BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1604z00_2240,
									((BgL_variablez00_bglt) BgL_funz00_2165), BgL_tailpz00_2166);
							}
						else
							{	/* Trace/isloop.scm 115 */
								return BFALSE;
							}
					}
				else
					{	/* Trace/isloop.scm 114 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-setq1329 */
	obj_t BGl_z62tailzf3zd2setq1329z43zztrace_isloopz00(obj_t BgL_envz00_2167,
		obj_t BgL_nodez00_2168, obj_t BgL_funz00_2169, obj_t BgL_tailpz00_2170)
	{
		{	/* Trace/isloop.scm 105 */
			{	/* Trace/isloop.scm 107 */
				BgL_nodez00_bglt BgL_arg1601z00_2242;

				BgL_arg1601z00_2242 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2168)))->BgL_valuez00);
				return
					BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1601z00_2242,
					((BgL_variablez00_bglt) BgL_funz00_2169), BFALSE);
			}
		}

	}



/* &tail?-funcall1327 */
	obj_t BGl_z62tailzf3zd2funcall1327z43zztrace_isloopz00(obj_t BgL_envz00_2171,
		obj_t BgL_nodez00_2172, obj_t BgL_funz00_2173, obj_t BgL_tailpz00_2174)
	{
		{	/* Trace/isloop.scm 97 */
			{	/* Trace/isloop.scm 99 */
				bool_t BgL_test1907z00_2536;

				{	/* Trace/isloop.scm 99 */
					obj_t BgL_g1296z00_2244;

					BgL_g1296z00_2244 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2172)))->BgL_argsz00);
					{
						obj_t BgL_l1294z00_2246;

						BgL_l1294z00_2246 = BgL_g1296z00_2244;
					BgL_zc3z04anonymousza31596ze3z87_2245:
						if (NULLP(BgL_l1294z00_2246))
							{	/* Trace/isloop.scm 99 */
								BgL_test1907z00_2536 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 99 */
								obj_t BgL_nvz00_2247;

								{	/* Trace/isloop.scm 99 */
									obj_t BgL_argz00_2248;

									BgL_argz00_2248 = CAR(((obj_t) BgL_l1294z00_2246));
									BgL_nvz00_2247 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_argz00_2248),
										((BgL_variablez00_bglt) BgL_funz00_2173), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2247))
									{	/* Trace/isloop.scm 99 */
										obj_t BgL_arg1597z00_2249;

										BgL_arg1597z00_2249 = CDR(((obj_t) BgL_l1294z00_2246));
										{
											obj_t BgL_l1294z00_2550;

											BgL_l1294z00_2550 = BgL_arg1597z00_2249;
											BgL_l1294z00_2246 = BgL_l1294z00_2550;
											goto BgL_zc3z04anonymousza31596ze3z87_2245;
										}
									}
								else
									{	/* Trace/isloop.scm 99 */
										BgL_test1907z00_2536 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1907z00_2536)
					{	/* Trace/isloop.scm 100 */
						BgL_nodez00_bglt BgL_arg1595z00_2250;

						BgL_arg1595z00_2250 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2172)))->BgL_funz00);
						return
							BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1595z00_2250,
							((BgL_variablez00_bglt) BgL_funz00_2173), BFALSE);
					}
				else
					{	/* Trace/isloop.scm 99 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-app1325 */
	obj_t BGl_z62tailzf3zd2app1325z43zztrace_isloopz00(obj_t BgL_envz00_2175,
		obj_t BgL_nodez00_2176, obj_t BgL_funz00_2177, obj_t BgL_tailpz00_2178)
	{
		{	/* Trace/isloop.scm 86 */
			{	/* Trace/isloop.scm 88 */
				bool_t BgL_test1910z00_2555;

				{	/* Trace/isloop.scm 88 */
					obj_t BgL_g1292z00_2252;

					BgL_g1292z00_2252 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2176)))->BgL_argsz00);
					{
						obj_t BgL_l1290z00_2254;

						BgL_l1290z00_2254 = BgL_g1292z00_2252;
					BgL_zc3z04anonymousza31583ze3z87_2253:
						if (NULLP(BgL_l1290z00_2254))
							{	/* Trace/isloop.scm 88 */
								BgL_test1910z00_2555 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 88 */
								obj_t BgL_nvz00_2255;

								{	/* Trace/isloop.scm 88 */
									obj_t BgL_argz00_2256;

									BgL_argz00_2256 = CAR(((obj_t) BgL_l1290z00_2254));
									BgL_nvz00_2255 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_argz00_2256),
										((BgL_variablez00_bglt) BgL_funz00_2177), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2255))
									{	/* Trace/isloop.scm 88 */
										obj_t BgL_arg1584z00_2257;

										BgL_arg1584z00_2257 = CDR(((obj_t) BgL_l1290z00_2254));
										{
											obj_t BgL_l1290z00_2569;

											BgL_l1290z00_2569 = BgL_arg1584z00_2257;
											BgL_l1290z00_2254 = BgL_l1290z00_2569;
											goto BgL_zc3z04anonymousza31583ze3z87_2253;
										}
									}
								else
									{	/* Trace/isloop.scm 88 */
										BgL_test1910z00_2555 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1910z00_2555)
					{	/* Trace/isloop.scm 89 */
						bool_t BgL_test1913z00_2570;

						{	/* Trace/isloop.scm 89 */
							BgL_varz00_bglt BgL_arg1582z00_2258;

							BgL_arg1582z00_2258 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2176)))->BgL_funz00);
							{	/* Trace/isloop.scm 89 */
								obj_t BgL_classz00_2259;

								BgL_classz00_2259 = BGl_varz00zzast_nodez00;
								{	/* Trace/isloop.scm 89 */
									BgL_objectz00_bglt BgL_arg1825z00_2260;

									{	/* Trace/isloop.scm 89 */
										obj_t BgL_tmpz00_2573;

										BgL_tmpz00_2573 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1582z00_2258));
										BgL_arg1825z00_2260 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2573);
									}
									{	/* Trace/isloop.scm 89 */
										bool_t BgL_arg1822z00_2261;
										bool_t BgL_arg1823z00_2262;

										{	/* Trace/isloop.scm 89 */
											long BgL_idxz00_2263;

											BgL_idxz00_2263 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2260);
											BgL_arg1822z00_2261 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2263 + ((long) 2))) == BgL_classz00_2259);
										}
										{	/* Trace/isloop.scm 89 */
											bool_t BgL_res1850z00_2266;

											{	/* Trace/isloop.scm 89 */
												obj_t BgL_oclassz00_2267;

												{	/* Trace/isloop.scm 89 */
													long BgL_arg1833z00_2268;

													{	/* Trace/isloop.scm 89 */
														long BgL_arg1834z00_2269;

														BgL_arg1834z00_2269 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2260);
														BgL_arg1833z00_2268 =
															(BgL_arg1834z00_2269 - OBJECT_TYPE);
													}
													BgL_oclassz00_2267 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2268);
												}
												{	/* Trace/isloop.scm 89 */
													bool_t BgL__ortest_1110z00_2270;

													BgL__ortest_1110z00_2270 =
														(BgL_classz00_2259 == BgL_oclassz00_2267);
													if (BgL__ortest_1110z00_2270)
														{	/* Trace/isloop.scm 89 */
															BgL_res1850z00_2266 = BgL__ortest_1110z00_2270;
														}
													else
														{	/* Trace/isloop.scm 89 */
															long BgL_odepthz00_2271;

															BgL_odepthz00_2271 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2267);
															if ((((long) 2) < BgL_odepthz00_2271))
																{	/* Trace/isloop.scm 89 */
																	obj_t BgL_arg1821z00_2272;

																	BgL_arg1821z00_2272 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2267,
																		((long) 2));
																	BgL_res1850z00_2266 =
																		(BgL_arg1821z00_2272 == BgL_classz00_2259);
																}
															else
																{	/* Trace/isloop.scm 89 */
																	BgL_res1850z00_2266 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2262 = BgL_res1850z00_2266;
										}
										BgL_test1913z00_2570 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2261,
											BgL_arg1823z00_2262);
									}
								}
							}
						}
						if (BgL_test1913z00_2570)
							{	/* Trace/isloop.scm 91 */
								bool_t BgL__ortest_1111z00_2273;

								if (
									(((obj_t)
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2176)))->
												BgL_funz00)) == BgL_funz00_2177))
									{	/* Trace/isloop.scm 91 */
										BgL__ortest_1111z00_2273 = ((bool_t) 0);
									}
								else
									{	/* Trace/isloop.scm 91 */
										BgL__ortest_1111z00_2273 = ((bool_t) 1);
									}
								if (BgL__ortest_1111z00_2273)
									{	/* Trace/isloop.scm 91 */
										return BBOOL(BgL__ortest_1111z00_2273);
									}
								else
									{	/* Trace/isloop.scm 91 */
										return BgL_tailpz00_2178;
									}
							}
						else
							{	/* Trace/isloop.scm 92 */
								BgL_varz00_bglt BgL_arg1581z00_2274;

								BgL_arg1581z00_2274 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2176)))->BgL_funz00);
								return
									BGl_tailzf3zf3zztrace_isloopz00(
									((BgL_nodez00_bglt) BgL_arg1581z00_2274),
									((BgL_variablez00_bglt) BgL_funz00_2177), BFALSE);
							}
					}
				else
					{	/* Trace/isloop.scm 88 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-sequence1323 */
	obj_t BGl_z62tailzf3zd2sequence1323z43zztrace_isloopz00(obj_t BgL_envz00_2179,
		obj_t BgL_nodez00_2180, obj_t BgL_funz00_2181, obj_t BgL_tailpz00_2182)
	{
		{	/* Trace/isloop.scm 75 */
			{
				obj_t BgL_nodesz00_2277;

				BgL_nodesz00_2277 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2180)))->BgL_nodesz00);
			BgL_loopz00_2276:
				if (NULLP(BgL_nodesz00_2277))
					{	/* Trace/isloop.scm 79 */
						return BTRUE;
					}
				else
					{	/* Trace/isloop.scm 79 */
						if (NULLP(CDR(((obj_t) BgL_nodesz00_2277))))
							{	/* Trace/isloop.scm 80 */
								obj_t BgL_arg1548z00_2278;

								BgL_arg1548z00_2278 = CAR(((obj_t) BgL_nodesz00_2277));
								return
									BGl_tailzf3zf3zztrace_isloopz00(
									((BgL_nodez00_bglt) BgL_arg1548z00_2278),
									((BgL_variablez00_bglt) BgL_funz00_2181), BTRUE);
							}
						else
							{	/* Trace/isloop.scm 81 */
								obj_t BgL__andtest_1108z00_2279;

								{	/* Trace/isloop.scm 81 */
									obj_t BgL_arg1552z00_2280;

									BgL_arg1552z00_2280 = CAR(((obj_t) BgL_nodesz00_2277));
									BgL__andtest_1108z00_2279 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_arg1552z00_2280),
										((BgL_variablez00_bglt) BgL_funz00_2181), BFALSE);
								}
								if (CBOOL(BgL__andtest_1108z00_2279))
									{	/* Trace/isloop.scm 81 */
										obj_t BgL_arg1551z00_2281;

										BgL_arg1551z00_2281 = CDR(((obj_t) BgL_nodesz00_2277));
										{
											obj_t BgL_nodesz00_2624;

											BgL_nodesz00_2624 = BgL_arg1551z00_2281;
											BgL_nodesz00_2277 = BgL_nodesz00_2624;
											goto BgL_loopz00_2276;
										}
									}
								else
									{	/* Trace/isloop.scm 81 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* &tail?-var1321 */
	obj_t BGl_z62tailzf3zd2var1321z43zztrace_isloopz00(obj_t BgL_envz00_2183,
		obj_t BgL_nodez00_2184, obj_t BgL_funz00_2185, obj_t BgL_tailpz00_2186)
	{
		{	/* Trace/isloop.scm 68 */
			{	/* Trace/isloop.scm 70 */
				bool_t BgL_tmpz00_2627;

				if (
					(((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2184)))->BgL_variablez00)) ==
						BgL_funz00_2185))
					{	/* Trace/isloop.scm 70 */
						BgL_tmpz00_2627 = ((bool_t) 0);
					}
				else
					{	/* Trace/isloop.scm 70 */
						BgL_tmpz00_2627 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_2627);
			}
		}

	}



/* &tail?-kwote1319 */
	obj_t BGl_z62tailzf3zd2kwote1319z43zztrace_isloopz00(obj_t BgL_envz00_2187,
		obj_t BgL_nodez00_2188, obj_t BgL_funz00_2189, obj_t BgL_tailpz00_2190)
	{
		{	/* Trace/isloop.scm 62 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &tail?-literal1317 */
	obj_t BGl_z62tailzf3zd2literal1317z43zztrace_isloopz00(obj_t BgL_envz00_2191,
		obj_t BgL_nodez00_2192, obj_t BgL_funz00_2193, obj_t BgL_tailpz00_2194)
	{
		{	/* Trace/isloop.scm 56 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_isloopz00()
	{
		{	/* Trace/isloop.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1866z00zztrace_isloopz00));
		}

	}

#ifdef __cplusplus
}
#endif
