/*===========================================================================*/
/*   (Type/misc.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/misc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;


	static long BGl_czd2weightze70z35zztype_miscz00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zztype_miscz00();
	static obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztype_miscz00();
	static obj_t BGl_objectzd2initzd2zztype_miscz00();
	static obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_miscz00();
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt, BgL_typez00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_cnstzd2initzd2zztype_miscz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_gczd2rootszd2initz00zztype_miscz00();
	static obj_t BGl_za2isaza2z00zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[18];


	   
		 
		DEFINE_STRING(BGl_string1603z00zztype_miscz00,
		BgL_bgl_string1603za700za7za7t1607za7, "type_misc", 9);
	      DEFINE_STRING(BGl_string1604z00zztype_miscz00,
		BgL_bgl_string1604za700za7za7t1608za7,
		"__object isa? real double uint64 int64 uint32 int32 uint16 int16 uint8 int8 llong elong long int short char ",
		108);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2lesszd2specificzf3zd2envz21zztype_miscz00,
		BgL_bgl_za762typeza7d2lessza7d1609za7,
		BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2disjointzf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762typeza7d2disjoi1610z00,
		BGl_z62typezd2disjointzf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_czd2subtypezf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762cza7d2subtypeza7f1611za7,
		BGl_z62czd2subtypezf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2predicatezd2ofzd2envzd2zztype_miscz00,
		BgL_bgl_za762appza7d2predica1612z00,
		BGl_z62appzd2predicatezd2ofz62zztype_miscz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2ofzd2envz00zztype_miscz00,
		BgL_bgl_za762isaza7d2ofza7b0za7za71613za7, BGl_z62isazd2ofzb0zztype_miscz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztype_miscz00));
		     ADD_ROOT((void *) (&BGl_za2isaza2z00zztype_miscz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long
		BgL_checksumz00_2165, char *BgL_fromz00_2166)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztype_miscz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztype_miscz00();
					BGl_libraryzd2moduleszd2initz00zztype_miscz00();
					BGl_cnstzd2initzd2zztype_miscz00();
					BGl_importedzd2moduleszd2initz00zztype_miscz00();
					return BGl_toplevelzd2initzd2zztype_miscz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"type_misc");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			{	/* Type/misc.scm 15 */
				obj_t BgL_cportz00_2153;

				{	/* Type/misc.scm 15 */
					obj_t BgL_stringz00_2161;

					BgL_stringz00_2161 = BGl_string1604z00zztype_miscz00;
					{	/* Type/misc.scm 15 */
						obj_t BgL_startz00_2162;

						BgL_startz00_2162 = BINT(((long) 0));
						{	/* Type/misc.scm 15 */
							obj_t BgL_endz00_2163;

							BgL_endz00_2163 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2161)));
							{	/* Type/misc.scm 15 */

								BgL_cportz00_2153 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2161, BgL_startz00_2162, BgL_endz00_2163);
				}}}}
				{
					long BgL_iz00_2154;

					BgL_iz00_2154 = ((long) 17);
				BgL_loopz00_2155:
					if ((BgL_iz00_2154 == ((long) -1)))
						{	/* Type/misc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/misc.scm 15 */
							{	/* Type/misc.scm 15 */
								obj_t BgL_arg1606z00_2157;

								{	/* Type/misc.scm 15 */

									{	/* Type/misc.scm 15 */
										obj_t BgL_locationz00_2159;

										BgL_locationz00_2159 = BBOOL(((bool_t) 0));
										{	/* Type/misc.scm 15 */

											BgL_arg1606z00_2157 =
												BGl_readz00zz__readerz00(BgL_cportz00_2153,
												BgL_locationz00_2159);
										}
									}
								}
								{	/* Type/misc.scm 15 */
									int BgL_tmpz00_2192;

									BgL_tmpz00_2192 = (int) (BgL_iz00_2154);
									CNST_TABLE_SET(BgL_tmpz00_2192, BgL_arg1606z00_2157);
							}}
							{	/* Type/misc.scm 15 */
								int BgL_auxz00_2160;

								BgL_auxz00_2160 = (int) ((BgL_iz00_2154 - ((long) 1)));
								{
									long BgL_iz00_2197;

									BgL_iz00_2197 = (long) (BgL_auxz00_2160);
									BgL_iz00_2154 = BgL_iz00_2197;
									goto BgL_loopz00_2155;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			return (BGl_za2isaza2z00zztype_miscz00 = BFALSE, BUNSPEC);
		}

	}



/* type-less-specific? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt BgL_t1z00_3,
		BgL_typez00_bglt BgL_t2z00_4)
	{
		{	/* Type/misc.scm 38 */
			if ((((obj_t) BgL_t1z00_3) == ((obj_t) BgL_t2z00_4)))
				{	/* Type/misc.scm 40 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/misc.scm 40 */
					if ((((obj_t) BgL_t2z00_4) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 42 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 44 */
							bool_t BgL_test1618z00_2207;

							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
								{	/* Type/misc.scm 44 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
										{	/* Type/misc.scm 44 */
											BgL_test1618z00_2207 = ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 44 */
											BgL_test1618z00_2207 = ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 44 */
									BgL_test1618z00_2207 = ((bool_t) 0);
								}
							if (BgL_test1618z00_2207)
								{	/* Type/misc.scm 45 */
									BgL_typez00_bglt BgL_arg1253z00_1590;

									BgL_arg1253z00_1590 =
										BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_t2z00_4);
									return
										(((obj_t) BgL_t1z00_3) == ((obj_t) BgL_arg1253z00_1590));
								}
							else
								{	/* Type/misc.scm 46 */
									bool_t BgL_test1624z00_2216;

									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
										{	/* Type/misc.scm 46 */
											if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
												{	/* Type/misc.scm 46 */
													BgL_test1624z00_2216 = ((bool_t) 0);
												}
											else
												{	/* Type/misc.scm 46 */
													BgL_test1624z00_2216 = ((bool_t) 1);
												}
										}
									else
										{	/* Type/misc.scm 46 */
											BgL_test1624z00_2216 = ((bool_t) 1);
										}
									if (BgL_test1624z00_2216)
										{	/* Type/misc.scm 46 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 46 */
											if (BGl_typezd2subclasszf3z21zzobject_classz00
												(BgL_t2z00_4, BgL_t1z00_3))
												{	/* Type/misc.scm 48 */
													return ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 48 */
													if (
														(((obj_t) BgL_t1z00_3) ==
															BGl_za2objza2z00zztype_cachez00))
														{	/* Type/misc.scm 50 */
															return ((bool_t) 1);
														}
													else
														{	/* Type/misc.scm 50 */
															if (
																(((obj_t) BgL_t1z00_3) ==
																	BGl_za2pairzd2nilza2zd2zztype_cachez00))
																{	/* Type/misc.scm 53 */
																	bool_t BgL__ortest_1104z00_1601;

																	BgL__ortest_1104z00_1601 =
																		(
																		((obj_t) BgL_t2z00_4) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1104z00_1601)
																		{	/* Type/misc.scm 53 */
																			return BgL__ortest_1104z00_1601;
																		}
																	else
																		{	/* Type/misc.scm 53 */
																			bool_t BgL__ortest_1105z00_1602;

																			BgL__ortest_1105z00_1602 =
																				(
																				((obj_t) BgL_t2z00_4) ==
																				BGl_za2epairza2z00zztype_cachez00);
																			if (BgL__ortest_1105z00_1602)
																				{	/* Type/misc.scm 53 */
																					return BgL__ortest_1105z00_1602;
																				}
																			else
																				{	/* Type/misc.scm 53 */
																					return
																						(
																						((obj_t) BgL_t2z00_4) ==
																						BGl_za2bnilza2z00zztype_cachez00);
																				}
																		}
																}
															else
																{	/* Type/misc.scm 52 */
																	return ((bool_t) 0);
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* &type-less-specific? */
	obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t BgL_envz00_2140,
		obj_t BgL_t1z00_2141, obj_t BgL_t2z00_2142)
	{
		{	/* Type/misc.scm 38 */
			return
				BBOOL(BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2141),
					((BgL_typez00_bglt) BgL_t2z00_2142)));
		}

	}



/* type-disjoint? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt BgL_t1z00_5,
		BgL_typez00_bglt BgL_t2z00_6)
	{
		{	/* Type/misc.scm 63 */
			if ((((obj_t) BgL_t1z00_5) == ((obj_t) BgL_t2z00_6)))
				{	/* Type/misc.scm 65 */
					return ((bool_t) 0);
				}
			else
				{	/* Type/misc.scm 65 */
					if ((((obj_t) BgL_t2z00_6) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 67 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 69 */
							bool_t BgL_test1635z00_2248;

							{	/* Type/misc.scm 69 */
								bool_t BgL_test1636z00_2249;

								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
									{	/* Type/misc.scm 69 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6))
											{	/* Type/misc.scm 69 */
												BgL_test1636z00_2249 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 69 */
												BgL_test1636z00_2249 = ((bool_t) 1);
											}
									}
								else
									{	/* Type/misc.scm 69 */
										BgL_test1636z00_2249 = ((bool_t) 0);
									}
								if (BgL_test1636z00_2249)
									{	/* Type/misc.scm 69 */
										BgL_test1635z00_2248 = ((bool_t) 1);
									}
								else
									{	/* Type/misc.scm 69 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
											{	/* Type/misc.scm 70 */
												BgL_test1635z00_2248 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 70 */
												BgL_test1635z00_2248 =
													BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6);
											}
									}
							}
							if (BgL_test1635z00_2248)
								{	/* Type/misc.scm 73 */
									bool_t BgL_test1640z00_2257;

									if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t1z00_5,
												BgL_t2z00_6)))
										{	/* Type/misc.scm 73 */
											BgL_test1640z00_2257 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 73 */
											BgL_test1640z00_2257 =
												CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
												(BgL_t2z00_6, BgL_t1z00_5));
										}
									if (BgL_test1640z00_2257)
										{	/* Type/misc.scm 73 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 73 */
											return ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 74 */
									bool_t BgL_test1642z00_2263;

									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
										(BgL_t1z00_5, BgL_t2z00_6))
										{	/* Type/misc.scm 74 */
											BgL_test1642z00_2263 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 74 */
											BgL_test1642z00_2263 =
												BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
												(BgL_t2z00_6, BgL_t1z00_5);
										}
									if (BgL_test1642z00_2263)
										{	/* Type/misc.scm 74 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 77 */
											bool_t BgL_test1644z00_2267;

											if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
													(BgL_t1z00_5, BgL_t2z00_6)))
												{	/* Type/misc.scm 77 */
													BgL_test1644z00_2267 = ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 77 */
													BgL_test1644z00_2267 =
														CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
														(BgL_t2z00_6, BgL_t1z00_5));
												}
											if (BgL_test1644z00_2267)
												{	/* Type/misc.scm 77 */
													return ((bool_t) 0);
												}
											else
												{	/* Type/misc.scm 77 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
		}

	}



/* &type-disjoint? */
	obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t BgL_envz00_2143,
		obj_t BgL_t1z00_2144, obj_t BgL_t2z00_2145)
	{
		{	/* Type/misc.scm 63 */
			return
				BBOOL(BGl_typezd2disjointzf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2144),
					((BgL_typez00_bglt) BgL_t2z00_2145)));
		}

	}



/* c-subtype? */
	BGL_EXPORTED_DEF bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt
		BgL_t1z00_7, BgL_typez00_bglt BgL_t2z00_8)
	{
		{	/* Type/misc.scm 87 */
			{	/* Type/misc.scm 109 */
				bool_t BgL_test1646z00_2277;

				if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_7))
					{	/* Type/misc.scm 109 */
						BgL_test1646z00_2277 = ((bool_t) 0);
					}
				else
					{	/* Type/misc.scm 109 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_8))
							{	/* Type/misc.scm 109 */
								BgL_test1646z00_2277 = ((bool_t) 0);
							}
						else
							{	/* Type/misc.scm 109 */
								BgL_test1646z00_2277 = ((bool_t) 1);
							}
					}
				if (BgL_test1646z00_2277)
					{	/* Type/misc.scm 110 */
						long BgL_w1z00_1633;
						long BgL_w2z00_1634;

						BgL_w1z00_1633 = BGl_czd2weightze70z35zztype_miscz00(BgL_t1z00_7);
						BgL_w2z00_1634 = BGl_czd2weightze70z35zztype_miscz00(BgL_t2z00_8);
						if (((BgL_w1z00_1633 * BgL_w2z00_1634) > ((long) 0)))
							{	/* Type/misc.scm 112 */
								return (BgL_w1z00_1633 < BgL_w2z00_1634);
							}
						else
							{	/* Type/misc.scm 112 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Type/misc.scm 109 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* c-weight~0 */
	long BGl_czd2weightze70z35zztype_miscz00(BgL_typez00_bglt BgL_tz00_1639)
	{
		{	/* Type/misc.scm 107 */
			{	/* Type/misc.scm 90 */
				obj_t BgL_casezd2valuezd2_1641;

				BgL_casezd2valuezd2_1641 =
					(((BgL_typez00_bglt) COBJECT(BgL_tz00_1639))->BgL_idz00);
				if ((BgL_casezd2valuezd2_1641 == CNST_TABLE_REF(((long) 0))))
					{	/* Type/misc.scm 90 */
						return ((long) 1);
					}
				else
					{	/* Type/misc.scm 90 */
						if ((BgL_casezd2valuezd2_1641 == CNST_TABLE_REF(((long) 1))))
							{	/* Type/misc.scm 90 */
								return ((long) 2);
							}
						else
							{	/* Type/misc.scm 90 */
								if ((BgL_casezd2valuezd2_1641 == CNST_TABLE_REF(((long) 2))))
									{	/* Type/misc.scm 90 */
										return ((long) 3);
									}
								else
									{	/* Type/misc.scm 90 */
										if (
											(BgL_casezd2valuezd2_1641 == CNST_TABLE_REF(((long) 3))))
											{	/* Type/misc.scm 90 */
												return ((long) 4);
											}
										else
											{	/* Type/misc.scm 90 */
												if (
													(BgL_casezd2valuezd2_1641 ==
														CNST_TABLE_REF(((long) 4))))
													{	/* Type/misc.scm 90 */
														return ((long) 4);
													}
												else
													{	/* Type/misc.scm 90 */
														if (
															(BgL_casezd2valuezd2_1641 ==
																CNST_TABLE_REF(((long) 5))))
															{	/* Type/misc.scm 90 */
																return ((long) 5);
															}
														else
															{	/* Type/misc.scm 90 */
																if (
																	(BgL_casezd2valuezd2_1641 ==
																		CNST_TABLE_REF(((long) 6))))
																	{	/* Type/misc.scm 90 */
																		return ((long) 6);
																	}
																else
																	{	/* Type/misc.scm 90 */
																		if (
																			(BgL_casezd2valuezd2_1641 ==
																				CNST_TABLE_REF(((long) 7))))
																			{	/* Type/misc.scm 90 */
																				return ((long) 7);
																			}
																		else
																			{	/* Type/misc.scm 90 */
																				if (
																					(BgL_casezd2valuezd2_1641 ==
																						CNST_TABLE_REF(((long) 8))))
																					{	/* Type/misc.scm 90 */
																						return ((long) 8);
																					}
																				else
																					{	/* Type/misc.scm 90 */
																						if (
																							(BgL_casezd2valuezd2_1641 ==
																								CNST_TABLE_REF(((long) 9))))
																							{	/* Type/misc.scm 90 */
																								return ((long) 9);
																							}
																						else
																							{	/* Type/misc.scm 90 */
																								if (
																									(BgL_casezd2valuezd2_1641 ==
																										CNST_TABLE_REF(((long)
																												10))))
																									{	/* Type/misc.scm 90 */
																										return ((long) 10);
																									}
																								else
																									{	/* Type/misc.scm 90 */
																										if (
																											(BgL_casezd2valuezd2_1641
																												==
																												CNST_TABLE_REF(((long)
																														11))))
																											{	/* Type/misc.scm 90 */
																												return ((long) 11);
																											}
																										else
																											{	/* Type/misc.scm 90 */
																												if (
																													(BgL_casezd2valuezd2_1641
																														==
																														CNST_TABLE_REF((
																																(long) 12))))
																													{	/* Type/misc.scm 90 */
																														return ((long) 12);
																													}
																												else
																													{	/* Type/misc.scm 90 */
																														if (
																															(BgL_casezd2valuezd2_1641
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		13))))
																															{	/* Type/misc.scm 90 */
																																return ((long)
																																	13);
																															}
																														else
																															{	/* Type/misc.scm 90 */
																																if (
																																	(BgL_casezd2valuezd2_1641
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				14))))
																																	{	/* Type/misc.scm 90 */
																																		return (
																																			(long)
																																			-1);
																																	}
																																else
																																	{	/* Type/misc.scm 90 */
																																		if (
																																			(BgL_casezd2valuezd2_1641
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						15))))
																																			{	/* Type/misc.scm 90 */
																																				return (
																																					(long)
																																					-2);
																																			}
																																		else
																																			{	/* Type/misc.scm 90 */
																																				return (
																																					(long)
																																					-1);
		}}}}}}}}}}}}}}}}}}

	}



/* &c-subtype? */
	obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t BgL_envz00_2146,
		obj_t BgL_t1z00_2147, obj_t BgL_t2z00_2148)
	{
		{	/* Type/misc.scm 87 */
			return
				BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2147),
					((BgL_typez00_bglt) BgL_t2z00_2148)));
		}

	}



/* isa-of */
	BGL_EXPORTED_DEF obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt
		BgL_nodez00_9)
	{
		{	/* Type/misc.scm 122 */
			{	/* Type/misc.scm 123 */
				bool_t BgL_test1667z00_2341;

				{	/* Type/misc.scm 123 */
					obj_t BgL_classz00_1896;

					BgL_classz00_1896 = BGl_appz00zzast_nodez00;
					{	/* Type/misc.scm 123 */
						BgL_objectz00_bglt BgL_arg1825z00_1898;

						{	/* Type/misc.scm 123 */
							obj_t BgL_tmpz00_2342;

							BgL_tmpz00_2342 = ((obj_t) BgL_nodez00_9);
							BgL_arg1825z00_1898 = (BgL_objectz00_bglt) (BgL_tmpz00_2342);
						}
						{	/* Type/misc.scm 123 */
							bool_t BgL_arg1822z00_1901;
							bool_t BgL_arg1823z00_1902;

							{	/* Type/misc.scm 123 */
								long BgL_idxz00_1905;

								BgL_idxz00_1905 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1898);
								BgL_arg1822z00_1901 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1905 + ((long) 3))) == BgL_classz00_1896);
							}
							{	/* Type/misc.scm 123 */
								bool_t BgL_res1596z00_1927;

								{	/* Type/misc.scm 123 */
									obj_t BgL_oclassz00_1913;

									{	/* Type/misc.scm 123 */
										long BgL_arg1833z00_1919;

										{	/* Type/misc.scm 123 */
											long BgL_arg1834z00_1920;

											BgL_arg1834z00_1920 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1898);
											BgL_arg1833z00_1919 = (BgL_arg1834z00_1920 - OBJECT_TYPE);
										}
										BgL_oclassz00_1913 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_1919);
									}
									{	/* Type/misc.scm 123 */
										bool_t BgL__ortest_1110z00_1914;

										BgL__ortest_1110z00_1914 =
											(BgL_classz00_1896 == BgL_oclassz00_1913);
										if (BgL__ortest_1110z00_1914)
											{	/* Type/misc.scm 123 */
												BgL_res1596z00_1927 = BgL__ortest_1110z00_1914;
											}
										else
											{	/* Type/misc.scm 123 */
												long BgL_odepthz00_1915;

												BgL_odepthz00_1915 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1913);
												if ((((long) 3) < BgL_odepthz00_1915))
													{	/* Type/misc.scm 123 */
														obj_t BgL_arg1821z00_1917;

														BgL_arg1821z00_1917 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1913,
															((long) 3));
														BgL_res1596z00_1927 =
															(BgL_arg1821z00_1917 == BgL_classz00_1896);
													}
												else
													{	/* Type/misc.scm 123 */
														BgL_res1596z00_1927 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_1902 = BgL_res1596z00_1927;
							}
							BgL_test1667z00_2341 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_1901, BgL_arg1823z00_1902);
						}
					}
				}
				if (BgL_test1667z00_2341)
					{	/* Type/misc.scm 123 */
						{	/* Type/misc.scm 124 */
							bool_t BgL_test1671z00_2360;

							{	/* Type/misc.scm 124 */
								obj_t BgL_objz00_1928;

								BgL_objz00_1928 = BGl_za2isaza2z00zztype_miscz00;
								{	/* Type/misc.scm 124 */
									obj_t BgL_classz00_1929;

									BgL_classz00_1929 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_objz00_1928))
										{	/* Type/misc.scm 124 */
											BgL_objectz00_bglt BgL_arg1825z00_1931;

											BgL_arg1825z00_1931 =
												(BgL_objectz00_bglt) (BgL_objz00_1928);
											{	/* Type/misc.scm 124 */
												bool_t BgL_arg1822z00_1934;
												bool_t BgL_arg1823z00_1935;

												{	/* Type/misc.scm 124 */
													long BgL_idxz00_1938;

													BgL_idxz00_1938 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1931);
													BgL_arg1822z00_1934 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1938 + ((long) 2))) ==
														BgL_classz00_1929);
												}
												{	/* Type/misc.scm 124 */
													bool_t BgL_res1597z00_1960;

													{	/* Type/misc.scm 124 */
														obj_t BgL_oclassz00_1946;

														{	/* Type/misc.scm 124 */
															long BgL_arg1833z00_1952;

															{	/* Type/misc.scm 124 */
																long BgL_arg1834z00_1953;

																BgL_arg1834z00_1953 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1931);
																BgL_arg1833z00_1952 =
																	(BgL_arg1834z00_1953 - OBJECT_TYPE);
															}
															BgL_oclassz00_1946 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_1952);
														}
														{	/* Type/misc.scm 124 */
															bool_t BgL__ortest_1110z00_1947;

															BgL__ortest_1110z00_1947 =
																(BgL_classz00_1929 == BgL_oclassz00_1946);
															if (BgL__ortest_1110z00_1947)
																{	/* Type/misc.scm 124 */
																	BgL_res1597z00_1960 =
																		BgL__ortest_1110z00_1947;
																}
															else
																{	/* Type/misc.scm 124 */
																	long BgL_odepthz00_1948;

																	BgL_odepthz00_1948 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1946);
																	if ((((long) 2) < BgL_odepthz00_1948))
																		{	/* Type/misc.scm 124 */
																			obj_t BgL_arg1821z00_1950;

																			BgL_arg1821z00_1950 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1946, ((long) 2));
																			BgL_res1597z00_1960 =
																				(BgL_arg1821z00_1950 ==
																				BgL_classz00_1929);
																		}
																	else
																		{	/* Type/misc.scm 124 */
																			BgL_res1597z00_1960 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_1935 = BgL_res1597z00_1960;
												}
												BgL_test1671z00_2360 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_1934,
													BgL_arg1823z00_1935);
											}
										}
									else
										{	/* Type/misc.scm 124 */
											BgL_test1671z00_2360 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1671z00_2360)
								{	/* Type/misc.scm 124 */
									BFALSE;
								}
							else
								{	/* Type/misc.scm 124 */
									BGl_za2isaza2z00zztype_miscz00 =
										BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF((
												(long) 16)), CNST_TABLE_REF(((long) 17)));
						}}
						{	/* Type/misc.scm 127 */
							bool_t BgL_test1675z00_2382;

							{	/* Type/misc.scm 127 */
								obj_t BgL_tmpz00_2383;

								BgL_tmpz00_2383 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_9)))->BgL_argsz00);
								BgL_test1675z00_2382 = PAIRP(BgL_tmpz00_2383);
							}
							if (BgL_test1675z00_2382)
								{	/* Type/misc.scm 128 */
									bool_t BgL_test1676z00_2387;

									{	/* Type/misc.scm 128 */
										bool_t BgL_test1677z00_2388;

										{	/* Type/misc.scm 128 */
											BgL_variablez00_bglt BgL_arg1341z00_1689;

											BgL_arg1341z00_1689 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_funz00)))->BgL_variablez00);
											BgL_test1677z00_2388 =
												(((obj_t) BgL_arg1341z00_1689) ==
												BGl_za2isaza2z00zztype_miscz00);
										}
										if (BgL_test1677z00_2388)
											{	/* Type/misc.scm 129 */
												bool_t BgL_test1678z00_2394;

												{	/* Type/misc.scm 129 */
													obj_t BgL_arg1339z00_1687;

													{	/* Type/misc.scm 129 */
														obj_t BgL_pairz00_1962;

														BgL_pairz00_1962 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_argsz00);
														BgL_arg1339z00_1687 = CAR(CDR(BgL_pairz00_1962));
													}
													{	/* Type/misc.scm 129 */
														obj_t BgL_classz00_1966;

														BgL_classz00_1966 = BGl_varz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_arg1339z00_1687))
															{	/* Type/misc.scm 129 */
																BgL_objectz00_bglt BgL_arg1825z00_1968;

																BgL_arg1825z00_1968 =
																	(BgL_objectz00_bglt) (BgL_arg1339z00_1687);
																{	/* Type/misc.scm 129 */
																	bool_t BgL_arg1822z00_1971;
																	bool_t BgL_arg1823z00_1972;

																	{	/* Type/misc.scm 129 */
																		long BgL_idxz00_1975;

																		BgL_idxz00_1975 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_1968);
																		BgL_arg1822z00_1971 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1975 + ((long) 2))) ==
																			BgL_classz00_1966);
																	}
																	{	/* Type/misc.scm 129 */
																		bool_t BgL_res1598z00_1997;

																		{	/* Type/misc.scm 129 */
																			obj_t BgL_oclassz00_1983;

																			{	/* Type/misc.scm 129 */
																				long BgL_arg1833z00_1989;

																				{	/* Type/misc.scm 129 */
																					long BgL_arg1834z00_1990;

																					BgL_arg1834z00_1990 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_1968);
																					BgL_arg1833z00_1989 =
																						(BgL_arg1834z00_1990 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1983 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_1989);
																			}
																			{	/* Type/misc.scm 129 */
																				bool_t BgL__ortest_1110z00_1984;

																				BgL__ortest_1110z00_1984 =
																					(BgL_classz00_1966 ==
																					BgL_oclassz00_1983);
																				if (BgL__ortest_1110z00_1984)
																					{	/* Type/misc.scm 129 */
																						BgL_res1598z00_1997 =
																							BgL__ortest_1110z00_1984;
																					}
																				else
																					{	/* Type/misc.scm 129 */
																						long BgL_odepthz00_1985;

																						BgL_odepthz00_1985 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1983);
																						if ((((long) 2) <
																								BgL_odepthz00_1985))
																							{	/* Type/misc.scm 129 */
																								obj_t BgL_arg1821z00_1987;

																								BgL_arg1821z00_1987 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1983,
																									((long) 2));
																								BgL_res1598z00_1997 =
																									(BgL_arg1821z00_1987 ==
																									BgL_classz00_1966);
																							}
																						else
																							{	/* Type/misc.scm 129 */
																								BgL_res1598z00_1997 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_1972 = BgL_res1598z00_1997;
																	}
																	BgL_test1678z00_2394 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_1971,
																		BgL_arg1823z00_1972);
																}
															}
														else
															{	/* Type/misc.scm 129 */
																BgL_test1678z00_2394 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test1678z00_2394)
													{	/* Type/misc.scm 130 */
														BgL_variablez00_bglt BgL_arg1333z00_1684;

														{
															BgL_varz00_bglt BgL_auxz00_2417;

															{
																obj_t BgL_auxz00_2418;

																{	/* Type/misc.scm 130 */
																	obj_t BgL_pairz00_1998;

																	BgL_pairz00_1998 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 130 */
																		obj_t BgL_pairz00_2001;

																		BgL_pairz00_2001 = CDR(BgL_pairz00_1998);
																		BgL_auxz00_2418 = CAR(BgL_pairz00_2001);
																	}
																}
																BgL_auxz00_2417 =
																	((BgL_varz00_bglt) BgL_auxz00_2418);
															}
															BgL_arg1333z00_1684 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2417))->
																BgL_variablez00);
														}
														{	/* Type/misc.scm 130 */
															obj_t BgL_classz00_2003;

															BgL_classz00_2003 = BGl_globalz00zzast_varz00;
															{	/* Type/misc.scm 130 */
																BgL_objectz00_bglt BgL_arg1825z00_2005;

																{	/* Type/misc.scm 130 */
																	obj_t BgL_tmpz00_2425;

																	BgL_tmpz00_2425 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1333z00_1684));
																	BgL_arg1825z00_2005 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2425);
																}
																{	/* Type/misc.scm 130 */
																	bool_t BgL_arg1822z00_2008;
																	bool_t BgL_arg1823z00_2009;

																	{	/* Type/misc.scm 130 */
																		long BgL_idxz00_2012;

																		BgL_idxz00_2012 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2005);
																		BgL_arg1822z00_2008 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2012 + ((long) 2))) ==
																			BgL_classz00_2003);
																	}
																	{	/* Type/misc.scm 130 */
																		bool_t BgL_res1599z00_2034;

																		{	/* Type/misc.scm 130 */
																			obj_t BgL_oclassz00_2020;

																			{	/* Type/misc.scm 130 */
																				long BgL_arg1833z00_2026;

																				{	/* Type/misc.scm 130 */
																					long BgL_arg1834z00_2027;

																					BgL_arg1834z00_2027 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2005);
																					BgL_arg1833z00_2026 =
																						(BgL_arg1834z00_2027 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2020 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2026);
																			}
																			{	/* Type/misc.scm 130 */
																				bool_t BgL__ortest_1110z00_2021;

																				BgL__ortest_1110z00_2021 =
																					(BgL_classz00_2003 ==
																					BgL_oclassz00_2020);
																				if (BgL__ortest_1110z00_2021)
																					{	/* Type/misc.scm 130 */
																						BgL_res1599z00_2034 =
																							BgL__ortest_1110z00_2021;
																					}
																				else
																					{	/* Type/misc.scm 130 */
																						long BgL_odepthz00_2022;

																						BgL_odepthz00_2022 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2020);
																						if ((((long) 2) <
																								BgL_odepthz00_2022))
																							{	/* Type/misc.scm 130 */
																								obj_t BgL_arg1821z00_2024;

																								BgL_arg1821z00_2024 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2020,
																									((long) 2));
																								BgL_res1599z00_2034 =
																									(BgL_arg1821z00_2024 ==
																									BgL_classz00_2003);
																							}
																						else
																							{	/* Type/misc.scm 130 */
																								BgL_res1599z00_2034 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2009 = BgL_res1599z00_2034;
																	}
																	BgL_test1676z00_2387 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2008,
																		BgL_arg1823z00_2009);
																}
															}
														}
													}
												else
													{	/* Type/misc.scm 129 */
														BgL_test1676z00_2387 = ((bool_t) 0);
													}
											}
										else
											{	/* Type/misc.scm 128 */
												BgL_test1676z00_2387 = ((bool_t) 0);
											}
									}
									if (BgL_test1676z00_2387)
										{	/* Type/misc.scm 131 */
											obj_t BgL_arg1326z00_1678;

											{
												BgL_variablez00_bglt BgL_auxz00_2444;

												{
													BgL_globalz00_bglt BgL_auxz00_2445;

													{
														BgL_variablez00_bglt BgL_auxz00_2446;

														{
															BgL_varz00_bglt BgL_auxz00_2447;

															{
																obj_t BgL_auxz00_2448;

																{	/* Type/misc.scm 131 */
																	obj_t BgL_pairz00_2035;

																	BgL_pairz00_2035 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 131 */
																		obj_t BgL_pairz00_2038;

																		BgL_pairz00_2038 = CDR(BgL_pairz00_2035);
																		BgL_auxz00_2448 = CAR(BgL_pairz00_2038);
																	}
																}
																BgL_auxz00_2447 =
																	((BgL_varz00_bglt) BgL_auxz00_2448);
															}
															BgL_auxz00_2446 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2447))->
																BgL_variablez00);
														}
														BgL_auxz00_2445 =
															((BgL_globalz00_bglt) BgL_auxz00_2446);
													}
													BgL_auxz00_2444 =
														((BgL_variablez00_bglt) BgL_auxz00_2445);
												}
												BgL_arg1326z00_1678 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2444))->
													BgL_idz00);
											}
											return
												((obj_t)
												BGl_findzd2typezd2zztype_envz00(BgL_arg1326z00_1678));
										}
									else
										{	/* Type/misc.scm 128 */
											return BFALSE;
										}
								}
							else
								{	/* Type/misc.scm 127 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Type/misc.scm 123 */
						return BFALSE;
					}
			}
		}

	}



/* &isa-of */
	obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t BgL_envz00_2149,
		obj_t BgL_nodez00_2150)
	{
		{	/* Type/misc.scm 122 */
			return
				BGl_isazd2ofzd2zztype_miscz00(((BgL_nodez00_bglt) BgL_nodez00_2150));
		}

	}



/* app-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt BgL_nodez00_10)
	{
		{	/* Type/misc.scm 136 */
			{	/* Type/misc.scm 138 */
				BgL_valuez00_bglt BgL_valz00_1693;

				BgL_valz00_1693 =
					(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_10))->
											BgL_funz00)))->BgL_variablez00)))->BgL_valuez00);
				{	/* Type/misc.scm 139 */
					obj_t BgL__ortest_1113z00_1694;

					BgL__ortest_1113z00_1694 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_valz00_1693)))->BgL_predicatezd2ofzd2);
					if (CBOOL(BgL__ortest_1113z00_1694))
						{	/* Type/misc.scm 139 */
							return BgL__ortest_1113z00_1694;
						}
					else
						{	/* Type/misc.scm 139 */
							return
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_10));
						}
				}
			}
		}

	}



/* &app-predicate-of */
	obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t BgL_envz00_2151,
		obj_t BgL_nodez00_2152)
	{
		{	/* Type/misc.scm 136 */
			return
				BGl_appzd2predicatezd2ofz00zztype_miscz00(
				((BgL_appz00_bglt) BgL_nodez00_2152));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00()
	{
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1603z00zztype_miscz00));
		}

	}

#ifdef __cplusplus
}
#endif
