/*===========================================================================*/
/*   (Uncell/walk.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Uncell/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2infozf2_bgl
	{
		bool_t BgL_escapez00;
	}                      *BgL_localzf2infozf2_bglt;


	static obj_t BGl_z62markzd2cellzd2letzd2var1342zb0zzuncell_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzuncell_walkz00 = BUNSPEC;
	static obj_t BGl_z62markzd2cellzd2boxzd2ref1344zb0zzuncell_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62uncellz121347z70zzuncell_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_uncellz12z12zzuncell_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzuncell_walkz00();
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzuncell_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzuncell_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzuncell_walkz00();
	static obj_t BGl_z62uncellzd2walkz12za2zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_uncellzd2funz12zc0zzuncell_walkz00(obj_t);
	static obj_t BGl_localzf2infozf2zzuncell_walkz00 = BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62markzd2cell1337zb0zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62markzd2cellzb0zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2letzd2var1350z70zzuncell_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static BgL_nodez00_bglt BGl_z62uncellz12z70zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2boxzd2ref1352z70zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62markzd2cellzd2var1340z62zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_markzd2cellzd2zzuncell_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzuncell_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzuncell_walkz00();
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2boxzd2setz121354z62zzuncell_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzuncell_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzuncell_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62markzd2cellzd2boxzd2setz121346za2zzuncell_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31555ze3ze5zzuncell_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1544z62zzuncell_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_localz00_bglt BGl_z62lambda1552z62zzuncell_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1556z62zzuncell_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzuncell_walkz00(obj_t);
	static obj_t BGl_z62lambda1582z62zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzuncell_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string1901z00zzuncell_walkz00,
		BgL_bgl_string1901za700za7za7u1905za7, "uncell_walk", 11);
	      DEFINE_STRING(BGl_string1902z00zzuncell_walkz00,
		BgL_bgl_string1902za700za7za7u1906za7,
		"read _ uncell_walk local/info bool escape pass-started ", 55);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2b1907za7,
		BGl_z62uncellz12zd2boxzd2setz121354z62zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1873z00zzuncell_walkz00,
		BgL_bgl_string1873za700za7za7u1908za7, "Uncell", 6);
	      DEFINE_STRING(BGl_string1874z00zzuncell_walkz00,
		BgL_bgl_string1874za700za7za7u1909za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1875z00zzuncell_walkz00,
		BgL_bgl_string1875za700za7za7u1910za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1876z00zzuncell_walkz00,
		BgL_bgl_string1876za700za7za7u1911za7, " error", 6);
	      DEFINE_STRING(BGl_string1877z00zzuncell_walkz00,
		BgL_bgl_string1877za700za7za7u1912za7, "s", 1);
	      DEFINE_STRING(BGl_string1878z00zzuncell_walkz00,
		BgL_bgl_string1878za700za7za7u1913za7, "", 0);
	      DEFINE_STRING(BGl_string1879z00zzuncell_walkz00,
		BgL_bgl_string1879za700za7za7u1914za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1880z00zzuncell_walkz00,
		BgL_bgl_string1880za700za7za7u1915za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1889z00zzuncell_walkz00,
		BgL_bgl_string1889za700za7za7u1916za7, "mark-cell1337", 13);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncellz12zd2envzc0zzuncell_walkz00,
		BgL_bgl_za762uncellza712za770za71917z00,
		BGl_z62uncellz12z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzuncell_walkz00,
		BgL_bgl_za762za7c3za704anonymo1918za7,
		BGl_z62zc3z04anonymousza31584ze3ze5zzuncell_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzuncell_walkz00,
		BgL_bgl_za762lambda1583za7621919z00, BGl_z62lambda1583z62zzuncell_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzuncell_walkz00,
		BgL_bgl_za762lambda1582za7621920z00, BGl_z62lambda1582z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzuncell_walkz00,
		BgL_bgl_za762lambda1556za7621921z00, BGl_z62lambda1556z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1891z00zzuncell_walkz00,
		BgL_bgl_string1891za700za7za7u1922za7, "uncell!1347", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzuncell_walkz00,
		BgL_bgl_za762za7c3za704anonymo1923za7,
		BGl_z62zc3z04anonymousza31555ze3ze5zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzuncell_walkz00,
		BgL_bgl_za762lambda1552za7621924z00, BGl_z62lambda1552z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1893z00zzuncell_walkz00,
		BgL_bgl_string1893za700za7za7u1925za7, "mark-cell", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzuncell_walkz00,
		BgL_bgl_za762lambda1544za7621926z00, BGl_z62lambda1544z62zzuncell_walkz00,
		0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cell131927z00,
		BGl_z62markzd2cell1337zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1898z00zzuncell_walkz00,
		BgL_bgl_string1898za700za7za7u1928za7, "uncell!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzuncell_walkz00,
		BgL_bgl_za762uncellza71213471929z00,
		BGl_z62uncellz121347z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1930za7,
		BGl_z62markzd2cellzd2var1340z62zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1931za7,
		BGl_z62markzd2cellzd2letzd2var1342zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1932za7,
		BGl_z62markzd2cellzd2boxzd2ref1344zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1933za7,
		BGl_z62markzd2cellzd2boxzd2setz121346za2zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2l1934za7,
		BGl_z62uncellz12zd2letzd2var1350z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2b1935za7,
		BGl_z62uncellz12zd2boxzd2ref1352z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_markzd2cellzd2envz00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7b1936za7,
		BGl_z62markzd2cellzb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncellzd2walkz12zd2envz12zzuncell_walkz00,
		BgL_bgl_za762uncellza7d2walk1937z00,
		BGl_z62uncellzd2walkz12za2zzuncell_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzuncell_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2infozf2zzuncell_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long
		BgL_checksumz00_2485, char *BgL_fromz00_2486)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzuncell_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzuncell_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzuncell_walkz00();
					BGl_libraryzd2moduleszd2initz00zzuncell_walkz00();
					BGl_cnstzd2initzd2zzuncell_walkz00();
					BGl_importedzd2moduleszd2initz00zzuncell_walkz00();
					BGl_objectzd2initzd2zzuncell_walkz00();
					BGl_genericzd2initzd2zzuncell_walkz00();
					BGl_methodzd2initzd2zzuncell_walkz00();
					return BGl_toplevelzd2initzd2zzuncell_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "uncell_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			{	/* Uncell/walk.scm 16 */
				obj_t BgL_cportz00_2369;

				{	/* Uncell/walk.scm 16 */
					obj_t BgL_stringz00_2377;

					BgL_stringz00_2377 = BGl_string1902z00zzuncell_walkz00;
					{	/* Uncell/walk.scm 16 */
						obj_t BgL_startz00_2378;

						BgL_startz00_2378 = BINT(((long) 0));
						{	/* Uncell/walk.scm 16 */
							obj_t BgL_endz00_2379;

							BgL_endz00_2379 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2377)));
							{	/* Uncell/walk.scm 16 */

								BgL_cportz00_2369 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2377, BgL_startz00_2378, BgL_endz00_2379);
				}}}}
				{
					long BgL_iz00_2370;

					BgL_iz00_2370 = ((long) 6);
				BgL_loopz00_2371:
					if ((BgL_iz00_2370 == ((long) -1)))
						{	/* Uncell/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Uncell/walk.scm 16 */
							{	/* Uncell/walk.scm 16 */
								obj_t BgL_arg1904z00_2373;

								{	/* Uncell/walk.scm 16 */

									{	/* Uncell/walk.scm 16 */
										obj_t BgL_locationz00_2375;

										BgL_locationz00_2375 = BBOOL(((bool_t) 0));
										{	/* Uncell/walk.scm 16 */

											BgL_arg1904z00_2373 =
												BGl_readz00zz__readerz00(BgL_cportz00_2369,
												BgL_locationz00_2375);
										}
									}
								}
								{	/* Uncell/walk.scm 16 */
									int BgL_tmpz00_2520;

									BgL_tmpz00_2520 = (int) (BgL_iz00_2370);
									CNST_TABLE_SET(BgL_tmpz00_2520, BgL_arg1904z00_2373);
							}}
							{	/* Uncell/walk.scm 16 */
								int BgL_auxz00_2376;

								BgL_auxz00_2376 = (int) ((BgL_iz00_2370 - ((long) 1)));
								{
									long BgL_iz00_2525;

									BgL_iz00_2525 = (long) (BgL_auxz00_2376);
									BgL_iz00_2370 = BgL_iz00_2525;
									goto BgL_loopz00_2371;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* uncell-walk! */
	BGL_EXPORTED_DEF obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Uncell/walk.scm 41 */
			{	/* Uncell/walk.scm 42 */
				obj_t BgL_list1381z00_1477;

				{	/* Uncell/walk.scm 42 */
					obj_t BgL_arg1382z00_1478;

					{	/* Uncell/walk.scm 42 */
						obj_t BgL_arg1383z00_1479;

						BgL_arg1383z00_1479 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1382z00_1478 =
							MAKE_YOUNG_PAIR(BGl_string1873z00zzuncell_walkz00,
							BgL_arg1383z00_1479);
					}
					BgL_list1381z00_1477 =
						MAKE_YOUNG_PAIR(BGl_string1874z00zzuncell_walkz00,
						BgL_arg1382z00_1478);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1381z00_1477);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1873z00zzuncell_walkz00;
			{	/* Uncell/walk.scm 42 */
				obj_t BgL_g1138z00_1480;

				BgL_g1138z00_1480 = BNIL;
				{
					obj_t BgL_hooksz00_1483;
					obj_t BgL_hnamesz00_1484;

					BgL_hooksz00_1483 = BgL_g1138z00_1480;
					BgL_hnamesz00_1484 = BNIL;
				BgL_zc3z04anonymousza31384ze3z87_1485:
					if (NULLP(BgL_hooksz00_1483))
						{	/* Uncell/walk.scm 42 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Uncell/walk.scm 42 */
							bool_t BgL_test1941z00_2538;

							{	/* Uncell/walk.scm 42 */
								obj_t BgL_fun1417z00_1492;

								BgL_fun1417z00_1492 = CAR(((obj_t) BgL_hooksz00_1483));
								BgL_test1941z00_2538 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1417z00_1492)
									(BgL_fun1417z00_1492, BEOA));
							}
							if (BgL_test1941z00_2538)
								{	/* Uncell/walk.scm 42 */
									obj_t BgL_arg1400z00_1489;
									obj_t BgL_arg1401z00_1490;

									BgL_arg1400z00_1489 = CDR(((obj_t) BgL_hooksz00_1483));
									BgL_arg1401z00_1490 = CDR(((obj_t) BgL_hnamesz00_1484));
									{
										obj_t BgL_hnamesz00_2550;
										obj_t BgL_hooksz00_2549;

										BgL_hooksz00_2549 = BgL_arg1400z00_1489;
										BgL_hnamesz00_2550 = BgL_arg1401z00_1490;
										BgL_hnamesz00_1484 = BgL_hnamesz00_2550;
										BgL_hooksz00_1483 = BgL_hooksz00_2549;
										goto BgL_zc3z04anonymousza31384ze3z87_1485;
									}
								}
							else
								{	/* Uncell/walk.scm 42 */
									obj_t BgL_arg1415z00_1491;

									BgL_arg1415z00_1491 = CAR(((obj_t) BgL_hnamesz00_1484));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1873z00zzuncell_walkz00,
										BGl_string1875z00zzuncell_walkz00, BgL_arg1415z00_1491);
								}
						}
				}
			}
			{
				obj_t BgL_l1326z00_1496;

				BgL_l1326z00_1496 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31419ze3z87_1497:
				if (PAIRP(BgL_l1326z00_1496))
					{	/* Uncell/walk.scm 43 */
						BGl_uncellzd2funz12zc0zzuncell_walkz00(CAR(BgL_l1326z00_1496));
						{
							obj_t BgL_l1326z00_2558;

							BgL_l1326z00_2558 = CDR(BgL_l1326z00_1496);
							BgL_l1326z00_1496 = BgL_l1326z00_2558;
							goto BgL_zc3z04anonymousza31419ze3z87_1497;
						}
					}
				else
					{	/* Uncell/walk.scm 43 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Uncell/walk.scm 44 */
					{	/* Uncell/walk.scm 44 */
						obj_t BgL_port1328z00_1504;

						{	/* Uncell/walk.scm 44 */
							obj_t BgL_tmpz00_2563;

							BgL_tmpz00_2563 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1328z00_1504 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2563);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1328z00_1504);
						bgl_display_string(BGl_string1876z00zzuncell_walkz00,
							BgL_port1328z00_1504);
						{	/* Uncell/walk.scm 44 */
							obj_t BgL_arg1456z00_1505;

							{	/* Uncell/walk.scm 44 */
								bool_t BgL_test1944z00_2568;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Uncell/walk.scm 44 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Uncell/walk.scm 44 */
												BgL_test1944z00_2568 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Uncell/walk.scm 44 */
												BgL_test1944z00_2568 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Uncell/walk.scm 44 */
										BgL_test1944z00_2568 = ((bool_t) 0);
									}
								if (BgL_test1944z00_2568)
									{	/* Uncell/walk.scm 44 */
										BgL_arg1456z00_1505 = BGl_string1877z00zzuncell_walkz00;
									}
								else
									{	/* Uncell/walk.scm 44 */
										BgL_arg1456z00_1505 = BGl_string1878z00zzuncell_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1456z00_1505, BgL_port1328z00_1504);
						}
						bgl_display_string(BGl_string1879z00zzuncell_walkz00,
							BgL_port1328z00_1504);
						bgl_display_char(((unsigned char) 10), BgL_port1328z00_1504);
					}
					{	/* Uncell/walk.scm 44 */
						obj_t BgL_list1460z00_1511;

						BgL_list1460z00_1511 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1460z00_1511);
					}
				}
			else
				{	/* Uncell/walk.scm 44 */
					obj_t BgL_g1140z00_1512;

					BgL_g1140z00_1512 = BNIL;
					{
						obj_t BgL_hooksz00_1515;
						obj_t BgL_hnamesz00_1516;

						BgL_hooksz00_1515 = BgL_g1140z00_1512;
						BgL_hnamesz00_1516 = BNIL;
					BgL_zc3z04anonymousza31461ze3z87_1517:
						if (NULLP(BgL_hooksz00_1515))
							{	/* Uncell/walk.scm 44 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Uncell/walk.scm 44 */
								bool_t BgL_test1948z00_2585;

								{	/* Uncell/walk.scm 44 */
									obj_t BgL_fun1497z00_1524;

									BgL_fun1497z00_1524 = CAR(((obj_t) BgL_hooksz00_1515));
									BgL_test1948z00_2585 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1497z00_1524)
										(BgL_fun1497z00_1524, BEOA));
								}
								if (BgL_test1948z00_2585)
									{	/* Uncell/walk.scm 44 */
										obj_t BgL_arg1477z00_1521;
										obj_t BgL_arg1494z00_1522;

										BgL_arg1477z00_1521 = CDR(((obj_t) BgL_hooksz00_1515));
										BgL_arg1494z00_1522 = CDR(((obj_t) BgL_hnamesz00_1516));
										{
											obj_t BgL_hnamesz00_2597;
											obj_t BgL_hooksz00_2596;

											BgL_hooksz00_2596 = BgL_arg1477z00_1521;
											BgL_hnamesz00_2597 = BgL_arg1494z00_1522;
											BgL_hnamesz00_1516 = BgL_hnamesz00_2597;
											BgL_hooksz00_1515 = BgL_hooksz00_2596;
											goto BgL_zc3z04anonymousza31461ze3z87_1517;
										}
									}
								else
									{	/* Uncell/walk.scm 44 */
										obj_t BgL_arg1496z00_1523;

										BgL_arg1496z00_1523 = CAR(((obj_t) BgL_hnamesz00_1516));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1880z00zzuncell_walkz00, BgL_arg1496z00_1523);
									}
							}
					}
				}
		}

	}



/* &uncell-walk! */
	obj_t BGl_z62uncellzd2walkz12za2zzuncell_walkz00(obj_t BgL_envz00_2301,
		obj_t BgL_globalsz00_2302)
	{
		{	/* Uncell/walk.scm 41 */
			return BGl_uncellzd2walkz12zc0zzuncell_walkz00(BgL_globalsz00_2302);
		}

	}



/* uncell-fun! */
	obj_t BGl_uncellzd2funz12zc0zzuncell_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Uncell/walk.scm 49 */
			{	/* Uncell/walk.scm 50 */
				obj_t BgL_arg1500z00_1527;

				BgL_arg1500z00_1527 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1500z00_1527);
			}
			{	/* Uncell/walk.scm 51 */
				BgL_valuez00_bglt BgL_funz00_1528;

				BgL_funz00_1528 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Uncell/walk.scm 51 */
					obj_t BgL_bodyz00_1529;

					BgL_bodyz00_1529 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1528)))->BgL_bodyz00);
					{	/* Uncell/walk.scm 52 */

						BGl_markzd2cellzd2zzuncell_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1529));
						BGl_uncellz12z12zzuncell_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1529));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_18;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			{	/* Uncell/walk.scm 35 */
				obj_t BgL_arg1542z00_1534;
				obj_t BgL_arg1543z00_1535;

				{	/* Uncell/walk.scm 35 */
					obj_t BgL_v1335z00_1570;

					BgL_v1335z00_1570 = create_vector(((long) 1));
					{	/* Uncell/walk.scm 35 */
						obj_t BgL_arg1570z00_1571;

						BgL_arg1570z00_1571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc1883z00zzuncell_walkz00,
							BGl_proc1882z00zzuncell_walkz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1881z00zzuncell_walkz00,
							CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1335z00_1570, ((long) 0), BgL_arg1570z00_1571);
					}
					BgL_arg1542z00_1534 = BgL_v1335z00_1570;
				}
				{	/* Uncell/walk.scm 35 */
					obj_t BgL_v1336z00_1584;

					BgL_v1336z00_1584 = create_vector(((long) 0));
					BgL_arg1543z00_1535 = BgL_v1336z00_1584;
				}
				return (BGl_localzf2infozf2zzuncell_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 1375),
						BGl_proc1887z00zzuncell_walkz00, BGl_proc1886z00zzuncell_walkz00,
						BFALSE, BGl_proc1885z00zzuncell_walkz00,
						BGl_proc1884z00zzuncell_walkz00, BgL_arg1542z00_1534,
						BgL_arg1543z00_1535), BUNSPEC);
		}}

	}



/* &lambda1556 */
	BgL_localz00_bglt BGl_z62lambda1556z62zzuncell_walkz00(obj_t BgL_envz00_2310,
		obj_t BgL_o1121z00_2311)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				long BgL_arg1563z00_2382;

				{	/* Uncell/walk.scm 35 */
					obj_t BgL_arg1564z00_2383;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_arg1567z00_2384;

						{	/* Uncell/walk.scm 35 */
							long BgL_arg1833z00_2385;

							{	/* Uncell/walk.scm 35 */
								long BgL_arg1834z00_2386;

								BgL_arg1834z00_2386 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_2311)));
								BgL_arg1833z00_2385 = (BgL_arg1834z00_2386 - OBJECT_TYPE);
							}
							BgL_arg1567z00_2384 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2385);
						}
						BgL_arg1564z00_2383 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1567z00_2384);
					}
					{	/* Uncell/walk.scm 35 */
						obj_t BgL_tmpz00_2629;

						BgL_tmpz00_2629 = ((obj_t) BgL_arg1564z00_2383);
						BgL_arg1563z00_2382 = BGL_CLASS_NUM(BgL_tmpz00_2629);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_2311)), BgL_arg1563z00_2382);
			}
			{	/* Uncell/walk.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_2635;

				BgL_tmpz00_2635 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2311));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2635, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2311));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2311));
		}

	}



/* &<@anonymous:1555> */
	obj_t BGl_z62zc3z04anonymousza31555ze3ze5zzuncell_walkz00(obj_t
		BgL_envz00_2312, obj_t BgL_new1120z00_2313)
	{
		{	/* Uncell/walk.scm 35 */
			{
				BgL_localz00_bglt BgL_auxz00_2643;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2313))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2651;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_classz00_2388;

						BgL_classz00_2388 = BGl_typez00zztype_typez00;
						{	/* Uncell/walk.scm 35 */
							obj_t BgL__ortest_1112z00_2389;

							BgL__ortest_1112z00_2389 = BGL_CLASS_NIL(BgL_classz00_2388);
							if (CBOOL(BgL__ortest_1112z00_2389))
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2651 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2389);
								}
							else
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2651 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2388));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2313))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2651), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2661;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_classz00_2390;

						BgL_classz00_2390 = BGl_valuez00zzast_varz00;
						{	/* Uncell/walk.scm 35 */
							obj_t BgL__ortest_1112z00_2391;

							BgL__ortest_1112z00_2391 = BGL_CLASS_NIL(BgL_classz00_2390);
							if (CBOOL(BgL__ortest_1112z00_2391))
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2661 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_2391);
								}
							else
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2661 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2390));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2313))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2661), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2313))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2313))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2698;

					{
						obj_t BgL_auxz00_2699;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2700;

							BgL_tmpz00_2700 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1120z00_2313));
							BgL_auxz00_2699 = BGL_OBJECT_WIDENING(BgL_tmpz00_2700);
						}
						BgL_auxz00_2698 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2699);
					}
					((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2698))->
							BgL_escapez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_2643 = ((BgL_localz00_bglt) BgL_new1120z00_2313);
				return ((obj_t) BgL_auxz00_2643);
			}
		}

	}



/* &lambda1552 */
	BgL_localz00_bglt BGl_z62lambda1552z62zzuncell_walkz00(obj_t BgL_envz00_2314,
		obj_t BgL_o1117z00_2315)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				BgL_localzf2infozf2_bglt BgL_wide1119z00_2393;

				BgL_wide1119z00_2393 =
					((BgL_localzf2infozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2infozf2_bgl))));
				{	/* Uncell/walk.scm 35 */
					obj_t BgL_auxz00_2713;
					BgL_objectz00_bglt BgL_tmpz00_2709;

					BgL_auxz00_2713 = ((obj_t) BgL_wide1119z00_2393);
					BgL_tmpz00_2709 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2315)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2709, BgL_auxz00_2713);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2315)));
				{	/* Uncell/walk.scm 35 */
					long BgL_arg1554z00_2394;

					BgL_arg1554z00_2394 =
						BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1117z00_2315))), BgL_arg1554z00_2394);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2315)));
			}
		}

	}



/* &lambda1544 */
	BgL_localz00_bglt BGl_z62lambda1544z62zzuncell_walkz00(obj_t BgL_envz00_2316,
		obj_t BgL_id1103z00_2317, obj_t BgL_name1104z00_2318,
		obj_t BgL_type1105z00_2319, obj_t BgL_value1106z00_2320,
		obj_t BgL_access1107z00_2321, obj_t BgL_fastzd2alpha1108zd2_2322,
		obj_t BgL_removable1109z00_2323, obj_t BgL_occurrence1110z00_2324,
		obj_t BgL_occurrencew1111z00_2325, obj_t BgL_userzf31112zf3_2326,
		obj_t BgL_key1113z00_2327, obj_t BgL_valzd2noescape1114zd2_2328,
		obj_t BgL_volatile1115z00_2329, obj_t BgL_escape1116z00_2330)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				long BgL_occurrence1110z00_2398;
				long BgL_occurrencew1111z00_2399;
				bool_t BgL_userzf31112zf3_2400;
				long BgL_key1113z00_2401;
				bool_t BgL_volatile1115z00_2402;
				bool_t BgL_escape1116z00_2403;

				BgL_occurrence1110z00_2398 = (long) CINT(BgL_occurrence1110z00_2324);
				BgL_occurrencew1111z00_2399 = (long) CINT(BgL_occurrencew1111z00_2325);
				BgL_userzf31112zf3_2400 = CBOOL(BgL_userzf31112zf3_2326);
				BgL_key1113z00_2401 = (long) CINT(BgL_key1113z00_2327);
				BgL_volatile1115z00_2402 = CBOOL(BgL_volatile1115z00_2329);
				BgL_escape1116z00_2403 = CBOOL(BgL_escape1116z00_2330);
				{	/* Uncell/walk.scm 35 */
					BgL_localz00_bglt BgL_new1157z00_2404;

					{	/* Uncell/walk.scm 35 */
						BgL_localz00_bglt BgL_tmp1155z00_2405;
						BgL_localzf2infozf2_bglt BgL_wide1156z00_2406;

						{
							BgL_localz00_bglt BgL_auxz00_2733;

							{	/* Uncell/walk.scm 35 */
								BgL_localz00_bglt BgL_new1154z00_2407;

								BgL_new1154z00_2407 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Uncell/walk.scm 35 */
									long BgL_arg1551z00_2408;

									BgL_arg1551z00_2408 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1154z00_2407),
										BgL_arg1551z00_2408);
								}
								{	/* Uncell/walk.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_2738;

									BgL_tmpz00_2738 = ((BgL_objectz00_bglt) BgL_new1154z00_2407);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2738, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1154z00_2407);
								BgL_auxz00_2733 = BgL_new1154z00_2407;
							}
							BgL_tmp1155z00_2405 = ((BgL_localz00_bglt) BgL_auxz00_2733);
						}
						BgL_wide1156z00_2406 =
							((BgL_localzf2infozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2infozf2_bgl))));
						{	/* Uncell/walk.scm 35 */
							obj_t BgL_auxz00_2746;
							BgL_objectz00_bglt BgL_tmpz00_2744;

							BgL_auxz00_2746 = ((obj_t) BgL_wide1156z00_2406);
							BgL_tmpz00_2744 = ((BgL_objectz00_bglt) BgL_tmp1155z00_2405);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2744, BgL_auxz00_2746);
						}
						((BgL_objectz00_bglt) BgL_tmp1155z00_2405);
						{	/* Uncell/walk.scm 35 */
							long BgL_arg1548z00_2409;

							BgL_arg1548z00_2409 =
								BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1155z00_2405),
								BgL_arg1548z00_2409);
						}
						BgL_new1157z00_2404 = ((BgL_localz00_bglt) BgL_tmp1155z00_2405);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1157z00_2404)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2317)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2318), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2319)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2320)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2321), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2322), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2323), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_2398), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_2399), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1157z00_2404)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_2400), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1157z00_2404)))->BgL_keyz00) =
						((long) BgL_key1113z00_2401), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1157z00_2404)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_2328), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1157z00_2404)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_2402), BUNSPEC);
					{
						BgL_localzf2infozf2_bglt BgL_auxz00_2783;

						{
							obj_t BgL_auxz00_2784;

							{	/* Uncell/walk.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_2785;

								BgL_tmpz00_2785 = ((BgL_objectz00_bglt) BgL_new1157z00_2404);
								BgL_auxz00_2784 = BGL_OBJECT_WIDENING(BgL_tmpz00_2785);
							}
							BgL_auxz00_2783 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2784);
						}
						((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2783))->
								BgL_escapez00) = ((bool_t) BgL_escape1116z00_2403), BUNSPEC);
					}
					return BgL_new1157z00_2404;
				}
			}
		}

	}



/* &<@anonymous:1584> */
	obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzuncell_walkz00(obj_t
		BgL_envz00_2331)
	{
		{	/* Uncell/walk.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzuncell_walkz00(obj_t BgL_envz00_2332,
		obj_t BgL_oz00_2333, obj_t BgL_vz00_2334)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				bool_t BgL_vz00_2411;

				BgL_vz00_2411 = CBOOL(BgL_vz00_2334);
				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2792;

					{
						obj_t BgL_auxz00_2793;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2794;

							BgL_tmpz00_2794 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2333));
							BgL_auxz00_2793 = BGL_OBJECT_WIDENING(BgL_tmpz00_2794);
						}
						BgL_auxz00_2792 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2793);
					}
					return
						((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2792))->
							BgL_escapez00) = ((bool_t) BgL_vz00_2411), BUNSPEC);
				}
			}
		}

	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zzuncell_walkz00(obj_t BgL_envz00_2335,
		obj_t BgL_oz00_2336)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				bool_t BgL_tmpz00_2800;

				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2801;

					{
						obj_t BgL_auxz00_2802;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2803;

							BgL_tmpz00_2803 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2336));
							BgL_auxz00_2802 = BGL_OBJECT_WIDENING(BgL_tmpz00_2803);
						}
						BgL_auxz00_2801 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2802);
					}
					BgL_tmpz00_2800 =
						(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2801))->
						BgL_escapez00);
				}
				return BBOOL(BgL_tmpz00_2800);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_proc1888z00zzuncell_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1889z00zzuncell_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00,
				BGl_proc1890z00zzuncell_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1891z00zzuncell_walkz00);
		}

	}



/* &uncell!1347 */
	obj_t BGl_z62uncellz121347z70zzuncell_walkz00(obj_t BgL_envz00_2343,
		obj_t BgL_nodez00_2344)
	{
		{	/* Uncell/walk.scm 104 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2344),
					BGl_uncellz12zd2envzc0zzuncell_walkz00));
		}

	}



/* &mark-cell1337 */
	obj_t BGl_z62markzd2cell1337zb0zzuncell_walkz00(obj_t BgL_envz00_2345,
		obj_t BgL_nodez00_2346)
	{
		{	/* Uncell/walk.scm 64 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2346),
				BGl_markzd2cellzd2envz00zzuncell_walkz00);
		}

	}



/* mark-cell */
	obj_t BGl_markzd2cellzd2zzuncell_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Uncell/walk.scm 64 */
			{	/* Uncell/walk.scm 64 */
				obj_t BgL_method1338z00_1619;

				{	/* Uncell/walk.scm 64 */
					obj_t BgL_res1864z00_2101;

					{	/* Uncell/walk.scm 64 */
						long BgL_objzd2classzd2numz00_2072;

						BgL_objzd2classzd2numz00_2072 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Uncell/walk.scm 64 */
							obj_t BgL_arg1829z00_2073;

							BgL_arg1829z00_2073 =
								PROCEDURE_REF(BGl_markzd2cellzd2envz00zzuncell_walkz00,
								(int) (((long) 1)));
							{	/* Uncell/walk.scm 64 */
								int BgL_offsetz00_2076;

								BgL_offsetz00_2076 = (int) (BgL_objzd2classzd2numz00_2072);
								{	/* Uncell/walk.scm 64 */
									long BgL_offsetz00_2077;

									BgL_offsetz00_2077 =
										((long) (BgL_offsetz00_2076) - OBJECT_TYPE);
									{	/* Uncell/walk.scm 64 */
										long BgL_modz00_2078;

										BgL_modz00_2078 =
											(BgL_offsetz00_2077 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Uncell/walk.scm 64 */
											long BgL_restz00_2080;

											BgL_restz00_2080 =
												(BgL_offsetz00_2077 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Uncell/walk.scm 64 */

												{	/* Uncell/walk.scm 64 */
													obj_t BgL_bucketz00_2082;

													BgL_bucketz00_2082 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2073), BgL_modz00_2078);
													BgL_res1864z00_2101 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2082), BgL_restz00_2080);
					}}}}}}}}
					BgL_method1338z00_1619 = BgL_res1864z00_2101;
				}
				return
					PROCEDURE_ENTRY(BgL_method1338z00_1619) (BgL_method1338z00_1619,
					((obj_t) BgL_nodez00_19), BEOA);
			}
		}

	}



/* &mark-cell */
	obj_t BGl_z62markzd2cellzb0zzuncell_walkz00(obj_t BgL_envz00_2341,
		obj_t BgL_nodez00_2342)
	{
		{	/* Uncell/walk.scm 64 */
			return
				BGl_markzd2cellzd2zzuncell_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2342));
		}

	}



/* uncell! */
	BgL_nodez00_bglt BGl_uncellz12z12zzuncell_walkz00(BgL_nodez00_bglt
		BgL_nodez00_24)
	{
		{	/* Uncell/walk.scm 104 */
			{	/* Uncell/walk.scm 104 */
				obj_t BgL_method1348z00_1620;

				{	/* Uncell/walk.scm 104 */
					obj_t BgL_res1869z00_2132;

					{	/* Uncell/walk.scm 104 */
						long BgL_objzd2classzd2numz00_2103;

						BgL_objzd2classzd2numz00_2103 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_24));
						{	/* Uncell/walk.scm 104 */
							obj_t BgL_arg1829z00_2104;

							BgL_arg1829z00_2104 =
								PROCEDURE_REF(BGl_uncellz12zd2envzc0zzuncell_walkz00,
								(int) (((long) 1)));
							{	/* Uncell/walk.scm 104 */
								int BgL_offsetz00_2107;

								BgL_offsetz00_2107 = (int) (BgL_objzd2classzd2numz00_2103);
								{	/* Uncell/walk.scm 104 */
									long BgL_offsetz00_2108;

									BgL_offsetz00_2108 =
										((long) (BgL_offsetz00_2107) - OBJECT_TYPE);
									{	/* Uncell/walk.scm 104 */
										long BgL_modz00_2109;

										BgL_modz00_2109 =
											(BgL_offsetz00_2108 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Uncell/walk.scm 104 */
											long BgL_restz00_2111;

											BgL_restz00_2111 =
												(BgL_offsetz00_2108 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Uncell/walk.scm 104 */

												{	/* Uncell/walk.scm 104 */
													obj_t BgL_bucketz00_2113;

													BgL_bucketz00_2113 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2104), BgL_modz00_2109);
													BgL_res1869z00_2132 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2113), BgL_restz00_2111);
					}}}}}}}}
					BgL_method1348z00_1620 = BgL_res1869z00_2132;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1348z00_1620) (BgL_method1348z00_1620,
						((obj_t) BgL_nodez00_24), BEOA));
			}
		}

	}



/* &uncell! */
	BgL_nodez00_bglt BGl_z62uncellz12z70zzuncell_walkz00(obj_t BgL_envz00_2338,
		obj_t BgL_nodez00_2339)
	{
		{	/* Uncell/walk.scm 104 */
			return
				BGl_uncellz12z12zzuncell_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2339));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1892z00zzuncell_walkz00, BGl_string1893z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1894z00zzuncell_walkz00,
				BGl_string1893z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1895z00zzuncell_walkz00,
				BGl_string1893z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1896z00zzuncell_walkz00,
				BGl_string1893z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1897z00zzuncell_walkz00, BGl_string1898z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1899z00zzuncell_walkz00, BGl_string1898z00zzuncell_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1900z00zzuncell_walkz00,
				BGl_string1898z00zzuncell_walkz00);
		}

	}



/* &uncell!-box-set!1354 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2boxzd2setz121354z62zzuncell_walkz00(obj_t
		BgL_envz00_2354, obj_t BgL_nodez00_2355)
	{
		{	/* Uncell/walk.scm 137 */
			{	/* Uncell/walk.scm 138 */
				BgL_variablez00_bglt BgL_varz00_2416;

				BgL_varz00_2416 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2355)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Uncell/walk.scm 139 */
					bool_t BgL_test1951z00_2892;

					{	/* Uncell/walk.scm 139 */
						obj_t BgL_classz00_2417;

						BgL_classz00_2417 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 139 */
							obj_t BgL_oclassz00_2418;

							{	/* Uncell/walk.scm 139 */
								long BgL_arg1833z00_2419;

								{	/* Uncell/walk.scm 139 */
									long BgL_arg1834z00_2420;

									BgL_arg1834z00_2420 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_varz00_2416));
									BgL_arg1833z00_2419 = (BgL_arg1834z00_2420 - OBJECT_TYPE);
								}
								BgL_oclassz00_2418 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_2419);
							}
							BgL_test1951z00_2892 = (BgL_oclassz00_2418 == BgL_classz00_2417);
					}}
					if (BgL_test1951z00_2892)
						{	/* Uncell/walk.scm 141 */
							bool_t BgL_test1952z00_2898;

							{
								BgL_localzf2infozf2_bglt BgL_auxz00_2899;

								{
									obj_t BgL_auxz00_2900;

									{	/* Uncell/walk.scm 141 */
										BgL_objectz00_bglt BgL_tmpz00_2901;

										BgL_tmpz00_2901 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_varz00_2416));
										BgL_auxz00_2900 = BGL_OBJECT_WIDENING(BgL_tmpz00_2901);
									}
									BgL_auxz00_2899 =
										((BgL_localzf2infozf2_bglt) BgL_auxz00_2900);
								}
								BgL_test1952z00_2898 =
									(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2899))->
									BgL_escapez00);
							}
							if (BgL_test1952z00_2898)
								{	/* Uncell/walk.scm 141 */
									return
										BGl_walk0z12z12zzast_walkz00(
										((BgL_nodez00_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2355)),
										BGl_uncellz12zd2envzc0zzuncell_walkz00);
								}
							else
								{	/* Uncell/walk.scm 143 */
									BgL_setqz00_bglt BgL_new1153z00_2421;

									{	/* Uncell/walk.scm 143 */
										BgL_setqz00_bglt BgL_new1152z00_2422;

										BgL_new1152z00_2422 =
											((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_setqz00_bgl))));
										{	/* Uncell/walk.scm 143 */
											long BgL_arg1713z00_2423;

											BgL_arg1713z00_2423 =
												BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1152z00_2422),
												BgL_arg1713z00_2423);
										}
										{	/* Uncell/walk.scm 143 */
											BgL_objectz00_bglt BgL_tmpz00_2914;

											BgL_tmpz00_2914 =
												((BgL_objectz00_bglt) BgL_new1152z00_2422);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2914, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1152z00_2422);
										BgL_new1153z00_2421 = BgL_new1152z00_2422;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1153z00_2421)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1153z00_2421)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_setqz00_bglt) COBJECT(BgL_new1153z00_2421))->
											BgL_varz00) =
										((BgL_varz00_bglt) (((BgL_boxzd2setz12zc0_bglt)
													COBJECT(((BgL_boxzd2setz12zc0_bglt)
															BgL_nodez00_2355)))->BgL_varz00)), BUNSPEC);
									{
										BgL_nodez00_bglt BgL_auxz00_2926;

										{	/* Uncell/walk.scm 146 */
											BgL_nodez00_bglt BgL_arg1712z00_2424;

											BgL_arg1712z00_2424 =
												(((BgL_boxzd2setz12zc0_bglt) COBJECT(
														((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2355)))->
												BgL_valuez00);
											BgL_auxz00_2926 =
												BGl_uncellz12z12zzuncell_walkz00(BgL_arg1712z00_2424);
										}
										((((BgL_setqz00_bglt) COBJECT(BgL_new1153z00_2421))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) BgL_auxz00_2926), BUNSPEC);
									}
									return ((BgL_nodez00_bglt) BgL_new1153z00_2421);
								}
						}
					else
						{	/* Uncell/walk.scm 139 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2355)),
								BGl_uncellz12zd2envzc0zzuncell_walkz00);
						}
				}
			}
		}

	}



/* &uncell!-box-ref1352 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2boxzd2ref1352z70zzuncell_walkz00(obj_t
		BgL_envz00_2356, obj_t BgL_nodez00_2357)
	{
		{	/* Uncell/walk.scm 125 */
			{	/* Uncell/walk.scm 126 */
				BgL_variablez00_bglt BgL_varz00_2426;

				BgL_varz00_2426 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_boxzd2refzd2_bglt) COBJECT(
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2357)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Uncell/walk.scm 127 */
					bool_t BgL_test1953z00_2938;

					{	/* Uncell/walk.scm 127 */
						obj_t BgL_classz00_2427;

						BgL_classz00_2427 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 127 */
							obj_t BgL_oclassz00_2428;

							{	/* Uncell/walk.scm 127 */
								long BgL_arg1833z00_2429;

								{	/* Uncell/walk.scm 127 */
									long BgL_arg1834z00_2430;

									BgL_arg1834z00_2430 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_varz00_2426));
									BgL_arg1833z00_2429 = (BgL_arg1834z00_2430 - OBJECT_TYPE);
								}
								BgL_oclassz00_2428 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_2429);
							}
							BgL_test1953z00_2938 = (BgL_oclassz00_2428 == BgL_classz00_2427);
					}}
					if (BgL_test1953z00_2938)
						{	/* Uncell/walk.scm 129 */
							bool_t BgL_test1954z00_2944;

							{
								BgL_localzf2infozf2_bglt BgL_auxz00_2945;

								{
									obj_t BgL_auxz00_2946;

									{	/* Uncell/walk.scm 129 */
										BgL_objectz00_bglt BgL_tmpz00_2947;

										BgL_tmpz00_2947 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_varz00_2426));
										BgL_auxz00_2946 = BGL_OBJECT_WIDENING(BgL_tmpz00_2947);
									}
									BgL_auxz00_2945 =
										((BgL_localzf2infozf2_bglt) BgL_auxz00_2946);
								}
								BgL_test1954z00_2944 =
									(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2945))->
									BgL_escapez00);
							}
							if (BgL_test1954z00_2944)
								{	/* Uncell/walk.scm 129 */
									return
										((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2357));
								}
							else
								{	/* Uncell/walk.scm 129 */
									return
										((BgL_nodez00_bglt)
										(((BgL_boxzd2refzd2_bglt) COBJECT(
													((BgL_boxzd2refzd2_bglt) BgL_nodez00_2357)))->
											BgL_varz00));
								}
						}
					else
						{	/* Uncell/walk.scm 127 */
							return
								((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2357));
						}
				}
			}
		}

	}



/* &uncell!-let-var1350 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2letzd2var1350z70zzuncell_walkz00(obj_t
		BgL_envz00_2358, obj_t BgL_nodez00_2359)
	{
		{	/* Uncell/walk.scm 110 */
			{	/* Uncell/walk.scm 112 */
				obj_t BgL_g1334z00_2432;

				BgL_g1334z00_2432 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2359)))->BgL_bindingsz00);
				{
					obj_t BgL_l1332z00_2434;

					BgL_l1332z00_2434 = BgL_g1334z00_2432;
				BgL_zc3z04anonymousza31664ze3z87_2433:
					if (PAIRP(BgL_l1332z00_2434))
						{	/* Uncell/walk.scm 112 */
							{	/* Uncell/walk.scm 113 */
								obj_t BgL_bindingz00_2435;

								BgL_bindingz00_2435 = CAR(BgL_l1332z00_2434);
								{	/* Uncell/walk.scm 113 */
									bool_t BgL_test1956z00_2965;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_2435)))))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 6))))
										{	/* Uncell/walk.scm 114 */
											obj_t BgL_arg1694z00_2436;

											BgL_arg1694z00_2436 = CDR(((obj_t) BgL_bindingz00_2435));
											{	/* Uncell/walk.scm 114 */
												obj_t BgL_classz00_2437;

												BgL_classz00_2437 = BGl_makezd2boxzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1694z00_2436))
													{	/* Uncell/walk.scm 114 */
														BgL_objectz00_bglt BgL_arg1825z00_2438;

														BgL_arg1825z00_2438 =
															(BgL_objectz00_bglt) (BgL_arg1694z00_2436);
														{	/* Uncell/walk.scm 114 */
															bool_t BgL_arg1822z00_2439;
															bool_t BgL_arg1823z00_2440;

															{	/* Uncell/walk.scm 114 */
																long BgL_idxz00_2441;

																BgL_idxz00_2441 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2438);
																BgL_arg1822z00_2439 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2441 + ((long) 3))) ==
																	BgL_classz00_2437);
															}
															{	/* Uncell/walk.scm 114 */
																bool_t BgL_res1871z00_2444;

																{	/* Uncell/walk.scm 114 */
																	obj_t BgL_oclassz00_2445;

																	{	/* Uncell/walk.scm 114 */
																		long BgL_arg1833z00_2446;

																		{	/* Uncell/walk.scm 114 */
																			long BgL_arg1834z00_2447;

																			BgL_arg1834z00_2447 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2438);
																			BgL_arg1833z00_2446 =
																				(BgL_arg1834z00_2447 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2445 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2446);
																	}
																	{	/* Uncell/walk.scm 114 */
																		bool_t BgL__ortest_1110z00_2448;

																		BgL__ortest_1110z00_2448 =
																			(BgL_classz00_2437 == BgL_oclassz00_2445);
																		if (BgL__ortest_1110z00_2448)
																			{	/* Uncell/walk.scm 114 */
																				BgL_res1871z00_2444 =
																					BgL__ortest_1110z00_2448;
																			}
																		else
																			{	/* Uncell/walk.scm 114 */
																				long BgL_odepthz00_2449;

																				BgL_odepthz00_2449 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2445);
																				if ((((long) 3) < BgL_odepthz00_2449))
																					{	/* Uncell/walk.scm 114 */
																						obj_t BgL_arg1821z00_2450;

																						BgL_arg1821z00_2450 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2445, ((long) 3));
																						BgL_res1871z00_2444 =
																							(BgL_arg1821z00_2450 ==
																							BgL_classz00_2437);
																					}
																				else
																					{	/* Uncell/walk.scm 114 */
																						BgL_res1871z00_2444 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2440 = BgL_res1871z00_2444;
															}
															BgL_test1956z00_2965 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2439,
																BgL_arg1823z00_2440);
														}
													}
												else
													{	/* Uncell/walk.scm 114 */
														BgL_test1956z00_2965 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 113 */
											BgL_test1956z00_2965 = ((bool_t) 0);
										}
									if (BgL_test1956z00_2965)
										{	/* Uncell/walk.scm 115 */
											BgL_localz00_bglt BgL_i1149z00_2451;

											BgL_i1149z00_2451 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_bindingz00_2435)));
											{	/* Uncell/walk.scm 116 */
												bool_t BgL_test1961z00_2996;

												{
													BgL_localzf2infozf2_bglt BgL_auxz00_2997;

													{
														obj_t BgL_auxz00_2998;

														{	/* Uncell/walk.scm 116 */
															BgL_objectz00_bglt BgL_tmpz00_2999;

															BgL_tmpz00_2999 =
																((BgL_objectz00_bglt) BgL_i1149z00_2451);
															BgL_auxz00_2998 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2999);
														}
														BgL_auxz00_2997 =
															((BgL_localzf2infozf2_bglt) BgL_auxz00_2998);
													}
													BgL_test1961z00_2996 =
														(((BgL_localzf2infozf2_bglt)
															COBJECT(BgL_auxz00_2997))->BgL_escapez00);
												}
												if (BgL_test1961z00_2996)
													{	/* Uncell/walk.scm 116 */
														BFALSE;
													}
												else
													{	/* Uncell/walk.scm 116 */
														{	/* Uncell/walk.scm 117 */
															BgL_nodez00_bglt BgL_arg1681z00_2452;

															BgL_arg1681z00_2452 =
																(((BgL_makezd2boxzd2_bglt) COBJECT(
																		((BgL_makezd2boxzd2_bglt)
																			CDR(
																				((obj_t) BgL_bindingz00_2435)))))->
																BgL_valuez00);
															{	/* Uncell/walk.scm 117 */
																obj_t BgL_auxz00_3010;
																obj_t BgL_tmpz00_3008;

																BgL_auxz00_3010 = ((obj_t) BgL_arg1681z00_2452);
																BgL_tmpz00_3008 = ((obj_t) BgL_bindingz00_2435);
																SET_CDR(BgL_tmpz00_3008, BgL_auxz00_3010);
															}
														}
														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_i1149z00_2451)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 113 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1332z00_3016;

								BgL_l1332z00_3016 = CDR(BgL_l1332z00_2434);
								BgL_l1332z00_2434 = BgL_l1332z00_3016;
								goto BgL_zc3z04anonymousza31664ze3z87_2433;
							}
						}
					else
						{	/* Uncell/walk.scm 112 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_2359)),
				BGl_uncellz12zd2envzc0zzuncell_walkz00);
		}

	}



/* &mark-cell-box-set!1346 */
	obj_t BGl_z62markzd2cellzd2boxzd2setz121346za2zzuncell_walkz00(obj_t
		BgL_envz00_2360, obj_t BgL_nodez00_2361)
	{
		{	/* Uncell/walk.scm 96 */
			return
				BGl_markzd2cellzd2zzuncell_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2361)))->BgL_valuez00));
		}

	}



/* &mark-cell-box-ref1344 */
	obj_t BGl_z62markzd2cellzd2boxzd2ref1344zb0zzuncell_walkz00(obj_t
		BgL_envz00_2362, obj_t BgL_nodez00_2363)
	{
		{	/* Uncell/walk.scm 90 */
			return ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2363));
		}

	}



/* &mark-cell-let-var1342 */
	obj_t BGl_z62markzd2cellzd2letzd2var1342zb0zzuncell_walkz00(obj_t
		BgL_envz00_2364, obj_t BgL_nodez00_2365)
	{
		{	/* Uncell/walk.scm 78 */
			{	/* Uncell/walk.scm 80 */
				obj_t BgL_g1331z00_2456;

				BgL_g1331z00_2456 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2365)))->BgL_bindingsz00);
				{
					obj_t BgL_l1329z00_2458;

					BgL_l1329z00_2458 = BgL_g1331z00_2456;
				BgL_zc3z04anonymousza31608ze3z87_2457:
					if (PAIRP(BgL_l1329z00_2458))
						{	/* Uncell/walk.scm 80 */
							{	/* Uncell/walk.scm 81 */
								obj_t BgL_bindingz00_2459;

								BgL_bindingz00_2459 = CAR(BgL_l1329z00_2458);
								{	/* Uncell/walk.scm 81 */
									bool_t BgL_test1963z00_3031;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_2459)))))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 6))))
										{	/* Uncell/walk.scm 82 */
											obj_t BgL_arg1633z00_2460;

											BgL_arg1633z00_2460 = CDR(((obj_t) BgL_bindingz00_2459));
											{	/* Uncell/walk.scm 82 */
												obj_t BgL_classz00_2461;

												BgL_classz00_2461 = BGl_makezd2boxzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1633z00_2460))
													{	/* Uncell/walk.scm 82 */
														BgL_objectz00_bglt BgL_arg1825z00_2462;

														BgL_arg1825z00_2462 =
															(BgL_objectz00_bglt) (BgL_arg1633z00_2460);
														{	/* Uncell/walk.scm 82 */
															bool_t BgL_arg1822z00_2463;
															bool_t BgL_arg1823z00_2464;

															{	/* Uncell/walk.scm 82 */
																long BgL_idxz00_2465;

																BgL_idxz00_2465 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2462);
																BgL_arg1822z00_2463 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2465 + ((long) 3))) ==
																	BgL_classz00_2461);
															}
															{	/* Uncell/walk.scm 82 */
																bool_t BgL_res1870z00_2468;

																{	/* Uncell/walk.scm 82 */
																	obj_t BgL_oclassz00_2469;

																	{	/* Uncell/walk.scm 82 */
																		long BgL_arg1833z00_2470;

																		{	/* Uncell/walk.scm 82 */
																			long BgL_arg1834z00_2471;

																			BgL_arg1834z00_2471 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2462);
																			BgL_arg1833z00_2470 =
																				(BgL_arg1834z00_2471 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2469 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2470);
																	}
																	{	/* Uncell/walk.scm 82 */
																		bool_t BgL__ortest_1110z00_2472;

																		BgL__ortest_1110z00_2472 =
																			(BgL_classz00_2461 == BgL_oclassz00_2469);
																		if (BgL__ortest_1110z00_2472)
																			{	/* Uncell/walk.scm 82 */
																				BgL_res1870z00_2468 =
																					BgL__ortest_1110z00_2472;
																			}
																		else
																			{	/* Uncell/walk.scm 82 */
																				long BgL_odepthz00_2473;

																				BgL_odepthz00_2473 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2469);
																				if ((((long) 3) < BgL_odepthz00_2473))
																					{	/* Uncell/walk.scm 82 */
																						obj_t BgL_arg1821z00_2474;

																						BgL_arg1821z00_2474 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2469, ((long) 3));
																						BgL_res1870z00_2468 =
																							(BgL_arg1821z00_2474 ==
																							BgL_classz00_2461);
																					}
																				else
																					{	/* Uncell/walk.scm 82 */
																						BgL_res1870z00_2468 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2464 = BgL_res1870z00_2468;
															}
															BgL_test1963z00_3031 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2463,
																BgL_arg1823z00_2464);
														}
													}
												else
													{	/* Uncell/walk.scm 82 */
														BgL_test1963z00_3031 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 81 */
											BgL_test1963z00_3031 = ((bool_t) 0);
										}
									if (BgL_test1963z00_3031)
										{	/* Uncell/walk.scm 83 */
											BgL_localz00_bglt BgL_tmp1144z00_2475;

											BgL_tmp1144z00_2475 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_bindingz00_2459)));
											{	/* Uncell/walk.scm 83 */
												BgL_localzf2infozf2_bglt BgL_wide1146z00_2476;

												BgL_wide1146z00_2476 =
													((BgL_localzf2infozf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localzf2infozf2_bgl))));
												{	/* Uncell/walk.scm 83 */
													obj_t BgL_auxz00_3066;
													BgL_objectz00_bglt BgL_tmpz00_3063;

													BgL_auxz00_3066 = ((obj_t) BgL_wide1146z00_2476);
													BgL_tmpz00_3063 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1144z00_2475));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3063,
														BgL_auxz00_3066);
												}
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1144z00_2475));
												{	/* Uncell/walk.scm 83 */
													long BgL_arg1632z00_2477;

													BgL_arg1632z00_2477 =
														BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_tmp1144z00_2475)),
														BgL_arg1632z00_2477);
												}
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1144z00_2475));
											}
											{
												BgL_localzf2infozf2_bglt BgL_auxz00_3077;

												{
													obj_t BgL_auxz00_3078;

													{	/* Uncell/walk.scm 83 */
														BgL_objectz00_bglt BgL_tmpz00_3079;

														BgL_tmpz00_3079 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_tmp1144z00_2475));
														BgL_auxz00_3078 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3079);
													}
													BgL_auxz00_3077 =
														((BgL_localzf2infozf2_bglt) BgL_auxz00_3078);
												}
												((((BgL_localzf2infozf2_bglt)
															COBJECT(BgL_auxz00_3077))->BgL_escapez00) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
											}
											((obj_t) ((BgL_localz00_bglt) BgL_tmp1144z00_2475));
										}
									else
										{	/* Uncell/walk.scm 81 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1329z00_3087;

								BgL_l1329z00_3087 = CDR(BgL_l1329z00_2458);
								BgL_l1329z00_2458 = BgL_l1329z00_3087;
								goto BgL_zc3z04anonymousza31608ze3z87_2457;
							}
						}
					else
						{	/* Uncell/walk.scm 80 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_2365)),
				BGl_markzd2cellzd2envz00zzuncell_walkz00);
		}

	}



/* &mark-cell-var1340 */
	obj_t BGl_z62markzd2cellzd2var1340z62zzuncell_walkz00(obj_t BgL_envz00_2366,
		obj_t BgL_nodez00_2367)
	{
		{	/* Uncell/walk.scm 70 */
			{	/* Uncell/walk.scm 71 */
				bool_t BgL_test1968z00_3092;

				{	/* Uncell/walk.scm 71 */
					BgL_variablez00_bglt BgL_arg1604z00_2479;

					BgL_arg1604z00_2479 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2367)))->BgL_variablez00);
					{	/* Uncell/walk.scm 71 */
						obj_t BgL_classz00_2480;

						BgL_classz00_2480 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 71 */
							obj_t BgL_oclassz00_2481;

							{	/* Uncell/walk.scm 71 */
								long BgL_arg1833z00_2482;

								{	/* Uncell/walk.scm 71 */
									long BgL_arg1834z00_2483;

									BgL_arg1834z00_2483 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg1604z00_2479));
									BgL_arg1833z00_2482 = (BgL_arg1834z00_2483 - OBJECT_TYPE);
								}
								BgL_oclassz00_2481 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_2482);
							}
							BgL_test1968z00_3092 = (BgL_oclassz00_2481 == BgL_classz00_2480);
				}}}
				if (BgL_test1968z00_3092)
					{	/* Uncell/walk.scm 72 */
						BgL_localz00_bglt BgL_i1142z00_2484;

						BgL_i1142z00_2484 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2367)))->BgL_variablez00));
						{
							BgL_localzf2infozf2_bglt BgL_auxz00_3103;

							{
								obj_t BgL_auxz00_3104;

								{	/* Uncell/walk.scm 73 */
									BgL_objectz00_bglt BgL_tmpz00_3105;

									BgL_tmpz00_3105 = ((BgL_objectz00_bglt) BgL_i1142z00_2484);
									BgL_auxz00_3104 = BGL_OBJECT_WIDENING(BgL_tmpz00_3105);
								}
								BgL_auxz00_3103 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_3104);
							}
							return
								((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_3103))->
									BgL_escapez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						}
					}
				else
					{	/* Uncell/walk.scm 71 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzuncell_walkz00()
	{
		{	/* Uncell/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1901z00zzuncell_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
