/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_uncomp.scm -o objs/obj_p/Eval/evaluate_uncomp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_symbol1914z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_symbol1940z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1942z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1944z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1946z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_symbol1950z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1952z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1954z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1956z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_symbol1958z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_symbol1960z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1962z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1964z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1966z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1968z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_symbol1970z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1972z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62uncomp1200z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_keyword1948z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1951z00zz__evaluate_uncompz00, BgL_bgl_string1951za700za7za7_1976za7, "synchronize", 11 );
DEFINE_STRING( BGl_string1953z00zz__evaluate_uncompz00, BgL_bgl_string1953za700za7za7_1977za7, "with-handler", 12 );
DEFINE_STRING( BGl_string1955z00zz__evaluate_uncompz00, BgL_bgl_string1955za700za7za7_1978za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string1957z00zz__evaluate_uncompz00, BgL_bgl_string1957za700za7za7_1979za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string1959z00zz__evaluate_uncompz00, BgL_bgl_string1959za700za7za7_1980za7, "set!", 4 );
DEFINE_STRING( BGl_string1961z00zz__evaluate_uncompz00, BgL_bgl_string1961za700za7za7_1981za7, "define", 6 );
DEFINE_STRING( BGl_string1963z00zz__evaluate_uncompz00, BgL_bgl_string1963za700za7za7_1982za7, "trap", 4 );
DEFINE_STRING( BGl_string1965z00zz__evaluate_uncompz00, BgL_bgl_string1965za700za7za7_1983za7, "begin", 5 );
DEFINE_STRING( BGl_string1967z00zz__evaluate_uncompz00, BgL_bgl_string1967za700za7za7_1984za7, "and", 3 );
DEFINE_STRING( BGl_string1969z00zz__evaluate_uncompz00, BgL_bgl_string1969za700za7za7_1985za7, "or", 2 );
DEFINE_STRING( BGl_string1971z00zz__evaluate_uncompz00, BgL_bgl_string1971za700za7za7_1986za7, "if", 2 );
DEFINE_STRING( BGl_string1973z00zz__evaluate_uncompz00, BgL_bgl_string1973za700za7za7_1987za7, "quote", 5 );
DEFINE_STRING( BGl_string1974z00zz__evaluate_uncompz00, BgL_bgl_string1974za700za7za7_1988za7, "__evaluate_uncomp", 17 );
DEFINE_STATIC_BGL_GENERIC( BGl_uncompzd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompza762za7za7__1989z00, BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uncompilezd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompileza762za71990za7, BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1909z00zz__evaluate_uncompz00, BgL_bgl_string1909za700za7za7_1991za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/evaluate_uncomp.scm", 68 );
DEFINE_STRING( BGl_string1910z00zz__evaluate_uncompz00, BgL_bgl_string1910za700za7za7_1992za7, "&uncompile", 10 );
DEFINE_STRING( BGl_string1911z00zz__evaluate_uncompz00, BgL_bgl_string1911za700za7za7_1993za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string1913z00zz__evaluate_uncompz00, BgL_bgl_string1913za700za7za7_1994za7, "uncomp1200", 10 );
DEFINE_STRING( BGl_string1915z00zz__evaluate_uncompz00, BgL_bgl_string1915za700za7za7_1995za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1916z00zz__evaluate_uncompz00, BgL_bgl_string1916za700za7za7_1996za7, "&uncomp", 7 );
DEFINE_STRING( BGl_string1918z00zz__evaluate_uncompz00, BgL_bgl_string1918za700za7za7_1997za7, "uncomp", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1912z00zz__evaluate_uncompz00, BgL_bgl_za762uncomp1200za7621998z00, BGl_z62uncomp1200z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1917z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_v1999z00, BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1919z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g2000z00, BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1920z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2001z00, BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1921z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_i2002z00, BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1922z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_o2003z00, BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1923z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2004z00, BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1924z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_p2005z00, BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1925z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_t2006z00, BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1926z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2007z00, BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1927z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_d2008z00, BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1928z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2009z00, BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1929z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_b2010z00, BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1930z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_u2011z00, BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1931z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_w2012z00, BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1932z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2013z00, BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1933z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2014z00, BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1934z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2015z00, BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1941z00zz__evaluate_uncompz00, BgL_bgl_string1941za700za7za7_2016za7, "lambda", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1935z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2017z00, BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1936z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2018z00, BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1943z00zz__evaluate_uncompz00, BgL_bgl_string1943za700za7za7_2019za7, "letrec", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1937z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g2020z00, BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1938z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2021z00, BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1945z00zz__evaluate_uncompz00, BgL_bgl_string1945za700za7za7_2022za7, "let*", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1939z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2023z00, BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1947z00zz__evaluate_uncompz00, BgL_bgl_string1947za700za7za7_2024za7, "let", 3 );
DEFINE_STRING( BGl_string1949z00zz__evaluate_uncompz00, BgL_bgl_string1949za700za7za7_2025za7, "prelock", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1914z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1940z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1942z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1944z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1946z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1950z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1952z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1954z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1956z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1958z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1960z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1962z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1964z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1966z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1968z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1970z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1972z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_keyword1948z00zz__evaluate_uncompz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_uncomp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_uncompilez00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_z62uncompilez62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp1200\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncomp1200z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_uncompz00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncompz62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_abs1246\" \"Eval/evaluate_uncomp.scm\" 4781) \"BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_uncomp.scm\" 4920) \"BGl_recze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"redovars~0\" \"Eval/evaluate_uncomp.scm\" 5012) \"BGl_redovarsze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_app1244\" \"Eval/evaluate_uncomp.scm\" 4662) \"BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_goto1242\" \"Eval/evaluate_uncomp.scm\" 4537) \"BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_labels1240\" \"Eval/evaluate_uncomp.scm\" 4300) \"BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_letrec1238\" \"Eval/evaluate_uncomp.scm\" 4122) \"BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let*1236\" \"Eval/evaluate_uncomp.scm\" 3950) \"BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let1234\" \"Eval/evaluate_uncomp.scm\" 3781) \"BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_synchroniz1232\" \"Eval/evaluate_uncomp.scm\" 3600) \"BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_with-handl1230\" \"Eval/evaluate_uncomp.scm\" 3447) \"BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_unwind-pro1228\" \"Eval/evaluate_uncomp.scm\" 3294) \"BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_bind-exit1226\" \"Eval/evaluate_uncomp.scm\" 3150) \"BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setlocal1224\" \"Eval/evaluate_uncomp.scm\" 3025) \"BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_defglobal1222\" \"Eval/evaluate_uncomp.scm\" 2905) \"BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setglobal1220\" \"Eval/evaluate_uncomp.scm\" 2787) \"BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_trap1218\" \"Eval/evaluate_uncomp.scm\" 2690) \"BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_prog21216\" \"Eval/evaluate_uncomp.scm\" 2464) \"BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_and1214\" \"Eval/evaluate_uncomp.scm\" 2359) \"BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_or1212\" \"Eval/evaluate_uncomp.scm\" 2257) \"BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_if1210\" \"Eval/evaluate_uncomp.scm\" 2138) \"BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_litt1208\" \"Eval/evaluate_uncomp.scm\" 2048) \"BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_global1206\" \"Eval/evaluate_uncomp.scm\" 1955) \"BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_var1204\" \"Eval/evaluate_uncomp.scm\" 1868) \"BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long BgL_checksumz00_2684, char * BgL_fromz00_2685)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(); 
BGl_cnstzd2initzd2zz__evaluate_uncompz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(); 
BGl_genericzd2initzd2zz__evaluate_uncompz00(); 
BGl_methodzd2initzd2zz__evaluate_uncompz00(); 
return 
BGl_profzd2initzd2zz__evaluate_uncompz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_symbol1914z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1913z00zz__evaluate_uncompz00); 
BGl_symbol1940z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1941z00zz__evaluate_uncompz00); 
BGl_symbol1942z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1943z00zz__evaluate_uncompz00); 
BGl_symbol1944z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1945z00zz__evaluate_uncompz00); 
BGl_symbol1946z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1947z00zz__evaluate_uncompz00); 
BGl_keyword1948z00zz__evaluate_uncompz00 = 
bstring_to_keyword(BGl_string1949z00zz__evaluate_uncompz00); 
BGl_symbol1950z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1951z00zz__evaluate_uncompz00); 
BGl_symbol1952z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1953z00zz__evaluate_uncompz00); 
BGl_symbol1954z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1955z00zz__evaluate_uncompz00); 
BGl_symbol1956z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1957z00zz__evaluate_uncompz00); 
BGl_symbol1958z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1959z00zz__evaluate_uncompz00); 
BGl_symbol1960z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1961z00zz__evaluate_uncompz00); 
BGl_symbol1962z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1963z00zz__evaluate_uncompz00); 
BGl_symbol1964z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1965z00zz__evaluate_uncompz00); 
BGl_symbol1966z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1967z00zz__evaluate_uncompz00); 
BGl_symbol1968z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1969z00zz__evaluate_uncompz00); 
BGl_symbol1970z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1971z00zz__evaluate_uncompz00); 
return ( 
BGl_symbol1972z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1973z00zz__evaluate_uncompz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 

}



/* uncompile */
BGL_EXPORTED_DEF obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
{
{ /* Eval/evaluate_uncomp.scm 62 */
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);} 

}



/* &uncompile */
obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2324, obj_t BgL_ez00_2325)
{
{ /* Eval/evaluate_uncomp.scm 62 */
{ /* Eval/evaluate_uncomp.scm 63 */
 BgL_ev_exprz00_bglt BgL_auxz00_2716;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2325, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_auxz00_2716 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2325)
; }  else 
{ 
 obj_t BgL_auxz00_2720;
BgL_auxz00_2720 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1909z00zz__evaluate_uncompz00, 
BINT(((long)1816)), BGl_string1910z00zz__evaluate_uncompz00, BGl_string1911z00zz__evaluate_uncompz00, BgL_ez00_2325); 
FAILURE(BgL_auxz00_2720,BFALSE,BFALSE);} 
return 
BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2716);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_proc1912z00zz__evaluate_uncompz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string1913z00zz__evaluate_uncompz00);} 

}



/* &uncomp1200 */
obj_t BGl_z62uncomp1200z62zz__evaluate_uncompz00(obj_t BgL_envz00_2327, obj_t BgL_ez00_2328)
{
{ /* Eval/evaluate_uncomp.scm 65 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1914z00zz__evaluate_uncompz00, BGl_string1915z00zz__evaluate_uncompz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_2328)));} 

}



/* uncomp */
obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
{
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_method1202z00_1144;
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_res1893z00_2009;
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_objzd2classzd2numz00_1980;
BgL_objzd2classzd2numz00_1980 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_4)); 
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_arg1874z00_1981;
BgL_arg1874z00_1981 = 
PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_uncomp.scm 65 */
 int BgL_offsetz00_1984;
BgL_offsetz00_1984 = 
(int)(BgL_objzd2classzd2numz00_1980); 
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_offsetz00_1985;
BgL_offsetz00_1985 = 
(
(long)(BgL_offsetz00_1984)-OBJECT_TYPE); 
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_modz00_1986;
BgL_modz00_1986 = 
(BgL_offsetz00_1985 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_restz00_1988;
BgL_restz00_1988 = 
(BgL_offsetz00_1985 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_uncomp.scm 65 */

{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_bucketz00_1990;
BgL_bucketz00_1990 = 
VECTOR_REF(
((obj_t)BgL_arg1874z00_1981),BgL_modz00_1986); 
BgL_res1893z00_2009 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1990),BgL_restz00_1988); } } } } } } } } 
BgL_method1202z00_1144 = BgL_res1893z00_2009; } 
return 
PROCEDURE_ENTRY(BgL_method1202z00_1144)(BgL_method1202z00_1144, 
((obj_t)BgL_ez00_4), BEOA);} } 

}



/* &uncomp */
obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2329, obj_t BgL_ez00_2330)
{
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
 BgL_ev_exprz00_bglt BgL_auxz00_2759;
{ /* Eval/evaluate_uncomp.scm 65 */
 bool_t BgL_test2028z00_2760;
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_classz00_2406;
BgL_classz00_2406 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_2330))
{ /* Eval/evaluate_uncomp.scm 65 */
 BgL_objectz00_bglt BgL_arg1872z00_2408; long BgL_arg1873z00_2409;
BgL_arg1872z00_2408 = 
(BgL_objectz00_bglt)(BgL_ez00_2330); 
BgL_arg1873z00_2409 = 
BGL_CLASS_DEPTH(BgL_classz00_2406); 
{ /* Eval/evaluate_uncomp.scm 65 */
 bool_t BgL_arg1866z00_2413; bool_t BgL_arg1868z00_2414;
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_idxz00_2418;
BgL_idxz00_2418 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1872z00_2408); 
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_arg1863z00_2419;
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_arg1864z00_2420;
BgL_arg1864z00_2420 = 
(BgL_idxz00_2418+BgL_arg1873z00_2409); 
BgL_arg1863z00_2419 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1864z00_2420); } 
BgL_arg1866z00_2413 = 
(BgL_arg1863z00_2419==BgL_classz00_2406); } } 
{ /* Eval/evaluate_uncomp.scm 65 */
 bool_t BgL_res1975z00_2443;
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_oclassz00_2428;
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_arg1877z00_2434;
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_arg1878z00_2435;
BgL_arg1878z00_2435 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1872z00_2408); 
BgL_arg1877z00_2434 = 
(BgL_arg1878z00_2435-OBJECT_TYPE); } 
BgL_oclassz00_2428 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1877z00_2434); } 
{ /* Eval/evaluate_uncomp.scm 65 */
 bool_t BgL__ortest_1125z00_2429;
BgL__ortest_1125z00_2429 = 
(BgL_classz00_2406==BgL_oclassz00_2428); 
if(BgL__ortest_1125z00_2429)
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_res1975z00_2443 = BgL__ortest_1125z00_2429; }  else 
{ /* Eval/evaluate_uncomp.scm 65 */
 long BgL_odepthz00_2430;
BgL_odepthz00_2430 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2428); 
if(
(BgL_arg1873z00_2409<BgL_odepthz00_2430))
{ /* Eval/evaluate_uncomp.scm 65 */
 obj_t BgL_arg1865z00_2432;
BgL_arg1865z00_2432 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2428, BgL_arg1873z00_2409); 
BgL_res1975z00_2443 = 
(BgL_arg1865z00_2432==BgL_classz00_2406); }  else 
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_res1975z00_2443 = ((bool_t)0); } } } } 
BgL_arg1868z00_2414 = BgL_res1975z00_2443; } 
BgL_test2028z00_2760 = 
BGL_ISA_C_BACKEND(BgL_arg1866z00_2413, BgL_arg1868z00_2414); } }  else 
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_test2028z00_2760 = ((bool_t)0)
; } } 
if(BgL_test2028z00_2760)
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_auxz00_2759 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2330)
; }  else 
{ 
 obj_t BgL_auxz00_2781;
BgL_auxz00_2781 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1909z00zz__evaluate_uncompz00, 
BINT(((long)1830)), BGl_string1916z00zz__evaluate_uncompz00, BGl_string1911z00zz__evaluate_uncompz00, BgL_ez00_2330); 
FAILURE(BgL_auxz00_2781,BFALSE,BFALSE);} } 
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2759);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1917z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc1919z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1920z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1921z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc1922z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc1923z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc1924z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc1925z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc1926z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc1927z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc1928z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc1929z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc1930z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc1931z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc1932z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1933z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc1934z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc1935z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc1936z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1937z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1938z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1939z00zz__evaluate_uncompz00, BGl_string1918z00zz__evaluate_uncompz00);} 

}



/* &uncomp-ev_abs1246 */
obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2353, obj_t BgL_ez00_2354)
{
{ /* Eval/evaluate_uncomp.scm 157 */
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_arg1527z00_2445;
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_arg1530z00_2446; obj_t BgL_arg1531z00_2447;
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_arg1532z00_2448; obj_t BgL_arg1533z00_2449;
BgL_arg1532z00_2448 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2354)))->BgL_arityz00); 
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_l1182z00_2450;
BgL_l1182z00_2450 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2354)))->BgL_varsz00); 
if(
NULLP(BgL_l1182z00_2450))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1533z00_2449 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_head1184z00_2451;
BgL_head1184z00_2451 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1182z00_2453; obj_t BgL_tail1185z00_2454;
BgL_l1182z00_2453 = BgL_l1182z00_2450; 
BgL_tail1185z00_2454 = BgL_head1184z00_2451; 
BgL_zc3z04anonymousza31535ze3z87_2452:
if(
NULLP(BgL_l1182z00_2453))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1533z00_2449 = 
CDR(BgL_head1184z00_2451); }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_newtail1186z00_2455;
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_arg1538z00_2456;
BgL_arg1538z00_2456 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)
CAR(
((obj_t)BgL_l1182z00_2453)))))->BgL_namez00); 
BgL_newtail1186z00_2455 = 
MAKE_YOUNG_PAIR(BgL_arg1538z00_2456, BNIL); } 
SET_CDR(BgL_tail1185z00_2454, BgL_newtail1186z00_2455); 
{ /* Eval/evaluate_uncomp.scm 166 */
 obj_t BgL_arg1537z00_2457;
BgL_arg1537z00_2457 = 
CDR(
((obj_t)BgL_l1182z00_2453)); 
{ 
 obj_t BgL_tail1185z00_2827; obj_t BgL_l1182z00_2826;
BgL_l1182z00_2826 = BgL_arg1537z00_2457; 
BgL_tail1185z00_2827 = BgL_newtail1186z00_2455; 
BgL_tail1185z00_2454 = BgL_tail1185z00_2827; 
BgL_l1182z00_2453 = BgL_l1182z00_2826; 
goto BgL_zc3z04anonymousza31535ze3z87_2452;} } } } } } 
BgL_arg1530z00_2446 = 
BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1532z00_2448, BgL_arg1533z00_2449); } 
BgL_arg1531z00_2447 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2354)))->BgL_bodyz00)), BNIL); 
BgL_arg1527z00_2445 = 
MAKE_YOUNG_PAIR(BgL_arg1530z00_2446, BgL_arg1531z00_2447); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1940z00zz__evaluate_uncompz00, BgL_arg1527z00_2445);} } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1551)
{
{ /* Eval/evaluate_uncomp.scm 162 */
if(
NULLP(
CDR(
((obj_t)BgL_lz00_1551))))
{ /* Eval/evaluate_uncomp.scm 163 */
return 
CAR(
((obj_t)BgL_lz00_1551));}  else 
{ /* Eval/evaluate_uncomp.scm 165 */
 obj_t BgL_arg1546z00_1555; obj_t BgL_arg1549z00_1556;
BgL_arg1546z00_1555 = 
CAR(
((obj_t)BgL_lz00_1551)); 
{ /* Eval/evaluate_uncomp.scm 165 */
 obj_t BgL_arg1550z00_1557;
BgL_arg1550z00_1557 = 
CDR(
((obj_t)BgL_lz00_1551)); 
BgL_arg1549z00_1556 = 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1550z00_1557); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1546z00_1555, BgL_arg1549z00_1556);} } 

}



/* redovars~0 */
obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1546, obj_t BgL_lz00_1547)
{
{ /* Eval/evaluate_uncomp.scm 165 */
if(
(
(long)CINT(BgL_nz00_1546)>=((long)0)))
{ /* Eval/evaluate_uncomp.scm 160 */
return BgL_lz00_1547;}  else 
{ /* Eval/evaluate_uncomp.scm 160 */
return 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1547);} } 

}



/* &uncomp-ev_app1244 */
obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2355, obj_t BgL_ez00_2356)
{
{ /* Eval/evaluate_uncomp.scm 153 */
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1514z00_2459; obj_t BgL_arg1515z00_2460;
BgL_arg1514z00_2459 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2356)))->BgL_funz00)); 
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1517z00_2461;
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_l1176z00_2462;
BgL_l1176z00_2462 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2356)))->BgL_argsz00); 
if(
NULLP(BgL_l1176z00_2462))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1517z00_2461 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_head1178z00_2463;
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1525z00_2464;
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1526z00_2465;
BgL_arg1526z00_2465 = 
CAR(
((obj_t)BgL_l1176z00_2462)); 
BgL_arg1525z00_2464 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1526z00_2465)); } 
BgL_head1178z00_2463 = 
MAKE_YOUNG_PAIR(BgL_arg1525z00_2464, BNIL); } 
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_g1181z00_2466;
BgL_g1181z00_2466 = 
CDR(
((obj_t)BgL_l1176z00_2462)); 
{ 
 obj_t BgL_l1176z00_2468; obj_t BgL_tail1179z00_2469;
BgL_l1176z00_2468 = BgL_g1181z00_2466; 
BgL_tail1179z00_2469 = BgL_head1178z00_2463; 
BgL_zc3z04anonymousza31519ze3z87_2467:
if(
NULLP(BgL_l1176z00_2468))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1517z00_2461 = BgL_head1178z00_2463; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_newtail1180z00_2470;
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1522z00_2471;
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1524z00_2472;
BgL_arg1524z00_2472 = 
CAR(
((obj_t)BgL_l1176z00_2468)); 
BgL_arg1522z00_2471 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1524z00_2472)); } 
BgL_newtail1180z00_2470 = 
MAKE_YOUNG_PAIR(BgL_arg1522z00_2471, BNIL); } 
SET_CDR(BgL_tail1179z00_2469, BgL_newtail1180z00_2470); 
{ /* Eval/evaluate_uncomp.scm 155 */
 obj_t BgL_arg1521z00_2473;
BgL_arg1521z00_2473 = 
CDR(
((obj_t)BgL_l1176z00_2468)); 
{ 
 obj_t BgL_tail1179z00_2876; obj_t BgL_l1176z00_2875;
BgL_l1176z00_2875 = BgL_arg1521z00_2473; 
BgL_tail1179z00_2876 = BgL_newtail1180z00_2470; 
BgL_tail1179z00_2469 = BgL_tail1179z00_2876; 
BgL_l1176z00_2468 = BgL_l1176z00_2875; 
goto BgL_zc3z04anonymousza31519ze3z87_2467;} } } } } } } 
BgL_arg1515z00_2460 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1517z00_2461, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1514z00_2459, BgL_arg1515z00_2460);} } 

}



/* &uncomp-ev_goto1242 */
obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2357, obj_t BgL_ez00_2358)
{
{ /* Eval/evaluate_uncomp.scm 149 */
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1500z00_2475; obj_t BgL_arg1501z00_2476;
{ /* Eval/evaluate_uncomp.scm 151 */
 BgL_ev_varz00_bglt BgL_arg1503z00_2477;
BgL_arg1503z00_2477 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2358)))->BgL_labelz00); 
BgL_arg1500z00_2475 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1503z00_2477)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1504z00_2478;
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_l1170z00_2479;
BgL_l1170z00_2479 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2358)))->BgL_argsz00); 
if(
NULLP(BgL_l1170z00_2479))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1504z00_2478 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_head1172z00_2480;
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1511z00_2481;
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1513z00_2482;
BgL_arg1513z00_2482 = 
CAR(
((obj_t)BgL_l1170z00_2479)); 
BgL_arg1511z00_2481 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1513z00_2482)); } 
BgL_head1172z00_2480 = 
MAKE_YOUNG_PAIR(BgL_arg1511z00_2481, BNIL); } 
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_g1175z00_2483;
BgL_g1175z00_2483 = 
CDR(
((obj_t)BgL_l1170z00_2479)); 
{ 
 obj_t BgL_l1170z00_2485; obj_t BgL_tail1173z00_2486;
BgL_l1170z00_2485 = BgL_g1175z00_2483; 
BgL_tail1173z00_2486 = BgL_head1172z00_2480; 
BgL_zc3z04anonymousza31506ze3z87_2484:
if(
NULLP(BgL_l1170z00_2485))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1504z00_2478 = BgL_head1172z00_2480; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_newtail1174z00_2487;
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1509z00_2488;
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1510z00_2489;
BgL_arg1510z00_2489 = 
CAR(
((obj_t)BgL_l1170z00_2485)); 
BgL_arg1509z00_2488 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1510z00_2489)); } 
BgL_newtail1174z00_2487 = 
MAKE_YOUNG_PAIR(BgL_arg1509z00_2488, BNIL); } 
SET_CDR(BgL_tail1173z00_2486, BgL_newtail1174z00_2487); 
{ /* Eval/evaluate_uncomp.scm 151 */
 obj_t BgL_arg1508z00_2490;
BgL_arg1508z00_2490 = 
CDR(
((obj_t)BgL_l1170z00_2485)); 
{ 
 obj_t BgL_tail1173z00_2905; obj_t BgL_l1170z00_2904;
BgL_l1170z00_2904 = BgL_arg1508z00_2490; 
BgL_tail1173z00_2905 = BgL_newtail1174z00_2487; 
BgL_tail1173z00_2486 = BgL_tail1173z00_2905; 
BgL_l1170z00_2485 = BgL_l1170z00_2904; 
goto BgL_zc3z04anonymousza31506ze3z87_2484;} } } } } } } 
BgL_arg1501z00_2476 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1504z00_2478, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1500z00_2475, BgL_arg1501z00_2476);} } 

}



/* &uncomp-ev_labels1240 */
obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2359, obj_t BgL_ez00_2360)
{
{ /* Eval/evaluate_uncomp.scm 142 */
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1471z00_2492;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1472z00_2493; obj_t BgL_arg1473z00_2494;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_ll1164z00_2495; obj_t BgL_ll1165z00_2496;
BgL_ll1164z00_2495 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2360)))->BgL_varsz00); 
BgL_ll1165z00_2496 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2360)))->BgL_valsz00); 
if(
NULLP(BgL_ll1164z00_2495))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1472z00_2493 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_head1166z00_2497;
BgL_head1166z00_2497 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_ll1164z00_2499; obj_t BgL_ll1165z00_2500; obj_t BgL_tail1167z00_2501;
BgL_ll1164z00_2499 = BgL_ll1164z00_2495; 
BgL_ll1165z00_2500 = BgL_ll1165z00_2496; 
BgL_tail1167z00_2501 = BgL_head1166z00_2497; 
BgL_zc3z04anonymousza31475ze3z87_2498:
if(
NULLP(BgL_ll1164z00_2499))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1472z00_2493 = 
CDR(BgL_head1166z00_2497); }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_newtail1168z00_2502;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1479z00_2503;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_vz00_2504; obj_t BgL_az00_2505;
BgL_vz00_2504 = 
CAR(
((obj_t)BgL_ll1164z00_2499)); 
BgL_az00_2505 = 
CAR(
((obj_t)BgL_ll1165z00_2500)); 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1480z00_2506; obj_t BgL_arg1481z00_2507;
BgL_arg1480z00_2506 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2504)); 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1483z00_2508;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1484z00_2509;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1485z00_2510; obj_t BgL_arg1486z00_2511;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_l1158z00_2512;
BgL_l1158z00_2512 = 
CAR(
((obj_t)BgL_az00_2505)); 
if(
NULLP(BgL_l1158z00_2512))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1485z00_2510 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_head1160z00_2513;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1493z00_2514;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1494z00_2515;
BgL_arg1494z00_2515 = 
CAR(
((obj_t)BgL_l1158z00_2512)); 
BgL_arg1493z00_2514 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1494z00_2515)); } 
BgL_head1160z00_2513 = 
MAKE_YOUNG_PAIR(BgL_arg1493z00_2514, BNIL); } 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_g1163z00_2516;
BgL_g1163z00_2516 = 
CDR(
((obj_t)BgL_l1158z00_2512)); 
{ 
 obj_t BgL_l1158z00_2518; obj_t BgL_tail1161z00_2519;
BgL_l1158z00_2518 = BgL_g1163z00_2516; 
BgL_tail1161z00_2519 = BgL_head1160z00_2513; 
BgL_zc3z04anonymousza31488ze3z87_2517:
if(
NULLP(BgL_l1158z00_2518))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1485z00_2510 = BgL_head1160z00_2513; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_newtail1162z00_2520;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1491z00_2521;
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1492z00_2522;
BgL_arg1492z00_2522 = 
CAR(
((obj_t)BgL_l1158z00_2518)); 
BgL_arg1491z00_2521 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1492z00_2522)); } 
BgL_newtail1162z00_2520 = 
MAKE_YOUNG_PAIR(BgL_arg1491z00_2521, BNIL); } 
SET_CDR(BgL_tail1161z00_2519, BgL_newtail1162z00_2520); 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1490z00_2523;
BgL_arg1490z00_2523 = 
CDR(
((obj_t)BgL_l1158z00_2518)); 
{ 
 obj_t BgL_tail1161z00_2946; obj_t BgL_l1158z00_2945;
BgL_l1158z00_2945 = BgL_arg1490z00_2523; 
BgL_tail1161z00_2946 = BgL_newtail1162z00_2520; 
BgL_tail1161z00_2519 = BgL_tail1161z00_2946; 
BgL_l1158z00_2518 = BgL_l1158z00_2945; 
goto BgL_zc3z04anonymousza31488ze3z87_2517;} } } } } } } 
{ /* Eval/evaluate_uncomp.scm 145 */
 obj_t BgL_arg1495z00_2524;
{ /* Eval/evaluate_uncomp.scm 145 */
 obj_t BgL_arg1496z00_2525;
BgL_arg1496z00_2525 = 
CDR(
((obj_t)BgL_az00_2505)); 
BgL_arg1495z00_2524 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1496z00_2525)); } 
BgL_arg1486z00_2511 = 
MAKE_YOUNG_PAIR(BgL_arg1495z00_2524, BNIL); } 
BgL_arg1484z00_2509 = 
MAKE_YOUNG_PAIR(BgL_arg1485z00_2510, BgL_arg1486z00_2511); } 
BgL_arg1483z00_2508 = 
MAKE_YOUNG_PAIR(BGl_symbol1940z00zz__evaluate_uncompz00, BgL_arg1484z00_2509); } 
BgL_arg1481z00_2507 = 
MAKE_YOUNG_PAIR(BgL_arg1483z00_2508, BNIL); } 
BgL_arg1479z00_2503 = 
MAKE_YOUNG_PAIR(BgL_arg1480z00_2506, BgL_arg1481z00_2507); } } 
BgL_newtail1168z00_2502 = 
MAKE_YOUNG_PAIR(BgL_arg1479z00_2503, BNIL); } 
SET_CDR(BgL_tail1167z00_2501, BgL_newtail1168z00_2502); 
{ /* Eval/evaluate_uncomp.scm 144 */
 obj_t BgL_arg1477z00_2526; obj_t BgL_arg1478z00_2527;
BgL_arg1477z00_2526 = 
CDR(
((obj_t)BgL_ll1164z00_2499)); 
BgL_arg1478z00_2527 = 
CDR(
((obj_t)BgL_ll1165z00_2500)); 
{ 
 obj_t BgL_tail1167z00_2964; obj_t BgL_ll1165z00_2963; obj_t BgL_ll1164z00_2962;
BgL_ll1164z00_2962 = BgL_arg1477z00_2526; 
BgL_ll1165z00_2963 = BgL_arg1478z00_2527; 
BgL_tail1167z00_2964 = BgL_newtail1168z00_2502; 
BgL_tail1167z00_2501 = BgL_tail1167z00_2964; 
BgL_ll1165z00_2500 = BgL_ll1165z00_2963; 
BgL_ll1164z00_2499 = BgL_ll1164z00_2962; 
goto BgL_zc3z04anonymousza31475ze3z87_2498;} } } } } } 
BgL_arg1473z00_2494 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2360)))->BgL_bodyz00)), BNIL); 
BgL_arg1471z00_2492 = 
MAKE_YOUNG_PAIR(BgL_arg1472z00_2493, BgL_arg1473z00_2494); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1942z00zz__evaluate_uncompz00, BgL_arg1471z00_2492);} } 

}



/* &uncomp-ev_letrec1238 */
obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2361, obj_t BgL_ez00_2362)
{
{ /* Eval/evaluate_uncomp.scm 138 */
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1457z00_2529;
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1458z00_2530; obj_t BgL_arg1459z00_2531;
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_ll1152z00_2532; obj_t BgL_ll1153z00_2533;
BgL_ll1152z00_2532 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2362))))->BgL_varsz00); 
BgL_ll1153z00_2533 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2362))))->BgL_valsz00); 
if(
NULLP(BgL_ll1152z00_2532))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1458z00_2530 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_head1154z00_2534;
BgL_head1154z00_2534 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_ll1152z00_2536; obj_t BgL_ll1153z00_2537; obj_t BgL_tail1155z00_2538;
BgL_ll1152z00_2536 = BgL_ll1152z00_2532; 
BgL_ll1153z00_2537 = BgL_ll1153z00_2533; 
BgL_tail1155z00_2538 = BgL_head1154z00_2534; 
BgL_zc3z04anonymousza31461ze3z87_2535:
if(
NULLP(BgL_ll1152z00_2536))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1458z00_2530 = 
CDR(BgL_head1154z00_2534); }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_newtail1156z00_2539;
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1465z00_2540;
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_vz00_2541; obj_t BgL_az00_2542;
BgL_vz00_2541 = 
CAR(
((obj_t)BgL_ll1152z00_2536)); 
BgL_az00_2542 = 
CAR(
((obj_t)BgL_ll1153z00_2537)); 
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1466z00_2543; obj_t BgL_arg1467z00_2544;
BgL_arg1466z00_2543 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2541)); 
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1468z00_2545;
BgL_arg1468z00_2545 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2542)); 
BgL_arg1467z00_2544 = 
MAKE_YOUNG_PAIR(BgL_arg1468z00_2545, BNIL); } 
BgL_arg1465z00_2540 = 
MAKE_YOUNG_PAIR(BgL_arg1466z00_2543, BgL_arg1467z00_2544); } } 
BgL_newtail1156z00_2539 = 
MAKE_YOUNG_PAIR(BgL_arg1465z00_2540, BNIL); } 
SET_CDR(BgL_tail1155z00_2538, BgL_newtail1156z00_2539); 
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1463z00_2546; obj_t BgL_arg1464z00_2547;
BgL_arg1463z00_2546 = 
CDR(
((obj_t)BgL_ll1152z00_2536)); 
BgL_arg1464z00_2547 = 
CDR(
((obj_t)BgL_ll1153z00_2537)); 
{ 
 obj_t BgL_tail1155z00_3001; obj_t BgL_ll1153z00_3000; obj_t BgL_ll1152z00_2999;
BgL_ll1152z00_2999 = BgL_arg1463z00_2546; 
BgL_ll1153z00_3000 = BgL_arg1464z00_2547; 
BgL_tail1155z00_3001 = BgL_newtail1156z00_2539; 
BgL_tail1155z00_2538 = BgL_tail1155z00_3001; 
BgL_ll1153z00_2537 = BgL_ll1153z00_3000; 
BgL_ll1152z00_2536 = BgL_ll1152z00_2999; 
goto BgL_zc3z04anonymousza31461ze3z87_2535;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 140 */
 obj_t BgL_arg1469z00_2548;
{ /* Eval/evaluate_uncomp.scm 140 */
 BgL_ev_exprz00_bglt BgL_arg1470z00_2549;
BgL_arg1470z00_2549 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2362))))->BgL_bodyz00); 
BgL_arg1469z00_2548 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1470z00_2549); } 
BgL_arg1459z00_2531 = 
MAKE_YOUNG_PAIR(BgL_arg1469z00_2548, BNIL); } 
BgL_arg1457z00_2529 = 
MAKE_YOUNG_PAIR(BgL_arg1458z00_2530, BgL_arg1459z00_2531); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1942z00zz__evaluate_uncompz00, BgL_arg1457z00_2529);} } 

}



/* &uncomp-ev_let*1236 */
obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t BgL_envz00_2363, obj_t BgL_ez00_2364)
{
{ /* Eval/evaluate_uncomp.scm 134 */
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1441z00_2551;
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1442z00_2552; obj_t BgL_arg1443z00_2553;
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_ll1146z00_2554; obj_t BgL_ll1147z00_2555;
BgL_ll1146z00_2554 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2364))))->BgL_varsz00); 
BgL_ll1147z00_2555 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2364))))->BgL_valsz00); 
if(
NULLP(BgL_ll1146z00_2554))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1442z00_2552 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_head1148z00_2556;
BgL_head1148z00_2556 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_ll1146z00_2558; obj_t BgL_ll1147z00_2559; obj_t BgL_tail1149z00_2560;
BgL_ll1146z00_2558 = BgL_ll1146z00_2554; 
BgL_ll1147z00_2559 = BgL_ll1147z00_2555; 
BgL_tail1149z00_2560 = BgL_head1148z00_2556; 
BgL_zc3z04anonymousza31445ze3z87_2557:
if(
NULLP(BgL_ll1146z00_2558))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1442z00_2552 = 
CDR(BgL_head1148z00_2556); }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_newtail1150z00_2561;
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1449z00_2562;
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_vz00_2563; obj_t BgL_az00_2564;
BgL_vz00_2563 = 
CAR(
((obj_t)BgL_ll1146z00_2558)); 
BgL_az00_2564 = 
CAR(
((obj_t)BgL_ll1147z00_2559)); 
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1452z00_2565; obj_t BgL_arg1453z00_2566;
BgL_arg1452z00_2565 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2563)); 
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1454z00_2567;
BgL_arg1454z00_2567 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2564)); 
BgL_arg1453z00_2566 = 
MAKE_YOUNG_PAIR(BgL_arg1454z00_2567, BNIL); } 
BgL_arg1449z00_2562 = 
MAKE_YOUNG_PAIR(BgL_arg1452z00_2565, BgL_arg1453z00_2566); } } 
BgL_newtail1150z00_2561 = 
MAKE_YOUNG_PAIR(BgL_arg1449z00_2562, BNIL); } 
SET_CDR(BgL_tail1149z00_2560, BgL_newtail1150z00_2561); 
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1447z00_2568; obj_t BgL_arg1448z00_2569;
BgL_arg1447z00_2568 = 
CDR(
((obj_t)BgL_ll1146z00_2558)); 
BgL_arg1448z00_2569 = 
CDR(
((obj_t)BgL_ll1147z00_2559)); 
{ 
 obj_t BgL_tail1149z00_3039; obj_t BgL_ll1147z00_3038; obj_t BgL_ll1146z00_3037;
BgL_ll1146z00_3037 = BgL_arg1447z00_2568; 
BgL_ll1147z00_3038 = BgL_arg1448z00_2569; 
BgL_tail1149z00_3039 = BgL_newtail1150z00_2561; 
BgL_tail1149z00_2560 = BgL_tail1149z00_3039; 
BgL_ll1147z00_2559 = BgL_ll1147z00_3038; 
BgL_ll1146z00_2558 = BgL_ll1146z00_3037; 
goto BgL_zc3z04anonymousza31445ze3z87_2557;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 136 */
 obj_t BgL_arg1455z00_2570;
{ /* Eval/evaluate_uncomp.scm 136 */
 BgL_ev_exprz00_bglt BgL_arg1456z00_2571;
BgL_arg1456z00_2571 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2364))))->BgL_bodyz00); 
BgL_arg1455z00_2570 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1456z00_2571); } 
BgL_arg1443z00_2553 = 
MAKE_YOUNG_PAIR(BgL_arg1455z00_2570, BNIL); } 
BgL_arg1441z00_2551 = 
MAKE_YOUNG_PAIR(BgL_arg1442z00_2552, BgL_arg1443z00_2553); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1944z00zz__evaluate_uncompz00, BgL_arg1441z00_2551);} } 

}



/* &uncomp-ev_let1234 */
obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2365, obj_t BgL_ez00_2366)
{
{ /* Eval/evaluate_uncomp.scm 130 */
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1427z00_2573;
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1428z00_2574; obj_t BgL_arg1429z00_2575;
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_ll1140z00_2576; obj_t BgL_ll1141z00_2577;
BgL_ll1140z00_2576 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2366))))->BgL_varsz00); 
BgL_ll1141z00_2577 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2366))))->BgL_valsz00); 
if(
NULLP(BgL_ll1140z00_2576))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1428z00_2574 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_head1142z00_2578;
BgL_head1142z00_2578 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_ll1140z00_2580; obj_t BgL_ll1141z00_2581; obj_t BgL_tail1143z00_2582;
BgL_ll1140z00_2580 = BgL_ll1140z00_2576; 
BgL_ll1141z00_2581 = BgL_ll1141z00_2577; 
BgL_tail1143z00_2582 = BgL_head1142z00_2578; 
BgL_zc3z04anonymousza31431ze3z87_2579:
if(
NULLP(BgL_ll1140z00_2580))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1428z00_2574 = 
CDR(BgL_head1142z00_2578); }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_newtail1144z00_2583;
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1435z00_2584;
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_vz00_2585; obj_t BgL_az00_2586;
BgL_vz00_2585 = 
CAR(
((obj_t)BgL_ll1140z00_2580)); 
BgL_az00_2586 = 
CAR(
((obj_t)BgL_ll1141z00_2581)); 
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1436z00_2587; obj_t BgL_arg1437z00_2588;
BgL_arg1436z00_2587 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2585)); 
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1438z00_2589;
BgL_arg1438z00_2589 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2586)); 
BgL_arg1437z00_2588 = 
MAKE_YOUNG_PAIR(BgL_arg1438z00_2589, BNIL); } 
BgL_arg1435z00_2584 = 
MAKE_YOUNG_PAIR(BgL_arg1436z00_2587, BgL_arg1437z00_2588); } } 
BgL_newtail1144z00_2583 = 
MAKE_YOUNG_PAIR(BgL_arg1435z00_2584, BNIL); } 
SET_CDR(BgL_tail1143z00_2582, BgL_newtail1144z00_2583); 
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1433z00_2590; obj_t BgL_arg1434z00_2591;
BgL_arg1433z00_2590 = 
CDR(
((obj_t)BgL_ll1140z00_2580)); 
BgL_arg1434z00_2591 = 
CDR(
((obj_t)BgL_ll1141z00_2581)); 
{ 
 obj_t BgL_tail1143z00_3077; obj_t BgL_ll1141z00_3076; obj_t BgL_ll1140z00_3075;
BgL_ll1140z00_3075 = BgL_arg1433z00_2590; 
BgL_ll1141z00_3076 = BgL_arg1434z00_2591; 
BgL_tail1143z00_3077 = BgL_newtail1144z00_2583; 
BgL_tail1143z00_2582 = BgL_tail1143z00_3077; 
BgL_ll1141z00_2581 = BgL_ll1141z00_3076; 
BgL_ll1140z00_2580 = BgL_ll1140z00_3075; 
goto BgL_zc3z04anonymousza31431ze3z87_2579;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 132 */
 obj_t BgL_arg1439z00_2592;
{ /* Eval/evaluate_uncomp.scm 132 */
 BgL_ev_exprz00_bglt BgL_arg1440z00_2593;
BgL_arg1440z00_2593 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2366))))->BgL_bodyz00); 
BgL_arg1439z00_2592 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1440z00_2593); } 
BgL_arg1429z00_2575 = 
MAKE_YOUNG_PAIR(BgL_arg1439z00_2592, BNIL); } 
BgL_arg1427z00_2573 = 
MAKE_YOUNG_PAIR(BgL_arg1428z00_2574, BgL_arg1429z00_2575); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1946z00zz__evaluate_uncompz00, BgL_arg1427z00_2573);} } 

}



/* &uncomp-ev_synchroniz1232 */
obj_t BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t BgL_envz00_2367, obj_t BgL_ez00_2368)
{
{ /* Eval/evaluate_uncomp.scm 126 */
{ /* Eval/evaluate_uncomp.scm 128 */
 obj_t BgL_arg1416z00_2595;
{ /* Eval/evaluate_uncomp.scm 128 */
 obj_t BgL_arg1417z00_2596; obj_t BgL_arg1418z00_2597;
BgL_arg1417z00_2596 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2368)))->BgL_mutexz00)); 
{ /* Eval/evaluate_uncomp.scm 128 */
 obj_t BgL_arg1420z00_2598;
{ /* Eval/evaluate_uncomp.scm 128 */
 obj_t BgL_arg1421z00_2599; obj_t BgL_arg1422z00_2600;
BgL_arg1421z00_2599 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2368)))->BgL_prelockz00)); 
BgL_arg1422z00_2600 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2368)))->BgL_bodyz00)), BNIL); 
BgL_arg1420z00_2598 = 
MAKE_YOUNG_PAIR(BgL_arg1421z00_2599, BgL_arg1422z00_2600); } 
BgL_arg1418z00_2597 = 
MAKE_YOUNG_PAIR(BGl_keyword1948z00zz__evaluate_uncompz00, BgL_arg1420z00_2598); } 
BgL_arg1416z00_2595 = 
MAKE_YOUNG_PAIR(BgL_arg1417z00_2596, BgL_arg1418z00_2597); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1950z00zz__evaluate_uncompz00, BgL_arg1416z00_2595);} } 

}



/* &uncomp-ev_with-handl1230 */
obj_t BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t BgL_envz00_2369, obj_t BgL_ez00_2370)
{
{ /* Eval/evaluate_uncomp.scm 122 */
{ /* Eval/evaluate_uncomp.scm 124 */
 obj_t BgL_arg1409z00_2602;
{ /* Eval/evaluate_uncomp.scm 124 */
 obj_t BgL_arg1410z00_2603; obj_t BgL_arg1411z00_2604;
BgL_arg1410z00_2603 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2370)))->BgL_handlerz00)); 
BgL_arg1411z00_2604 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2370)))->BgL_bodyz00)), BNIL); 
BgL_arg1409z00_2602 = 
MAKE_YOUNG_PAIR(BgL_arg1410z00_2603, BgL_arg1411z00_2604); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1952z00zz__evaluate_uncompz00, BgL_arg1409z00_2602);} } 

}



/* &uncomp-ev_unwind-pro1228 */
obj_t BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t BgL_envz00_2371, obj_t BgL_ez00_2372)
{
{ /* Eval/evaluate_uncomp.scm 118 */
{ /* Eval/evaluate_uncomp.scm 120 */
 obj_t BgL_arg1403z00_2606;
{ /* Eval/evaluate_uncomp.scm 120 */
 obj_t BgL_arg1404z00_2607; obj_t BgL_arg1405z00_2608;
BgL_arg1404z00_2607 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2372)))->BgL_ez00)); 
BgL_arg1405z00_2608 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2372)))->BgL_bodyz00)), BNIL); 
BgL_arg1403z00_2606 = 
MAKE_YOUNG_PAIR(BgL_arg1404z00_2607, BgL_arg1405z00_2608); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1954z00zz__evaluate_uncompz00, BgL_arg1403z00_2606);} } 

}



/* &uncomp-ev_bind-exit1226 */
obj_t BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t BgL_envz00_2373, obj_t BgL_ez00_2374)
{
{ /* Eval/evaluate_uncomp.scm 114 */
{ /* Eval/evaluate_uncomp.scm 116 */
 obj_t BgL_arg1394z00_2610;
{ /* Eval/evaluate_uncomp.scm 116 */
 obj_t BgL_arg1395z00_2611; obj_t BgL_arg1396z00_2612;
{ /* Eval/evaluate_uncomp.scm 116 */
 obj_t BgL_arg1397z00_2613;
{ /* Eval/evaluate_uncomp.scm 116 */
 BgL_ev_varz00_bglt BgL_arg1400z00_2614;
BgL_arg1400z00_2614 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2374)))->BgL_varz00); 
BgL_arg1397z00_2613 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1400z00_2614)); } 
BgL_arg1395z00_2611 = 
MAKE_YOUNG_PAIR(BgL_arg1397z00_2613, BNIL); } 
BgL_arg1396z00_2612 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2374)))->BgL_bodyz00)), BNIL); 
BgL_arg1394z00_2610 = 
MAKE_YOUNG_PAIR(BgL_arg1395z00_2611, BgL_arg1396z00_2612); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1956z00zz__evaluate_uncompz00, BgL_arg1394z00_2610);} } 

}



/* &uncomp-ev_setlocal1224 */
obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2375, obj_t BgL_ez00_2376)
{
{ /* Eval/evaluate_uncomp.scm 110 */
{ /* Eval/evaluate_uncomp.scm 112 */
 obj_t BgL_arg1388z00_2616;
{ /* Eval/evaluate_uncomp.scm 112 */
 obj_t BgL_arg1389z00_2617; obj_t BgL_arg1390z00_2618;
{ /* Eval/evaluate_uncomp.scm 112 */
 BgL_ev_varz00_bglt BgL_arg1391z00_2619;
BgL_arg1391z00_2619 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2376)))->BgL_vz00); 
BgL_arg1389z00_2617 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1391z00_2619)); } 
{ /* Eval/evaluate_uncomp.scm 112 */
 obj_t BgL_arg1392z00_2620;
{ /* Eval/evaluate_uncomp.scm 112 */
 BgL_ev_exprz00_bglt BgL_arg1393z00_2621;
BgL_arg1393z00_2621 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_2376))))->BgL_ez00); 
BgL_arg1392z00_2620 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1393z00_2621); } 
BgL_arg1390z00_2618 = 
MAKE_YOUNG_PAIR(BgL_arg1392z00_2620, BNIL); } 
BgL_arg1388z00_2616 = 
MAKE_YOUNG_PAIR(BgL_arg1389z00_2617, BgL_arg1390z00_2618); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1958z00zz__evaluate_uncompz00, BgL_arg1388z00_2616);} } 

}



/* &uncomp-ev_defglobal1222 */
obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2377, obj_t BgL_ez00_2378)
{
{ /* Eval/evaluate_uncomp.scm 106 */
{ /* Eval/evaluate_uncomp.scm 108 */
 obj_t BgL_arg1383z00_2623;
{ /* Eval/evaluate_uncomp.scm 108 */
 obj_t BgL_arg1384z00_2624; obj_t BgL_arg1385z00_2625;
BgL_arg1384z00_2624 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2378))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 108 */
 obj_t BgL_arg1386z00_2626;
{ /* Eval/evaluate_uncomp.scm 108 */
 BgL_ev_exprz00_bglt BgL_arg1387z00_2627;
BgL_arg1387z00_2627 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2378))))->BgL_ez00); 
BgL_arg1386z00_2626 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1387z00_2627); } 
BgL_arg1385z00_2625 = 
MAKE_YOUNG_PAIR(BgL_arg1386z00_2626, BNIL); } 
BgL_arg1383z00_2623 = 
MAKE_YOUNG_PAIR(BgL_arg1384z00_2624, BgL_arg1385z00_2625); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1960z00zz__evaluate_uncompz00, BgL_arg1383z00_2623);} } 

}



/* &uncomp-ev_setglobal1220 */
obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2379, obj_t BgL_ez00_2380)
{
{ /* Eval/evaluate_uncomp.scm 102 */
{ /* Eval/evaluate_uncomp.scm 104 */
 obj_t BgL_arg1377z00_2629;
{ /* Eval/evaluate_uncomp.scm 104 */
 obj_t BgL_arg1378z00_2630; obj_t BgL_arg1379z00_2631;
BgL_arg1378z00_2630 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_2380)))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 104 */
 obj_t BgL_arg1380z00_2632;
{ /* Eval/evaluate_uncomp.scm 104 */
 BgL_ev_exprz00_bglt BgL_arg1381z00_2633;
BgL_arg1381z00_2633 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_2380))))->BgL_ez00); 
BgL_arg1380z00_2632 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1381z00_2633); } 
BgL_arg1379z00_2631 = 
MAKE_YOUNG_PAIR(BgL_arg1380z00_2632, BNIL); } 
BgL_arg1377z00_2629 = 
MAKE_YOUNG_PAIR(BgL_arg1378z00_2630, BgL_arg1379z00_2631); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1958z00zz__evaluate_uncompz00, BgL_arg1377z00_2629);} } 

}



/* &uncomp-ev_trap1218 */
obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2381, obj_t BgL_ez00_2382)
{
{ /* Eval/evaluate_uncomp.scm 98 */
{ /* Eval/evaluate_uncomp.scm 100 */
 obj_t BgL_arg1374z00_2635;
{ /* Eval/evaluate_uncomp.scm 100 */
 obj_t BgL_arg1375z00_2636;
{ /* Eval/evaluate_uncomp.scm 100 */
 BgL_ev_exprz00_bglt BgL_arg1376z00_2637;
BgL_arg1376z00_2637 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_2382))))->BgL_ez00); 
BgL_arg1375z00_2636 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1376z00_2637); } 
BgL_arg1374z00_2635 = 
MAKE_YOUNG_PAIR(BgL_arg1375z00_2636, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1962z00zz__evaluate_uncompz00, BgL_arg1374z00_2635);} } 

}



/* &uncomp-ev_prog21216 */
obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2383, obj_t BgL_ez00_2384)
{
{ /* Eval/evaluate_uncomp.scm 91 */
{ /* Eval/evaluate_uncomp.scm 93 */
 obj_t BgL_e1z00_2639; obj_t BgL_e2z00_2640;
BgL_e1z00_2639 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2384)))->BgL_e1z00)); 
BgL_e2z00_2640 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2384)))->BgL_e2z00)); 
{ /* Eval/evaluate_uncomp.scm 94 */
 bool_t BgL_test2050z00_3170;
if(
PAIRP(BgL_e2z00_2640))
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_test2050z00_3170 = 
(
CAR(BgL_e2z00_2640)==BGl_symbol1964z00zz__evaluate_uncompz00)
; }  else 
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_test2050z00_3170 = ((bool_t)0)
; } 
if(BgL_test2050z00_3170)
{ /* Eval/evaluate_uncomp.scm 95 */
 obj_t BgL_arg1366z00_2641;
BgL_arg1366z00_2641 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2639, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
CDR(BgL_e2z00_2640), BNIL)); 
return 
MAKE_YOUNG_PAIR(BGl_symbol1964z00zz__evaluate_uncompz00, BgL_arg1366z00_2641);}  else 
{ /* Eval/evaluate_uncomp.scm 96 */
 obj_t BgL_arg1369z00_2642;
{ /* Eval/evaluate_uncomp.scm 96 */
 obj_t BgL_arg1370z00_2643;
BgL_arg1370z00_2643 = 
MAKE_YOUNG_PAIR(BgL_e2z00_2640, BNIL); 
BgL_arg1369z00_2642 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2639, BgL_arg1370z00_2643); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1964z00zz__evaluate_uncompz00, BgL_arg1369z00_2642);} } } } 

}



/* &uncomp-ev_and1214 */
obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2385, obj_t BgL_ez00_2386)
{
{ /* Eval/evaluate_uncomp.scm 87 */
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1353z00_2645;
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1354z00_2646;
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_l1134z00_2647;
BgL_l1134z00_2647 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_2386))))->BgL_argsz00); 
if(
NULLP(BgL_l1134z00_2647))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1354z00_2646 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_head1136z00_2648;
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1361z00_2649;
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1362z00_2650;
BgL_arg1362z00_2650 = 
CAR(
((obj_t)BgL_l1134z00_2647)); 
BgL_arg1361z00_2649 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1362z00_2650)); } 
BgL_head1136z00_2648 = 
MAKE_YOUNG_PAIR(BgL_arg1361z00_2649, BNIL); } 
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_g1139z00_2651;
BgL_g1139z00_2651 = 
CDR(
((obj_t)BgL_l1134z00_2647)); 
{ 
 obj_t BgL_l1134z00_2653; obj_t BgL_tail1137z00_2654;
BgL_l1134z00_2653 = BgL_g1139z00_2651; 
BgL_tail1137z00_2654 = BgL_head1136z00_2648; 
BgL_zc3z04anonymousza31356ze3z87_2652:
if(
NULLP(BgL_l1134z00_2653))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1354z00_2646 = BgL_head1136z00_2648; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_newtail1138z00_2655;
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1359z00_2656;
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1360z00_2657;
BgL_arg1360z00_2657 = 
CAR(
((obj_t)BgL_l1134z00_2653)); 
BgL_arg1359z00_2656 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1360z00_2657)); } 
BgL_newtail1138z00_2655 = 
MAKE_YOUNG_PAIR(BgL_arg1359z00_2656, BNIL); } 
SET_CDR(BgL_tail1137z00_2654, BgL_newtail1138z00_2655); 
{ /* Eval/evaluate_uncomp.scm 89 */
 obj_t BgL_arg1358z00_2658;
BgL_arg1358z00_2658 = 
CDR(
((obj_t)BgL_l1134z00_2653)); 
{ 
 obj_t BgL_tail1137z00_3205; obj_t BgL_l1134z00_3204;
BgL_l1134z00_3204 = BgL_arg1358z00_2658; 
BgL_tail1137z00_3205 = BgL_newtail1138z00_2655; 
BgL_tail1137z00_2654 = BgL_tail1137z00_3205; 
BgL_l1134z00_2653 = BgL_l1134z00_3204; 
goto BgL_zc3z04anonymousza31356ze3z87_2652;} } } } } } } 
BgL_arg1353z00_2645 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1354z00_2646, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1966z00zz__evaluate_uncompz00, BgL_arg1353z00_2645);} } 

}



/* &uncomp-ev_or1212 */
obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2387, obj_t BgL_ez00_2388)
{
{ /* Eval/evaluate_uncomp.scm 83 */
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1343z00_2660;
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1344z00_2661;
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_l1128z00_2662;
BgL_l1128z00_2662 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_2388))))->BgL_argsz00); 
if(
NULLP(BgL_l1128z00_2662))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1344z00_2661 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_head1130z00_2663;
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1351z00_2664;
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1352z00_2665;
BgL_arg1352z00_2665 = 
CAR(
((obj_t)BgL_l1128z00_2662)); 
BgL_arg1351z00_2664 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1352z00_2665)); } 
BgL_head1130z00_2663 = 
MAKE_YOUNG_PAIR(BgL_arg1351z00_2664, BNIL); } 
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_g1133z00_2666;
BgL_g1133z00_2666 = 
CDR(
((obj_t)BgL_l1128z00_2662)); 
{ 
 obj_t BgL_l1128z00_2668; obj_t BgL_tail1131z00_2669;
BgL_l1128z00_2668 = BgL_g1133z00_2666; 
BgL_tail1131z00_2669 = BgL_head1130z00_2663; 
BgL_zc3z04anonymousza31346ze3z87_2667:
if(
NULLP(BgL_l1128z00_2668))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1344z00_2661 = BgL_head1130z00_2663; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_newtail1132z00_2670;
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1349z00_2671;
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1350z00_2672;
BgL_arg1350z00_2672 = 
CAR(
((obj_t)BgL_l1128z00_2668)); 
BgL_arg1349z00_2671 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1350z00_2672)); } 
BgL_newtail1132z00_2670 = 
MAKE_YOUNG_PAIR(BgL_arg1349z00_2671, BNIL); } 
SET_CDR(BgL_tail1131z00_2669, BgL_newtail1132z00_2670); 
{ /* Eval/evaluate_uncomp.scm 85 */
 obj_t BgL_arg1348z00_2673;
BgL_arg1348z00_2673 = 
CDR(
((obj_t)BgL_l1128z00_2668)); 
{ 
 obj_t BgL_tail1131z00_3231; obj_t BgL_l1128z00_3230;
BgL_l1128z00_3230 = BgL_arg1348z00_2673; 
BgL_tail1131z00_3231 = BgL_newtail1132z00_2670; 
BgL_tail1131z00_2669 = BgL_tail1131z00_3231; 
BgL_l1128z00_2668 = BgL_l1128z00_3230; 
goto BgL_zc3z04anonymousza31346ze3z87_2667;} } } } } } } 
BgL_arg1343z00_2660 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1344z00_2661, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1968z00zz__evaluate_uncompz00, BgL_arg1343z00_2660);} } 

}



/* &uncomp-ev_if1210 */
obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2389, obj_t BgL_ez00_2390)
{
{ /* Eval/evaluate_uncomp.scm 79 */
{ /* Eval/evaluate_uncomp.scm 81 */
 obj_t BgL_arg1333z00_2675;
{ /* Eval/evaluate_uncomp.scm 81 */
 obj_t BgL_arg1335z00_2676; obj_t BgL_arg1336z00_2677;
BgL_arg1335z00_2676 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2390)))->BgL_pz00)); 
{ /* Eval/evaluate_uncomp.scm 81 */
 obj_t BgL_arg1338z00_2678; obj_t BgL_arg1339z00_2679;
BgL_arg1338z00_2678 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2390)))->BgL_tz00)); 
BgL_arg1339z00_2679 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2390)))->BgL_ez00)), BNIL); 
BgL_arg1336z00_2677 = 
MAKE_YOUNG_PAIR(BgL_arg1338z00_2678, BgL_arg1339z00_2679); } 
BgL_arg1333z00_2675 = 
MAKE_YOUNG_PAIR(BgL_arg1335z00_2676, BgL_arg1336z00_2677); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1970z00zz__evaluate_uncompz00, BgL_arg1333z00_2675);} } 

}



/* &uncomp-ev_litt1208 */
obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2391, obj_t BgL_ez00_2392)
{
{ /* Eval/evaluate_uncomp.scm 75 */
{ /* Eval/evaluate_uncomp.scm 77 */
 obj_t BgL_arg1331z00_2681;
BgL_arg1331z00_2681 = 
MAKE_YOUNG_PAIR(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_ez00_2392)))->BgL_valuez00), BNIL); 
return 
MAKE_YOUNG_PAIR(BGl_symbol1972z00zz__evaluate_uncompz00, BgL_arg1331z00_2681);} } 

}



/* &uncomp-ev_global1206 */
obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2393, obj_t BgL_varz00_2394)
{
{ /* Eval/evaluate_uncomp.scm 71 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_2394)))->BgL_namez00);} 

}



/* &uncomp-ev_var1204 */
obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2395, obj_t BgL_varz00_2396)
{
{ /* Eval/evaluate_uncomp.scm 67 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_2396)))->BgL_namez00);} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
{
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string1974z00zz__evaluate_uncompz00));} 

}

#ifdef __cplusplus
}
#endif
