/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/sha1.scm -o objs/obj_p/Unsafe/sha1.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
static uint32_t BGl_u32stringzd2refzd2zz__sha1z00(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
static uint32_t BGl_u32matrixzd2refzd2zz__sha1z00(obj_t, int, int);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static uint32_t BGl_rotl32z00zz__sha1z00(uint32_t, int);
static obj_t BGl_toplevelzd2initzd2zz__sha1z00();
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
extern bool_t rgc_buffer_eof_p(obj_t);
static obj_t BGl_genericzd2initzd2zz__sha1z00();
static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00();
static obj_t BGl_gczd2rootszd2initz00zz__sha1z00();
static obj_t BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00(obj_t);
static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__sha1z00();
extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
extern long bgl_rgc_blit_string(obj_t, char *, long, long);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
extern obj_t bgl_reverse_bang(obj_t);
static uint32_t BGl_u32mmapzd2refzd2zz__sha1z00(obj_t, long);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_methodzd2initzd2zz__sha1z00();
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_profzd2initzd2zz__sha1z00();
static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
extern obj_t make_string(long, unsigned char);
static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62zc3z04anonymousza31479ze3ze5zz__sha1z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t, unsigned char);
static obj_t BGl_u160zd2ze3stringz31zz__sha1z00(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1871z00zz__sha1z00, BgL_bgl_string1871za700za7za7_1883za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Unsafe/sha1.scm", 59 );
DEFINE_STRING( BGl_string1872z00zz__sha1z00, BgL_bgl_string1872za700za7za7_1884za7, "&sha1sum-string", 15 );
DEFINE_STRING( BGl_string1873z00zz__sha1z00, BgL_bgl_string1873za700za7za7_1885za7, "bstring", 7 );
DEFINE_STRING( BGl_string1874z00zz__sha1z00, BgL_bgl_string1874za700za7za7_1886za7, "&sha1sum-mmap", 13 );
DEFINE_STRING( BGl_string1875z00zz__sha1z00, BgL_bgl_string1875za700za7za7_1887za7, "mmap", 4 );
DEFINE_STRING( BGl_string1876z00zz__sha1z00, BgL_bgl_string1876za700za7za7_1888za7, "&sha1sum-port", 13 );
DEFINE_STRING( BGl_string1877z00zz__sha1z00, BgL_bgl_string1877za700za7za7_1889za7, "input-port", 10 );
DEFINE_STRING( BGl_string1878z00zz__sha1z00, BgL_bgl_string1878za700za7za7_1890za7, "&sha1sum-file", 13 );
DEFINE_STRING( BGl_string1879z00zz__sha1z00, BgL_bgl_string1879za700za7za7_1891za7, "sha1sum", 7 );
DEFINE_STRING( BGl_string1880z00zz__sha1z00, BgL_bgl_string1880za700za7za7_1892za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1881z00zz__sha1z00, BgL_bgl_string1881za700za7za7_1893za7, "&hmac-sha1sum-string", 20 );
DEFINE_STRING( BGl_string1882z00zz__sha1z00, BgL_bgl_string1882za700za7za7_1894za7, "__sha1", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2portzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2por1895z00, BGl_z62sha1sumzd2portzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2envzd2zz__sha1z00, BgL_bgl_za762sha1sumza762za7za7_1896z00, BGl_z62sha1sumz62zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2mmapzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2mma1897z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00, BgL_bgl_za762hmacza7d2sha1su1898z00, BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2filezd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2fil1899z00, BGl_z62sha1sumzd2filezb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2stringzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2str1900z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sha1z00) );
ADD_ROOT( (void *)(&BGl_Kz00zz__sha1z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/sha1.scm\" 1111) \"BGl_toplevelzd2initzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotl32\" \"Unsafe/sha1.scm\" 3860) \"BGl_rotl32z00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32-fill!\" \"Unsafe/sha1.scm\" 4185) \"BGl_u32zd2fillz12zc0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u160->string\" \"Unsafe/sha1.scm\" 4718) \"BGl_u160zd2ze3stringz31zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref\" \"Unsafe/sha1.scm\" 5656) \"BGl_u32stringzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref\" \"Unsafe/sha1.scm\" 6085) \"BGl_u32mmapzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32matrix-ref\" \"Unsafe/sha1.scm\" 6507) \"BGl_u32matrixzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"f\" \"Unsafe/sha1.scm\" 6825) \"BGl_fz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1\" \"Unsafe/sha1.scm\" 7350) \"BGl_sha1z00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-string\" \"Unsafe/sha1.scm\" 10005) \"BGl_sha1sumzd2stringzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-string\" \"Unsafe/sha1.scm\" 10005) \"BGl_z62sha1sumzd2stringzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-mmap\" \"Unsafe/sha1.scm\" 10942) \"BGl_sha1sumzd2mmapzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-mmap\" \"Unsafe/sha1.scm\" 10942) \"BGl_z62sha1sumzd2mmapzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-port\" \"Unsafe/sha1.scm\" 11872) \"BGl_sha1sumzd2portzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-port\" \"Unsafe/sha1.scm\" 11872) \"BGl_z62sha1sumzd2portzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-file\" \"Unsafe/sha1.scm\" 13230) \"BGl_sha1sumzd2filezd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-file\" \"Unsafe/sha1.scm\" 13230) \"BGl_z62sha1sumzd2filezb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1479>\" \"Unsafe/sha1.scm\" 13326) \"BGl_z62zc3z04anonymousza31479ze3ze5zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1480>\" \"Unsafe/sha1.scm\" 13433) \"BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum\" \"Unsafe/sha1.scm\" 13719) \"BGl_sha1sumz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum\" \"Unsafe/sha1.scm\" 13719) \"BGl_z62sha1sumz62zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha1sum-string\" \"Unsafe/sha1.scm\" 14184) \"BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha1sum-string\" \"Unsafe/sha1.scm\" 14184) \"BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long BgL_checksumz00_2715, char * BgL_fromz00_2716)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
{ 
BGl_requirezd2initializa7ationz75zz__sha1z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sha1z00(); 
BGl_importedzd2moduleszd2initz00zz__sha1z00(); 
BGl_toplevelzd2initzd2zz__sha1z00(); 
return 
BGl_profzd2initzd2zz__sha1z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
{ /* Unsafe/sha1.scm 129 */
 obj_t BgL_vz00_1289;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1289 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), (uint32_t)(0)); } 
{ /* Unsafe/sha1.scm 130 */
 uint32_t BgL_arg1225z00_1290;
{ /* Unsafe/sha1.scm 130 */
 uint32_t BgL_arg1226z00_1291; uint32_t BgL_arg1227z00_1292;
{ /* Unsafe/sha1.scm 130 */
 uint32_t BgL_arg1228z00_1293;
BgL_arg1228z00_1293 = 
(uint32_t)(((long)23170)); 
BgL_arg1226z00_1291 = 
(BgL_arg1228z00_1293 << 
(int)(((long)16))); } 
BgL_arg1227z00_1292 = 
(uint32_t)(((long)31129)); 
BgL_arg1225z00_1290 = 
(BgL_arg1226z00_1291 | BgL_arg1227z00_1292); } 
BGL_U32VSET(BgL_vz00_1289, ((long)0), BgL_arg1225z00_1290); BUNSPEC; } 
{ /* Unsafe/sha1.scm 131 */
 uint32_t BgL_arg1229z00_1294;
{ /* Unsafe/sha1.scm 131 */
 uint32_t BgL_arg1230z00_1295; uint32_t BgL_arg1231z00_1296;
{ /* Unsafe/sha1.scm 131 */
 uint32_t BgL_arg1234z00_1297;
BgL_arg1234z00_1297 = 
(uint32_t)(((long)28377)); 
BgL_arg1230z00_1295 = 
(BgL_arg1234z00_1297 << 
(int)(((long)16))); } 
BgL_arg1231z00_1296 = 
(uint32_t)(((long)60321)); 
BgL_arg1229z00_1294 = 
(BgL_arg1230z00_1295 | BgL_arg1231z00_1296); } 
BGL_U32VSET(BgL_vz00_1289, ((long)1), BgL_arg1229z00_1294); BUNSPEC; } 
{ /* Unsafe/sha1.scm 132 */
 uint32_t BgL_arg1235z00_1298;
{ /* Unsafe/sha1.scm 132 */
 uint32_t BgL_arg1238z00_1299; uint32_t BgL_arg1239z00_1300;
{ /* Unsafe/sha1.scm 132 */
 uint32_t BgL_arg1241z00_1301;
BgL_arg1241z00_1301 = 
(uint32_t)(((long)36635)); 
BgL_arg1238z00_1299 = 
(BgL_arg1241z00_1301 << 
(int)(((long)16))); } 
BgL_arg1239z00_1300 = 
(uint32_t)(((long)48348)); 
BgL_arg1235z00_1298 = 
(BgL_arg1238z00_1299 | BgL_arg1239z00_1300); } 
BGL_U32VSET(BgL_vz00_1289, ((long)2), BgL_arg1235z00_1298); BUNSPEC; } 
{ /* Unsafe/sha1.scm 133 */
 uint32_t BgL_arg1242z00_1302;
{ /* Unsafe/sha1.scm 133 */
 uint32_t BgL_arg1244z00_1303; uint32_t BgL_arg1248z00_1304;
{ /* Unsafe/sha1.scm 133 */
 uint32_t BgL_arg1249z00_1305;
BgL_arg1249z00_1305 = 
(uint32_t)(((long)51810)); 
BgL_arg1244z00_1303 = 
(BgL_arg1249z00_1305 << 
(int)(((long)16))); } 
BgL_arg1248z00_1304 = 
(uint32_t)(((long)49622)); 
BgL_arg1242z00_1302 = 
(BgL_arg1244z00_1303 | BgL_arg1248z00_1304); } 
BGL_U32VSET(BgL_vz00_1289, ((long)3), BgL_arg1242z00_1302); BUNSPEC; } 
return ( 
BGl_Kz00zz__sha1z00 = BgL_vz00_1289, BUNSPEC) ;} } 

}



/* rotl32 */
uint32_t BGl_rotl32z00zz__sha1z00(uint32_t BgL_xz00_3, int BgL_nz00_4)
{
{ /* Unsafe/sha1.scm 99 */
return 
(
(BgL_xz00_3 << 
(int)(
(long)(BgL_nz00_4))) | 
(BgL_xz00_3 >> 
(int)(
(((long)32)-
(long)(BgL_nz00_4)))));} 

}



/* u32-fill! */
obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5, long BgL_offsetz00_6, uint32_t BgL_wz00_7)
{
{ /* Unsafe/sha1.scm 105 */
{ /* Unsafe/sha1.scm 106 */
 obj_t BgL_s1z00_1319;
{ /* Unsafe/sha1.scm 106 */
 long BgL_arg1274z00_1330;
{ /* Unsafe/sha1.scm 106 */
 uint32_t BgL_tmpz00_2759;
BgL_tmpz00_2759 = 
(BgL_wz00_7 >> 
(int)(((long)16))); 
BgL_arg1274z00_1330 = 
(long)(BgL_tmpz00_2759); } 
BgL_s1z00_1319 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1274z00_1330, ((long)16)); } 
{ /* Unsafe/sha1.scm 106 */
 long BgL_l1z00_1320;
BgL_l1z00_1320 = 
STRING_LENGTH(BgL_s1z00_1319); 
{ /* Unsafe/sha1.scm 107 */
 obj_t BgL_s2z00_1321;
{ /* Unsafe/sha1.scm 108 */
 long BgL_arg1272z00_1328;
{ /* Unsafe/sha1.scm 108 */
 uint32_t BgL_tmpz00_2765;
BgL_tmpz00_2765 = 
(BgL_wz00_7 & (uint32_t)(65535)); 
BgL_arg1272z00_1328 = 
(long)(BgL_tmpz00_2765); } 
BgL_s2z00_1321 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1272z00_1328, ((long)16)); } 
{ /* Unsafe/sha1.scm 108 */
 long BgL_l2z00_1322;
BgL_l2z00_1322 = 
STRING_LENGTH(BgL_s2z00_1321); 
{ /* Unsafe/sha1.scm 109 */

blit_string(BgL_s1z00_1319, ((long)0), BgL_strz00_5, 
(BgL_offsetz00_6+
(((long)4)-BgL_l1z00_1320)), BgL_l1z00_1320); 
return 
blit_string(BgL_s2z00_1321, ((long)0), BgL_strz00_5, 
(BgL_offsetz00_6+
(((long)4)+
(((long)4)-BgL_l2z00_1322))), BgL_l2z00_1322);} } } } } } 

}



/* u160->string */
obj_t BGl_u160zd2ze3stringz31zz__sha1z00(uint32_t BgL_w0z00_8, uint32_t BgL_w1z00_9, uint32_t BgL_w2z00_10, uint32_t BgL_w3z00_11, uint32_t BgL_w4z00_12)
{
{ /* Unsafe/sha1.scm 116 */
{ /* Unsafe/sha1.scm 117 */
 obj_t BgL_rz00_1332;
BgL_rz00_1332 = 
make_string(((long)40), ((unsigned char)'0')); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1332, ((long)0), BgL_w0z00_8); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1332, ((long)8), BgL_w1z00_9); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1332, ((long)16), BgL_w2z00_10); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1332, ((long)24), BgL_w3z00_11); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1332, ((long)32), BgL_w4z00_12); 
return BgL_rz00_1332;} } 

}



/* u32string-ref */
uint32_t BGl_u32stringzd2refzd2zz__sha1z00(obj_t BgL_sz00_13, int BgL_iz00_14)
{
{ /* Unsafe/sha1.scm 139 */
{ /* Unsafe/sha1.scm 140 */
 long BgL_lenz00_1333;
BgL_lenz00_1333 = 
STRING_LENGTH(BgL_sz00_13); 
if(
(
(long)(BgL_iz00_14)<BgL_lenz00_1333))
{ /* Unsafe/sha1.scm 142 */
 long BgL_tmpz00_2787;
BgL_tmpz00_2787 = 
(
STRING_REF(BgL_sz00_13, 
(long)(BgL_iz00_14))); 
return 
(uint32_t)(BgL_tmpz00_2787);}  else 
{ /* Unsafe/sha1.scm 142 */
if(
(
(long)(BgL_iz00_14)==BgL_lenz00_1333))
{ /* Unsafe/sha1.scm 143 */
return (uint32_t)(128);}  else 
{ /* Unsafe/sha1.scm 143 */
return (uint32_t)(0);} } } } 

}



/* u32mmap-ref */
uint32_t BGl_u32mmapzd2refzd2zz__sha1z00(obj_t BgL_sz00_15, long BgL_iz00_16)
{
{ /* Unsafe/sha1.scm 149 */
{ /* Unsafe/sha1.scm 150 */
 long BgL_lenz00_1338;
BgL_lenz00_1338 = 
BGL_MMAP_LENGTH(BgL_sz00_15); 
{ /* Unsafe/sha1.scm 152 */
 bool_t BgL_test1904z00_2796;
{ /* Unsafe/sha1.scm 152 */
 long BgL_n1z00_2146; long BgL_n2z00_2147;
BgL_n1z00_2146 = 
(long)(BgL_iz00_16); 
BgL_n2z00_2147 = 
(long)(BgL_lenz00_1338); 
BgL_test1904z00_2796 = 
(BgL_n1z00_2146<BgL_n2z00_2147); } 
if(BgL_test1904z00_2796)
{ /* Unsafe/sha1.scm 152 */
 long BgL_arg1282z00_1340;
{ /* Unsafe/sha1.scm 152 */
 unsigned char BgL_arg1283z00_1341;
{ /* Unsafe/sha1.scm 152 */
 unsigned char BgL_res1850z00_2156;
{ /* Unsafe/sha1.scm 152 */
 unsigned char BgL_cz00_2150;
BgL_cz00_2150 = 
BGL_MMAP_REF(BgL_sz00_15, BgL_iz00_16); 
{ /* Unsafe/sha1.scm 152 */
 long BgL_arg1515z00_2151;
BgL_arg1515z00_2151 = 
(BgL_iz00_16+((long)1)); 
BGL_MMAP_RP_SET(BgL_sz00_15, BgL_arg1515z00_2151); BUNSPEC; BgL_arg1515z00_2151; } 
BgL_res1850z00_2156 = BgL_cz00_2150; } 
BgL_arg1283z00_1341 = BgL_res1850z00_2156; } 
BgL_arg1282z00_1340 = 
(BgL_arg1283z00_1341); } 
return 
(uint32_t)(BgL_arg1282z00_1340);}  else 
{ /* Unsafe/sha1.scm 153 */
 bool_t BgL_test1905z00_2805;
{ /* Unsafe/sha1.scm 153 */
 long BgL_n1z00_2159; long BgL_n2z00_2160;
BgL_n1z00_2159 = 
(long)(BgL_iz00_16); 
BgL_n2z00_2160 = 
(long)(BgL_lenz00_1338); 
BgL_test1905z00_2805 = 
(BgL_n1z00_2159==BgL_n2z00_2160); } 
if(BgL_test1905z00_2805)
{ /* Unsafe/sha1.scm 153 */
return (uint32_t)(128);}  else 
{ /* Unsafe/sha1.scm 153 */
return (uint32_t)(0);} } } } } 

}



/* u32matrix-ref */
uint32_t BGl_u32matrixzd2refzd2zz__sha1z00(obj_t BgL_mz00_17, int BgL_iz00_18, int BgL_jz00_19)
{
{ /* Unsafe/sha1.scm 159 */
{ /* Unsafe/sha1.scm 160 */
 long BgL_auxz00_2812; obj_t BgL_tmpz00_2809;
BgL_auxz00_2812 = 
(long)(BgL_jz00_19); 
BgL_tmpz00_2809 = 
VECTOR_REF(BgL_mz00_17,
(long)(BgL_iz00_18)); 
return 
BGL_U32VREF(BgL_tmpz00_2809, BgL_auxz00_2812);} } 

}



/* f */
uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21, uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
{
{ /* Unsafe/sha1.scm 165 */
{ 

switch( 
(long)(BgL_sz00_20)) { case ((long)0) : 

return 
(
(BgL_xz00_21 & BgL_yz00_22) ^ 
(
~(BgL_xz00_21) & BgL_za7za7_23));break;case ((long)1) : 
case ((long)3) : 

return 
(BgL_xz00_21 ^ 
(BgL_yz00_22 ^ BgL_za7za7_23));break;
default: 
return 
(
(
(BgL_xz00_21 & BgL_yz00_22) ^ 
(BgL_xz00_21 & BgL_za7za7_23)) ^ 
(BgL_yz00_22 & BgL_za7za7_23));} } } 

}



/* sha1 */
obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
{
{ /* Unsafe/sha1.scm 178 */
{ /* Unsafe/sha1.scm 180 */
 obj_t BgL_wz00_1355;
BgL_wz00_1355 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)80), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha1.scm 184 */
 obj_t BgL_vecz00_1357;
{ /* Unsafe/sha1.scm 184 */
 long BgL_arg1300z00_1360;
BgL_arg1300z00_1360 = 
(
VECTOR_LENGTH(BgL_mz00_25)-((long)1)); 
BgL_vecz00_1357 = 
VECTOR_REF(BgL_mz00_25,BgL_arg1300z00_1360); } 
{ /* Unsafe/sha1.scm 185 */
 long BgL_v15z00_1359;
BgL_v15z00_1359 = 
(BgL_lenz00_24*((long)8)); 
{ /* Unsafe/sha1.scm 186 */

{ /* Unsafe/sha1.scm 187 */
 uint32_t BgL_tmpz00_2834;
BgL_tmpz00_2834 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_vecz00_1357, ((long)14), BgL_tmpz00_2834); } BUNSPEC; 
{ /* Unsafe/sha1.scm 188 */
 uint32_t BgL_tmpz00_2837;
BgL_tmpz00_2837 = 
(uint32_t)(BgL_v15z00_1359); 
BGL_U32VSET(BgL_vecz00_1357, ((long)15), BgL_tmpz00_2837); } BUNSPEC; } } } 
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_h0z00_1361;
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_arg1387z00_1462; uint32_t BgL_arg1388z00_1463;
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_arg1389z00_1464;
BgL_arg1389z00_1464 = 
(uint32_t)(((long)26437)); 
BgL_arg1387z00_1462 = 
(BgL_arg1389z00_1464 << 
(int)(((long)16))); } 
BgL_arg1388z00_1463 = 
(uint32_t)(((long)8961)); 
BgL_h0z00_1361 = 
(BgL_arg1387z00_1462 | BgL_arg1388z00_1463); } 
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_h1z00_1362;
{ /* Unsafe/sha1.scm 192 */
 uint32_t BgL_arg1384z00_1459; uint32_t BgL_arg1385z00_1460;
{ /* Unsafe/sha1.scm 192 */
 uint32_t BgL_arg1386z00_1461;
BgL_arg1386z00_1461 = 
(uint32_t)(((long)61389)); 
BgL_arg1384z00_1459 = 
(BgL_arg1386z00_1461 << 
(int)(((long)16))); } 
BgL_arg1385z00_1460 = 
(uint32_t)(((long)43913)); 
BgL_h1z00_1362 = 
(BgL_arg1384z00_1459 | BgL_arg1385z00_1460); } 
{ /* Unsafe/sha1.scm 192 */
 uint32_t BgL_h2z00_1363;
{ /* Unsafe/sha1.scm 193 */
 uint32_t BgL_arg1380z00_1456; uint32_t BgL_arg1381z00_1457;
{ /* Unsafe/sha1.scm 193 */
 uint32_t BgL_arg1383z00_1458;
BgL_arg1383z00_1458 = 
(uint32_t)(((long)39098)); 
BgL_arg1380z00_1456 = 
(BgL_arg1383z00_1458 << 
(int)(((long)16))); } 
BgL_arg1381z00_1457 = 
(uint32_t)(((long)56574)); 
BgL_h2z00_1363 = 
(BgL_arg1380z00_1456 | BgL_arg1381z00_1457); } 
{ /* Unsafe/sha1.scm 193 */
 uint32_t BgL_h3z00_1364;
{ /* Unsafe/sha1.scm 194 */
 uint32_t BgL_arg1377z00_1453; uint32_t BgL_arg1378z00_1454;
{ /* Unsafe/sha1.scm 194 */
 uint32_t BgL_arg1379z00_1455;
BgL_arg1379z00_1455 = 
(uint32_t)(((long)4146)); 
BgL_arg1377z00_1453 = 
(BgL_arg1379z00_1455 << 
(int)(((long)16))); } 
BgL_arg1378z00_1454 = 
(uint32_t)(((long)21622)); 
BgL_h3z00_1364 = 
(BgL_arg1377z00_1453 | BgL_arg1378z00_1454); } 
{ /* Unsafe/sha1.scm 194 */
 uint32_t BgL_h4z00_1365;
{ /* Unsafe/sha1.scm 195 */
 uint32_t BgL_arg1374z00_1450; uint32_t BgL_arg1375z00_1451;
{ /* Unsafe/sha1.scm 195 */
 uint32_t BgL_arg1376z00_1452;
BgL_arg1376z00_1452 = 
(uint32_t)(((long)50130)); 
BgL_arg1374z00_1450 = 
(BgL_arg1376z00_1452 << 
(int)(((long)16))); } 
BgL_arg1375z00_1451 = 
(uint32_t)(((long)57840)); 
BgL_h4z00_1365 = 
(BgL_arg1374z00_1450 | BgL_arg1375z00_1451); } 
{ /* Unsafe/sha1.scm 195 */

{ 
 long BgL_iz00_1368;
BgL_iz00_1368 = ((long)0); 
BgL_zc3z04anonymousza31301ze3z87_1369:
if(
(BgL_iz00_1368<
VECTOR_LENGTH(BgL_mz00_25)))
{ /* Unsafe/sha1.scm 198 */
{ 
 long BgL_tz00_1373;
BgL_tz00_1373 = ((long)0); 
BgL_zc3z04anonymousza31303ze3z87_1374:
if(
(BgL_tz00_1373<((long)16)))
{ /* Unsafe/sha1.scm 201 */
{ /* Unsafe/sha1.scm 202 */
 uint32_t BgL_arg1305z00_1376;
BgL_arg1305z00_1376 = 
BGl_u32matrixzd2refzd2zz__sha1z00(BgL_mz00_25, 
(int)(BgL_iz00_1368), 
(int)(BgL_tz00_1373)); 
BGL_U32VSET(BgL_wz00_1355, BgL_tz00_1373, BgL_arg1305z00_1376); BUNSPEC; } 
{ 
 long BgL_tz00_2874;
BgL_tz00_2874 = 
(BgL_tz00_1373+((long)1)); 
BgL_tz00_1373 = BgL_tz00_2874; 
goto BgL_zc3z04anonymousza31303ze3z87_1374;} }  else 
{ /* Unsafe/sha1.scm 201 */((bool_t)0); } } 
{ 
 long BgL_tz00_1381;
BgL_tz00_1381 = ((long)16); 
BgL_zc3z04anonymousza31313ze3z87_1382:
if(
(BgL_tz00_1381<((long)80)))
{ /* Unsafe/sha1.scm 203 */
{ /* Unsafe/sha1.scm 204 */
 uint32_t BgL_w0z00_1384;
{ /* Unsafe/sha1.scm 204 */
 long BgL_tmpz00_2878;
BgL_tmpz00_2878 = 
(BgL_tz00_1381-((long)3)); 
BgL_w0z00_1384 = 
BGL_U32VREF(BgL_wz00_1355, BgL_tmpz00_2878); } 
{ /* Unsafe/sha1.scm 204 */
 uint32_t BgL_w1z00_1385;
{ /* Unsafe/sha1.scm 205 */
 long BgL_tmpz00_2881;
BgL_tmpz00_2881 = 
(BgL_tz00_1381-((long)8)); 
BgL_w1z00_1385 = 
BGL_U32VREF(BgL_wz00_1355, BgL_tmpz00_2881); } 
{ /* Unsafe/sha1.scm 205 */
 uint32_t BgL_w2z00_1386;
{ /* Unsafe/sha1.scm 206 */
 long BgL_tmpz00_2884;
BgL_tmpz00_2884 = 
(BgL_tz00_1381-((long)14)); 
BgL_w2z00_1386 = 
BGL_U32VREF(BgL_wz00_1355, BgL_tmpz00_2884); } 
{ /* Unsafe/sha1.scm 206 */
 uint32_t BgL_w3z00_1387;
{ /* Unsafe/sha1.scm 207 */
 long BgL_tmpz00_2887;
BgL_tmpz00_2887 = 
(BgL_tz00_1381-((long)16)); 
BgL_w3z00_1387 = 
BGL_U32VREF(BgL_wz00_1355, BgL_tmpz00_2887); } 
{ /* Unsafe/sha1.scm 207 */
 uint32_t BgL_vz00_1388;
BgL_vz00_1388 = 
(BgL_w0z00_1384 ^ 
(BgL_w1z00_1385 ^ 
(BgL_w2z00_1386 ^ BgL_w3z00_1387))); 
{ /* Unsafe/sha1.scm 208 */

{ /* Unsafe/sha1.scm 209 */
 uint32_t BgL_arg1315z00_1389;
BgL_arg1315z00_1389 = 
BGl_rotl32z00zz__sha1z00(BgL_vz00_1388, 
(int)(((long)1))); 
BGL_U32VSET(BgL_wz00_1355, BgL_tz00_1381, BgL_arg1315z00_1389); BUNSPEC; } } } } } } } 
{ 
 long BgL_tz00_2896;
BgL_tz00_2896 = 
(BgL_tz00_1381+((long)1)); 
BgL_tz00_1381 = BgL_tz00_2896; 
goto BgL_zc3z04anonymousza31313ze3z87_1382;} }  else 
{ /* Unsafe/sha1.scm 203 */((bool_t)0); } } 
{ /* Unsafe/sha1.scm 213 */
 uint32_t BgL_az00_1398; uint32_t BgL_bz00_1399; uint32_t BgL_cz00_1400; uint32_t BgL_dz00_1401; uint32_t BgL_ez00_1402;
BgL_az00_1398 = BgL_h0z00_1361; 
BgL_bz00_1399 = BgL_h1z00_1362; 
BgL_cz00_1400 = BgL_h2z00_1363; 
BgL_dz00_1401 = BgL_h3z00_1364; 
BgL_ez00_1402 = BgL_h4z00_1365; 
{ 
 long BgL_tz00_1405;
BgL_tz00_1405 = ((long)0); 
BgL_zc3z04anonymousza31337ze3z87_1406:
if(
(BgL_tz00_1405<((long)80)))
{ /* Unsafe/sha1.scm 220 */
{ /* Unsafe/sha1.scm 221 */
 long BgL_sz00_1408;
BgL_sz00_1408 = 
(BgL_tz00_1405/((long)20)); 
{ /* Unsafe/sha1.scm 221 */
 uint32_t BgL_a5z00_1409;
BgL_a5z00_1409 = 
BGl_rotl32z00zz__sha1z00(BgL_az00_1398, 
(int)(((long)5))); 
{ /* Unsafe/sha1.scm 222 */
 uint32_t BgL_fz00_1410;
BgL_fz00_1410 = 
BGl_fz00zz__sha1z00(
(int)(BgL_sz00_1408), BgL_bz00_1399, BgL_cz00_1400, BgL_dz00_1401); 
{ /* Unsafe/sha1.scm 223 */
 uint32_t BgL_kz00_1411;
BgL_kz00_1411 = 
BGL_U32VREF(BGl_Kz00zz__sha1z00, BgL_sz00_1408); 
{ /* Unsafe/sha1.scm 224 */
 uint32_t BgL_wz00_1412;
BgL_wz00_1412 = 
BGL_U32VREF(BgL_wz00_1355, BgL_tz00_1405); 
{ /* Unsafe/sha1.scm 225 */
 uint32_t BgL_yz00_1413;
BgL_yz00_1413 = 
(BgL_a5z00_1409+
(BgL_fz00_1410+
(BgL_ez00_1402+
(BgL_kz00_1411+BgL_wz00_1412)))); 
{ /* Unsafe/sha1.scm 226 */

BgL_ez00_1402 = BgL_dz00_1401; 
BgL_dz00_1401 = BgL_cz00_1400; 
BgL_cz00_1400 = 
BGl_rotl32z00zz__sha1z00(BgL_bz00_1399, 
(int)(((long)30))); 
BgL_bz00_1399 = BgL_az00_1398; 
{ /* Unsafe/sha1.scm 231 */
 uint32_t BgL_arg1339z00_1414;
{ /* Unsafe/sha1.scm 231 */
 uint32_t BgL_arg1340z00_1415; uint32_t BgL_arg1341z00_1416;
{ /* Unsafe/sha1.scm 231 */
 uint32_t BgL_arg1342z00_1417;
BgL_arg1342z00_1417 = 
(uint32_t)(((long)65535)); 
BgL_arg1340z00_1415 = 
(BgL_arg1342z00_1417 << 
(int)(((long)16))); } 
BgL_arg1341z00_1416 = 
(uint32_t)(((long)65535)); 
BgL_arg1339z00_1414 = 
(BgL_arg1340z00_1415 | BgL_arg1341z00_1416); } 
BgL_az00_1398 = 
(BgL_yz00_1413 & BgL_arg1339z00_1414); } } } } } } } } 
{ 
 long BgL_tz00_2919;
BgL_tz00_2919 = 
(BgL_tz00_1405+((long)1)); 
BgL_tz00_1405 = BgL_tz00_2919; 
goto BgL_zc3z04anonymousza31337ze3z87_1406;} }  else 
{ /* Unsafe/sha1.scm 220 */((bool_t)0); } } 
{ /* Unsafe/sha1.scm 233 */
 uint32_t BgL_arg1348z00_1423; uint32_t BgL_arg1349z00_1424;
BgL_arg1348z00_1423 = 
(BgL_h0z00_1361+BgL_az00_1398); 
{ /* Unsafe/sha1.scm 233 */
 uint32_t BgL_arg1350z00_1425; uint32_t BgL_arg1351z00_1426;
{ /* Unsafe/sha1.scm 233 */
 uint32_t BgL_arg1352z00_1427;
BgL_arg1352z00_1427 = 
(uint32_t)(((long)65535)); 
BgL_arg1350z00_1425 = 
(BgL_arg1352z00_1427 << 
(int)(((long)16))); } 
BgL_arg1351z00_1426 = 
(uint32_t)(((long)65535)); 
BgL_arg1349z00_1424 = 
(BgL_arg1350z00_1425 | BgL_arg1351z00_1426); } 
BgL_h0z00_1361 = 
(BgL_arg1348z00_1423 & BgL_arg1349z00_1424); } 
{ /* Unsafe/sha1.scm 234 */
 uint32_t BgL_arg1353z00_1428; uint32_t BgL_arg1354z00_1429;
BgL_arg1353z00_1428 = 
(BgL_h1z00_1362+BgL_bz00_1399); 
{ /* Unsafe/sha1.scm 234 */
 uint32_t BgL_arg1355z00_1430; uint32_t BgL_arg1356z00_1431;
{ /* Unsafe/sha1.scm 234 */
 uint32_t BgL_arg1357z00_1432;
BgL_arg1357z00_1432 = 
(uint32_t)(((long)65535)); 
BgL_arg1355z00_1430 = 
(BgL_arg1357z00_1432 << 
(int)(((long)16))); } 
BgL_arg1356z00_1431 = 
(uint32_t)(((long)65535)); 
BgL_arg1354z00_1429 = 
(BgL_arg1355z00_1430 | BgL_arg1356z00_1431); } 
BgL_h1z00_1362 = 
(BgL_arg1353z00_1428 & BgL_arg1354z00_1429); } 
{ /* Unsafe/sha1.scm 235 */
 uint32_t BgL_arg1358z00_1433; uint32_t BgL_arg1359z00_1434;
BgL_arg1358z00_1433 = 
(BgL_h2z00_1363+BgL_cz00_1400); 
{ /* Unsafe/sha1.scm 235 */
 uint32_t BgL_arg1360z00_1435; uint32_t BgL_arg1361z00_1436;
{ /* Unsafe/sha1.scm 235 */
 uint32_t BgL_arg1362z00_1437;
BgL_arg1362z00_1437 = 
(uint32_t)(((long)65535)); 
BgL_arg1360z00_1435 = 
(BgL_arg1362z00_1437 << 
(int)(((long)16))); } 
BgL_arg1361z00_1436 = 
(uint32_t)(((long)65535)); 
BgL_arg1359z00_1434 = 
(BgL_arg1360z00_1435 | BgL_arg1361z00_1436); } 
BgL_h2z00_1363 = 
(BgL_arg1358z00_1433 & BgL_arg1359z00_1434); } 
{ /* Unsafe/sha1.scm 236 */
 uint32_t BgL_arg1363z00_1438; uint32_t BgL_arg1364z00_1439;
BgL_arg1363z00_1438 = 
(BgL_h3z00_1364+BgL_dz00_1401); 
{ /* Unsafe/sha1.scm 236 */
 uint32_t BgL_arg1365z00_1440; uint32_t BgL_arg1366z00_1441;
{ /* Unsafe/sha1.scm 236 */
 uint32_t BgL_arg1367z00_1442;
BgL_arg1367z00_1442 = 
(uint32_t)(((long)65535)); 
BgL_arg1365z00_1440 = 
(BgL_arg1367z00_1442 << 
(int)(((long)16))); } 
BgL_arg1366z00_1441 = 
(uint32_t)(((long)65535)); 
BgL_arg1364z00_1439 = 
(BgL_arg1365z00_1440 | BgL_arg1366z00_1441); } 
BgL_h3z00_1364 = 
(BgL_arg1363z00_1438 & BgL_arg1364z00_1439); } 
{ /* Unsafe/sha1.scm 237 */
 uint32_t BgL_arg1368z00_1443; uint32_t BgL_arg1369z00_1444;
BgL_arg1368z00_1443 = 
(BgL_h4z00_1365+BgL_ez00_1402); 
{ /* Unsafe/sha1.scm 237 */
 uint32_t BgL_arg1370z00_1445; uint32_t BgL_arg1371z00_1446;
{ /* Unsafe/sha1.scm 237 */
 uint32_t BgL_arg1372z00_1447;
BgL_arg1372z00_1447 = 
(uint32_t)(((long)65535)); 
BgL_arg1370z00_1445 = 
(BgL_arg1372z00_1447 << 
(int)(((long)16))); } 
BgL_arg1371z00_1446 = 
(uint32_t)(((long)65535)); 
BgL_arg1369z00_1444 = 
(BgL_arg1370z00_1445 | BgL_arg1371z00_1446); } 
BgL_h4z00_1365 = 
(BgL_arg1368z00_1443 & BgL_arg1369z00_1444); } } 
{ 
 long BgL_iz00_2956;
BgL_iz00_2956 = 
(BgL_iz00_1368+((long)1)); 
BgL_iz00_1368 = BgL_iz00_2956; 
goto BgL_zc3z04anonymousza31301ze3z87_1369;} }  else 
{ /* Unsafe/sha1.scm 198 */((bool_t)0); } } 
return 
BGl_u160zd2ze3stringz31zz__sha1z00(BgL_h0z00_1361, BgL_h1z00_1362, BgL_h2z00_1363, BgL_h3z00_1364, BgL_h4z00_1365);} } } } } } } } 

}



/* sha1sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
{
{ /* Unsafe/sha1.scm 253 */
{ /* Unsafe/sha1.scm 256 */
 long BgL_lenz00_1468;
BgL_lenz00_1468 = 
STRING_LENGTH(BgL_strz00_28); 
{ /* Unsafe/sha1.scm 256 */
 long BgL_lz00_1469;
{ /* Unsafe/sha1.scm 257 */
 long BgL_tmpz00_2960;
{ /* Unsafe/sha1.scm 257 */
 obj_t BgL_tmpz00_2961;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2281;
BgL_rz00_2281 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_lenz00_1468+((long)1))), 
BINT(((long)4))); 
if(
INTEGERP(BgL_rz00_2281))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2961 = BgL_rz00_2281
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2961 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2281))))
; } } 
BgL_tmpz00_2960 = 
(long)CINT(BgL_tmpz00_2961); } 
BgL_lz00_1469 = 
(BgL_tmpz00_2960+((long)2)); } 
{ /* Unsafe/sha1.scm 257 */
 long BgL_nz00_1470;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2287;
BgL_rz00_2287 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_1469), 
BINT(((long)16))); 
if(
INTEGERP(BgL_rz00_2287))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1470 = 
(long)CINT(BgL_rz00_2287); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1470 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2287))); } } 
{ /* Unsafe/sha1.scm 258 */
 obj_t BgL_mz00_1471;
BgL_mz00_1471 = 
make_vector(BgL_nz00_1470, BUNSPEC); 
{ /* Unsafe/sha1.scm 259 */

{ 
 long BgL_iz00_1474;
BgL_iz00_1474 = ((long)0); 
BgL_zc3z04anonymousza31392ze3z87_1475:
if(
(BgL_iz00_1474<BgL_nz00_1470))
{ /* Unsafe/sha1.scm 261 */
{ /* Unsafe/sha1.scm 262 */
 obj_t BgL_vecz00_1477;
{ /* Llib/srfi4.scm 451 */

BgL_vecz00_1477 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
{ 
 long BgL_jz00_1480;
BgL_jz00_1480 = ((long)0); 
BgL_zc3z04anonymousza31394ze3z87_1481:
if(
(BgL_jz00_1480<((long)16)))
{ /* Unsafe/sha1.scm 263 */
{ /* Unsafe/sha1.scm 264 */
 int BgL_nz00_1483;
BgL_nz00_1483 = 
(int)(
(
(BgL_iz00_1474*((long)64))+
(BgL_jz00_1480*((long)4)))); 
{ /* Unsafe/sha1.scm 264 */
 uint32_t BgL_v0z00_1484;
BgL_v0z00_1484 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, BgL_nz00_1483); 
{ /* Unsafe/sha1.scm 265 */
 uint32_t BgL_v1z00_1485;
{ /* Unsafe/sha1.scm 266 */
 long BgL_arg1409z00_1500;
BgL_arg1409z00_1500 = 
(
(long)(BgL_nz00_1483)+((long)1)); 
BgL_v1z00_1485 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1409z00_1500)); } 
{ /* Unsafe/sha1.scm 266 */
 uint32_t BgL_v2z00_1486;
{ /* Unsafe/sha1.scm 267 */
 long BgL_arg1408z00_1499;
BgL_arg1408z00_1499 = 
(
(long)(BgL_nz00_1483)+((long)2)); 
BgL_v2z00_1486 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1408z00_1499)); } 
{ /* Unsafe/sha1.scm 267 */
 uint32_t BgL_v3z00_1487;
{ /* Unsafe/sha1.scm 268 */
 long BgL_arg1407z00_1498;
BgL_arg1407z00_1498 = 
(
(long)(BgL_nz00_1483)+((long)3)); 
BgL_v3z00_1487 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1407z00_1498)); } 
{ /* Unsafe/sha1.scm 268 */
 uint32_t BgL_vz00_1488;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_arg1396z00_1489; uint32_t BgL_arg1397z00_1490;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_arg1400z00_1491;
{ /* Unsafe/sha1.scm 269 */
 long BgL_arg1401z00_1492;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_tmpz00_3006;
BgL_tmpz00_3006 = 
(
(BgL_v0z00_1484 << 
(int)(((long)8))) | BgL_v1z00_1485); 
BgL_arg1401z00_1492 = 
(long)(BgL_tmpz00_3006); } 
BgL_arg1400z00_1491 = 
(uint32_t)(BgL_arg1401z00_1492); } 
BgL_arg1396z00_1489 = 
(BgL_arg1400z00_1491 << 
(int)(((long)16))); } 
{ /* Unsafe/sha1.scm 269 */
 long BgL_arg1404z00_1495;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_tmpz00_3014;
BgL_tmpz00_3014 = 
(
(BgL_v2z00_1486 << 
(int)(((long)8))) | BgL_v3z00_1487); 
BgL_arg1404z00_1495 = 
(long)(BgL_tmpz00_3014); } 
BgL_arg1397z00_1490 = 
(uint32_t)(BgL_arg1404z00_1495); } 
BgL_vz00_1488 = 
(BgL_arg1396z00_1489 | BgL_arg1397z00_1490); } 
{ /* Unsafe/sha1.scm 269 */

BGL_U32VSET(BgL_vecz00_1477, BgL_jz00_1480, BgL_vz00_1488); BUNSPEC; } } } } } } } 
VECTOR_SET(BgL_mz00_1471,BgL_iz00_1474,BgL_vecz00_1477); 
{ 
 long BgL_jz00_3023;
BgL_jz00_3023 = 
(BgL_jz00_1480+((long)1)); 
BgL_jz00_1480 = BgL_jz00_3023; 
goto BgL_zc3z04anonymousza31394ze3z87_1481;} }  else 
{ /* Unsafe/sha1.scm 263 */((bool_t)0); } } } 
{ 
 long BgL_iz00_3025;
BgL_iz00_3025 = 
(BgL_iz00_1474+((long)1)); 
BgL_iz00_1474 = BgL_iz00_3025; 
goto BgL_zc3z04anonymousza31392ze3z87_1475;} }  else 
{ /* Unsafe/sha1.scm 261 */((bool_t)0); } } 
return 
BGl_sha1z00zz__sha1z00(BgL_lenz00_1468, BgL_mz00_1471);} } } } } } 

}



/* &sha1sum-string */
obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_2682, obj_t BgL_strz00_2683)
{
{ /* Unsafe/sha1.scm 253 */
{ /* Unsafe/sha1.scm 256 */
 obj_t BgL_auxz00_3028;
if(
STRINGP(BgL_strz00_2683))
{ /* Unsafe/sha1.scm 256 */
BgL_auxz00_3028 = BgL_strz00_2683
; }  else 
{ 
 obj_t BgL_auxz00_3031;
BgL_auxz00_3031 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1871z00zz__sha1z00, 
BINT(((long)10118)), BGl_string1872z00zz__sha1z00, BGl_string1873z00zz__sha1z00, BgL_strz00_2683); 
FAILURE(BgL_auxz00_3031,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3028);} } 

}



/* sha1sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
{
{ /* Unsafe/sha1.scm 278 */
{ /* Unsafe/sha1.scm 281 */
 long BgL_lenz00_1512;
{ /* Unsafe/sha1.scm 281 */
 long BgL_tmpz00_3036;
BgL_tmpz00_3036 = 
BGL_MMAP_LENGTH(BgL_strz00_29); 
BgL_lenz00_1512 = 
(long)(BgL_tmpz00_3036); } 
{ /* Unsafe/sha1.scm 281 */
 long BgL_lz00_1513;
{ /* Unsafe/sha1.scm 282 */
 long BgL_tmpz00_3039;
{ /* Unsafe/sha1.scm 282 */
 obj_t BgL_tmpz00_3040;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2323;
BgL_rz00_2323 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_lenz00_1512+((long)1))), 
BINT(((long)4))); 
if(
INTEGERP(BgL_rz00_2323))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3040 = BgL_rz00_2323
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3040 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2323))))
; } } 
BgL_tmpz00_3039 = 
(long)CINT(BgL_tmpz00_3040); } 
BgL_lz00_1513 = 
(BgL_tmpz00_3039+((long)2)); } 
{ /* Unsafe/sha1.scm 282 */
 long BgL_nz00_1514;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2329;
BgL_rz00_2329 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_1513), 
BINT(((long)16))); 
if(
INTEGERP(BgL_rz00_2329))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1514 = 
(long)CINT(BgL_rz00_2329); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1514 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2329))); } } 
{ /* Unsafe/sha1.scm 283 */
 obj_t BgL_mz00_1515;
BgL_mz00_1515 = 
make_vector(BgL_nz00_1514, BUNSPEC); 
{ /* Unsafe/sha1.scm 284 */

{ 
 long BgL_iz00_1518;
BgL_iz00_1518 = ((long)0); 
BgL_zc3z04anonymousza31418ze3z87_1519:
if(
(BgL_iz00_1518<BgL_nz00_1514))
{ /* Unsafe/sha1.scm 286 */
{ /* Unsafe/sha1.scm 287 */
 obj_t BgL_vecz00_1521;
{ /* Llib/srfi4.scm 451 */

BgL_vecz00_1521 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
{ 
 long BgL_jz00_1524;
BgL_jz00_1524 = ((long)0); 
BgL_zc3z04anonymousza31420ze3z87_1525:
if(
(BgL_jz00_1524<((long)16)))
{ /* Unsafe/sha1.scm 288 */
{ /* Unsafe/sha1.scm 289 */
 long BgL_nz00_1527;
{ /* Unsafe/sha1.scm 289 */
 long BgL_tmpz00_3068;
BgL_tmpz00_3068 = 
(
(BgL_iz00_1518*((long)64))+
(BgL_jz00_1524*((long)4))); 
BgL_nz00_1527 = 
(long)(BgL_tmpz00_3068); } 
{ /* Unsafe/sha1.scm 289 */
 uint32_t BgL_v0z00_1528;
BgL_v0z00_1528 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, BgL_nz00_1527); 
{ /* Unsafe/sha1.scm 290 */
 uint32_t BgL_v1z00_1529;
{ /* Unsafe/sha1.scm 291 */
 long BgL_arg1434z00_1544;
{ /* Unsafe/sha1.scm 291 */
 long BgL_za71za7_2343;
BgL_za71za7_2343 = 
(long)(BgL_nz00_1527); 
BgL_arg1434z00_1544 = 
(BgL_za71za7_2343+((long)1)); } 
BgL_v1z00_1529 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1434z00_1544)); } 
{ /* Unsafe/sha1.scm 291 */
 uint32_t BgL_v2z00_1530;
{ /* Unsafe/sha1.scm 292 */
 long BgL_arg1433z00_1543;
{ /* Unsafe/sha1.scm 292 */
 long BgL_za71za7_2344;
BgL_za71za7_2344 = 
(long)(BgL_nz00_1527); 
BgL_arg1433z00_1543 = 
(BgL_za71za7_2344+((long)2)); } 
BgL_v2z00_1530 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1433z00_1543)); } 
{ /* Unsafe/sha1.scm 292 */
 uint32_t BgL_v3z00_1531;
{ /* Unsafe/sha1.scm 293 */
 long BgL_arg1432z00_1542;
{ /* Unsafe/sha1.scm 293 */
 long BgL_za71za7_2345;
BgL_za71za7_2345 = 
(long)(BgL_nz00_1527); 
BgL_arg1432z00_1542 = 
(BgL_za71za7_2345+((long)3)); } 
BgL_v3z00_1531 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1432z00_1542)); } 
{ /* Unsafe/sha1.scm 293 */
 uint32_t BgL_vz00_1532;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_arg1422z00_1533; uint32_t BgL_arg1423z00_1534;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_arg1424z00_1535;
{ /* Unsafe/sha1.scm 294 */
 long BgL_arg1425z00_1536;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_tmpz00_3086;
BgL_tmpz00_3086 = 
(
(BgL_v0z00_1528 << 
(int)(((long)8))) | BgL_v1z00_1529); 
BgL_arg1425z00_1536 = 
(long)(BgL_tmpz00_3086); } 
BgL_arg1424z00_1535 = 
(uint32_t)(BgL_arg1425z00_1536); } 
BgL_arg1422z00_1533 = 
(BgL_arg1424z00_1535 << 
(int)(((long)16))); } 
{ /* Unsafe/sha1.scm 294 */
 long BgL_arg1429z00_1539;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_tmpz00_3094;
BgL_tmpz00_3094 = 
(
(BgL_v2z00_1530 << 
(int)(((long)8))) | BgL_v3z00_1531); 
BgL_arg1429z00_1539 = 
(long)(BgL_tmpz00_3094); } 
BgL_arg1423z00_1534 = 
(uint32_t)(BgL_arg1429z00_1539); } 
BgL_vz00_1532 = 
(BgL_arg1422z00_1533 | BgL_arg1423z00_1534); } 
{ /* Unsafe/sha1.scm 294 */

BGL_U32VSET(BgL_vecz00_1521, BgL_jz00_1524, BgL_vz00_1532); BUNSPEC; } } } } } } } 
VECTOR_SET(BgL_mz00_1515,BgL_iz00_1518,BgL_vecz00_1521); 
{ 
 long BgL_jz00_3103;
BgL_jz00_3103 = 
(BgL_jz00_1524+((long)1)); 
BgL_jz00_1524 = BgL_jz00_3103; 
goto BgL_zc3z04anonymousza31420ze3z87_1525;} }  else 
{ /* Unsafe/sha1.scm 288 */((bool_t)0); } } } 
{ 
 long BgL_iz00_3105;
BgL_iz00_3105 = 
(BgL_iz00_1518+((long)1)); 
BgL_iz00_1518 = BgL_iz00_3105; 
goto BgL_zc3z04anonymousza31418ze3z87_1519;} }  else 
{ /* Unsafe/sha1.scm 286 */((bool_t)0); } } 
return 
BGl_sha1z00zz__sha1z00(BgL_lenz00_1512, BgL_mz00_1515);} } } } } } 

}



/* &sha1sum-mmap */
obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_2684, obj_t BgL_strz00_2685)
{
{ /* Unsafe/sha1.scm 278 */
{ /* Unsafe/sha1.scm 281 */
 obj_t BgL_auxz00_3108;
if(
BGL_MMAPP(BgL_strz00_2685))
{ /* Unsafe/sha1.scm 281 */
BgL_auxz00_3108 = BgL_strz00_2685
; }  else 
{ 
 obj_t BgL_auxz00_3111;
BgL_auxz00_3111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1871z00zz__sha1z00, 
BINT(((long)11050)), BGl_string1874z00zz__sha1z00, BGl_string1875z00zz__sha1z00, BgL_strz00_2685); 
FAILURE(BgL_auxz00_3111,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3108);} } 

}



/* sha1sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
{
{ /* Unsafe/sha1.scm 303 */
{ /* Unsafe/sha1.scm 306 */
 obj_t BgL_bufz00_1556;
{ /* Ieee/string.scm 168 */

BgL_bufz00_1556 = 
make_string(((long)64), ((unsigned char)' ')); } 
{ 
 long BgL_lenz00_1559; obj_t BgL_lz00_1560; long BgL_nlz00_1561;
BgL_lenz00_1559 = ((long)0); 
BgL_lz00_1560 = BNIL; 
BgL_nlz00_1561 = ((long)0); 
BgL_zc3z04anonymousza31442ze3z87_1562:
BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1556, ((unsigned char)'\000')); 
{ /* Unsafe/sha1.scm 312 */
 obj_t BgL_cz00_1563;
{ /* Unsafe/sha1.scm 312 */
 long BgL_nz00_2365;
BgL_nz00_2365 = 
bgl_rgc_blit_string(BgL_ipz00_30, 
BSTRING_TO_STRING(BgL_bufz00_1556), ((long)0), ((long)64)); 
{ /* Unsafe/sha1.scm 312 */
 bool_t BgL_test1920z00_3120;
if(
(BgL_nz00_2365==((long)0)))
{ /* Unsafe/sha1.scm 312 */
BgL_test1920z00_3120 = 
rgc_buffer_eof_p(BgL_ipz00_30)
; }  else 
{ /* Unsafe/sha1.scm 312 */
BgL_test1920z00_3120 = ((bool_t)0)
; } 
if(BgL_test1920z00_3120)
{ /* Unsafe/sha1.scm 312 */
BgL_cz00_1563 = BEOF; }  else 
{ /* Unsafe/sha1.scm 312 */
BgL_cz00_1563 = 
BINT(BgL_nz00_2365); } } } 
{ /* Unsafe/sha1.scm 312 */
 obj_t BgL_lz00_1564;
if(
EOF_OBJECTP(BgL_cz00_1563))
{ /* Unsafe/sha1.scm 313 */
BgL_lz00_1564 = 
BINT(((long)0)); }  else 
{ /* Unsafe/sha1.scm 313 */
BgL_lz00_1564 = BgL_cz00_1563; } 
{ /* Unsafe/sha1.scm 313 */
 long BgL_nlenz00_1565;
BgL_nlenz00_1565 = 
(
(long)CINT(BgL_lz00_1564)+BgL_lenz00_1559); 
{ /* Unsafe/sha1.scm 314 */
 obj_t BgL_vecz00_1566;
BgL_vecz00_1566 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha1.scm 315 */

if(
(
(long)CINT(BgL_lz00_1564)<((long)64)))
{ /* Unsafe/sha1.scm 316 */
 long BgL_tmpz00_3135;
BgL_tmpz00_3135 = 
(long)CINT(BgL_lz00_1564); 
STRING_SET(BgL_bufz00_1556, BgL_tmpz00_3135, ((unsigned char)128)); }  else 
{ /* Unsafe/sha1.scm 316 */BFALSE; } 
{ 
 long BgL_jz00_1570;
BgL_jz00_1570 = ((long)0); 
BgL_zc3z04anonymousza31444ze3z87_1571:
if(
(BgL_jz00_1570<((long)16)))
{ /* Unsafe/sha1.scm 317 */
{ /* Unsafe/sha1.scm 318 */
 int BgL_nz00_1573;
BgL_nz00_1573 = 
(int)(
(BgL_jz00_1570*((long)4))); 
{ /* Unsafe/sha1.scm 318 */
 uint32_t BgL_v0z00_1574;
{ /* Unsafe/sha1.scm 319 */
 long BgL_tmpz00_3142;
BgL_tmpz00_3142 = 
(
STRING_REF(BgL_bufz00_1556, 
(long)(BgL_nz00_1573))); 
BgL_v0z00_1574 = 
(uint32_t)(BgL_tmpz00_3142); } 
{ /* Unsafe/sha1.scm 319 */
 uint32_t BgL_v1z00_1575;
{ /* Unsafe/sha1.scm 320 */
 long BgL_tmpz00_3147;
BgL_tmpz00_3147 = 
(
STRING_REF(BgL_bufz00_1556, 
(
(long)(BgL_nz00_1573)+((long)1)))); 
BgL_v1z00_1575 = 
(uint32_t)(BgL_tmpz00_3147); } 
{ /* Unsafe/sha1.scm 320 */
 uint32_t BgL_v2z00_1576;
{ /* Unsafe/sha1.scm 321 */
 long BgL_tmpz00_3153;
BgL_tmpz00_3153 = 
(
STRING_REF(BgL_bufz00_1556, 
(
(long)(BgL_nz00_1573)+((long)2)))); 
BgL_v2z00_1576 = 
(uint32_t)(BgL_tmpz00_3153); } 
{ /* Unsafe/sha1.scm 321 */
 uint32_t BgL_v3z00_1577;
{ /* Unsafe/sha1.scm 322 */
 long BgL_tmpz00_3159;
BgL_tmpz00_3159 = 
(
STRING_REF(BgL_bufz00_1556, 
(
(long)(BgL_nz00_1573)+((long)3)))); 
BgL_v3z00_1577 = 
(uint32_t)(BgL_tmpz00_3159); } 
{ /* Unsafe/sha1.scm 322 */
 uint32_t BgL_vz00_1578;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_arg1446z00_1579; uint32_t BgL_arg1447z00_1580;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_arg1448z00_1581;
{ /* Unsafe/sha1.scm 323 */
 long BgL_arg1449z00_1582;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_tmpz00_3165;
BgL_tmpz00_3165 = 
(
(BgL_v0z00_1574 << 
(int)(((long)8))) | BgL_v1z00_1575); 
BgL_arg1449z00_1582 = 
(long)(BgL_tmpz00_3165); } 
BgL_arg1448z00_1581 = 
(uint32_t)(BgL_arg1449z00_1582); } 
BgL_arg1446z00_1579 = 
(BgL_arg1448z00_1581 << 
(int)(((long)16))); } 
{ /* Unsafe/sha1.scm 323 */
 long BgL_arg1454z00_1585;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_tmpz00_3173;
BgL_tmpz00_3173 = 
(
(BgL_v2z00_1576 << 
(int)(((long)8))) | BgL_v3z00_1577); 
BgL_arg1454z00_1585 = 
(long)(BgL_tmpz00_3173); } 
BgL_arg1447z00_1580 = 
(uint32_t)(BgL_arg1454z00_1585); } 
BgL_vz00_1578 = 
(BgL_arg1446z00_1579 | BgL_arg1447z00_1580); } 
{ /* Unsafe/sha1.scm 323 */

BGL_U32VSET(BgL_vecz00_1566, BgL_jz00_1570, BgL_vz00_1578); BUNSPEC; } } } } } } } 
{ 
 long BgL_jz00_3181;
BgL_jz00_3181 = 
(BgL_jz00_1570+((long)1)); 
BgL_jz00_1570 = BgL_jz00_3181; 
goto BgL_zc3z04anonymousza31444ze3z87_1571;} }  else 
{ /* Unsafe/sha1.scm 317 */((bool_t)0); } } 
if(
(
(long)CINT(BgL_lz00_1564)<((long)64)))
{ /* Unsafe/sha1.scm 327 */
 long BgL_flz00_1598;
{ /* Unsafe/sha1.scm 327 */
 long BgL_tmpz00_3186;
{ /* Unsafe/sha1.scm 327 */
 obj_t BgL_tmpz00_3187;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2409;
BgL_rz00_2409 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_nlenz00_1565+((long)1))), 
BINT(((long)4))); 
if(
INTEGERP(BgL_rz00_2409))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3187 = BgL_rz00_2409
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3187 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2409))))
; } } 
BgL_tmpz00_3186 = 
(long)CINT(BgL_tmpz00_3187); } 
BgL_flz00_1598 = 
(BgL_tmpz00_3186+((long)2)); } 
{ /* Unsafe/sha1.scm 327 */
 long BgL_nz00_1599;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2415;
BgL_rz00_2415 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_flz00_1598), 
BINT(((long)16))); 
if(
INTEGERP(BgL_rz00_2415))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1599 = 
(long)CINT(BgL_rz00_2415); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1599 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2415))); } } 
{ /* Unsafe/sha1.scm 328 */
 obj_t BgL_mz00_1600;
{ /* Unsafe/sha1.scm 331 */
 obj_t BgL_arg1466z00_1601;
{ /* Unsafe/sha1.scm 331 */
 obj_t BgL_arg1467z00_1602;
if(
(BgL_nz00_1599>
(((long)1)+BgL_nlz00_1561)))
{ /* Unsafe/sha1.scm 332 */
 obj_t BgL_arg1470z00_1605; obj_t BgL_arg1471z00_1606;
BgL_arg1470z00_1605 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); 
BgL_arg1471z00_1606 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1566, BgL_lz00_1560); 
BgL_arg1467z00_1602 = 
MAKE_YOUNG_PAIR(BgL_arg1470z00_1605, BgL_arg1471z00_1606); }  else 
{ /* Unsafe/sha1.scm 331 */
BgL_arg1467z00_1602 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1566, BgL_lz00_1560); } 
BgL_arg1466z00_1601 = 
bgl_reverse_bang(BgL_arg1467z00_1602); } 
BgL_mz00_1600 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1466z00_1601); } 
{ /* Unsafe/sha1.scm 329 */

return 
BGl_sha1z00zz__sha1z00(BgL_nlenz00_1565, BgL_mz00_1600);} } } }  else 
{ /* Unsafe/sha1.scm 335 */
 obj_t BgL_arg1475z00_1610; long BgL_arg1476z00_1611;
BgL_arg1475z00_1610 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1566, BgL_lz00_1560); 
BgL_arg1476z00_1611 = 
(BgL_nlz00_1561+((long)1)); 
{ 
 long BgL_nlz00_3223; obj_t BgL_lz00_3222; long BgL_lenz00_3221;
BgL_lenz00_3221 = BgL_nlenz00_1565; 
BgL_lz00_3222 = BgL_arg1475z00_1610; 
BgL_nlz00_3223 = BgL_arg1476z00_1611; 
BgL_nlz00_1561 = BgL_nlz00_3223; 
BgL_lz00_1560 = BgL_lz00_3222; 
BgL_lenz00_1559 = BgL_lenz00_3221; 
goto BgL_zc3z04anonymousza31442ze3z87_1562;} } } } } } } } } } 

}



/* &sha1sum-port */
obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_2686, obj_t BgL_ipz00_2687)
{
{ /* Unsafe/sha1.scm 303 */
{ /* Unsafe/sha1.scm 306 */
 obj_t BgL_auxz00_3224;
if(
INPUT_PORTP(BgL_ipz00_2687))
{ /* Unsafe/sha1.scm 306 */
BgL_auxz00_3224 = BgL_ipz00_2687
; }  else 
{ 
 obj_t BgL_auxz00_3227;
BgL_auxz00_3227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1871z00zz__sha1z00, 
BINT(((long)11985)), BGl_string1876z00zz__sha1z00, BGl_string1877z00zz__sha1z00, BgL_ipz00_2687); 
FAILURE(BgL_auxz00_3227,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3224);} } 

}



/* sha1sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
{
{ /* Unsafe/sha1.scm 340 */
{ /* Unsafe/sha1.scm 341 */
 obj_t BgL_mmz00_1616;
BgL_mmz00_1616 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_1616))
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_exitd1073z00_1618;
BgL_exitd1073z00_1618 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha1.scm 345 */
 obj_t BgL_zc3z04anonymousza31479ze3z87_2688;
BgL_zc3z04anonymousza31479ze3z87_2688 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31479ze3ze5zz__sha1z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31479ze3z87_2688, 
(int)(((long)0)), BgL_mmz00_1616); 
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1848z00_2425;
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1849z00_2426;
BgL_arg1849z00_2426 = 
BGL_EXITD_PROTECT(BgL_exitd1073z00_1618); 
BgL_arg1848z00_2425 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31479ze3z87_2688, BgL_arg1849z00_2426); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1073z00_1618, BgL_arg1848z00_2425); BUNSPEC; } 
{ /* Unsafe/sha1.scm 344 */
 obj_t BgL_tmp1075z00_1620;
BgL_tmp1075z00_1620 = 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1616); 
{ /* Unsafe/sha1.scm 343 */
 bool_t BgL_test1931z00_3245;
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1847z00_2428;
BgL_arg1847z00_2428 = 
BGL_EXITD_PROTECT(BgL_exitd1073z00_1618); 
BgL_test1931z00_3245 = 
PAIRP(BgL_arg1847z00_2428); } 
if(BgL_test1931z00_3245)
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1845z00_2429;
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1846z00_2430;
BgL_arg1846z00_2430 = 
BGL_EXITD_PROTECT(BgL_exitd1073z00_1618); 
BgL_arg1845z00_2429 = 
CDR(
((obj_t)BgL_arg1846z00_2430)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1073z00_1618, BgL_arg1845z00_2429); BUNSPEC; }  else 
{ /* Unsafe/sha1.scm 343 */BFALSE; } } 
BGl_z62zc3z04anonymousza31479ze3ze5zz__sha1z00(BgL_zc3z04anonymousza31479ze3z87_2688); 
return BgL_tmp1075z00_1620;} } }  else 
{ /* Unsafe/sha1.scm 346 */
 obj_t BgL_pz00_1623;
{ /* Ieee/port.scm 440 */

BgL_pz00_1623 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_31, BTRUE, 
BINT(((long)5000000))); } 
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_exitd1077z00_1624;
BgL_exitd1077z00_1624 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha1.scm 349 */
 obj_t BgL_zc3z04anonymousza31480ze3z87_2689;
BgL_zc3z04anonymousza31480ze3z87_2689 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31480ze3z87_2689, 
(int)(((long)0)), BgL_pz00_1623); 
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1848z00_2433;
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1849z00_2434;
BgL_arg1849z00_2434 = 
BGL_EXITD_PROTECT(BgL_exitd1077z00_1624); 
BgL_arg1848z00_2433 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31480ze3z87_2689, BgL_arg1849z00_2434); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1077z00_1624, BgL_arg1848z00_2433); BUNSPEC; } 
{ /* Unsafe/sha1.scm 348 */
 obj_t BgL_tmp1079z00_1626;
BgL_tmp1079z00_1626 = 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1623); 
{ /* Unsafe/sha1.scm 347 */
 bool_t BgL_test1932z00_3265;
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1847z00_2436;
BgL_arg1847z00_2436 = 
BGL_EXITD_PROTECT(BgL_exitd1077z00_1624); 
BgL_test1932z00_3265 = 
PAIRP(BgL_arg1847z00_2436); } 
if(BgL_test1932z00_3265)
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1845z00_2437;
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1846z00_2438;
BgL_arg1846z00_2438 = 
BGL_EXITD_PROTECT(BgL_exitd1077z00_1624); 
BgL_arg1845z00_2437 = 
CDR(
((obj_t)BgL_arg1846z00_2438)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1077z00_1624, BgL_arg1845z00_2437); BUNSPEC; }  else 
{ /* Unsafe/sha1.scm 347 */BFALSE; } } 
BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00(BgL_zc3z04anonymousza31480ze3z87_2689); 
return BgL_tmp1079z00_1626;} } } } } } 

}



/* &sha1sum-file */
obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_2690, obj_t BgL_fnamez00_2691)
{
{ /* Unsafe/sha1.scm 340 */
{ /* Unsafe/sha1.scm 341 */
 obj_t BgL_auxz00_3273;
if(
STRINGP(BgL_fnamez00_2691))
{ /* Unsafe/sha1.scm 341 */
BgL_auxz00_3273 = BgL_fnamez00_2691
; }  else 
{ 
 obj_t BgL_auxz00_3276;
BgL_auxz00_3276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1871z00zz__sha1z00, 
BINT(((long)13262)), BGl_string1878z00zz__sha1z00, BGl_string1873z00zz__sha1z00, BgL_fnamez00_2691); 
FAILURE(BgL_auxz00_3276,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3273);} } 

}



/* &<@anonymous:1479> */
obj_t BGl_z62zc3z04anonymousza31479ze3ze5zz__sha1z00(obj_t BgL_envz00_2692)
{
{ /* Unsafe/sha1.scm 343 */
{ /* Unsafe/sha1.scm 345 */
 obj_t BgL_mmz00_2693;
BgL_mmz00_2693 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2692, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_2693);} } 

}



/* &<@anonymous:1480> */
obj_t BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00(obj_t BgL_envz00_2694)
{
{ /* Unsafe/sha1.scm 347 */
{ /* Unsafe/sha1.scm 349 */
 obj_t BgL_pz00_2695;
BgL_pz00_2695 = 
PROCEDURE_REF(BgL_envz00_2694, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_2695));} } 

}



/* sha1sum */
BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
{
{ /* Unsafe/sha1.scm 354 */
if(
BGL_MMAPP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 356 */
return 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 356 */
if(
STRINGP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 358 */
return 
BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 358 */
if(
INPUT_PORTP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 360 */
return 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 360 */
return 
BGl_errorz00zz__errorz00(BGl_string1879z00zz__sha1z00, BGl_string1880z00zz__sha1z00, BgL_objz00_32);} } } } 

}



/* &sha1sum */
obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_2696, obj_t BgL_objz00_2697)
{
{ /* Unsafe/sha1.scm 354 */
return 
BGl_sha1sumz00zz__sha1z00(BgL_objz00_2697);} 

}



/* hmac-sha1sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t BgL_keyz00_33, obj_t BgL_messagez00_34)
{
{ /* Unsafe/sha1.scm 368 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34, BGl_sha1sumzd2stringzd2envz00zz__sha1z00);} 

}



/* &hmac-sha1sum-string */
obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_2698, obj_t BgL_keyz00_2699, obj_t BgL_messagez00_2700)
{
{ /* Unsafe/sha1.scm 368 */
{ /* Unsafe/sha1.scm 369 */
 obj_t BgL_auxz00_3308; obj_t BgL_auxz00_3301;
if(
STRINGP(BgL_messagez00_2700))
{ /* Unsafe/sha1.scm 369 */
BgL_auxz00_3308 = BgL_messagez00_2700
; }  else 
{ 
 obj_t BgL_auxz00_3311;
BgL_auxz00_3311 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1871z00zz__sha1z00, 
BINT(((long)14229)), BGl_string1881z00zz__sha1z00, BGl_string1873z00zz__sha1z00, BgL_messagez00_2700); 
FAILURE(BgL_auxz00_3311,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_2699))
{ /* Unsafe/sha1.scm 369 */
BgL_auxz00_3301 = BgL_keyz00_2699
; }  else 
{ 
 obj_t BgL_auxz00_3304;
BgL_auxz00_3304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1871z00zz__sha1z00, 
BINT(((long)14229)), BGl_string1881z00zz__sha1z00, BGl_string1873z00zz__sha1z00, BgL_keyz00_2699); 
FAILURE(BgL_auxz00_3304,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3301, BgL_auxz00_3308);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1882z00zz__sha1z00)); 
return 
BGl_modulezd2initializa7ationz75zz__hmacz00(((long)285132844), 
BSTRING_TO_STRING(BGl_string1882z00zz__sha1z00));} 

}

#ifdef __cplusplus
}
#endif
