/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol2002z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2004z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_keyword1980z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_symbol1946z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1972z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1974z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_symbol1976z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1978z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol1982z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1984z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1986z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1988z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_symbol1990z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1992z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1994z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1996z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1998z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncomp1201z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2000z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1950z00zz__evaluate_uncompz00,
		BgL_bgl_string1950za700za7za7_2008za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1201za7622009z00,
		BGl_z62uncomp1201z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v2010z00,
		BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2011z00,
		BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2012z00,
		BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i2013z00,
		BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o2014z00,
		BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2015z00,
		BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p2016z00,
		BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t2017z00,
		BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2018z00,
		BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d2019z00,
		BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2020z00,
		BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b2021z00,
		BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u2022z00,
		BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w2023z00,
		BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2024z00,
		BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2025z00,
		BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2026z00,
		BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1973z00zz__evaluate_uncompz00,
		BgL_bgl_string1973za700za7za7_2027za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2028z00,
		BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2029z00,
		BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1975z00zz__evaluate_uncompz00,
		BgL_bgl_string1975za700za7za7_2030za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2031z00,
		BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1977z00zz__evaluate_uncompz00,
		BgL_bgl_string1977za700za7za7_2032za7, "let*", 4);
	      DEFINE_STRING(BGl_string1979z00zz__evaluate_uncompz00,
		BgL_bgl_string1979za700za7za7_2033za7, "let", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2034z00,
		BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2035z00,
		BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1981z00zz__evaluate_uncompz00,
		BgL_bgl_string1981za700za7za7_2036za7, "prelock", 7);
	      DEFINE_STRING(BGl_string1983z00zz__evaluate_uncompz00,
		BgL_bgl_string1983za700za7za7_2037za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string1985z00zz__evaluate_uncompz00,
		BgL_bgl_string1985za700za7za7_2038za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1987z00zz__evaluate_uncompz00,
		BgL_bgl_string1987za700za7za7_2039za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1989z00zz__evaluate_uncompz00,
		BgL_bgl_string1989za700za7za7_2040za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1991z00zz__evaluate_uncompz00,
		BgL_bgl_string1991za700za7za7_2041za7, "set!", 4);
	      DEFINE_STRING(BGl_string1993z00zz__evaluate_uncompz00,
		BgL_bgl_string1993za700za7za7_2042za7, "define", 6);
	      DEFINE_STRING(BGl_string1995z00zz__evaluate_uncompz00,
		BgL_bgl_string1995za700za7za7_2043za7, "trap", 4);
	      DEFINE_STRING(BGl_string1997z00zz__evaluate_uncompz00,
		BgL_bgl_string1997za700za7za7_2044za7, "begin", 5);
	      DEFINE_STRING(BGl_string1999z00zz__evaluate_uncompz00,
		BgL_bgl_string1999za700za7za7_2045za7, "and", 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__2046z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za72047za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2001z00zz__evaluate_uncompz00,
		BgL_bgl_string2001za700za7za7_2048za7, "or", 2);
	      DEFINE_STRING(BGl_string2003z00zz__evaluate_uncompz00,
		BgL_bgl_string2003za700za7za7_2049za7, "if", 2);
	      DEFINE_STRING(BGl_string2005z00zz__evaluate_uncompz00,
		BgL_bgl_string2005za700za7za7_2050za7, "quote", 5);
	      DEFINE_STRING(BGl_string2006z00zz__evaluate_uncompz00,
		BgL_bgl_string2006za700za7za7_2051za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1941z00zz__evaluate_uncompz00,
		BgL_bgl_string1941za700za7za7_2052za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1942z00zz__evaluate_uncompz00,
		BgL_bgl_string1942za700za7za7_2053za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1943z00zz__evaluate_uncompz00,
		BgL_bgl_string1943za700za7za7_2054za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1945z00zz__evaluate_uncompz00,
		BgL_bgl_string1945za700za7za7_2055za7, "uncomp1201", 10);
	      DEFINE_STRING(BGl_string1947z00zz__evaluate_uncompz00,
		BgL_bgl_string1947za700za7za7_2056za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1948z00zz__evaluate_uncompz00,
		BgL_bgl_string1948za700za7za7_2057za7, "&uncomp", 7);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2002z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2004z00zz__evaluate_uncompz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_keyword1980z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1946z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1972z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1974z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1976z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1978z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1982z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1984z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1986z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1988z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1990z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1992z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1994z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1996z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1998z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2000z00zz__evaluate_uncompz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2873, char *BgL_fromz00_2874)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1946z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1945z00zz__evaluate_uncompz00);
			BGl_symbol1972z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1973z00zz__evaluate_uncompz00);
			BGl_symbol1974z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1975z00zz__evaluate_uncompz00);
			BGl_symbol1976z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1977z00zz__evaluate_uncompz00);
			BGl_symbol1978z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1979z00zz__evaluate_uncompz00);
			BGl_keyword1980z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string1981z00zz__evaluate_uncompz00);
			BGl_symbol1982z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1983z00zz__evaluate_uncompz00);
			BGl_symbol1984z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1985z00zz__evaluate_uncompz00);
			BGl_symbol1986z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1987z00zz__evaluate_uncompz00);
			BGl_symbol1988z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1989z00zz__evaluate_uncompz00);
			BGl_symbol1990z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1991z00zz__evaluate_uncompz00);
			BGl_symbol1992z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1993z00zz__evaluate_uncompz00);
			BGl_symbol1994z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1995z00zz__evaluate_uncompz00);
			BGl_symbol1996z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1997z00zz__evaluate_uncompz00);
			BGl_symbol1998z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1999z00zz__evaluate_uncompz00);
			BGl_symbol2000z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2001z00zz__evaluate_uncompz00);
			BGl_symbol2002z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2003z00zz__evaluate_uncompz00);
			return (BGl_symbol2004z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2005z00zz__evaluate_uncompz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}

	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}

	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2513,
		obj_t BgL_ez00_2514)
	{
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2904;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2514,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_auxz00_2904 = ((BgL_ev_exprz00_bglt) BgL_ez00_2514);
					}
				else
					{
						obj_t BgL_auxz00_2908;

						BgL_auxz00_2908 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1941z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1942z00zz__evaluate_uncompz00,
							BGl_string1943z00zz__evaluate_uncompz00, BgL_ez00_2514);
						FAILURE(BgL_auxz00_2908, BFALSE, BFALSE);
					}
				return BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2904);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1944z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1945z00zz__evaluate_uncompz00);
		}

	}



/* &uncomp1201 */
	obj_t BGl_z62uncomp1201z62zz__evaluate_uncompz00(obj_t BgL_envz00_2516,
		obj_t BgL_ez00_2517)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1946z00zz__evaluate_uncompz00,
				BGl_string1947z00zz__evaluate_uncompz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2517)));
		}

	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1202z00_1144;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1925z00_2009;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1980;

						BgL_objzd2classzd2numz00_1980 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1905z00_1981;

							BgL_arg1905z00_1981 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_1984;

								BgL_offsetz00_1984 = (int) (BgL_objzd2classzd2numz00_1980);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_1985;

									BgL_offsetz00_1985 =
										((long) (BgL_offsetz00_1984) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_1986;

										BgL_modz00_1986 =
											(BgL_offsetz00_1985 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_1988;

											BgL_restz00_1988 =
												(BgL_offsetz00_1985 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_uncomp.scm 65 */

												{	/* Eval/evaluate_uncomp.scm 65 */
													obj_t BgL_bucketz00_1990;

													BgL_bucketz00_1990 =
														VECTOR_REF(
														((obj_t) BgL_arg1905z00_1981), BgL_modz00_1986);
													BgL_res1925z00_2009 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1990), BgL_restz00_1988);
					}}}}}}}}
					BgL_method1202z00_1144 = BgL_res1925z00_2009;
				}
				return
					PROCEDURE_ENTRY(BgL_method1202z00_1144) (BgL_method1202z00_1144,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}

	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2518,
		obj_t BgL_ez00_2519)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2947;

				{	/* Eval/evaluate_uncomp.scm 65 */
					bool_t BgL_test2060z00_2948;

					{	/* Eval/evaluate_uncomp.scm 65 */
						obj_t BgL_classz00_2595;

						BgL_classz00_2595 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_2519))
							{	/* Eval/evaluate_uncomp.scm 65 */
								BgL_objectz00_bglt BgL_arg1901z00_2597;
								long BgL_arg1904z00_2598;

								BgL_arg1901z00_2597 = (BgL_objectz00_bglt) (BgL_ez00_2519);
								BgL_arg1904z00_2598 = BGL_CLASS_DEPTH(BgL_classz00_2595);
								{	/* Eval/evaluate_uncomp.scm 65 */
									bool_t BgL_arg1894z00_2602;
									bool_t BgL_arg1895z00_2603;

									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_idxz00_2607;

										BgL_idxz00_2607 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1901z00_2597);
										{	/* Eval/evaluate_uncomp.scm 65 */
											obj_t BgL_arg1890z00_2608;

											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_arg1891z00_2609;

												BgL_arg1891z00_2609 =
													(BgL_idxz00_2607 + BgL_arg1904z00_2598);
												BgL_arg1890z00_2608 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg1891z00_2609);
											}
											BgL_arg1894z00_2602 =
												(BgL_arg1890z00_2608 == BgL_classz00_2595);
									}}
									{	/* Eval/evaluate_uncomp.scm 65 */
										bool_t BgL_res2007z00_2632;

										{	/* Eval/evaluate_uncomp.scm 65 */
											obj_t BgL_oclassz00_2617;

											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_arg1908z00_2623;

												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_arg1909z00_2624;

													BgL_arg1909z00_2624 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1901z00_2597);
													BgL_arg1908z00_2623 =
														(BgL_arg1909z00_2624 - OBJECT_TYPE);
												}
												BgL_oclassz00_2617 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1908z00_2623);
											}
											{	/* Eval/evaluate_uncomp.scm 65 */
												bool_t BgL__ortest_1126z00_2618;

												BgL__ortest_1126z00_2618 =
													(BgL_classz00_2595 == BgL_oclassz00_2617);
												if (BgL__ortest_1126z00_2618)
													{	/* Eval/evaluate_uncomp.scm 65 */
														BgL_res2007z00_2632 = BgL__ortest_1126z00_2618;
													}
												else
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_odepthz00_2619;

														BgL_odepthz00_2619 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2617);
														if ((BgL_arg1904z00_2598 < BgL_odepthz00_2619))
															{	/* Eval/evaluate_uncomp.scm 65 */
																obj_t BgL_arg1892z00_2621;

																BgL_arg1892z00_2621 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2617,
																	BgL_arg1904z00_2598);
																BgL_res2007z00_2632 =
																	(BgL_arg1892z00_2621 == BgL_classz00_2595);
															}
														else
															{	/* Eval/evaluate_uncomp.scm 65 */
																BgL_res2007z00_2632 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1895z00_2603 = BgL_res2007z00_2632;
									}
									BgL_test2060z00_2948 =
										BGL_ISA_C_BACKEND(BgL_arg1894z00_2602, BgL_arg1895z00_2603);
								}
							}
						else
							{	/* Eval/evaluate_uncomp.scm 65 */
								BgL_test2060z00_2948 = ((bool_t) 0);
							}
					}
					if (BgL_test2060z00_2948)
						{	/* Eval/evaluate_uncomp.scm 65 */
							BgL_auxz00_2947 = ((BgL_ev_exprz00_bglt) BgL_ez00_2519);
						}
					else
						{
							obj_t BgL_auxz00_2969;

							BgL_auxz00_2969 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1941z00zz__evaluate_uncompz00, BINT(((long) 1830)),
								BGl_string1948z00zz__evaluate_uncompz00,
								BGl_string1943z00zz__evaluate_uncompz00, BgL_ez00_2519);
							FAILURE(BgL_auxz00_2969, BFALSE, BFALSE);
				}}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2947);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1949z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1951z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1952z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1953z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1954z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1955z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1956z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1957z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1958z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1959z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1960z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1961z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1962z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1963z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1964z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1965z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1966z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1967z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1968z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1969z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1970z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1971z00zz__evaluate_uncompz00,
				BGl_string1950z00zz__evaluate_uncompz00);
		}

	}



/* &uncomp-ev_abs1246 */
	obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2542, obj_t BgL_ez00_2543)
	{
		{	/* Eval/evaluate_uncomp.scm 157 */
			{	/* Eval/evaluate_uncomp.scm 166 */
				obj_t BgL_arg1515z00_2634;

				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1516z00_2635;
					obj_t BgL_arg1517z00_2636;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1518z00_2637;
						obj_t BgL_arg1519z00_2638;

						BgL_arg1518z00_2637 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_2543)))->BgL_arityz00);
						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_l1183z00_2639;

							BgL_l1183z00_2639 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2543)))->BgL_varsz00);
							if (NULLP(BgL_l1183z00_2639))
								{	/* Eval/evaluate_uncomp.scm 166 */
									BgL_arg1519z00_2638 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 166 */
									obj_t BgL_head1185z00_2640;

									BgL_head1185z00_2640 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1183z00_2642;
										obj_t BgL_tail1186z00_2643;

										BgL_l1183z00_2642 = BgL_l1183z00_2639;
										BgL_tail1186z00_2643 = BgL_head1185z00_2640;
									BgL_zc3z04anonymousza31521ze3z87_2641:
										if (NULLP(BgL_l1183z00_2642))
											{	/* Eval/evaluate_uncomp.scm 166 */
												BgL_arg1519z00_2638 = CDR(BgL_head1185z00_2640);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 166 */
												obj_t BgL_newtail1187z00_2644;

												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1524z00_2645;

													BgL_arg1524z00_2645 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt)
																	CAR(
																		((obj_t) BgL_l1183z00_2642)))))->
														BgL_namez00);
													BgL_newtail1187z00_2644 =
														MAKE_YOUNG_PAIR(BgL_arg1524z00_2645, BNIL);
												}
												SET_CDR(BgL_tail1186z00_2643, BgL_newtail1187z00_2644);
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1523z00_2646;

													BgL_arg1523z00_2646 =
														CDR(((obj_t) BgL_l1183z00_2642));
													{
														obj_t BgL_tail1186z00_3015;
														obj_t BgL_l1183z00_3014;

														BgL_l1183z00_3014 = BgL_arg1523z00_2646;
														BgL_tail1186z00_3015 = BgL_newtail1187z00_2644;
														BgL_tail1186z00_2643 = BgL_tail1186z00_3015;
														BgL_l1183z00_2642 = BgL_l1183z00_3014;
														goto BgL_zc3z04anonymousza31521ze3z87_2641;
													}
												}
											}
									}
								}
						}
						BgL_arg1516z00_2635 =
							BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1518z00_2637,
							BgL_arg1519z00_2638);
					}
					BgL_arg1517z00_2636 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2543)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1515z00_2634 =
						MAKE_YOUNG_PAIR(BgL_arg1516z00_2635, BgL_arg1517z00_2636);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1972z00zz__evaluate_uncompz00,
					BgL_arg1515z00_2634);
			}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1551)
	{
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(((obj_t) BgL_lz00_1551))))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(((obj_t) BgL_lz00_1551));
				}
			else
				{	/* Eval/evaluate_uncomp.scm 165 */
					obj_t BgL_arg1532z00_1555;
					obj_t BgL_arg1533z00_1556;

					BgL_arg1532z00_1555 = CAR(((obj_t) BgL_lz00_1551));
					{	/* Eval/evaluate_uncomp.scm 165 */
						obj_t BgL_arg1534z00_1557;

						BgL_arg1534z00_1557 = CDR(((obj_t) BgL_lz00_1551));
						BgL_arg1533z00_1556 =
							BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1534z00_1557);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1532z00_1555, BgL_arg1533z00_1556);
				}
		}

	}



/* redovars~0 */
	obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1546,
		obj_t BgL_lz00_1547)
	{
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1546) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1547;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1547);
				}
		}

	}



/* &uncomp-ev_app1244 */
	obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2544, obj_t BgL_ez00_2545)
	{
		{	/* Eval/evaluate_uncomp.scm 153 */
			{	/* Eval/evaluate_uncomp.scm 155 */
				obj_t BgL_arg1503z00_2648;
				obj_t BgL_arg1504z00_2649;

				BgL_arg1503z00_2648 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2545)))->BgL_funz00));
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1506z00_2650;

					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_l1177z00_2651;

						BgL_l1177z00_2651 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_2545)))->BgL_argsz00);
						if (NULLP(BgL_l1177z00_2651))
							{	/* Eval/evaluate_uncomp.scm 155 */
								BgL_arg1506z00_2650 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_head1179z00_2652;

								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_arg1513z00_2653;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1514z00_2654;

										BgL_arg1514z00_2654 = CAR(((obj_t) BgL_l1177z00_2651));
										BgL_arg1513z00_2653 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1514z00_2654));
									}
									BgL_head1179z00_2652 =
										MAKE_YOUNG_PAIR(BgL_arg1513z00_2653, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_g1182z00_2655;

									BgL_g1182z00_2655 = CDR(((obj_t) BgL_l1177z00_2651));
									{
										obj_t BgL_l1177z00_2657;
										obj_t BgL_tail1180z00_2658;

										BgL_l1177z00_2657 = BgL_g1182z00_2655;
										BgL_tail1180z00_2658 = BgL_head1179z00_2652;
									BgL_zc3z04anonymousza31508ze3z87_2656:
										if (NULLP(BgL_l1177z00_2657))
											{	/* Eval/evaluate_uncomp.scm 155 */
												BgL_arg1506z00_2650 = BgL_head1179z00_2652;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_newtail1181z00_2659;

												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1511z00_2660;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1512z00_2661;

														BgL_arg1512z00_2661 =
															CAR(((obj_t) BgL_l1177z00_2657));
														BgL_arg1511z00_2660 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1512z00_2661));
													}
													BgL_newtail1181z00_2659 =
														MAKE_YOUNG_PAIR(BgL_arg1511z00_2660, BNIL);
												}
												SET_CDR(BgL_tail1180z00_2658, BgL_newtail1181z00_2659);
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1510z00_2662;

													BgL_arg1510z00_2662 =
														CDR(((obj_t) BgL_l1177z00_2657));
													{
														obj_t BgL_tail1180z00_3064;
														obj_t BgL_l1177z00_3063;

														BgL_l1177z00_3063 = BgL_arg1510z00_2662;
														BgL_tail1180z00_3064 = BgL_newtail1181z00_2659;
														BgL_tail1180z00_2658 = BgL_tail1180z00_3064;
														BgL_l1177z00_2657 = BgL_l1177z00_3063;
														goto BgL_zc3z04anonymousza31508ze3z87_2656;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1504z00_2649 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1506z00_2650,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1503z00_2648, BgL_arg1504z00_2649);
			}
		}

	}



/* &uncomp-ev_goto1242 */
	obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2546, obj_t BgL_ez00_2547)
	{
		{	/* Eval/evaluate_uncomp.scm 149 */
			{	/* Eval/evaluate_uncomp.scm 151 */
				obj_t BgL_arg1489z00_2664;
				obj_t BgL_arg1490z00_2665;

				{	/* Eval/evaluate_uncomp.scm 151 */
					BgL_ev_varz00_bglt BgL_arg1491z00_2666;

					BgL_arg1491z00_2666 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2547)))->BgL_labelz00);
					BgL_arg1489z00_2664 =
						BGl_uncompz00zz__evaluate_uncompz00(
						((BgL_ev_exprz00_bglt) BgL_arg1491z00_2666));
				}
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1492z00_2667;

					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_l1171z00_2668;

						BgL_l1171z00_2668 =
							(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_2547)))->BgL_argsz00);
						if (NULLP(BgL_l1171z00_2668))
							{	/* Eval/evaluate_uncomp.scm 151 */
								BgL_arg1492z00_2667 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_head1173z00_2669;

								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_arg1500z00_2670;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1502z00_2671;

										BgL_arg1502z00_2671 = CAR(((obj_t) BgL_l1171z00_2668));
										BgL_arg1500z00_2670 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1502z00_2671));
									}
									BgL_head1173z00_2669 =
										MAKE_YOUNG_PAIR(BgL_arg1500z00_2670, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_g1176z00_2672;

									BgL_g1176z00_2672 = CDR(((obj_t) BgL_l1171z00_2668));
									{
										obj_t BgL_l1171z00_2674;
										obj_t BgL_tail1174z00_2675;

										BgL_l1171z00_2674 = BgL_g1176z00_2672;
										BgL_tail1174z00_2675 = BgL_head1173z00_2669;
									BgL_zc3z04anonymousza31494ze3z87_2673:
										if (NULLP(BgL_l1171z00_2674))
											{	/* Eval/evaluate_uncomp.scm 151 */
												BgL_arg1492z00_2667 = BgL_head1173z00_2669;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_newtail1175z00_2676;

												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1497z00_2677;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1499z00_2678;

														BgL_arg1499z00_2678 =
															CAR(((obj_t) BgL_l1171z00_2674));
														BgL_arg1497z00_2677 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1499z00_2678));
													}
													BgL_newtail1175z00_2676 =
														MAKE_YOUNG_PAIR(BgL_arg1497z00_2677, BNIL);
												}
												SET_CDR(BgL_tail1174z00_2675, BgL_newtail1175z00_2676);
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1496z00_2679;

													BgL_arg1496z00_2679 =
														CDR(((obj_t) BgL_l1171z00_2674));
													{
														obj_t BgL_tail1174z00_3093;
														obj_t BgL_l1171z00_3092;

														BgL_l1171z00_3092 = BgL_arg1496z00_2679;
														BgL_tail1174z00_3093 = BgL_newtail1175z00_2676;
														BgL_tail1174z00_2675 = BgL_tail1174z00_3093;
														BgL_l1171z00_2674 = BgL_l1171z00_3092;
														goto BgL_zc3z04anonymousza31494ze3z87_2673;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1490z00_2665 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1492z00_2667,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1489z00_2664, BgL_arg1490z00_2665);
			}
		}

	}



/* &uncomp-ev_labels1240 */
	obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2548, obj_t BgL_ez00_2549)
	{
		{	/* Eval/evaluate_uncomp.scm 142 */
			{	/* Eval/evaluate_uncomp.scm 144 */
				obj_t BgL_arg1459z00_2681;

				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1462z00_2682;
					obj_t BgL_arg1463z00_2683;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_ll1165z00_2684;
						obj_t BgL_ll1166z00_2685;

						BgL_ll1165z00_2684 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2549)))->BgL_varsz00);
						BgL_ll1166z00_2685 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2549)))->BgL_valsz00);
						if (NULLP(BgL_ll1165z00_2684))
							{	/* Eval/evaluate_uncomp.scm 144 */
								BgL_arg1462z00_2682 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 144 */
								obj_t BgL_head1167z00_2686;

								BgL_head1167z00_2686 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1165z00_2688;
									obj_t BgL_ll1166z00_2689;
									obj_t BgL_tail1168z00_2690;

									BgL_ll1165z00_2688 = BgL_ll1165z00_2684;
									BgL_ll1166z00_2689 = BgL_ll1166z00_2685;
									BgL_tail1168z00_2690 = BgL_head1167z00_2686;
								BgL_zc3z04anonymousza31465ze3z87_2687:
									if (NULLP(BgL_ll1165z00_2688))
										{	/* Eval/evaluate_uncomp.scm 144 */
											BgL_arg1462z00_2682 = CDR(BgL_head1167z00_2686);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 144 */
											obj_t BgL_newtail1169z00_2691;

											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1469z00_2692;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_vz00_2693;
													obj_t BgL_az00_2694;

													BgL_vz00_2693 = CAR(((obj_t) BgL_ll1165z00_2688));
													BgL_az00_2694 = CAR(((obj_t) BgL_ll1166z00_2689));
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_arg1470z00_2695;
														obj_t BgL_arg1471z00_2696;

														BgL_arg1470z00_2695 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2693));
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1472z00_2697;

															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1473z00_2698;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1474z00_2699;
																	obj_t BgL_arg1475z00_2700;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_l1159z00_2701;

																		BgL_l1159z00_2701 =
																			CAR(((obj_t) BgL_az00_2694));
																		if (NULLP(BgL_l1159z00_2701))
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				BgL_arg1474z00_2699 = BNIL;
																			}
																		else
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				obj_t BgL_head1161z00_2702;

																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_arg1483z00_2703;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1484z00_2704;

																						BgL_arg1484z00_2704 =
																							CAR(((obj_t) BgL_l1159z00_2701));
																						BgL_arg1483z00_2703 =
																							BGl_uncompz00zz__evaluate_uncompz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg1484z00_2704));
																					}
																					BgL_head1161z00_2702 =
																						MAKE_YOUNG_PAIR(BgL_arg1483z00_2703,
																						BNIL);
																				}
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_g1164z00_2705;

																					BgL_g1164z00_2705 =
																						CDR(((obj_t) BgL_l1159z00_2701));
																					{
																						obj_t BgL_l1159z00_2707;
																						obj_t BgL_tail1162z00_2708;

																						BgL_l1159z00_2707 =
																							BgL_g1164z00_2705;
																						BgL_tail1162z00_2708 =
																							BgL_head1161z00_2702;
																					BgL_zc3z04anonymousza31477ze3z87_2706:
																						if (NULLP
																							(BgL_l1159z00_2707))
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								BgL_arg1474z00_2699 =
																									BgL_head1161z00_2702;
																							}
																						else
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								obj_t BgL_newtail1163z00_2709;

																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1481z00_2710;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1482z00_2711;

																										BgL_arg1482z00_2711 =
																											CAR(
																											((obj_t)
																												BgL_l1159z00_2707));
																										BgL_arg1481z00_2710 =
																											BGl_uncompz00zz__evaluate_uncompz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg1482z00_2711));
																									}
																									BgL_newtail1163z00_2709 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1481z00_2710, BNIL);
																								}
																								SET_CDR(BgL_tail1162z00_2708,
																									BgL_newtail1163z00_2709);
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1479z00_2712;

																									BgL_arg1479z00_2712 =
																										CDR(
																										((obj_t)
																											BgL_l1159z00_2707));
																									{
																										obj_t BgL_tail1162z00_3134;
																										obj_t BgL_l1159z00_3133;

																										BgL_l1159z00_3133 =
																											BgL_arg1479z00_2712;
																										BgL_tail1162z00_3134 =
																											BgL_newtail1163z00_2709;
																										BgL_tail1162z00_2708 =
																											BgL_tail1162z00_3134;
																										BgL_l1159z00_2707 =
																											BgL_l1159z00_3133;
																										goto
																											BgL_zc3z04anonymousza31477ze3z87_2706;
																									}
																								}
																							}
																					}
																				}
																			}
																	}
																	{	/* Eval/evaluate_uncomp.scm 145 */
																		obj_t BgL_arg1485z00_2713;

																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1486z00_2714;

																			BgL_arg1486z00_2714 =
																				CDR(((obj_t) BgL_az00_2694));
																			BgL_arg1485z00_2713 =
																				BGl_uncompz00zz__evaluate_uncompz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg1486z00_2714));
																		}
																		BgL_arg1475z00_2700 =
																			MAKE_YOUNG_PAIR(BgL_arg1485z00_2713,
																			BNIL);
																	}
																	BgL_arg1473z00_2698 =
																		MAKE_YOUNG_PAIR(BgL_arg1474z00_2699,
																		BgL_arg1475z00_2700);
																}
																BgL_arg1472z00_2697 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1972z00zz__evaluate_uncompz00,
																	BgL_arg1473z00_2698);
															}
															BgL_arg1471z00_2696 =
																MAKE_YOUNG_PAIR(BgL_arg1472z00_2697, BNIL);
														}
														BgL_arg1469z00_2692 =
															MAKE_YOUNG_PAIR(BgL_arg1470z00_2695,
															BgL_arg1471z00_2696);
													}
												}
												BgL_newtail1169z00_2691 =
													MAKE_YOUNG_PAIR(BgL_arg1469z00_2692, BNIL);
											}
											SET_CDR(BgL_tail1168z00_2690, BgL_newtail1169z00_2691);
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1467z00_2715;
												obj_t BgL_arg1468z00_2716;

												BgL_arg1467z00_2715 = CDR(((obj_t) BgL_ll1165z00_2688));
												BgL_arg1468z00_2716 = CDR(((obj_t) BgL_ll1166z00_2689));
												{
													obj_t BgL_tail1168z00_3152;
													obj_t BgL_ll1166z00_3151;
													obj_t BgL_ll1165z00_3150;

													BgL_ll1165z00_3150 = BgL_arg1467z00_2715;
													BgL_ll1166z00_3151 = BgL_arg1468z00_2716;
													BgL_tail1168z00_3152 = BgL_newtail1169z00_2691;
													BgL_tail1168z00_2690 = BgL_tail1168z00_3152;
													BgL_ll1166z00_2689 = BgL_ll1166z00_3151;
													BgL_ll1165z00_2688 = BgL_ll1165z00_3150;
													goto BgL_zc3z04anonymousza31465ze3z87_2687;
												}
											}
										}
								}
							}
					}
					BgL_arg1463z00_2683 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_2549)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1459z00_2681 =
						MAKE_YOUNG_PAIR(BgL_arg1462z00_2682, BgL_arg1463z00_2683);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1974z00zz__evaluate_uncompz00,
					BgL_arg1459z00_2681);
			}
		}

	}



/* &uncomp-ev_letrec1238 */
	obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2550, obj_t BgL_ez00_2551)
	{
		{	/* Eval/evaluate_uncomp.scm 138 */
			{	/* Eval/evaluate_uncomp.scm 140 */
				obj_t BgL_arg1445z00_2718;

				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1446z00_2719;
					obj_t BgL_arg1447z00_2720;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_ll1153z00_2721;
						obj_t BgL_ll1154z00_2722;

						BgL_ll1153z00_2721 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2551))))->BgL_varsz00);
						BgL_ll1154z00_2722 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2551))))->BgL_valsz00);
						if (NULLP(BgL_ll1153z00_2721))
							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_arg1446z00_2719 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 140 */
								obj_t BgL_head1155z00_2723;

								BgL_head1155z00_2723 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1153z00_2725;
									obj_t BgL_ll1154z00_2726;
									obj_t BgL_tail1156z00_2727;

									BgL_ll1153z00_2725 = BgL_ll1153z00_2721;
									BgL_ll1154z00_2726 = BgL_ll1154z00_2722;
									BgL_tail1156z00_2727 = BgL_head1155z00_2723;
								BgL_zc3z04anonymousza31449ze3z87_2724:
									if (NULLP(BgL_ll1153z00_2725))
										{	/* Eval/evaluate_uncomp.scm 140 */
											BgL_arg1446z00_2719 = CDR(BgL_head1155z00_2723);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 140 */
											obj_t BgL_newtail1157z00_2728;

											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1453z00_2729;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_vz00_2730;
													obj_t BgL_az00_2731;

													BgL_vz00_2730 = CAR(((obj_t) BgL_ll1153z00_2725));
													BgL_az00_2731 = CAR(((obj_t) BgL_ll1154z00_2726));
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_arg1454z00_2732;
														obj_t BgL_arg1455z00_2733;

														BgL_arg1454z00_2732 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2730));
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1456z00_2734;

															BgL_arg1456z00_2734 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2731));
															BgL_arg1455z00_2733 =
																MAKE_YOUNG_PAIR(BgL_arg1456z00_2734, BNIL);
														}
														BgL_arg1453z00_2729 =
															MAKE_YOUNG_PAIR(BgL_arg1454z00_2732,
															BgL_arg1455z00_2733);
													}
												}
												BgL_newtail1157z00_2728 =
													MAKE_YOUNG_PAIR(BgL_arg1453z00_2729, BNIL);
											}
											SET_CDR(BgL_tail1156z00_2727, BgL_newtail1157z00_2728);
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1451z00_2735;
												obj_t BgL_arg1452z00_2736;

												BgL_arg1451z00_2735 = CDR(((obj_t) BgL_ll1153z00_2725));
												BgL_arg1452z00_2736 = CDR(((obj_t) BgL_ll1154z00_2726));
												{
													obj_t BgL_tail1156z00_3189;
													obj_t BgL_ll1154z00_3188;
													obj_t BgL_ll1153z00_3187;

													BgL_ll1153z00_3187 = BgL_arg1451z00_2735;
													BgL_ll1154z00_3188 = BgL_arg1452z00_2736;
													BgL_tail1156z00_3189 = BgL_newtail1157z00_2728;
													BgL_tail1156z00_2727 = BgL_tail1156z00_3189;
													BgL_ll1154z00_2726 = BgL_ll1154z00_3188;
													BgL_ll1153z00_2725 = BgL_ll1153z00_3187;
													goto BgL_zc3z04anonymousza31449ze3z87_2724;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1457z00_2737;

						{	/* Eval/evaluate_uncomp.scm 140 */
							BgL_ev_exprz00_bglt BgL_arg1458z00_2738;

							BgL_arg1458z00_2738 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_2551))))->BgL_bodyz00);
							BgL_arg1457z00_2737 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1458z00_2738);
						}
						BgL_arg1447z00_2720 = MAKE_YOUNG_PAIR(BgL_arg1457z00_2737, BNIL);
					}
					BgL_arg1445z00_2718 =
						MAKE_YOUNG_PAIR(BgL_arg1446z00_2719, BgL_arg1447z00_2720);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1974z00zz__evaluate_uncompz00,
					BgL_arg1445z00_2718);
			}
		}

	}



/* &uncomp-ev_let*1236 */
	obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2552, obj_t BgL_ez00_2553)
	{
		{	/* Eval/evaluate_uncomp.scm 134 */
			{	/* Eval/evaluate_uncomp.scm 136 */
				obj_t BgL_arg1431z00_2740;

				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1432z00_2741;
					obj_t BgL_arg1433z00_2742;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_ll1147z00_2743;
						obj_t BgL_ll1148z00_2744;

						BgL_ll1147z00_2743 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2553))))->BgL_varsz00);
						BgL_ll1148z00_2744 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2553))))->BgL_valsz00);
						if (NULLP(BgL_ll1147z00_2743))
							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_arg1432z00_2741 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 136 */
								obj_t BgL_head1149z00_2745;

								BgL_head1149z00_2745 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1147z00_2747;
									obj_t BgL_ll1148z00_2748;
									obj_t BgL_tail1150z00_2749;

									BgL_ll1147z00_2747 = BgL_ll1147z00_2743;
									BgL_ll1148z00_2748 = BgL_ll1148z00_2744;
									BgL_tail1150z00_2749 = BgL_head1149z00_2745;
								BgL_zc3z04anonymousza31435ze3z87_2746:
									if (NULLP(BgL_ll1147z00_2747))
										{	/* Eval/evaluate_uncomp.scm 136 */
											BgL_arg1432z00_2741 = CDR(BgL_head1149z00_2745);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 136 */
											obj_t BgL_newtail1151z00_2750;

											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1439z00_2751;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_vz00_2752;
													obj_t BgL_az00_2753;

													BgL_vz00_2752 = CAR(((obj_t) BgL_ll1147z00_2747));
													BgL_az00_2753 = CAR(((obj_t) BgL_ll1148z00_2748));
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_arg1440z00_2754;
														obj_t BgL_arg1441z00_2755;

														BgL_arg1440z00_2754 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2752));
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1442z00_2756;

															BgL_arg1442z00_2756 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2753));
															BgL_arg1441z00_2755 =
																MAKE_YOUNG_PAIR(BgL_arg1442z00_2756, BNIL);
														}
														BgL_arg1439z00_2751 =
															MAKE_YOUNG_PAIR(BgL_arg1440z00_2754,
															BgL_arg1441z00_2755);
													}
												}
												BgL_newtail1151z00_2750 =
													MAKE_YOUNG_PAIR(BgL_arg1439z00_2751, BNIL);
											}
											SET_CDR(BgL_tail1150z00_2749, BgL_newtail1151z00_2750);
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1437z00_2757;
												obj_t BgL_arg1438z00_2758;

												BgL_arg1437z00_2757 = CDR(((obj_t) BgL_ll1147z00_2747));
												BgL_arg1438z00_2758 = CDR(((obj_t) BgL_ll1148z00_2748));
												{
													obj_t BgL_tail1150z00_3227;
													obj_t BgL_ll1148z00_3226;
													obj_t BgL_ll1147z00_3225;

													BgL_ll1147z00_3225 = BgL_arg1437z00_2757;
													BgL_ll1148z00_3226 = BgL_arg1438z00_2758;
													BgL_tail1150z00_3227 = BgL_newtail1151z00_2750;
													BgL_tail1150z00_2749 = BgL_tail1150z00_3227;
													BgL_ll1148z00_2748 = BgL_ll1148z00_3226;
													BgL_ll1147z00_2747 = BgL_ll1147z00_3225;
													goto BgL_zc3z04anonymousza31435ze3z87_2746;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1443z00_2759;

						{	/* Eval/evaluate_uncomp.scm 136 */
							BgL_ev_exprz00_bglt BgL_arg1444z00_2760;

							BgL_arg1444z00_2760 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letza2za2_bglt) BgL_ez00_2553))))->BgL_bodyz00);
							BgL_arg1443z00_2759 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1444z00_2760);
						}
						BgL_arg1433z00_2742 = MAKE_YOUNG_PAIR(BgL_arg1443z00_2759, BNIL);
					}
					BgL_arg1431z00_2740 =
						MAKE_YOUNG_PAIR(BgL_arg1432z00_2741, BgL_arg1433z00_2742);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1976z00zz__evaluate_uncompz00,
					BgL_arg1431z00_2740);
			}
		}

	}



/* &uncomp-ev_let1234 */
	obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2554, obj_t BgL_ez00_2555)
	{
		{	/* Eval/evaluate_uncomp.scm 130 */
			{	/* Eval/evaluate_uncomp.scm 132 */
				obj_t BgL_arg1417z00_2762;

				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1418z00_2763;
					obj_t BgL_arg1419z00_2764;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_ll1141z00_2765;
						obj_t BgL_ll1142z00_2766;

						BgL_ll1141z00_2765 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2555))))->BgL_varsz00);
						BgL_ll1142z00_2766 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2555))))->BgL_valsz00);
						if (NULLP(BgL_ll1141z00_2765))
							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_arg1418z00_2763 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 132 */
								obj_t BgL_head1143z00_2767;

								BgL_head1143z00_2767 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1141z00_2769;
									obj_t BgL_ll1142z00_2770;
									obj_t BgL_tail1144z00_2771;

									BgL_ll1141z00_2769 = BgL_ll1141z00_2765;
									BgL_ll1142z00_2770 = BgL_ll1142z00_2766;
									BgL_tail1144z00_2771 = BgL_head1143z00_2767;
								BgL_zc3z04anonymousza31421ze3z87_2768:
									if (NULLP(BgL_ll1141z00_2769))
										{	/* Eval/evaluate_uncomp.scm 132 */
											BgL_arg1418z00_2763 = CDR(BgL_head1143z00_2767);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 132 */
											obj_t BgL_newtail1145z00_2772;

											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1425z00_2773;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_vz00_2774;
													obj_t BgL_az00_2775;

													BgL_vz00_2774 = CAR(((obj_t) BgL_ll1141z00_2769));
													BgL_az00_2775 = CAR(((obj_t) BgL_ll1142z00_2770));
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_arg1426z00_2776;
														obj_t BgL_arg1427z00_2777;

														BgL_arg1426z00_2776 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2774));
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1428z00_2778;

															BgL_arg1428z00_2778 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2775));
															BgL_arg1427z00_2777 =
																MAKE_YOUNG_PAIR(BgL_arg1428z00_2778, BNIL);
														}
														BgL_arg1425z00_2773 =
															MAKE_YOUNG_PAIR(BgL_arg1426z00_2776,
															BgL_arg1427z00_2777);
													}
												}
												BgL_newtail1145z00_2772 =
													MAKE_YOUNG_PAIR(BgL_arg1425z00_2773, BNIL);
											}
											SET_CDR(BgL_tail1144z00_2771, BgL_newtail1145z00_2772);
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1423z00_2779;
												obj_t BgL_arg1424z00_2780;

												BgL_arg1423z00_2779 = CDR(((obj_t) BgL_ll1141z00_2769));
												BgL_arg1424z00_2780 = CDR(((obj_t) BgL_ll1142z00_2770));
												{
													obj_t BgL_tail1144z00_3265;
													obj_t BgL_ll1142z00_3264;
													obj_t BgL_ll1141z00_3263;

													BgL_ll1141z00_3263 = BgL_arg1423z00_2779;
													BgL_ll1142z00_3264 = BgL_arg1424z00_2780;
													BgL_tail1144z00_3265 = BgL_newtail1145z00_2772;
													BgL_tail1144z00_2771 = BgL_tail1144z00_3265;
													BgL_ll1142z00_2770 = BgL_ll1142z00_3264;
													BgL_ll1141z00_2769 = BgL_ll1141z00_3263;
													goto BgL_zc3z04anonymousza31421ze3z87_2768;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1429z00_2781;

						{	/* Eval/evaluate_uncomp.scm 132 */
							BgL_ev_exprz00_bglt BgL_arg1430z00_2782;

							BgL_arg1430z00_2782 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letz00_bglt) BgL_ez00_2555))))->BgL_bodyz00);
							BgL_arg1429z00_2781 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1430z00_2782);
						}
						BgL_arg1419z00_2764 = MAKE_YOUNG_PAIR(BgL_arg1429z00_2781, BNIL);
					}
					BgL_arg1417z00_2762 =
						MAKE_YOUNG_PAIR(BgL_arg1418z00_2763, BgL_arg1419z00_2764);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1978z00zz__evaluate_uncompz00,
					BgL_arg1417z00_2762);
			}
		}

	}



/* &uncomp-ev_synchroniz1232 */
	obj_t BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2556, obj_t BgL_ez00_2557)
	{
		{	/* Eval/evaluate_uncomp.scm 126 */
			{	/* Eval/evaluate_uncomp.scm 128 */
				obj_t BgL_arg1407z00_2784;

				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1408z00_2785;
					obj_t BgL_arg1409z00_2786;

					BgL_arg1408z00_2785 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2557)))->
							BgL_mutexz00));
					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1411z00_2787;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1412z00_2788;
							obj_t BgL_arg1413z00_2789;

							BgL_arg1412z00_2788 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2557)))->
									BgL_prelockz00));
							BgL_arg1413z00_2789 =
								MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
											(BgL_ev_synchroniza7eza7_bglt)
											COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2557)))->
										BgL_bodyz00)), BNIL);
							BgL_arg1411z00_2787 =
								MAKE_YOUNG_PAIR(BgL_arg1412z00_2788, BgL_arg1413z00_2789);
						}
						BgL_arg1409z00_2786 =
							MAKE_YOUNG_PAIR(BGl_keyword1980z00zz__evaluate_uncompz00,
							BgL_arg1411z00_2787);
					}
					BgL_arg1407z00_2784 =
						MAKE_YOUNG_PAIR(BgL_arg1408z00_2785, BgL_arg1409z00_2786);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1982z00zz__evaluate_uncompz00,
					BgL_arg1407z00_2784);
			}
		}

	}



/* &uncomp-ev_with-handl1230 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2558, obj_t BgL_ez00_2559)
	{
		{	/* Eval/evaluate_uncomp.scm 122 */
			{	/* Eval/evaluate_uncomp.scm 124 */
				obj_t BgL_arg1399z00_2791;

				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1400z00_2792;
					obj_t BgL_arg1401z00_2793;

					BgL_arg1400z00_2792 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2559)))->
							BgL_handlerz00));
					BgL_arg1401z00_2793 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_withzd2handlerzd2_bglt)
									COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2559)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1399z00_2791 =
						MAKE_YOUNG_PAIR(BgL_arg1400z00_2792, BgL_arg1401z00_2793);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1984z00zz__evaluate_uncompz00,
					BgL_arg1399z00_2791);
			}
		}

	}



/* &uncomp-ev_unwind-pro1228 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2560, obj_t BgL_ez00_2561)
	{
		{	/* Eval/evaluate_uncomp.scm 118 */
			{	/* Eval/evaluate_uncomp.scm 120 */
				obj_t BgL_arg1393z00_2795;

				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1394z00_2796;
					obj_t BgL_arg1395z00_2797;

					BgL_arg1394z00_2796 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2561)))->
							BgL_ez00));
					BgL_arg1395z00_2797 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_unwindzd2protectzd2_bglt)
									COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2561)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1393z00_2795 =
						MAKE_YOUNG_PAIR(BgL_arg1394z00_2796, BgL_arg1395z00_2797);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1986z00zz__evaluate_uncompz00,
					BgL_arg1393z00_2795);
			}
		}

	}



/* &uncomp-ev_bind-exit1226 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2562, obj_t BgL_ez00_2563)
	{
		{	/* Eval/evaluate_uncomp.scm 114 */
			{	/* Eval/evaluate_uncomp.scm 116 */
				obj_t BgL_arg1386z00_2799;

				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1387z00_2800;
					obj_t BgL_arg1388z00_2801;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1389z00_2802;

						{	/* Eval/evaluate_uncomp.scm 116 */
							BgL_ev_varz00_bglt BgL_arg1390z00_2803;

							BgL_arg1390z00_2803 =
								(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2563)))->BgL_varz00);
							BgL_arg1389z00_2802 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1390z00_2803));
						}
						BgL_arg1387z00_2800 = MAKE_YOUNG_PAIR(BgL_arg1389z00_2802, BNIL);
					}
					BgL_arg1388z00_2801 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2563)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1386z00_2799 =
						MAKE_YOUNG_PAIR(BgL_arg1387z00_2800, BgL_arg1388z00_2801);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1988z00zz__evaluate_uncompz00,
					BgL_arg1386z00_2799);
			}
		}

	}



/* &uncomp-ev_setlocal1224 */
	obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2564, obj_t BgL_ez00_2565)
	{
		{	/* Eval/evaluate_uncomp.scm 110 */
			{	/* Eval/evaluate_uncomp.scm 112 */
				obj_t BgL_arg1379z00_2805;

				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1380z00_2806;
					obj_t BgL_arg1381z00_2807;

					{	/* Eval/evaluate_uncomp.scm 112 */
						BgL_ev_varz00_bglt BgL_arg1382z00_2808;

						BgL_arg1382z00_2808 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2565)))->BgL_vz00);
						BgL_arg1380z00_2806 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1382z00_2808));
					}
					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1383z00_2809;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_exprz00_bglt BgL_arg1385z00_2810;

							BgL_arg1385z00_2810 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_2565))))->BgL_ez00);
							BgL_arg1383z00_2809 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1385z00_2810);
						}
						BgL_arg1381z00_2807 = MAKE_YOUNG_PAIR(BgL_arg1383z00_2809, BNIL);
					}
					BgL_arg1379z00_2805 =
						MAKE_YOUNG_PAIR(BgL_arg1380z00_2806, BgL_arg1381z00_2807);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1990z00zz__evaluate_uncompz00,
					BgL_arg1379z00_2805);
			}
		}

	}



/* &uncomp-ev_defglobal1222 */
	obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2566, obj_t BgL_ez00_2567)
	{
		{	/* Eval/evaluate_uncomp.scm 106 */
			{	/* Eval/evaluate_uncomp.scm 108 */
				obj_t BgL_arg1374z00_2812;

				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1375z00_2813;
					obj_t BgL_arg1376z00_2814;

					BgL_arg1375z00_2813 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_2567))))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1377z00_2815;

						{	/* Eval/evaluate_uncomp.scm 108 */
							BgL_ev_exprz00_bglt BgL_arg1378z00_2816;

							BgL_arg1378z00_2816 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_defglobalz00_bglt) BgL_ez00_2567))))->BgL_ez00);
							BgL_arg1377z00_2815 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1378z00_2816);
						}
						BgL_arg1376z00_2814 = MAKE_YOUNG_PAIR(BgL_arg1377z00_2815, BNIL);
					}
					BgL_arg1374z00_2812 =
						MAKE_YOUNG_PAIR(BgL_arg1375z00_2813, BgL_arg1376z00_2814);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1992z00zz__evaluate_uncompz00,
					BgL_arg1374z00_2812);
			}
		}

	}



/* &uncomp-ev_setglobal1220 */
	obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2568, obj_t BgL_ez00_2569)
	{
		{	/* Eval/evaluate_uncomp.scm 102 */
			{	/* Eval/evaluate_uncomp.scm 104 */
				obj_t BgL_arg1369z00_2818;

				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1370z00_2819;
					obj_t BgL_arg1371z00_2820;

					BgL_arg1370z00_2819 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_2569)))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1372z00_2821;

						{	/* Eval/evaluate_uncomp.scm 104 */
							BgL_ev_exprz00_bglt BgL_arg1373z00_2822;

							BgL_arg1373z00_2822 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setglobalz00_bglt) BgL_ez00_2569))))->BgL_ez00);
							BgL_arg1372z00_2821 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1373z00_2822);
						}
						BgL_arg1371z00_2820 = MAKE_YOUNG_PAIR(BgL_arg1372z00_2821, BNIL);
					}
					BgL_arg1369z00_2818 =
						MAKE_YOUNG_PAIR(BgL_arg1370z00_2819, BgL_arg1371z00_2820);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1990z00zz__evaluate_uncompz00,
					BgL_arg1369z00_2818);
			}
		}

	}



/* &uncomp-ev_trap1218 */
	obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2570, obj_t BgL_ez00_2571)
	{
		{	/* Eval/evaluate_uncomp.scm 98 */
			{	/* Eval/evaluate_uncomp.scm 100 */
				obj_t BgL_arg1366z00_2824;

				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1367z00_2825;

					{	/* Eval/evaluate_uncomp.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1368z00_2826;

						BgL_arg1368z00_2826 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_ez00_2571))))->BgL_ez00);
						BgL_arg1367z00_2825 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1368z00_2826);
					}
					BgL_arg1366z00_2824 = MAKE_YOUNG_PAIR(BgL_arg1367z00_2825, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1994z00zz__evaluate_uncompz00,
					BgL_arg1366z00_2824);
			}
		}

	}



/* &uncomp-ev_prog21216 */
	obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2572, obj_t BgL_ez00_2573)
	{
		{	/* Eval/evaluate_uncomp.scm 91 */
			{	/* Eval/evaluate_uncomp.scm 93 */
				obj_t BgL_e1z00_2828;
				obj_t BgL_e2z00_2829;

				BgL_e1z00_2828 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2573)))->BgL_e1z00));
				BgL_e2z00_2829 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2573)))->BgL_e2z00));
				{	/* Eval/evaluate_uncomp.scm 94 */
					bool_t BgL_test2082z00_3358;

					if (PAIRP(BgL_e2z00_2829))
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_test2082z00_3358 =
								(CAR(BgL_e2z00_2829) ==
								BGl_symbol1996z00zz__evaluate_uncompz00);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_test2082z00_3358 = ((bool_t) 0);
						}
					if (BgL_test2082z00_3358)
						{	/* Eval/evaluate_uncomp.scm 95 */
							obj_t BgL_arg1357z00_2830;

							BgL_arg1357z00_2830 =
								MAKE_YOUNG_PAIR(BgL_e1z00_2828,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
									(BgL_e2z00_2829), BNIL));
							return MAKE_YOUNG_PAIR(BGl_symbol1996z00zz__evaluate_uncompz00,
								BgL_arg1357z00_2830);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 96 */
							obj_t BgL_arg1361z00_2831;

							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1362z00_2832;

								BgL_arg1362z00_2832 = MAKE_YOUNG_PAIR(BgL_e2z00_2829, BNIL);
								BgL_arg1361z00_2831 =
									MAKE_YOUNG_PAIR(BgL_e1z00_2828, BgL_arg1362z00_2832);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol1996z00zz__evaluate_uncompz00,
								BgL_arg1361z00_2831);
						}
				}
			}
		}

	}



/* &uncomp-ev_and1214 */
	obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2574, obj_t BgL_ez00_2575)
	{
		{	/* Eval/evaluate_uncomp.scm 87 */
			{	/* Eval/evaluate_uncomp.scm 89 */
				obj_t BgL_arg1341z00_2834;

				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1343z00_2835;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_l1135z00_2836;

						BgL_l1135z00_2836 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_andz00_bglt) BgL_ez00_2575))))->BgL_argsz00);
						if (NULLP(BgL_l1135z00_2836))
							{	/* Eval/evaluate_uncomp.scm 89 */
								BgL_arg1343z00_2835 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_head1137z00_2837;

								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_arg1351z00_2838;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1352z00_2839;

										BgL_arg1352z00_2839 = CAR(((obj_t) BgL_l1135z00_2836));
										BgL_arg1351z00_2838 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1352z00_2839));
									}
									BgL_head1137z00_2837 =
										MAKE_YOUNG_PAIR(BgL_arg1351z00_2838, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_g1140z00_2840;

									BgL_g1140z00_2840 = CDR(((obj_t) BgL_l1135z00_2836));
									{
										obj_t BgL_l1135z00_2842;
										obj_t BgL_tail1138z00_2843;

										BgL_l1135z00_2842 = BgL_g1140z00_2840;
										BgL_tail1138z00_2843 = BgL_head1137z00_2837;
									BgL_zc3z04anonymousza31345ze3z87_2841:
										if (NULLP(BgL_l1135z00_2842))
											{	/* Eval/evaluate_uncomp.scm 89 */
												BgL_arg1343z00_2835 = BgL_head1137z00_2837;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_newtail1139z00_2844;

												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1348z00_2845;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1350z00_2846;

														BgL_arg1350z00_2846 =
															CAR(((obj_t) BgL_l1135z00_2842));
														BgL_arg1348z00_2845 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1350z00_2846));
													}
													BgL_newtail1139z00_2844 =
														MAKE_YOUNG_PAIR(BgL_arg1348z00_2845, BNIL);
												}
												SET_CDR(BgL_tail1138z00_2843, BgL_newtail1139z00_2844);
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1347z00_2847;

													BgL_arg1347z00_2847 =
														CDR(((obj_t) BgL_l1135z00_2842));
													{
														obj_t BgL_tail1138z00_3393;
														obj_t BgL_l1135z00_3392;

														BgL_l1135z00_3392 = BgL_arg1347z00_2847;
														BgL_tail1138z00_3393 = BgL_newtail1139z00_2844;
														BgL_tail1138z00_2843 = BgL_tail1138z00_3393;
														BgL_l1135z00_2842 = BgL_l1135z00_3392;
														goto BgL_zc3z04anonymousza31345ze3z87_2841;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1341z00_2834 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1343z00_2835,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1998z00zz__evaluate_uncompz00,
					BgL_arg1341z00_2834);
			}
		}

	}



/* &uncomp-ev_or1212 */
	obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2576, obj_t BgL_ez00_2577)
	{
		{	/* Eval/evaluate_uncomp.scm 83 */
			{	/* Eval/evaluate_uncomp.scm 85 */
				obj_t BgL_arg1331z00_2849;

				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1332z00_2850;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_l1129z00_2851;

						BgL_l1129z00_2851 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_orz00_bglt) BgL_ez00_2577))))->BgL_argsz00);
						if (NULLP(BgL_l1129z00_2851))
							{	/* Eval/evaluate_uncomp.scm 85 */
								BgL_arg1332z00_2850 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_head1131z00_2852;

								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_arg1339z00_2853;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1340z00_2854;

										BgL_arg1340z00_2854 = CAR(((obj_t) BgL_l1129z00_2851));
										BgL_arg1339z00_2853 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1340z00_2854));
									}
									BgL_head1131z00_2852 =
										MAKE_YOUNG_PAIR(BgL_arg1339z00_2853, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_g1134z00_2855;

									BgL_g1134z00_2855 = CDR(((obj_t) BgL_l1129z00_2851));
									{
										obj_t BgL_l1129z00_2857;
										obj_t BgL_tail1132z00_2858;

										BgL_l1129z00_2857 = BgL_g1134z00_2855;
										BgL_tail1132z00_2858 = BgL_head1131z00_2852;
									BgL_zc3z04anonymousza31334ze3z87_2856:
										if (NULLP(BgL_l1129z00_2857))
											{	/* Eval/evaluate_uncomp.scm 85 */
												BgL_arg1332z00_2850 = BgL_head1131z00_2852;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_newtail1133z00_2859;

												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1337z00_2860;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1338z00_2861;

														BgL_arg1338z00_2861 =
															CAR(((obj_t) BgL_l1129z00_2857));
														BgL_arg1337z00_2860 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1338z00_2861));
													}
													BgL_newtail1133z00_2859 =
														MAKE_YOUNG_PAIR(BgL_arg1337z00_2860, BNIL);
												}
												SET_CDR(BgL_tail1132z00_2858, BgL_newtail1133z00_2859);
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1336z00_2862;

													BgL_arg1336z00_2862 =
														CDR(((obj_t) BgL_l1129z00_2857));
													{
														obj_t BgL_tail1132z00_3419;
														obj_t BgL_l1129z00_3418;

														BgL_l1129z00_3418 = BgL_arg1336z00_2862;
														BgL_tail1132z00_3419 = BgL_newtail1133z00_2859;
														BgL_tail1132z00_2858 = BgL_tail1132z00_3419;
														BgL_l1129z00_2857 = BgL_l1129z00_3418;
														goto BgL_zc3z04anonymousza31334ze3z87_2856;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1331z00_2849 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1332z00_2850,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2000z00zz__evaluate_uncompz00,
					BgL_arg1331z00_2849);
			}
		}

	}



/* &uncomp-ev_if1210 */
	obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2578, obj_t BgL_ez00_2579)
	{
		{	/* Eval/evaluate_uncomp.scm 79 */
			{	/* Eval/evaluate_uncomp.scm 81 */
				obj_t BgL_arg1320z00_2864;

				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1321z00_2865;
					obj_t BgL_arg1322z00_2866;

					BgL_arg1321z00_2865 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2579)))->BgL_pz00));
					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1324z00_2867;
						obj_t BgL_arg1325z00_2868;

						BgL_arg1324z00_2867 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_2579)))->BgL_tz00));
						BgL_arg1325z00_2868 =
							MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) COBJECT(
											((BgL_ev_ifz00_bglt) BgL_ez00_2579)))->BgL_ez00)), BNIL);
						BgL_arg1322z00_2866 =
							MAKE_YOUNG_PAIR(BgL_arg1324z00_2867, BgL_arg1325z00_2868);
					}
					BgL_arg1320z00_2864 =
						MAKE_YOUNG_PAIR(BgL_arg1321z00_2865, BgL_arg1322z00_2866);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2002z00zz__evaluate_uncompz00,
					BgL_arg1320z00_2864);
			}
		}

	}



/* &uncomp-ev_litt1208 */
	obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2580, obj_t BgL_ez00_2581)
	{
		{	/* Eval/evaluate_uncomp.scm 75 */
			{	/* Eval/evaluate_uncomp.scm 77 */
				obj_t BgL_arg1318z00_2870;

				BgL_arg1318z00_2870 =
					MAKE_YOUNG_PAIR(
					(((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_ez00_2581)))->BgL_valuez00), BNIL);
				return
					MAKE_YOUNG_PAIR(BGl_symbol2004z00zz__evaluate_uncompz00,
					BgL_arg1318z00_2870);
			}
		}

	}



/* &uncomp-ev_global1206 */
	obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2582, obj_t BgL_varz00_2583)
	{
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_varz00_2583)))->BgL_namez00);
		}

	}



/* &uncomp-ev_var1204 */
	obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2584, obj_t BgL_varz00_2585)
	{
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_varz00_2585)))->BgL_namez00);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 236632712),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					80085104),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 190905450),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2006z00zz__evaluate_uncompz00));
		}

	}

#ifdef __cplusplus
}
#endif
