/*===========================================================================*/
/*   (Llib/pcm.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi alsa -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/pcm.scm -o objs/pcm.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>
#include <bglalsa.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62alsazd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62alsazd2errorzb0_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;


static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__alsa_pcmz00(obj_t, obj_t);
static snd_pcm_format_t BGl_symbolzd2ze3formatz31zz__alsa_pcmz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__alsa_pcmz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12za2zz__alsa_pcmz00(obj_t, obj_t, obj_t);
extern obj_t BGl_alsazd2objectzd2zz__alsa_alsaz00;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2waitzb0zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z43zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__alsa_pcmz00();
static obj_t BGl_zc3z04exitza31869ze3ze70z60zz__alsa_pcmz00(int, BgL_alsazd2sndzd2pcmz00_bglt, BgL_alsazd2sndzd2pcmz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2openzb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__alsa_pcmz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2dropzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static snd_pcm_stream_t BGl_symbolzd2ze3streamz31zz__alsa_pcmz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static int BGl_symbolzd2ze3pcmzd2modeze3zz__alsa_pcmz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__alsa_pcmz00();
static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2writezb0zz__alsa_pcmz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2flushzb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32220ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ez75zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32213ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2reopenzb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl__alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__alsa_pcmz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2ratesz00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00 = BUNSPEC;
static obj_t BGl_z62alsazd2sndzd2pcmzd2startzb0zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__alsa_pcmz00();
static obj_t BGl__alsazd2sndzd2pcmzd2setzd2paramsz12z12zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2getzd2statez62zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_string_ge(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31861ze3ze70z60zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t, obj_t);
static snd_pcm_access_t BGl_symbolzd2ze3accessz31zz__alsa_pcmz00(obj_t);
BGL_EXPORTED_DECL long BGl_alsazd2sndzd2pcmzd2availzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2drainzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12za2zz__alsa_pcmz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2writeizb0zz__alsa_pcmz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z62alsazd2errorzb0zz__alsa_alsaz00;
static obj_t BGl_z62alsazd2sndzd2pcmzd2pausezb0zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42sndzd2pcmzd2nilz72zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2closezb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2availzd2updatez62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2resetzb0zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2ratesz62zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2dropzb0zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2204z62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2205z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__alsa_pcmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ez17zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2211z62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2212z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t fexists(char *);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_alsazd2stringzd2bpsze70ze7zz__alsa_pcmz00(obj_t);
BGL_EXPORTED_DECL long BGl_alsazd2sndzd2pcmzd2availzd2updatez00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__alsa_pcmz00(obj_t);
static obj_t BGl_z62lambda2225z62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2226z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_alsazd2sndzd2pcmzd2writezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, char *, long);
BGL_EXPORTED_DECL long BGl_alsazd2sndzd2pcmzd2writeizd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, char *, long);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z21zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2flushzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32184ze3ze5zz__alsa_pcmz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__alsa_pcmz00();
static obj_t BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(int, BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_pcmz00();
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__alsa_pcmz00();
static obj_t BGl_gczd2rootszd2initz00zz__alsa_pcmz00();
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2alsazd2sn1228zb0zz__alsa_pcmz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_pregexp1220z00zz__alsa_pcmz00 = BUNSPEC;
static obj_t BGl_pregexp1221z00zz__alsa_pcmz00 = BUNSPEC;
static obj_t BGl_z62alsazd2sndzd2pcmzd2preparezb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2waitzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, int);
static obj_t BGl_zc3z04exitza31856ze3ze70z60zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t, obj_t);
static BgL_alsazd2sndzd2pcmz00_bglt BGl_z62lambda2172z62zz__alsa_pcmz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2pcmz00_bglt BGl_z62lambda2175z62zz__alsa_pcmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2hwzd2freez12z12zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62lambda2182z62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2183z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__alsa_pcmz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2startzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2preparezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2openzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda2190z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2197z62zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__alsa_pcmz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_z52z42sndzd2pcmzd2nilz10zz__alsa_pcmz00();
static obj_t BGl_z62alsazd2sndzd2pcmzd2cleanupzb0zz__alsa_pcmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2setzd2paramsz12z12zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2freez12z70zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_checkzd2errorze70z35zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t, int);
static obj_t BGl_z62alsazd2sndzd2pcmzd2swzd2setzd2paramsz12za2zz__alsa_pcmz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2pausezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, bool_t);
static obj_t BGl_search1232ze70ze7zz__alsa_pcmz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_IMPORT obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__alsa_pcmz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL int BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2pcmzd2resetzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62alsazd2sndzd2pcmzd2availzb0zz__alsa_pcmz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2pcmzd2drainzb0zz__alsa_pcmz00(obj_t, obj_t);
static obj_t __cnst[ 102 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2recoverzd2envz00zz__alsa_pcmz00, BgL_bgl__alsaza7d2sndza7d2pc2435z00, opt_generic_entry, BGl__alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2rateszd2envzd2zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22436za7, BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2ratesz62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2startzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22437za7, BGl_z62alsazd2sndzd2pcmzd2startzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2328z00zz__alsa_pcmz00, BgL_bgl_string2328za700za7za7_2438za7, "rate: ([0-9]+)", 14 );
DEFINE_STRING( BGl_string2329z00zz__alsa_pcmz00, BgL_bgl_string2329za700za7za7_2439za7, "format: (.+)", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2440za7, BGl_z62zc3z04anonymousza32184ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__alsa_pcmz00, BgL_bgl_za762lambda2183za7622441z00, BGl_z62lambda2183z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__alsa_pcmz00, BgL_bgl_za762lambda2182za7622442z00, BGl_z62lambda2182z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2443za7, BGl_z62zc3z04anonymousza32191ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__alsa_pcmz00, BgL_bgl_za762lambda2190za7622444z00, BGl_z62lambda2190z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__alsa_pcmz00, BgL_bgl_za762lambda2189za7622445z00, BGl_z62lambda2189z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2330z00zz__alsa_pcmz00, BgL_bgl_string2330za700za7za7_2446za7, "alsa-snd-pcm-open", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2447za7, BGl_z62zc3z04anonymousza32199ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2331z00zz__alsa_pcmz00, BgL_bgl_string2331za700za7za7_2448za7, "pcm device already open", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__alsa_pcmz00, BgL_bgl_za762lambda2198za7622449z00, BGl_z62lambda2198z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2332z00zz__alsa_pcmz00, BgL_bgl_string2332za700za7za7_2450za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/alsa/src/Llib/pcm.scm", 61 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42sndzd2pcmzd2nilzd2envzc2zz__alsa_pcmz00, BgL_bgl_za762za752za742sndza7d2p2451z00, BGl_z62z52z42sndzd2pcmzd2nilz72zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__alsa_pcmz00, BgL_bgl_za762lambda2197za7622452z00, BGl_z62lambda2197z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2333z00zz__alsa_pcmz00, BgL_bgl_string2333za700za7za7_2453za7, "&alsa-snd-pcm-open", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2454za7, BGl_z62zc3z04anonymousza32206ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2334z00zz__alsa_pcmz00, BgL_bgl_string2334za700za7za7_2455za7, "alsa-snd-pcm", 12 );
DEFINE_STRING( BGl_string2335z00zz__alsa_pcmz00, BgL_bgl_string2335za700za7za7_2456za7, "&alsa-snd-pcm-close", 19 );
DEFINE_STRING( BGl_string2336z00zz__alsa_pcmz00, BgL_bgl_string2336za700za7za7_2457za7, "&alsa-snd-pcm-reopen", 20 );
DEFINE_STRING( BGl_string2337z00zz__alsa_pcmz00, BgL_bgl_string2337za700za7za7_2458za7, "alsa-pcm-state", 14 );
DEFINE_STRING( BGl_string2338z00zz__alsa_pcmz00, BgL_bgl_string2338za700za7za7_2459za7, "Unknown state", 13 );
DEFINE_STRING( BGl_string2339z00zz__alsa_pcmz00, BgL_bgl_string2339za700za7za7_2460za7, "&alsa-snd-pcm-get-state", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__alsa_pcmz00, BgL_bgl_za762lambda2205za7622461z00, BGl_z62lambda2205z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__alsa_pcmz00, BgL_bgl_za762lambda2204za7622462z00, BGl_z62lambda2204z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2463za7, BGl_z62zc3z04anonymousza32213ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__alsa_pcmz00, BgL_bgl_za762lambda2212za7622464z00, BGl_z62lambda2212z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__alsa_pcmz00, BgL_bgl_za762lambda2211za7622465z00, BGl_z62lambda2211z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2466za7, BGl_z62zc3z04anonymousza32220ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2340z00zz__alsa_pcmz00, BgL_bgl_string2340za700za7za7_2467za7, "&alsa-snd-pcm-avail", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__alsa_pcmz00, BgL_bgl_za762lambda2219za7622468z00, BGl_z62lambda2219z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2341z00zz__alsa_pcmz00, BgL_bgl_string2341za700za7za7_2469za7, "&alsa-snd-pcm-avail-update", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2setzd2paramsz12zd2envzc0zz__alsa_pcmz00, BgL_bgl__alsaza7d2sndza7d2pc2470z00, opt_generic_entry, BGl__alsazd2sndzd2pcmzd2setzd2paramsz12z12zz__alsa_pcmz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__alsa_pcmz00, BgL_bgl_za762lambda2218za7622471z00, BGl_z62lambda2218z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2342z00zz__alsa_pcmz00, BgL_bgl_string2342za700za7za7_2472za7, "alsa-pcm", 8 );
DEFINE_STRING( BGl_string2424z00zz__alsa_pcmz00, BgL_bgl_string2424za700za7za7_2473za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2474za7, BGl_z62zc3z04anonymousza32227ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2343z00zz__alsa_pcmz00, BgL_bgl_string2343za700za7za7_2475za7, "Unknown stream direction", 24 );
DEFINE_STRING( BGl_string2425z00zz__alsa_pcmz00, BgL_bgl_string2425za700za7za7_2476za7, "default", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__alsa_pcmz00, BgL_bgl_za762lambda2226za7622477z00, BGl_z62lambda2226z62zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2344z00zz__alsa_pcmz00, BgL_bgl_string2344za700za7za7_2478za7, "Unknown mode", 12 );
DEFINE_STRING( BGl_string2345z00zz__alsa_pcmz00, BgL_bgl_string2345za700za7za7_2479za7, "symbol->format", 14 );
DEFINE_STRING( BGl_string2427z00zz__alsa_pcmz00, BgL_bgl_string2427za700za7za7_2480za7, "object-print", 12 );
DEFINE_STRING( BGl_string2346z00zz__alsa_pcmz00, BgL_bgl_string2346za700za7za7_2481za7, "Unknown format", 14 );
DEFINE_STRING( BGl_string2428z00zz__alsa_pcmz00, BgL_bgl_string2428za700za7za7_2482za7, "#|alsa-snd-pcm name=", 20 );
DEFINE_STRING( BGl_string2347z00zz__alsa_pcmz00, BgL_bgl_string2347za700za7za7_2483za7, "symbol->access", 14 );
DEFINE_STRING( BGl_string2429z00zz__alsa_pcmz00, BgL_bgl_string2429za700za7za7_2484za7, " device=", 8 );
DEFINE_STRING( BGl_string2348z00zz__alsa_pcmz00, BgL_bgl_string2348za700za7za7_2485za7, "Unknown access", 14 );
DEFINE_STRING( BGl_string2349z00zz__alsa_pcmz00, BgL_bgl_string2349za700za7za7_2486za7, "Illegal keyword argument", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2freez12zd2envzc0zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22487za7, BGl_z62alsazd2sndzd2pcmzd2hwzd2freez12z70zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__alsa_pcmz00, BgL_bgl_za762lambda2225za7622488z00, BGl_z62lambda2225z62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__alsa_pcmz00, BgL_bgl_za762za7c3za704anonymo2489za7, BGl_z62zc3z04anonymousza32177ze3ze5zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__alsa_pcmz00, BgL_bgl_za762lambda2175za7622490z00, BGl_z62lambda2175z62zz__alsa_pcmz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__alsa_pcmz00, BgL_bgl_za762lambda2172za7622491z00, BGl_z62lambda2172z62zz__alsa_pcmz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2430z00zz__alsa_pcmz00, BgL_bgl_string2430za700za7za7_2492za7, "|", 1 );
DEFINE_STRING( BGl_string2431z00zz__alsa_pcmz00, BgL_bgl_string2431za700za7za7_2493za7, "__alsa_pcm", 10 );
DEFINE_STRING( BGl_string2350z00zz__alsa_pcmz00, BgL_bgl_string2350za700za7za7_2494za7, "_alsa-snd-pcm-set-params!", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2pausezd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22495za7, BGl_z62alsazd2sndzd2pcmzd2pausezb0zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2432z00zz__alsa_pcmz00, BgL_bgl_string2432za700za7za7_2496za7, "_ __alsa_pcm alsa-snd-pcm hwsrate int hwbps mode symbol stream device bstring name $snd-pcm $builtin :avail-min :start-threshold :period-size-near-ratio :period-size-near :buffer-time-near :period-size :buffer-size-near-ratio :buffer-size-near :buffer-size :rate-resample (:rate-near :channels :format :access) :rate-near :soft-resample :rate :latency :format :channels :access alsa-snd-pcm-set-params! (:access :channels :format :latency :rate :soft-resample) rw-noninterleaved rw-interleaved mmap-complex mmap-noninterleaved mmap-interleaved iec958-subframe float64 float u18-3be u18-3le s18-3be s18-3le u20-3be u20-3le s20-3be s20-3le special gsm mpeg ima-adpcm a-law mu-law iec958-subframe-be iec958-subframe-le float64-be float64-le float-be float-le u32-be u32-le u32 s32-be s32-le s32 u24-3be u24-3le u24-be u24-le u24 s24-3be s24-3le s24-be s24-le s24 u16-be u16-le u16 s16-be s16-le s16 u8 s8 unknown async nonblock default capture playback suspended paused draining xrun running prepared setup open not-open discon"
"nected ", 1031 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__alsa_pcmz00, BgL_bgl_za762objectza7d2prin2497z00, BGl_z62objectzd2printzd2alsazd2sn1228zb0zz__alsa_pcmz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2351z00zz__alsa_pcmz00, BgL_bgl_string2351za700za7za7_2498za7, "bint", 4 );
DEFINE_STRING( BGl_string2352z00zz__alsa_pcmz00, BgL_bgl_string2352za700za7za7_2499za7, "wrong number of arguments: [1..7] expected, provided", 52 );
DEFINE_STRING( BGl_string2353z00zz__alsa_pcmz00, BgL_bgl_string2353za700za7za7_2500za7, "alsa-snd-pcm-set-params!", 24 );
DEFINE_STRING( BGl_string2354z00zz__alsa_pcmz00, BgL_bgl_string2354za700za7za7_2501za7, "alsa-snd-pcm-writei", 19 );
DEFINE_STRING( BGl_string2355z00zz__alsa_pcmz00, BgL_bgl_string2355za700za7za7_2502za7, "&alsa-snd-pcm-writei", 20 );
DEFINE_STRING( BGl_string2356z00zz__alsa_pcmz00, BgL_bgl_string2356za700za7za7_2503za7, "bstring", 7 );
DEFINE_STRING( BGl_string2357z00zz__alsa_pcmz00, BgL_bgl_string2357za700za7za7_2504za7, "alsa-snd-pcm-pause", 18 );
DEFINE_STRING( BGl_string2358z00zz__alsa_pcmz00, BgL_bgl_string2358za700za7za7_2505za7, "&alsa-snd-pcm-pause", 19 );
DEFINE_STRING( BGl_string2359z00zz__alsa_pcmz00, BgL_bgl_string2359za700za7za7_2506za7, "alsa-snd-pcm-wait", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2preparezd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22507za7, BGl_z62alsazd2sndzd2pcmzd2preparezb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2closezd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22508za7, BGl_z62alsazd2sndzd2pcmzd2closezb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2360z00zz__alsa_pcmz00, BgL_bgl_string2360za700za7za7_2509za7, "&alsa-snd-pcm-wait", 18 );
DEFINE_STRING( BGl_string2361z00zz__alsa_pcmz00, BgL_bgl_string2361za700za7za7_2510za7, "alsa-snd-pcm-reset", 18 );
DEFINE_STRING( BGl_string2362z00zz__alsa_pcmz00, BgL_bgl_string2362za700za7za7_2511za7, "&alsa-snd-pcm-reset", 19 );
DEFINE_STRING( BGl_string2363z00zz__alsa_pcmz00, BgL_bgl_string2363za700za7za7_2512za7, "_alsa-snd-pcm-recover", 21 );
DEFINE_STRING( BGl_string2364z00zz__alsa_pcmz00, BgL_bgl_string2364za700za7za7_2513za7, "alsa-snd-pcm-recover", 20 );
DEFINE_STRING( BGl_string2365z00zz__alsa_pcmz00, BgL_bgl_string2365za700za7za7_2514za7, "alsa-snd-pcm-prepare", 20 );
DEFINE_STRING( BGl_string2366z00zz__alsa_pcmz00, BgL_bgl_string2366za700za7za7_2515za7, "&alsa-snd-pcm-prepare", 21 );
DEFINE_STRING( BGl_string2367z00zz__alsa_pcmz00, BgL_bgl_string2367za700za7za7_2516za7, "alsa-snd-pcm-start", 18 );
DEFINE_STRING( BGl_string2368z00zz__alsa_pcmz00, BgL_bgl_string2368za700za7za7_2517za7, "&alsa-snd-pcm-start", 19 );
DEFINE_STRING( BGl_string2369z00zz__alsa_pcmz00, BgL_bgl_string2369za700za7za7_2518za7, "alsa-snd-pcm-drop", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2reopenzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22519za7, BGl_z62alsazd2sndzd2pcmzd2reopenzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2370z00zz__alsa_pcmz00, BgL_bgl_string2370za700za7za7_2520za7, "&alsa-snd-pcm-drop", 18 );
DEFINE_STRING( BGl_string2371z00zz__alsa_pcmz00, BgL_bgl_string2371za700za7za7_2521za7, "alsa-snd-pcm-drain", 18 );
DEFINE_STRING( BGl_string2372z00zz__alsa_pcmz00, BgL_bgl_string2372za700za7za7_2522za7, "&alsa-snd-pcm-drain", 19 );
DEFINE_STRING( BGl_string2373z00zz__alsa_pcmz00, BgL_bgl_string2373za700za7za7_2523za7, "&alsa-snd-pcm-cleanup", 21 );
DEFINE_STRING( BGl_string2374z00zz__alsa_pcmz00, BgL_bgl_string2374za700za7za7_2524za7, "/proc/asound/card~a/pcm0p/sub0/hw_params", 40 );
DEFINE_STRING( BGl_string2375z00zz__alsa_pcmz00, BgL_bgl_string2375za700za7za7_2525za7, "no setup\n", 9 );
DEFINE_STRING( BGl_string2376z00zz__alsa_pcmz00, BgL_bgl_string2376za700za7za7_2526za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string2377z00zz__alsa_pcmz00, BgL_bgl_string2377za700za7za7_2527za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string2378z00zz__alsa_pcmz00, BgL_bgl_string2378za700za7za7_2528za7, "&alsa-snd-pcm-hw-card-detect!", 29 );
DEFINE_STRING( BGl_string2379z00zz__alsa_pcmz00, BgL_bgl_string2379za700za7za7_2529za7, "~a ", 3 );
DEFINE_STRING( BGl_string2380z00zz__alsa_pcmz00, BgL_bgl_string2380za700za7za7_2530za7, "alsa-snd-pcm-hw-free!", 21 );
DEFINE_STRING( BGl_string2381z00zz__alsa_pcmz00, BgL_bgl_string2381za700za7za7_2531za7, "&alsa-snd-pcm-hw-free!", 22 );
DEFINE_STRING( BGl_string2382z00zz__alsa_pcmz00, BgL_bgl_string2382za700za7za7_2532za7, "alsa-snd-pcm-hw-set-params!", 27 );
DEFINE_STRING( BGl_string2383z00zz__alsa_pcmz00, BgL_bgl_string2383za700za7za7_2533za7, ": ", 2 );
DEFINE_STRING( BGl_string2384z00zz__alsa_pcmz00, BgL_bgl_string2384za700za7za7_2534za7, "Missing value for param \"~a\"", 28 );
DEFINE_STRING( BGl_string2385z00zz__alsa_pcmz00, BgL_bgl_string2385za700za7za7_2535za7, "Rate doesn't match (requested ~aHz, get ~aHz", 44 );
DEFINE_STRING( BGl_string2386z00zz__alsa_pcmz00, BgL_bgl_string2386za700za7za7_2536za7, "Unknown parameter \"~a\"", 22 );
DEFINE_STRING( BGl_string2387z00zz__alsa_pcmz00, BgL_bgl_string2387za700za7za7_2537za7, "&alsa-snd-pcm-hw-set-params!", 28 );
DEFINE_STRING( BGl_string2388z00zz__alsa_pcmz00, BgL_bgl_string2388za700za7za7_2538za7, "&alsa-snd-pcm-hw-test-params?", 29 );
DEFINE_STRING( BGl_string2389z00zz__alsa_pcmz00, BgL_bgl_string2389za700za7za7_2539za7, "alsa-snd-pcm-hw-params-get-buffer-size", 38 );
DEFINE_STRING( BGl_string2390z00zz__alsa_pcmz00, BgL_bgl_string2390za700za7za7_2540za7, "&alsa-snd-pcm-hw-params-get-buffer-size", 39 );
DEFINE_STRING( BGl_string2391z00zz__alsa_pcmz00, BgL_bgl_string2391za700za7za7_2541za7, "alsa-snd-pcm-hw-params-get-buffer-time", 38 );
DEFINE_STRING( BGl_string2392z00zz__alsa_pcmz00, BgL_bgl_string2392za700za7za7_2542za7, "&alsa-snd-pcm-hw-params-get-buffer-time", 39 );
DEFINE_STRING( BGl_string2393z00zz__alsa_pcmz00, BgL_bgl_string2393za700za7za7_2543za7, "alsa-snd-pcm-hw-params-get-rates", 32 );
DEFINE_STRING( BGl_string2394z00zz__alsa_pcmz00, BgL_bgl_string2394za700za7za7_2544za7, "&alsa-snd-pcm-hw-params-get-rates", 33 );
DEFINE_STRING( BGl_string2395z00zz__alsa_pcmz00, BgL_bgl_string2395za700za7za7_2545za7, "alsa-snd-pcm-sw-set-params!", 27 );
DEFINE_STRING( BGl_string2396z00zz__alsa_pcmz00, BgL_bgl_string2396za700za7za7_2546za7, ":", 1 );
DEFINE_STRING( BGl_string2397z00zz__alsa_pcmz00, BgL_bgl_string2397za700za7za7_2547za7, "&alsa-snd-pcm-sw-set-params!", 28 );
DEFINE_STRING( BGl_string2398z00zz__alsa_pcmz00, BgL_bgl_string2398za700za7za7_2548za7, "&alsa-snd-pcm-write", 19 );
DEFINE_STRING( BGl_string2399z00zz__alsa_pcmz00, BgL_bgl_string2399za700za7za7_2549za7, "&alsa-snd-pcm-flush", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ezd2envza7zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22550za7, BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ez17zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2getzd2statezd2envzd2zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22551za7, BGl_z62alsazd2sndzd2pcmzd2getzd2statez62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2dropzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22552za7, BGl_z62alsazd2sndzd2pcmzd2dropzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2cleanupzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22553za7, BGl_z62alsazd2sndzd2pcmzd2cleanupzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2flushzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22554za7, BGl_z62alsazd2sndzd2pcmzd2flushzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22555za7, BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2writezd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22556za7, BGl_z62alsazd2sndzd2pcmzd2writezb0zz__alsa_pcmz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2availzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22557za7, BGl_z62alsazd2sndzd2pcmzd2availzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2openzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22558za7, BGl_z62alsazd2sndzd2pcmzd2openzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2drainzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22559za7, BGl_z62alsazd2sndzd2pcmzd2drainzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2writeizd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22560za7, BGl_z62alsazd2sndzd2pcmzd2writeizb0zz__alsa_pcmz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3zd2envzf3zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22561za7, va_generic_entry, BGl_z62alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z43zz__alsa_pcmz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_readzd2stringzd2envz00zz__r4_input_6_10_2z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12zd2envz12zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22562za7, BGl_z62alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12za2zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zd2envz12zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22563za7, va_generic_entry, BGl_z62alsazd2sndzd2pcmzd2swzd2setzd2paramsz12za2zz__alsa_pcmz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2availzd2updatezd2envzd2zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22564za7, BGl_z62alsazd2sndzd2pcmzd2availzd2updatez62zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2resetzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22565za7, BGl_z62alsazd2sndzd2pcmzd2resetzb0zz__alsa_pcmz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2waitzd2envz00zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22566za7, BGl_z62alsazd2sndzd2pcmzd2waitzb0zz__alsa_pcmz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_alsazd2initzd2envz00zz__alsa_alsaz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zd2envz12zz__alsa_pcmz00, BgL_bgl_za762alsaza7d2sndza7d22567za7, va_generic_entry, BGl_z62alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12za2zz__alsa_pcmz00, BUNSPEC, -2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__alsa_pcmz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00) );
ADD_ROOT( (void *)(&BGl_pregexp1220z00zz__alsa_pcmz00) );
ADD_ROOT( (void *)(&BGl_pregexp1221z00zz__alsa_pcmz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long BgL_checksumz00_1900, char * BgL_fromz00_1901)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__alsa_pcmz00))
{ 
BGl_requirezd2initializa7ationz75zz__alsa_pcmz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__alsa_pcmz00(); 
BGl_libraryzd2moduleszd2initz00zz__alsa_pcmz00(); 
BGl_cnstzd2initzd2zz__alsa_pcmz00(); 
BGl_importedzd2moduleszd2initz00zz__alsa_pcmz00(); 
BGl_objectzd2initzd2zz__alsa_pcmz00(); 
BGl_methodzd2initzd2zz__alsa_pcmz00(); 
return 
BGl_toplevelzd2initzd2zz__alsa_pcmz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__regexpz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__alsa_pcm"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__alsa_pcm"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
{ /* Llib/pcm.scm 15 */
 obj_t BgL_cportz00_1850;
{ /* Llib/pcm.scm 15 */
 obj_t BgL_stringz00_1858;
BgL_stringz00_1858 = BGl_string2432z00zz__alsa_pcmz00; 
{ /* Llib/pcm.scm 15 */
 obj_t BgL_startz00_1859;
BgL_startz00_1859 = 
BINT(((long)0)); 
{ /* Llib/pcm.scm 15 */
 obj_t BgL_endz00_1860;
BgL_endz00_1860 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1858))); 
{ /* Llib/pcm.scm 15 */

BgL_cportz00_1850 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1858, BgL_startz00_1859, BgL_endz00_1860); } } } } 
{ 
 long BgL_iz00_1851;
BgL_iz00_1851 = ((long)101); 
BgL_loopz00_1852:
if(
(BgL_iz00_1851==((long)-1)))
{ /* Llib/pcm.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pcm.scm 15 */
{ /* Llib/pcm.scm 15 */
 obj_t BgL_arg2434z00_1854;
{ /* Llib/pcm.scm 15 */

{ /* Llib/pcm.scm 15 */
 obj_t BgL_locationz00_1856;
BgL_locationz00_1856 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pcm.scm 15 */

BgL_arg2434z00_1854 = 
BGl_readz00zz__readerz00(BgL_cportz00_1850, BgL_locationz00_1856); } } } 
{ /* Llib/pcm.scm 15 */
 int BgL_tmpz00_1940;
BgL_tmpz00_1940 = 
(int)(BgL_iz00_1851); 
CNST_TABLE_SET(BgL_tmpz00_1940, BgL_arg2434z00_1854); } } 
{ /* Llib/pcm.scm 15 */
 int BgL_auxz00_1857;
BgL_auxz00_1857 = 
(int)(
(BgL_iz00_1851-((long)1))); 
{ 
 long BgL_iz00_1945;
BgL_iz00_1945 = 
(long)(BgL_auxz00_1857); 
BgL_iz00_1851 = BgL_iz00_1945; 
goto BgL_loopz00_1852;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
BGl_pregexp1221z00zz__alsa_pcmz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string2328z00zz__alsa_pcmz00, BNIL); 
BGl_pregexp1220z00zz__alsa_pcmz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string2329z00zz__alsa_pcmz00, BNIL); 
return BUNSPEC;} 

}



/* %$snd-pcm-nil */
BGL_EXPORTED_DEF obj_t BGl_z52z42sndzd2pcmzd2nilz10zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 76 */
return 
void_star_to_obj(
(0L));} 

}



/* &%$snd-pcm-nil */
obj_t BGl_z62z52z42sndzd2pcmzd2nilz72zz__alsa_pcmz00(obj_t BgL_envz00_1518)
{
{ /* Llib/pcm.scm 76 */
return 
BGl_z52z42sndzd2pcmzd2nilz10zz__alsa_pcmz00();} 

}



/* alsa-snd-pcm-open */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2openzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_oz00_6)
{
{ /* Llib/pcm.scm 82 */
{ /* Llib/pcm.scm 84 */
 bool_t BgL_test2570z00_1953;
{ /* Llib/pcm.scm 84 */
 snd_pcm_t * BgL_tmpz00_1954;
BgL_tmpz00_1954 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_z42builtinz42); 
BgL_test2570z00_1953 = 
(BgL_tmpz00_1954 == 0L); } 
if(BgL_test2570z00_1953)
{ /* Llib/pcm.scm 85 */
 int BgL_errz00_71;
{ /* Llib/pcm.scm 85 */
 obj_t BgL_arg1269z00_80; snd_pcm_stream_t BgL_arg1270z00_81; int BgL_arg1271z00_82;
BgL_arg1269z00_80 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_devicez00); 
BgL_arg1270z00_81 = 
BGl_symbolzd2ze3streamz31zz__alsa_pcmz00(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_streamz00)); 
BgL_arg1271z00_82 = 
BGl_symbolzd2ze3pcmzd2modeze3zz__alsa_pcmz00(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_modez00)); 
{ /* Llib/pcm.scm 85 */
 char * BgL_auxz00_1964; obj_t BgL_tmpz00_1962;
BgL_auxz00_1964 = 
BSTRING_TO_STRING(BgL_arg1269z00_80); 
BgL_tmpz00_1962 = 
((obj_t)BgL_oz00_6); 
BgL_errz00_71 = 
bgl_snd_pcm_open(BgL_tmpz00_1962, BgL_auxz00_1964, BgL_arg1270z00_81, BgL_arg1271z00_82); } } 
if(
(
(long)(BgL_errz00_71)<((long)0)))
{ /* Llib/pcm.scm 91 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1262z00_73;
{ /* Llib/pcm.scm 91 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1062z00_74;
{ /* Llib/pcm.scm 91 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1061z00_77;
BgL_new1061z00_77 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 91 */
 long BgL_arg1267z00_78;
BgL_arg1267z00_78 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_77), BgL_arg1267z00_78); } 
BgL_new1062z00_74 = BgL_new1061z00_77; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1062z00_74)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1062z00_74)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1978;
{ /* Llib/pcm.scm 91 */
 obj_t BgL_arg1263z00_75;
{ /* Llib/pcm.scm 91 */
 obj_t BgL_arg1264z00_76;
{ /* Llib/pcm.scm 91 */
 obj_t BgL_classz00_996;
BgL_classz00_996 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1264z00_76 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_996); } 
BgL_arg1263z00_75 = 
VECTOR_REF(BgL_arg1264z00_76,((long)2)); } 
BgL_auxz00_1978 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1263z00_75); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1062z00_74)))->BgL_stackz00)=((obj_t)BgL_auxz00_1978),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1062z00_74)))->BgL_procz00)=((obj_t)BGl_string2330z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1062z00_74)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_71))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1062z00_74)))->BgL_objz00)=((obj_t)
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_devicez00)),BUNSPEC); 
BgL_arg1262z00_73 = BgL_new1062z00_74; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1262z00_73));}  else 
{ 
 obj_t BgL_auxz00_1995;
{ /* Llib/pcm.scm 95 */
 snd_pcm_t * BgL_arg1268z00_79;
BgL_arg1268z00_79 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_z42builtinz42); 
BgL_auxz00_1995 = 
string_to_bstring(
(char *)snd_pcm_name(BgL_arg1268z00_79)); } 
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_oz00_6))->BgL_namez00)=((obj_t)BgL_auxz00_1995),BUNSPEC);} }  else 
{ /* Llib/pcm.scm 96 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1285z00_85;
{ /* Llib/pcm.scm 96 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1064z00_86;
{ /* Llib/pcm.scm 96 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1063z00_89;
BgL_new1063z00_89 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 96 */
 long BgL_arg1288z00_90;
BgL_arg1288z00_90 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_89), BgL_arg1288z00_90); } 
BgL_new1064z00_86 = BgL_new1063z00_89; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_86)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_86)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2008;
{ /* Llib/pcm.scm 96 */
 obj_t BgL_arg1286z00_87;
{ /* Llib/pcm.scm 96 */
 obj_t BgL_arg1287z00_88;
{ /* Llib/pcm.scm 96 */
 obj_t BgL_classz00_1001;
BgL_classz00_1001 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1287z00_88 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1001); } 
BgL_arg1286z00_87 = 
VECTOR_REF(BgL_arg1287z00_88,((long)2)); } 
BgL_auxz00_2008 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_87); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_86)))->BgL_stackz00)=((obj_t)BgL_auxz00_2008),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_86)))->BgL_procz00)=((obj_t)BGl_string2330z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_86)))->BgL_msgz00)=((obj_t)BGl_string2331z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_86)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_6)),BUNSPEC); 
BgL_arg1285z00_85 = BgL_new1064z00_86; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_85));} } } 

}



/* &alsa-snd-pcm-open */
obj_t BGl_z62alsazd2sndzd2pcmzd2openzb0zz__alsa_pcmz00(obj_t BgL_envz00_1519, obj_t BgL_oz00_1520)
{
{ /* Llib/pcm.scm 82 */
{ /* Llib/pcm.scm 83 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2023;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1520, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 83 */
BgL_auxz00_2023 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1520)
; }  else 
{ 
 obj_t BgL_auxz00_2027;
BgL_auxz00_2027 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)3857)), BGl_string2333z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_oz00_1520); 
FAILURE(BgL_auxz00_2027,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2openzd2zz__alsa_pcmz00(BgL_auxz00_2023);} } 

}



/* alsa-snd-pcm-close */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_7)
{
{ /* Llib/pcm.scm 104 */
{ /* Llib/pcm.scm 106 */
 bool_t BgL_test2573z00_2032;
{ /* Llib/pcm.scm 106 */
 snd_pcm_t * BgL_tmpz00_2033;
BgL_tmpz00_2033 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_7))->BgL_z42builtinz42); 
BgL_test2573z00_2032 = 
(BgL_tmpz00_2033 == 0L); } 
if(BgL_test2573z00_2032)
{ /* Llib/pcm.scm 106 */
return BFALSE;}  else 
{ /* Llib/pcm.scm 107 */
 bool_t BgL_test2574z00_2036;
{ /* Llib/pcm.scm 107 */
 obj_t BgL_arg1343z00_97;
BgL_arg1343z00_97 = 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(BgL_pcmz00_7); 
BgL_test2574z00_2036 = 
(BgL_arg1343z00_97==
CNST_TABLE_REF(((long)0))); } 
if(BgL_test2574z00_2036)
{ /* Llib/pcm.scm 107 */
return BFALSE;}  else 
{ /* Llib/pcm.scm 108 */
 int BgL_tmpz00_2040;
{ /* Llib/pcm.scm 108 */
 obj_t BgL_tmpz00_2041;
BgL_tmpz00_2041 = 
((obj_t)BgL_pcmz00_7); 
BgL_tmpz00_2040 = 
bgl_snd_pcm_close(BgL_tmpz00_2041); } 
return 
BINT(BgL_tmpz00_2040);} } } } 

}



/* &alsa-snd-pcm-close */
obj_t BGl_z62alsazd2sndzd2pcmzd2closezb0zz__alsa_pcmz00(obj_t BgL_envz00_1521, obj_t BgL_pcmz00_1522)
{
{ /* Llib/pcm.scm 104 */
{ /* Llib/pcm.scm 105 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2045;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1522, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 105 */
BgL_auxz00_2045 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1522)
; }  else 
{ 
 obj_t BgL_auxz00_2049;
BgL_auxz00_2049 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)4646)), BGl_string2335z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1522); 
FAILURE(BgL_auxz00_2049,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(BgL_auxz00_2045);} } 

}



/* alsa-snd-pcm-reopen */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_8)
{
{ /* Llib/pcm.scm 113 */
{ /* Llib/pcm.scm 115 */
 int BgL_errz00_100;
{ /* Llib/pcm.scm 115 */
 obj_t BgL_arg1358z00_109; snd_pcm_stream_t BgL_arg1360z00_110; int BgL_arg1361z00_111;
BgL_arg1358z00_109 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_8))->BgL_devicez00); 
BgL_arg1360z00_110 = 
BGl_symbolzd2ze3streamz31zz__alsa_pcmz00(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_8))->BgL_streamz00)); 
BgL_arg1361z00_111 = 
BGl_symbolzd2ze3pcmzd2modeze3zz__alsa_pcmz00(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_8))->BgL_modez00)); 
{ /* Llib/pcm.scm 115 */
 char * BgL_auxz00_2061; obj_t BgL_tmpz00_2059;
BgL_auxz00_2061 = 
BSTRING_TO_STRING(BgL_arg1358z00_109); 
BgL_tmpz00_2059 = 
((obj_t)BgL_pcmz00_8); 
BgL_errz00_100 = 
bgl_snd_pcm_reopen(BgL_tmpz00_2059, BgL_auxz00_2061, BgL_arg1360z00_110, BgL_arg1361z00_111); } } 
if(
(
(long)(BgL_errz00_100)<((long)0)))
{ /* Llib/pcm.scm 121 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1348z00_102;
{ /* Llib/pcm.scm 121 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1068z00_103;
{ /* Llib/pcm.scm 121 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1067z00_106;
BgL_new1067z00_106 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 121 */
 long BgL_arg1355z00_107;
BgL_arg1355z00_107 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_106), BgL_arg1355z00_107); } 
BgL_new1068z00_103 = BgL_new1067z00_106; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_103)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_103)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2075;
{ /* Llib/pcm.scm 121 */
 obj_t BgL_arg1349z00_104;
{ /* Llib/pcm.scm 121 */
 obj_t BgL_arg1354z00_105;
{ /* Llib/pcm.scm 121 */
 obj_t BgL_classz00_1007;
BgL_classz00_1007 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1354z00_105 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1007); } 
BgL_arg1349z00_104 = 
VECTOR_REF(BgL_arg1354z00_105,((long)2)); } 
BgL_auxz00_2075 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1349z00_104); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_103)))->BgL_stackz00)=((obj_t)BgL_auxz00_2075),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1068z00_103)))->BgL_procz00)=((obj_t)BGl_string2330z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1068z00_103)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_100))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1068z00_103)))->BgL_objz00)=((obj_t)
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_8))->BgL_devicez00)),BUNSPEC); 
BgL_arg1348z00_102 = BgL_new1068z00_103; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1348z00_102));}  else 
{ 
 obj_t BgL_auxz00_2092;
{ /* Llib/pcm.scm 125 */
 snd_pcm_t * BgL_arg1357z00_108;
BgL_arg1357z00_108 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_8))->BgL_z42builtinz42); 
BgL_auxz00_2092 = 
string_to_bstring(
(char *)snd_pcm_name(BgL_arg1357z00_108)); } 
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_8))->BgL_namez00)=((obj_t)BgL_auxz00_2092),BUNSPEC);} } } 

}



/* &alsa-snd-pcm-reopen */
obj_t BGl_z62alsazd2sndzd2pcmzd2reopenzb0zz__alsa_pcmz00(obj_t BgL_envz00_1523, obj_t BgL_pcmz00_1524)
{
{ /* Llib/pcm.scm 113 */
{ /* Llib/pcm.scm 114 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2097;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1524, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 114 */
BgL_auxz00_2097 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1524)
; }  else 
{ 
 obj_t BgL_auxz00_2101;
BgL_auxz00_2101 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)5094)), BGl_string2336z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1524); 
FAILURE(BgL_auxz00_2101,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_auxz00_2097);} } 

}



/* alsa-snd-pcm-get-state */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_9)
{
{ /* Llib/pcm.scm 130 */
{ /* Llib/pcm.scm 132 */
 bool_t BgL_test2578z00_2106;
{ /* Llib/pcm.scm 132 */
 snd_pcm_t * BgL_tmpz00_2107;
BgL_tmpz00_2107 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_9))->BgL_z42builtinz42); 
BgL_test2578z00_2106 = 
(BgL_tmpz00_2107 == 0L); } 
if(BgL_test2578z00_2106)
{ /* Llib/pcm.scm 132 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/pcm.scm 134 */
 snd_pcm_state_t BgL_sz00_117;
{ /* Llib/pcm.scm 134 */
 snd_pcm_t * BgL_tmpz00_2111;
BgL_tmpz00_2111 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_9))->BgL_z42builtinz42); 
BgL_sz00_117 = 
snd_pcm_state(BgL_tmpz00_2111); } 
if(
(BgL_sz00_117==SND_PCM_STATE_OPEN))
{ /* Llib/pcm.scm 136 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/pcm.scm 136 */
if(
(BgL_sz00_117==SND_PCM_STATE_SETUP))
{ /* Llib/pcm.scm 137 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/pcm.scm 137 */
if(
(BgL_sz00_117==SND_PCM_STATE_PREPARED))
{ /* Llib/pcm.scm 138 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/pcm.scm 138 */
if(
(BgL_sz00_117==SND_PCM_STATE_RUNNING))
{ /* Llib/pcm.scm 139 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/pcm.scm 139 */
if(
(BgL_sz00_117==SND_PCM_STATE_XRUN))
{ /* Llib/pcm.scm 140 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/pcm.scm 140 */
if(
(BgL_sz00_117==SND_PCM_STATE_DRAINING))
{ /* Llib/pcm.scm 141 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/pcm.scm 141 */
if(
(BgL_sz00_117==SND_PCM_STATE_PAUSED))
{ /* Llib/pcm.scm 142 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Llib/pcm.scm 142 */
if(
(BgL_sz00_117==SND_PCM_STATE_SUSPENDED))
{ /* Llib/pcm.scm 143 */
return 
CNST_TABLE_REF(((long)9));}  else 
{ /* Llib/pcm.scm 143 */
if(
(BgL_sz00_117==SND_PCM_STATE_DISCONNECTED))
{ /* Llib/pcm.scm 144 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/pcm.scm 145 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1414z00_127;
{ /* Llib/pcm.scm 145 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1071z00_128;
{ /* Llib/pcm.scm 145 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1070z00_131;
BgL_new1070z00_131 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 145 */
 long BgL_arg1535z00_132;
BgL_arg1535z00_132 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_131), BgL_arg1535z00_132); } 
BgL_new1071z00_128 = BgL_new1070z00_131; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1071z00_128)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1071z00_128)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2149;
{ /* Llib/pcm.scm 145 */
 obj_t BgL_arg1455z00_129;
{ /* Llib/pcm.scm 145 */
 obj_t BgL_arg1456z00_130;
{ /* Llib/pcm.scm 145 */
 obj_t BgL_classz00_1030;
BgL_classz00_1030 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1456z00_130 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1030); } 
BgL_arg1455z00_129 = 
VECTOR_REF(BgL_arg1456z00_130,((long)2)); } 
BgL_auxz00_2149 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1455z00_129); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1071z00_128)))->BgL_stackz00)=((obj_t)BgL_auxz00_2149),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1071z00_128)))->BgL_procz00)=((obj_t)BGl_string2337z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1071z00_128)))->BgL_msgz00)=((obj_t)BGl_string2338z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1071z00_128)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_9)),BUNSPEC); 
BgL_arg1414z00_127 = BgL_new1071z00_128; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1414z00_127));} } } } } } } } } } } } 

}



/* &alsa-snd-pcm-get-state */
obj_t BGl_z62alsazd2sndzd2pcmzd2getzd2statez62zz__alsa_pcmz00(obj_t BgL_envz00_1525, obj_t BgL_pcmz00_1526)
{
{ /* Llib/pcm.scm 130 */
{ /* Llib/pcm.scm 131 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2164;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1526, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 131 */
BgL_auxz00_2164 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1526)
; }  else 
{ 
 obj_t BgL_auxz00_2168;
BgL_auxz00_2168 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)5760)), BGl_string2339z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1526); 
FAILURE(BgL_auxz00_2168,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(BgL_auxz00_2164);} } 

}



/* alsa-snd-pcm-avail */
BGL_EXPORTED_DEF long BGl_alsazd2sndzd2pcmzd2availzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_10)
{
{ /* Llib/pcm.scm 153 */
{ /* Llib/pcm.scm 155 */
 snd_pcm_t * BgL_tmpz00_2173;
BgL_tmpz00_2173 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_10))->BgL_z42builtinz42); 
return 
snd_pcm_avail(BgL_tmpz00_2173);} } 

}



/* &alsa-snd-pcm-avail */
obj_t BGl_z62alsazd2sndzd2pcmzd2availzb0zz__alsa_pcmz00(obj_t BgL_envz00_1527, obj_t BgL_pcmz00_1528)
{
{ /* Llib/pcm.scm 153 */
{ /* Llib/pcm.scm 154 */
 long BgL_tmpz00_2176;
{ /* Llib/pcm.scm 154 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2177;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1528, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 154 */
BgL_auxz00_2177 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1528)
; }  else 
{ 
 obj_t BgL_auxz00_2181;
BgL_auxz00_2181 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)6692)), BGl_string2340z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1528); 
FAILURE(BgL_auxz00_2181,BFALSE,BFALSE);} 
BgL_tmpz00_2176 = 
BGl_alsazd2sndzd2pcmzd2availzd2zz__alsa_pcmz00(BgL_auxz00_2177); } 
return 
BINT(BgL_tmpz00_2176);} } 

}



/* alsa-snd-pcm-avail-update */
BGL_EXPORTED_DEF long BGl_alsazd2sndzd2pcmzd2availzd2updatez00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_11)
{
{ /* Llib/pcm.scm 160 */
{ /* Llib/pcm.scm 162 */
 snd_pcm_t * BgL_tmpz00_2187;
BgL_tmpz00_2187 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_11))->BgL_z42builtinz42); 
return 
snd_pcm_avail_update(BgL_tmpz00_2187);} } 

}



/* &alsa-snd-pcm-avail-update */
obj_t BGl_z62alsazd2sndzd2pcmzd2availzd2updatez62zz__alsa_pcmz00(obj_t BgL_envz00_1529, obj_t BgL_pcmz00_1530)
{
{ /* Llib/pcm.scm 160 */
{ /* Llib/pcm.scm 161 */
 long BgL_tmpz00_2190;
{ /* Llib/pcm.scm 161 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2191;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1530, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 161 */
BgL_auxz00_2191 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1530)
; }  else 
{ 
 obj_t BgL_auxz00_2195;
BgL_auxz00_2195 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)7051)), BGl_string2341z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1530); 
FAILURE(BgL_auxz00_2195,BFALSE,BFALSE);} 
BgL_tmpz00_2190 = 
BGl_alsazd2sndzd2pcmzd2availzd2updatez00zz__alsa_pcmz00(BgL_auxz00_2191); } 
return 
BINT(BgL_tmpz00_2190);} } 

}



/* symbol->stream */
snd_pcm_stream_t BGl_symbolzd2ze3streamz31zz__alsa_pcmz00(obj_t BgL_sz00_12)
{
{ /* Llib/pcm.scm 167 */
if(
(BgL_sz00_12==
CNST_TABLE_REF(((long)10))))
{ /* Llib/pcm.scm 168 */
return SND_PCM_STREAM_PLAYBACK;}  else 
{ /* Llib/pcm.scm 168 */
if(
(BgL_sz00_12==
CNST_TABLE_REF(((long)11))))
{ /* Llib/pcm.scm 168 */
return SND_PCM_STREAM_CAPTURE;}  else 
{ /* Llib/pcm.scm 171 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1563z00_142;
{ /* Llib/pcm.scm 171 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1075z00_143;
{ /* Llib/pcm.scm 171 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1074z00_146;
BgL_new1074z00_146 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 171 */
 long BgL_arg1573z00_147;
BgL_arg1573z00_147 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_146), BgL_arg1573z00_147); } 
BgL_new1075z00_143 = BgL_new1074z00_146; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1075z00_143)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1075z00_143)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2215;
{ /* Llib/pcm.scm 171 */
 obj_t BgL_arg1564z00_144;
{ /* Llib/pcm.scm 171 */
 obj_t BgL_arg1572z00_145;
{ /* Llib/pcm.scm 171 */
 obj_t BgL_classz00_1041;
BgL_classz00_1041 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1572z00_145 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1041); } 
BgL_arg1564z00_144 = 
VECTOR_REF(BgL_arg1572z00_145,((long)2)); } 
BgL_auxz00_2215 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1564z00_144); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1075z00_143)))->BgL_stackz00)=((obj_t)BgL_auxz00_2215),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1075z00_143)))->BgL_procz00)=((obj_t)BGl_string2342z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1075z00_143)))->BgL_msgz00)=((obj_t)BGl_string2343z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1075z00_143)))->BgL_objz00)=((obj_t)BgL_sz00_12),BUNSPEC); 
BgL_arg1563z00_142 = BgL_new1075z00_143; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1563z00_142)));} } } 

}



/* symbol->pcm-mode */
int BGl_symbolzd2ze3pcmzd2modeze3zz__alsa_pcmz00(obj_t BgL_sz00_13)
{
{ /* Llib/pcm.scm 179 */
if(
(BgL_sz00_13==
CNST_TABLE_REF(((long)12))))
{ /* Llib/pcm.scm 180 */
return 
(int)(((long)0));}  else 
{ /* Llib/pcm.scm 180 */
if(
(BgL_sz00_13==
CNST_TABLE_REF(((long)13))))
{ /* Llib/pcm.scm 180 */
return SND_PCM_NONBLOCK;}  else 
{ /* Llib/pcm.scm 180 */
if(
(BgL_sz00_13==
CNST_TABLE_REF(((long)14))))
{ /* Llib/pcm.scm 180 */
return SND_PCM_ASYNC;}  else 
{ /* Llib/pcm.scm 184 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1590z00_152;
{ /* Llib/pcm.scm 184 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1077z00_153;
{ /* Llib/pcm.scm 184 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1076z00_156;
BgL_new1076z00_156 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 184 */
 long BgL_arg1595z00_157;
BgL_arg1595z00_157 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_156), BgL_arg1595z00_157); } 
BgL_new1077z00_153 = BgL_new1076z00_156; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_153)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_153)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2248;
{ /* Llib/pcm.scm 184 */
 obj_t BgL_arg1591z00_154;
{ /* Llib/pcm.scm 184 */
 obj_t BgL_arg1594z00_155;
{ /* Llib/pcm.scm 184 */
 obj_t BgL_classz00_1049;
BgL_classz00_1049 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1594z00_155 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1049); } 
BgL_arg1591z00_154 = 
VECTOR_REF(BgL_arg1594z00_155,((long)2)); } 
BgL_auxz00_2248 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1591z00_154); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_153)))->BgL_stackz00)=((obj_t)BgL_auxz00_2248),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_153)))->BgL_procz00)=((obj_t)BGl_string2342z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_153)))->BgL_msgz00)=((obj_t)BGl_string2344z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_153)))->BgL_objz00)=((obj_t)BgL_sz00_13),BUNSPEC); 
BgL_arg1590z00_152 = BgL_new1077z00_153; } 
return 
CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1590z00_152)));} } } } 

}



/* symbol->format */
snd_pcm_format_t BGl_symbolzd2ze3formatz31zz__alsa_pcmz00(obj_t BgL_sz00_14)
{
{ /* Llib/pcm.scm 192 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)15))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_UNKNOWN;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)16))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S8;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)17))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U8;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)18))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S16;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)19))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S16_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)20))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S16_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)21))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U16;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)22))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U16_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)23))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U16_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)24))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S24;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)25))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S24_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)26))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S24_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)27))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S24_3LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)28))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S24_3BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)29))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U24;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)30))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U24_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)31))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U24_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)32))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U24_3LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)33))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U24_3BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)34))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S32;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)35))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S32_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)36))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S32_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)37))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U32;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)38))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U32_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)39))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U32_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)40))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_FLOAT_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)41))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_FLOAT_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)42))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_FLOAT64_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)43))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_FLOAT64_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)44))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_IEC958_SUBFRAME_LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)45))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_IEC958_SUBFRAME_BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)46))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_MU_LAW;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)47))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_A_LAW;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)48))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_IMA_ADPCM;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)49))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_MPEG;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)50))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_GSM;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)51))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_SPECIAL;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)52))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S20_3LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)53))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S20_3BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)54))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U20_3LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)55))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U20_3BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)56))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S18_3LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)57))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_S18_3BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)58))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U18_3LE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)59))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_U18_3BE;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)60))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_FLOAT;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)61))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_FLOAT64;}  else 
{ /* Llib/pcm.scm 193 */
if(
(BgL_sz00_14==
CNST_TABLE_REF(((long)62))))
{ /* Llib/pcm.scm 193 */
return SND_PCM_FORMAT_IEC958_SUBFRAME;}  else 
{ /* Llib/pcm.scm 242 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1651z00_207;
{ /* Llib/pcm.scm 242 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1079z00_208;
{ /* Llib/pcm.scm 242 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1078z00_211;
BgL_new1078z00_211 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 242 */
 long BgL_arg1657z00_212;
BgL_arg1657z00_212 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_211), BgL_arg1657z00_212); } 
BgL_new1079z00_208 = BgL_new1078z00_211; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_208)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_208)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2415;
{ /* Llib/pcm.scm 242 */
 obj_t BgL_arg1653z00_209;
{ /* Llib/pcm.scm 242 */
 obj_t BgL_arg1654z00_210;
{ /* Llib/pcm.scm 242 */
 obj_t BgL_classz00_1102;
BgL_classz00_1102 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1654z00_210 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1102); } 
BgL_arg1653z00_209 = 
VECTOR_REF(BgL_arg1654z00_210,((long)2)); } 
BgL_auxz00_2415 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1653z00_209); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_208)))->BgL_stackz00)=((obj_t)BgL_auxz00_2415),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_208)))->BgL_procz00)=((obj_t)BGl_string2345z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_208)))->BgL_msgz00)=((obj_t)BGl_string2346z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_208)))->BgL_objz00)=((obj_t)BgL_sz00_14),BUNSPEC); 
BgL_arg1651z00_207 = BgL_new1079z00_208; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1651z00_207)));} } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } } 

}



/* symbol->access */
snd_pcm_access_t BGl_symbolzd2ze3accessz31zz__alsa_pcmz00(obj_t BgL_sz00_15)
{
{ /* Llib/pcm.scm 250 */
if(
(BgL_sz00_15==
CNST_TABLE_REF(((long)63))))
{ /* Llib/pcm.scm 251 */
return SND_PCM_ACCESS_MMAP_INTERLEAVED;}  else 
{ /* Llib/pcm.scm 251 */
if(
(BgL_sz00_15==
CNST_TABLE_REF(((long)64))))
{ /* Llib/pcm.scm 251 */
return SND_PCM_ACCESS_MMAP_NONINTERLEAVED;}  else 
{ /* Llib/pcm.scm 251 */
if(
(BgL_sz00_15==
CNST_TABLE_REF(((long)65))))
{ /* Llib/pcm.scm 251 */
return SND_PCM_ACCESS_MMAP_COMPLEX;}  else 
{ /* Llib/pcm.scm 251 */
if(
(BgL_sz00_15==
CNST_TABLE_REF(((long)66))))
{ /* Llib/pcm.scm 251 */
return SND_PCM_ACCESS_RW_INTERLEAVED;}  else 
{ /* Llib/pcm.scm 251 */
if(
(BgL_sz00_15==
CNST_TABLE_REF(((long)67))))
{ /* Llib/pcm.scm 251 */
return SND_PCM_ACCESS_RW_NONINTERLEAVED;}  else 
{ /* Llib/pcm.scm 257 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1664z00_219;
{ /* Llib/pcm.scm 257 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1081z00_220;
{ /* Llib/pcm.scm 257 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1080z00_223;
BgL_new1080z00_223 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 257 */
 long BgL_arg1674z00_224;
BgL_arg1674z00_224 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_223), BgL_arg1674z00_224); } 
BgL_new1081z00_220 = BgL_new1080z00_223; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_220)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_220)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2453;
{ /* Llib/pcm.scm 257 */
 obj_t BgL_arg1672z00_221;
{ /* Llib/pcm.scm 257 */
 obj_t BgL_arg1673z00_222;
{ /* Llib/pcm.scm 257 */
 obj_t BgL_classz00_1112;
BgL_classz00_1112 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1673z00_222 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1112); } 
BgL_arg1672z00_221 = 
VECTOR_REF(BgL_arg1673z00_222,((long)2)); } 
BgL_auxz00_2453 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1672z00_221); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_220)))->BgL_stackz00)=((obj_t)BgL_auxz00_2453),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_220)))->BgL_procz00)=((obj_t)BGl_string2347z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_220)))->BgL_msgz00)=((obj_t)BGl_string2348z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_220)))->BgL_objz00)=((obj_t)BgL_sz00_15),BUNSPEC); 
BgL_arg1664z00_219 = BgL_new1081z00_220; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1664z00_219)));} } } } } } 

}



/* _alsa-snd-pcm-set-params! */
obj_t BGl__alsazd2sndzd2pcmzd2setzd2paramsz12z12zz__alsa_pcmz00(obj_t BgL_env1230z00_24, obj_t BgL_opt1229z00_23)
{
{ /* Llib/pcm.scm 265 */
{ /* Llib/pcm.scm 265 */
 obj_t BgL_g1241z00_229;
BgL_g1241z00_229 = 
VECTOR_REF(BgL_opt1229z00_23,((long)0)); 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_accessz00_230;
BgL_accessz00_230 = BFALSE; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_channelsz00_231;
BgL_channelsz00_231 = BFALSE; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_formatz00_232;
BgL_formatz00_232 = BFALSE; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_latencyz00_233;
BgL_latencyz00_233 = BFALSE; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_ratez00_234;
BgL_ratez00_234 = BFALSE; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_softzd2resamplezd2_235;
BgL_softzd2resamplezd2_235 = BFALSE; 
{ /* Llib/pcm.scm 265 */

{ 
 long BgL_iz00_236;
BgL_iz00_236 = ((long)1); 
BgL_check1233z00_237:
if(
(BgL_iz00_236==
VECTOR_LENGTH(BgL_opt1229z00_23)))
{ /* Llib/pcm.scm 265 */BNIL; }  else 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2650z00_2472;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_arg1688z00_243;
BgL_arg1688z00_243 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_iz00_236); 
BgL_test2650z00_2472 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1688z00_243, 
CNST_TABLE_REF(((long)68)))); } 
if(BgL_test2650z00_2472)
{ 
 long BgL_iz00_2477;
BgL_iz00_2477 = 
(BgL_iz00_236+((long)2)); 
BgL_iz00_236 = BgL_iz00_2477; 
goto BgL_check1233z00_237;}  else 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_arg1685z00_242;
BgL_arg1685z00_242 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_iz00_236); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)69)), BGl_string2349z00zz__alsa_pcmz00, BgL_arg1685z00_242); } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_index1235z00_244;
BgL_index1235z00_244 = 
BGl_search1232ze70ze7zz__alsa_pcmz00(
VECTOR_LENGTH(BgL_opt1229z00_23), BgL_opt1229z00_23, 
CNST_TABLE_REF(((long)70)), ((long)1)); 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2651z00_2485;
{ /* Llib/pcm.scm 265 */
 long BgL_n1z00_1129;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2486;
if(
INTEGERP(BgL_index1235z00_244))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2486 = BgL_index1235z00_244
; }  else 
{ 
 obj_t BgL_auxz00_2489;
BgL_auxz00_2489 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1235z00_244); 
FAILURE(BgL_auxz00_2489,BFALSE,BFALSE);} 
BgL_n1z00_1129 = 
(long)CINT(BgL_tmpz00_2486); } 
BgL_test2651z00_2485 = 
(BgL_n1z00_1129>=((long)0)); } 
if(BgL_test2651z00_2485)
{ 
 long BgL_auxz00_2495;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2496;
if(
INTEGERP(BgL_index1235z00_244))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2496 = BgL_index1235z00_244
; }  else 
{ 
 obj_t BgL_auxz00_2499;
BgL_auxz00_2499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1235z00_244); 
FAILURE(BgL_auxz00_2499,BFALSE,BFALSE);} 
BgL_auxz00_2495 = 
(long)CINT(BgL_tmpz00_2496); } 
BgL_accessz00_230 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_auxz00_2495); }  else 
{ /* Llib/pcm.scm 265 */BFALSE; } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_index1236z00_246;
BgL_index1236z00_246 = 
BGl_search1232ze70ze7zz__alsa_pcmz00(
VECTOR_LENGTH(BgL_opt1229z00_23), BgL_opt1229z00_23, 
CNST_TABLE_REF(((long)71)), ((long)1)); 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2654z00_2508;
{ /* Llib/pcm.scm 265 */
 long BgL_n1z00_1130;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2509;
if(
INTEGERP(BgL_index1236z00_246))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2509 = BgL_index1236z00_246
; }  else 
{ 
 obj_t BgL_auxz00_2512;
BgL_auxz00_2512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1236z00_246); 
FAILURE(BgL_auxz00_2512,BFALSE,BFALSE);} 
BgL_n1z00_1130 = 
(long)CINT(BgL_tmpz00_2509); } 
BgL_test2654z00_2508 = 
(BgL_n1z00_1130>=((long)0)); } 
if(BgL_test2654z00_2508)
{ 
 long BgL_auxz00_2518;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2519;
if(
INTEGERP(BgL_index1236z00_246))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2519 = BgL_index1236z00_246
; }  else 
{ 
 obj_t BgL_auxz00_2522;
BgL_auxz00_2522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1236z00_246); 
FAILURE(BgL_auxz00_2522,BFALSE,BFALSE);} 
BgL_auxz00_2518 = 
(long)CINT(BgL_tmpz00_2519); } 
BgL_channelsz00_231 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_auxz00_2518); }  else 
{ /* Llib/pcm.scm 265 */BFALSE; } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_index1237z00_248;
BgL_index1237z00_248 = 
BGl_search1232ze70ze7zz__alsa_pcmz00(
VECTOR_LENGTH(BgL_opt1229z00_23), BgL_opt1229z00_23, 
CNST_TABLE_REF(((long)72)), ((long)1)); 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2657z00_2531;
{ /* Llib/pcm.scm 265 */
 long BgL_n1z00_1131;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2532;
if(
INTEGERP(BgL_index1237z00_248))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2532 = BgL_index1237z00_248
; }  else 
{ 
 obj_t BgL_auxz00_2535;
BgL_auxz00_2535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1237z00_248); 
FAILURE(BgL_auxz00_2535,BFALSE,BFALSE);} 
BgL_n1z00_1131 = 
(long)CINT(BgL_tmpz00_2532); } 
BgL_test2657z00_2531 = 
(BgL_n1z00_1131>=((long)0)); } 
if(BgL_test2657z00_2531)
{ 
 long BgL_auxz00_2541;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2542;
if(
INTEGERP(BgL_index1237z00_248))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2542 = BgL_index1237z00_248
; }  else 
{ 
 obj_t BgL_auxz00_2545;
BgL_auxz00_2545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1237z00_248); 
FAILURE(BgL_auxz00_2545,BFALSE,BFALSE);} 
BgL_auxz00_2541 = 
(long)CINT(BgL_tmpz00_2542); } 
BgL_formatz00_232 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_auxz00_2541); }  else 
{ /* Llib/pcm.scm 265 */BFALSE; } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_index1238z00_250;
BgL_index1238z00_250 = 
BGl_search1232ze70ze7zz__alsa_pcmz00(
VECTOR_LENGTH(BgL_opt1229z00_23), BgL_opt1229z00_23, 
CNST_TABLE_REF(((long)73)), ((long)1)); 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2660z00_2554;
{ /* Llib/pcm.scm 265 */
 long BgL_n1z00_1132;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2555;
if(
INTEGERP(BgL_index1238z00_250))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2555 = BgL_index1238z00_250
; }  else 
{ 
 obj_t BgL_auxz00_2558;
BgL_auxz00_2558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1238z00_250); 
FAILURE(BgL_auxz00_2558,BFALSE,BFALSE);} 
BgL_n1z00_1132 = 
(long)CINT(BgL_tmpz00_2555); } 
BgL_test2660z00_2554 = 
(BgL_n1z00_1132>=((long)0)); } 
if(BgL_test2660z00_2554)
{ 
 long BgL_auxz00_2564;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2565;
if(
INTEGERP(BgL_index1238z00_250))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2565 = BgL_index1238z00_250
; }  else 
{ 
 obj_t BgL_auxz00_2568;
BgL_auxz00_2568 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1238z00_250); 
FAILURE(BgL_auxz00_2568,BFALSE,BFALSE);} 
BgL_auxz00_2564 = 
(long)CINT(BgL_tmpz00_2565); } 
BgL_latencyz00_233 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_auxz00_2564); }  else 
{ /* Llib/pcm.scm 265 */BFALSE; } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_index1239z00_252;
BgL_index1239z00_252 = 
BGl_search1232ze70ze7zz__alsa_pcmz00(
VECTOR_LENGTH(BgL_opt1229z00_23), BgL_opt1229z00_23, 
CNST_TABLE_REF(((long)74)), ((long)1)); 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2663z00_2577;
{ /* Llib/pcm.scm 265 */
 long BgL_n1z00_1133;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2578;
if(
INTEGERP(BgL_index1239z00_252))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2578 = BgL_index1239z00_252
; }  else 
{ 
 obj_t BgL_auxz00_2581;
BgL_auxz00_2581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1239z00_252); 
FAILURE(BgL_auxz00_2581,BFALSE,BFALSE);} 
BgL_n1z00_1133 = 
(long)CINT(BgL_tmpz00_2578); } 
BgL_test2663z00_2577 = 
(BgL_n1z00_1133>=((long)0)); } 
if(BgL_test2663z00_2577)
{ 
 long BgL_auxz00_2587;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2588;
if(
INTEGERP(BgL_index1239z00_252))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2588 = BgL_index1239z00_252
; }  else 
{ 
 obj_t BgL_auxz00_2591;
BgL_auxz00_2591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1239z00_252); 
FAILURE(BgL_auxz00_2591,BFALSE,BFALSE);} 
BgL_auxz00_2587 = 
(long)CINT(BgL_tmpz00_2588); } 
BgL_ratez00_234 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_auxz00_2587); }  else 
{ /* Llib/pcm.scm 265 */BFALSE; } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_index1240z00_254;
BgL_index1240z00_254 = 
BGl_search1232ze70ze7zz__alsa_pcmz00(
VECTOR_LENGTH(BgL_opt1229z00_23), BgL_opt1229z00_23, 
CNST_TABLE_REF(((long)75)), ((long)1)); 
{ /* Llib/pcm.scm 265 */
 bool_t BgL_test2666z00_2600;
{ /* Llib/pcm.scm 265 */
 long BgL_n1z00_1134;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2601;
if(
INTEGERP(BgL_index1240z00_254))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2601 = BgL_index1240z00_254
; }  else 
{ 
 obj_t BgL_auxz00_2604;
BgL_auxz00_2604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1240z00_254); 
FAILURE(BgL_auxz00_2604,BFALSE,BFALSE);} 
BgL_n1z00_1134 = 
(long)CINT(BgL_tmpz00_2601); } 
BgL_test2666z00_2600 = 
(BgL_n1z00_1134>=((long)0)); } 
if(BgL_test2666z00_2600)
{ 
 long BgL_auxz00_2610;
{ /* Llib/pcm.scm 265 */
 obj_t BgL_tmpz00_2611;
if(
INTEGERP(BgL_index1240z00_254))
{ /* Llib/pcm.scm 265 */
BgL_tmpz00_2611 = BgL_index1240z00_254
; }  else 
{ 
 obj_t BgL_auxz00_2614;
BgL_auxz00_2614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_index1240z00_254); 
FAILURE(BgL_auxz00_2614,BFALSE,BFALSE);} 
BgL_auxz00_2610 = 
(long)CINT(BgL_tmpz00_2611); } 
BgL_softzd2resamplezd2_235 = 
VECTOR_REF(BgL_opt1229z00_23,BgL_auxz00_2610); }  else 
{ /* Llib/pcm.scm 265 */BFALSE; } } } 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_arg1701z00_256;
BgL_arg1701z00_256 = 
VECTOR_REF(BgL_opt1229z00_23,((long)0)); 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_accessz00_257;
BgL_accessz00_257 = BgL_accessz00_230; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_channelsz00_258;
BgL_channelsz00_258 = BgL_channelsz00_231; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_formatz00_259;
BgL_formatz00_259 = BgL_formatz00_232; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_latencyz00_260;
BgL_latencyz00_260 = BgL_latencyz00_233; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_ratez00_261;
BgL_ratez00_261 = BgL_ratez00_234; 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_softzd2resamplezd2_262;
BgL_softzd2resamplezd2_262 = BgL_softzd2resamplezd2_235; 
{ /* Llib/pcm.scm 265 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2621;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1701z00_256, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 265 */
BgL_auxz00_2621 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_arg1701z00_256)
; }  else 
{ 
 obj_t BgL_auxz00_2625;
BgL_auxz00_2625 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)11456)), BGl_string2350z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_arg1701z00_256); 
FAILURE(BgL_auxz00_2625,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2setzd2paramsz12z12zz__alsa_pcmz00(BgL_auxz00_2621, BgL_accessz00_257, BgL_channelsz00_258, BgL_formatz00_259, BgL_latencyz00_260, BgL_ratez00_261, BgL_softzd2resamplezd2_262);} } } } } } } } } } } } } } } } } 

}



/* search1232~0 */
obj_t BGl_search1232ze70ze7zz__alsa_pcmz00(long BgL_l1231z00_1700, obj_t BgL_opt1229z00_1699, obj_t BgL_k1z00_226, long BgL_iz00_227)
{
{ /* Llib/pcm.scm 265 */
BGl_search1232ze70ze7zz__alsa_pcmz00:
if(
(BgL_iz00_227==BgL_l1231z00_1700))
{ /* Llib/pcm.scm 265 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pcm.scm 265 */
if(
(BgL_iz00_227==
(BgL_l1231z00_1700-((long)1))))
{ /* Llib/pcm.scm 265 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)69)), BGl_string2352z00zz__alsa_pcmz00, 
BINT(
VECTOR_LENGTH(BgL_opt1229z00_1699)));}  else 
{ /* Llib/pcm.scm 265 */
 obj_t BgL_vz00_267;
BgL_vz00_267 = 
VECTOR_REF(BgL_opt1229z00_1699,BgL_iz00_227); 
if(
(BgL_vz00_267==BgL_k1z00_226))
{ /* Llib/pcm.scm 265 */
return 
BINT(
(BgL_iz00_227+((long)1)));}  else 
{ 
 long BgL_iz00_2645;
BgL_iz00_2645 = 
(BgL_iz00_227+((long)2)); 
BgL_iz00_227 = BgL_iz00_2645; 
goto BGl_search1232ze70ze7zz__alsa_pcmz00;} } } } 

}



/* alsa-snd-pcm-set-params! */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2setzd2paramsz12z12zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_16, obj_t BgL_accessz00_17, obj_t BgL_channelsz00_18, obj_t BgL_formatz00_19, obj_t BgL_latencyz00_20, obj_t BgL_ratez00_21, obj_t BgL_softzd2resamplezd2_22)
{
{ /* Llib/pcm.scm 265 */
{ /* Llib/pcm.scm 268 */
 int BgL_errz00_272;
{ /* Llib/pcm.scm 268 */
 int BgL_auxz00_2659; int BgL_auxz00_2657; int BgL_auxz00_2655; int BgL_auxz00_2653; snd_pcm_access_t BgL_auxz00_2651; snd_pcm_format_t BgL_auxz00_2649; snd_pcm_t * BgL_tmpz00_2647;
BgL_auxz00_2659 = 
CINT(BgL_latencyz00_20); 
BgL_auxz00_2657 = 
CINT(BgL_softzd2resamplezd2_22); 
BgL_auxz00_2655 = 
CINT(BgL_ratez00_21); 
BgL_auxz00_2653 = 
CINT(BgL_channelsz00_18); 
BgL_auxz00_2651 = 
BGl_symbolzd2ze3accessz31zz__alsa_pcmz00(BgL_accessz00_17); 
BgL_auxz00_2649 = 
BGl_symbolzd2ze3formatz31zz__alsa_pcmz00(BgL_formatz00_19); 
BgL_tmpz00_2647 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_16))->BgL_z42builtinz42); 
BgL_errz00_272 = 
snd_pcm_set_params(BgL_tmpz00_2647, BgL_auxz00_2649, BgL_auxz00_2651, BgL_auxz00_2653, BgL_auxz00_2655, BgL_auxz00_2657, BgL_auxz00_2659); } 
if(
(
(long)(BgL_errz00_272)<((long)0)))
{ /* Llib/pcm.scm 276 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1712z00_274;
{ /* Llib/pcm.scm 276 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1085z00_275;
{ /* Llib/pcm.scm 276 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1084z00_278;
BgL_new1084z00_278 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 276 */
 long BgL_arg1727z00_279;
BgL_arg1727z00_279 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_278), BgL_arg1727z00_279); } 
BgL_new1085z00_275 = BgL_new1084z00_278; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_275)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_275)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2673;
{ /* Llib/pcm.scm 276 */
 obj_t BgL_arg1725z00_276;
{ /* Llib/pcm.scm 276 */
 obj_t BgL_arg1726z00_277;
{ /* Llib/pcm.scm 276 */
 obj_t BgL_classz00_1139;
BgL_classz00_1139 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1726z00_277 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1139); } 
BgL_arg1725z00_276 = 
VECTOR_REF(BgL_arg1726z00_277,((long)2)); } 
BgL_auxz00_2673 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1725z00_276); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_275)))->BgL_stackz00)=((obj_t)BgL_auxz00_2673),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_275)))->BgL_procz00)=((obj_t)BGl_string2353z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_275)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_272))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_275)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_16)),BUNSPEC); 
BgL_arg1712z00_274 = BgL_new1085z00_275; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1712z00_274));}  else 
{ /* Llib/pcm.scm 275 */
return BFALSE;} } } 

}



/* alsa-snd-pcm-writei */
BGL_EXPORTED_DEF long BGl_alsazd2sndzd2pcmzd2writeizd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_25, char * BgL_bufferz00_26, long BgL_sza7za7_27)
{
{ /* Llib/pcm.scm 284 */
{ /* Llib/pcm.scm 286 */
 snd_pcm_sframes_t BgL_errz00_284;
{ /* Llib/pcm.scm 286 */
 snd_pcm_uframes_t BgL_auxz00_2692; snd_pcm_t * BgL_tmpz00_2690;
BgL_auxz00_2692 = 
(unsigned long)(BgL_sza7za7_27); 
BgL_tmpz00_2690 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_25))->BgL_z42builtinz42); 
BgL_errz00_284 = 
snd_pcm_writei(BgL_tmpz00_2690, BgL_bufferz00_26, BgL_auxz00_2692); } 
if(
(BgL_errz00_284<((long)0)))
{ /* Llib/pcm.scm 288 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1732z00_286;
{ /* Llib/pcm.scm 288 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1088z00_287;
{ /* Llib/pcm.scm 288 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1087z00_290;
BgL_new1087z00_290 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 288 */
 long BgL_arg1740z00_291;
BgL_arg1740z00_291 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_290), BgL_arg1740z00_291); } 
BgL_new1088z00_287 = BgL_new1087z00_290; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_287)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_287)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2705;
{ /* Llib/pcm.scm 288 */
 obj_t BgL_arg1733z00_288;
{ /* Llib/pcm.scm 288 */
 obj_t BgL_arg1739z00_289;
{ /* Llib/pcm.scm 288 */
 obj_t BgL_classz00_1145;
BgL_classz00_1145 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1739z00_289 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1145); } 
BgL_arg1733z00_288 = 
VECTOR_REF(BgL_arg1739z00_289,((long)2)); } 
BgL_auxz00_2705 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1733z00_288); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_287)))->BgL_stackz00)=((obj_t)BgL_auxz00_2705),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_287)))->BgL_procz00)=((obj_t)BGl_string2354z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2713;
{ /* Llib/pcm.scm 290 */
 char * BgL_tmpz00_2715;
{ /* Llib/pcm.scm 290 */
 int BgL_tmpz00_2716;
BgL_tmpz00_2716 = 
(int)(BgL_errz00_284); 
BgL_tmpz00_2715 = 
(char *)snd_strerror(BgL_tmpz00_2716); } 
BgL_auxz00_2713 = 
string_to_bstring(BgL_tmpz00_2715); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_287)))->BgL_msgz00)=((obj_t)BgL_auxz00_2713),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_287)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_25)),BUNSPEC); 
BgL_arg1732z00_286 = BgL_new1088z00_287; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1732z00_286)));}  else 
{ /* Llib/pcm.scm 287 */
return BgL_errz00_284;} } } 

}



/* &alsa-snd-pcm-writei */
obj_t BGl_z62alsazd2sndzd2pcmzd2writeizb0zz__alsa_pcmz00(obj_t BgL_envz00_1531, obj_t BgL_pcmz00_1532, obj_t BgL_bufferz00_1533, obj_t BgL_sza7za7_1534)
{
{ /* Llib/pcm.scm 284 */
{ /* Llib/pcm.scm 285 */
 long BgL_tmpz00_2727;
{ /* Llib/pcm.scm 285 */
 long BgL_auxz00_2745; char * BgL_auxz00_2736; BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2728;
{ /* Llib/pcm.scm 285 */
 obj_t BgL_tmpz00_2746;
if(
INTEGERP(BgL_sza7za7_1534))
{ /* Llib/pcm.scm 285 */
BgL_tmpz00_2746 = BgL_sza7za7_1534
; }  else 
{ 
 obj_t BgL_auxz00_2749;
BgL_auxz00_2749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)12250)), BGl_string2355z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_sza7za7_1534); 
FAILURE(BgL_auxz00_2749,BFALSE,BFALSE);} 
BgL_auxz00_2745 = 
(long)CINT(BgL_tmpz00_2746); } 
{ /* Llib/pcm.scm 285 */
 obj_t BgL_tmpz00_2737;
if(
STRINGP(BgL_bufferz00_1533))
{ /* Llib/pcm.scm 285 */
BgL_tmpz00_2737 = BgL_bufferz00_1533
; }  else 
{ 
 obj_t BgL_auxz00_2740;
BgL_auxz00_2740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)12250)), BGl_string2355z00zz__alsa_pcmz00, BGl_string2356z00zz__alsa_pcmz00, BgL_bufferz00_1533); 
FAILURE(BgL_auxz00_2740,BFALSE,BFALSE);} 
BgL_auxz00_2736 = 
BSTRING_TO_STRING(BgL_tmpz00_2737); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1532, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 285 */
BgL_auxz00_2728 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1532)
; }  else 
{ 
 obj_t BgL_auxz00_2732;
BgL_auxz00_2732 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)12250)), BGl_string2355z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1532); 
FAILURE(BgL_auxz00_2732,BFALSE,BFALSE);} 
BgL_tmpz00_2727 = 
BGl_alsazd2sndzd2pcmzd2writeizd2zz__alsa_pcmz00(BgL_auxz00_2728, BgL_auxz00_2736, BgL_auxz00_2745); } 
return 
BINT(BgL_tmpz00_2727);} } 

}



/* alsa-snd-pcm-pause */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2pausezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_28, bool_t BgL_vz00_29)
{
{ /* Llib/pcm.scm 297 */
{ /* Llib/pcm.scm 299 */
 int BgL_errz00_294;
{ /* Llib/pcm.scm 299 */
 snd_pcm_t * BgL_arg1749z00_302;
BgL_arg1749z00_302 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_28))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 299 */
 int BgL_tmpz00_2757;
{ /* Llib/pcm.scm 299 */
 long BgL_tmpz00_2758;
if(BgL_vz00_29)
{ /* Llib/pcm.scm 299 */
BgL_tmpz00_2758 = ((long)1)
; }  else 
{ /* Llib/pcm.scm 299 */
BgL_tmpz00_2758 = ((long)0)
; } 
BgL_tmpz00_2757 = 
(int)(BgL_tmpz00_2758); } 
BgL_errz00_294 = 
snd_pcm_pause(BgL_arg1749z00_302, BgL_tmpz00_2757); } } 
if(
(
(long)(BgL_errz00_294)<((long)0)))
{ /* Llib/pcm.scm 301 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1744z00_296;
{ /* Llib/pcm.scm 301 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1091z00_297;
{ /* Llib/pcm.scm 301 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1090z00_300;
BgL_new1090z00_300 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 301 */
 long BgL_arg1748z00_301;
BgL_arg1748z00_301 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_300), BgL_arg1748z00_301); } 
BgL_new1091z00_297 = BgL_new1090z00_300; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_297)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_297)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2773;
{ /* Llib/pcm.scm 301 */
 obj_t BgL_arg1745z00_298;
{ /* Llib/pcm.scm 301 */
 obj_t BgL_arg1747z00_299;
{ /* Llib/pcm.scm 301 */
 obj_t BgL_classz00_1151;
BgL_classz00_1151 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1747z00_299 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1151); } 
BgL_arg1745z00_298 = 
VECTOR_REF(BgL_arg1747z00_299,((long)2)); } 
BgL_auxz00_2773 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1745z00_298); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_297)))->BgL_stackz00)=((obj_t)BgL_auxz00_2773),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_297)))->BgL_procz00)=((obj_t)BGl_string2357z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_297)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_294))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_297)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_28)),BUNSPEC); 
BgL_arg1744z00_296 = BgL_new1091z00_297; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1744z00_296));}  else 
{ /* Llib/pcm.scm 300 */
return 
BINT(BgL_errz00_294);} } } 

}



/* &alsa-snd-pcm-pause */
obj_t BGl_z62alsazd2sndzd2pcmzd2pausezb0zz__alsa_pcmz00(obj_t BgL_envz00_1535, obj_t BgL_pcmz00_1536, obj_t BgL_vz00_1537)
{
{ /* Llib/pcm.scm 297 */
{ /* Llib/pcm.scm 298 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2791;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1536, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 298 */
BgL_auxz00_2791 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1536)
; }  else 
{ 
 obj_t BgL_auxz00_2795;
BgL_auxz00_2795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)12794)), BGl_string2358z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1536); 
FAILURE(BgL_auxz00_2795,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2pausezd2zz__alsa_pcmz00(BgL_auxz00_2791, 
CBOOL(BgL_vz00_1537));} } 

}



/* alsa-snd-pcm-wait */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2waitzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_30, int BgL_tmtz00_31)
{
{ /* Llib/pcm.scm 310 */
{ /* Llib/pcm.scm 312 */
 int BgL_errz00_305;
{ /* Llib/pcm.scm 312 */
 snd_pcm_t * BgL_tmpz00_2801;
BgL_tmpz00_2801 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_30))->BgL_z42builtinz42); 
BgL_errz00_305 = 
snd_pcm_wait(BgL_tmpz00_2801, BgL_tmtz00_31); } 
if(
(
(long)(BgL_errz00_305)<((long)0)))
{ /* Llib/pcm.scm 314 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1763z00_307;
{ /* Llib/pcm.scm 314 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1094z00_308;
{ /* Llib/pcm.scm 314 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1093z00_311;
BgL_new1093z00_311 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 314 */
 long BgL_arg1770z00_312;
BgL_arg1770z00_312 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_311), BgL_arg1770z00_312); } 
BgL_new1094z00_308 = BgL_new1093z00_311; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_308)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_308)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2815;
{ /* Llib/pcm.scm 314 */
 obj_t BgL_arg1766z00_309;
{ /* Llib/pcm.scm 314 */
 obj_t BgL_arg1767z00_310;
{ /* Llib/pcm.scm 314 */
 obj_t BgL_classz00_1157;
BgL_classz00_1157 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1767z00_310 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1157); } 
BgL_arg1766z00_309 = 
VECTOR_REF(BgL_arg1767z00_310,((long)2)); } 
BgL_auxz00_2815 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1766z00_309); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_308)))->BgL_stackz00)=((obj_t)BgL_auxz00_2815),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1094z00_308)))->BgL_procz00)=((obj_t)BGl_string2359z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1094z00_308)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_305))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1094z00_308)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_30)),BUNSPEC); 
BgL_arg1763z00_307 = BgL_new1094z00_308; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1763z00_307));}  else 
{ /* Llib/pcm.scm 313 */
return 
BINT(BgL_errz00_305);} } } 

}



/* &alsa-snd-pcm-wait */
obj_t BGl_z62alsazd2sndzd2pcmzd2waitzb0zz__alsa_pcmz00(obj_t BgL_envz00_1538, obj_t BgL_pcmz00_1539, obj_t BgL_tmtz00_1540)
{
{ /* Llib/pcm.scm 310 */
{ /* Llib/pcm.scm 311 */
 int BgL_auxz00_2841; BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2833;
{ /* Llib/pcm.scm 311 */
 obj_t BgL_tmpz00_2842;
if(
INTEGERP(BgL_tmtz00_1540))
{ /* Llib/pcm.scm 311 */
BgL_tmpz00_2842 = BgL_tmtz00_1540
; }  else 
{ 
 obj_t BgL_auxz00_2845;
BgL_auxz00_2845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)13337)), BGl_string2360z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_tmtz00_1540); 
FAILURE(BgL_auxz00_2845,BFALSE,BFALSE);} 
BgL_auxz00_2841 = 
CINT(BgL_tmpz00_2842); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1539, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 311 */
BgL_auxz00_2833 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1539)
; }  else 
{ 
 obj_t BgL_auxz00_2837;
BgL_auxz00_2837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)13337)), BGl_string2360z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1539); 
FAILURE(BgL_auxz00_2837,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2waitzd2zz__alsa_pcmz00(BgL_auxz00_2833, BgL_auxz00_2841);} } 

}



/* alsa-snd-pcm-reset */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2resetzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_32)
{
{ /* Llib/pcm.scm 323 */
{ /* Llib/pcm.scm 325 */
 int BgL_errz00_315;
{ /* Llib/pcm.scm 325 */
 snd_pcm_t * BgL_tmpz00_2851;
BgL_tmpz00_2851 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_32))->BgL_z42builtinz42); 
BgL_errz00_315 = 
snd_pcm_reset(BgL_tmpz00_2851); } 
if(
(
(long)(BgL_errz00_315)<((long)0)))
{ /* Llib/pcm.scm 327 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1789z00_317;
{ /* Llib/pcm.scm 327 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1097z00_318;
{ /* Llib/pcm.scm 327 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1096z00_321;
BgL_new1096z00_321 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 327 */
 long BgL_arg1798z00_322;
BgL_arg1798z00_322 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_321), BgL_arg1798z00_322); } 
BgL_new1097z00_318 = BgL_new1096z00_321; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1097z00_318)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1097z00_318)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2865;
{ /* Llib/pcm.scm 327 */
 obj_t BgL_arg1790z00_319;
{ /* Llib/pcm.scm 327 */
 obj_t BgL_arg1796z00_320;
{ /* Llib/pcm.scm 327 */
 obj_t BgL_classz00_1163;
BgL_classz00_1163 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1796z00_320 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1163); } 
BgL_arg1790z00_319 = 
VECTOR_REF(BgL_arg1796z00_320,((long)2)); } 
BgL_auxz00_2865 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1790z00_319); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1097z00_318)))->BgL_stackz00)=((obj_t)BgL_auxz00_2865),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1097z00_318)))->BgL_procz00)=((obj_t)BGl_string2361z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1097z00_318)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_315))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1097z00_318)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_32)),BUNSPEC); 
BgL_arg1789z00_317 = BgL_new1097z00_318; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1789z00_317));}  else 
{ /* Llib/pcm.scm 326 */
return 
BINT(BgL_errz00_315);} } } 

}



/* &alsa-snd-pcm-reset */
obj_t BGl_z62alsazd2sndzd2pcmzd2resetzb0zz__alsa_pcmz00(obj_t BgL_envz00_1541, obj_t BgL_pcmz00_1542)
{
{ /* Llib/pcm.scm 323 */
{ /* Llib/pcm.scm 324 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2883;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1542, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 324 */
BgL_auxz00_2883 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1542)
; }  else 
{ 
 obj_t BgL_auxz00_2887;
BgL_auxz00_2887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)13863)), BGl_string2362z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1542); 
FAILURE(BgL_auxz00_2887,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2resetzd2zz__alsa_pcmz00(BgL_auxz00_2883);} } 

}



/* _alsa-snd-pcm-recover */
obj_t BGl__alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00(obj_t BgL_env1243z00_36, obj_t BgL_opt1242z00_35)
{
{ /* Llib/pcm.scm 336 */
{ /* Llib/pcm.scm 336 */
 obj_t BgL_g1244z00_324;
BgL_g1244z00_324 = 
VECTOR_REF(BgL_opt1242z00_35,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1242z00_35)) { case ((long)1) : 

{ /* Llib/pcm.scm 336 */

{ /* Llib/pcm.scm 336 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2893;
if(
BGl_isazf3zf3zz__objectz00(BgL_g1244z00_324, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 336 */
BgL_auxz00_2893 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_g1244z00_324)
; }  else 
{ 
 obj_t BgL_auxz00_2897;
BgL_auxz00_2897 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)14337)), BGl_string2363z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_g1244z00_324); 
FAILURE(BgL_auxz00_2897,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00(BgL_auxz00_2893, 
BINT(((long)0)));} } break;case ((long)2) : 

{ /* Llib/pcm.scm 336 */
 obj_t BgL_errz00_329;
BgL_errz00_329 = 
VECTOR_REF(BgL_opt1242z00_35,((long)1)); 
{ /* Llib/pcm.scm 336 */

{ /* Llib/pcm.scm 336 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2904;
if(
BGl_isazf3zf3zz__objectz00(BgL_g1244z00_324, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 336 */
BgL_auxz00_2904 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_g1244z00_324)
; }  else 
{ 
 obj_t BgL_auxz00_2908;
BgL_auxz00_2908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)14337)), BGl_string2363z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_g1244z00_324); 
FAILURE(BgL_auxz00_2908,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00(BgL_auxz00_2904, BgL_errz00_329);} } } break;
default: 
return BUNSPEC;} } } 

}



/* alsa-snd-pcm-recover */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2recoverzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_33, obj_t BgL_errz00_34)
{
{ /* Llib/pcm.scm 336 */
{ /* Llib/pcm.scm 338 */
 int BgL_errz00_331;
{ /* Llib/pcm.scm 338 */
 int BgL_auxz00_2919; int BgL_auxz00_2917; snd_pcm_t * BgL_tmpz00_2915;
BgL_auxz00_2919 = 
(int)(((long)0)); 
BgL_auxz00_2917 = 
CINT(BgL_errz00_34); 
BgL_tmpz00_2915 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_33))->BgL_z42builtinz42); 
BgL_errz00_331 = 
snd_pcm_recover(BgL_tmpz00_2915, BgL_auxz00_2917, BgL_auxz00_2919); } 
if(
(
(long)(BgL_errz00_331)<((long)0)))
{ /* Llib/pcm.scm 340 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1812z00_333;
{ /* Llib/pcm.scm 340 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1101z00_334;
{ /* Llib/pcm.scm 340 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1100z00_337;
BgL_new1100z00_337 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 340 */
 long BgL_arg1821z00_338;
BgL_arg1821z00_338 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_337), BgL_arg1821z00_338); } 
BgL_new1101z00_334 = BgL_new1100z00_337; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1101z00_334)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1101z00_334)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2933;
{ /* Llib/pcm.scm 340 */
 obj_t BgL_arg1813z00_335;
{ /* Llib/pcm.scm 340 */
 obj_t BgL_arg1820z00_336;
{ /* Llib/pcm.scm 340 */
 obj_t BgL_classz00_1169;
BgL_classz00_1169 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1820z00_336 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1169); } 
BgL_arg1813z00_335 = 
VECTOR_REF(BgL_arg1820z00_336,((long)2)); } 
BgL_auxz00_2933 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1813z00_335); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1101z00_334)))->BgL_stackz00)=((obj_t)BgL_auxz00_2933),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1101z00_334)))->BgL_procz00)=((obj_t)BGl_string2364z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1101z00_334)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_331))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1101z00_334)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_33)),BUNSPEC); 
BgL_arg1812z00_333 = BgL_new1101z00_334; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1812z00_333));}  else 
{ /* Llib/pcm.scm 339 */
return 
BINT(BgL_errz00_331);} } } 

}



/* alsa-snd-pcm-prepare */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2preparezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_37)
{
{ /* Llib/pcm.scm 349 */
{ /* Llib/pcm.scm 351 */
 int BgL_errz00_341;
{ /* Llib/pcm.scm 351 */
 snd_pcm_t * BgL_tmpz00_2951;
BgL_tmpz00_2951 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_37))->BgL_z42builtinz42); 
BgL_errz00_341 = 
snd_pcm_prepare(BgL_tmpz00_2951); } 
if(
(
(long)(BgL_errz00_341)<((long)0)))
{ /* Llib/pcm.scm 353 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1824z00_343;
{ /* Llib/pcm.scm 353 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1104z00_344;
{ /* Llib/pcm.scm 353 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1103z00_347;
BgL_new1103z00_347 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 353 */
 long BgL_arg1827z00_348;
BgL_arg1827z00_348 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_347), BgL_arg1827z00_348); } 
BgL_new1104z00_344 = BgL_new1103z00_347; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_344)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_344)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2965;
{ /* Llib/pcm.scm 353 */
 obj_t BgL_arg1825z00_345;
{ /* Llib/pcm.scm 353 */
 obj_t BgL_arg1826z00_346;
{ /* Llib/pcm.scm 353 */
 obj_t BgL_classz00_1175;
BgL_classz00_1175 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1826z00_346 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1175); } 
BgL_arg1825z00_345 = 
VECTOR_REF(BgL_arg1826z00_346,((long)2)); } 
BgL_auxz00_2965 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1825z00_345); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_344)))->BgL_stackz00)=((obj_t)BgL_auxz00_2965),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_344)))->BgL_procz00)=((obj_t)BGl_string2365z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_344)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_341))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_344)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_37)),BUNSPEC); 
BgL_arg1824z00_343 = BgL_new1104z00_344; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1824z00_343));}  else 
{ /* Llib/pcm.scm 352 */
return 
BINT(BgL_errz00_341);} } } 

}



/* &alsa-snd-pcm-prepare */
obj_t BGl_z62alsazd2sndzd2pcmzd2preparezb0zz__alsa_pcmz00(obj_t BgL_envz00_1543, obj_t BgL_pcmz00_1544)
{
{ /* Llib/pcm.scm 349 */
{ /* Llib/pcm.scm 350 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_2983;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1544, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 350 */
BgL_auxz00_2983 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1544)
; }  else 
{ 
 obj_t BgL_auxz00_2987;
BgL_auxz00_2987 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)14944)), BGl_string2366z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1544); 
FAILURE(BgL_auxz00_2987,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2preparezd2zz__alsa_pcmz00(BgL_auxz00_2983);} } 

}



/* alsa-snd-pcm-start */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2startzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_38)
{
{ /* Llib/pcm.scm 362 */
{ /* Llib/pcm.scm 364 */
 int BgL_errz00_351;
{ /* Llib/pcm.scm 364 */
 snd_pcm_t * BgL_tmpz00_2992;
BgL_tmpz00_2992 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_38))->BgL_z42builtinz42); 
BgL_errz00_351 = 
snd_pcm_start(BgL_tmpz00_2992); } 
if(
(
(long)(BgL_errz00_351)<((long)0)))
{ /* Llib/pcm.scm 366 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1830z00_353;
{ /* Llib/pcm.scm 366 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1107z00_354;
{ /* Llib/pcm.scm 366 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1106z00_357;
BgL_new1106z00_357 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 366 */
 long BgL_arg1833z00_358;
BgL_arg1833z00_358 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_357), BgL_arg1833z00_358); } 
BgL_new1107z00_354 = BgL_new1106z00_357; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1107z00_354)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1107z00_354)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3006;
{ /* Llib/pcm.scm 366 */
 obj_t BgL_arg1831z00_355;
{ /* Llib/pcm.scm 366 */
 obj_t BgL_arg1832z00_356;
{ /* Llib/pcm.scm 366 */
 obj_t BgL_classz00_1181;
BgL_classz00_1181 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1832z00_356 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1181); } 
BgL_arg1831z00_355 = 
VECTOR_REF(BgL_arg1832z00_356,((long)2)); } 
BgL_auxz00_3006 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1831z00_355); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1107z00_354)))->BgL_stackz00)=((obj_t)BgL_auxz00_3006),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1107z00_354)))->BgL_procz00)=((obj_t)BGl_string2367z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1107z00_354)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_351))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1107z00_354)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_38)),BUNSPEC); 
BgL_arg1830z00_353 = BgL_new1107z00_354; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1830z00_353));}  else 
{ /* Llib/pcm.scm 365 */
return 
BINT(BgL_errz00_351);} } } 

}



/* &alsa-snd-pcm-start */
obj_t BGl_z62alsazd2sndzd2pcmzd2startzb0zz__alsa_pcmz00(obj_t BgL_envz00_1545, obj_t BgL_pcmz00_1546)
{
{ /* Llib/pcm.scm 362 */
{ /* Llib/pcm.scm 363 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3024;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1546, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 363 */
BgL_auxz00_3024 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1546)
; }  else 
{ 
 obj_t BgL_auxz00_3028;
BgL_auxz00_3028 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)15472)), BGl_string2368z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1546); 
FAILURE(BgL_auxz00_3028,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2startzd2zz__alsa_pcmz00(BgL_auxz00_3024);} } 

}



/* alsa-snd-pcm-drop */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2dropzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_39)
{
{ /* Llib/pcm.scm 375 */
{ /* Llib/pcm.scm 377 */
 int BgL_errz00_361;
{ /* Llib/pcm.scm 377 */
 snd_pcm_t * BgL_tmpz00_3033;
BgL_tmpz00_3033 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_39))->BgL_z42builtinz42); 
BgL_errz00_361 = 
snd_pcm_drop(BgL_tmpz00_3033); } 
if(
(
(long)(BgL_errz00_361)<((long)0)))
{ /* Llib/pcm.scm 379 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1836z00_363;
{ /* Llib/pcm.scm 379 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1110z00_364;
{ /* Llib/pcm.scm 379 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1109z00_367;
BgL_new1109z00_367 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 379 */
 long BgL_arg1839z00_368;
BgL_arg1839z00_368 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_367), BgL_arg1839z00_368); } 
BgL_new1110z00_364 = BgL_new1109z00_367; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1110z00_364)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1110z00_364)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3047;
{ /* Llib/pcm.scm 379 */
 obj_t BgL_arg1837z00_365;
{ /* Llib/pcm.scm 379 */
 obj_t BgL_arg1838z00_366;
{ /* Llib/pcm.scm 379 */
 obj_t BgL_classz00_1187;
BgL_classz00_1187 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1838z00_366 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1187); } 
BgL_arg1837z00_365 = 
VECTOR_REF(BgL_arg1838z00_366,((long)2)); } 
BgL_auxz00_3047 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1837z00_365); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1110z00_364)))->BgL_stackz00)=((obj_t)BgL_auxz00_3047),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1110z00_364)))->BgL_procz00)=((obj_t)BGl_string2369z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1110z00_364)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_361))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1110z00_364)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_39)),BUNSPEC); 
BgL_arg1836z00_363 = BgL_new1110z00_364; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1836z00_363));}  else 
{ /* Llib/pcm.scm 378 */
return 
BINT(BgL_errz00_361);} } } 

}



/* &alsa-snd-pcm-drop */
obj_t BGl_z62alsazd2sndzd2pcmzd2dropzb0zz__alsa_pcmz00(obj_t BgL_envz00_1547, obj_t BgL_pcmz00_1548)
{
{ /* Llib/pcm.scm 375 */
{ /* Llib/pcm.scm 376 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3065;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1548, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 376 */
BgL_auxz00_3065 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1548)
; }  else 
{ 
 obj_t BgL_auxz00_3069;
BgL_auxz00_3069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)15995)), BGl_string2370z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1548); 
FAILURE(BgL_auxz00_3069,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2dropzd2zz__alsa_pcmz00(BgL_auxz00_3065);} } 

}



/* alsa-snd-pcm-drain */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2drainzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_40)
{
{ /* Llib/pcm.scm 388 */
{ /* Llib/pcm.scm 390 */
 int BgL_errz00_371;
{ /* Llib/pcm.scm 390 */
 snd_pcm_t * BgL_tmpz00_3074;
BgL_tmpz00_3074 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_40))->BgL_z42builtinz42); 
BgL_errz00_371 = 
snd_pcm_drain(BgL_tmpz00_3074); } 
if(
(
(long)(BgL_errz00_371)<((long)0)))
{ /* Llib/pcm.scm 392 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1842z00_373;
{ /* Llib/pcm.scm 392 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1113z00_374;
{ /* Llib/pcm.scm 392 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1112z00_377;
BgL_new1112z00_377 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 392 */
 long BgL_arg1845z00_378;
BgL_arg1845z00_378 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_377), BgL_arg1845z00_378); } 
BgL_new1113z00_374 = BgL_new1112z00_377; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_374)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_374)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3088;
{ /* Llib/pcm.scm 392 */
 obj_t BgL_arg1843z00_375;
{ /* Llib/pcm.scm 392 */
 obj_t BgL_arg1844z00_376;
{ /* Llib/pcm.scm 392 */
 obj_t BgL_classz00_1193;
BgL_classz00_1193 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1844z00_376 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1193); } 
BgL_arg1843z00_375 = 
VECTOR_REF(BgL_arg1844z00_376,((long)2)); } 
BgL_auxz00_3088 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1843z00_375); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_374)))->BgL_stackz00)=((obj_t)BgL_auxz00_3088),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_374)))->BgL_procz00)=((obj_t)BGl_string2371z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_374)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_371))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_374)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_40)),BUNSPEC); 
BgL_arg1842z00_373 = BgL_new1113z00_374; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1842z00_373));}  else 
{ /* Llib/pcm.scm 391 */
return 
BINT(BgL_errz00_371);} } } 

}



/* &alsa-snd-pcm-drain */
obj_t BGl_z62alsazd2sndzd2pcmzd2drainzb0zz__alsa_pcmz00(obj_t BgL_envz00_1549, obj_t BgL_pcmz00_1550)
{
{ /* Llib/pcm.scm 388 */
{ /* Llib/pcm.scm 389 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3106;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1550, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 389 */
BgL_auxz00_3106 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1550)
; }  else 
{ 
 obj_t BgL_auxz00_3110;
BgL_auxz00_3110 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)16517)), BGl_string2372z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1550); 
FAILURE(BgL_auxz00_3110,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2drainzd2zz__alsa_pcmz00(BgL_auxz00_3106);} } 

}



/* alsa-snd-pcm-cleanup */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_41)
{
{ /* Llib/pcm.scm 401 */
{ /* Llib/pcm.scm 403 */
 bool_t BgL_test2697z00_3115;
{ /* Llib/pcm.scm 403 */
 snd_pcm_t * BgL_tmpz00_3116;
BgL_tmpz00_3116 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_41))->BgL_z42builtinz42); 
BgL_test2697z00_3115 = 
(BgL_tmpz00_3116 == 0L); } 
if(BgL_test2697z00_3115)
{ /* Llib/pcm.scm 403 */
return BFALSE;}  else 
{ 

{ /* Llib/pcm.scm 404 */
 bool_t BgL_tmpz00_3119;
BgL_zc3z04anonymousza31849ze3z87_384:
{ /* Llib/pcm.scm 405 */
 obj_t BgL_statez00_385;
BgL_statez00_385 = 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(BgL_pcmz00_41); 
{ /* Llib/pcm.scm 407 */
 bool_t BgL_test2698z00_3121;
{ /* Llib/pcm.scm 407 */
 bool_t BgL__ortest_1115z00_430;
BgL__ortest_1115z00_430 = 
(BgL_statez00_385==
CNST_TABLE_REF(((long)2))); 
if(BgL__ortest_1115z00_430)
{ /* Llib/pcm.scm 407 */
BgL_test2698z00_3121 = BgL__ortest_1115z00_430
; }  else 
{ /* Llib/pcm.scm 407 */
BgL_test2698z00_3121 = 
(BgL_statez00_385==
CNST_TABLE_REF(((long)4)))
; } } 
if(BgL_test2698z00_3121)
{ /* Llib/pcm.scm 407 */
BgL_tmpz00_3119 = ((bool_t)0)
; }  else 
{ /* Llib/pcm.scm 407 */
if(
(BgL_statez00_385==
CNST_TABLE_REF(((long)3))))
{ /* Llib/pcm.scm 407 */
BGl_alsazd2sndzd2pcmzd2preparezd2zz__alsa_pcmz00(BgL_pcmz00_41); 
goto BgL_zc3z04anonymousza31849ze3z87_384;}  else 
{ /* Llib/pcm.scm 407 */
if(
(BgL_statez00_385==
CNST_TABLE_REF(((long)6))))
{ /* Llib/pcm.scm 407 */
BGl_alsazd2sndzd2pcmzd2dropzd2zz__alsa_pcmz00(BgL_pcmz00_41); 
goto BgL_zc3z04anonymousza31849ze3z87_384;}  else 
{ /* Llib/pcm.scm 407 */
if(
(BgL_statez00_385==
CNST_TABLE_REF(((long)5))))
{ /* Llib/pcm.scm 407 */
{ /* Llib/pcm.scm 417 */
 obj_t BgL_env1124z00_393;
BgL_env1124z00_393 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_cell1119z00_394;
BgL_cell1119z00_394 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_val1123z00_395;
BgL_val1123z00_395 = 
BGl_zc3z04exitza31856ze3ze70z60zz__alsa_pcmz00(BgL_pcmz00_41, BgL_cell1119z00_394, BgL_env1124z00_393); 
if(
(BgL_val1123z00_395==BgL_cell1119z00_394))
{ /* Llib/pcm.scm 417 */
{ /* Llib/pcm.scm 417 */
 int BgL_tmpz00_3143;
BgL_tmpz00_3143 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3143); } 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_arg1855z00_397;
BgL_arg1855z00_397 = 
CELL_REF(
((obj_t)BgL_val1123z00_395)); BFALSE; } }  else 
{ /* Llib/pcm.scm 417 */BgL_val1123z00_395; } } } } 
goto BgL_zc3z04anonymousza31849ze3z87_384;}  else 
{ /* Llib/pcm.scm 407 */
{ /* Llib/pcm.scm 424 */
 obj_t BgL_env1141z00_412;
BgL_env1141z00_412 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_cell1136z00_413;
BgL_cell1136z00_413 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_val1140z00_414;
BgL_val1140z00_414 = 
BGl_zc3z04exitza31861ze3ze70z60zz__alsa_pcmz00(BgL_pcmz00_41, BgL_cell1136z00_413, BgL_env1141z00_412); 
if(
(BgL_val1140z00_414==BgL_cell1136z00_413))
{ /* Llib/pcm.scm 424 */
{ /* Llib/pcm.scm 424 */
 int BgL_tmpz00_3153;
BgL_tmpz00_3153 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3153); } 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_arg1860z00_416;
BgL_arg1860z00_416 = 
CELL_REF(
((obj_t)BgL_val1140z00_414)); BFALSE; } }  else 
{ /* Llib/pcm.scm 424 */BgL_val1140z00_414; } } } } 
goto BgL_zc3z04anonymousza31849ze3z87_384;} } } } } } 
return 
BBOOL(BgL_tmpz00_3119);} } } } 

}



/* <@exit:1861>~0 */
obj_t BGl_zc3z04exitza31861ze3ze70z60zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_1695, obj_t BgL_cell1136z00_1694, obj_t BgL_env1141z00_1693)
{
{ /* Llib/pcm.scm 424 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1145z00_418;
if( SET_EXIT(BgL_an_exit1145z00_418 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1145z00_418 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1141z00_1693, BgL_an_exit1145z00_418, ((long)1)); 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_escape1137z00_419;
BgL_escape1137z00_419 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_1693); 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_res1148z00_420;
{ /* Llib/pcm.scm 424 */
 obj_t BgL_ohs1133z00_421;
BgL_ohs1133z00_421 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1141z00_1693); 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_hds1134z00_422;
BgL_hds1134z00_422 = 
MAKE_STACK_PAIR(BgL_escape1137z00_419, BgL_cell1136z00_1694); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_1693, BgL_hds1134z00_422); BUNSPEC; 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_exitd1142z00_423;
BgL_exitd1142z00_423 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_1693); 
{ /* Llib/pcm.scm 424 */
 obj_t BgL_tmp1144z00_424;
{ /* Llib/pcm.scm 424 */
 obj_t BgL_arg1863z00_426;
BgL_arg1863z00_426 = 
BGL_EXITD_PROTECT(BgL_exitd1142z00_423); 
BgL_tmp1144z00_424 = 
MAKE_YOUNG_PAIR(BgL_ohs1133z00_421, BgL_arg1863z00_426); } 
{ /* Llib/pcm.scm 424 */

BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_423, BgL_tmp1144z00_424); BUNSPEC; 
{ /* Llib/pcm.scm 428 */
 obj_t BgL_tmp1143z00_425;
BgL_tmp1143z00_425 = 
BGl_alsazd2sndzd2pcmzd2waitzd2zz__alsa_pcmz00(BgL_pcmz00_1695, 
(int)(((long)1000))); 
{ /* Llib/pcm.scm 424 */
 bool_t BgL_test2705z00_3172;
{ /* Llib/pcm.scm 424 */
 obj_t BgL_arg1817z00_1205;
BgL_arg1817z00_1205 = 
BGL_EXITD_PROTECT(BgL_exitd1142z00_423); 
BgL_test2705z00_3172 = 
PAIRP(BgL_arg1817z00_1205); } 
if(BgL_test2705z00_3172)
{ /* Llib/pcm.scm 424 */
 obj_t BgL_arg1815z00_1206;
{ /* Llib/pcm.scm 424 */
 obj_t BgL_arg1816z00_1207;
BgL_arg1816z00_1207 = 
BGL_EXITD_PROTECT(BgL_exitd1142z00_423); 
BgL_arg1815z00_1206 = 
CDR(
((obj_t)BgL_arg1816z00_1207)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_423, BgL_arg1815z00_1206); BUNSPEC; }  else 
{ /* Llib/pcm.scm 424 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_1693, BgL_ohs1133z00_421); BUNSPEC; 
BgL_res1148z00_420 = BgL_tmp1143z00_425; } } } } } } 
POP_ENV_EXIT(BgL_env1141z00_1693); 
return BgL_res1148z00_420;} } 
}} 

}



/* <@exit:1856>~0 */
obj_t BGl_zc3z04exitza31856ze3ze70z60zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_1698, obj_t BgL_cell1119z00_1697, obj_t BgL_env1124z00_1696)
{
{ /* Llib/pcm.scm 417 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1128z00_399;
if( SET_EXIT(BgL_an_exit1128z00_399 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1128z00_399 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1124z00_1696, BgL_an_exit1128z00_399, ((long)1)); 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_escape1120z00_400;
BgL_escape1120z00_400 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1124z00_1696); 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_res1131z00_401;
{ /* Llib/pcm.scm 417 */
 obj_t BgL_ohs1116z00_402;
BgL_ohs1116z00_402 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1124z00_1696); 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_hds1117z00_403;
BgL_hds1117z00_403 = 
MAKE_STACK_PAIR(BgL_escape1120z00_400, BgL_cell1119z00_1697); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1124z00_1696, BgL_hds1117z00_403); BUNSPEC; 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_exitd1125z00_404;
BgL_exitd1125z00_404 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1124z00_1696); 
{ /* Llib/pcm.scm 417 */
 obj_t BgL_tmp1127z00_405;
{ /* Llib/pcm.scm 417 */
 obj_t BgL_arg1857z00_407;
BgL_arg1857z00_407 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_404); 
BgL_tmp1127z00_405 = 
MAKE_YOUNG_PAIR(BgL_ohs1116z00_402, BgL_arg1857z00_407); } 
{ /* Llib/pcm.scm 417 */

BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_404, BgL_tmp1127z00_405); BUNSPEC; 
{ /* Llib/pcm.scm 421 */
 obj_t BgL_tmp1126z00_406;
BgL_tmp1126z00_406 = 
BGl_alsazd2sndzd2pcmzd2drainzd2zz__alsa_pcmz00(BgL_pcmz00_1698); 
{ /* Llib/pcm.scm 417 */
 bool_t BgL_test2706z00_3193;
{ /* Llib/pcm.scm 417 */
 obj_t BgL_arg1817z00_1199;
BgL_arg1817z00_1199 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_404); 
BgL_test2706z00_3193 = 
PAIRP(BgL_arg1817z00_1199); } 
if(BgL_test2706z00_3193)
{ /* Llib/pcm.scm 417 */
 obj_t BgL_arg1815z00_1200;
{ /* Llib/pcm.scm 417 */
 obj_t BgL_arg1816z00_1201;
BgL_arg1816z00_1201 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_404); 
BgL_arg1815z00_1200 = 
CDR(
((obj_t)BgL_arg1816z00_1201)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_404, BgL_arg1815z00_1200); BUNSPEC; }  else 
{ /* Llib/pcm.scm 417 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1124z00_1696, BgL_ohs1116z00_402); BUNSPEC; 
BgL_res1131z00_401 = BgL_tmp1126z00_406; } } } } } } 
POP_ENV_EXIT(BgL_env1124z00_1696); 
return BgL_res1131z00_401;} } 
}} 

}



/* &alsa-snd-pcm-cleanup */
obj_t BGl_z62alsazd2sndzd2pcmzd2cleanupzb0zz__alsa_pcmz00(obj_t BgL_envz00_1551, obj_t BgL_pcmz00_1552)
{
{ /* Llib/pcm.scm 401 */
{ /* Llib/pcm.scm 402 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3202;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1552, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 402 */
BgL_auxz00_3202 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1552)
; }  else 
{ 
 obj_t BgL_auxz00_3206;
BgL_auxz00_3206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)17043)), BGl_string2373z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1552); 
FAILURE(BgL_auxz00_3206,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_auxz00_3202);} } 

}



/* alsa-snd-pcm-hw-card-detect! */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_42, int BgL_cardz00_43)
{
{ /* Llib/pcm.scm 434 */
{ /* Llib/pcm.scm 483 */
 obj_t BgL_env1161z00_437;
BgL_env1161z00_437 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_cell1156z00_438;
BgL_cell1156z00_438 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_val1160z00_439;
BgL_val1160z00_439 = 
BGl_zc3z04exitza31869ze3ze70z60zz__alsa_pcmz00(BgL_cardz00_43, BgL_pcmz00_42, BgL_pcmz00_42, BgL_cell1156z00_438, BgL_env1161z00_437); 
if(
(BgL_val1160z00_439==BgL_cell1156z00_438))
{ /* Llib/pcm.scm 483 */
{ /* Llib/pcm.scm 483 */
 int BgL_tmpz00_3216;
BgL_tmpz00_3216 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3216); } 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_arg1868z00_441;
BgL_arg1868z00_441 = 
CELL_REF(
((obj_t)BgL_val1160z00_439)); 
return BFALSE;} }  else 
{ /* Llib/pcm.scm 483 */
return BgL_val1160z00_439;} } } } } 

}



/* alsa-string-bps~0 */
obj_t BGl_alsazd2stringzd2bpsze70ze7zz__alsa_pcmz00(obj_t BgL_strz00_466)
{
{ /* Llib/pcm.scm 438 */
{ /* Llib/pcm.scm 437 */
 obj_t BgL_iz00_468;
{ /* Llib/pcm.scm 437 */

BgL_iz00_468 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_strz00_466, 
BCHAR(((unsigned char)'_')), 
BINT(((long)0))); } 
{ /* Llib/pcm.scm 438 */
 obj_t BgL_arg1880z00_469;
if(
CBOOL(BgL_iz00_468))
{ /* Llib/pcm.scm 438 */
 long BgL_endz00_1211;
BgL_endz00_1211 = 
(long)CINT(BgL_iz00_468); 
BgL_arg1880z00_469 = 
c_substring(
((obj_t)BgL_strz00_466), ((long)0), BgL_endz00_1211); }  else 
{ /* Llib/pcm.scm 438 */
BgL_arg1880z00_469 = BgL_strz00_466; } 
return 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1880z00_469);} } } 

}



/* alsa-try?~0 */
obj_t BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(int BgL_cardz00_473, BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_474, obj_t BgL_accessz00_475)
{
{ /* Llib/pcm.scm 480 */
{ /* Llib/pcm.scm 480 */
 obj_t BgL_accessz00_478;
BgL_accessz00_478 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_accessz00_475, 
CNST_TABLE_REF(((long)70)), BFALSE); 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_formatz00_479;
BgL_formatz00_479 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_accessz00_475, 
CNST_TABLE_REF(((long)72)), BFALSE); 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_channelsz00_480;
BgL_channelsz00_480 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_accessz00_475, 
CNST_TABLE_REF(((long)71)), BFALSE); 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_ratezd2nearzd2_481;
BgL_ratezd2nearzd2_481 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_accessz00_475, 
CNST_TABLE_REF(((long)76)), BFALSE); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_accessz00_475, 
CNST_TABLE_REF(((long)77)))))
{ /* Llib/pcm.scm 452 */
 bool_t BgL_test2711z00_3242;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_list1913z00_524;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1914z00_525;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1915z00_526;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1916z00_527;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1917z00_528;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1918z00_529;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1919z00_530;
{ /* Llib/pcm.scm 452 */
 obj_t BgL_arg1920z00_531;
BgL_arg1920z00_531 = 
MAKE_YOUNG_PAIR(BgL_ratezd2nearzd2_481, BNIL); 
BgL_arg1919z00_530 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1920z00_531); } 
BgL_arg1918z00_529 = 
MAKE_YOUNG_PAIR(BgL_channelsz00_480, BgL_arg1919z00_530); } 
BgL_arg1917z00_528 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1918z00_529); } 
BgL_arg1916z00_527 = 
MAKE_YOUNG_PAIR(BgL_formatz00_479, BgL_arg1917z00_528); } 
BgL_arg1915z00_526 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1916z00_527); } 
BgL_arg1914z00_525 = 
MAKE_YOUNG_PAIR(BgL_accessz00_478, BgL_arg1915z00_526); } 
BgL_list1913z00_524 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1914z00_525); } 
BgL_test2711z00_3242 = 
CBOOL(
BGl_alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z21zz__alsa_pcmz00(BgL_pcmz00_474, BgL_list1913z00_524)); } 
if(BgL_test2711z00_3242)
{ /* Llib/pcm.scm 459 */
 obj_t BgL_pathz00_493; obj_t BgL_bpsz00_494;
{ /* Llib/pcm.scm 459 */
 obj_t BgL_list1911z00_522;
BgL_list1911z00_522 = 
MAKE_YOUNG_PAIR(
BINT(BgL_cardz00_473), BNIL); 
BgL_pathz00_493 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2374z00zz__alsa_pcmz00, BgL_list1911z00_522); } 
{ /* Llib/pcm.scm 461 */
 obj_t BgL_arg1912z00_523;
BgL_arg1912z00_523 = 
SYMBOL_TO_STRING(
((obj_t)BgL_formatz00_479)); 
BgL_bpsz00_494 = 
BGl_alsazd2stringzd2bpsze70ze7zz__alsa_pcmz00(BgL_arg1912z00_523); } 
if(
fexists(
BSTRING_TO_STRING(BgL_pathz00_493)))
{ /* Llib/pcm.scm 462 */
{ /* Llib/pcm.scm 465 */
 obj_t BgL_list1895z00_496;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1896z00_497;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1897z00_498;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1898z00_499;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1899z00_500;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1900z00_501;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1901z00_502;
{ /* Llib/pcm.scm 465 */
 obj_t BgL_arg1902z00_503;
BgL_arg1902z00_503 = 
MAKE_YOUNG_PAIR(BgL_ratezd2nearzd2_481, BNIL); 
BgL_arg1901z00_502 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1902z00_503); } 
BgL_arg1900z00_501 = 
MAKE_YOUNG_PAIR(BgL_channelsz00_480, BgL_arg1901z00_502); } 
BgL_arg1899z00_500 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1900z00_501); } 
BgL_arg1898z00_499 = 
MAKE_YOUNG_PAIR(BgL_formatz00_479, BgL_arg1899z00_500); } 
BgL_arg1897z00_498 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1898z00_499); } 
BgL_arg1896z00_497 = 
MAKE_YOUNG_PAIR(BgL_accessz00_478, BgL_arg1897z00_498); } 
BgL_list1895z00_496 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1896z00_497); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_pcmz00_474, BgL_list1895z00_496); } 
{ /* Llib/pcm.scm 470 */
 obj_t BgL_sz00_504;
BgL_sz00_504 = 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_pathz00_493, BGl_readzd2stringzd2envz00zz__r4_input_6_10_2z00); 
{ /* Llib/pcm.scm 470 */
 obj_t BgL_fz00_505;
{ /* Llib/pcm.scm 471 */
 obj_t BgL_patz00_518;
BgL_patz00_518 = BGl_pregexp1220z00zz__alsa_pcmz00; 
{ /* Llib/pcm.scm 471 */
 long BgL_endz00_521;
BgL_endz00_521 = 
STRING_LENGTH(
((obj_t)BgL_sz00_504)); 
{ /* Llib/pcm.scm 471 */

BgL_fz00_505 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_518, BgL_sz00_504, 
BINT(((long)0)), 
BINT(BgL_endz00_521)); } } } 
{ /* Llib/pcm.scm 471 */
 obj_t BgL_rz00_506;
{ /* Llib/pcm.scm 472 */
 obj_t BgL_patz00_514;
BgL_patz00_514 = BGl_pregexp1221z00zz__alsa_pcmz00; 
{ /* Llib/pcm.scm 472 */
 long BgL_endz00_517;
BgL_endz00_517 = 
STRING_LENGTH(
((obj_t)BgL_sz00_504)); 
{ /* Llib/pcm.scm 472 */

BgL_rz00_506 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_514, BgL_sz00_504, 
BINT(((long)0)), 
BINT(BgL_endz00_517)); } } } 
{ /* Llib/pcm.scm 472 */

{ /* Llib/pcm.scm 474 */
 bool_t BgL_test2713z00_3290;
{ /* Llib/pcm.scm 474 */
 long BgL_l1z00_1218;
BgL_l1z00_1218 = 
STRING_LENGTH(
((obj_t)BgL_sz00_504)); 
if(
(BgL_l1z00_1218==((long)9)))
{ /* Llib/pcm.scm 474 */
 int BgL_arg1289z00_1221;
{ /* Llib/pcm.scm 474 */
 char * BgL_auxz00_3298; char * BgL_tmpz00_3295;
BgL_auxz00_3298 = 
BSTRING_TO_STRING(BGl_string2375z00zz__alsa_pcmz00); 
BgL_tmpz00_3295 = 
BSTRING_TO_STRING(
((obj_t)BgL_sz00_504)); 
BgL_arg1289z00_1221 = 
memcmp(BgL_tmpz00_3295, BgL_auxz00_3298, BgL_l1z00_1218); } 
BgL_test2713z00_3290 = 
(
(long)(BgL_arg1289z00_1221)==((long)0)); }  else 
{ /* Llib/pcm.scm 474 */
BgL_test2713z00_3290 = ((bool_t)0)
; } } 
if(BgL_test2713z00_3290)
{ /* Llib/pcm.scm 474 */
return BFALSE;}  else 
{ /* Llib/pcm.scm 476 */
 bool_t BgL_test2715z00_3303;
if(
CBOOL(BgL_fz00_505))
{ /* Llib/pcm.scm 476 */
if(
CBOOL(BgL_rz00_506))
{ /* Llib/pcm.scm 476 */
BgL_test2715z00_3303 = ((bool_t)0)
; }  else 
{ /* Llib/pcm.scm 476 */
BgL_test2715z00_3303 = ((bool_t)1)
; } }  else 
{ /* Llib/pcm.scm 476 */
BgL_test2715z00_3303 = ((bool_t)1)
; } 
if(BgL_test2715z00_3303)
{ /* Llib/pcm.scm 476 */
return BTRUE;}  else 
{ /* Llib/pcm.scm 479 */
 bool_t BgL_test2718z00_3308;
{ /* Llib/pcm.scm 479 */
 obj_t BgL_arg1909z00_512;
{ /* Llib/pcm.scm 479 */
 obj_t BgL_arg1910z00_513;
{ /* Llib/pcm.scm 479 */
 obj_t BgL_pairz00_1230;
BgL_pairz00_1230 = 
CDR(
((obj_t)BgL_fz00_505)); 
BgL_arg1910z00_513 = 
CAR(BgL_pairz00_1230); } 
BgL_arg1909z00_512 = 
BGl_alsazd2stringzd2bpsze70ze7zz__alsa_pcmz00(BgL_arg1910z00_513); } 
BgL_test2718z00_3308 = 
bigloo_string_ge(BgL_arg1909z00_512, BgL_bpsz00_494); } 
if(BgL_test2718z00_3308)
{ /* Llib/pcm.scm 480 */
 long BgL_arg1907z00_510;
{ /* Llib/pcm.scm 480 */
 obj_t BgL_arg1908z00_511;
{ /* Llib/pcm.scm 480 */
 obj_t BgL_pairz00_1236;
BgL_pairz00_1236 = 
CDR(
((obj_t)BgL_rz00_506)); 
BgL_arg1908z00_511 = 
CAR(BgL_pairz00_1236); } 
{ /* Llib/pcm.scm 480 */
 char * BgL_tmpz00_3317;
BgL_tmpz00_3317 = 
BSTRING_TO_STRING(BgL_arg1908z00_511); 
BgL_arg1907z00_510 = 
BGL_STRTOL(BgL_tmpz00_3317, ((long)0), ((long)10)); } } 
return 
BBOOL(
(BgL_arg1907z00_510==
(long)CINT(BgL_ratezd2nearzd2_481)));}  else 
{ /* Llib/pcm.scm 479 */
return BFALSE;} } } } } } } } }  else 
{ /* Llib/pcm.scm 462 */
return BTRUE;} }  else 
{ /* Llib/pcm.scm 452 */
return BFALSE;} }  else 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_arg1921z00_532;
{ /* Llib/pcm.scm 480 */
 obj_t BgL_arg1922z00_533;
{ /* Llib/pcm.scm 480 */
 obj_t BgL_arg1925z00_536;
BgL_arg1925z00_536 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_accessz00_475, 
CNST_TABLE_REF(((long)77))); 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_zc3z04anonymousza31927ze3z87_1554;
BgL_zc3z04anonymousza31927ze3z87_1554 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31927ze3ze5zz__alsa_pcmz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31927ze3z87_1554, 
(int)(((long)0)), BgL_formatz00_479); 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_list1926z00_537;
BgL_list1926z00_537 = 
MAKE_YOUNG_PAIR(BgL_arg1925z00_536, BNIL); 
BgL_arg1922z00_533 = 
BGl_mapz00zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31927ze3z87_1554, BgL_list1926z00_537); } } } 
{ /* Llib/pcm.scm 480 */
 obj_t BgL_list1923z00_534;
BgL_list1923z00_534 = 
MAKE_YOUNG_PAIR(BgL_arg1922z00_533, BNIL); 
BgL_arg1921z00_532 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string2376z00zz__alsa_pcmz00, BgL_list1923z00_534); } } 
return 
BGl_errorz00zz__errorz00(BGl_string2377z00zz__alsa_pcmz00, BgL_arg1921z00_532, BgL_accessz00_475);} } } } } } 

}



/* <@exit:1869>~0 */
obj_t BGl_zc3z04exitza31869ze3ze70z60zz__alsa_pcmz00(int BgL_cardz00_1692, BgL_alsazd2sndzd2pcmz00_bglt BgL_i1152z00_1691, BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_1690, obj_t BgL_cell1156z00_1689, obj_t BgL_env1161z00_1688)
{
{ /* Llib/pcm.scm 483 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1169z00_443;
if( SET_EXIT(BgL_an_exit1169z00_443 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1169z00_443 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1161z00_1688, BgL_an_exit1169z00_443, ((long)1)); 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_escape1157z00_444;
BgL_escape1157z00_444 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1161z00_1688); 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_res1172z00_445;
{ /* Llib/pcm.scm 483 */
 obj_t BgL_ohs1153z00_446;
BgL_ohs1153z00_446 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1161z00_1688); 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_hds1154z00_447;
BgL_hds1154z00_447 = 
MAKE_STACK_PAIR(BgL_escape1157z00_444, BgL_cell1156z00_1689); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1161z00_1688, BgL_hds1154z00_447); BUNSPEC; 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_exitd1162z00_448;
BgL_exitd1162z00_448 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1161z00_1688); 
{ /* Llib/pcm.scm 483 */
 obj_t BgL_tmp1164z00_449;
{ /* Llib/pcm.scm 483 */
 obj_t BgL_arg1877z00_462;
BgL_arg1877z00_462 = 
BGL_EXITD_PROTECT(BgL_exitd1162z00_448); 
BgL_tmp1164z00_449 = 
MAKE_YOUNG_PAIR(BgL_ohs1153z00_446, BgL_arg1877z00_462); } 
{ /* Llib/pcm.scm 483 */

BGL_EXITD_PROTECT_SET(BgL_exitd1162z00_448, BgL_tmp1164z00_449); BUNSPEC; 
{ /* Llib/pcm.scm 486 */
 obj_t BgL_tmp1163z00_450;
BGl_alsazd2sndzd2pcmzd2openzd2zz__alsa_pcmz00(BgL_pcmz00_1690); 
{ /* Llib/pcm.scm 487 */
 obj_t BgL_exitd1165z00_451;
BgL_exitd1165z00_451 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pcm.scm 534 */
 obj_t BgL_zc3z04anonymousza31876ze3z87_1553;
BgL_zc3z04anonymousza31876ze3z87_1553 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31876ze3ze5zz__alsa_pcmz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_1553, 
(int)(((long)0)), 
((obj_t)BgL_pcmz00_1690)); 
{ /* Llib/pcm.scm 487 */
 obj_t BgL_arg1818z00_1239;
{ /* Llib/pcm.scm 487 */
 obj_t BgL_arg1819z00_1240;
BgL_arg1819z00_1240 = 
BGL_EXITD_PROTECT(BgL_exitd1165z00_451); 
BgL_arg1818z00_1239 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31876ze3z87_1553, BgL_arg1819z00_1240); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1165z00_451, BgL_arg1818z00_1239); BUNSPEC; } 
{ /* Llib/pcm.scm 489 */
 obj_t BgL_tmp1167z00_453;
{ /* Llib/pcm.scm 489 */
 bool_t BgL_test2719z00_3357;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_list1929z00_544;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1930z00_545;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1931z00_546;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1932z00_547;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1933z00_548;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1934z00_549;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1935z00_550;
{ /* Llib/pcm.scm 489 */
 obj_t BgL_arg1936z00_551;
BgL_arg1936z00_551 = 
MAKE_YOUNG_PAIR(
BINT(((long)384000)), BNIL); 
BgL_arg1935z00_550 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1936z00_551); } 
BgL_arg1934z00_549 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1935z00_550); } 
BgL_arg1933z00_548 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1934z00_549); } 
BgL_arg1932z00_547 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)34)), BgL_arg1933z00_548); } 
BgL_arg1931z00_546 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1932z00_547); } 
BgL_arg1930z00_545 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg1931z00_546); } 
BgL_list1929z00_544 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1930z00_545); } 
BgL_test2719z00_3357 = 
CBOOL(
BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(BgL_cardz00_1692, BgL_pcmz00_1690, BgL_list1929z00_544)); } 
if(BgL_test2719z00_3357)
{ /* Llib/pcm.scm 489 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)32))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)384000))),BUNSPEC); }  else 
{ /* Llib/pcm.scm 496 */
 bool_t BgL_test2720z00_3380;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_list1937z00_552;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1938z00_553;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1939z00_554;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1940z00_555;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1941z00_556;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1942z00_557;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1943z00_558;
{ /* Llib/pcm.scm 496 */
 obj_t BgL_arg1944z00_559;
BgL_arg1944z00_559 = 
MAKE_YOUNG_PAIR(
BINT(((long)384000)), BNIL); 
BgL_arg1943z00_558 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1944z00_559); } 
BgL_arg1942z00_557 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1943z00_558); } 
BgL_arg1941z00_556 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1942z00_557); } 
BgL_arg1940z00_555 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BgL_arg1941z00_556); } 
BgL_arg1939z00_554 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1940z00_555); } 
BgL_arg1938z00_553 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg1939z00_554); } 
BgL_list1937z00_552 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1938z00_553); } 
BgL_test2720z00_3380 = 
CBOOL(
BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(BgL_cardz00_1692, BgL_pcmz00_1690, BgL_list1937z00_552)); } 
if(BgL_test2720z00_3380)
{ /* Llib/pcm.scm 496 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)24))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)384000))),BUNSPEC); }  else 
{ /* Llib/pcm.scm 503 */
 bool_t BgL_test2721z00_3403;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_list1945z00_560;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1946z00_561;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1947z00_562;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1948z00_563;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1949z00_564;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1950z00_565;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1951z00_566;
{ /* Llib/pcm.scm 503 */
 obj_t BgL_arg1952z00_567;
BgL_arg1952z00_567 = 
MAKE_YOUNG_PAIR(
BINT(((long)192000)), BNIL); 
BgL_arg1951z00_566 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1952z00_567); } 
BgL_arg1950z00_565 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1951z00_566); } 
BgL_arg1949z00_564 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1950z00_565); } 
BgL_arg1948z00_563 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BgL_arg1949z00_564); } 
BgL_arg1947z00_562 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1948z00_563); } 
BgL_arg1946z00_561 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg1947z00_562); } 
BgL_list1945z00_560 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1946z00_561); } 
BgL_test2721z00_3403 = 
CBOOL(
BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(BgL_cardz00_1692, BgL_pcmz00_1690, BgL_list1945z00_560)); } 
if(BgL_test2721z00_3403)
{ /* Llib/pcm.scm 503 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)24))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)192000))),BUNSPEC); }  else 
{ /* Llib/pcm.scm 510 */
 bool_t BgL_test2722z00_3426;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_list1953z00_568;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1954z00_569;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1955z00_570;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1956z00_571;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1957z00_572;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1958z00_573;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1959z00_574;
{ /* Llib/pcm.scm 510 */
 obj_t BgL_arg1960z00_575;
BgL_arg1960z00_575 = 
MAKE_YOUNG_PAIR(
BINT(((long)96000)), BNIL); 
BgL_arg1959z00_574 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1960z00_575); } 
BgL_arg1958z00_573 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1959z00_574); } 
BgL_arg1957z00_572 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1958z00_573); } 
BgL_arg1956z00_571 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BgL_arg1957z00_572); } 
BgL_arg1955z00_570 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1956z00_571); } 
BgL_arg1954z00_569 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg1955z00_570); } 
BgL_list1953z00_568 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1954z00_569); } 
BgL_test2722z00_3426 = 
CBOOL(
BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(BgL_cardz00_1692, BgL_pcmz00_1690, BgL_list1953z00_568)); } 
if(BgL_test2722z00_3426)
{ /* Llib/pcm.scm 510 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)24))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)96000))),BUNSPEC); }  else 
{ /* Llib/pcm.scm 517 */
 bool_t BgL_test2723z00_3449;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_list1961z00_576;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1962z00_577;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1963z00_578;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1964z00_579;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1965z00_580;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1966z00_581;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1967z00_582;
{ /* Llib/pcm.scm 517 */
 obj_t BgL_arg1968z00_583;
BgL_arg1968z00_583 = 
MAKE_YOUNG_PAIR(
BINT(((long)48000)), BNIL); 
BgL_arg1967z00_582 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1968z00_583); } 
BgL_arg1966z00_581 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1967z00_582); } 
BgL_arg1965z00_580 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1966z00_581); } 
BgL_arg1964z00_579 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BgL_arg1965z00_580); } 
BgL_arg1963z00_578 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1964z00_579); } 
BgL_arg1962z00_577 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg1963z00_578); } 
BgL_list1961z00_576 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1962z00_577); } 
BgL_test2723z00_3449 = 
CBOOL(
BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(BgL_cardz00_1692, BgL_pcmz00_1690, BgL_list1961z00_576)); } 
if(BgL_test2723z00_3449)
{ /* Llib/pcm.scm 517 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)24))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)48000))),BUNSPEC); }  else 
{ /* Llib/pcm.scm 524 */
 bool_t BgL_test2724z00_3472;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_list1969z00_584;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1970z00_585;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1971z00_586;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1972z00_587;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1973z00_588;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1974z00_589;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1975z00_590;
{ /* Llib/pcm.scm 524 */
 obj_t BgL_arg1976z00_591;
BgL_arg1976z00_591 = 
MAKE_YOUNG_PAIR(
BINT(((long)48000)), BNIL); 
BgL_arg1975z00_590 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg1976z00_591); } 
BgL_arg1974z00_589 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1975z00_590); } 
BgL_arg1973z00_588 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg1974z00_589); } 
BgL_arg1972z00_587 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1973z00_588); } 
BgL_arg1971z00_586 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg1972z00_587); } 
BgL_arg1970z00_585 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg1971z00_586); } 
BgL_list1969z00_584 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg1970z00_585); } 
BgL_test2724z00_3472 = 
CBOOL(
BGl_alsazd2tryzf3ze70zc6zz__alsa_pcmz00(BgL_cardz00_1692, BgL_pcmz00_1690, BgL_list1969z00_584)); } 
if(BgL_test2724z00_3472)
{ /* Llib/pcm.scm 524 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)16))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)48000))),BUNSPEC); }  else 
{ /* Llib/pcm.scm 524 */
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwbpsz00)=((int)
(int)(((long)16))),BUNSPEC); 
BgL_tmp1167z00_453 = 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1152z00_1691))->BgL_hwsratez00)=((int)
(int)(((long)44100))),BUNSPEC); } } } } } } } 
{ /* Llib/pcm.scm 487 */
 bool_t BgL_test2725z00_3499;
{ /* Llib/pcm.scm 487 */
 obj_t BgL_arg1817z00_1242;
BgL_arg1817z00_1242 = 
BGL_EXITD_PROTECT(BgL_exitd1165z00_451); 
BgL_test2725z00_3499 = 
PAIRP(BgL_arg1817z00_1242); } 
if(BgL_test2725z00_3499)
{ /* Llib/pcm.scm 487 */
 obj_t BgL_arg1815z00_1243;
{ /* Llib/pcm.scm 487 */
 obj_t BgL_arg1816z00_1244;
BgL_arg1816z00_1244 = 
BGL_EXITD_PROTECT(BgL_exitd1165z00_451); 
BgL_arg1815z00_1243 = 
CDR(
((obj_t)BgL_arg1816z00_1244)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1165z00_451, BgL_arg1815z00_1243); BUNSPEC; }  else 
{ /* Llib/pcm.scm 487 */BFALSE; } } 
BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(BgL_pcmz00_1690); 
BgL_tmp1163z00_450 = BgL_tmp1167z00_453; } } } 
{ /* Llib/pcm.scm 483 */
 bool_t BgL_test2726z00_3507;
{ /* Llib/pcm.scm 483 */
 obj_t BgL_arg1817z00_1247;
BgL_arg1817z00_1247 = 
BGL_EXITD_PROTECT(BgL_exitd1162z00_448); 
BgL_test2726z00_3507 = 
PAIRP(BgL_arg1817z00_1247); } 
if(BgL_test2726z00_3507)
{ /* Llib/pcm.scm 483 */
 obj_t BgL_arg1815z00_1248;
{ /* Llib/pcm.scm 483 */
 obj_t BgL_arg1816z00_1249;
BgL_arg1816z00_1249 = 
BGL_EXITD_PROTECT(BgL_exitd1162z00_448); 
BgL_arg1815z00_1248 = 
CDR(
((obj_t)BgL_arg1816z00_1249)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1162z00_448, BgL_arg1815z00_1248); BUNSPEC; }  else 
{ /* Llib/pcm.scm 483 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1161z00_1688, BgL_ohs1153z00_446); BUNSPEC; 
BgL_res1172z00_445 = BgL_tmp1163z00_450; } } } } } } 
POP_ENV_EXIT(BgL_env1161z00_1688); 
return BgL_res1172z00_445;} } 
}} 

}



/* &alsa-snd-pcm-hw-card-detect! */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12za2zz__alsa_pcmz00(obj_t BgL_envz00_1555, obj_t BgL_pcmz00_1556, obj_t BgL_cardz00_1557)
{
{ /* Llib/pcm.scm 434 */
{ /* Llib/pcm.scm 437 */
 int BgL_auxz00_3524; BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3516;
{ /* Llib/pcm.scm 437 */
 obj_t BgL_tmpz00_3525;
if(
INTEGERP(BgL_cardz00_1557))
{ /* Llib/pcm.scm 437 */
BgL_tmpz00_3525 = BgL_cardz00_1557
; }  else 
{ 
 obj_t BgL_auxz00_3528;
BgL_auxz00_3528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)18071)), BGl_string2378z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_cardz00_1557); 
FAILURE(BgL_auxz00_3528,BFALSE,BFALSE);} 
BgL_auxz00_3524 = 
CINT(BgL_tmpz00_3525); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1556, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 437 */
BgL_auxz00_3516 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1556)
; }  else 
{ 
 obj_t BgL_auxz00_3520;
BgL_auxz00_3520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)18071)), BGl_string2378z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1556); 
FAILURE(BgL_auxz00_3520,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2hwzd2cardzd2detectz12zc0zz__alsa_pcmz00(BgL_auxz00_3516, BgL_auxz00_3524);} } 

}



/* &<@anonymous:1876> */
obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1558)
{
{ /* Llib/pcm.scm 487 */
{ /* Llib/pcm.scm 534 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_1559;
BgL_pcmz00_1559 = 
((BgL_alsazd2sndzd2pcmz00_bglt)
PROCEDURE_REF(BgL_envz00_1558, 
(int)(((long)0)))); 
return 
BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(BgL_pcmz00_1559);} } 

}



/* &<@anonymous:1927> */
obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1560, obj_t BgL_vz00_1562)
{
{ /* Llib/pcm.scm 480 */
{ /* Llib/pcm.scm 480 */
 obj_t BgL_formatz00_1561;
BgL_formatz00_1561 = 
PROCEDURE_REF(BgL_envz00_1560, 
(int)(((long)0))); 
return 
PROCEDURE_ENTRY(BgL_formatz00_1561)(BgL_formatz00_1561, BGl_string2379z00zz__alsa_pcmz00, BgL_vz00_1562, BEOA);} } 

}



/* alsa-snd-pcm-hw-free! */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2hwzd2freez12z12zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_44)
{
{ /* Llib/pcm.scm 539 */
{ /* Llib/pcm.scm 541 */
 int BgL_errz00_593;
{ /* Llib/pcm.scm 541 */
 snd_pcm_t * BgL_tmpz00_3545;
BgL_tmpz00_3545 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_44))->BgL_z42builtinz42); 
BgL_errz00_593 = 
snd_pcm_hw_free(BgL_tmpz00_3545); } 
if(
(
(long)(BgL_errz00_593)<((long)0)))
{ /* Llib/pcm.scm 543 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1978z00_595;
{ /* Llib/pcm.scm 543 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1176z00_596;
{ /* Llib/pcm.scm 543 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1175z00_599;
BgL_new1175z00_599 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 543 */
 long BgL_arg1981z00_600;
BgL_arg1981z00_600 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_599), BgL_arg1981z00_600); } 
BgL_new1176z00_596 = BgL_new1175z00_599; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1176z00_596)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1176z00_596)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3559;
{ /* Llib/pcm.scm 543 */
 obj_t BgL_arg1979z00_597;
{ /* Llib/pcm.scm 543 */
 obj_t BgL_arg1980z00_598;
{ /* Llib/pcm.scm 543 */
 obj_t BgL_classz00_1256;
BgL_classz00_1256 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1980z00_598 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1256); } 
BgL_arg1979z00_597 = 
VECTOR_REF(BgL_arg1980z00_598,((long)2)); } 
BgL_auxz00_3559 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1979z00_597); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1176z00_596)))->BgL_stackz00)=((obj_t)BgL_auxz00_3559),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1176z00_596)))->BgL_procz00)=((obj_t)BGl_string2380z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1176z00_596)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_593))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1176z00_596)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_44)),BUNSPEC); 
BgL_arg1978z00_595 = BgL_new1176z00_596; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1978z00_595));}  else 
{ /* Llib/pcm.scm 542 */
return BFALSE;} } } 

}



/* &alsa-snd-pcm-hw-free! */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2freez12z70zz__alsa_pcmz00(obj_t BgL_envz00_1567, obj_t BgL_pcmz00_1568)
{
{ /* Llib/pcm.scm 539 */
{ /* Llib/pcm.scm 540 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3576;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1568, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 540 */
BgL_auxz00_3576 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1568)
; }  else 
{ 
 obj_t BgL_auxz00_3580;
BgL_auxz00_3580 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)21353)), BGl_string2381z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1568); 
FAILURE(BgL_auxz00_3580,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2hwzd2freez12z12zz__alsa_pcmz00(BgL_auxz00_3576);} } 

}



/* alsa-snd-pcm-hw-set-params! */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_45, obj_t BgL_restz00_46)
{
{ /* Llib/pcm.scm 551 */
{ 
 obj_t BgL_argz00_698; obj_t BgL_errz00_699;
{ /* Llib/pcm.scm 563 */
 snd_pcm_hw_params_t * BgL_z42hwz42_603; obj_t BgL_ratez00_604; long BgL_bufsiza7eza7_605;
BgL_z42hwz42_603 = 
bgl_snd_pcm_hw_params_malloc(); 
BgL_ratez00_604 = 
BINT(((long)0)); 
BgL_bufsiza7eza7_605 = ((long)0); 
{ /* Llib/pcm.scm 566 */
 obj_t BgL_exitd1179z00_606;
BgL_exitd1179z00_606 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza32058ze3z87_1569;
BgL_zc3z04anonymousza32058ze3z87_1569 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32058ze3ze5zz__alsa_pcmz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32058ze3z87_1569, 
(int)(((long)0)), 
void_star_to_obj(BgL_z42hwz42_603)); 
{ /* Llib/pcm.scm 566 */
 obj_t BgL_arg1818z00_1266;
{ /* Llib/pcm.scm 566 */
 obj_t BgL_arg1819z00_1267;
BgL_arg1819z00_1267 = 
BGL_EXITD_PROTECT(BgL_exitd1179z00_606); 
BgL_arg1818z00_1266 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32058ze3z87_1569, BgL_arg1819z00_1267); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1179z00_606, BgL_arg1818z00_1266); BUNSPEC; } 
{ /* Llib/pcm.scm 567 */
 int BgL_tmp1181z00_608;
{ /* Llib/pcm.scm 568 */
 snd_pcm_t * BgL_tmpz00_3597;
BgL_tmpz00_3597 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
snd_pcm_hw_params_any(BgL_tmpz00_3597, BgL_z42hwz42_603); } 
{ 
 obj_t BgL_restz00_612;
BgL_restz00_612 = BgL_restz00_46; 
BgL_zc3z04anonymousza31984ze3z87_613:
if(
PAIRP(BgL_restz00_612))
{ /* Llib/pcm.scm 570 */
if(
NULLP(
CDR(BgL_restz00_612)))
{ /* Llib/pcm.scm 572 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1988z00_617;
{ /* Llib/pcm.scm 572 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1185z00_618;
{ /* Llib/pcm.scm 572 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1184z00_623;
BgL_new1184z00_623 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 572 */
 long BgL_arg1993z00_624;
BgL_arg1993z00_624 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1184z00_623), BgL_arg1993z00_624); } 
BgL_new1185z00_618 = BgL_new1184z00_623; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1185z00_618)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1185z00_618)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3613;
{ /* Llib/pcm.scm 572 */
 obj_t BgL_arg1989z00_619;
{ /* Llib/pcm.scm 572 */
 obj_t BgL_arg1990z00_620;
{ /* Llib/pcm.scm 572 */
 obj_t BgL_classz00_1272;
BgL_classz00_1272 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1990z00_620 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1272); } 
BgL_arg1989z00_619 = 
VECTOR_REF(BgL_arg1990z00_620,((long)2)); } 
BgL_auxz00_3613 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1989z00_619); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1185z00_618)))->BgL_stackz00)=((obj_t)BgL_auxz00_3613),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1185z00_618)))->BgL_procz00)=((obj_t)BGl_string2382z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3621;
{ /* Llib/pcm.scm 574 */
 obj_t BgL_arg1991z00_621;
BgL_arg1991z00_621 = 
CAR(BgL_restz00_612); 
{ /* Llib/pcm.scm 574 */
 obj_t BgL_list1992z00_622;
BgL_list1992z00_622 = 
MAKE_YOUNG_PAIR(BgL_arg1991z00_621, BNIL); 
BgL_auxz00_3621 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2384z00zz__alsa_pcmz00, BgL_list1992z00_622); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1185z00_618)))->BgL_msgz00)=((obj_t)BgL_auxz00_3621),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1185z00_618)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_45)),BUNSPEC); 
BgL_arg1988z00_617 = BgL_new1185z00_618; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1988z00_617)); }  else 
{ /* Llib/pcm.scm 571 */BFALSE; } 
{ /* Llib/pcm.scm 577 */
 obj_t BgL_arg1995z00_626; obj_t BgL_arg1996z00_627;
BgL_arg1995z00_626 = 
CAR(BgL_restz00_612); 
{ /* Llib/pcm.scm 578 */
 obj_t BgL_casezd2valuezd2_628;
BgL_casezd2valuezd2_628 = 
CAR(BgL_restz00_612); 
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)78))))
{ /* Llib/pcm.scm 580 */
 snd_pcm_t * BgL_arg1998z00_630; obj_t BgL_arg1999z00_631;
BgL_arg1998z00_630 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg1999z00_631 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 580 */
 int BgL_tmpz00_3640;
{ /* Llib/pcm.scm 580 */
 unsigned int BgL_tmpz00_3641;
BgL_tmpz00_3641 = 
(unsigned int)CINT(BgL_arg1999z00_631); 
BgL_tmpz00_3640 = 
snd_pcm_hw_params_set_rate_resample(BgL_arg1998z00_630, BgL_z42hwz42_603, BgL_tmpz00_3641); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3640); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)70))))
{ /* Llib/pcm.scm 583 */
 snd_pcm_t * BgL_arg2001z00_633; snd_pcm_access_t BgL_arg2002z00_634;
BgL_arg2001z00_633 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2002z00_634 = 
BGl_symbolzd2ze3accessz31zz__alsa_pcmz00(
CAR(
CDR(BgL_restz00_612))); 
BgL_arg1996z00_627 = 
BINT(
snd_pcm_hw_params_set_access(BgL_arg2001z00_633, BgL_z42hwz42_603, BgL_arg2002z00_634)); }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)72))))
{ /* Llib/pcm.scm 586 */
 snd_pcm_t * BgL_arg2005z00_637; snd_pcm_format_t BgL_arg2006z00_638;
BgL_arg2005z00_637 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2006z00_638 = 
BGl_symbolzd2ze3formatz31zz__alsa_pcmz00(
CAR(
CDR(BgL_restz00_612))); 
BgL_arg1996z00_627 = 
BINT(
snd_pcm_hw_params_set_format(BgL_arg2005z00_637, BgL_z42hwz42_603, BgL_arg2006z00_638)); }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)71))))
{ /* Llib/pcm.scm 589 */
 snd_pcm_t * BgL_arg2009z00_641; obj_t BgL_arg2010z00_642;
BgL_arg2009z00_641 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2010z00_642 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 589 */
 int BgL_tmpz00_3669;
{ /* Llib/pcm.scm 589 */
 int BgL_tmpz00_3670;
BgL_tmpz00_3670 = 
CINT(BgL_arg2010z00_642); 
BgL_tmpz00_3669 = 
snd_pcm_hw_params_set_channels(BgL_arg2009z00_641, BgL_z42hwz42_603, BgL_tmpz00_3670); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3669); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)74))))
{ /* Llib/pcm.scm 578 */
BgL_ratez00_604 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 593 */
 snd_pcm_t * BgL_arg2012z00_644; obj_t BgL_arg2013z00_645;
BgL_arg2012z00_644 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2013z00_645 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 593 */
 int BgL_tmpz00_3682;
{ /* Llib/pcm.scm 593 */
 int BgL_auxz00_3685; int BgL_tmpz00_3683;
BgL_auxz00_3685 = 
(int)(((long)0)); 
BgL_tmpz00_3683 = 
CINT(BgL_arg2013z00_645); 
BgL_tmpz00_3682 = 
snd_pcm_hw_params_set_rate(BgL_arg2012z00_644, BgL_z42hwz42_603, BgL_tmpz00_3683, BgL_auxz00_3685); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3682); } } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)76))))
{ /* Llib/pcm.scm 596 */
 unsigned int BgL_rz00_647;
{ /* Llib/pcm.scm 596 */
 snd_pcm_t * BgL_arg2025z00_660; obj_t BgL_arg2026z00_661;
BgL_arg2025z00_660 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2026z00_661 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 596 */
 int BgL_tmpz00_3695;
BgL_tmpz00_3695 = 
CINT(BgL_arg2026z00_661); 
BgL_rz00_647 = 
bgl_snd_pcm_hw_params_set_rate_near(BgL_arg2025z00_660, BgL_z42hwz42_603, BgL_tmpz00_3695); } } 
BgL_ratez00_604 = 
BINT(BgL_rz00_647); 
{ /* Llib/pcm.scm 599 */
 bool_t BgL_test2739z00_3699;
{ /* Llib/pcm.scm 599 */
 long BgL_tmpz00_3700;
{ /* Llib/pcm.scm 599 */
 obj_t BgL_pairz00_1314;
BgL_pairz00_1314 = 
CDR(BgL_restz00_612); 
BgL_tmpz00_3700 = 
(long)CINT(
CAR(BgL_pairz00_1314)); } 
BgL_test2739z00_3699 = 
(
(long)(BgL_rz00_647)==BgL_tmpz00_3700); } 
if(BgL_test2739z00_3699)
{ /* Llib/pcm.scm 599 */BFALSE; }  else 
{ /* Llib/pcm.scm 600 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2017z00_650;
{ /* Llib/pcm.scm 600 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1187z00_651;
{ /* Llib/pcm.scm 600 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1186z00_657;
BgL_new1186z00_657 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 600 */
 long BgL_arg2023z00_658;
BgL_arg2023z00_658 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1186z00_657), BgL_arg2023z00_658); } 
BgL_new1187z00_651 = BgL_new1186z00_657; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1187z00_651)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1187z00_651)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3714;
{ /* Llib/pcm.scm 600 */
 obj_t BgL_arg2018z00_652;
{ /* Llib/pcm.scm 600 */
 obj_t BgL_arg2019z00_653;
{ /* Llib/pcm.scm 600 */
 obj_t BgL_classz00_1320;
BgL_classz00_1320 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2019z00_653 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1320); } 
BgL_arg2018z00_652 = 
VECTOR_REF(BgL_arg2019z00_653,((long)2)); } 
BgL_auxz00_3714 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2018z00_652); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1187z00_651)))->BgL_stackz00)=((obj_t)BgL_auxz00_3714),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1187z00_651)))->BgL_procz00)=((obj_t)BGl_string2382z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3722;
{ /* Llib/pcm.scm 602 */
 obj_t BgL_arg2020z00_654;
{ /* Llib/pcm.scm 602 */
 obj_t BgL_pairz00_1325;
BgL_pairz00_1325 = 
CDR(BgL_restz00_612); 
BgL_arg2020z00_654 = 
CAR(BgL_pairz00_1325); } 
{ /* Llib/pcm.scm 602 */
 obj_t BgL_list2021z00_655;
{ /* Llib/pcm.scm 602 */
 obj_t BgL_arg2022z00_656;
BgL_arg2022z00_656 = 
MAKE_YOUNG_PAIR(
BINT(BgL_rz00_647), BNIL); 
BgL_list2021z00_655 = 
MAKE_YOUNG_PAIR(BgL_arg2020z00_654, BgL_arg2022z00_656); } 
BgL_auxz00_3722 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2385z00zz__alsa_pcmz00, BgL_list2021z00_655); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1187z00_651)))->BgL_msgz00)=((obj_t)BgL_auxz00_3722),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1187z00_651)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_45)),BUNSPEC); 
BgL_arg2017z00_650 = BgL_new1187z00_651; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2017z00_650)); } } 
BgL_arg1996z00_627 = 
BINT(BgL_rz00_647); }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)79))))
{ /* Llib/pcm.scm 606 */
 snd_pcm_t * BgL_arg2028z00_663; obj_t BgL_arg2029z00_664;
BgL_arg2028z00_663 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2029z00_664 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 606 */
 int BgL_tmpz00_3743;
{ /* Llib/pcm.scm 606 */
 int BgL_tmpz00_3744;
BgL_tmpz00_3744 = 
CINT(BgL_arg2029z00_664); 
BgL_tmpz00_3743 = 
snd_pcm_hw_params_set_buffer_size(BgL_arg2028z00_663, BgL_z42hwz42_603, BgL_tmpz00_3744); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3743); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)80))))
{ /* Llib/pcm.scm 609 */
 snd_pcm_t * BgL_arg2031z00_666; obj_t BgL_arg2032z00_667;
BgL_arg2031z00_666 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2032z00_667 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 609 */
 int BgL_tmpz00_3754;
{ /* Llib/pcm.scm 609 */
 int BgL_tmpz00_3755;
BgL_tmpz00_3755 = 
CINT(BgL_arg2032z00_667); 
BgL_tmpz00_3754 = 
bgl_snd_pcm_hw_params_set_buffer_size_near(BgL_arg2031z00_666, BgL_z42hwz42_603, BgL_tmpz00_3755); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3754); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)81))))
{ /* Llib/pcm.scm 578 */
{ /* Llib/pcm.scm 613 */
 snd_pcm_t * BgL_arg2034z00_669; long BgL_arg2035z00_670;
BgL_arg2034z00_669 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 614 */
 long BgL_za71za7_1341; long BgL_za72za7_1342;
BgL_za71za7_1341 = 
(long)CINT(BgL_ratez00_604); 
{ /* Llib/pcm.scm 614 */
 obj_t BgL_pairz00_1340;
BgL_pairz00_1340 = 
CDR(BgL_restz00_612); 
BgL_za72za7_1342 = 
(long)CINT(
CAR(BgL_pairz00_1340)); } 
BgL_arg2035z00_670 = 
(BgL_za71za7_1341/BgL_za72za7_1342); } 
{ /* Llib/pcm.scm 613 */
 int BgL_tmpz00_3768;
{ /* Llib/pcm.scm 613 */
 int BgL_tmpz00_3769;
BgL_tmpz00_3769 = 
(int)(BgL_arg2035z00_670); 
BgL_tmpz00_3768 = 
bgl_snd_pcm_hw_params_set_buffer_size_near(BgL_arg2034z00_669, BgL_z42hwz42_603, BgL_tmpz00_3769); } 
BgL_bufsiza7eza7_605 = 
(long)(BgL_tmpz00_3768); } } 
BgL_arg1996z00_627 = 
BINT(BgL_bufsiza7eza7_605); }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)82))))
{ /* Llib/pcm.scm 617 */
 snd_pcm_t * BgL_arg2038z00_673; obj_t BgL_arg2039z00_674;
BgL_arg2038z00_673 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2039z00_674 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 617 */
 int BgL_tmpz00_3780;
{ /* Llib/pcm.scm 617 */
 int BgL_auxz00_3783; int BgL_tmpz00_3781;
BgL_auxz00_3783 = 
(int)(((long)0)); 
BgL_tmpz00_3781 = 
CINT(BgL_arg2039z00_674); 
BgL_tmpz00_3780 = 
snd_pcm_hw_params_set_period_size(BgL_arg2038z00_673, BgL_z42hwz42_603, BgL_tmpz00_3781, BgL_auxz00_3783); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3780); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)83))))
{ /* Llib/pcm.scm 620 */
 snd_pcm_t * BgL_arg2041z00_676; obj_t BgL_arg2042z00_677;
BgL_arg2041z00_676 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2042z00_677 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 620 */
 int BgL_tmpz00_3793;
{ /* Llib/pcm.scm 620 */
 int BgL_tmpz00_3794;
BgL_tmpz00_3794 = 
CINT(BgL_arg2042z00_677); 
BgL_tmpz00_3793 = 
bgl_snd_pcm_hw_params_set_buffer_time_near(BgL_arg2041z00_676, BgL_z42hwz42_603, BgL_tmpz00_3794); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3793); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)84))))
{ /* Llib/pcm.scm 623 */
 snd_pcm_t * BgL_arg2044z00_679; obj_t BgL_arg2045z00_680;
BgL_arg2044z00_679 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_arg2045z00_680 = 
CAR(
CDR(BgL_restz00_612)); 
{ /* Llib/pcm.scm 623 */
 unsigned int BgL_tmpz00_3804;
{ /* Llib/pcm.scm 623 */
 int BgL_tmpz00_3805;
BgL_tmpz00_3805 = 
CINT(BgL_arg2045z00_680); 
BgL_tmpz00_3804 = 
bgl_snd_pcm_hw_params_set_period_size_near(BgL_arg2044z00_679, BgL_z42hwz42_603, BgL_tmpz00_3805); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3804); } }  else 
{ /* Llib/pcm.scm 578 */
if(
(BgL_casezd2valuezd2_628==
CNST_TABLE_REF(((long)85))))
{ /* Llib/pcm.scm 626 */
 snd_pcm_t * BgL_arg2047z00_682; long BgL_arg2048z00_683;
BgL_arg2047z00_682 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 627 */
 long BgL_za71za7_1363;
BgL_za71za7_1363 = BgL_bufsiza7eza7_605; 
{ /* Llib/pcm.scm 627 */
 long BgL_tmpz00_3813;
{ /* Llib/pcm.scm 627 */
 obj_t BgL_pairz00_1362;
BgL_pairz00_1362 = 
CDR(BgL_restz00_612); 
BgL_tmpz00_3813 = 
(long)CINT(
CAR(BgL_pairz00_1362)); } 
BgL_arg2048z00_683 = 
(BgL_za71za7_1363/BgL_tmpz00_3813); } } 
{ /* Llib/pcm.scm 626 */
 unsigned int BgL_tmpz00_3818;
{ /* Llib/pcm.scm 626 */
 int BgL_tmpz00_3819;
BgL_tmpz00_3819 = 
(int)(BgL_arg2048z00_683); 
BgL_tmpz00_3818 = 
bgl_snd_pcm_hw_params_set_period_size_near(BgL_arg2047z00_682, BgL_z42hwz42_603, BgL_tmpz00_3819); } 
BgL_arg1996z00_627 = 
BINT(BgL_tmpz00_3818); } }  else 
{ /* Llib/pcm.scm 578 */
{ /* Llib/pcm.scm 629 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2050z00_685;
{ /* Llib/pcm.scm 629 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1189z00_686;
{ /* Llib/pcm.scm 629 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1188z00_691;
BgL_new1188z00_691 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 629 */
 long BgL_arg2055z00_692;
BgL_arg2055z00_692 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1188z00_691), BgL_arg2055z00_692); } 
BgL_new1189z00_686 = BgL_new1188z00_691; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1189z00_686)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1189z00_686)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3831;
{ /* Llib/pcm.scm 629 */
 obj_t BgL_arg2051z00_687;
{ /* Llib/pcm.scm 629 */
 obj_t BgL_arg2052z00_688;
{ /* Llib/pcm.scm 629 */
 obj_t BgL_classz00_1368;
BgL_classz00_1368 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2052z00_688 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1368); } 
BgL_arg2051z00_687 = 
VECTOR_REF(BgL_arg2052z00_688,((long)2)); } 
BgL_auxz00_3831 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2051z00_687); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1189z00_686)))->BgL_stackz00)=((obj_t)BgL_auxz00_3831),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1189z00_686)))->BgL_procz00)=((obj_t)BGl_string2382z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3839;
{ /* Llib/pcm.scm 631 */
 obj_t BgL_arg2053z00_689;
BgL_arg2053z00_689 = 
CAR(BgL_restz00_612); 
{ /* Llib/pcm.scm 631 */
 obj_t BgL_list2054z00_690;
BgL_list2054z00_690 = 
MAKE_YOUNG_PAIR(BgL_arg2053z00_689, BNIL); 
BgL_auxz00_3839 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2386z00zz__alsa_pcmz00, BgL_list2054z00_690); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1189z00_686)))->BgL_msgz00)=((obj_t)BgL_auxz00_3839),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1189z00_686)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_45)),BUNSPEC); 
BgL_arg2050z00_685 = BgL_new1189z00_686; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2050z00_685)); } 
BgL_arg1996z00_627 = 
BINT(((long)0)); } } } } } } } } } } } } } } 
BgL_argz00_698 = BgL_arg1995z00_626; 
BgL_errz00_699 = BgL_arg1996z00_627; 
if(
(
(long)CINT(BgL_errz00_699)<((long)0)))
{ /* Llib/pcm.scm 555 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2061z00_702;
{ /* Llib/pcm.scm 555 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1178z00_703;
{ /* Llib/pcm.scm 555 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1177z00_709;
BgL_new1177z00_709 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 555 */
 long BgL_arg2067z00_710;
BgL_arg2067z00_710 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_709), BgL_arg2067z00_710); } 
BgL_new1178z00_703 = BgL_new1177z00_709; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1178z00_703)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1178z00_703)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3862;
{ /* Llib/pcm.scm 555 */
 obj_t BgL_arg2062z00_704;
{ /* Llib/pcm.scm 555 */
 obj_t BgL_arg2063z00_705;
{ /* Llib/pcm.scm 555 */
 obj_t BgL_classz00_1262;
BgL_classz00_1262 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2063z00_705 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1262); } 
BgL_arg2062z00_704 = 
VECTOR_REF(BgL_arg2063z00_705,((long)2)); } 
BgL_auxz00_3862 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2062z00_704); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1178z00_703)))->BgL_stackz00)=((obj_t)BgL_auxz00_3862),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1178z00_703)))->BgL_procz00)=((obj_t)BGl_string2382z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3870;
if(
KEYWORDP(BgL_argz00_698))
{ /* Llib/pcm.scm 558 */
 obj_t BgL_arg2065z00_707; char * BgL_arg2066z00_708;
{ /* Llib/pcm.scm 558 */
 obj_t BgL_arg1454z00_1265;
BgL_arg1454z00_1265 = 
KEYWORD_TO_STRING(BgL_argz00_698); 
BgL_arg2065z00_707 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1454z00_1265); } 
{ /* Llib/pcm.scm 559 */
 int BgL_tmpz00_3876;
BgL_tmpz00_3876 = 
CINT(BgL_errz00_699); 
BgL_arg2066z00_708 = 
(char *)snd_strerror(BgL_tmpz00_3876); } 
BgL_auxz00_3870 = 
string_append_3(BgL_arg2065z00_707, BGl_string2383z00zz__alsa_pcmz00, 
string_to_bstring(BgL_arg2066z00_708)); }  else 
{ /* Llib/pcm.scm 560 */
 char * BgL_tmpz00_3881;
{ /* Llib/pcm.scm 560 */
 int BgL_tmpz00_3882;
BgL_tmpz00_3882 = 
CINT(BgL_errz00_699); 
BgL_tmpz00_3881 = 
(char *)snd_strerror(BgL_tmpz00_3882); } 
BgL_auxz00_3870 = 
string_to_bstring(BgL_tmpz00_3881); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1178z00_703)))->BgL_msgz00)=((obj_t)BgL_auxz00_3870),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1178z00_703)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_45)),BUNSPEC); 
BgL_arg2061z00_702 = BgL_new1178z00_703; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2061z00_702)); }  else 
{ /* Llib/pcm.scm 554 */BFALSE; } } 
{ 
 obj_t BgL_restz00_3892;
BgL_restz00_3892 = 
CDR(
CDR(BgL_restz00_612)); 
BgL_restz00_612 = BgL_restz00_3892; 
goto BgL_zc3z04anonymousza31984ze3z87_613;} }  else 
{ /* Llib/pcm.scm 570 */((bool_t)0); } } 
{ /* Llib/pcm.scm 635 */
 snd_pcm_t * BgL_tmpz00_3895;
BgL_tmpz00_3895 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_45))->BgL_z42builtinz42); 
BgL_tmp1181z00_608 = 
snd_pcm_hw_params(BgL_tmpz00_3895, BgL_z42hwz42_603); } 
{ /* Llib/pcm.scm 566 */
 bool_t BgL_test2749z00_3898;
{ /* Llib/pcm.scm 566 */
 obj_t BgL_arg1817z00_1376;
BgL_arg1817z00_1376 = 
BGL_EXITD_PROTECT(BgL_exitd1179z00_606); 
BgL_test2749z00_3898 = 
PAIRP(BgL_arg1817z00_1376); } 
if(BgL_test2749z00_3898)
{ /* Llib/pcm.scm 566 */
 obj_t BgL_arg1815z00_1377;
{ /* Llib/pcm.scm 566 */
 obj_t BgL_arg1816z00_1378;
BgL_arg1816z00_1378 = 
BGL_EXITD_PROTECT(BgL_exitd1179z00_606); 
BgL_arg1815z00_1377 = 
CDR(
((obj_t)BgL_arg1816z00_1378)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1179z00_606, BgL_arg1815z00_1377); BUNSPEC; }  else 
{ /* Llib/pcm.scm 566 */BFALSE; } } 
bgl_snd_pcm_hw_params_free(BgL_z42hwz42_603); BUNSPEC; BgL_tmp1181z00_608; } } } 
return BUNSPEC;} } } 

}



/* &alsa-snd-pcm-hw-set-params! */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12za2zz__alsa_pcmz00(obj_t BgL_envz00_1570, obj_t BgL_pcmz00_1571, obj_t BgL_restz00_1572)
{
{ /* Llib/pcm.scm 551 */
{ /* Llib/pcm.scm 554 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_3906;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1571, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 554 */
BgL_auxz00_3906 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1571)
; }  else 
{ 
 obj_t BgL_auxz00_3910;
BgL_auxz00_3910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)21930)), BGl_string2387z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1571); 
FAILURE(BgL_auxz00_3910,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_auxz00_3906, BgL_restz00_1572);} } 

}



/* &<@anonymous:2058> */
obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1573)
{
{ /* Llib/pcm.scm 566 */
{ 
 snd_pcm_hw_params_t * BgL_z42hwz42_1574;
BgL_z42hwz42_1574 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_1573, 
(int)(((long)0)))); 
bgl_snd_pcm_hw_params_free(BgL_z42hwz42_1574); 
return BUNSPEC;} } 

}



/* alsa-snd-pcm-hw-test-params? */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z21zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_47, obj_t BgL_restz00_48)
{
{ /* Llib/pcm.scm 642 */
{ /* Llib/pcm.scm 643 */
 snd_pcm_hw_params_t * BgL_z42hwz42_712;
BgL_z42hwz42_712 = 
bgl_snd_pcm_hw_params_malloc(); 
{ /* Llib/pcm.scm 644 */
 obj_t BgL_exitd1190z00_713;
BgL_exitd1190z00_713 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza32104ze3z87_1575;
BgL_zc3z04anonymousza32104ze3z87_1575 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32104ze3ze5zz__alsa_pcmz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_1575, 
(int)(((long)0)), 
void_star_to_obj(BgL_z42hwz42_712)); 
{ /* Llib/pcm.scm 644 */
 obj_t BgL_arg1818z00_1380;
{ /* Llib/pcm.scm 644 */
 obj_t BgL_arg1819z00_1381;
BgL_arg1819z00_1381 = 
BGL_EXITD_PROTECT(BgL_exitd1190z00_713); 
BgL_arg1818z00_1380 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32104ze3z87_1575, BgL_arg1819z00_1381); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1190z00_713, BgL_arg1818z00_1380); BUNSPEC; } 
{ /* Llib/pcm.scm 645 */
 bool_t BgL_tmp1192z00_715;
{ /* Llib/pcm.scm 646 */
 snd_pcm_t * BgL_tmpz00_3930;
BgL_tmpz00_3930 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_47))->BgL_z42builtinz42); 
snd_pcm_hw_params_any(BgL_tmpz00_3930, BgL_z42hwz42_712); } 
{ 
 obj_t BgL_restz00_719;
BgL_restz00_719 = BgL_restz00_48; 
BgL_zc3z04anonymousza32069ze3z87_720:
if(
NULLP(BgL_restz00_719))
{ /* Llib/pcm.scm 648 */
BgL_tmp1192z00_715 = ((bool_t)1); }  else 
{ /* Llib/pcm.scm 650 */
 obj_t BgL_casezd2valuezd2_722;
BgL_casezd2valuezd2_722 = 
CAR(
((obj_t)BgL_restz00_719)); 
if(
(BgL_casezd2valuezd2_722==
CNST_TABLE_REF(((long)70))))
{ /* Llib/pcm.scm 652 */
 bool_t BgL_test2753z00_3940;
{ /* Llib/pcm.scm 652 */
 snd_pcm_t * BgL_arg2077z00_729; snd_pcm_access_t BgL_arg2078z00_730;
BgL_arg2077z00_729 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_47))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 653 */
 obj_t BgL_arg2079z00_731;
{ /* Llib/pcm.scm 653 */
 obj_t BgL_pairz00_1387;
BgL_pairz00_1387 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2079z00_731 = 
CAR(BgL_pairz00_1387); } 
BgL_arg2078z00_730 = 
BGl_symbolzd2ze3accessz31zz__alsa_pcmz00(BgL_arg2079z00_731); } 
BgL_test2753z00_3940 = 
snd_pcm_hw_params_test_access(BgL_arg2077z00_729, BgL_z42hwz42_712, BgL_arg2078z00_730); } 
if(BgL_test2753z00_3940)
{ /* Llib/pcm.scm 652 */
BgL_tmp1192z00_715 = ((bool_t)0); }  else 
{ /* Llib/pcm.scm 654 */
 obj_t BgL_arg2076z00_728;
{ /* Llib/pcm.scm 654 */
 obj_t BgL_pairz00_1391;
BgL_pairz00_1391 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2076z00_728 = 
CDR(BgL_pairz00_1391); } 
{ 
 obj_t BgL_restz00_3950;
BgL_restz00_3950 = BgL_arg2076z00_728; 
BgL_restz00_719 = BgL_restz00_3950; 
goto BgL_zc3z04anonymousza32069ze3z87_720;} } }  else 
{ /* Llib/pcm.scm 650 */
if(
(BgL_casezd2valuezd2_722==
CNST_TABLE_REF(((long)72))))
{ /* Llib/pcm.scm 656 */
 bool_t BgL_test2755z00_3954;
{ /* Llib/pcm.scm 656 */
 snd_pcm_t * BgL_arg2086z00_738; snd_pcm_format_t BgL_arg2087z00_739;
BgL_arg2086z00_738 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_47))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 657 */
 obj_t BgL_arg2088z00_740;
{ /* Llib/pcm.scm 657 */
 obj_t BgL_pairz00_1396;
BgL_pairz00_1396 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2088z00_740 = 
CAR(BgL_pairz00_1396); } 
BgL_arg2087z00_739 = 
BGl_symbolzd2ze3formatz31zz__alsa_pcmz00(BgL_arg2088z00_740); } 
BgL_test2755z00_3954 = 
snd_pcm_hw_params_test_format(BgL_arg2086z00_738, BgL_z42hwz42_712, BgL_arg2087z00_739); } 
if(BgL_test2755z00_3954)
{ /* Llib/pcm.scm 656 */
BgL_tmp1192z00_715 = ((bool_t)0); }  else 
{ /* Llib/pcm.scm 658 */
 obj_t BgL_arg2085z00_737;
{ /* Llib/pcm.scm 658 */
 obj_t BgL_pairz00_1400;
BgL_pairz00_1400 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2085z00_737 = 
CDR(BgL_pairz00_1400); } 
{ 
 obj_t BgL_restz00_3964;
BgL_restz00_3964 = BgL_arg2085z00_737; 
BgL_restz00_719 = BgL_restz00_3964; 
goto BgL_zc3z04anonymousza32069ze3z87_720;} } }  else 
{ /* Llib/pcm.scm 650 */
if(
(BgL_casezd2valuezd2_722==
CNST_TABLE_REF(((long)71))))
{ /* Llib/pcm.scm 660 */
 bool_t BgL_test2757z00_3968;
{ /* Llib/pcm.scm 660 */
 snd_pcm_t * BgL_arg2094z00_746; obj_t BgL_arg2095z00_747;
BgL_arg2094z00_746 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_47))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 661 */
 obj_t BgL_pairz00_1405;
BgL_pairz00_1405 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2095z00_747 = 
CAR(BgL_pairz00_1405); } 
{ /* Llib/pcm.scm 660 */
 int BgL_tmpz00_3973;
BgL_tmpz00_3973 = 
CINT(BgL_arg2095z00_747); 
BgL_test2757z00_3968 = 
snd_pcm_hw_params_test_channels(BgL_arg2094z00_746, BgL_z42hwz42_712, BgL_tmpz00_3973); } } 
if(BgL_test2757z00_3968)
{ /* Llib/pcm.scm 660 */
BgL_tmp1192z00_715 = ((bool_t)0); }  else 
{ /* Llib/pcm.scm 662 */
 obj_t BgL_arg2093z00_745;
{ /* Llib/pcm.scm 662 */
 obj_t BgL_pairz00_1409;
BgL_pairz00_1409 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2093z00_745 = 
CDR(BgL_pairz00_1409); } 
{ 
 obj_t BgL_restz00_3979;
BgL_restz00_3979 = BgL_arg2093z00_745; 
BgL_restz00_719 = BgL_restz00_3979; 
goto BgL_zc3z04anonymousza32069ze3z87_720;} } }  else 
{ /* Llib/pcm.scm 650 */
if(
(BgL_casezd2valuezd2_722==
CNST_TABLE_REF(((long)74))))
{ /* Llib/pcm.scm 664 */
 bool_t BgL_test2759z00_3983;
{ /* Llib/pcm.scm 664 */
 snd_pcm_t * BgL_arg2101z00_753; obj_t BgL_arg2102z00_754;
BgL_arg2101z00_753 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_47))->BgL_z42builtinz42); 
{ /* Llib/pcm.scm 665 */
 obj_t BgL_pairz00_1414;
BgL_pairz00_1414 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2102z00_754 = 
CAR(BgL_pairz00_1414); } 
{ /* Llib/pcm.scm 664 */
 int BgL_auxz00_3990; int BgL_tmpz00_3988;
BgL_auxz00_3990 = 
(int)(((long)0)); 
BgL_tmpz00_3988 = 
CINT(BgL_arg2102z00_754); 
BgL_test2759z00_3983 = 
snd_pcm_hw_params_test_rate(BgL_arg2101z00_753, BgL_z42hwz42_712, BgL_tmpz00_3988, BgL_auxz00_3990); } } 
if(BgL_test2759z00_3983)
{ /* Llib/pcm.scm 664 */
BgL_tmp1192z00_715 = ((bool_t)0); }  else 
{ /* Llib/pcm.scm 666 */
 obj_t BgL_arg2100z00_752;
{ /* Llib/pcm.scm 666 */
 obj_t BgL_pairz00_1418;
BgL_pairz00_1418 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2100z00_752 = 
CDR(BgL_pairz00_1418); } 
{ 
 obj_t BgL_restz00_3996;
BgL_restz00_3996 = BgL_arg2100z00_752; 
BgL_restz00_719 = BgL_restz00_3996; 
goto BgL_zc3z04anonymousza32069ze3z87_720;} } }  else 
{ /* Llib/pcm.scm 668 */
 obj_t BgL_arg2103z00_755;
{ /* Llib/pcm.scm 668 */
 obj_t BgL_pairz00_1422;
BgL_pairz00_1422 = 
CDR(
((obj_t)BgL_restz00_719)); 
BgL_arg2103z00_755 = 
CDR(BgL_pairz00_1422); } 
{ 
 obj_t BgL_restz00_4000;
BgL_restz00_4000 = BgL_arg2103z00_755; 
BgL_restz00_719 = BgL_restz00_4000; 
goto BgL_zc3z04anonymousza32069ze3z87_720;} } } } } } } 
{ /* Llib/pcm.scm 644 */
 bool_t BgL_test2760z00_4001;
{ /* Llib/pcm.scm 644 */
 obj_t BgL_arg1817z00_1424;
BgL_arg1817z00_1424 = 
BGL_EXITD_PROTECT(BgL_exitd1190z00_713); 
BgL_test2760z00_4001 = 
PAIRP(BgL_arg1817z00_1424); } 
if(BgL_test2760z00_4001)
{ /* Llib/pcm.scm 644 */
 obj_t BgL_arg1815z00_1425;
{ /* Llib/pcm.scm 644 */
 obj_t BgL_arg1816z00_1426;
BgL_arg1816z00_1426 = 
BGL_EXITD_PROTECT(BgL_exitd1190z00_713); 
BgL_arg1815z00_1425 = 
CDR(
((obj_t)BgL_arg1816z00_1426)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1190z00_713, BgL_arg1815z00_1425); BUNSPEC; }  else 
{ /* Llib/pcm.scm 644 */BFALSE; } } 
bgl_snd_pcm_hw_params_free(BgL_z42hwz42_712); BUNSPEC; 
return 
BBOOL(BgL_tmp1192z00_715);} } } } } 

}



/* &alsa-snd-pcm-hw-test-params? */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z43zz__alsa_pcmz00(obj_t BgL_envz00_1576, obj_t BgL_pcmz00_1577, obj_t BgL_restz00_1578)
{
{ /* Llib/pcm.scm 642 */
{ /* Llib/pcm.scm 643 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4010;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1577, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 643 */
BgL_auxz00_4010 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1577)
; }  else 
{ 
 obj_t BgL_auxz00_4014;
BgL_auxz00_4014 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)24961)), BGl_string2388z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1577); 
FAILURE(BgL_auxz00_4014,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2hwzd2testzd2paramszf3z21zz__alsa_pcmz00(BgL_auxz00_4010, BgL_restz00_1578);} } 

}



/* &<@anonymous:2104> */
obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1579)
{
{ /* Llib/pcm.scm 644 */
{ 
 snd_pcm_hw_params_t * BgL_z42hwz42_1580;
BgL_z42hwz42_1580 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_1579, 
(int)(((long)0)))); 
bgl_snd_pcm_hw_params_free(BgL_z42hwz42_1580); 
return BUNSPEC;} } 

}



/* alsa-snd-pcm-hw-params-get-buffer-size */
BGL_EXPORTED_DEF int BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ez75zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_49)
{
{ /* Llib/pcm.scm 674 */
{ 
 int BgL_errz00_763;
{ /* Llib/pcm.scm 684 */
 int BgL_arg2105z00_761;
{ /* Llib/pcm.scm 684 */
 snd_pcm_t * BgL_tmpz00_4023;
BgL_tmpz00_4023 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_49))->BgL_z42builtinz42); 
BgL_arg2105z00_761 = 
bgl_snd_pcm_hw_params_get_buffer_size(BgL_tmpz00_4023); } 
{ /* Llib/pcm.scm 684 */
 obj_t BgL_tmpz00_4026;
BgL_errz00_763 = BgL_arg2105z00_761; 
if(
(
(long)(BgL_errz00_763)<((long)0)))
{ /* Llib/pcm.scm 678 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2109z00_766;
{ /* Llib/pcm.scm 678 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1196z00_767;
{ /* Llib/pcm.scm 678 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1195z00_770;
BgL_new1195z00_770 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 678 */
 long BgL_arg2112z00_771;
BgL_arg2112z00_771 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_770), BgL_arg2112z00_771); } 
BgL_new1196z00_767 = BgL_new1195z00_770; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_767)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_767)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4038;
{ /* Llib/pcm.scm 678 */
 obj_t BgL_arg2110z00_768;
{ /* Llib/pcm.scm 678 */
 obj_t BgL_arg2111z00_769;
{ /* Llib/pcm.scm 678 */
 obj_t BgL_classz00_1432;
BgL_classz00_1432 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2111z00_769 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1432); } 
BgL_arg2110z00_768 = 
VECTOR_REF(BgL_arg2111z00_769,((long)2)); } 
BgL_auxz00_4038 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2110z00_768); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_767)))->BgL_stackz00)=((obj_t)BgL_auxz00_4038),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_767)))->BgL_procz00)=((obj_t)BGl_string2389z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_767)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_763))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_767)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_49)),BUNSPEC); 
BgL_arg2109z00_766 = BgL_new1196z00_767; } 
BgL_tmpz00_4026 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2109z00_766)); }  else 
{ /* Llib/pcm.scm 677 */
BgL_tmpz00_4026 = BFALSE
; } 
return 
CINT(BgL_tmpz00_4026);} } } } 

}



/* &alsa-snd-pcm-hw-params-get-buffer-size */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ez17zz__alsa_pcmz00(obj_t BgL_envz00_1581, obj_t BgL_pcmz00_1582)
{
{ /* Llib/pcm.scm 674 */
{ /* Llib/pcm.scm 677 */
 int BgL_tmpz00_4056;
{ /* Llib/pcm.scm 677 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4057;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1582, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 677 */
BgL_auxz00_4057 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1582)
; }  else 
{ 
 obj_t BgL_auxz00_4061;
BgL_auxz00_4061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)26179)), BGl_string2390z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1582); 
FAILURE(BgL_auxz00_4061,BFALSE,BFALSE);} 
BgL_tmpz00_4056 = 
BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2siza7ez75zz__alsa_pcmz00(BgL_auxz00_4057); } 
return 
BINT(BgL_tmpz00_4056);} } 

}



/* alsa-snd-pcm-hw-params-get-buffer-time */
BGL_EXPORTED_DEF int BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_50)
{
{ /* Llib/pcm.scm 689 */
{ 
 int BgL_errz00_777;
{ /* Llib/pcm.scm 699 */
 int BgL_arg2113z00_775;
{ /* Llib/pcm.scm 699 */
 snd_pcm_t * BgL_tmpz00_4067;
BgL_tmpz00_4067 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_50))->BgL_z42builtinz42); 
BgL_arg2113z00_775 = 
bgl_snd_pcm_hw_params_get_buffer_time(BgL_tmpz00_4067); } 
{ /* Llib/pcm.scm 699 */
 obj_t BgL_tmpz00_4070;
BgL_errz00_777 = BgL_arg2113z00_775; 
if(
(
(long)(BgL_errz00_777)<((long)0)))
{ /* Llib/pcm.scm 693 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2117z00_780;
{ /* Llib/pcm.scm 693 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1199z00_781;
{ /* Llib/pcm.scm 693 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1198z00_784;
BgL_new1198z00_784 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 693 */
 long BgL_arg2120z00_785;
BgL_arg2120z00_785 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_784), BgL_arg2120z00_785); } 
BgL_new1199z00_781 = BgL_new1198z00_784; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1199z00_781)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1199z00_781)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4082;
{ /* Llib/pcm.scm 693 */
 obj_t BgL_arg2118z00_782;
{ /* Llib/pcm.scm 693 */
 obj_t BgL_arg2119z00_783;
{ /* Llib/pcm.scm 693 */
 obj_t BgL_classz00_1438;
BgL_classz00_1438 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2119z00_783 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1438); } 
BgL_arg2118z00_782 = 
VECTOR_REF(BgL_arg2119z00_783,((long)2)); } 
BgL_auxz00_4082 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2118z00_782); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1199z00_781)))->BgL_stackz00)=((obj_t)BgL_auxz00_4082),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1199z00_781)))->BgL_procz00)=((obj_t)BGl_string2391z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1199z00_781)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_777))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1199z00_781)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_50)),BUNSPEC); 
BgL_arg2117z00_780 = BgL_new1199z00_781; } 
BgL_tmpz00_4070 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2117z00_780)); }  else 
{ /* Llib/pcm.scm 692 */
BgL_tmpz00_4070 = BFALSE
; } 
return 
CINT(BgL_tmpz00_4070);} } } } 

}



/* &alsa-snd-pcm-hw-params-get-buffer-time */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezb0zz__alsa_pcmz00(obj_t BgL_envz00_1583, obj_t BgL_pcmz00_1584)
{
{ /* Llib/pcm.scm 689 */
{ /* Llib/pcm.scm 692 */
 int BgL_tmpz00_4100;
{ /* Llib/pcm.scm 692 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4101;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1584, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 692 */
BgL_auxz00_4101 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1584)
; }  else 
{ 
 obj_t BgL_auxz00_4105;
BgL_auxz00_4105 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)26794)), BGl_string2392z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1584); 
FAILURE(BgL_auxz00_4105,BFALSE,BFALSE);} 
BgL_tmpz00_4100 = 
BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2bufferzd2timezd2zz__alsa_pcmz00(BgL_auxz00_4101); } 
return 
BINT(BgL_tmpz00_4100);} } 

}



/* alsa-snd-pcm-hw-params-get-rates */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2ratesz00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_51)
{
{ /* Llib/pcm.scm 704 */
{ 
 obj_t BgL_errz00_796;
{ /* Llib/pcm.scm 714 */
 int BgL_curz00_789;
{ /* Llib/pcm.scm 715 */
 snd_pcm_t * BgL_tmpz00_4111;
BgL_tmpz00_4111 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_51))->BgL_z42builtinz42); 
BgL_curz00_789 = 
bgl_snd_pcm_hw_params_get_rates(BgL_tmpz00_4111); } 
{ /* Llib/pcm.scm 715 */
 obj_t BgL_minz00_790; obj_t BgL_maxz00_791;
{ /* Llib/pcm.scm 716 */
 obj_t BgL_tmpz00_1446;
{ /* Llib/pcm.scm 716 */
 int BgL_tmpz00_4114;
BgL_tmpz00_4114 = 
(int)(((long)1)); 
BgL_tmpz00_1446 = 
BGL_MVALUES_VAL(BgL_tmpz00_4114); } 
{ /* Llib/pcm.scm 716 */
 int BgL_tmpz00_4117;
BgL_tmpz00_4117 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4117, BUNSPEC); } 
BgL_minz00_790 = BgL_tmpz00_1446; } 
{ /* Llib/pcm.scm 716 */
 obj_t BgL_tmpz00_1447;
{ /* Llib/pcm.scm 716 */
 int BgL_tmpz00_4120;
BgL_tmpz00_4120 = 
(int)(((long)2)); 
BgL_tmpz00_1447 = 
BGL_MVALUES_VAL(BgL_tmpz00_4120); } 
{ /* Llib/pcm.scm 716 */
 int BgL_tmpz00_4123;
BgL_tmpz00_4123 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4123, BUNSPEC); } 
BgL_maxz00_791 = BgL_tmpz00_1447; } 
BgL_errz00_796 = BgL_minz00_790; 
if(
(
(long)CINT(BgL_errz00_796)<((long)0)))
{ /* Llib/pcm.scm 708 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2124z00_799;
{ /* Llib/pcm.scm 708 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1202z00_800;
{ /* Llib/pcm.scm 708 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1201z00_803;
BgL_new1201z00_803 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 708 */
 long BgL_arg2127z00_804;
BgL_arg2127z00_804 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_803), BgL_arg2127z00_804); } 
BgL_new1202z00_800 = BgL_new1201z00_803; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_800)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_800)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4137;
{ /* Llib/pcm.scm 708 */
 obj_t BgL_arg2125z00_801;
{ /* Llib/pcm.scm 708 */
 obj_t BgL_arg2126z00_802;
{ /* Llib/pcm.scm 708 */
 obj_t BgL_classz00_1444;
BgL_classz00_1444 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2126z00_802 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1444); } 
BgL_arg2125z00_801 = 
VECTOR_REF(BgL_arg2126z00_802,((long)2)); } 
BgL_auxz00_4137 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2125z00_801); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_800)))->BgL_stackz00)=((obj_t)BgL_auxz00_4137),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_800)))->BgL_procz00)=((obj_t)BGl_string2393z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4145;
{ /* Llib/pcm.scm 710 */
 char * BgL_tmpz00_4147;
{ /* Llib/pcm.scm 710 */
 int BgL_tmpz00_4148;
BgL_tmpz00_4148 = 
CINT(BgL_errz00_796); 
BgL_tmpz00_4147 = 
(char *)snd_strerror(BgL_tmpz00_4148); } 
BgL_auxz00_4145 = 
string_to_bstring(BgL_tmpz00_4147); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_800)))->BgL_msgz00)=((obj_t)BgL_auxz00_4145),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_800)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_51)),BUNSPEC); 
BgL_arg2124z00_799 = BgL_new1202z00_800; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2124z00_799)); }  else 
{ /* Llib/pcm.scm 707 */BFALSE; } 
{ /* Llib/pcm.scm 717 */
 int BgL_tmpz00_4158;
BgL_tmpz00_4158 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_4158); } 
{ /* Llib/pcm.scm 717 */
 int BgL_tmpz00_4161;
BgL_tmpz00_4161 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4161, BgL_minz00_790); } 
{ /* Llib/pcm.scm 717 */
 int BgL_tmpz00_4164;
BgL_tmpz00_4164 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4164, BgL_maxz00_791); } 
return 
BINT(BgL_curz00_789);} } } } 

}



/* &alsa-snd-pcm-hw-params-get-rates */
obj_t BGl_z62alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2ratesz62zz__alsa_pcmz00(obj_t BgL_envz00_1585, obj_t BgL_pcmz00_1586)
{
{ /* Llib/pcm.scm 704 */
{ /* Llib/pcm.scm 707 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4168;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1586, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 707 */
BgL_auxz00_4168 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1586)
; }  else 
{ 
 obj_t BgL_auxz00_4172;
BgL_auxz00_4172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)27391)), BGl_string2394z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1586); 
FAILURE(BgL_auxz00_4172,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2hwzd2paramszd2getzd2ratesz00zz__alsa_pcmz00(BgL_auxz00_4168);} } 

}



/* alsa-snd-pcm-sw-set-params! */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_52, obj_t BgL_restz00_53)
{
{ /* Llib/pcm.scm 722 */
{ /* Llib/pcm.scm 734 */
 snd_pcm_sw_params_t * BgL_z42swz42_807;
BgL_z42swz42_807 = 
bgl_snd_pcm_sw_params_malloc(); 
{ /* Llib/pcm.scm 735 */
 obj_t BgL_exitd1206z00_808;
BgL_exitd1206z00_808 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza32157ze3z87_1587;
BgL_zc3z04anonymousza32157ze3z87_1587 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32157ze3ze5zz__alsa_pcmz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_1587, 
(int)(((long)0)), 
void_star_to_obj(BgL_z42swz42_807)); 
{ /* Llib/pcm.scm 735 */
 obj_t BgL_arg1818z00_1456;
{ /* Llib/pcm.scm 735 */
 obj_t BgL_arg1819z00_1457;
BgL_arg1819z00_1457 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_808); 
BgL_arg1818z00_1456 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32157ze3z87_1587, BgL_arg1819z00_1457); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_808, BgL_arg1818z00_1456); BUNSPEC; } 
{ /* Llib/pcm.scm 736 */
 obj_t BgL_tmp1208z00_810;
{ /* Llib/pcm.scm 737 */
 snd_pcm_t * BgL_tmpz00_4188;
BgL_tmpz00_4188 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_52))->BgL_z42builtinz42); 
snd_pcm_sw_params_current(BgL_tmpz00_4188, BgL_z42swz42_807); } 
{ 
 obj_t BgL_restz00_814;
BgL_restz00_814 = BgL_restz00_53; 
BgL_zc3z04anonymousza32129ze3z87_815:
if(
PAIRP(BgL_restz00_814))
{ /* Llib/pcm.scm 739 */
if(
NULLP(
CDR(BgL_restz00_814)))
{ /* Llib/pcm.scm 741 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2133z00_819;
{ /* Llib/pcm.scm 741 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1212z00_820;
{ /* Llib/pcm.scm 741 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1211z00_825;
BgL_new1211z00_825 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 741 */
 long BgL_arg2138z00_826;
BgL_arg2138z00_826 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_825), BgL_arg2138z00_826); } 
BgL_new1212z00_820 = BgL_new1211z00_825; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_820)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_820)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4204;
{ /* Llib/pcm.scm 741 */
 obj_t BgL_arg2134z00_821;
{ /* Llib/pcm.scm 741 */
 obj_t BgL_arg2135z00_822;
{ /* Llib/pcm.scm 741 */
 obj_t BgL_classz00_1462;
BgL_classz00_1462 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2135z00_822 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1462); } 
BgL_arg2134z00_821 = 
VECTOR_REF(BgL_arg2135z00_822,((long)2)); } 
BgL_auxz00_4204 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2134z00_821); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_820)))->BgL_stackz00)=((obj_t)BgL_auxz00_4204),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_820)))->BgL_procz00)=((obj_t)BGl_string2395z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4212;
{ /* Llib/pcm.scm 743 */
 obj_t BgL_arg2136z00_823;
BgL_arg2136z00_823 = 
CAR(BgL_restz00_814); 
{ /* Llib/pcm.scm 743 */
 obj_t BgL_list2137z00_824;
BgL_list2137z00_824 = 
MAKE_YOUNG_PAIR(BgL_arg2136z00_823, BNIL); 
BgL_auxz00_4212 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2384z00zz__alsa_pcmz00, BgL_list2137z00_824); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_820)))->BgL_msgz00)=((obj_t)BgL_auxz00_4212),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_820)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_52)),BUNSPEC); 
BgL_arg2133z00_819 = BgL_new1212z00_820; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2133z00_819)); }  else 
{ /* Llib/pcm.scm 740 */BFALSE; } 
{ /* Llib/pcm.scm 746 */
 obj_t BgL_arg2140z00_828; int BgL_arg2141z00_829;
BgL_arg2140z00_828 = 
CAR(BgL_restz00_814); 
{ /* Llib/pcm.scm 747 */
 obj_t BgL_casezd2valuezd2_830;
BgL_casezd2valuezd2_830 = 
CAR(BgL_restz00_814); 
if(
(BgL_casezd2valuezd2_830==
CNST_TABLE_REF(((long)86))))
{ /* Llib/pcm.scm 749 */
 snd_pcm_t * BgL_arg2143z00_832; obj_t BgL_arg2144z00_833;
BgL_arg2143z00_832 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_52))->BgL_z42builtinz42); 
BgL_arg2144z00_833 = 
CAR(
CDR(BgL_restz00_814)); 
{ /* Llib/pcm.scm 749 */
 snd_pcm_uframes_t BgL_tmpz00_4231;
BgL_tmpz00_4231 = 
(unsigned long)CINT(BgL_arg2144z00_833); 
BgL_arg2141z00_829 = 
snd_pcm_sw_params_set_start_threshold(BgL_arg2143z00_832, BgL_z42swz42_807, BgL_tmpz00_4231); } }  else 
{ /* Llib/pcm.scm 747 */
if(
(BgL_casezd2valuezd2_830==
CNST_TABLE_REF(((long)87))))
{ /* Llib/pcm.scm 752 */
 snd_pcm_t * BgL_arg2146z00_835; obj_t BgL_arg2147z00_836;
BgL_arg2146z00_835 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_52))->BgL_z42builtinz42); 
BgL_arg2147z00_836 = 
CAR(
CDR(BgL_restz00_814)); 
{ /* Llib/pcm.scm 752 */
 snd_pcm_uframes_t BgL_tmpz00_4240;
BgL_tmpz00_4240 = 
(unsigned long)CINT(BgL_arg2147z00_836); 
BgL_arg2141z00_829 = 
snd_pcm_sw_params_set_avail_min(BgL_arg2146z00_835, BgL_z42swz42_807, BgL_tmpz00_4240); } }  else 
{ /* Llib/pcm.scm 747 */
{ /* Llib/pcm.scm 755 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2148z00_837;
{ /* Llib/pcm.scm 755 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1214z00_838;
{ /* Llib/pcm.scm 755 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1213z00_843;
BgL_new1213z00_843 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 755 */
 long BgL_arg2153z00_844;
BgL_arg2153z00_844 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_843), BgL_arg2153z00_844); } 
BgL_new1214z00_838 = BgL_new1213z00_843; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_838)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_838)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4251;
{ /* Llib/pcm.scm 755 */
 obj_t BgL_arg2149z00_839;
{ /* Llib/pcm.scm 755 */
 obj_t BgL_arg2150z00_840;
{ /* Llib/pcm.scm 755 */
 obj_t BgL_classz00_1480;
BgL_classz00_1480 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2150z00_840 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1480); } 
BgL_arg2149z00_839 = 
VECTOR_REF(BgL_arg2150z00_840,((long)2)); } 
BgL_auxz00_4251 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2149z00_839); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_838)))->BgL_stackz00)=((obj_t)BgL_auxz00_4251),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_838)))->BgL_procz00)=((obj_t)BGl_string2395z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4259;
{ /* Llib/pcm.scm 757 */
 obj_t BgL_arg2151z00_841;
BgL_arg2151z00_841 = 
CAR(BgL_restz00_814); 
{ /* Llib/pcm.scm 757 */
 obj_t BgL_list2152z00_842;
BgL_list2152z00_842 = 
MAKE_YOUNG_PAIR(BgL_arg2151z00_841, BNIL); 
BgL_auxz00_4259 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2386z00zz__alsa_pcmz00, BgL_list2152z00_842); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_838)))->BgL_msgz00)=((obj_t)BgL_auxz00_4259),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_838)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_52)),BUNSPEC); 
BgL_arg2148z00_837 = BgL_new1214z00_838; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2148z00_837)); } 
BgL_arg2141z00_829 = 
(int)(((long)0)); } } } 
BGl_checkzd2errorze70z35zz__alsa_pcmz00(BgL_pcmz00_52, BgL_arg2140z00_828, BgL_arg2141z00_829); } 
{ 
 obj_t BgL_restz00_4272;
BgL_restz00_4272 = 
CDR(
CDR(BgL_restz00_814)); 
BgL_restz00_814 = BgL_restz00_4272; 
goto BgL_zc3z04anonymousza32129ze3z87_815;} }  else 
{ /* Llib/pcm.scm 739 */((bool_t)0); } } 
{ /* Llib/pcm.scm 761 */
 int BgL_arg2155z00_847;
{ /* Llib/pcm.scm 761 */
 snd_pcm_t * BgL_tmpz00_4275;
BgL_tmpz00_4275 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_pcmz00_52))->BgL_z42builtinz42); 
BgL_arg2155z00_847 = 
snd_pcm_sw_params(BgL_tmpz00_4275, BgL_z42swz42_807); } 
BgL_tmp1208z00_810 = 
BGl_checkzd2errorze70z35zz__alsa_pcmz00(BgL_pcmz00_52, BFALSE, BgL_arg2155z00_847); } 
{ /* Llib/pcm.scm 735 */
 bool_t BgL_test2772z00_4279;
{ /* Llib/pcm.scm 735 */
 obj_t BgL_arg1817z00_1488;
BgL_arg1817z00_1488 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_808); 
BgL_test2772z00_4279 = 
PAIRP(BgL_arg1817z00_1488); } 
if(BgL_test2772z00_4279)
{ /* Llib/pcm.scm 735 */
 obj_t BgL_arg1815z00_1489;
{ /* Llib/pcm.scm 735 */
 obj_t BgL_arg1816z00_1490;
BgL_arg1816z00_1490 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_808); 
BgL_arg1815z00_1489 = 
CDR(
((obj_t)BgL_arg1816z00_1490)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_808, BgL_arg1815z00_1489); BUNSPEC; }  else 
{ /* Llib/pcm.scm 735 */BFALSE; } } 
bgl_snd_pcm_sw_params_free(BgL_z42swz42_807); BUNSPEC; BgL_tmp1208z00_810; } } } 
return BUNSPEC;} } 

}



/* check-error~0 */
obj_t BGl_checkzd2errorze70z35zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_1687, obj_t BgL_argz00_851, int BgL_errz00_852)
{
{ /* Llib/pcm.scm 732 */
if(
(
(long)(BgL_errz00_852)<((long)0)))
{ /* Llib/pcm.scm 726 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg2160z00_855;
{ /* Llib/pcm.scm 726 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1205z00_856;
{ /* Llib/pcm.scm 726 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1204z00_862;
BgL_new1204z00_862 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/pcm.scm 726 */
 long BgL_arg2166z00_863;
BgL_arg2166z00_863 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_862), BgL_arg2166z00_863); } 
BgL_new1205z00_856 = BgL_new1204z00_862; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1205z00_856)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1205z00_856)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4298;
{ /* Llib/pcm.scm 726 */
 obj_t BgL_arg2161z00_857;
{ /* Llib/pcm.scm 726 */
 obj_t BgL_arg2162z00_858;
{ /* Llib/pcm.scm 726 */
 obj_t BgL_classz00_1452;
BgL_classz00_1452 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg2162z00_858 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1452); } 
BgL_arg2161z00_857 = 
VECTOR_REF(BgL_arg2162z00_858,((long)2)); } 
BgL_auxz00_4298 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2161z00_857); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1205z00_856)))->BgL_stackz00)=((obj_t)BgL_auxz00_4298),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1205z00_856)))->BgL_procz00)=((obj_t)BGl_string2395z00zz__alsa_pcmz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4306;
if(
KEYWORDP(BgL_argz00_851))
{ /* Llib/pcm.scm 729 */
 obj_t BgL_arg2164z00_860; char * BgL_arg2165z00_861;
{ /* Llib/pcm.scm 729 */
 obj_t BgL_arg1454z00_1455;
BgL_arg1454z00_1455 = 
KEYWORD_TO_STRING(BgL_argz00_851); 
BgL_arg2164z00_860 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1454z00_1455); } 
BgL_arg2165z00_861 = 
(char *)snd_strerror(BgL_errz00_852); 
BgL_auxz00_4306 = 
string_append_3(BgL_arg2164z00_860, BGl_string2396z00zz__alsa_pcmz00, 
string_to_bstring(BgL_arg2165z00_861)); }  else 
{ /* Llib/pcm.scm 728 */
BgL_auxz00_4306 = 
string_to_bstring(
(char *)snd_strerror(BgL_errz00_852))
; } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1205z00_856)))->BgL_msgz00)=((obj_t)BgL_auxz00_4306),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1205z00_856)))->BgL_objz00)=((obj_t)
((obj_t)BgL_pcmz00_1687)),BUNSPEC); 
BgL_arg2160z00_855 = BgL_new1205z00_856; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2160z00_855));}  else 
{ /* Llib/pcm.scm 725 */
return BFALSE;} } 

}



/* &alsa-snd-pcm-sw-set-params! */
obj_t BGl_z62alsazd2sndzd2pcmzd2swzd2setzd2paramsz12za2zz__alsa_pcmz00(obj_t BgL_envz00_1588, obj_t BgL_pcmz00_1589, obj_t BgL_restz00_1590)
{
{ /* Llib/pcm.scm 722 */
{ /* Llib/pcm.scm 725 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4323;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1589, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 725 */
BgL_auxz00_4323 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1589)
; }  else 
{ 
 obj_t BgL_auxz00_4327;
BgL_auxz00_4327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)28061)), BGl_string2397z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1589); 
FAILURE(BgL_auxz00_4327,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_auxz00_4323, BgL_restz00_1590);} } 

}



/* &<@anonymous:2157> */
obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1591)
{
{ /* Llib/pcm.scm 735 */
{ 
 snd_pcm_sw_params_t * BgL_z42swz42_1592;
BgL_z42swz42_1592 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_1591, 
(int)(((long)0)))); 
bgl_snd_pcm_sw_params_free(BgL_z42swz42_1592); 
return BUNSPEC;} } 

}



/* alsa-snd-pcm-write */
BGL_EXPORTED_DEF long BGl_alsazd2sndzd2pcmzd2writezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_54, char * BgL_bufferz00_55, long BgL_sza7za7_56)
{
{ /* Llib/pcm.scm 768 */
{ /* Llib/pcm.scm 769 */
 obj_t BgL_tmpz00_4336;
BgL_tmpz00_4336 = 
((obj_t)BgL_pcmz00_54); 
return 
bgl_snd_pcm_write(BgL_tmpz00_4336, BgL_bufferz00_55, BgL_sza7za7_56);} } 

}



/* &alsa-snd-pcm-write */
obj_t BGl_z62alsazd2sndzd2pcmzd2writezb0zz__alsa_pcmz00(obj_t BgL_envz00_1593, obj_t BgL_pcmz00_1594, obj_t BgL_bufferz00_1595, obj_t BgL_sza7za7_1596)
{
{ /* Llib/pcm.scm 768 */
{ /* Llib/pcm.scm 769 */
 long BgL_tmpz00_4339;
{ /* Llib/pcm.scm 769 */
 long BgL_auxz00_4357; char * BgL_auxz00_4348; BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4340;
{ /* Llib/pcm.scm 769 */
 obj_t BgL_tmpz00_4358;
if(
INTEGERP(BgL_sza7za7_1596))
{ /* Llib/pcm.scm 769 */
BgL_tmpz00_4358 = BgL_sza7za7_1596
; }  else 
{ 
 obj_t BgL_auxz00_4361;
BgL_auxz00_4361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)29620)), BGl_string2398z00zz__alsa_pcmz00, BGl_string2351z00zz__alsa_pcmz00, BgL_sza7za7_1596); 
FAILURE(BgL_auxz00_4361,BFALSE,BFALSE);} 
BgL_auxz00_4357 = 
(long)CINT(BgL_tmpz00_4358); } 
{ /* Llib/pcm.scm 769 */
 obj_t BgL_tmpz00_4349;
if(
STRINGP(BgL_bufferz00_1595))
{ /* Llib/pcm.scm 769 */
BgL_tmpz00_4349 = BgL_bufferz00_1595
; }  else 
{ 
 obj_t BgL_auxz00_4352;
BgL_auxz00_4352 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)29620)), BGl_string2398z00zz__alsa_pcmz00, BGl_string2356z00zz__alsa_pcmz00, BgL_bufferz00_1595); 
FAILURE(BgL_auxz00_4352,BFALSE,BFALSE);} 
BgL_auxz00_4348 = 
BSTRING_TO_STRING(BgL_tmpz00_4349); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1594, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 769 */
BgL_auxz00_4340 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1594)
; }  else 
{ 
 obj_t BgL_auxz00_4344;
BgL_auxz00_4344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)29620)), BGl_string2398z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1594); 
FAILURE(BgL_auxz00_4344,BFALSE,BFALSE);} 
BgL_tmpz00_4339 = 
BGl_alsazd2sndzd2pcmzd2writezd2zz__alsa_pcmz00(BgL_auxz00_4340, BgL_auxz00_4348, BgL_auxz00_4357); } 
return 
BINT(BgL_tmpz00_4339);} } 

}



/* alsa-snd-pcm-flush */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2pcmzd2flushzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt BgL_pcmz00_57)
{
{ /* Llib/pcm.scm 774 */
{ /* Llib/pcm.scm 775 */
 obj_t BgL_tmpz00_4368;
BgL_tmpz00_4368 = 
((obj_t)BgL_pcmz00_57); 
bgl_snd_pcm_flush(BgL_tmpz00_4368); } 
return BUNSPEC;} 

}



/* &alsa-snd-pcm-flush */
obj_t BGl_z62alsazd2sndzd2pcmzd2flushzb0zz__alsa_pcmz00(obj_t BgL_envz00_1597, obj_t BgL_pcmz00_1598)
{
{ /* Llib/pcm.scm 774 */
{ /* Llib/pcm.scm 774 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4371;
if(
BGl_isazf3zf3zz__objectz00(BgL_pcmz00_1598, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00))
{ /* Llib/pcm.scm 774 */
BgL_auxz00_4371 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcmz00_1598)
; }  else 
{ 
 obj_t BgL_auxz00_4375;
BgL_auxz00_4375 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2332z00zz__alsa_pcmz00, 
BINT(((long)29879)), BGl_string2399z00zz__alsa_pcmz00, BGl_string2334z00zz__alsa_pcmz00, BgL_pcmz00_1598); 
FAILURE(BgL_auxz00_4375,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2pcmzd2flushzd2zz__alsa_pcmz00(BgL_auxz00_4371);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2170z00_868; obj_t BgL_arg2171z00_869;
{ /* Llib/pcm.scm 21 */
 obj_t BgL_v1225z00_887;
BgL_v1225z00_887 = 
create_vector(((long)7)); 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2178z00_888;
BgL_arg2178z00_888 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)88)), BGl_proc2402z00zz__alsa_pcmz00, BGl_proc2401z00zz__alsa_pcmz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2400z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)89))); 
VECTOR_SET(BgL_v1225z00_887,((long)0),BgL_arg2178z00_888); } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2185z00_901;
BgL_arg2185z00_901 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)90)), BGl_proc2405z00zz__alsa_pcmz00, BGl_proc2404z00zz__alsa_pcmz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2403z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)91))); 
VECTOR_SET(BgL_v1225z00_887,((long)1),BgL_arg2185z00_901); } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2192z00_914;
BgL_arg2192z00_914 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)92)), BGl_proc2408z00zz__alsa_pcmz00, BGl_proc2407z00zz__alsa_pcmz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2406z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)91))); 
VECTOR_SET(BgL_v1225z00_887,((long)2),BgL_arg2192z00_914); } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2200z00_927;
BgL_arg2200z00_927 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)93)), BGl_proc2411z00zz__alsa_pcmz00, BGl_proc2410z00zz__alsa_pcmz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2409z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)94))); 
VECTOR_SET(BgL_v1225z00_887,((long)3),BgL_arg2200z00_927); } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2207z00_940;
BgL_arg2207z00_940 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)95)), BGl_proc2414z00zz__alsa_pcmz00, BGl_proc2413z00zz__alsa_pcmz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2412z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)94))); 
VECTOR_SET(BgL_v1225z00_887,((long)4),BgL_arg2207z00_940); } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2214z00_953;
BgL_arg2214z00_953 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)96)), BGl_proc2417z00zz__alsa_pcmz00, BGl_proc2416z00zz__alsa_pcmz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2415z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)97))); 
VECTOR_SET(BgL_v1225z00_887,((long)5),BgL_arg2214z00_953); } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_arg2221z00_966;
BgL_arg2221z00_966 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)98)), BGl_proc2420z00zz__alsa_pcmz00, BGl_proc2419z00zz__alsa_pcmz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2418z00zz__alsa_pcmz00, 
CNST_TABLE_REF(((long)97))); 
VECTOR_SET(BgL_v1225z00_887,((long)6),BgL_arg2221z00_966); } 
BgL_arg2170z00_868 = BgL_v1225z00_887; } 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_v1226z00_979;
BgL_v1226z00_979 = 
create_vector(((long)0)); 
BgL_arg2171z00_869 = BgL_v1226z00_979; } 
return ( 
BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)99)), 
CNST_TABLE_REF(((long)100)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)22534), BGl_proc2423z00zz__alsa_pcmz00, BGl_proc2422z00zz__alsa_pcmz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc2421z00zz__alsa_pcmz00, BFALSE, BgL_arg2170z00_868, BgL_arg2171z00_869), BUNSPEC) ;} } 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1623, obj_t BgL_new1058z00_1624)
{
{ /* Llib/pcm.scm 21 */
{ 
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_4413;
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_z42builtinz42)=((snd_pcm_t *)
0L),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_namez00)=((obj_t)BGl_string2424z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_devicez00)=((obj_t)BGl_string2424z00zz__alsa_pcmz00),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_streamz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_modez00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_hwbpsz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624)))->BgL_hwsratez00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_4413 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_new1058z00_1624); 
return 
((obj_t)BgL_auxz00_4413);} } 

}



/* &lambda2175 */
BgL_alsazd2sndzd2pcmz00_bglt BGl_z62lambda2175z62zz__alsa_pcmz00(obj_t BgL_envz00_1625)
{
{ /* Llib/pcm.scm 21 */
{ /* Llib/pcm.scm 21 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_new1057z00_1863;
BgL_new1057z00_1863 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2pcmz00_bgl) ))); 
{ /* Llib/pcm.scm 21 */
 long BgL_arg2176z00_1864;
BgL_arg2176z00_1864 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_1863), BgL_arg2176z00_1864); } 
return BgL_new1057z00_1863;} } 

}



/* &lambda2172 */
BgL_alsazd2sndzd2pcmz00_bglt BGl_z62lambda2172z62zz__alsa_pcmz00(obj_t BgL_envz00_1626, obj_t BgL_z42builtin1050z42_1627, obj_t BgL_name1051z00_1628, obj_t BgL_device1052z00_1629, obj_t BgL_stream1053z00_1630, obj_t BgL_mode1054z00_1631, obj_t BgL_hwbps1055z00_1632, obj_t BgL_hwsrate1056z00_1633)
{
{ /* Llib/pcm.scm 21 */
{ /* Llib/pcm.scm 21 */
 snd_pcm_t * BgL_z42builtin1050z42_1865; int BgL_hwbps1055z00_1870; int BgL_hwsrate1056z00_1871;
BgL_z42builtin1050z42_1865 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_1627); 
BgL_hwbps1055z00_1870 = 
CINT(BgL_hwbps1055z00_1632); 
BgL_hwsrate1056z00_1871 = 
CINT(BgL_hwsrate1056z00_1633); 
{ /* Llib/pcm.scm 21 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_new1216z00_1872;
{ /* Llib/pcm.scm 21 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_new1215z00_1873;
BgL_new1215z00_1873 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2pcmz00_bgl) ))); 
{ /* Llib/pcm.scm 21 */
 long BgL_arg2174z00_1874;
BgL_arg2174z00_1874 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_1873), BgL_arg2174z00_1874); } 
BgL_new1216z00_1872 = BgL_new1215z00_1873; } 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_z42builtinz42)=((snd_pcm_t *)BgL_z42builtin1050z42_1865),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1051z00_1628)),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_devicez00)=((obj_t)
((obj_t)BgL_device1052z00_1629)),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_streamz00)=((obj_t)
((obj_t)BgL_stream1053z00_1630)),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_modez00)=((obj_t)
((obj_t)BgL_mode1054z00_1631)),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_hwbpsz00)=((int)BgL_hwbps1055z00_1870),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1216z00_1872))->BgL_hwsratez00)=((int)BgL_hwsrate1056z00_1871),BUNSPEC); 
{ /* Llib/pcm.scm 21 */
 obj_t BgL_fun2173z00_1875;
BgL_fun2173z00_1875 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00); 
PROCEDURE_ENTRY(BgL_fun2173z00_1875)(BgL_fun2173z00_1875, 
((obj_t)BgL_new1216z00_1872), BEOA); } 
return BgL_new1216z00_1872;} } } 

}



/* &<@anonymous:2227> */
obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1634)
{
{ /* Llib/pcm.scm 21 */
return 
BINT(((long)384000));} 

}



/* &lambda2226 */
obj_t BGl_z62lambda2226z62zz__alsa_pcmz00(obj_t BgL_envz00_1635, obj_t BgL_oz00_1636, obj_t BgL_vz00_1637)
{
{ /* Llib/pcm.scm 21 */
{ /* Llib/pcm.scm 21 */
 int BgL_vz00_1877;
BgL_vz00_1877 = 
CINT(BgL_vz00_1637); 
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1636)))->BgL_hwsratez00)=((int)BgL_vz00_1877),BUNSPEC);} } 

}



/* &lambda2225 */
obj_t BGl_z62lambda2225z62zz__alsa_pcmz00(obj_t BgL_envz00_1638, obj_t BgL_oz00_1639)
{
{ /* Llib/pcm.scm 21 */
return 
BINT(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1639)))->BgL_hwsratez00));} 

}



/* &<@anonymous:2220> */
obj_t BGl_z62zc3z04anonymousza32220ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1640)
{
{ /* Llib/pcm.scm 21 */
return 
BINT(((long)32));} 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__alsa_pcmz00(obj_t BgL_envz00_1641, obj_t BgL_oz00_1642, obj_t BgL_vz00_1643)
{
{ /* Llib/pcm.scm 21 */
{ /* Llib/pcm.scm 21 */
 int BgL_vz00_1880;
BgL_vz00_1880 = 
CINT(BgL_vz00_1643); 
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1642)))->BgL_hwbpsz00)=((int)BgL_vz00_1880),BUNSPEC);} } 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__alsa_pcmz00(obj_t BgL_envz00_1644, obj_t BgL_oz00_1645)
{
{ /* Llib/pcm.scm 21 */
return 
BINT(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1645)))->BgL_hwbpsz00));} 

}



/* &<@anonymous:2213> */
obj_t BGl_z62zc3z04anonymousza32213ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1646)
{
{ /* Llib/pcm.scm 21 */
return 
CNST_TABLE_REF(((long)12));} 

}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__alsa_pcmz00(obj_t BgL_envz00_1647, obj_t BgL_oz00_1648, obj_t BgL_vz00_1649)
{
{ /* Llib/pcm.scm 21 */
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1648)))->BgL_modez00)=((obj_t)
((obj_t)BgL_vz00_1649)),BUNSPEC);} 

}



/* &lambda2211 */
obj_t BGl_z62lambda2211z62zz__alsa_pcmz00(obj_t BgL_envz00_1650, obj_t BgL_oz00_1651)
{
{ /* Llib/pcm.scm 21 */
return 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1651)))->BgL_modez00);} 

}



/* &<@anonymous:2206> */
obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1652)
{
{ /* Llib/pcm.scm 21 */
return 
CNST_TABLE_REF(((long)10));} 

}



/* &lambda2205 */
obj_t BGl_z62lambda2205z62zz__alsa_pcmz00(obj_t BgL_envz00_1653, obj_t BgL_oz00_1654, obj_t BgL_vz00_1655)
{
{ /* Llib/pcm.scm 21 */
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1654)))->BgL_streamz00)=((obj_t)
((obj_t)BgL_vz00_1655)),BUNSPEC);} 

}



/* &lambda2204 */
obj_t BGl_z62lambda2204z62zz__alsa_pcmz00(obj_t BgL_envz00_1656, obj_t BgL_oz00_1657)
{
{ /* Llib/pcm.scm 21 */
return 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1657)))->BgL_streamz00);} 

}



/* &<@anonymous:2199> */
obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1658)
{
{ /* Llib/pcm.scm 21 */
return BGl_string2425z00zz__alsa_pcmz00;} 

}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__alsa_pcmz00(obj_t BgL_envz00_1659, obj_t BgL_oz00_1660, obj_t BgL_vz00_1661)
{
{ /* Llib/pcm.scm 21 */
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1660)))->BgL_devicez00)=((obj_t)
((obj_t)BgL_vz00_1661)),BUNSPEC);} 

}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__alsa_pcmz00(obj_t BgL_envz00_1662, obj_t BgL_oz00_1663)
{
{ /* Llib/pcm.scm 21 */
return 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1663)))->BgL_devicez00);} 

}



/* &<@anonymous:2191> */
obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1664)
{
{ /* Llib/pcm.scm 21 */
return BGl_string2424z00zz__alsa_pcmz00;} 

}



/* &lambda2190 */
obj_t BGl_z62lambda2190z62zz__alsa_pcmz00(obj_t BgL_envz00_1665, obj_t BgL_oz00_1666, obj_t BgL_vz00_1667)
{
{ /* Llib/pcm.scm 21 */
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1666)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_1667)),BUNSPEC);} 

}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__alsa_pcmz00(obj_t BgL_envz00_1668, obj_t BgL_oz00_1669)
{
{ /* Llib/pcm.scm 21 */
return 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1669)))->BgL_namez00);} 

}



/* &<@anonymous:2184> */
obj_t BGl_z62zc3z04anonymousza32184ze3ze5zz__alsa_pcmz00(obj_t BgL_envz00_1670)
{
{ /* Llib/pcm.scm 21 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2183 */
obj_t BGl_z62lambda2183z62zz__alsa_pcmz00(obj_t BgL_envz00_1671, obj_t BgL_oz00_1672, obj_t BgL_vz00_1673)
{
{ /* Llib/pcm.scm 21 */
{ /* Llib/pcm.scm 21 */
 snd_pcm_t * BgL_vz00_1895;
BgL_vz00_1895 = 
FOREIGN_TO_COBJ(BgL_vz00_1673); 
return 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1672)))->BgL_z42builtinz42)=((snd_pcm_t *)BgL_vz00_1895),BUNSPEC);} } 

}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__alsa_pcmz00(obj_t BgL_envz00_1674, obj_t BgL_oz00_1675)
{
{ /* Llib/pcm.scm 21 */
return 
void_star_to_obj(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1675)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00, BGl_proc2426z00zz__alsa_pcmz00, BGl_string2427z00zz__alsa_pcmz00);} 

}



/* &object-print-alsa-sn1228 */
obj_t BGl_z62objectzd2printzd2alsazd2sn1228zb0zz__alsa_pcmz00(obj_t BgL_envz00_1679, obj_t BgL_oz00_1680, obj_t BgL_portz00_1681, obj_t BgL_printzd2slotzd2_1682)
{
{ /* Llib/pcm.scm 65 */
{ /* Llib/pcm.scm 67 */
 obj_t BgL_tmpz00_4508;
BgL_tmpz00_4508 = 
((obj_t)BgL_portz00_1681); 
bgl_display_string(BGl_string2428z00zz__alsa_pcmz00, BgL_tmpz00_4508); } 
{ /* Llib/pcm.scm 68 */
 obj_t BgL_arg2228z00_1898;
BgL_arg2228z00_1898 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1680)))->BgL_namez00); 
PROCEDURE_ENTRY(BgL_printzd2slotzd2_1682)(BgL_printzd2slotzd2_1682, BgL_arg2228z00_1898, BgL_portz00_1681, BEOA); } 
{ /* Llib/pcm.scm 69 */
 obj_t BgL_tmpz00_4518;
BgL_tmpz00_4518 = 
((obj_t)BgL_portz00_1681); 
bgl_display_string(BGl_string2429z00zz__alsa_pcmz00, BgL_tmpz00_4518); } 
{ /* Llib/pcm.scm 70 */
 obj_t BgL_arg2229z00_1899;
BgL_arg2229z00_1899 = 
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_oz00_1680)))->BgL_devicez00); 
PROCEDURE_ENTRY(BgL_printzd2slotzd2_1682)(BgL_printzd2slotzd2_1682, BgL_arg2229z00_1899, BgL_portz00_1681, BEOA); } 
{ /* Llib/pcm.scm 71 */
 obj_t BgL_tmpz00_4528;
BgL_tmpz00_4528 = 
((obj_t)BgL_portz00_1681); 
return 
bgl_display_string(BGl_string2430z00zz__alsa_pcmz00, BgL_tmpz00_4528);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__alsa_pcmz00()
{
{ /* Llib/pcm.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)265821328), 
BSTRING_TO_STRING(BGl_string2431z00zz__alsa_pcmz00));} 

}

#ifdef __cplusplus
}
#endif
