/*===========================================================================*/
/*   (Llib/avahi.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi avahi -copt -D_REENTRANT -copt -fPIC -copt -IClib Llib/avahi.scm -o objs/avahi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <avahi-client/client.h>
#include <avahi-client/lookup.h>
#include <avahi-client/publish.h>
#include <avahi-common/simple-watch.h>
#include <avahi-common/thread-watch.h>
#include <avahi-common/error.h>
#include <avahi-common/alternative.h>
#include <bavahi.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62avahizd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2errorzb0_bglt;

typedef struct BgL_z62avahizd2collisionzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2collisionzd2errorz62_bglt;

typedef struct BgL_avahizd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_avahizd2objectzd2_bglt;

typedef struct BgL_avahizd2pollzd2_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
} *BgL_avahizd2pollzd2_bglt;

typedef struct BgL_avahizd2simplezd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiSimplePoll * BgL_z42builtinz42;
} *BgL_avahizd2simplezd2pollz00_bglt;

typedef struct BgL_avahizd2threadedzd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiThreadedPoll * BgL_z42builtinz42;
} *BgL_avahizd2threadedzd2pollz00_bglt;

typedef struct BgL_avahizd2clientzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiClient * BgL_z42builtinz42;
   struct BgL_avahizd2pollzd2_bgl * BgL_pollz00;
   obj_t BgL_flagsz00;
   obj_t BgL_procz00;
   obj_t BgL_z52groupsz52;
   obj_t BgL_z52browsersz52;
   obj_t BgL_resolversz00;
} *BgL_avahizd2clientzd2_bglt;

typedef struct BgL_avahizd2entryzd2groupz00_bgl {
   header_t header;
   obj_t widening;
   AvahiEntryGroup * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
} *BgL_avahizd2entryzd2groupz00_bglt;

typedef struct BgL_avahizd2servicezd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2typezd2browserzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceTypeBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2typezd2browserzd2_bglt;

typedef struct BgL_avahizd2domainzd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiDomainBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_btypez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2domainzd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2resolverz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceResolver * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
   obj_t BgL_namez00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2resolverz00_bglt;


static BgL_avahizd2objectzd2_bglt BGl_z62lambda1847z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1929z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern AvahiStringList * bgl_avahi_list_to_string_list(obj_t);
static obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1930z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1854z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1935z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1936z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31871ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1941z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1861z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1942z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1862z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1948z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1869z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();
static obj_t BGl_z62lambda1870z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31856ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1877z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1880z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1961z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent);
static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1962z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1887z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda1888z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00();
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2objectzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1895z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1898z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__avahi_avahiz00();
BGL_EXPORTED_DECL obj_t bgl_avahi_error(char *, char *, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__avahi_avahiz00();
static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent);
static obj_t BGl_z62avahizd2initzd2avahizd2thr1261zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags);
static obj_t BGl_z62zc3z04anonymousza32035ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_client_state_to_symbol(AvahiClientState);
BGL_EXPORTED_DECL obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__avahi_avahiz00();
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t);
static obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32241ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32144ze3ze5zz__avahi_avahiz00(obj_t);
extern void bgl_avahi_invoke_callbacks();
static obj_t BGl_z62zc3z04anonymousza31988ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2101z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2102z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2108z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2cli1263zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lock();
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2sim1259zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2115z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2118z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62avahizd2error2278zb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2202z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1268zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2203z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31290ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2125z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2126z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2208z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2047z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2209z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62avahizd2init1256zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2initzd2avahizd2ser1270zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ent1265zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1274zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2050z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2131z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2132z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2214z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2137z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2057z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2058z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2142z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2223z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2143z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2224z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2063z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2064z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2228z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2229z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2068z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2069z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2150z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2233z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2153z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2234z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2075z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2239z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2078z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00();
static obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00();
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2240z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00();
static obj_t BGl_z62lambda2160z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2085z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2166z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2086z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2167z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2initzd2avahizd2dom1272zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2171z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2091z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2172z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2092z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2096z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2177z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2097z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt);
static obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2184z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2185z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2192z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2195z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, int);
BGL_EXPORTED_DECL obj_t bgl_avahi_unlock();
BGL_EXPORTED_DECL obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex);
static obj_t BGl_z62zc3z04anonymousza31842ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1821z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1823z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1906z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_signal();
static obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1830z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1831z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1913z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1916z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1838z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1840z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1923z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1924z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 101 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2591z00, BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2si2592za7, BGl_z62z52avahizd2signalze2zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2593z00, BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2resol2594z00, BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2595z00, BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2lo2596za7, BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2400z00zz__avahi_avahiz00, BgL_bgl_string2400za700za7za7_2597za7, "&avahi-domain-browser-close", 27 );
DEFINE_STRING( BGl_string2401z00zz__avahi_avahiz00, BgL_bgl_string2401za700za7za7_2598za7, "avahi-domain-browser", 20 );
DEFINE_STRING( BGl_string2402z00zz__avahi_avahiz00, BgL_bgl_string2402za700za7za7_2599za7, "&avahi-service-resolver-close", 29 );
DEFINE_STRING( BGl_string2403z00zz__avahi_avahiz00, BgL_bgl_string2403za700za7za7_2600za7, "avahi-service-resolver", 22 );
DEFINE_STRING( BGl_string2404z00zz__avahi_avahiz00, BgL_bgl_string2404za700za7za7_2601za7, "avahi-browser-event->symbol", 27 );
DEFINE_STRING( BGl_string2405z00zz__avahi_avahiz00, BgL_bgl_string2405za700za7za7_2602za7, "Unknown event", 13 );
DEFINE_STRING( BGl_string2406z00zz__avahi_avahiz00, BgL_bgl_string2406za700za7za7_2603za7, "&avahi-browser-event->symbol", 28 );
DEFINE_STRING( BGl_string2407z00zz__avahi_avahiz00, BgL_bgl_string2407za700za7za7_2604za7, "avahi-resolver-event->symbol", 28 );
DEFINE_STRING( BGl_string2408z00zz__avahi_avahiz00, BgL_bgl_string2408za700za7za7_2605za7, "&avahi-resolver-event->symbol", 29 );
DEFINE_STRING( BGl_string2409z00zz__avahi_avahiz00, BgL_bgl_string2409za700za7za7_2606za7, "avahi-if-index->symbol", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2errorzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2error2607z00, BGl_z62avahizd2error2278zb0zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2410z00zz__avahi_avahiz00, BgL_bgl_string2410za700za7za7_2608za7, "Unknown index", 13 );
DEFINE_STRING( BGl_string2411z00zz__avahi_avahiz00, BgL_bgl_string2411za700za7za7_2609za7, "&avahi-if-index->symbol", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2610z00, BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2412z00zz__avahi_avahiz00, BgL_bgl_string2412za700za7za7_2611za7, "avahi-protocol->symbol", 22 );
DEFINE_STRING( BGl_string2413z00zz__avahi_avahiz00, BgL_bgl_string2413za700za7za7_2612za7, "Unknown protocol", 16 );
DEFINE_STRING( BGl_string2414z00zz__avahi_avahiz00, BgL_bgl_string2414za700za7za7_2613za7, "&avahi-protocol->symbol", 23 );
DEFINE_STRING( BGl_string2415z00zz__avahi_avahiz00, BgL_bgl_string2415za700za7za7_2614za7, "avahi-symbol->protocol", 22 );
DEFINE_STRING( BGl_string2416z00zz__avahi_avahiz00, BgL_bgl_string2416za700za7za7_2615za7, "&avahi-symbol->protocol", 23 );
DEFINE_STRING( BGl_string2417z00zz__avahi_avahiz00, BgL_bgl_string2417za700za7za7_2616za7, "symbol", 6 );
DEFINE_STRING( BGl_string2418z00zz__avahi_avahiz00, BgL_bgl_string2418za700za7za7_2617za7, "avahi-lookup-flags->symbol", 26 );
DEFINE_STRING( BGl_string2419z00zz__avahi_avahiz00, BgL_bgl_string2419za700za7za7_2618za7, "Unknown lookup-flag", 19 );
DEFINE_STRING( BGl_string2420z00zz__avahi_avahiz00, BgL_bgl_string2420za700za7za7_2619za7, "&avahi-lookup-flags->symbol", 27 );
DEFINE_STRING( BGl_string2421z00zz__avahi_avahiz00, BgL_bgl_string2421za700za7za7_2620za7, "avahi-lookup-result-flags->symbol", 33 );
DEFINE_STRING( BGl_string2422z00zz__avahi_avahiz00, BgL_bgl_string2422za700za7za7_2621za7, "Unknown lookup-result-flag", 26 );
DEFINE_STRING( BGl_string2423z00zz__avahi_avahiz00, BgL_bgl_string2423za700za7za7_2622za7, "&avahi-lookup-result-flags->symbol", 34 );
DEFINE_STRING( BGl_string2424z00zz__avahi_avahiz00, BgL_bgl_string2424za700za7za7_2623za7, "avahi-symbol->domain-browser-type", 33 );
DEFINE_STRING( BGl_string2425z00zz__avahi_avahiz00, BgL_bgl_string2425za700za7za7_2624za7, "Unknown btype", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__avahi_avahiz00, BgL_bgl_za762lambda2069za7622625z00, BGl_z62lambda2069z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__avahi_avahiz00, BgL_bgl_za762lambda2068za7622626z00, BGl_z62lambda2068z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2627za7, BGl_z62zc3z04anonymousza32052ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__avahi_avahiz00, BgL_bgl_za762lambda2050za7622628z00, BGl_z62lambda2050z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__avahi_avahiz00, BgL_bgl_za762lambda2047za7622629z00, BGl_z62lambda2047z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2630za7, BGl_z62zc3z04anonymousza32087ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__avahi_avahiz00, BgL_bgl_za762lambda2086za7622631z00, BGl_z62lambda2086z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2ifza7d22632za7, BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__avahi_avahiz00, BgL_bgl_za762lambda2085za7622633z00, BGl_z62lambda2085z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2634za7, BGl_z62zc3z04anonymousza31832ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__avahi_avahiz00, BgL_bgl_za762lambda2092za7622635z00, BGl_z62lambda2092z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__avahi_avahiz00, BgL_bgl_za762lambda1831za7622636z00, BGl_z62lambda1831z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__avahi_avahiz00, BgL_bgl_za762lambda2091za7622637z00, BGl_z62lambda2091z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__avahi_avahiz00, BgL_bgl_za762lambda1830za7622638z00, BGl_z62lambda1830z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2639za7, BGl_z62zc3z04anonymousza31825ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2359z00zz__avahi_avahiz00, BgL_bgl_string2359za700za7za7_2640za7, "Llib/avahi.scm", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2641z00, BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__avahi_avahiz00, BgL_bgl_za762lambda2097za7622642z00, BGl_z62lambda2097z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__avahi_avahiz00, BgL_bgl_za762lambda2096za7622643z00, BGl_z62lambda2096z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__avahi_avahiz00, BgL_bgl_za762lambda1823za7622644z00, BGl_z62lambda1823z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__avahi_avahiz00, BgL_bgl_za762lambda2102za7622645z00, BGl_z62lambda2102z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__avahi_avahiz00, BgL_bgl_za762lambda1821za7622646z00, BGl_z62lambda1821z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__avahi_avahiz00, BgL_bgl_za762lambda2101za7622647z00, BGl_z62lambda2101z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2648za7, BGl_z62zc3z04anonymousza31842ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2649za7, BGl_z62zc3z04anonymousza32109ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__avahi_avahiz00, BgL_bgl_za762lambda1840za7622650z00, BGl_z62lambda1840z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__avahi_avahiz00, BgL_bgl_za762lambda2108za7622651z00, BGl_z62lambda2108z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__avahi_avahiz00, BgL_bgl_za762lambda1838za7622652z00, BGl_z62lambda1838z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__avahi_avahiz00, BgL_bgl_za762lambda2107za7622653z00, BGl_z62lambda2107z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2654za7, BGl_z62zc3z04anonymousza31849ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2360z00zz__avahi_avahiz00, BgL_bgl_string2360za700za7za7_2655za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/avahi/src/Llib/avahi.scm", 64 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2656za7, BGl_z62zc3z04anonymousza32080ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__avahi_avahiz00, BgL_bgl_za762lambda1847za7622657z00, BGl_z62lambda1847z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2361z00zz__avahi_avahiz00, BgL_bgl_string2361za700za7za7_2658za7, "&avahi-error2278", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__avahi_avahiz00, BgL_bgl_za762lambda2078za7622659z00, BGl_z62lambda2078z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2437z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2660za7, BGl_z62zc3z04anonymousza31863ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2362z00zz__avahi_avahiz00, BgL_bgl_string2362za700za7za7_2661za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__avahi_avahiz00, BgL_bgl_za762lambda2075za7622662z00, BGl_z62lambda2075z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__avahi_avahiz00, BgL_bgl_za762lambda1862za7622663z00, BGl_z62lambda1862z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2363z00zz__avahi_avahiz00, BgL_bgl_string2363za700za7za7_2664za7, "bint", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__avahi_avahiz00, BgL_bgl_za762lambda1861za7622665z00, BGl_z62lambda1861z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2364z00zz__avahi_avahiz00, BgL_bgl_string2364za700za7za7_2666za7, "avahi", 5 );
DEFINE_STRING( BGl_string2365z00zz__avahi_avahiz00, BgL_bgl_string2365za700za7za7_2667za7, "&avahi-simple-poll-close", 24 );
DEFINE_STRING( BGl_string2366z00zz__avahi_avahiz00, BgL_bgl_string2366za700za7za7_2668za7, "avahi-simple-poll", 17 );
DEFINE_STRING( BGl_string2367z00zz__avahi_avahiz00, BgL_bgl_string2367za700za7za7_2669za7, "&avahi-simple-poll-loop", 23 );
DEFINE_STRING( BGl_string2368z00zz__avahi_avahiz00, BgL_bgl_string2368za700za7za7_2670za7, "avahi-simple-poll-timeout", 25 );
DEFINE_STRING( BGl_string2369z00zz__avahi_avahiz00, BgL_bgl_string2369za700za7za7_2671za7, "Illegal callback", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2672za7, BGl_z62zc3z04anonymousza32127ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__avahi_avahiz00, BgL_bgl_za762lambda2126za7622673z00, BGl_z62lambda2126z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2674za7, BGl_z62zc3z04anonymousza31871ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__avahi_avahiz00, BgL_bgl_za762lambda2125za7622675z00, BGl_z62lambda2125z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__avahi_avahiz00, BgL_bgl_za762lambda1870za7622676z00, BGl_z62lambda1870z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__avahi_avahiz00, BgL_bgl_za762lambda2132za7622677z00, BGl_z62lambda2132z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2442z00zz__avahi_avahiz00, BgL_bgl_za762lambda1869za7622678z00, BGl_z62lambda1869z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__avahi_avahiz00, BgL_bgl_za762lambda2131za7622679z00, BGl_z62lambda2131z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2443z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2680za7, BGl_z62zc3z04anonymousza31856ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__avahi_avahiz00, BgL_bgl_za762lambda2137za7622681z00, BGl_z62lambda2137z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__avahi_avahiz00, BgL_bgl_za762lambda1854za7622682z00, BGl_z62lambda1854z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__avahi_avahiz00, BgL_bgl_za762lambda2136za7622683z00, BGl_z62lambda2136z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2684za7, BGl_z62zc3z04anonymousza31889ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2370z00zz__avahi_avahiz00, BgL_bgl_string2370za700za7za7_2685za7, "&avahi-simple-poll-timeout", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2686za7, BGl_z62zc3z04anonymousza32144ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__avahi_avahiz00, BgL_bgl_za762lambda1888za7622687z00, BGl_z62lambda1888z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2371z00zz__avahi_avahiz00, BgL_bgl_string2371za700za7za7_2688za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__avahi_avahiz00, BgL_bgl_za762lambda2143za7622689z00, BGl_z62lambda2143z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__avahi_avahiz00, BgL_bgl_za762lambda1887za7622690z00, BGl_z62lambda1887z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2372z00zz__avahi_avahiz00, BgL_bgl_string2372za700za7za7_2691za7, "&avahi-simple-poll-quit", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__avahi_avahiz00, BgL_bgl_za762lambda2142za7622692z00, BGl_z62lambda2142z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2693za7, BGl_z62zc3z04anonymousza31882ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2373z00zz__avahi_avahiz00, BgL_bgl_string2373za700za7za7_2694za7, "&avahi-threaded-poll-close", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__avahi_avahiz00, BgL_bgl_za762lambda1880za7622695z00, BGl_z62lambda1880z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2374z00zz__avahi_avahiz00, BgL_bgl_string2374za700za7za7_2696za7, "avahi-threaded-poll", 19 );
DEFINE_STRING( BGl_string2375z00zz__avahi_avahiz00, BgL_bgl_string2375za700za7za7_2697za7, "&avahi-threaded-poll-loop", 25 );
DEFINE_STRING( BGl_string2376z00zz__avahi_avahiz00, BgL_bgl_string2376za700za7za7_2698za7, "&avahi-threaded-poll-lock!", 26 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string2377z00zz__avahi_avahiz00, BgL_bgl_string2377za700za7za7_2699za7, "&avahi-threaded-poll-unlock!", 28 );
DEFINE_STRING( BGl_string2378z00zz__avahi_avahiz00, BgL_bgl_string2378za700za7za7_2700za7, "avahi-threaded-poll-timeout", 27 );
DEFINE_STRING( BGl_string2379z00zz__avahi_avahiz00, BgL_bgl_string2379za700za7za7_2701za7, "&avahi-threaded-poll-timeout", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2702z00, BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2703za7, BGl_z62zc3z04anonymousza32120ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__avahi_avahiz00, BgL_bgl_za762lambda2118za7622704z00, BGl_z62lambda2118z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__avahi_avahiz00, BgL_bgl_za762lambda1877za7622705z00, BGl_z62lambda1877z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__avahi_avahiz00, BgL_bgl_za762lambda2115za7622706z00, BGl_z62lambda2115z62zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2707za7, BGl_z62zc3z04anonymousza31907ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2708za7, BGl_z62zc3z04anonymousza32162ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__avahi_avahiz00, BgL_bgl_za762lambda1906za7622709z00, BGl_z62lambda1906z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__avahi_avahiz00, BgL_bgl_za762lambda2161za7622710z00, BGl_z62lambda2161z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__avahi_avahiz00, BgL_bgl_za762lambda1905za7622711z00, BGl_z62lambda1905z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__avahi_avahiz00, BgL_bgl_za762lambda2160za7622712z00, BGl_z62lambda2160z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2713za7, BGl_z62zc3z04anonymousza31900ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__avahi_avahiz00, BgL_bgl_za762lambda2167za7622714z00, BGl_z62lambda2167z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__avahi_avahiz00, BgL_bgl_za762lambda1898za7622715z00, BGl_z62lambda1898z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2380z00zz__avahi_avahiz00, BgL_bgl_string2380za700za7za7_2716za7, "&avahi-threaded-poll-quit", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__avahi_avahiz00, BgL_bgl_za762lambda2166za7622717z00, BGl_z62lambda2166z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__avahi_avahiz00, BgL_bgl_za762lambda1895za7622718z00, BGl_z62lambda1895z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2381z00zz__avahi_avahiz00, BgL_bgl_string2381za700za7za7_2719za7, "&avahi-client-close", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__avahi_avahiz00, BgL_bgl_za762lambda2172za7622720z00, BGl_z62lambda2172z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2721za7, BGl_z62zc3z04anonymousza31925ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2382z00zz__avahi_avahiz00, BgL_bgl_string2382za700za7za7_2722za7, "avahi-client", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__avahi_avahiz00, BgL_bgl_za762lambda2171za7622723z00, BGl_z62lambda2171z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__avahi_avahiz00, BgL_bgl_za762lambda1924za7622724z00, BGl_z62lambda1924z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2383z00zz__avahi_avahiz00, BgL_bgl_string2383za700za7za7_2725za7, "&avahi-client-error-message", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__avahi_avahiz00, BgL_bgl_za762lambda1923za7622726z00, BGl_z62lambda1923z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2384z00zz__avahi_avahiz00, BgL_bgl_string2384za700za7za7_2727za7, "avahi-client-state->symbol", 26 );
DEFINE_STRING( BGl_string2385z00zz__avahi_avahiz00, BgL_bgl_string2385za700za7za7_2728za7, "Unknown state", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2729z00, BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2386z00zz__avahi_avahiz00, BgL_bgl_string2386za700za7za7_2730za7, "&avahi-client-state->symbol", 27 );
DEFINE_STRING( BGl_string2387z00zz__avahi_avahiz00, BgL_bgl_string2387za700za7za7_2731za7, "&avahi-entry-group-close", 24 );
DEFINE_STRING( BGl_string2388z00zz__avahi_avahiz00, BgL_bgl_string2388za700za7za7_2732za7, "avahi-entry-group", 17 );
DEFINE_STRING( BGl_string2389z00zz__avahi_avahiz00, BgL_bgl_string2389za700za7za7_2733za7, "&avahi-entry-group-empty?", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2734za7, BGl_z62zc3z04anonymousza32179ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__avahi_avahiz00, BgL_bgl_za762lambda2178za7622735z00, BGl_z62lambda2178z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__avahi_avahiz00, BgL_bgl_za762lambda1930za7622736z00, BGl_z62lambda1930z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__avahi_avahiz00, BgL_bgl_za762lambda2177za7622737z00, BGl_z62lambda2177z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__avahi_avahiz00, BgL_bgl_za762lambda1929za7622738z00, BGl_z62lambda1929z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2739za7, BGl_z62zc3z04anonymousza32186ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2462z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2740za7, BGl_z62zc3z04anonymousza31937ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__avahi_avahiz00, BgL_bgl_za762lambda2185za7622741z00, BGl_z62lambda2185z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__avahi_avahiz00, BgL_bgl_za762lambda1936za7622742z00, BGl_z62lambda1936z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__avahi_avahiz00, BgL_bgl_za762lambda2184za7622743z00, BGl_z62lambda2184z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__avahi_avahiz00, BgL_bgl_za762lambda1935za7622744z00, BGl_z62lambda1935z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2745z00, BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2746za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__avahi_avahiz00, BgL_bgl_za762lambda1942za7622747z00, BGl_z62lambda1942z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2390z00zz__avahi_avahiz00, BgL_bgl_string2390za700za7za7_2748za7, "&avahi-entry-group-commit", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__avahi_avahiz00, BgL_bgl_za762lambda2153za7622749z00, BGl_z62lambda2153z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__avahi_avahiz00, BgL_bgl_za762lambda1941za7622750z00, BGl_z62lambda1941z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2391z00zz__avahi_avahiz00, BgL_bgl_string2391za700za7za7_2751za7, "&avahi-entry-group-reset!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__avahi_avahiz00, BgL_bgl_za762lambda2150za7622752z00, BGl_z62lambda2150z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2753za7, BGl_z62zc3z04anonymousza31949ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2392z00zz__avahi_avahiz00, BgL_bgl_string2392za700za7za7_2754za7, "avahi-entry-group-add-service", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2755za7, BGl_z62zc3z04anonymousza32204ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__avahi_avahiz00, BgL_bgl_za762lambda1948za7622756z00, BGl_z62lambda1948z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2393z00zz__avahi_avahiz00, BgL_bgl_string2393za700za7za7_2757za7, "&avahi-entry-group-add-service!", 31 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2758z00, BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__avahi_avahiz00, BgL_bgl_za762lambda1947za7622759z00, BGl_z62lambda1947z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2394z00zz__avahi_avahiz00, BgL_bgl_string2394za700za7za7_2760za7, "avahi-entry-group-state->symbol", 31 );
DEFINE_STRING( BGl_string2395z00zz__avahi_avahiz00, BgL_bgl_string2395za700za7za7_2761za7, "&avahi-entry-group-state->symbol", 32 );
DEFINE_STRING( BGl_string2396z00zz__avahi_avahiz00, BgL_bgl_string2396za700za7za7_2762za7, "&avahi-alternative-host-name", 28 );
DEFINE_STRING( BGl_string2397z00zz__avahi_avahiz00, BgL_bgl_string2397za700za7za7_2763za7, "&avahi-alternative-service-name", 31 );
DEFINE_STRING( BGl_string2398z00zz__avahi_avahiz00, BgL_bgl_string2398za700za7za7_2764za7, "&avahi-service-browser-close", 28 );
DEFINE_STRING( BGl_string2399z00zz__avahi_avahiz00, BgL_bgl_string2399za700za7za7_2765za7, "avahi-service-browser", 21 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2proto2766z00, BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__avahi_avahiz00, BgL_bgl_za762lambda2203za7622767z00, BGl_z62lambda2203z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__avahi_avahiz00, BgL_bgl_za762lambda2202za7622768z00, BGl_z62lambda2202z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2769za7, BGl_z62zc3z04anonymousza31956ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__avahi_avahiz00, BgL_bgl_za762lambda2209za7622770z00, BGl_z62lambda2209z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__avahi_avahiz00, BgL_bgl_za762lambda1955za7622771z00, BGl_z62lambda1955z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__avahi_avahiz00, BgL_bgl_za762lambda2208za7622772z00, BGl_z62lambda2208z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__avahi_avahiz00, BgL_bgl_za762lambda1954za7622773z00, BGl_z62lambda1954z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__avahi_avahiz00, BgL_bgl_za762lambda2214za7622774z00, BGl_z62lambda2214z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2775za7, BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__avahi_avahiz00, BgL_bgl_za762lambda2213za7622776z00, BGl_z62lambda2213z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__avahi_avahiz00, BgL_bgl_za762lambda1962za7622777z00, BGl_z62lambda1962z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__avahi_avahiz00, BgL_bgl_za762lambda2219za7622778z00, BGl_z62lambda2219z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__avahi_avahiz00, BgL_bgl_za762lambda1961za7622779z00, BGl_z62lambda1961z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__avahi_avahiz00, BgL_bgl_za762lambda2218za7622780z00, BGl_z62lambda2218z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2781za7, BGl_z62zc3z04anonymousza31968ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__avahi_avahiz00, BgL_bgl_za762lambda2224za7622782z00, BGl_z62lambda2224z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2783za7, BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__avahi_avahiz00, BgL_bgl_za762lambda2223za7622784z00, BGl_z62lambda2223z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2785za7, BGl_z62zc3z04anonymousza31973ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2786za7, BGl_z62zc3z04anonymousza31972ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2787z00, BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2788z00, BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__avahi_avahiz00, BgL_bgl_za762lambda2229za7622789z00, BGl_z62lambda2229z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__avahi_avahiz00, BgL_bgl_za762lambda2228za7622790z00, BGl_z62lambda2228z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2791za7, BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__avahi_avahiz00, BgL_bgl_za762lambda2234za7622792z00, BGl_z62lambda2234z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2793za7, BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__avahi_avahiz00, BgL_bgl_za762lambda2233za7622794z00, BGl_z62lambda2233z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2795za7, BGl_z62zc3z04anonymousza31983ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2570z00zz__avahi_avahiz00, BgL_bgl_string2570za700za7za7_2796za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2797za7, BGl_z62zc3z04anonymousza32241ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2798za7, BGl_z62zc3z04anonymousza31982ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2571z00zz__avahi_avahiz00, BgL_bgl_string2571za700za7za7_2799za7, "nil", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__avahi_avahiz00, BgL_bgl_za762lambda2240za7622800z00, BGl_z62lambda2240z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2801za7, BGl_z62zc3z04anonymousza31988ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__avahi_avahiz00, BgL_bgl_za762lambda2239za7622802z00, BGl_z62lambda2239z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2803za7, BGl_z62zc3z04anonymousza31987ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2573z00zz__avahi_avahiz00, BgL_bgl_string2573za700za7za7_2804za7, "avahi-init1256", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2805za7, BGl_z62zc3z04anonymousza32197ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2806za7, BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2574z00zz__avahi_avahiz00, BgL_bgl_string2574za700za7za7_2807za7, "&avahi-init", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__avahi_avahiz00, BgL_bgl_za762lambda2195za7622808z00, BGl_z62lambda2195z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2809za7, BGl_z62zc3z04anonymousza32002ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2575z00zz__avahi_avahiz00, BgL_bgl_string2575za700za7za7_2810za7, "avahi-object", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__avahi_avahiz00, BgL_bgl_za762lambda2192za7622811z00, BGl_z62lambda2192z62zz__avahi_avahiz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2812za7, BGl_z62zc3z04anonymousza32008ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2813za7, BGl_z62zc3z04anonymousza32017ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2577z00zz__avahi_avahiz00, BgL_bgl_string2577za700za7za7_2814za7, "avahi-init", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2symbo2815z00, BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2brows2816z00, BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2817za7, BGl_z62zc3z04anonymousza32026ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2init12818z00, BGl_z62avahizd2init1256zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza32035ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2820za7, BGl_z62zc3z04anonymousza31918ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__avahi_avahiz00, BgL_bgl_za762lambda1916za7622821z00, BGl_z62lambda1916z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__avahi_avahiz00, BgL_bgl_za762lambda1913za7622822z00, BGl_z62lambda1913z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72823za7, BGl_z62avahizd2initzd2avahizd2sim1259zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2824za7, BGl_z62zc3z04anonymousza32059ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__avahi_avahiz00, BgL_bgl_za762lambda2058za7622825z00, BGl_z62lambda2058z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72826za7, BGl_z62avahizd2initzd2avahizd2thr1261zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__avahi_avahiz00, BgL_bgl_za762lambda2057za7622827z00, BGl_z62lambda2057z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2585z00zz__avahi_avahiz00, BgL_bgl_string2585za700za7za7_2828za7, "avahi-service-type-browser", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72829za7, BGl_z62avahizd2initzd2avahizd2cli1263zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__avahi_avahiz00, BgL_bgl_za762lambda2064za7622830z00, BGl_z62lambda2064z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2586z00zz__avahi_avahiz00, BgL_bgl_string2586za700za7za7_2831za7, "avahi-client-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__avahi_avahiz00, BgL_bgl_za762lambda2063za7622832z00, BGl_z62lambda2063z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2587z00zz__avahi_avahiz00, BgL_bgl_string2587za700za7za7_2833za7, "none nil avahi-domain-browser-browse _ avahi-service-resolver name protocol $avahi-if-index interface $avahi-service-resolver avahi-domain-browser $avahi-domain-browser avahi-service-type-browser $avahi-service-type-browser avahi-service-browser domain type $avahi-service-browser avahi-entry-group client $avahi-entry-group avahi-client state hostname-fqdn domainname hostname bstring version resolvers %browsers %groups procedure proc symbol flags poll $avahi-client avahi-threaded-poll $avahi-threaded-poll avahi-simple-poll $avahi-simple-poll $builtin avahi-poll pair-nil %procs $ctype avahi-object &avahi-collision-error __avahi_avahi &avahi-error int errno (quote avahi-domain-browser-max) (quote avahi-domain-browser-browse-legacy) (quote avahi-domain-browser-register-default) (quote avahi-domain-browser-register) (quote avahi-domain-browser-browse-default) (quote avahi-domain-browser-browse) btype eq? avahi-lookup-result-default avahi-lookup-result-static avahi-lookup-result-our-own avahi-lookup-result-local av"
"ahi-lookup-result-multicast avahi-lookup-result-wide-area avahi-lookup-result-cached avahi-lookup-default avahi-lookup-no-address avahi-lookup-no-txt avahi-proto-unspec avahi-proto-inet6 avahi-proto-inet avahi-if-unspec avahi-resolver-failure avahi-resolver-found avahi-browser-failure avahi-browser-all-for-now avahi-browser-cache-exhausted avahi-browser-remove avahi-browser-new avahi-entry-group-failure avahi-entry-group-collision avahi-entry-group-established avahi-entry-group-registering avahi-entry-group-uncommited (:subtype :port :host :domain :type :name) :subtype :port :host :domain :type :name avahi-client-connecting avahi-client-failure avahi-client-collision avahi-client-running avahi-client-registering condition-variable mutex avahi ", 1777 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72834za7, BGl_z62avahizd2initzd2avahizd2ent1265zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72835za7, BGl_z62avahizd2initzd2avahizd2ser1268zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72836za7, BGl_z62avahizd2initzd2avahizd2ser1270zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72837za7, BGl_z62avahizd2initzd2avahizd2dom1272zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72838za7, BGl_z62avahizd2initzd2avahizd2ser1274zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2839z00, BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2840z00, BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2841z00, BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72842za7, BGl_z62avahizd2initzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2843z00, BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2844z00, BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2th2845za7, BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2846z00, BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2847z00, BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2848z00, BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2849z00, va_generic_entry, BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2850z00, BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2851z00, BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2domai2852z00, BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2853z00, BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2un2854za7, BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2855z00, BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2856z00, BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2pollzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2objectzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2errorzb0zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2clientzd2zz__avahi_avahiz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long BgL_checksumz00_2889, char * BgL_fromz00_2890)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__avahi_avahiz00))
{ 
BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__avahi_avahiz00(); 
BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(); 
BGl_cnstzd2initzd2zz__avahi_avahiz00(); 
BGl_objectzd2initzd2zz__avahi_avahiz00(); 
BGl_genericzd2initzd2zz__avahi_avahiz00(); 
BGl_methodzd2initzd2zz__avahi_avahiz00(); 
return 
BGl_toplevelzd2initzd2zz__avahi_avahiz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__avahi_avahi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_cportz00_2510;
{ /* Llib/avahi.scm 15 */
 obj_t BgL_stringz00_2518;
BgL_stringz00_2518 = BGl_string2587z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_startz00_2519;
BgL_startz00_2519 = 
BINT(((long)0)); 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_endz00_2520;
BgL_endz00_2520 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2518))); 
{ /* Llib/avahi.scm 15 */

BgL_cportz00_2510 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2518, BgL_startz00_2519, BgL_endz00_2520); } } } } 
{ 
 long BgL_iz00_2511;
BgL_iz00_2511 = ((long)100); 
BgL_loopz00_2512:
if(
(BgL_iz00_2511==((long)-1)))
{ /* Llib/avahi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_arg2589z00_2514;
{ /* Llib/avahi.scm 15 */

{ /* Llib/avahi.scm 15 */
 obj_t BgL_locationz00_2516;
BgL_locationz00_2516 = 
BBOOL(((bool_t)0)); 
{ /* Llib/avahi.scm 15 */

BgL_arg2589z00_2514 = 
BGl_readz00zz__readerz00(BgL_cportz00_2510, BgL_locationz00_2516); } } } 
{ /* Llib/avahi.scm 15 */
 int BgL_tmpz00_2926;
BgL_tmpz00_2926 = 
(int)(BgL_iz00_2511); 
CNST_TABLE_SET(BgL_tmpz00_2926, BgL_arg2589z00_2514); } } 
{ /* Llib/avahi.scm 15 */
 int BgL_auxz00_2517;
BgL_auxz00_2517 = 
(int)(
(BgL_iz00_2511-((long)1))); 
{ 
 long BgL_iz00_2931;
BgL_iz00_2931 = 
(long)(BgL_auxz00_2517); 
BgL_iz00_2511 = BgL_iz00_2931; 
goto BgL_loopz00_2512;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string2359z00zz__avahi_avahiz00)); 
{ /* Llib/avahi.scm 201 */
 obj_t BgL_namez00_1231;
BgL_namez00_1231 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_1231); } 
{ /* Llib/avahi.scm 202 */
 obj_t BgL_namez00_1232;
BgL_namez00_1232 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = 
bgl_make_condvar(BgL_namez00_1232); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC; 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BNIL; 
{ /* Llib/avahi.scm 245 */

{ /* Llib/avahi.scm 245 */
 obj_t BgL_namez00_56;
BgL_namez00_56 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/avahi.scm 245 */

BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_56); } } } 
return BUNSPEC;} 

}



/* avahi-error */
BGL_EXPORTED_DEF obj_t bgl_avahi_error(char * BgL_procz00_3, char * BgL_msgz00_4, obj_t BgL_objz00_5, int BgL_errnoz00_6)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_65;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_66;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_69;
BgL_new1141z00_69 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_70;
BgL_arg1288z00_70 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_69), BgL_arg1288z00_70); } 
BgL_new1142z00_66 = BgL_new1141z00_69; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_66)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_66)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2951;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_67;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_68;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_1236;
BgL_classz00_1236 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_68 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1236); } 
BgL_arg1286z00_67 = 
VECTOR_REF(BgL_arg1287z00_68,((long)2)); } 
BgL_auxz00_2951 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_67); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_66)))->BgL_stackz00)=((obj_t)BgL_auxz00_2951),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_66)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_66)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_4)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_66)))->BgL_objz00)=((obj_t)BgL_objz00_5),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_66))->BgL_errnoz00)=((int)BgL_errnoz00_6),BUNSPEC); 
BgL_arg1285z00_65 = BgL_new1142z00_66; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_65));} } 

}



/* &avahi-error2278 */
obj_t BGl_z62avahizd2error2278zb0zz__avahi_avahiz00(obj_t BgL_envz00_1785, obj_t BgL_procz00_1786, obj_t BgL_msgz00_1787, obj_t BgL_objz00_1788, obj_t BgL_errnoz00_1789)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
 int BgL_auxz00_2986; char * BgL_auxz00_2977; char * BgL_auxz00_2968;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_tmpz00_2987;
if(
INTEGERP(BgL_errnoz00_1789))
{ /* Llib/avahi.scm 214 */
BgL_tmpz00_2987 = BgL_errnoz00_1789
; }  else 
{ 
 obj_t BgL_auxz00_2990;
BgL_auxz00_2990 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)8538)), BGl_string2361z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_errnoz00_1789); 
FAILURE(BgL_auxz00_2990,BFALSE,BFALSE);} 
BgL_auxz00_2986 = 
CINT(BgL_tmpz00_2987); } 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_tmpz00_2978;
if(
STRINGP(BgL_msgz00_1787))
{ /* Llib/avahi.scm 214 */
BgL_tmpz00_2978 = BgL_msgz00_1787
; }  else 
{ 
 obj_t BgL_auxz00_2981;
BgL_auxz00_2981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)8538)), BGl_string2361z00zz__avahi_avahiz00, BGl_string2362z00zz__avahi_avahiz00, BgL_msgz00_1787); 
FAILURE(BgL_auxz00_2981,BFALSE,BFALSE);} 
BgL_auxz00_2977 = 
BSTRING_TO_STRING(BgL_tmpz00_2978); } 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_tmpz00_2969;
if(
STRINGP(BgL_procz00_1786))
{ /* Llib/avahi.scm 214 */
BgL_tmpz00_2969 = BgL_procz00_1786
; }  else 
{ 
 obj_t BgL_auxz00_2972;
BgL_auxz00_2972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)8538)), BGl_string2361z00zz__avahi_avahiz00, BGl_string2362z00zz__avahi_avahiz00, BgL_procz00_1786); 
FAILURE(BgL_auxz00_2972,BFALSE,BFALSE);} 
BgL_auxz00_2968 = 
BSTRING_TO_STRING(BgL_tmpz00_2969); } 
return 
bgl_avahi_error(BgL_auxz00_2968, BgL_auxz00_2977, BgL_objz00_1788, BgL_auxz00_2986);} } 

}



/* %avahi-lock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_lock()
{
{ /* Llib/avahi.scm 223 */
{ /* Llib/avahi.scm 224 */
 obj_t BgL_g1181z00_1238;
BgL_g1181z00_1238 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 224 */

{ /* Llib/avahi.scm 224 */
 int BgL_arg1680z00_1243;
BgL_arg1680z00_1243 = 
BGL_MUTEX_LOCK(BgL_g1181z00_1238); 
return 
BBOOL(
(
(long)(BgL_arg1680z00_1243)==((long)0)));} } } } 

}



/* &%avahi-lock! */
obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_1790)
{
{ /* Llib/avahi.scm 223 */
return 
bgl_avahi_lock();} 

}



/* %avahi-unlock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_unlock()
{
{ /* Llib/avahi.scm 229 */
{ /* Llib/avahi.scm 230 */
 obj_t BgL_mz00_1248;
BgL_mz00_1248 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 230 */
 int BgL_arg1675z00_1249;
BgL_arg1675z00_1249 = 
BGL_MUTEX_UNLOCK(BgL_mz00_1248); 
return 
BBOOL(
(
(long)(BgL_arg1675z00_1249)==((long)0)));} } } 

}



/* &%avahi-unlock! */
obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_1791)
{
{ /* Llib/avahi.scm 229 */
return 
bgl_avahi_unlock();} 

}



/* %avahi-signal */
BGL_EXPORTED_DEF obj_t bgl_avahi_signal()
{
{ /* Llib/avahi.scm 235 */
{ /* Llib/avahi.scm 236 */
 obj_t BgL_cz00_1251;
BgL_cz00_1251 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_cz00_1251));} } 

}



/* &%avahi-signal */
obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t BgL_envz00_1792)
{
{ /* Llib/avahi.scm 235 */
return 
bgl_avahi_signal();} 

}



/* avahi-gc-unmark! */
obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_8)
{
{ /* Llib/avahi.scm 257 */
{ /* Llib/avahi.scm 258 */
 obj_t BgL_top2863z00_3010;
BgL_top2863z00_3010 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2863z00_3010, BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BUNSPEC; 
{ /* Llib/avahi.scm 258 */
 obj_t BgL_tmp2862z00_3009;
{ /* Llib/avahi.scm 259 */
 obj_t BgL_g1933z00_74;
BgL_g1933z00_74 = BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 259 */

BgL_tmp2862z00_3009 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_8), BgL_g1933z00_74, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00), BUNSPEC) ; } } 
BGL_EXITD_POP_PROTECT(BgL_top2863z00_3010); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
return BgL_tmp2862z00_3009;} } } 

}



/* %avahi-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 264 */
{ /* Llib/avahi.scm 265 */
 bool_t BgL_test2864z00_3018;
{ /* Llib/avahi.scm 265 */
 obj_t BgL_objz00_1252; obj_t BgL_classz00_1253;
BgL_objz00_1252 = BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00; 
BgL_classz00_1253 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_1252))
{ /* Llib/avahi.scm 265 */
 BgL_objectz00_bglt BgL_arg1797z00_1255;
BgL_arg1797z00_1255 = 
(BgL_objectz00_bglt)(BgL_objz00_1252); 
{ /* Llib/avahi.scm 265 */
 bool_t BgL_arg1794z00_1258; bool_t BgL_arg1795z00_1259;
{ /* Llib/avahi.scm 265 */
 long BgL_idxz00_1262;
BgL_idxz00_1262 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1255); 
BgL_arg1794z00_1258 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1262+((long)1)))==BgL_classz00_1253); } 
{ /* Llib/avahi.scm 265 */
 bool_t BgL_res2272z00_1284;
{ /* Llib/avahi.scm 265 */
 obj_t BgL_oclassz00_1270;
{ /* Llib/avahi.scm 265 */
 long BgL_arg1804z00_1276;
{ /* Llib/avahi.scm 265 */
 long BgL_arg1805z00_1277;
BgL_arg1805z00_1277 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1255); 
BgL_arg1804z00_1276 = 
(BgL_arg1805z00_1277-OBJECT_TYPE); } 
BgL_oclassz00_1270 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1276); } 
{ /* Llib/avahi.scm 265 */
 bool_t BgL__ortest_1111z00_1271;
BgL__ortest_1111z00_1271 = 
(BgL_classz00_1253==BgL_oclassz00_1270); 
if(BgL__ortest_1111z00_1271)
{ /* Llib/avahi.scm 265 */
BgL_res2272z00_1284 = BgL__ortest_1111z00_1271; }  else 
{ /* Llib/avahi.scm 265 */
 long BgL_odepthz00_1272;
BgL_odepthz00_1272 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1270); 
if(
(((long)1)<BgL_odepthz00_1272))
{ /* Llib/avahi.scm 265 */
 obj_t BgL_arg1793z00_1274;
BgL_arg1793z00_1274 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1270, ((long)1)); 
BgL_res2272z00_1284 = 
(BgL_arg1793z00_1274==BgL_classz00_1253); }  else 
{ /* Llib/avahi.scm 265 */
BgL_res2272z00_1284 = ((bool_t)0); } } } } 
BgL_arg1795z00_1259 = BgL_res2272z00_1284; } 
BgL_test2864z00_3018 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1258, BgL_arg1795z00_1259); } }  else 
{ /* Llib/avahi.scm 265 */
BgL_test2864z00_3018 = ((bool_t)0)
; } } 
if(BgL_test2864z00_3018)
{ /* Llib/avahi.scm 265 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 267 */
 obj_t BgL_lkz00_77; obj_t BgL_cvz00_78;
{ /* Llib/avahi.scm 267 */

{ /* Llib/avahi.scm 267 */
 obj_t BgL_namez00_94;
BgL_namez00_94 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/avahi.scm 267 */

BgL_lkz00_77 = 
bgl_make_mutex(BgL_namez00_94); } } } 
{ /* Llib/avahi.scm 268 */

{ /* Llib/avahi.scm 268 */
 obj_t BgL_namez00_95;
BgL_namez00_95 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)2))); 
{ /* Llib/avahi.scm 268 */

BgL_cvz00_78 = 
bgl_make_condvar(BgL_namez00_95); } } } 
{ /* Llib/avahi.scm 270 */
 BgL_pthreadz00_bglt BgL_new1144z00_79;
{ /* Llib/avahi.scm 271 */
 BgL_pthreadz00_bglt BgL_new1143z00_88;
BgL_new1143z00_88 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/avahi.scm 271 */
 long BgL_arg1331z00_89;
BgL_arg1331z00_89 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_88), BgL_arg1331z00_89); } 
BgL_new1144z00_79 = BgL_new1143z00_88; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1144z00_79)))->BgL_namez00)=((obj_t)BGl_string2364z00zz__avahi_avahiz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3049;
{ /* Llib/avahi.scm 272 */
 obj_t BgL_zc3z04anonymousza31290ze3z87_1796;
BgL_zc3z04anonymousza31290ze3z87_1796 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31290ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31290ze3z87_1796, 
(int)(((long)0)), BgL_lkz00_77); 
PROCEDURE_SET(BgL_zc3z04anonymousza31290ze3z87_1796, 
(int)(((long)1)), BgL_cvz00_78); 
BgL_auxz00_3049 = BgL_zc3z04anonymousza31290ze3z87_1796; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_bodyz00)=((obj_t)BgL_auxz00_3049),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/avahi.scm 270 */
 obj_t BgL_fun1292z00_87;
BgL_fun1292z00_87 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
PROCEDURE_ENTRY(BgL_fun1292z00_87)(BgL_fun1292z00_87, 
((obj_t)BgL_new1144z00_79), BEOA); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = 
((obj_t)BgL_new1144z00_79); } 
{ /* Llib/avahi.scm 281 */
 obj_t BgL_top2869z00_3071;
BgL_top2869z00_3071 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_lkz00_77); 
BGL_EXITD_PUSH_PROTECT(BgL_top2869z00_3071, BgL_lkz00_77); BUNSPEC; 
{ /* Llib/avahi.scm 281 */
 obj_t BgL_tmp2868z00_3070;
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00), BNIL); 
{ /* Llib/avahi.scm 283 */

BgL_tmp2868z00_3070 = 
BBOOL(
BGL_CONDVAR_WAIT(BgL_cvz00_78, BgL_lkz00_77)); } 
BGL_EXITD_POP_PROTECT(BgL_top2869z00_3071); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_lkz00_77); 
return BgL_tmp2868z00_3070;} } } } } 

}



/* &%avahi-thread-init! */
obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t BgL_envz00_1797)
{
{ /* Llib/avahi.scm 264 */
return 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();} 

}



/* &<@anonymous:1290> */
obj_t BGl_z62zc3z04anonymousza31290ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_1798)
{
{ /* Llib/avahi.scm 272 */
{ /* Llib/avahi.scm 273 */
 obj_t BgL_lkz00_1799; obj_t BgL_cvz00_1800;
BgL_lkz00_1799 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1798, 
(int)(((long)0)))); 
BgL_cvz00_1800 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1798, 
(int)(((long)1)))); 
BGL_MUTEX_LOCK(BgL_lkz00_1799); 
{ /* Llib/avahi.scm 273 */
 bool_t BgL_tmp2870z00_3088;
BgL_tmp2870z00_3088 = 
BGL_CONDVAR_SIGNAL(BgL_cvz00_1800); 
BGL_MUTEX_UNLOCK(BgL_lkz00_1799); BgL_tmp2870z00_3088; } 
{ 

BgL_loopz00_2522:
BGL_MUTEX_LOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 276 */
 bool_t BgL_tmp2871z00_3092;
{ /* Llib/avahi.scm 278 */
 obj_t BgL_g1171z00_2523; obj_t BgL_g1172z00_2524;
BgL_g1171z00_2523 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
BgL_g1172z00_2524 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 277 */

BgL_tmp2871z00_3092 = 
BGL_CONDVAR_WAIT(BgL_g1171z00_2523, BgL_g1172z00_2524); } } 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); BgL_tmp2871z00_3092; } 
bgl_avahi_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_2522;} } } 

}



/* avahi-simple-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_11)
{
{ /* Llib/avahi.scm 304 */
bgl_avahi_simple_poll_close(BgL_oz00_11); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_11)); 
return BUNSPEC;} 

}



/* &avahi-simple-poll-close */
obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1801, obj_t BgL_oz00_1802)
{
{ /* Llib/avahi.scm 304 */
{ /* Llib/avahi.scm 305 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3100;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1802, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 305 */
BgL_auxz00_3100 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1802)
; }  else 
{ 
 obj_t BgL_auxz00_3104;
BgL_auxz00_3104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)12511)), BGl_string2365z00zz__avahi_avahiz00, BGl_string2366z00zz__avahi_avahiz00, BgL_oz00_1802); 
FAILURE(BgL_auxz00_3104,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3100);} } 

}



/* avahi-simple-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_12)
{
{ /* Llib/avahi.scm 312 */
{ /* Llib/avahi.scm 314 */
 AvahiSimplePoll * BgL_arg1333z00_1300;
BgL_arg1333z00_1300 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_12))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1333z00_1300); BUNSPEC; } 
return 
((obj_t)BgL_oz00_12);} 

}



/* &avahi-simple-poll-loop */
obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_1803, obj_t BgL_oz00_1804)
{
{ /* Llib/avahi.scm 312 */
{ /* Llib/avahi.scm 313 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3112;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1804, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 313 */
BgL_auxz00_3112 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1804)
; }  else 
{ 
 obj_t BgL_auxz00_3116;
BgL_auxz00_3116 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)12834)), BGl_string2367z00zz__avahi_avahiz00, BGl_string2366z00zz__avahi_avahiz00, BgL_oz00_1804); 
FAILURE(BgL_auxz00_3116,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3112);} } 

}



/* avahi-simple-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_13, long BgL_tz00_14, obj_t BgL_procz00_15)
{
{ /* Llib/avahi.scm 320 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_15, 
(int)(((long)0))))
{ /* Llib/avahi.scm 321 */
{ 
 obj_t BgL_auxz00_3124;
{ /* Llib/avahi.scm 323 */
 obj_t BgL_arg1338z00_100;
BgL_arg1338z00_100 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_13)))->BgL_z52procsz52); 
BgL_auxz00_3124 = 
MAKE_YOUNG_PAIR(BgL_procz00_15, BgL_arg1338z00_100); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_13)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3124),BUNSPEC); } 
{ /* Llib/avahi.scm 324 */
 AvahiSimplePoll * BgL_arg1339z00_101;
BgL_arg1339z00_101 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_13))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 324 */
 long BgL_tmpz00_3131;
BgL_tmpz00_3131 = 
(long)(BgL_tz00_14); 
bgl_avahi_simple_poll_timeout(BgL_arg1339z00_101, BgL_tmpz00_3131, BgL_procz00_15); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 325 */
 char * BgL_procz00_1301; char * BgL_msgz00_1302;
BgL_procz00_1301 = 
BSTRING_TO_STRING(BGl_string2368z00zz__avahi_avahiz00); 
BgL_msgz00_1302 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_1304;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1305;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_1306;
BgL_new1141z00_1306 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_1307;
BgL_arg1288z00_1307 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_1306), BgL_arg1288z00_1307); } 
BgL_new1142z00_1305 = BgL_new1141z00_1306; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1305)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1305)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3144;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_1311;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_1312;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_1313;
BgL_classz00_1313 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_1312 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1313); } 
BgL_arg1286z00_1311 = 
VECTOR_REF(BgL_arg1287z00_1312,((long)2)); } 
BgL_auxz00_3144 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_1311); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1305)))->BgL_stackz00)=((obj_t)BgL_auxz00_3144),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1305)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1301)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1305)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1302)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1305)))->BgL_objz00)=((obj_t)BgL_procz00_15),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_1305))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_1304 = BgL_new1142z00_1305; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_1304));} } } 

}



/* &avahi-simple-poll-timeout */
obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_1805, obj_t BgL_oz00_1806, obj_t BgL_tz00_1807, obj_t BgL_procz00_1808)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 obj_t BgL_auxz00_3178; long BgL_auxz00_3169; BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3161;
if(
PROCEDUREP(BgL_procz00_1808))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3178 = BgL_procz00_1808
; }  else 
{ 
 obj_t BgL_auxz00_3181;
BgL_auxz00_3181 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)13237)), BGl_string2370z00zz__avahi_avahiz00, BGl_string2371z00zz__avahi_avahiz00, BgL_procz00_1808); 
FAILURE(BgL_auxz00_3181,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 321 */
 obj_t BgL_tmpz00_3170;
if(
INTEGERP(BgL_tz00_1807))
{ /* Llib/avahi.scm 321 */
BgL_tmpz00_3170 = BgL_tz00_1807
; }  else 
{ 
 obj_t BgL_auxz00_3173;
BgL_auxz00_3173 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)13237)), BGl_string2370z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_tz00_1807); 
FAILURE(BgL_auxz00_3173,BFALSE,BFALSE);} 
BgL_auxz00_3169 = 
(long)CINT(BgL_tmpz00_3170); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1806, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3161 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1806)
; }  else 
{ 
 obj_t BgL_auxz00_3165;
BgL_auxz00_3165 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)13237)), BGl_string2370z00zz__avahi_avahiz00, BGl_string2366z00zz__avahi_avahiz00, BgL_oz00_1806); 
FAILURE(BgL_auxz00_3165,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3161, BgL_auxz00_3169, BgL_auxz00_3178);} } 

}



/* avahi-simple-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_16)
{
{ /* Llib/avahi.scm 331 */
{ /* Llib/avahi.scm 333 */
 AvahiSimplePoll * BgL_arg1340z00_1316;
BgL_arg1340z00_1316 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_16))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1340z00_1316); BUNSPEC; } 
return 
((obj_t)BgL_oz00_16);} 

}



/* &avahi-simple-poll-quit */
obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_1809, obj_t BgL_oz00_1810)
{
{ /* Llib/avahi.scm 331 */
{ /* Llib/avahi.scm 332 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3189;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1810, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 332 */
BgL_auxz00_3189 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1810)
; }  else 
{ 
 obj_t BgL_auxz00_3193;
BgL_auxz00_3193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)13797)), BGl_string2372z00zz__avahi_avahiz00, BGl_string2366z00zz__avahi_avahiz00, BgL_oz00_1810); 
FAILURE(BgL_auxz00_3193,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3189);} } 

}



/* avahi-threaded-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_18)
{
{ /* Llib/avahi.scm 350 */
bgl_avahi_threaded_poll_close(BgL_oz00_18); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_18)); 
return BUNSPEC;} 

}



/* &avahi-threaded-poll-close */
obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1811, obj_t BgL_oz00_1812)
{
{ /* Llib/avahi.scm 350 */
{ /* Llib/avahi.scm 351 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3201;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1812, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 351 */
BgL_auxz00_3201 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1812)
; }  else 
{ 
 obj_t BgL_auxz00_3205;
BgL_auxz00_3205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)14645)), BGl_string2373z00zz__avahi_avahiz00, BGl_string2374z00zz__avahi_avahiz00, BgL_oz00_1812); 
FAILURE(BgL_auxz00_3205,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3201);} } 

}



/* avahi-threaded-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_19)
{
{ /* Llib/avahi.scm 358 */
{ /* Llib/avahi.scm 360 */
 AvahiThreadedPoll * BgL_arg1341z00_1318;
BgL_arg1341z00_1318 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_19))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1341z00_1318); BUNSPEC; } 
return 
((obj_t)BgL_oz00_19);} 

}



/* &avahi-threaded-poll-loop */
obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_1813, obj_t BgL_oz00_1814)
{
{ /* Llib/avahi.scm 358 */
{ /* Llib/avahi.scm 359 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3213;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1814, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 359 */
BgL_auxz00_3213 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1814)
; }  else 
{ 
 obj_t BgL_auxz00_3217;
BgL_auxz00_3217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)14972)), BGl_string2375z00zz__avahi_avahiz00, BGl_string2374z00zz__avahi_avahiz00, BgL_oz00_1814); 
FAILURE(BgL_auxz00_3217,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3213);} } 

}



/* avahi-threaded-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_20)
{
{ /* Llib/avahi.scm 366 */
{ /* Llib/avahi.scm 368 */
 AvahiThreadedPoll * BgL_arg1342z00_1320;
BgL_arg1342z00_1320 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_20))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1342z00_1320); BUNSPEC; } 
return 
((obj_t)BgL_oz00_20);} 

}



/* &avahi-threaded-poll-lock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_1815, obj_t BgL_oz00_1816)
{
{ /* Llib/avahi.scm 366 */
{ /* Llib/avahi.scm 367 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3225;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1816, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 367 */
BgL_auxz00_3225 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1816)
; }  else 
{ 
 obj_t BgL_auxz00_3229;
BgL_auxz00_3229 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)15357)), BGl_string2376z00zz__avahi_avahiz00, BGl_string2374z00zz__avahi_avahiz00, BgL_oz00_1816); 
FAILURE(BgL_auxz00_3229,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_auxz00_3225);} } 

}



/* avahi-threaded-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_21)
{
{ /* Llib/avahi.scm 374 */
{ /* Llib/avahi.scm 376 */
 AvahiThreadedPoll * BgL_arg1343z00_1322;
BgL_arg1343z00_1322 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_21))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1343z00_1322); BUNSPEC; } 
return 
((obj_t)BgL_oz00_21);} 

}



/* &avahi-threaded-poll-unlock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_1817, obj_t BgL_oz00_1818)
{
{ /* Llib/avahi.scm 374 */
{ /* Llib/avahi.scm 375 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3237;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1818, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 375 */
BgL_auxz00_3237 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1818)
; }  else 
{ 
 obj_t BgL_auxz00_3241;
BgL_auxz00_3241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)15744)), BGl_string2377z00zz__avahi_avahiz00, BGl_string2374z00zz__avahi_avahiz00, BgL_oz00_1818); 
FAILURE(BgL_auxz00_3241,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_auxz00_3237);} } 

}



/* avahi-threaded-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_22, long BgL_tz00_23, obj_t BgL_procz00_24)
{
{ /* Llib/avahi.scm 382 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_24, 
(int)(((long)0))))
{ /* Llib/avahi.scm 383 */
{ 
 obj_t BgL_auxz00_3249;
{ /* Llib/avahi.scm 385 */
 obj_t BgL_arg1345z00_112;
BgL_arg1345z00_112 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_22)))->BgL_z52procsz52); 
BgL_auxz00_3249 = 
MAKE_YOUNG_PAIR(BgL_procz00_24, BgL_arg1345z00_112); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_22)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3249),BUNSPEC); } 
{ /* Llib/avahi.scm 386 */
 AvahiThreadedPoll * BgL_arg1348z00_113;
BgL_arg1348z00_113 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_22))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 386 */
 long BgL_tmpz00_3256;
BgL_tmpz00_3256 = 
(long)(BgL_tz00_23); 
bgl_avahi_threaded_poll_timeout(BgL_arg1348z00_113, BgL_tmpz00_3256, BgL_procz00_24); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 387 */
 char * BgL_procz00_1323; char * BgL_msgz00_1324;
BgL_procz00_1323 = 
BSTRING_TO_STRING(BGl_string2378z00zz__avahi_avahiz00); 
BgL_msgz00_1324 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_1326;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1327;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_1328;
BgL_new1141z00_1328 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_1329;
BgL_arg1288z00_1329 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_1328), BgL_arg1288z00_1329); } 
BgL_new1142z00_1327 = BgL_new1141z00_1328; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1327)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1327)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3269;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_1333;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_1334;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_1335;
BgL_classz00_1335 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_1334 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1335); } 
BgL_arg1286z00_1333 = 
VECTOR_REF(BgL_arg1287z00_1334,((long)2)); } 
BgL_auxz00_3269 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_1333); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1327)))->BgL_stackz00)=((obj_t)BgL_auxz00_3269),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1327)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1323)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1327)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1324)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1327)))->BgL_objz00)=((obj_t)BgL_procz00_24),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_1327))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_1326 = BgL_new1142z00_1327; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_1326));} } } 

}



/* &avahi-threaded-poll-timeout */
obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_1819, obj_t BgL_oz00_1820, obj_t BgL_tz00_1821, obj_t BgL_procz00_1822)
{
{ /* Llib/avahi.scm 382 */
{ /* Llib/avahi.scm 383 */
 obj_t BgL_auxz00_3303; long BgL_auxz00_3294; BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3286;
if(
PROCEDUREP(BgL_procz00_1822))
{ /* Llib/avahi.scm 383 */
BgL_auxz00_3303 = BgL_procz00_1822
; }  else 
{ 
 obj_t BgL_auxz00_3306;
BgL_auxz00_3306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)16157)), BGl_string2379z00zz__avahi_avahiz00, BGl_string2371z00zz__avahi_avahiz00, BgL_procz00_1822); 
FAILURE(BgL_auxz00_3306,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 383 */
 obj_t BgL_tmpz00_3295;
if(
INTEGERP(BgL_tz00_1821))
{ /* Llib/avahi.scm 383 */
BgL_tmpz00_3295 = BgL_tz00_1821
; }  else 
{ 
 obj_t BgL_auxz00_3298;
BgL_auxz00_3298 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)16157)), BGl_string2379z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_tz00_1821); 
FAILURE(BgL_auxz00_3298,BFALSE,BFALSE);} 
BgL_auxz00_3294 = 
(long)CINT(BgL_tmpz00_3295); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1820, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 383 */
BgL_auxz00_3286 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1820)
; }  else 
{ 
 obj_t BgL_auxz00_3290;
BgL_auxz00_3290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)16157)), BGl_string2379z00zz__avahi_avahiz00, BGl_string2374z00zz__avahi_avahiz00, BgL_oz00_1820); 
FAILURE(BgL_auxz00_3290,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3286, BgL_auxz00_3294, BgL_auxz00_3303);} } 

}



/* avahi-threaded-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_25)
{
{ /* Llib/avahi.scm 393 */
{ /* Llib/avahi.scm 395 */
 AvahiThreadedPoll * BgL_arg1349z00_1338;
BgL_arg1349z00_1338 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_25))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1349z00_1338); BUNSPEC; } 
return 
((obj_t)BgL_oz00_25);} 

}



/* &avahi-threaded-poll-quit */
obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_1823, obj_t BgL_oz00_1824)
{
{ /* Llib/avahi.scm 393 */
{ /* Llib/avahi.scm 394 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3314;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1824, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 394 */
BgL_auxz00_3314 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1824)
; }  else 
{ 
 obj_t BgL_auxz00_3318;
BgL_auxz00_3318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)16727)), BGl_string2380z00zz__avahi_avahiz00, BGl_string2374z00zz__avahi_avahiz00, BgL_oz00_1824); 
FAILURE(BgL_auxz00_3318,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3314);} } 

}



/* avahi-client-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_27)
{
{ /* Llib/avahi.scm 413 */
bgl_avahi_client_close(BgL_oz00_27); BUNSPEC; 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_27))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_27))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_27))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
return 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_27));} 

}



/* &avahi-client-close */
obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_1825, obj_t BgL_oz00_1826)
{
{ /* Llib/avahi.scm 413 */
{ /* Llib/avahi.scm 414 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_3329;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1826, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 414 */
BgL_auxz00_3329 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_1826)
; }  else 
{ 
 obj_t BgL_auxz00_3333;
BgL_auxz00_3333 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)17628)), BGl_string2381z00zz__avahi_avahiz00, BGl_string2382z00zz__avahi_avahiz00, BgL_oz00_1826); 
FAILURE(BgL_auxz00_3333,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_auxz00_3329);} } 

}



/* avahi-client-error-message */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_28)
{
{ /* Llib/avahi.scm 424 */
{ /* Llib/avahi.scm 426 */
 int BgL_arg1354z00_1340;
{ /* Llib/avahi.scm 426 */
 AvahiClient * BgL_tmpz00_3338;
BgL_tmpz00_3338 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_28))->BgL_z42builtinz42); 
BgL_arg1354z00_1340 = 
avahi_client_errno(BgL_tmpz00_3338); } 
return 
string_to_bstring(
(char *)avahi_strerror(BgL_arg1354z00_1340));} } 

}



/* &avahi-client-error-message */
obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t BgL_envz00_1827, obj_t BgL_oz00_1828)
{
{ /* Llib/avahi.scm 424 */
{ /* Llib/avahi.scm 425 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_3343;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1828, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 425 */
BgL_auxz00_3343 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_1828)
; }  else 
{ 
 obj_t BgL_auxz00_3347;
BgL_auxz00_3347 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)18076)), BGl_string2383z00zz__avahi_avahiz00, BGl_string2382z00zz__avahi_avahiz00, BgL_oz00_1828); 
FAILURE(BgL_auxz00_3347,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_auxz00_3343);} } 

}



/* avahi-client-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_client_state_to_symbol(AvahiClientState BgL_statez00_29)
{
{ /* Llib/avahi.scm 431 */
if(
(BgL_statez00_29==AVAHI_CLIENT_S_REGISTERING))
{ /* Llib/avahi.scm 433 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/avahi.scm 433 */
if(
(BgL_statez00_29==AVAHI_CLIENT_S_RUNNING))
{ /* Llib/avahi.scm 435 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/avahi.scm 435 */
if(
(BgL_statez00_29==AVAHI_CLIENT_S_COLLISION))
{ /* Llib/avahi.scm 437 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/avahi.scm 437 */
if(
(BgL_statez00_29==AVAHI_CLIENT_FAILURE))
{ /* Llib/avahi.scm 439 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/avahi.scm 439 */
if(
(BgL_statez00_29==AVAHI_CLIENT_CONNECTING))
{ /* Llib/avahi.scm 441 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/avahi.scm 444 */
 char * BgL_procz00_1352; char * BgL_msgz00_1353;
BgL_procz00_1352 = 
BSTRING_TO_STRING(BGl_string2384z00zz__avahi_avahiz00); 
BgL_msgz00_1353 = 
BSTRING_TO_STRING(BGl_string2385z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_1355;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1356;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_1357;
BgL_new1141z00_1357 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_1358;
BgL_arg1288z00_1358 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_1357), BgL_arg1288z00_1358); } 
BgL_new1142z00_1356 = BgL_new1141z00_1357; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1356)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1356)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3377;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_1362;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_1363;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_1364;
BgL_classz00_1364 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_1363 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1364); } 
BgL_arg1286z00_1362 = 
VECTOR_REF(BgL_arg1287z00_1363,((long)2)); } 
BgL_auxz00_3377 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_1362); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1356)))->BgL_stackz00)=((obj_t)BgL_auxz00_3377),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1356)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1352)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1356)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1353)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1356)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_29)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_1356))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_1355 = BgL_new1142z00_1356; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_1355));} } } } } } } 

}



/* &avahi-client-state->symbol */
obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1829, obj_t BgL_statez00_1830)
{
{ /* Llib/avahi.scm 431 */
{ /* Llib/avahi.scm 433 */
 AvahiClientState BgL_auxz00_3395;
{ /* Llib/avahi.scm 433 */
 obj_t BgL_tmpz00_3396;
if(
INTEGERP(BgL_statez00_1830))
{ /* Llib/avahi.scm 433 */
BgL_tmpz00_3396 = BgL_statez00_1830
; }  else 
{ 
 obj_t BgL_auxz00_3399;
BgL_auxz00_3399 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)18475)), BGl_string2386z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_statez00_1830); 
FAILURE(BgL_auxz00_3399,BFALSE,BFALSE);} 
BgL_auxz00_3395 = 
(long)CINT(BgL_tmpz00_3396); } 
return 
bgl_avahi_client_state_to_symbol(BgL_auxz00_3395);} } 

}



/* avahi-entry-group-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_31)
{
{ /* Llib/avahi.scm 463 */
bgl_avahi_entry_group_close(BgL_oz00_31); BUNSPEC; 
{ /* Llib/avahi.scm 466 */
 BgL_avahizd2clientzd2_bglt BgL_i1161z00_126;
BgL_i1161z00_126 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_31))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_3407;
{ /* Llib/avahi.scm 467 */
 obj_t BgL_arg1363z00_127;
BgL_arg1363z00_127 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1161z00_126))->BgL_z52groupsz52); 
BgL_auxz00_3407 = 
bgl_remq_bang(
((obj_t)BgL_oz00_31), BgL_arg1363z00_127); } 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1161z00_126))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_3407),BUNSPEC);} } } 

}



/* &avahi-entry-group-close */
obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1831, obj_t BgL_oz00_1832)
{
{ /* Llib/avahi.scm 463 */
{ /* Llib/avahi.scm 464 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3412;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1832, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 464 */
BgL_auxz00_3412 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1832)
; }  else 
{ 
 obj_t BgL_auxz00_3416;
BgL_auxz00_3416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)19887)), BGl_string2387z00zz__avahi_avahiz00, BGl_string2388z00zz__avahi_avahiz00, BgL_oz00_1832); 
FAILURE(BgL_auxz00_3416,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3412);} } 

}



/* avahi-entry-group-empty? */
BGL_EXPORTED_DEF bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_32)
{
{ /* Llib/avahi.scm 472 */
{ /* Llib/avahi.scm 474 */
 AvahiEntryGroup * BgL_arg1364z00_1367;
BgL_arg1364z00_1367 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_32))->BgL_z42builtinz42); 
avahi_entry_group_is_empty(BgL_arg1364z00_1367); 
return ((bool_t)1);} } 

}



/* &avahi-entry-group-empty? */
obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t BgL_envz00_1833, obj_t BgL_oz00_1834)
{
{ /* Llib/avahi.scm 472 */
{ /* Llib/avahi.scm 473 */
 bool_t BgL_tmpz00_3423;
{ /* Llib/avahi.scm 473 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3424;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1834, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 473 */
BgL_auxz00_3424 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1834)
; }  else 
{ 
 obj_t BgL_auxz00_3428;
BgL_auxz00_3428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)20314)), BGl_string2389z00zz__avahi_avahiz00, BGl_string2388z00zz__avahi_avahiz00, BgL_oz00_1834); 
FAILURE(BgL_auxz00_3428,BFALSE,BFALSE);} 
BgL_tmpz00_3423 = 
BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_auxz00_3424); } 
return 
BBOOL(BgL_tmpz00_3423);} } 

}



/* avahi-entry-group-commit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_33)
{
{ /* Llib/avahi.scm 479 */
{ /* Llib/avahi.scm 481 */
 int BgL_nz00_131;
{ /* Llib/avahi.scm 481 */
 AvahiEntryGroup * BgL_tmpz00_3434;
BgL_tmpz00_3434 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_33))->BgL_z42builtinz42); 
BgL_nz00_131 = 
avahi_entry_group_commit(BgL_tmpz00_3434); } 
if(
(
(long)(BgL_nz00_131)>=((long)0)))
{ /* Llib/avahi.scm 482 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 483 */
 char * BgL_arg1366z00_133;
BgL_arg1366z00_133 = 
(char *)avahi_strerror(BgL_nz00_131); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2388z00zz__avahi_avahiz00), BgL_arg1366z00_133, 
((obj_t)BgL_oz00_33), BgL_nz00_131);} } } 

}



/* &avahi-entry-group-commit */
obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t BgL_envz00_1835, obj_t BgL_oz00_1836)
{
{ /* Llib/avahi.scm 479 */
{ /* Llib/avahi.scm 480 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3444;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1836, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 480 */
BgL_auxz00_3444 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1836)
; }  else 
{ 
 obj_t BgL_auxz00_3448;
BgL_auxz00_3448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)20686)), BGl_string2390z00zz__avahi_avahiz00, BGl_string2388z00zz__avahi_avahiz00, BgL_oz00_1836); 
FAILURE(BgL_auxz00_3448,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_auxz00_3444);} } 

}



/* avahi-entry-group-reset! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_34)
{
{ /* Llib/avahi.scm 488 */
{ /* Llib/avahi.scm 490 */
 BgL_avahizd2clientzd2_bglt BgL_i1165z00_136;
BgL_i1165z00_136 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_34))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_3454;
{ /* Llib/avahi.scm 491 */
 obj_t BgL_arg1368z00_137;
BgL_arg1368z00_137 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1165z00_136))->BgL_z52groupsz52); 
BgL_auxz00_3454 = 
bgl_remq_bang(
((obj_t)BgL_oz00_34), BgL_arg1368z00_137); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1165z00_136))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_3454),BUNSPEC); } } 
{ /* Llib/avahi.scm 492 */
 int BgL_nz00_138;
{ /* Llib/avahi.scm 492 */
 AvahiEntryGroup * BgL_tmpz00_3459;
BgL_tmpz00_3459 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_34))->BgL_z42builtinz42); 
BgL_nz00_138 = 
avahi_entry_group_reset(BgL_tmpz00_3459); } 
if(
(
(long)(BgL_nz00_138)>=((long)0)))
{ /* Llib/avahi.scm 493 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 494 */
 char * BgL_arg1377z00_140;
BgL_arg1377z00_140 = 
(char *)avahi_strerror(BgL_nz00_138); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2388z00zz__avahi_avahiz00), BgL_arg1377z00_140, 
((obj_t)BgL_oz00_34), BgL_nz00_138);} } } 

}



/* &avahi-entry-group-reset! */
obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t BgL_envz00_1837, obj_t BgL_oz00_1838)
{
{ /* Llib/avahi.scm 488 */
{ /* Llib/avahi.scm 489 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3469;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1838, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 489 */
BgL_auxz00_3469 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1838)
; }  else 
{ 
 obj_t BgL_auxz00_3473;
BgL_auxz00_3473 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)21155)), BGl_string2391z00zz__avahi_avahiz00, BGl_string2388z00zz__avahi_avahiz00, BgL_oz00_1838); 
FAILURE(BgL_auxz00_3473,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_auxz00_3469);} } 

}



/* avahi-entry-group-add-service! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_35, obj_t BgL_namez00_36)
{
{ /* Llib/avahi.scm 499 */
{ /* Llib/avahi.scm 186 */
 obj_t BgL_namez00_143;
BgL_namez00_143 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/avahi.scm 186 */
 obj_t BgL_typez00_144;
BgL_typez00_144 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)9)), BFALSE); 
{ /* Llib/avahi.scm 186 */
 obj_t BgL_domainz00_145;
BgL_domainz00_145 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)10)), BFALSE); 
{ /* Llib/avahi.scm 186 */
 obj_t BgL_hostz00_146;
BgL_hostz00_146 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)11)), BFALSE); 
{ /* Llib/avahi.scm 186 */
 obj_t BgL_portz00_147;
BgL_portz00_147 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)12)), BFALSE); 
{ /* Llib/avahi.scm 186 */
 obj_t BgL_subtypez00_148;
BgL_subtypez00_148 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)13)), BFALSE); 
{ /* Llib/avahi.scm 186 */
 obj_t BgL_txtz00_149;
BgL_txtz00_149 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)14))); 
if(
CBOOL(BgL_subtypez00_148))
{ /* Llib/avahi.scm 523 */
 int BgL_arg1379z00_152;
{ /* Llib/avahi.scm 523 */
 AvahiEntryGroup * BgL_arg1380z00_153; obj_t BgL_arg1381z00_154;
BgL_arg1380z00_153 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_35))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_145))
{ /* Llib/avahi.scm 529 */
BgL_arg1381z00_154 = BgL_domainz00_145; }  else 
{ /* Llib/avahi.scm 529 */
BgL_arg1381z00_154 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 523 */
 char * BgL_auxz00_3505; char * BgL_auxz00_3503; char * BgL_auxz00_3501; char * BgL_tmpz00_3499;
BgL_auxz00_3505 = 
BSTRING_TO_STRING(BgL_subtypez00_148); 
BgL_auxz00_3503 = 
BSTRING_TO_STRING(BgL_arg1381z00_154); 
BgL_auxz00_3501 = 
BSTRING_TO_STRING(BgL_typez00_144); 
BgL_tmpz00_3499 = 
BSTRING_TO_STRING(BgL_namez00_143); 
BgL_arg1379z00_152 = 
avahi_entry_group_add_service_subtype(BgL_arg1380z00_153, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_3499, BgL_auxz00_3501, BgL_auxz00_3503, BgL_auxz00_3505); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_35, BgL_arg1379z00_152);}  else 
{ /* Llib/avahi.scm 520 */
if(
PAIRP(BgL_txtz00_149))
{ /* Llib/avahi.scm 533 */
 AvahiStringList * BgL_lz00_157;
BgL_lz00_157 = 
bgl_avahi_list_to_string_list(BgL_txtz00_149); 
{ /* Llib/avahi.scm 534 */
 obj_t BgL_exitd1174z00_158;
BgL_exitd1174z00_158 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza31536ze3z87_1839;
BgL_zc3z04anonymousza31536ze3z87_1839 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31536ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31536ze3z87_1839, 
(int)(((long)0)), 
void_star_to_obj(BgL_lz00_157)); 
{ /* Llib/avahi.scm 534 */
 obj_t BgL_arg1818z00_1383;
{ /* Llib/avahi.scm 534 */
 obj_t BgL_arg1819z00_1384;
BgL_arg1819z00_1384 = 
BGL_EXITD_PROTECT(BgL_exitd1174z00_158); 
BgL_arg1818z00_1383 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31536ze3z87_1839, BgL_arg1819z00_1384); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1174z00_158, BgL_arg1818z00_1383); BUNSPEC; } 
{ /* Llib/avahi.scm 536 */
 obj_t BgL_tmp1176z00_160;
{ /* Llib/avahi.scm 536 */
 int BgL_arg1414z00_161;
{ /* Llib/avahi.scm 536 */
 AvahiEntryGroup * BgL_arg1455z00_162; obj_t BgL_arg1456z00_163; obj_t BgL_arg1535z00_164;
BgL_arg1455z00_162 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_35))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_145))
{ /* Llib/avahi.scm 542 */
BgL_arg1456z00_163 = BgL_domainz00_145; }  else 
{ /* Llib/avahi.scm 542 */
BgL_arg1456z00_163 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_146))
{ /* Llib/avahi.scm 543 */
BgL_arg1535z00_164 = BgL_hostz00_146; }  else 
{ /* Llib/avahi.scm 543 */
BgL_arg1535z00_164 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 536 */
 int BgL_auxz00_3539; char * BgL_auxz00_3537; char * BgL_auxz00_3535; char * BgL_auxz00_3533; char * BgL_tmpz00_3531;
BgL_auxz00_3539 = 
CINT(BgL_portz00_147); 
BgL_auxz00_3537 = 
BSTRING_TO_STRING(BgL_arg1535z00_164); 
BgL_auxz00_3535 = 
BSTRING_TO_STRING(BgL_arg1456z00_163); 
BgL_auxz00_3533 = 
BSTRING_TO_STRING(BgL_typez00_144); 
BgL_tmpz00_3531 = 
BSTRING_TO_STRING(BgL_namez00_143); 
BgL_arg1414z00_161 = 
avahi_entry_group_add_service_strlst(BgL_arg1455z00_162, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_3531, BgL_auxz00_3533, BgL_auxz00_3535, BgL_auxz00_3537, BgL_auxz00_3539, BgL_lz00_157); } } 
BgL_tmp1176z00_160 = 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_35, BgL_arg1414z00_161); } 
{ /* Llib/avahi.scm 534 */
 bool_t BgL_test2907z00_3543;
{ /* Llib/avahi.scm 534 */
 obj_t BgL_arg1817z00_1386;
BgL_arg1817z00_1386 = 
BGL_EXITD_PROTECT(BgL_exitd1174z00_158); 
BgL_test2907z00_3543 = 
PAIRP(BgL_arg1817z00_1386); } 
if(BgL_test2907z00_3543)
{ /* Llib/avahi.scm 534 */
 obj_t BgL_arg1815z00_1387;
{ /* Llib/avahi.scm 534 */
 obj_t BgL_arg1816z00_1388;
BgL_arg1816z00_1388 = 
BGL_EXITD_PROTECT(BgL_exitd1174z00_158); 
BgL_arg1815z00_1387 = 
CDR(
((obj_t)BgL_arg1816z00_1388)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1174z00_158, BgL_arg1815z00_1387); BUNSPEC; }  else 
{ /* Llib/avahi.scm 534 */BFALSE; } } 
avahi_string_list_free(BgL_lz00_157); BUNSPEC; 
return BgL_tmp1176z00_160;} } } }  else 
{ /* Llib/avahi.scm 549 */
 int BgL_arg1541z00_169;
{ /* Llib/avahi.scm 549 */
 AvahiEntryGroup * BgL_arg1554z00_170; obj_t BgL_arg1555z00_171; obj_t BgL_arg1563z00_172; char * BgL_arg1564z00_173;
BgL_arg1554z00_170 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_35))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_145))
{ /* Llib/avahi.scm 555 */
BgL_arg1555z00_171 = BgL_domainz00_145; }  else 
{ /* Llib/avahi.scm 555 */
BgL_arg1555z00_171 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_146))
{ /* Llib/avahi.scm 556 */
BgL_arg1563z00_172 = BgL_hostz00_146; }  else 
{ /* Llib/avahi.scm 556 */
BgL_arg1563z00_172 = 
string_to_bstring(
((char *)0L)); } 
BgL_arg1564z00_173 = 
((char *)0L); 
{ /* Llib/avahi.scm 549 */
 int BgL_auxz00_3569; char * BgL_auxz00_3567; char * BgL_auxz00_3565; char * BgL_auxz00_3563; char * BgL_tmpz00_3561;
BgL_auxz00_3569 = 
CINT(BgL_portz00_147); 
BgL_auxz00_3567 = 
BSTRING_TO_STRING(BgL_arg1563z00_172); 
BgL_auxz00_3565 = 
BSTRING_TO_STRING(BgL_arg1555z00_171); 
BgL_auxz00_3563 = 
BSTRING_TO_STRING(BgL_typez00_144); 
BgL_tmpz00_3561 = 
BSTRING_TO_STRING(BgL_namez00_143); 
BgL_arg1541z00_169 = 
avahi_entry_group_add_service(BgL_arg1554z00_170, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_3561, BgL_auxz00_3563, BgL_auxz00_3565, BgL_auxz00_3567, BgL_auxz00_3569, BgL_arg1564z00_173); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_35, BgL_arg1541z00_169);} } } } } } } } } } 

}



/* check-error~0 */
obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_2388, int BgL_nz00_176)
{
{ /* Llib/avahi.scm 516 */
if(
(
(long)(BgL_nz00_176)<((long)0)))
{ /* Llib/avahi.scm 506 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1572z00_179;
if(
(
(long)(BgL_nz00_176)==
(long)(AVAHI_ERR_COLLISION)))
{ /* Llib/avahi.scm 507 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1169z00_181;
{ /* Llib/avahi.scm 507 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1168z00_184;
BgL_new1168z00_184 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 507 */
 long BgL_arg1576z00_185;
BgL_arg1576z00_185 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_184), BgL_arg1576z00_185); } 
BgL_new1169z00_181 = BgL_new1168z00_184; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_181)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_181)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3588;
{ /* Llib/avahi.scm 507 */
 obj_t BgL_arg1574z00_182;
{ /* Llib/avahi.scm 507 */
 obj_t BgL_arg1575z00_183;
{ /* Llib/avahi.scm 507 */
 obj_t BgL_classz00_1376;
BgL_classz00_1376 = BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00; 
BgL_arg1575z00_183 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1376); } 
BgL_arg1574z00_182 = 
VECTOR_REF(BgL_arg1575z00_183,((long)2)); } 
BgL_auxz00_3588 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1574z00_182); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_181)))->BgL_stackz00)=((obj_t)BgL_auxz00_3588),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1169z00_181)))->BgL_procz00)=((obj_t)BGl_string2392z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1169z00_181)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_176))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1169z00_181)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2388)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1169z00_181)))->BgL_errnoz00)=((int)BgL_nz00_176),BUNSPEC); 
BgL_arg1572z00_179 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1169z00_181); }  else 
{ /* Llib/avahi.scm 512 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1171z00_186;
{ /* Llib/avahi.scm 512 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1170z00_189;
BgL_new1170z00_189 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 512 */
 long BgL_arg1594z00_190;
BgL_arg1594z00_190 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_189), BgL_arg1594z00_190); } 
BgL_new1171z00_186 = BgL_new1170z00_189; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_186)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_186)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3614;
{ /* Llib/avahi.scm 512 */
 obj_t BgL_arg1590z00_187;
{ /* Llib/avahi.scm 512 */
 obj_t BgL_arg1591z00_188;
{ /* Llib/avahi.scm 512 */
 obj_t BgL_classz00_1381;
BgL_classz00_1381 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1591z00_188 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1381); } 
BgL_arg1590z00_187 = 
VECTOR_REF(BgL_arg1591z00_188,((long)2)); } 
BgL_auxz00_3614 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1590z00_187); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_186)))->BgL_stackz00)=((obj_t)BgL_auxz00_3614),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1171z00_186)))->BgL_procz00)=((obj_t)BGl_string2392z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1171z00_186)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_176))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1171z00_186)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2388)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1171z00_186))->BgL_errnoz00)=((int)BgL_nz00_176),BUNSPEC); 
BgL_arg1572z00_179 = BgL_new1171z00_186; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1572z00_179));}  else 
{ /* Llib/avahi.scm 504 */
return BFALSE;} } 

}



/* &avahi-entry-group-add-service! */
obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t BgL_envz00_1840, obj_t BgL_oz00_1841, obj_t BgL_namez00_1842)
{
{ /* Llib/avahi.scm 499 */
{ /* Llib/avahi.scm 186 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3632;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1841, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 186 */
BgL_auxz00_3632 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1841)
; }  else 
{ 
 obj_t BgL_auxz00_3636;
BgL_auxz00_3636 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)7339)), BGl_string2393z00zz__avahi_avahiz00, BGl_string2388z00zz__avahi_avahiz00, BgL_oz00_1841); 
FAILURE(BgL_auxz00_3636,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_auxz00_3632, BgL_namez00_1842);} } 

}



/* &<@anonymous:1536> */
obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_1843)
{
{ /* Llib/avahi.scm 534 */
{ 
 AvahiStringList * BgL_lz00_1844;
BgL_lz00_1844 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_1843, 
(int)(((long)0)))); 
avahi_string_list_free(BgL_lz00_1844); 
return BUNSPEC;} } 

}



/* avahi-entry-group-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState BgL_statez00_37)
{
{ /* Llib/avahi.scm 563 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_UNCOMMITED))
{ /* Llib/avahi.scm 565 */
return 
CNST_TABLE_REF(((long)15));}  else 
{ /* Llib/avahi.scm 565 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_REGISTERING))
{ /* Llib/avahi.scm 567 */
return 
CNST_TABLE_REF(((long)16));}  else 
{ /* Llib/avahi.scm 567 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_ESTABLISHED))
{ /* Llib/avahi.scm 569 */
return 
CNST_TABLE_REF(((long)17));}  else 
{ /* Llib/avahi.scm 569 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_COLLISION))
{ /* Llib/avahi.scm 571 */
return 
CNST_TABLE_REF(((long)18));}  else 
{ /* Llib/avahi.scm 571 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_FAILURE))
{ /* Llib/avahi.scm 573 */
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* Llib/avahi.scm 577 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1609z00_197;
{ /* Llib/avahi.scm 577 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1183z00_198;
{ /* Llib/avahi.scm 577 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1182z00_201;
BgL_new1182z00_201 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 577 */
 long BgL_arg1622z00_202;
BgL_arg1622z00_202 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_201), BgL_arg1622z00_202); } 
BgL_new1183z00_198 = BgL_new1182z00_201; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1183z00_198)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1183z00_198)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3668;
{ /* Llib/avahi.scm 577 */
 obj_t BgL_arg1611z00_199;
{ /* Llib/avahi.scm 577 */
 obj_t BgL_arg1612z00_200;
{ /* Llib/avahi.scm 577 */
 obj_t BgL_classz00_1403;
BgL_classz00_1403 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1612z00_200 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1403); } 
BgL_arg1611z00_199 = 
VECTOR_REF(BgL_arg1612z00_200,((long)2)); } 
BgL_auxz00_3668 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1611z00_199); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1183z00_198)))->BgL_stackz00)=((obj_t)BgL_auxz00_3668),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1183z00_198)))->BgL_procz00)=((obj_t)BGl_string2394z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1183z00_198)))->BgL_msgz00)=((obj_t)BGl_string2385z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1183z00_198)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_37)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1183z00_198))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1609z00_197 = BgL_new1183z00_198; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1609z00_197));} } } } } } 

}



/* &avahi-entry-group-state->symbol */
obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_1845, obj_t BgL_statez00_1846)
{
{ /* Llib/avahi.scm 563 */
{ /* Llib/avahi.scm 565 */
 AvahiEntryGroupState BgL_auxz00_3684;
{ /* Llib/avahi.scm 565 */
 obj_t BgL_tmpz00_3685;
if(
INTEGERP(BgL_statez00_1846))
{ /* Llib/avahi.scm 565 */
BgL_tmpz00_3685 = BgL_statez00_1846
; }  else 
{ 
 obj_t BgL_auxz00_3688;
BgL_auxz00_3688 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)23435)), BGl_string2395z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_statez00_1846); 
FAILURE(BgL_auxz00_3688,BFALSE,BFALSE);} 
BgL_auxz00_3684 = 
(long)CINT(BgL_tmpz00_3685); } 
return 
bgl_avahi_entry_group_state_to_symbol(BgL_auxz00_3684);} } 

}



/* avahi-alternative-host-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_38)
{
{ /* Llib/avahi.scm 586 */
{ /* Llib/avahi.scm 587 */
 char * BgL_tmpz00_3694;
{ /* Llib/avahi.scm 587 */
 char * BgL_tmpz00_3695;
BgL_tmpz00_3695 = 
BSTRING_TO_STRING(BgL_namez00_38); 
BgL_tmpz00_3694 = 
avahi_alternative_host_name(BgL_tmpz00_3695); } 
return 
string_to_bstring(BgL_tmpz00_3694);} } 

}



/* &avahi-alternative-host-name */
obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_1847, obj_t BgL_namez00_1848)
{
{ /* Llib/avahi.scm 586 */
{ /* Llib/avahi.scm 587 */
 obj_t BgL_auxz00_3699;
if(
STRINGP(BgL_namez00_1848))
{ /* Llib/avahi.scm 587 */
BgL_auxz00_3699 = BgL_namez00_1848
; }  else 
{ 
 obj_t BgL_auxz00_3702;
BgL_auxz00_3702 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)24353)), BGl_string2396z00zz__avahi_avahiz00, BGl_string2362z00zz__avahi_avahiz00, BgL_namez00_1848); 
FAILURE(BgL_auxz00_3702,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(BgL_auxz00_3699);} } 

}



/* avahi-alternative-service-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_39)
{
{ /* Llib/avahi.scm 592 */
{ /* Llib/avahi.scm 593 */
 char * BgL_tmpz00_3707;
{ /* Llib/avahi.scm 593 */
 char * BgL_tmpz00_3708;
BgL_tmpz00_3708 = 
BSTRING_TO_STRING(BgL_namez00_39); 
BgL_tmpz00_3707 = 
avahi_alternative_service_name(BgL_tmpz00_3708); } 
return 
string_to_bstring(BgL_tmpz00_3707);} } 

}



/* &avahi-alternative-service-name */
obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_1849, obj_t BgL_namez00_1850)
{
{ /* Llib/avahi.scm 592 */
{ /* Llib/avahi.scm 593 */
 obj_t BgL_auxz00_3712;
if(
STRINGP(BgL_namez00_1850))
{ /* Llib/avahi.scm 593 */
BgL_auxz00_3712 = BgL_namez00_1850
; }  else 
{ 
 obj_t BgL_auxz00_3715;
BgL_auxz00_3715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)24662)), BGl_string2397z00zz__avahi_avahiz00, BGl_string2362z00zz__avahi_avahiz00, BgL_namez00_1850); 
FAILURE(BgL_auxz00_3715,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(BgL_auxz00_3712);} } 

}



/* avahi-service-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt BgL_oz00_41)
{
{ /* Llib/avahi.scm 611 */
bgl_avahi_service_browser_close(BgL_oz00_41); BUNSPEC; 
{ /* Llib/avahi.scm 614 */
 BgL_avahizd2clientzd2_bglt BgL_i1187z00_204;
BgL_i1187z00_204 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_oz00_41))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_3722;
{ /* Llib/avahi.scm 615 */
 obj_t BgL_arg1623z00_205;
BgL_arg1623z00_205 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1187z00_204))->BgL_z52browsersz52); 
BgL_auxz00_3722 = 
bgl_remq_bang(
((obj_t)BgL_oz00_41), BgL_arg1623z00_205); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1187z00_204))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_3722),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-browser-close */
obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1851, obj_t BgL_oz00_1852)
{
{ /* Llib/avahi.scm 611 */
{ /* Llib/avahi.scm 612 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_3727;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1852, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 612 */
BgL_auxz00_3727 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_1852)
; }  else 
{ 
 obj_t BgL_auxz00_3731;
BgL_auxz00_3731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)25634)), BGl_string2398z00zz__avahi_avahiz00, BGl_string2399z00zz__avahi_avahiz00, BgL_oz00_1852); 
FAILURE(BgL_auxz00_3731,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3727);} } 

}



/* avahi-domain-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt BgL_oz00_45)
{
{ /* Llib/avahi.scm 653 */
bgl_avahi_domain_browser_close(BgL_oz00_45); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_45)); 
return BUNSPEC;} 

}



/* &avahi-domain-browser-close */
obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1853, obj_t BgL_oz00_1854)
{
{ /* Llib/avahi.scm 653 */
{ /* Llib/avahi.scm 654 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_3739;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1854, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 654 */
BgL_auxz00_3739 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_1854)
; }  else 
{ 
 obj_t BgL_auxz00_3743;
BgL_auxz00_3743 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)27636)), BGl_string2400z00zz__avahi_avahiz00, BGl_string2401z00zz__avahi_avahiz00, BgL_oz00_1854); 
FAILURE(BgL_auxz00_3743,BFALSE,BFALSE);} 
return 
BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3739);} } 

}



/* avahi-service-resolver-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt BgL_oz00_47)
{
{ /* Llib/avahi.scm 674 */
bgl_avahi_service_resolver_close(BgL_oz00_47); BUNSPEC; 
{ /* Llib/avahi.scm 677 */
 BgL_avahizd2clientzd2_bglt BgL_i1193z00_207;
BgL_i1193z00_207 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_oz00_47))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_3750;
{ /* Llib/avahi.scm 678 */
 obj_t BgL_arg1624z00_208;
BgL_arg1624z00_208 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1193z00_207))->BgL_resolversz00); 
BgL_auxz00_3750 = 
bgl_remq_bang(
((obj_t)BgL_oz00_47), BgL_arg1624z00_208); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1193z00_207))->BgL_resolversz00)=((obj_t)BgL_auxz00_3750),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-resolver-close */
obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1855, obj_t BgL_oz00_1856)
{
{ /* Llib/avahi.scm 674 */
{ /* Llib/avahi.scm 675 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_3755;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1856, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 675 */
BgL_auxz00_3755 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_1856)
; }  else 
{ 
 obj_t BgL_auxz00_3759;
BgL_auxz00_3759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)28622)), BGl_string2402z00zz__avahi_avahiz00, BGl_string2403z00zz__avahi_avahiz00, BgL_oz00_1856); 
FAILURE(BgL_auxz00_3759,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3755);} } 

}



/* avahi-browser-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent BgL_eventz00_48)
{
{ /* Llib/avahi.scm 684 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_NEW))
{ /* Llib/avahi.scm 686 */
return 
CNST_TABLE_REF(((long)20));}  else 
{ /* Llib/avahi.scm 686 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_REMOVE))
{ /* Llib/avahi.scm 688 */
return 
CNST_TABLE_REF(((long)21));}  else 
{ /* Llib/avahi.scm 688 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_CACHE_EXHAUSTED))
{ /* Llib/avahi.scm 690 */
return 
CNST_TABLE_REF(((long)22));}  else 
{ /* Llib/avahi.scm 690 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_ALL_FOR_NOW))
{ /* Llib/avahi.scm 692 */
return 
CNST_TABLE_REF(((long)23));}  else 
{ /* Llib/avahi.scm 692 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_FAILURE))
{ /* Llib/avahi.scm 694 */
return 
CNST_TABLE_REF(((long)24));}  else 
{ /* Llib/avahi.scm 698 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1642z00_214;
{ /* Llib/avahi.scm 698 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1195z00_215;
{ /* Llib/avahi.scm 698 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1194z00_218;
BgL_new1194z00_218 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 698 */
 long BgL_arg1653z00_219;
BgL_arg1653z00_219 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_218), BgL_arg1653z00_219); } 
BgL_new1195z00_215 = BgL_new1194z00_218; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1195z00_215)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1195z00_215)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3787;
{ /* Llib/avahi.scm 698 */
 obj_t BgL_arg1643z00_216;
{ /* Llib/avahi.scm 698 */
 obj_t BgL_arg1651z00_217;
{ /* Llib/avahi.scm 698 */
 obj_t BgL_classz00_1418;
BgL_classz00_1418 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1651z00_217 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1418); } 
BgL_arg1643z00_216 = 
VECTOR_REF(BgL_arg1651z00_217,((long)2)); } 
BgL_auxz00_3787 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1643z00_216); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1195z00_215)))->BgL_stackz00)=((obj_t)BgL_auxz00_3787),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1195z00_215)))->BgL_procz00)=((obj_t)BGl_string2404z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1195z00_215)))->BgL_msgz00)=((obj_t)BGl_string2405z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1195z00_215)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_48)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1195z00_215))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1642z00_214 = BgL_new1195z00_215; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1642z00_214));} } } } } } 

}



/* &avahi-browser-event->symbol */
obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1857, obj_t BgL_eventz00_1858)
{
{ /* Llib/avahi.scm 684 */
{ /* Llib/avahi.scm 686 */
 AvahiBrowserEvent BgL_auxz00_3803;
{ /* Llib/avahi.scm 686 */
 obj_t BgL_tmpz00_3804;
if(
INTEGERP(BgL_eventz00_1858))
{ /* Llib/avahi.scm 686 */
BgL_tmpz00_3804 = BgL_eventz00_1858
; }  else 
{ 
 obj_t BgL_auxz00_3807;
BgL_auxz00_3807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)29092)), BGl_string2406z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_eventz00_1858); 
FAILURE(BgL_auxz00_3807,BFALSE,BFALSE);} 
BgL_auxz00_3803 = 
(long)CINT(BgL_tmpz00_3804); } 
return 
bgl_avahi_browser_event_to_symbol(BgL_auxz00_3803);} } 

}



/* avahi-resolver-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent BgL_eventz00_49)
{
{ /* Llib/avahi.scm 707 */
if(
(BgL_eventz00_49==AVAHI_RESOLVER_FOUND))
{ /* Llib/avahi.scm 709 */
return 
CNST_TABLE_REF(((long)25));}  else 
{ /* Llib/avahi.scm 709 */
if(
(BgL_eventz00_49==AVAHI_RESOLVER_FAILURE))
{ /* Llib/avahi.scm 711 */
return 
CNST_TABLE_REF(((long)26));}  else 
{ /* Llib/avahi.scm 715 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1657z00_222;
{ /* Llib/avahi.scm 715 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1197z00_223;
{ /* Llib/avahi.scm 715 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1196z00_226;
BgL_new1196z00_226 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 715 */
 long BgL_arg1673z00_227;
BgL_arg1673z00_227 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_226), BgL_arg1673z00_227); } 
BgL_new1197z00_223 = BgL_new1196z00_226; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1197z00_223)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1197z00_223)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3827;
{ /* Llib/avahi.scm 715 */
 obj_t BgL_arg1664z00_224;
{ /* Llib/avahi.scm 715 */
 obj_t BgL_arg1672z00_225;
{ /* Llib/avahi.scm 715 */
 obj_t BgL_classz00_1427;
BgL_classz00_1427 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1672z00_225 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1427); } 
BgL_arg1664z00_224 = 
VECTOR_REF(BgL_arg1672z00_225,((long)2)); } 
BgL_auxz00_3827 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1664z00_224); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1197z00_223)))->BgL_stackz00)=((obj_t)BgL_auxz00_3827),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1197z00_223)))->BgL_procz00)=((obj_t)BGl_string2407z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1197z00_223)))->BgL_msgz00)=((obj_t)BGl_string2405z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1197z00_223)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_49)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1197z00_223))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1657z00_222 = BgL_new1197z00_223; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1657z00_222));} } } 

}



/* &avahi-resolver-event->symbol */
obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1859, obj_t BgL_eventz00_1860)
{
{ /* Llib/avahi.scm 707 */
{ /* Llib/avahi.scm 709 */
 AvahiResolverEvent BgL_auxz00_3843;
{ /* Llib/avahi.scm 709 */
 obj_t BgL_tmpz00_3844;
if(
INTEGERP(BgL_eventz00_1860))
{ /* Llib/avahi.scm 709 */
BgL_tmpz00_3844 = BgL_eventz00_1860
; }  else 
{ 
 obj_t BgL_auxz00_3847;
BgL_auxz00_3847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)29961)), BGl_string2408z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_eventz00_1860); 
FAILURE(BgL_auxz00_3847,BFALSE,BFALSE);} 
BgL_auxz00_3843 = 
(long)CINT(BgL_tmpz00_3844); } 
return 
bgl_avahi_resolver_event_to_symbol(BgL_auxz00_3843);} } 

}



/* avahi-if-index->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex BgL_indexz00_50)
{
{ /* Llib/avahi.scm 724 */
if(
(BgL_indexz00_50==AVAHI_IF_UNSPEC))
{ /* Llib/avahi.scm 726 */
return 
CNST_TABLE_REF(((long)27));}  else 
{ /* Llib/avahi.scm 729 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1677z00_229;
{ /* Llib/avahi.scm 729 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1199z00_230;
{ /* Llib/avahi.scm 729 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1198z00_233;
BgL_new1198z00_233 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 729 */
 long BgL_arg1688z00_234;
BgL_arg1688z00_234 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_233), BgL_arg1688z00_234); } 
BgL_new1199z00_230 = BgL_new1198z00_233; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1199z00_230)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1199z00_230)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3864;
{ /* Llib/avahi.scm 729 */
 obj_t BgL_arg1684z00_231;
{ /* Llib/avahi.scm 729 */
 obj_t BgL_arg1685z00_232;
{ /* Llib/avahi.scm 729 */
 obj_t BgL_classz00_1434;
BgL_classz00_1434 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1685z00_232 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1434); } 
BgL_arg1684z00_231 = 
VECTOR_REF(BgL_arg1685z00_232,((long)2)); } 
BgL_auxz00_3864 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1684z00_231); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1199z00_230)))->BgL_stackz00)=((obj_t)BgL_auxz00_3864),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1199z00_230)))->BgL_procz00)=((obj_t)BGl_string2409z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1199z00_230)))->BgL_msgz00)=((obj_t)BGl_string2410z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1199z00_230)))->BgL_objz00)=((obj_t)
BINT(BgL_indexz00_50)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1199z00_230))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1677z00_229 = BgL_new1199z00_230; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1677z00_229));} } 

}



/* &avahi-if-index->symbol */
obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1861, obj_t BgL_indexz00_1862)
{
{ /* Llib/avahi.scm 724 */
{ /* Llib/avahi.scm 726 */
 AvahiIfIndex BgL_auxz00_3880;
{ /* Llib/avahi.scm 726 */
 obj_t BgL_tmpz00_3881;
if(
INTEGERP(BgL_indexz00_1862))
{ /* Llib/avahi.scm 726 */
BgL_tmpz00_3881 = BgL_indexz00_1862
; }  else 
{ 
 obj_t BgL_auxz00_3884;
BgL_auxz00_3884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)30586)), BGl_string2411z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_indexz00_1862); 
FAILURE(BgL_auxz00_3884,BFALSE,BFALSE);} 
BgL_auxz00_3880 = 
(long)CINT(BgL_tmpz00_3881); } 
return 
bgl_avahi_if_index_to_symbol(BgL_auxz00_3880);} } 

}



/* avahi-protocol->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol BgL_protoz00_51)
{
{ /* Llib/avahi.scm 738 */
if(
(BgL_protoz00_51==AVAHI_PROTO_INET))
{ /* Llib/avahi.scm 740 */
return 
CNST_TABLE_REF(((long)28));}  else 
{ /* Llib/avahi.scm 740 */
if(
(BgL_protoz00_51==AVAHI_PROTO_INET6))
{ /* Llib/avahi.scm 742 */
return 
CNST_TABLE_REF(((long)29));}  else 
{ /* Llib/avahi.scm 742 */
if(
(BgL_protoz00_51==AVAHI_PROTO_UNSPEC))
{ /* Llib/avahi.scm 744 */
return 
CNST_TABLE_REF(((long)30));}  else 
{ /* Llib/avahi.scm 748 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1692z00_238;
{ /* Llib/avahi.scm 748 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1201z00_239;
{ /* Llib/avahi.scm 748 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1200z00_242;
BgL_new1200z00_242 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 748 */
 long BgL_arg1706z00_243;
BgL_arg1706z00_243 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_242), BgL_arg1706z00_243); } 
BgL_new1201z00_239 = BgL_new1200z00_242; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1201z00_239)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1201z00_239)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3907;
{ /* Llib/avahi.scm 748 */
 obj_t BgL_arg1701z00_240;
{ /* Llib/avahi.scm 748 */
 obj_t BgL_arg1704z00_241;
{ /* Llib/avahi.scm 748 */
 obj_t BgL_classz00_1445;
BgL_classz00_1445 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1704z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1445); } 
BgL_arg1701z00_240 = 
VECTOR_REF(BgL_arg1704z00_241,((long)2)); } 
BgL_auxz00_3907 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1701z00_240); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1201z00_239)))->BgL_stackz00)=((obj_t)BgL_auxz00_3907),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1201z00_239)))->BgL_procz00)=((obj_t)BGl_string2412z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1201z00_239)))->BgL_msgz00)=((obj_t)BGl_string2413z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1201z00_239)))->BgL_objz00)=((obj_t)
BINT(BgL_protoz00_51)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1201z00_239))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1692z00_238 = BgL_new1201z00_239; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1692z00_238));} } } } 

}



/* &avahi-protocol->symbol */
obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_1863, obj_t BgL_protoz00_1864)
{
{ /* Llib/avahi.scm 738 */
{ /* Llib/avahi.scm 740 */
 AvahiProtocol BgL_auxz00_3923;
{ /* Llib/avahi.scm 740 */
 obj_t BgL_tmpz00_3924;
if(
INTEGERP(BgL_protoz00_1864))
{ /* Llib/avahi.scm 740 */
BgL_tmpz00_3924 = BgL_protoz00_1864
; }  else 
{ 
 obj_t BgL_auxz00_3927;
BgL_auxz00_3927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)31113)), BGl_string2414z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_protoz00_1864); 
FAILURE(BgL_auxz00_3927,BFALSE,BFALSE);} 
BgL_auxz00_3923 = 
(long)CINT(BgL_tmpz00_3924); } 
return 
bgl_avahi_protocol_to_symbol(BgL_auxz00_3923);} } 

}



/* avahi-symbol->protocol */
BGL_EXPORTED_DEF AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t BgL_protoz00_52)
{
{ /* Llib/avahi.scm 757 */
if(
(BgL_protoz00_52==
CNST_TABLE_REF(((long)28))))
{ /* Llib/avahi.scm 758 */
return AVAHI_PROTO_INET;}  else 
{ /* Llib/avahi.scm 758 */
if(
(BgL_protoz00_52==
CNST_TABLE_REF(((long)29))))
{ /* Llib/avahi.scm 758 */
return AVAHI_PROTO_INET6;}  else 
{ /* Llib/avahi.scm 758 */
if(
(BgL_protoz00_52==
CNST_TABLE_REF(((long)30))))
{ /* Llib/avahi.scm 758 */
return AVAHI_PROTO_UNSPEC;}  else 
{ /* Llib/avahi.scm 767 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1712z00_248;
{ /* Llib/avahi.scm 767 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1203z00_249;
{ /* Llib/avahi.scm 767 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1202z00_252;
BgL_new1202z00_252 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 767 */
 long BgL_arg1727z00_253;
BgL_arg1727z00_253 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_252), BgL_arg1727z00_253); } 
BgL_new1203z00_249 = BgL_new1202z00_252; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1203z00_249)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1203z00_249)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3950;
{ /* Llib/avahi.scm 767 */
 obj_t BgL_arg1725z00_250;
{ /* Llib/avahi.scm 767 */
 obj_t BgL_arg1726z00_251;
{ /* Llib/avahi.scm 767 */
 obj_t BgL_classz00_1453;
BgL_classz00_1453 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1726z00_251 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1453); } 
BgL_arg1725z00_250 = 
VECTOR_REF(BgL_arg1726z00_251,((long)2)); } 
BgL_auxz00_3950 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1725z00_250); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1203z00_249)))->BgL_stackz00)=((obj_t)BgL_auxz00_3950),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1203z00_249)))->BgL_procz00)=((obj_t)BGl_string2415z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1203z00_249)))->BgL_msgz00)=((obj_t)BGl_string2413z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1203z00_249)))->BgL_objz00)=((obj_t)BgL_protoz00_52),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1203z00_249))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1712z00_248 = BgL_new1203z00_249; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1712z00_248)));} } } } 

}



/* &avahi-symbol->protocol */
obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t BgL_envz00_1865, obj_t BgL_protoz00_1866)
{
{ /* Llib/avahi.scm 757 */
{ /* Llib/avahi.scm 758 */
 long BgL_tmpz00_3966;
{ /* Llib/avahi.scm 758 */
 obj_t BgL_auxz00_3967;
if(
SYMBOLP(BgL_protoz00_1866))
{ /* Llib/avahi.scm 758 */
BgL_auxz00_3967 = BgL_protoz00_1866
; }  else 
{ 
 obj_t BgL_auxz00_3970;
BgL_auxz00_3970 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)31763)), BGl_string2416z00zz__avahi_avahiz00, BGl_string2417z00zz__avahi_avahiz00, BgL_protoz00_1866); 
FAILURE(BgL_auxz00_3970,BFALSE,BFALSE);} 
BgL_tmpz00_3966 = 
bgl_avahi_symbol_to_protocol(BgL_auxz00_3967); } 
return 
BINT(BgL_tmpz00_3966);} } 

}



/* avahi-lookup-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags BgL_flagz00_53)
{
{ /* Llib/avahi.scm 776 */
if(
(BgL_flagz00_53==AVAHI_LOOKUP_NO_TXT))
{ /* Llib/avahi.scm 778 */
return 
CNST_TABLE_REF(((long)31));}  else 
{ /* Llib/avahi.scm 778 */
if(
(BgL_flagz00_53==AVAHI_LOOKUP_NO_ADDRESS))
{ /* Llib/avahi.scm 780 */
return 
CNST_TABLE_REF(((long)32));}  else 
{ /* Llib/avahi.scm 780 */
if(
(BgL_flagz00_53==((long)0)))
{ /* Llib/avahi.scm 782 */
return 
CNST_TABLE_REF(((long)33));}  else 
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1732z00_257;
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1205z00_258;
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1204z00_261;
BgL_new1204z00_261 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 786 */
 long BgL_arg1740z00_262;
BgL_arg1740z00_262 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_261), BgL_arg1740z00_262); } 
BgL_new1205z00_258 = BgL_new1204z00_261; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1205z00_258)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1205z00_258)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3993;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_arg1733z00_259;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_arg1739z00_260;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_classz00_1463;
BgL_classz00_1463 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1739z00_260 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1463); } 
BgL_arg1733z00_259 = 
VECTOR_REF(BgL_arg1739z00_260,((long)2)); } 
BgL_auxz00_3993 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1733z00_259); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1205z00_258)))->BgL_stackz00)=((obj_t)BgL_auxz00_3993),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1205z00_258)))->BgL_procz00)=((obj_t)BGl_string2418z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1205z00_258)))->BgL_msgz00)=((obj_t)BGl_string2419z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1205z00_258)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_53)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1205z00_258))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1732z00_257 = BgL_new1205z00_258; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1732z00_257));} } } } 

}



/* &avahi-lookup-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1867, obj_t BgL_flagz00_1868)
{
{ /* Llib/avahi.scm 776 */
{ /* Llib/avahi.scm 778 */
 AvahiLookupFlags BgL_auxz00_4009;
{ /* Llib/avahi.scm 778 */
 obj_t BgL_tmpz00_4010;
if(
INTEGERP(BgL_flagz00_1868))
{ /* Llib/avahi.scm 778 */
BgL_tmpz00_4010 = BgL_flagz00_1868
; }  else 
{ 
 obj_t BgL_auxz00_4013;
BgL_auxz00_4013 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)32426)), BGl_string2420z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_flagz00_1868); 
FAILURE(BgL_auxz00_4013,BFALSE,BFALSE);} 
BgL_auxz00_4009 = 
(long)CINT(BgL_tmpz00_4010); } 
return 
bgl_avahi_lookup_flags_to_symbol(BgL_auxz00_4009);} } 

}



/* avahi-lookup-result-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags BgL_flagz00_54)
{
{ /* Llib/avahi.scm 795 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_CACHED))
{ /* Llib/avahi.scm 797 */
return 
CNST_TABLE_REF(((long)34));}  else 
{ /* Llib/avahi.scm 797 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_WIDE_AREA))
{ /* Llib/avahi.scm 799 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Llib/avahi.scm 799 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_MULTICAST))
{ /* Llib/avahi.scm 801 */
return 
CNST_TABLE_REF(((long)36));}  else 
{ /* Llib/avahi.scm 801 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_LOCAL))
{ /* Llib/avahi.scm 803 */
return 
CNST_TABLE_REF(((long)37));}  else 
{ /* Llib/avahi.scm 803 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_OUR_OWN))
{ /* Llib/avahi.scm 805 */
return 
CNST_TABLE_REF(((long)38));}  else 
{ /* Llib/avahi.scm 805 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_STATIC))
{ /* Llib/avahi.scm 807 */
return 
CNST_TABLE_REF(((long)39));}  else 
{ /* Llib/avahi.scm 807 */
if(
(BgL_flagz00_54==((long)0)))
{ /* Llib/avahi.scm 809 */
return 
CNST_TABLE_REF(((long)40));}  else 
{ /* Llib/avahi.scm 813 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1749z00_270;
{ /* Llib/avahi.scm 813 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1207z00_271;
{ /* Llib/avahi.scm 813 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1206z00_274;
BgL_new1206z00_274 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 813 */
 long BgL_arg1763z00_275;
BgL_arg1763z00_275 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_274), BgL_arg1763z00_275); } 
BgL_new1207z00_271 = BgL_new1206z00_274; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1207z00_271)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1207z00_271)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4048;
{ /* Llib/avahi.scm 813 */
 obj_t BgL_arg1755z00_272;
{ /* Llib/avahi.scm 813 */
 obj_t BgL_arg1756z00_273;
{ /* Llib/avahi.scm 813 */
 obj_t BgL_classz00_1481;
BgL_classz00_1481 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1756z00_273 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1481); } 
BgL_arg1755z00_272 = 
VECTOR_REF(BgL_arg1756z00_273,((long)2)); } 
BgL_auxz00_4048 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1755z00_272); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1207z00_271)))->BgL_stackz00)=((obj_t)BgL_auxz00_4048),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1207z00_271)))->BgL_procz00)=((obj_t)BGl_string2421z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1207z00_271)))->BgL_msgz00)=((obj_t)BGl_string2422z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1207z00_271)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_54)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1207z00_271))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1749z00_270 = BgL_new1207z00_271; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1749z00_270));} } } } } } } } 

}



/* &avahi-lookup-result-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_1869, obj_t BgL_flagz00_1870)
{
{ /* Llib/avahi.scm 795 */
{ /* Llib/avahi.scm 797 */
 AvahiLookupResultFlags BgL_auxz00_4064;
{ /* Llib/avahi.scm 797 */
 obj_t BgL_tmpz00_4065;
if(
INTEGERP(BgL_flagz00_1870))
{ /* Llib/avahi.scm 797 */
BgL_tmpz00_4065 = BgL_flagz00_1870
; }  else 
{ 
 obj_t BgL_auxz00_4068;
BgL_auxz00_4068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)33123)), BGl_string2423z00zz__avahi_avahiz00, BGl_string2363z00zz__avahi_avahiz00, BgL_flagz00_1870); 
FAILURE(BgL_auxz00_4068,BFALSE,BFALSE);} 
BgL_auxz00_4064 = 
(long)CINT(BgL_tmpz00_4065); } 
return 
bgl_avahi_lookup_result_flags_to_symbol(BgL_auxz00_4064);} } 

}



/* avahi-symbol->domain-browser-type */
obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t BgL_btypez00_55)
{
{ /* Llib/avahi.scm 822 */
{ /* Llib/avahi.scm 823 */
 bool_t BgL_test2955z00_4074;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test2955z00_4074 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test2955z00_4074 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test2955z00_4074 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)43)))
; } } 
if(BgL_test2955z00_4074)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE);}  else 
{ /* Llib/avahi.scm 823 */
 bool_t BgL_test2958z00_4084;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test2958z00_4084 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test2958z00_4084 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test2958z00_4084 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)44)))
; } } 
if(BgL_test2958z00_4084)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_DEFAULT);}  else 
{ /* Llib/avahi.scm 823 */
 bool_t BgL_test2961z00_4094;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test2961z00_4094 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test2961z00_4094 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test2961z00_4094 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)45)))
; } } 
if(BgL_test2961z00_4094)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER);}  else 
{ /* Llib/avahi.scm 823 */
 bool_t BgL_test2964z00_4104;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test2964z00_4104 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test2964z00_4104 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test2964z00_4104 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)46)))
; } } 
if(BgL_test2964z00_4104)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER_DEFAULT);}  else 
{ /* Llib/avahi.scm 823 */
 bool_t BgL_test2967z00_4114;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test2967z00_4114 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test2967z00_4114 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test2967z00_4114 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)47)))
; } } 
if(BgL_test2967z00_4114)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_LEGACY);}  else 
{ /* Llib/avahi.scm 823 */
 bool_t BgL_test2970z00_4124;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test2970z00_4124 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test2970z00_4124 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test2970z00_4124 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)48)))
; } } 
if(BgL_test2970z00_4124)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_MAX);}  else 
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1789z00_295;
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1209z00_296;
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1208z00_299;
BgL_new1208z00_299 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 838 */
 long BgL_arg1798z00_300;
BgL_arg1798z00_300 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_299), BgL_arg1798z00_300); } 
BgL_new1209z00_296 = BgL_new1208z00_299; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1209z00_296)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1209z00_296)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4142;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_arg1790z00_297;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_arg1796z00_298;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_classz00_1498;
BgL_classz00_1498 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1796z00_298 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1498); } 
BgL_arg1790z00_297 = 
VECTOR_REF(BgL_arg1796z00_298,((long)2)); } 
BgL_auxz00_4142 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1790z00_297); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1209z00_296)))->BgL_stackz00)=((obj_t)BgL_auxz00_4142),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1209z00_296)))->BgL_procz00)=((obj_t)BGl_string2424z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1209z00_296)))->BgL_msgz00)=((obj_t)BGl_string2425z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1209z00_296)))->BgL_objz00)=((obj_t)BgL_btypez00_55),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1209z00_296))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1789z00_295 = BgL_new1209z00_296; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1789z00_295));} } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1813z00_316; obj_t BgL_arg1820z00_317;
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1232z00_334;
BgL_v1232z00_334 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1826z00_335;
BgL_arg1826z00_335 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2428z00zz__avahi_avahiz00, BGl_proc2427z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2426z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1232z00_334,((long)0),BgL_arg1826z00_335); } 
BgL_arg1813z00_316 = BgL_v1232z00_334; } 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1233z00_348;
BgL_v1233z00_348 = 
create_vector(((long)0)); 
BgL_arg1820z00_317 = BgL_v1233z00_348; } 
BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)52)), BGl_z62errorz62zz__objectz00, ((long)37908), BGl_proc2431z00zz__avahi_avahiz00, BGl_proc2430z00zz__avahi_avahiz00, BFALSE, BGl_proc2429z00zz__avahi_avahiz00, BFALSE, BgL_arg1813z00_316, BgL_arg1820z00_317); } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_arg1836z00_355; obj_t BgL_arg1837z00_356;
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1234z00_373;
BgL_v1234z00_373 = 
create_vector(((long)0)); 
BgL_arg1836z00_355 = BgL_v1234z00_373; } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1235z00_374;
BgL_v1235z00_374 = 
create_vector(((long)0)); 
BgL_arg1837z00_356 = BgL_v1235z00_374; } 
BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)52)), BGl_z62avahizd2errorzb0zz__avahi_avahiz00, ((long)15882), BGl_proc2434z00zz__avahi_avahiz00, BGl_proc2433z00zz__avahi_avahiz00, BFALSE, BGl_proc2432z00zz__avahi_avahiz00, BFALSE, BgL_arg1836z00_355, BgL_arg1837z00_356); } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_arg1845z00_380; obj_t BgL_arg1846z00_381;
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1236z00_387;
BgL_v1236z00_387 = 
create_vector(((long)0)); 
BgL_arg1845z00_380 = BgL_v1236z00_387; } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1237z00_388;
BgL_v1237z00_388 = 
create_vector(((long)0)); 
BgL_arg1846z00_381 = BgL_v1237z00_388; } 
BGl_avahizd2objectzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)52)), BGl_objectz00zz__objectz00, ((long)39383), BFALSE, BGl_proc2436z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2435z00zz__avahi_avahiz00, BFALSE, BgL_arg1845z00_380, BgL_arg1846z00_381); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1852z00_393; obj_t BgL_arg1853z00_394;
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1238z00_400;
BgL_v1238z00_400 = 
create_vector(((long)2)); 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1857z00_401;
BgL_arg1857z00_401 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2439z00zz__avahi_avahiz00, BGl_proc2438z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2437z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1238z00_400,((long)0),BgL_arg1857z00_401); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1864z00_414;
BgL_arg1864z00_414 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2442z00zz__avahi_avahiz00, BGl_proc2441z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2440z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1238z00_400,((long)1),BgL_arg1864z00_414); } 
BgL_arg1852z00_393 = BgL_v1238z00_400; } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1239z00_427;
BgL_v1239z00_427 = 
create_vector(((long)0)); 
BgL_arg1853z00_394 = BgL_v1239z00_427; } 
BGl_avahizd2pollzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)58)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)43719), BFALSE, BGl_proc2444z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2443z00zz__avahi_avahiz00, BFALSE, BgL_arg1852z00_393, BgL_arg1853z00_394); } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1875z00_433; obj_t BgL_arg1876z00_434;
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1240z00_448;
BgL_v1240z00_448 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1883z00_449;
BgL_arg1883z00_449 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2447z00zz__avahi_avahiz00, BGl_proc2446z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2445z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)60))); 
VECTOR_SET(BgL_v1240z00_448,((long)0),BgL_arg1883z00_449); } 
BgL_arg1875z00_433 = BgL_v1240z00_448; } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1241z00_462;
BgL_v1241z00_462 = 
create_vector(((long)0)); 
BgL_arg1876z00_434 = BgL_v1241z00_462; } 
BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, ((long)59689), BGl_proc2450z00zz__avahi_avahiz00, BGl_proc2449z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2448z00zz__avahi_avahiz00, BFALSE, BgL_arg1875z00_433, BgL_arg1876z00_434); } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1893z00_469; obj_t BgL_arg1894z00_470;
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1242z00_484;
BgL_v1242z00_484 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1901z00_485;
BgL_arg1901z00_485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2453z00zz__avahi_avahiz00, BGl_proc2452z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2451z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)62))); 
VECTOR_SET(BgL_v1242z00_484,((long)0),BgL_arg1901z00_485); } 
BgL_arg1893z00_469 = BgL_v1242z00_484; } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1243z00_498;
BgL_v1243z00_498 = 
create_vector(((long)0)); 
BgL_arg1894z00_470 = BgL_v1243z00_498; } 
BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)63)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, ((long)39682), BGl_proc2456z00zz__avahi_avahiz00, BGl_proc2455z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2454z00zz__avahi_avahiz00, BFALSE, BgL_arg1893z00_469, BgL_arg1894z00_470); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1911z00_505; obj_t BgL_arg1912z00_506;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1244z00_524;
BgL_v1244z00_524 = 
create_vector(((long)12)); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1919z00_525;
BgL_arg1919z00_525 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2459z00zz__avahi_avahiz00, BGl_proc2458z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2457z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1244z00_524,((long)0),BgL_arg1919z00_525); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1926z00_538;
BgL_arg1926z00_538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2461z00zz__avahi_avahiz00, BGl_proc2460z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2pollzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1244z00_524,((long)1),BgL_arg1926z00_538); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1931z00_548;
BgL_arg1931z00_548 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc2464z00zz__avahi_avahiz00, BGl_proc2463z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2462z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1244z00_524,((long)2),BgL_arg1931z00_548); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1938z00_561;
BgL_arg1938z00_561 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2466z00zz__avahi_avahiz00, BGl_proc2465z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1244z00_524,((long)3),BgL_arg1938z00_561); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1943z00_571;
BgL_arg1943z00_571 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc2469z00zz__avahi_avahiz00, BGl_proc2468z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2467z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1244z00_524,((long)4),BgL_arg1943z00_571); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1950z00_584;
BgL_arg1950z00_584 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc2472z00zz__avahi_avahiz00, BGl_proc2471z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2470z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1244z00_524,((long)5),BgL_arg1950z00_584); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1957z00_597;
BgL_arg1957z00_597 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc2475z00zz__avahi_avahiz00, BGl_proc2474z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2473z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1244z00_524,((long)6),BgL_arg1957z00_597); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1964z00_610;
BgL_arg1964z00_610 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc2477z00zz__avahi_avahiz00, BGl_proc2476z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1244z00_524,((long)7),BgL_arg1964z00_610); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1969z00_620;
BgL_arg1969z00_620 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2479z00zz__avahi_avahiz00, BGl_proc2478z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1244z00_524,((long)8),BgL_arg1969z00_620); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1974z00_630;
BgL_arg1974z00_630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc2481z00zz__avahi_avahiz00, BGl_proc2480z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1244z00_524,((long)9),BgL_arg1974z00_630); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1979z00_640;
BgL_arg1979z00_640 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc2483z00zz__avahi_avahiz00, BGl_proc2482z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1244z00_524,((long)10),BgL_arg1979z00_640); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1984z00_650;
BgL_arg1984z00_650 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)78)), BGl_proc2485z00zz__avahi_avahiz00, BGl_proc2484z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1244z00_524,((long)11),BgL_arg1984z00_650); } 
BgL_arg1911z00_505 = BgL_v1244z00_524; } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1245z00_660;
BgL_v1245z00_660 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg1989z00_661;
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg1990z00_662;
BgL_arg1990z00_662 = 
MAKE_YOUNG_PAIR(BGl_proc2486z00zz__avahi_avahiz00, BFALSE); 
BgL_arg1989z00_661 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1990z00_662); } 
VECTOR_SET(BgL_v1245z00_660,((long)0),BgL_arg1989z00_661); } 
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg1998z00_675;
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg1999z00_676;
BgL_arg1999z00_676 = 
MAKE_YOUNG_PAIR(BGl_proc2487z00zz__avahi_avahiz00, BGl_proc2488z00zz__avahi_avahiz00); 
BgL_arg1998z00_675 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1999z00_676); } 
VECTOR_SET(BgL_v1245z00_660,((long)1),BgL_arg1998z00_675); } 
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2014z00_703;
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2015z00_704;
BgL_arg2015z00_704 = 
MAKE_YOUNG_PAIR(BGl_proc2489z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2014z00_703 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2015z00_704); } 
VECTOR_SET(BgL_v1245z00_660,((long)2),BgL_arg2014z00_703); } 
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2023z00_717;
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2024z00_718;
BgL_arg2024z00_718 = 
MAKE_YOUNG_PAIR(BGl_proc2490z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2023z00_717 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2024z00_718); } 
VECTOR_SET(BgL_v1245z00_660,((long)3),BgL_arg2023z00_717); } 
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2032z00_731;
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2033z00_732;
BgL_arg2033z00_732 = 
MAKE_YOUNG_PAIR(BGl_proc2491z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2032z00_731 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2033z00_732); } 
VECTOR_SET(BgL_v1245z00_660,((long)4),BgL_arg2032z00_731); } 
BgL_arg1912z00_506 = BgL_v1245z00_660; } 
BGl_avahizd2clientzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)79)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)28649), BGl_proc2494z00zz__avahi_avahiz00, BGl_proc2493z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2492z00zz__avahi_avahiz00, BFALSE, BgL_arg1911z00_505, BgL_arg1912z00_506); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2045z00_752; obj_t BgL_arg2046z00_753;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1246z00_767;
BgL_v1246z00_767 = 
create_vector(((long)3)); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2053z00_768;
BgL_arg2053z00_768 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2497z00zz__avahi_avahiz00, BGl_proc2496z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2495z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1246z00_767,((long)0),BgL_arg2053z00_768); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2060z00_781;
BgL_arg2060z00_781 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2499z00zz__avahi_avahiz00, BGl_proc2498z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1246z00_767,((long)1),BgL_arg2060z00_781); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2065z00_791;
BgL_arg2065z00_791 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2501z00zz__avahi_avahiz00, BGl_proc2500z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1246z00_767,((long)2),BgL_arg2065z00_791); } 
BgL_arg2045z00_752 = BgL_v1246z00_767; } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1247z00_801;
BgL_v1247z00_801 = 
create_vector(((long)0)); 
BgL_arg2046z00_753 = BgL_v1247z00_801; } 
BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)3478), BGl_proc2504z00zz__avahi_avahiz00, BGl_proc2503z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2502z00zz__avahi_avahiz00, BFALSE, BgL_arg2045z00_752, BgL_arg2046z00_753); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2073z00_808; obj_t BgL_arg2074z00_809;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1248z00_825;
BgL_v1248z00_825 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2081z00_826;
BgL_arg2081z00_826 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2507z00zz__avahi_avahiz00, BGl_proc2506z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2505z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)83))); 
VECTOR_SET(BgL_v1248z00_825,((long)0),BgL_arg2081z00_826); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2088z00_839;
BgL_arg2088z00_839 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2509z00zz__avahi_avahiz00, BGl_proc2508z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1248z00_825,((long)1),BgL_arg2088z00_839); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2093z00_849;
BgL_arg2093z00_849 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2511z00zz__avahi_avahiz00, BGl_proc2510z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1248z00_825,((long)2),BgL_arg2093z00_849); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2098z00_859;
BgL_arg2098z00_859 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc2513z00zz__avahi_avahiz00, BGl_proc2512z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1248z00_825,((long)3),BgL_arg2098z00_859); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2103z00_869;
BgL_arg2103z00_869 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2516z00zz__avahi_avahiz00, BGl_proc2515z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2514z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1248z00_825,((long)4),BgL_arg2103z00_869); } 
BgL_arg2073z00_808 = BgL_v1248z00_825; } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1249z00_882;
BgL_v1249z00_882 = 
create_vector(((long)0)); 
BgL_arg2074z00_809 = BgL_v1249z00_882; } 
BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)86)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)44122), BGl_proc2519z00zz__avahi_avahiz00, BGl_proc2518z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2517z00zz__avahi_avahiz00, BFALSE, BgL_arg2073z00_808, BgL_arg2074z00_809); } 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_arg2113z00_889; obj_t BgL_arg2114z00_890;
{ /* Llib/avahi.scm 122 */
 obj_t BgL_v1250z00_905;
BgL_v1250z00_905 = 
create_vector(((long)4)); 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_arg2121z00_906;
BgL_arg2121z00_906 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2522z00zz__avahi_avahiz00, BGl_proc2521z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2520z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1250z00_905,((long)0),BgL_arg2121z00_906); } 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_arg2128z00_919;
BgL_arg2128z00_919 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2524z00zz__avahi_avahiz00, BGl_proc2523z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1250z00_905,((long)1),BgL_arg2128z00_919); } 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_arg2133z00_929;
BgL_arg2133z00_929 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2526z00zz__avahi_avahiz00, BGl_proc2525z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1250z00_905,((long)2),BgL_arg2133z00_929); } 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_arg2138z00_939;
BgL_arg2138z00_939 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2529z00zz__avahi_avahiz00, BGl_proc2528z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2527z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1250z00_905,((long)3),BgL_arg2138z00_939); } 
BgL_arg2113z00_889 = BgL_v1250z00_905; } 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_v1251z00_952;
BgL_v1251z00_952 = 
create_vector(((long)0)); 
BgL_arg2114z00_890 = BgL_v1251z00_952; } 
BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)88)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)22928), BGl_proc2532z00zz__avahi_avahiz00, BGl_proc2531z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2530z00zz__avahi_avahiz00, BFALSE, BgL_arg2113z00_889, BgL_arg2114z00_890); } 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_arg2148z00_959; obj_t BgL_arg2149z00_960;
{ /* Llib/avahi.scm 128 */
 obj_t BgL_v1252z00_976;
BgL_v1252z00_976 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_arg2156z00_977;
BgL_arg2156z00_977 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2535z00zz__avahi_avahiz00, BGl_proc2534z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2533z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)89))); 
VECTOR_SET(BgL_v1252z00_976,((long)0),BgL_arg2156z00_977); } 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_arg2163z00_990;
BgL_arg2163z00_990 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2537z00zz__avahi_avahiz00, BGl_proc2536z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1252z00_976,((long)1),BgL_arg2163z00_990); } 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_arg2168z00_1000;
BgL_arg2168z00_1000 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2539z00zz__avahi_avahiz00, BGl_proc2538z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1252z00_976,((long)2),BgL_arg2168z00_1000); } 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_arg2173z00_1010;
BgL_arg2173z00_1010 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2542z00zz__avahi_avahiz00, BGl_proc2541z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2540z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1252z00_976,((long)3),BgL_arg2173z00_1010); } 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_arg2180z00_1023;
BgL_arg2180z00_1023 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2545z00zz__avahi_avahiz00, BGl_proc2544z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2543z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1252z00_976,((long)4),BgL_arg2180z00_1023); } 
BgL_arg2148z00_959 = BgL_v1252z00_976; } 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_v1253z00_1036;
BgL_v1253z00_1036 = 
create_vector(((long)0)); 
BgL_arg2149z00_960 = BgL_v1253z00_1036; } 
BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)90)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)49790), BGl_proc2548z00zz__avahi_avahiz00, BGl_proc2547z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2546z00zz__avahi_avahiz00, BFALSE, BgL_arg2148z00_959, BgL_arg2149z00_960); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2190z00_1043; obj_t BgL_arg2191z00_1044;
{ /* Llib/avahi.scm 135 */
 obj_t BgL_v1254z00_1063;
BgL_v1254z00_1063 = 
create_vector(((long)8)); 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2198z00_1064;
BgL_arg2198z00_1064 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2551z00zz__avahi_avahiz00, BGl_proc2550z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2549z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)91))); 
VECTOR_SET(BgL_v1254z00_1063,((long)0),BgL_arg2198z00_1064); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2205z00_1077;
BgL_arg2205z00_1077 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2553z00zz__avahi_avahiz00, BGl_proc2552z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1254z00_1063,((long)1),BgL_arg2205z00_1077); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2210z00_1087;
BgL_arg2210z00_1087 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2555z00zz__avahi_avahiz00, BGl_proc2554z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1254z00_1063,((long)2),BgL_arg2210z00_1087); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2215z00_1097;
BgL_arg2215z00_1097 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)92)), BGl_proc2557z00zz__avahi_avahiz00, BGl_proc2556z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)93))); 
VECTOR_SET(BgL_v1254z00_1063,((long)3),BgL_arg2215z00_1097); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2220z00_1107;
BgL_arg2220z00_1107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)94)), BGl_proc2559z00zz__avahi_avahiz00, BGl_proc2558z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1254z00_1063,((long)4),BgL_arg2220z00_1107); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2225z00_1117;
BgL_arg2225z00_1117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)95)), BGl_proc2561z00zz__avahi_avahiz00, BGl_proc2560z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1254z00_1063,((long)5),BgL_arg2225z00_1117); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2230z00_1127;
BgL_arg2230z00_1127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc2563z00zz__avahi_avahiz00, BGl_proc2562z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1254z00_1063,((long)6),BgL_arg2230z00_1127); } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_arg2235z00_1137;
BgL_arg2235z00_1137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2566z00zz__avahi_avahiz00, BGl_proc2565z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2564z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1254z00_1063,((long)7),BgL_arg2235z00_1137); } 
BgL_arg2190z00_1043 = BgL_v1254z00_1063; } 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_v1255z00_1150;
BgL_v1255z00_1150 = 
create_vector(((long)0)); 
BgL_arg2191z00_1044 = BgL_v1255z00_1150; } 
return ( 
BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)96)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)20996), BGl_proc2569z00zz__avahi_avahiz00, BGl_proc2568z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2567z00zz__avahi_avahiz00, BFALSE, BgL_arg2190z00_1043, BgL_arg2191z00_1044), BUNSPEC) ;} } 

}



/* &<@anonymous:2197> */
obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2018, obj_t BgL_new1140z00_2019)
{
{ /* Llib/avahi.scm 135 */
{ 
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_4399;
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_z42builtinz42)=((AvahiServiceResolver *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4403;
{ /* Llib/avahi.scm 135 */
 obj_t BgL_classz00_2526;
BgL_classz00_2526 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 135 */
 obj_t BgL__ortest_1113z00_2527;
BgL__ortest_1113z00_2527 = 
BGL_CLASS_NIL(BgL_classz00_2526); 
if(
CBOOL(BgL__ortest_1113z00_2527))
{ /* Llib/avahi.scm 135 */
BgL_auxz00_4403 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1113z00_2527)
; }  else 
{ /* Llib/avahi.scm 135 */
BgL_auxz00_4403 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2526))
; } } } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4403),BUNSPEC); } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_protocolz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_namez00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_typez00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019)))->BgL_domainz00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4399 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2019); 
return 
((obj_t)BgL_auxz00_4399);} } 

}



/* &lambda2195 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2195z62zz__avahi_avahiz00(obj_t BgL_envz00_2020)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1139z00_2528;
BgL_new1139z00_2528 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 135 */
 long BgL_arg2196z00_2529;
BgL_arg2196z00_2529 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2528), BgL_arg2196z00_2529); } 
return BgL_new1139z00_2528;} } 

}



/* &lambda2192 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2192z62zz__avahi_avahiz00(obj_t BgL_envz00_2021, obj_t BgL_z42builtin1131z42_2022, obj_t BgL_client1132z00_2023, obj_t BgL_proc1133z00_2024, obj_t BgL_interface1134z00_2025, obj_t BgL_protocol1135z00_2026, obj_t BgL_name1136z00_2027, obj_t BgL_type1137z00_2028, obj_t BgL_domain1138z00_2029)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
 AvahiServiceResolver * BgL_z42builtin1131z42_2530; AvahiIfIndex BgL_interface1134z00_2533;
BgL_z42builtin1131z42_2530 = 
FOREIGN_TO_COBJ(BgL_z42builtin1131z42_2022); 
BgL_interface1134z00_2533 = 
(long)CINT(BgL_interface1134z00_2025); 
{ /* Llib/avahi.scm 135 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1229z00_2538;
{ /* Llib/avahi.scm 135 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1228z00_2539;
BgL_new1228z00_2539 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 135 */
 long BgL_arg2194z00_2540;
BgL_arg2194z00_2540 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_2539), BgL_arg2194z00_2540); } 
BgL_new1229z00_2538 = BgL_new1228z00_2539; } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_z42builtin1131z42_2530),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1132z00_2023)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1133z00_2024)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1134z00_2533),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1135z00_2026)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1136z00_2027)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1137z00_2028)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1229z00_2538))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1138z00_2029)),BUNSPEC); 
{ /* Llib/avahi.scm 135 */
 obj_t BgL_fun2193z00_2541;
BgL_fun2193z00_2541 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2193z00_2541)(BgL_fun2193z00_2541, 
((obj_t)BgL_new1229z00_2538), BEOA); } 
return BgL_new1229z00_2538;} } } 

}



/* &<@anonymous:2241> */
obj_t BGl_z62zc3z04anonymousza32241ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2030)
{
{ /* Llib/avahi.scm 135 */
return BGl_string2570z00zz__avahi_avahiz00;} 

}



/* &lambda2240 */
obj_t BGl_z62lambda2240z62zz__avahi_avahiz00(obj_t BgL_envz00_2031, obj_t BgL_oz00_2032, obj_t BgL_vz00_2033)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2032)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2033)),BUNSPEC);} 

}



/* &lambda2239 */
obj_t BGl_z62lambda2239z62zz__avahi_avahiz00(obj_t BgL_envz00_2034, obj_t BgL_oz00_2035)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2035)))->BgL_domainz00);} 

}



/* &lambda2234 */
obj_t BGl_z62lambda2234z62zz__avahi_avahiz00(obj_t BgL_envz00_2036, obj_t BgL_oz00_2037, obj_t BgL_vz00_2038)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2037)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2038)),BUNSPEC);} 

}



/* &lambda2233 */
obj_t BGl_z62lambda2233z62zz__avahi_avahiz00(obj_t BgL_envz00_2039, obj_t BgL_oz00_2040)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2040)))->BgL_typez00);} 

}



/* &lambda2229 */
obj_t BGl_z62lambda2229z62zz__avahi_avahiz00(obj_t BgL_envz00_2041, obj_t BgL_oz00_2042, obj_t BgL_vz00_2043)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2042)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2043)),BUNSPEC);} 

}



/* &lambda2228 */
obj_t BGl_z62lambda2228z62zz__avahi_avahiz00(obj_t BgL_envz00_2044, obj_t BgL_oz00_2045)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2045)))->BgL_namez00);} 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__avahi_avahiz00(obj_t BgL_envz00_2046, obj_t BgL_oz00_2047, obj_t BgL_vz00_2048)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2047)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2048)),BUNSPEC);} 

}



/* &lambda2223 */
obj_t BGl_z62lambda2223z62zz__avahi_avahiz00(obj_t BgL_envz00_2049, obj_t BgL_oz00_2050)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2050)))->BgL_protocolz00);} 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__avahi_avahiz00(obj_t BgL_envz00_2051, obj_t BgL_oz00_2052, obj_t BgL_vz00_2053)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
 AvahiIfIndex BgL_vz00_2555;
BgL_vz00_2555 = 
(long)CINT(BgL_vz00_2053); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2052)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_2555),BUNSPEC);} } 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__avahi_avahiz00(obj_t BgL_envz00_2054, obj_t BgL_oz00_2055)
{
{ /* Llib/avahi.scm 135 */
return 
BINT(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2055)))->BgL_interfacez00));} 

}



/* &lambda2214 */
obj_t BGl_z62lambda2214z62zz__avahi_avahiz00(obj_t BgL_envz00_2056, obj_t BgL_oz00_2057, obj_t BgL_vz00_2058)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2057)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2058)),BUNSPEC);} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__avahi_avahiz00(obj_t BgL_envz00_2059, obj_t BgL_oz00_2060)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2060)))->BgL_procz00);} 

}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__avahi_avahiz00(obj_t BgL_envz00_2061, obj_t BgL_oz00_2062, obj_t BgL_vz00_2063)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2062)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2063)),BUNSPEC);} 

}



/* &lambda2208 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2208z62zz__avahi_avahiz00(obj_t BgL_envz00_2064, obj_t BgL_oz00_2065)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2065)))->BgL_clientz00);} 

}



/* &<@anonymous:2204> */
obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2066)
{
{ /* Llib/avahi.scm 135 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__avahi_avahiz00(obj_t BgL_envz00_2067, obj_t BgL_oz00_2068, obj_t BgL_vz00_2069)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
 AvahiServiceResolver * BgL_vz00_2564;
BgL_vz00_2564 = 
FOREIGN_TO_COBJ(BgL_vz00_2069); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2068)))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_vz00_2564),BUNSPEC);} } 

}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__avahi_avahiz00(obj_t BgL_envz00_2070, obj_t BgL_oz00_2071)
{
{ /* Llib/avahi.scm 135 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2071)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2072, obj_t BgL_new1129z00_2073)
{
{ /* Llib/avahi.scm 128 */
{ 
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_4502;
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2073)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4506;
{ /* Llib/avahi.scm 128 */
 obj_t BgL_classz00_2567;
BgL_classz00_2567 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 128 */
 obj_t BgL__ortest_1113z00_2568;
BgL__ortest_1113z00_2568 = 
BGL_CLASS_NIL(BgL_classz00_2567); 
if(
CBOOL(BgL__ortest_1113z00_2568))
{ /* Llib/avahi.scm 128 */
BgL_auxz00_4506 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1113z00_2568)
; }  else 
{ /* Llib/avahi.scm 128 */
BgL_auxz00_4506 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2567))
; } } } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2073)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4506),BUNSPEC); } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2073)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2073)))->BgL_btypez00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2073)))->BgL_domainz00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4502 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2073); 
return 
((obj_t)BgL_auxz00_4502);} } 

}



/* &lambda2153 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2153z62zz__avahi_avahiz00(obj_t BgL_envz00_2074)
{
{ /* Llib/avahi.scm 128 */
{ /* Llib/avahi.scm 128 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1128z00_2569;
BgL_new1128z00_2569 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 128 */
 long BgL_arg2154z00_2570;
BgL_arg2154z00_2570 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2569), BgL_arg2154z00_2570); } 
return BgL_new1128z00_2569;} } 

}



/* &lambda2150 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2150z62zz__avahi_avahiz00(obj_t BgL_envz00_2075, obj_t BgL_z42builtin1123z42_2076, obj_t BgL_client1124z00_2077, obj_t BgL_proc1125z00_2078, obj_t BgL_btype1126z00_2079, obj_t BgL_domain1127z00_2080)
{
{ /* Llib/avahi.scm 128 */
{ /* Llib/avahi.scm 128 */
 AvahiDomainBrowser * BgL_z42builtin1123z42_2571;
BgL_z42builtin1123z42_2571 = 
FOREIGN_TO_COBJ(BgL_z42builtin1123z42_2076); 
{ /* Llib/avahi.scm 128 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1227z00_2576;
{ /* Llib/avahi.scm 128 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1226z00_2577;
BgL_new1226z00_2577 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 128 */
 long BgL_arg2152z00_2578;
BgL_arg2152z00_2578 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_2577), BgL_arg2152z00_2578); } 
BgL_new1227z00_2576 = BgL_new1226z00_2577; } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1227z00_2576))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_z42builtin1123z42_2571),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1227z00_2576))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1124z00_2077)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1227z00_2576))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1125z00_2078)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1227z00_2576))->BgL_btypez00)=((obj_t)
((obj_t)BgL_btype1126z00_2079)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1227z00_2576))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1127z00_2080)),BUNSPEC); 
{ /* Llib/avahi.scm 128 */
 obj_t BgL_fun2151z00_2579;
BgL_fun2151z00_2579 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2151z00_2579)(BgL_fun2151z00_2579, 
((obj_t)BgL_new1227z00_2576), BEOA); } 
return BgL_new1227z00_2576;} } } 

}



/* &<@anonymous:2186> */
obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2081)
{
{ /* Llib/avahi.scm 128 */
return BGl_string2570z00zz__avahi_avahiz00;} 

}



/* &lambda2185 */
obj_t BGl_z62lambda2185z62zz__avahi_avahiz00(obj_t BgL_envz00_2082, obj_t BgL_oz00_2083, obj_t BgL_vz00_2084)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2083)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2084)),BUNSPEC);} 

}



/* &lambda2184 */
obj_t BGl_z62lambda2184z62zz__avahi_avahiz00(obj_t BgL_envz00_2085, obj_t BgL_oz00_2086)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2086)))->BgL_domainz00);} 

}



/* &<@anonymous:2179> */
obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2087)
{
{ /* Llib/avahi.scm 128 */
return 
CNST_TABLE_REF(((long)98));} 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t BgL_envz00_2088, obj_t BgL_oz00_2089, obj_t BgL_vz00_2090)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2089)))->BgL_btypez00)=((obj_t)
((obj_t)BgL_vz00_2090)),BUNSPEC);} 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__avahi_avahiz00(obj_t BgL_envz00_2091, obj_t BgL_oz00_2092)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2092)))->BgL_btypez00);} 

}



/* &lambda2172 */
obj_t BGl_z62lambda2172z62zz__avahi_avahiz00(obj_t BgL_envz00_2093, obj_t BgL_oz00_2094, obj_t BgL_vz00_2095)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2094)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2095)),BUNSPEC);} 

}



/* &lambda2171 */
obj_t BGl_z62lambda2171z62zz__avahi_avahiz00(obj_t BgL_envz00_2096, obj_t BgL_oz00_2097)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2097)))->BgL_procz00);} 

}



/* &lambda2167 */
obj_t BGl_z62lambda2167z62zz__avahi_avahiz00(obj_t BgL_envz00_2098, obj_t BgL_oz00_2099, obj_t BgL_vz00_2100)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2099)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2100)),BUNSPEC);} 

}



/* &lambda2166 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2166z62zz__avahi_avahiz00(obj_t BgL_envz00_2101, obj_t BgL_oz00_2102)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2102)))->BgL_clientz00);} 

}



/* &<@anonymous:2162> */
obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2103)
{
{ /* Llib/avahi.scm 128 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__avahi_avahiz00(obj_t BgL_envz00_2104, obj_t BgL_oz00_2105, obj_t BgL_vz00_2106)
{
{ /* Llib/avahi.scm 128 */
{ /* Llib/avahi.scm 128 */
 AvahiDomainBrowser * BgL_vz00_2593;
BgL_vz00_2593 = 
FOREIGN_TO_COBJ(BgL_vz00_2106); 
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2105)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_vz00_2593),BUNSPEC);} } 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__avahi_avahiz00(obj_t BgL_envz00_2107, obj_t BgL_oz00_2108)
{
{ /* Llib/avahi.scm 128 */
return 
void_star_to_obj(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2108)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2120> */
obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2109, obj_t BgL_new1121z00_2110)
{
{ /* Llib/avahi.scm 122 */
{ 
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_auxz00_4577;
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2110)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4581;
{ /* Llib/avahi.scm 122 */
 obj_t BgL_classz00_2596;
BgL_classz00_2596 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 122 */
 obj_t BgL__ortest_1113z00_2597;
BgL__ortest_1113z00_2597 = 
BGL_CLASS_NIL(BgL_classz00_2596); 
if(
CBOOL(BgL__ortest_1113z00_2597))
{ /* Llib/avahi.scm 122 */
BgL_auxz00_4581 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1113z00_2597)
; }  else 
{ /* Llib/avahi.scm 122 */
BgL_auxz00_4581 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2596))
; } } } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2110)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4581),BUNSPEC); } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2110)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2110)))->BgL_domainz00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4577 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2110); 
return 
((obj_t)BgL_auxz00_4577);} } 

}



/* &lambda2118 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2118z62zz__avahi_avahiz00(obj_t BgL_envz00_2111)
{
{ /* Llib/avahi.scm 122 */
{ /* Llib/avahi.scm 122 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1120z00_2598;
BgL_new1120z00_2598 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 122 */
 long BgL_arg2119z00_2599;
BgL_arg2119z00_2599 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2598), BgL_arg2119z00_2599); } 
return BgL_new1120z00_2598;} } 

}



/* &lambda2115 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2115z62zz__avahi_avahiz00(obj_t BgL_envz00_2112, obj_t BgL_z42builtin1116z42_2113, obj_t BgL_client1117z00_2114, obj_t BgL_proc1118z00_2115, obj_t BgL_domain1119z00_2116)
{
{ /* Llib/avahi.scm 122 */
{ /* Llib/avahi.scm 122 */
 AvahiServiceTypeBrowser * BgL_z42builtin1116z42_2600;
BgL_z42builtin1116z42_2600 = 
FOREIGN_TO_COBJ(BgL_z42builtin1116z42_2113); 
{ /* Llib/avahi.scm 122 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1225z00_2604;
{ /* Llib/avahi.scm 122 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1224z00_2605;
BgL_new1224z00_2605 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 122 */
 long BgL_arg2117z00_2606;
BgL_arg2117z00_2606 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_2605), BgL_arg2117z00_2606); } 
BgL_new1225z00_2604 = BgL_new1224z00_2605; } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1225z00_2604))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_z42builtin1116z42_2600),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1225z00_2604))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1117z00_2114)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1225z00_2604))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1118z00_2115)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1225z00_2604))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1119z00_2116)),BUNSPEC); 
{ /* Llib/avahi.scm 122 */
 obj_t BgL_fun2116z00_2607;
BgL_fun2116z00_2607 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2116z00_2607)(BgL_fun2116z00_2607, 
((obj_t)BgL_new1225z00_2604), BEOA); } 
return BgL_new1225z00_2604;} } } 

}



/* &<@anonymous:2144> */
obj_t BGl_z62zc3z04anonymousza32144ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2117)
{
{ /* Llib/avahi.scm 122 */
return BGl_string2570z00zz__avahi_avahiz00;} 

}



/* &lambda2143 */
obj_t BGl_z62lambda2143z62zz__avahi_avahiz00(obj_t BgL_envz00_2118, obj_t BgL_oz00_2119, obj_t BgL_vz00_2120)
{
{ /* Llib/avahi.scm 122 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2119)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2120)),BUNSPEC);} 

}



/* &lambda2142 */
obj_t BGl_z62lambda2142z62zz__avahi_avahiz00(obj_t BgL_envz00_2121, obj_t BgL_oz00_2122)
{
{ /* Llib/avahi.scm 122 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2122)))->BgL_domainz00);} 

}



/* &lambda2137 */
obj_t BGl_z62lambda2137z62zz__avahi_avahiz00(obj_t BgL_envz00_2123, obj_t BgL_oz00_2124, obj_t BgL_vz00_2125)
{
{ /* Llib/avahi.scm 122 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2124)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2125)),BUNSPEC);} 

}



/* &lambda2136 */
obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t BgL_envz00_2126, obj_t BgL_oz00_2127)
{
{ /* Llib/avahi.scm 122 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2127)))->BgL_procz00);} 

}



/* &lambda2132 */
obj_t BGl_z62lambda2132z62zz__avahi_avahiz00(obj_t BgL_envz00_2128, obj_t BgL_oz00_2129, obj_t BgL_vz00_2130)
{
{ /* Llib/avahi.scm 122 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2129)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2130)),BUNSPEC);} 

}



/* &lambda2131 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2131z62zz__avahi_avahiz00(obj_t BgL_envz00_2131, obj_t BgL_oz00_2132)
{
{ /* Llib/avahi.scm 122 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2132)))->BgL_clientz00);} 

}



/* &<@anonymous:2127> */
obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2133)
{
{ /* Llib/avahi.scm 122 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2126 */
obj_t BGl_z62lambda2126z62zz__avahi_avahiz00(obj_t BgL_envz00_2134, obj_t BgL_oz00_2135, obj_t BgL_vz00_2136)
{
{ /* Llib/avahi.scm 122 */
{ /* Llib/avahi.scm 122 */
 AvahiServiceTypeBrowser * BgL_vz00_2618;
BgL_vz00_2618 = 
FOREIGN_TO_COBJ(BgL_vz00_2136); 
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2135)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_vz00_2618),BUNSPEC);} } 

}



/* &lambda2125 */
obj_t BGl_z62lambda2125z62zz__avahi_avahiz00(obj_t BgL_envz00_2137, obj_t BgL_oz00_2138)
{
{ /* Llib/avahi.scm 122 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2138)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2080> */
obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2139, obj_t BgL_new1114z00_2140)
{
{ /* Llib/avahi.scm 115 */
{ 
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_4641;
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2140)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4645;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_classz00_2621;
BgL_classz00_2621 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 115 */
 obj_t BgL__ortest_1113z00_2622;
BgL__ortest_1113z00_2622 = 
BGL_CLASS_NIL(BgL_classz00_2621); 
if(
CBOOL(BgL__ortest_1113z00_2622))
{ /* Llib/avahi.scm 115 */
BgL_auxz00_4645 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1113z00_2622)
; }  else 
{ /* Llib/avahi.scm 115 */
BgL_auxz00_4645 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2621))
; } } } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2140)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4645),BUNSPEC); } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2140)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2140)))->BgL_typez00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2140)))->BgL_domainz00)=((obj_t)BGl_string2570z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4641 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2140); 
return 
((obj_t)BgL_auxz00_4641);} } 

}



/* &lambda2078 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2078z62zz__avahi_avahiz00(obj_t BgL_envz00_2141)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1113z00_2623;
BgL_new1113z00_2623 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2079z00_2624;
BgL_arg2079z00_2624 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_2623), BgL_arg2079z00_2624); } 
return BgL_new1113z00_2623;} } 

}



/* &lambda2075 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2075z62zz__avahi_avahiz00(obj_t BgL_envz00_2142, obj_t BgL_z42builtin1108z42_2143, obj_t BgL_client1109z00_2144, obj_t BgL_proc1110z00_2145, obj_t BgL_type1111z00_2146, obj_t BgL_domain1112z00_2147)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_z42builtin1108z42_2625;
BgL_z42builtin1108z42_2625 = 
FOREIGN_TO_COBJ(BgL_z42builtin1108z42_2143); 
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1223z00_2630;
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1222z00_2631;
BgL_new1222z00_2631 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2077z00_2632;
BgL_arg2077z00_2632 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_2631), BgL_arg2077z00_2632); } 
BgL_new1223z00_2630 = BgL_new1222z00_2631; } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1223z00_2630))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_z42builtin1108z42_2625),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1223z00_2630))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1109z00_2144)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1223z00_2630))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1110z00_2145)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1223z00_2630))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1111z00_2146)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1223z00_2630))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1112z00_2147)),BUNSPEC); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_fun2076z00_2633;
BgL_fun2076z00_2633 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2076z00_2633)(BgL_fun2076z00_2633, 
((obj_t)BgL_new1223z00_2630), BEOA); } 
return BgL_new1223z00_2630;} } } 

}



/* &<@anonymous:2109> */
obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2148)
{
{ /* Llib/avahi.scm 115 */
return BGl_string2570z00zz__avahi_avahiz00;} 

}



/* &lambda2108 */
obj_t BGl_z62lambda2108z62zz__avahi_avahiz00(obj_t BgL_envz00_2149, obj_t BgL_oz00_2150, obj_t BgL_vz00_2151)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2150)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2151)),BUNSPEC);} 

}



/* &lambda2107 */
obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t BgL_envz00_2152, obj_t BgL_oz00_2153)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2153)))->BgL_domainz00);} 

}



/* &lambda2102 */
obj_t BGl_z62lambda2102z62zz__avahi_avahiz00(obj_t BgL_envz00_2154, obj_t BgL_oz00_2155, obj_t BgL_vz00_2156)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2155)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2156)),BUNSPEC);} 

}



/* &lambda2101 */
obj_t BGl_z62lambda2101z62zz__avahi_avahiz00(obj_t BgL_envz00_2157, obj_t BgL_oz00_2158)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2158)))->BgL_typez00);} 

}



/* &lambda2097 */
obj_t BGl_z62lambda2097z62zz__avahi_avahiz00(obj_t BgL_envz00_2159, obj_t BgL_oz00_2160, obj_t BgL_vz00_2161)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2160)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2161)),BUNSPEC);} 

}



/* &lambda2096 */
obj_t BGl_z62lambda2096z62zz__avahi_avahiz00(obj_t BgL_envz00_2162, obj_t BgL_oz00_2163)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2163)))->BgL_procz00);} 

}



/* &lambda2092 */
obj_t BGl_z62lambda2092z62zz__avahi_avahiz00(obj_t BgL_envz00_2164, obj_t BgL_oz00_2165, obj_t BgL_vz00_2166)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2165)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2166)),BUNSPEC);} 

}



/* &lambda2091 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2091z62zz__avahi_avahiz00(obj_t BgL_envz00_2167, obj_t BgL_oz00_2168)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2168)))->BgL_clientz00);} 

}



/* &<@anonymous:2087> */
obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2169)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2086 */
obj_t BGl_z62lambda2086z62zz__avahi_avahiz00(obj_t BgL_envz00_2170, obj_t BgL_oz00_2171, obj_t BgL_vz00_2172)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_vz00_2647;
BgL_vz00_2647 = 
FOREIGN_TO_COBJ(BgL_vz00_2172); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2171)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_vz00_2647),BUNSPEC);} } 

}



/* &lambda2085 */
obj_t BGl_z62lambda2085z62zz__avahi_avahiz00(obj_t BgL_envz00_2173, obj_t BgL_oz00_2174)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2174)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2052> */
obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2175, obj_t BgL_new1106z00_2176)
{
{ /* Llib/avahi.scm 110 */
{ 
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4714;
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2176)))->BgL_z42builtinz42)=((AvahiEntryGroup *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4718;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_classz00_2650;
BgL_classz00_2650 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 110 */
 obj_t BgL__ortest_1113z00_2651;
BgL__ortest_1113z00_2651 = 
BGL_CLASS_NIL(BgL_classz00_2650); 
if(
CBOOL(BgL__ortest_1113z00_2651))
{ /* Llib/avahi.scm 110 */
BgL_auxz00_4718 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1113z00_2651)
; }  else 
{ /* Llib/avahi.scm 110 */
BgL_auxz00_4718 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2650))
; } } } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2176)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4718),BUNSPEC); } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2176)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_4714 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2176); 
return 
((obj_t)BgL_auxz00_4714);} } 

}



/* &lambda2050 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2050z62zz__avahi_avahiz00(obj_t BgL_envz00_2177)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1105z00_2652;
BgL_new1105z00_2652 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2051z00_2653;
BgL_arg2051z00_2653 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_2652), BgL_arg2051z00_2653); } 
return BgL_new1105z00_2652;} } 

}



/* &lambda2047 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2047z62zz__avahi_avahiz00(obj_t BgL_envz00_2178, obj_t BgL_z42builtin1102z42_2179, obj_t BgL_client1103z00_2180, obj_t BgL_proc1104z00_2181)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_z42builtin1102z42_2654;
BgL_z42builtin1102z42_2654 = 
FOREIGN_TO_COBJ(BgL_z42builtin1102z42_2179); 
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1221z00_2657;
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1220z00_2658;
BgL_new1220z00_2658 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2049z00_2659;
BgL_arg2049z00_2659 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_2658), BgL_arg2049z00_2659); } 
BgL_new1221z00_2657 = BgL_new1220z00_2658; } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1221z00_2657))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_z42builtin1102z42_2654),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1221z00_2657))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1103z00_2180)),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1221z00_2657))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1104z00_2181)),BUNSPEC); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_fun2048z00_2660;
BgL_fun2048z00_2660 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2048z00_2660)(BgL_fun2048z00_2660, 
((obj_t)BgL_new1221z00_2657), BEOA); } 
return BgL_new1221z00_2657;} } } 

}



/* &lambda2069 */
obj_t BGl_z62lambda2069z62zz__avahi_avahiz00(obj_t BgL_envz00_2182, obj_t BgL_oz00_2183, obj_t BgL_vz00_2184)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2183)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2184)),BUNSPEC);} 

}



/* &lambda2068 */
obj_t BGl_z62lambda2068z62zz__avahi_avahiz00(obj_t BgL_envz00_2185, obj_t BgL_oz00_2186)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2186)))->BgL_procz00);} 

}



/* &lambda2064 */
obj_t BGl_z62lambda2064z62zz__avahi_avahiz00(obj_t BgL_envz00_2187, obj_t BgL_oz00_2188, obj_t BgL_vz00_2189)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2188)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2189)),BUNSPEC);} 

}



/* &lambda2063 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2063z62zz__avahi_avahiz00(obj_t BgL_envz00_2190, obj_t BgL_oz00_2191)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2191)))->BgL_clientz00);} 

}



/* &<@anonymous:2059> */
obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2192)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2058 */
obj_t BGl_z62lambda2058z62zz__avahi_avahiz00(obj_t BgL_envz00_2193, obj_t BgL_oz00_2194, obj_t BgL_vz00_2195)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_vz00_2668;
BgL_vz00_2668 = 
FOREIGN_TO_COBJ(BgL_vz00_2195); 
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2194)))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_vz00_2668),BUNSPEC);} } 

}



/* &lambda2057 */
obj_t BGl_z62lambda2057z62zz__avahi_avahiz00(obj_t BgL_envz00_2196, obj_t BgL_oz00_2197)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2197)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1918> */
obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2198, obj_t BgL_new1100z00_2199)
{
{ /* Llib/avahi.scm 67 */
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4769;
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_z42builtinz42)=((AvahiClient *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_4773;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_classz00_2671;
BgL_classz00_2671 = BGl_avahizd2pollzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 67 */
 obj_t BgL__ortest_1113z00_2672;
BgL__ortest_1113z00_2672 = 
BGL_CLASS_NIL(BgL_classz00_2671); 
if(
CBOOL(BgL__ortest_1113z00_2672))
{ /* Llib/avahi.scm 67 */
BgL_auxz00_4773 = 
((BgL_avahizd2pollzd2_bglt)BgL__ortest_1113z00_2672)
; }  else 
{ /* Llib/avahi.scm 67 */
BgL_auxz00_4773 = 
((BgL_avahizd2pollzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2671))
; } } } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)BgL_auxz00_4773),BUNSPEC); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_flagsz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199)))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4769 = 
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2199); 
return 
((obj_t)BgL_auxz00_4769);} } 

}



/* &lambda1916 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1916z62zz__avahi_avahiz00(obj_t BgL_envz00_2200)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1099z00_2673;
BgL_new1099z00_2673 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1917z00_2674;
BgL_arg1917z00_2674 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2673), BgL_arg1917z00_2674); } 
return BgL_new1099z00_2673;} } 

}



/* &lambda1913 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1913z62zz__avahi_avahiz00(obj_t BgL_envz00_2201, obj_t BgL_z42builtin1092z42_2202, obj_t BgL_poll1093z00_2203, obj_t BgL_flags1094z00_2204, obj_t BgL_proc1095z00_2205, obj_t BgL_z52groups1096z52_2206, obj_t BgL_z52browsers1097z52_2207, obj_t BgL_resolvers1098z00_2208)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_z42builtin1092z42_2675;
BgL_z42builtin1092z42_2675 = 
FOREIGN_TO_COBJ(BgL_z42builtin1092z42_2202); 
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1219z00_2682;
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1218z00_2683;
BgL_new1218z00_2683 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1915z00_2684;
BgL_arg1915z00_2684 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_2683), BgL_arg1915z00_2684); } 
BgL_new1219z00_2682 = BgL_new1218z00_2683; } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_z42builtinz42)=((AvahiClient *)BgL_z42builtin1092z42_2675),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_poll1093z00_2203)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1094z00_2204)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1095z00_2205)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_z52groups1096z52_2206)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_z52browsers1097z52_2207)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1219z00_2682))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_resolvers1098z00_2208)),BUNSPEC); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_fun1914z00_2685;
BgL_fun1914z00_2685 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun1914z00_2685)(BgL_fun1914z00_2685, 
((obj_t)BgL_new1219z00_2682), BEOA); } 
return BgL_new1219z00_2682;} } } 

}



/* &<@anonymous:2035> */
obj_t BGl_z62zc3z04anonymousza32035ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2209, obj_t BgL_oz00_2210)
{
{ /* Llib/avahi.scm 101 */
{ /* Llib/avahi.scm 104 */
 bool_t BgL_test2979z00_4823;
{ /* Llib/avahi.scm 104 */
 AvahiClient * BgL_arg2040z00_2686;
BgL_arg2040z00_2686 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2210)))->BgL_z42builtinz42); 
BgL_test2979z00_4823 = 
(BgL_arg2040z00_2686 == 0L); } 
if(BgL_test2979z00_4823)
{ /* Llib/avahi.scm 104 */
return 
CNST_TABLE_REF(((long)99));}  else 
{ /* Llib/avahi.scm 107 */
 AvahiClientState BgL_arg2038z00_2687;
{ /* Llib/avahi.scm 107 */
 AvahiClient * BgL_arg2039z00_2688;
BgL_arg2039z00_2688 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2210)))->BgL_z42builtinz42); 
BgL_arg2038z00_2687 = 
avahi_client_get_state(BgL_arg2039z00_2688); } 
return 
bgl_avahi_client_state_to_symbol(BgL_arg2038z00_2687);} } } 

}



/* &<@anonymous:2026> */
obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2211, obj_t BgL_oz00_2212)
{
{ /* Llib/avahi.scm 95 */
{ /* Llib/avahi.scm 98 */
 bool_t BgL_test2980z00_4832;
{ /* Llib/avahi.scm 98 */
 AvahiClient * BgL_arg2030z00_2689;
BgL_arg2030z00_2689 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2212)))->BgL_z42builtinz42); 
BgL_test2980z00_4832 = 
(BgL_arg2030z00_2689 == 0L); } 
if(BgL_test2980z00_4832)
{ /* Llib/avahi.scm 98 */
return BGl_string2571z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 100 */
 AvahiClient * BgL_arg2029z00_2690;
BgL_arg2029z00_2690 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2212)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_host_name_fqdn(BgL_arg2029z00_2690));} } } 

}



/* &<@anonymous:2017> */
obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2213, obj_t BgL_oz00_2214)
{
{ /* Llib/avahi.scm 89 */
{ /* Llib/avahi.scm 92 */
 bool_t BgL_test2981z00_4840;
{ /* Llib/avahi.scm 92 */
 AvahiClient * BgL_arg2021z00_2691;
BgL_arg2021z00_2691 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2214)))->BgL_z42builtinz42); 
BgL_test2981z00_4840 = 
(BgL_arg2021z00_2691 == 0L); } 
if(BgL_test2981z00_4840)
{ /* Llib/avahi.scm 92 */
return BGl_string2571z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 94 */
 AvahiClient * BgL_arg2020z00_2692;
BgL_arg2020z00_2692 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2214)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_domain_name(BgL_arg2020z00_2692));} } } 

}



/* &<@anonymous:2008> */
obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2215, obj_t BgL_oz00_2216, obj_t BgL_vz00_2217)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 87 */
 bool_t BgL_test2982z00_4848;
{ /* Llib/avahi.scm 87 */
 AvahiClient * BgL_arg2012z00_2693;
BgL_arg2012z00_2693 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2216)))->BgL_z42builtinz42); 
BgL_test2982z00_4848 = 
(BgL_arg2012z00_2693 == 0L); } 
if(BgL_test2982z00_4848)
{ /* Llib/avahi.scm 87 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 88 */
 AvahiClient * BgL_arg2011z00_2694;
BgL_arg2011z00_2694 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2216)))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 88 */
 char * BgL_tmpz00_4854;
{ /* Llib/avahi.scm 88 */
 char * BgL_tmpz00_4855;
BgL_tmpz00_4855 = 
BSTRING_TO_STRING(
((obj_t)BgL_vz00_2217)); 
BgL_tmpz00_4854 = 
avahi_client_set_host_name(BgL_arg2011z00_2694, BgL_tmpz00_4855); } 
return 
string_to_bstring(BgL_tmpz00_4854);} } } } 

}



/* &<@anonymous:2002> */
obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2218, obj_t BgL_oz00_2219)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 83 */
 bool_t BgL_test2983z00_4860;
{ /* Llib/avahi.scm 83 */
 AvahiClient * BgL_arg2006z00_2695;
BgL_arg2006z00_2695 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2219)))->BgL_z42builtinz42); 
BgL_test2983z00_4860 = 
(BgL_arg2006z00_2695 == 0L); } 
if(BgL_test2983z00_4860)
{ /* Llib/avahi.scm 83 */
return BGl_string2571z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 85 */
 AvahiClient * BgL_arg2005z00_2696;
BgL_arg2005z00_2696 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2219)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_host_name(BgL_arg2005z00_2696));} } } 

}



/* &<@anonymous:1992> */
obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2220, obj_t BgL_oz00_2221)
{
{ /* Llib/avahi.scm 75 */
{ /* Llib/avahi.scm 78 */
 bool_t BgL_test2984z00_4868;
{ /* Llib/avahi.scm 78 */
 AvahiClient * BgL_arg1996z00_2697;
BgL_arg1996z00_2697 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2221)))->BgL_z42builtinz42); 
BgL_test2984z00_4868 = 
(BgL_arg1996z00_2697 == 0L); } 
if(BgL_test2984z00_4868)
{ /* Llib/avahi.scm 78 */
return BGl_string2571z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 80 */
 AvahiClient * BgL_arg1995z00_2698;
BgL_arg1995z00_2698 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2221)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_version_string(BgL_arg1995z00_2698));} } } 

}



/* &<@anonymous:1988> */
obj_t BGl_z62zc3z04anonymousza31988ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2222, obj_t BgL_oz00_2223, obj_t BgL_vz00_2224)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2223), 
(int)(((long)4)), BgL_vz00_2224);} 

}



/* &<@anonymous:1987> */
obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2225, obj_t BgL_oz00_2226)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2226), 
(int)(((long)4)));} 

}



/* &<@anonymous:1983> */
obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2227, obj_t BgL_oz00_2228, obj_t BgL_vz00_2229)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2228), 
(int)(((long)3)), BgL_vz00_2229);} 

}



/* &<@anonymous:1982> */
obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2230, obj_t BgL_oz00_2231)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2231), 
(int)(((long)3)));} 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2232, obj_t BgL_oz00_2233, obj_t BgL_vz00_2234)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2233), 
(int)(((long)2)), BgL_vz00_2234);} 

}



/* &<@anonymous:1977> */
obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2235, obj_t BgL_oz00_2236)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2236), 
(int)(((long)2)));} 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2237, obj_t BgL_oz00_2238, obj_t BgL_vz00_2239)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2238), 
(int)(((long)1)), BgL_vz00_2239);} 

}



/* &<@anonymous:1972> */
obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2240, obj_t BgL_oz00_2241)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2241), 
(int)(((long)1)));} 

}



/* &<@anonymous:1968> */
obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2242, obj_t BgL_oz00_2243, obj_t BgL_vz00_2244)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2243), 
(int)(((long)0)), BgL_vz00_2244);} 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2245, obj_t BgL_oz00_2246)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2246), 
(int)(((long)0)));} 

}



/* &<@anonymous:1963> */
obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2247)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1962 */
obj_t BGl_z62lambda1962z62zz__avahi_avahiz00(obj_t BgL_envz00_2248, obj_t BgL_oz00_2249, obj_t BgL_vz00_2250)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2249)))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_vz00_2250)),BUNSPEC);} 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__avahi_avahiz00(obj_t BgL_envz00_2251, obj_t BgL_oz00_2252)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2252)))->BgL_resolversz00);} 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2253)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__avahi_avahiz00(obj_t BgL_envz00_2254, obj_t BgL_oz00_2255, obj_t BgL_vz00_2256)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2255)))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_vz00_2256)),BUNSPEC);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__avahi_avahiz00(obj_t BgL_envz00_2257, obj_t BgL_oz00_2258)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2258)))->BgL_z52browsersz52);} 

}



/* &<@anonymous:1949> */
obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2259)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__avahi_avahiz00(obj_t BgL_envz00_2260, obj_t BgL_oz00_2261, obj_t BgL_vz00_2262)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2261)))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_vz00_2262)),BUNSPEC);} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__avahi_avahiz00(obj_t BgL_envz00_2263, obj_t BgL_oz00_2264)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2264)))->BgL_z52groupsz52);} 

}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__avahi_avahiz00(obj_t BgL_envz00_2265, obj_t BgL_oz00_2266, obj_t BgL_vz00_2267)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2266)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2267)),BUNSPEC);} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__avahi_avahiz00(obj_t BgL_envz00_2268, obj_t BgL_oz00_2269)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2269)))->BgL_procz00);} 

}



/* &<@anonymous:1937> */
obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2270)
{
{ /* Llib/avahi.scm 67 */
return 
CNST_TABLE_REF(((long)100));} 

}



/* &lambda1936 */
obj_t BGl_z62lambda1936z62zz__avahi_avahiz00(obj_t BgL_envz00_2271, obj_t BgL_oz00_2272, obj_t BgL_vz00_2273)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2272)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2273)),BUNSPEC);} 

}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__avahi_avahiz00(obj_t BgL_envz00_2274, obj_t BgL_oz00_2275)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2275)))->BgL_flagsz00);} 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__avahi_avahiz00(obj_t BgL_envz00_2276, obj_t BgL_oz00_2277, obj_t BgL_vz00_2278)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2277)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_vz00_2278)),BUNSPEC);} 

}



/* &lambda1929 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1929z62zz__avahi_avahiz00(obj_t BgL_envz00_2279, obj_t BgL_oz00_2280)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2280)))->BgL_pollz00);} 

}



/* &<@anonymous:1925> */
obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2281)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1924 */
obj_t BGl_z62lambda1924z62zz__avahi_avahiz00(obj_t BgL_envz00_2282, obj_t BgL_oz00_2283, obj_t BgL_vz00_2284)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_vz00_2718;
BgL_vz00_2718 = 
FOREIGN_TO_COBJ(BgL_vz00_2284); 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2283)))->BgL_z42builtinz42)=((AvahiClient *)BgL_vz00_2718),BUNSPEC);} } 

}



/* &lambda1923 */
obj_t BGl_z62lambda1923z62zz__avahi_avahiz00(obj_t BgL_envz00_2285, obj_t BgL_oz00_2286)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2286)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1900> */
obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2287, obj_t BgL_new1090z00_2288)
{
{ /* Llib/avahi.scm 64 */
{ 
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_4945;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2288))))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2288))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2288)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)
0L),BUNSPEC); 
BgL_auxz00_4945 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2288); 
return 
((obj_t)BgL_auxz00_4945);} } 

}



/* &lambda1898 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1898z62zz__avahi_avahiz00(obj_t BgL_envz00_2289)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1089z00_2721;
BgL_new1089z00_2721 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1899z00_2722;
BgL_arg1899z00_2722 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_2721), BgL_arg1899z00_2722); } 
return BgL_new1089z00_2721;} } 

}



/* &lambda1895 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1895z62zz__avahi_avahiz00(obj_t BgL_envz00_2290, obj_t BgL_z42ctype1086z42_2291, obj_t BgL_z52procs1087z52_2292, obj_t BgL_z42builtin1088z42_2293)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 int BgL_z42ctype1086z42_2723; AvahiThreadedPoll * BgL_z42builtin1088z42_2725;
BgL_z42ctype1086z42_2723 = 
CINT(BgL_z42ctype1086z42_2291); 
BgL_z42builtin1088z42_2725 = 
FOREIGN_TO_COBJ(BgL_z42builtin1088z42_2293); 
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1217z00_2726;
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1216z00_2727;
BgL_new1216z00_2727 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1897z00_2728;
BgL_arg1897z00_2728 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_2727), BgL_arg1897z00_2728); } 
BgL_new1217z00_2726 = BgL_new1216z00_2727; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1217z00_2726)))->BgL_z42ctypez42)=((int)BgL_z42ctype1086z42_2723),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1217z00_2726)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1087z52_2292)),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_new1217z00_2726))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_z42builtin1088z42_2725),BUNSPEC); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_fun1896z00_2729;
BgL_fun1896z00_2729 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun1896z00_2729)(BgL_fun1896z00_2729, 
((obj_t)BgL_new1217z00_2726), BEOA); } 
return BgL_new1217z00_2726;} } } 

}



/* &<@anonymous:1907> */
obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2294)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1906 */
obj_t BGl_z62lambda1906z62zz__avahi_avahiz00(obj_t BgL_envz00_2295, obj_t BgL_oz00_2296, obj_t BgL_vz00_2297)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 AvahiThreadedPoll * BgL_vz00_2731;
BgL_vz00_2731 = 
FOREIGN_TO_COBJ(BgL_vz00_2297); 
return 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2296)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_vz00_2731),BUNSPEC);} } 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__avahi_avahiz00(obj_t BgL_envz00_2298, obj_t BgL_oz00_2299)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2299)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1882> */
obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2300, obj_t BgL_new1084z00_2301)
{
{ /* Llib/avahi.scm 61 */
{ 
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_4988;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2301))))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2301))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2301)))->BgL_z42builtinz42)=((AvahiSimplePoll *)
0L),BUNSPEC); 
BgL_auxz00_4988 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2301); 
return 
((obj_t)BgL_auxz00_4988);} } 

}



/* &lambda1880 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1880z62zz__avahi_avahiz00(obj_t BgL_envz00_2302)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1083z00_2734;
BgL_new1083z00_2734 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1881z00_2735;
BgL_arg1881z00_2735 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_2734), BgL_arg1881z00_2735); } 
return BgL_new1083z00_2734;} } 

}



/* &lambda1877 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1877z62zz__avahi_avahiz00(obj_t BgL_envz00_2303, obj_t BgL_z42ctype1080z42_2304, obj_t BgL_z52procs1081z52_2305, obj_t BgL_z42builtin1082z42_2306)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 int BgL_z42ctype1080z42_2736; AvahiSimplePoll * BgL_z42builtin1082z42_2738;
BgL_z42ctype1080z42_2736 = 
CINT(BgL_z42ctype1080z42_2304); 
BgL_z42builtin1082z42_2738 = 
FOREIGN_TO_COBJ(BgL_z42builtin1082z42_2306); 
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1215z00_2739;
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1214z00_2740;
BgL_new1214z00_2740 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1879z00_2741;
BgL_arg1879z00_2741 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_2740), BgL_arg1879z00_2741); } 
BgL_new1215z00_2739 = BgL_new1214z00_2740; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1215z00_2739)))->BgL_z42ctypez42)=((int)BgL_z42ctype1080z42_2736),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1215z00_2739)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1081z52_2305)),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_new1215z00_2739))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_z42builtin1082z42_2738),BUNSPEC); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_fun1878z00_2742;
BgL_fun1878z00_2742 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun1878z00_2742)(BgL_fun1878z00_2742, 
((obj_t)BgL_new1215z00_2739), BEOA); } 
return BgL_new1215z00_2739;} } } 

}



/* &<@anonymous:1889> */
obj_t BGl_z62zc3z04anonymousza31889ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2307)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1888 */
obj_t BGl_z62lambda1888z62zz__avahi_avahiz00(obj_t BgL_envz00_2308, obj_t BgL_oz00_2309, obj_t BgL_vz00_2310)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 AvahiSimplePoll * BgL_vz00_2744;
BgL_vz00_2744 = 
FOREIGN_TO_COBJ(BgL_vz00_2310); 
return 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2309)))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_vz00_2744),BUNSPEC);} } 

}



/* &lambda1887 */
obj_t BGl_z62lambda1887z62zz__avahi_avahiz00(obj_t BgL_envz00_2311, obj_t BgL_oz00_2312)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2312)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1856> */
obj_t BGl_z62zc3z04anonymousza31856ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2313, obj_t BgL_new1078z00_2314)
{
{ /* Llib/avahi.scm 57 */
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5031;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1078z00_2314)))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1078z00_2314)))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5031 = 
((BgL_avahizd2pollzd2_bglt)BgL_new1078z00_2314); 
return 
((obj_t)BgL_auxz00_5031);} } 

}



/* &lambda1854 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1854z62zz__avahi_avahiz00(obj_t BgL_envz00_2315)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 BgL_avahizd2pollzd2_bglt BgL_new1077z00_2747;
BgL_new1077z00_2747 = 
((BgL_avahizd2pollzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2pollzd2_bgl) ))); 
{ /* Llib/avahi.scm 57 */
 long BgL_arg1855z00_2748;
BgL_arg1855z00_2748 = 
BGL_CLASS_NUM(BGl_avahizd2pollzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_2747), BgL_arg1855z00_2748); } 
return BgL_new1077z00_2747;} } 

}



/* &<@anonymous:1871> */
obj_t BGl_z62zc3z04anonymousza31871ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2316)
{
{ /* Llib/avahi.scm 57 */
return BNIL;} 

}



/* &lambda1870 */
obj_t BGl_z62lambda1870z62zz__avahi_avahiz00(obj_t BgL_envz00_2317, obj_t BgL_oz00_2318, obj_t BgL_vz00_2319)
{
{ /* Llib/avahi.scm 57 */
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2318)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_vz00_2319)),BUNSPEC);} 

}



/* &lambda1869 */
obj_t BGl_z62lambda1869z62zz__avahi_avahiz00(obj_t BgL_envz00_2320, obj_t BgL_oz00_2321)
{
{ /* Llib/avahi.scm 57 */
return 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2321)))->BgL_z52procsz52);} 

}



/* &<@anonymous:1863> */
obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2322)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(((long)-1));} 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__avahi_avahiz00(obj_t BgL_envz00_2323, obj_t BgL_oz00_2324, obj_t BgL_vz00_2325)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 int BgL_vz00_2753;
BgL_vz00_2753 = 
CINT(BgL_vz00_2325); 
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2324)))->BgL_z42ctypez42)=((int)BgL_vz00_2753),BUNSPEC);} } 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__avahi_avahiz00(obj_t BgL_envz00_2326, obj_t BgL_oz00_2327)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2327)))->BgL_z42ctypez42));} 

}



/* &<@anonymous:1849> */
obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2328, obj_t BgL_new1075z00_2329)
{
{ /* Llib/avahi.scm 54 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_new1075z00_2329));} 

}



/* &lambda1847 */
BgL_avahizd2objectzd2_bglt BGl_z62lambda1847z62zz__avahi_avahiz00(obj_t BgL_envz00_2330)
{
{ /* Llib/avahi.scm 54 */
{ /* Llib/avahi.scm 54 */
 BgL_avahizd2objectzd2_bglt BgL_new1074z00_2756;
BgL_new1074z00_2756 = 
((BgL_avahizd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2objectzd2_bgl) ))); 
{ /* Llib/avahi.scm 54 */
 long BgL_arg1848z00_2757;
BgL_arg1848z00_2757 = 
BGL_CLASS_NUM(BGl_avahizd2objectzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_2756), BgL_arg1848z00_2757); } 
return BgL_new1074z00_2756;} } 

}



/* &<@anonymous:1842> */
obj_t BGl_z62zc3z04anonymousza31842ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2331, obj_t BgL_new1072z00_2332)
{
{ /* Llib/avahi.scm 52 */
{ 
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_auxz00_5061;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332))))->BgL_errnoz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_5061 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2332); 
return 
((obj_t)BgL_auxz00_5061);} } 

}



/* &lambda1840 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1840z62zz__avahi_avahiz00(obj_t BgL_envz00_2333)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1071z00_2759;
BgL_new1071z00_2759 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1841z00_2760;
BgL_arg1841z00_2760 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_2759), BgL_arg1841z00_2760); } 
return BgL_new1071z00_2759;} } 

}



/* &lambda1838 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1838z62zz__avahi_avahiz00(obj_t BgL_envz00_2334, obj_t BgL_fname1064z00_2335, obj_t BgL_location1065z00_2336, obj_t BgL_stack1066z00_2337, obj_t BgL_proc1067z00_2338, obj_t BgL_msg1068z00_2339, obj_t BgL_obj1069z00_2340, obj_t BgL_errno1070z00_2341)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 int BgL_errno1070z00_2761;
BgL_errno1070z00_2761 = 
CINT(BgL_errno1070z00_2341); 
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1213z00_2762;
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1212z00_2763;
BgL_new1212z00_2763 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1839z00_2764;
BgL_arg1839z00_2764 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_2763), BgL_arg1839z00_2764); } 
BgL_new1213z00_2762 = BgL_new1212z00_2763; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1213z00_2762)))->BgL_fnamez00)=((obj_t)BgL_fname1064z00_2335),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1213z00_2762)))->BgL_locationz00)=((obj_t)BgL_location1065z00_2336),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1213z00_2762)))->BgL_stackz00)=((obj_t)BgL_stack1066z00_2337),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1213z00_2762)))->BgL_procz00)=((obj_t)BgL_proc1067z00_2338),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1213z00_2762)))->BgL_msgz00)=((obj_t)BgL_msg1068z00_2339),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1213z00_2762)))->BgL_objz00)=((obj_t)BgL_obj1069z00_2340),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1213z00_2762)))->BgL_errnoz00)=((int)BgL_errno1070z00_2761),BUNSPEC); 
return BgL_new1213z00_2762;} } } 

}



/* &<@anonymous:1825> */
obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2342, obj_t BgL_new1062z00_2343)
{
{ /* Llib/avahi.scm 50 */
{ 
 BgL_z62avahizd2errorzb0_bglt BgL_auxz00_5109;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343)))->BgL_errnoz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_5109 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2343); 
return 
((obj_t)BgL_auxz00_5109);} } 

}



/* &lambda1823 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1823z62zz__avahi_avahiz00(obj_t BgL_envz00_2344)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1061z00_2766;
BgL_new1061z00_2766 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1824z00_2767;
BgL_arg1824z00_2767 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_2766), BgL_arg1824z00_2767); } 
return BgL_new1061z00_2766;} } 

}



/* &lambda1821 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1821z62zz__avahi_avahiz00(obj_t BgL_envz00_2345, obj_t BgL_fname1053z00_2346, obj_t BgL_location1054z00_2347, obj_t BgL_stack1055z00_2348, obj_t BgL_proc1056z00_2349, obj_t BgL_msg1057z00_2350, obj_t BgL_obj1058z00_2351, obj_t BgL_errno1059z00_2352)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_errno1059z00_2768;
BgL_errno1059z00_2768 = 
CINT(BgL_errno1059z00_2352); 
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1211z00_2769;
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1210z00_2770;
BgL_new1210z00_2770 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1822z00_2771;
BgL_arg1822z00_2771 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_2770), BgL_arg1822z00_2771); } 
BgL_new1211z00_2769 = BgL_new1210z00_2770; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1211z00_2769)))->BgL_fnamez00)=((obj_t)BgL_fname1053z00_2346),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1211z00_2769)))->BgL_locationz00)=((obj_t)BgL_location1054z00_2347),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1211z00_2769)))->BgL_stackz00)=((obj_t)BgL_stack1055z00_2348),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1211z00_2769)))->BgL_procz00)=((obj_t)BgL_proc1056z00_2349),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1211z00_2769)))->BgL_msgz00)=((obj_t)BgL_msg1057z00_2350),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1211z00_2769)))->BgL_objz00)=((obj_t)BgL_obj1058z00_2351),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1211z00_2769))->BgL_errnoz00)=((int)BgL_errno1059z00_2768),BUNSPEC); 
return BgL_new1211z00_2769;} } } 

}



/* &<@anonymous:1832> */
obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2353)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(((long)0));} 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__avahi_avahiz00(obj_t BgL_envz00_2354, obj_t BgL_oz00_2355, obj_t BgL_vz00_2356)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_vz00_2773;
BgL_vz00_2773 = 
CINT(BgL_vz00_2356); 
return 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2355)))->BgL_errnoz00)=((int)BgL_vz00_2773),BUNSPEC);} } 

}



/* &lambda1830 */
obj_t BGl_z62lambda1830z62zz__avahi_avahiz00(obj_t BgL_envz00_2357, obj_t BgL_oz00_2358)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(
(((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2358)))->BgL_errnoz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2572z00zz__avahi_avahiz00, BGl_avahizd2objectzd2zz__avahi_avahiz00, BGl_string2573z00zz__avahi_avahiz00);} 

}



/* &avahi-init1256 */
obj_t BGl_z62avahizd2init1256zb0zz__avahi_avahiz00(obj_t BgL_envz00_2362, obj_t BgL_oz00_2363)
{
{ /* Llib/avahi.scm 288 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2363));} 

}



/* avahi-init */
BGL_EXPORTED_DEF obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_9)
{
{ /* Llib/avahi.scm 288 */
{ /* Llib/avahi.scm 288 */
 obj_t BgL_method1257z00_1158;
{ /* Llib/avahi.scm 288 */
 obj_t BgL_res2277z00_1698;
{ /* Llib/avahi.scm 288 */
 long BgL_objzd2classzd2numz00_1669;
BgL_objzd2classzd2numz00_1669 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
{ /* Llib/avahi.scm 288 */
 obj_t BgL_arg1801z00_1670;
BgL_arg1801z00_1670 = 
PROCEDURE_REF(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, 
(int)(((long)1))); 
{ /* Llib/avahi.scm 288 */
 int BgL_offsetz00_1673;
BgL_offsetz00_1673 = 
(int)(BgL_objzd2classzd2numz00_1669); 
{ /* Llib/avahi.scm 288 */
 long BgL_offsetz00_1674;
BgL_offsetz00_1674 = 
(
(long)(BgL_offsetz00_1673)-OBJECT_TYPE); 
{ /* Llib/avahi.scm 288 */
 long BgL_modz00_1675;
BgL_modz00_1675 = 
(BgL_offsetz00_1674 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/avahi.scm 288 */
 long BgL_restz00_1677;
BgL_restz00_1677 = 
(BgL_offsetz00_1674 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/avahi.scm 288 */

{ /* Llib/avahi.scm 288 */
 obj_t BgL_bucketz00_1679;
BgL_bucketz00_1679 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1670),BgL_modz00_1675); 
BgL_res2277z00_1698 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1679),BgL_restz00_1677); } } } } } } } } 
BgL_method1257z00_1158 = BgL_res2277z00_1698; } 
return 
PROCEDURE_ENTRY(BgL_method1257z00_1158)(BgL_method1257z00_1158, 
((obj_t)BgL_oz00_9), BEOA);} } 

}



/* &avahi-init */
obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t BgL_envz00_2359, obj_t BgL_oz00_2360)
{
{ /* Llib/avahi.scm 288 */
{ /* Llib/avahi.scm 288 */
 BgL_avahizd2objectzd2_bglt BgL_auxz00_5195;
{ /* Llib/avahi.scm 288 */
 bool_t BgL_test2985z00_5196;
{ /* Llib/avahi.scm 288 */
 obj_t BgL_classz00_2776;
BgL_classz00_2776 = BGl_avahizd2objectzd2zz__avahi_avahiz00; 
if(
BGL_OBJECTP(BgL_oz00_2360))
{ /* Llib/avahi.scm 288 */
 BgL_objectz00_bglt BgL_arg1799z00_2778; long BgL_arg1800z00_2779;
BgL_arg1799z00_2778 = 
(BgL_objectz00_bglt)(BgL_oz00_2360); 
BgL_arg1800z00_2779 = 
BGL_CLASS_DEPTH(BgL_classz00_2776); 
{ /* Llib/avahi.scm 288 */
 bool_t BgL_arg1794z00_2783; bool_t BgL_arg1795z00_2784;
{ /* Llib/avahi.scm 288 */
 long BgL_idxz00_2788;
BgL_idxz00_2788 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2778); 
{ /* Llib/avahi.scm 288 */
 obj_t BgL_arg1791z00_2789;
{ /* Llib/avahi.scm 288 */
 long BgL_arg1792z00_2790;
BgL_arg1792z00_2790 = 
(BgL_idxz00_2788+BgL_arg1800z00_2779); 
BgL_arg1791z00_2789 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2790); } 
BgL_arg1794z00_2783 = 
(BgL_arg1791z00_2789==BgL_classz00_2776); } } 
{ /* Llib/avahi.scm 288 */
 bool_t BgL_res2590z00_2813;
{ /* Llib/avahi.scm 288 */
 obj_t BgL_oclassz00_2798;
{ /* Llib/avahi.scm 288 */
 long BgL_arg1804z00_2804;
{ /* Llib/avahi.scm 288 */
 long BgL_arg1805z00_2805;
BgL_arg1805z00_2805 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2778); 
BgL_arg1804z00_2804 = 
(BgL_arg1805z00_2805-OBJECT_TYPE); } 
BgL_oclassz00_2798 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2804); } 
{ /* Llib/avahi.scm 288 */
 bool_t BgL__ortest_1111z00_2799;
BgL__ortest_1111z00_2799 = 
(BgL_classz00_2776==BgL_oclassz00_2798); 
if(BgL__ortest_1111z00_2799)
{ /* Llib/avahi.scm 288 */
BgL_res2590z00_2813 = BgL__ortest_1111z00_2799; }  else 
{ /* Llib/avahi.scm 288 */
 long BgL_odepthz00_2800;
BgL_odepthz00_2800 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2798); 
if(
(BgL_arg1800z00_2779<BgL_odepthz00_2800))
{ /* Llib/avahi.scm 288 */
 obj_t BgL_arg1793z00_2802;
BgL_arg1793z00_2802 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2798, BgL_arg1800z00_2779); 
BgL_res2590z00_2813 = 
(BgL_arg1793z00_2802==BgL_classz00_2776); }  else 
{ /* Llib/avahi.scm 288 */
BgL_res2590z00_2813 = ((bool_t)0); } } } } 
BgL_arg1795z00_2784 = BgL_res2590z00_2813; } 
BgL_test2985z00_5196 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2783, BgL_arg1795z00_2784); } }  else 
{ /* Llib/avahi.scm 288 */
BgL_test2985z00_5196 = ((bool_t)0)
; } } 
if(BgL_test2985z00_5196)
{ /* Llib/avahi.scm 288 */
BgL_auxz00_5195 = 
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2360)
; }  else 
{ 
 obj_t BgL_auxz00_5217;
BgL_auxz00_5217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2360z00zz__avahi_avahiz00, 
BINT(((long)11745)), BGl_string2574z00zz__avahi_avahiz00, BGl_string2575z00zz__avahi_avahiz00, BgL_oz00_2360); 
FAILURE(BgL_auxz00_5217,BFALSE,BFALSE);} } 
return 
BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_auxz00_5195);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00, BGl_proc2576z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00, BGl_proc2578z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2579z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00, BGl_proc2580z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00, BGl_proc2581z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00, BGl_proc2582z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00, BGl_proc2583z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00, BGl_proc2584z00zz__avahi_avahiz00, BGl_string2577z00zz__avahi_avahiz00);} 

}



/* &avahi-init-avahi-ser1274 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1274zb0zz__avahi_avahiz00(obj_t BgL_envz00_2372, obj_t BgL_oz00_2373)
{
{ /* Llib/avahi.scm 661 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2373)))->BgL_procz00), 
(int)(((long)12))))
{ /* Llib/avahi.scm 663 */
{ /* Llib/avahi.scm 665 */
 BgL_avahizd2clientzd2_bglt BgL_i1191z00_2815;
BgL_i1191z00_2815 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2373)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_5237;
{ /* Llib/avahi.scm 666 */
 obj_t BgL_arg2269z00_2816;
BgL_arg2269z00_2816 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1191z00_2815))->BgL_resolversz00); 
BgL_auxz00_5237 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2373)), BgL_arg2269z00_2816); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1191z00_2815))->BgL_resolversz00)=((obj_t)BgL_auxz00_5237),BUNSPEC); } } 
{ /* Llib/avahi.scm 667 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_tmpz00_5243;
BgL_tmpz00_5243 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2373); 
bgl_avahi_service_resolver_new(BgL_tmpz00_5243); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 668 */
 obj_t BgL_arg2270z00_2817;
BgL_arg2270z00_2817 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2373)))->BgL_procz00); 
{ /* Llib/avahi.scm 668 */
 char * BgL_procz00_2818; char * BgL_msgz00_2819;
BgL_procz00_2818 = 
BSTRING_TO_STRING(BGl_string2403z00zz__avahi_avahiz00); 
BgL_msgz00_2819 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_2820;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2821;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2822;
BgL_new1141z00_2822 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_2823;
BgL_arg1288z00_2823 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2822), BgL_arg1288z00_2823); } 
BgL_new1142z00_2821 = BgL_new1141z00_2822; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2821)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2821)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5258;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_2824;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_2825;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_2826;
BgL_classz00_2826 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_2825 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2826); } 
BgL_arg1286z00_2824 = 
VECTOR_REF(BgL_arg1287z00_2825,((long)2)); } 
BgL_auxz00_5258 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_2824); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2821)))->BgL_stackz00)=((obj_t)BgL_auxz00_5258),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2821)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2818)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2821)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2819)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2821)))->BgL_objz00)=((obj_t)BgL_arg2270z00_2817),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2821))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_2820 = BgL_new1142z00_2821; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_2820));} } } } 

}



/* &avahi-init-avahi-dom1272 */
obj_t BGl_z62avahizd2initzd2avahizd2dom1272zb0zz__avahi_avahiz00(obj_t BgL_envz00_2374, obj_t BgL_oz00_2375)
{
{ /* Llib/avahi.scm 641 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2375)))->BgL_procz00), 
(int)(((long)5))))
{ /* Llib/avahi.scm 643 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
 obj_t BgL_tmp2991z00_5280;
BgL_tmp2991z00_5280 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2375)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp2991z00_5280; } 
{ /* Llib/avahi.scm 646 */
 obj_t BgL_arg2263z00_2828;
BgL_arg2263z00_2828 = 
BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2375)))->BgL_btypez00)); 
{ /* Llib/avahi.scm 646 */
 AvahiDomainBrowserType BgL_auxz00_5291; BgL_avahizd2domainzd2browserz00_bglt BgL_tmpz00_5289;
BgL_auxz00_5291 = 
(long)CINT(BgL_arg2263z00_2828); 
BgL_tmpz00_5289 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2375); 
bgl_avahi_domain_browser_new(BgL_tmpz00_5289, BgL_auxz00_5291); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 647 */
 obj_t BgL_arg2265z00_2829;
BgL_arg2265z00_2829 = 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2375)))->BgL_procz00); 
{ /* Llib/avahi.scm 647 */
 char * BgL_procz00_2830; char * BgL_msgz00_2831;
BgL_procz00_2830 = 
BSTRING_TO_STRING(BGl_string2401z00zz__avahi_avahiz00); 
BgL_msgz00_2831 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_2832;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2833;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2834;
BgL_new1141z00_2834 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_2835;
BgL_arg1288z00_2835 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2834), BgL_arg1288z00_2835); } 
BgL_new1142z00_2833 = BgL_new1141z00_2834; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2833)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2833)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5306;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_2836;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_2837;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_2838;
BgL_classz00_2838 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_2837 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2838); } 
BgL_arg1286z00_2836 = 
VECTOR_REF(BgL_arg1287z00_2837,((long)2)); } 
BgL_auxz00_5306 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_2836); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2833)))->BgL_stackz00)=((obj_t)BgL_auxz00_5306),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2833)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2830)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2833)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2831)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2833)))->BgL_objz00)=((obj_t)BgL_arg2265z00_2829),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2833))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_2832 = BgL_new1142z00_2833; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_2832));} } } } 

}



/* &avahi-init-avahi-ser1270 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1270zb0zz__avahi_avahiz00(obj_t BgL_envz00_2376, obj_t BgL_oz00_2377)
{
{ /* Llib/avahi.scm 621 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2377)))->BgL_procz00), 
(int)(((long)7))))
{ /* Llib/avahi.scm 623 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
 obj_t BgL_tmp2993z00_5328;
BgL_tmp2993z00_5328 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2377)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp2993z00_5328; } 
{ /* Llib/avahi.scm 626 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_tmpz00_5334;
BgL_tmpz00_5334 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2377); 
bgl_avahi_service_type_browser_new(BgL_tmpz00_5334); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 627 */
 obj_t BgL_arg2259z00_2840;
BgL_arg2259z00_2840 = 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2377)))->BgL_procz00); 
{ /* Llib/avahi.scm 627 */
 char * BgL_procz00_2841; char * BgL_msgz00_2842;
BgL_procz00_2841 = 
BSTRING_TO_STRING(BGl_string2585z00zz__avahi_avahiz00); 
BgL_msgz00_2842 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_2843;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2844;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2845;
BgL_new1141z00_2845 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_2846;
BgL_arg1288z00_2846 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2845), BgL_arg1288z00_2846); } 
BgL_new1142z00_2844 = BgL_new1141z00_2845; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2844)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2844)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5349;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_2847;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_2848;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_2849;
BgL_classz00_2849 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_2848 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2849); } 
BgL_arg1286z00_2847 = 
VECTOR_REF(BgL_arg1287z00_2848,((long)2)); } 
BgL_auxz00_5349 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_2847); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2844)))->BgL_stackz00)=((obj_t)BgL_auxz00_5349),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2844)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2841)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2844)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2842)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2844)))->BgL_objz00)=((obj_t)BgL_arg2259z00_2840),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2844))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_2843 = BgL_new1142z00_2844; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_2843));} } } } 

}



/* &avahi-init-avahi-ser1268 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1268zb0zz__avahi_avahiz00(obj_t BgL_envz00_2378, obj_t BgL_oz00_2379)
{
{ /* Llib/avahi.scm 598 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2379)))->BgL_procz00), 
(int)(((long)8))))
{ /* Llib/avahi.scm 600 */
{ /* Llib/avahi.scm 602 */
 BgL_avahizd2clientzd2_bglt BgL_i1185z00_2851;
BgL_i1185z00_2851 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2379)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_5373;
{ /* Llib/avahi.scm 603 */
 obj_t BgL_arg2254z00_2852;
BgL_arg2254z00_2852 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1185z00_2851))->BgL_z52browsersz52); 
BgL_auxz00_5373 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2379)), BgL_arg2254z00_2852); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1185z00_2851))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_5373),BUNSPEC); } } 
{ /* Llib/avahi.scm 604 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_tmpz00_5379;
BgL_tmpz00_5379 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2379); 
bgl_avahi_service_browser_new(BgL_tmpz00_5379); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 605 */
 obj_t BgL_arg2255z00_2853;
BgL_arg2255z00_2853 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2379)))->BgL_procz00); 
{ /* Llib/avahi.scm 605 */
 char * BgL_procz00_2854; char * BgL_msgz00_2855;
BgL_procz00_2854 = 
BSTRING_TO_STRING(BGl_string2399z00zz__avahi_avahiz00); 
BgL_msgz00_2855 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_2856;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2857;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2858;
BgL_new1141z00_2858 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_2859;
BgL_arg1288z00_2859 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2858), BgL_arg1288z00_2859); } 
BgL_new1142z00_2857 = BgL_new1141z00_2858; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2857)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2857)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5394;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_2860;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_2861;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_2862;
BgL_classz00_2862 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_2861 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2862); } 
BgL_arg1286z00_2860 = 
VECTOR_REF(BgL_arg1287z00_2861,((long)2)); } 
BgL_auxz00_5394 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_2860); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2857)))->BgL_stackz00)=((obj_t)BgL_auxz00_5394),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2857)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2854)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2857)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2855)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2857)))->BgL_objz00)=((obj_t)BgL_arg2255z00_2853),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2857))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_2856 = BgL_new1142z00_2857; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_2856));} } } } 

}



/* &avahi-init-avahi-ent1265 */
obj_t BGl_z62avahizd2initzd2avahizd2ent1265zb0zz__avahi_avahiz00(obj_t BgL_envz00_2380, obj_t BgL_oz00_2381)
{
{ /* Llib/avahi.scm 450 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2381)))->BgL_procz00), 
(int)(((long)2))))
{ /* Llib/avahi.scm 452 */
{ /* Llib/avahi.scm 454 */
 BgL_avahizd2clientzd2_bglt BgL_i1159z00_2864;
BgL_i1159z00_2864 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2381)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_5418;
{ /* Llib/avahi.scm 455 */
 obj_t BgL_arg2249z00_2865;
BgL_arg2249z00_2865 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1159z00_2864))->BgL_z52groupsz52); 
BgL_auxz00_5418 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2381)), BgL_arg2249z00_2865); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1159z00_2864))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_5418),BUNSPEC); } } 
{ /* Llib/avahi.scm 456 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_tmpz00_5424;
BgL_tmpz00_5424 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2381); 
bgl_avahi_entry_group_new(BgL_tmpz00_5424); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 457 */
 obj_t BgL_arg2250z00_2866;
BgL_arg2250z00_2866 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2381)))->BgL_procz00); 
{ /* Llib/avahi.scm 457 */
 char * BgL_procz00_2867; char * BgL_msgz00_2868;
BgL_procz00_2867 = 
BSTRING_TO_STRING(BGl_string2388z00zz__avahi_avahiz00); 
BgL_msgz00_2868 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_2869;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2870;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2871;
BgL_new1141z00_2871 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_2872;
BgL_arg1288z00_2872 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2871), BgL_arg1288z00_2872); } 
BgL_new1142z00_2870 = BgL_new1141z00_2871; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2870)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2870)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5439;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_2873;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_2874;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_2875;
BgL_classz00_2875 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_2874 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2875); } 
BgL_arg1286z00_2873 = 
VECTOR_REF(BgL_arg1287z00_2874,((long)2)); } 
BgL_auxz00_5439 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_2873); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2870)))->BgL_stackz00)=((obj_t)BgL_auxz00_5439),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2870)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2867)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2870)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2868)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2870)))->BgL_objz00)=((obj_t)BgL_arg2250z00_2866),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2870))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_2869 = BgL_new1142z00_2870; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_2869));} } } } 

}



/* &avahi-init-avahi-cli1263 */
obj_t BGl_z62avahizd2initzd2avahizd2cli1263zb0zz__avahi_avahiz00(obj_t BgL_envz00_2382, obj_t BgL_oz00_2383)
{
{ /* Llib/avahi.scm 401 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2383)))->BgL_procz00), 
(int)(((long)2))))
{ /* Llib/avahi.scm 403 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
 obj_t BgL_tmp2997z00_5461;
BgL_tmp2997z00_5461 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2383)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp2997z00_5461; } 
{ /* Llib/avahi.scm 406 */
 BgL_avahizd2clientzd2_bglt BgL_tmpz00_5467;
BgL_tmpz00_5467 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2383); 
bgl_avahi_client_new(BgL_tmpz00_5467); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 407 */
 obj_t BgL_arg2245z00_2877;
BgL_arg2245z00_2877 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2383)))->BgL_procz00); 
{ /* Llib/avahi.scm 407 */
 char * BgL_procz00_2878; char * BgL_msgz00_2879;
BgL_procz00_2878 = 
BSTRING_TO_STRING(BGl_string2586z00zz__avahi_avahiz00); 
BgL_msgz00_2879 = 
BSTRING_TO_STRING(BGl_string2369z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1285z00_2880;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2881;
{ /* Llib/avahi.scm 214 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2882;
BgL_new1141z00_2882 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
 long BgL_arg1288z00_2883;
BgL_arg1288z00_2883 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2882), BgL_arg1288z00_2883); } 
BgL_new1142z00_2881 = BgL_new1141z00_2882; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2881)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2881)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5482;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1286z00_2884;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg1287z00_2885;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_classz00_2886;
BgL_classz00_2886 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1287z00_2885 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2886); } 
BgL_arg1286z00_2884 = 
VECTOR_REF(BgL_arg1287z00_2885,((long)2)); } 
BgL_auxz00_5482 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1286z00_2884); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2881)))->BgL_stackz00)=((obj_t)BgL_auxz00_5482),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2881)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2878)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2881)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2879)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2881)))->BgL_objz00)=((obj_t)BgL_arg2245z00_2877),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2881))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1285z00_2880 = BgL_new1142z00_2881; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1285z00_2880));} } } } 

}



/* &avahi-init-avahi-thr1261 */
obj_t BGl_z62avahizd2initzd2avahizd2thr1261zb0zz__avahi_avahiz00(obj_t BgL_envz00_2384, obj_t BgL_oz00_2385)
{
{ /* Llib/avahi.scm 339 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
 obj_t BgL_tmp2998z00_5499;
BgL_tmp2998z00_5499 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2385)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp2998z00_5499; } 
{ /* Llib/avahi.scm 341 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_5505;
BgL_tmpz00_5505 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2385); 
bgl_avahi_threaded_poll_new(BgL_tmpz00_5505); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2385))))->BgL_z42ctypez42)=((int)
(int)(((long)2))),BUNSPEC); 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(); 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2385));} 

}



/* &avahi-init-avahi-sim1259 */
obj_t BGl_z62avahizd2initzd2avahizd2sim1259zb0zz__avahi_avahiz00(obj_t BgL_envz00_2386, obj_t BgL_oz00_2387)
{
{ /* Llib/avahi.scm 294 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
 obj_t BgL_tmp2999z00_5515;
BgL_tmp2999z00_5515 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2387)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp2999z00_5515; } 
{ /* Llib/avahi.scm 296 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_5521;
BgL_tmpz00_5521 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2387); 
bgl_avahi_simple_poll_new(BgL_tmpz00_5521); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2387))))->BgL_z42ctypez42)=((int)
(int)(((long)1))),BUNSPEC); 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2387));} 

}

#ifdef __cplusplus
}
#endif
