/*===========================================================================*/
/*   (Llib/block_ciphers.scm)                                                */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/block_ciphers.scm -o objs/block_ciphers.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_blockzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   long BgL_blockzd2siza7ez75;
   long BgL_preferredzd2keyzd2lengthz00;
   obj_t BgL_encryptz12z12;
   obj_t BgL_decryptz12z12;
   obj_t BgL_keyzd2ze3encryptzd2paramze3;
   obj_t BgL_keyzd2ze3decryptzd2paramze3;
} *BgL_blockzd2cipherzd2_bglt;

typedef struct BgL_cipherzd2statezd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_cipherzd2statezd2_bglt;

typedef struct BgL_ecbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2encryptzd2_bglt;

typedef struct BgL_ecbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2decryptzd2_bglt;

typedef struct BgL_cbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2encryptzd2_bglt;

typedef struct BgL_cbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2decryptzd2_bglt;

typedef struct BgL_pcbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2encryptzd2_bglt;

typedef struct BgL_pcbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2decryptzd2_bglt;

typedef struct BgL_streamzd2cipherzd2statez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_streamzd2cipherzd2statez00_bglt;

typedef struct BgL_cfbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2encryptzd2_bglt;

typedef struct BgL_cfbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2decryptzd2_bglt;

typedef struct BgL_ofbz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_ofbz00_bglt;

typedef struct BgL_ctrz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_noncez00;
   obj_t BgL_noncezd2strzd2;
   long BgL_blockzd2counterzd2;
   obj_t BgL_noncezd2initz12zc0;
   obj_t BgL_noncezd2updatez12zc0;
} *BgL_ctrz00_bglt;

typedef struct BgL_cipherzd2modezd2statez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_encryptzf3zf3;
   long BgL_blockzd2siza7ez75;
   struct BgL_cipherzd2statezd2_bgl * BgL_cipherzd2statezd2;
   obj_t BgL_ivzd2actionzd2;
   obj_t BgL_ivz00;
   obj_t BgL_padzf2unpadzf2;
   obj_t BgL_loopzd2bufferzd2;
   long BgL_posz00;
} *BgL_cipherzd2modezd2statez00_bglt;


static obj_t BGl_z62lambda2494z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2495z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1350zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2499z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1356zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1362zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
extern obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1324z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1328z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1334za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1338za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1340z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1346z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1342za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1348za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1358z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32227ze32788ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, bool_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t, BgL_blockzd2cipherzd2_bglt);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz121313za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32303ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_z62dozd2cipherzd2blockz121315z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1360za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1354za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, long);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, BgL_cipherzd2modezd2statez00_bglt, long, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32520ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32408ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1326za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32328ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1330za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32450ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2307z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32086ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2308z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT bool_t rgc_buffer_eof_p(obj_t);
static obj_t BGl_z62lambda2312z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2313z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32435ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32338ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2317z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2318z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1352z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00();
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2404z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2324z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2406z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_IMPORT long bgl_rgc_blit_string(obj_t, char *, long, long);
BGL_EXPORTED_DECL BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32086ze32787ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32542ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2413z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1332z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2336z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2417z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2418z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2257z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1336z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2259z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62lambda2500z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32470ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2505z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2344z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long);
static BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2265z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2266z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2509z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2510z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2431z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2270z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2271z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2353z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2516z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2518z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2276z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2357z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2358z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2439z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2440z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2524z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2525z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2364z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2446z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2285z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2366z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2448z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2529z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2530z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2290z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2291z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2372z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2534z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2373z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32368ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2455z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2378z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2459z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1317zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2540z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2460z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2541z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2384z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2466z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2547z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2386z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2548z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2468z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2553z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2392z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2554z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2393z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2474z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2475z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2558z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2559z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62lambda2398z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long, long, long);
static BgL_ctrz00_bglt BGl_z62lambda2481z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32549ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2564z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2565z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2489z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1344zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2490z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32485ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32566ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1320za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32388ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1322za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 84 ] ;


extern obj_t BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3443z00, BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza700za7za7__c3444za7, opt_generic_entry, BGl__decryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3445z00, BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3446z00, BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3300z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2308za7623447z00, BGl_z62lambda2308z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_blockzd2cipherzd2descriptionzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762blockza7d2ciphe3448z00, BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3301z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2307za7623449z00, BGl_z62lambda2307z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3302z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2313za7623450z00, BGl_z62lambda2313z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3303z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2312za7623451z00, BGl_z62lambda2312z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3304z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2318za7623452z00, BGl_z62lambda2318z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3305z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2317za7623453z00, BGl_z62lambda2317z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3306z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3454za7, BGl_z62zc3z04anonymousza32303ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3231za700za7za7_3455za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/crypto/src/Llib/block_ciphers.scm", 73 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3307z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2301za7623456z00, BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3232z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3232za700za7za7_3457za7, "&default-nonce-init!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3308z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3458za7, BGl_z62zc3z04anonymousza32328ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3233za700za7za7_3459za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3309z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2326za7623460z00, BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3234z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3234za700za7za7_3461za7, "&default-nonce-update!", 22 );
DEFINE_STRING( BGl_string3235z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3235za700za7za7_3462za7, "encrypt-input!", 14 );
DEFINE_STRING( BGl_string3236z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3236za700za7za7_3463za7, "Internal Error. Unexpected IV-action", 36 );
DEFINE_STRING( BGl_string3237z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3237za700za7za7_3464za7, "IV", 2 );
DEFINE_STRING( BGl_string3238z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3238za700za7za7_3465za7, "Could not read IV", 17 );
DEFINE_STRING( BGl_string3239z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3239za700za7za7_3466za7, "decrypt-input!", 14 );
extern obj_t BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3310z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2324za7623467z00, BGl_z62lambda2324z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3311z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3468za7, BGl_z62zc3z04anonymousza32338ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3312z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2336za7623469z00, BGl_z62lambda2336z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3400z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3400za700za7za7_3470za7, "do-cipher-block!1315", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3313z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2334za7623471z00, BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3314z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2353za7623472z00, BGl_z62lambda2353z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3402z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3402za700za7za7_3473za7, "do-cipher-partial-bl1317", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3315z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2352za7623474z00, BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3240z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3240za700za7za7_3475za7, "decrypt", 7 );
DEFINE_STRING( BGl_string3403z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3403za700za7za7_3476za7, "en/decrypt-partial-block", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3316z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2358za7623477z00, BGl_z62lambda2358z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3241z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3241za700za7za7_3478za7, "Message size must be a multiple of block-size", 45 );
DEFINE_STRING( BGl_string3404z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3404za700za7za7_3479za7, "Internal Error: Could not find method for state", 47 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3317z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2357za7623480z00, BGl_z62lambda2357z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3242za700za7za7_3481za7, "encrypt", 7 );
DEFINE_STRING( BGl_string3405z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3405za700za7za7_3482za7, "en/decrypt-block", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3318z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3483za7, BGl_z62zc3z04anonymousza32348ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3243z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3243za700za7za7_3484za7, "Unknown cipher mode", 19 );
DEFINE_STRING( BGl_string3406z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3406za700za7za7_3485za7, "cipher-IV-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3319z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2346za7623486z00, BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3244z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3244za700za7za7_3487za7, "Invalid padding mode", 20 );
DEFINE_STRING( BGl_string3407z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3407za700za7za7_3488za7, "&do-cipher-IV-init!", 19 );
DEFINE_STRING( BGl_string3245z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3245za700za7za7_3489za7, "encryption", 10 );
DEFINE_STRING( BGl_string3408z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3408za700za7za7_3490za7, "Cipher-State", 12 );
DEFINE_STRING( BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3246za700za7za7_3491za7, "IV vector is too small", 22 );
DEFINE_STRING( BGl_string3409z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3409za700za7za7_3492za7, "&do-cipher-block!", 17 );
DEFINE_STRING( BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3247za700za7za7_3493za7, "Illegal keyword argument", 24 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2portza7d3494za7, BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STRING( BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3248za700za7za7_3495za7, "_encrypt", 8 );
DEFINE_STRING( BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3249za700za7za7_3496za7, "bint", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2mmapza73497z00, opt_generic_entry, BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3498za7, BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3401z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3499za7, BGl_z62dozd2cipherzd2partialzd2bl1317zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3320z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2344za7623500z00, BGl_z62lambda2344z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3321z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2373za7623501z00, BGl_z62lambda2373z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3322z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2372za7623502z00, BGl_z62lambda2372z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3410za700za7za7_3503za7, "&do-cipher-partial-block!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3323z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2378za7623504z00, BGl_z62lambda2378z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3324z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2377za7623505z00, BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3412z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3412za700za7za7_3506za7, "do-cipher-block!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3325z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3507za7, BGl_z62zc3z04anonymousza32368ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3250za700za7za7_3508za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3326z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2366za7623509z00, BGl_z62lambda2366z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3251z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3251za700za7za7_3510za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3327z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2364za7623511z00, BGl_z62lambda2364z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3252za700za7za7_3512za7, "wrong number of arguments: [3..9] expected, provided", 52 );
DEFINE_STRING( BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3415za700za7za7_3513za7, "do-cipher-IV-init!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3328z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2393za7623514z00, BGl_z62lambda2393z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3253za700za7za7_3515za7, "_encrypt-string", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3329z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2392za7623516z00, BGl_z62lambda2392z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3254z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3254za700za7za7_3517za7, "&encrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3255za700za7za7_3518za7, "_encrypt-mmap", 13 );
DEFINE_STRING( BGl_string3256z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3256za700za7za7_3519za7, "mmap", 4 );
DEFINE_STRING( BGl_string3257z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3257za700za7za7_3520za7, "&encrypt-fast-mmap", 18 );
DEFINE_STRING( BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3258za700za7za7_3521za7, "_encrypt-port", 13 );
DEFINE_STRING( BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3259za700za7za7_3522za7, "input-port", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3411z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3523za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1320za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3330z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2398za7623524z00, BGl_z62lambda2398z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3331z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2397za7623525z00, BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2fileza73526z00, opt_generic_entry, BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3413z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3527za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1322za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3332z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3528za7, BGl_z62zc3z04anonymousza32388ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3414z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3529za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1324z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3333z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2386za7623530z00, BGl_z62lambda2386z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3334z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2384za7623531z00, BGl_z62lambda2384z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3416z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3532za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1326za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3335z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2413za7623533z00, BGl_z62lambda2413z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3260z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3260za700za7za7_3534za7, "&encrypt-fast-port", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3417z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3535za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1328z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3336z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2412za7623536z00, BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3261za700za7za7_3537za7, "_encrypt-file", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3418z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3538za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1330za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3337z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2418za7623539z00, BGl_z62lambda2418z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3262z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3262za700za7za7_3540za7, "encrypt-file", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3419z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3541za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1332z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3338z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2417za7623542z00, BGl_z62lambda2417z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3263z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3263za700za7za7_3543za7, "Could not open file", 19 );
DEFINE_STRING( BGl_string3426z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3426za700za7za7_3544za7, "do-cipher-partial-block!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3339z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3545za7, BGl_z62zc3z04anonymousza32408ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3264z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3264za700za7za7_3546za7, "pair", 4 );
DEFINE_STRING( BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3265za700za7za7_3547za7, "_encrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3266z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3266za700za7za7_3548za7, "output-port", 11 );
DEFINE_STRING( BGl_string3267z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3267za700za7za7_3549za7, "wrong number of arguments: [4..10] expected, provided", 53 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3268za700za7za7_3550za7, "_decrypt", 8 );
DEFINE_STRING( BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3269za700za7za7_3551za7, "_decrypt-string", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3420z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3552za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1334za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3421z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3553za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1336z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3340z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2406za7623554z00, BGl_z62lambda2406z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3422z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3555za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1338za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3341z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2404za7623556z00, BGl_z62lambda2404z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3423z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3557za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1340z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3342z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3558za7, BGl_z62zc3z04anonymousza32425ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3424z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3559za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1342za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3343z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2423za7623560z00, BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3425z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3561za7, BGl_z62dozd2cipherzd2partialzd2bl1344zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3344z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2440za7623562z00, BGl_z62lambda2440z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3345z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2439za7623563z00, BGl_z62lambda2439z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3270z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3270za700za7za7_3564za7, "&decrypt-fast-string", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3427z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3565za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1346z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3346z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3566za7, BGl_z62zc3z04anonymousza32435ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3271za700za7za7_3567za7, "_decrypt-mmap", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3428z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3568za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1348za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3347z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2433za7623569z00, BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3272z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3272za700za7za7_3570za7, "&decrypt-fast-mmap", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3429z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3571za7, BGl_z62dozd2cipherzd2partialzd2bl1350zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3348z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2431za7623572z00, BGl_z62lambda2431z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3273za700za7za7_3573za7, "_decrypt-port", 13 );
DEFINE_STRING( BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3436za700za7za7_3574za7, "__crypto-block-ciphers", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3349z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2455za7623575z00, BGl_z62lambda2455z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3274z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3274za700za7za7_3576za7, "&decrypt-fast-port", 18 );
DEFINE_STRING( BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3437za700za7za7_3577za7, "unspecified _ Cipher-Mode-State pos loop-buffer pad/unpad IV symbol IV-action cipher-state bool encrypt? CTR nonce-update! nonce-init! block-counter nonce-str nonce OFB CFB-Decrypt CFB-Encrypt Stream-Cipher-State PCBC-Decrypt PCBC-Encrypt CBC-Decrypt CBC-Encrypt chain buffer ECB-Decrypt ECB-Encrypt Cipher-State obj param cipher __crypto-block-ciphers Block-Cipher key->decrypt-param key->encrypt-param decrypt! procedure encrypt! preferred-key-length long block-size bstring name decrypt-sendchars decrypt-file::bstring decrypt-port::bstring decrypt-mmap::bstring decrypt-string::bstring decrypt decrypt::bstring encrypt-sendchars encrypt-file::bstring encrypt-port::bstring encrypt-mmap::bstring encrypt-string::bstring encrypt :string->key :pad :nonce-update! :nonce-init! :mode :IV encrypt::bstring (:IV :mode :nonce-init! :nonce-update! :pad :string->key) zero pkcs7 iso-10126 ansi-x.923 bit none ctr ofb pcbc cbc cfb ecb read do-nothing done write init ", 960 );
DEFINE_STRING( BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3275za700za7za7_3578za7, "_decrypt-file", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3579z00, BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STRING( BGl_string3276z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3276za700za7za7_3580za7, "decrypt-file", 12 );
DEFINE_STRING( BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3277za700za7za7_3581za7, "_decrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3278z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3278za700za7za7_3582za7, "&register-cipher!", 17 );
DEFINE_STRING( BGl_string3279z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3279za700za7za7_3583za7, "Block-Cipher", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762writeza7d2portza73584za7, BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3430z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3585za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2O1352z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3586z00, BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3431z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3587za7, BGl_z62dozd2cipherzd2blockz12zd2OFB1354za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3350z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2454za7623588z00, BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3432z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3589za7, BGl_z62dozd2cipherzd2partialzd2bl1356zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3351z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2460za7623590z00, BGl_z62lambda2460z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3433z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3591za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1358z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3352z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2459za7623592z00, BGl_z62lambda2459z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3434z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3593za7, BGl_z62dozd2cipherzd2blockz12zd2CTR1360za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3353z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3594za7, BGl_z62zc3z04anonymousza32450ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3435z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3595za7, BGl_z62dozd2cipherzd2partialzd2bl1362zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3354z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2448za7623596z00, BGl_z62lambda2448z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3355z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2446za7623597z00, BGl_z62lambda2446z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3280z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3280za700za7za7_3598za7, "block-cipher-description", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3356z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2475za7623599z00, BGl_z62lambda2475z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3281z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3281za700za7za7_3600za7, "Could not find cipher", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3357z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2474za7623601z00, BGl_z62lambda2474z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3282z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3282za700za7za7_3602za7, "&block-cipher-description", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3358z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3603za7, BGl_z62zc3z04anonymousza32470ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3359z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2468za7623604z00, BGl_z62lambda2468z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3360z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2466za7623605z00, BGl_z62lambda2466z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3361z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2490za7623606z00, BGl_z62lambda2490z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3362z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2489za7623607z00, BGl_z62lambda2489z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3363z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2495za7623608z00, BGl_z62lambda2495z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3364z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2494za7623609z00, BGl_z62lambda2494z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3283z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2266za7623610z00, BGl_z62lambda2266z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3365z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2500za7623611z00, BGl_z62lambda2500z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3284z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2265za7623612z00, BGl_z62lambda2265z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3366z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2499za7623613z00, BGl_z62lambda2499z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3285z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2271za7623614z00, BGl_z62lambda2271z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3367z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2505za7623615z00, BGl_z62lambda2505z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3286z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2270za7623616z00, BGl_z62lambda2270z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3368z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2504za7623617z00, BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3287z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2276za7623618z00, BGl_z62lambda2276z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3369z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2510za7623619z00, BGl_z62lambda2510z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3288z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2275za7623620z00, BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3289z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2281za7623621z00, BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3370z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2509za7623622z00, BGl_z62lambda2509z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3371z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3623za7, BGl_z62zc3z04anonymousza32485ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3290z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2280za7623624z00, BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3372z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2483za7623625z00, BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3291z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2286za7623626z00, BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3373z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2481za7623627z00, BGl_z62lambda2481z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3292z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2285za7623628z00, BGl_z62lambda2285z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3374z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2525za7623629z00, BGl_z62lambda2525z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3293z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2291za7623630z00, BGl_z62lambda2291z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3375z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2524za7623631z00, BGl_z62lambda2524z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3294z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2290za7623632z00, BGl_z62lambda2290z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3376z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2530za7623633z00, BGl_z62lambda2530z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3295z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2296za7623634z00, BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3377z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2529za7623635z00, BGl_z62lambda2529z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3296z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2295za7623636z00, BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3378z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2535za7623637z00, BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3297z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3638za7, BGl_z62zc3z04anonymousza32261ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3379z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2534za7623639z00, BGl_z62lambda2534z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3298z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2259za7623640z00, BGl_z62lambda2259z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3299z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2257za7623641z00, BGl_z62lambda2257z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3380z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3642za7, BGl_z62zc3z04anonymousza32542ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3381z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2541za7623643z00, BGl_z62lambda2541z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2portza73644z00, opt_generic_entry, BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3382z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2540za7623645z00, BGl_z62lambda2540z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3383z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3646za7, BGl_z62zc3z04anonymousza32549ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3384z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2548za7623647z00, BGl_z62lambda2548z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3385z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2547za7623648z00, BGl_z62lambda2547z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3386z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2554za7623649z00, BGl_z62lambda2554z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3387z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2553za7623650z00, BGl_z62lambda2553z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3388z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2559za7623651z00, BGl_z62lambda2559z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3389z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2558za7623652z00, BGl_z62lambda2558z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3396z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3396za700za7za7_3653za7, "", 0 );
DEFINE_STRING( BGl_string3398z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3398za700za7za7_3654za7, "do-cipher-IV-init!1313", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3655z00, BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3390z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3656za7, BGl_z62zc3z04anonymousza32566ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3391z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2565za7623657z00, BGl_z62lambda2565z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3392z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2564za7623658z00, BGl_z62lambda2564z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3393z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3659za7, BGl_z62zc3z04anonymousza32520ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3394z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2518za7623660z00, BGl_z62lambda2518z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3395z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2516za7623661z00, BGl_z62lambda2516z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3397z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3662za7, BGl_z62dozd2cipherzd2IVzd2initz121313za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3399z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3663za7, BGl_z62dozd2cipherzd2blockz121315z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2sendc3664za7, opt_generic_entry, BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2sendc3665za7, opt_generic_entry, BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3666z00, BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2mmapza73667z00, opt_generic_entry, BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
BGL_IMPORT obj_t BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3668za7, BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2fileza73669z00, opt_generic_entry, BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_BGL_L_PROCEDURE(BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2mmapza7d3670za7, BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3671za7, BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2portza73672z00, opt_generic_entry, BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2strin3673za7, opt_generic_entry, BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2strin3674za7, opt_generic_entry, BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3675z00, BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza700za7za7__c3676za7, opt_generic_entry, BGl__encryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2string3677z00, BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2cipherz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762registerza7d2ci3678z00, BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_OFBz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CTRz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long BgL_checksumz00_6238, char * BgL_fromz00_6239)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-block-ciphers"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_cportz00_5580;
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_stringz00_5588;
BgL_stringz00_5588 = BGl_string3437z00zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_startz00_5589;
BgL_startz00_5589 = 
BINT(((long)0)); 
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_endz00_5590;
BgL_endz00_5590 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5588))); 
{ /* Llib/block_ciphers.scm 1 */

BgL_cportz00_5580 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5588, BgL_startz00_5589, BgL_endz00_5590); } } } } 
{ 
 long BgL_iz00_5581;
BgL_iz00_5581 = ((long)83); 
BgL_loopz00_5582:
if(
(BgL_iz00_5581==((long)-1)))
{ /* Llib/block_ciphers.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_arg3439z00_5584;
{ /* Llib/block_ciphers.scm 1 */

{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_locationz00_5586;
BgL_locationz00_5586 = 
BBOOL(((bool_t)0)); 
{ /* Llib/block_ciphers.scm 1 */

BgL_arg3439z00_5584 = 
BGl_readz00zz__readerz00(BgL_cportz00_5580, BgL_locationz00_5586); } } } 
{ /* Llib/block_ciphers.scm 1 */
 int BgL_tmpz00_6276;
BgL_tmpz00_6276 = 
(int)(BgL_iz00_5581); 
CNST_TABLE_SET(BgL_tmpz00_6276, BgL_arg3439z00_5584); } } 
{ /* Llib/block_ciphers.scm 1 */
 int BgL_auxz00_5587;
BgL_auxz00_5587 = 
(int)(
(BgL_iz00_5581-((long)1))); 
{ 
 long BgL_iz00_6281;
BgL_iz00_6281 = 
(long)(BgL_auxz00_5587); 
BgL_iz00_5581 = BgL_iz00_6281; 
goto BgL_loopz00_5582;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BNIL, BUNSPEC) ;} 

}



/* &read-string-at! */
obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4375, obj_t BgL_strz00_4376, long BgL_strzd2poszd2_4377, obj_t BgL_tozd2strzd2_4378, long BgL_tozd2poszd2_4379, long BgL_lenz00_4380)
{
{ /* Llib/block_ciphers.scm 142 */
{ /* Llib/block_ciphers.scm 143 */
 long BgL_tmpz00_6284;
{ /* Llib/block_ciphers.scm 143 */
 long BgL_strzd2lenzd2_5598;
BgL_strzd2lenzd2_5598 = 
STRING_LENGTH(
((obj_t)BgL_strz00_4376)); 
{ /* Llib/block_ciphers.scm 143 */

if(
(
(BgL_strzd2poszd2_4377+BgL_lenz00_4380)<=BgL_strzd2lenzd2_5598))
{ /* Llib/block_ciphers.scm 144 */
blit_string(
((obj_t)BgL_strz00_4376), BgL_strzd2poszd2_4377, BgL_tozd2strzd2_4378, BgL_tozd2poszd2_4379, BgL_lenz00_4380); 
BgL_tmpz00_6284 = BgL_lenz00_4380; }  else 
{ /* Llib/block_ciphers.scm 148 */
 long BgL_remainingzd2lenzd2_5601;
BgL_remainingzd2lenzd2_5601 = 
(BgL_strzd2lenzd2_5598-BgL_strzd2poszd2_4377); 
blit_string(
((obj_t)BgL_strz00_4376), BgL_strzd2poszd2_4377, BgL_tozd2strzd2_4378, BgL_tozd2poszd2_4379, BgL_remainingzd2lenzd2_5601); 
BgL_tmpz00_6284 = BgL_remainingzd2lenzd2_5601; } } } 
return 
BINT(BgL_tmpz00_6284);} } 

}



/* &read-mmap-at! */
obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4381, obj_t BgL_mmapz00_4382, long BgL_mmapzd2poszd2_4383, obj_t BgL_tozd2strzd2_4384, long BgL_tozd2poszd2_4385, long BgL_lenz00_4386)
{
{ /* Llib/block_ciphers.scm 151 */
{ /* Llib/block_ciphers.scm 152 */
 long BgL_tmpz00_6296;
{ 
 long BgL_lenz00_5603;
BgL_lenz00_5603 = BgL_lenz00_4386; 
BgL_readzd2mmapzd2atz12z12_5602:
{ /* Llib/block_ciphers.scm 152 */
 long BgL_mmapzd2lenzd2_5604;
{ /* Llib/block_ciphers.scm 152 */
 obj_t BgL_tmpz00_6297;
BgL_tmpz00_6297 = 
((obj_t)BgL_mmapz00_4382); 
BgL_mmapzd2lenzd2_5604 = 
BGL_MMAP_LENGTH(BgL_tmpz00_6297); } 
if(
(BgL_lenz00_5603==((long)0)))
{ /* Llib/block_ciphers.scm 154 */
BgL_tmpz00_6296 = ((long)0)
; }  else 
{ /* Llib/block_ciphers.scm 155 */
 bool_t BgL_test3683z00_6302;
{ /* Llib/block_ciphers.scm 155 */
 long BgL_n2z00_5605;
BgL_n2z00_5605 = 
(long)(BgL_mmapzd2lenzd2_5604); 
BgL_test3683z00_6302 = 
(
(BgL_mmapzd2poszd2_4383+BgL_lenz00_5603)>BgL_n2z00_5605); } 
if(BgL_test3683z00_6302)
{ /* Llib/block_ciphers.scm 156 */
 long BgL_arg1609z00_5606;
{ /* Llib/block_ciphers.scm 156 */
 long BgL_za71za7_5607;
BgL_za71za7_5607 = 
(long)(BgL_mmapzd2lenzd2_5604); 
BgL_arg1609z00_5606 = 
(BgL_za71za7_5607-BgL_mmapzd2poszd2_4383); } 
{ 
 long BgL_lenz00_6308;
BgL_lenz00_6308 = BgL_arg1609z00_5606; 
BgL_lenz00_5603 = BgL_lenz00_6308; 
goto BgL_readzd2mmapzd2atz12z12_5602;} }  else 
{ 
 long BgL_iz00_5609;
BgL_iz00_5609 = ((long)0); 
BgL_loopz00_5608:
if(
(BgL_iz00_5609==BgL_lenz00_5603))
{ /* Llib/block_ciphers.scm 159 */
BgL_tmpz00_6296 = BgL_lenz00_5603
; }  else 
{ /* Llib/block_ciphers.scm 159 */
{ /* Llib/block_ciphers.scm 162 */
 long BgL_arg1612z00_5610; unsigned char BgL_arg1622z00_5611;
BgL_arg1612z00_5610 = 
(BgL_tozd2poszd2_4385+BgL_iz00_5609); 
{ /* Llib/block_ciphers.scm 163 */
 long BgL_arg1623z00_5612;
BgL_arg1623z00_5612 = 
(BgL_mmapzd2poszd2_4383+BgL_iz00_5609); 
{ /* Llib/block_ciphers.scm 163 */
 unsigned char BgL_res2724z00_5613;
{ /* Llib/block_ciphers.scm 163 */
 long BgL_iz00_5614;
BgL_iz00_5614 = 
(long)(BgL_arg1623z00_5612); 
{ /* Llib/block_ciphers.scm 163 */
 unsigned char BgL_cz00_5615;
{ /* Llib/block_ciphers.scm 163 */
 obj_t BgL_tmpz00_6314;
BgL_tmpz00_6314 = 
((obj_t)BgL_mmapz00_4382); 
BgL_cz00_5615 = 
BGL_MMAP_REF(BgL_tmpz00_6314, BgL_iz00_5614); } 
{ /* Llib/block_ciphers.scm 163 */
 long BgL_arg1669z00_5616;
BgL_arg1669z00_5616 = 
(BgL_iz00_5614+((long)1)); 
{ /* Llib/block_ciphers.scm 163 */
 obj_t BgL_tmpz00_6318;
BgL_tmpz00_6318 = 
((obj_t)BgL_mmapz00_4382); 
BGL_MMAP_RP_SET(BgL_tmpz00_6318, BgL_arg1669z00_5616); } BUNSPEC; BgL_arg1669z00_5616; } 
BgL_res2724z00_5613 = BgL_cz00_5615; } } 
BgL_arg1622z00_5611 = BgL_res2724z00_5613; } } 
STRING_SET(BgL_tozd2strzd2_4384, BgL_arg1612z00_5610, BgL_arg1622z00_5611); } 
{ 
 long BgL_iz00_6322;
BgL_iz00_6322 = 
(BgL_iz00_5609+((long)1)); 
BgL_iz00_5609 = BgL_iz00_6322; 
goto BgL_loopz00_5608;} } } } } } 
return 
BINT(BgL_tmpz00_6296);} } 

}



/* &read-port-at! */
obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4387, obj_t BgL_pz00_4388, long BgL_pzd2poszd2_4389, obj_t BgL_tozd2strzd2_4390, long BgL_tozd2poszd2_4391, long BgL_lenz00_4392)
{
{ /* Llib/block_ciphers.scm 165 */
{ /* Llib/block_ciphers.scm 166 */
 obj_t BgL_nz00_5621;
{ /* Llib/block_ciphers.scm 166 */
 long BgL_nz00_5622;
BgL_nz00_5622 = 
bgl_rgc_blit_string(BgL_pz00_4388, 
BSTRING_TO_STRING(BgL_tozd2strzd2_4390), BgL_tozd2poszd2_4391, BgL_lenz00_4392); 
{ /* Llib/block_ciphers.scm 166 */
 bool_t BgL_test3685z00_6327;
if(
(BgL_nz00_5622==((long)0)))
{ /* Llib/block_ciphers.scm 166 */
BgL_test3685z00_6327 = 
rgc_buffer_eof_p(BgL_pz00_4388)
; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_test3685z00_6327 = ((bool_t)0)
; } 
if(BgL_test3685z00_6327)
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_5621 = BEOF; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_5621 = 
BINT(BgL_nz00_5622); } } } 
if(
EOF_OBJECTP(BgL_nz00_5621))
{ /* Llib/block_ciphers.scm 167 */
return 
BINT(((long)0));}  else 
{ /* Llib/block_ciphers.scm 167 */
return BgL_nz00_5621;} } } 

}



/* &write-port-at! */
obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4393, obj_t BgL_fromz00_4394, obj_t BgL_fromzd2poszd2_4395, obj_t BgL_pz00_4396, obj_t BgL_pzd2poszd2_4397, obj_t BgL_lenz00_4398)
{
{ /* Llib/block_ciphers.scm 171 */
{ /* Llib/block_ciphers.scm 173 */
 bool_t BgL_tmpz00_6335;
{ /* Llib/block_ciphers.scm 173 */
 long BgL_fromzd2poszd2_5623;
BgL_fromzd2poszd2_5623 = 
(long)CINT(BgL_fromzd2poszd2_4395); 
{ 
 long BgL_iz00_5626;
BgL_iz00_5626 = ((long)0); 
BgL_loopz00_5625:
if(
(BgL_iz00_5626==
(long)CINT(BgL_lenz00_4398)))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6335 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 173 */
{ /* Llib/block_ciphers.scm 174 */
 unsigned char BgL_arg1651z00_5627;
BgL_arg1651z00_5627 = 
STRING_REF(
((obj_t)BgL_fromz00_4394), 
(BgL_fromzd2poszd2_5623+BgL_iz00_5626)); 
{ /* Llib/block_ciphers.scm 174 */
 obj_t BgL_tmpz00_6343;
BgL_tmpz00_6343 = 
((obj_t)BgL_pz00_4396); 
bgl_display_char(BgL_arg1651z00_5627, BgL_tmpz00_6343); } } 
{ 
 long BgL_iz00_6346;
BgL_iz00_6346 = 
(BgL_iz00_5626+((long)1)); 
BgL_iz00_5626 = BgL_iz00_6346; 
goto BgL_loopz00_5625;} } } } 
return 
BBOOL(BgL_tmpz00_6335);} } 

}



/* &default-nonce-init! */
obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4399, obj_t BgL_strz00_4400, obj_t BgL_noncez00_4401)
{
{ /* Llib/block_ciphers.scm 189 */
{ /* Llib/block_ciphers.scm 190 */
 obj_t BgL_strz00_5628;
if(
STRINGP(BgL_strz00_4400))
{ /* Llib/block_ciphers.scm 190 */
BgL_strz00_5628 = BgL_strz00_4400; }  else 
{ 
 obj_t BgL_auxz00_6351;
BgL_auxz00_6351 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6773)), BGl_string3232z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4400); 
FAILURE(BgL_auxz00_6351,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 190 */
 long BgL_arg1677z00_5629;
{ /* Llib/block_ciphers.scm 190 */
 long BgL_az00_5630; long BgL_bz00_5631;
BgL_az00_5630 = 
STRING_LENGTH(BgL_strz00_5628); 
BgL_bz00_5631 = 
STRING_LENGTH(
((obj_t)BgL_noncez00_4401)); 
if(
(BgL_az00_5630<BgL_bz00_5631))
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1677z00_5629 = BgL_az00_5630; }  else 
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1677z00_5629 = BgL_bz00_5631; } } 
return 
blit_string(
((obj_t)BgL_noncez00_4401), ((long)0), BgL_strz00_5628, ((long)0), BgL_arg1677z00_5629);} } } 

}



/* &default-nonce-update! */
obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4402, obj_t BgL_strz00_4403, obj_t BgL_noncez00_4404, obj_t BgL_iz00_4405)
{
{ /* Llib/block_ciphers.scm 192 */
{ /* Llib/block_ciphers.scm 193 */
 obj_t BgL_strz00_5632;
if(
STRINGP(BgL_strz00_4403))
{ /* Llib/block_ciphers.scm 193 */
BgL_strz00_5632 = BgL_strz00_4403; }  else 
{ 
 obj_t BgL_auxz00_6364;
BgL_auxz00_6364 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6889)), BGl_string3234z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4403); 
FAILURE(BgL_auxz00_6364,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 193 */
 long BgL_g1163z00_5633;
BgL_g1163z00_5633 = 
(
STRING_LENGTH(BgL_strz00_5632)-((long)1)); 
{ 
 long BgL_iz00_5635;
BgL_iz00_5635 = BgL_g1163z00_5633; 
BgL_loopz00_5634:
if(
(BgL_iz00_5635>=((long)0)))
{ /* Llib/block_ciphers.scm 195 */
 long BgL_cz00_5636;
BgL_cz00_5636 = 
(
STRING_REF(BgL_strz00_5632, BgL_iz00_5635)); 
if(
(BgL_cz00_5636==((long)255)))
{ /* Llib/block_ciphers.scm 196 */
STRING_SET(BgL_strz00_5632, BgL_iz00_5635, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_6377;
BgL_iz00_6377 = 
(BgL_iz00_5635-((long)1)); 
BgL_iz00_5635 = BgL_iz00_6377; 
goto BgL_loopz00_5634;} }  else 
{ /* Llib/block_ciphers.scm 200 */
 unsigned char BgL_tmpz00_6379;
BgL_tmpz00_6379 = 
(
(BgL_cz00_5636+((long)1))); 
return 
STRING_SET(BgL_strz00_5632, BgL_iz00_5635, BgL_tmpz00_6379);} }  else 
{ /* Llib/block_ciphers.scm 194 */
return BFALSE;} } } } } 

}



/* create-ECB-state */
BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_enzf2decryptzf2_50, obj_t BgL_paramz00_51, long BgL_blockzd2siza7ez75_52, bool_t BgL_encryptzf3zf3_53)
{
{ /* Llib/block_ciphers.scm 223 */
if(BgL_encryptzf3zf3_53)
{ /* Llib/block_ciphers.scm 225 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1165z00_496;
{ /* Llib/block_ciphers.scm 228 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1164z00_497;
BgL_new1164z00_497 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 228 */
 long BgL_arg1701z00_498;
BgL_arg1701z00_498 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1164z00_497), BgL_arg1701z00_498); } 
{ /* Llib/block_ciphers.scm 228 */
 BgL_objectz00_bglt BgL_tmpz00_6388;
BgL_tmpz00_6388 = 
((BgL_objectz00_bglt)BgL_new1164z00_497); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6388, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1164z00_497); 
BgL_new1165z00_496 = BgL_new1164z00_497; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_496)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_496)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_496)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_496);}  else 
{ /* Llib/block_ciphers.scm 229 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1167z00_499;
{ /* Llib/block_ciphers.scm 232 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1166z00_500;
BgL_new1166z00_500 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 232 */
 long BgL_arg1704z00_501;
BgL_arg1704z00_501 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1166z00_500), BgL_arg1704z00_501); } 
{ /* Llib/block_ciphers.scm 232 */
 BgL_objectz00_bglt BgL_tmpz00_6403;
BgL_tmpz00_6403 = 
((BgL_objectz00_bglt)BgL_new1166z00_500); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6403, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1166z00_500); 
BgL_new1167z00_499 = BgL_new1166z00_500; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_499)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_499)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_499)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_499);} } 

}



/* create-CBC-encryption-state */
BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_64, obj_t BgL_paramz00_65, long BgL_blockzd2siza7ez75_66)
{
{ /* Llib/block_ciphers.scm 242 */
{ /* Llib/block_ciphers.scm 243 */
 BgL_cbczd2encryptzd2_bglt BgL_new1171z00_502;
{ /* Llib/block_ciphers.scm 246 */
 BgL_cbczd2encryptzd2_bglt BgL_new1170z00_507;
BgL_new1170z00_507 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 246 */
 long BgL_arg1706z00_508;
BgL_arg1706z00_508 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_507), BgL_arg1706z00_508); } 
{ /* Llib/block_ciphers.scm 246 */
 BgL_objectz00_bglt BgL_tmpz00_6418;
BgL_tmpz00_6418 = 
((BgL_objectz00_bglt)BgL_new1170z00_507); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6418, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1170z00_507); 
BgL_new1171z00_502 = BgL_new1170z00_507; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1171z00_502)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_66),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1171z00_502)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_64),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1171z00_502)))->BgL_paramz00)=((obj_t)BgL_paramz00_65),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6428;
{ /* Llib/block_ciphers.scm 247 */

BgL_auxz00_6428 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1171z00_502))->BgL_bufferz00)=((obj_t)BgL_auxz00_6428),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6431;
{ /* Llib/block_ciphers.scm 248 */

BgL_auxz00_6431 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1171z00_502))->BgL_chainz00)=((obj_t)BgL_auxz00_6431),BUNSPEC); } 
return BgL_new1171z00_502;} } 

}



/* create-CBC-decryption-state */
BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_74, obj_t BgL_paramz00_75, long BgL_blockzd2siza7ez75_76)
{
{ /* Llib/block_ciphers.scm 259 */
{ /* Llib/block_ciphers.scm 260 */
 BgL_cbczd2decryptzd2_bglt BgL_new1175z00_509;
{ /* Llib/block_ciphers.scm 263 */
 BgL_cbczd2decryptzd2_bglt BgL_new1174z00_514;
BgL_new1174z00_514 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 263 */
 long BgL_arg1707z00_515;
BgL_arg1707z00_515 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_514), BgL_arg1707z00_515); } 
{ /* Llib/block_ciphers.scm 263 */
 BgL_objectz00_bglt BgL_tmpz00_6438;
BgL_tmpz00_6438 = 
((BgL_objectz00_bglt)BgL_new1174z00_514); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6438, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1174z00_514); 
BgL_new1175z00_509 = BgL_new1174z00_514; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1175z00_509)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_76),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1175z00_509)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_74),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1175z00_509)))->BgL_paramz00)=((obj_t)BgL_paramz00_75),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6448;
{ /* Llib/block_ciphers.scm 264 */

BgL_auxz00_6448 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1175z00_509))->BgL_bufferz00)=((obj_t)BgL_auxz00_6448),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6451;
{ /* Llib/block_ciphers.scm 265 */

BgL_auxz00_6451 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1175z00_509))->BgL_chainz00)=((obj_t)BgL_auxz00_6451),BUNSPEC); } 
return BgL_new1175z00_509;} } 

}



/* create-PCBC-encryption-state */
BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_84, obj_t BgL_paramz00_85, long BgL_blockzd2siza7ez75_86)
{
{ /* Llib/block_ciphers.scm 280 */
{ /* Llib/block_ciphers.scm 281 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1179z00_516;
{ /* Llib/block_ciphers.scm 285 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1178z00_521;
BgL_new1178z00_521 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 285 */
 long BgL_arg1709z00_522;
BgL_arg1709z00_522 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1178z00_521), BgL_arg1709z00_522); } 
{ /* Llib/block_ciphers.scm 285 */
 BgL_objectz00_bglt BgL_tmpz00_6458;
BgL_tmpz00_6458 = 
((BgL_objectz00_bglt)BgL_new1178z00_521); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6458, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1178z00_521); 
BgL_new1179z00_516 = BgL_new1178z00_521; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1179z00_516)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_86),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1179z00_516)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_84),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1179z00_516)))->BgL_paramz00)=((obj_t)BgL_paramz00_85),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6468;
{ /* Llib/block_ciphers.scm 282 */

BgL_auxz00_6468 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1179z00_516))->BgL_bufferz00)=((obj_t)BgL_auxz00_6468),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6471;
{ /* Llib/block_ciphers.scm 286 */

BgL_auxz00_6471 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1179z00_516))->BgL_chainz00)=((obj_t)BgL_auxz00_6471),BUNSPEC); } 
return BgL_new1179z00_516;} } 

}



/* create-PCBC-decryption-state */
BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_94, obj_t BgL_paramz00_95, long BgL_blockzd2siza7ez75_96)
{
{ /* Llib/block_ciphers.scm 298 */
{ /* Llib/block_ciphers.scm 299 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1183z00_523;
{ /* Llib/block_ciphers.scm 303 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1182z00_528;
BgL_new1182z00_528 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 303 */
 long BgL_arg1710z00_529;
BgL_arg1710z00_529 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_528), BgL_arg1710z00_529); } 
{ /* Llib/block_ciphers.scm 303 */
 BgL_objectz00_bglt BgL_tmpz00_6478;
BgL_tmpz00_6478 = 
((BgL_objectz00_bglt)BgL_new1182z00_528); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6478, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1182z00_528); 
BgL_new1183z00_523 = BgL_new1182z00_528; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1183z00_523)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_96),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1183z00_523)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_94),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1183z00_523)))->BgL_paramz00)=((obj_t)BgL_paramz00_95),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6488;
{ /* Llib/block_ciphers.scm 300 */

BgL_auxz00_6488 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1183z00_523))->BgL_bufferz00)=((obj_t)BgL_auxz00_6488),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6491;
{ /* Llib/block_ciphers.scm 304 */

BgL_auxz00_6491 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1183z00_523))->BgL_chainz00)=((obj_t)BgL_auxz00_6491),BUNSPEC); } 
return BgL_new1183z00_523;} } 

}



/* create-CFB-encryption-state */
BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_104, obj_t BgL_paramz00_105, long BgL_blockzd2siza7ez75_106)
{
{ /* Llib/block_ciphers.scm 318 */
{ /* Llib/block_ciphers.scm 319 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1187z00_530;
{ /* Llib/block_ciphers.scm 322 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1186z00_533;
BgL_new1186z00_533 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 322 */
 long BgL_arg1712z00_534;
BgL_arg1712z00_534 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1186z00_533), BgL_arg1712z00_534); } 
{ /* Llib/block_ciphers.scm 322 */
 BgL_objectz00_bglt BgL_tmpz00_6498;
BgL_tmpz00_6498 = 
((BgL_objectz00_bglt)BgL_new1186z00_533); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6498, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1186z00_533); 
BgL_new1187z00_530 = BgL_new1186z00_533; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_530)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_106),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_530)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_104),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_530)))->BgL_paramz00)=((obj_t)BgL_paramz00_105),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6508;
{ /* Llib/block_ciphers.scm 323 */

BgL_auxz00_6508 = 
make_string(BgL_blockzd2siza7ez75_106, ((unsigned char)' ')); } 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1187z00_530))->BgL_chainz00)=((obj_t)BgL_auxz00_6508),BUNSPEC); } 
return BgL_new1187z00_530;} } 

}



/* create-CFB-decryption-state */
BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_121, obj_t BgL_paramz00_122, long BgL_blockzd2siza7ez75_123)
{
{ /* Llib/block_ciphers.scm 341 */
{ /* Llib/block_ciphers.scm 342 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1192z00_535;
{ /* Llib/block_ciphers.scm 346 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1191z00_540;
BgL_new1191z00_540 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 346 */
 long BgL_arg1725z00_541;
BgL_arg1725z00_541 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_540), BgL_arg1725z00_541); } 
{ /* Llib/block_ciphers.scm 346 */
 BgL_objectz00_bglt BgL_tmpz00_6515;
BgL_tmpz00_6515 = 
((BgL_objectz00_bglt)BgL_new1191z00_540); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6515, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1191z00_540); 
BgL_new1192z00_535 = BgL_new1191z00_540; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_535)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_123),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_535)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_121),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_535)))->BgL_paramz00)=((obj_t)BgL_paramz00_122),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6525;
{ /* Llib/block_ciphers.scm 343 */

BgL_auxz00_6525 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1192z00_535))->BgL_bufferz00)=((obj_t)BgL_auxz00_6525),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6528;
{ /* Llib/block_ciphers.scm 347 */

BgL_auxz00_6528 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1192z00_535))->BgL_chainz00)=((obj_t)BgL_auxz00_6528),BUNSPEC); } 
return BgL_new1192z00_535;} } 

}



/* create-OFB-state */
BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_138, obj_t BgL_paramz00_139, long BgL_blockzd2siza7ez75_140)
{
{ /* Llib/block_ciphers.scm 369 */
{ /* Llib/block_ciphers.scm 370 */
 BgL_ofbz00_bglt BgL_new1197z00_542;
{ /* Llib/block_ciphers.scm 373 */
 BgL_ofbz00_bglt BgL_new1196z00_545;
BgL_new1196z00_545 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 373 */
 long BgL_arg1726z00_546;
BgL_arg1726z00_546 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_545), BgL_arg1726z00_546); } 
{ /* Llib/block_ciphers.scm 373 */
 BgL_objectz00_bglt BgL_tmpz00_6535;
BgL_tmpz00_6535 = 
((BgL_objectz00_bglt)BgL_new1196z00_545); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6535, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1196z00_545); 
BgL_new1197z00_542 = BgL_new1196z00_545; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_542)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_140),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_542)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_138),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_542)))->BgL_paramz00)=((obj_t)BgL_paramz00_139),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6545;
{ /* Llib/block_ciphers.scm 374 */

BgL_auxz00_6545 = 
make_string(BgL_blockzd2siza7ez75_140, ((unsigned char)' ')); } 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1197z00_542))->BgL_chainz00)=((obj_t)BgL_auxz00_6545),BUNSPEC); } 
return BgL_new1197z00_542;} } 

}



/* create-CTR-state */
BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_155, obj_t BgL_paramz00_156, obj_t BgL_noncezd2initz12zc0_157, obj_t BgL_noncezd2updatez12zc0_158, long BgL_blockzd2siza7ez75_159)
{
{ /* Llib/block_ciphers.scm 394 */
{ /* Llib/block_ciphers.scm 397 */
 BgL_ctrz00_bglt BgL_new1202z00_547;
{ /* Llib/block_ciphers.scm 405 */
 BgL_ctrz00_bglt BgL_new1201z00_550;
BgL_new1201z00_550 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 405 */
 long BgL_arg1727z00_551;
BgL_arg1727z00_551 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_550), BgL_arg1727z00_551); } 
{ /* Llib/block_ciphers.scm 405 */
 BgL_objectz00_bglt BgL_tmpz00_6552;
BgL_tmpz00_6552 = 
((BgL_objectz00_bglt)BgL_new1201z00_550); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6552, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1201z00_550); 
BgL_new1202z00_547 = BgL_new1201z00_550; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1202z00_547)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_159),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1202z00_547)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_155),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1202z00_547)))->BgL_paramz00)=((obj_t)BgL_paramz00_156),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_547))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6563;
{ /* Llib/block_ciphers.scm 401 */

BgL_auxz00_6563 = 
make_string(BgL_blockzd2siza7ez75_159, ((unsigned char)' ')); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_547))->BgL_noncezd2strzd2)=((obj_t)BgL_auxz00_6563),BUNSPEC); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_547))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_547))->BgL_noncezd2initz12zc0)=((obj_t)BgL_noncezd2initz12zc0_157),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_547))->BgL_noncezd2updatez12zc0)=((obj_t)BgL_noncezd2updatez12zc0_158),BUNSPEC); 
return BgL_new1202z00_547;} } 

}



/* encrypt-input! */
long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_174, obj_t BgL_fromz00_175, long BgL_fromzd2poszd2_176, obj_t BgL_readzd2atz12zc0_177, obj_t BgL_toz00_178, long BgL_tozd2poszd2_179, obj_t BgL_writezd2atz12zc0_180)
{
{ /* Llib/block_ciphers.scm 433 */
{ /* Llib/block_ciphers.scm 439 */
 obj_t BgL_casezd2valuezd2_553;
BgL_casezd2valuezd2_553 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)1))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); 
{ /* Llib/block_ciphers.scm 443 */
 obj_t BgL_arg1740z00_560; long BgL_arg1741z00_561;
BgL_arg1740z00_560 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00); 
BgL_arg1741z00_561 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_arg1740z00_560, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_tozd2poszd2_179), 
BINT(BgL_arg1741z00_561), BEOA); } 
BgL_tozd2poszd2_179 = 
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 439 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 439 */
BGl_errorz00zz__errorz00(BGl_string3235z00zz__cryptozd2blockzd2ciphersz00, BGl_string3236z00zz__cryptozd2blockzd2ciphersz00, 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2)); } } } } 
{ /* Llib/block_ciphers.scm 450 */
 obj_t BgL_bufferz00_565; obj_t BgL_padz00_566;
BgL_bufferz00_565 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_loopzd2bufferzd2); 
BgL_padz00_566 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_padzf2unpadzf2); 
{ 
 long BgL_iz00_568;
BgL_iz00_568 = ((long)0); 
BgL_zc3z04anonymousza31745ze3z87_569:
{ /* Llib/block_ciphers.scm 453 */
 obj_t BgL_nbzd2copiedzd2_570;
{ /* Llib/block_ciphers.scm 453 */
 long BgL_arg1822z00_595; long BgL_arg1823z00_596;
BgL_arg1822z00_595 = 
(BgL_fromzd2poszd2_176+BgL_iz00_568); 
BgL_arg1823z00_596 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_570 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_177)(BgL_readzd2atz12zc0_177, BgL_fromz00_175, BgL_arg1822z00_595, BgL_bufferz00_565, ((long)0), BgL_arg1823z00_596); } 
{ /* Llib/block_ciphers.scm 457 */
 bool_t BgL_test3698z00_6615;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 457 */
if(
CBOOL(BgL_padz00_566))
{ /* Llib/block_ciphers.scm 457 */
BgL_test3698z00_6615 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test3698z00_6615 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test3698z00_6615 = ((bool_t)0)
; } 
if(BgL_test3698z00_6615)
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)==((long)0)))
{ /* Llib/block_ciphers.scm 458 */
return 
(BgL_iz00_568+BgL_tozd2poszd2_179);}  else 
{ /* Llib/block_ciphers.scm 458 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_570)); 
{ /* Llib/block_ciphers.scm 464 */
 long BgL_arg1756z00_577;
BgL_arg1756z00_577 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1756z00_577), BgL_nbzd2copiedzd2_570, BEOA); } 
return 
(BgL_iz00_568+
(BgL_tozd2poszd2_179+
(long)CINT(BgL_nbzd2copiedzd2_570)));} }  else 
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 466 */
if(
CBOOL(
PROCEDURE_ENTRY(BgL_padz00_566)(BgL_padz00_566, BgL_bufferz00_565, BgL_nbzd2copiedzd2_570, BEOA)))
{ /* Llib/block_ciphers.scm 467 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0)); 
{ /* Llib/block_ciphers.scm 470 */
 long BgL_arg1777z00_583; long BgL_arg1789z00_584;
BgL_arg1777z00_583 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
BgL_arg1789z00_584 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1777z00_583), 
BINT(BgL_arg1789z00_584), BEOA); } 
return 
(BgL_iz00_568+
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)));}  else 
{ /* Llib/block_ciphers.scm 467 */
return 
(BgL_iz00_568+BgL_tozd2poszd2_179);} }  else 
{ /* Llib/block_ciphers.scm 466 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0)); 
{ /* Llib/block_ciphers.scm 475 */
 long BgL_arg1808z00_588; long BgL_arg1809z00_589;
BgL_arg1808z00_588 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
BgL_arg1809z00_589 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1808z00_588), 
BINT(BgL_arg1809z00_589), BEOA); } 
{ 
 long BgL_iz00_6688;
BgL_iz00_6688 = 
(BgL_iz00_568+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); 
BgL_iz00_568 = BgL_iz00_6688; 
goto BgL_zc3z04anonymousza31745ze3z87_569;} } } } } } } } 

}



/* decrypt-input! */
long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_181, obj_t BgL_fromz00_182, long BgL_fromzd2poszd2_183, obj_t BgL_readzd2atz12zc0_184, obj_t BgL_toz00_185, long BgL_tozd2poszd2_186, obj_t BgL_writezd2atz12zc0_187)
{
{ /* Llib/block_ciphers.scm 479 */
{ /* Llib/block_ciphers.scm 485 */
 obj_t BgL_casezd2valuezd2_600;
BgL_casezd2valuezd2_600 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 485 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)4))))
{ /* Llib/block_ciphers.scm 488 */
 obj_t BgL_nbzd2readzd2_605;
{ /* Llib/block_ciphers.scm 488 */
 obj_t BgL_arg1834z00_612; long BgL_arg1835z00_613;
BgL_arg1834z00_612 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_arg1835z00_613 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2readzd2_605 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184)(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_fromzd2poszd2_183, BgL_arg1834z00_612, ((long)0), BgL_arg1835z00_613); } 
if(
(
(long)CINT(BgL_nbzd2readzd2_605)==
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 489 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 489 */
BGl_errorz00zz__errorz00(BGl_string3237z00zz__cryptozd2blockzd2ciphersz00, BGl_string3238z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2readzd2_605); } 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2)); 
BgL_fromzd2poszd2_183 = 
(BgL_fromzd2poszd2_183+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 485 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 485 */
BGl_errorz00zz__errorz00(BGl_string3239z00zz__cryptozd2blockzd2ciphersz00, BGl_string3236z00zz__cryptozd2blockzd2ciphersz00, 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2)); } } } } 
{ /* Llib/block_ciphers.scm 504 */
 obj_t BgL_bufferz00_616; obj_t BgL_unpadz00_617; obj_t BgL_lastzd2decryptedzd2_618;
BgL_bufferz00_616 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_unpadz00_617 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_padzf2unpadzf2); 
{ /* Llib/block_ciphers.scm 507 */
 long BgL_arg1871z00_657;
BgL_arg1871z00_657 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 507 */

BgL_lastzd2decryptedzd2_618 = 
make_string(BgL_arg1871z00_657, ((unsigned char)' ')); } } 
{ 
 long BgL_iz00_620;
{ /* Llib/block_ciphers.scm 508 */
 obj_t BgL_tmpz00_6731;
BgL_iz00_620 = ((long)0); 
BgL_zc3z04anonymousza31838ze3z87_621:
{ /* Llib/block_ciphers.scm 509 */
 obj_t BgL_nbzd2copiedzd2_622;
{ /* Llib/block_ciphers.scm 509 */
 long BgL_arg1869z00_654; long BgL_arg1870z00_655;
BgL_arg1869z00_654 = 
(BgL_fromzd2poszd2_183+BgL_iz00_620); 
BgL_arg1870z00_655 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_622 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184)(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_arg1869z00_654, BgL_bufferz00_616, ((long)0), BgL_arg1870z00_655); } 
{ /* Llib/block_ciphers.scm 513 */
 bool_t BgL_test3708z00_6742;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 513 */
if(
CBOOL(BgL_unpadz00_617))
{ /* Llib/block_ciphers.scm 513 */
BgL_test3708z00_6742 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test3708z00_6742 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test3708z00_6742 = ((bool_t)0)
; } 
if(BgL_test3708z00_6742)
{ /* Llib/block_ciphers.scm 513 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_618, 
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 515 */
BgL_tmpz00_6731 = 
BINT(
(BgL_iz00_620+BgL_tozd2poszd2_186))
; }  else 
{ /* Llib/block_ciphers.scm 515 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_616, ((long)0), BgL_bufferz00_616, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_622)); 
{ /* Llib/block_ciphers.scm 521 */
 long BgL_arg1847z00_631;
BgL_arg1847z00_631 = 
(BgL_tozd2poszd2_186+BgL_iz00_620); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187)(BgL_writezd2atz12zc0_187, BgL_bufferz00_616, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1847z00_631), BgL_nbzd2copiedzd2_622, BEOA); } 
BgL_tmpz00_6731 = 
BINT(
(BgL_iz00_620+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_nbzd2copiedzd2_622)))); } }  else 
{ /* Llib/block_ciphers.scm 513 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 525 */
 bool_t BgL_test3713z00_6779;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 525 */
BgL_test3713z00_6779 = 
(BgL_iz00_620==((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 525 */
BgL_test3713z00_6779 = ((bool_t)0)
; } 
if(BgL_test3713z00_6779)
{ /* Llib/block_ciphers.scm 525 */
BgL_tmpz00_6731 = 
BINT(BgL_tozd2poszd2_186)
; }  else 
{ /* Llib/block_ciphers.scm 525 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 528 */
 obj_t BgL_plainzd2charszd2_638;
BgL_plainzd2charszd2_638 = 
PROCEDURE_ENTRY(BgL_unpadz00_617)(BgL_unpadz00_617, BgL_lastzd2decryptedzd2_618, BEOA); 
{ /* Llib/block_ciphers.scm 530 */
 long BgL_arg1854z00_639;
BgL_arg1854z00_639 = 
(BgL_tozd2poszd2_186+
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187)(BgL_writezd2atz12zc0_187, BgL_lastzd2decryptedzd2_618, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1854z00_639), BgL_plainzd2charszd2_638, BEOA); } 
BgL_tmpz00_6731 = 
BINT(
(
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_plainzd2charszd2_638)))); }  else 
{ /* Llib/block_ciphers.scm 527 */
BgL_tmpz00_6731 = 
BGl_errorz00zz__errorz00(BGl_string3240z00zz__cryptozd2blockzd2ciphersz00, BGl_string3241z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2copiedzd2_622)
; } } }  else 
{ /* Llib/block_ciphers.scm 523 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_618, 
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_616, ((long)0), BgL_lastzd2decryptedzd2_618, ((long)0)); 
{ 
 long BgL_iz00_6817;
BgL_iz00_6817 = 
(BgL_iz00_620+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); 
BgL_iz00_620 = BgL_iz00_6817; 
goto BgL_zc3z04anonymousza31838ze3z87_621;} } } } } 
return 
(long)CINT(BgL_tmpz00_6731);} } } } 

}



/* write-last-decrypted!~0 */
obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_toz00_5129, obj_t BgL_writezd2atz12zc0_5128, BgL_cipherzd2modezd2statez00_bglt BgL_i1207z00_5127, long BgL_tozd2poszd2_5126, obj_t BgL_lastzd2decryptedzd2_660, long BgL_iz00_661)
{
{ /* Llib/block_ciphers.scm 502 */
if(
(BgL_iz00_661<((long)0)))
{ /* Llib/block_ciphers.scm 501 */
return BFALSE;}  else 
{ /* Llib/block_ciphers.scm 502 */
 long BgL_arg1874z00_664; long BgL_arg1875z00_665;
BgL_arg1874z00_664 = 
(BgL_tozd2poszd2_5126+BgL_iz00_661); 
BgL_arg1875z00_665 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_i1207z00_5127))->BgL_blockzd2siza7ez75); 
return 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_5128)(BgL_writezd2atz12zc0_5128, BgL_lastzd2decryptedzd2_660, 
BINT(((long)0)), BgL_toz00_5129, 
BINT(BgL_arg1874z00_664), 
BINT(BgL_arg1875z00_665), BEOA);} } 

}



/* create-encryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_188, obj_t BgL_passwordz00_189, obj_t BgL_ivz00_190, obj_t BgL_modez00_191, obj_t BgL_padz00_192, obj_t BgL_noncezd2initz12zc0_193, obj_t BgL_noncezd2updatez12zc0_194, obj_t BgL_stringzd2ze3keyz31_195)
{
{ /* Llib/block_ciphers.scm 594 */
{ /* Llib/block_ciphers.scm 597 */
 BgL_blockzd2cipherzd2_bglt BgL_i1208z00_667;
BgL_i1208z00_667 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_188); 
{ 
 obj_t BgL_modez00_719; obj_t BgL_paramz00_720; long BgL_bsz00_721;
{ /* Llib/block_ciphers.scm 615 */
 obj_t BgL_keyz00_669;
if(
CBOOL(BgL_stringzd2ze3keyz31_195))
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_669 = 
PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_195)(BgL_stringzd2ze3keyz31_195, BgL_passwordz00_189, BEOA); }  else 
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_669 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_189, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 615 */
 obj_t BgL_padzd2proczd2_670;
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL_test3718z00_6845;
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL__ortest_1211z00_716;
BgL__ortest_1211z00_716 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1211z00_716)
{ /* Llib/block_ciphers.scm 619 */
BgL_test3718z00_6845 = BgL__ortest_1211z00_716
; }  else 
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL__ortest_1212z00_717;
BgL__ortest_1212z00_717 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1212z00_717)
{ /* Llib/block_ciphers.scm 619 */
BgL_test3718z00_6845 = BgL__ortest_1212z00_717
; }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_test3718z00_6845 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)8)))
; } } } 
if(BgL_test3718z00_6845)
{ /* Llib/block_ciphers.scm 619 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)13))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)15))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
PROCEDUREP(BgL_padz00_192))
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_670 = BgL_padz00_192; }  else 
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_670 = 
BGl_errorz00zz__errorz00(BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, BGl_string3244z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_192); } } } } } } } }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_padzd2proczd2_670 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 619 */
 obj_t BgL_encryptionzd2ivzd2_671;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 634 */
BgL_encryptionzd2ivzd2_671 = BgL_ivz00_190; }  else 
{ /* Llib/block_ciphers.scm 634 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_671 = BFALSE; }  else 
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_671 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_blockzd2siza7ez75), BFALSE); } } 
{ /* Llib/block_ciphers.scm 634 */
 obj_t BgL_paramz00_672;
{ /* Llib/block_ciphers.scm 639 */
 obj_t BgL_fun1894z00_698;
BgL_fun1894z00_698 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_672 = 
PROCEDURE_ENTRY(BgL_fun1894z00_698)(BgL_fun1894z00_698, BgL_keyz00_669, BEOA); } 
{ /* Llib/block_ciphers.scm 639 */
 obj_t BgL_statez00_673;
BgL_modez00_719 = BgL_modez00_191; 
BgL_paramz00_720 = BgL_paramz00_672; 
BgL_bsz00_721 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 602 */
 obj_t BgL_arg1910z00_725;
BgL_arg1910z00_725 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1910z00_725, BgL_paramz00_720, BgL_bsz00_721, ((bool_t)1))); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)6))))
{ /* Llib/block_ciphers.scm 603 */
 obj_t BgL_arg1912z00_727;
BgL_arg1912z00_727 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1912z00_727, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)7))))
{ /* Llib/block_ciphers.scm 604 */
 obj_t BgL_arg1914z00_729;
BgL_arg1914z00_729 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1914z00_729, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)8))))
{ /* Llib/block_ciphers.scm 605 */
 obj_t BgL_arg1916z00_731;
BgL_arg1916z00_731 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1916z00_731, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 606 */
 obj_t BgL_arg1918z00_733;
BgL_arg1918z00_733 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1918z00_733, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 607 */
 obj_t BgL_arg1920z00_735; obj_t BgL_arg1921z00_736; obj_t BgL_arg1922z00_737;
BgL_arg1920z00_735 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_193))
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1921z00_736 = BgL_noncezd2initz12zc0_193; }  else 
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1921z00_736 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_194))
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1922z00_737 = BgL_noncezd2updatez12zc0_194; }  else 
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1922z00_737 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1920z00_735, BgL_paramz00_720, BgL_arg1921z00_736, BgL_arg1922z00_737, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
BgL_statez00_673 = 
BGl_errorz00zz__errorz00(BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, BGl_string3243z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_719); } } } } } } 
{ /* Llib/block_ciphers.scm 640 */

if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 642 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 642 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 643 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 645 */
 bool_t BgL_test3740z00_6937;
if(
STRINGP(BgL_encryptionzd2ivzd2_671))
{ /* Llib/block_ciphers.scm 645 */
if(
(
STRING_LENGTH(BgL_encryptionzd2ivzd2_671)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 646 */
BgL_test3740z00_6937 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 646 */
BgL_test3740z00_6937 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 645 */
BgL_test3740z00_6937 = ((bool_t)1)
; } 
if(BgL_test3740z00_6937)
{ /* Llib/block_ciphers.scm 649 */
 obj_t BgL_arg1885z00_683;
if(
STRINGP(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1885z00_683 = 
BINT(
STRING_LENGTH(BgL_ivz00_190)); }  else 
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1885z00_683 = BgL_ivz00_190; } 
BGl_errorz00zz__errorz00(BGl_string3245z00zz__cryptozd2blockzd2ciphersz00, BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1885z00_683); }  else 
{ /* Llib/block_ciphers.scm 645 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 652 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1215z00_689;
{ /* Llib/block_ciphers.scm 653 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1214z00_695;
BgL_new1214z00_695 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 653 */
 long BgL_arg1892z00_696;
BgL_arg1892z00_696 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_695), BgL_arg1892z00_696); } 
{ /* Llib/block_ciphers.scm 653 */
 BgL_objectz00_bglt BgL_tmpz00_6953;
BgL_tmpz00_6953 = 
((BgL_objectz00_bglt)BgL_new1214z00_695); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6953, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1214z00_695); 
BgL_new1215z00_689 = BgL_new1214z00_695; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_encryptzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_673)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6962;
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 657 */
BgL_auxz00_6962 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
 bool_t BgL_test3745z00_6967;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 658 */
BgL_test3745z00_6967 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_test3745z00_6967 = 
CBOOL(BgL_encryptionzd2ivzd2_671)
; } 
if(BgL_test3745z00_6967)
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_6962 = 
CNST_TABLE_REF(((long)1))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_6962 = 
CNST_TABLE_REF(((long)0))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_6962),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_ivz00)=((obj_t)BgL_encryptionzd2ivzd2_671),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzd2proczd2_670),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6976;
{ /* Llib/block_ciphers.scm 662 */
 long BgL_arg1891z00_692;
BgL_arg1891z00_692 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_667))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 662 */

BgL_auxz00_6976 = 
make_string(BgL_arg1891z00_692, ((unsigned char)' ')); } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_6976),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1215z00_689;} } } } } } } } } } 

}



/* create-decryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_196, obj_t BgL_passwordz00_197, obj_t BgL_ivz00_198, obj_t BgL_modez00_199, obj_t BgL_padz00_200, obj_t BgL_noncezd2initz12zc0_201, obj_t BgL_noncezd2updatez12zc0_202, obj_t BgL_stringzd2ze3keyz31_203)
{
{ /* Llib/block_ciphers.scm 664 */
{ /* Llib/block_ciphers.scm 667 */
 BgL_blockzd2cipherzd2_bglt BgL_i1216z00_741;
BgL_i1216z00_741 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_196); 
{ 
 obj_t BgL_modez00_795; obj_t BgL_paramz00_796; long BgL_bsz00_797;
{ /* Llib/block_ciphers.scm 686 */
 obj_t BgL_keyz00_743;
if(
CBOOL(BgL_stringzd2ze3keyz31_203))
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_203)(BgL_stringzd2ze3keyz31_203, BgL_passwordz00_197, BEOA); }  else 
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_197, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 686 */
 obj_t BgL_unpadzd2proczd2_744;
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL_test3748z00_6990;
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL__ortest_1219z00_792;
BgL__ortest_1219z00_792 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1219z00_792)
{ /* Llib/block_ciphers.scm 690 */
BgL_test3748z00_6990 = BgL__ortest_1219z00_792
; }  else 
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL__ortest_1220z00_793;
BgL__ortest_1220z00_793 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1220z00_793)
{ /* Llib/block_ciphers.scm 690 */
BgL_test3748z00_6990 = BgL__ortest_1220z00_793
; }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_test3748z00_6990 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)8)))
; } } } 
if(BgL_test3748z00_6990)
{ /* Llib/block_ciphers.scm 690 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL_test3753z00_7005;
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL__ortest_1221z00_790;
BgL__ortest_1221z00_790 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)13))); 
if(BgL__ortest_1221z00_790)
{ /* Llib/block_ciphers.scm 692 */
BgL_test3753z00_7005 = BgL__ortest_1221z00_790
; }  else 
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL__ortest_1222z00_791;
BgL__ortest_1222z00_791 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)14))); 
if(BgL__ortest_1222z00_791)
{ /* Llib/block_ciphers.scm 692 */
BgL_test3753z00_7005 = BgL__ortest_1222z00_791
; }  else 
{ /* Llib/block_ciphers.scm 692 */
BgL_test3753z00_7005 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)15)))
; } } } 
if(BgL_test3753z00_7005)
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
PROCEDUREP(BgL_padz00_200))
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = BgL_padz00_200; }  else 
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = 
BGl_errorz00zz__errorz00(BGl_string3240z00zz__cryptozd2blockzd2ciphersz00, BGl_string3244z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_200); } } } } } }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_unpadzd2proczd2_744 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 690 */
 obj_t BgL_paramz00_745;
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL_test3758z00_7020;
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL__ortest_1223z00_776;
BgL__ortest_1223z00_776 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1223z00_776)
{ /* Llib/block_ciphers.scm 704 */
BgL_test3758z00_7020 = BgL__ortest_1223z00_776
; }  else 
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL__ortest_1224z00_777;
BgL__ortest_1224z00_777 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1224z00_777)
{ /* Llib/block_ciphers.scm 704 */
BgL_test3758z00_7020 = BgL__ortest_1224z00_777
; }  else 
{ /* Llib/block_ciphers.scm 704 */
BgL_test3758z00_7020 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)8)))
; } } } 
if(BgL_test3758z00_7020)
{ /* Llib/block_ciphers.scm 705 */
 obj_t BgL_fun1941z00_774;
BgL_fun1941z00_774 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_keyzd2ze3decryptzd2paramze3); 
BgL_paramz00_745 = 
PROCEDURE_ENTRY(BgL_fun1941z00_774)(BgL_fun1941z00_774, BgL_keyz00_743, BEOA); }  else 
{ /* Llib/block_ciphers.scm 706 */
 obj_t BgL_fun1942z00_775;
BgL_fun1942z00_775 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_745 = 
PROCEDURE_ENTRY(BgL_fun1942z00_775)(BgL_fun1942z00_775, BgL_keyz00_743, BEOA); } } 
{ /* Llib/block_ciphers.scm 704 */
 obj_t BgL_statez00_746;
BgL_modez00_795 = BgL_modez00_199; 
BgL_paramz00_796 = BgL_paramz00_745; 
BgL_bsz00_797 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 673 */
 obj_t BgL_arg1952z00_801;
BgL_arg1952z00_801 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1952z00_801, BgL_paramz00_796, BgL_bsz00_797, ((bool_t)0))); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)7))))
{ /* Llib/block_ciphers.scm 674 */
 obj_t BgL_arg1954z00_803;
BgL_arg1954z00_803 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1954z00_803, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)8))))
{ /* Llib/block_ciphers.scm 675 */
 obj_t BgL_arg1956z00_805;
BgL_arg1956z00_805 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1956z00_805, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)6))))
{ /* Llib/block_ciphers.scm 676 */
 obj_t BgL_arg1958z00_807;
BgL_arg1958z00_807 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1958z00_807, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 677 */
 obj_t BgL_arg1960z00_809;
BgL_arg1960z00_809 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1960z00_809, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 678 */
 obj_t BgL_arg1962z00_811; obj_t BgL_arg1963z00_812; obj_t BgL_arg1964z00_813;
BgL_arg1962z00_811 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_201))
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1963z00_812 = BgL_noncezd2initz12zc0_201; }  else 
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1963z00_812 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_202))
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1964z00_813 = BgL_noncezd2updatez12zc0_202; }  else 
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1964z00_813 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1962z00_811, BgL_paramz00_796, BgL_arg1963z00_812, BgL_arg1964z00_813, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
BgL_statez00_746 = 
BGl_errorz00zz__errorz00(BGl_string3240z00zz__cryptozd2blockzd2ciphersz00, BGl_string3243z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_795); } } } } } } 
{ /* Llib/block_ciphers.scm 707 */

if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 709 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 709 */
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 710 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 710 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
 bool_t BgL_test3772z00_7091;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
if(
(
STRING_LENGTH(BgL_ivz00_198)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 714 */
BgL_test3772z00_7091 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 714 */
BgL_test3772z00_7091 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 713 */
BgL_test3772z00_7091 = ((bool_t)1)
; } 
if(BgL_test3772z00_7091)
{ /* Llib/block_ciphers.scm 717 */
 obj_t BgL_arg1932z00_756;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1932z00_756 = 
BINT(
STRING_LENGTH(BgL_ivz00_198)); }  else 
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1932z00_756 = BgL_ivz00_198; } 
BGl_errorz00zz__errorz00(BGl_string3245z00zz__cryptozd2blockzd2ciphersz00, BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1932z00_756); }  else 
{ /* Llib/block_ciphers.scm 713 */BFALSE; } }  else 
{ /* Llib/block_ciphers.scm 711 */
CNST_TABLE_REF(((long)3)); } } } 
{ /* Llib/block_ciphers.scm 720 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1226z00_762;
{ /* Llib/block_ciphers.scm 721 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1225z00_767;
BgL_new1225z00_767 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 721 */
 long BgL_arg1938z00_768;
BgL_arg1938z00_768 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_767), BgL_arg1938z00_768); } 
{ /* Llib/block_ciphers.scm 721 */
 BgL_objectz00_bglt BgL_tmpz00_7108;
BgL_tmpz00_7108 = 
((BgL_objectz00_bglt)BgL_new1225z00_767); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7108, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1225z00_767); 
BgL_new1226z00_762 = BgL_new1225z00_767; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_746)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7117;
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 725 */
BgL_auxz00_7117 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 725 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7117 = 
CNST_TABLE_REF(((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7117 = 
CNST_TABLE_REF(((long)4))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7117),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_ivz00)=((obj_t)BgL_ivz00_198),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_padzf2unpadzf2)=((obj_t)BgL_unpadzd2proczd2_744),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7129;
{ /* Llib/block_ciphers.scm 730 */
 long BgL_arg1937z00_764;
BgL_arg1937z00_764 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_741))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 730 */

BgL_auxz00_7129 = 
make_string(BgL_arg1937z00_764, ((unsigned char)' ')); } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7129),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_762))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1226z00_762;} } } } } } } } } 

}



/* _encrypt */
obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1364z00_214, obj_t BgL_opt1363z00_213)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_cipherz00_821; obj_t BgL_plainz00_822; obj_t BgL_passwordz00_823;
BgL_cipherz00_821 = 
VECTOR_REF(BgL_opt1363z00_213,((long)0)); 
BgL_plainz00_822 = 
VECTOR_REF(BgL_opt1363z00_213,((long)1)); 
BgL_passwordz00_823 = 
VECTOR_REF(BgL_opt1363z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_ivz00_824;
BgL_ivz00_824 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
 obj_t BgL_modez00_825;
BgL_modez00_825 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2initz12zc0_826;
BgL_noncezd2initz12zc0_826 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2updatez12zc0_827;
BgL_noncezd2updatez12zc0_827 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
 obj_t BgL_padz00_828;
BgL_padz00_828 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_stringzd2ze3keyz31_829;
BgL_stringzd2ze3keyz31_829 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */

{ 
 long BgL_iz00_830;
BgL_iz00_830 = ((long)3); 
BgL_check1367z00_831:
if(
(BgL_iz00_830==
VECTOR_LENGTH(BgL_opt1363z00_213)))
{ /* Llib/block_ciphers.scm 736 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3779z00_7142;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1970z00_837;
BgL_arg1970z00_837 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_iz00_830); 
BgL_test3779z00_7142 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1970z00_837, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3779z00_7142)
{ 
 long BgL_iz00_7147;
BgL_iz00_7147 = 
(BgL_iz00_830+((long)2)); 
BgL_iz00_830 = BgL_iz00_7147; 
goto BgL_check1367z00_831;}  else 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1969z00_836;
BgL_arg1969z00_836 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_iz00_830); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1969z00_836); } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1369z00_838;
BgL_index1369z00_838 = 
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1363z00_213), BgL_opt1363z00_213, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3780z00_7155;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2856;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7156;
if(
INTEGERP(BgL_index1369z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7156 = BgL_index1369z00_838
; }  else 
{ 
 obj_t BgL_auxz00_7159;
BgL_auxz00_7159 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1369z00_838); 
FAILURE(BgL_auxz00_7159,BFALSE,BFALSE);} 
BgL_n1z00_2856 = 
(long)CINT(BgL_tmpz00_7156); } 
BgL_test3780z00_7155 = 
(BgL_n1z00_2856>=((long)0)); } 
if(BgL_test3780z00_7155)
{ 
 long BgL_auxz00_7165;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7166;
if(
INTEGERP(BgL_index1369z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7166 = BgL_index1369z00_838
; }  else 
{ 
 obj_t BgL_auxz00_7169;
BgL_auxz00_7169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1369z00_838); 
FAILURE(BgL_auxz00_7169,BFALSE,BFALSE);} 
BgL_auxz00_7165 = 
(long)CINT(BgL_tmpz00_7166); } 
BgL_ivz00_824 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_auxz00_7165); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1370z00_840;
BgL_index1370z00_840 = 
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1363z00_213), BgL_opt1363z00_213, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3783z00_7178;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2857;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7179;
if(
INTEGERP(BgL_index1370z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7179 = BgL_index1370z00_840
; }  else 
{ 
 obj_t BgL_auxz00_7182;
BgL_auxz00_7182 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1370z00_840); 
FAILURE(BgL_auxz00_7182,BFALSE,BFALSE);} 
BgL_n1z00_2857 = 
(long)CINT(BgL_tmpz00_7179); } 
BgL_test3783z00_7178 = 
(BgL_n1z00_2857>=((long)0)); } 
if(BgL_test3783z00_7178)
{ 
 long BgL_auxz00_7188;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7189;
if(
INTEGERP(BgL_index1370z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7189 = BgL_index1370z00_840
; }  else 
{ 
 obj_t BgL_auxz00_7192;
BgL_auxz00_7192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1370z00_840); 
FAILURE(BgL_auxz00_7192,BFALSE,BFALSE);} 
BgL_auxz00_7188 = 
(long)CINT(BgL_tmpz00_7189); } 
BgL_modez00_825 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_auxz00_7188); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1371z00_842;
BgL_index1371z00_842 = 
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1363z00_213), BgL_opt1363z00_213, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3786z00_7201;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2858;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7202;
if(
INTEGERP(BgL_index1371z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7202 = BgL_index1371z00_842
; }  else 
{ 
 obj_t BgL_auxz00_7205;
BgL_auxz00_7205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_842); 
FAILURE(BgL_auxz00_7205,BFALSE,BFALSE);} 
BgL_n1z00_2858 = 
(long)CINT(BgL_tmpz00_7202); } 
BgL_test3786z00_7201 = 
(BgL_n1z00_2858>=((long)0)); } 
if(BgL_test3786z00_7201)
{ 
 long BgL_auxz00_7211;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7212;
if(
INTEGERP(BgL_index1371z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7212 = BgL_index1371z00_842
; }  else 
{ 
 obj_t BgL_auxz00_7215;
BgL_auxz00_7215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_842); 
FAILURE(BgL_auxz00_7215,BFALSE,BFALSE);} 
BgL_auxz00_7211 = 
(long)CINT(BgL_tmpz00_7212); } 
BgL_noncezd2initz12zc0_826 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_auxz00_7211); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1372z00_844;
BgL_index1372z00_844 = 
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1363z00_213), BgL_opt1363z00_213, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3789z00_7224;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2859;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7225;
if(
INTEGERP(BgL_index1372z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7225 = BgL_index1372z00_844
; }  else 
{ 
 obj_t BgL_auxz00_7228;
BgL_auxz00_7228 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_844); 
FAILURE(BgL_auxz00_7228,BFALSE,BFALSE);} 
BgL_n1z00_2859 = 
(long)CINT(BgL_tmpz00_7225); } 
BgL_test3789z00_7224 = 
(BgL_n1z00_2859>=((long)0)); } 
if(BgL_test3789z00_7224)
{ 
 long BgL_auxz00_7234;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7235;
if(
INTEGERP(BgL_index1372z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7235 = BgL_index1372z00_844
; }  else 
{ 
 obj_t BgL_auxz00_7238;
BgL_auxz00_7238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_844); 
FAILURE(BgL_auxz00_7238,BFALSE,BFALSE);} 
BgL_auxz00_7234 = 
(long)CINT(BgL_tmpz00_7235); } 
BgL_noncezd2updatez12zc0_827 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_auxz00_7234); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1373z00_846;
BgL_index1373z00_846 = 
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1363z00_213), BgL_opt1363z00_213, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3792z00_7247;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2860;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7248;
if(
INTEGERP(BgL_index1373z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7248 = BgL_index1373z00_846
; }  else 
{ 
 obj_t BgL_auxz00_7251;
BgL_auxz00_7251 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_846); 
FAILURE(BgL_auxz00_7251,BFALSE,BFALSE);} 
BgL_n1z00_2860 = 
(long)CINT(BgL_tmpz00_7248); } 
BgL_test3792z00_7247 = 
(BgL_n1z00_2860>=((long)0)); } 
if(BgL_test3792z00_7247)
{ 
 long BgL_auxz00_7257;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7258;
if(
INTEGERP(BgL_index1373z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7258 = BgL_index1373z00_846
; }  else 
{ 
 obj_t BgL_auxz00_7261;
BgL_auxz00_7261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_846); 
FAILURE(BgL_auxz00_7261,BFALSE,BFALSE);} 
BgL_auxz00_7257 = 
(long)CINT(BgL_tmpz00_7258); } 
BgL_padz00_828 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_auxz00_7257); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1374z00_848;
BgL_index1374z00_848 = 
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1363z00_213), BgL_opt1363z00_213, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3795z00_7270;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2861;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7271;
if(
INTEGERP(BgL_index1374z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7271 = BgL_index1374z00_848
; }  else 
{ 
 obj_t BgL_auxz00_7274;
BgL_auxz00_7274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_848); 
FAILURE(BgL_auxz00_7274,BFALSE,BFALSE);} 
BgL_n1z00_2861 = 
(long)CINT(BgL_tmpz00_7271); } 
BgL_test3795z00_7270 = 
(BgL_n1z00_2861>=((long)0)); } 
if(BgL_test3795z00_7270)
{ 
 long BgL_auxz00_7280;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7281;
if(
INTEGERP(BgL_index1374z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7281 = BgL_index1374z00_848
; }  else 
{ 
 obj_t BgL_auxz00_7284;
BgL_auxz00_7284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_848); 
FAILURE(BgL_auxz00_7284,BFALSE,BFALSE);} 
BgL_auxz00_7280 = 
(long)CINT(BgL_tmpz00_7281); } 
BgL_stringzd2ze3keyz31_829 = 
VECTOR_REF(BgL_opt1363z00_213,BgL_auxz00_7280); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1977z00_850; obj_t BgL_arg1978z00_851; obj_t BgL_arg1979z00_852;
BgL_arg1977z00_850 = 
VECTOR_REF(BgL_opt1363z00_213,((long)0)); 
BgL_arg1978z00_851 = 
VECTOR_REF(BgL_opt1363z00_213,((long)1)); 
BgL_arg1979z00_852 = 
VECTOR_REF(BgL_opt1363z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_ivz00_853;
BgL_ivz00_853 = BgL_ivz00_824; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_modez00_854;
BgL_modez00_854 = BgL_modez00_825; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2initz12zc0_855;
BgL_noncezd2initz12zc0_855 = BgL_noncezd2initz12zc0_826; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2updatez12zc0_856;
BgL_noncezd2updatez12zc0_856 = BgL_noncezd2updatez12zc0_827; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_padz00_857;
BgL_padz00_857 = BgL_padz00_828; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_stringzd2ze3keyz31_858;
BgL_stringzd2ze3keyz31_858 = BgL_stringzd2ze3keyz31_829; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_res2726z00_2870;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_cipherz00_2862; obj_t BgL_passwordz00_2863;
if(
SYMBOLP(BgL_arg1977z00_850))
{ /* Llib/block_ciphers.scm 736 */
BgL_cipherz00_2862 = BgL_arg1977z00_850; }  else 
{ 
 obj_t BgL_auxz00_7295;
BgL_auxz00_7295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1977z00_850); 
FAILURE(BgL_auxz00_7295,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1979z00_852))
{ /* Llib/block_ciphers.scm 736 */
BgL_passwordz00_2863 = BgL_arg1979z00_852; }  else 
{ 
 obj_t BgL_auxz00_7301;
BgL_auxz00_7301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1979z00_852); 
FAILURE(BgL_auxz00_7301,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 740 */
 obj_t BgL_redirectz00_2864;
if(
STRINGP(BgL_arg1978z00_851))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_2864 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 741 */
if(
BGL_MMAPP(BgL_arg1978z00_851))
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_2864 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL_test3802z00_7309;
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL__ortest_1057z00_2868;
BgL__ortest_1057z00_2868 = 
OUTPUT_PORTP(BgL_arg1978z00_851); 
if(BgL__ortest_1057z00_2868)
{ /* Llib/block_ciphers.scm 743 */
BgL_test3802z00_7309 = BgL__ortest_1057z00_2868
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test3802z00_7309 = 
INPUT_PORTP(BgL_arg1978z00_851)
; } } 
if(BgL_test3802z00_7309)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_2864 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)25)); 
BgL_redirectz00_2864 = BgL_arg1978z00_851; } } } 
{ /* Llib/block_ciphers.scm 747 */
 obj_t BgL_aux2823z00_5164;
{ /* Llib/block_ciphers.scm 747 */
 obj_t BgL_tmpfunz00_7325;
{ /* Llib/block_ciphers.scm 747 */
 bool_t BgL_test2822z00_5163;
BgL_test2822z00_5163 = 
PROCEDUREP(BgL_redirectz00_2864); 
if(BgL_test2822z00_5163)
{ /* Llib/block_ciphers.scm 747 */
BgL_tmpfunz00_7325 = BgL_redirectz00_2864
; }  else 
{ 
 obj_t BgL_auxz00_7328;
BgL_auxz00_7328 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27169)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3251z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_2864); 
FAILURE(BgL_auxz00_7328,BFALSE,BFALSE);} } 
BgL_aux2823z00_5164 = 
PROCEDURE_ENTRY(BgL_tmpfunz00_7325)(BgL_redirectz00_2864, BgL_cipherz00_2862, BgL_arg1978z00_851, BgL_passwordz00_2863, BgL_ivz00_853, BgL_modez00_854, BgL_padz00_857, BgL_noncezd2initz12zc0_855, BgL_noncezd2updatez12zc0_856, BgL_stringzd2ze3keyz31_858, BEOA); } 
if(
STRINGP(BgL_aux2823z00_5164))
{ /* Llib/block_ciphers.scm 747 */
BgL_res2726z00_2870 = BgL_aux2823z00_5164; }  else 
{ 
 obj_t BgL_auxz00_7334;
BgL_auxz00_7334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27169)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2823z00_5164); 
FAILURE(BgL_auxz00_7334,BFALSE,BFALSE);} } } } 
return BgL_res2726z00_2870;} } } } } } } } } } } } } } } } } 

}



/* search1366~0 */
obj_t BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1365z00_5125, obj_t BgL_opt1363z00_5124, obj_t BgL_k1z00_818, long BgL_iz00_819)
{
{ /* Llib/block_ciphers.scm 736 */
BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_819==BgL_l1365z00_5125))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 736 */
if(
(BgL_iz00_819==
(BgL_l1365z00_5125-((long)1))))
{ /* Llib/block_ciphers.scm 736 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1363z00_5124)));}  else 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_vz00_863;
BgL_vz00_863 = 
VECTOR_REF(BgL_opt1363z00_5124,BgL_iz00_819); 
if(
(BgL_vz00_863==BgL_k1z00_818))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(
(BgL_iz00_819+((long)1)));}  else 
{ 
 long BgL_iz00_7353;
BgL_iz00_7353 = 
(BgL_iz00_819+((long)2)); 
BgL_iz00_819 = BgL_iz00_7353; 
goto BGl_search1366ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt */
BGL_EXPORTED_DEF obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_204, obj_t BgL_plaintextz00_205, obj_t BgL_passwordz00_206, obj_t BgL_ivz00_207, obj_t BgL_modez00_208, obj_t BgL_noncezd2initz12zc0_209, obj_t BgL_noncezd2updatez12zc0_210, obj_t BgL_padz00_211, obj_t BgL_stringzd2ze3keyz31_212)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 740 */
 obj_t BgL_redirectz00_2871;
if(
STRINGP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_2871 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 741 */
if(
BGL_MMAPP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_2871 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL_test3811z00_7359;
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL__ortest_1057z00_2875;
BgL__ortest_1057z00_2875 = 
OUTPUT_PORTP(BgL_plaintextz00_205); 
if(BgL__ortest_1057z00_2875)
{ /* Llib/block_ciphers.scm 743 */
BgL_test3811z00_7359 = BgL__ortest_1057z00_2875
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test3811z00_7359 = 
INPUT_PORTP(BgL_plaintextz00_205)
; } } 
if(BgL_test3811z00_7359)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_2871 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)25)); 
BgL_redirectz00_2871 = BgL_plaintextz00_205; } } } 
return 
PROCEDURE_ENTRY(BgL_redirectz00_2871)(BgL_redirectz00_2871, BgL_cipherz00_204, BgL_plaintextz00_205, BgL_passwordz00_206, BgL_ivz00_207, BgL_modez00_208, BgL_padz00_211, BgL_noncezd2initz12zc0_209, BgL_noncezd2updatez12zc0_210, BgL_stringzd2ze3keyz31_212, BEOA);} } 

}



/* _encrypt-string */
obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1376z00_225, obj_t BgL_opt1375z00_224)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_cipherz00_875; obj_t BgL_plaintextz00_876; obj_t BgL_passwordz00_877;
BgL_cipherz00_875 = 
VECTOR_REF(BgL_opt1375z00_224,((long)0)); 
BgL_plaintextz00_876 = 
VECTOR_REF(BgL_opt1375z00_224,((long)1)); 
BgL_passwordz00_877 = 
VECTOR_REF(BgL_opt1375z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_ivz00_878;
BgL_ivz00_878 = BFALSE; 
{ /* Llib/block_ciphers.scm 751 */
 obj_t BgL_modez00_879;
BgL_modez00_879 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2initz12zc0_880;
BgL_noncezd2initz12zc0_880 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2updatez12zc0_881;
BgL_noncezd2updatez12zc0_881 = BFALSE; 
{ /* Llib/block_ciphers.scm 752 */
 obj_t BgL_padz00_882;
BgL_padz00_882 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_stringzd2ze3keyz31_883;
BgL_stringzd2ze3keyz31_883 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */

{ 
 long BgL_iz00_884;
BgL_iz00_884 = ((long)3); 
BgL_check1379z00_885:
if(
(BgL_iz00_884==
VECTOR_LENGTH(BgL_opt1375z00_224)))
{ /* Llib/block_ciphers.scm 750 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3814z00_7384;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg1995z00_891;
BgL_arg1995z00_891 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_iz00_884); 
BgL_test3814z00_7384 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1995z00_891, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3814z00_7384)
{ 
 long BgL_iz00_7389;
BgL_iz00_7389 = 
(BgL_iz00_884+((long)2)); 
BgL_iz00_884 = BgL_iz00_7389; 
goto BgL_check1379z00_885;}  else 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg1994z00_890;
BgL_arg1994z00_890 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_iz00_884); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1994z00_890); } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1381z00_892;
BgL_index1381z00_892 = 
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1375z00_224), BgL_opt1375z00_224, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3815z00_7397;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2892;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7398;
if(
INTEGERP(BgL_index1381z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7398 = BgL_index1381z00_892
; }  else 
{ 
 obj_t BgL_auxz00_7401;
BgL_auxz00_7401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1381z00_892); 
FAILURE(BgL_auxz00_7401,BFALSE,BFALSE);} 
BgL_n1z00_2892 = 
(long)CINT(BgL_tmpz00_7398); } 
BgL_test3815z00_7397 = 
(BgL_n1z00_2892>=((long)0)); } 
if(BgL_test3815z00_7397)
{ 
 long BgL_auxz00_7407;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7408;
if(
INTEGERP(BgL_index1381z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7408 = BgL_index1381z00_892
; }  else 
{ 
 obj_t BgL_auxz00_7411;
BgL_auxz00_7411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1381z00_892); 
FAILURE(BgL_auxz00_7411,BFALSE,BFALSE);} 
BgL_auxz00_7407 = 
(long)CINT(BgL_tmpz00_7408); } 
BgL_ivz00_878 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_auxz00_7407); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1382z00_894;
BgL_index1382z00_894 = 
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1375z00_224), BgL_opt1375z00_224, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3818z00_7420;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2893;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7421;
if(
INTEGERP(BgL_index1382z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7421 = BgL_index1382z00_894
; }  else 
{ 
 obj_t BgL_auxz00_7424;
BgL_auxz00_7424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_894); 
FAILURE(BgL_auxz00_7424,BFALSE,BFALSE);} 
BgL_n1z00_2893 = 
(long)CINT(BgL_tmpz00_7421); } 
BgL_test3818z00_7420 = 
(BgL_n1z00_2893>=((long)0)); } 
if(BgL_test3818z00_7420)
{ 
 long BgL_auxz00_7430;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7431;
if(
INTEGERP(BgL_index1382z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7431 = BgL_index1382z00_894
; }  else 
{ 
 obj_t BgL_auxz00_7434;
BgL_auxz00_7434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_894); 
FAILURE(BgL_auxz00_7434,BFALSE,BFALSE);} 
BgL_auxz00_7430 = 
(long)CINT(BgL_tmpz00_7431); } 
BgL_modez00_879 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_auxz00_7430); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1383z00_896;
BgL_index1383z00_896 = 
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1375z00_224), BgL_opt1375z00_224, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3821z00_7443;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2894;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7444;
if(
INTEGERP(BgL_index1383z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7444 = BgL_index1383z00_896
; }  else 
{ 
 obj_t BgL_auxz00_7447;
BgL_auxz00_7447 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_896); 
FAILURE(BgL_auxz00_7447,BFALSE,BFALSE);} 
BgL_n1z00_2894 = 
(long)CINT(BgL_tmpz00_7444); } 
BgL_test3821z00_7443 = 
(BgL_n1z00_2894>=((long)0)); } 
if(BgL_test3821z00_7443)
{ 
 long BgL_auxz00_7453;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7454;
if(
INTEGERP(BgL_index1383z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7454 = BgL_index1383z00_896
; }  else 
{ 
 obj_t BgL_auxz00_7457;
BgL_auxz00_7457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_896); 
FAILURE(BgL_auxz00_7457,BFALSE,BFALSE);} 
BgL_auxz00_7453 = 
(long)CINT(BgL_tmpz00_7454); } 
BgL_noncezd2initz12zc0_880 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_auxz00_7453); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1384z00_898;
BgL_index1384z00_898 = 
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1375z00_224), BgL_opt1375z00_224, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3824z00_7466;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2895;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7467;
if(
INTEGERP(BgL_index1384z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7467 = BgL_index1384z00_898
; }  else 
{ 
 obj_t BgL_auxz00_7470;
BgL_auxz00_7470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_898); 
FAILURE(BgL_auxz00_7470,BFALSE,BFALSE);} 
BgL_n1z00_2895 = 
(long)CINT(BgL_tmpz00_7467); } 
BgL_test3824z00_7466 = 
(BgL_n1z00_2895>=((long)0)); } 
if(BgL_test3824z00_7466)
{ 
 long BgL_auxz00_7476;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7477;
if(
INTEGERP(BgL_index1384z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7477 = BgL_index1384z00_898
; }  else 
{ 
 obj_t BgL_auxz00_7480;
BgL_auxz00_7480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_898); 
FAILURE(BgL_auxz00_7480,BFALSE,BFALSE);} 
BgL_auxz00_7476 = 
(long)CINT(BgL_tmpz00_7477); } 
BgL_noncezd2updatez12zc0_881 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_auxz00_7476); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1385z00_900;
BgL_index1385z00_900 = 
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1375z00_224), BgL_opt1375z00_224, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3827z00_7489;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2896;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7490;
if(
INTEGERP(BgL_index1385z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7490 = BgL_index1385z00_900
; }  else 
{ 
 obj_t BgL_auxz00_7493;
BgL_auxz00_7493 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_900); 
FAILURE(BgL_auxz00_7493,BFALSE,BFALSE);} 
BgL_n1z00_2896 = 
(long)CINT(BgL_tmpz00_7490); } 
BgL_test3827z00_7489 = 
(BgL_n1z00_2896>=((long)0)); } 
if(BgL_test3827z00_7489)
{ 
 long BgL_auxz00_7499;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7500;
if(
INTEGERP(BgL_index1385z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7500 = BgL_index1385z00_900
; }  else 
{ 
 obj_t BgL_auxz00_7503;
BgL_auxz00_7503 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_900); 
FAILURE(BgL_auxz00_7503,BFALSE,BFALSE);} 
BgL_auxz00_7499 = 
(long)CINT(BgL_tmpz00_7500); } 
BgL_padz00_882 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_auxz00_7499); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1386z00_902;
BgL_index1386z00_902 = 
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1375z00_224), BgL_opt1375z00_224, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3830z00_7512;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2897;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7513;
if(
INTEGERP(BgL_index1386z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7513 = BgL_index1386z00_902
; }  else 
{ 
 obj_t BgL_auxz00_7516;
BgL_auxz00_7516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_902); 
FAILURE(BgL_auxz00_7516,BFALSE,BFALSE);} 
BgL_n1z00_2897 = 
(long)CINT(BgL_tmpz00_7513); } 
BgL_test3830z00_7512 = 
(BgL_n1z00_2897>=((long)0)); } 
if(BgL_test3830z00_7512)
{ 
 long BgL_auxz00_7522;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7523;
if(
INTEGERP(BgL_index1386z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7523 = BgL_index1386z00_902
; }  else 
{ 
 obj_t BgL_auxz00_7526;
BgL_auxz00_7526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_902); 
FAILURE(BgL_auxz00_7526,BFALSE,BFALSE);} 
BgL_auxz00_7522 = 
(long)CINT(BgL_tmpz00_7523); } 
BgL_stringzd2ze3keyz31_883 = 
VECTOR_REF(BgL_opt1375z00_224,BgL_auxz00_7522); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg2002z00_904; obj_t BgL_arg2003z00_905; obj_t BgL_arg2004z00_906;
BgL_arg2002z00_904 = 
VECTOR_REF(BgL_opt1375z00_224,((long)0)); 
BgL_arg2003z00_905 = 
VECTOR_REF(BgL_opt1375z00_224,((long)1)); 
BgL_arg2004z00_906 = 
VECTOR_REF(BgL_opt1375z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_ivz00_907;
BgL_ivz00_907 = BgL_ivz00_878; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_modez00_908;
BgL_modez00_908 = BgL_modez00_879; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2initz12zc0_909;
BgL_noncezd2initz12zc0_909 = BgL_noncezd2initz12zc0_880; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2updatez12zc0_910;
BgL_noncezd2updatez12zc0_910 = BgL_noncezd2updatez12zc0_881; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_padz00_911;
BgL_padz00_911 = BgL_padz00_882; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_stringzd2ze3keyz31_912;
BgL_stringzd2ze3keyz31_912 = BgL_stringzd2ze3keyz31_883; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_res2728z00_2901;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_cipherz00_2898; obj_t BgL_plaintextz00_2899; obj_t BgL_passwordz00_2900;
if(
SYMBOLP(BgL_arg2002z00_904))
{ /* Llib/block_ciphers.scm 750 */
BgL_cipherz00_2898 = BgL_arg2002z00_904; }  else 
{ 
 obj_t BgL_auxz00_7537;
BgL_auxz00_7537 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2002z00_904); 
FAILURE(BgL_auxz00_7537,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2003z00_905))
{ /* Llib/block_ciphers.scm 750 */
BgL_plaintextz00_2899 = BgL_arg2003z00_905; }  else 
{ 
 obj_t BgL_auxz00_7543;
BgL_auxz00_7543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2003z00_905); 
FAILURE(BgL_auxz00_7543,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2004z00_906))
{ /* Llib/block_ciphers.scm 750 */
BgL_passwordz00_2900 = BgL_arg2004z00_906; }  else 
{ 
 obj_t BgL_auxz00_7549;
BgL_auxz00_7549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2004z00_906); 
FAILURE(BgL_auxz00_7549,BFALSE,BFALSE);} 
BgL_res2728z00_2901 = 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_2898, BgL_plaintextz00_2899, BgL_passwordz00_2900, BgL_ivz00_907, BgL_modez00_908, BgL_padz00_911, BgL_noncezd2initz12zc0_909, BgL_noncezd2updatez12zc0_910, BgL_stringzd2ze3keyz31_912); } 
return BgL_res2728z00_2901;} } } } } } } } } } } } } } } } } 

}



/* search1378~0 */
obj_t BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1377z00_5123, obj_t BgL_opt1375z00_5122, obj_t BgL_k1z00_872, long BgL_iz00_873)
{
{ /* Llib/block_ciphers.scm 750 */
BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_873==BgL_l1377z00_5123))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 750 */
if(
(BgL_iz00_873==
(BgL_l1377z00_5123-((long)1))))
{ /* Llib/block_ciphers.scm 750 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1375z00_5122)));}  else 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_vz00_917;
BgL_vz00_917 = 
VECTOR_REF(BgL_opt1375z00_5122,BgL_iz00_873); 
if(
(BgL_vz00_917==BgL_k1z00_872))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(
(BgL_iz00_873+((long)1)));}  else 
{ 
 long BgL_iz00_7569;
BgL_iz00_7569 = 
(BgL_iz00_873+((long)2)); 
BgL_iz00_873 = BgL_iz00_7569; 
goto BGl_search1378ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-string */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_215, obj_t BgL_plaintextz00_216, obj_t BgL_passwordz00_217, obj_t BgL_ivz00_218, obj_t BgL_modez00_219, obj_t BgL_noncezd2initz12zc0_220, obj_t BgL_noncezd2updatez12zc0_221, obj_t BgL_padz00_222, obj_t BgL_stringzd2ze3keyz31_223)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 765 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2903;
BgL_statez00_2903 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_215, BgL_passwordz00_217, BgL_ivz00_218, BgL_modez00_219, BgL_padz00_222, BgL_noncezd2initz12zc0_220, BgL_noncezd2updatez12zc0_221, BgL_stringzd2ze3keyz31_223); 
{ /* Llib/block_ciphers.scm 765 */
 long BgL_blockzd2siza7ez75_2904;
BgL_blockzd2siza7ez75_2904 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2903))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
 obj_t BgL_strz00_2906;
{ /* Llib/block_ciphers.scm 770 */
 long BgL_arg2013z00_2907;
BgL_arg2013z00_2907 = 
(
(((long)2)*BgL_blockzd2siza7ez75_2904)+
STRING_LENGTH(BgL_plaintextz00_216)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_2906 = 
make_string(BgL_arg2013z00_2907, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
 long BgL_tmpz00_7577;
BgL_tmpz00_7577 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2903, BgL_plaintextz00_216, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2906, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2906, BgL_tmpz00_7577);} } } } } } 

}



/* encrypt-fast-string */
obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_226, obj_t BgL_plaintextz00_227, obj_t BgL_passwordz00_228, obj_t BgL_ivz00_229, obj_t BgL_modez00_230, obj_t BgL_padz00_231, obj_t BgL_noncezd2initz12zc0_232, obj_t BgL_noncezd2updatez12zc0_233, obj_t BgL_stringzd2ze3keyz31_234)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2920;
BgL_statez00_2920 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_226, BgL_passwordz00_228, BgL_ivz00_229, BgL_modez00_230, BgL_padz00_231, BgL_noncezd2initz12zc0_232, BgL_noncezd2updatez12zc0_233, BgL_stringzd2ze3keyz31_234); 
{ /* Llib/block_ciphers.scm 765 */
 long BgL_blockzd2siza7ez75_2921;
BgL_blockzd2siza7ez75_2921 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2920))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
 obj_t BgL_strz00_2923;
{ /* Llib/block_ciphers.scm 770 */
 long BgL_arg2013z00_2924;
BgL_arg2013z00_2924 = 
(
(((long)2)*BgL_blockzd2siza7ez75_2921)+
STRING_LENGTH(BgL_plaintextz00_227)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_2923 = 
make_string(BgL_arg2013z00_2924, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
 long BgL_tmpz00_7586;
BgL_tmpz00_7586 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2920, BgL_plaintextz00_227, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2923, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2923, BgL_tmpz00_7586);} } } } } } 

}



/* &encrypt-fast-string */
obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4434, obj_t BgL_cipherz00_4435, obj_t BgL_plaintextz00_4436, obj_t BgL_passwordz00_4437, obj_t BgL_ivz00_4438, obj_t BgL_modez00_4439, obj_t BgL_padz00_4440, obj_t BgL_noncezd2initz12zc0_4441, obj_t BgL_noncezd2updatez12zc0_4442, obj_t BgL_stringzd2ze3keyz31_4443)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
 obj_t BgL_auxz00_7589;
if(
STRINGP(BgL_plaintextz00_4436))
{ /* Llib/block_ciphers.scm 765 */
BgL_auxz00_7589 = BgL_plaintextz00_4436
; }  else 
{ 
 obj_t BgL_auxz00_7592;
BgL_auxz00_7592 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27779)), BGl_string3254z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4436); 
FAILURE(BgL_auxz00_7592,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4435, BgL_auxz00_7589, BgL_passwordz00_4437, BgL_ivz00_4438, BgL_modez00_4439, BgL_padz00_4440, BgL_noncezd2initz12zc0_4441, BgL_noncezd2updatez12zc0_4442, BgL_stringzd2ze3keyz31_4443);} } 

}



/* _encrypt-mmap */
obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1388z00_245, obj_t BgL_opt1387z00_244)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_cipherz00_935; obj_t BgL_plaintextz00_936; obj_t BgL_passwordz00_937;
BgL_cipherz00_935 = 
VECTOR_REF(BgL_opt1387z00_244,((long)0)); 
BgL_plaintextz00_936 = 
VECTOR_REF(BgL_opt1387z00_244,((long)1)); 
BgL_passwordz00_937 = 
VECTOR_REF(BgL_opt1387z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_ivz00_938;
BgL_ivz00_938 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
 obj_t BgL_modez00_939;
BgL_modez00_939 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2initz12zc0_940;
BgL_noncezd2initz12zc0_940 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2updatez12zc0_941;
BgL_noncezd2updatez12zc0_941 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
 obj_t BgL_padz00_942;
BgL_padz00_942 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_stringzd2ze3keyz31_943;
BgL_stringzd2ze3keyz31_943 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */

{ 
 long BgL_iz00_944;
BgL_iz00_944 = ((long)3); 
BgL_check1391z00_945:
if(
(BgL_iz00_944==
VECTOR_LENGTH(BgL_opt1387z00_244)))
{ /* Llib/block_ciphers.scm 776 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3841z00_7605;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2021z00_951;
BgL_arg2021z00_951 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_iz00_944); 
BgL_test3841z00_7605 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2021z00_951, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3841z00_7605)
{ 
 long BgL_iz00_7610;
BgL_iz00_7610 = 
(BgL_iz00_944+((long)2)); 
BgL_iz00_944 = BgL_iz00_7610; 
goto BgL_check1391z00_945;}  else 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2020z00_950;
BgL_arg2020z00_950 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_iz00_944); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)27)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2020z00_950); } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1393z00_952;
BgL_index1393z00_952 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1387z00_244), BgL_opt1387z00_244, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3842z00_7618;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2952;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7619;
if(
INTEGERP(BgL_index1393z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7619 = BgL_index1393z00_952
; }  else 
{ 
 obj_t BgL_auxz00_7622;
BgL_auxz00_7622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1393z00_952); 
FAILURE(BgL_auxz00_7622,BFALSE,BFALSE);} 
BgL_n1z00_2952 = 
(long)CINT(BgL_tmpz00_7619); } 
BgL_test3842z00_7618 = 
(BgL_n1z00_2952>=((long)0)); } 
if(BgL_test3842z00_7618)
{ 
 long BgL_auxz00_7628;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7629;
if(
INTEGERP(BgL_index1393z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7629 = BgL_index1393z00_952
; }  else 
{ 
 obj_t BgL_auxz00_7632;
BgL_auxz00_7632 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1393z00_952); 
FAILURE(BgL_auxz00_7632,BFALSE,BFALSE);} 
BgL_auxz00_7628 = 
(long)CINT(BgL_tmpz00_7629); } 
BgL_ivz00_938 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_auxz00_7628); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1394z00_954;
BgL_index1394z00_954 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1387z00_244), BgL_opt1387z00_244, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3845z00_7641;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2953;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7642;
if(
INTEGERP(BgL_index1394z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7642 = BgL_index1394z00_954
; }  else 
{ 
 obj_t BgL_auxz00_7645;
BgL_auxz00_7645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_954); 
FAILURE(BgL_auxz00_7645,BFALSE,BFALSE);} 
BgL_n1z00_2953 = 
(long)CINT(BgL_tmpz00_7642); } 
BgL_test3845z00_7641 = 
(BgL_n1z00_2953>=((long)0)); } 
if(BgL_test3845z00_7641)
{ 
 long BgL_auxz00_7651;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7652;
if(
INTEGERP(BgL_index1394z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7652 = BgL_index1394z00_954
; }  else 
{ 
 obj_t BgL_auxz00_7655;
BgL_auxz00_7655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_954); 
FAILURE(BgL_auxz00_7655,BFALSE,BFALSE);} 
BgL_auxz00_7651 = 
(long)CINT(BgL_tmpz00_7652); } 
BgL_modez00_939 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_auxz00_7651); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1395z00_956;
BgL_index1395z00_956 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1387z00_244), BgL_opt1387z00_244, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3848z00_7664;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2954;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7665;
if(
INTEGERP(BgL_index1395z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7665 = BgL_index1395z00_956
; }  else 
{ 
 obj_t BgL_auxz00_7668;
BgL_auxz00_7668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_956); 
FAILURE(BgL_auxz00_7668,BFALSE,BFALSE);} 
BgL_n1z00_2954 = 
(long)CINT(BgL_tmpz00_7665); } 
BgL_test3848z00_7664 = 
(BgL_n1z00_2954>=((long)0)); } 
if(BgL_test3848z00_7664)
{ 
 long BgL_auxz00_7674;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7675;
if(
INTEGERP(BgL_index1395z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7675 = BgL_index1395z00_956
; }  else 
{ 
 obj_t BgL_auxz00_7678;
BgL_auxz00_7678 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_956); 
FAILURE(BgL_auxz00_7678,BFALSE,BFALSE);} 
BgL_auxz00_7674 = 
(long)CINT(BgL_tmpz00_7675); } 
BgL_noncezd2initz12zc0_940 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_auxz00_7674); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1396z00_958;
BgL_index1396z00_958 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1387z00_244), BgL_opt1387z00_244, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3851z00_7687;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2955;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7688;
if(
INTEGERP(BgL_index1396z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7688 = BgL_index1396z00_958
; }  else 
{ 
 obj_t BgL_auxz00_7691;
BgL_auxz00_7691 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_958); 
FAILURE(BgL_auxz00_7691,BFALSE,BFALSE);} 
BgL_n1z00_2955 = 
(long)CINT(BgL_tmpz00_7688); } 
BgL_test3851z00_7687 = 
(BgL_n1z00_2955>=((long)0)); } 
if(BgL_test3851z00_7687)
{ 
 long BgL_auxz00_7697;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7698;
if(
INTEGERP(BgL_index1396z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7698 = BgL_index1396z00_958
; }  else 
{ 
 obj_t BgL_auxz00_7701;
BgL_auxz00_7701 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_958); 
FAILURE(BgL_auxz00_7701,BFALSE,BFALSE);} 
BgL_auxz00_7697 = 
(long)CINT(BgL_tmpz00_7698); } 
BgL_noncezd2updatez12zc0_941 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_auxz00_7697); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1397z00_960;
BgL_index1397z00_960 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1387z00_244), BgL_opt1387z00_244, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3854z00_7710;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2956;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7711;
if(
INTEGERP(BgL_index1397z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7711 = BgL_index1397z00_960
; }  else 
{ 
 obj_t BgL_auxz00_7714;
BgL_auxz00_7714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_960); 
FAILURE(BgL_auxz00_7714,BFALSE,BFALSE);} 
BgL_n1z00_2956 = 
(long)CINT(BgL_tmpz00_7711); } 
BgL_test3854z00_7710 = 
(BgL_n1z00_2956>=((long)0)); } 
if(BgL_test3854z00_7710)
{ 
 long BgL_auxz00_7720;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7721;
if(
INTEGERP(BgL_index1397z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7721 = BgL_index1397z00_960
; }  else 
{ 
 obj_t BgL_auxz00_7724;
BgL_auxz00_7724 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_960); 
FAILURE(BgL_auxz00_7724,BFALSE,BFALSE);} 
BgL_auxz00_7720 = 
(long)CINT(BgL_tmpz00_7721); } 
BgL_padz00_942 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_auxz00_7720); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1398z00_962;
BgL_index1398z00_962 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1387z00_244), BgL_opt1387z00_244, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3857z00_7733;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2957;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7734;
if(
INTEGERP(BgL_index1398z00_962))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7734 = BgL_index1398z00_962
; }  else 
{ 
 obj_t BgL_auxz00_7737;
BgL_auxz00_7737 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_962); 
FAILURE(BgL_auxz00_7737,BFALSE,BFALSE);} 
BgL_n1z00_2957 = 
(long)CINT(BgL_tmpz00_7734); } 
BgL_test3857z00_7733 = 
(BgL_n1z00_2957>=((long)0)); } 
if(BgL_test3857z00_7733)
{ 
 long BgL_auxz00_7743;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7744;
if(
INTEGERP(BgL_index1398z00_962))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7744 = BgL_index1398z00_962
; }  else 
{ 
 obj_t BgL_auxz00_7747;
BgL_auxz00_7747 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_962); 
FAILURE(BgL_auxz00_7747,BFALSE,BFALSE);} 
BgL_auxz00_7743 = 
(long)CINT(BgL_tmpz00_7744); } 
BgL_stringzd2ze3keyz31_943 = 
VECTOR_REF(BgL_opt1387z00_244,BgL_auxz00_7743); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2028z00_964; obj_t BgL_arg2029z00_965; obj_t BgL_arg2030z00_966;
BgL_arg2028z00_964 = 
VECTOR_REF(BgL_opt1387z00_244,((long)0)); 
BgL_arg2029z00_965 = 
VECTOR_REF(BgL_opt1387z00_244,((long)1)); 
BgL_arg2030z00_966 = 
VECTOR_REF(BgL_opt1387z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_ivz00_967;
BgL_ivz00_967 = BgL_ivz00_938; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_modez00_968;
BgL_modez00_968 = BgL_modez00_939; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2initz12zc0_969;
BgL_noncezd2initz12zc0_969 = BgL_noncezd2initz12zc0_940; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2updatez12zc0_970;
BgL_noncezd2updatez12zc0_970 = BgL_noncezd2updatez12zc0_941; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_padz00_971;
BgL_padz00_971 = BgL_padz00_942; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_stringzd2ze3keyz31_972;
BgL_stringzd2ze3keyz31_972 = BgL_stringzd2ze3keyz31_943; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_res2729z00_2961;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_cipherz00_2958; obj_t BgL_plaintextz00_2959; obj_t BgL_passwordz00_2960;
if(
SYMBOLP(BgL_arg2028z00_964))
{ /* Llib/block_ciphers.scm 776 */
BgL_cipherz00_2958 = BgL_arg2028z00_964; }  else 
{ 
 obj_t BgL_auxz00_7758;
BgL_auxz00_7758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2028z00_964); 
FAILURE(BgL_auxz00_7758,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2029z00_965))
{ /* Llib/block_ciphers.scm 776 */
BgL_plaintextz00_2959 = BgL_arg2029z00_965; }  else 
{ 
 obj_t BgL_auxz00_7764;
BgL_auxz00_7764 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3256z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2029z00_965); 
FAILURE(BgL_auxz00_7764,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2030z00_966))
{ /* Llib/block_ciphers.scm 776 */
BgL_passwordz00_2960 = BgL_arg2030z00_966; }  else 
{ 
 obj_t BgL_auxz00_7770;
BgL_auxz00_7770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2030z00_966); 
FAILURE(BgL_auxz00_7770,BFALSE,BFALSE);} 
BgL_res2729z00_2961 = 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_2958, BgL_plaintextz00_2959, BgL_passwordz00_2960, BgL_ivz00_967, BgL_modez00_968, BgL_padz00_971, BgL_noncezd2initz12zc0_969, BgL_noncezd2updatez12zc0_970, BgL_stringzd2ze3keyz31_972); } 
return BgL_res2729z00_2961;} } } } } } } } } } } } } } } } } 

}



/* search1390~0 */
obj_t BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1389z00_5121, obj_t BgL_opt1387z00_5120, obj_t BgL_k1z00_932, long BgL_iz00_933)
{
{ /* Llib/block_ciphers.scm 776 */
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_933==BgL_l1389z00_5121))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 776 */
if(
(BgL_iz00_933==
(BgL_l1389z00_5121-((long)1))))
{ /* Llib/block_ciphers.scm 776 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)27)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1387z00_5120)));}  else 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_vz00_977;
BgL_vz00_977 = 
VECTOR_REF(BgL_opt1387z00_5120,BgL_iz00_933); 
if(
(BgL_vz00_977==BgL_k1z00_932))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(
(BgL_iz00_933+((long)1)));}  else 
{ 
 long BgL_iz00_7790;
BgL_iz00_7790 = 
(BgL_iz00_933+((long)2)); 
BgL_iz00_933 = BgL_iz00_7790; 
goto BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_235, obj_t BgL_plaintextz00_236, obj_t BgL_passwordz00_237, obj_t BgL_ivz00_238, obj_t BgL_modez00_239, obj_t BgL_noncezd2initz12zc0_240, obj_t BgL_noncezd2updatez12zc0_241, obj_t BgL_padz00_242, obj_t BgL_stringzd2ze3keyz31_243)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 789 */
 long BgL_lenz00_2963;
BgL_lenz00_2963 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_236); 
{ /* Llib/block_ciphers.scm 789 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2964;
BgL_statez00_2964 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_235, BgL_passwordz00_237, BgL_ivz00_238, BgL_modez00_239, BgL_padz00_242, BgL_noncezd2initz12zc0_240, BgL_noncezd2updatez12zc0_241, BgL_stringzd2ze3keyz31_243); 
{ /* Llib/block_ciphers.scm 790 */
 obj_t BgL_strz00_2965;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_arg2039z00_2966;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_za72za7_2976;
BgL_za72za7_2976 = 
(long)(BgL_lenz00_2963); 
BgL_arg2039z00_2966 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2964))->BgL_blockzd2siza7ez75))+BgL_za72za7_2976); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_2965 = 
make_string(BgL_arg2039z00_2966, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
 long BgL_tmpz00_7799;
BgL_tmpz00_7799 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2964, BgL_plaintextz00_236, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2965, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2965, BgL_tmpz00_7799);} } } } } } 

}



/* encrypt-fast-mmap */
obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_246, obj_t BgL_plaintextz00_247, obj_t BgL_passwordz00_248, obj_t BgL_ivz00_249, obj_t BgL_modez00_250, obj_t BgL_padz00_251, obj_t BgL_noncezd2initz12zc0_252, obj_t BgL_noncezd2updatez12zc0_253, obj_t BgL_stringzd2ze3keyz31_254)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
 long BgL_lenz00_2980;
BgL_lenz00_2980 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_247); 
{ /* Llib/block_ciphers.scm 789 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2981;
BgL_statez00_2981 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_246, BgL_passwordz00_248, BgL_ivz00_249, BgL_modez00_250, BgL_padz00_251, BgL_noncezd2initz12zc0_252, BgL_noncezd2updatez12zc0_253, BgL_stringzd2ze3keyz31_254); 
{ /* Llib/block_ciphers.scm 790 */
 obj_t BgL_strz00_2982;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_arg2039z00_2983;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_za72za7_2993;
BgL_za72za7_2993 = 
(long)(BgL_lenz00_2980); 
BgL_arg2039z00_2983 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2981))->BgL_blockzd2siza7ez75))+BgL_za72za7_2993); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_2982 = 
make_string(BgL_arg2039z00_2983, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
 long BgL_tmpz00_7809;
BgL_tmpz00_7809 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2981, BgL_plaintextz00_247, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2982, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2982, BgL_tmpz00_7809);} } } } } } 

}



/* &encrypt-fast-mmap */
obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4444, obj_t BgL_cipherz00_4445, obj_t BgL_plaintextz00_4446, obj_t BgL_passwordz00_4447, obj_t BgL_ivz00_4448, obj_t BgL_modez00_4449, obj_t BgL_padz00_4450, obj_t BgL_noncezd2initz12zc0_4451, obj_t BgL_noncezd2updatez12zc0_4452, obj_t BgL_stringzd2ze3keyz31_4453)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
 obj_t BgL_auxz00_7812;
if(
BGL_MMAPP(BgL_plaintextz00_4446))
{ /* Llib/block_ciphers.scm 789 */
BgL_auxz00_7812 = BgL_plaintextz00_4446
; }  else 
{ 
 obj_t BgL_auxz00_7815;
BgL_auxz00_7815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28710)), BGl_string3257z00zz__cryptozd2blockzd2ciphersz00, BGl_string3256z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4446); 
FAILURE(BgL_auxz00_7815,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4445, BgL_auxz00_7812, BgL_passwordz00_4447, BgL_ivz00_4448, BgL_modez00_4449, BgL_padz00_4450, BgL_noncezd2initz12zc0_4451, BgL_noncezd2updatez12zc0_4452, BgL_stringzd2ze3keyz31_4453);} } 

}



/* _encrypt-port */
obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1400z00_265, obj_t BgL_opt1399z00_264)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_cipherz00_995; obj_t BgL_plaintextz00_996; obj_t BgL_passwordz00_997;
BgL_cipherz00_995 = 
VECTOR_REF(BgL_opt1399z00_264,((long)0)); 
BgL_plaintextz00_996 = 
VECTOR_REF(BgL_opt1399z00_264,((long)1)); 
BgL_passwordz00_997 = 
VECTOR_REF(BgL_opt1399z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_ivz00_998;
BgL_ivz00_998 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
 obj_t BgL_modez00_999;
BgL_modez00_999 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2initz12zc0_1000;
BgL_noncezd2initz12zc0_1000 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2updatez12zc0_1001;
BgL_noncezd2updatez12zc0_1001 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
 obj_t BgL_padz00_1002;
BgL_padz00_1002 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_stringzd2ze3keyz31_1003;
BgL_stringzd2ze3keyz31_1003 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */

{ 
 long BgL_iz00_1004;
BgL_iz00_1004 = ((long)3); 
BgL_check1403z00_1005:
if(
(BgL_iz00_1004==
VECTOR_LENGTH(BgL_opt1399z00_264)))
{ /* Llib/block_ciphers.scm 801 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3868z00_7828;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2047z00_1011;
BgL_arg2047z00_1011 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_iz00_1004); 
BgL_test3868z00_7828 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2047z00_1011, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3868z00_7828)
{ 
 long BgL_iz00_7833;
BgL_iz00_7833 = 
(BgL_iz00_1004+((long)2)); 
BgL_iz00_1004 = BgL_iz00_7833; 
goto BgL_check1403z00_1005;}  else 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2046z00_1010;
BgL_arg2046z00_1010 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_iz00_1004); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)28)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2046z00_1010); } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1405z00_1012;
BgL_index1405z00_1012 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_264), BgL_opt1399z00_264, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3869z00_7841;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3012;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7842;
if(
INTEGERP(BgL_index1405z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7842 = BgL_index1405z00_1012
; }  else 
{ 
 obj_t BgL_auxz00_7845;
BgL_auxz00_7845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1012); 
FAILURE(BgL_auxz00_7845,BFALSE,BFALSE);} 
BgL_n1z00_3012 = 
(long)CINT(BgL_tmpz00_7842); } 
BgL_test3869z00_7841 = 
(BgL_n1z00_3012>=((long)0)); } 
if(BgL_test3869z00_7841)
{ 
 long BgL_auxz00_7851;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7852;
if(
INTEGERP(BgL_index1405z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7852 = BgL_index1405z00_1012
; }  else 
{ 
 obj_t BgL_auxz00_7855;
BgL_auxz00_7855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1012); 
FAILURE(BgL_auxz00_7855,BFALSE,BFALSE);} 
BgL_auxz00_7851 = 
(long)CINT(BgL_tmpz00_7852); } 
BgL_ivz00_998 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_auxz00_7851); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1406z00_1014;
BgL_index1406z00_1014 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_264), BgL_opt1399z00_264, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3872z00_7864;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3013;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7865;
if(
INTEGERP(BgL_index1406z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7865 = BgL_index1406z00_1014
; }  else 
{ 
 obj_t BgL_auxz00_7868;
BgL_auxz00_7868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1014); 
FAILURE(BgL_auxz00_7868,BFALSE,BFALSE);} 
BgL_n1z00_3013 = 
(long)CINT(BgL_tmpz00_7865); } 
BgL_test3872z00_7864 = 
(BgL_n1z00_3013>=((long)0)); } 
if(BgL_test3872z00_7864)
{ 
 long BgL_auxz00_7874;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7875;
if(
INTEGERP(BgL_index1406z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7875 = BgL_index1406z00_1014
; }  else 
{ 
 obj_t BgL_auxz00_7878;
BgL_auxz00_7878 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1014); 
FAILURE(BgL_auxz00_7878,BFALSE,BFALSE);} 
BgL_auxz00_7874 = 
(long)CINT(BgL_tmpz00_7875); } 
BgL_modez00_999 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_auxz00_7874); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1407z00_1016;
BgL_index1407z00_1016 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_264), BgL_opt1399z00_264, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3875z00_7887;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3014;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7888;
if(
INTEGERP(BgL_index1407z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7888 = BgL_index1407z00_1016
; }  else 
{ 
 obj_t BgL_auxz00_7891;
BgL_auxz00_7891 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1016); 
FAILURE(BgL_auxz00_7891,BFALSE,BFALSE);} 
BgL_n1z00_3014 = 
(long)CINT(BgL_tmpz00_7888); } 
BgL_test3875z00_7887 = 
(BgL_n1z00_3014>=((long)0)); } 
if(BgL_test3875z00_7887)
{ 
 long BgL_auxz00_7897;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7898;
if(
INTEGERP(BgL_index1407z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7898 = BgL_index1407z00_1016
; }  else 
{ 
 obj_t BgL_auxz00_7901;
BgL_auxz00_7901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1016); 
FAILURE(BgL_auxz00_7901,BFALSE,BFALSE);} 
BgL_auxz00_7897 = 
(long)CINT(BgL_tmpz00_7898); } 
BgL_noncezd2initz12zc0_1000 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_auxz00_7897); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1408z00_1018;
BgL_index1408z00_1018 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_264), BgL_opt1399z00_264, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3878z00_7910;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3015;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7911;
if(
INTEGERP(BgL_index1408z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7911 = BgL_index1408z00_1018
; }  else 
{ 
 obj_t BgL_auxz00_7914;
BgL_auxz00_7914 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1018); 
FAILURE(BgL_auxz00_7914,BFALSE,BFALSE);} 
BgL_n1z00_3015 = 
(long)CINT(BgL_tmpz00_7911); } 
BgL_test3878z00_7910 = 
(BgL_n1z00_3015>=((long)0)); } 
if(BgL_test3878z00_7910)
{ 
 long BgL_auxz00_7920;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7921;
if(
INTEGERP(BgL_index1408z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7921 = BgL_index1408z00_1018
; }  else 
{ 
 obj_t BgL_auxz00_7924;
BgL_auxz00_7924 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1018); 
FAILURE(BgL_auxz00_7924,BFALSE,BFALSE);} 
BgL_auxz00_7920 = 
(long)CINT(BgL_tmpz00_7921); } 
BgL_noncezd2updatez12zc0_1001 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_auxz00_7920); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1409z00_1020;
BgL_index1409z00_1020 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_264), BgL_opt1399z00_264, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3881z00_7933;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3016;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7934;
if(
INTEGERP(BgL_index1409z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7934 = BgL_index1409z00_1020
; }  else 
{ 
 obj_t BgL_auxz00_7937;
BgL_auxz00_7937 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1020); 
FAILURE(BgL_auxz00_7937,BFALSE,BFALSE);} 
BgL_n1z00_3016 = 
(long)CINT(BgL_tmpz00_7934); } 
BgL_test3881z00_7933 = 
(BgL_n1z00_3016>=((long)0)); } 
if(BgL_test3881z00_7933)
{ 
 long BgL_auxz00_7943;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7944;
if(
INTEGERP(BgL_index1409z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7944 = BgL_index1409z00_1020
; }  else 
{ 
 obj_t BgL_auxz00_7947;
BgL_auxz00_7947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1020); 
FAILURE(BgL_auxz00_7947,BFALSE,BFALSE);} 
BgL_auxz00_7943 = 
(long)CINT(BgL_tmpz00_7944); } 
BgL_padz00_1002 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_auxz00_7943); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1410z00_1022;
BgL_index1410z00_1022 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_264), BgL_opt1399z00_264, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3884z00_7956;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3017;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7957;
if(
INTEGERP(BgL_index1410z00_1022))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7957 = BgL_index1410z00_1022
; }  else 
{ 
 obj_t BgL_auxz00_7960;
BgL_auxz00_7960 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1410z00_1022); 
FAILURE(BgL_auxz00_7960,BFALSE,BFALSE);} 
BgL_n1z00_3017 = 
(long)CINT(BgL_tmpz00_7957); } 
BgL_test3884z00_7956 = 
(BgL_n1z00_3017>=((long)0)); } 
if(BgL_test3884z00_7956)
{ 
 long BgL_auxz00_7966;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7967;
if(
INTEGERP(BgL_index1410z00_1022))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7967 = BgL_index1410z00_1022
; }  else 
{ 
 obj_t BgL_auxz00_7970;
BgL_auxz00_7970 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1410z00_1022); 
FAILURE(BgL_auxz00_7970,BFALSE,BFALSE);} 
BgL_auxz00_7966 = 
(long)CINT(BgL_tmpz00_7967); } 
BgL_stringzd2ze3keyz31_1003 = 
VECTOR_REF(BgL_opt1399z00_264,BgL_auxz00_7966); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2054z00_1024; obj_t BgL_arg2055z00_1025; obj_t BgL_arg2056z00_1026;
BgL_arg2054z00_1024 = 
VECTOR_REF(BgL_opt1399z00_264,((long)0)); 
BgL_arg2055z00_1025 = 
VECTOR_REF(BgL_opt1399z00_264,((long)1)); 
BgL_arg2056z00_1026 = 
VECTOR_REF(BgL_opt1399z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_ivz00_1027;
BgL_ivz00_1027 = BgL_ivz00_998; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_modez00_1028;
BgL_modez00_1028 = BgL_modez00_999; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2initz12zc0_1029;
BgL_noncezd2initz12zc0_1029 = BgL_noncezd2initz12zc0_1000; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2updatez12zc0_1030;
BgL_noncezd2updatez12zc0_1030 = BgL_noncezd2updatez12zc0_1001; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_padz00_1031;
BgL_padz00_1031 = BgL_padz00_1002; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_stringzd2ze3keyz31_1032;
BgL_stringzd2ze3keyz31_1032 = BgL_stringzd2ze3keyz31_1003; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_res2730z00_3026;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_cipherz00_3018; obj_t BgL_plaintextz00_3019; obj_t BgL_passwordz00_3020;
if(
SYMBOLP(BgL_arg2054z00_1024))
{ /* Llib/block_ciphers.scm 801 */
BgL_cipherz00_3018 = BgL_arg2054z00_1024; }  else 
{ 
 obj_t BgL_auxz00_7981;
BgL_auxz00_7981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2054z00_1024); 
FAILURE(BgL_auxz00_7981,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2055z00_1025))
{ /* Llib/block_ciphers.scm 801 */
BgL_plaintextz00_3019 = BgL_arg2055z00_1025; }  else 
{ 
 obj_t BgL_auxz00_7987;
BgL_auxz00_7987 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2055z00_1025); 
FAILURE(BgL_auxz00_7987,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2056z00_1026))
{ /* Llib/block_ciphers.scm 801 */
BgL_passwordz00_3020 = BgL_arg2056z00_1026; }  else 
{ 
 obj_t BgL_auxz00_7993;
BgL_auxz00_7993 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2056z00_1026); 
FAILURE(BgL_auxz00_7993,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3022; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3023;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3022 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3023 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3018, BgL_passwordz00_3020, BgL_ivz00_1027, BgL_modez00_1028, BgL_padz00_1031, BgL_noncezd2initz12zc0_1029, BgL_noncezd2updatez12zc0_1030, BgL_stringzd2ze3keyz31_1032); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3023, BgL_plaintextz00_3019, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3022, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 819 */
 obj_t BgL_aux2919z00_5260;
BgL_aux2919z00_5260 = 
bgl_close_output_port(BgL_pz00_3022); 
if(
STRINGP(BgL_aux2919z00_5260))
{ /* Llib/block_ciphers.scm 819 */
BgL_res2730z00_3026 = BgL_aux2919z00_5260; }  else 
{ 
 obj_t BgL_auxz00_8003;
BgL_auxz00_8003 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29795)), BGl_string3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2919z00_5260); 
FAILURE(BgL_auxz00_8003,BFALSE,BFALSE);} } } } 
return BgL_res2730z00_3026;} } } } } } } } } } } } } } } } } 

}



/* search1402~0 */
obj_t BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1401z00_5119, obj_t BgL_opt1399z00_5118, obj_t BgL_k1z00_992, long BgL_iz00_993)
{
{ /* Llib/block_ciphers.scm 801 */
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_993==BgL_l1401z00_5119))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 801 */
if(
(BgL_iz00_993==
(BgL_l1401z00_5119-((long)1))))
{ /* Llib/block_ciphers.scm 801 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)28)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1399z00_5118)));}  else 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_vz00_1037;
BgL_vz00_1037 = 
VECTOR_REF(BgL_opt1399z00_5118,BgL_iz00_993); 
if(
(BgL_vz00_1037==BgL_k1z00_992))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(
(BgL_iz00_993+((long)1)));}  else 
{ 
 long BgL_iz00_8022;
BgL_iz00_8022 = 
(BgL_iz00_993+((long)2)); 
BgL_iz00_993 = BgL_iz00_8022; 
goto BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-port */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_255, obj_t BgL_plaintextz00_256, obj_t BgL_passwordz00_257, obj_t BgL_ivz00_258, obj_t BgL_modez00_259, obj_t BgL_noncezd2initz12zc0_260, obj_t BgL_noncezd2updatez12zc0_261, obj_t BgL_padz00_262, obj_t BgL_stringzd2ze3keyz31_263)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3028; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3029;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3028 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3029 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_255, BgL_passwordz00_257, BgL_ivz00_258, BgL_modez00_259, BgL_padz00_262, BgL_noncezd2initz12zc0_260, BgL_noncezd2updatez12zc0_261, BgL_stringzd2ze3keyz31_263); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3029, BgL_plaintextz00_256, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3028, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_3028);} } 

}



/* &encrypt-fast-port */
obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4454, obj_t BgL_cipherz00_4455, obj_t BgL_plaintextz00_4456, obj_t BgL_passwordz00_4457, obj_t BgL_ivz00_4458, obj_t BgL_modez00_4459, obj_t BgL_padz00_4460, obj_t BgL_noncezd2initz12zc0_4461, obj_t BgL_noncezd2updatez12zc0_4462, obj_t BgL_stringzd2ze3keyz31_4463)
{
{ /* Llib/block_ciphers.scm 809 */
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_plaintextz00_5637;
if(
INPUT_PORTP(BgL_plaintextz00_4456))
{ /* Llib/block_ciphers.scm 812 */
BgL_plaintextz00_5637 = BgL_plaintextz00_4456; }  else 
{ 
 obj_t BgL_auxz00_8030;
BgL_auxz00_8030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29553)), BGl_string3260z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4456); 
FAILURE(BgL_auxz00_8030,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_5638; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5639;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_5638 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_5639 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4455, BgL_passwordz00_4457, BgL_ivz00_4458, BgL_modez00_4459, BgL_padz00_4460, BgL_noncezd2initz12zc0_4461, BgL_noncezd2updatez12zc0_4462, BgL_stringzd2ze3keyz31_4463); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5639, BgL_plaintextz00_5637, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_5638, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_5638);} } } 

}



/* _encrypt-file */
obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1412z00_285, obj_t BgL_opt1411z00_284)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_cipherz00_1048; obj_t BgL_filenamez00_1049; obj_t BgL_passwordz00_1050;
BgL_cipherz00_1048 = 
VECTOR_REF(BgL_opt1411z00_284,((long)0)); 
BgL_filenamez00_1049 = 
VECTOR_REF(BgL_opt1411z00_284,((long)1)); 
BgL_passwordz00_1050 = 
VECTOR_REF(BgL_opt1411z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_ivz00_1051;
BgL_ivz00_1051 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
 obj_t BgL_modez00_1052;
BgL_modez00_1052 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2initz12zc0_1053;
BgL_noncezd2initz12zc0_1053 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2updatez12zc0_1054;
BgL_noncezd2updatez12zc0_1054 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
 obj_t BgL_padz00_1055;
BgL_padz00_1055 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_stringzd2ze3keyz31_1056;
BgL_stringzd2ze3keyz31_1056 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */

{ 
 long BgL_iz00_1057;
BgL_iz00_1057 = ((long)3); 
BgL_check1415z00_1058:
if(
(BgL_iz00_1057==
VECTOR_LENGTH(BgL_opt1411z00_284)))
{ /* Llib/block_ciphers.scm 821 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3896z00_8046;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2069z00_1064;
BgL_arg2069z00_1064 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_iz00_1057); 
BgL_test3896z00_8046 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2069z00_1064, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3896z00_8046)
{ 
 long BgL_iz00_8051;
BgL_iz00_8051 = 
(BgL_iz00_1057+((long)2)); 
BgL_iz00_1057 = BgL_iz00_8051; 
goto BgL_check1415z00_1058;}  else 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2068z00_1063;
BgL_arg2068z00_1063 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_iz00_1057); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)29)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2068z00_1063); } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1417z00_1065;
BgL_index1417z00_1065 = 
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_284), BgL_opt1411z00_284, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3897z00_8059;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3051;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8060;
if(
INTEGERP(BgL_index1417z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8060 = BgL_index1417z00_1065
; }  else 
{ 
 obj_t BgL_auxz00_8063;
BgL_auxz00_8063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1065); 
FAILURE(BgL_auxz00_8063,BFALSE,BFALSE);} 
BgL_n1z00_3051 = 
(long)CINT(BgL_tmpz00_8060); } 
BgL_test3897z00_8059 = 
(BgL_n1z00_3051>=((long)0)); } 
if(BgL_test3897z00_8059)
{ 
 long BgL_auxz00_8069;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8070;
if(
INTEGERP(BgL_index1417z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8070 = BgL_index1417z00_1065
; }  else 
{ 
 obj_t BgL_auxz00_8073;
BgL_auxz00_8073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1065); 
FAILURE(BgL_auxz00_8073,BFALSE,BFALSE);} 
BgL_auxz00_8069 = 
(long)CINT(BgL_tmpz00_8070); } 
BgL_ivz00_1051 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_auxz00_8069); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1418z00_1067;
BgL_index1418z00_1067 = 
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_284), BgL_opt1411z00_284, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3900z00_8082;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3052;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8083;
if(
INTEGERP(BgL_index1418z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8083 = BgL_index1418z00_1067
; }  else 
{ 
 obj_t BgL_auxz00_8086;
BgL_auxz00_8086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1067); 
FAILURE(BgL_auxz00_8086,BFALSE,BFALSE);} 
BgL_n1z00_3052 = 
(long)CINT(BgL_tmpz00_8083); } 
BgL_test3900z00_8082 = 
(BgL_n1z00_3052>=((long)0)); } 
if(BgL_test3900z00_8082)
{ 
 long BgL_auxz00_8092;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8093;
if(
INTEGERP(BgL_index1418z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8093 = BgL_index1418z00_1067
; }  else 
{ 
 obj_t BgL_auxz00_8096;
BgL_auxz00_8096 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1067); 
FAILURE(BgL_auxz00_8096,BFALSE,BFALSE);} 
BgL_auxz00_8092 = 
(long)CINT(BgL_tmpz00_8093); } 
BgL_modez00_1052 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_auxz00_8092); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1419z00_1069;
BgL_index1419z00_1069 = 
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_284), BgL_opt1411z00_284, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3903z00_8105;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3053;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8106;
if(
INTEGERP(BgL_index1419z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8106 = BgL_index1419z00_1069
; }  else 
{ 
 obj_t BgL_auxz00_8109;
BgL_auxz00_8109 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1069); 
FAILURE(BgL_auxz00_8109,BFALSE,BFALSE);} 
BgL_n1z00_3053 = 
(long)CINT(BgL_tmpz00_8106); } 
BgL_test3903z00_8105 = 
(BgL_n1z00_3053>=((long)0)); } 
if(BgL_test3903z00_8105)
{ 
 long BgL_auxz00_8115;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8116;
if(
INTEGERP(BgL_index1419z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8116 = BgL_index1419z00_1069
; }  else 
{ 
 obj_t BgL_auxz00_8119;
BgL_auxz00_8119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1069); 
FAILURE(BgL_auxz00_8119,BFALSE,BFALSE);} 
BgL_auxz00_8115 = 
(long)CINT(BgL_tmpz00_8116); } 
BgL_noncezd2initz12zc0_1053 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_auxz00_8115); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1420z00_1071;
BgL_index1420z00_1071 = 
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_284), BgL_opt1411z00_284, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3906z00_8128;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3054;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8129;
if(
INTEGERP(BgL_index1420z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8129 = BgL_index1420z00_1071
; }  else 
{ 
 obj_t BgL_auxz00_8132;
BgL_auxz00_8132 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1071); 
FAILURE(BgL_auxz00_8132,BFALSE,BFALSE);} 
BgL_n1z00_3054 = 
(long)CINT(BgL_tmpz00_8129); } 
BgL_test3906z00_8128 = 
(BgL_n1z00_3054>=((long)0)); } 
if(BgL_test3906z00_8128)
{ 
 long BgL_auxz00_8138;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8139;
if(
INTEGERP(BgL_index1420z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8139 = BgL_index1420z00_1071
; }  else 
{ 
 obj_t BgL_auxz00_8142;
BgL_auxz00_8142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1071); 
FAILURE(BgL_auxz00_8142,BFALSE,BFALSE);} 
BgL_auxz00_8138 = 
(long)CINT(BgL_tmpz00_8139); } 
BgL_noncezd2updatez12zc0_1054 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_auxz00_8138); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1421z00_1073;
BgL_index1421z00_1073 = 
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_284), BgL_opt1411z00_284, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3909z00_8151;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3055;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8152;
if(
INTEGERP(BgL_index1421z00_1073))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8152 = BgL_index1421z00_1073
; }  else 
{ 
 obj_t BgL_auxz00_8155;
BgL_auxz00_8155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1421z00_1073); 
FAILURE(BgL_auxz00_8155,BFALSE,BFALSE);} 
BgL_n1z00_3055 = 
(long)CINT(BgL_tmpz00_8152); } 
BgL_test3909z00_8151 = 
(BgL_n1z00_3055>=((long)0)); } 
if(BgL_test3909z00_8151)
{ 
 long BgL_auxz00_8161;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8162;
if(
INTEGERP(BgL_index1421z00_1073))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8162 = BgL_index1421z00_1073
; }  else 
{ 
 obj_t BgL_auxz00_8165;
BgL_auxz00_8165 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1421z00_1073); 
FAILURE(BgL_auxz00_8165,BFALSE,BFALSE);} 
BgL_auxz00_8161 = 
(long)CINT(BgL_tmpz00_8162); } 
BgL_padz00_1055 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_auxz00_8161); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1422z00_1075;
BgL_index1422z00_1075 = 
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_284), BgL_opt1411z00_284, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3912z00_8174;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3056;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8175;
if(
INTEGERP(BgL_index1422z00_1075))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8175 = BgL_index1422z00_1075
; }  else 
{ 
 obj_t BgL_auxz00_8178;
BgL_auxz00_8178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1422z00_1075); 
FAILURE(BgL_auxz00_8178,BFALSE,BFALSE);} 
BgL_n1z00_3056 = 
(long)CINT(BgL_tmpz00_8175); } 
BgL_test3912z00_8174 = 
(BgL_n1z00_3056>=((long)0)); } 
if(BgL_test3912z00_8174)
{ 
 long BgL_auxz00_8184;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8185;
if(
INTEGERP(BgL_index1422z00_1075))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8185 = BgL_index1422z00_1075
; }  else 
{ 
 obj_t BgL_auxz00_8188;
BgL_auxz00_8188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1422z00_1075); 
FAILURE(BgL_auxz00_8188,BFALSE,BFALSE);} 
BgL_auxz00_8184 = 
(long)CINT(BgL_tmpz00_8185); } 
BgL_stringzd2ze3keyz31_1056 = 
VECTOR_REF(BgL_opt1411z00_284,BgL_auxz00_8184); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2076z00_1077; obj_t BgL_arg2077z00_1078; obj_t BgL_arg2078z00_1079;
BgL_arg2076z00_1077 = 
VECTOR_REF(BgL_opt1411z00_284,((long)0)); 
BgL_arg2077z00_1078 = 
VECTOR_REF(BgL_opt1411z00_284,((long)1)); 
BgL_arg2078z00_1079 = 
VECTOR_REF(BgL_opt1411z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_ivz00_1080;
BgL_ivz00_1080 = BgL_ivz00_1051; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_modez00_1081;
BgL_modez00_1081 = BgL_modez00_1052; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2initz12zc0_1082;
BgL_noncezd2initz12zc0_1082 = BgL_noncezd2initz12zc0_1053; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2updatez12zc0_1083;
BgL_noncezd2updatez12zc0_1083 = BgL_noncezd2updatez12zc0_1054; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_padz00_1084;
BgL_padz00_1084 = BgL_padz00_1055; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_stringzd2ze3keyz31_1085;
BgL_stringzd2ze3keyz31_1085 = BgL_stringzd2ze3keyz31_1056; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_res2731z00_3081;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_cipherz00_3057; obj_t BgL_filenamez00_3058; obj_t BgL_passwordz00_3059;
if(
SYMBOLP(BgL_arg2076z00_1077))
{ /* Llib/block_ciphers.scm 821 */
BgL_cipherz00_3057 = BgL_arg2076z00_1077; }  else 
{ 
 obj_t BgL_auxz00_8199;
BgL_auxz00_8199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2076z00_1077); 
FAILURE(BgL_auxz00_8199,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2077z00_1078))
{ /* Llib/block_ciphers.scm 821 */
BgL_filenamez00_3058 = BgL_arg2077z00_1078; }  else 
{ 
 obj_t BgL_auxz00_8205;
BgL_auxz00_8205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2077z00_1078); 
FAILURE(BgL_auxz00_8205,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2078z00_1079))
{ /* Llib/block_ciphers.scm 821 */
BgL_passwordz00_3059 = BgL_arg2078z00_1079; }  else 
{ 
 obj_t BgL_auxz00_8211;
BgL_auxz00_8211 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2078z00_1079); 
FAILURE(BgL_auxz00_8211,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 825 */
 obj_t BgL_pz00_3060;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3060 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3058, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3060))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(BGl_string3262z00zz__cryptozd2blockzd2ciphersz00, BGl_string3263z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3058); } 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_exitd1234z00_3064;
BgL_exitd1234z00_3064 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_zc3z04anonymousza32086ze3z87_4470;
BgL_zc3z04anonymousza32086ze3z87_4470 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32086ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_4470, 
(int)(((long)0)), BgL_pz00_3060); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1818z00_3068;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1819z00_3069;
BgL_arg1819z00_3069 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3064); 
BgL_arg1818z00_3068 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32086ze3z87_4470, BgL_arg1819z00_3069); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3064, BgL_arg1818z00_3068); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_tmp1236z00_3066;
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_plaintextz00_3070;
if(
INPUT_PORTP(BgL_pz00_3060))
{ /* Llib/block_ciphers.scm 831 */
BgL_plaintextz00_3070 = BgL_pz00_3060; }  else 
{ 
 obj_t BgL_auxz00_8231;
BgL_auxz00_8231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30188)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3060); 
FAILURE(BgL_auxz00_8231,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3071; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3072;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3071 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3072 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3057, BgL_passwordz00_3059, BgL_ivz00_1080, BgL_modez00_1081, BgL_padz00_1084, BgL_noncezd2initz12zc0_1082, BgL_noncezd2updatez12zc0_1083, BgL_stringzd2ze3keyz31_1085); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3072, BgL_plaintextz00_3070, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3071, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1236z00_3066 = 
bgl_close_output_port(BgL_pz00_3071); } } 
{ /* Llib/block_ciphers.scm 830 */
 bool_t BgL_test3920z00_8239;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1817z00_3076;
BgL_arg1817z00_3076 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3064); 
BgL_test3920z00_8239 = 
PAIRP(BgL_arg1817z00_3076); } 
if(BgL_test3920z00_8239)
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1815z00_3077;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1816z00_3078;
BgL_arg1816z00_3078 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3064); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_pairz00_3079;
if(
PAIRP(BgL_arg1816z00_3078))
{ /* Llib/block_ciphers.scm 830 */
BgL_pairz00_3079 = BgL_arg1816z00_3078; }  else 
{ 
 obj_t BgL_auxz00_8245;
BgL_auxz00_8245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30144)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3264z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1816z00_3078); 
FAILURE(BgL_auxz00_8245,BFALSE,BFALSE);} 
BgL_arg1815z00_3077 = 
CDR(BgL_pairz00_3079); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3064, BgL_arg1815z00_3077); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 830 */BFALSE; } } 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_portz00_3080;
if(
INPUT_PORTP(BgL_pz00_3060))
{ /* Llib/block_ciphers.scm 834 */
BgL_portz00_3080 = BgL_pz00_3060; }  else 
{ 
 obj_t BgL_auxz00_8253;
BgL_auxz00_8253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30284)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3060); 
FAILURE(BgL_auxz00_8253,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3080); } 
if(
STRINGP(BgL_tmp1236z00_3066))
{ /* Llib/block_ciphers.scm 830 */
BgL_res2731z00_3081 = BgL_tmp1236z00_3066; }  else 
{ 
 obj_t BgL_auxz00_8260;
BgL_auxz00_8260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30144)), BGl_string3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_tmp1236z00_3066); 
FAILURE(BgL_auxz00_8260,BFALSE,BFALSE);} } } } } } 
return BgL_res2731z00_3081;} } } } } } } } } } } } } } } } } 

}



/* search1414~0 */
obj_t BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1413z00_5117, obj_t BgL_opt1411z00_5116, obj_t BgL_k1z00_1045, long BgL_iz00_1046)
{
{ /* Llib/block_ciphers.scm 821 */
BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1046==BgL_l1413z00_5117))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 821 */
if(
(BgL_iz00_1046==
(BgL_l1413z00_5117-((long)1))))
{ /* Llib/block_ciphers.scm 821 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)29)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1411z00_5116)));}  else 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_vz00_1090;
BgL_vz00_1090 = 
VECTOR_REF(BgL_opt1411z00_5116,BgL_iz00_1046); 
if(
(BgL_vz00_1090==BgL_k1z00_1045))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(
(BgL_iz00_1046+((long)1)));}  else 
{ 
 long BgL_iz00_8279;
BgL_iz00_8279 = 
(BgL_iz00_1046+((long)2)); 
BgL_iz00_1046 = BgL_iz00_8279; 
goto BGl_search1414ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2086> */
obj_t BGl_z62zc3z04anonymousza32086ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4471)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_pz00_4472;
BgL_pz00_4472 = 
PROCEDURE_REF(BgL_envz00_4471, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4472));} } 

}



/* encrypt-file */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_275, obj_t BgL_filenamez00_276, obj_t BgL_passwordz00_277, obj_t BgL_ivz00_278, obj_t BgL_modez00_279, obj_t BgL_noncezd2initz12zc0_280, obj_t BgL_noncezd2updatez12zc0_281, obj_t BgL_padz00_282, obj_t BgL_stringzd2ze3keyz31_283)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 825 */
 obj_t BgL_pz00_3082;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3082 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_276, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3082))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(BGl_string3262z00zz__cryptozd2blockzd2ciphersz00, BGl_string3263z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_276); } 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_exitd1234z00_3086;
BgL_exitd1234z00_3086 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_zc3z04anonymousza32086ze3z87_4473;
BgL_zc3z04anonymousza32086ze3z87_4473 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32086ze32787ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_4473, 
(int)(((long)0)), BgL_pz00_3082); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1818z00_3090;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1819z00_3091;
BgL_arg1819z00_3091 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3086); 
BgL_arg1818z00_3090 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32086ze3z87_4473, BgL_arg1819z00_3091); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3086, BgL_arg1818z00_3090); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_tmp1236z00_3088;
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3093; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3094;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3093 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3094 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_275, BgL_passwordz00_277, BgL_ivz00_278, BgL_modez00_279, BgL_padz00_282, BgL_noncezd2initz12zc0_280, BgL_noncezd2updatez12zc0_281, BgL_stringzd2ze3keyz31_283); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3094, 
((obj_t)BgL_pz00_3082), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3093, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1236z00_3088 = 
bgl_close_output_port(BgL_pz00_3093); } 
{ /* Llib/block_ciphers.scm 830 */
 bool_t BgL_test3928z00_8304;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1817z00_3098;
BgL_arg1817z00_3098 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3086); 
BgL_test3928z00_8304 = 
PAIRP(BgL_arg1817z00_3098); } 
if(BgL_test3928z00_8304)
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1815z00_3099;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1816z00_3100;
BgL_arg1816z00_3100 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3086); 
BgL_arg1815z00_3099 = 
CDR(
((obj_t)BgL_arg1816z00_3100)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3086, BgL_arg1815z00_3099); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 830 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_3082)); 
return BgL_tmp1236z00_3088;} } } } } 

}



/* &<@anonymous:2086>2787 */
obj_t BGl_z62zc3z04anonymousza32086ze32787ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4474)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_pz00_4475;
BgL_pz00_4475 = 
PROCEDURE_REF(BgL_envz00_4474, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4475));} } 

}



/* _encrypt-sendchars */
obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1424z00_297, obj_t BgL_opt1423z00_296)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_cipherz00_1107; obj_t BgL_inz00_1108; obj_t BgL_outz00_1109; obj_t BgL_passwordz00_1110;
BgL_cipherz00_1107 = 
VECTOR_REF(BgL_opt1423z00_296,((long)0)); 
BgL_inz00_1108 = 
VECTOR_REF(BgL_opt1423z00_296,((long)1)); 
BgL_outz00_1109 = 
VECTOR_REF(BgL_opt1423z00_296,((long)2)); 
BgL_passwordz00_1110 = 
VECTOR_REF(BgL_opt1423z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_ivz00_1111;
BgL_ivz00_1111 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
 obj_t BgL_modez00_1112;
BgL_modez00_1112 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2initz12zc0_1113;
BgL_noncezd2initz12zc0_1113 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2updatez12zc0_1114;
BgL_noncezd2updatez12zc0_1114 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
 obj_t BgL_padz00_1115;
BgL_padz00_1115 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_stringzd2ze3keyz31_1116;
BgL_stringzd2ze3keyz31_1116 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */

{ 
 long BgL_iz00_1117;
BgL_iz00_1117 = ((long)4); 
BgL_check1427z00_1118:
if(
(BgL_iz00_1117==
VECTOR_LENGTH(BgL_opt1423z00_296)))
{ /* Llib/block_ciphers.scm 836 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3930z00_8326;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2092z00_1124;
BgL_arg2092z00_1124 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_iz00_1117); 
BgL_test3930z00_8326 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2092z00_1124, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3930z00_8326)
{ 
 long BgL_iz00_8331;
BgL_iz00_8331 = 
(BgL_iz00_1117+((long)2)); 
BgL_iz00_1117 = BgL_iz00_8331; 
goto BgL_check1427z00_1118;}  else 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2091z00_1123;
BgL_arg2091z00_1123 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_iz00_1117); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2091z00_1123); } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1429z00_1125;
BgL_index1429z00_1125 = 
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1423z00_296), BgL_opt1423z00_296, 
CNST_TABLE_REF(((long)19)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3931z00_8339;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3118;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8340;
if(
INTEGERP(BgL_index1429z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8340 = BgL_index1429z00_1125
; }  else 
{ 
 obj_t BgL_auxz00_8343;
BgL_auxz00_8343 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1125); 
FAILURE(BgL_auxz00_8343,BFALSE,BFALSE);} 
BgL_n1z00_3118 = 
(long)CINT(BgL_tmpz00_8340); } 
BgL_test3931z00_8339 = 
(BgL_n1z00_3118>=((long)0)); } 
if(BgL_test3931z00_8339)
{ 
 long BgL_auxz00_8349;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8350;
if(
INTEGERP(BgL_index1429z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8350 = BgL_index1429z00_1125
; }  else 
{ 
 obj_t BgL_auxz00_8353;
BgL_auxz00_8353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1125); 
FAILURE(BgL_auxz00_8353,BFALSE,BFALSE);} 
BgL_auxz00_8349 = 
(long)CINT(BgL_tmpz00_8350); } 
BgL_ivz00_1111 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_auxz00_8349); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1430z00_1127;
BgL_index1430z00_1127 = 
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1423z00_296), BgL_opt1423z00_296, 
CNST_TABLE_REF(((long)20)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3934z00_8362;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3119;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8363;
if(
INTEGERP(BgL_index1430z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8363 = BgL_index1430z00_1127
; }  else 
{ 
 obj_t BgL_auxz00_8366;
BgL_auxz00_8366 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1127); 
FAILURE(BgL_auxz00_8366,BFALSE,BFALSE);} 
BgL_n1z00_3119 = 
(long)CINT(BgL_tmpz00_8363); } 
BgL_test3934z00_8362 = 
(BgL_n1z00_3119>=((long)0)); } 
if(BgL_test3934z00_8362)
{ 
 long BgL_auxz00_8372;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8373;
if(
INTEGERP(BgL_index1430z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8373 = BgL_index1430z00_1127
; }  else 
{ 
 obj_t BgL_auxz00_8376;
BgL_auxz00_8376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1127); 
FAILURE(BgL_auxz00_8376,BFALSE,BFALSE);} 
BgL_auxz00_8372 = 
(long)CINT(BgL_tmpz00_8373); } 
BgL_modez00_1112 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_auxz00_8372); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1431z00_1129;
BgL_index1431z00_1129 = 
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1423z00_296), BgL_opt1423z00_296, 
CNST_TABLE_REF(((long)21)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3937z00_8385;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3120;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8386;
if(
INTEGERP(BgL_index1431z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8386 = BgL_index1431z00_1129
; }  else 
{ 
 obj_t BgL_auxz00_8389;
BgL_auxz00_8389 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1129); 
FAILURE(BgL_auxz00_8389,BFALSE,BFALSE);} 
BgL_n1z00_3120 = 
(long)CINT(BgL_tmpz00_8386); } 
BgL_test3937z00_8385 = 
(BgL_n1z00_3120>=((long)0)); } 
if(BgL_test3937z00_8385)
{ 
 long BgL_auxz00_8395;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8396;
if(
INTEGERP(BgL_index1431z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8396 = BgL_index1431z00_1129
; }  else 
{ 
 obj_t BgL_auxz00_8399;
BgL_auxz00_8399 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1129); 
FAILURE(BgL_auxz00_8399,BFALSE,BFALSE);} 
BgL_auxz00_8395 = 
(long)CINT(BgL_tmpz00_8396); } 
BgL_noncezd2initz12zc0_1113 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_auxz00_8395); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1432z00_1131;
BgL_index1432z00_1131 = 
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1423z00_296), BgL_opt1423z00_296, 
CNST_TABLE_REF(((long)22)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3940z00_8408;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3121;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8409;
if(
INTEGERP(BgL_index1432z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8409 = BgL_index1432z00_1131
; }  else 
{ 
 obj_t BgL_auxz00_8412;
BgL_auxz00_8412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1131); 
FAILURE(BgL_auxz00_8412,BFALSE,BFALSE);} 
BgL_n1z00_3121 = 
(long)CINT(BgL_tmpz00_8409); } 
BgL_test3940z00_8408 = 
(BgL_n1z00_3121>=((long)0)); } 
if(BgL_test3940z00_8408)
{ 
 long BgL_auxz00_8418;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8419;
if(
INTEGERP(BgL_index1432z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8419 = BgL_index1432z00_1131
; }  else 
{ 
 obj_t BgL_auxz00_8422;
BgL_auxz00_8422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1131); 
FAILURE(BgL_auxz00_8422,BFALSE,BFALSE);} 
BgL_auxz00_8418 = 
(long)CINT(BgL_tmpz00_8419); } 
BgL_noncezd2updatez12zc0_1114 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_auxz00_8418); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1433z00_1133;
BgL_index1433z00_1133 = 
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1423z00_296), BgL_opt1423z00_296, 
CNST_TABLE_REF(((long)23)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3943z00_8431;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3122;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8432;
if(
INTEGERP(BgL_index1433z00_1133))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8432 = BgL_index1433z00_1133
; }  else 
{ 
 obj_t BgL_auxz00_8435;
BgL_auxz00_8435 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1433z00_1133); 
FAILURE(BgL_auxz00_8435,BFALSE,BFALSE);} 
BgL_n1z00_3122 = 
(long)CINT(BgL_tmpz00_8432); } 
BgL_test3943z00_8431 = 
(BgL_n1z00_3122>=((long)0)); } 
if(BgL_test3943z00_8431)
{ 
 long BgL_auxz00_8441;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8442;
if(
INTEGERP(BgL_index1433z00_1133))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8442 = BgL_index1433z00_1133
; }  else 
{ 
 obj_t BgL_auxz00_8445;
BgL_auxz00_8445 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1433z00_1133); 
FAILURE(BgL_auxz00_8445,BFALSE,BFALSE);} 
BgL_auxz00_8441 = 
(long)CINT(BgL_tmpz00_8442); } 
BgL_padz00_1115 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_auxz00_8441); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1434z00_1135;
BgL_index1434z00_1135 = 
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1423z00_296), BgL_opt1423z00_296, 
CNST_TABLE_REF(((long)24)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3946z00_8454;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3123;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8455;
if(
INTEGERP(BgL_index1434z00_1135))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8455 = BgL_index1434z00_1135
; }  else 
{ 
 obj_t BgL_auxz00_8458;
BgL_auxz00_8458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1434z00_1135); 
FAILURE(BgL_auxz00_8458,BFALSE,BFALSE);} 
BgL_n1z00_3123 = 
(long)CINT(BgL_tmpz00_8455); } 
BgL_test3946z00_8454 = 
(BgL_n1z00_3123>=((long)0)); } 
if(BgL_test3946z00_8454)
{ 
 long BgL_auxz00_8464;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8465;
if(
INTEGERP(BgL_index1434z00_1135))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8465 = BgL_index1434z00_1135
; }  else 
{ 
 obj_t BgL_auxz00_8468;
BgL_auxz00_8468 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1434z00_1135); 
FAILURE(BgL_auxz00_8468,BFALSE,BFALSE);} 
BgL_auxz00_8464 = 
(long)CINT(BgL_tmpz00_8465); } 
BgL_stringzd2ze3keyz31_1116 = 
VECTOR_REF(BgL_opt1423z00_296,BgL_auxz00_8464); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2099z00_1137; obj_t BgL_arg2100z00_1138; obj_t BgL_arg2101z00_1139; obj_t BgL_arg2102z00_1140;
BgL_arg2099z00_1137 = 
VECTOR_REF(BgL_opt1423z00_296,((long)0)); 
BgL_arg2100z00_1138 = 
VECTOR_REF(BgL_opt1423z00_296,((long)1)); 
BgL_arg2101z00_1139 = 
VECTOR_REF(BgL_opt1423z00_296,((long)2)); 
BgL_arg2102z00_1140 = 
VECTOR_REF(BgL_opt1423z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_ivz00_1141;
BgL_ivz00_1141 = BgL_ivz00_1111; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_modez00_1142;
BgL_modez00_1142 = BgL_modez00_1112; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2initz12zc0_1143;
BgL_noncezd2initz12zc0_1143 = BgL_noncezd2initz12zc0_1113; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2updatez12zc0_1144;
BgL_noncezd2updatez12zc0_1144 = BgL_noncezd2updatez12zc0_1114; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_padz00_1145;
BgL_padz00_1145 = BgL_padz00_1115; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_stringzd2ze3keyz31_1146;
BgL_stringzd2ze3keyz31_1146 = BgL_stringzd2ze3keyz31_1116; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_cipherz00_3124; obj_t BgL_inz00_3125; obj_t BgL_outz00_3126; obj_t BgL_passwordz00_3127;
if(
SYMBOLP(BgL_arg2099z00_1137))
{ /* Llib/block_ciphers.scm 836 */
BgL_cipherz00_3124 = BgL_arg2099z00_1137; }  else 
{ 
 obj_t BgL_auxz00_8480;
BgL_auxz00_8480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2099z00_1137); 
FAILURE(BgL_auxz00_8480,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2100z00_1138))
{ /* Llib/block_ciphers.scm 836 */
BgL_inz00_3125 = BgL_arg2100z00_1138; }  else 
{ 
 obj_t BgL_auxz00_8486;
BgL_auxz00_8486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2100z00_1138); 
FAILURE(BgL_auxz00_8486,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2101z00_1139))
{ /* Llib/block_ciphers.scm 836 */
BgL_outz00_3126 = BgL_arg2101z00_1139; }  else 
{ 
 obj_t BgL_auxz00_8492;
BgL_auxz00_8492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3266z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2101z00_1139); 
FAILURE(BgL_auxz00_8492,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2102z00_1140))
{ /* Llib/block_ciphers.scm 836 */
BgL_passwordz00_3127 = BgL_arg2102z00_1140; }  else 
{ 
 obj_t BgL_auxz00_8498;
BgL_auxz00_8498 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2102z00_1140); 
FAILURE(BgL_auxz00_8498,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 841 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3128;
BgL_statez00_3128 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3124, BgL_passwordz00_3127, BgL_ivz00_1141, BgL_modez00_1142, BgL_padz00_1145, BgL_noncezd2initz12zc0_1143, BgL_noncezd2updatez12zc0_1144, BgL_stringzd2ze3keyz31_1146); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3128, BgL_inz00_3125, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3126, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 

}



/* search1426~0 */
obj_t BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1425z00_5115, obj_t BgL_opt1423z00_5114, obj_t BgL_k1z00_1104, long BgL_iz00_1105)
{
{ /* Llib/block_ciphers.scm 836 */
BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1105==BgL_l1425z00_5115))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 836 */
if(
(BgL_iz00_1105==
(BgL_l1425z00_5115-((long)1))))
{ /* Llib/block_ciphers.scm 836 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string3267z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1423z00_5114)));}  else 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_vz00_1151;
BgL_vz00_1151 = 
VECTOR_REF(BgL_opt1423z00_5114,BgL_iz00_1105); 
if(
(BgL_vz00_1151==BgL_k1z00_1104))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(
(BgL_iz00_1105+((long)1)));}  else 
{ 
 long BgL_iz00_8520;
BgL_iz00_8520 = 
(BgL_iz00_1105+((long)2)); 
BgL_iz00_1105 = BgL_iz00_8520; 
goto BGl_search1426ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_286, obj_t BgL_inz00_287, obj_t BgL_outz00_288, obj_t BgL_passwordz00_289, obj_t BgL_ivz00_290, obj_t BgL_modez00_291, obj_t BgL_noncezd2initz12zc0_292, obj_t BgL_noncezd2updatez12zc0_293, obj_t BgL_padz00_294, obj_t BgL_stringzd2ze3keyz31_295)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 841 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3129;
BgL_statez00_3129 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_286, BgL_passwordz00_289, BgL_ivz00_290, BgL_modez00_291, BgL_padz00_294, BgL_noncezd2initz12zc0_292, BgL_noncezd2updatez12zc0_293, BgL_stringzd2ze3keyz31_295); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3129, BgL_inz00_287, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_288, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* _decrypt */
obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1436z00_308, obj_t BgL_opt1435z00_307)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_cipherz00_1160; obj_t BgL_ciphertextz00_1161; obj_t BgL_passwordz00_1162;
BgL_cipherz00_1160 = 
VECTOR_REF(BgL_opt1435z00_307,((long)0)); 
BgL_ciphertextz00_1161 = 
VECTOR_REF(BgL_opt1435z00_307,((long)1)); 
BgL_passwordz00_1162 = 
VECTOR_REF(BgL_opt1435z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_ivz00_1163;
BgL_ivz00_1163 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
 obj_t BgL_modez00_1164;
BgL_modez00_1164 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2initz12zc0_1165;
BgL_noncezd2initz12zc0_1165 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2updatez12zc0_1166;
BgL_noncezd2updatez12zc0_1166 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
 obj_t BgL_padz00_1167;
BgL_padz00_1167 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_stringzd2ze3keyz31_1168;
BgL_stringzd2ze3keyz31_1168 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */

{ 
 long BgL_iz00_1169;
BgL_iz00_1169 = ((long)3); 
BgL_check1439z00_1170:
if(
(BgL_iz00_1169==
VECTOR_LENGTH(BgL_opt1435z00_307)))
{ /* Llib/block_ciphers.scm 850 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3957z00_8533;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2115z00_1176;
BgL_arg2115z00_1176 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_iz00_1169); 
BgL_test3957z00_8533 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2115z00_1176, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3957z00_8533)
{ 
 long BgL_iz00_8538;
BgL_iz00_8538 = 
(BgL_iz00_1169+((long)2)); 
BgL_iz00_1169 = BgL_iz00_8538; 
goto BgL_check1439z00_1170;}  else 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2114z00_1175;
BgL_arg2114z00_1175 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_iz00_1169); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2114z00_1175); } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1441z00_1177;
BgL_index1441z00_1177 = 
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1435z00_307), BgL_opt1435z00_307, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3958z00_8546;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3145;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8547;
if(
INTEGERP(BgL_index1441z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8547 = BgL_index1441z00_1177
; }  else 
{ 
 obj_t BgL_auxz00_8550;
BgL_auxz00_8550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1177); 
FAILURE(BgL_auxz00_8550,BFALSE,BFALSE);} 
BgL_n1z00_3145 = 
(long)CINT(BgL_tmpz00_8547); } 
BgL_test3958z00_8546 = 
(BgL_n1z00_3145>=((long)0)); } 
if(BgL_test3958z00_8546)
{ 
 long BgL_auxz00_8556;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8557;
if(
INTEGERP(BgL_index1441z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8557 = BgL_index1441z00_1177
; }  else 
{ 
 obj_t BgL_auxz00_8560;
BgL_auxz00_8560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1177); 
FAILURE(BgL_auxz00_8560,BFALSE,BFALSE);} 
BgL_auxz00_8556 = 
(long)CINT(BgL_tmpz00_8557); } 
BgL_ivz00_1163 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_auxz00_8556); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1442z00_1179;
BgL_index1442z00_1179 = 
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1435z00_307), BgL_opt1435z00_307, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3961z00_8569;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3146;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8570;
if(
INTEGERP(BgL_index1442z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8570 = BgL_index1442z00_1179
; }  else 
{ 
 obj_t BgL_auxz00_8573;
BgL_auxz00_8573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1179); 
FAILURE(BgL_auxz00_8573,BFALSE,BFALSE);} 
BgL_n1z00_3146 = 
(long)CINT(BgL_tmpz00_8570); } 
BgL_test3961z00_8569 = 
(BgL_n1z00_3146>=((long)0)); } 
if(BgL_test3961z00_8569)
{ 
 long BgL_auxz00_8579;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8580;
if(
INTEGERP(BgL_index1442z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8580 = BgL_index1442z00_1179
; }  else 
{ 
 obj_t BgL_auxz00_8583;
BgL_auxz00_8583 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1179); 
FAILURE(BgL_auxz00_8583,BFALSE,BFALSE);} 
BgL_auxz00_8579 = 
(long)CINT(BgL_tmpz00_8580); } 
BgL_modez00_1164 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_auxz00_8579); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1443z00_1181;
BgL_index1443z00_1181 = 
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1435z00_307), BgL_opt1435z00_307, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3964z00_8592;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3147;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8593;
if(
INTEGERP(BgL_index1443z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8593 = BgL_index1443z00_1181
; }  else 
{ 
 obj_t BgL_auxz00_8596;
BgL_auxz00_8596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1181); 
FAILURE(BgL_auxz00_8596,BFALSE,BFALSE);} 
BgL_n1z00_3147 = 
(long)CINT(BgL_tmpz00_8593); } 
BgL_test3964z00_8592 = 
(BgL_n1z00_3147>=((long)0)); } 
if(BgL_test3964z00_8592)
{ 
 long BgL_auxz00_8602;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8603;
if(
INTEGERP(BgL_index1443z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8603 = BgL_index1443z00_1181
; }  else 
{ 
 obj_t BgL_auxz00_8606;
BgL_auxz00_8606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1181); 
FAILURE(BgL_auxz00_8606,BFALSE,BFALSE);} 
BgL_auxz00_8602 = 
(long)CINT(BgL_tmpz00_8603); } 
BgL_noncezd2initz12zc0_1165 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_auxz00_8602); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1444z00_1183;
BgL_index1444z00_1183 = 
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1435z00_307), BgL_opt1435z00_307, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3967z00_8615;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3148;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8616;
if(
INTEGERP(BgL_index1444z00_1183))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8616 = BgL_index1444z00_1183
; }  else 
{ 
 obj_t BgL_auxz00_8619;
BgL_auxz00_8619 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1444z00_1183); 
FAILURE(BgL_auxz00_8619,BFALSE,BFALSE);} 
BgL_n1z00_3148 = 
(long)CINT(BgL_tmpz00_8616); } 
BgL_test3967z00_8615 = 
(BgL_n1z00_3148>=((long)0)); } 
if(BgL_test3967z00_8615)
{ 
 long BgL_auxz00_8625;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8626;
if(
INTEGERP(BgL_index1444z00_1183))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8626 = BgL_index1444z00_1183
; }  else 
{ 
 obj_t BgL_auxz00_8629;
BgL_auxz00_8629 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1444z00_1183); 
FAILURE(BgL_auxz00_8629,BFALSE,BFALSE);} 
BgL_auxz00_8625 = 
(long)CINT(BgL_tmpz00_8626); } 
BgL_noncezd2updatez12zc0_1166 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_auxz00_8625); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1445z00_1185;
BgL_index1445z00_1185 = 
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1435z00_307), BgL_opt1435z00_307, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3970z00_8638;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3149;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8639;
if(
INTEGERP(BgL_index1445z00_1185))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8639 = BgL_index1445z00_1185
; }  else 
{ 
 obj_t BgL_auxz00_8642;
BgL_auxz00_8642 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1445z00_1185); 
FAILURE(BgL_auxz00_8642,BFALSE,BFALSE);} 
BgL_n1z00_3149 = 
(long)CINT(BgL_tmpz00_8639); } 
BgL_test3970z00_8638 = 
(BgL_n1z00_3149>=((long)0)); } 
if(BgL_test3970z00_8638)
{ 
 long BgL_auxz00_8648;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8649;
if(
INTEGERP(BgL_index1445z00_1185))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8649 = BgL_index1445z00_1185
; }  else 
{ 
 obj_t BgL_auxz00_8652;
BgL_auxz00_8652 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1445z00_1185); 
FAILURE(BgL_auxz00_8652,BFALSE,BFALSE);} 
BgL_auxz00_8648 = 
(long)CINT(BgL_tmpz00_8649); } 
BgL_padz00_1167 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_auxz00_8648); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1446z00_1187;
BgL_index1446z00_1187 = 
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1435z00_307), BgL_opt1435z00_307, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3973z00_8661;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3150;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8662;
if(
INTEGERP(BgL_index1446z00_1187))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8662 = BgL_index1446z00_1187
; }  else 
{ 
 obj_t BgL_auxz00_8665;
BgL_auxz00_8665 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1446z00_1187); 
FAILURE(BgL_auxz00_8665,BFALSE,BFALSE);} 
BgL_n1z00_3150 = 
(long)CINT(BgL_tmpz00_8662); } 
BgL_test3973z00_8661 = 
(BgL_n1z00_3150>=((long)0)); } 
if(BgL_test3973z00_8661)
{ 
 long BgL_auxz00_8671;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8672;
if(
INTEGERP(BgL_index1446z00_1187))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8672 = BgL_index1446z00_1187
; }  else 
{ 
 obj_t BgL_auxz00_8675;
BgL_auxz00_8675 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1446z00_1187); 
FAILURE(BgL_auxz00_8675,BFALSE,BFALSE);} 
BgL_auxz00_8671 = 
(long)CINT(BgL_tmpz00_8672); } 
BgL_stringzd2ze3keyz31_1168 = 
VECTOR_REF(BgL_opt1435z00_307,BgL_auxz00_8671); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2122z00_1189; obj_t BgL_arg2123z00_1190; obj_t BgL_arg2124z00_1191;
BgL_arg2122z00_1189 = 
VECTOR_REF(BgL_opt1435z00_307,((long)0)); 
BgL_arg2123z00_1190 = 
VECTOR_REF(BgL_opt1435z00_307,((long)1)); 
BgL_arg2124z00_1191 = 
VECTOR_REF(BgL_opt1435z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_ivz00_1192;
BgL_ivz00_1192 = BgL_ivz00_1163; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_modez00_1193;
BgL_modez00_1193 = BgL_modez00_1164; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2initz12zc0_1194;
BgL_noncezd2initz12zc0_1194 = BgL_noncezd2initz12zc0_1165; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2updatez12zc0_1195;
BgL_noncezd2updatez12zc0_1195 = BgL_noncezd2updatez12zc0_1166; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_padz00_1196;
BgL_padz00_1196 = BgL_padz00_1167; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_stringzd2ze3keyz31_1197;
BgL_stringzd2ze3keyz31_1197 = BgL_stringzd2ze3keyz31_1168; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_res2733z00_3159;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_cipherz00_3151; obj_t BgL_passwordz00_3152;
if(
SYMBOLP(BgL_arg2122z00_1189))
{ /* Llib/block_ciphers.scm 850 */
BgL_cipherz00_3151 = BgL_arg2122z00_1189; }  else 
{ 
 obj_t BgL_auxz00_8686;
BgL_auxz00_8686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2122z00_1189); 
FAILURE(BgL_auxz00_8686,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2124z00_1191))
{ /* Llib/block_ciphers.scm 850 */
BgL_passwordz00_3152 = BgL_arg2124z00_1191; }  else 
{ 
 obj_t BgL_auxz00_8692;
BgL_auxz00_8692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2124z00_1191); 
FAILURE(BgL_auxz00_8692,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 854 */
 obj_t BgL_redirectz00_3153;
if(
STRINGP(BgL_arg2123z00_1190))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3153 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 855 */
if(
BGL_MMAPP(BgL_arg2123z00_1190))
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3153 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL_test3980z00_8700;
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL__ortest_1057z00_3157;
BgL__ortest_1057z00_3157 = 
OUTPUT_PORTP(BgL_arg2123z00_1190); 
if(BgL__ortest_1057z00_3157)
{ /* Llib/block_ciphers.scm 857 */
BgL_test3980z00_8700 = BgL__ortest_1057z00_3157
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test3980z00_8700 = 
INPUT_PORTP(BgL_arg2123z00_1190)
; } } 
if(BgL_test3980z00_8700)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3153 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)32)); 
BgL_redirectz00_3153 = BgL_arg2123z00_1190; } } } 
{ /* Llib/block_ciphers.scm 861 */
 obj_t BgL_aux3023z00_5364;
{ /* Llib/block_ciphers.scm 861 */
 obj_t BgL_tmpfunz00_8716;
{ /* Llib/block_ciphers.scm 861 */
 bool_t BgL_test3022z00_5363;
BgL_test3022z00_5363 = 
PROCEDUREP(BgL_redirectz00_3153); 
if(BgL_test3022z00_5363)
{ /* Llib/block_ciphers.scm 861 */
BgL_tmpfunz00_8716 = BgL_redirectz00_3153
; }  else 
{ 
 obj_t BgL_auxz00_8719;
BgL_auxz00_8719 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31193)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3251z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3153); 
FAILURE(BgL_auxz00_8719,BFALSE,BFALSE);} } 
BgL_aux3023z00_5364 = 
PROCEDURE_ENTRY(BgL_tmpfunz00_8716)(BgL_redirectz00_3153, BgL_cipherz00_3151, BgL_arg2123z00_1190, BgL_passwordz00_3152, BgL_ivz00_1192, BgL_modez00_1193, BgL_padz00_1196, BgL_noncezd2initz12zc0_1194, BgL_noncezd2updatez12zc0_1195, BgL_stringzd2ze3keyz31_1197, BEOA); } 
if(
STRINGP(BgL_aux3023z00_5364))
{ /* Llib/block_ciphers.scm 861 */
BgL_res2733z00_3159 = BgL_aux3023z00_5364; }  else 
{ 
 obj_t BgL_auxz00_8725;
BgL_auxz00_8725 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31193)), BGl_string3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3023z00_5364); 
FAILURE(BgL_auxz00_8725,BFALSE,BFALSE);} } } } 
return BgL_res2733z00_3159;} } } } } } } } } } } } } } } } } 

}



/* search1438~0 */
obj_t BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1437z00_5113, obj_t BgL_opt1435z00_5112, obj_t BgL_k1z00_1157, long BgL_iz00_1158)
{
{ /* Llib/block_ciphers.scm 850 */
BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1158==BgL_l1437z00_5113))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 850 */
if(
(BgL_iz00_1158==
(BgL_l1437z00_5113-((long)1))))
{ /* Llib/block_ciphers.scm 850 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1435z00_5112)));}  else 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_vz00_1202;
BgL_vz00_1202 = 
VECTOR_REF(BgL_opt1435z00_5112,BgL_iz00_1158); 
if(
(BgL_vz00_1202==BgL_k1z00_1157))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(
(BgL_iz00_1158+((long)1)));}  else 
{ 
 long BgL_iz00_8744;
BgL_iz00_8744 = 
(BgL_iz00_1158+((long)2)); 
BgL_iz00_1158 = BgL_iz00_8744; 
goto BGl_search1438ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt */
BGL_EXPORTED_DEF obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_298, obj_t BgL_ciphertextz00_299, obj_t BgL_passwordz00_300, obj_t BgL_ivz00_301, obj_t BgL_modez00_302, obj_t BgL_noncezd2initz12zc0_303, obj_t BgL_noncezd2updatez12zc0_304, obj_t BgL_padz00_305, obj_t BgL_stringzd2ze3keyz31_306)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 854 */
 obj_t BgL_redirectz00_3160;
if(
STRINGP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3160 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 855 */
if(
BGL_MMAPP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3160 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL_test3989z00_8750;
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL__ortest_1057z00_3164;
BgL__ortest_1057z00_3164 = 
OUTPUT_PORTP(BgL_ciphertextz00_299); 
if(BgL__ortest_1057z00_3164)
{ /* Llib/block_ciphers.scm 857 */
BgL_test3989z00_8750 = BgL__ortest_1057z00_3164
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test3989z00_8750 = 
INPUT_PORTP(BgL_ciphertextz00_299)
; } } 
if(BgL_test3989z00_8750)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3160 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)32)); 
BgL_redirectz00_3160 = BgL_ciphertextz00_299; } } } 
return 
PROCEDURE_ENTRY(BgL_redirectz00_3160)(BgL_redirectz00_3160, BgL_cipherz00_298, BgL_ciphertextz00_299, BgL_passwordz00_300, BgL_ivz00_301, BgL_modez00_302, BgL_padz00_305, BgL_noncezd2initz12zc0_303, BgL_noncezd2updatez12zc0_304, BgL_stringzd2ze3keyz31_306, BEOA);} } 

}



/* _decrypt-string */
obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1448z00_319, obj_t BgL_opt1447z00_318)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_cipherz00_1214; obj_t BgL_ciphertextz00_1215; obj_t BgL_passwordz00_1216;
BgL_cipherz00_1214 = 
VECTOR_REF(BgL_opt1447z00_318,((long)0)); 
BgL_ciphertextz00_1215 = 
VECTOR_REF(BgL_opt1447z00_318,((long)1)); 
BgL_passwordz00_1216 = 
VECTOR_REF(BgL_opt1447z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_ivz00_1217;
BgL_ivz00_1217 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
 obj_t BgL_modez00_1218;
BgL_modez00_1218 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2initz12zc0_1219;
BgL_noncezd2initz12zc0_1219 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2updatez12zc0_1220;
BgL_noncezd2updatez12zc0_1220 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
 obj_t BgL_padz00_1221;
BgL_padz00_1221 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_stringzd2ze3keyz31_1222;
BgL_stringzd2ze3keyz31_1222 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */

{ 
 long BgL_iz00_1223;
BgL_iz00_1223 = ((long)3); 
BgL_check1451z00_1224:
if(
(BgL_iz00_1223==
VECTOR_LENGTH(BgL_opt1447z00_318)))
{ /* Llib/block_ciphers.scm 864 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3992z00_8775;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2140z00_1230;
BgL_arg2140z00_1230 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_iz00_1223); 
BgL_test3992z00_8775 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2140z00_1230, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3992z00_8775)
{ 
 long BgL_iz00_8780;
BgL_iz00_8780 = 
(BgL_iz00_1223+((long)2)); 
BgL_iz00_1223 = BgL_iz00_8780; 
goto BgL_check1451z00_1224;}  else 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2139z00_1229;
BgL_arg2139z00_1229 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_iz00_1223); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2139z00_1229); } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1453z00_1231;
BgL_index1453z00_1231 = 
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1447z00_318), BgL_opt1447z00_318, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3993z00_8788;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3181;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8789;
if(
INTEGERP(BgL_index1453z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8789 = BgL_index1453z00_1231
; }  else 
{ 
 obj_t BgL_auxz00_8792;
BgL_auxz00_8792 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1231); 
FAILURE(BgL_auxz00_8792,BFALSE,BFALSE);} 
BgL_n1z00_3181 = 
(long)CINT(BgL_tmpz00_8789); } 
BgL_test3993z00_8788 = 
(BgL_n1z00_3181>=((long)0)); } 
if(BgL_test3993z00_8788)
{ 
 long BgL_auxz00_8798;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8799;
if(
INTEGERP(BgL_index1453z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8799 = BgL_index1453z00_1231
; }  else 
{ 
 obj_t BgL_auxz00_8802;
BgL_auxz00_8802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1231); 
FAILURE(BgL_auxz00_8802,BFALSE,BFALSE);} 
BgL_auxz00_8798 = 
(long)CINT(BgL_tmpz00_8799); } 
BgL_ivz00_1217 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_auxz00_8798); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1454z00_1233;
BgL_index1454z00_1233 = 
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1447z00_318), BgL_opt1447z00_318, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3996z00_8811;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3182;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8812;
if(
INTEGERP(BgL_index1454z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8812 = BgL_index1454z00_1233
; }  else 
{ 
 obj_t BgL_auxz00_8815;
BgL_auxz00_8815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1233); 
FAILURE(BgL_auxz00_8815,BFALSE,BFALSE);} 
BgL_n1z00_3182 = 
(long)CINT(BgL_tmpz00_8812); } 
BgL_test3996z00_8811 = 
(BgL_n1z00_3182>=((long)0)); } 
if(BgL_test3996z00_8811)
{ 
 long BgL_auxz00_8821;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8822;
if(
INTEGERP(BgL_index1454z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8822 = BgL_index1454z00_1233
; }  else 
{ 
 obj_t BgL_auxz00_8825;
BgL_auxz00_8825 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1233); 
FAILURE(BgL_auxz00_8825,BFALSE,BFALSE);} 
BgL_auxz00_8821 = 
(long)CINT(BgL_tmpz00_8822); } 
BgL_modez00_1218 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_auxz00_8821); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1455z00_1235;
BgL_index1455z00_1235 = 
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1447z00_318), BgL_opt1447z00_318, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3999z00_8834;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3183;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8835;
if(
INTEGERP(BgL_index1455z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8835 = BgL_index1455z00_1235
; }  else 
{ 
 obj_t BgL_auxz00_8838;
BgL_auxz00_8838 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1455z00_1235); 
FAILURE(BgL_auxz00_8838,BFALSE,BFALSE);} 
BgL_n1z00_3183 = 
(long)CINT(BgL_tmpz00_8835); } 
BgL_test3999z00_8834 = 
(BgL_n1z00_3183>=((long)0)); } 
if(BgL_test3999z00_8834)
{ 
 long BgL_auxz00_8844;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8845;
if(
INTEGERP(BgL_index1455z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8845 = BgL_index1455z00_1235
; }  else 
{ 
 obj_t BgL_auxz00_8848;
BgL_auxz00_8848 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1455z00_1235); 
FAILURE(BgL_auxz00_8848,BFALSE,BFALSE);} 
BgL_auxz00_8844 = 
(long)CINT(BgL_tmpz00_8845); } 
BgL_noncezd2initz12zc0_1219 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_auxz00_8844); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1456z00_1237;
BgL_index1456z00_1237 = 
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1447z00_318), BgL_opt1447z00_318, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4002z00_8857;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3184;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8858;
if(
INTEGERP(BgL_index1456z00_1237))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8858 = BgL_index1456z00_1237
; }  else 
{ 
 obj_t BgL_auxz00_8861;
BgL_auxz00_8861 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1456z00_1237); 
FAILURE(BgL_auxz00_8861,BFALSE,BFALSE);} 
BgL_n1z00_3184 = 
(long)CINT(BgL_tmpz00_8858); } 
BgL_test4002z00_8857 = 
(BgL_n1z00_3184>=((long)0)); } 
if(BgL_test4002z00_8857)
{ 
 long BgL_auxz00_8867;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8868;
if(
INTEGERP(BgL_index1456z00_1237))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8868 = BgL_index1456z00_1237
; }  else 
{ 
 obj_t BgL_auxz00_8871;
BgL_auxz00_8871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1456z00_1237); 
FAILURE(BgL_auxz00_8871,BFALSE,BFALSE);} 
BgL_auxz00_8867 = 
(long)CINT(BgL_tmpz00_8868); } 
BgL_noncezd2updatez12zc0_1220 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_auxz00_8867); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1457z00_1239;
BgL_index1457z00_1239 = 
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1447z00_318), BgL_opt1447z00_318, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4005z00_8880;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3185;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8881;
if(
INTEGERP(BgL_index1457z00_1239))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8881 = BgL_index1457z00_1239
; }  else 
{ 
 obj_t BgL_auxz00_8884;
BgL_auxz00_8884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1457z00_1239); 
FAILURE(BgL_auxz00_8884,BFALSE,BFALSE);} 
BgL_n1z00_3185 = 
(long)CINT(BgL_tmpz00_8881); } 
BgL_test4005z00_8880 = 
(BgL_n1z00_3185>=((long)0)); } 
if(BgL_test4005z00_8880)
{ 
 long BgL_auxz00_8890;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8891;
if(
INTEGERP(BgL_index1457z00_1239))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8891 = BgL_index1457z00_1239
; }  else 
{ 
 obj_t BgL_auxz00_8894;
BgL_auxz00_8894 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1457z00_1239); 
FAILURE(BgL_auxz00_8894,BFALSE,BFALSE);} 
BgL_auxz00_8890 = 
(long)CINT(BgL_tmpz00_8891); } 
BgL_padz00_1221 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_auxz00_8890); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1458z00_1241;
BgL_index1458z00_1241 = 
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1447z00_318), BgL_opt1447z00_318, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4008z00_8903;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3186;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8904;
if(
INTEGERP(BgL_index1458z00_1241))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8904 = BgL_index1458z00_1241
; }  else 
{ 
 obj_t BgL_auxz00_8907;
BgL_auxz00_8907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1458z00_1241); 
FAILURE(BgL_auxz00_8907,BFALSE,BFALSE);} 
BgL_n1z00_3186 = 
(long)CINT(BgL_tmpz00_8904); } 
BgL_test4008z00_8903 = 
(BgL_n1z00_3186>=((long)0)); } 
if(BgL_test4008z00_8903)
{ 
 long BgL_auxz00_8913;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8914;
if(
INTEGERP(BgL_index1458z00_1241))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8914 = BgL_index1458z00_1241
; }  else 
{ 
 obj_t BgL_auxz00_8917;
BgL_auxz00_8917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1458z00_1241); 
FAILURE(BgL_auxz00_8917,BFALSE,BFALSE);} 
BgL_auxz00_8913 = 
(long)CINT(BgL_tmpz00_8914); } 
BgL_stringzd2ze3keyz31_1222 = 
VECTOR_REF(BgL_opt1447z00_318,BgL_auxz00_8913); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2147z00_1243; obj_t BgL_arg2148z00_1244; obj_t BgL_arg2149z00_1245;
BgL_arg2147z00_1243 = 
VECTOR_REF(BgL_opt1447z00_318,((long)0)); 
BgL_arg2148z00_1244 = 
VECTOR_REF(BgL_opt1447z00_318,((long)1)); 
BgL_arg2149z00_1245 = 
VECTOR_REF(BgL_opt1447z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_ivz00_1246;
BgL_ivz00_1246 = BgL_ivz00_1217; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_modez00_1247;
BgL_modez00_1247 = BgL_modez00_1218; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2initz12zc0_1248;
BgL_noncezd2initz12zc0_1248 = BgL_noncezd2initz12zc0_1219; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2updatez12zc0_1249;
BgL_noncezd2updatez12zc0_1249 = BgL_noncezd2updatez12zc0_1220; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_padz00_1250;
BgL_padz00_1250 = BgL_padz00_1221; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_stringzd2ze3keyz31_1251;
BgL_stringzd2ze3keyz31_1251 = BgL_stringzd2ze3keyz31_1222; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_cipherz00_3187; obj_t BgL_ciphertextz00_3188; obj_t BgL_passwordz00_3189;
if(
SYMBOLP(BgL_arg2147z00_1243))
{ /* Llib/block_ciphers.scm 864 */
BgL_cipherz00_3187 = BgL_arg2147z00_1243; }  else 
{ 
 obj_t BgL_auxz00_8928;
BgL_auxz00_8928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2147z00_1243); 
FAILURE(BgL_auxz00_8928,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2148z00_1244))
{ /* Llib/block_ciphers.scm 864 */
BgL_ciphertextz00_3188 = BgL_arg2148z00_1244; }  else 
{ 
 obj_t BgL_auxz00_8934;
BgL_auxz00_8934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2148z00_1244); 
FAILURE(BgL_auxz00_8934,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2149z00_1245))
{ /* Llib/block_ciphers.scm 864 */
BgL_passwordz00_3189 = BgL_arg2149z00_1245; }  else 
{ 
 obj_t BgL_auxz00_8940;
BgL_auxz00_8940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2149z00_1245); 
FAILURE(BgL_auxz00_8940,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_3192; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3193;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2158z00_3194;
BgL_arg2158z00_3194 = 
STRING_LENGTH(BgL_ciphertextz00_3188); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3192 = 
make_string(BgL_arg2158z00_3194, ((unsigned char)' ')); } } 
BgL_statez00_3193 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3187, BgL_passwordz00_3189, BgL_ivz00_1246, BgL_modez00_1247, BgL_padz00_1250, BgL_noncezd2initz12zc0_1248, BgL_noncezd2updatez12zc0_1249, BgL_stringzd2ze3keyz31_1251); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_8947;
BgL_tmpz00_8947 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3193, BgL_ciphertextz00_3188, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3192, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3192, BgL_tmpz00_8947);} } } } } } } } } } } } } } } } } } } 

}



/* search1450~0 */
obj_t BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1449z00_5111, obj_t BgL_opt1447z00_5110, obj_t BgL_k1z00_1211, long BgL_iz00_1212)
{
{ /* Llib/block_ciphers.scm 864 */
BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1212==BgL_l1449z00_5111))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 864 */
if(
(BgL_iz00_1212==
(BgL_l1449z00_5111-((long)1))))
{ /* Llib/block_ciphers.scm 864 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1447z00_5110)));}  else 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_vz00_1256;
BgL_vz00_1256 = 
VECTOR_REF(BgL_opt1447z00_5110,BgL_iz00_1212); 
if(
(BgL_vz00_1256==BgL_k1z00_1211))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(
(BgL_iz00_1212+((long)1)));}  else 
{ 
 long BgL_iz00_8965;
BgL_iz00_8965 = 
(BgL_iz00_1212+((long)2)); 
BgL_iz00_1212 = BgL_iz00_8965; 
goto BGl_search1450ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-string */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_309, obj_t BgL_ciphertextz00_310, obj_t BgL_passwordz00_311, obj_t BgL_ivz00_312, obj_t BgL_modez00_313, obj_t BgL_noncezd2initz12zc0_314, obj_t BgL_noncezd2updatez12zc0_315, obj_t BgL_padz00_316, obj_t BgL_stringzd2ze3keyz31_317)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_3204; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3205;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2158z00_3206;
BgL_arg2158z00_3206 = 
STRING_LENGTH(BgL_ciphertextz00_310); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3204 = 
make_string(BgL_arg2158z00_3206, ((unsigned char)' ')); } } 
BgL_statez00_3205 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_309, BgL_passwordz00_311, BgL_ivz00_312, BgL_modez00_313, BgL_padz00_316, BgL_noncezd2initz12zc0_314, BgL_noncezd2updatez12zc0_315, BgL_stringzd2ze3keyz31_317); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_8970;
BgL_tmpz00_8970 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3205, BgL_ciphertextz00_310, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3204, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3204, BgL_tmpz00_8970);} } } 

}



/* &decrypt-fast-string */
obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4476, obj_t BgL_cipherz00_4477, obj_t BgL_ciphertextz00_4478, obj_t BgL_passwordz00_4479, obj_t BgL_ivz00_4480, obj_t BgL_modez00_4481, obj_t BgL_padz00_4482, obj_t BgL_noncezd2initz12zc0_4483, obj_t BgL_noncezd2updatez12zc0_4484, obj_t BgL_stringzd2ze3keyz31_4485)
{
{ /* Llib/block_ciphers.scm 871 */
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_ciphertextz00_5640; obj_t BgL_passwordz00_5641;
if(
STRINGP(BgL_ciphertextz00_4478))
{ /* Llib/block_ciphers.scm 874 */
BgL_ciphertextz00_5640 = BgL_ciphertextz00_4478; }  else 
{ 
 obj_t BgL_auxz00_8975;
BgL_auxz00_8975 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31735)), BGl_string3270z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4478); 
FAILURE(BgL_auxz00_8975,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4479))
{ /* Llib/block_ciphers.scm 874 */
BgL_passwordz00_5641 = BgL_passwordz00_4479; }  else 
{ 
 obj_t BgL_auxz00_8981;
BgL_auxz00_8981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31735)), BGl_string3270z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4479); 
FAILURE(BgL_auxz00_8981,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_5642; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5643;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2158z00_5644;
BgL_arg2158z00_5644 = 
STRING_LENGTH(BgL_ciphertextz00_5640); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_5642 = 
make_string(BgL_arg2158z00_5644, ((unsigned char)' ')); } } 
BgL_statez00_5643 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4477, BgL_passwordz00_5641, BgL_ivz00_4480, BgL_modez00_4481, BgL_padz00_4482, BgL_noncezd2initz12zc0_4483, BgL_noncezd2updatez12zc0_4484, BgL_stringzd2ze3keyz31_4485); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_8988;
BgL_tmpz00_8988 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5643, BgL_ciphertextz00_5640, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_5642, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_5642, BgL_tmpz00_8988);} } } } 

}



/* _decrypt-mmap */
obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1460z00_339, obj_t BgL_opt1459z00_338)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_cipherz00_1270; obj_t BgL_ciphertextz00_1271; obj_t BgL_passwordz00_1272;
BgL_cipherz00_1270 = 
VECTOR_REF(BgL_opt1459z00_338,((long)0)); 
BgL_ciphertextz00_1271 = 
VECTOR_REF(BgL_opt1459z00_338,((long)1)); 
BgL_passwordz00_1272 = 
VECTOR_REF(BgL_opt1459z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_ivz00_1273;
BgL_ivz00_1273 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
 obj_t BgL_modez00_1274;
BgL_modez00_1274 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2initz12zc0_1275;
BgL_noncezd2initz12zc0_1275 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2updatez12zc0_1276;
BgL_noncezd2updatez12zc0_1276 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
 obj_t BgL_padz00_1277;
BgL_padz00_1277 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_stringzd2ze3keyz31_1278;
BgL_stringzd2ze3keyz31_1278 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */

{ 
 long BgL_iz00_1279;
BgL_iz00_1279 = ((long)3); 
BgL_check1463z00_1280:
if(
(BgL_iz00_1279==
VECTOR_LENGTH(BgL_opt1459z00_338)))
{ /* Llib/block_ciphers.scm 883 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4020z00_8999;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2164z00_1286;
BgL_arg2164z00_1286 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_iz00_1279); 
BgL_test4020z00_8999 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2164z00_1286, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test4020z00_8999)
{ 
 long BgL_iz00_9004;
BgL_iz00_9004 = 
(BgL_iz00_1279+((long)2)); 
BgL_iz00_1279 = BgL_iz00_9004; 
goto BgL_check1463z00_1280;}  else 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2163z00_1285;
BgL_arg2163z00_1285 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_iz00_1279); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2163z00_1285); } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1465z00_1287;
BgL_index1465z00_1287 = 
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1459z00_338), BgL_opt1459z00_338, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4021z00_9012;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3239;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9013;
if(
INTEGERP(BgL_index1465z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9013 = BgL_index1465z00_1287
; }  else 
{ 
 obj_t BgL_auxz00_9016;
BgL_auxz00_9016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1465z00_1287); 
FAILURE(BgL_auxz00_9016,BFALSE,BFALSE);} 
BgL_n1z00_3239 = 
(long)CINT(BgL_tmpz00_9013); } 
BgL_test4021z00_9012 = 
(BgL_n1z00_3239>=((long)0)); } 
if(BgL_test4021z00_9012)
{ 
 long BgL_auxz00_9022;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9023;
if(
INTEGERP(BgL_index1465z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9023 = BgL_index1465z00_1287
; }  else 
{ 
 obj_t BgL_auxz00_9026;
BgL_auxz00_9026 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1465z00_1287); 
FAILURE(BgL_auxz00_9026,BFALSE,BFALSE);} 
BgL_auxz00_9022 = 
(long)CINT(BgL_tmpz00_9023); } 
BgL_ivz00_1273 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_auxz00_9022); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1466z00_1289;
BgL_index1466z00_1289 = 
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1459z00_338), BgL_opt1459z00_338, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4024z00_9035;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3240;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9036;
if(
INTEGERP(BgL_index1466z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9036 = BgL_index1466z00_1289
; }  else 
{ 
 obj_t BgL_auxz00_9039;
BgL_auxz00_9039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1466z00_1289); 
FAILURE(BgL_auxz00_9039,BFALSE,BFALSE);} 
BgL_n1z00_3240 = 
(long)CINT(BgL_tmpz00_9036); } 
BgL_test4024z00_9035 = 
(BgL_n1z00_3240>=((long)0)); } 
if(BgL_test4024z00_9035)
{ 
 long BgL_auxz00_9045;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9046;
if(
INTEGERP(BgL_index1466z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9046 = BgL_index1466z00_1289
; }  else 
{ 
 obj_t BgL_auxz00_9049;
BgL_auxz00_9049 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1466z00_1289); 
FAILURE(BgL_auxz00_9049,BFALSE,BFALSE);} 
BgL_auxz00_9045 = 
(long)CINT(BgL_tmpz00_9046); } 
BgL_modez00_1274 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_auxz00_9045); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1467z00_1291;
BgL_index1467z00_1291 = 
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1459z00_338), BgL_opt1459z00_338, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4027z00_9058;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3241;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9059;
if(
INTEGERP(BgL_index1467z00_1291))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9059 = BgL_index1467z00_1291
; }  else 
{ 
 obj_t BgL_auxz00_9062;
BgL_auxz00_9062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1467z00_1291); 
FAILURE(BgL_auxz00_9062,BFALSE,BFALSE);} 
BgL_n1z00_3241 = 
(long)CINT(BgL_tmpz00_9059); } 
BgL_test4027z00_9058 = 
(BgL_n1z00_3241>=((long)0)); } 
if(BgL_test4027z00_9058)
{ 
 long BgL_auxz00_9068;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9069;
if(
INTEGERP(BgL_index1467z00_1291))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9069 = BgL_index1467z00_1291
; }  else 
{ 
 obj_t BgL_auxz00_9072;
BgL_auxz00_9072 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1467z00_1291); 
FAILURE(BgL_auxz00_9072,BFALSE,BFALSE);} 
BgL_auxz00_9068 = 
(long)CINT(BgL_tmpz00_9069); } 
BgL_noncezd2initz12zc0_1275 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_auxz00_9068); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1468z00_1293;
BgL_index1468z00_1293 = 
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1459z00_338), BgL_opt1459z00_338, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4030z00_9081;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3242;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9082;
if(
INTEGERP(BgL_index1468z00_1293))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9082 = BgL_index1468z00_1293
; }  else 
{ 
 obj_t BgL_auxz00_9085;
BgL_auxz00_9085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1468z00_1293); 
FAILURE(BgL_auxz00_9085,BFALSE,BFALSE);} 
BgL_n1z00_3242 = 
(long)CINT(BgL_tmpz00_9082); } 
BgL_test4030z00_9081 = 
(BgL_n1z00_3242>=((long)0)); } 
if(BgL_test4030z00_9081)
{ 
 long BgL_auxz00_9091;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9092;
if(
INTEGERP(BgL_index1468z00_1293))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9092 = BgL_index1468z00_1293
; }  else 
{ 
 obj_t BgL_auxz00_9095;
BgL_auxz00_9095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1468z00_1293); 
FAILURE(BgL_auxz00_9095,BFALSE,BFALSE);} 
BgL_auxz00_9091 = 
(long)CINT(BgL_tmpz00_9092); } 
BgL_noncezd2updatez12zc0_1276 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_auxz00_9091); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1469z00_1295;
BgL_index1469z00_1295 = 
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1459z00_338), BgL_opt1459z00_338, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4033z00_9104;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3243;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9105;
if(
INTEGERP(BgL_index1469z00_1295))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9105 = BgL_index1469z00_1295
; }  else 
{ 
 obj_t BgL_auxz00_9108;
BgL_auxz00_9108 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1469z00_1295); 
FAILURE(BgL_auxz00_9108,BFALSE,BFALSE);} 
BgL_n1z00_3243 = 
(long)CINT(BgL_tmpz00_9105); } 
BgL_test4033z00_9104 = 
(BgL_n1z00_3243>=((long)0)); } 
if(BgL_test4033z00_9104)
{ 
 long BgL_auxz00_9114;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9115;
if(
INTEGERP(BgL_index1469z00_1295))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9115 = BgL_index1469z00_1295
; }  else 
{ 
 obj_t BgL_auxz00_9118;
BgL_auxz00_9118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1469z00_1295); 
FAILURE(BgL_auxz00_9118,BFALSE,BFALSE);} 
BgL_auxz00_9114 = 
(long)CINT(BgL_tmpz00_9115); } 
BgL_padz00_1277 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_auxz00_9114); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1470z00_1297;
BgL_index1470z00_1297 = 
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1459z00_338), BgL_opt1459z00_338, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4036z00_9127;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3244;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9128;
if(
INTEGERP(BgL_index1470z00_1297))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9128 = BgL_index1470z00_1297
; }  else 
{ 
 obj_t BgL_auxz00_9131;
BgL_auxz00_9131 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1470z00_1297); 
FAILURE(BgL_auxz00_9131,BFALSE,BFALSE);} 
BgL_n1z00_3244 = 
(long)CINT(BgL_tmpz00_9128); } 
BgL_test4036z00_9127 = 
(BgL_n1z00_3244>=((long)0)); } 
if(BgL_test4036z00_9127)
{ 
 long BgL_auxz00_9137;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_9138;
if(
INTEGERP(BgL_index1470z00_1297))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9138 = BgL_index1470z00_1297
; }  else 
{ 
 obj_t BgL_auxz00_9141;
BgL_auxz00_9141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1470z00_1297); 
FAILURE(BgL_auxz00_9141,BFALSE,BFALSE);} 
BgL_auxz00_9137 = 
(long)CINT(BgL_tmpz00_9138); } 
BgL_stringzd2ze3keyz31_1278 = 
VECTOR_REF(BgL_opt1459z00_338,BgL_auxz00_9137); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2171z00_1299; obj_t BgL_arg2172z00_1300; obj_t BgL_arg2173z00_1301;
BgL_arg2171z00_1299 = 
VECTOR_REF(BgL_opt1459z00_338,((long)0)); 
BgL_arg2172z00_1300 = 
VECTOR_REF(BgL_opt1459z00_338,((long)1)); 
BgL_arg2173z00_1301 = 
VECTOR_REF(BgL_opt1459z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_ivz00_1302;
BgL_ivz00_1302 = BgL_ivz00_1273; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_modez00_1303;
BgL_modez00_1303 = BgL_modez00_1274; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2initz12zc0_1304;
BgL_noncezd2initz12zc0_1304 = BgL_noncezd2initz12zc0_1275; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2updatez12zc0_1305;
BgL_noncezd2updatez12zc0_1305 = BgL_noncezd2updatez12zc0_1276; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_padz00_1306;
BgL_padz00_1306 = BgL_padz00_1277; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_stringzd2ze3keyz31_1307;
BgL_stringzd2ze3keyz31_1307 = BgL_stringzd2ze3keyz31_1278; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_cipherz00_3245; obj_t BgL_ciphertextz00_3246; obj_t BgL_passwordz00_3247;
if(
SYMBOLP(BgL_arg2171z00_1299))
{ /* Llib/block_ciphers.scm 883 */
BgL_cipherz00_3245 = BgL_arg2171z00_1299; }  else 
{ 
 obj_t BgL_auxz00_9152;
BgL_auxz00_9152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2171z00_1299); 
FAILURE(BgL_auxz00_9152,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2172z00_1300))
{ /* Llib/block_ciphers.scm 883 */
BgL_ciphertextz00_3246 = BgL_arg2172z00_1300; }  else 
{ 
 obj_t BgL_auxz00_9158;
BgL_auxz00_9158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3256z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2172z00_1300); 
FAILURE(BgL_auxz00_9158,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2173z00_1301))
{ /* Llib/block_ciphers.scm 883 */
BgL_passwordz00_3247 = BgL_arg2173z00_1301; }  else 
{ 
 obj_t BgL_auxz00_9164;
BgL_auxz00_9164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2173z00_1301); 
FAILURE(BgL_auxz00_9164,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_3250;
BgL_lenz00_3250 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_3246); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_3251;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_3257;
BgL_kz00_3257 = 
(long)(BgL_lenz00_3250); 
BgL_strz00_3251 = 
make_string(BgL_kz00_3257, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3254;
BgL_statez00_3254 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3245, BgL_passwordz00_3247, BgL_ivz00_1302, BgL_modez00_1303, BgL_padz00_1306, BgL_noncezd2initz12zc0_1304, BgL_noncezd2updatez12zc0_1305, BgL_stringzd2ze3keyz31_1307); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_9172;
BgL_tmpz00_9172 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3254, BgL_ciphertextz00_3246, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3251, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3251, BgL_tmpz00_9172);} } } } } } } } } } } } } } } } } } } } } } 

}



/* search1462~0 */
obj_t BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1461z00_5109, obj_t BgL_opt1459z00_5108, obj_t BgL_k1z00_1267, long BgL_iz00_1268)
{
{ /* Llib/block_ciphers.scm 883 */
BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1268==BgL_l1461z00_5109))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 883 */
if(
(BgL_iz00_1268==
(BgL_l1461z00_5109-((long)1))))
{ /* Llib/block_ciphers.scm 883 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1459z00_5108)));}  else 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_vz00_1312;
BgL_vz00_1312 = 
VECTOR_REF(BgL_opt1459z00_5108,BgL_iz00_1268); 
if(
(BgL_vz00_1312==BgL_k1z00_1267))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(
(BgL_iz00_1268+((long)1)));}  else 
{ 
 long BgL_iz00_9190;
BgL_iz00_9190 = 
(BgL_iz00_1268+((long)2)); 
BgL_iz00_1268 = BgL_iz00_9190; 
goto BGl_search1462ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_329, obj_t BgL_ciphertextz00_330, obj_t BgL_passwordz00_331, obj_t BgL_ivz00_332, obj_t BgL_modez00_333, obj_t BgL_noncezd2initz12zc0_334, obj_t BgL_noncezd2updatez12zc0_335, obj_t BgL_padz00_336, obj_t BgL_stringzd2ze3keyz31_337)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_3262;
BgL_lenz00_3262 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_330); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_3263;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_3269;
BgL_kz00_3269 = 
(long)(BgL_lenz00_3262); 
BgL_strz00_3263 = 
make_string(BgL_kz00_3269, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3266;
BgL_statez00_3266 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_329, BgL_passwordz00_331, BgL_ivz00_332, BgL_modez00_333, BgL_padz00_336, BgL_noncezd2initz12zc0_334, BgL_noncezd2updatez12zc0_335, BgL_stringzd2ze3keyz31_337); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_9196;
BgL_tmpz00_9196 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3266, BgL_ciphertextz00_330, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3263, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3263, BgL_tmpz00_9196);} } } } } } 

}



/* &decrypt-fast-mmap */
obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4486, obj_t BgL_cipherz00_4487, obj_t BgL_ciphertextz00_4488, obj_t BgL_passwordz00_4489, obj_t BgL_ivz00_4490, obj_t BgL_modez00_4491, obj_t BgL_padz00_4492, obj_t BgL_noncezd2initz12zc0_4493, obj_t BgL_noncezd2updatez12zc0_4494, obj_t BgL_stringzd2ze3keyz31_4495)
{
{ /* Llib/block_ciphers.scm 890 */
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_ciphertextz00_5645; obj_t BgL_passwordz00_5646;
if(
BGL_MMAPP(BgL_ciphertextz00_4488))
{ /* Llib/block_ciphers.scm 893 */
BgL_ciphertextz00_5645 = BgL_ciphertextz00_4488; }  else 
{ 
 obj_t BgL_auxz00_9201;
BgL_auxz00_9201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32489)), BGl_string3272z00zz__cryptozd2blockzd2ciphersz00, BGl_string3256z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4488); 
FAILURE(BgL_auxz00_9201,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4489))
{ /* Llib/block_ciphers.scm 893 */
BgL_passwordz00_5646 = BgL_passwordz00_4489; }  else 
{ 
 obj_t BgL_auxz00_9207;
BgL_auxz00_9207 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32489)), BGl_string3272z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4489); 
FAILURE(BgL_auxz00_9207,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_5647;
BgL_lenz00_5647 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_5645); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_5648;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_5649;
BgL_kz00_5649 = 
(long)(BgL_lenz00_5647); 
BgL_strz00_5648 = 
make_string(BgL_kz00_5649, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5650;
BgL_statez00_5650 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4487, BgL_passwordz00_5646, BgL_ivz00_4490, BgL_modez00_4491, BgL_padz00_4492, BgL_noncezd2initz12zc0_4493, BgL_noncezd2updatez12zc0_4494, BgL_stringzd2ze3keyz31_4495); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_9215;
BgL_tmpz00_9215 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5650, BgL_ciphertextz00_5645, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_5648, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_5648, BgL_tmpz00_9215);} } } } } } } 

}



/* _decrypt-port */
obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1472z00_359, obj_t BgL_opt1471z00_358)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_cipherz00_1326; obj_t BgL_ciphertextz00_1327; obj_t BgL_passwordz00_1328;
BgL_cipherz00_1326 = 
VECTOR_REF(BgL_opt1471z00_358,((long)0)); 
BgL_ciphertextz00_1327 = 
VECTOR_REF(BgL_opt1471z00_358,((long)1)); 
BgL_passwordz00_1328 = 
VECTOR_REF(BgL_opt1471z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_ivz00_1329;
BgL_ivz00_1329 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
 obj_t BgL_modez00_1330;
BgL_modez00_1330 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2initz12zc0_1331;
BgL_noncezd2initz12zc0_1331 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2updatez12zc0_1332;
BgL_noncezd2updatez12zc0_1332 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
 obj_t BgL_padz00_1333;
BgL_padz00_1333 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_stringzd2ze3keyz31_1334;
BgL_stringzd2ze3keyz31_1334 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */

{ 
 long BgL_iz00_1335;
BgL_iz00_1335 = ((long)3); 
BgL_check1475z00_1336:
if(
(BgL_iz00_1335==
VECTOR_LENGTH(BgL_opt1471z00_358)))
{ /* Llib/block_ciphers.scm 903 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4048z00_9226;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2187z00_1342;
BgL_arg2187z00_1342 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_iz00_1335); 
BgL_test4048z00_9226 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2187z00_1342, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test4048z00_9226)
{ 
 long BgL_iz00_9231;
BgL_iz00_9231 = 
(BgL_iz00_1335+((long)2)); 
BgL_iz00_1335 = BgL_iz00_9231; 
goto BgL_check1475z00_1336;}  else 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2186z00_1341;
BgL_arg2186z00_1341 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_iz00_1335); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2186z00_1341); } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1477z00_1343;
BgL_index1477z00_1343 = 
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1471z00_358), BgL_opt1471z00_358, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4049z00_9239;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3297;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9240;
if(
INTEGERP(BgL_index1477z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9240 = BgL_index1477z00_1343
; }  else 
{ 
 obj_t BgL_auxz00_9243;
BgL_auxz00_9243 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1477z00_1343); 
FAILURE(BgL_auxz00_9243,BFALSE,BFALSE);} 
BgL_n1z00_3297 = 
(long)CINT(BgL_tmpz00_9240); } 
BgL_test4049z00_9239 = 
(BgL_n1z00_3297>=((long)0)); } 
if(BgL_test4049z00_9239)
{ 
 long BgL_auxz00_9249;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9250;
if(
INTEGERP(BgL_index1477z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9250 = BgL_index1477z00_1343
; }  else 
{ 
 obj_t BgL_auxz00_9253;
BgL_auxz00_9253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1477z00_1343); 
FAILURE(BgL_auxz00_9253,BFALSE,BFALSE);} 
BgL_auxz00_9249 = 
(long)CINT(BgL_tmpz00_9250); } 
BgL_ivz00_1329 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_auxz00_9249); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1478z00_1345;
BgL_index1478z00_1345 = 
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1471z00_358), BgL_opt1471z00_358, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4052z00_9262;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3298;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9263;
if(
INTEGERP(BgL_index1478z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9263 = BgL_index1478z00_1345
; }  else 
{ 
 obj_t BgL_auxz00_9266;
BgL_auxz00_9266 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1478z00_1345); 
FAILURE(BgL_auxz00_9266,BFALSE,BFALSE);} 
BgL_n1z00_3298 = 
(long)CINT(BgL_tmpz00_9263); } 
BgL_test4052z00_9262 = 
(BgL_n1z00_3298>=((long)0)); } 
if(BgL_test4052z00_9262)
{ 
 long BgL_auxz00_9272;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9273;
if(
INTEGERP(BgL_index1478z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9273 = BgL_index1478z00_1345
; }  else 
{ 
 obj_t BgL_auxz00_9276;
BgL_auxz00_9276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1478z00_1345); 
FAILURE(BgL_auxz00_9276,BFALSE,BFALSE);} 
BgL_auxz00_9272 = 
(long)CINT(BgL_tmpz00_9273); } 
BgL_modez00_1330 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_auxz00_9272); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1479z00_1347;
BgL_index1479z00_1347 = 
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1471z00_358), BgL_opt1471z00_358, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4055z00_9285;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3299;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9286;
if(
INTEGERP(BgL_index1479z00_1347))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9286 = BgL_index1479z00_1347
; }  else 
{ 
 obj_t BgL_auxz00_9289;
BgL_auxz00_9289 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1479z00_1347); 
FAILURE(BgL_auxz00_9289,BFALSE,BFALSE);} 
BgL_n1z00_3299 = 
(long)CINT(BgL_tmpz00_9286); } 
BgL_test4055z00_9285 = 
(BgL_n1z00_3299>=((long)0)); } 
if(BgL_test4055z00_9285)
{ 
 long BgL_auxz00_9295;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9296;
if(
INTEGERP(BgL_index1479z00_1347))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9296 = BgL_index1479z00_1347
; }  else 
{ 
 obj_t BgL_auxz00_9299;
BgL_auxz00_9299 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1479z00_1347); 
FAILURE(BgL_auxz00_9299,BFALSE,BFALSE);} 
BgL_auxz00_9295 = 
(long)CINT(BgL_tmpz00_9296); } 
BgL_noncezd2initz12zc0_1331 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_auxz00_9295); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1480z00_1349;
BgL_index1480z00_1349 = 
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1471z00_358), BgL_opt1471z00_358, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4058z00_9308;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3300;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9309;
if(
INTEGERP(BgL_index1480z00_1349))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9309 = BgL_index1480z00_1349
; }  else 
{ 
 obj_t BgL_auxz00_9312;
BgL_auxz00_9312 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1480z00_1349); 
FAILURE(BgL_auxz00_9312,BFALSE,BFALSE);} 
BgL_n1z00_3300 = 
(long)CINT(BgL_tmpz00_9309); } 
BgL_test4058z00_9308 = 
(BgL_n1z00_3300>=((long)0)); } 
if(BgL_test4058z00_9308)
{ 
 long BgL_auxz00_9318;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9319;
if(
INTEGERP(BgL_index1480z00_1349))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9319 = BgL_index1480z00_1349
; }  else 
{ 
 obj_t BgL_auxz00_9322;
BgL_auxz00_9322 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1480z00_1349); 
FAILURE(BgL_auxz00_9322,BFALSE,BFALSE);} 
BgL_auxz00_9318 = 
(long)CINT(BgL_tmpz00_9319); } 
BgL_noncezd2updatez12zc0_1332 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_auxz00_9318); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1481z00_1351;
BgL_index1481z00_1351 = 
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1471z00_358), BgL_opt1471z00_358, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4061z00_9331;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3301;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9332;
if(
INTEGERP(BgL_index1481z00_1351))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9332 = BgL_index1481z00_1351
; }  else 
{ 
 obj_t BgL_auxz00_9335;
BgL_auxz00_9335 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1481z00_1351); 
FAILURE(BgL_auxz00_9335,BFALSE,BFALSE);} 
BgL_n1z00_3301 = 
(long)CINT(BgL_tmpz00_9332); } 
BgL_test4061z00_9331 = 
(BgL_n1z00_3301>=((long)0)); } 
if(BgL_test4061z00_9331)
{ 
 long BgL_auxz00_9341;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9342;
if(
INTEGERP(BgL_index1481z00_1351))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9342 = BgL_index1481z00_1351
; }  else 
{ 
 obj_t BgL_auxz00_9345;
BgL_auxz00_9345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1481z00_1351); 
FAILURE(BgL_auxz00_9345,BFALSE,BFALSE);} 
BgL_auxz00_9341 = 
(long)CINT(BgL_tmpz00_9342); } 
BgL_padz00_1333 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_auxz00_9341); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1482z00_1353;
BgL_index1482z00_1353 = 
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1471z00_358), BgL_opt1471z00_358, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4064z00_9354;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3302;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9355;
if(
INTEGERP(BgL_index1482z00_1353))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9355 = BgL_index1482z00_1353
; }  else 
{ 
 obj_t BgL_auxz00_9358;
BgL_auxz00_9358 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1353); 
FAILURE(BgL_auxz00_9358,BFALSE,BFALSE);} 
BgL_n1z00_3302 = 
(long)CINT(BgL_tmpz00_9355); } 
BgL_test4064z00_9354 = 
(BgL_n1z00_3302>=((long)0)); } 
if(BgL_test4064z00_9354)
{ 
 long BgL_auxz00_9364;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9365;
if(
INTEGERP(BgL_index1482z00_1353))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9365 = BgL_index1482z00_1353
; }  else 
{ 
 obj_t BgL_auxz00_9368;
BgL_auxz00_9368 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1353); 
FAILURE(BgL_auxz00_9368,BFALSE,BFALSE);} 
BgL_auxz00_9364 = 
(long)CINT(BgL_tmpz00_9365); } 
BgL_stringzd2ze3keyz31_1334 = 
VECTOR_REF(BgL_opt1471z00_358,BgL_auxz00_9364); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2194z00_1355; obj_t BgL_arg2196z00_1356; obj_t BgL_arg2197z00_1357;
BgL_arg2194z00_1355 = 
VECTOR_REF(BgL_opt1471z00_358,((long)0)); 
BgL_arg2196z00_1356 = 
VECTOR_REF(BgL_opt1471z00_358,((long)1)); 
BgL_arg2197z00_1357 = 
VECTOR_REF(BgL_opt1471z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_ivz00_1358;
BgL_ivz00_1358 = BgL_ivz00_1329; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_modez00_1359;
BgL_modez00_1359 = BgL_modez00_1330; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2initz12zc0_1360;
BgL_noncezd2initz12zc0_1360 = BgL_noncezd2initz12zc0_1331; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2updatez12zc0_1361;
BgL_noncezd2updatez12zc0_1361 = BgL_noncezd2updatez12zc0_1332; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_padz00_1362;
BgL_padz00_1362 = BgL_padz00_1333; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_stringzd2ze3keyz31_1363;
BgL_stringzd2ze3keyz31_1363 = BgL_stringzd2ze3keyz31_1334; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_cipherz00_3303; obj_t BgL_ciphertextz00_3304; obj_t BgL_passwordz00_3305;
if(
SYMBOLP(BgL_arg2194z00_1355))
{ /* Llib/block_ciphers.scm 903 */
BgL_cipherz00_3303 = BgL_arg2194z00_1355; }  else 
{ 
 obj_t BgL_auxz00_9379;
BgL_auxz00_9379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2194z00_1355); 
FAILURE(BgL_auxz00_9379,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2196z00_1356))
{ /* Llib/block_ciphers.scm 903 */
BgL_ciphertextz00_3304 = BgL_arg2196z00_1356; }  else 
{ 
 obj_t BgL_auxz00_9385;
BgL_auxz00_9385 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2196z00_1356); 
FAILURE(BgL_auxz00_9385,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2197z00_1357))
{ /* Llib/block_ciphers.scm 903 */
BgL_passwordz00_3305 = BgL_arg2197z00_1357; }  else 
{ 
 obj_t BgL_auxz00_9391;
BgL_auxz00_9391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2197z00_1357); 
FAILURE(BgL_auxz00_9391,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 907 */
 obj_t BgL_res2735z00_3312;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3308; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3309;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3308 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3309 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3303, BgL_passwordz00_3305, BgL_ivz00_1358, BgL_modez00_1359, BgL_padz00_1362, BgL_noncezd2initz12zc0_1360, BgL_noncezd2updatez12zc0_1361, BgL_stringzd2ze3keyz31_1363); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3309, BgL_ciphertextz00_3304, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3308, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
 obj_t BgL_aux3123z00_5464;
BgL_aux3123z00_5464 = 
bgl_close_output_port(BgL_pz00_3308); 
if(
STRINGP(BgL_aux3123z00_5464))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2735z00_3312 = BgL_aux3123z00_5464; }  else 
{ 
 obj_t BgL_auxz00_9401;
BgL_auxz00_9401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33510)), BGl_string3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3123z00_5464); 
FAILURE(BgL_auxz00_9401,BFALSE,BFALSE);} } } 
return BgL_res2735z00_3312;} } } } } } } } } } } } } } } } } } 

}



/* search1474~0 */
obj_t BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1473z00_5107, obj_t BgL_opt1471z00_5106, obj_t BgL_k1z00_1323, long BgL_iz00_1324)
{
{ /* Llib/block_ciphers.scm 903 */
BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1324==BgL_l1473z00_5107))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 903 */
if(
(BgL_iz00_1324==
(BgL_l1473z00_5107-((long)1))))
{ /* Llib/block_ciphers.scm 903 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1471z00_5106)));}  else 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_vz00_1368;
BgL_vz00_1368 = 
VECTOR_REF(BgL_opt1471z00_5106,BgL_iz00_1324); 
if(
(BgL_vz00_1368==BgL_k1z00_1323))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(
(BgL_iz00_1324+((long)1)));}  else 
{ 
 long BgL_iz00_9420;
BgL_iz00_9420 = 
(BgL_iz00_1324+((long)2)); 
BgL_iz00_1324 = BgL_iz00_9420; 
goto BGl_search1474ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-port */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_349, obj_t BgL_ciphertextz00_350, obj_t BgL_passwordz00_351, obj_t BgL_ivz00_352, obj_t BgL_modez00_353, obj_t BgL_noncezd2initz12zc0_354, obj_t BgL_noncezd2updatez12zc0_355, obj_t BgL_padz00_356, obj_t BgL_stringzd2ze3keyz31_357)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 907 */
 obj_t BgL_res2736z00_3319;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3315; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3316;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3315 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3316 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_349, BgL_passwordz00_351, BgL_ivz00_352, BgL_modez00_353, BgL_padz00_356, BgL_noncezd2initz12zc0_354, BgL_noncezd2updatez12zc0_355, BgL_stringzd2ze3keyz31_357); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3316, BgL_ciphertextz00_350, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3315, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2736z00_3319 = 
bgl_close_output_port(BgL_pz00_3315); } 
return BgL_res2736z00_3319;} } 

}



/* &decrypt-fast-port */
obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4496, obj_t BgL_cipherz00_4497, obj_t BgL_ciphertextz00_4498, obj_t BgL_passwordz00_4499, obj_t BgL_ivz00_4500, obj_t BgL_modez00_4501, obj_t BgL_padz00_4502, obj_t BgL_noncezd2initz12zc0_4503, obj_t BgL_noncezd2updatez12zc0_4504, obj_t BgL_stringzd2ze3keyz31_4505)
{
{ /* Llib/block_ciphers.scm 910 */
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_ciphertextz00_5651; obj_t BgL_passwordz00_5652;
if(
INPUT_PORTP(BgL_ciphertextz00_4498))
{ /* Llib/block_ciphers.scm 913 */
BgL_ciphertextz00_5651 = BgL_ciphertextz00_4498; }  else 
{ 
 obj_t BgL_auxz00_9428;
BgL_auxz00_9428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33267)), BGl_string3274z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4498); 
FAILURE(BgL_auxz00_9428,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4499))
{ /* Llib/block_ciphers.scm 913 */
BgL_passwordz00_5652 = BgL_passwordz00_4499; }  else 
{ 
 obj_t BgL_auxz00_9434;
BgL_auxz00_9434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33267)), BGl_string3274z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4499); 
FAILURE(BgL_auxz00_9434,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_5653; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5654;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_5653 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_5654 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4497, BgL_passwordz00_5652, BgL_ivz00_4500, BgL_modez00_4501, BgL_padz00_4502, BgL_noncezd2initz12zc0_4503, BgL_noncezd2updatez12zc0_4504, BgL_stringzd2ze3keyz31_4505); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5654, BgL_ciphertextz00_5651, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_5653, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_5653);} } } 

}



/* _decrypt-file */
obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1484z00_379, obj_t BgL_opt1483z00_378)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_cipherz00_1379; obj_t BgL_filenamez00_1380; obj_t BgL_passwordz00_1381;
BgL_cipherz00_1379 = 
VECTOR_REF(BgL_opt1483z00_378,((long)0)); 
BgL_filenamez00_1380 = 
VECTOR_REF(BgL_opt1483z00_378,((long)1)); 
BgL_passwordz00_1381 = 
VECTOR_REF(BgL_opt1483z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_ivz00_1382;
BgL_ivz00_1382 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
 obj_t BgL_modez00_1383;
BgL_modez00_1383 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2initz12zc0_1384;
BgL_noncezd2initz12zc0_1384 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2updatez12zc0_1385;
BgL_noncezd2updatez12zc0_1385 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
 obj_t BgL_padz00_1386;
BgL_padz00_1386 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_stringzd2ze3keyz31_1387;
BgL_stringzd2ze3keyz31_1387 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */

{ 
 long BgL_iz00_1388;
BgL_iz00_1388 = ((long)3); 
BgL_check1487z00_1389:
if(
(BgL_iz00_1388==
VECTOR_LENGTH(BgL_opt1483z00_378)))
{ /* Llib/block_ciphers.scm 922 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4077z00_9450;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2210z00_1395;
BgL_arg2210z00_1395 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_iz00_1388); 
BgL_test4077z00_9450 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2210z00_1395, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test4077z00_9450)
{ 
 long BgL_iz00_9455;
BgL_iz00_9455 = 
(BgL_iz00_1388+((long)2)); 
BgL_iz00_1388 = BgL_iz00_9455; 
goto BgL_check1487z00_1389;}  else 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2209z00_1394;
BgL_arg2209z00_1394 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_iz00_1388); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2209z00_1394); } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1489z00_1396;
BgL_index1489z00_1396 = 
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1483z00_378), BgL_opt1483z00_378, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4078z00_9463;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3339;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9464;
if(
INTEGERP(BgL_index1489z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9464 = BgL_index1489z00_1396
; }  else 
{ 
 obj_t BgL_auxz00_9467;
BgL_auxz00_9467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1489z00_1396); 
FAILURE(BgL_auxz00_9467,BFALSE,BFALSE);} 
BgL_n1z00_3339 = 
(long)CINT(BgL_tmpz00_9464); } 
BgL_test4078z00_9463 = 
(BgL_n1z00_3339>=((long)0)); } 
if(BgL_test4078z00_9463)
{ 
 long BgL_auxz00_9473;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9474;
if(
INTEGERP(BgL_index1489z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9474 = BgL_index1489z00_1396
; }  else 
{ 
 obj_t BgL_auxz00_9477;
BgL_auxz00_9477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1489z00_1396); 
FAILURE(BgL_auxz00_9477,BFALSE,BFALSE);} 
BgL_auxz00_9473 = 
(long)CINT(BgL_tmpz00_9474); } 
BgL_ivz00_1382 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_auxz00_9473); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1490z00_1398;
BgL_index1490z00_1398 = 
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1483z00_378), BgL_opt1483z00_378, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4081z00_9486;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3340;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9487;
if(
INTEGERP(BgL_index1490z00_1398))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9487 = BgL_index1490z00_1398
; }  else 
{ 
 obj_t BgL_auxz00_9490;
BgL_auxz00_9490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1490z00_1398); 
FAILURE(BgL_auxz00_9490,BFALSE,BFALSE);} 
BgL_n1z00_3340 = 
(long)CINT(BgL_tmpz00_9487); } 
BgL_test4081z00_9486 = 
(BgL_n1z00_3340>=((long)0)); } 
if(BgL_test4081z00_9486)
{ 
 long BgL_auxz00_9496;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9497;
if(
INTEGERP(BgL_index1490z00_1398))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9497 = BgL_index1490z00_1398
; }  else 
{ 
 obj_t BgL_auxz00_9500;
BgL_auxz00_9500 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1490z00_1398); 
FAILURE(BgL_auxz00_9500,BFALSE,BFALSE);} 
BgL_auxz00_9496 = 
(long)CINT(BgL_tmpz00_9497); } 
BgL_modez00_1383 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_auxz00_9496); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1491z00_1400;
BgL_index1491z00_1400 = 
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1483z00_378), BgL_opt1483z00_378, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4084z00_9509;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3341;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9510;
if(
INTEGERP(BgL_index1491z00_1400))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9510 = BgL_index1491z00_1400
; }  else 
{ 
 obj_t BgL_auxz00_9513;
BgL_auxz00_9513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1491z00_1400); 
FAILURE(BgL_auxz00_9513,BFALSE,BFALSE);} 
BgL_n1z00_3341 = 
(long)CINT(BgL_tmpz00_9510); } 
BgL_test4084z00_9509 = 
(BgL_n1z00_3341>=((long)0)); } 
if(BgL_test4084z00_9509)
{ 
 long BgL_auxz00_9519;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9520;
if(
INTEGERP(BgL_index1491z00_1400))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9520 = BgL_index1491z00_1400
; }  else 
{ 
 obj_t BgL_auxz00_9523;
BgL_auxz00_9523 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1491z00_1400); 
FAILURE(BgL_auxz00_9523,BFALSE,BFALSE);} 
BgL_auxz00_9519 = 
(long)CINT(BgL_tmpz00_9520); } 
BgL_noncezd2initz12zc0_1384 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_auxz00_9519); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1492z00_1402;
BgL_index1492z00_1402 = 
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1483z00_378), BgL_opt1483z00_378, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4087z00_9532;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3342;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9533;
if(
INTEGERP(BgL_index1492z00_1402))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9533 = BgL_index1492z00_1402
; }  else 
{ 
 obj_t BgL_auxz00_9536;
BgL_auxz00_9536 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1492z00_1402); 
FAILURE(BgL_auxz00_9536,BFALSE,BFALSE);} 
BgL_n1z00_3342 = 
(long)CINT(BgL_tmpz00_9533); } 
BgL_test4087z00_9532 = 
(BgL_n1z00_3342>=((long)0)); } 
if(BgL_test4087z00_9532)
{ 
 long BgL_auxz00_9542;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9543;
if(
INTEGERP(BgL_index1492z00_1402))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9543 = BgL_index1492z00_1402
; }  else 
{ 
 obj_t BgL_auxz00_9546;
BgL_auxz00_9546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1492z00_1402); 
FAILURE(BgL_auxz00_9546,BFALSE,BFALSE);} 
BgL_auxz00_9542 = 
(long)CINT(BgL_tmpz00_9543); } 
BgL_noncezd2updatez12zc0_1385 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_auxz00_9542); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1493z00_1404;
BgL_index1493z00_1404 = 
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1483z00_378), BgL_opt1483z00_378, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4090z00_9555;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3343;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9556;
if(
INTEGERP(BgL_index1493z00_1404))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9556 = BgL_index1493z00_1404
; }  else 
{ 
 obj_t BgL_auxz00_9559;
BgL_auxz00_9559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1493z00_1404); 
FAILURE(BgL_auxz00_9559,BFALSE,BFALSE);} 
BgL_n1z00_3343 = 
(long)CINT(BgL_tmpz00_9556); } 
BgL_test4090z00_9555 = 
(BgL_n1z00_3343>=((long)0)); } 
if(BgL_test4090z00_9555)
{ 
 long BgL_auxz00_9565;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9566;
if(
INTEGERP(BgL_index1493z00_1404))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9566 = BgL_index1493z00_1404
; }  else 
{ 
 obj_t BgL_auxz00_9569;
BgL_auxz00_9569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1493z00_1404); 
FAILURE(BgL_auxz00_9569,BFALSE,BFALSE);} 
BgL_auxz00_9565 = 
(long)CINT(BgL_tmpz00_9566); } 
BgL_padz00_1386 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_auxz00_9565); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1494z00_1406;
BgL_index1494z00_1406 = 
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1483z00_378), BgL_opt1483z00_378, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4093z00_9578;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3344;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9579;
if(
INTEGERP(BgL_index1494z00_1406))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9579 = BgL_index1494z00_1406
; }  else 
{ 
 obj_t BgL_auxz00_9582;
BgL_auxz00_9582 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1494z00_1406); 
FAILURE(BgL_auxz00_9582,BFALSE,BFALSE);} 
BgL_n1z00_3344 = 
(long)CINT(BgL_tmpz00_9579); } 
BgL_test4093z00_9578 = 
(BgL_n1z00_3344>=((long)0)); } 
if(BgL_test4093z00_9578)
{ 
 long BgL_auxz00_9588;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9589;
if(
INTEGERP(BgL_index1494z00_1406))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9589 = BgL_index1494z00_1406
; }  else 
{ 
 obj_t BgL_auxz00_9592;
BgL_auxz00_9592 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1494z00_1406); 
FAILURE(BgL_auxz00_9592,BFALSE,BFALSE);} 
BgL_auxz00_9588 = 
(long)CINT(BgL_tmpz00_9589); } 
BgL_stringzd2ze3keyz31_1387 = 
VECTOR_REF(BgL_opt1483z00_378,BgL_auxz00_9588); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2217z00_1408; obj_t BgL_arg2218z00_1409; obj_t BgL_arg2219z00_1410;
BgL_arg2217z00_1408 = 
VECTOR_REF(BgL_opt1483z00_378,((long)0)); 
BgL_arg2218z00_1409 = 
VECTOR_REF(BgL_opt1483z00_378,((long)1)); 
BgL_arg2219z00_1410 = 
VECTOR_REF(BgL_opt1483z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_ivz00_1411;
BgL_ivz00_1411 = BgL_ivz00_1382; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_modez00_1412;
BgL_modez00_1412 = BgL_modez00_1383; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2initz12zc0_1413;
BgL_noncezd2initz12zc0_1413 = BgL_noncezd2initz12zc0_1384; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2updatez12zc0_1414;
BgL_noncezd2updatez12zc0_1414 = BgL_noncezd2updatez12zc0_1385; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_padz00_1415;
BgL_padz00_1415 = BgL_padz00_1386; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_stringzd2ze3keyz31_1416;
BgL_stringzd2ze3keyz31_1416 = BgL_stringzd2ze3keyz31_1387; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_res2738z00_3371;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_cipherz00_3345; obj_t BgL_filenamez00_3346; obj_t BgL_passwordz00_3347;
if(
SYMBOLP(BgL_arg2217z00_1408))
{ /* Llib/block_ciphers.scm 922 */
BgL_cipherz00_3345 = BgL_arg2217z00_1408; }  else 
{ 
 obj_t BgL_auxz00_9603;
BgL_auxz00_9603 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2217z00_1408); 
FAILURE(BgL_auxz00_9603,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2218z00_1409))
{ /* Llib/block_ciphers.scm 922 */
BgL_filenamez00_3346 = BgL_arg2218z00_1409; }  else 
{ 
 obj_t BgL_auxz00_9609;
BgL_auxz00_9609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2218z00_1409); 
FAILURE(BgL_auxz00_9609,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2219z00_1410))
{ /* Llib/block_ciphers.scm 922 */
BgL_passwordz00_3347 = BgL_arg2219z00_1410; }  else 
{ 
 obj_t BgL_auxz00_9615;
BgL_auxz00_9615 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2219z00_1410); 
FAILURE(BgL_auxz00_9615,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 926 */
 obj_t BgL_pz00_3348;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3348 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3346, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3348))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(BGl_string3276z00zz__cryptozd2blockzd2ciphersz00, BGl_string3263z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3346); } 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_exitd1244z00_3352;
BgL_exitd1244z00_3352 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_zc3z04anonymousza32227ze3z87_4506;
BgL_zc3z04anonymousza32227ze3z87_4506 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32227ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_4506, 
(int)(((long)0)), BgL_pz00_3348); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1818z00_3356;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1819z00_3357;
BgL_arg1819z00_3357 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3352); 
BgL_arg1818z00_3356 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32227ze3z87_4506, BgL_arg1819z00_3357); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3352, BgL_arg1818z00_3356); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_tmp1246z00_3354;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_res2737z00_3364;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_ciphertextz00_3358;
if(
INPUT_PORTP(BgL_pz00_3348))
{ /* Llib/block_ciphers.scm 932 */
BgL_ciphertextz00_3358 = BgL_pz00_3348; }  else 
{ 
 obj_t BgL_auxz00_9635;
BgL_auxz00_9635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33903)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3348); 
FAILURE(BgL_auxz00_9635,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3360; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3361;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3360 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3361 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3345, BgL_passwordz00_3347, BgL_ivz00_1411, BgL_modez00_1412, BgL_padz00_1415, BgL_noncezd2initz12zc0_1413, BgL_noncezd2updatez12zc0_1414, BgL_stringzd2ze3keyz31_1416); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3361, BgL_ciphertextz00_3358, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3360, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
 obj_t BgL_aux3161z00_5502;
BgL_aux3161z00_5502 = 
bgl_close_output_port(BgL_pz00_3360); 
if(
STRINGP(BgL_aux3161z00_5502))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2737z00_3364 = BgL_aux3161z00_5502; }  else 
{ 
 obj_t BgL_auxz00_9645;
BgL_auxz00_9645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33510)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3161z00_5502); 
FAILURE(BgL_auxz00_9645,BFALSE,BFALSE);} } } } 
BgL_tmp1246z00_3354 = BgL_res2737z00_3364; } 
{ /* Llib/block_ciphers.scm 931 */
 bool_t BgL_test4102z00_9649;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1817z00_3366;
BgL_arg1817z00_3366 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3352); 
BgL_test4102z00_9649 = 
PAIRP(BgL_arg1817z00_3366); } 
if(BgL_test4102z00_9649)
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1815z00_3367;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1816z00_3368;
BgL_arg1816z00_3368 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3352); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_pairz00_3369;
if(
PAIRP(BgL_arg1816z00_3368))
{ /* Llib/block_ciphers.scm 931 */
BgL_pairz00_3369 = BgL_arg1816z00_3368; }  else 
{ 
 obj_t BgL_auxz00_9655;
BgL_auxz00_9655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33859)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3264z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1816z00_3368); 
FAILURE(BgL_auxz00_9655,BFALSE,BFALSE);} 
BgL_arg1815z00_3367 = 
CDR(BgL_pairz00_3369); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3352, BgL_arg1815z00_3367); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 931 */BFALSE; } } 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_portz00_3370;
if(
INPUT_PORTP(BgL_pz00_3348))
{ /* Llib/block_ciphers.scm 935 */
BgL_portz00_3370 = BgL_pz00_3348; }  else 
{ 
 obj_t BgL_auxz00_9663;
BgL_auxz00_9663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33999)), BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3348); 
FAILURE(BgL_auxz00_9663,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3370); } 
BgL_res2738z00_3371 = BgL_tmp1246z00_3354; } } } } } 
return BgL_res2738z00_3371;} } } } } } } } } } } } } } } } } 

}



/* search1486~0 */
obj_t BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1485z00_5105, obj_t BgL_opt1483z00_5104, obj_t BgL_k1z00_1376, long BgL_iz00_1377)
{
{ /* Llib/block_ciphers.scm 922 */
BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1377==BgL_l1485z00_5105))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 922 */
if(
(BgL_iz00_1377==
(BgL_l1485z00_5105-((long)1))))
{ /* Llib/block_ciphers.scm 922 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3252z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1483z00_5104)));}  else 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_vz00_1421;
BgL_vz00_1421 = 
VECTOR_REF(BgL_opt1483z00_5104,BgL_iz00_1377); 
if(
(BgL_vz00_1421==BgL_k1z00_1376))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(
(BgL_iz00_1377+((long)1)));}  else 
{ 
 long BgL_iz00_9683;
BgL_iz00_9683 = 
(BgL_iz00_1377+((long)2)); 
BgL_iz00_1377 = BgL_iz00_9683; 
goto BGl_search1486ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2227> */
obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4507)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_pz00_4508;
BgL_pz00_4508 = 
PROCEDURE_REF(BgL_envz00_4507, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4508));} } 

}



/* decrypt-file */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_369, obj_t BgL_filenamez00_370, obj_t BgL_passwordz00_371, obj_t BgL_ivz00_372, obj_t BgL_modez00_373, obj_t BgL_noncezd2initz12zc0_374, obj_t BgL_noncezd2updatez12zc0_375, obj_t BgL_padz00_376, obj_t BgL_stringzd2ze3keyz31_377)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 926 */
 obj_t BgL_pz00_3372;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3372 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_370, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3372))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(BGl_string3276z00zz__cryptozd2blockzd2ciphersz00, BGl_string3263z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_370); } 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_exitd1244z00_3376;
BgL_exitd1244z00_3376 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_zc3z04anonymousza32227ze3z87_4509;
BgL_zc3z04anonymousza32227ze3z87_4509 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32227ze32788ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_4509, 
(int)(((long)0)), BgL_pz00_3372); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1818z00_3380;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1819z00_3381;
BgL_arg1819z00_3381 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3376); 
BgL_arg1818z00_3380 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32227ze3z87_4509, BgL_arg1819z00_3381); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3376, BgL_arg1818z00_3380); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_tmp1246z00_3378;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_res2739z00_3388;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3384; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3385;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3384 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3385 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_369, BgL_passwordz00_371, BgL_ivz00_372, BgL_modez00_373, BgL_padz00_376, BgL_noncezd2initz12zc0_374, BgL_noncezd2updatez12zc0_375, BgL_stringzd2ze3keyz31_377); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3385, 
((obj_t)BgL_pz00_3372), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3384, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2739z00_3388 = 
bgl_close_output_port(BgL_pz00_3384); } 
BgL_tmp1246z00_3378 = BgL_res2739z00_3388; } 
{ /* Llib/block_ciphers.scm 931 */
 bool_t BgL_test4109z00_9708;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1817z00_3390;
BgL_arg1817z00_3390 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3376); 
BgL_test4109z00_9708 = 
PAIRP(BgL_arg1817z00_3390); } 
if(BgL_test4109z00_9708)
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1815z00_3391;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1816z00_3392;
BgL_arg1816z00_3392 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3376); 
BgL_arg1815z00_3391 = 
CDR(
((obj_t)BgL_arg1816z00_3392)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3376, BgL_arg1815z00_3391); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 931 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_3372)); 
return BgL_tmp1246z00_3378;} } } } } 

}



/* &<@anonymous:2227>2788 */
obj_t BGl_z62zc3z04anonymousza32227ze32788ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4510)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_pz00_4511;
BgL_pz00_4511 = 
PROCEDURE_REF(BgL_envz00_4510, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4511));} } 

}



/* _decrypt-sendchars */
obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1496z00_391, obj_t BgL_opt1495z00_390)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_cipherz00_1438; obj_t BgL_inz00_1439; obj_t BgL_outz00_1440; obj_t BgL_passwordz00_1441;
BgL_cipherz00_1438 = 
VECTOR_REF(BgL_opt1495z00_390,((long)0)); 
BgL_inz00_1439 = 
VECTOR_REF(BgL_opt1495z00_390,((long)1)); 
BgL_outz00_1440 = 
VECTOR_REF(BgL_opt1495z00_390,((long)2)); 
BgL_passwordz00_1441 = 
VECTOR_REF(BgL_opt1495z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_ivz00_1442;
BgL_ivz00_1442 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
 obj_t BgL_modez00_1443;
BgL_modez00_1443 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2initz12zc0_1444;
BgL_noncezd2initz12zc0_1444 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2updatez12zc0_1445;
BgL_noncezd2updatez12zc0_1445 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
 obj_t BgL_padz00_1446;
BgL_padz00_1446 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_stringzd2ze3keyz31_1447;
BgL_stringzd2ze3keyz31_1447 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */

{ 
 long BgL_iz00_1448;
BgL_iz00_1448 = ((long)4); 
BgL_check1499z00_1449:
if(
(BgL_iz00_1448==
VECTOR_LENGTH(BgL_opt1495z00_390)))
{ /* Llib/block_ciphers.scm 937 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4111z00_9730;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2233z00_1455;
BgL_arg2233z00_1455 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_iz00_1448); 
BgL_test4111z00_9730 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2233z00_1455, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test4111z00_9730)
{ 
 long BgL_iz00_9735;
BgL_iz00_9735 = 
(BgL_iz00_1448+((long)2)); 
BgL_iz00_1448 = BgL_iz00_9735; 
goto BgL_check1499z00_1449;}  else 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2232z00_1454;
BgL_arg2232z00_1454 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_iz00_1448); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2232z00_1454); } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1501z00_1456;
BgL_index1501z00_1456 = 
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1495z00_390), BgL_opt1495z00_390, 
CNST_TABLE_REF(((long)19)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4112z00_9743;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3410;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9744;
if(
INTEGERP(BgL_index1501z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9744 = BgL_index1501z00_1456
; }  else 
{ 
 obj_t BgL_auxz00_9747;
BgL_auxz00_9747 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1501z00_1456); 
FAILURE(BgL_auxz00_9747,BFALSE,BFALSE);} 
BgL_n1z00_3410 = 
(long)CINT(BgL_tmpz00_9744); } 
BgL_test4112z00_9743 = 
(BgL_n1z00_3410>=((long)0)); } 
if(BgL_test4112z00_9743)
{ 
 long BgL_auxz00_9753;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9754;
if(
INTEGERP(BgL_index1501z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9754 = BgL_index1501z00_1456
; }  else 
{ 
 obj_t BgL_auxz00_9757;
BgL_auxz00_9757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1501z00_1456); 
FAILURE(BgL_auxz00_9757,BFALSE,BFALSE);} 
BgL_auxz00_9753 = 
(long)CINT(BgL_tmpz00_9754); } 
BgL_ivz00_1442 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_auxz00_9753); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1502z00_1458;
BgL_index1502z00_1458 = 
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1495z00_390), BgL_opt1495z00_390, 
CNST_TABLE_REF(((long)20)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4115z00_9766;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3411;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9767;
if(
INTEGERP(BgL_index1502z00_1458))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9767 = BgL_index1502z00_1458
; }  else 
{ 
 obj_t BgL_auxz00_9770;
BgL_auxz00_9770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1502z00_1458); 
FAILURE(BgL_auxz00_9770,BFALSE,BFALSE);} 
BgL_n1z00_3411 = 
(long)CINT(BgL_tmpz00_9767); } 
BgL_test4115z00_9766 = 
(BgL_n1z00_3411>=((long)0)); } 
if(BgL_test4115z00_9766)
{ 
 long BgL_auxz00_9776;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9777;
if(
INTEGERP(BgL_index1502z00_1458))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9777 = BgL_index1502z00_1458
; }  else 
{ 
 obj_t BgL_auxz00_9780;
BgL_auxz00_9780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1502z00_1458); 
FAILURE(BgL_auxz00_9780,BFALSE,BFALSE);} 
BgL_auxz00_9776 = 
(long)CINT(BgL_tmpz00_9777); } 
BgL_modez00_1443 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_auxz00_9776); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1503z00_1460;
BgL_index1503z00_1460 = 
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1495z00_390), BgL_opt1495z00_390, 
CNST_TABLE_REF(((long)21)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4118z00_9789;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3412;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9790;
if(
INTEGERP(BgL_index1503z00_1460))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9790 = BgL_index1503z00_1460
; }  else 
{ 
 obj_t BgL_auxz00_9793;
BgL_auxz00_9793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1503z00_1460); 
FAILURE(BgL_auxz00_9793,BFALSE,BFALSE);} 
BgL_n1z00_3412 = 
(long)CINT(BgL_tmpz00_9790); } 
BgL_test4118z00_9789 = 
(BgL_n1z00_3412>=((long)0)); } 
if(BgL_test4118z00_9789)
{ 
 long BgL_auxz00_9799;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9800;
if(
INTEGERP(BgL_index1503z00_1460))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9800 = BgL_index1503z00_1460
; }  else 
{ 
 obj_t BgL_auxz00_9803;
BgL_auxz00_9803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1503z00_1460); 
FAILURE(BgL_auxz00_9803,BFALSE,BFALSE);} 
BgL_auxz00_9799 = 
(long)CINT(BgL_tmpz00_9800); } 
BgL_noncezd2initz12zc0_1444 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_auxz00_9799); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1504z00_1462;
BgL_index1504z00_1462 = 
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1495z00_390), BgL_opt1495z00_390, 
CNST_TABLE_REF(((long)22)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4121z00_9812;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3413;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9813;
if(
INTEGERP(BgL_index1504z00_1462))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9813 = BgL_index1504z00_1462
; }  else 
{ 
 obj_t BgL_auxz00_9816;
BgL_auxz00_9816 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1504z00_1462); 
FAILURE(BgL_auxz00_9816,BFALSE,BFALSE);} 
BgL_n1z00_3413 = 
(long)CINT(BgL_tmpz00_9813); } 
BgL_test4121z00_9812 = 
(BgL_n1z00_3413>=((long)0)); } 
if(BgL_test4121z00_9812)
{ 
 long BgL_auxz00_9822;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9823;
if(
INTEGERP(BgL_index1504z00_1462))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9823 = BgL_index1504z00_1462
; }  else 
{ 
 obj_t BgL_auxz00_9826;
BgL_auxz00_9826 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1504z00_1462); 
FAILURE(BgL_auxz00_9826,BFALSE,BFALSE);} 
BgL_auxz00_9822 = 
(long)CINT(BgL_tmpz00_9823); } 
BgL_noncezd2updatez12zc0_1445 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_auxz00_9822); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1505z00_1464;
BgL_index1505z00_1464 = 
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1495z00_390), BgL_opt1495z00_390, 
CNST_TABLE_REF(((long)23)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4124z00_9835;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3414;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9836;
if(
INTEGERP(BgL_index1505z00_1464))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9836 = BgL_index1505z00_1464
; }  else 
{ 
 obj_t BgL_auxz00_9839;
BgL_auxz00_9839 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1505z00_1464); 
FAILURE(BgL_auxz00_9839,BFALSE,BFALSE);} 
BgL_n1z00_3414 = 
(long)CINT(BgL_tmpz00_9836); } 
BgL_test4124z00_9835 = 
(BgL_n1z00_3414>=((long)0)); } 
if(BgL_test4124z00_9835)
{ 
 long BgL_auxz00_9845;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9846;
if(
INTEGERP(BgL_index1505z00_1464))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9846 = BgL_index1505z00_1464
; }  else 
{ 
 obj_t BgL_auxz00_9849;
BgL_auxz00_9849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1505z00_1464); 
FAILURE(BgL_auxz00_9849,BFALSE,BFALSE);} 
BgL_auxz00_9845 = 
(long)CINT(BgL_tmpz00_9846); } 
BgL_padz00_1446 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_auxz00_9845); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1506z00_1466;
BgL_index1506z00_1466 = 
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1495z00_390), BgL_opt1495z00_390, 
CNST_TABLE_REF(((long)24)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4127z00_9858;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3415;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9859;
if(
INTEGERP(BgL_index1506z00_1466))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9859 = BgL_index1506z00_1466
; }  else 
{ 
 obj_t BgL_auxz00_9862;
BgL_auxz00_9862 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1506z00_1466); 
FAILURE(BgL_auxz00_9862,BFALSE,BFALSE);} 
BgL_n1z00_3415 = 
(long)CINT(BgL_tmpz00_9859); } 
BgL_test4127z00_9858 = 
(BgL_n1z00_3415>=((long)0)); } 
if(BgL_test4127z00_9858)
{ 
 long BgL_auxz00_9868;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9869;
if(
INTEGERP(BgL_index1506z00_1466))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9869 = BgL_index1506z00_1466
; }  else 
{ 
 obj_t BgL_auxz00_9872;
BgL_auxz00_9872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_index1506z00_1466); 
FAILURE(BgL_auxz00_9872,BFALSE,BFALSE);} 
BgL_auxz00_9868 = 
(long)CINT(BgL_tmpz00_9869); } 
BgL_stringzd2ze3keyz31_1447 = 
VECTOR_REF(BgL_opt1495z00_390,BgL_auxz00_9868); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2240z00_1468; obj_t BgL_arg2241z00_1469; obj_t BgL_arg2242z00_1470; obj_t BgL_arg2243z00_1471;
BgL_arg2240z00_1468 = 
VECTOR_REF(BgL_opt1495z00_390,((long)0)); 
BgL_arg2241z00_1469 = 
VECTOR_REF(BgL_opt1495z00_390,((long)1)); 
BgL_arg2242z00_1470 = 
VECTOR_REF(BgL_opt1495z00_390,((long)2)); 
BgL_arg2243z00_1471 = 
VECTOR_REF(BgL_opt1495z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_ivz00_1472;
BgL_ivz00_1472 = BgL_ivz00_1442; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_modez00_1473;
BgL_modez00_1473 = BgL_modez00_1443; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2initz12zc0_1474;
BgL_noncezd2initz12zc0_1474 = BgL_noncezd2initz12zc0_1444; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2updatez12zc0_1475;
BgL_noncezd2updatez12zc0_1475 = BgL_noncezd2updatez12zc0_1445; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_padz00_1476;
BgL_padz00_1476 = BgL_padz00_1446; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_stringzd2ze3keyz31_1477;
BgL_stringzd2ze3keyz31_1477 = BgL_stringzd2ze3keyz31_1447; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_cipherz00_3416; obj_t BgL_inz00_3417; obj_t BgL_outz00_3418; obj_t BgL_passwordz00_3419;
if(
SYMBOLP(BgL_arg2240z00_1468))
{ /* Llib/block_ciphers.scm 937 */
BgL_cipherz00_3416 = BgL_arg2240z00_1468; }  else 
{ 
 obj_t BgL_auxz00_9884;
BgL_auxz00_9884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2240z00_1468); 
FAILURE(BgL_auxz00_9884,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2241z00_1469))
{ /* Llib/block_ciphers.scm 937 */
BgL_inz00_3417 = BgL_arg2241z00_1469; }  else 
{ 
 obj_t BgL_auxz00_9890;
BgL_auxz00_9890 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3259z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2241z00_1469); 
FAILURE(BgL_auxz00_9890,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2242z00_1470))
{ /* Llib/block_ciphers.scm 937 */
BgL_outz00_3418 = BgL_arg2242z00_1470; }  else 
{ 
 obj_t BgL_auxz00_9896;
BgL_auxz00_9896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3266z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2242z00_1470); 
FAILURE(BgL_auxz00_9896,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2243z00_1471))
{ /* Llib/block_ciphers.scm 937 */
BgL_passwordz00_3419 = BgL_arg2243z00_1471; }  else 
{ 
 obj_t BgL_auxz00_9902;
BgL_auxz00_9902 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3277z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2243z00_1471); 
FAILURE(BgL_auxz00_9902,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 941 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3420;
BgL_statez00_3420 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3416, BgL_passwordz00_3419, BgL_ivz00_1472, BgL_modez00_1473, BgL_padz00_1476, BgL_noncezd2initz12zc0_1474, BgL_noncezd2updatez12zc0_1475, BgL_stringzd2ze3keyz31_1477); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3420, BgL_inz00_3417, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3418, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 

}



/* search1498~0 */
obj_t BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1497z00_5103, obj_t BgL_opt1495z00_5102, obj_t BgL_k1z00_1435, long BgL_iz00_1436)
{
{ /* Llib/block_ciphers.scm 937 */
BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1436==BgL_l1497z00_5103))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 937 */
if(
(BgL_iz00_1436==
(BgL_l1497z00_5103-((long)1))))
{ /* Llib/block_ciphers.scm 937 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3267z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1495z00_5102)));}  else 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_vz00_1482;
BgL_vz00_1482 = 
VECTOR_REF(BgL_opt1495z00_5102,BgL_iz00_1436); 
if(
(BgL_vz00_1482==BgL_k1z00_1435))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(
(BgL_iz00_1436+((long)1)));}  else 
{ 
 long BgL_iz00_9924;
BgL_iz00_9924 = 
(BgL_iz00_1436+((long)2)); 
BgL_iz00_1436 = BgL_iz00_9924; 
goto BGl_search1498ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_380, obj_t BgL_inz00_381, obj_t BgL_outz00_382, obj_t BgL_passwordz00_383, obj_t BgL_ivz00_384, obj_t BgL_modez00_385, obj_t BgL_noncezd2initz12zc0_386, obj_t BgL_noncezd2updatez12zc0_387, obj_t BgL_padz00_388, obj_t BgL_stringzd2ze3keyz31_389)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 941 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3421;
BgL_statez00_3421 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_380, BgL_passwordz00_383, BgL_ivz00_384, BgL_modez00_385, BgL_padz00_388, BgL_noncezd2initz12zc0_386, BgL_noncezd2updatez12zc0_387, BgL_stringzd2ze3keyz31_389); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3421, BgL_inz00_381, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_382, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* register-cipher! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_392, BgL_blockzd2cipherzd2_bglt BgL_descz00_393)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
 obj_t BgL_arg2251z00_3422;
BgL_arg2251z00_3422 = 
MAKE_YOUNG_PAIR(BgL_lookupzd2namezd2_392, 
((obj_t)BgL_descz00_393)); 
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = 
MAKE_YOUNG_PAIR(BgL_arg2251z00_3422, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00), BUNSPEC) ;} } 

}



/* &register-cipher! */
obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4512, obj_t BgL_lookupzd2namezd2_4513, obj_t BgL_descz00_4514)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
 BgL_blockzd2cipherzd2_bglt BgL_auxz00_9939; obj_t BgL_auxz00_9932;
if(
BGl_isazf3zf3zz__objectz00(BgL_descz00_4514, BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_9939 = 
((BgL_blockzd2cipherzd2_bglt)BgL_descz00_4514)
; }  else 
{ 
 obj_t BgL_auxz00_9943;
BgL_auxz00_9943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34570)), BGl_string3278z00zz__cryptozd2blockzd2ciphersz00, BGl_string3279z00zz__cryptozd2blockzd2ciphersz00, BgL_descz00_4514); 
FAILURE(BgL_auxz00_9943,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_lookupzd2namezd2_4513))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_9932 = BgL_lookupzd2namezd2_4513
; }  else 
{ 
 obj_t BgL_auxz00_9935;
BgL_auxz00_9935 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34570)), BGl_string3278z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_4513); 
FAILURE(BgL_auxz00_9935,BFALSE,BFALSE);} 
return 
BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_9932, BgL_auxz00_9939);} } 

}



/* block-cipher-description */
BGL_EXPORTED_DEF BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_394)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
 obj_t BgL_desczd2pzd2_1488;
BgL_desczd2pzd2_1488 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_lookupzd2namezd2_394, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00); 
if(
CBOOL(BgL_desczd2pzd2_1488))
{ /* Llib/block_ciphers.scm 957 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 957 */
BGl_errorz00zz__errorz00(BGl_string3280z00zz__cryptozd2blockzd2ciphersz00, BGl_string3281z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_394); } 
return 
((BgL_blockzd2cipherzd2_bglt)
CDR(
((obj_t)BgL_desczd2pzd2_1488)));} } 

}



/* &block-cipher-description */
BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4515, obj_t BgL_lookupzd2namezd2_4516)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
 obj_t BgL_auxz00_9955;
if(
SYMBOLP(BgL_lookupzd2namezd2_4516))
{ /* Llib/block_ciphers.scm 956 */
BgL_auxz00_9955 = BgL_lookupzd2namezd2_4516
; }  else 
{ 
 obj_t BgL_auxz00_9958;
BgL_auxz00_9958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34702)), BGl_string3282z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_4516); 
FAILURE(BgL_auxz00_9958,BFALSE,BFALSE);} 
return 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_9955);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2255z00_1492; obj_t BgL_arg2256z00_1493;
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_v1285z00_1510;
BgL_v1285z00_1510 = 
create_vector(((long)7)); 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2262z00_1511;
BgL_arg2262z00_1511 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc3284z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3283z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1285z00_1510,((long)0),BgL_arg2262z00_1511); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2267z00_1521;
BgL_arg2267z00_1521 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3286z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3285z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1285z00_1510,((long)1),BgL_arg2267z00_1521); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2272z00_1531;
BgL_arg2272z00_1531 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc3288z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3287z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1285z00_1510,((long)2),BgL_arg2272z00_1531); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2277z00_1541;
BgL_arg2277z00_1541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3290z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3289z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1285z00_1510,((long)3),BgL_arg2277z00_1541); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2282z00_1551;
BgL_arg2282z00_1551 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc3292z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3291z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1285z00_1510,((long)4),BgL_arg2282z00_1551); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2287z00_1561;
BgL_arg2287z00_1561 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3294z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3293z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1285z00_1510,((long)5),BgL_arg2287z00_1561); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2292z00_1571;
BgL_arg2292z00_1571 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3296z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3295z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1285z00_1510,((long)6),BgL_arg2292z00_1571); } 
BgL_arg2255z00_1492 = BgL_v1285z00_1510; } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_v1286z00_1581;
BgL_v1286z00_1581 = 
create_vector(((long)0)); 
BgL_arg2256z00_1493 = BgL_v1286z00_1581; } 
BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)48)), 
CNST_TABLE_REF(((long)49)), BGl_objectz00zz__objectz00, ((long)63399), BGl_proc3299z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3298z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3297z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2255z00_1492, BgL_arg2256z00_1493); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2299z00_1587; obj_t BgL_arg2300z00_1588;
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_v1287z00_1594;
BgL_v1287z00_1594 = 
create_vector(((long)3)); 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2304z00_1595;
BgL_arg2304z00_1595 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3301z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3300z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1287z00_1594,((long)0),BgL_arg2304z00_1595); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2309z00_1605;
BgL_arg2309z00_1605 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3303z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3302z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1287z00_1594,((long)1),BgL_arg2309z00_1605); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2314z00_1615;
BgL_arg2314z00_1615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc3305z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3304z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1287z00_1594,((long)2),BgL_arg2314z00_1615); } 
BgL_arg2299z00_1587 = BgL_v1287z00_1594; } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_v1288z00_1625;
BgL_v1288z00_1625 = 
create_vector(((long)0)); 
BgL_arg2300z00_1588 = BgL_v1288z00_1625; } 
BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)49)), BGl_objectz00zz__objectz00, ((long)46511), BFALSE, BGl_proc3307z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3306z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2299z00_1587, BgL_arg2300z00_1588); } 
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_arg2322z00_1631; obj_t BgL_arg2323z00_1632;
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_v1289z00_1645;
BgL_v1289z00_1645 = 
create_vector(((long)0)); 
BgL_arg2322z00_1631 = BgL_v1289z00_1645; } 
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_v1290z00_1646;
BgL_v1290z00_1646 = 
create_vector(((long)0)); 
BgL_arg2323z00_1632 = BgL_v1290z00_1646; } 
BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)15877), BGl_proc3310z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3309z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3308z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2322z00_1631, BgL_arg2323z00_1632); } 
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_arg2332z00_1653; obj_t BgL_arg2333z00_1654;
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_v1291z00_1667;
BgL_v1291z00_1667 = 
create_vector(((long)0)); 
BgL_arg2332z00_1653 = BgL_v1291z00_1667; } 
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_v1292z00_1668;
BgL_v1292z00_1668 = 
create_vector(((long)0)); 
BgL_arg2333z00_1654 = BgL_v1292z00_1668; } 
BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)55855), BGl_proc3313z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3312z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3311z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2332z00_1653, BgL_arg2333z00_1654); } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2342z00_1675; obj_t BgL_arg2343z00_1676;
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_v1293z00_1691;
BgL_v1293z00_1691 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2349z00_1692;
BgL_arg2349z00_1692 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3315z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3314z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1293z00_1691,((long)0),BgL_arg2349z00_1692); } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2354z00_1702;
BgL_arg2354z00_1702 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3317z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3316z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1293z00_1691,((long)1),BgL_arg2354z00_1702); } 
BgL_arg2342z00_1675 = BgL_v1293z00_1691; } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_v1294z00_1712;
BgL_v1294z00_1712 = 
create_vector(((long)0)); 
BgL_arg2343z00_1676 = BgL_v1294z00_1712; } 
BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)58)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)16316), BGl_proc3320z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3319z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3318z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2342z00_1675, BgL_arg2343z00_1676); } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2362z00_1719; obj_t BgL_arg2363z00_1720;
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_v1295z00_1735;
BgL_v1295z00_1735 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2369z00_1736;
BgL_arg2369z00_1736 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3322z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3321z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1295z00_1735,((long)0),BgL_arg2369z00_1736); } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2374z00_1746;
BgL_arg2374z00_1746 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3324z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3323z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1295z00_1735,((long)1),BgL_arg2374z00_1746); } 
BgL_arg2362z00_1719 = BgL_v1295z00_1735; } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_v1296z00_1756;
BgL_v1296z00_1756 = 
create_vector(((long)0)); 
BgL_arg2363z00_1720 = BgL_v1296z00_1756; } 
BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)59)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)41938), BGl_proc3327z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3326z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3325z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2362z00_1719, BgL_arg2363z00_1720); } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2382z00_1763; obj_t BgL_arg2383z00_1764;
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_v1297z00_1779;
BgL_v1297z00_1779 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2389z00_1780;
BgL_arg2389z00_1780 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3329z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3328z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1297z00_1779,((long)0),BgL_arg2389z00_1780); } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2394z00_1790;
BgL_arg2394z00_1790 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3331z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3330z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1297z00_1779,((long)1),BgL_arg2394z00_1790); } 
BgL_arg2382z00_1763 = BgL_v1297z00_1779; } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_v1298z00_1800;
BgL_v1298z00_1800 = 
create_vector(((long)0)); 
BgL_arg2383z00_1764 = BgL_v1298z00_1800; } 
BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)60)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)34988), BGl_proc3334z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3333z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3332z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2382z00_1763, BgL_arg2383z00_1764); } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2402z00_1807; obj_t BgL_arg2403z00_1808;
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_v1299z00_1823;
BgL_v1299z00_1823 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2409z00_1824;
BgL_arg2409z00_1824 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3336z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3335z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1299z00_1823,((long)0),BgL_arg2409z00_1824); } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2414z00_1834;
BgL_arg2414z00_1834 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3338z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3337z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1299z00_1823,((long)1),BgL_arg2414z00_1834); } 
BgL_arg2402z00_1807 = BgL_v1299z00_1823; } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_v1300z00_1844;
BgL_v1300z00_1844 = 
create_vector(((long)0)); 
BgL_arg2403z00_1808 = BgL_v1300z00_1844; } 
BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)11458), BGl_proc3341z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3340z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3339z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2402z00_1807, BgL_arg2403z00_1808); } 
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_arg2421z00_1850; obj_t BgL_arg2422z00_1851;
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_v1301z00_1857;
BgL_v1301z00_1857 = 
create_vector(((long)0)); 
BgL_arg2421z00_1850 = BgL_v1301z00_1857; } 
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_v1302z00_1858;
BgL_v1302z00_1858 = 
create_vector(((long)0)); 
BgL_arg2422z00_1851 = BgL_v1302z00_1858; } 
BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)43473), BFALSE, BGl_proc3343z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3342z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2421z00_1850, BgL_arg2422z00_1851); } 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_arg2429z00_1864; obj_t BgL_arg2430z00_1865;
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_v1303z00_1879;
BgL_v1303z00_1879 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_arg2436z00_1880;
BgL_arg2436z00_1880 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3345z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3344z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1303z00_1879,((long)0),BgL_arg2436z00_1880); } 
BgL_arg2429z00_1864 = BgL_v1303z00_1879; } 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_v1304z00_1890;
BgL_v1304z00_1890 = 
create_vector(((long)0)); 
BgL_arg2430z00_1865 = BgL_v1304z00_1890; } 
BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)63)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)46218), BGl_proc3348z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3347z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3346z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2429z00_1864, BgL_arg2430z00_1865); } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2444z00_1897; obj_t BgL_arg2445z00_1898;
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_v1305z00_1913;
BgL_v1305z00_1913 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2451z00_1914;
BgL_arg2451z00_1914 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3350z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3349z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1305z00_1913,((long)0),BgL_arg2451z00_1914); } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2456z00_1924;
BgL_arg2456z00_1924 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3352z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3351z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1305z00_1913,((long)1),BgL_arg2456z00_1924); } 
BgL_arg2444z00_1897 = BgL_v1305z00_1913; } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_v1306z00_1934;
BgL_v1306z00_1934 = 
create_vector(((long)0)); 
BgL_arg2445z00_1898 = BgL_v1306z00_1934; } 
BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)64)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)63662), BGl_proc3355z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3354z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3353z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2444z00_1897, BgL_arg2445z00_1898); } 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_arg2464z00_1941; obj_t BgL_arg2465z00_1942;
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_v1307z00_1956;
BgL_v1307z00_1956 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_arg2471z00_1957;
BgL_arg2471z00_1957 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3357z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3356z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1307z00_1956,((long)0),BgL_arg2471z00_1957); } 
BgL_arg2464z00_1941 = BgL_v1307z00_1956; } 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_v1308z00_1967;
BgL_v1308z00_1967 = 
create_vector(((long)0)); 
BgL_arg2465z00_1942 = BgL_v1308z00_1967; } 
BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)65)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15584), BGl_proc3360z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3359z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3358z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2464z00_1941, BgL_arg2465z00_1942); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2479z00_1974; obj_t BgL_arg2480z00_1975;
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_v1309z00_1993;
BgL_v1309z00_1993 = 
create_vector(((long)5)); 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2486z00_1994;
BgL_arg2486z00_1994 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3362z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3361z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1309z00_1993,((long)0),BgL_arg2486z00_1994); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2491z00_2004;
BgL_arg2491z00_2004 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3364z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3363z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1309z00_1993,((long)1),BgL_arg2491z00_2004); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2496z00_2014;
BgL_arg2496z00_2014 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc3366z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3365z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1309z00_1993,((long)2),BgL_arg2496z00_2014); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2501z00_2024;
BgL_arg2501z00_2024 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3368z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3367z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1309z00_1993,((long)3),BgL_arg2501z00_2024); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2506z00_2034;
BgL_arg2506z00_2034 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3370z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3369z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1309z00_1993,((long)4),BgL_arg2506z00_2034); } 
BgL_arg2479z00_1974 = BgL_v1309z00_1993; } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_v1310z00_2044;
BgL_v1310z00_2044 = 
create_vector(((long)0)); 
BgL_arg2480z00_1975 = BgL_v1310z00_2044; } 
BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)71)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15240), BGl_proc3373z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3372z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3371z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2479z00_1974, BgL_arg2480z00_1975); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2514z00_2051; obj_t BgL_arg2515z00_2052;
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_v1311z00_2070;
BgL_v1311z00_2070 = 
create_vector(((long)8)); 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2521z00_2071;
BgL_arg2521z00_2071 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3375z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3374z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)73))); 
VECTOR_SET(BgL_v1311z00_2070,((long)0),BgL_arg2521z00_2071); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2526z00_2081;
BgL_arg2526z00_2081 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3377z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3376z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1311z00_2070,((long)1),BgL_arg2526z00_2081); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2531z00_2091;
BgL_arg2531z00_2091 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3379z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3378z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
VECTOR_SET(BgL_v1311z00_2070,((long)2),BgL_arg2531z00_2091); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2536z00_2101;
BgL_arg2536z00_2101 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3382z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3381z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3380z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1311z00_2070,((long)3),BgL_arg2536z00_2101); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2543z00_2114;
BgL_arg2543z00_2114 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3385z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3384z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3383z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1311z00_2070,((long)4),BgL_arg2543z00_2114); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2550z00_2127;
BgL_arg2550z00_2127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)78)), BGl_proc3387z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3386z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1311z00_2070,((long)5),BgL_arg2550z00_2127); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2555z00_2137;
BgL_arg2555z00_2137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3389z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3388z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1311z00_2070,((long)6),BgL_arg2555z00_2137); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2560z00_2147;
BgL_arg2560z00_2147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)80)), BGl_proc3392z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3391z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3390z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1311z00_2070,((long)7),BgL_arg2560z00_2147); } 
BgL_arg2514z00_2051 = BgL_v1311z00_2070; } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_v1312z00_2160;
BgL_v1312z00_2160 = 
create_vector(((long)0)); 
BgL_arg2515z00_2052 = BgL_v1312z00_2160; } 
return ( 
BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)81)), 
CNST_TABLE_REF(((long)49)), BGl_objectz00zz__objectz00, ((long)41267), BGl_proc3395z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3394z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3393z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2514z00_2051, BgL_arg2515z00_2052), BUNSPEC) ;} } 

}



/* &<@anonymous:2520> */
obj_t BGl_z62zc3z04anonymousza32520ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4633, obj_t BgL_new1150z00_4634)
{
{ /* Llib/block_ciphers.scm 111 */
{ 
 BgL_cipherzd2modezd2statez00_bglt BgL_auxz00_10172;
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
{ 
 BgL_cipherzd2statezd2_bglt BgL_auxz00_10177;
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_classz00_5656;
BgL_classz00_5656 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL__ortest_1113z00_5657;
BgL__ortest_1113z00_5657 = 
BGL_CLASS_NIL(BgL_classz00_5656); 
if(
CBOOL(BgL__ortest_1113z00_5657))
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10177 = 
((BgL_cipherzd2statezd2_bglt)BgL__ortest_1113z00_5657)
; }  else 
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10177 = 
((BgL_cipherzd2statezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5656))
; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)BgL_auxz00_10177),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_ivzd2actionzd2)=((obj_t)
CNST_TABLE_REF(((long)82))),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_ivz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_padzf2unpadzf2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_loopzd2bufferzd2)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634)))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_10172 = 
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4634); 
return 
((obj_t)BgL_auxz00_10172);} } 

}



/* &lambda2518 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2518z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4635)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1149z00_5658;
BgL_new1149z00_5658 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
 long BgL_arg2519z00_5659;
BgL_arg2519z00_5659 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_5658), BgL_arg2519z00_5659); } 
{ /* Llib/block_ciphers.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_10203;
BgL_tmpz00_10203 = 
((BgL_objectz00_bglt)BgL_new1149z00_5658); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10203, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1149z00_5658); 
return BgL_new1149z00_5658;} } 

}



/* &lambda2516 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2516z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4636, obj_t BgL_encryptzf31141zf3_4637, obj_t BgL_blockzd2siza7e1142z75_4638, obj_t BgL_cipherzd2state1143zd2_4639, obj_t BgL_ivzd2action1144zd2_4640, obj_t BgL_iv1145z00_4641, obj_t BgL_padzf2unpad1146zf2_4642, obj_t BgL_loopzd2buffer1147zd2_4643, obj_t BgL_pos1148z00_4644)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 bool_t BgL_encryptzf31141zf3_5660; long BgL_blockzd2siza7e1142z75_5661; long BgL_pos1148z00_5665;
BgL_encryptzf31141zf3_5660 = 
CBOOL(BgL_encryptzf31141zf3_4637); 
BgL_blockzd2siza7e1142z75_5661 = 
(long)CINT(BgL_blockzd2siza7e1142z75_4638); 
BgL_pos1148z00_5665 = 
(long)CINT(BgL_pos1148z00_4644); 
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1272z00_5666;
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1271z00_5667;
BgL_new1271z00_5667 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
 long BgL_arg2517z00_5668;
BgL_arg2517z00_5668 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1271z00_5667), BgL_arg2517z00_5668); } 
{ /* Llib/block_ciphers.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_10214;
BgL_tmpz00_10214 = 
((BgL_objectz00_bglt)BgL_new1271z00_5667); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10214, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1271z00_5667); 
BgL_new1272z00_5666 = BgL_new1271z00_5667; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_encryptzf3zf3)=((bool_t)BgL_encryptzf31141zf3_5660),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1142z75_5661),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_cipherzd2state1143zd2_4639)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_ivzd2action1144zd2_4640)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_ivz00)=((obj_t)BgL_iv1145z00_4641),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzf2unpad1146zf2_4642),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_loopzd2buffer1147zd2_4643)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5666))->BgL_posz00)=((long)BgL_pos1148z00_5665),BUNSPEC); 
return BgL_new1272z00_5666;} } } 

}



/* &<@anonymous:2566> */
obj_t BGl_z62zc3z04anonymousza32566ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4645)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(((long)0));} 

}



/* &lambda2565 */
obj_t BGl_z62lambda2565z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4646, obj_t BgL_oz00_4647, obj_t BgL_vz00_4648)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 long BgL_vz00_5670;
BgL_vz00_5670 = 
(long)CINT(BgL_vz00_4648); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4647)))->BgL_posz00)=((long)BgL_vz00_5670),BUNSPEC);} } 

}



/* &lambda2564 */
obj_t BGl_z62lambda2564z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4649, obj_t BgL_oz00_4650)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4650)))->BgL_posz00));} 

}



/* &lambda2559 */
obj_t BGl_z62lambda2559z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4651, obj_t BgL_oz00_4652, obj_t BgL_vz00_4653)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4652)))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_vz00_4653)),BUNSPEC);} 

}



/* &lambda2558 */
obj_t BGl_z62lambda2558z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4654, obj_t BgL_oz00_4655)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4655)))->BgL_loopzd2bufferzd2);} 

}



/* &lambda2554 */
obj_t BGl_z62lambda2554z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4656, obj_t BgL_oz00_4657, obj_t BgL_vz00_4658)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4657)))->BgL_padzf2unpadzf2)=((obj_t)BgL_vz00_4658),BUNSPEC);} 

}



/* &lambda2553 */
obj_t BGl_z62lambda2553z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4659, obj_t BgL_oz00_4660)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4660)))->BgL_padzf2unpadzf2);} 

}



/* &<@anonymous:2549> */
obj_t BGl_z62zc3z04anonymousza32549ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4661)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2548 */
obj_t BGl_z62lambda2548z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4662, obj_t BgL_oz00_4663, obj_t BgL_vz00_4664)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4663)))->BgL_ivz00)=((obj_t)BgL_vz00_4664),BUNSPEC);} 

}



/* &lambda2547 */
obj_t BGl_z62lambda2547z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4665, obj_t BgL_oz00_4666)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4666)))->BgL_ivz00);} 

}



/* &<@anonymous:2542> */
obj_t BGl_z62zc3z04anonymousza32542ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4667)
{
{ /* Llib/block_ciphers.scm 111 */
return 
CNST_TABLE_REF(((long)83));} 

}



/* &lambda2541 */
obj_t BGl_z62lambda2541z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4668, obj_t BgL_oz00_4669, obj_t BgL_vz00_4670)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4669)))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_vz00_4670)),BUNSPEC);} 

}



/* &lambda2540 */
obj_t BGl_z62lambda2540z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4671, obj_t BgL_oz00_4672)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4672)))->BgL_ivzd2actionzd2);} 

}



/* &lambda2535 */
obj_t BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4673, obj_t BgL_oz00_4674, obj_t BgL_vz00_4675)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4674)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_vz00_4675)),BUNSPEC);} 

}



/* &lambda2534 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2534z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4676, obj_t BgL_oz00_4677)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4677)))->BgL_cipherzd2statezd2);} 

}



/* &lambda2530 */
obj_t BGl_z62lambda2530z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4678, obj_t BgL_oz00_4679, obj_t BgL_vz00_4680)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 long BgL_vz00_5686;
BgL_vz00_5686 = 
(long)CINT(BgL_vz00_4680); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4679)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5686),BUNSPEC);} } 

}



/* &lambda2529 */
obj_t BGl_z62lambda2529z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4681, obj_t BgL_oz00_4682)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4682)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2525 */
obj_t BGl_z62lambda2525z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4683, obj_t BgL_oz00_4684, obj_t BgL_vz00_4685)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 bool_t BgL_vz00_5689;
BgL_vz00_5689 = 
CBOOL(BgL_vz00_4685); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4684)))->BgL_encryptzf3zf3)=((bool_t)BgL_vz00_5689),BUNSPEC);} } 

}



/* &lambda2524 */
obj_t BGl_z62lambda2524z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4686, obj_t BgL_oz00_4687)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4687)))->BgL_encryptzf3zf3));} 

}



/* &<@anonymous:2485> */
obj_t BGl_z62zc3z04anonymousza32485ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4688, obj_t BgL_new1139z00_4689)
{
{ /* Llib/block_ciphers.scm 104 */
{ 
 BgL_ctrz00_bglt BgL_auxz00_10273;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_4689))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_4689))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_4689))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4689)))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4689)))->BgL_noncezd2strzd2)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4689)))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4689)))->BgL_noncezd2initz12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4689)))->BgL_noncezd2updatez12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_10273 = 
((BgL_ctrz00_bglt)BgL_new1139z00_4689); 
return 
((obj_t)BgL_auxz00_10273);} } 

}



/* &lambda2483 */
BgL_ctrz00_bglt BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4690)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1138z00_5692;
BgL_new1138z00_5692 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
 long BgL_arg2484z00_5693;
BgL_arg2484z00_5693 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_5692), BgL_arg2484z00_5693); } 
{ /* Llib/block_ciphers.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_10299;
BgL_tmpz00_10299 = 
((BgL_objectz00_bglt)BgL_new1138z00_5692); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10299, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1138z00_5692); 
return BgL_new1138z00_5692;} } 

}



/* &lambda2481 */
BgL_ctrz00_bglt BGl_z62lambda2481z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4691, obj_t BgL_blockzd2siza7e1130z75_4692, obj_t BgL_cipher1131z00_4693, obj_t BgL_param1132z00_4694, obj_t BgL_nonce1133z00_4695, obj_t BgL_noncezd2str1134zd2_4696, obj_t BgL_blockzd2counter1135zd2_4697, obj_t BgL_noncezd2initz121136zc0_4698, obj_t BgL_noncezd2updatez121137zc0_4699)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 long BgL_blockzd2siza7e1130z75_5694; long BgL_blockzd2counter1135zd2_5697;
BgL_blockzd2siza7e1130z75_5694 = 
(long)CINT(BgL_blockzd2siza7e1130z75_4692); 
BgL_blockzd2counter1135zd2_5697 = 
(long)CINT(BgL_blockzd2counter1135zd2_4697); 
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1270z00_5700;
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1269z00_5701;
BgL_new1269z00_5701 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
 long BgL_arg2482z00_5702;
BgL_arg2482z00_5702 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1269z00_5701), BgL_arg2482z00_5702); } 
{ /* Llib/block_ciphers.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_10309;
BgL_tmpz00_10309 = 
((BgL_objectz00_bglt)BgL_new1269z00_5701); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10309, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1269z00_5701); 
BgL_new1270z00_5700 = BgL_new1269z00_5701; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1270z00_5700)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1130z75_5694),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1270z00_5700)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1131z00_4693)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1270z00_5700)))->BgL_paramz00)=((obj_t)BgL_param1132z00_4694),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5700))->BgL_noncez00)=((obj_t)BgL_nonce1133z00_4695),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5700))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_noncezd2str1134zd2_4696)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5700))->BgL_blockzd2counterzd2)=((long)BgL_blockzd2counter1135zd2_5697),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5700))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_noncezd2initz121136zc0_4698)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5700))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_noncezd2updatez121137zc0_4699)),BUNSPEC); 
return BgL_new1270z00_5700;} } } 

}



/* &lambda2510 */
obj_t BGl_z62lambda2510z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4700, obj_t BgL_oz00_4701, obj_t BgL_vz00_4702)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4701)))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_vz00_4702)),BUNSPEC);} 

}



/* &lambda2509 */
obj_t BGl_z62lambda2509z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4703, obj_t BgL_oz00_4704)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4704)))->BgL_noncezd2updatez12zc0);} 

}



/* &lambda2505 */
obj_t BGl_z62lambda2505z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4705, obj_t BgL_oz00_4706, obj_t BgL_vz00_4707)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4706)))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_vz00_4707)),BUNSPEC);} 

}



/* &lambda2504 */
obj_t BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4708, obj_t BgL_oz00_4709)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4709)))->BgL_noncezd2initz12zc0);} 

}



/* &lambda2500 */
obj_t BGl_z62lambda2500z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4710, obj_t BgL_oz00_4711, obj_t BgL_vz00_4712)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 long BgL_vz00_5710;
BgL_vz00_5710 = 
(long)CINT(BgL_vz00_4712); 
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4711)))->BgL_blockzd2counterzd2)=((long)BgL_vz00_5710),BUNSPEC);} } 

}



/* &lambda2499 */
obj_t BGl_z62lambda2499z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4713, obj_t BgL_oz00_4714)
{
{ /* Llib/block_ciphers.scm 104 */
return 
BINT(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4714)))->BgL_blockzd2counterzd2));} 

}



/* &lambda2495 */
obj_t BGl_z62lambda2495z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4715, obj_t BgL_oz00_4716, obj_t BgL_vz00_4717)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4716)))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_vz00_4717)),BUNSPEC);} 

}



/* &lambda2494 */
obj_t BGl_z62lambda2494z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4718, obj_t BgL_oz00_4719)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4719)))->BgL_noncezd2strzd2);} 

}



/* &lambda2490 */
obj_t BGl_z62lambda2490z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4720, obj_t BgL_oz00_4721, obj_t BgL_vz00_4722)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4721)))->BgL_noncez00)=((obj_t)BgL_vz00_4722),BUNSPEC);} 

}



/* &lambda2489 */
obj_t BGl_z62lambda2489z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4723, obj_t BgL_oz00_4724)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4724)))->BgL_noncez00);} 

}



/* &<@anonymous:2470> */
obj_t BGl_z62zc3z04anonymousza32470ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4725, obj_t BgL_new1128z00_4726)
{
{ /* Llib/block_ciphers.scm 102 */
{ 
 BgL_ofbz00_bglt BgL_auxz00_10353;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_4726))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_4726))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_4726))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_new1128z00_4726)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10353 = 
((BgL_ofbz00_bglt)BgL_new1128z00_4726); 
return 
((obj_t)BgL_auxz00_10353);} } 

}



/* &lambda2468 */
BgL_ofbz00_bglt BGl_z62lambda2468z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4727)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1127z00_5718;
BgL_new1127z00_5718 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
 long BgL_arg2469z00_5719;
BgL_arg2469z00_5719 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_5718), BgL_arg2469z00_5719); } 
{ /* Llib/block_ciphers.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_10371;
BgL_tmpz00_10371 = 
((BgL_objectz00_bglt)BgL_new1127z00_5718); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10371, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1127z00_5718); 
return BgL_new1127z00_5718;} } 

}



/* &lambda2466 */
BgL_ofbz00_bglt BGl_z62lambda2466z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4728, obj_t BgL_blockzd2siza7e1123z75_4729, obj_t BgL_cipher1124z00_4730, obj_t BgL_param1125z00_4731, obj_t BgL_chain1126z00_4732)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
 long BgL_blockzd2siza7e1123z75_5720;
BgL_blockzd2siza7e1123z75_5720 = 
(long)CINT(BgL_blockzd2siza7e1123z75_4729); 
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1268z00_5723;
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1267z00_5724;
BgL_new1267z00_5724 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
 long BgL_arg2467z00_5725;
BgL_arg2467z00_5725 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1267z00_5724), BgL_arg2467z00_5725); } 
{ /* Llib/block_ciphers.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_10380;
BgL_tmpz00_10380 = 
((BgL_objectz00_bglt)BgL_new1267z00_5724); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10380, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1267z00_5724); 
BgL_new1268z00_5723 = BgL_new1267z00_5724; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1268z00_5723)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1123z75_5720),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1268z00_5723)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1124z00_4730)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1268z00_5723)))->BgL_paramz00)=((obj_t)BgL_param1125z00_4731),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1268z00_5723))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1126z00_4732)),BUNSPEC); 
return BgL_new1268z00_5723;} } } 

}



/* &lambda2475 */
obj_t BGl_z62lambda2475z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4733, obj_t BgL_oz00_4734, obj_t BgL_vz00_4735)
{
{ /* Llib/block_ciphers.scm 102 */
return 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_4734)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4735)),BUNSPEC);} 

}



/* &lambda2474 */
obj_t BGl_z62lambda2474z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4736, obj_t BgL_oz00_4737)
{
{ /* Llib/block_ciphers.scm 102 */
return 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_4737)))->BgL_chainz00);} 

}



/* &<@anonymous:2450> */
obj_t BGl_z62zc3z04anonymousza32450ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4738, obj_t BgL_new1121z00_4739)
{
{ /* Llib/block_ciphers.scm 99 */
{ 
 BgL_cfbzd2decryptzd2_bglt BgL_auxz00_10398;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4739))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4739))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4739))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4739)))->BgL_bufferz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4739)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10398 = 
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4739); 
return 
((obj_t)BgL_auxz00_10398);} } 

}



/* &lambda2448 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2448z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4740)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1120z00_5730;
BgL_new1120z00_5730 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
 long BgL_arg2449z00_5731;
BgL_arg2449z00_5731 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_5730), BgL_arg2449z00_5731); } 
{ /* Llib/block_ciphers.scm 99 */
 BgL_objectz00_bglt BgL_tmpz00_10418;
BgL_tmpz00_10418 = 
((BgL_objectz00_bglt)BgL_new1120z00_5730); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10418, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1120z00_5730); 
return BgL_new1120z00_5730;} } 

}



/* &lambda2446 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2446z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4741, obj_t BgL_blockzd2siza7e1115z75_4742, obj_t BgL_cipher1116z00_4743, obj_t BgL_param1117z00_4744, obj_t BgL_buffer1118z00_4745, obj_t BgL_chain1119z00_4746)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
 long BgL_blockzd2siza7e1115z75_5732;
BgL_blockzd2siza7e1115z75_5732 = 
(long)CINT(BgL_blockzd2siza7e1115z75_4742); 
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1266z00_5736;
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1265z00_5737;
BgL_new1265z00_5737 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
 long BgL_arg2447z00_5738;
BgL_arg2447z00_5738 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1265z00_5737), BgL_arg2447z00_5738); } 
{ /* Llib/block_ciphers.scm 99 */
 BgL_objectz00_bglt BgL_tmpz00_10427;
BgL_tmpz00_10427 = 
((BgL_objectz00_bglt)BgL_new1265z00_5737); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10427, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1265z00_5737); 
BgL_new1266z00_5736 = BgL_new1265z00_5737; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1266z00_5736)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1115z75_5732),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1266z00_5736)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1116z00_4743)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1266z00_5736)))->BgL_paramz00)=((obj_t)BgL_param1117z00_4744),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1266z00_5736))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1118z00_4745)),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1266z00_5736))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1119z00_4746)),BUNSPEC); 
return BgL_new1266z00_5736;} } } 

}



/* &lambda2460 */
obj_t BGl_z62lambda2460z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4747, obj_t BgL_oz00_4748, obj_t BgL_vz00_4749)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4748)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4749)),BUNSPEC);} 

}



/* &lambda2459 */
obj_t BGl_z62lambda2459z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4750, obj_t BgL_oz00_4751)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4751)))->BgL_chainz00);} 

}



/* &lambda2455 */
obj_t BGl_z62lambda2455z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4752, obj_t BgL_oz00_4753, obj_t BgL_vz00_4754)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4753)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4754)),BUNSPEC);} 

}



/* &lambda2454 */
obj_t BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4755, obj_t BgL_oz00_4756)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4756)))->BgL_bufferz00);} 

}



/* &<@anonymous:2435> */
obj_t BGl_z62zc3z04anonymousza32435ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4757, obj_t BgL_new1113z00_4758)
{
{ /* Llib/block_ciphers.scm 97 */
{ 
 BgL_cfbzd2encryptzd2_bglt BgL_auxz00_10452;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4758))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4758))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4758))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4758)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10452 = 
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4758); 
return 
((obj_t)BgL_auxz00_10452);} } 

}



/* &lambda2433 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4759)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1112z00_5746;
BgL_new1112z00_5746 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
 long BgL_arg2434z00_5747;
BgL_arg2434z00_5747 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_5746), BgL_arg2434z00_5747); } 
{ /* Llib/block_ciphers.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_10470;
BgL_tmpz00_10470 = 
((BgL_objectz00_bglt)BgL_new1112z00_5746); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10470, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1112z00_5746); 
return BgL_new1112z00_5746;} } 

}



/* &lambda2431 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2431z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4760, obj_t BgL_blockzd2siza7e1108z75_4761, obj_t BgL_cipher1109z00_4762, obj_t BgL_param1110z00_4763, obj_t BgL_chain1111z00_4764)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
 long BgL_blockzd2siza7e1108z75_5748;
BgL_blockzd2siza7e1108z75_5748 = 
(long)CINT(BgL_blockzd2siza7e1108z75_4761); 
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1264z00_5751;
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1263z00_5752;
BgL_new1263z00_5752 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
 long BgL_arg2432z00_5753;
BgL_arg2432z00_5753 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1263z00_5752), BgL_arg2432z00_5753); } 
{ /* Llib/block_ciphers.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_10479;
BgL_tmpz00_10479 = 
((BgL_objectz00_bglt)BgL_new1263z00_5752); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10479, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1263z00_5752); 
BgL_new1264z00_5751 = BgL_new1263z00_5752; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1264z00_5751)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1108z75_5748),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1264z00_5751)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1109z00_4762)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1264z00_5751)))->BgL_paramz00)=((obj_t)BgL_param1110z00_4763),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1264z00_5751))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1111z00_4764)),BUNSPEC); 
return BgL_new1264z00_5751;} } } 

}



/* &lambda2440 */
obj_t BGl_z62lambda2440z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4765, obj_t BgL_oz00_4766, obj_t BgL_vz00_4767)
{
{ /* Llib/block_ciphers.scm 97 */
return 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_4766)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4767)),BUNSPEC);} 

}



/* &lambda2439 */
obj_t BGl_z62lambda2439z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4768, obj_t BgL_oz00_4769)
{
{ /* Llib/block_ciphers.scm 97 */
return 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_4769)))->BgL_chainz00);} 

}



/* &<@anonymous:2425> */
obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4770, obj_t BgL_new1106z00_4771)
{
{ /* Llib/block_ciphers.scm 96 */
{ 
 BgL_streamzd2cipherzd2statez00_bglt BgL_auxz00_10497;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_4771))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_4771))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_4771))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10497 = 
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_4771); 
return 
((obj_t)BgL_auxz00_10497);} } 

}



/* &lambda2423 */
BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4772)
{
{ /* Llib/block_ciphers.scm 96 */
{ /* Llib/block_ciphers.scm 96 */
 BgL_streamzd2cipherzd2statez00_bglt BgL_new1105z00_5758;
BgL_new1105z00_5758 = 
((BgL_streamzd2cipherzd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_streamzd2cipherzd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 96 */
 long BgL_arg2424z00_5759;
BgL_arg2424z00_5759 = 
BGL_CLASS_NUM(BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_5758), BgL_arg2424z00_5759); } 
return BgL_new1105z00_5758;} } 

}



/* &<@anonymous:2408> */
obj_t BGl_z62zc3z04anonymousza32408ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4773, obj_t BgL_new1103z00_4774)
{
{ /* Llib/block_ciphers.scm 92 */
{ 
 BgL_pcbczd2decryptzd2_bglt BgL_auxz00_10513;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_4774))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_4774))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_4774))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_4774)))->BgL_bufferz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_4774)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10513 = 
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_4774); 
return 
((obj_t)BgL_auxz00_10513);} } 

}



/* &lambda2406 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2406z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4775)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1102z00_5761;
BgL_new1102z00_5761 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
 long BgL_arg2407z00_5762;
BgL_arg2407z00_5762 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_5761), BgL_arg2407z00_5762); } 
{ /* Llib/block_ciphers.scm 92 */
 BgL_objectz00_bglt BgL_tmpz00_10533;
BgL_tmpz00_10533 = 
((BgL_objectz00_bglt)BgL_new1102z00_5761); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10533, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1102z00_5761); 
return BgL_new1102z00_5761;} } 

}



/* &lambda2404 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2404z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4776, obj_t BgL_blockzd2siza7e1097z75_4777, obj_t BgL_cipher1098z00_4778, obj_t BgL_param1099z00_4779, obj_t BgL_buffer1100z00_4780, obj_t BgL_chain1101z00_4781)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
 long BgL_blockzd2siza7e1097z75_5763;
BgL_blockzd2siza7e1097z75_5763 = 
(long)CINT(BgL_blockzd2siza7e1097z75_4777); 
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1262z00_5767;
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1261z00_5768;
BgL_new1261z00_5768 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
 long BgL_arg2405z00_5769;
BgL_arg2405z00_5769 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1261z00_5768), BgL_arg2405z00_5769); } 
{ /* Llib/block_ciphers.scm 92 */
 BgL_objectz00_bglt BgL_tmpz00_10542;
BgL_tmpz00_10542 = 
((BgL_objectz00_bglt)BgL_new1261z00_5768); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10542, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1261z00_5768); 
BgL_new1262z00_5767 = BgL_new1261z00_5768; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_5767)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1097z75_5763),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_5767)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1098z00_4778)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_5767)))->BgL_paramz00)=((obj_t)BgL_param1099z00_4779),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1262z00_5767))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1100z00_4780)),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1262z00_5767))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1101z00_4781)),BUNSPEC); 
return BgL_new1262z00_5767;} } } 

}



/* &lambda2418 */
obj_t BGl_z62lambda2418z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4782, obj_t BgL_oz00_4783, obj_t BgL_vz00_4784)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4783)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4784)),BUNSPEC);} 

}



/* &lambda2417 */
obj_t BGl_z62lambda2417z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4785, obj_t BgL_oz00_4786)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4786)))->BgL_chainz00);} 

}



/* &lambda2413 */
obj_t BGl_z62lambda2413z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4787, obj_t BgL_oz00_4788, obj_t BgL_vz00_4789)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4788)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4789)),BUNSPEC);} 

}



/* &lambda2412 */
obj_t BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4790, obj_t BgL_oz00_4791)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4791)))->BgL_bufferz00);} 

}



/* &<@anonymous:2388> */
obj_t BGl_z62zc3z04anonymousza32388ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4792, obj_t BgL_new1095z00_4793)
{
{ /* Llib/block_ciphers.scm 89 */
{ 
 BgL_pcbczd2encryptzd2_bglt BgL_auxz00_10567;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_4793))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_4793))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_4793))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_4793)))->BgL_bufferz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_4793)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10567 = 
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_4793); 
return 
((obj_t)BgL_auxz00_10567);} } 

}



/* &lambda2386 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2386z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4794)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1094z00_5777;
BgL_new1094z00_5777 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
 long BgL_arg2387z00_5778;
BgL_arg2387z00_5778 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_5777), BgL_arg2387z00_5778); } 
{ /* Llib/block_ciphers.scm 89 */
 BgL_objectz00_bglt BgL_tmpz00_10587;
BgL_tmpz00_10587 = 
((BgL_objectz00_bglt)BgL_new1094z00_5777); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10587, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1094z00_5777); 
return BgL_new1094z00_5777;} } 

}



/* &lambda2384 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2384z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4795, obj_t BgL_blockzd2siza7e1089z75_4796, obj_t BgL_cipher1090z00_4797, obj_t BgL_param1091z00_4798, obj_t BgL_buffer1092z00_4799, obj_t BgL_chain1093z00_4800)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
 long BgL_blockzd2siza7e1089z75_5779;
BgL_blockzd2siza7e1089z75_5779 = 
(long)CINT(BgL_blockzd2siza7e1089z75_4796); 
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1260z00_5783;
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1259z00_5784;
BgL_new1259z00_5784 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
 long BgL_arg2385z00_5785;
BgL_arg2385z00_5785 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1259z00_5784), BgL_arg2385z00_5785); } 
{ /* Llib/block_ciphers.scm 89 */
 BgL_objectz00_bglt BgL_tmpz00_10596;
BgL_tmpz00_10596 = 
((BgL_objectz00_bglt)BgL_new1259z00_5784); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10596, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1259z00_5784); 
BgL_new1260z00_5783 = BgL_new1259z00_5784; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_5783)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1089z75_5779),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_5783)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1090z00_4797)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_5783)))->BgL_paramz00)=((obj_t)BgL_param1091z00_4798),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1260z00_5783))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1092z00_4799)),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1260z00_5783))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1093z00_4800)),BUNSPEC); 
return BgL_new1260z00_5783;} } } 

}



/* &lambda2398 */
obj_t BGl_z62lambda2398z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4801, obj_t BgL_oz00_4802, obj_t BgL_vz00_4803)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4802)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4803)),BUNSPEC);} 

}



/* &lambda2397 */
obj_t BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4804, obj_t BgL_oz00_4805)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4805)))->BgL_chainz00);} 

}



/* &lambda2393 */
obj_t BGl_z62lambda2393z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4806, obj_t BgL_oz00_4807, obj_t BgL_vz00_4808)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4807)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4808)),BUNSPEC);} 

}



/* &lambda2392 */
obj_t BGl_z62lambda2392z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4809, obj_t BgL_oz00_4810)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4810)))->BgL_bufferz00);} 

}



/* &<@anonymous:2368> */
obj_t BGl_z62zc3z04anonymousza32368ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4811, obj_t BgL_new1087z00_4812)
{
{ /* Llib/block_ciphers.scm 86 */
{ 
 BgL_cbczd2decryptzd2_bglt BgL_auxz00_10621;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_4812))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_4812))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_4812))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_4812)))->BgL_bufferz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_4812)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10621 = 
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_4812); 
return 
((obj_t)BgL_auxz00_10621);} } 

}



/* &lambda2366 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2366z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4813)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1086z00_5793;
BgL_new1086z00_5793 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
 long BgL_arg2367z00_5794;
BgL_arg2367z00_5794 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_5793), BgL_arg2367z00_5794); } 
{ /* Llib/block_ciphers.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_10641;
BgL_tmpz00_10641 = 
((BgL_objectz00_bglt)BgL_new1086z00_5793); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10641, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1086z00_5793); 
return BgL_new1086z00_5793;} } 

}



/* &lambda2364 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2364z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4814, obj_t BgL_blockzd2siza7e1081z75_4815, obj_t BgL_cipher1082z00_4816, obj_t BgL_param1083z00_4817, obj_t BgL_buffer1084z00_4818, obj_t BgL_chain1085z00_4819)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
 long BgL_blockzd2siza7e1081z75_5795;
BgL_blockzd2siza7e1081z75_5795 = 
(long)CINT(BgL_blockzd2siza7e1081z75_4815); 
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1258z00_5799;
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1257z00_5800;
BgL_new1257z00_5800 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
 long BgL_arg2365z00_5801;
BgL_arg2365z00_5801 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1257z00_5800), BgL_arg2365z00_5801); } 
{ /* Llib/block_ciphers.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_10650;
BgL_tmpz00_10650 = 
((BgL_objectz00_bglt)BgL_new1257z00_5800); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10650, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1257z00_5800); 
BgL_new1258z00_5799 = BgL_new1257z00_5800; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_5799)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1081z75_5795),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_5799)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1082z00_4816)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_5799)))->BgL_paramz00)=((obj_t)BgL_param1083z00_4817),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1258z00_5799))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1084z00_4818)),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1258z00_5799))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1085z00_4819)),BUNSPEC); 
return BgL_new1258z00_5799;} } } 

}



/* &lambda2378 */
obj_t BGl_z62lambda2378z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4820, obj_t BgL_oz00_4821, obj_t BgL_vz00_4822)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4821)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4822)),BUNSPEC);} 

}



/* &lambda2377 */
obj_t BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4823, obj_t BgL_oz00_4824)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4824)))->BgL_chainz00);} 

}



/* &lambda2373 */
obj_t BGl_z62lambda2373z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4825, obj_t BgL_oz00_4826, obj_t BgL_vz00_4827)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4826)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4827)),BUNSPEC);} 

}



/* &lambda2372 */
obj_t BGl_z62lambda2372z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4828, obj_t BgL_oz00_4829)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4829)))->BgL_bufferz00);} 

}



/* &<@anonymous:2348> */
obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4830, obj_t BgL_new1079z00_4831)
{
{ /* Llib/block_ciphers.scm 83 */
{ 
 BgL_cbczd2encryptzd2_bglt BgL_auxz00_10675;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_4831))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_4831))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_4831))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_4831)))->BgL_bufferz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_4831)))->BgL_chainz00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10675 = 
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_4831); 
return 
((obj_t)BgL_auxz00_10675);} } 

}



/* &lambda2346 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4832)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1078z00_5809;
BgL_new1078z00_5809 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
 long BgL_arg2347z00_5810;
BgL_arg2347z00_5810 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_5809), BgL_arg2347z00_5810); } 
{ /* Llib/block_ciphers.scm 83 */
 BgL_objectz00_bglt BgL_tmpz00_10695;
BgL_tmpz00_10695 = 
((BgL_objectz00_bglt)BgL_new1078z00_5809); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10695, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1078z00_5809); 
return BgL_new1078z00_5809;} } 

}



/* &lambda2344 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2344z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4833, obj_t BgL_blockzd2siza7e1073z75_4834, obj_t BgL_cipher1074z00_4835, obj_t BgL_param1075z00_4836, obj_t BgL_buffer1076z00_4837, obj_t BgL_chain1077z00_4838)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
 long BgL_blockzd2siza7e1073z75_5811;
BgL_blockzd2siza7e1073z75_5811 = 
(long)CINT(BgL_blockzd2siza7e1073z75_4834); 
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1256z00_5815;
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1255z00_5816;
BgL_new1255z00_5816 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
 long BgL_arg2345z00_5817;
BgL_arg2345z00_5817 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1255z00_5816), BgL_arg2345z00_5817); } 
{ /* Llib/block_ciphers.scm 83 */
 BgL_objectz00_bglt BgL_tmpz00_10704;
BgL_tmpz00_10704 = 
((BgL_objectz00_bglt)BgL_new1255z00_5816); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10704, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1255z00_5816); 
BgL_new1256z00_5815 = BgL_new1255z00_5816; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_5815)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1073z75_5811),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_5815)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1074z00_4835)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_5815)))->BgL_paramz00)=((obj_t)BgL_param1075z00_4836),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1256z00_5815))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1076z00_4837)),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1256z00_5815))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1077z00_4838)),BUNSPEC); 
return BgL_new1256z00_5815;} } } 

}



/* &lambda2358 */
obj_t BGl_z62lambda2358z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4839, obj_t BgL_oz00_4840, obj_t BgL_vz00_4841)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4840)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4841)),BUNSPEC);} 

}



/* &lambda2357 */
obj_t BGl_z62lambda2357z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4842, obj_t BgL_oz00_4843)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4843)))->BgL_chainz00);} 

}



/* &lambda2353 */
obj_t BGl_z62lambda2353z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4844, obj_t BgL_oz00_4845, obj_t BgL_vz00_4846)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4845)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4846)),BUNSPEC);} 

}



/* &lambda2352 */
obj_t BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4847, obj_t BgL_oz00_4848)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4848)))->BgL_bufferz00);} 

}



/* &<@anonymous:2338> */
obj_t BGl_z62zc3z04anonymousza32338ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4849, obj_t BgL_new1071z00_4850)
{
{ /* Llib/block_ciphers.scm 82 */
{ 
 BgL_ecbzd2decryptzd2_bglt BgL_auxz00_10729;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_4850))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_4850))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_4850))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10729 = 
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_4850); 
return 
((obj_t)BgL_auxz00_10729);} } 

}



/* &lambda2336 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2336z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4851)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1070z00_5825;
BgL_new1070z00_5825 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
 long BgL_arg2337z00_5826;
BgL_arg2337z00_5826 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_5825), BgL_arg2337z00_5826); } 
{ /* Llib/block_ciphers.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_10745;
BgL_tmpz00_10745 = 
((BgL_objectz00_bglt)BgL_new1070z00_5825); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10745, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1070z00_5825); 
return BgL_new1070z00_5825;} } 

}



/* &lambda2334 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4852, obj_t BgL_blockzd2siza7e1067z75_4853, obj_t BgL_cipher1068z00_4854, obj_t BgL_param1069z00_4855)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
 long BgL_blockzd2siza7e1067z75_5827;
BgL_blockzd2siza7e1067z75_5827 = 
(long)CINT(BgL_blockzd2siza7e1067z75_4853); 
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1254z00_5829;
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1253z00_5830;
BgL_new1253z00_5830 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
 long BgL_arg2335z00_5831;
BgL_arg2335z00_5831 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_5830), BgL_arg2335z00_5831); } 
{ /* Llib/block_ciphers.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_10754;
BgL_tmpz00_10754 = 
((BgL_objectz00_bglt)BgL_new1253z00_5830); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10754, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1253z00_5830); 
BgL_new1254z00_5829 = BgL_new1253z00_5830; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_5829)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1067z75_5827),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_5829)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1068z00_4854)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_5829)))->BgL_paramz00)=((obj_t)BgL_param1069z00_4855),BUNSPEC); 
return BgL_new1254z00_5829;} } } 

}



/* &<@anonymous:2328> */
obj_t BGl_z62zc3z04anonymousza32328ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4856, obj_t BgL_new1065z00_4857)
{
{ /* Llib/block_ciphers.scm 81 */
{ 
 BgL_ecbzd2encryptzd2_bglt BgL_auxz00_10765;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_4857))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_4857))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_4857))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10765 = 
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_4857); 
return 
((obj_t)BgL_auxz00_10765);} } 

}



/* &lambda2326 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4858)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1064z00_5833;
BgL_new1064z00_5833 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
 long BgL_arg2327z00_5834;
BgL_arg2327z00_5834 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_5833), BgL_arg2327z00_5834); } 
{ /* Llib/block_ciphers.scm 81 */
 BgL_objectz00_bglt BgL_tmpz00_10781;
BgL_tmpz00_10781 = 
((BgL_objectz00_bglt)BgL_new1064z00_5833); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10781, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1064z00_5833); 
return BgL_new1064z00_5833;} } 

}



/* &lambda2324 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2324z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4859, obj_t BgL_blockzd2siza7e1061z75_4860, obj_t BgL_cipher1062z00_4861, obj_t BgL_param1063z00_4862)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
 long BgL_blockzd2siza7e1061z75_5835;
BgL_blockzd2siza7e1061z75_5835 = 
(long)CINT(BgL_blockzd2siza7e1061z75_4860); 
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1252z00_5837;
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1251z00_5838;
BgL_new1251z00_5838 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
 long BgL_arg2325z00_5839;
BgL_arg2325z00_5839 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1251z00_5838), BgL_arg2325z00_5839); } 
{ /* Llib/block_ciphers.scm 81 */
 BgL_objectz00_bglt BgL_tmpz00_10790;
BgL_tmpz00_10790 = 
((BgL_objectz00_bglt)BgL_new1251z00_5838); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10790, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1251z00_5838); 
BgL_new1252z00_5837 = BgL_new1251z00_5838; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_5837)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1061z75_5835),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_5837)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1062z00_4861)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_5837)))->BgL_paramz00)=((obj_t)BgL_param1063z00_4862),BUNSPEC); 
return BgL_new1252z00_5837;} } } 

}



/* &<@anonymous:2303> */
obj_t BGl_z62zc3z04anonymousza32303ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4863, obj_t BgL_new1059z00_4864)
{
{ /* Llib/block_ciphers.scm 77 */
{ 
 BgL_cipherzd2statezd2_bglt BgL_auxz00_10801;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_4864)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_4864)))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_4864)))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10801 = 
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_4864); 
return 
((obj_t)BgL_auxz00_10801);} } 

}



/* &lambda2301 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4865)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
 BgL_cipherzd2statezd2_bglt BgL_new1058z00_5841;
BgL_new1058z00_5841 = 
((BgL_cipherzd2statezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2statezd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 77 */
 long BgL_arg2302z00_5842;
BgL_arg2302z00_5842 = 
BGL_CLASS_NUM(BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_5841), BgL_arg2302z00_5842); } 
return BgL_new1058z00_5841;} } 

}



/* &lambda2318 */
obj_t BGl_z62lambda2318z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4866, obj_t BgL_oz00_4867, obj_t BgL_vz00_4868)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4867)))->BgL_paramz00)=((obj_t)BgL_vz00_4868),BUNSPEC);} 

}



/* &lambda2317 */
obj_t BGl_z62lambda2317z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4869, obj_t BgL_oz00_4870)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4870)))->BgL_paramz00);} 

}



/* &lambda2313 */
obj_t BGl_z62lambda2313z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4871, obj_t BgL_oz00_4872, obj_t BgL_vz00_4873)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4872)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_vz00_4873)),BUNSPEC);} 

}



/* &lambda2312 */
obj_t BGl_z62lambda2312z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4874, obj_t BgL_oz00_4875)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4875)))->BgL_cipherz00);} 

}



/* &lambda2308 */
obj_t BGl_z62lambda2308z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4876, obj_t BgL_oz00_4877, obj_t BgL_vz00_4878)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
 long BgL_vz00_5849;
BgL_vz00_5849 = 
(long)CINT(BgL_vz00_4878); 
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4877)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5849),BUNSPEC);} } 

}



/* &lambda2307 */
obj_t BGl_z62lambda2307z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4879, obj_t BgL_oz00_4880)
{
{ /* Llib/block_ciphers.scm 77 */
return 
BINT(
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4880)))->BgL_blockzd2siza7ez75));} 

}



/* &<@anonymous:2261> */
obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4881, obj_t BgL_new1056z00_4882)
{
{ /* Llib/block_ciphers.scm 6 */
{ 
 BgL_blockzd2cipherzd2_bglt BgL_auxz00_10829;
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_namez00)=((obj_t)BGl_string3396z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_preferredzd2keyzd2lengthz00)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_encryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_decryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_10829 = 
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_4882); 
return 
((obj_t)BgL_auxz00_10829);} } 

}



/* &lambda2259 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2259z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4883)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1055z00_5852;
BgL_new1055z00_5852 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
 long BgL_arg2260z00_5853;
BgL_arg2260z00_5853 = 
BGL_CLASS_NUM(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_5852), BgL_arg2260z00_5853); } 
{ /* Llib/block_ciphers.scm 6 */
 BgL_objectz00_bglt BgL_tmpz00_10850;
BgL_tmpz00_10850 = 
((BgL_objectz00_bglt)BgL_new1055z00_5852); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10850, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1055z00_5852); 
return BgL_new1055z00_5852;} } 

}



/* &lambda2257 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2257z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4884, obj_t BgL_name1048z00_4885, obj_t BgL_blockzd2siza7e1049z75_4886, obj_t BgL_preferredzd2keyzd2length1050z00_4887, obj_t BgL_encryptz121051z12_4888, obj_t BgL_decryptz121052z12_4889, obj_t BgL_keyzd2ze3encryptzd2param1053ze3_4890, obj_t BgL_keyzd2ze3decryptzd2param1054ze3_4891)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_blockzd2siza7e1049z75_5855; long BgL_preferredzd2keyzd2length1050z00_5856;
BgL_blockzd2siza7e1049z75_5855 = 
(long)CINT(BgL_blockzd2siza7e1049z75_4886); 
BgL_preferredzd2keyzd2length1050z00_5856 = 
(long)CINT(BgL_preferredzd2keyzd2length1050z00_4887); 
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1250z00_5861;
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1249z00_5862;
BgL_new1249z00_5862 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
 long BgL_arg2258z00_5863;
BgL_arg2258z00_5863 = 
BGL_CLASS_NUM(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1249z00_5862), BgL_arg2258z00_5863); } 
{ /* Llib/block_ciphers.scm 6 */
 BgL_objectz00_bglt BgL_tmpz00_10860;
BgL_tmpz00_10860 = 
((BgL_objectz00_bglt)BgL_new1249z00_5862); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10860, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1249z00_5862); 
BgL_new1250z00_5861 = BgL_new1249z00_5862; } 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1048z00_4885)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1049z75_5855),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_preferredzd2keyzd2length1050z00_5856),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_encryptz121051z12_4888)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_decryptz121052z12_4889)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3encryptzd2param1053ze3_4890)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5861))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3decryptzd2param1054ze3_4891)),BUNSPEC); 
return BgL_new1250z00_5861;} } } 

}



/* &lambda2296 */
obj_t BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4892, obj_t BgL_oz00_4893, obj_t BgL_vz00_4894)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4893)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_4894)),BUNSPEC);} 

}



/* &lambda2295 */
obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4895, obj_t BgL_oz00_4896)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4896)))->BgL_keyzd2ze3decryptzd2paramze3);} 

}



/* &lambda2291 */
obj_t BGl_z62lambda2291z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4897, obj_t BgL_oz00_4898, obj_t BgL_vz00_4899)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4898)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_4899)),BUNSPEC);} 

}



/* &lambda2290 */
obj_t BGl_z62lambda2290z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4900, obj_t BgL_oz00_4901)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4901)))->BgL_keyzd2ze3encryptzd2paramze3);} 

}



/* &lambda2286 */
obj_t BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4902, obj_t BgL_oz00_4903, obj_t BgL_vz00_4904)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4903)))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_vz00_4904)),BUNSPEC);} 

}



/* &lambda2285 */
obj_t BGl_z62lambda2285z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4905, obj_t BgL_oz00_4906)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4906)))->BgL_decryptz12z12);} 

}



/* &lambda2281 */
obj_t BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4907, obj_t BgL_oz00_4908, obj_t BgL_vz00_4909)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4908)))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_vz00_4909)),BUNSPEC);} 

}



/* &lambda2280 */
obj_t BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4910, obj_t BgL_oz00_4911)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4911)))->BgL_encryptz12z12);} 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4912, obj_t BgL_oz00_4913, obj_t BgL_vz00_4914)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_vz00_5877;
BgL_vz00_5877 = 
(long)CINT(BgL_vz00_4914); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4913)))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_vz00_5877),BUNSPEC);} } 

}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4915, obj_t BgL_oz00_4916)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4916)))->BgL_preferredzd2keyzd2lengthz00));} 

}



/* &lambda2271 */
obj_t BGl_z62lambda2271z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4917, obj_t BgL_oz00_4918, obj_t BgL_vz00_4919)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_vz00_5880;
BgL_vz00_5880 = 
(long)CINT(BgL_vz00_4919); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4918)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5880),BUNSPEC);} } 

}



/* &lambda2270 */
obj_t BGl_z62lambda2270z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4920, obj_t BgL_oz00_4921)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4921)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2266 */
obj_t BGl_z62lambda2266z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4922, obj_t BgL_oz00_4923, obj_t BgL_vz00_4924)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4923)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_4924)),BUNSPEC);} 

}



/* &lambda2265 */
obj_t BGl_z62lambda2265z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4925, obj_t BgL_oz00_4926)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4926)))->BgL_namez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3397z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3398z00zz__cryptozd2blockzd2ciphersz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_proc3399z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3400z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3401z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3402z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1317 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1317zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4930, obj_t BgL_statez00_4931, obj_t BgL_fromz00_4932, obj_t BgL_fromzd2blockzd2posz00_4933, obj_t BgL_toz00_4934, obj_t BgL_tozd2blockzd2posz00_4935, obj_t BgL_atz00_4936, obj_t BgL_lenz00_4937)
{
{ /* Llib/block_ciphers.scm 212 */
return 
BGl_errorz00zz__errorz00(BGl_string3403z00zz__cryptozd2blockzd2ciphersz00, BGl_string3404z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4931)));} 

}



/* &do-cipher-block!1315 */
obj_t BGl_z62dozd2cipherzd2blockz121315z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4938, obj_t BgL_statez00_4939, obj_t BgL_fromz00_4940, obj_t BgL_fromzd2poszd2_4941, obj_t BgL_toz00_4942, obj_t BgL_tozd2poszd2_4943)
{
{ /* Llib/block_ciphers.scm 206 */
return 
BGl_errorz00zz__errorz00(BGl_string3405z00zz__cryptozd2blockzd2ciphersz00, BGl_string3404z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4939)));} 

}



/* &do-cipher-IV-init!1313 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz121313za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4944, obj_t BgL_statez00_4945, obj_t BgL_ivz00_4946)
{
{ /* Llib/block_ciphers.scm 202 */
return 
BGl_errorz00zz__errorz00(BGl_string3406z00zz__cryptozd2blockzd2ciphersz00, BGl_string3404z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4945)));} 

}



/* do-cipher-IV-init! */
obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_36, obj_t BgL_ivz00_37)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_method1314z00_2187;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_res2744z00_3629;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_objzd2classzd2numz00_3600;
BgL_objzd2classzd2numz00_3600 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_36)); 
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1801z00_3601;
BgL_arg1801z00_3601 = 
PROCEDURE_REF(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 202 */
 int BgL_offsetz00_3604;
BgL_offsetz00_3604 = 
(int)(BgL_objzd2classzd2numz00_3600); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_offsetz00_3605;
BgL_offsetz00_3605 = 
(
(long)(BgL_offsetz00_3604)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_modz00_3606;
BgL_modz00_3606 = 
(BgL_offsetz00_3605 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_restz00_3608;
BgL_restz00_3608 = 
(BgL_offsetz00_3605 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 202 */

{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_bucketz00_3610;
BgL_bucketz00_3610 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3601),BgL_modz00_3606); 
BgL_res2744z00_3629 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3610),BgL_restz00_3608); } } } } } } } } 
BgL_method1314z00_2187 = BgL_res2744z00_3629; } 
return 
PROCEDURE_ENTRY(BgL_method1314z00_2187)(BgL_method1314z00_2187, 
((obj_t)BgL_statez00_36), BgL_ivz00_37, BEOA);} } 

}



/* &do-cipher-IV-init! */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4947, obj_t BgL_statez00_4948, obj_t BgL_ivz00_4949)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
 BgL_cipherzd2statezd2_bglt BgL_auxz00_10956;
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_test4142z00_10957;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_classz00_5898;
BgL_classz00_5898 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4948))
{ /* Llib/block_ciphers.scm 202 */
 BgL_objectz00_bglt BgL_arg1799z00_5900; long BgL_arg1800z00_5901;
BgL_arg1799z00_5900 = 
(BgL_objectz00_bglt)(BgL_statez00_4948); 
BgL_arg1800z00_5901 = 
BGL_CLASS_DEPTH(BgL_classz00_5898); 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_arg1794z00_5905; bool_t BgL_arg1795z00_5906;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_idxz00_5910;
BgL_idxz00_5910 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5900); 
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1791z00_5911;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1792z00_5912;
BgL_arg1792z00_5912 = 
(BgL_idxz00_5910+BgL_arg1800z00_5901); 
BgL_arg1791z00_5911 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5912); } 
BgL_arg1794z00_5905 = 
(BgL_arg1791z00_5911==BgL_classz00_5898); } } 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_res3440z00_5935;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_oclassz00_5920;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1804z00_5926;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1805z00_5927;
BgL_arg1805z00_5927 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5900); 
BgL_arg1804z00_5926 = 
(BgL_arg1805z00_5927-OBJECT_TYPE); } 
BgL_oclassz00_5920 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5926); } 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL__ortest_1111z00_5921;
BgL__ortest_1111z00_5921 = 
(BgL_classz00_5898==BgL_oclassz00_5920); 
if(BgL__ortest_1111z00_5921)
{ /* Llib/block_ciphers.scm 202 */
BgL_res3440z00_5935 = BgL__ortest_1111z00_5921; }  else 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_odepthz00_5922;
BgL_odepthz00_5922 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5920); 
if(
(BgL_arg1800z00_5901<BgL_odepthz00_5922))
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1793z00_5924;
BgL_arg1793z00_5924 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5920, BgL_arg1800z00_5901); 
BgL_res3440z00_5935 = 
(BgL_arg1793z00_5924==BgL_classz00_5898); }  else 
{ /* Llib/block_ciphers.scm 202 */
BgL_res3440z00_5935 = ((bool_t)0); } } } } 
BgL_arg1795z00_5906 = BgL_res3440z00_5935; } 
BgL_test4142z00_10957 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5905, BgL_arg1795z00_5906); } }  else 
{ /* Llib/block_ciphers.scm 202 */
BgL_test4142z00_10957 = ((bool_t)0)
; } } 
if(BgL_test4142z00_10957)
{ /* Llib/block_ciphers.scm 202 */
BgL_auxz00_10956 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4948)
; }  else 
{ 
 obj_t BgL_auxz00_10978;
BgL_auxz00_10978 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7145)), BGl_string3407z00zz__cryptozd2blockzd2ciphersz00, BGl_string3408z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4948); 
FAILURE(BgL_auxz00_10978,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10956, BgL_ivz00_4949);} } 

}



/* do-cipher-block! */
obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_38, obj_t BgL_fromz00_39, long BgL_fromzd2poszd2_40, obj_t BgL_toz00_41, long BgL_tozd2poszd2_42)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_method1316z00_2188;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_res2749z00_3660;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_objzd2classzd2numz00_3631;
BgL_objzd2classzd2numz00_3631 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_38)); 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1801z00_3632;
BgL_arg1801z00_3632 = 
PROCEDURE_REF(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 206 */
 int BgL_offsetz00_3635;
BgL_offsetz00_3635 = 
(int)(BgL_objzd2classzd2numz00_3631); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_offsetz00_3636;
BgL_offsetz00_3636 = 
(
(long)(BgL_offsetz00_3635)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_modz00_3637;
BgL_modz00_3637 = 
(BgL_offsetz00_3636 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_restz00_3639;
BgL_restz00_3639 = 
(BgL_offsetz00_3636 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 206 */

{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_bucketz00_3641;
BgL_bucketz00_3641 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3632),BgL_modz00_3637); 
BgL_res2749z00_3660 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3641),BgL_restz00_3639); } } } } } } } } 
BgL_method1316z00_2188 = BgL_res2749z00_3660; } 
return 
PROCEDURE_ENTRY(BgL_method1316z00_2188)(BgL_method1316z00_2188, 
((obj_t)BgL_statez00_38), BgL_fromz00_39, 
BINT(BgL_fromzd2poszd2_40), BgL_toz00_41, 
BINT(BgL_tozd2poszd2_42), BEOA);} } 

}



/* &do-cipher-block! */
obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4950, obj_t BgL_statez00_4951, obj_t BgL_fromz00_4952, obj_t BgL_fromzd2poszd2_4953, obj_t BgL_toz00_4954, obj_t BgL_tozd2poszd2_4955)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
 long BgL_auxz00_11068; obj_t BgL_auxz00_11061; long BgL_auxz00_11052; obj_t BgL_auxz00_11045; BgL_cipherzd2statezd2_bglt BgL_auxz00_11019;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_tmpz00_11069;
if(
INTEGERP(BgL_tozd2poszd2_4955))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_11069 = BgL_tozd2poszd2_4955
; }  else 
{ 
 obj_t BgL_auxz00_11072;
BgL_auxz00_11072 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3409z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2poszd2_4955); 
FAILURE(BgL_auxz00_11072,BFALSE,BFALSE);} 
BgL_auxz00_11068 = 
(long)CINT(BgL_tmpz00_11069); } 
if(
STRINGP(BgL_toz00_4954))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11061 = BgL_toz00_4954
; }  else 
{ 
 obj_t BgL_auxz00_11064;
BgL_auxz00_11064 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3409z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_4954); 
FAILURE(BgL_auxz00_11064,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_tmpz00_11053;
if(
INTEGERP(BgL_fromzd2poszd2_4953))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_11053 = BgL_fromzd2poszd2_4953
; }  else 
{ 
 obj_t BgL_auxz00_11056;
BgL_auxz00_11056 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3409z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2poszd2_4953); 
FAILURE(BgL_auxz00_11056,BFALSE,BFALSE);} 
BgL_auxz00_11052 = 
(long)CINT(BgL_tmpz00_11053); } 
if(
STRINGP(BgL_fromz00_4952))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11045 = BgL_fromz00_4952
; }  else 
{ 
 obj_t BgL_auxz00_11048;
BgL_auxz00_11048 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3409z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_4952); 
FAILURE(BgL_auxz00_11048,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_test4146z00_11020;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_classz00_5936;
BgL_classz00_5936 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4951))
{ /* Llib/block_ciphers.scm 206 */
 BgL_objectz00_bglt BgL_arg1799z00_5938; long BgL_arg1800z00_5939;
BgL_arg1799z00_5938 = 
(BgL_objectz00_bglt)(BgL_statez00_4951); 
BgL_arg1800z00_5939 = 
BGL_CLASS_DEPTH(BgL_classz00_5936); 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_arg1794z00_5943; bool_t BgL_arg1795z00_5944;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_idxz00_5948;
BgL_idxz00_5948 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5938); 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1791z00_5949;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1792z00_5950;
BgL_arg1792z00_5950 = 
(BgL_idxz00_5948+BgL_arg1800z00_5939); 
BgL_arg1791z00_5949 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5950); } 
BgL_arg1794z00_5943 = 
(BgL_arg1791z00_5949==BgL_classz00_5936); } } 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_res3441z00_5973;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_oclassz00_5958;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1804z00_5964;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1805z00_5965;
BgL_arg1805z00_5965 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5938); 
BgL_arg1804z00_5964 = 
(BgL_arg1805z00_5965-OBJECT_TYPE); } 
BgL_oclassz00_5958 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5964); } 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL__ortest_1111z00_5959;
BgL__ortest_1111z00_5959 = 
(BgL_classz00_5936==BgL_oclassz00_5958); 
if(BgL__ortest_1111z00_5959)
{ /* Llib/block_ciphers.scm 206 */
BgL_res3441z00_5973 = BgL__ortest_1111z00_5959; }  else 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_odepthz00_5960;
BgL_odepthz00_5960 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5958); 
if(
(BgL_arg1800z00_5939<BgL_odepthz00_5960))
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1793z00_5962;
BgL_arg1793z00_5962 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5958, BgL_arg1800z00_5939); 
BgL_res3441z00_5973 = 
(BgL_arg1793z00_5962==BgL_classz00_5936); }  else 
{ /* Llib/block_ciphers.scm 206 */
BgL_res3441z00_5973 = ((bool_t)0); } } } } 
BgL_arg1795z00_5944 = BgL_res3441z00_5973; } 
BgL_test4146z00_11020 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5943, BgL_arg1795z00_5944); } }  else 
{ /* Llib/block_ciphers.scm 206 */
BgL_test4146z00_11020 = ((bool_t)0)
; } } 
if(BgL_test4146z00_11020)
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11019 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4951)
; }  else 
{ 
 obj_t BgL_auxz00_11041;
BgL_auxz00_11041 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3409z00zz__cryptozd2blockzd2ciphersz00, BGl_string3408z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4951); 
FAILURE(BgL_auxz00_11041,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11019, BgL_auxz00_11045, BgL_auxz00_11052, BgL_auxz00_11061, BgL_auxz00_11068);} } 

}



/* do-cipher-partial-block! */
obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_43, obj_t BgL_fromz00_44, long BgL_fromzd2blockzd2posz00_45, obj_t BgL_toz00_46, long BgL_tozd2blockzd2posz00_47, long BgL_atz00_48, long BgL_lenz00_49)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_method1318z00_2189;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_res2754z00_3691;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_objzd2classzd2numz00_3662;
BgL_objzd2classzd2numz00_3662 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_43)); 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1801z00_3663;
BgL_arg1801z00_3663 = 
PROCEDURE_REF(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 212 */
 int BgL_offsetz00_3666;
BgL_offsetz00_3666 = 
(int)(BgL_objzd2classzd2numz00_3662); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_offsetz00_3667;
BgL_offsetz00_3667 = 
(
(long)(BgL_offsetz00_3666)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_modz00_3668;
BgL_modz00_3668 = 
(BgL_offsetz00_3667 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_restz00_3670;
BgL_restz00_3670 = 
(BgL_offsetz00_3667 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 212 */

{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_bucketz00_3672;
BgL_bucketz00_3672 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3663),BgL_modz00_3668); 
BgL_res2754z00_3691 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3672),BgL_restz00_3670); } } } } } } } } 
BgL_method1318z00_2189 = BgL_res2754z00_3691; } 
return 
PROCEDURE_ENTRY(BgL_method1318z00_2189)(BgL_method1318z00_2189, 
((obj_t)BgL_statez00_43), BgL_fromz00_44, 
BINT(BgL_fromzd2blockzd2posz00_45), BgL_toz00_46, 
BINT(BgL_tozd2blockzd2posz00_47), 
BINT(BgL_atz00_48), 
BINT(BgL_lenz00_49), BEOA);} } 

}



/* &do-cipher-partial-block! */
obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4956, obj_t BgL_statez00_4957, obj_t BgL_fromz00_4958, obj_t BgL_fromzd2blockzd2posz00_4959, obj_t BgL_toz00_4960, obj_t BgL_tozd2blockzd2posz00_4961, obj_t BgL_atz00_4962, obj_t BgL_lenz00_4963)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
 long BgL_auxz00_11185; long BgL_auxz00_11176; long BgL_auxz00_11167; obj_t BgL_auxz00_11160; long BgL_auxz00_11151; obj_t BgL_auxz00_11144; BgL_cipherzd2statezd2_bglt BgL_auxz00_11118;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_11186;
if(
INTEGERP(BgL_lenz00_4963))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11186 = BgL_lenz00_4963
; }  else 
{ 
 obj_t BgL_auxz00_11189;
BgL_auxz00_11189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_lenz00_4963); 
FAILURE(BgL_auxz00_11189,BFALSE,BFALSE);} 
BgL_auxz00_11185 = 
(long)CINT(BgL_tmpz00_11186); } 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_11177;
if(
INTEGERP(BgL_atz00_4962))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11177 = BgL_atz00_4962
; }  else 
{ 
 obj_t BgL_auxz00_11180;
BgL_auxz00_11180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_atz00_4962); 
FAILURE(BgL_auxz00_11180,BFALSE,BFALSE);} 
BgL_auxz00_11176 = 
(long)CINT(BgL_tmpz00_11177); } 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_11168;
if(
INTEGERP(BgL_tozd2blockzd2posz00_4961))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11168 = BgL_tozd2blockzd2posz00_4961
; }  else 
{ 
 obj_t BgL_auxz00_11171;
BgL_auxz00_11171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2blockzd2posz00_4961); 
FAILURE(BgL_auxz00_11171,BFALSE,BFALSE);} 
BgL_auxz00_11167 = 
(long)CINT(BgL_tmpz00_11168); } 
if(
STRINGP(BgL_toz00_4960))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11160 = BgL_toz00_4960
; }  else 
{ 
 obj_t BgL_auxz00_11163;
BgL_auxz00_11163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_4960); 
FAILURE(BgL_auxz00_11163,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_11152;
if(
INTEGERP(BgL_fromzd2blockzd2posz00_4959))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11152 = BgL_fromzd2blockzd2posz00_4959
; }  else 
{ 
 obj_t BgL_auxz00_11155;
BgL_auxz00_11155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3249z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2blockzd2posz00_4959); 
FAILURE(BgL_auxz00_11155,BFALSE,BFALSE);} 
BgL_auxz00_11151 = 
(long)CINT(BgL_tmpz00_11152); } 
if(
STRINGP(BgL_fromz00_4958))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11144 = BgL_fromz00_4958
; }  else 
{ 
 obj_t BgL_auxz00_11147;
BgL_auxz00_11147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3233z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_4958); 
FAILURE(BgL_auxz00_11147,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_test4154z00_11119;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_classz00_5974;
BgL_classz00_5974 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4957))
{ /* Llib/block_ciphers.scm 212 */
 BgL_objectz00_bglt BgL_arg1799z00_5976; long BgL_arg1800z00_5977;
BgL_arg1799z00_5976 = 
(BgL_objectz00_bglt)(BgL_statez00_4957); 
BgL_arg1800z00_5977 = 
BGL_CLASS_DEPTH(BgL_classz00_5974); 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_arg1794z00_5981; bool_t BgL_arg1795z00_5982;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_idxz00_5986;
BgL_idxz00_5986 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5976); 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1791z00_5987;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1792z00_5988;
BgL_arg1792z00_5988 = 
(BgL_idxz00_5986+BgL_arg1800z00_5977); 
BgL_arg1791z00_5987 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5988); } 
BgL_arg1794z00_5981 = 
(BgL_arg1791z00_5987==BgL_classz00_5974); } } 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_res3442z00_6011;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_oclassz00_5996;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1804z00_6002;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1805z00_6003;
BgL_arg1805z00_6003 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5976); 
BgL_arg1804z00_6002 = 
(BgL_arg1805z00_6003-OBJECT_TYPE); } 
BgL_oclassz00_5996 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6002); } 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL__ortest_1111z00_5997;
BgL__ortest_1111z00_5997 = 
(BgL_classz00_5974==BgL_oclassz00_5996); 
if(BgL__ortest_1111z00_5997)
{ /* Llib/block_ciphers.scm 212 */
BgL_res3442z00_6011 = BgL__ortest_1111z00_5997; }  else 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_odepthz00_5998;
BgL_odepthz00_5998 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5996); 
if(
(BgL_arg1800z00_5977<BgL_odepthz00_5998))
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1793z00_6000;
BgL_arg1793z00_6000 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5996, BgL_arg1800z00_5977); 
BgL_res3442z00_6011 = 
(BgL_arg1793z00_6000==BgL_classz00_5974); }  else 
{ /* Llib/block_ciphers.scm 212 */
BgL_res3442z00_6011 = ((bool_t)0); } } } } 
BgL_arg1795z00_5982 = BgL_res3442z00_6011; } 
BgL_test4154z00_11119 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5981, BgL_arg1795z00_5982); } }  else 
{ /* Llib/block_ciphers.scm 212 */
BgL_test4154z00_11119 = ((bool_t)0)
; } } 
if(BgL_test4154z00_11119)
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11118 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4957)
; }  else 
{ 
 obj_t BgL_auxz00_11140;
BgL_auxz00_11140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3231z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3410z00zz__cryptozd2blockzd2ciphersz00, BGl_string3408z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4957); 
FAILURE(BgL_auxz00_11140,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11118, BgL_auxz00_11144, BgL_auxz00_11151, BgL_auxz00_11160, BgL_auxz00_11167, BgL_auxz00_11176, BgL_auxz00_11185);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3411z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3413z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3414z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3416z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3417z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3418z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3419z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3420z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3421z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3422z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3423z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3424z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3425z00zz__cryptozd2blockzd2ciphersz00, BGl_string3426z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3427z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3428z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3429z00zz__cryptozd2blockzd2ciphersz00, BGl_string3426z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3430z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3432z00zz__cryptozd2blockzd2ciphersz00, BGl_string3426z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3433z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3434z00zz__cryptozd2blockzd2ciphersz00, BGl_string3412z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3435z00zz__cryptozd2blockzd2ciphersz00, BGl_string3426z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1362 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1362zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4986, obj_t BgL_statez00_4987, obj_t BgL_fromz00_4988, obj_t BgL_fromzd2poszd2_4989, obj_t BgL_toz00_4990, obj_t BgL_tozd2poszd2_4991, obj_t BgL_atz00_4992, obj_t BgL_lenz00_4993)
{
{ /* Llib/block_ciphers.scm 417 */
{ /* Llib/block_ciphers.scm 419 */
 bool_t BgL_tmpz00_11217;
if(
(
(long)CINT(BgL_atz00_4992)==((long)0)))
{ /* Llib/block_ciphers.scm 421 */
{ /* Llib/block_ciphers.scm 422 */
 obj_t BgL_fun2697z00_6013;
BgL_fun2697z00_6013 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 422 */
 obj_t BgL_arg2694z00_6014; obj_t BgL_arg2695z00_6015; long BgL_arg2696z00_6016;
BgL_arg2694z00_6014 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_noncezd2strzd2); 
BgL_arg2695z00_6015 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_noncez00); 
BgL_arg2696z00_6016 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_blockzd2counterzd2); 
PROCEDURE_ENTRY(BgL_fun2697z00_6013)(BgL_fun2697z00_6013, BgL_arg2694z00_6014, BgL_arg2695z00_6015, 
BINT(BgL_arg2696z00_6016), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 424 */
 obj_t BgL_fun2702z00_6017;
BgL_fun2702z00_6017 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4987))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 424 */
 obj_t BgL_arg2699z00_6018; obj_t BgL_arg2700z00_6019; obj_t BgL_arg2701z00_6020;
BgL_arg2699z00_6018 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_noncezd2strzd2); 
BgL_arg2700z00_6019 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_noncezd2strzd2); 
BgL_arg2701z00_6020 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4987))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2702z00_6017)(BgL_fun2702z00_6017, BgL_arg2699z00_6018, 
BINT(((long)0)), BgL_arg2700z00_6019, 
BINT(((long)0)), BgL_arg2701z00_6020, BEOA); } } }  else 
{ /* Llib/block_ciphers.scm 421 */BFALSE; } 
{ /* Llib/block_ciphers.scm 425 */
 long BgL_arg2703z00_6021; long BgL_arg2704z00_6022; obj_t BgL_arg2705z00_6023;
BgL_arg2703z00_6021 = 
(
(long)CINT(BgL_tozd2poszd2_4991)+
(long)CINT(BgL_atz00_4992)); 
BgL_arg2704z00_6022 = 
(
(long)CINT(BgL_fromzd2poszd2_4989)+
(long)CINT(BgL_atz00_4992)); 
BgL_arg2705z00_6023 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4987)))->BgL_noncezd2strzd2); 
{ 
 long BgL_iz00_6025;
BgL_iz00_6025 = ((long)0); 
BgL_loopz00_6024:
if(
(BgL_iz00_6025==
(BgL_arg2703z00_6021+
(long)CINT(BgL_lenz00_4993))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11217 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1554z00_6026; unsigned char BgL_arg1555z00_6027;
BgL_arg1554z00_6026 = 
(BgL_arg2703z00_6021+BgL_iz00_6025); 
BgL_arg1555z00_6027 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4988), 
(BgL_arg2704z00_6022+BgL_iz00_6025))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2705z00_6023, 
(
(long)CINT(BgL_atz00_4992)+BgL_iz00_6025)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_6028;
BgL_charz00_6028 = 
(unsigned char)(BgL_arg1555z00_6027); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_11290;
BgL_tmpz00_11290 = 
((obj_t)BgL_toz00_4990); 
STRING_SET(BgL_tmpz00_11290, BgL_arg1554z00_6026, BgL_charz00_6028); } } } 
{ 
 long BgL_iz00_11293;
BgL_iz00_11293 = 
(BgL_iz00_6025+((long)1)); 
BgL_iz00_6025 = BgL_iz00_11293; 
goto BgL_loopz00_6024;} } } } 
return 
BBOOL(BgL_tmpz00_11217);} } 

}



/* &do-cipher-block!-CTR1360 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1360za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4994, obj_t BgL_statez00_4995, obj_t BgL_fromz00_4996, obj_t BgL_fromzd2poszd2_4997, obj_t BgL_toz00_4998, obj_t BgL_tozd2poszd2_4999)
{
{ /* Llib/block_ciphers.scm 410 */
{ /* Llib/block_ciphers.scm 413 */
 obj_t BgL_fun2685z00_6030;
BgL_fun2685z00_6030 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 413 */
 obj_t BgL_arg2682z00_6031; obj_t BgL_arg2683z00_6032; long BgL_arg2684z00_6033;
BgL_arg2682z00_6031 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_noncezd2strzd2); 
BgL_arg2683z00_6032 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_noncez00); 
BgL_arg2684z00_6033 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_blockzd2counterzd2); 
PROCEDURE_ENTRY(BgL_fun2685z00_6030)(BgL_fun2685z00_6030, BgL_arg2682z00_6031, BgL_arg2683z00_6032, 
BINT(BgL_arg2684z00_6033), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 415 */
 obj_t BgL_fun2690z00_6034;
BgL_fun2690z00_6034 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4995))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 415 */
 obj_t BgL_arg2687z00_6035; obj_t BgL_arg2688z00_6036; obj_t BgL_arg2689z00_6037;
BgL_arg2687z00_6035 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_noncezd2strzd2); 
BgL_arg2688z00_6036 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_noncezd2strzd2); 
BgL_arg2689z00_6037 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4995))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2690z00_6034)(BgL_fun2690z00_6034, BgL_arg2687z00_6035, 
BINT(((long)0)), BgL_arg2688z00_6036, 
BINT(((long)0)), BgL_arg2689z00_6037, BEOA); } } 
{ /* Llib/block_ciphers.scm 416 */
 obj_t BgL_arg2691z00_6038; long BgL_arg2692z00_6039;
BgL_arg2691z00_6038 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4995)))->BgL_noncezd2strzd2); 
BgL_arg2692z00_6039 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4995))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6041;
BgL_iz00_6041 = ((long)0); 
BgL_loopz00_6040:
if(
(BgL_iz00_6041==BgL_arg2692z00_6039))
{ /* Llib/block_ciphers.scm 416 */
return BgL_toz00_4998;}  else 
{ /* Llib/block_ciphers.scm 416 */
{ /* Llib/block_ciphers.scm 416 */
 long BgL_arg2708z00_6042; unsigned char BgL_arg2709z00_6043;
BgL_arg2708z00_6042 = 
(
(long)CINT(BgL_tozd2poszd2_4999)+BgL_iz00_6041); 
BgL_arg2709z00_6043 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4996), 
(
(long)CINT(BgL_fromzd2poszd2_4997)+BgL_iz00_6041))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2691z00_6038, 
(((long)0)+BgL_iz00_6041)))))))); 
{ /* Llib/block_ciphers.scm 416 */
 unsigned char BgL_charz00_6044;
BgL_charz00_6044 = 
(unsigned char)(BgL_arg2709z00_6043); 
{ /* Llib/block_ciphers.scm 416 */
 obj_t BgL_tmpz00_11361;
BgL_tmpz00_11361 = 
((obj_t)BgL_toz00_4998); 
STRING_SET(BgL_tmpz00_11361, BgL_arg2708z00_6042, BgL_charz00_6044); } } } 
{ 
 long BgL_iz00_11364;
BgL_iz00_11364 = 
(BgL_iz00_6041+((long)1)); 
BgL_iz00_6041 = BgL_iz00_11364; 
goto BgL_loopz00_6040;} } } } } 

}



/* &do-cipher-IV-init!-C1358 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1358z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5000, obj_t BgL_statez00_5001, obj_t BgL_ivz00_5002)
{
{ /* Llib/block_ciphers.scm 406 */
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5001)))->BgL_noncez00)=((obj_t)BgL_ivz00_5002),BUNSPEC); 
{ /* Llib/block_ciphers.scm 409 */
 obj_t BgL_fun2681z00_6046;
BgL_fun2681z00_6046 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5001)))->BgL_noncezd2initz12zc0); 
{ /* Llib/block_ciphers.scm 409 */
 obj_t BgL_arg2679z00_6047; obj_t BgL_arg2680z00_6048;
BgL_arg2679z00_6047 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5001)))->BgL_noncezd2strzd2); 
BgL_arg2680z00_6048 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5001)))->BgL_noncez00); 
return 
PROCEDURE_ENTRY(BgL_fun2681z00_6046)(BgL_fun2681z00_6046, BgL_arg2679z00_6047, BgL_arg2680z00_6048, BEOA);} } } 

}



/* &do-cipher-partial-bl1356 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1356zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5003, obj_t BgL_statez00_5004, obj_t BgL_fromz00_5005, obj_t BgL_fromzd2poszd2_5006, obj_t BgL_toz00_5007, obj_t BgL_tozd2poszd2_5008, obj_t BgL_atz00_5009, obj_t BgL_lenz00_5010)
{
{ /* Llib/block_ciphers.scm 382 */
{ /* Llib/block_ciphers.scm 384 */
 bool_t BgL_tmpz00_11379;
if(
(
(long)CINT(BgL_atz00_5009)==((long)0)))
{ /* Llib/block_ciphers.scm 386 */
 obj_t BgL_fun2675z00_6050;
BgL_fun2675z00_6050 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5004))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 386 */
 obj_t BgL_arg2672z00_6051; obj_t BgL_arg2673z00_6052; obj_t BgL_arg2674z00_6053;
BgL_arg2672z00_6051 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5004)))->BgL_chainz00); 
BgL_arg2673z00_6052 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5004)))->BgL_chainz00); 
BgL_arg2674z00_6053 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5004))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2675z00_6050)(BgL_fun2675z00_6050, BgL_arg2672z00_6051, 
BINT(((long)0)), BgL_arg2673z00_6052, 
BINT(((long)0)), BgL_arg2674z00_6053, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 385 */BFALSE; } 
{ /* Llib/block_ciphers.scm 387 */
 long BgL_arg2676z00_6054; long BgL_arg2677z00_6055; obj_t BgL_arg2678z00_6056;
BgL_arg2676z00_6054 = 
(
(long)CINT(BgL_tozd2poszd2_5008)+
(long)CINT(BgL_atz00_5009)); 
BgL_arg2677z00_6055 = 
(
(long)CINT(BgL_fromzd2poszd2_5006)+
(long)CINT(BgL_atz00_5009)); 
BgL_arg2678z00_6056 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5004)))->BgL_chainz00); 
{ 
 long BgL_iz00_6058;
BgL_iz00_6058 = ((long)0); 
BgL_loopz00_6057:
if(
(BgL_iz00_6058==
(BgL_arg2676z00_6054+
(long)CINT(BgL_lenz00_5010))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11379 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1554z00_6059; unsigned char BgL_arg1555z00_6060;
BgL_arg1554z00_6059 = 
(BgL_arg2676z00_6054+BgL_iz00_6058); 
BgL_arg1555z00_6060 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5005), 
(BgL_arg2677z00_6055+BgL_iz00_6058))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2678z00_6056, 
(
(long)CINT(BgL_atz00_5009)+BgL_iz00_6058)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_6061;
BgL_charz00_6061 = 
(unsigned char)(BgL_arg1555z00_6060); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_11432;
BgL_tmpz00_11432 = 
((obj_t)BgL_toz00_5007); 
STRING_SET(BgL_tmpz00_11432, BgL_arg1554z00_6059, BgL_charz00_6061); } } } 
{ 
 long BgL_iz00_11435;
BgL_iz00_11435 = 
(BgL_iz00_6058+((long)1)); 
BgL_iz00_6058 = BgL_iz00_11435; 
goto BgL_loopz00_6057;} } } } 
return 
BBOOL(BgL_tmpz00_11379);} } 

}



/* &do-cipher-block!-OFB1354 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1354za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5011, obj_t BgL_statez00_5012, obj_t BgL_fromz00_5013, obj_t BgL_fromzd2poszd2_5014, obj_t BgL_toz00_5015, obj_t BgL_tozd2poszd2_5016)
{
{ /* Llib/block_ciphers.scm 378 */
{ /* Llib/block_ciphers.scm 380 */
 obj_t BgL_fun2668z00_6063;
BgL_fun2668z00_6063 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5012))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 380 */
 obj_t BgL_arg2665z00_6064; obj_t BgL_arg2666z00_6065; obj_t BgL_arg2667z00_6066;
BgL_arg2665z00_6064 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5012)))->BgL_chainz00); 
BgL_arg2666z00_6065 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5012)))->BgL_chainz00); 
BgL_arg2667z00_6066 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5012))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2668z00_6063)(BgL_fun2668z00_6063, BgL_arg2665z00_6064, 
BINT(((long)0)), BgL_arg2666z00_6065, 
BINT(((long)0)), BgL_arg2667z00_6066, BEOA); } } 
{ /* Llib/block_ciphers.scm 381 */
 obj_t BgL_arg2669z00_6067; long BgL_arg2670z00_6068;
BgL_arg2669z00_6067 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5012)))->BgL_chainz00); 
BgL_arg2670z00_6068 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5012))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6070;
BgL_iz00_6070 = ((long)0); 
BgL_loopz00_6069:
if(
(BgL_iz00_6070==BgL_arg2670z00_6068))
{ /* Llib/block_ciphers.scm 381 */
return BgL_toz00_5015;}  else 
{ /* Llib/block_ciphers.scm 381 */
{ /* Llib/block_ciphers.scm 381 */
 long BgL_arg2708z00_6071; unsigned char BgL_arg2709z00_6072;
BgL_arg2708z00_6071 = 
(
(long)CINT(BgL_tozd2poszd2_5016)+BgL_iz00_6070); 
BgL_arg2709z00_6072 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5013), 
(
(long)CINT(BgL_fromzd2poszd2_5014)+BgL_iz00_6070))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2669z00_6067, 
(((long)0)+BgL_iz00_6070)))))))); 
{ /* Llib/block_ciphers.scm 381 */
 unsigned char BgL_charz00_6073;
BgL_charz00_6073 = 
(unsigned char)(BgL_arg2709z00_6072); 
{ /* Llib/block_ciphers.scm 381 */
 obj_t BgL_tmpz00_11483;
BgL_tmpz00_11483 = 
((obj_t)BgL_toz00_5015); 
STRING_SET(BgL_tmpz00_11483, BgL_arg2708z00_6071, BgL_charz00_6073); } } } 
{ 
 long BgL_iz00_11486;
BgL_iz00_11486 = 
(BgL_iz00_6070+((long)1)); 
BgL_iz00_6070 = BgL_iz00_11486; 
goto BgL_loopz00_6069;} } } } } 

}



/* &do-cipher-IV-init!-O1352 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1352z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5017, obj_t BgL_statez00_5018, obj_t BgL_ivz00_5019)
{
{ /* Llib/block_ciphers.scm 375 */
{ /* Llib/block_ciphers.scm 377 */
 obj_t BgL_arg2663z00_6075; long BgL_arg2664z00_6076;
BgL_arg2663z00_6075 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5018)))->BgL_chainz00); 
BgL_arg2664z00_6076 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5018))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5019), ((long)0), BgL_arg2663z00_6075, ((long)0), BgL_arg2664z00_6076);} } 

}



/* &do-cipher-partial-bl1350 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1350zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5020, obj_t BgL_statez00_5021, obj_t BgL_fromz00_5022, obj_t BgL_fromzd2poszd2_5023, obj_t BgL_toz00_5024, obj_t BgL_tozd2poszd2_5025, obj_t BgL_atz00_5026, obj_t BgL_lenz00_5027)
{
{ /* Llib/block_ciphers.scm 356 */
{ /* Llib/block_ciphers.scm 358 */
 bool_t BgL_tmpz00_11495;
if(
(
(long)CINT(BgL_atz00_5026)==((long)0)))
{ /* Llib/block_ciphers.scm 360 */
 obj_t BgL_fun2657z00_6078;
BgL_fun2657z00_6078 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5021))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 360 */
 obj_t BgL_arg2654z00_6079; obj_t BgL_arg2655z00_6080; obj_t BgL_arg2656z00_6081;
BgL_arg2654z00_6079 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
BgL_arg2655z00_6080 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5021)))->BgL_bufferz00); 
BgL_arg2656z00_6081 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5021))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2657z00_6078)(BgL_fun2657z00_6078, BgL_arg2654z00_6079, 
BINT(((long)0)), BgL_arg2655z00_6080, 
BINT(((long)0)), BgL_arg2656z00_6081, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 359 */BFALSE; } 
{ /* Llib/block_ciphers.scm 361 */
 long BgL_arg2658z00_6082; obj_t BgL_arg2659z00_6083;
BgL_arg2658z00_6082 = 
(
(long)CINT(BgL_fromzd2poszd2_5023)+
(long)CINT(BgL_atz00_5026)); 
BgL_arg2659z00_6083 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
{ /* Llib/block_ciphers.scm 361 */
 long BgL_o2z00_6084; long BgL_lz00_6085;
BgL_o2z00_6084 = 
(long)CINT(BgL_atz00_5026); 
BgL_lz00_6085 = 
(long)CINT(BgL_lenz00_5027); 
blit_string(
((obj_t)BgL_fromz00_5022), BgL_arg2658z00_6082, BgL_arg2659z00_6083, BgL_o2z00_6084, BgL_lz00_6085); } } 
{ /* Llib/block_ciphers.scm 362 */
 long BgL_arg2660z00_6086; obj_t BgL_arg2661z00_6087; long BgL_arg2662z00_6088;
BgL_arg2660z00_6086 = 
(
(long)CINT(BgL_tozd2poszd2_5025)+
(long)CINT(BgL_atz00_5026)); 
BgL_arg2661z00_6087 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5021)))->BgL_bufferz00); 
BgL_arg2662z00_6088 = 
(
(long)CINT(BgL_fromzd2poszd2_5023)+
(long)CINT(BgL_atz00_5026)); 
{ 
 long BgL_iz00_6090;
BgL_iz00_6090 = ((long)0); 
BgL_loopz00_6089:
if(
(BgL_iz00_6090==
(BgL_arg2660z00_6086+
(long)CINT(BgL_lenz00_5027))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11495 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1554z00_6091; unsigned char BgL_arg1555z00_6092;
BgL_arg1554z00_6091 = 
(BgL_arg2660z00_6086+BgL_iz00_6090); 
BgL_arg1555z00_6092 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2661z00_6087, 
(((long)0)+BgL_iz00_6090))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5022), 
(BgL_arg2662z00_6088+BgL_iz00_6090)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_6093;
BgL_charz00_6093 = 
(unsigned char)(BgL_arg1555z00_6092); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_11556;
BgL_tmpz00_11556 = 
((obj_t)BgL_toz00_5024); 
STRING_SET(BgL_tmpz00_11556, BgL_arg1554z00_6091, BgL_charz00_6093); } } } 
{ 
 long BgL_iz00_11559;
BgL_iz00_11559 = 
(BgL_iz00_6090+((long)1)); 
BgL_iz00_6090 = BgL_iz00_11559; 
goto BgL_loopz00_6089;} } } } 
return 
BBOOL(BgL_tmpz00_11495);} } 

}



/* &do-cipher-block!-CFB1348 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1348za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5028, obj_t BgL_statez00_5029, obj_t BgL_fromz00_5030, obj_t BgL_fromzd2poszd2_5031, obj_t BgL_toz00_5032, obj_t BgL_tozd2poszd2_5033)
{
{ /* Llib/block_ciphers.scm 351 */
{ /* Llib/block_ciphers.scm 353 */
 obj_t BgL_fun2648z00_6095;
BgL_fun2648z00_6095 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 353 */
 obj_t BgL_arg2645z00_6096; obj_t BgL_arg2646z00_6097; obj_t BgL_arg2647z00_6098;
BgL_arg2645z00_6096 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2646z00_6097 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029)))->BgL_bufferz00); 
BgL_arg2647z00_6098 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2648z00_6095)(BgL_fun2648z00_6095, BgL_arg2645z00_6096, 
BINT(((long)0)), BgL_arg2646z00_6097, 
BINT(((long)0)), BgL_arg2647z00_6098, BEOA); } } 
{ /* Llib/block_ciphers.scm 354 */
 obj_t BgL_arg2649z00_6099; long BgL_arg2650z00_6100;
BgL_arg2649z00_6099 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2650z00_6100 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 354 */
 long BgL_o1z00_6101;
BgL_o1z00_6101 = 
(long)CINT(BgL_fromzd2poszd2_5031); 
blit_string(
((obj_t)BgL_fromz00_5030), BgL_o1z00_6101, BgL_arg2649z00_6099, ((long)0), BgL_arg2650z00_6100); } } 
{ /* Llib/block_ciphers.scm 355 */
 obj_t BgL_arg2651z00_6102; long BgL_arg2652z00_6103;
BgL_arg2651z00_6102 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029)))->BgL_bufferz00); 
BgL_arg2652z00_6103 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5029))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6105;
BgL_iz00_6105 = ((long)0); 
BgL_loopz00_6104:
if(
(BgL_iz00_6105==BgL_arg2652z00_6103))
{ /* Llib/block_ciphers.scm 355 */
return BgL_toz00_5032;}  else 
{ /* Llib/block_ciphers.scm 355 */
{ /* Llib/block_ciphers.scm 355 */
 long BgL_arg2708z00_6106; unsigned char BgL_arg2709z00_6107;
BgL_arg2708z00_6106 = 
(
(long)CINT(BgL_tozd2poszd2_5033)+BgL_iz00_6105); 
BgL_arg2709z00_6107 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2651z00_6102, 
(((long)0)+BgL_iz00_6105))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5030), 
(
(long)CINT(BgL_fromzd2poszd2_5031)+BgL_iz00_6105)))))))); 
{ /* Llib/block_ciphers.scm 355 */
 unsigned char BgL_charz00_6108;
BgL_charz00_6108 = 
(unsigned char)(BgL_arg2709z00_6107); 
{ /* Llib/block_ciphers.scm 355 */
 obj_t BgL_tmpz00_11615;
BgL_tmpz00_11615 = 
((obj_t)BgL_toz00_5032); 
STRING_SET(BgL_tmpz00_11615, BgL_arg2708z00_6106, BgL_charz00_6108); } } } 
{ 
 long BgL_iz00_11618;
BgL_iz00_11618 = 
(BgL_iz00_6105+((long)1)); 
BgL_iz00_6105 = BgL_iz00_11618; 
goto BgL_loopz00_6104;} } } } } 

}



/* &do-cipher-IV-init!-C1346 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1346z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5034, obj_t BgL_statez00_5035, obj_t BgL_ivz00_5036)
{
{ /* Llib/block_ciphers.scm 348 */
{ /* Llib/block_ciphers.scm 350 */
 obj_t BgL_arg2643z00_6110; long BgL_arg2644z00_6111;
BgL_arg2643z00_6110 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5035)))->BgL_chainz00); 
BgL_arg2644z00_6111 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5035))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5036), ((long)0), BgL_arg2643z00_6110, ((long)0), BgL_arg2644z00_6111);} } 

}



/* &do-cipher-partial-bl1344 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1344zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5037, obj_t BgL_statez00_5038, obj_t BgL_fromz00_5039, obj_t BgL_fromzd2poszd2_5040, obj_t BgL_toz00_5041, obj_t BgL_tozd2poszd2_5042, obj_t BgL_atz00_5043, obj_t BgL_lenz00_5044)
{
{ /* Llib/block_ciphers.scm 332 */
if(
(
(long)CINT(BgL_atz00_5043)==((long)0)))
{ /* Llib/block_ciphers.scm 336 */
 obj_t BgL_fun2637z00_6113;
BgL_fun2637z00_6113 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 336 */
 obj_t BgL_arg2634z00_6114; obj_t BgL_arg2635z00_6115; obj_t BgL_arg2636z00_6116;
BgL_arg2634z00_6114 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2635z00_6115 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2636z00_6116 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2637z00_6113)(BgL_fun2637z00_6113, BgL_arg2634z00_6114, 
BINT(((long)0)), BgL_arg2635z00_6115, 
BINT(((long)0)), BgL_arg2636z00_6116, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 335 */BFALSE; } 
{ /* Llib/block_ciphers.scm 337 */
 obj_t BgL_arg2638z00_6117; obj_t BgL_arg2639z00_6118; long BgL_arg2640z00_6119;
BgL_arg2638z00_6117 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2639z00_6118 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2640z00_6119 = 
(
(long)CINT(BgL_fromzd2poszd2_5040)+
(long)CINT(BgL_atz00_5043)); 
{ 
 long BgL_iz00_6121;
BgL_iz00_6121 = ((long)0); 
BgL_loopz00_6120:
if(
(BgL_iz00_6121==
(
(long)CINT(BgL_atz00_5043)+
(long)CINT(BgL_lenz00_5044))))
{ /* Llib/block_ciphers.scm 128 */((bool_t)0); }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1554z00_6122; unsigned char BgL_arg1555z00_6123;
BgL_arg1554z00_6122 = 
(
(long)CINT(BgL_atz00_5043)+BgL_iz00_6121); 
BgL_arg1555z00_6123 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2639z00_6118, 
(
(long)CINT(BgL_atz00_5043)+BgL_iz00_6121))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5039), 
(BgL_arg2640z00_6119+BgL_iz00_6121)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_tmpz00_11679;
BgL_tmpz00_11679 = 
(unsigned char)(BgL_arg1555z00_6123); 
STRING_SET(BgL_arg2638z00_6117, BgL_arg1554z00_6122, BgL_tmpz00_11679); } } 
{ 
 long BgL_iz00_11682;
BgL_iz00_11682 = 
(BgL_iz00_6121+((long)1)); 
BgL_iz00_6121 = BgL_iz00_11682; 
goto BgL_loopz00_6120;} } } } 
{ /* Llib/block_ciphers.scm 338 */
 obj_t BgL_arg2641z00_6124; long BgL_arg2642z00_6125;
BgL_arg2641z00_6124 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2642z00_6125 = 
(
(long)CINT(BgL_tozd2poszd2_5042)+
(long)CINT(BgL_atz00_5043)); 
{ /* Llib/block_ciphers.scm 338 */
 long BgL_o1z00_6126; long BgL_lz00_6127;
BgL_o1z00_6126 = 
(long)CINT(BgL_atz00_5043); 
BgL_lz00_6127 = 
(long)CINT(BgL_lenz00_5044); 
return 
blit_string(BgL_arg2641z00_6124, BgL_o1z00_6126, 
((obj_t)BgL_toz00_5041), BgL_arg2642z00_6125, BgL_lz00_6127);} } } 

}



/* &do-cipher-block!-CFB1342 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1342za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5045, obj_t BgL_statez00_5046, obj_t BgL_fromz00_5047, obj_t BgL_fromzd2poszd2_5048, obj_t BgL_toz00_5049, obj_t BgL_tozd2poszd2_5050)
{
{ /* Llib/block_ciphers.scm 327 */
{ /* Llib/block_ciphers.scm 329 */
 obj_t BgL_fun2627z00_6129;
BgL_fun2627z00_6129 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 329 */
 obj_t BgL_arg2624z00_6130; obj_t BgL_arg2625z00_6131; obj_t BgL_arg2626z00_6132;
BgL_arg2624z00_6130 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2625z00_6131 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2626z00_6132 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2627z00_6129)(BgL_fun2627z00_6129, BgL_arg2624z00_6130, 
BINT(((long)0)), BgL_arg2625z00_6131, 
BINT(((long)0)), BgL_arg2626z00_6132, BEOA); } } 
{ /* Llib/block_ciphers.scm 330 */
 obj_t BgL_arg2628z00_6133; obj_t BgL_arg2629z00_6134; long BgL_arg2630z00_6135;
BgL_arg2628z00_6133 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2629z00_6134 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2630z00_6135 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6137;
BgL_iz00_6137 = ((long)0); 
BgL_loopz00_6136:
if(
(BgL_iz00_6137==BgL_arg2630z00_6135))
{ /* Llib/block_ciphers.scm 330 */BgL_arg2628z00_6133; }  else 
{ /* Llib/block_ciphers.scm 330 */
{ /* Llib/block_ciphers.scm 330 */
 long BgL_arg2708z00_6138; unsigned char BgL_arg2709z00_6139;
BgL_arg2708z00_6138 = 
(((long)0)+BgL_iz00_6137); 
BgL_arg2709z00_6139 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5047), 
(
(long)CINT(BgL_fromzd2poszd2_5048)+BgL_iz00_6137))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2629z00_6134, 
(((long)0)+BgL_iz00_6137)))))))); 
{ /* Llib/block_ciphers.scm 330 */
 unsigned char BgL_tmpz00_11738;
BgL_tmpz00_11738 = 
(unsigned char)(BgL_arg2709z00_6139); 
STRING_SET(BgL_arg2628z00_6133, BgL_arg2708z00_6138, BgL_tmpz00_11738); } } 
{ 
 long BgL_iz00_11741;
BgL_iz00_11741 = 
(BgL_iz00_6137+((long)1)); 
BgL_iz00_6137 = BgL_iz00_11741; 
goto BgL_loopz00_6136;} } } } 
{ /* Llib/block_ciphers.scm 331 */
 obj_t BgL_arg2631z00_6140; long BgL_arg2632z00_6141;
BgL_arg2631z00_6140 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2632z00_6141 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 331 */
 long BgL_o2z00_6142;
BgL_o2z00_6142 = 
(long)CINT(BgL_tozd2poszd2_5050); 
return 
blit_string(BgL_arg2631z00_6140, ((long)0), 
((obj_t)BgL_toz00_5049), BgL_o2z00_6142, BgL_arg2632z00_6141);} } } 

}



/* &do-cipher-IV-init!-C1340 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1340z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5051, obj_t BgL_statez00_5052, obj_t BgL_ivz00_5053)
{
{ /* Llib/block_ciphers.scm 324 */
{ /* Llib/block_ciphers.scm 326 */
 obj_t BgL_arg2622z00_6144; long BgL_arg2623z00_6145;
BgL_arg2622z00_6144 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5052)))->BgL_chainz00); 
BgL_arg2623z00_6145 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5052))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5053), ((long)0), BgL_arg2622z00_6144, ((long)0), BgL_arg2623z00_6145);} } 

}



/* &do-cipher-block!-PCB1338 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1338za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5054, obj_t BgL_statez00_5055, obj_t BgL_fromz00_5056, obj_t BgL_fromzd2poszd2_5057, obj_t BgL_toz00_5058, obj_t BgL_tozd2poszd2_5059)
{
{ /* Llib/block_ciphers.scm 308 */
{ /* Llib/block_ciphers.scm 310 */
 obj_t BgL_fun2612z00_6147;
BgL_fun2612z00_6147 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 310 */
 obj_t BgL_arg2610z00_6148; obj_t BgL_arg2611z00_6149;
BgL_arg2610z00_6148 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2611z00_6149 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2612z00_6147)(BgL_fun2612z00_6147, BgL_fromz00_5056, BgL_fromzd2poszd2_5057, BgL_arg2610z00_6148, 
BINT(((long)0)), BgL_arg2611z00_6149, BEOA); } } 
{ /* Llib/block_ciphers.scm 311 */
 obj_t BgL_arg2613z00_6150; obj_t BgL_arg2614z00_6151; obj_t BgL_arg2615z00_6152; long BgL_arg2616z00_6153;
BgL_arg2613z00_6150 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2614z00_6151 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2615z00_6152 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_chainz00); 
BgL_arg2616z00_6153 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6155;
BgL_iz00_6155 = ((long)0); 
BgL_loopz00_6154:
if(
(BgL_iz00_6155==BgL_arg2616z00_6153))
{ /* Llib/block_ciphers.scm 311 */BgL_arg2613z00_6150; }  else 
{ /* Llib/block_ciphers.scm 311 */
{ /* Llib/block_ciphers.scm 311 */
 long BgL_arg2708z00_6156; unsigned char BgL_arg2709z00_6157;
BgL_arg2708z00_6156 = 
(((long)0)+BgL_iz00_6155); 
BgL_arg2709z00_6157 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2614z00_6151, 
(((long)0)+BgL_iz00_6155))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2615z00_6152, 
(((long)0)+BgL_iz00_6155)))))))); 
{ /* Llib/block_ciphers.scm 311 */
 unsigned char BgL_tmpz00_11800;
BgL_tmpz00_11800 = 
(unsigned char)(BgL_arg2709z00_6157); 
STRING_SET(BgL_arg2613z00_6150, BgL_arg2708z00_6156, BgL_tmpz00_11800); } } 
{ 
 long BgL_iz00_11803;
BgL_iz00_11803 = 
(BgL_iz00_6155+((long)1)); 
BgL_iz00_6155 = BgL_iz00_11803; 
goto BgL_loopz00_6154;} } } } 
{ /* Llib/block_ciphers.scm 312 */
 obj_t BgL_arg2617z00_6158; obj_t BgL_arg2618z00_6159; long BgL_arg2619z00_6160;
BgL_arg2617z00_6158 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_chainz00); 
BgL_arg2618z00_6159 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2619z00_6160 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6162;
BgL_iz00_6162 = ((long)0); 
BgL_loopz00_6161:
if(
(BgL_iz00_6162==BgL_arg2619z00_6160))
{ /* Llib/block_ciphers.scm 312 */BgL_arg2617z00_6158; }  else 
{ /* Llib/block_ciphers.scm 312 */
{ /* Llib/block_ciphers.scm 312 */
 long BgL_arg2708z00_6163; unsigned char BgL_arg2709z00_6164;
BgL_arg2708z00_6163 = 
(((long)0)+BgL_iz00_6162); 
BgL_arg2709z00_6164 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5056), 
(
(long)CINT(BgL_fromzd2poszd2_5057)+BgL_iz00_6162))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2618z00_6159, 
(((long)0)+BgL_iz00_6162)))))))); 
{ /* Llib/block_ciphers.scm 312 */
 unsigned char BgL_tmpz00_11830;
BgL_tmpz00_11830 = 
(unsigned char)(BgL_arg2709z00_6164); 
STRING_SET(BgL_arg2617z00_6158, BgL_arg2708z00_6163, BgL_tmpz00_11830); } } 
{ 
 long BgL_iz00_11833;
BgL_iz00_11833 = 
(BgL_iz00_6162+((long)1)); 
BgL_iz00_6162 = BgL_iz00_11833; 
goto BgL_loopz00_6161;} } } } 
{ /* Llib/block_ciphers.scm 313 */
 obj_t BgL_arg2620z00_6165; long BgL_arg2621z00_6166;
BgL_arg2620z00_6165 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2621z00_6166 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 313 */
 long BgL_o2z00_6167;
BgL_o2z00_6167 = 
(long)CINT(BgL_tozd2poszd2_5059); 
return 
blit_string(BgL_arg2620z00_6165, ((long)0), 
((obj_t)BgL_toz00_5058), BgL_o2z00_6167, BgL_arg2621z00_6166);} } } 

}



/* &do-cipher-IV-init!-P1336 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1336z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5060, obj_t BgL_statez00_5061, obj_t BgL_ivz00_5062)
{
{ /* Llib/block_ciphers.scm 305 */
{ /* Llib/block_ciphers.scm 307 */
 obj_t BgL_arg2608z00_6169; long BgL_arg2609z00_6170;
BgL_arg2608z00_6169 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5061)))->BgL_chainz00); 
BgL_arg2609z00_6170 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5061))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5062), ((long)0), BgL_arg2608z00_6169, ((long)0), BgL_arg2609z00_6170);} } 

}



/* &do-cipher-block!-PCB1334 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1334za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5063, obj_t BgL_statez00_5064, obj_t BgL_fromz00_5065, obj_t BgL_fromzd2poszd2_5066, obj_t BgL_toz00_5067, obj_t BgL_tozd2poszd2_5068)
{
{ /* Llib/block_ciphers.scm 290 */
{ /* Llib/block_ciphers.scm 292 */
 obj_t BgL_arg2596z00_6172; obj_t BgL_arg2597z00_6173; long BgL_arg2598z00_6174;
BgL_arg2596z00_6172 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2597z00_6173 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_chainz00); 
BgL_arg2598z00_6174 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6176;
BgL_iz00_6176 = ((long)0); 
BgL_loopz00_6175:
if(
(BgL_iz00_6176==BgL_arg2598z00_6174))
{ /* Llib/block_ciphers.scm 292 */BgL_arg2596z00_6172; }  else 
{ /* Llib/block_ciphers.scm 292 */
{ /* Llib/block_ciphers.scm 292 */
 long BgL_arg2708z00_6177; unsigned char BgL_arg2709z00_6178;
BgL_arg2708z00_6177 = 
(((long)0)+BgL_iz00_6176); 
BgL_arg2709z00_6178 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2597z00_6173, 
(((long)0)+BgL_iz00_6176))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5065), 
(
(long)CINT(BgL_fromzd2poszd2_5066)+BgL_iz00_6176)))))))); 
{ /* Llib/block_ciphers.scm 292 */
 unsigned char BgL_tmpz00_11875;
BgL_tmpz00_11875 = 
(unsigned char)(BgL_arg2709z00_6178); 
STRING_SET(BgL_arg2596z00_6172, BgL_arg2708z00_6177, BgL_tmpz00_11875); } } 
{ 
 long BgL_iz00_11878;
BgL_iz00_11878 = 
(BgL_iz00_6176+((long)1)); 
BgL_iz00_6176 = BgL_iz00_11878; 
goto BgL_loopz00_6175;} } } } 
{ /* Llib/block_ciphers.scm 293 */
 obj_t BgL_fun2602z00_6179;
BgL_fun2602z00_6179 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 293 */
 obj_t BgL_arg2599z00_6180; obj_t BgL_arg2600z00_6181; obj_t BgL_arg2601z00_6182;
BgL_arg2599z00_6180 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2600z00_6181 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2601z00_6182 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2602z00_6179)(BgL_fun2602z00_6179, BgL_arg2599z00_6180, 
BINT(((long)0)), BgL_arg2600z00_6181, 
BINT(((long)0)), BgL_arg2601z00_6182, BEOA); } } 
{ /* Llib/block_ciphers.scm 294 */
 obj_t BgL_arg2603z00_6183; obj_t BgL_arg2604z00_6184; long BgL_arg2605z00_6185;
BgL_arg2603z00_6183 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_chainz00); 
BgL_arg2604z00_6184 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2605z00_6185 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6187;
BgL_iz00_6187 = ((long)0); 
BgL_loopz00_6186:
if(
(BgL_iz00_6187==BgL_arg2605z00_6185))
{ /* Llib/block_ciphers.scm 294 */BgL_arg2603z00_6183; }  else 
{ /* Llib/block_ciphers.scm 294 */
{ /* Llib/block_ciphers.scm 294 */
 long BgL_arg2708z00_6188; unsigned char BgL_arg2709z00_6189;
BgL_arg2708z00_6188 = 
(((long)0)+BgL_iz00_6187); 
BgL_arg2709z00_6189 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5065), 
(
(long)CINT(BgL_fromzd2poszd2_5066)+BgL_iz00_6187))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2604z00_6184, 
(((long)0)+BgL_iz00_6187)))))))); 
{ /* Llib/block_ciphers.scm 294 */
 unsigned char BgL_tmpz00_11925;
BgL_tmpz00_11925 = 
(unsigned char)(BgL_arg2709z00_6189); 
STRING_SET(BgL_arg2603z00_6183, BgL_arg2708z00_6188, BgL_tmpz00_11925); } } 
{ 
 long BgL_iz00_11928;
BgL_iz00_11928 = 
(BgL_iz00_6187+((long)1)); 
BgL_iz00_6187 = BgL_iz00_11928; 
goto BgL_loopz00_6186;} } } } 
{ /* Llib/block_ciphers.scm 295 */
 obj_t BgL_arg2606z00_6190; long BgL_arg2607z00_6191;
BgL_arg2606z00_6190 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2607z00_6191 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 295 */
 long BgL_o2z00_6192;
BgL_o2z00_6192 = 
(long)CINT(BgL_tozd2poszd2_5068); 
return 
blit_string(BgL_arg2606z00_6190, ((long)0), 
((obj_t)BgL_toz00_5067), BgL_o2z00_6192, BgL_arg2607z00_6191);} } } 

}



/* &do-cipher-IV-init!-P1332 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1332z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5069, obj_t BgL_statez00_5070, obj_t BgL_ivz00_5071)
{
{ /* Llib/block_ciphers.scm 287 */
{ /* Llib/block_ciphers.scm 289 */
 obj_t BgL_arg2594z00_6194; long BgL_arg2595z00_6195;
BgL_arg2594z00_6194 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5070)))->BgL_chainz00); 
BgL_arg2595z00_6195 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5070))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5071), ((long)0), BgL_arg2594z00_6194, ((long)0), BgL_arg2595z00_6195);} } 

}



/* &do-cipher-block!-CBC1330 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1330za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5072, obj_t BgL_statez00_5073, obj_t BgL_fromz00_5074, obj_t BgL_fromzd2poszd2_5075, obj_t BgL_toz00_5076, obj_t BgL_tozd2poszd2_5077)
{
{ /* Llib/block_ciphers.scm 269 */
{ /* Llib/block_ciphers.scm 271 */
 obj_t BgL_arg2587z00_6197; long BgL_arg2588z00_6198;
BgL_arg2587z00_6197 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_bufferz00); 
BgL_arg2588z00_6198 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 271 */
 long BgL_o1z00_6199;
BgL_o1z00_6199 = 
(long)CINT(BgL_fromzd2poszd2_5075); 
blit_string(
((obj_t)BgL_fromz00_5074), BgL_o1z00_6199, BgL_arg2587z00_6197, ((long)0), BgL_arg2588z00_6198); } } 
{ /* Llib/block_ciphers.scm 272 */
 obj_t BgL_fun2591z00_6200;
BgL_fun2591z00_6200 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 272 */
 obj_t BgL_arg2589z00_6201; obj_t BgL_arg2590z00_6202;
BgL_arg2589z00_6201 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_bufferz00); 
BgL_arg2590z00_6202 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2591z00_6200)(BgL_fun2591z00_6200, BgL_arg2589z00_6201, 
BINT(((long)0)), BgL_toz00_5076, BgL_tozd2poszd2_5077, BgL_arg2590z00_6202, BEOA); } } 
{ /* Llib/block_ciphers.scm 273 */
 obj_t BgL_arg2592z00_6203; long BgL_arg2593z00_6204;
BgL_arg2592z00_6203 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_chainz00); 
BgL_arg2593z00_6204 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6206;
BgL_iz00_6206 = ((long)0); 
BgL_loopz00_6205:
if(
(BgL_iz00_6206==BgL_arg2593z00_6204))
{ /* Llib/block_ciphers.scm 273 */BgL_toz00_5076; }  else 
{ /* Llib/block_ciphers.scm 273 */
{ /* Llib/block_ciphers.scm 273 */
 long BgL_arg2708z00_6207; unsigned char BgL_arg2709z00_6208;
BgL_arg2708z00_6207 = 
(
(long)CINT(BgL_tozd2poszd2_5077)+BgL_iz00_6206); 
BgL_arg2709z00_6208 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_toz00_5076), 
(
(long)CINT(BgL_tozd2poszd2_5077)+BgL_iz00_6206))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2592z00_6203, 
(((long)0)+BgL_iz00_6206)))))))); 
{ /* Llib/block_ciphers.scm 273 */
 unsigned char BgL_charz00_6209;
BgL_charz00_6209 = 
(unsigned char)(BgL_arg2709z00_6208); 
{ /* Llib/block_ciphers.scm 273 */
 obj_t BgL_tmpz00_11995;
BgL_tmpz00_11995 = 
((obj_t)BgL_toz00_5076); 
STRING_SET(BgL_tmpz00_11995, BgL_arg2708z00_6207, BgL_charz00_6209); } } } 
{ 
 long BgL_iz00_11998;
BgL_iz00_11998 = 
(BgL_iz00_6206+((long)1)); 
BgL_iz00_6206 = BgL_iz00_11998; 
goto BgL_loopz00_6205;} } } } 
{ /* Llib/block_ciphers.scm 274 */
 obj_t BgL_tmpz00_6210;
BgL_tmpz00_6210 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_chainz00); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_chainz00)=((obj_t)
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_bufferz00)),BUNSPEC); 
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5073)))->BgL_bufferz00)=((obj_t)BgL_tmpz00_6210),BUNSPEC);} } 

}



/* &do-cipher-IV-init!-C1328 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1328z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5078, obj_t BgL_statez00_5079, obj_t BgL_ivz00_5080)
{
{ /* Llib/block_ciphers.scm 266 */
{ /* Llib/block_ciphers.scm 268 */
 obj_t BgL_arg2585z00_6212; long BgL_arg2586z00_6213;
BgL_arg2585z00_6212 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5079)))->BgL_chainz00); 
BgL_arg2586z00_6213 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5079))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5080), ((long)0), BgL_arg2585z00_6212, ((long)0), BgL_arg2586z00_6213);} } 

}



/* &do-cipher-block!-CBC1326 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1326za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5081, obj_t BgL_statez00_5082, obj_t BgL_fromz00_5083, obj_t BgL_fromzd2poszd2_5084, obj_t BgL_toz00_5085, obj_t BgL_tozd2poszd2_5086)
{
{ /* Llib/block_ciphers.scm 252 */
{ /* Llib/block_ciphers.scm 254 */
 obj_t BgL_arg2576z00_6215; obj_t BgL_arg2577z00_6216; long BgL_arg2578z00_6217;
BgL_arg2576z00_6215 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082)))->BgL_bufferz00); 
BgL_arg2577z00_6216 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082)))->BgL_chainz00); 
BgL_arg2578z00_6217 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6219;
BgL_iz00_6219 = ((long)0); 
BgL_loopz00_6218:
if(
(BgL_iz00_6219==BgL_arg2578z00_6217))
{ /* Llib/block_ciphers.scm 254 */BgL_arg2576z00_6215; }  else 
{ /* Llib/block_ciphers.scm 254 */
{ /* Llib/block_ciphers.scm 254 */
 long BgL_arg2708z00_6220; unsigned char BgL_arg2709z00_6221;
BgL_arg2708z00_6220 = 
(((long)0)+BgL_iz00_6219); 
BgL_arg2709z00_6221 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2577z00_6216, 
(((long)0)+BgL_iz00_6219))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5083), 
(
(long)CINT(BgL_fromzd2poszd2_5084)+BgL_iz00_6219)))))))); 
{ /* Llib/block_ciphers.scm 254 */
 unsigned char BgL_tmpz00_12040;
BgL_tmpz00_12040 = 
(unsigned char)(BgL_arg2709z00_6221); 
STRING_SET(BgL_arg2576z00_6215, BgL_arg2708z00_6220, BgL_tmpz00_12040); } } 
{ 
 long BgL_iz00_12043;
BgL_iz00_12043 = 
(BgL_iz00_6219+((long)1)); 
BgL_iz00_6219 = BgL_iz00_12043; 
goto BgL_loopz00_6218;} } } } 
{ /* Llib/block_ciphers.scm 255 */
 obj_t BgL_fun2582z00_6222;
BgL_fun2582z00_6222 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 255 */
 obj_t BgL_arg2579z00_6223; obj_t BgL_arg2580z00_6224; obj_t BgL_arg2581z00_6225;
BgL_arg2579z00_6223 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082)))->BgL_bufferz00); 
BgL_arg2580z00_6224 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082)))->BgL_chainz00); 
BgL_arg2581z00_6225 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2582z00_6222)(BgL_fun2582z00_6222, BgL_arg2579z00_6223, 
BINT(((long)0)), BgL_arg2580z00_6224, 
BINT(((long)0)), BgL_arg2581z00_6225, BEOA); } } 
{ /* Llib/block_ciphers.scm 256 */
 obj_t BgL_arg2583z00_6226; long BgL_arg2584z00_6227;
BgL_arg2583z00_6226 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082)))->BgL_chainz00); 
BgL_arg2584z00_6227 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5082))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 256 */
 long BgL_o2z00_6228;
BgL_o2z00_6228 = 
(long)CINT(BgL_tozd2poszd2_5086); 
return 
blit_string(BgL_arg2583z00_6226, ((long)0), 
((obj_t)BgL_toz00_5085), BgL_o2z00_6228, BgL_arg2584z00_6227);} } } 

}



/* &do-cipher-IV-init!-C1324 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1324z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5087, obj_t BgL_statez00_5088, obj_t BgL_ivz00_5089)
{
{ /* Llib/block_ciphers.scm 249 */
{ /* Llib/block_ciphers.scm 251 */
 obj_t BgL_arg2574z00_6230; long BgL_arg2575z00_6231;
BgL_arg2574z00_6230 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5088)))->BgL_chainz00); 
BgL_arg2575z00_6231 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5088))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5089), ((long)0), BgL_arg2574z00_6230, ((long)0), BgL_arg2575z00_6231);} } 

}



/* &do-cipher-block!-ECB1322 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1322za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5090, obj_t BgL_statez00_5091, obj_t BgL_fromz00_5092, obj_t BgL_fromzd2poszd2_5093, obj_t BgL_toz00_5094, obj_t BgL_tozd2poszd2_5095)
{
{ /* Llib/block_ciphers.scm 236 */
{ /* Llib/block_ciphers.scm 238 */
 obj_t BgL_fun2573z00_6233;
BgL_fun2573z00_6233 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5091))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 238 */
 obj_t BgL_arg2572z00_6234;
BgL_arg2572z00_6234 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5091))))->BgL_paramz00); 
return 
PROCEDURE_ENTRY(BgL_fun2573z00_6233)(BgL_fun2573z00_6233, BgL_fromz00_5092, BgL_fromzd2poszd2_5093, BgL_toz00_5094, BgL_tozd2poszd2_5095, BgL_arg2572z00_6234, BEOA);} } } 

}



/* &do-cipher-block!-ECB1320 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1320za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5096, obj_t BgL_statez00_5097, obj_t BgL_fromz00_5098, obj_t BgL_fromzd2poszd2_5099, obj_t BgL_toz00_5100, obj_t BgL_tozd2poszd2_5101)
{
{ /* Llib/block_ciphers.scm 233 */
{ /* Llib/block_ciphers.scm 235 */
 obj_t BgL_fun2571z00_6236;
BgL_fun2571z00_6236 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5097))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 235 */
 obj_t BgL_arg2570z00_6237;
BgL_arg2570z00_6237 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5097))))->BgL_paramz00); 
return 
PROCEDURE_ENTRY(BgL_fun2571z00_6236)(BgL_fun2571z00_6236, BgL_fromz00_5098, BgL_fromzd2poszd2_5099, BgL_toz00_5100, BgL_tozd2poszd2_5101, BgL_arg2570z00_6237, BEOA);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string3436z00zz__cryptozd2blockzd2ciphersz00)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(((long)63410218), 
BSTRING_TO_STRING(BGl_string3436z00zz__cryptozd2blockzd2ciphersz00)); 
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(((long)210905795), 
BSTRING_TO_STRING(BGl_string3436z00zz__cryptozd2blockzd2ciphersz00));} 

}

#ifdef __cplusplus
}
#endif
