/*===========================================================================*/
/*   (Llib/rsa.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/rsa.scm -o objs/rsa.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_completezd2rsazd2keyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
   obj_t BgL_ez00;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_exp1z00;
   obj_t BgL_exp2z00;
   obj_t BgL_coeffz00;
} *BgL_completezd2rsazd2keyz00_bglt;


static unsigned char BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(long);
BGL_IMPORT obj_t BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_modzd2inversezd2zz__cryptozd2utilzd2(obj_t, obj_t);
static obj_t BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
static obj_t BGl_search1307ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2 = BUNSPEC;
static BgL_rsazd2keyzd2_bglt BGl_z62extractzd2privatezd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62rsazd2decryptzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t bgl_bignum_quotient(obj_t, obj_t);
extern obj_t BGl_stringzd2xorzd2zz__cryptozd2utilzd2(obj_t, obj_t);
static obj_t BGl_search1316ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_completezd2rsazd2keyz00_bglt BGl_generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_hashzd2algozd2ze3DERzd2prefixz31zz__cryptozd2rsazd2(obj_t);
extern obj_t BGl_makezd2randomzd2primez00zz__cryptozd2utilzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62RSAVP1z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl__MGF1z00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_search1261ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(obj_t, long, long);
static obj_t BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
static obj_t BGl_zc3z04exitza32114ze3ze70z60zz__cryptozd2rsazd2(obj_t, long, long, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2signzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2rsazd2();
extern obj_t BGl_bignumzd2ze3binzd2strz12zf1zz__cryptozd2utilzd2(obj_t, long, obj_t, long);
static obj_t BGl_search1270ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62PKCS1zd2v1ze25zd2unpadz80zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2rsazd2();
static bool_t BGl_EMSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(obj_t, obj_t, long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2rsazd2();
BGL_IMPORT obj_t bgl_bignum_mul(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_search1246ze70ze7zz__cryptozd2rsazd2(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumz80zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_RSASSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_EMEzd2OAEPzd2decodez00zz__cryptozd2rsazd2(long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2rsazd2();
BGL_EXPORTED_DECL obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t bgl_bignum_expt(obj_t, obj_t);
BGL_IMPORT obj_t BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2 = BUNSPEC;
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
extern obj_t BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(obj_t);
extern long BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
static obj_t BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_OS2IPz00zz__cryptozd2rsazd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32153ze3ze5zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_hashzd2algozd2ze3procedureze3zz__cryptozd2rsazd2(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static long BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2 = BUNSPEC;
static obj_t BGl_zc3z04exitza31926ze3ze70z60zz__cryptozd2rsazd2(obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_IMPORT long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyz52zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62rsazd2keyzd3zf3z90zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl__RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_EMSAzd2PSSzd2encodez00zz__cryptozd2rsazd2(obj_t, long, obj_t, obj_t, long);
BGL_EXPORTED_DECL BgL_rsazd2keyzd2_bglt BGl_extractzd2privatezd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt);
static obj_t BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(obj_t, long, obj_t);
extern obj_t BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(obj_t, long);
static obj_t BGl_z62lambda2203z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2204z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32173ze3ze5zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62rsazd2keyzd2lengthz62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62OS2IPz62zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2encryptz52zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSADPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_EMEzd2OAEPzd2encodez00zz__cryptozd2rsazd2(long, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static BgL_rsazd2keyzd2_bglt BGl_z62lambda2149z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62RSASSAzd2PSSzd2verifyz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2keyzd3zf3zf2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, BgL_rsazd2keyzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62rsazd2encryptzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static BgL_rsazd2keyzd2_bglt BGl_z62lambda2151z62zz__cryptozd2rsazd2(obj_t);
BGL_EXPORTED_DECL BgL_rsazd2keyzd2_bglt BGl_extractzd2publiczd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt);
static obj_t BGl_z62lambda2157z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2158z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2rsazd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2rsazd2();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2rsazd2();
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2rsazd2();
static obj_t BGl_z62lambda2162z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2163z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2169z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_I2OSPz00zz__cryptozd2rsazd2(obj_t, long);
static BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2171z62zz__cryptozd2rsazd2(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2177z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2178z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62RSADPz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32057ze3ze70z60zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
static obj_t BGl_zc3z04exitza31972ze3ze70z60zz__cryptozd2rsazd2(obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2183z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2187z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2188z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62RSAEPz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_rsazd2verifyzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_zc3z04exitza31981ze3ze70z60zz__cryptozd2rsazd2(obj_t, obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
static obj_t BGl_z62lambda2192z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_DERzd2prefixzd2ze3hashzd2algoz31zz__cryptozd2rsazd2(obj_t);
static obj_t BGl_z62lambda2193z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2199z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62rsazd2signzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl__generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
extern obj_t BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62rsazd2verifyzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62I2OSPz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62RSASP1z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_IMPORT int bgl_bignum_cmp(obj_t, obj_t);
static obj_t BGl__RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62PKCS1zd2v1ze25zd2padz80zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_RSASSAzd2PSSzd2signz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2decryptz52zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62RSASSAzd2PSSzd2signz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static BgL_rsazd2keyzd2_bglt BGl_z62extractzd2publiczd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t __cnst[ 62 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_extractzd2privatezd2rsazd2keyzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762extractza7d2pri2515z00, BGl_z62extractzd2privatezd2rsazd2keyzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_OS2IPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762os2ipza762za7za7__c2516z00, BGl_z62OS2IPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2OAEPzd2encryptzd2envzd2zz__cryptozd2rsazd2, BgL_bgl__rsaesza7d2oaepza7d22517z00, opt_generic_entry, BGl__RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2keyzd2lengthzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2keyza7d2l2518za7, BGl_z62rsazd2keyzd2lengthz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2407z00zz__cryptozd2rsazd2, BgL_bgl_string2407za700za7za7_2519za7, "3020300c06082a864886f70d020205000410", 36 );
DEFINE_STRING( BGl_string2408z00zz__cryptozd2rsazd2, BgL_bgl_string2408za700za7za7_2520za7, "3020300c06082a864886f70d020505000410", 36 );
DEFINE_STRING( BGl_string2409z00zz__cryptozd2rsazd2, BgL_bgl_string2409za700za7za7_2521za7, "3021300906052b0e03021a05000414", 30 );
DEFINE_STRING( BGl_string2410z00zz__cryptozd2rsazd2, BgL_bgl_string2410za700za7za7_2522za7, "3031300d060960864801650304020105000420", 38 );
DEFINE_STRING( BGl_string2411z00zz__cryptozd2rsazd2, BgL_bgl_string2411za700za7za7_2523za7, "3041300d060960864801650304020205000430", 38 );
DEFINE_STRING( BGl_string2412z00zz__cryptozd2rsazd2, BgL_bgl_string2412za700za7za7_2524za7, "3051300d060960864801650304020305000440", 38 );
DEFINE_STRING( BGl_string2413z00zz__cryptozd2rsazd2, BgL_bgl_string2413za700za7za7_2525za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/crypto/src/Llib/rsa.scm", 63 );
DEFINE_STRING( BGl_string2414z00zz__cryptozd2rsazd2, BgL_bgl_string2414za700za7za7_2526za7, "&rsa-key-length", 15 );
DEFINE_STRING( BGl_string2415z00zz__cryptozd2rsazd2, BgL_bgl_string2415za700za7za7_2527za7, "Rsa-Key", 7 );
DEFINE_STRING( BGl_string2416z00zz__cryptozd2rsazd2, BgL_bgl_string2416za700za7za7_2528za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2417z00zz__cryptozd2rsazd2, BgL_bgl_string2417za700za7za7_2529za7, "_generate-rsa-key", 17 );
DEFINE_STRING( BGl_string2418z00zz__cryptozd2rsazd2, BgL_bgl_string2418za700za7za7_2530za7, "bint", 4 );
DEFINE_STRING( BGl_string2419z00zz__cryptozd2rsazd2, BgL_bgl_string2419za700za7za7_2531za7, "wrong number of arguments: [0..2] expected, provided", 52 );
extern obj_t BGl_md5sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STRING( BGl_string2420z00zz__cryptozd2rsazd2, BgL_bgl_string2420za700za7za7_2532za7, "&extract-public-rsa-key", 23 );
DEFINE_STRING( BGl_string2421z00zz__cryptozd2rsazd2, BgL_bgl_string2421za700za7za7_2533za7, "Complete-Rsa-Key", 16 );
DEFINE_STRING( BGl_string2422z00zz__cryptozd2rsazd2, BgL_bgl_string2422za700za7za7_2534za7, "&extract-private-rsa-key", 24 );
DEFINE_STRING( BGl_string2423z00zz__cryptozd2rsazd2, BgL_bgl_string2423za700za7za7_2535za7, "&rsa-key=?", 10 );
DEFINE_STRING( BGl_string2424z00zz__cryptozd2rsazd2, BgL_bgl_string2424za700za7za7_2536za7, "&I2OSP", 6 );
DEFINE_STRING( BGl_string2425z00zz__cryptozd2rsazd2, BgL_bgl_string2425za700za7za7_2537za7, "bignum", 6 );
DEFINE_STRING( BGl_string2426z00zz__cryptozd2rsazd2, BgL_bgl_string2426za700za7za7_2538za7, "&OS2IP", 6 );
DEFINE_STRING( BGl_string2427z00zz__cryptozd2rsazd2, BgL_bgl_string2427za700za7za7_2539za7, "bstring", 7 );
DEFINE_STRING( BGl_string2428z00zz__cryptozd2rsazd2, BgL_bgl_string2428za700za7za7_2540za7, "_MGF1", 5 );
DEFINE_STRING( BGl_string2429z00zz__cryptozd2rsazd2, BgL_bgl_string2429za700za7za7_2541za7, "vector", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2OAEPzd2decryptzd2envzd2zz__cryptozd2rsazd2, BgL_bgl__rsaesza7d2oaepza7d22542z00, opt_generic_entry, BGl__RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2188za7622543z00, BGl_z62lambda2188z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2187za7622544z00, BGl_z62lambda2187z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2193za7622545z00, BGl_z62lambda2193z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2192za7622546z00, BGl_z62lambda2192z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2199za7622547z00, BGl_z62lambda2199z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2511z00zz__cryptozd2rsazd2, BgL_bgl_string2511za700za7za7_2548za7, "__crypto-rsa", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2198za7622549z00, BGl_z62lambda2198z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2430z00zz__cryptozd2rsazd2, BgL_bgl_string2430za700za7za7_2550za7, "wrong number of arguments: [2..3] expected, provided", 52 );
DEFINE_STRING( BGl_string2512z00zz__cryptozd2rsazd2, BgL_bgl_string2512za700za7za7_2551za7, "Complete-Rsa-Key coeff exp2 exp1 q p e __crypto-rsa Rsa-Key exponent bignum modulus done EMSA-PSS-verify::bool :salt-len EMSA-PSS-encode::bstring (:hash-fun :mask-fun :salt-len) RSASSA-PKCS1-v1.5-sign-bignum :hash-algo (:hash-algo) RSASSA-PKCS1-v1.5-sign sha384sum SHA-384 sha-384 sha384 md2sum MD2 md2 sha512sum SHA-512 sha-512 sha512 sha256sum SHA-256 sha-256 sha256 sha1sum SHA-1 sha-1 sha1 md5sum MD5 md5 RSAES-OAEP-decrypt::bstring (:label) RSAES-OAEP-encrypt::bstring EME-OAEP-decode :mask-fun :label EME-OAEP-encode (:hash-fun :label :mask-fun) #z0 :hash-fun (:hash-fun) MGF1 #z65537 #z1 #z2 :size :show-trace generate-rsa-key (:show-trace :size) ", 654 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2204za7622552z00, BGl_z62lambda2204z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2431z00zz__cryptozd2rsazd2, BgL_bgl_string2431za700za7za7_2553za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2203za7622554z00, BGl_z62lambda2203z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2432z00zz__cryptozd2rsazd2, BgL_bgl_string2432za700za7za7_2555za7, "1234", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__cryptozd2rsazd2, BgL_bgl_za762za7c3za704anonymo2556za7, BGl_z62zc3z04anonymousza32173ze3ze5zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2433z00zz__cryptozd2rsazd2, BgL_bgl_string2433za700za7za7_2557za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2171za7622558z00, BGl_z62lambda2171z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2434z00zz__cryptozd2rsazd2, BgL_bgl_string2434za700za7za7_2559za7, "wrong number of arguments: [2..5] expected, provided", 52 );
DEFINE_STRING( BGl_string2435z00zz__cryptozd2rsazd2, BgL_bgl_string2435za700za7za7_2560za7, "decryption-error", 16 );
DEFINE_STRING( BGl_string2436z00zz__cryptozd2rsazd2, BgL_bgl_string2436za700za7za7_2561za7, "bad string", 10 );
DEFINE_STRING( BGl_string2437z00zz__cryptozd2rsazd2, BgL_bgl_string2437za700za7za7_2562za7, "hash not correctly rectrieved", 29 );
DEFINE_STRING( BGl_string2438z00zz__cryptozd2rsazd2, BgL_bgl_string2438za700za7za7_2563za7, "could not find M", 16 );
DEFINE_STRING( BGl_string2439z00zz__cryptozd2rsazd2, BgL_bgl_string2439za700za7za7_2564za7, "expected 0x00 or 0x01", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2169za7622565z00, BGl_z62lambda2169z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 8 );
DEFINE_STRING( BGl_string2440z00zz__cryptozd2rsazd2, BgL_bgl_string2440za700za7za7_2566za7, "&rsa-encrypt", 12 );
DEFINE_STRING( BGl_string2441z00zz__cryptozd2rsazd2, BgL_bgl_string2441za700za7za7_2567za7, "RSASP1", 6 );
DEFINE_STRING( BGl_string2442z00zz__cryptozd2rsazd2, BgL_bgl_string2442za700za7za7_2568za7, "message representative out of range", 35 );
DEFINE_STRING( BGl_string2443z00zz__cryptozd2rsazd2, BgL_bgl_string2443za700za7za7_2569za7, "&RSAEP", 6 );
DEFINE_STRING( BGl_string2444z00zz__cryptozd2rsazd2, BgL_bgl_string2444za700za7za7_2570za7, "&rsa-decrypt", 12 );
DEFINE_STRING( BGl_string2445z00zz__cryptozd2rsazd2, BgL_bgl_string2445za700za7za7_2571za7, "cyphertext representative out of range", 38 );
DEFINE_STRING( BGl_string2446z00zz__cryptozd2rsazd2, BgL_bgl_string2446za700za7za7_2572za7, "&RSADP", 6 );
DEFINE_STRING( BGl_string2447z00zz__cryptozd2rsazd2, BgL_bgl_string2447za700za7za7_2573za7, "&rsa-sign", 9 );
DEFINE_STRING( BGl_string2448z00zz__cryptozd2rsazd2, BgL_bgl_string2448za700za7za7_2574za7, "&RSASP1", 7 );
DEFINE_STRING( BGl_string2449z00zz__cryptozd2rsazd2, BgL_bgl_string2449za700za7za7_2575za7, "signature representative out of range", 37 );
DEFINE_STRING( BGl_string2450z00zz__cryptozd2rsazd2, BgL_bgl_string2450za700za7za7_2576za7, "&RSAVP1", 7 );
DEFINE_STRING( BGl_string2451z00zz__cryptozd2rsazd2, BgL_bgl_string2451za700za7za7_2577za7, "&rsa-verify", 11 );
DEFINE_STRING( BGl_string2452z00zz__cryptozd2rsazd2, BgL_bgl_string2452za700za7za7_2578za7, "PKCS1-v1.5-pad", 14 );
DEFINE_STRING( BGl_string2453z00zz__cryptozd2rsazd2, BgL_bgl_string2453za700za7za7_2579za7, "unknown padding mode", 20 );
DEFINE_STRING( BGl_string2454z00zz__cryptozd2rsazd2, BgL_bgl_string2454za700za7za7_2580za7, "&PKCS1-v1.5-pad", 15 );
DEFINE_STRING( BGl_string2455z00zz__cryptozd2rsazd2, BgL_bgl_string2455za700za7za7_2581za7, "PKCS1-v1.5-unpad", 16 );
DEFINE_STRING( BGl_string2456z00zz__cryptozd2rsazd2, BgL_bgl_string2456za700za7za7_2582za7, "decryption error", 16 );
DEFINE_STRING( BGl_string2457z00zz__cryptozd2rsazd2, BgL_bgl_string2457za700za7za7_2583za7, "&PKCS1-v1.5-unpad", 17 );
DEFINE_STRING( BGl_string2458z00zz__cryptozd2rsazd2, BgL_bgl_string2458za700za7za7_2584za7, "rsa encrypt", 11 );
extern obj_t BGl_sha256sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STRING( BGl_string2459z00zz__cryptozd2rsazd2, BgL_bgl_string2459za700za7za7_2585za7, "message too long", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_MGF1zd2envzd2zz__cryptozd2rsazd2, BgL_bgl__mgf1za700za7za7__cryp2586za7, opt_generic_entry, BGl__MGF1z00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_STRING( BGl_string2460z00zz__cryptozd2rsazd2, BgL_bgl_string2460za700za7za7_2587za7, "&RSAES-PKCS1-v1.5-encrypt", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_I2OSPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762i2ospza762za7za7__c2588z00, BGl_z62I2OSPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2461z00zz__cryptozd2rsazd2, BgL_bgl_string2461za700za7za7_2589za7, "rsa-decrypt", 11 );
DEFINE_STRING( BGl_string2462z00zz__cryptozd2rsazd2, BgL_bgl_string2462za700za7za7_2590za7, "Decryption failed", 17 );
DEFINE_STRING( BGl_string2463z00zz__cryptozd2rsazd2, BgL_bgl_string2463za700za7za7_2591za7, "rsa decrypt", 11 );
DEFINE_STRING( BGl_string2464z00zz__cryptozd2rsazd2, BgL_bgl_string2464za700za7za7_2592za7, "&RSAES-PKCS1-v1.5-decrypt", 25 );
DEFINE_STRING( BGl_string2465z00zz__cryptozd2rsazd2, BgL_bgl_string2465za700za7za7_2593za7, "_RSAES-OAEP-encrypt", 19 );
DEFINE_STRING( BGl_string2466z00zz__cryptozd2rsazd2, BgL_bgl_string2466za700za7za7_2594za7, "_RSAES-OAEP-decrypt", 19 );
DEFINE_STRING( BGl_string2467z00zz__cryptozd2rsazd2, BgL_bgl_string2467za700za7za7_2595za7, "rsaes-oaep-decrypt", 18 );
DEFINE_STRING( BGl_string2468z00zz__cryptozd2rsazd2, BgL_bgl_string2468za700za7za7_2596za7, "&RSASSA-PSS-sign", 16 );
DEFINE_STRING( BGl_string2469z00zz__cryptozd2rsazd2, BgL_bgl_string2469za700za7za7_2597za7, "&RSASSA-PSS-verify", 18 );
DEFINE_STRING( BGl_string2470z00zz__cryptozd2rsazd2, BgL_bgl_string2470za700za7za7_2598za7, "RSA hash-algo->DER-prefix", 25 );
DEFINE_STRING( BGl_string2471z00zz__cryptozd2rsazd2, BgL_bgl_string2471za700za7za7_2599za7, "unknown hash algorithm (or not implemented)", 43 );
DEFINE_STRING( BGl_string2472z00zz__cryptozd2rsazd2, BgL_bgl_string2472za700za7za7_2600za7, "unknown hash algorithm", 22 );
DEFINE_STRING( BGl_string2473z00zz__cryptozd2rsazd2, BgL_bgl_string2473za700za7za7_2601za7, "RSA hash-algo", 13 );
DEFINE_STRING( BGl_string2474z00zz__cryptozd2rsazd2, BgL_bgl_string2474za700za7za7_2602za7, "hash-algorithm not found or not yet implemented", 47 );
DEFINE_STRING( BGl_string2475z00zz__cryptozd2rsazd2, BgL_bgl_string2475za700za7za7_2603za7, "RSA encode", 10 );
DEFINE_STRING( BGl_string2476z00zz__cryptozd2rsazd2, BgL_bgl_string2476za700za7za7_2604za7, "intended encoded message length too short", 41 );
DEFINE_STRING( BGl_string2477z00zz__cryptozd2rsazd2, BgL_bgl_string2477za700za7za7_2605za7, "_RSASSA-PKCS1-v1.5-sign", 23 );
DEFINE_STRING( BGl_string2478z00zz__cryptozd2rsazd2, BgL_bgl_string2478za700za7za7_2606za7, "symbol", 6 );
DEFINE_STRING( BGl_string2479z00zz__cryptozd2rsazd2, BgL_bgl_string2479za700za7za7_2607za7, "_RSASSA-PKCS1-v1.5-sign-bignum", 30 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2encryptzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2encrypt2608z00, BGl_z62rsazd2encryptzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAVP1zd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsavp1za762za7za7__2609z00, BGl_z62RSAVP1z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2480z00zz__cryptozd2rsazd2, BgL_bgl_string2480za700za7za7_2610za7, "&RSASSA-PKCS1-v1.5-verify", 25 );
DEFINE_STRING( BGl_string2481z00zz__cryptozd2rsazd2, BgL_bgl_string2481za700za7za7_2611za7, "&RSASSA-PKCS1-v1.5-verify-bignum", 32 );
DEFINE_STRING( BGl_string2482z00zz__cryptozd2rsazd2, BgL_bgl_string2482za700za7za7_2612za7, "left-most-bits-char-mask", 24 );
DEFINE_STRING( BGl_string2483z00zz__cryptozd2rsazd2, BgL_bgl_string2483za700za7za7_2613za7, "n must be <= 8", 14 );
DEFINE_STRING( BGl_string2484z00zz__cryptozd2rsazd2, BgL_bgl_string2484za700za7za7_2614za7, "encoding error", 14 );
DEFINE_STRING( BGl_string2485z00zz__cryptozd2rsazd2, BgL_bgl_string2485za700za7za7_2615za7, "bad size", 8 );
DEFINE_STRING( BGl_string2486z00zz__cryptozd2rsazd2, BgL_bgl_string2486za700za7za7_2616za7, "00000000", 8 );
DEFINE_STRING( BGl_string2487z00zz__cryptozd2rsazd2, BgL_bgl_string2487za700za7za7_2617za7, "0", 1 );
DEFINE_STRING( BGl_string2488z00zz__cryptozd2rsazd2, BgL_bgl_string2488za700za7za7_2618za7, "wrong number of arguments: [3..6] expected, provided", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2158za7622619z00, BGl_z62lambda2158z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2envze2zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pkcs2620z00, BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyz52zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2157za7622621z00, BGl_z62lambda2157z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2163za7622622z00, BGl_z62lambda2163z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2162za7622623z00, BGl_z62lambda2162z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__cryptozd2rsazd2, BgL_bgl_za762za7c3za704anonymo2624za7, BGl_z62zc3z04anonymousza32153ze3ze5zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2151za7622625z00, BGl_z62lambda2151z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2envze2zz__cryptozd2rsazd2, BgL_bgl__rsassaza7d2pkcs1za72626z00, opt_generic_entry, BGl__RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2149za7622627z00, BGl_z62lambda2149z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2178za7622628z00, BGl_z62lambda2178z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2177za7622629z00, BGl_z62lambda2177z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2183za7622630z00, BGl_z62lambda2183z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2182za7622631z00, BGl_z62lambda2182z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_PKCS1zd2v1ze25zd2padzd2envz30zz__cryptozd2rsazd2, BgL_bgl_za762pkcs1za7d2v1za7e22632za7, BGl_z62PKCS1zd2v1ze25zd2padz80zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PSSzd2verifyzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pssza72633za7, BGl_z62RSASSAzd2PSSzd2verifyz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2decryptzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2decrypt2634z00, BGl_z62rsazd2decryptzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_generatezd2rsazd2keyzd2envzd2zz__cryptozd2rsazd2, BgL_bgl__generateza7d2rsaza72635z00, opt_generic_entry, BGl__generatezd2rsazd2keyz00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2signzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2signza7b02636za7, BGl_z62rsazd2signzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptzd2envze2zz__cryptozd2rsazd2, BgL_bgl_za762rsaesza7d2pkcs12637z00, BGl_z62RSAESzd2PKCS1zd2v1ze25zd2encryptz52zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2keyzd3zf3zd2envz20zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2keyza7d3za72638z00, BGl_z62rsazd2keyzd3zf3z90zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_sha512sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_extractzd2publiczd2rsazd2keyzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762extractza7d2pub2639z00, BGl_z62extractzd2publiczd2rsazd2keyzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_PKCS1zd2v1ze25zd2unpadzd2envz30zz__cryptozd2rsazd2, BgL_bgl_za762pkcs1za7d2v1za7e22640za7, BGl_z62PKCS1zd2v1ze25zd2unpadz80zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PSSzd2signzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pssza72641za7, BGl_z62RSASSAzd2PSSzd2signz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumzd2envz30zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pkcs2642z00, BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumz80zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2verifyzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2verifyza72643za7, BGl_z62rsazd2verifyzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptzd2envze2zz__cryptozd2rsazd2, BgL_bgl_za762rsaesza7d2pkcs12644z00, BGl_z62RSAESzd2PKCS1zd2v1ze25zd2decryptz52zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASP1zd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsasp1za762za7za7__2645z00, BGl_z62RSASP1z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSADPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsadpza762za7za7__c2646z00, BGl_z62RSADPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumzd2envz30zz__cryptozd2rsazd2, BgL_bgl__rsassaza7d2pkcs1za72647z00, opt_generic_entry, BGl__RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAEPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsaepza762za7za7__c2648z00, BGl_z62RSAEPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long BgL_checksumz00_3068, char * BgL_fromz00_3069)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2rsazd2(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2rsazd2(); 
BGl_cnstzd2initzd2zz__cryptozd2rsazd2(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2rsazd2(); 
BGl_objectzd2initzd2zz__cryptozd2rsazd2(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2rsazd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-rsa"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
{ /* Llib/rsa.scm 21 */
 obj_t BgL_cportz00_2992;
{ /* Llib/rsa.scm 21 */
 obj_t BgL_stringz00_3000;
BgL_stringz00_3000 = BGl_string2512z00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 21 */
 obj_t BgL_startz00_3001;
BgL_startz00_3001 = 
BINT(((long)0)); 
{ /* Llib/rsa.scm 21 */
 obj_t BgL_endz00_3002;
BgL_endz00_3002 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3000))); 
{ /* Llib/rsa.scm 21 */

BgL_cportz00_2992 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3000, BgL_startz00_3001, BgL_endz00_3002); } } } } 
{ 
 long BgL_iz00_2993;
BgL_iz00_2993 = ((long)61); 
BgL_loopz00_2994:
if(
(BgL_iz00_2993==((long)-1)))
{ /* Llib/rsa.scm 21 */
return BUNSPEC;}  else 
{ /* Llib/rsa.scm 21 */
{ /* Llib/rsa.scm 21 */
 obj_t BgL_arg2514z00_2996;
{ /* Llib/rsa.scm 21 */

{ /* Llib/rsa.scm 21 */
 obj_t BgL_locationz00_2998;
BgL_locationz00_2998 = 
BBOOL(((bool_t)0)); 
{ /* Llib/rsa.scm 21 */

BgL_arg2514z00_2996 = 
BGl_readz00zz__readerz00(BgL_cportz00_2992, BgL_locationz00_2998); } } } 
{ /* Llib/rsa.scm 21 */
 int BgL_tmpz00_3103;
BgL_tmpz00_3103 = 
(int)(BgL_iz00_2993); 
CNST_TABLE_SET(BgL_tmpz00_3103, BgL_arg2514z00_2996); } } 
{ /* Llib/rsa.scm 21 */
 int BgL_auxz00_2999;
BgL_auxz00_2999 = 
(int)(
(BgL_iz00_2993-((long)1))); 
{ 
 long BgL_iz00_3108;
BgL_iz00_3108 = 
(long)(BgL_auxz00_2999); 
BgL_iz00_2993 = BgL_iz00_3108; 
goto BgL_loopz00_2994;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2407z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2408z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2409z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2410z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2411z00zz__cryptozd2rsazd2); 
return ( 
BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2412z00zz__cryptozd2rsazd2), BUNSPEC) ;} 

}



/* rsa-key-length */
BGL_EXPORTED_DEF long BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_3)
{
{ /* Llib/rsa.scm 76 */
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1300;
BgL_arg1333z00_1300 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_3))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2222z00_1328;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1305; long BgL_rz00_1306;
BgL_qz00_1305 = 
(BgL_arg1333z00_1300/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_1310; long BgL_n2z00_1311;
BgL_n1z00_1310 = BgL_arg1333z00_1300; 
BgL_n2z00_1311 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2651z00_3120;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_1313;
BgL_arg1353z00_1313 = 
(((BgL_n1z00_1310) | (BgL_n2z00_1311)) & -2147483648); 
BgL_test2651z00_3120 = 
(BgL_arg1353z00_1313==((long)0)); } 
if(BgL_test2651z00_3120)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_1314;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_1315; int32_t BgL_arg1352z00_1316;
BgL_arg1351z00_1315 = 
(int32_t)(BgL_n1z00_1310); 
BgL_arg1352z00_1316 = 
(int32_t)(BgL_n2z00_1311); 
BgL_arg1350z00_1314 = 
(BgL_arg1351z00_1315%BgL_arg1352z00_1316); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_1321;
BgL_arg1447z00_1321 = 
(long)(BgL_arg1350z00_1314); 
BgL_rz00_1306 = 
(long)(BgL_arg1447z00_1321); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_1306 = 
(BgL_n1z00_1310%BgL_n2z00_1311); } } } 
if(
(BgL_rz00_1306==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2222z00_1328 = BgL_qz00_1305; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1306>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2222z00_1328 = 
(BgL_qz00_1305+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2222z00_1328 = 
(BgL_qz00_1305-((long)1)); } } } 
return BgL_res2222z00_1328;} } } 

}



/* &rsa-key-length */
obj_t BGl_z62rsazd2keyzd2lengthz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2593, obj_t BgL_keyz00_2594)
{
{ /* Llib/rsa.scm 76 */
{ /* Llib/rsa.scm 77 */
 long BgL_tmpz00_3135;
{ /* Llib/rsa.scm 77 */
 BgL_rsazd2keyzd2_bglt BgL_auxz00_3136;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2594, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 77 */
BgL_auxz00_3136 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2594)
; }  else 
{ 
 obj_t BgL_auxz00_3140;
BgL_auxz00_3140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)3568)), BGl_string2414z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2594); 
FAILURE(BgL_auxz00_3140,BFALSE,BFALSE);} 
BgL_tmpz00_3135 = 
BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_auxz00_3136); } 
return 
BINT(BgL_tmpz00_3135);} } 

}



/* rsa-key-bit-length */
long BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_4)
{
{ /* Llib/rsa.scm 80 */
return 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_4))->BgL_modulusz00));} 

}



/* _generate-rsa-key */
obj_t BGl__generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t BgL_env1244z00_8, obj_t BgL_opt1243z00_7)
{
{ /* Llib/rsa.scm 87 */
{ /* Llib/rsa.scm 87 */

{ /* Llib/rsa.scm 87 */
 obj_t BgL_showzd2tracezd2_157;
BgL_showzd2tracezd2_157 = BFALSE; 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_siza7eza7_158;
BgL_siza7eza7_158 = 
BINT(((long)1024)); 
{ /* Llib/rsa.scm 87 */

{ 
 long BgL_iz00_159;
BgL_iz00_159 = ((long)0); 
BgL_check1247z00_160:
if(
(BgL_iz00_159==
VECTOR_LENGTH(BgL_opt1243z00_7)))
{ /* Llib/rsa.scm 87 */BNIL; }  else 
{ /* Llib/rsa.scm 87 */
 bool_t BgL_test2656z00_3152;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_arg1349z00_166;
BgL_arg1349z00_166 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_iz00_159); 
BgL_test2656z00_3152 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1349z00_166, 
CNST_TABLE_REF(((long)0)))); } 
if(BgL_test2656z00_3152)
{ 
 long BgL_iz00_3157;
BgL_iz00_3157 = 
(BgL_iz00_159+((long)2)); 
BgL_iz00_159 = BgL_iz00_3157; 
goto BgL_check1247z00_160;}  else 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_arg1348z00_165;
BgL_arg1348z00_165 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_iz00_159); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2416z00zz__cryptozd2rsazd2, BgL_arg1348z00_165); } } } 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_index1249z00_167;
BgL_index1249z00_167 = 
BGl_search1246ze70ze7zz__cryptozd2rsazd2(
VECTOR_LENGTH(BgL_opt1243z00_7), BgL_opt1243z00_7, 
CNST_TABLE_REF(((long)2)), ((long)0)); 
{ /* Llib/rsa.scm 87 */
 bool_t BgL_test2657z00_3165;
{ /* Llib/rsa.scm 87 */
 long BgL_n1z00_1346;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_3166;
if(
INTEGERP(BgL_index1249z00_167))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_3166 = BgL_index1249z00_167
; }  else 
{ 
 obj_t BgL_auxz00_3169;
BgL_auxz00_3169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2417z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1249z00_167); 
FAILURE(BgL_auxz00_3169,BFALSE,BFALSE);} 
BgL_n1z00_1346 = 
(long)CINT(BgL_tmpz00_3166); } 
BgL_test2657z00_3165 = 
(BgL_n1z00_1346>=((long)0)); } 
if(BgL_test2657z00_3165)
{ 
 long BgL_auxz00_3175;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_3176;
if(
INTEGERP(BgL_index1249z00_167))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_3176 = BgL_index1249z00_167
; }  else 
{ 
 obj_t BgL_auxz00_3179;
BgL_auxz00_3179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2417z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1249z00_167); 
FAILURE(BgL_auxz00_3179,BFALSE,BFALSE);} 
BgL_auxz00_3175 = 
(long)CINT(BgL_tmpz00_3176); } 
BgL_showzd2tracezd2_157 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_auxz00_3175); }  else 
{ /* Llib/rsa.scm 87 */BFALSE; } } } 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_index1250z00_169;
BgL_index1250z00_169 = 
BGl_search1246ze70ze7zz__cryptozd2rsazd2(
VECTOR_LENGTH(BgL_opt1243z00_7), BgL_opt1243z00_7, 
CNST_TABLE_REF(((long)3)), ((long)0)); 
{ /* Llib/rsa.scm 87 */
 bool_t BgL_test2660z00_3188;
{ /* Llib/rsa.scm 87 */
 long BgL_n1z00_1347;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_3189;
if(
INTEGERP(BgL_index1250z00_169))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_3189 = BgL_index1250z00_169
; }  else 
{ 
 obj_t BgL_auxz00_3192;
BgL_auxz00_3192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2417z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1250z00_169); 
FAILURE(BgL_auxz00_3192,BFALSE,BFALSE);} 
BgL_n1z00_1347 = 
(long)CINT(BgL_tmpz00_3189); } 
BgL_test2660z00_3188 = 
(BgL_n1z00_1347>=((long)0)); } 
if(BgL_test2660z00_3188)
{ 
 long BgL_auxz00_3198;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_3199;
if(
INTEGERP(BgL_index1250z00_169))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_3199 = BgL_index1250z00_169
; }  else 
{ 
 obj_t BgL_auxz00_3202;
BgL_auxz00_3202 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2417z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1250z00_169); 
FAILURE(BgL_auxz00_3202,BFALSE,BFALSE);} 
BgL_auxz00_3198 = 
(long)CINT(BgL_tmpz00_3199); } 
BgL_siza7eza7_158 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_auxz00_3198); }  else 
{ /* Llib/rsa.scm 87 */BFALSE; } } } 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_showzd2tracezd2_171;
BgL_showzd2tracezd2_171 = BgL_showzd2tracezd2_157; 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_siza7eza7_172;
BgL_siza7eza7_172 = BgL_siza7eza7_158; 
return 
((obj_t)
BGl_generatezd2rsazd2keyz00zz__cryptozd2rsazd2(BgL_showzd2tracezd2_171, BgL_siza7eza7_172));} } } } } } } 

}



/* search1246~0 */
obj_t BGl_search1246ze70ze7zz__cryptozd2rsazd2(long BgL_l1245z00_2785, obj_t BgL_opt1243z00_2784, obj_t BgL_k1z00_154, long BgL_iz00_155)
{
{ /* Llib/rsa.scm 87 */
BGl_search1246ze70ze7zz__cryptozd2rsazd2:
if(
(BgL_iz00_155==BgL_l1245z00_2785))
{ /* Llib/rsa.scm 87 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 87 */
if(
(BgL_iz00_155==
(BgL_l1245z00_2785-((long)1))))
{ /* Llib/rsa.scm 87 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2419z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1243z00_2784)));}  else 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_vz00_177;
BgL_vz00_177 = 
VECTOR_REF(BgL_opt1243z00_2784,BgL_iz00_155); 
if(
(BgL_vz00_177==BgL_k1z00_154))
{ /* Llib/rsa.scm 87 */
return 
BINT(
(BgL_iz00_155+((long)1)));}  else 
{ 
 long BgL_iz00_3225;
BgL_iz00_3225 = 
(BgL_iz00_155+((long)2)); 
BgL_iz00_155 = BgL_iz00_3225; 
goto BGl_search1246ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* generate-rsa-key */
BGL_EXPORTED_DEF BgL_completezd2rsazd2keyz00_bglt BGl_generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t BgL_showzd2tracezd2_5, obj_t BgL_siza7eza7_6)
{
{ /* Llib/rsa.scm 87 */
{ /* Llib/rsa.scm 88 */
 long BgL_siza7ezd2pz75_181;
{ /* Llib/rsa.scm 88 */
 long BgL_tmpz00_3227;
BgL_tmpz00_3227 = 
(long)CINT(BgL_siza7eza7_6); 
BgL_siza7ezd2pz75_181 = 
(BgL_tmpz00_3227/((long)2)); } 
{ /* Llib/rsa.scm 88 */
 obj_t BgL_startzd2pzd2_182;
BgL_startzd2pzd2_182 = 
bgl_bignum_expt(
CNST_TABLE_REF(((long)4)), 
bgl_long_to_bignum(BgL_siza7ezd2pz75_181)); 
{ /* Llib/rsa.scm 89 */
 obj_t BgL_endzd2pzd2_183;
BgL_endzd2pzd2_183 = 
bgl_bignum_mul(BgL_startzd2pzd2_182, 
CNST_TABLE_REF(((long)4))); 
{ /* Llib/rsa.scm 90 */
 obj_t BgL_pz00_184;
BgL_pz00_184 = 
BGl_makezd2randomzd2primez00zz__cryptozd2utilzd2(BgL_startzd2pzd2_182, BgL_endzd2pzd2_183, BgL_showzd2tracezd2_5); 
{ /* Llib/rsa.scm 91 */
 obj_t BgL_startzd2nzd2_185;
BgL_startzd2nzd2_185 = 
bgl_bignum_expt(
CNST_TABLE_REF(((long)4)), 
bgl_long_to_bignum(
(long)CINT(BgL_siza7eza7_6))); 
{ /* Llib/rsa.scm 92 */
 obj_t BgL_endzd2nzd2_186;
BgL_endzd2nzd2_186 = 
bgl_bignum_mul(BgL_startzd2nzd2_185, 
CNST_TABLE_REF(((long)4))); 
{ /* Llib/rsa.scm 93 */
 obj_t BgL_startzd2qzd2_187;
BgL_startzd2qzd2_187 = 
bgl_bignum_add(
bgl_bignum_quotient(
bgl_bignum_sub(BgL_startzd2nzd2_185, 
CNST_TABLE_REF(((long)5))), BgL_pz00_184), 
CNST_TABLE_REF(((long)5))); 
{ /* Llib/rsa.scm 94 */
 obj_t BgL_endzd2qzd2_188;
BgL_endzd2qzd2_188 = 
bgl_bignum_quotient(BgL_endzd2nzd2_186, BgL_pz00_184); 
{ /* Llib/rsa.scm 95 */

{ 

BgL_zc3z04anonymousza31362ze3z87_190:
{ /* Llib/rsa.scm 97 */
 obj_t BgL_qz00_191;
BgL_qz00_191 = 
BGl_makezd2randomzd2primez00zz__cryptozd2utilzd2(BgL_startzd2qzd2_187, BgL_endzd2qzd2_188, BgL_showzd2tracezd2_5); 
{ /* Llib/rsa.scm 98 */
 bool_t BgL_test2666z00_3249;
{ /* Llib/rsa.scm 98 */
 obj_t BgL_arg1555z00_227;
{ /* Llib/rsa.scm 98 */
 obj_t BgL_list1556z00_228;
{ /* Llib/rsa.scm 98 */
 obj_t BgL_arg1563z00_229;
BgL_arg1563z00_229 = 
MAKE_YOUNG_PAIR(BgL_qz00_191, BNIL); 
BgL_list1556z00_228 = 
MAKE_YOUNG_PAIR(BgL_pz00_184, BgL_arg1563z00_229); } 
BgL_arg1555z00_227 = 
BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(BgL_list1556z00_228); } 
BgL_test2666z00_3249 = 
(
(long)(
bgl_bignum_cmp(BgL_arg1555z00_227, 
CNST_TABLE_REF(((long)5))))==((long)0)); } 
if(BgL_test2666z00_3249)
{ /* Llib/rsa.scm 100 */
 obj_t BgL_nz00_196;
BgL_nz00_196 = 
bgl_bignum_mul(BgL_pz00_184, BgL_qz00_191); 
{ /* Llib/rsa.scm 100 */
 obj_t BgL_pzd21zd2_197;
BgL_pzd21zd2_197 = 
bgl_bignum_sub(BgL_pz00_184, 
CNST_TABLE_REF(((long)5))); 
{ /* Llib/rsa.scm 101 */
 obj_t BgL_qzd21zd2_198;
BgL_qzd21zd2_198 = 
bgl_bignum_sub(BgL_qz00_191, 
CNST_TABLE_REF(((long)5))); 
{ /* Llib/rsa.scm 102 */
 obj_t BgL_phiz00_199;
{ /* Llib/rsa.scm 103 */
 obj_t BgL_arg1536z00_223; obj_t BgL_arg1541z00_224;
BgL_arg1536z00_223 = 
bgl_bignum_mul(BgL_pzd21zd2_197, BgL_qzd21zd2_198); 
{ /* Llib/rsa.scm 103 */
 obj_t BgL_list1542z00_225;
{ /* Llib/rsa.scm 103 */
 obj_t BgL_arg1554z00_226;
BgL_arg1554z00_226 = 
MAKE_YOUNG_PAIR(BgL_qzd21zd2_198, BNIL); 
BgL_list1542z00_225 = 
MAKE_YOUNG_PAIR(BgL_pzd21zd2_197, BgL_arg1554z00_226); } 
BgL_arg1541z00_224 = 
BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(BgL_list1542z00_225); } 
BgL_phiz00_199 = 
bgl_bignum_quotient(BgL_arg1536z00_223, BgL_arg1541z00_224); } 
{ /* Llib/rsa.scm 103 */
 obj_t BgL_ez00_200;
{ 
 obj_t BgL_ez00_212;
BgL_ez00_212 = 
CNST_TABLE_REF(((long)6)); 
BgL_zc3z04anonymousza31381ze3z87_213:
{ /* Llib/rsa.scm 105 */
 bool_t BgL_test2667z00_3267;
{ /* Llib/rsa.scm 105 */
 obj_t BgL_arg1456z00_219;
{ /* Llib/rsa.scm 105 */
 obj_t BgL_list1457z00_220;
{ /* Llib/rsa.scm 105 */
 obj_t BgL_arg1535z00_221;
BgL_arg1535z00_221 = 
MAKE_YOUNG_PAIR(BgL_phiz00_199, BNIL); 
BgL_list1457z00_220 = 
MAKE_YOUNG_PAIR(BgL_ez00_212, BgL_arg1535z00_221); } 
BgL_arg1456z00_219 = 
BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(BgL_list1457z00_220); } 
BgL_test2667z00_3267 = 
(
(long)(
bgl_bignum_cmp(
CNST_TABLE_REF(((long)5)), BgL_arg1456z00_219))==((long)0)); } 
if(BgL_test2667z00_3267)
{ /* Llib/rsa.scm 105 */
BgL_ez00_200 = BgL_ez00_212; }  else 
{ 
 obj_t BgL_ez00_3275;
BgL_ez00_3275 = 
bgl_bignum_add(BgL_ez00_212, 
CNST_TABLE_REF(((long)4))); 
BgL_ez00_212 = BgL_ez00_3275; 
goto BgL_zc3z04anonymousza31381ze3z87_213;} } } 
{ /* Llib/rsa.scm 104 */
 obj_t BgL_dz00_201;
BgL_dz00_201 = 
BGl_modzd2inversezd2zz__cryptozd2utilzd2(BgL_ez00_200, BgL_phiz00_199); 
{ /* Llib/rsa.scm 108 */
 obj_t BgL_dzd2modzd2pzd21zd2_202;
BgL_dzd2modzd2pzd21zd2_202 = 
BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_dz00_201, 
bgl_bignum_sub(BgL_pz00_184, 
CNST_TABLE_REF(((long)5)))); 
{ /* Llib/rsa.scm 109 */
 obj_t BgL_dzd2modzd2qzd21zd2_203;
BgL_dzd2modzd2qzd21zd2_203 = 
BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_dz00_201, 
bgl_bignum_sub(BgL_qz00_191, 
CNST_TABLE_REF(((long)5)))); 
{ /* Llib/rsa.scm 110 */
 obj_t BgL_qinvz00_204;
BgL_qinvz00_204 = 
BGl_modzd2inversezd2zz__cryptozd2utilzd2(BgL_qz00_191, BgL_pz00_184); 
{ /* Llib/rsa.scm 111 */

if(
CBOOL(BgL_showzd2tracezd2_5))
{ /* Llib/rsa.scm 112 */
 obj_t BgL_arg1377z00_205;
{ /* Llib/rsa.scm 112 */
 obj_t BgL_tmpz00_3289;
BgL_tmpz00_3289 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1377z00_205 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3289); } 
bgl_display_char(((unsigned char)10), BgL_arg1377z00_205); }  else 
{ /* Llib/rsa.scm 112 */BFALSE; } 
{ /* Llib/rsa.scm 113 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1072z00_206;
{ /* Llib/rsa.scm 114 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1071z00_207;
BgL_new1071z00_207 = 
((BgL_completezd2rsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2rsazd2keyz00_bgl) ))); 
{ /* Llib/rsa.scm 114 */
 long BgL_arg1378z00_208;
BgL_arg1378z00_208 = 
BGL_CLASS_NUM(BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_207), BgL_arg1378z00_208); } 
{ /* Llib/rsa.scm 114 */
 BgL_objectz00_bglt BgL_tmpz00_3297;
BgL_tmpz00_3297 = 
((BgL_objectz00_bglt)BgL_new1071z00_207); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3297, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1071z00_207); 
BgL_new1072z00_206 = BgL_new1071z00_207; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1072z00_206)))->BgL_modulusz00)=((obj_t)BgL_nz00_196),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1072z00_206)))->BgL_exponentz00)=((obj_t)BgL_dz00_201),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_ez00)=((obj_t)BgL_ez00_200),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_pz00)=((obj_t)BgL_pz00_184),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_qz00)=((obj_t)BgL_qz00_191),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_exp1z00)=((obj_t)BgL_dzd2modzd2pzd21zd2_202),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_exp2z00)=((obj_t)BgL_dzd2modzd2qzd21zd2_203),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_coeffz00)=((obj_t)BgL_qinvz00_204),BUNSPEC); 
return BgL_new1072z00_206;} } } } } } } } } } }  else 
{ /* Llib/rsa.scm 98 */
goto BgL_zc3z04anonymousza31362ze3z87_190;} } } } } } } } } } } } } } 

}



/* extract-public-rsa-key */
BGL_EXPORTED_DEF BgL_rsazd2keyzd2_bglt BGl_extractzd2publiczd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt BgL_keyz00_9)
{
{ /* Llib/rsa.scm 124 */
{ /* Llib/rsa.scm 126 */
 BgL_rsazd2keyzd2_bglt BgL_new1075z00_238;
{ /* Llib/rsa.scm 127 */
 BgL_rsazd2keyzd2_bglt BgL_new1074z00_239;
BgL_new1074z00_239 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 127 */
 long BgL_arg1575z00_240;
BgL_arg1575z00_240 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_239), BgL_arg1575z00_240); } 
BgL_new1075z00_238 = BgL_new1074z00_239; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1075z00_238))->BgL_modulusz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_9)))->BgL_modulusz00)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1075z00_238))->BgL_exponentz00)=((obj_t)
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_keyz00_9))->BgL_ez00)),BUNSPEC); 
return BgL_new1075z00_238;} } 

}



/* &extract-public-rsa-key */
BgL_rsazd2keyzd2_bglt BGl_z62extractzd2publiczd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2595, obj_t BgL_keyz00_2596)
{
{ /* Llib/rsa.scm 124 */
{ /* Llib/rsa.scm 125 */
 BgL_completezd2rsazd2keyz00_bglt BgL_auxz00_3320;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2596, BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 125 */
BgL_auxz00_3320 = 
((BgL_completezd2rsazd2keyz00_bglt)BgL_keyz00_2596)
; }  else 
{ 
 obj_t BgL_auxz00_3324;
BgL_auxz00_3324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)5241)), BGl_string2420z00zz__cryptozd2rsazd2, BGl_string2421z00zz__cryptozd2rsazd2, BgL_keyz00_2596); 
FAILURE(BgL_auxz00_3324,BFALSE,BFALSE);} 
return 
BGl_extractzd2publiczd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_auxz00_3320);} } 

}



/* extract-private-rsa-key */
BGL_EXPORTED_DEF BgL_rsazd2keyzd2_bglt BGl_extractzd2privatezd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt BgL_keyz00_10)
{
{ /* Llib/rsa.scm 129 */
{ /* Llib/rsa.scm 131 */
 BgL_rsazd2keyzd2_bglt BgL_new1078z00_242;
{ /* Llib/rsa.scm 132 */
 BgL_rsazd2keyzd2_bglt BgL_new1077z00_243;
BgL_new1077z00_243 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 132 */
 long BgL_arg1576z00_244;
BgL_arg1576z00_244 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_243), BgL_arg1576z00_244); } 
BgL_new1078z00_242 = BgL_new1077z00_243; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1078z00_242))->BgL_modulusz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_10)))->BgL_modulusz00)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1078z00_242))->BgL_exponentz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_10)))->BgL_exponentz00)),BUNSPEC); 
return BgL_new1078z00_242;} } 

}



/* &extract-private-rsa-key */
BgL_rsazd2keyzd2_bglt BGl_z62extractzd2privatezd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2597, obj_t BgL_keyz00_2598)
{
{ /* Llib/rsa.scm 129 */
{ /* Llib/rsa.scm 130 */
 BgL_completezd2rsazd2keyz00_bglt BgL_auxz00_3339;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2598, BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 130 */
BgL_auxz00_3339 = 
((BgL_completezd2rsazd2keyz00_bglt)BgL_keyz00_2598)
; }  else 
{ 
 obj_t BgL_auxz00_3343;
BgL_auxz00_3343 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)5422)), BGl_string2422z00zz__cryptozd2rsazd2, BGl_string2421z00zz__cryptozd2rsazd2, BgL_keyz00_2598); 
FAILURE(BgL_auxz00_3343,BFALSE,BFALSE);} 
return 
BGl_extractzd2privatezd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_auxz00_3339);} } 

}



/* rsa-key=? */
BGL_EXPORTED_DEF obj_t BGl_rsazd2keyzd3zf3zf2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_rsazd2key1zd2_15, BgL_rsazd2keyzd2_bglt BgL_rsazd2key2zd2_16)
{
{ /* Llib/rsa.scm 145 */
if(
(
(long)(
bgl_bignum_cmp(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_rsazd2key1zd2_15))->BgL_modulusz00), 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_rsazd2key2zd2_16))->BgL_modulusz00)))==((long)0)))
{ /* Llib/rsa.scm 154 */
 long BgL_n1z00_1442;
BgL_n1z00_1442 = 
(long)(
bgl_bignum_cmp(
BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2key1zd2_15), 
BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2key2zd2_16))); 
return 
BBOOL(
(BgL_n1z00_1442==((long)0)));}  else 
{ /* Llib/rsa.scm 153 */
return BFALSE;} } 

}



/* public-exp~0 */
obj_t BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_258)
{
{ /* Llib/rsa.scm 149 */
{ /* Llib/rsa.scm 147 */
 bool_t BgL_test2672z00_3360;
{ /* Llib/rsa.scm 147 */
 obj_t BgL_classz00_1403;
BgL_classz00_1403 = BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 147 */
 BgL_objectz00_bglt BgL_arg1797z00_1405;
{ /* Llib/rsa.scm 147 */
 obj_t BgL_tmpz00_3361;
BgL_tmpz00_3361 = 
((obj_t)
((BgL_objectz00_bglt)BgL_kz00_258)); 
BgL_arg1797z00_1405 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3361); } 
{ /* Llib/rsa.scm 147 */
 bool_t BgL_arg1794z00_1408; bool_t BgL_arg1795z00_1409;
{ /* Llib/rsa.scm 147 */
 long BgL_idxz00_1412;
BgL_idxz00_1412 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1405); 
BgL_arg1794z00_1408 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1412+((long)2)))==BgL_classz00_1403); } 
{ /* Llib/rsa.scm 147 */
 bool_t BgL_res2223z00_1434;
{ /* Llib/rsa.scm 147 */
 obj_t BgL_oclassz00_1420;
{ /* Llib/rsa.scm 147 */
 long BgL_arg1804z00_1426;
{ /* Llib/rsa.scm 147 */
 long BgL_arg1805z00_1427;
BgL_arg1805z00_1427 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1405); 
BgL_arg1804z00_1426 = 
(BgL_arg1805z00_1427-OBJECT_TYPE); } 
BgL_oclassz00_1420 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1426); } 
{ /* Llib/rsa.scm 147 */
 bool_t BgL__ortest_1111z00_1421;
BgL__ortest_1111z00_1421 = 
(BgL_classz00_1403==BgL_oclassz00_1420); 
if(BgL__ortest_1111z00_1421)
{ /* Llib/rsa.scm 147 */
BgL_res2223z00_1434 = BgL__ortest_1111z00_1421; }  else 
{ /* Llib/rsa.scm 147 */
 long BgL_odepthz00_1422;
BgL_odepthz00_1422 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1420); 
if(
(((long)2)<BgL_odepthz00_1422))
{ /* Llib/rsa.scm 147 */
 obj_t BgL_arg1793z00_1424;
BgL_arg1793z00_1424 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1420, ((long)2)); 
BgL_res2223z00_1434 = 
(BgL_arg1793z00_1424==BgL_classz00_1403); }  else 
{ /* Llib/rsa.scm 147 */
BgL_res2223z00_1434 = ((bool_t)0); } } } } 
BgL_arg1795z00_1409 = BgL_res2223z00_1434; } 
BgL_test2672z00_3360 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1408, BgL_arg1795z00_1409); } } } 
if(BgL_test2672z00_3360)
{ /* Llib/rsa.scm 147 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_258)))->BgL_ez00);}  else 
{ /* Llib/rsa.scm 147 */
return 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_258))->BgL_exponentz00);} } } 

}



/* &rsa-key=? */
obj_t BGl_z62rsazd2keyzd3zf3z90zz__cryptozd2rsazd2(obj_t BgL_envz00_2599, obj_t BgL_rsazd2key1zd2_2600, obj_t BgL_rsazd2key2zd2_2601)
{
{ /* Llib/rsa.scm 145 */
{ /* Llib/rsa.scm 147 */
 BgL_rsazd2keyzd2_bglt BgL_auxz00_3391; BgL_rsazd2keyzd2_bglt BgL_auxz00_3383;
if(
BGl_isazf3zf3zz__objectz00(BgL_rsazd2key2zd2_2601, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 147 */
BgL_auxz00_3391 = 
((BgL_rsazd2keyzd2_bglt)BgL_rsazd2key2zd2_2601)
; }  else 
{ 
 obj_t BgL_auxz00_3395;
BgL_auxz00_3395 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)5969)), BGl_string2423z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_rsazd2key2zd2_2601); 
FAILURE(BgL_auxz00_3395,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_rsazd2key1zd2_2600, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 147 */
BgL_auxz00_3383 = 
((BgL_rsazd2keyzd2_bglt)BgL_rsazd2key1zd2_2600)
; }  else 
{ 
 obj_t BgL_auxz00_3387;
BgL_auxz00_3387 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)5969)), BGl_string2423z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_rsazd2key1zd2_2600); 
FAILURE(BgL_auxz00_3387,BFALSE,BFALSE);} 
return 
BGl_rsazd2keyzd3zf3zf2zz__cryptozd2rsazd2(BgL_auxz00_3383, BgL_auxz00_3391);} } 

}



/* I2OSP */
BGL_EXPORTED_DEF obj_t BGl_I2OSPz00zz__cryptozd2rsazd2(obj_t BgL_xz00_17, long BgL_xzd2lenzd2_18)
{
{ /* Llib/rsa.scm 157 */
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_xz00_17, BgL_xzd2lenzd2_18);} 

}



/* &I2OSP */
obj_t BGl_z62I2OSPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2602, obj_t BgL_xz00_2603, obj_t BgL_xzd2lenzd2_2604)
{
{ /* Llib/rsa.scm 157 */
{ /* Llib/rsa.scm 158 */
 long BgL_auxz00_3408; obj_t BgL_auxz00_3401;
{ /* Llib/rsa.scm 158 */
 obj_t BgL_tmpz00_3409;
if(
INTEGERP(BgL_xzd2lenzd2_2604))
{ /* Llib/rsa.scm 158 */
BgL_tmpz00_3409 = BgL_xzd2lenzd2_2604
; }  else 
{ 
 obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6341)), BGl_string2424z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_xzd2lenzd2_2604); 
FAILURE(BgL_auxz00_3412,BFALSE,BFALSE);} 
BgL_auxz00_3408 = 
(long)CINT(BgL_tmpz00_3409); } 
if(
BIGNUMP(BgL_xz00_2603))
{ /* Llib/rsa.scm 158 */
BgL_auxz00_3401 = BgL_xz00_2603
; }  else 
{ 
 obj_t BgL_auxz00_3404;
BgL_auxz00_3404 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6341)), BGl_string2424z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_xz00_2603); 
FAILURE(BgL_auxz00_3404,BFALSE,BFALSE);} 
return 
BGl_I2OSPz00zz__cryptozd2rsazd2(BgL_auxz00_3401, BgL_auxz00_3408);} } 

}



/* OS2IP */
BGL_EXPORTED_DEF obj_t BGl_OS2IPz00zz__cryptozd2rsazd2(obj_t BgL_strz00_23)
{
{ /* Llib/rsa.scm 163 */
return 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_strz00_23);} 

}



/* &OS2IP */
obj_t BGl_z62OS2IPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2605, obj_t BgL_strz00_2606)
{
{ /* Llib/rsa.scm 163 */
{ /* Llib/rsa.scm 164 */
 obj_t BgL_auxz00_3419;
if(
STRINGP(BgL_strz00_2606))
{ /* Llib/rsa.scm 164 */
BgL_auxz00_3419 = BgL_strz00_2606
; }  else 
{ 
 obj_t BgL_auxz00_3422;
BgL_auxz00_3422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6519)), BGl_string2426z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_strz00_2606); 
FAILURE(BgL_auxz00_3422,BFALSE,BFALSE);} 
return 
BGl_OS2IPz00zz__cryptozd2rsazd2(BgL_auxz00_3419);} } 

}



/* _MGF1 */
obj_t BGl__MGF1z00zz__cryptozd2rsazd2(obj_t BgL_env1252z00_28, obj_t BgL_opt1251z00_27)
{
{ /* Llib/rsa.scm 167 */
{ /* Llib/rsa.scm 167 */
 long BgL_l1253z00_264;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_vectorz00_1443;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_vectorz00_1443 = BgL_opt1251z00_27; }  else 
{ 
 obj_t BgL_auxz00_3429;
BgL_auxz00_3429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3429,BFALSE,BFALSE);} 
BgL_l1253z00_264 = 
VECTOR_LENGTH(BgL_vectorz00_1443); } 
{ 
 obj_t BgL_k1z00_265; long BgL_iz00_266;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_seedz00_268; obj_t BgL_lenz00_269;
{ 
 obj_t BgL_auxz00_3434;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3434 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3437;
BgL_auxz00_3437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3437,BFALSE,BFALSE);} 
BgL_seedz00_268 = 
VECTOR_REF(BgL_auxz00_3434,((long)0)); } 
{ 
 obj_t BgL_auxz00_3442;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3442 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3445;
BgL_auxz00_3445 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3445,BFALSE,BFALSE);} 
BgL_lenz00_269 = 
VECTOR_REF(BgL_auxz00_3442,((long)1)); } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_hashzd2funzd2_270;
BgL_hashzd2funzd2_270 = BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2; 
{ /* Llib/rsa.scm 167 */

{ 
 long BgL_iz00_271;
BgL_iz00_271 = ((long)2); 
BgL_check1255z00_272:
if(
(BgL_iz00_271==BgL_l1253z00_264))
{ /* Llib/rsa.scm 167 */BNIL; }  else 
{ /* Llib/rsa.scm 167 */
 bool_t BgL_test2684z00_3452;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_arg1643z00_278;
BgL_arg1643z00_278 = 
VECTOR_REF(
((obj_t)BgL_opt1251z00_27),BgL_iz00_271); 
BgL_test2684z00_3452 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1643z00_278, 
CNST_TABLE_REF(((long)8)))); } 
if(BgL_test2684z00_3452)
{ 
 long BgL_iz00_3458;
BgL_iz00_3458 = 
(BgL_iz00_271+((long)2)); 
BgL_iz00_271 = BgL_iz00_3458; 
goto BgL_check1255z00_272;}  else 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_arg1642z00_277;
BgL_arg1642z00_277 = 
VECTOR_REF(
((obj_t)BgL_opt1251z00_27),BgL_iz00_271); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2416z00zz__cryptozd2rsazd2, BgL_arg1642z00_277); } } } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_index1257z00_279;
BgL_k1z00_265 = 
CNST_TABLE_REF(((long)9)); 
BgL_iz00_266 = ((long)2); 
BgL_search1254z00_267:
if(
(BgL_iz00_266==BgL_l1253z00_264))
{ /* Llib/rsa.scm 167 */
BgL_index1257z00_279 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 167 */
if(
(BgL_iz00_266==
(BgL_l1253z00_264-((long)1))))
{ /* Llib/rsa.scm 167 */
BgL_index1257z00_279 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2430z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1251z00_27))); }  else 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_vz00_288;
BgL_vz00_288 = 
VECTOR_REF(BgL_opt1251z00_27,BgL_iz00_266); 
if(
(BgL_vz00_288==BgL_k1z00_265))
{ /* Llib/rsa.scm 167 */
BgL_index1257z00_279 = 
BINT(
(BgL_iz00_266+((long)1))); }  else 
{ 
 long BgL_iz00_3479;
BgL_iz00_3479 = 
(BgL_iz00_266+((long)2)); 
BgL_iz00_266 = BgL_iz00_3479; 
goto BgL_search1254z00_267;} } } 
{ /* Llib/rsa.scm 167 */
 bool_t BgL_test2688z00_3482;
{ /* Llib/rsa.scm 167 */
 long BgL_n1z00_1458;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_tmpz00_3483;
if(
INTEGERP(BgL_index1257z00_279))
{ /* Llib/rsa.scm 167 */
BgL_tmpz00_3483 = BgL_index1257z00_279
; }  else 
{ 
 obj_t BgL_auxz00_3486;
BgL_auxz00_3486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1257z00_279); 
FAILURE(BgL_auxz00_3486,BFALSE,BFALSE);} 
BgL_n1z00_1458 = 
(long)CINT(BgL_tmpz00_3483); } 
BgL_test2688z00_3482 = 
(BgL_n1z00_1458>=((long)0)); } 
if(BgL_test2688z00_3482)
{ /* Llib/rsa.scm 167 */
 obj_t BgL_aux2283z00_2832;
{ 
 long BgL_auxz00_3499; obj_t BgL_auxz00_3492;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_tmpz00_3500;
if(
INTEGERP(BgL_index1257z00_279))
{ /* Llib/rsa.scm 167 */
BgL_tmpz00_3500 = BgL_index1257z00_279
; }  else 
{ 
 obj_t BgL_auxz00_3503;
BgL_auxz00_3503 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1257z00_279); 
FAILURE(BgL_auxz00_3503,BFALSE,BFALSE);} 
BgL_auxz00_3499 = 
(long)CINT(BgL_tmpz00_3500); } 
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3492 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3495;
BgL_auxz00_3495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3495,BFALSE,BFALSE);} 
BgL_aux2283z00_2832 = 
VECTOR_REF(BgL_auxz00_3492,BgL_auxz00_3499); } 
if(
PROCEDUREP(BgL_aux2283z00_2832))
{ /* Llib/rsa.scm 167 */
BgL_hashzd2funzd2_270 = BgL_aux2283z00_2832; }  else 
{ 
 obj_t BgL_auxz00_3511;
BgL_auxz00_3511 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2431z00zz__cryptozd2rsazd2, BgL_aux2283z00_2832); 
FAILURE(BgL_auxz00_3511,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 167 */BFALSE; } } } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_arg1651z00_281; obj_t BgL_arg1653z00_282;
{ 
 obj_t BgL_auxz00_3515;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3515 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3518;
BgL_auxz00_3518 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3518,BFALSE,BFALSE);} 
BgL_arg1651z00_281 = 
VECTOR_REF(BgL_auxz00_3515,((long)0)); } 
{ 
 obj_t BgL_auxz00_3523;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3523 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3526;
BgL_auxz00_3526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3526,BFALSE,BFALSE);} 
BgL_arg1653z00_282 = 
VECTOR_REF(BgL_auxz00_3523,((long)1)); } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_hashzd2funzd2_283;
BgL_hashzd2funzd2_283 = BgL_hashzd2funzd2_270; 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_seedz00_3004; long BgL_lenz00_3005;
if(
STRINGP(BgL_arg1651z00_281))
{ /* Llib/rsa.scm 167 */
BgL_seedz00_3004 = BgL_arg1651z00_281; }  else 
{ 
 obj_t BgL_auxz00_3533;
BgL_auxz00_3533 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_arg1651z00_281); 
FAILURE(BgL_auxz00_3533,BFALSE,BFALSE);} 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_tmpz00_3537;
if(
INTEGERP(BgL_arg1653z00_282))
{ /* Llib/rsa.scm 167 */
BgL_tmpz00_3537 = BgL_arg1653z00_282
; }  else 
{ 
 obj_t BgL_auxz00_3540;
BgL_auxz00_3540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_arg1653z00_282); 
FAILURE(BgL_auxz00_3540,BFALSE,BFALSE);} 
BgL_lenz00_3005 = 
(long)CINT(BgL_tmpz00_3537); } 
{ /* Llib/rsa.scm 170 */
 obj_t BgL_resz00_3007; obj_t BgL_bufz00_3008; long BgL_seedzd2lenzd2_3009;
{ /* Llib/rsa.scm 170 */

BgL_resz00_3007 = 
make_string(BgL_lenz00_3005, ((unsigned char)' ')); } 
BgL_bufz00_3008 = 
string_append(BgL_seedz00_3004, BGl_string2432z00zz__cryptozd2rsazd2); 
BgL_seedzd2lenzd2_3009 = 
STRING_LENGTH(BgL_seedz00_3004); 
{ 
 long BgL_iz00_3011; obj_t BgL_cz00_3012;
BgL_iz00_3011 = ((long)0); 
BgL_cz00_3012 = 
CNST_TABLE_REF(((long)10)); 
BgL_loopz00_3010:
if(
(BgL_iz00_3011>=BgL_lenz00_3005))
{ /* Llib/rsa.scm 176 */
return BgL_resz00_3007;}  else 
{ /* Llib/rsa.scm 176 */
BGl_bignumzd2ze3binzd2strz12zf1zz__cryptozd2utilzd2(BgL_bufz00_3008, BgL_seedzd2lenzd2_3009, BgL_cz00_3012, ((long)4)); 
{ /* Llib/rsa.scm 179 */
 obj_t BgL_hashzd2strzd2_3013;
BgL_hashzd2strzd2_3013 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_283)(BgL_hashzd2funzd2_283, BgL_bufz00_3008, BEOA); 
{ /* Llib/rsa.scm 179 */
 long BgL_hashzd2lenzd2_3014;
BgL_hashzd2lenzd2_3014 = 
STRING_LENGTH(
((obj_t)BgL_hashzd2strzd2_3013)); 
{ /* Llib/rsa.scm 180 */
 long BgL_blitzd2lenzd2_3015;
{ /* Llib/rsa.scm 181 */
 long BgL_bz00_3016;
BgL_bz00_3016 = 
(BgL_lenz00_3005-BgL_iz00_3011); 
if(
(BgL_hashzd2lenzd2_3014<BgL_bz00_3016))
{ /* Llib/rsa.scm 181 */
BgL_blitzd2lenzd2_3015 = BgL_hashzd2lenzd2_3014; }  else 
{ /* Llib/rsa.scm 181 */
BgL_blitzd2lenzd2_3015 = BgL_bz00_3016; } } 
{ /* Llib/rsa.scm 181 */

blit_string(
((obj_t)BgL_hashzd2strzd2_3013), ((long)0), BgL_resz00_3007, BgL_iz00_3011, BgL_blitzd2lenzd2_3015); 
{ 
 obj_t BgL_cz00_3564; long BgL_iz00_3562;
BgL_iz00_3562 = 
(BgL_iz00_3011+BgL_blitzd2lenzd2_3015); 
BgL_cz00_3564 = 
bgl_bignum_add(BgL_cz00_3012, 
CNST_TABLE_REF(((long)5))); 
BgL_cz00_3012 = BgL_cz00_3564; 
BgL_iz00_3011 = BgL_iz00_3562; 
goto BgL_loopz00_3010;} } } } } } } } } } } } } } } } } 

}



/* search1261~0 */
obj_t BGl_search1261ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1260z00_2783, obj_t BgL_opt1258z00_2782, obj_t BgL_k1z00_312, obj_t BgL_iz00_313)
{
{ /* Llib/rsa.scm 186 */
BGl_search1261ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_313)==
(long)CINT(BgL_l1260z00_2783)))
{ /* Llib/rsa.scm 186 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 186 */
if(
(
(long)CINT(BgL_iz00_313)==
(long)CINT(
SUBFX(BgL_l1260z00_2783, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 186 */
 obj_t BgL_arg1712z00_342;
BgL_arg1712z00_342 = 
BINT(
VECTOR_LENGTH(BgL_opt1258z00_2782)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2434z00zz__cryptozd2rsazd2, BgL_arg1712z00_342);}  else 
{ /* Llib/rsa.scm 186 */
 obj_t BgL_vz00_343;
BgL_vz00_343 = 
VECTOR_REF(BgL_opt1258z00_2782,
(long)CINT(BgL_iz00_313)); 
if(
(BgL_vz00_343==BgL_k1z00_312))
{ /* Llib/rsa.scm 186 */
return 
ADDFX(BgL_iz00_313, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_3589;
BgL_iz00_3589 = 
ADDFX(BgL_iz00_313, 
BINT(((long)2))); 
BgL_iz00_313 = BgL_iz00_3589; 
goto BGl_search1261ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EME-OAEP-encode */
obj_t BGl_EMEzd2OAEPzd2encodez00zz__cryptozd2rsazd2(long BgL_kz00_29, obj_t BgL_mz00_30, obj_t BgL_hashzd2funzd2_31, obj_t BgL_labelz00_32, obj_t BgL_maskzd2funzd2_33)
{
{ /* Llib/rsa.scm 186 */
{ /* Llib/rsa.scm 206 */
 obj_t BgL_lzd2hashzd2_347;
BgL_lzd2hashzd2_347 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_31)(BgL_hashzd2funzd2_31, BgL_labelz00_32, BEOA); 
{ /* Llib/rsa.scm 206 */
 long BgL_hzd2lenzd2_348;
BgL_hzd2lenzd2_348 = 
STRING_LENGTH(
((obj_t)BgL_lzd2hashzd2_347)); 
{ /* Llib/rsa.scm 207 */
 long BgL_mzd2lenzd2_349;
BgL_mzd2lenzd2_349 = 
STRING_LENGTH(BgL_mz00_30); 
{ /* Llib/rsa.scm 208 */
 long BgL_pszd2lenzd2_350;
BgL_pszd2lenzd2_350 = 
(BgL_kz00_29-
(BgL_mzd2lenzd2_349+
(
(((long)2)*BgL_hzd2lenzd2_348)+((long)2)))); 
{ /* Llib/rsa.scm 209 */
 long BgL_dbzd2lenzd2_351;
BgL_dbzd2lenzd2_351 = 
(BgL_hzd2lenzd2_348+
(BgL_pszd2lenzd2_350+
(((long)1)+BgL_mzd2lenzd2_349))); 
{ /* Llib/rsa.scm 210 */
 obj_t BgL_dbz00_352;
{ /* Llib/rsa.scm 211 */

BgL_dbz00_352 = 
make_string(BgL_dbzd2lenzd2_351, ((unsigned char)' ')); } 
{ /* Llib/rsa.scm 211 */
 obj_t BgL_seedz00_353;
BgL_seedz00_353 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(BgL_hzd2lenzd2_348, BFALSE); 
{ /* Llib/rsa.scm 212 */

blit_string(
((obj_t)BgL_lzd2hashzd2_347), ((long)0), BgL_dbz00_352, ((long)0), BgL_hzd2lenzd2_348); 
{ 
 long BgL_iz00_355;
BgL_iz00_355 = ((long)0); 
BgL_zc3z04anonymousza31727ze3z87_356:
if(
(BgL_iz00_355>=BgL_pszd2lenzd2_350))
{ /* Llib/rsa.scm 218 */((bool_t)0); }  else 
{ /* Llib/rsa.scm 218 */
{ /* Llib/rsa.scm 219 */
 long BgL_tmpz00_3612;
BgL_tmpz00_3612 = 
(BgL_hzd2lenzd2_348+BgL_iz00_355); 
STRING_SET(BgL_dbz00_352, BgL_tmpz00_3612, ((unsigned char)'\000')); } 
{ 
 long BgL_iz00_3615;
BgL_iz00_3615 = 
(BgL_iz00_355+((long)1)); 
BgL_iz00_355 = BgL_iz00_3615; 
goto BgL_zc3z04anonymousza31727ze3z87_356;} } } 
{ /* Llib/rsa.scm 222 */
 long BgL_tmpz00_3617;
BgL_tmpz00_3617 = 
(BgL_hzd2lenzd2_348+BgL_pszd2lenzd2_350); 
STRING_SET(BgL_dbz00_352, BgL_tmpz00_3617, ((unsigned char)1)); } 
blit_string(BgL_mz00_30, ((long)0), BgL_dbz00_352, 
(BgL_hzd2lenzd2_348+
(BgL_pszd2lenzd2_350+((long)1))), BgL_mzd2lenzd2_349); 
{ /* Llib/rsa.scm 226 */
 obj_t BgL_dbzd2maskzd2_364;
{ /* Llib/rsa.scm 226 */
 long BgL_arg1744z00_374;
BgL_arg1744z00_374 = 
(BgL_kz00_29-
(BgL_hzd2lenzd2_348+((long)1))); 
BgL_dbzd2maskzd2_364 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_33)(BgL_maskzd2funzd2_33, BgL_seedz00_353, 
BINT(BgL_arg1744z00_374), BEOA); } 
{ /* Llib/rsa.scm 226 */
 obj_t BgL_maskedzd2dbzd2_365;
BgL_maskedzd2dbzd2_365 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_dbz00_352, BgL_dbzd2maskzd2_364); 
{ /* Llib/rsa.scm 227 */
 obj_t BgL_seedzd2maskzd2_366;
BgL_seedzd2maskzd2_366 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_33)(BgL_maskzd2funzd2_33, BgL_maskedzd2dbzd2_365, 
BINT(BgL_hzd2lenzd2_348), BEOA); 
{ /* Llib/rsa.scm 228 */
 obj_t BgL_maskedzd2seedzd2_367;
BgL_maskedzd2seedzd2_367 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_seedz00_353, BgL_seedzd2maskzd2_366); 
{ /* Llib/rsa.scm 229 */
 obj_t BgL_reszd2strzd2_368;
{ /* Llib/rsa.scm 230 */
 long BgL_arg1741z00_370;
BgL_arg1741z00_370 = 
(((long)1)+
(BgL_hzd2lenzd2_348+BgL_dbzd2lenzd2_351)); 
{ /* Llib/rsa.scm 230 */

BgL_reszd2strzd2_368 = 
make_string(BgL_arg1741z00_370, ((unsigned char)' ')); } } 
{ /* Llib/rsa.scm 230 */

STRING_SET(BgL_reszd2strzd2_368, ((long)0), ((unsigned char)'0')); 
blit_string(BgL_maskedzd2seedzd2_367, ((long)0), BgL_reszd2strzd2_368, ((long)1), BgL_hzd2lenzd2_348); 
blit_string(BgL_maskedzd2dbzd2_365, ((long)0), BgL_reszd2strzd2_368, 
(((long)1)+BgL_hzd2lenzd2_348), BgL_dbzd2lenzd2_351); 
return BgL_reszd2strzd2_368;} } } } } } } } } } } } } } } 

}



/* search1270~0 */
obj_t BGl_search1270ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1269z00_2781, obj_t BgL_opt1267z00_2780, obj_t BgL_k1z00_385, obj_t BgL_iz00_386)
{
{ /* Llib/rsa.scm 237 */
BGl_search1270ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_386)==
(long)CINT(BgL_l1269z00_2781)))
{ /* Llib/rsa.scm 237 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 237 */
if(
(
(long)CINT(BgL_iz00_386)==
(long)CINT(
SUBFX(BgL_l1269z00_2781, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 237 */
 obj_t BgL_arg1798z00_415;
BgL_arg1798z00_415 = 
BINT(
VECTOR_LENGTH(BgL_opt1267z00_2780)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string2434z00zz__cryptozd2rsazd2, BgL_arg1798z00_415);}  else 
{ /* Llib/rsa.scm 237 */
 obj_t BgL_vz00_416;
BgL_vz00_416 = 
VECTOR_REF(BgL_opt1267z00_2780,
(long)CINT(BgL_iz00_386)); 
if(
(BgL_vz00_416==BgL_k1z00_385))
{ /* Llib/rsa.scm 237 */
return 
ADDFX(BgL_iz00_386, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_3667;
BgL_iz00_3667 = 
ADDFX(BgL_iz00_386, 
BINT(((long)2))); 
BgL_iz00_386 = BgL_iz00_3667; 
goto BGl_search1270ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EME-OAEP-decode */
obj_t BGl_EMEzd2OAEPzd2decodez00zz__cryptozd2rsazd2(long BgL_kz00_36, obj_t BgL_emz00_37, obj_t BgL_hashzd2funzd2_38, obj_t BgL_labelz00_39, obj_t BgL_maskzd2funzd2_40)
{
{ /* Llib/rsa.scm 237 */
{ /* Llib/rsa.scm 240 */
 obj_t BgL_lzd2hashzd2_420;
BgL_lzd2hashzd2_420 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_38)(BgL_hashzd2funzd2_38, BgL_labelz00_39, BEOA); 
{ /* Llib/rsa.scm 240 */
 long BgL_hzd2lenzd2_421;
BgL_hzd2lenzd2_421 = 
STRING_LENGTH(
((obj_t)BgL_lzd2hashzd2_420)); 
{ /* Llib/rsa.scm 241 */
 long BgL_emzd2lenzd2_422;
BgL_emzd2lenzd2_422 = 
STRING_LENGTH(BgL_emz00_37); 
{ /* Llib/rsa.scm 242 */
 long BgL_dbzd2lenzd2_423;
BgL_dbzd2lenzd2_423 = 
(BgL_kz00_36-
(BgL_hzd2lenzd2_421+((long)1))); 
{ /* Llib/rsa.scm 243 */
 obj_t BgL_dummyzd2assertzd2_424;
if(
(BgL_emzd2lenzd2_422==
(((long)1)+
(BgL_hzd2lenzd2_421+BgL_dbzd2lenzd2_423))))
{ /* Llib/rsa.scm 244 */
BgL_dummyzd2assertzd2_424 = BFALSE; }  else 
{ /* Llib/rsa.scm 244 */
BgL_dummyzd2assertzd2_424 = 
BGl_errorz00zz__errorz00(BGl_string2435z00zz__cryptozd2rsazd2, BGl_string2436z00zz__cryptozd2rsazd2, BgL_emz00_37); } 
{ /* Llib/rsa.scm 247 */
 obj_t BgL_maskedzd2seedzd2_426;
BgL_maskedzd2seedzd2_426 = 
c_substring(BgL_emz00_37, ((long)1), 
(((long)1)+BgL_hzd2lenzd2_421)); 
{ /* Llib/rsa.scm 248 */
 obj_t BgL_maskedzd2dbzd2_427;
BgL_maskedzd2dbzd2_427 = 
c_substring(BgL_emz00_37, 
(((long)1)+BgL_hzd2lenzd2_421), BgL_emzd2lenzd2_422); 
{ /* Llib/rsa.scm 249 */
 obj_t BgL_seedzd2maskzd2_428;
BgL_seedzd2maskzd2_428 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_40)(BgL_maskzd2funzd2_40, BgL_maskedzd2dbzd2_427, 
BINT(BgL_hzd2lenzd2_421), BEOA); 
{ /* Llib/rsa.scm 250 */
 obj_t BgL_seedz00_429;
BgL_seedz00_429 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_maskedzd2seedzd2_426, BgL_seedzd2maskzd2_428); 
{ /* Llib/rsa.scm 251 */
 obj_t BgL_dbzd2maskzd2_430;
BgL_dbzd2maskzd2_430 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_40)(BgL_maskzd2funzd2_40, BgL_seedz00_429, 
BINT(BgL_dbzd2lenzd2_423), BEOA); 
{ /* Llib/rsa.scm 252 */
 obj_t BgL_dbz00_431;
BgL_dbz00_431 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_maskedzd2dbzd2_427, BgL_dbzd2maskzd2_430); 
{ /* Llib/rsa.scm 253 */

{ /* Llib/rsa.scm 256 */
 bool_t BgL_test2707z00_3702;
{ /* Llib/rsa.scm 256 */

BgL_test2707z00_3702 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BgL_lzd2hashzd2_420, BgL_dbz00_431, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2707z00_3702)
{ /* Llib/rsa.scm 256 */BFALSE; }  else 
{ /* Llib/rsa.scm 256 */
BGl_errorz00zz__errorz00(BGl_string2435z00zz__cryptozd2rsazd2, BGl_string2437z00zz__cryptozd2rsazd2, BgL_dbz00_431); } } 
{ 
 long BgL_iz00_446;
BgL_iz00_446 = BgL_hzd2lenzd2_421; 
BgL_zc3z04anonymousza31811ze3z87_447:
if(
(BgL_iz00_446>=BgL_dbzd2lenzd2_423))
{ /* Llib/rsa.scm 260 */
return 
BGl_errorz00zz__errorz00(BGl_string2435z00zz__cryptozd2rsazd2, BGl_string2438z00zz__cryptozd2rsazd2, BgL_dbz00_431);}  else 
{ /* Llib/rsa.scm 260 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_dbz00_431, BgL_iz00_446)))
{ 
 long BgL_iz00_3711;
BgL_iz00_3711 = 
(BgL_iz00_446+((long)1)); 
BgL_iz00_446 = BgL_iz00_3711; 
goto BgL_zc3z04anonymousza31811ze3z87_447;}  else 
{ /* Llib/rsa.scm 262 */
if(
(((unsigned char)1)==
STRING_REF(BgL_dbz00_431, BgL_iz00_446)))
{ /* Llib/rsa.scm 265 */
return 
c_substring(BgL_dbz00_431, 
(BgL_iz00_446+((long)1)), BgL_dbzd2lenzd2_423);}  else 
{ /* Llib/rsa.scm 265 */
return 
BGl_errorz00zz__errorz00(BGl_string2435z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_dbz00_431);} } } } } } } } } } } } } } } } } 

}



/* rsa-encrypt */
BGL_EXPORTED_DEF obj_t BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_a0z00_43, obj_t BgL_a1z00_44)
{
{ /* Llib/rsa.scm 275 */
return 
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_a0z00_43, BgL_a1z00_44);} 

}



/* &rsa-encrypt */
obj_t BGl_z62rsazd2encryptzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2609, obj_t BgL_a0z00_2610, obj_t BgL_a1z00_2611)
{
{ /* Llib/rsa.scm 275 */
{ /* Llib/rsa.scm 275 */
 obj_t BgL_auxz00_3728; BgL_rsazd2keyzd2_bglt BgL_auxz00_3720;
if(
BIGNUMP(BgL_a1z00_2611))
{ /* Llib/rsa.scm 275 */
BgL_auxz00_3728 = BgL_a1z00_2611
; }  else 
{ 
 obj_t BgL_auxz00_3731;
BgL_auxz00_3731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)10779)), BGl_string2440z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_a1z00_2611); 
FAILURE(BgL_auxz00_3731,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_a0z00_2610, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 275 */
BgL_auxz00_3720 = 
((BgL_rsazd2keyzd2_bglt)BgL_a0z00_2610)
; }  else 
{ 
 obj_t BgL_auxz00_3724;
BgL_auxz00_3724 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)10779)), BGl_string2440z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_a0z00_2610); 
FAILURE(BgL_auxz00_3724,BFALSE,BFALSE);} 
return 
BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_auxz00_3720, BgL_auxz00_3728);} } 

}



/* RSAEP */
BGL_EXPORTED_DEF obj_t BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_45, obj_t BgL_mz00_46)
{
{ /* Llib/rsa.scm 276 */
{ /* Llib/rsa.scm 277 */
 obj_t BgL_modulusz00_466;
{ /* Llib/rsa.scm 278 */
 bool_t BgL_test2713z00_3736;
{ /* Llib/rsa.scm 278 */
 obj_t BgL_classz00_1602;
BgL_classz00_1602 = BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 278 */
 BgL_objectz00_bglt BgL_arg1797z00_1604;
{ /* Llib/rsa.scm 278 */
 obj_t BgL_tmpz00_3737;
BgL_tmpz00_3737 = 
((obj_t)BgL_kz00_45); 
BgL_arg1797z00_1604 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3737); } 
{ /* Llib/rsa.scm 278 */
 bool_t BgL_arg1794z00_1607; bool_t BgL_arg1795z00_1608;
{ /* Llib/rsa.scm 278 */
 long BgL_idxz00_1611;
BgL_idxz00_1611 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1604); 
BgL_arg1794z00_1607 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1611+((long)2)))==BgL_classz00_1602); } 
{ /* Llib/rsa.scm 278 */
 bool_t BgL_res2224z00_1633;
{ /* Llib/rsa.scm 278 */
 obj_t BgL_oclassz00_1619;
{ /* Llib/rsa.scm 278 */
 long BgL_arg1804z00_1625;
{ /* Llib/rsa.scm 278 */
 long BgL_arg1805z00_1626;
BgL_arg1805z00_1626 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1604); 
BgL_arg1804z00_1625 = 
(BgL_arg1805z00_1626-OBJECT_TYPE); } 
BgL_oclassz00_1619 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1625); } 
{ /* Llib/rsa.scm 278 */
 bool_t BgL__ortest_1111z00_1620;
BgL__ortest_1111z00_1620 = 
(BgL_classz00_1602==BgL_oclassz00_1619); 
if(BgL__ortest_1111z00_1620)
{ /* Llib/rsa.scm 278 */
BgL_res2224z00_1633 = BgL__ortest_1111z00_1620; }  else 
{ /* Llib/rsa.scm 278 */
 long BgL_odepthz00_1621;
BgL_odepthz00_1621 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1619); 
if(
(((long)2)<BgL_odepthz00_1621))
{ /* Llib/rsa.scm 278 */
 obj_t BgL_arg1793z00_1623;
BgL_arg1793z00_1623 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1619, ((long)2)); 
BgL_res2224z00_1633 = 
(BgL_arg1793z00_1623==BgL_classz00_1602); }  else 
{ /* Llib/rsa.scm 278 */
BgL_res2224z00_1633 = ((bool_t)0); } } } } 
BgL_arg1795z00_1608 = BgL_res2224z00_1633; } 
BgL_test2713z00_3736 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1607, BgL_arg1795z00_1608); } } } 
if(BgL_test2713z00_3736)
{ /* Llib/rsa.scm 279 */
 obj_t BgL_val0_1222z00_472; obj_t BgL_val1_1223z00_473;
BgL_val0_1222z00_472 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_45))))->BgL_modulusz00); 
BgL_val1_1223z00_473 = 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_45)))->BgL_ez00); 
{ /* Llib/rsa.scm 279 */
 int BgL_tmpz00_3760;
BgL_tmpz00_3760 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3760); } 
{ /* Llib/rsa.scm 279 */
 int BgL_tmpz00_3763;
BgL_tmpz00_3763 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3763, BgL_val1_1223z00_473); } 
BgL_modulusz00_466 = BgL_val0_1222z00_472; }  else 
{ /* Llib/rsa.scm 280 */
 obj_t BgL_val0_1224z00_475; obj_t BgL_val1_1225z00_476;
BgL_val0_1224z00_475 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_45))->BgL_modulusz00); 
BgL_val1_1225z00_476 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_45))->BgL_exponentz00); 
{ /* Llib/rsa.scm 280 */
 int BgL_tmpz00_3768;
BgL_tmpz00_3768 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3768); } 
{ /* Llib/rsa.scm 280 */
 int BgL_tmpz00_3771;
BgL_tmpz00_3771 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3771, BgL_val1_1225z00_476); } 
BgL_modulusz00_466 = BgL_val0_1224z00_475; } } 
{ /* Llib/rsa.scm 283 */
 obj_t BgL_exponentz00_467;
{ /* Llib/rsa.scm 283 */
 obj_t BgL_tmpz00_1634;
{ /* Llib/rsa.scm 283 */
 int BgL_tmpz00_3774;
BgL_tmpz00_3774 = 
(int)(((long)1)); 
BgL_tmpz00_1634 = 
BGL_MVALUES_VAL(BgL_tmpz00_3774); } 
{ /* Llib/rsa.scm 283 */
 int BgL_tmpz00_3777;
BgL_tmpz00_3777 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3777, BUNSPEC); } 
BgL_exponentz00_467 = BgL_tmpz00_1634; } 
if(
(
(long)(
bgl_bignum_cmp(BgL_mz00_46, BgL_modulusz00_466))>=((long)0)))
{ /* Llib/rsa.scm 283 */
 obj_t BgL_arg1835z00_469;
BgL_arg1835z00_469 = 
MAKE_YOUNG_PAIR(BgL_mz00_46, BgL_modulusz00_466); 
BGl_errorz00zz__errorz00(BGl_string2441z00zz__cryptozd2rsazd2, BGl_string2442z00zz__cryptozd2rsazd2, BgL_arg1835z00_469); }  else 
{ /* Llib/rsa.scm 281 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_mz00_46, BgL_exponentz00_467, BgL_modulusz00_466);} } } 

}



/* &RSAEP */
obj_t BGl_z62RSAEPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2612, obj_t BgL_kz00_2613, obj_t BgL_mz00_2614)
{
{ /* Llib/rsa.scm 276 */
{ /* Llib/rsa.scm 277 */
 obj_t BgL_auxz00_3795; BgL_rsazd2keyzd2_bglt BgL_auxz00_3787;
if(
BIGNUMP(BgL_mz00_2614))
{ /* Llib/rsa.scm 277 */
BgL_auxz00_3795 = BgL_mz00_2614
; }  else 
{ 
 obj_t BgL_auxz00_3798;
BgL_auxz00_3798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)10854)), BGl_string2443z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_mz00_2614); 
FAILURE(BgL_auxz00_3798,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2613, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 277 */
BgL_auxz00_3787 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2613)
; }  else 
{ 
 obj_t BgL_auxz00_3791;
BgL_auxz00_3791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)10854)), BGl_string2443z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_kz00_2613); 
FAILURE(BgL_auxz00_3791,BFALSE,BFALSE);} 
return 
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_auxz00_3787, BgL_auxz00_3795);} } 

}



/* rsa-decrypt */
BGL_EXPORTED_DEF obj_t BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_a0z00_47, obj_t BgL_a1z00_48)
{
{ /* Llib/rsa.scm 289 */
return 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_a0z00_47, BgL_a1z00_48);} 

}



/* &rsa-decrypt */
obj_t BGl_z62rsazd2decryptzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2615, obj_t BgL_a0z00_2616, obj_t BgL_a1z00_2617)
{
{ /* Llib/rsa.scm 289 */
{ /* Llib/rsa.scm 289 */
 obj_t BgL_auxz00_3812; BgL_rsazd2keyzd2_bglt BgL_auxz00_3804;
if(
BIGNUMP(BgL_a1z00_2617))
{ /* Llib/rsa.scm 289 */
BgL_auxz00_3812 = BgL_a1z00_2617
; }  else 
{ 
 obj_t BgL_auxz00_3815;
BgL_auxz00_3815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11323)), BGl_string2444z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_a1z00_2617); 
FAILURE(BgL_auxz00_3815,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_a0z00_2616, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 289 */
BgL_auxz00_3804 = 
((BgL_rsazd2keyzd2_bglt)BgL_a0z00_2616)
; }  else 
{ 
 obj_t BgL_auxz00_3808;
BgL_auxz00_3808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11323)), BGl_string2444z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_a0z00_2616); 
FAILURE(BgL_auxz00_3808,BFALSE,BFALSE);} 
return 
BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_auxz00_3804, BgL_auxz00_3812);} } 

}



/* RSADP */
BGL_EXPORTED_DEF obj_t BGl_RSADPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_49, obj_t BgL_cz00_50)
{
{ /* Llib/rsa.scm 290 */
if(
(
(long)(
bgl_bignum_cmp(BgL_cz00_50, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_modulusz00)))>=((long)0)))
{ /* Llib/rsa.scm 294 */
 obj_t BgL_arg1839z00_480;
BgL_arg1839z00_480 = 
MAKE_YOUNG_PAIR(BgL_cz00_50, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_modulusz00)); 
BGl_errorz00zz__errorz00(BGl_string2441z00zz__cryptozd2rsazd2, BGl_string2445z00zz__cryptozd2rsazd2, BgL_arg1839z00_480); }  else 
{ /* Llib/rsa.scm 292 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_cz00_50, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_exponentz00), 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_modulusz00));} 

}



/* &RSADP */
obj_t BGl_z62RSADPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2618, obj_t BgL_kz00_2619, obj_t BgL_cz00_2620)
{
{ /* Llib/rsa.scm 290 */
{ /* Llib/rsa.scm 291 */
 obj_t BgL_auxz00_3839; BgL_rsazd2keyzd2_bglt BgL_auxz00_3831;
if(
BIGNUMP(BgL_cz00_2620))
{ /* Llib/rsa.scm 291 */
BgL_auxz00_3839 = BgL_cz00_2620
; }  else 
{ 
 obj_t BgL_auxz00_3842;
BgL_auxz00_3842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11398)), BGl_string2446z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_cz00_2620); 
FAILURE(BgL_auxz00_3842,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2619, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 291 */
BgL_auxz00_3831 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2619)
; }  else 
{ 
 obj_t BgL_auxz00_3835;
BgL_auxz00_3835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11398)), BGl_string2446z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_kz00_2619); 
FAILURE(BgL_auxz00_3835,BFALSE,BFALSE);} 
return 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_auxz00_3831, BgL_auxz00_3839);} } 

}



/* rsa-sign */
BGL_EXPORTED_DEF obj_t BGl_rsazd2signzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_a0z00_51, obj_t BgL_a1z00_52)
{
{ /* Llib/rsa.scm 300 */
return 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_a0z00_51, BgL_a1z00_52);} 

}



/* &rsa-sign */
obj_t BGl_z62rsazd2signzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2621, obj_t BgL_a0z00_2622, obj_t BgL_a1z00_2623)
{
{ /* Llib/rsa.scm 300 */
{ /* Llib/rsa.scm 300 */
 obj_t BgL_auxz00_3856; BgL_rsazd2keyzd2_bglt BgL_auxz00_3848;
if(
BIGNUMP(BgL_a1z00_2623))
{ /* Llib/rsa.scm 300 */
BgL_auxz00_3856 = BgL_a1z00_2623
; }  else 
{ 
 obj_t BgL_auxz00_3859;
BgL_auxz00_3859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11701)), BGl_string2447z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_a1z00_2623); 
FAILURE(BgL_auxz00_3859,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_a0z00_2622, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 300 */
BgL_auxz00_3848 = 
((BgL_rsazd2keyzd2_bglt)BgL_a0z00_2622)
; }  else 
{ 
 obj_t BgL_auxz00_3852;
BgL_auxz00_3852 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11701)), BGl_string2447z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_a0z00_2622); 
FAILURE(BgL_auxz00_3852,BFALSE,BFALSE);} 
return 
BGl_rsazd2signzd2zz__cryptozd2rsazd2(BgL_auxz00_3848, BgL_auxz00_3856);} } 

}



/* RSASP1 */
BGL_EXPORTED_DEF obj_t BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_53, obj_t BgL_mz00_54)
{
{ /* Llib/rsa.scm 301 */
if(
(
(long)(
bgl_bignum_cmp(BgL_mz00_54, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_modulusz00)))>=((long)0)))
{ /* Llib/rsa.scm 305 */
 obj_t BgL_arg1846z00_488;
BgL_arg1846z00_488 = 
MAKE_YOUNG_PAIR(BgL_mz00_54, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_modulusz00)); 
BGl_errorz00zz__errorz00(BGl_string2441z00zz__cryptozd2rsazd2, BGl_string2442z00zz__cryptozd2rsazd2, BgL_arg1846z00_488); }  else 
{ /* Llib/rsa.scm 303 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_mz00_54, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_exponentz00), 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_modulusz00));} 

}



/* &RSASP1 */
obj_t BGl_z62RSASP1z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2624, obj_t BgL_kz00_2625, obj_t BgL_mz00_2626)
{
{ /* Llib/rsa.scm 301 */
{ /* Llib/rsa.scm 302 */
 obj_t BgL_auxz00_3883; BgL_rsazd2keyzd2_bglt BgL_auxz00_3875;
if(
BIGNUMP(BgL_mz00_2626))
{ /* Llib/rsa.scm 302 */
BgL_auxz00_3883 = BgL_mz00_2626
; }  else 
{ 
 obj_t BgL_auxz00_3886;
BgL_auxz00_3886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11775)), BGl_string2448z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_mz00_2626); 
FAILURE(BgL_auxz00_3886,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2625, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 302 */
BgL_auxz00_3875 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2625)
; }  else 
{ 
 obj_t BgL_auxz00_3879;
BgL_auxz00_3879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)11775)), BGl_string2448z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_kz00_2625); 
FAILURE(BgL_auxz00_3879,BFALSE,BFALSE);} 
return 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_auxz00_3875, BgL_auxz00_3883);} } 

}



/* RSAVP1 */
BGL_EXPORTED_DEF obj_t BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_55, obj_t BgL_sz00_56)
{
{ /* Llib/rsa.scm 312 */
{ /* Llib/rsa.scm 313 */
 obj_t BgL_modulusz00_493;
{ /* Llib/rsa.scm 314 */
 bool_t BgL_test2729z00_3891;
{ /* Llib/rsa.scm 314 */
 obj_t BgL_classz00_1647;
BgL_classz00_1647 = BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 314 */
 BgL_objectz00_bglt BgL_arg1797z00_1649;
{ /* Llib/rsa.scm 314 */
 obj_t BgL_tmpz00_3892;
BgL_tmpz00_3892 = 
((obj_t)BgL_kz00_55); 
BgL_arg1797z00_1649 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3892); } 
{ /* Llib/rsa.scm 314 */
 bool_t BgL_arg1794z00_1652; bool_t BgL_arg1795z00_1653;
{ /* Llib/rsa.scm 314 */
 long BgL_idxz00_1656;
BgL_idxz00_1656 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1649); 
BgL_arg1794z00_1652 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1656+((long)2)))==BgL_classz00_1647); } 
{ /* Llib/rsa.scm 314 */
 bool_t BgL_res2225z00_1678;
{ /* Llib/rsa.scm 314 */
 obj_t BgL_oclassz00_1664;
{ /* Llib/rsa.scm 314 */
 long BgL_arg1804z00_1670;
{ /* Llib/rsa.scm 314 */
 long BgL_arg1805z00_1671;
BgL_arg1805z00_1671 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1649); 
BgL_arg1804z00_1670 = 
(BgL_arg1805z00_1671-OBJECT_TYPE); } 
BgL_oclassz00_1664 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1670); } 
{ /* Llib/rsa.scm 314 */
 bool_t BgL__ortest_1111z00_1665;
BgL__ortest_1111z00_1665 = 
(BgL_classz00_1647==BgL_oclassz00_1664); 
if(BgL__ortest_1111z00_1665)
{ /* Llib/rsa.scm 314 */
BgL_res2225z00_1678 = BgL__ortest_1111z00_1665; }  else 
{ /* Llib/rsa.scm 314 */
 long BgL_odepthz00_1666;
BgL_odepthz00_1666 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1664); 
if(
(((long)2)<BgL_odepthz00_1666))
{ /* Llib/rsa.scm 314 */
 obj_t BgL_arg1793z00_1668;
BgL_arg1793z00_1668 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1664, ((long)2)); 
BgL_res2225z00_1678 = 
(BgL_arg1793z00_1668==BgL_classz00_1647); }  else 
{ /* Llib/rsa.scm 314 */
BgL_res2225z00_1678 = ((bool_t)0); } } } } 
BgL_arg1795z00_1653 = BgL_res2225z00_1678; } 
BgL_test2729z00_3891 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1652, BgL_arg1795z00_1653); } } } 
if(BgL_test2729z00_3891)
{ /* Llib/rsa.scm 315 */
 obj_t BgL_val0_1226z00_499; obj_t BgL_val1_1227z00_500;
BgL_val0_1226z00_499 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_55))))->BgL_modulusz00); 
BgL_val1_1227z00_500 = 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_55)))->BgL_ez00); 
{ /* Llib/rsa.scm 315 */
 int BgL_tmpz00_3915;
BgL_tmpz00_3915 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3915); } 
{ /* Llib/rsa.scm 315 */
 int BgL_tmpz00_3918;
BgL_tmpz00_3918 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3918, BgL_val1_1227z00_500); } 
BgL_modulusz00_493 = BgL_val0_1226z00_499; }  else 
{ /* Llib/rsa.scm 316 */
 obj_t BgL_val0_1228z00_502; obj_t BgL_val1_1229z00_503;
BgL_val0_1228z00_502 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_55))->BgL_modulusz00); 
BgL_val1_1229z00_503 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_55))->BgL_exponentz00); 
{ /* Llib/rsa.scm 316 */
 int BgL_tmpz00_3923;
BgL_tmpz00_3923 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3923); } 
{ /* Llib/rsa.scm 316 */
 int BgL_tmpz00_3926;
BgL_tmpz00_3926 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3926, BgL_val1_1229z00_503); } 
BgL_modulusz00_493 = BgL_val0_1228z00_502; } } 
{ /* Llib/rsa.scm 319 */
 obj_t BgL_exponentz00_494;
{ /* Llib/rsa.scm 319 */
 obj_t BgL_tmpz00_1679;
{ /* Llib/rsa.scm 319 */
 int BgL_tmpz00_3929;
BgL_tmpz00_3929 = 
(int)(((long)1)); 
BgL_tmpz00_1679 = 
BGL_MVALUES_VAL(BgL_tmpz00_3929); } 
{ /* Llib/rsa.scm 319 */
 int BgL_tmpz00_3932;
BgL_tmpz00_3932 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3932, BUNSPEC); } 
BgL_exponentz00_494 = BgL_tmpz00_1679; } 
if(
(
(long)(
bgl_bignum_cmp(BgL_sz00_56, BgL_modulusz00_493))>=((long)0)))
{ /* Llib/rsa.scm 319 */
 obj_t BgL_arg1852z00_496;
BgL_arg1852z00_496 = 
MAKE_YOUNG_PAIR(BgL_sz00_56, BgL_modulusz00_493); 
BGl_errorz00zz__errorz00(BGl_string2441z00zz__cryptozd2rsazd2, BGl_string2449z00zz__cryptozd2rsazd2, BgL_arg1852z00_496); }  else 
{ /* Llib/rsa.scm 317 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_sz00_56, BgL_exponentz00_494, BgL_modulusz00_493);} } } 

}



/* &RSAVP1 */
obj_t BGl_z62RSAVP1z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2627, obj_t BgL_kz00_2628, obj_t BgL_sz00_2629)
{
{ /* Llib/rsa.scm 312 */
{ /* Llib/rsa.scm 313 */
 obj_t BgL_auxz00_3950; BgL_rsazd2keyzd2_bglt BgL_auxz00_3942;
if(
BIGNUMP(BgL_sz00_2629))
{ /* Llib/rsa.scm 313 */
BgL_auxz00_3950 = BgL_sz00_2629
; }  else 
{ 
 obj_t BgL_auxz00_3953;
BgL_auxz00_3953 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12195)), BGl_string2450z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_sz00_2629); 
FAILURE(BgL_auxz00_3953,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2628, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 313 */
BgL_auxz00_3942 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2628)
; }  else 
{ 
 obj_t BgL_auxz00_3946;
BgL_auxz00_3946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12195)), BGl_string2450z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_kz00_2628); 
FAILURE(BgL_auxz00_3946,BFALSE,BFALSE);} 
return 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_auxz00_3942, BgL_auxz00_3950);} } 

}



/* rsa-verify */
BGL_EXPORTED_DEF bool_t BGl_rsazd2verifyzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_57, obj_t BgL_mz00_58, obj_t BgL_sz00_59)
{
{ /* Llib/rsa.scm 321 */
{ /* Llib/rsa.scm 322 */
 obj_t BgL_arg1854z00_1684;
BgL_arg1854z00_1684 = 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_kz00_57, BgL_sz00_59); 
return 
(
(long)(
bgl_bignum_cmp(BgL_arg1854z00_1684, BgL_mz00_58))==((long)0));} } 

}



/* &rsa-verify */
obj_t BGl_z62rsazd2verifyzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2630, obj_t BgL_kz00_2631, obj_t BgL_mz00_2632, obj_t BgL_sz00_2633)
{
{ /* Llib/rsa.scm 321 */
{ /* Llib/rsa.scm 322 */
 bool_t BgL_tmpz00_3962;
{ /* Llib/rsa.scm 322 */
 obj_t BgL_auxz00_3978; obj_t BgL_auxz00_3971; BgL_rsazd2keyzd2_bglt BgL_auxz00_3963;
if(
BIGNUMP(BgL_sz00_2633))
{ /* Llib/rsa.scm 322 */
BgL_auxz00_3978 = BgL_sz00_2633
; }  else 
{ 
 obj_t BgL_auxz00_3981;
BgL_auxz00_3981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12615)), BGl_string2451z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_sz00_2633); 
FAILURE(BgL_auxz00_3981,BFALSE,BFALSE);} 
if(
BIGNUMP(BgL_mz00_2632))
{ /* Llib/rsa.scm 322 */
BgL_auxz00_3971 = BgL_mz00_2632
; }  else 
{ 
 obj_t BgL_auxz00_3974;
BgL_auxz00_3974 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12615)), BGl_string2451z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_mz00_2632); 
FAILURE(BgL_auxz00_3974,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2631, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 322 */
BgL_auxz00_3963 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2631)
; }  else 
{ 
 obj_t BgL_auxz00_3967;
BgL_auxz00_3967 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12615)), BGl_string2451z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_kz00_2631); 
FAILURE(BgL_auxz00_3967,BFALSE,BFALSE);} 
BgL_tmpz00_3962 = 
BGl_rsazd2verifyzd2zz__cryptozd2rsazd2(BgL_auxz00_3963, BgL_auxz00_3971, BgL_auxz00_3978); } 
return 
BBOOL(BgL_tmpz00_3962);} } 

}



/* PKCS1-v1.5-pad */
BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(obj_t BgL_mz00_60, long BgL_kz00_61, long BgL_modez00_62)
{
{ /* Llib/rsa.scm 324 */
{ /* Llib/rsa.scm 327 */
 long BgL_mzd2lenzd2_505;
BgL_mzd2lenzd2_505 = 
STRING_LENGTH(BgL_mz00_60); 
{ /* Llib/rsa.scm 327 */
 long BgL_pszb2padzd2lenz60_506;
BgL_pszb2padzd2lenz60_506 = 
(BgL_kz00_61-BgL_mzd2lenzd2_505); 
{ /* Llib/rsa.scm 328 */
 obj_t BgL_pszb2padzb2_507;
switch( BgL_modez00_62) { case ((long)0) : 

BgL_pszb2padzb2_507 = 
make_string(BgL_pszb2padzd2lenz60_506, ((unsigned char)'\000')); break;case ((long)1) : 

BgL_pszb2padzb2_507 = 
make_string(BgL_pszb2padzd2lenz60_506, ((unsigned char)255)); break;case ((long)2) : 

BgL_pszb2padzb2_507 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(BgL_pszb2padzd2lenz60_506, BFALSE); break;
default: 
BgL_pszb2padzb2_507 = 
BGl_errorz00zz__errorz00(BGl_string2452z00zz__cryptozd2rsazd2, BGl_string2453z00zz__cryptozd2rsazd2, 
BINT(BgL_modez00_62)); } 
{ /* Llib/rsa.scm 329 */
 obj_t BgL_emz00_508;
BgL_emz00_508 = 
string_append(BgL_pszb2padzb2_507, BgL_mz00_60); 
{ /* Llib/rsa.scm 334 */

if(
(BgL_modez00_62==((long)2)))
{ 
 long BgL_iz00_511;
BgL_iz00_511 = ((long)2); 
BgL_zc3z04anonymousza31856ze3z87_512:
if(
(BgL_iz00_511<
(BgL_pszb2padzd2lenz60_506-((long)1))))
{ /* Llib/rsa.scm 338 */
if(
(
(
STRING_REF(BgL_emz00_508, BgL_iz00_511))==((long)0)))
{ /* Llib/rsa.scm 340 */
 unsigned char BgL_arg1863z00_518;
{ /* Llib/rsa.scm 340 */
 long BgL_arg1864z00_519;
{ /* Llib/rsa.scm 340 */
 int BgL_arg1347z00_1704;
BgL_arg1347z00_1704 = 
rand(); 
BgL_arg1864z00_519 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1347z00_1704), ((long)256)); } 
BgL_arg1863z00_518 = 
(BgL_arg1864z00_519); } 
STRING_SET(BgL_emz00_508, BgL_iz00_511, BgL_arg1863z00_518); }  else 
{ /* Llib/rsa.scm 339 */BFALSE; } 
{ 
 long BgL_iz00_4010;
BgL_iz00_4010 = 
(BgL_iz00_511+((long)1)); 
BgL_iz00_511 = BgL_iz00_4010; 
goto BgL_zc3z04anonymousza31856ze3z87_512;} }  else 
{ /* Llib/rsa.scm 338 */((bool_t)0); } }  else 
{ /* Llib/rsa.scm 336 */((bool_t)0); } 
STRING_SET(BgL_emz00_508, ((long)0), ((unsigned char)'\000')); 
{ /* Llib/rsa.scm 343 */
 unsigned char BgL_tmpz00_4013;
BgL_tmpz00_4013 = 
(BgL_modez00_62); 
STRING_SET(BgL_emz00_508, ((long)1), BgL_tmpz00_4013); } 
{ /* Llib/rsa.scm 344 */
 long BgL_tmpz00_4016;
BgL_tmpz00_4016 = 
(BgL_pszb2padzd2lenz60_506-((long)1)); 
STRING_SET(BgL_emz00_508, BgL_tmpz00_4016, ((unsigned char)'\000')); } 
return BgL_emz00_508;} } } } } } 

}



/* &PKCS1-v1.5-pad */
obj_t BGl_z62PKCS1zd2v1ze25zd2padz80zz__cryptozd2rsazd2(obj_t BgL_envz00_2634, obj_t BgL_mz00_2635, obj_t BgL_kz00_2636, obj_t BgL_modez00_2637)
{
{ /* Llib/rsa.scm 324 */
{ /* Llib/rsa.scm 327 */
 long BgL_auxz00_4035; long BgL_auxz00_4026; obj_t BgL_auxz00_4019;
{ /* Llib/rsa.scm 327 */
 obj_t BgL_tmpz00_4036;
if(
INTEGERP(BgL_modez00_2637))
{ /* Llib/rsa.scm 327 */
BgL_tmpz00_4036 = BgL_modez00_2637
; }  else 
{ 
 obj_t BgL_auxz00_4039;
BgL_auxz00_4039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12760)), BGl_string2454z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_modez00_2637); 
FAILURE(BgL_auxz00_4039,BFALSE,BFALSE);} 
BgL_auxz00_4035 = 
(long)CINT(BgL_tmpz00_4036); } 
{ /* Llib/rsa.scm 327 */
 obj_t BgL_tmpz00_4027;
if(
INTEGERP(BgL_kz00_2636))
{ /* Llib/rsa.scm 327 */
BgL_tmpz00_4027 = BgL_kz00_2636
; }  else 
{ 
 obj_t BgL_auxz00_4030;
BgL_auxz00_4030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12760)), BGl_string2454z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_kz00_2636); 
FAILURE(BgL_auxz00_4030,BFALSE,BFALSE);} 
BgL_auxz00_4026 = 
(long)CINT(BgL_tmpz00_4027); } 
if(
STRINGP(BgL_mz00_2635))
{ /* Llib/rsa.scm 327 */
BgL_auxz00_4019 = BgL_mz00_2635
; }  else 
{ 
 obj_t BgL_auxz00_4022;
BgL_auxz00_4022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)12760)), BGl_string2454z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_mz00_2635); 
FAILURE(BgL_auxz00_4022,BFALSE,BFALSE);} 
return 
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_auxz00_4019, BgL_auxz00_4026, BgL_auxz00_4035);} } 

}



/* PKCS1-v1.5-unpad */
BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(obj_t BgL_emz00_63, long BgL_modez00_64)
{
{ /* Llib/rsa.scm 347 */
{ 

{ /* Llib/rsa.scm 351 */
 long BgL_kz00_532;
BgL_kz00_532 = 
STRING_LENGTH(BgL_emz00_63); 
{ /* Llib/rsa.scm 352 */
 bool_t BgL_test2744z00_4046;
if(
(BgL_modez00_64<((long)0)))
{ /* Llib/rsa.scm 352 */
BgL_test2744z00_4046 = ((bool_t)1)
; }  else 
{ /* Llib/rsa.scm 352 */
if(
(BgL_modez00_64>((long)2)))
{ /* Llib/rsa.scm 352 */
BgL_test2744z00_4046 = ((bool_t)1)
; }  else 
{ /* Llib/rsa.scm 352 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, ((long)0))))
{ /* Llib/rsa.scm 353 */
if(
(
(BgL_modez00_64)==
STRING_REF(BgL_emz00_63, ((long)1))))
{ /* Llib/rsa.scm 354 */
BgL_test2744z00_4046 = ((bool_t)0)
; }  else 
{ /* Llib/rsa.scm 354 */
BgL_test2744z00_4046 = ((bool_t)1)
; } }  else 
{ /* Llib/rsa.scm 353 */
BgL_test2744z00_4046 = ((bool_t)1)
; } } } 
if(BgL_test2744z00_4046)
{ /* Llib/rsa.scm 352 */
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE); }  else 
{ /* Llib/rsa.scm 352 */BFALSE; } } 
switch( BgL_modez00_64) { case ((long)0) : 

{ 
 long BgL_iz00_555;
BgL_iz00_555 = ((long)2); 
BgL_zc3z04anonymousza31888ze3z87_556:
if(
(BgL_iz00_555>=BgL_kz00_532))
{ /* Llib/rsa.scm 361 */
return 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 361 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_555)))
{ 
 long BgL_iz00_4065;
BgL_iz00_4065 = 
(BgL_iz00_555+((long)1)); 
BgL_iz00_555 = BgL_iz00_4065; 
goto BgL_zc3z04anonymousza31888ze3z87_556;}  else 
{ /* Llib/rsa.scm 362 */
return 
c_substring(BgL_emz00_63, BgL_iz00_555, BgL_kz00_532);} } } break;case ((long)1) : 

{ 
 long BgL_iz00_564;
BgL_iz00_564 = ((long)2); 
BgL_zc3z04anonymousza31894ze3z87_565:
if(
(BgL_iz00_564>=BgL_kz00_532))
{ /* Llib/rsa.scm 368 */
return 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 368 */
if(
(((unsigned char)255)==
STRING_REF(BgL_emz00_63, BgL_iz00_564)))
{ 
 long BgL_iz00_4074;
BgL_iz00_4074 = 
(BgL_iz00_564+((long)1)); 
BgL_iz00_564 = BgL_iz00_4074; 
goto BgL_zc3z04anonymousza31894ze3z87_565;}  else 
{ /* Llib/rsa.scm 369 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_564)))
{ /* Llib/rsa.scm 370 */
return 
c_substring(BgL_emz00_63, 
(BgL_iz00_564+((long)1)), BgL_kz00_532);}  else 
{ /* Llib/rsa.scm 370 */
return 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE);} } } } break;case ((long)2) : 

{ 
 long BgL_iz00_577;
BgL_iz00_577 = ((long)2); 
BgL_zc3z04anonymousza31904ze3z87_578:
if(
(BgL_iz00_577>=BgL_kz00_532))
{ /* Llib/rsa.scm 375 */
return 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 376 */
 bool_t BgL_test2755z00_4085;
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_577)))
{ /* Llib/rsa.scm 376 */
BgL_test2755z00_4085 = 
(BgL_iz00_577<((long)10))
; }  else 
{ /* Llib/rsa.scm 376 */
BgL_test2755z00_4085 = ((bool_t)0)
; } 
if(BgL_test2755z00_4085)
{ /* Llib/rsa.scm 376 */
return 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 376 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_577)))
{ /* Llib/rsa.scm 379 */
return 
c_substring(BgL_emz00_63, 
(BgL_iz00_577+((long)1)), BgL_kz00_532);}  else 
{ 
 long BgL_iz00_4096;
BgL_iz00_4096 = 
(BgL_iz00_577+((long)1)); 
BgL_iz00_577 = BgL_iz00_4096; 
goto BgL_zc3z04anonymousza31904ze3z87_578;} } } } break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE);} } } } 

}



/* &PKCS1-v1.5-unpad */
obj_t BGl_z62PKCS1zd2v1ze25zd2unpadz80zz__cryptozd2rsazd2(obj_t BgL_envz00_2638, obj_t BgL_emz00_2639, obj_t BgL_modez00_2640)
{
{ /* Llib/rsa.scm 347 */
{ /* Llib/rsa.scm 349 */
 long BgL_auxz00_4107; obj_t BgL_auxz00_4100;
{ /* Llib/rsa.scm 349 */
 obj_t BgL_tmpz00_4108;
if(
INTEGERP(BgL_modez00_2640))
{ /* Llib/rsa.scm 349 */
BgL_tmpz00_4108 = BgL_modez00_2640
; }  else 
{ 
 obj_t BgL_auxz00_4111;
BgL_auxz00_4111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)13584)), BGl_string2457z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_modez00_2640); 
FAILURE(BgL_auxz00_4111,BFALSE,BFALSE);} 
BgL_auxz00_4107 = 
(long)CINT(BgL_tmpz00_4108); } 
if(
STRINGP(BgL_emz00_2639))
{ /* Llib/rsa.scm 349 */
BgL_auxz00_4100 = BgL_emz00_2639
; }  else 
{ 
 obj_t BgL_auxz00_4103;
BgL_auxz00_4103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)13584)), BGl_string2457z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_emz00_2639); 
FAILURE(BgL_auxz00_4103,BFALSE,BFALSE);} 
return 
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_auxz00_4100, BgL_auxz00_4107);} } 

}



/* RSAES-PKCS1-v1.5-encrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_65, obj_t BgL_mz00_66)
{
{ /* Llib/rsa.scm 384 */
{ /* Llib/rsa.scm 385 */
 long BgL_kz00_594; long BgL_mzd2lenzd2_595;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1771;
BgL_arg1333z00_1771 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_65))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2226z00_1799;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1776; long BgL_rz00_1777;
BgL_qz00_1776 = 
(BgL_arg1333z00_1771/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_1781; long BgL_n2z00_1782;
BgL_n1z00_1781 = BgL_arg1333z00_1771; 
BgL_n2z00_1782 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2760z00_4120;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_1784;
BgL_arg1353z00_1784 = 
(((BgL_n1z00_1781) | (BgL_n2z00_1782)) & -2147483648); 
BgL_test2760z00_4120 = 
(BgL_arg1353z00_1784==((long)0)); } 
if(BgL_test2760z00_4120)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_1785;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_1786; int32_t BgL_arg1352z00_1787;
BgL_arg1351z00_1786 = 
(int32_t)(BgL_n1z00_1781); 
BgL_arg1352z00_1787 = 
(int32_t)(BgL_n2z00_1782); 
BgL_arg1350z00_1785 = 
(BgL_arg1351z00_1786%BgL_arg1352z00_1787); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_1792;
BgL_arg1447z00_1792 = 
(long)(BgL_arg1350z00_1785); 
BgL_rz00_1777 = 
(long)(BgL_arg1447z00_1792); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_1777 = 
(BgL_n1z00_1781%BgL_n2z00_1782); } } } 
if(
(BgL_rz00_1777==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2226z00_1799 = BgL_qz00_1776; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1777>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2226z00_1799 = 
(BgL_qz00_1776+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2226z00_1799 = 
(BgL_qz00_1776-((long)1)); } } } 
BgL_kz00_594 = BgL_res2226z00_1799; } } 
BgL_mzd2lenzd2_595 = 
STRING_LENGTH(BgL_mz00_66); 
if(
(BgL_mzd2lenzd2_595>
(BgL_kz00_594-((long)11))))
{ /* Llib/rsa.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2458z00zz__cryptozd2rsazd2, BGl_string2459z00zz__cryptozd2rsazd2, BgL_mz00_66); }  else 
{ /* Llib/rsa.scm 387 */BFALSE; } 
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_keyz00_65, 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_mz00_66, BgL_kz00_594, ((long)2)))), BgL_kz00_594);} } 

}



/* &RSAES-PKCS1-v1.5-encrypt */
obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2encryptz52zz__cryptozd2rsazd2(obj_t BgL_envz00_2641, obj_t BgL_keyz00_2642, obj_t BgL_mz00_2643)
{
{ /* Llib/rsa.scm 384 */
{ /* Llib/rsa.scm 385 */
 obj_t BgL_auxz00_4152; BgL_rsazd2keyzd2_bglt BgL_auxz00_4144;
if(
STRINGP(BgL_mz00_2643))
{ /* Llib/rsa.scm 385 */
BgL_auxz00_4152 = BgL_mz00_2643
; }  else 
{ 
 obj_t BgL_auxz00_4155;
BgL_auxz00_4155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)14726)), BGl_string2460z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_mz00_2643); 
FAILURE(BgL_auxz00_4155,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2642, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 385 */
BgL_auxz00_4144 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2642)
; }  else 
{ 
 obj_t BgL_auxz00_4148;
BgL_auxz00_4148 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)14726)), BGl_string2460z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2642); 
FAILURE(BgL_auxz00_4148,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptz30zz__cryptozd2rsazd2(BgL_auxz00_4144, BgL_auxz00_4152);} } 

}



/* RSAES-PKCS1-v1.5-decrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_67, obj_t BgL_cz00_68)
{
{ /* Llib/rsa.scm 391 */
{ /* Llib/rsa.scm 392 */
 obj_t BgL_env1109z00_603;
BgL_env1109z00_603 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_cell1104z00_604;
BgL_cell1104z00_604 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_val1108z00_605;
BgL_val1108z00_605 = 
BGl_zc3z04exitza31926ze3ze70z60zz__cryptozd2rsazd2(BgL_cz00_68, BgL_keyz00_67, BgL_cell1104z00_604, BgL_env1109z00_603); 
if(
(BgL_val1108z00_605==BgL_cell1104z00_604))
{ /* Llib/rsa.scm 392 */
{ /* Llib/rsa.scm 392 */
 int BgL_tmpz00_4165;
BgL_tmpz00_4165 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_4165); } 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1925z00_607;
BgL_arg1925z00_607 = 
CELL_REF(
((obj_t)BgL_val1108z00_605)); 
return 
BGl_errorz00zz__errorz00(BGl_string2461z00zz__cryptozd2rsazd2, BGl_string2462z00zz__cryptozd2rsazd2, BFALSE);} }  else 
{ /* Llib/rsa.scm 392 */
return BgL_val1108z00_605;} } } } } 

}



/* <@exit:1926>~0 */
obj_t BGl_zc3z04exitza31926ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_cz00_2779, BgL_rsazd2keyzd2_bglt BgL_keyz00_2778, obj_t BgL_cell1104z00_2777, obj_t BgL_env1109z00_2776)
{
{ /* Llib/rsa.scm 392 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1113z00_609;
if( SET_EXIT(BgL_an_exit1113z00_609 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1113z00_609 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1109z00_2776, BgL_an_exit1113z00_609, ((long)1)); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_escape1105z00_610;
BgL_escape1105z00_610 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1109z00_2776); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_res1116z00_611;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_ohs1101z00_612;
BgL_ohs1101z00_612 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1109z00_2776); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_hds1102z00_613;
BgL_hds1102z00_613 = 
MAKE_STACK_PAIR(BgL_escape1105z00_610, BgL_cell1104z00_2777); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1109z00_2776, BgL_hds1102z00_613); BUNSPEC; 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_exitd1110z00_614;
BgL_exitd1110z00_614 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1109z00_2776); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_tmp1112z00_615;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1929z00_623;
BgL_arg1929z00_623 = 
BGL_EXITD_PROTECT(BgL_exitd1110z00_614); 
BgL_tmp1112z00_615 = 
MAKE_YOUNG_PAIR(BgL_ohs1101z00_612, BgL_arg1929z00_623); } 
{ /* Llib/rsa.scm 392 */

BGL_EXITD_PROTECT_SET(BgL_exitd1110z00_614, BgL_tmp1112z00_615); BUNSPEC; 
{ /* Llib/rsa.scm 395 */
 obj_t BgL_tmp1111z00_616;
{ /* Llib/rsa.scm 395 */
 long BgL_kz00_617; long BgL_czd2lenzd2_618;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1808;
BgL_arg1333z00_1808 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2778))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2227z00_1836;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1813; long BgL_rz00_1814;
BgL_qz00_1813 = 
(BgL_arg1333z00_1808/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_1818; long BgL_n2z00_1819;
BgL_n1z00_1818 = BgL_arg1333z00_1808; 
BgL_n2z00_1819 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2767z00_4185;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_1821;
BgL_arg1353z00_1821 = 
(((BgL_n1z00_1818) | (BgL_n2z00_1819)) & -2147483648); 
BgL_test2767z00_4185 = 
(BgL_arg1353z00_1821==((long)0)); } 
if(BgL_test2767z00_4185)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_1822;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_1823; int32_t BgL_arg1352z00_1824;
BgL_arg1351z00_1823 = 
(int32_t)(BgL_n1z00_1818); 
BgL_arg1352z00_1824 = 
(int32_t)(BgL_n2z00_1819); 
BgL_arg1350z00_1822 = 
(BgL_arg1351z00_1823%BgL_arg1352z00_1824); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_1829;
BgL_arg1447z00_1829 = 
(long)(BgL_arg1350z00_1822); 
BgL_rz00_1814 = 
(long)(BgL_arg1447z00_1829); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_1814 = 
(BgL_n1z00_1818%BgL_n2z00_1819); } } } 
if(
(BgL_rz00_1814==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2227z00_1836 = BgL_qz00_1813; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1814>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2227z00_1836 = 
(BgL_qz00_1813+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2227z00_1836 = 
(BgL_qz00_1813-((long)1)); } } } 
BgL_kz00_617 = BgL_res2227z00_1836; } } 
BgL_czd2lenzd2_618 = 
STRING_LENGTH(BgL_cz00_2779); 
if(
(BgL_kz00_617==BgL_czd2lenzd2_618))
{ /* Llib/rsa.scm 397 */BFALSE; }  else 
{ /* Llib/rsa.scm 397 */
BGl_errorz00zz__errorz00(BGl_string2463z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BFALSE); } 
{ /* Llib/rsa.scm 399 */
 obj_t BgL_mz00_620;
BgL_mz00_620 = 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_keyz00_2778, 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_cz00_2779)); 
{ /* Llib/rsa.scm 399 */
 obj_t BgL_emz00_621;
BgL_emz00_621 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_620, BgL_kz00_617); 
{ /* Llib/rsa.scm 400 */

BgL_tmp1111z00_616 = 
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_emz00_621, ((long)2)); } } } } 
{ /* Llib/rsa.scm 392 */
 bool_t BgL_test2771z00_4208;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1817z00_1844;
BgL_arg1817z00_1844 = 
BGL_EXITD_PROTECT(BgL_exitd1110z00_614); 
BgL_test2771z00_4208 = 
PAIRP(BgL_arg1817z00_1844); } 
if(BgL_test2771z00_4208)
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1815z00_1845;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1816z00_1846;
BgL_arg1816z00_1846 = 
BGL_EXITD_PROTECT(BgL_exitd1110z00_614); 
BgL_arg1815z00_1845 = 
CDR(
((obj_t)BgL_arg1816z00_1846)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1110z00_614, BgL_arg1815z00_1845); BUNSPEC; }  else 
{ /* Llib/rsa.scm 392 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1109z00_2776, BgL_ohs1101z00_612); BUNSPEC; 
BgL_res1116z00_611 = BgL_tmp1111z00_616; } } } } } } 
POP_ENV_EXIT(BgL_env1109z00_2776); 
return BgL_res1116z00_611;} } 
}} 

}



/* &RSAES-PKCS1-v1.5-decrypt */
obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2decryptz52zz__cryptozd2rsazd2(obj_t BgL_envz00_2644, obj_t BgL_keyz00_2645, obj_t BgL_cz00_2646)
{
{ /* Llib/rsa.scm 391 */
{ /* Llib/rsa.scm 392 */
 obj_t BgL_auxz00_4225; BgL_rsazd2keyzd2_bglt BgL_auxz00_4217;
if(
STRINGP(BgL_cz00_2646))
{ /* Llib/rsa.scm 392 */
BgL_auxz00_4225 = BgL_cz00_2646
; }  else 
{ 
 obj_t BgL_auxz00_4228;
BgL_auxz00_4228 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15000)), BGl_string2464z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_cz00_2646); 
FAILURE(BgL_auxz00_4228,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2645, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 392 */
BgL_auxz00_4217 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2645)
; }  else 
{ 
 obj_t BgL_auxz00_4221;
BgL_auxz00_4221 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15000)), BGl_string2464z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2645); 
FAILURE(BgL_auxz00_4221,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptz30zz__cryptozd2rsazd2(BgL_auxz00_4217, BgL_auxz00_4225);} } 

}



/* _RSAES-OAEP-encrypt */
obj_t BGl__RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(obj_t BgL_env1277z00_73, obj_t BgL_opt1276z00_72)
{
{ /* Llib/rsa.scm 403 */
{ 
 obj_t BgL_k1z00_628; long BgL_iz00_629;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_keyz00_631; obj_t BgL_mz00_632;
BgL_keyz00_631 = 
VECTOR_REF(BgL_opt1276z00_72,((long)0)); 
BgL_mz00_632 = 
VECTOR_REF(BgL_opt1276z00_72,((long)1)); 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_labelz00_633;
BgL_labelz00_633 = BGl_string2433z00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 403 */

{ 
 long BgL_iz00_634;
BgL_iz00_634 = ((long)2); 
BgL_check1280z00_635:
if(
(BgL_iz00_634==
VECTOR_LENGTH(BgL_opt1276z00_72)))
{ /* Llib/rsa.scm 403 */BNIL; }  else 
{ /* Llib/rsa.scm 403 */
 bool_t BgL_test2775z00_4238;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_arg1936z00_641;
BgL_arg1936z00_641 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_iz00_634); 
BgL_test2775z00_4238 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1936z00_641, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test2775z00_4238)
{ 
 long BgL_iz00_4243;
BgL_iz00_4243 = 
(BgL_iz00_634+((long)2)); 
BgL_iz00_634 = BgL_iz00_4243; 
goto BgL_check1280z00_635;}  else 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_arg1935z00_640;
BgL_arg1935z00_640 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_iz00_634); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string2416z00zz__cryptozd2rsazd2, BgL_arg1935z00_640); } } } 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_index1282z00_642;
BgL_k1z00_628 = 
CNST_TABLE_REF(((long)13)); 
BgL_iz00_629 = ((long)2); 
BgL_search1279z00_630:
if(
(BgL_iz00_629==
VECTOR_LENGTH(BgL_opt1276z00_72)))
{ /* Llib/rsa.scm 403 */
BgL_index1282z00_642 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 403 */
if(
(BgL_iz00_629==
(
VECTOR_LENGTH(BgL_opt1276z00_72)-((long)1))))
{ /* Llib/rsa.scm 403 */
BgL_index1282z00_642 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string2430z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1276z00_72))); }  else 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_vz00_651;
BgL_vz00_651 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_iz00_629); 
if(
(BgL_vz00_651==BgL_k1z00_628))
{ /* Llib/rsa.scm 403 */
BgL_index1282z00_642 = 
BINT(
(BgL_iz00_629+((long)1))); }  else 
{ 
 long BgL_iz00_4265;
BgL_iz00_4265 = 
(BgL_iz00_629+((long)2)); 
BgL_iz00_629 = BgL_iz00_4265; 
goto BgL_search1279z00_630;} } } 
{ /* Llib/rsa.scm 403 */
 bool_t BgL_test2779z00_4268;
{ /* Llib/rsa.scm 403 */
 long BgL_n1z00_1864;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_tmpz00_4269;
if(
INTEGERP(BgL_index1282z00_642))
{ /* Llib/rsa.scm 403 */
BgL_tmpz00_4269 = BgL_index1282z00_642
; }  else 
{ 
 obj_t BgL_auxz00_4272;
BgL_auxz00_4272 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1282z00_642); 
FAILURE(BgL_auxz00_4272,BFALSE,BFALSE);} 
BgL_n1z00_1864 = 
(long)CINT(BgL_tmpz00_4269); } 
BgL_test2779z00_4268 = 
(BgL_n1z00_1864>=((long)0)); } 
if(BgL_test2779z00_4268)
{ /* Llib/rsa.scm 403 */
 obj_t BgL_aux2349z00_2918;
{ 
 long BgL_auxz00_4278;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_tmpz00_4279;
if(
INTEGERP(BgL_index1282z00_642))
{ /* Llib/rsa.scm 403 */
BgL_tmpz00_4279 = BgL_index1282z00_642
; }  else 
{ 
 obj_t BgL_auxz00_4282;
BgL_auxz00_4282 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1282z00_642); 
FAILURE(BgL_auxz00_4282,BFALSE,BFALSE);} 
BgL_auxz00_4278 = 
(long)CINT(BgL_tmpz00_4279); } 
BgL_aux2349z00_2918 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_auxz00_4278); } 
if(
STRINGP(BgL_aux2349z00_2918))
{ /* Llib/rsa.scm 403 */
BgL_labelz00_633 = BgL_aux2349z00_2918; }  else 
{ 
 obj_t BgL_auxz00_4290;
BgL_auxz00_4290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_aux2349z00_2918); 
FAILURE(BgL_auxz00_4290,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 403 */BFALSE; } } } 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_arg1938z00_644; obj_t BgL_arg1939z00_645;
BgL_arg1938z00_644 = 
VECTOR_REF(BgL_opt1276z00_72,((long)0)); 
BgL_arg1939z00_645 = 
VECTOR_REF(BgL_opt1276z00_72,((long)1)); 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_labelz00_646;
BgL_labelz00_646 = BgL_labelz00_633; 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_auxz00_4304; BgL_rsazd2keyzd2_bglt BgL_auxz00_4296;
if(
STRINGP(BgL_arg1939z00_645))
{ /* Llib/rsa.scm 403 */
BgL_auxz00_4304 = BgL_arg1939z00_645
; }  else 
{ 
 obj_t BgL_auxz00_4307;
BgL_auxz00_4307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_arg1939z00_645); 
FAILURE(BgL_auxz00_4307,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1938z00_644, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 403 */
BgL_auxz00_4296 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg1938z00_644)
; }  else 
{ 
 obj_t BgL_auxz00_4300;
BgL_auxz00_4300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_arg1938z00_644); 
FAILURE(BgL_auxz00_4300,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(BgL_auxz00_4296, BgL_auxz00_4304, BgL_labelz00_646);} } } } } } } } 

}



/* RSAES-OAEP-encrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_69, obj_t BgL_mz00_70, obj_t BgL_labelz00_71)
{
{ /* Llib/rsa.scm 403 */
{ /* Llib/rsa.scm 410 */
 long BgL_kz00_657; long BgL_mzd2lenzd2_658;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1866;
BgL_arg1333z00_1866 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_69))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2228z00_1894;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1871; long BgL_rz00_1872;
BgL_qz00_1871 = 
(BgL_arg1333z00_1866/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_1876; long BgL_n2z00_1877;
BgL_n1z00_1876 = BgL_arg1333z00_1866; 
BgL_n2z00_1877 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2785z00_4315;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_1879;
BgL_arg1353z00_1879 = 
(((BgL_n1z00_1876) | (BgL_n2z00_1877)) & -2147483648); 
BgL_test2785z00_4315 = 
(BgL_arg1353z00_1879==((long)0)); } 
if(BgL_test2785z00_4315)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_1880;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_1881; int32_t BgL_arg1352z00_1882;
BgL_arg1351z00_1881 = 
(int32_t)(BgL_n1z00_1876); 
BgL_arg1352z00_1882 = 
(int32_t)(BgL_n2z00_1877); 
BgL_arg1350z00_1880 = 
(BgL_arg1351z00_1881%BgL_arg1352z00_1882); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_1887;
BgL_arg1447z00_1887 = 
(long)(BgL_arg1350z00_1880); 
BgL_rz00_1872 = 
(long)(BgL_arg1447z00_1887); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_1872 = 
(BgL_n1z00_1876%BgL_n2z00_1877); } } } 
if(
(BgL_rz00_1872==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2228z00_1894 = BgL_qz00_1871; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1872>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2228z00_1894 = 
(BgL_qz00_1871+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2228z00_1894 = 
(BgL_qz00_1871-((long)1)); } } } 
BgL_kz00_657 = BgL_res2228z00_1894; } } 
BgL_mzd2lenzd2_658 = 
STRING_LENGTH(BgL_mz00_70); 
if(
(BgL_mzd2lenzd2_658>
(BgL_kz00_657-
(
(((long)2)*((long)20))+((long)2)))))
{ /* Llib/rsa.scm 414 */
BGl_errorz00zz__errorz00(BGl_string2458z00zz__cryptozd2rsazd2, BGl_string2459z00zz__cryptozd2rsazd2, BgL_mz00_70); }  else 
{ /* Llib/rsa.scm 414 */BFALSE; } 
{ /* Llib/rsa.scm 417 */
 obj_t BgL_emz00_666;
BgL_emz00_666 = 
BGl_EMEzd2OAEPzd2encodez00zz__cryptozd2rsazd2(BgL_kz00_657, BgL_mz00_70, BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2, BgL_labelz00_71, BGl_MGF1zd2envzd2zz__cryptozd2rsazd2); 
{ /* Llib/rsa.scm 417 */
 obj_t BgL_mzd2nzd2_667;
BgL_mzd2nzd2_667 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_666); 
{ /* Llib/rsa.scm 418 */
 obj_t BgL_cz00_668;
BgL_cz00_668 = 
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_keyz00_69, BgL_mzd2nzd2_667); 
{ /* Llib/rsa.scm 419 */

return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_cz00_668, BgL_kz00_657);} } } } } } 

}



/* _RSAES-OAEP-decrypt */
obj_t BGl__RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(obj_t BgL_env1284z00_78, obj_t BgL_opt1283z00_77)
{
{ /* Llib/rsa.scm 422 */
{ 
 obj_t BgL_k1z00_673; long BgL_iz00_674;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_keyz00_676; obj_t BgL_cypherz00_677;
BgL_keyz00_676 = 
VECTOR_REF(BgL_opt1283z00_77,((long)0)); 
BgL_cypherz00_677 = 
VECTOR_REF(BgL_opt1283z00_77,((long)1)); 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_labelz00_678;
BgL_labelz00_678 = BGl_string2433z00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 422 */

{ 
 long BgL_iz00_679;
BgL_iz00_679 = ((long)2); 
BgL_check1287z00_680:
if(
(BgL_iz00_679==
VECTOR_LENGTH(BgL_opt1283z00_77)))
{ /* Llib/rsa.scm 422 */BNIL; }  else 
{ /* Llib/rsa.scm 422 */
 bool_t BgL_test2790z00_4346;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_arg1959z00_686;
BgL_arg1959z00_686 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_iz00_679); 
BgL_test2790z00_4346 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1959z00_686, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test2790z00_4346)
{ 
 long BgL_iz00_4351;
BgL_iz00_4351 = 
(BgL_iz00_679+((long)2)); 
BgL_iz00_679 = BgL_iz00_4351; 
goto BgL_check1287z00_680;}  else 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_arg1958z00_685;
BgL_arg1958z00_685 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_iz00_679); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string2416z00zz__cryptozd2rsazd2, BgL_arg1958z00_685); } } } 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_index1289z00_687;
BgL_k1z00_673 = 
CNST_TABLE_REF(((long)13)); 
BgL_iz00_674 = ((long)2); 
BgL_search1286z00_675:
if(
(BgL_iz00_674==
VECTOR_LENGTH(BgL_opt1283z00_77)))
{ /* Llib/rsa.scm 422 */
BgL_index1289z00_687 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 422 */
if(
(BgL_iz00_674==
(
VECTOR_LENGTH(BgL_opt1283z00_77)-((long)1))))
{ /* Llib/rsa.scm 422 */
BgL_index1289z00_687 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string2430z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1283z00_77))); }  else 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_vz00_696;
BgL_vz00_696 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_iz00_674); 
if(
(BgL_vz00_696==BgL_k1z00_673))
{ /* Llib/rsa.scm 422 */
BgL_index1289z00_687 = 
BINT(
(BgL_iz00_674+((long)1))); }  else 
{ 
 long BgL_iz00_4373;
BgL_iz00_4373 = 
(BgL_iz00_674+((long)2)); 
BgL_iz00_674 = BgL_iz00_4373; 
goto BgL_search1286z00_675;} } } 
{ /* Llib/rsa.scm 422 */
 bool_t BgL_test2794z00_4376;
{ /* Llib/rsa.scm 422 */
 long BgL_n1z00_1920;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_tmpz00_4377;
if(
INTEGERP(BgL_index1289z00_687))
{ /* Llib/rsa.scm 422 */
BgL_tmpz00_4377 = BgL_index1289z00_687
; }  else 
{ 
 obj_t BgL_auxz00_4380;
BgL_auxz00_4380 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2466z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1289z00_687); 
FAILURE(BgL_auxz00_4380,BFALSE,BFALSE);} 
BgL_n1z00_1920 = 
(long)CINT(BgL_tmpz00_4377); } 
BgL_test2794z00_4376 = 
(BgL_n1z00_1920>=((long)0)); } 
if(BgL_test2794z00_4376)
{ /* Llib/rsa.scm 422 */
 obj_t BgL_aux2359z00_2930;
{ 
 long BgL_auxz00_4386;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_tmpz00_4387;
if(
INTEGERP(BgL_index1289z00_687))
{ /* Llib/rsa.scm 422 */
BgL_tmpz00_4387 = BgL_index1289z00_687
; }  else 
{ 
 obj_t BgL_auxz00_4390;
BgL_auxz00_4390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2466z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1289z00_687); 
FAILURE(BgL_auxz00_4390,BFALSE,BFALSE);} 
BgL_auxz00_4386 = 
(long)CINT(BgL_tmpz00_4387); } 
BgL_aux2359z00_2930 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_auxz00_4386); } 
if(
STRINGP(BgL_aux2359z00_2930))
{ /* Llib/rsa.scm 422 */
BgL_labelz00_678 = BgL_aux2359z00_2930; }  else 
{ 
 obj_t BgL_auxz00_4398;
BgL_auxz00_4398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2466z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_aux2359z00_2930); 
FAILURE(BgL_auxz00_4398,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 422 */BFALSE; } } } 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_arg1961z00_689; obj_t BgL_arg1962z00_690;
BgL_arg1961z00_689 = 
VECTOR_REF(BgL_opt1283z00_77,((long)0)); 
BgL_arg1962z00_690 = 
VECTOR_REF(BgL_opt1283z00_77,((long)1)); 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_labelz00_691;
BgL_labelz00_691 = BgL_labelz00_678; 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_auxz00_4412; BgL_rsazd2keyzd2_bglt BgL_auxz00_4404;
if(
STRINGP(BgL_arg1962z00_690))
{ /* Llib/rsa.scm 422 */
BgL_auxz00_4412 = BgL_arg1962z00_690
; }  else 
{ 
 obj_t BgL_auxz00_4415;
BgL_auxz00_4415 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2466z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_arg1962z00_690); 
FAILURE(BgL_auxz00_4415,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1961z00_689, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 422 */
BgL_auxz00_4404 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg1961z00_689)
; }  else 
{ 
 obj_t BgL_auxz00_4408;
BgL_auxz00_4408 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2466z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_arg1961z00_689); 
FAILURE(BgL_auxz00_4408,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(BgL_auxz00_4404, BgL_auxz00_4412, BgL_labelz00_691);} } } } } } } } 

}



/* RSAES-OAEP-decrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_74, obj_t BgL_cypherz00_75, obj_t BgL_labelz00_76)
{
{ /* Llib/rsa.scm 422 */
{ /* Llib/rsa.scm 429 */
 obj_t BgL_env1128z00_703;
BgL_env1128z00_703 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_cell1123z00_704;
BgL_cell1123z00_704 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_val1127z00_705;
BgL_val1127z00_705 = 
BGl_zc3z04exitza31972ze3ze70z60zz__cryptozd2rsazd2(BgL_cypherz00_75, BgL_keyz00_74, BgL_cell1123z00_704, BgL_env1128z00_703); 
if(
(BgL_val1127z00_705==BgL_cell1123z00_704))
{ /* Llib/rsa.scm 429 */
{ /* Llib/rsa.scm 429 */
 int BgL_tmpz00_4425;
BgL_tmpz00_4425 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_4425); } 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1971z00_707;
BgL_arg1971z00_707 = 
CELL_REF(
((obj_t)BgL_val1127z00_705)); 
return 
BGl_errorz00zz__errorz00(BGl_string2467z00zz__cryptozd2rsazd2, BGl_string2462z00zz__cryptozd2rsazd2, BFALSE);} }  else 
{ /* Llib/rsa.scm 429 */
return BgL_val1127z00_705;} } } } } 

}



/* <@exit:1972>~0 */
obj_t BGl_zc3z04exitza31972ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_cypherz00_2775, BgL_rsazd2keyzd2_bglt BgL_keyz00_2774, obj_t BgL_cell1123z00_2773, obj_t BgL_env1128z00_2772)
{
{ /* Llib/rsa.scm 429 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1132z00_709;
if( SET_EXIT(BgL_an_exit1132z00_709 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1132z00_709 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1128z00_2772, BgL_an_exit1132z00_709, ((long)1)); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_escape1124z00_710;
BgL_escape1124z00_710 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1128z00_2772); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_res1135z00_711;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_ohs1120z00_712;
BgL_ohs1120z00_712 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1128z00_2772); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_hds1121z00_713;
BgL_hds1121z00_713 = 
MAKE_STACK_PAIR(BgL_escape1124z00_710, BgL_cell1123z00_2773); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1128z00_2772, BgL_hds1121z00_713); BUNSPEC; 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_exitd1129z00_714;
BgL_exitd1129z00_714 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1128z00_2772); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_tmp1131z00_715;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1976z00_727;
BgL_arg1976z00_727 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_714); 
BgL_tmp1131z00_715 = 
MAKE_YOUNG_PAIR(BgL_ohs1120z00_712, BgL_arg1976z00_727); } 
{ /* Llib/rsa.scm 429 */

BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_714, BgL_tmp1131z00_715); BUNSPEC; 
{ /* Llib/rsa.scm 432 */
 obj_t BgL_tmp1130z00_716;
{ /* Llib/rsa.scm 432 */
 long BgL_kz00_717;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1922;
BgL_arg1333z00_1922 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2774))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2229z00_1950;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1927; long BgL_rz00_1928;
BgL_qz00_1927 = 
(BgL_arg1333z00_1922/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_1932; long BgL_n2z00_1933;
BgL_n1z00_1932 = BgL_arg1333z00_1922; 
BgL_n2z00_1933 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2801z00_4445;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_1935;
BgL_arg1353z00_1935 = 
(((BgL_n1z00_1932) | (BgL_n2z00_1933)) & -2147483648); 
BgL_test2801z00_4445 = 
(BgL_arg1353z00_1935==((long)0)); } 
if(BgL_test2801z00_4445)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_1936;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_1937; int32_t BgL_arg1352z00_1938;
BgL_arg1351z00_1937 = 
(int32_t)(BgL_n1z00_1932); 
BgL_arg1352z00_1938 = 
(int32_t)(BgL_n2z00_1933); 
BgL_arg1350z00_1936 = 
(BgL_arg1351z00_1937%BgL_arg1352z00_1938); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_1943;
BgL_arg1447z00_1943 = 
(long)(BgL_arg1350z00_1936); 
BgL_rz00_1928 = 
(long)(BgL_arg1447z00_1943); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_1928 = 
(BgL_n1z00_1932%BgL_n2z00_1933); } } } 
if(
(BgL_rz00_1928==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2229z00_1950 = BgL_qz00_1927; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1928>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2229z00_1950 = 
(BgL_qz00_1927+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2229z00_1950 = 
(BgL_qz00_1927-((long)1)); } } } 
BgL_kz00_717 = BgL_res2229z00_1950; } } 
if(
(BgL_kz00_717==
STRING_LENGTH(BgL_cypherz00_2775)))
{ /* Llib/rsa.scm 434 */BFALSE; }  else 
{ /* Llib/rsa.scm 434 */
BGl_errorz00zz__errorz00(BGl_string2463z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BgL_cypherz00_2775); } 
{ /* Llib/rsa.scm 436 */
 obj_t BgL_cz00_721;
BgL_cz00_721 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_cypherz00_2775); 
{ /* Llib/rsa.scm 436 */
 obj_t BgL_mz00_722;
BgL_mz00_722 = 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_keyz00_2774, BgL_cz00_721); 
{ /* Llib/rsa.scm 437 */
 obj_t BgL_emz00_723;
BgL_emz00_723 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_722, BgL_kz00_717); 
{ /* Llib/rsa.scm 438 */

BgL_tmp1130z00_716 = 
BGl_EMEzd2OAEPzd2decodez00zz__cryptozd2rsazd2(BgL_kz00_717, BgL_emz00_723, BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2, BGl_string2433z00zz__cryptozd2rsazd2, BGl_MGF1zd2envzd2zz__cryptozd2rsazd2); } } } } } 
{ /* Llib/rsa.scm 429 */
 bool_t BgL_test2805z00_4468;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1817z00_1958;
BgL_arg1817z00_1958 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_714); 
BgL_test2805z00_4468 = 
PAIRP(BgL_arg1817z00_1958); } 
if(BgL_test2805z00_4468)
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1815z00_1959;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1816z00_1960;
BgL_arg1816z00_1960 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_714); 
BgL_arg1815z00_1959 = 
CDR(
((obj_t)BgL_arg1816z00_1960)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_714, BgL_arg1815z00_1959); BUNSPEC; }  else 
{ /* Llib/rsa.scm 429 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1128z00_2772, BgL_ohs1120z00_712); BUNSPEC; 
BgL_res1135z00_711 = BgL_tmp1130z00_716; } } } } } } 
POP_ENV_EXIT(BgL_env1128z00_2772); 
return BgL_res1135z00_711;} } 
}} 

}



/* RSASSA-PSS-sign */
BGL_EXPORTED_DEF obj_t BGl_RSASSAzd2PSSzd2signz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_79, obj_t BgL_msgz00_80)
{
{ /* Llib/rsa.scm 441 */
{ /* Llib/rsa.scm 442 */
 long BgL_modzd2bitszd2_731;
BgL_modzd2bitszd2_731 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_79))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 442 */
 long BgL_kz00_732;
{ /* Llib/rsa.scm 443 */
 long BgL_res2230z00_1990;
{ /* Llib/rsa.scm 443 */
 long BgL_qz00_1967; long BgL_rz00_1968;
BgL_qz00_1967 = 
(BgL_modzd2bitszd2_731/((long)8)); 
{ /* Llib/rsa.scm 443 */
 long BgL_n1z00_1972; long BgL_n2z00_1973;
BgL_n1z00_1972 = BgL_modzd2bitszd2_731; 
BgL_n2z00_1973 = ((long)8); 
{ /* Llib/rsa.scm 443 */
 bool_t BgL_test2806z00_4480;
{ /* Llib/rsa.scm 443 */
 long BgL_arg1353z00_1975;
BgL_arg1353z00_1975 = 
(((BgL_n1z00_1972) | (BgL_n2z00_1973)) & -2147483648); 
BgL_test2806z00_4480 = 
(BgL_arg1353z00_1975==((long)0)); } 
if(BgL_test2806z00_4480)
{ /* Llib/rsa.scm 443 */
 int32_t BgL_arg1350z00_1976;
{ /* Llib/rsa.scm 443 */
 int32_t BgL_arg1351z00_1977; int32_t BgL_arg1352z00_1978;
BgL_arg1351z00_1977 = 
(int32_t)(BgL_n1z00_1972); 
BgL_arg1352z00_1978 = 
(int32_t)(BgL_n2z00_1973); 
BgL_arg1350z00_1976 = 
(BgL_arg1351z00_1977%BgL_arg1352z00_1978); } 
{ /* Llib/rsa.scm 443 */
 long BgL_arg1447z00_1983;
BgL_arg1447z00_1983 = 
(long)(BgL_arg1350z00_1976); 
BgL_rz00_1968 = 
(long)(BgL_arg1447z00_1983); } }  else 
{ /* Llib/rsa.scm 443 */
BgL_rz00_1968 = 
(BgL_n1z00_1972%BgL_n2z00_1973); } } } 
if(
(BgL_rz00_1968==((long)0)))
{ /* Llib/rsa.scm 443 */
BgL_res2230z00_1990 = BgL_qz00_1967; }  else 
{ /* Llib/rsa.scm 443 */
if(
(BgL_rz00_1968>((long)0)))
{ /* Llib/rsa.scm 443 */
BgL_res2230z00_1990 = 
(BgL_qz00_1967+((long)1)); }  else 
{ /* Llib/rsa.scm 443 */
BgL_res2230z00_1990 = 
(BgL_qz00_1967-((long)1)); } } } 
BgL_kz00_732 = BgL_res2230z00_1990; } 
{ /* Llib/rsa.scm 443 */
 obj_t BgL_emz00_733;
BgL_emz00_733 = 
BGl_EMSAzd2PSSzd2encodez00zz__cryptozd2rsazd2(BgL_msgz00_80, 
(BgL_modzd2bitszd2_731-((long)1)), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2, BGl_MGF1zd2envzd2zz__cryptozd2rsazd2, ((long)0)); 
{ /* Llib/rsa.scm 444 */
 obj_t BgL_mz00_734;
BgL_mz00_734 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_733); 
{ /* Llib/rsa.scm 445 */
 obj_t BgL_sz00_735;
BgL_sz00_735 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_79, BgL_mz00_734); 
{ /* Llib/rsa.scm 446 */

return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_sz00_735, BgL_kz00_732);} } } } } } } 

}



/* &RSASSA-PSS-sign */
obj_t BGl_z62RSASSAzd2PSSzd2signz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2647, obj_t BgL_keyz00_2648, obj_t BgL_msgz00_2649)
{
{ /* Llib/rsa.scm 441 */
{ /* Llib/rsa.scm 442 */
 obj_t BgL_auxz00_4508; BgL_rsazd2keyzd2_bglt BgL_auxz00_4500;
if(
STRINGP(BgL_msgz00_2649))
{ /* Llib/rsa.scm 442 */
BgL_auxz00_4508 = BgL_msgz00_2649
; }  else 
{ 
 obj_t BgL_auxz00_4511;
BgL_auxz00_4511 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16818)), BGl_string2468z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_msgz00_2649); 
FAILURE(BgL_auxz00_4511,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2648, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 442 */
BgL_auxz00_4500 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2648)
; }  else 
{ 
 obj_t BgL_auxz00_4504;
BgL_auxz00_4504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)16818)), BGl_string2468z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2648); 
FAILURE(BgL_auxz00_4504,BFALSE,BFALSE);} 
return 
BGl_RSASSAzd2PSSzd2signz00zz__cryptozd2rsazd2(BgL_auxz00_4500, BgL_auxz00_4508);} } 

}



/* RSASSA-PSS-verify */
BGL_EXPORTED_DEF bool_t BGl_RSASSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_81, obj_t BgL_msgz00_82, obj_t BgL_sigz00_83)
{
{ /* Llib/rsa.scm 449 */
{ /* Llib/rsa.scm 450 */
 obj_t BgL_env1145z00_741;
BgL_env1145z00_741 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_cell1140z00_742;
BgL_cell1140z00_742 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_val1144z00_743;
BgL_val1144z00_743 = 
BGl_zc3z04exitza31981ze3ze70z60zz__cryptozd2rsazd2(BgL_msgz00_82, BgL_sigz00_83, BgL_keyz00_81, BgL_cell1140z00_742, BgL_env1145z00_741); 
if(
(BgL_val1144z00_743==BgL_cell1140z00_742))
{ /* Llib/rsa.scm 450 */
{ /* Llib/rsa.scm 450 */
 int BgL_tmpz00_4521;
BgL_tmpz00_4521 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_4521); } 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1980z00_745;
BgL_arg1980z00_745 = 
CELL_REF(
((obj_t)BgL_val1144z00_743)); 
return ((bool_t)0);} }  else 
{ /* Llib/rsa.scm 450 */
return 
CBOOL(BgL_val1144z00_743);} } } } } 

}



/* <@exit:1981>~0 */
obj_t BGl_zc3z04exitza31981ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_msgz00_2771, obj_t BgL_sigz00_2770, BgL_rsazd2keyzd2_bglt BgL_keyz00_2769, obj_t BgL_cell1140z00_2768, obj_t BgL_env1145z00_2767)
{
{ /* Llib/rsa.scm 450 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1150z00_747;
if( SET_EXIT(BgL_an_exit1150z00_747 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1150z00_747 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1145z00_2767, BgL_an_exit1150z00_747, ((long)1)); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_escape1141z00_748;
BgL_escape1141z00_748 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1145z00_2767); 
{ /* Llib/rsa.scm 450 */
 bool_t BgL_res1153z00_749;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_ohs1137z00_750;
BgL_ohs1137z00_750 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1145z00_2767); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_hds1138z00_751;
BgL_hds1138z00_751 = 
MAKE_STACK_PAIR(BgL_escape1141z00_748, BgL_cell1140z00_2768); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1145z00_2767, BgL_hds1138z00_751); BUNSPEC; 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_exitd1146z00_752;
BgL_exitd1146z00_752 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1145z00_2767); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_tmp1148z00_753;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1985z00_768;
BgL_arg1985z00_768 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_752); 
BgL_tmp1148z00_753 = 
MAKE_YOUNG_PAIR(BgL_ohs1137z00_750, BgL_arg1985z00_768); } 
{ /* Llib/rsa.scm 450 */

BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_752, BgL_tmp1148z00_753); BUNSPEC; 
{ /* Llib/rsa.scm 453 */
 bool_t BgL_tmp1147z00_754;
{ /* Llib/rsa.scm 453 */
 long BgL_modzd2bitszd2_755;
BgL_modzd2bitszd2_755 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2769))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 453 */
 long BgL_kz00_756;
{ /* Llib/rsa.scm 454 */
 long BgL_res2231z00_2022;
{ /* Llib/rsa.scm 454 */
 long BgL_qz00_1999; long BgL_rz00_2000;
BgL_qz00_1999 = 
(BgL_modzd2bitszd2_755/((long)8)); 
{ /* Llib/rsa.scm 454 */
 long BgL_n1z00_2004; long BgL_n2z00_2005;
BgL_n1z00_2004 = BgL_modzd2bitszd2_755; 
BgL_n2z00_2005 = ((long)8); 
{ /* Llib/rsa.scm 454 */
 bool_t BgL_test2812z00_4541;
{ /* Llib/rsa.scm 454 */
 long BgL_arg1353z00_2007;
BgL_arg1353z00_2007 = 
(((BgL_n1z00_2004) | (BgL_n2z00_2005)) & -2147483648); 
BgL_test2812z00_4541 = 
(BgL_arg1353z00_2007==((long)0)); } 
if(BgL_test2812z00_4541)
{ /* Llib/rsa.scm 454 */
 int32_t BgL_arg1350z00_2008;
{ /* Llib/rsa.scm 454 */
 int32_t BgL_arg1351z00_2009; int32_t BgL_arg1352z00_2010;
BgL_arg1351z00_2009 = 
(int32_t)(BgL_n1z00_2004); 
BgL_arg1352z00_2010 = 
(int32_t)(BgL_n2z00_2005); 
BgL_arg1350z00_2008 = 
(BgL_arg1351z00_2009%BgL_arg1352z00_2010); } 
{ /* Llib/rsa.scm 454 */
 long BgL_arg1447z00_2015;
BgL_arg1447z00_2015 = 
(long)(BgL_arg1350z00_2008); 
BgL_rz00_2000 = 
(long)(BgL_arg1447z00_2015); } }  else 
{ /* Llib/rsa.scm 454 */
BgL_rz00_2000 = 
(BgL_n1z00_2004%BgL_n2z00_2005); } } } 
if(
(BgL_rz00_2000==((long)0)))
{ /* Llib/rsa.scm 454 */
BgL_res2231z00_2022 = BgL_qz00_1999; }  else 
{ /* Llib/rsa.scm 454 */
if(
(BgL_rz00_2000>((long)0)))
{ /* Llib/rsa.scm 454 */
BgL_res2231z00_2022 = 
(BgL_qz00_1999+((long)1)); }  else 
{ /* Llib/rsa.scm 454 */
BgL_res2231z00_2022 = 
(BgL_qz00_1999-((long)1)); } } } 
BgL_kz00_756 = BgL_res2231z00_2022; } 
{ /* Llib/rsa.scm 454 */

if(
(BgL_kz00_756==
STRING_LENGTH(BgL_sigz00_2770)))
{ /* Llib/rsa.scm 456 */
 obj_t BgL_sz00_758;
BgL_sz00_758 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_sigz00_2770); 
{ /* Llib/rsa.scm 456 */
 obj_t BgL_mz00_759;
BgL_mz00_759 = 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_keyz00_2769, BgL_sz00_758); 
{ /* Llib/rsa.scm 457 */
 long BgL_emzd2lenzd2_760;
{ /* Llib/rsa.scm 458 */
 long BgL_res2232z00_2052;
{ /* Llib/rsa.scm 458 */
 long BgL_xz00_2028;
BgL_xz00_2028 = 
(BgL_modzd2bitszd2_755-((long)1)); 
{ /* Llib/rsa.scm 458 */
 long BgL_qz00_2029; long BgL_rz00_2030;
BgL_qz00_2029 = 
(BgL_xz00_2028/((long)8)); 
{ /* Llib/rsa.scm 458 */
 long BgL_n1z00_2034; long BgL_n2z00_2035;
BgL_n1z00_2034 = BgL_xz00_2028; 
BgL_n2z00_2035 = ((long)8); 
{ /* Llib/rsa.scm 458 */
 bool_t BgL_test2816z00_4563;
{ /* Llib/rsa.scm 458 */
 long BgL_arg1353z00_2037;
BgL_arg1353z00_2037 = 
(((BgL_n1z00_2034) | (BgL_n2z00_2035)) & -2147483648); 
BgL_test2816z00_4563 = 
(BgL_arg1353z00_2037==((long)0)); } 
if(BgL_test2816z00_4563)
{ /* Llib/rsa.scm 458 */
 int32_t BgL_arg1350z00_2038;
{ /* Llib/rsa.scm 458 */
 int32_t BgL_arg1351z00_2039; int32_t BgL_arg1352z00_2040;
BgL_arg1351z00_2039 = 
(int32_t)(BgL_n1z00_2034); 
BgL_arg1352z00_2040 = 
(int32_t)(BgL_n2z00_2035); 
BgL_arg1350z00_2038 = 
(BgL_arg1351z00_2039%BgL_arg1352z00_2040); } 
{ /* Llib/rsa.scm 458 */
 long BgL_arg1447z00_2045;
BgL_arg1447z00_2045 = 
(long)(BgL_arg1350z00_2038); 
BgL_rz00_2030 = 
(long)(BgL_arg1447z00_2045); } }  else 
{ /* Llib/rsa.scm 458 */
BgL_rz00_2030 = 
(BgL_n1z00_2034%BgL_n2z00_2035); } } } 
if(
(BgL_rz00_2030==((long)0)))
{ /* Llib/rsa.scm 458 */
BgL_res2232z00_2052 = BgL_qz00_2029; }  else 
{ /* Llib/rsa.scm 458 */
if(
(BgL_rz00_2030>((long)0)))
{ /* Llib/rsa.scm 458 */
BgL_res2232z00_2052 = 
(BgL_qz00_2029+((long)1)); }  else 
{ /* Llib/rsa.scm 458 */
BgL_res2232z00_2052 = 
(BgL_qz00_2029-((long)1)); } } } } 
BgL_emzd2lenzd2_760 = BgL_res2232z00_2052; } 
{ /* Llib/rsa.scm 458 */
 obj_t BgL_emz00_761;
BgL_emz00_761 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_759, BgL_emzd2lenzd2_760); 
{ /* Llib/rsa.scm 459 */

{ /* Llib/rsa.scm 460 */
 long BgL_emzd2bitszd2_3019;
BgL_emzd2bitszd2_3019 = 
(BgL_modzd2bitszd2_755-((long)1)); 
BgL_tmp1147z00_754 = 
CBOOL(
BGl_zc3z04exitza32114ze3ze70z60zz__cryptozd2rsazd2(BGl_MGF1zd2envzd2zz__cryptozd2rsazd2, BgL_emzd2bitszd2_3019, ((long)0), BgL_emz00_761, BgL_msgz00_2771, BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2)); } } } } } }  else 
{ /* Llib/rsa.scm 455 */
BgL_tmp1147z00_754 = ((bool_t)0); } } } } 
{ /* Llib/rsa.scm 450 */
 bool_t BgL_test2819z00_4582;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1817z00_2057;
BgL_arg1817z00_2057 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_752); 
BgL_test2819z00_4582 = 
PAIRP(BgL_arg1817z00_2057); } 
if(BgL_test2819z00_4582)
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1815z00_2058;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1816z00_2059;
BgL_arg1816z00_2059 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_752); 
BgL_arg1815z00_2058 = 
CDR(
((obj_t)BgL_arg1816z00_2059)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_752, BgL_arg1815z00_2058); BUNSPEC; }  else 
{ /* Llib/rsa.scm 450 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1145z00_2767, BgL_ohs1137z00_750); BUNSPEC; 
BgL_res1153z00_749 = BgL_tmp1147z00_754; } } } } } } 
POP_ENV_EXIT(BgL_env1145z00_2767); 
return 
BBOOL(BgL_res1153z00_749);} } 
}} 

}



/* &RSASSA-PSS-verify */
obj_t BGl_z62RSASSAzd2PSSzd2verifyz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2650, obj_t BgL_keyz00_2651, obj_t BgL_msgz00_2652, obj_t BgL_sigz00_2653)
{
{ /* Llib/rsa.scm 449 */
{ /* Llib/rsa.scm 450 */
 bool_t BgL_tmpz00_4592;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_auxz00_4608; obj_t BgL_auxz00_4601; BgL_rsazd2keyzd2_bglt BgL_auxz00_4593;
if(
STRINGP(BgL_sigz00_2653))
{ /* Llib/rsa.scm 450 */
BgL_auxz00_4608 = BgL_sigz00_2653
; }  else 
{ 
 obj_t BgL_auxz00_4611;
BgL_auxz00_4611 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)17077)), BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_sigz00_2653); 
FAILURE(BgL_auxz00_4611,BFALSE,BFALSE);} 
if(
STRINGP(BgL_msgz00_2652))
{ /* Llib/rsa.scm 450 */
BgL_auxz00_4601 = BgL_msgz00_2652
; }  else 
{ 
 obj_t BgL_auxz00_4604;
BgL_auxz00_4604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)17077)), BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_msgz00_2652); 
FAILURE(BgL_auxz00_4604,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2651, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 450 */
BgL_auxz00_4593 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2651)
; }  else 
{ 
 obj_t BgL_auxz00_4597;
BgL_auxz00_4597 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)17077)), BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2651); 
FAILURE(BgL_auxz00_4597,BFALSE,BFALSE);} 
BgL_tmpz00_4592 = 
BGl_RSASSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(BgL_auxz00_4593, BgL_auxz00_4601, BgL_auxz00_4608); } 
return 
BBOOL(BgL_tmpz00_4592);} } 

}



/* hash-algo->procedure */
obj_t BGl_hashzd2algozd2ze3procedureze3zz__cryptozd2rsazd2(obj_t BgL_algoz00_84)
{
{ /* Llib/rsa.scm 484 */
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2823z00_4617;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1155z00_797;
BgL__ortest_1155z00_797 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1155z00_797)
{ /* Llib/rsa.scm 485 */
BgL_test2823z00_4617 = BgL__ortest_1155z00_797
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1156z00_798;
BgL__ortest_1156z00_798 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1156z00_798)
{ /* Llib/rsa.scm 485 */
BgL_test2823z00_4617 = BgL__ortest_1156z00_798
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2823z00_4617 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)21)))
; } } } 
if(BgL_test2823z00_4617)
{ /* Llib/rsa.scm 485 */
return BGl_md5sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2826z00_4626;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1157z00_794;
BgL__ortest_1157z00_794 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1157z00_794)
{ /* Llib/rsa.scm 485 */
BgL_test2826z00_4626 = BgL__ortest_1157z00_794
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1158z00_795;
BgL__ortest_1158z00_795 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)23))); 
if(BgL__ortest_1158z00_795)
{ /* Llib/rsa.scm 485 */
BgL_test2826z00_4626 = BgL__ortest_1158z00_795
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1159z00_796;
BgL__ortest_1159z00_796 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1159z00_796)
{ /* Llib/rsa.scm 485 */
BgL_test2826z00_4626 = BgL__ortest_1159z00_796
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2826z00_4626 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)25)))
; } } } } 
if(BgL_test2826z00_4626)
{ /* Llib/rsa.scm 485 */
return BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2830z00_4638;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1160z00_791;
BgL__ortest_1160z00_791 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1160z00_791)
{ /* Llib/rsa.scm 485 */
BgL_test2830z00_4638 = BgL__ortest_1160z00_791
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1161z00_792;
BgL__ortest_1161z00_792 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)27))); 
if(BgL__ortest_1161z00_792)
{ /* Llib/rsa.scm 485 */
BgL_test2830z00_4638 = BgL__ortest_1161z00_792
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1162z00_793;
BgL__ortest_1162z00_793 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)28))); 
if(BgL__ortest_1162z00_793)
{ /* Llib/rsa.scm 485 */
BgL_test2830z00_4638 = BgL__ortest_1162z00_793
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2830z00_4638 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)29)))
; } } } } 
if(BgL_test2830z00_4638)
{ /* Llib/rsa.scm 485 */
return BGl_sha256sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2834z00_4650;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1163z00_788;
BgL__ortest_1163z00_788 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)30))); 
if(BgL__ortest_1163z00_788)
{ /* Llib/rsa.scm 485 */
BgL_test2834z00_4650 = BgL__ortest_1163z00_788
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1164z00_789;
BgL__ortest_1164z00_789 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)31))); 
if(BgL__ortest_1164z00_789)
{ /* Llib/rsa.scm 485 */
BgL_test2834z00_4650 = BgL__ortest_1164z00_789
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1165z00_790;
BgL__ortest_1165z00_790 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)32))); 
if(BgL__ortest_1165z00_790)
{ /* Llib/rsa.scm 485 */
BgL_test2834z00_4650 = BgL__ortest_1165z00_790
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2834z00_4650 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)33)))
; } } } } 
if(BgL_test2834z00_4650)
{ /* Llib/rsa.scm 485 */
return BGl_sha512sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
return 
BGl_errorz00zz__errorz00(BGl_string2470z00zz__cryptozd2rsazd2, BGl_string2471z00zz__cryptozd2rsazd2, BgL_algoz00_84);} } } } } } 

}



/* hash-algo->DER-prefix */
obj_t BGl_hashzd2algozd2ze3DERzd2prefixz31zz__cryptozd2rsazd2(obj_t BgL_algoz00_85)
{
{ /* Llib/rsa.scm 494 */
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2838z00_4663;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1166z00_836;
BgL__ortest_1166z00_836 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)34))); 
if(BgL__ortest_1166z00_836)
{ /* Llib/rsa.scm 495 */
BgL_test2838z00_4663 = BgL__ortest_1166z00_836
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1167z00_837;
BgL__ortest_1167z00_837 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)35))); 
if(BgL__ortest_1167z00_837)
{ /* Llib/rsa.scm 495 */
BgL_test2838z00_4663 = BgL__ortest_1167z00_837
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2838z00_4663 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)36)))
; } } } 
if(BgL_test2838z00_4663)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2841z00_4672;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1168z00_834;
BgL__ortest_1168z00_834 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1168z00_834)
{ /* Llib/rsa.scm 495 */
BgL_test2841z00_4672 = BgL__ortest_1168z00_834
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1169z00_835;
BgL__ortest_1169z00_835 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1169z00_835)
{ /* Llib/rsa.scm 495 */
BgL_test2841z00_4672 = BgL__ortest_1169z00_835
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2841z00_4672 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)21)))
; } } } 
if(BgL_test2841z00_4672)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2844z00_4681;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1170z00_831;
BgL__ortest_1170z00_831 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1170z00_831)
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4681 = BgL__ortest_1170z00_831
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1171z00_832;
BgL__ortest_1171z00_832 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)23))); 
if(BgL__ortest_1171z00_832)
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4681 = BgL__ortest_1171z00_832
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1172z00_833;
BgL__ortest_1172z00_833 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1172z00_833)
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4681 = BgL__ortest_1172z00_833
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4681 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)25)))
; } } } } 
if(BgL_test2844z00_4681)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2848z00_4693;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1173z00_828;
BgL__ortest_1173z00_828 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1173z00_828)
{ /* Llib/rsa.scm 495 */
BgL_test2848z00_4693 = BgL__ortest_1173z00_828
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1174z00_829;
BgL__ortest_1174z00_829 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)27))); 
if(BgL__ortest_1174z00_829)
{ /* Llib/rsa.scm 495 */
BgL_test2848z00_4693 = BgL__ortest_1174z00_829
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1175z00_830;
BgL__ortest_1175z00_830 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)28))); 
if(BgL__ortest_1175z00_830)
{ /* Llib/rsa.scm 495 */
BgL_test2848z00_4693 = BgL__ortest_1175z00_830
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2848z00_4693 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)29)))
; } } } } 
if(BgL_test2848z00_4693)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2852z00_4705;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1176z00_825;
BgL__ortest_1176z00_825 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)37))); 
if(BgL__ortest_1176z00_825)
{ /* Llib/rsa.scm 495 */
BgL_test2852z00_4705 = BgL__ortest_1176z00_825
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1177z00_826;
BgL__ortest_1177z00_826 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)38))); 
if(BgL__ortest_1177z00_826)
{ /* Llib/rsa.scm 495 */
BgL_test2852z00_4705 = BgL__ortest_1177z00_826
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1178z00_827;
BgL__ortest_1178z00_827 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)39))); 
if(BgL__ortest_1178z00_827)
{ /* Llib/rsa.scm 495 */
BgL_test2852z00_4705 = BgL__ortest_1178z00_827
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2852z00_4705 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)40)))
; } } } } 
if(BgL_test2852z00_4705)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2856z00_4717;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1179z00_822;
BgL__ortest_1179z00_822 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)30))); 
if(BgL__ortest_1179z00_822)
{ /* Llib/rsa.scm 495 */
BgL_test2856z00_4717 = BgL__ortest_1179z00_822
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1180z00_823;
BgL__ortest_1180z00_823 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)31))); 
if(BgL__ortest_1180z00_823)
{ /* Llib/rsa.scm 495 */
BgL_test2856z00_4717 = BgL__ortest_1180z00_823
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1181z00_824;
BgL__ortest_1181z00_824 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)32))); 
if(BgL__ortest_1181z00_824)
{ /* Llib/rsa.scm 495 */
BgL_test2856z00_4717 = BgL__ortest_1181z00_824
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2856z00_4717 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)33)))
; } } } } 
if(BgL_test2856z00_4717)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
return 
BGl_errorz00zz__errorz00(BGl_string2470z00zz__cryptozd2rsazd2, BGl_string2472z00zz__cryptozd2rsazd2, BgL_algoz00_85);} } } } } } } } 

}



/* DER-prefix->hash-algo */
obj_t BGl_DERzd2prefixzd2ze3hashzd2algoz31zz__cryptozd2rsazd2(obj_t BgL_prefixz00_86)
{
{ /* Llib/rsa.scm 509 */
{ /* Llib/rsa.scm 509 */
 obj_t BgL_azd2listzd2_838;
{ /* Llib/rsa.scm 511 */
 obj_t BgL_arg2001z00_856; obj_t BgL_arg2002z00_857;
{ /* Llib/rsa.scm 511 */
 obj_t BgL_arg2003z00_858;
BgL_arg2003z00_858 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)23)), BNIL); 
BgL_arg2001z00_856 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2, BgL_arg2003z00_858); } 
{ /* Llib/rsa.scm 512 */
 obj_t BgL_arg2004z00_859; obj_t BgL_arg2005z00_860;
{ /* Llib/rsa.scm 512 */
 obj_t BgL_arg2006z00_861;
BgL_arg2006z00_861 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BNIL); 
BgL_arg2004z00_859 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2, BgL_arg2006z00_861); } 
{ /* Llib/rsa.scm 513 */
 obj_t BgL_arg2007z00_862; obj_t BgL_arg2008z00_863;
{ /* Llib/rsa.scm 513 */
 obj_t BgL_arg2009z00_864;
BgL_arg2009z00_864 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)34)), BNIL); 
BgL_arg2007z00_862 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2, BgL_arg2009z00_864); } 
{ /* Llib/rsa.scm 514 */
 obj_t BgL_arg2010z00_865; obj_t BgL_arg2011z00_866;
{ /* Llib/rsa.scm 514 */
 obj_t BgL_arg2012z00_867;
BgL_arg2012z00_867 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BNIL); 
BgL_arg2010z00_865 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2, BgL_arg2012z00_867); } 
{ /* Llib/rsa.scm 515 */
 obj_t BgL_arg2013z00_868; obj_t BgL_arg2014z00_869;
{ /* Llib/rsa.scm 515 */
 obj_t BgL_arg2015z00_870;
BgL_arg2015z00_870 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)38)), BNIL); 
BgL_arg2013z00_868 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2, BgL_arg2015z00_870); } 
{ /* Llib/rsa.scm 516 */
 obj_t BgL_arg2016z00_871;
{ /* Llib/rsa.scm 516 */
 obj_t BgL_arg2017z00_872;
BgL_arg2017z00_872 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BNIL); 
BgL_arg2016z00_871 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2, BgL_arg2017z00_872); } 
BgL_arg2014z00_869 = 
MAKE_YOUNG_PAIR(BgL_arg2016z00_871, BNIL); } 
BgL_arg2011z00_866 = 
MAKE_YOUNG_PAIR(BgL_arg2013z00_868, BgL_arg2014z00_869); } 
BgL_arg2008z00_863 = 
MAKE_YOUNG_PAIR(BgL_arg2010z00_865, BgL_arg2011z00_866); } 
BgL_arg2005z00_860 = 
MAKE_YOUNG_PAIR(BgL_arg2007z00_862, BgL_arg2008z00_863); } 
BgL_arg2002z00_857 = 
MAKE_YOUNG_PAIR(BgL_arg2004z00_859, BgL_arg2005z00_860); } 
BgL_azd2listzd2_838 = 
MAKE_YOUNG_PAIR(BgL_arg2001z00_856, BgL_arg2002z00_857); } 
{ /* Llib/rsa.scm 518 */
 obj_t BgL_proczd2pzd2_839;
{ 
 obj_t BgL_l1232z00_841;
BgL_l1232z00_841 = BgL_azd2listzd2_838; 
BgL_zc3z04anonymousza31997ze3z87_842:
if(
NULLP(BgL_l1232z00_841))
{ /* Llib/rsa.scm 518 */
BgL_proczd2pzd2_839 = BFALSE; }  else 
{ /* Llib/rsa.scm 519 */
 obj_t BgL__ortest_1234z00_844;
{ /* Llib/rsa.scm 519 */
 obj_t BgL_pz00_846;
BgL_pz00_846 = 
CAR(
((obj_t)BgL_l1232z00_841)); 
{ /* Llib/rsa.scm 519 */
 bool_t BgL_test2861z00_4758;
{ /* Llib/rsa.scm 519 */

BgL_test2861z00_4758 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_pz00_846)), BgL_prefixz00_86, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2861z00_4758)
{ /* Llib/rsa.scm 520 */
 obj_t BgL_pairz00_2067;
BgL_pairz00_2067 = 
CDR(
((obj_t)BgL_pz00_846)); 
BgL__ortest_1234z00_844 = 
CAR(BgL_pairz00_2067); }  else 
{ /* Llib/rsa.scm 519 */
BgL__ortest_1234z00_844 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1234z00_844))
{ /* Llib/rsa.scm 518 */
BgL_proczd2pzd2_839 = BgL__ortest_1234z00_844; }  else 
{ /* Llib/rsa.scm 518 */
 obj_t BgL_arg1999z00_845;
BgL_arg1999z00_845 = 
CDR(
((obj_t)BgL_l1232z00_841)); 
{ 
 obj_t BgL_l1232z00_4769;
BgL_l1232z00_4769 = BgL_arg1999z00_845; 
BgL_l1232z00_841 = BgL_l1232z00_4769; 
goto BgL_zc3z04anonymousza31997ze3z87_842;} } } } 
if(
CBOOL(BgL_proczd2pzd2_839))
{ /* Llib/rsa.scm 522 */BFALSE; }  else 
{ /* Llib/rsa.scm 522 */
BGl_errorz00zz__errorz00(BGl_string2473z00zz__cryptozd2rsazd2, BGl_string2474z00zz__cryptozd2rsazd2, BFALSE); } 
return BgL_proczd2pzd2_839;} } } 

}



/* EMSA-PKCS1-v1.5-encode */
obj_t BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(obj_t BgL_mz00_88, long BgL_emzd2lenzd2_89, obj_t BgL_hashzd2algozd2_90)
{
{ /* Llib/rsa.scm 534 */
{ /* Llib/rsa.scm 536 */
 obj_t BgL_hashzd2funzd2_874;
BgL_hashzd2funzd2_874 = 
BGl_hashzd2algozd2ze3procedureze3zz__cryptozd2rsazd2(BgL_hashzd2algozd2_90); 
{ /* Llib/rsa.scm 536 */
 obj_t BgL_hz00_875;
BgL_hz00_875 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_874)(BgL_hashzd2funzd2_874, BgL_mz00_88, BEOA); 
{ /* Llib/rsa.scm 537 */
 obj_t BgL_digestzd2infozd2derz00_876;
BgL_digestzd2infozd2derz00_876 = 
BGl_hashzd2algozd2ze3DERzd2prefixz31zz__cryptozd2rsazd2(BgL_hashzd2algozd2_90); 
{ /* Llib/rsa.scm 538 */
 obj_t BgL_strz00_877;
BgL_strz00_877 = 
string_append(BgL_digestzd2infozd2derz00_876, BgL_hz00_875); 
{ /* Llib/rsa.scm 539 */
 long BgL_strzd2lenzd2_878;
BgL_strzd2lenzd2_878 = 
STRING_LENGTH(BgL_strz00_877); 
{ /* Llib/rsa.scm 540 */

if(
(BgL_emzd2lenzd2_89<
(BgL_strzd2lenzd2_878+((long)11))))
{ /* Llib/rsa.scm 541 */
BGl_errorz00zz__errorz00(BGl_string2475z00zz__cryptozd2rsazd2, BGl_string2476z00zz__cryptozd2rsazd2, 
BINT(BgL_emzd2lenzd2_89)); }  else 
{ /* Llib/rsa.scm 541 */BFALSE; } 
return 
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_strz00_877, BgL_emzd2lenzd2_89, ((long)1));} } } } } } } 

}



/* _RSASSA-PKCS1-v1.5-sign */
obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(obj_t BgL_env1291z00_95, obj_t BgL_opt1290z00_94)
{
{ /* Llib/rsa.scm 546 */
{ 
 obj_t BgL_k1z00_883; long BgL_iz00_884;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_keyz00_886; obj_t BgL_msgz00_887;
BgL_keyz00_886 = 
VECTOR_REF(BgL_opt1290z00_94,((long)0)); 
BgL_msgz00_887 = 
VECTOR_REF(BgL_opt1290z00_94,((long)1)); 
{ /* Llib/rsa.scm 547 */
 obj_t BgL_hashzd2algozd2_888;
BgL_hashzd2algozd2_888 = 
CNST_TABLE_REF(((long)23)); 
{ /* Llib/rsa.scm 546 */

{ 
 long BgL_iz00_889;
BgL_iz00_889 = ((long)2); 
BgL_check1294z00_890:
if(
(BgL_iz00_889==
VECTOR_LENGTH(BgL_opt1290z00_94)))
{ /* Llib/rsa.scm 546 */BNIL; }  else 
{ /* Llib/rsa.scm 546 */
 bool_t BgL_test2866z00_4793;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_arg2027z00_896;
BgL_arg2027z00_896 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_iz00_889); 
BgL_test2866z00_4793 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2027z00_896, 
CNST_TABLE_REF(((long)42)))); } 
if(BgL_test2866z00_4793)
{ 
 long BgL_iz00_4798;
BgL_iz00_4798 = 
(BgL_iz00_889+((long)2)); 
BgL_iz00_889 = BgL_iz00_4798; 
goto BgL_check1294z00_890;}  else 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_arg2026z00_895;
BgL_arg2026z00_895 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_iz00_889); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string2416z00zz__cryptozd2rsazd2, BgL_arg2026z00_895); } } } 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_index1296z00_897;
BgL_k1z00_883 = 
CNST_TABLE_REF(((long)43)); 
BgL_iz00_884 = ((long)2); 
BgL_search1293z00_885:
if(
(BgL_iz00_884==
VECTOR_LENGTH(BgL_opt1290z00_94)))
{ /* Llib/rsa.scm 546 */
BgL_index1296z00_897 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 546 */
if(
(BgL_iz00_884==
(
VECTOR_LENGTH(BgL_opt1290z00_94)-((long)1))))
{ /* Llib/rsa.scm 546 */
BgL_index1296z00_897 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string2430z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1290z00_94))); }  else 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_vz00_906;
BgL_vz00_906 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_iz00_884); 
if(
(BgL_vz00_906==BgL_k1z00_883))
{ /* Llib/rsa.scm 546 */
BgL_index1296z00_897 = 
BINT(
(BgL_iz00_884+((long)1))); }  else 
{ 
 long BgL_iz00_4820;
BgL_iz00_4820 = 
(BgL_iz00_884+((long)2)); 
BgL_iz00_884 = BgL_iz00_4820; 
goto BgL_search1293z00_885;} } } 
{ /* Llib/rsa.scm 546 */
 bool_t BgL_test2870z00_4823;
{ /* Llib/rsa.scm 546 */
 long BgL_n1z00_2089;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_tmpz00_4824;
if(
INTEGERP(BgL_index1296z00_897))
{ /* Llib/rsa.scm 546 */
BgL_tmpz00_4824 = BgL_index1296z00_897
; }  else 
{ 
 obj_t BgL_auxz00_4827;
BgL_auxz00_4827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1296z00_897); 
FAILURE(BgL_auxz00_4827,BFALSE,BFALSE);} 
BgL_n1z00_2089 = 
(long)CINT(BgL_tmpz00_4824); } 
BgL_test2870z00_4823 = 
(BgL_n1z00_2089>=((long)0)); } 
if(BgL_test2870z00_4823)
{ /* Llib/rsa.scm 546 */
 obj_t BgL_aux2379z00_2956;
{ 
 long BgL_auxz00_4833;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_tmpz00_4834;
if(
INTEGERP(BgL_index1296z00_897))
{ /* Llib/rsa.scm 546 */
BgL_tmpz00_4834 = BgL_index1296z00_897
; }  else 
{ 
 obj_t BgL_auxz00_4837;
BgL_auxz00_4837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1296z00_897); 
FAILURE(BgL_auxz00_4837,BFALSE,BFALSE);} 
BgL_auxz00_4833 = 
(long)CINT(BgL_tmpz00_4834); } 
BgL_aux2379z00_2956 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_auxz00_4833); } 
if(
SYMBOLP(BgL_aux2379z00_2956))
{ /* Llib/rsa.scm 546 */
BgL_hashzd2algozd2_888 = BgL_aux2379z00_2956; }  else 
{ 
 obj_t BgL_auxz00_4845;
BgL_auxz00_4845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2478z00zz__cryptozd2rsazd2, BgL_aux2379z00_2956); 
FAILURE(BgL_auxz00_4845,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 546 */BFALSE; } } } 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_arg2029z00_899; obj_t BgL_arg2030z00_900;
BgL_arg2029z00_899 = 
VECTOR_REF(BgL_opt1290z00_94,((long)0)); 
BgL_arg2030z00_900 = 
VECTOR_REF(BgL_opt1290z00_94,((long)1)); 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_hashzd2algozd2_901;
BgL_hashzd2algozd2_901 = BgL_hashzd2algozd2_888; 
{ /* Llib/rsa.scm 546 */
 BgL_rsazd2keyzd2_bglt BgL_keyz00_2090; obj_t BgL_msgz00_2091;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2029z00_899, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 546 */
BgL_keyz00_2090 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg2029z00_899); }  else 
{ 
 obj_t BgL_auxz00_4854;
BgL_auxz00_4854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_arg2029z00_899); 
FAILURE(BgL_auxz00_4854,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2030z00_900))
{ /* Llib/rsa.scm 546 */
BgL_msgz00_2091 = BgL_arg2030z00_900; }  else 
{ 
 obj_t BgL_auxz00_4860;
BgL_auxz00_4860 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_arg2030z00_900); 
FAILURE(BgL_auxz00_4860,BFALSE,BFALSE);} 
{ /* Llib/rsa.scm 548 */
 long BgL_kz00_2093;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2097;
BgL_arg1333z00_2097 = 
BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_keyz00_2090); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2233z00_2122;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2099; long BgL_rz00_2100;
BgL_qz00_2099 = 
(BgL_arg1333z00_2097/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2104; long BgL_n2z00_2105;
BgL_n1z00_2104 = BgL_arg1333z00_2097; 
BgL_n2z00_2105 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2876z00_4866;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2107;
BgL_arg1353z00_2107 = 
(((BgL_n1z00_2104) | (BgL_n2z00_2105)) & -2147483648); 
BgL_test2876z00_4866 = 
(BgL_arg1353z00_2107==((long)0)); } 
if(BgL_test2876z00_4866)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2108;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2109; int32_t BgL_arg1352z00_2110;
BgL_arg1351z00_2109 = 
(int32_t)(BgL_n1z00_2104); 
BgL_arg1352z00_2110 = 
(int32_t)(BgL_n2z00_2105); 
BgL_arg1350z00_2108 = 
(BgL_arg1351z00_2109%BgL_arg1352z00_2110); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2115;
BgL_arg1447z00_2115 = 
(long)(BgL_arg1350z00_2108); 
BgL_rz00_2100 = 
(long)(BgL_arg1447z00_2115); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2100 = 
(BgL_n1z00_2104%BgL_n2z00_2105); } } } 
if(
(BgL_rz00_2100==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2233z00_2122 = BgL_qz00_2099; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2100>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2233z00_2122 = 
(BgL_qz00_2099+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2233z00_2122 = 
(BgL_qz00_2099-((long)1)); } } } 
BgL_kz00_2093 = BgL_res2233z00_2122; } } 
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(
BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_keyz00_2090, BgL_msgz00_2091, BgL_hashzd2algozd2_901), BgL_kz00_2093);} } } } } } } } } 

}



/* RSASSA-PKCS1-v1.5-sign */
BGL_EXPORTED_DEF obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_91, obj_t BgL_msgz00_92, obj_t BgL_hashzd2algozd2_93)
{
{ /* Llib/rsa.scm 546 */
{ /* Llib/rsa.scm 548 */
 long BgL_kz00_2125;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2129;
BgL_arg1333z00_2129 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_91))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2234z00_2157;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2134; long BgL_rz00_2135;
BgL_qz00_2134 = 
(BgL_arg1333z00_2129/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2139; long BgL_n2z00_2140;
BgL_n1z00_2139 = BgL_arg1333z00_2129; 
BgL_n2z00_2140 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2879z00_4886;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2142;
BgL_arg1353z00_2142 = 
(((BgL_n1z00_2139) | (BgL_n2z00_2140)) & -2147483648); 
BgL_test2879z00_4886 = 
(BgL_arg1353z00_2142==((long)0)); } 
if(BgL_test2879z00_4886)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2143;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2144; int32_t BgL_arg1352z00_2145;
BgL_arg1351z00_2144 = 
(int32_t)(BgL_n1z00_2139); 
BgL_arg1352z00_2145 = 
(int32_t)(BgL_n2z00_2140); 
BgL_arg1350z00_2143 = 
(BgL_arg1351z00_2144%BgL_arg1352z00_2145); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2150;
BgL_arg1447z00_2150 = 
(long)(BgL_arg1350z00_2143); 
BgL_rz00_2135 = 
(long)(BgL_arg1447z00_2150); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2135 = 
(BgL_n1z00_2139%BgL_n2z00_2140); } } } 
if(
(BgL_rz00_2135==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2234z00_2157 = BgL_qz00_2134; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2135>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2234z00_2157 = 
(BgL_qz00_2134+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2234z00_2157 = 
(BgL_qz00_2134-((long)1)); } } } 
BgL_kz00_2125 = BgL_res2234z00_2157; } } 
{ /* Llib/rsa.scm 549 */
 obj_t BgL_arg2038z00_2126;
{ /* Llib/rsa.scm 549 */
 obj_t BgL_res2236z00_2193;
{ /* Llib/rsa.scm 552 */
 long BgL_kz00_2161;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2166;
BgL_arg1333z00_2166 = 
BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_keyz00_91); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2235z00_2191;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2168; long BgL_rz00_2169;
BgL_qz00_2168 = 
(BgL_arg1333z00_2166/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2173; long BgL_n2z00_2174;
BgL_n1z00_2173 = BgL_arg1333z00_2166; 
BgL_n2z00_2174 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2882z00_4903;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2176;
BgL_arg1353z00_2176 = 
(((BgL_n1z00_2173) | (BgL_n2z00_2174)) & -2147483648); 
BgL_test2882z00_4903 = 
(BgL_arg1353z00_2176==((long)0)); } 
if(BgL_test2882z00_4903)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2177;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2178; int32_t BgL_arg1352z00_2179;
BgL_arg1351z00_2178 = 
(int32_t)(BgL_n1z00_2173); 
BgL_arg1352z00_2179 = 
(int32_t)(BgL_n2z00_2174); 
BgL_arg1350z00_2177 = 
(BgL_arg1351z00_2178%BgL_arg1352z00_2179); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2184;
BgL_arg1447z00_2184 = 
(long)(BgL_arg1350z00_2177); 
BgL_rz00_2169 = 
(long)(BgL_arg1447z00_2184); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2169 = 
(BgL_n1z00_2173%BgL_n2z00_2174); } } } 
if(
(BgL_rz00_2169==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2235z00_2191 = BgL_qz00_2168; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2169>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2235z00_2191 = 
(BgL_qz00_2168+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2235z00_2191 = 
(BgL_qz00_2168-((long)1)); } } } 
BgL_kz00_2161 = BgL_res2235z00_2191; } } 
{ /* Llib/rsa.scm 552 */
 obj_t BgL_emz00_2162;
BgL_emz00_2162 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_92, BgL_kz00_2161, BgL_hashzd2algozd2_93); 
{ /* Llib/rsa.scm 556 */
 obj_t BgL_mz00_2163;
BgL_mz00_2163 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_2162); 
{ /* Llib/rsa.scm 557 */
 obj_t BgL_sz00_2164;
BgL_sz00_2164 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_91, BgL_mz00_2163); 
{ /* Llib/rsa.scm 558 */

BgL_res2236z00_2193 = BgL_sz00_2164; } } } } } 
BgL_arg2038z00_2126 = BgL_res2236z00_2193; } 
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_arg2038z00_2126, BgL_kz00_2125);} } } 

}



/* _RSASSA-PKCS1-v1.5-sign-bignum */
obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(obj_t BgL_env1298z00_100, obj_t BgL_opt1297z00_99)
{
{ /* Llib/rsa.scm 550 */
{ 
 obj_t BgL_k1z00_914; long BgL_iz00_915;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_keyz00_917; obj_t BgL_msgz00_918;
BgL_keyz00_917 = 
VECTOR_REF(BgL_opt1297z00_99,((long)0)); 
BgL_msgz00_918 = 
VECTOR_REF(BgL_opt1297z00_99,((long)1)); 
{ /* Llib/rsa.scm 551 */
 obj_t BgL_hashzd2algozd2_919;
BgL_hashzd2algozd2_919 = 
CNST_TABLE_REF(((long)23)); 
{ /* Llib/rsa.scm 550 */

{ 
 long BgL_iz00_920;
BgL_iz00_920 = ((long)2); 
BgL_check1301z00_921:
if(
(BgL_iz00_920==
VECTOR_LENGTH(BgL_opt1297z00_99)))
{ /* Llib/rsa.scm 550 */BNIL; }  else 
{ /* Llib/rsa.scm 550 */
 bool_t BgL_test2886z00_4928;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_arg2044z00_927;
BgL_arg2044z00_927 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_iz00_920); 
BgL_test2886z00_4928 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2044z00_927, 
CNST_TABLE_REF(((long)42)))); } 
if(BgL_test2886z00_4928)
{ 
 long BgL_iz00_4933;
BgL_iz00_4933 = 
(BgL_iz00_920+((long)2)); 
BgL_iz00_920 = BgL_iz00_4933; 
goto BgL_check1301z00_921;}  else 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_arg2043z00_926;
BgL_arg2043z00_926 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_iz00_920); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string2416z00zz__cryptozd2rsazd2, BgL_arg2043z00_926); } } } 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_index1303z00_928;
BgL_k1z00_914 = 
CNST_TABLE_REF(((long)43)); 
BgL_iz00_915 = ((long)2); 
BgL_search1300z00_916:
if(
(BgL_iz00_915==
VECTOR_LENGTH(BgL_opt1297z00_99)))
{ /* Llib/rsa.scm 550 */
BgL_index1303z00_928 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 550 */
if(
(BgL_iz00_915==
(
VECTOR_LENGTH(BgL_opt1297z00_99)-((long)1))))
{ /* Llib/rsa.scm 550 */
BgL_index1303z00_928 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string2430z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1297z00_99))); }  else 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_vz00_937;
BgL_vz00_937 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_iz00_915); 
if(
(BgL_vz00_937==BgL_k1z00_914))
{ /* Llib/rsa.scm 550 */
BgL_index1303z00_928 = 
BINT(
(BgL_iz00_915+((long)1))); }  else 
{ 
 long BgL_iz00_4955;
BgL_iz00_4955 = 
(BgL_iz00_915+((long)2)); 
BgL_iz00_915 = BgL_iz00_4955; 
goto BgL_search1300z00_916;} } } 
{ /* Llib/rsa.scm 550 */
 bool_t BgL_test2890z00_4958;
{ /* Llib/rsa.scm 550 */
 long BgL_n1z00_2211;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_tmpz00_4959;
if(
INTEGERP(BgL_index1303z00_928))
{ /* Llib/rsa.scm 550 */
BgL_tmpz00_4959 = BgL_index1303z00_928
; }  else 
{ 
 obj_t BgL_auxz00_4962;
BgL_auxz00_4962 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1303z00_928); 
FAILURE(BgL_auxz00_4962,BFALSE,BFALSE);} 
BgL_n1z00_2211 = 
(long)CINT(BgL_tmpz00_4959); } 
BgL_test2890z00_4958 = 
(BgL_n1z00_2211>=((long)0)); } 
if(BgL_test2890z00_4958)
{ /* Llib/rsa.scm 550 */
 obj_t BgL_aux2389z00_2968;
{ 
 long BgL_auxz00_4968;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_tmpz00_4969;
if(
INTEGERP(BgL_index1303z00_928))
{ /* Llib/rsa.scm 550 */
BgL_tmpz00_4969 = BgL_index1303z00_928
; }  else 
{ 
 obj_t BgL_auxz00_4972;
BgL_auxz00_4972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2418z00zz__cryptozd2rsazd2, BgL_index1303z00_928); 
FAILURE(BgL_auxz00_4972,BFALSE,BFALSE);} 
BgL_auxz00_4968 = 
(long)CINT(BgL_tmpz00_4969); } 
BgL_aux2389z00_2968 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_auxz00_4968); } 
if(
SYMBOLP(BgL_aux2389z00_2968))
{ /* Llib/rsa.scm 550 */
BgL_hashzd2algozd2_919 = BgL_aux2389z00_2968; }  else 
{ 
 obj_t BgL_auxz00_4980;
BgL_auxz00_4980 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2478z00zz__cryptozd2rsazd2, BgL_aux2389z00_2968); 
FAILURE(BgL_auxz00_4980,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 550 */BFALSE; } } } 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_arg2046z00_930; obj_t BgL_arg2047z00_931;
BgL_arg2046z00_930 = 
VECTOR_REF(BgL_opt1297z00_99,((long)0)); 
BgL_arg2047z00_931 = 
VECTOR_REF(BgL_opt1297z00_99,((long)1)); 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_hashzd2algozd2_932;
BgL_hashzd2algozd2_932 = BgL_hashzd2algozd2_919; 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_res2238z00_2247;
{ /* Llib/rsa.scm 550 */
 BgL_rsazd2keyzd2_bglt BgL_keyz00_2212; obj_t BgL_msgz00_2213;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2046z00_930, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 550 */
BgL_keyz00_2212 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg2046z00_930); }  else 
{ 
 obj_t BgL_auxz00_4989;
BgL_auxz00_4989 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_arg2046z00_930); 
FAILURE(BgL_auxz00_4989,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2047z00_931))
{ /* Llib/rsa.scm 550 */
BgL_msgz00_2213 = BgL_arg2047z00_931; }  else 
{ 
 obj_t BgL_auxz00_4995;
BgL_auxz00_4995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_arg2047z00_931); 
FAILURE(BgL_auxz00_4995,BFALSE,BFALSE);} 
{ /* Llib/rsa.scm 552 */
 long BgL_kz00_2215;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2220;
BgL_arg1333z00_2220 = 
BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_keyz00_2212); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2237z00_2245;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2222; long BgL_rz00_2223;
BgL_qz00_2222 = 
(BgL_arg1333z00_2220/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2227; long BgL_n2z00_2228;
BgL_n1z00_2227 = BgL_arg1333z00_2220; 
BgL_n2z00_2228 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2896z00_5001;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2230;
BgL_arg1353z00_2230 = 
(((BgL_n1z00_2227) | (BgL_n2z00_2228)) & -2147483648); 
BgL_test2896z00_5001 = 
(BgL_arg1353z00_2230==((long)0)); } 
if(BgL_test2896z00_5001)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2231;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2232; int32_t BgL_arg1352z00_2233;
BgL_arg1351z00_2232 = 
(int32_t)(BgL_n1z00_2227); 
BgL_arg1352z00_2233 = 
(int32_t)(BgL_n2z00_2228); 
BgL_arg1350z00_2231 = 
(BgL_arg1351z00_2232%BgL_arg1352z00_2233); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2238;
BgL_arg1447z00_2238 = 
(long)(BgL_arg1350z00_2231); 
BgL_rz00_2223 = 
(long)(BgL_arg1447z00_2238); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2223 = 
(BgL_n1z00_2227%BgL_n2z00_2228); } } } 
if(
(BgL_rz00_2223==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2237z00_2245 = BgL_qz00_2222; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2223>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2237z00_2245 = 
(BgL_qz00_2222+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2237z00_2245 = 
(BgL_qz00_2222-((long)1)); } } } 
BgL_kz00_2215 = BgL_res2237z00_2245; } } 
{ /* Llib/rsa.scm 552 */
 obj_t BgL_emz00_2216;
BgL_emz00_2216 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_2213, BgL_kz00_2215, BgL_hashzd2algozd2_932); 
{ /* Llib/rsa.scm 556 */
 obj_t BgL_mz00_2217;
BgL_mz00_2217 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_2216); 
{ /* Llib/rsa.scm 557 */
 obj_t BgL_sz00_2218;
BgL_sz00_2218 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_2212, BgL_mz00_2217); 
{ /* Llib/rsa.scm 558 */

BgL_res2238z00_2247 = BgL_sz00_2218; } } } } } } 
return BgL_res2238z00_2247;} } } } } } } } 

}



/* RSASSA-PKCS1-v1.5-sign-bignum */
BGL_EXPORTED_DEF obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_96, obj_t BgL_msgz00_97, obj_t BgL_hashzd2algozd2_98)
{
{ /* Llib/rsa.scm 550 */
{ /* Llib/rsa.scm 552 */
 long BgL_kz00_2248;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2253;
BgL_arg1333z00_2253 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_96))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2239z00_2281;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2258; long BgL_rz00_2259;
BgL_qz00_2258 = 
(BgL_arg1333z00_2253/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2263; long BgL_n2z00_2264;
BgL_n1z00_2263 = BgL_arg1333z00_2253; 
BgL_n2z00_2264 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2899z00_5022;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2266;
BgL_arg1353z00_2266 = 
(((BgL_n1z00_2263) | (BgL_n2z00_2264)) & -2147483648); 
BgL_test2899z00_5022 = 
(BgL_arg1353z00_2266==((long)0)); } 
if(BgL_test2899z00_5022)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2267;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2268; int32_t BgL_arg1352z00_2269;
BgL_arg1351z00_2268 = 
(int32_t)(BgL_n1z00_2263); 
BgL_arg1352z00_2269 = 
(int32_t)(BgL_n2z00_2264); 
BgL_arg1350z00_2267 = 
(BgL_arg1351z00_2268%BgL_arg1352z00_2269); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2274;
BgL_arg1447z00_2274 = 
(long)(BgL_arg1350z00_2267); 
BgL_rz00_2259 = 
(long)(BgL_arg1447z00_2274); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2259 = 
(BgL_n1z00_2263%BgL_n2z00_2264); } } } 
if(
(BgL_rz00_2259==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2239z00_2281 = BgL_qz00_2258; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2259>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2239z00_2281 = 
(BgL_qz00_2258+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2239z00_2281 = 
(BgL_qz00_2258-((long)1)); } } } 
BgL_kz00_2248 = BgL_res2239z00_2281; } } 
{ /* Llib/rsa.scm 552 */
 obj_t BgL_emz00_2249;
BgL_emz00_2249 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_97, BgL_kz00_2248, BgL_hashzd2algozd2_98); 
{ /* Llib/rsa.scm 556 */
 obj_t BgL_mz00_2250;
BgL_mz00_2250 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_2249); 
{ /* Llib/rsa.scm 557 */
 obj_t BgL_sz00_2251;
BgL_sz00_2251 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_96, BgL_mz00_2250); 
{ /* Llib/rsa.scm 558 */

return BgL_sz00_2251;} } } } } } 

}



/* RSASSA-PKCS1-v1.5-verify */
BGL_EXPORTED_DEF bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_101, obj_t BgL_msgz00_102, obj_t BgL_sz00_103)
{
{ /* Llib/rsa.scm 561 */
{ /* Llib/rsa.scm 562 */
 long BgL_sigzd2lenzd2_2283; long BgL_kz00_2284;
BgL_sigzd2lenzd2_2283 = 
STRING_LENGTH(BgL_sz00_103); 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2289;
BgL_arg1333z00_2289 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_101))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2240z00_2317;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2294; long BgL_rz00_2295;
BgL_qz00_2294 = 
(BgL_arg1333z00_2289/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2299; long BgL_n2z00_2300;
BgL_n1z00_2299 = BgL_arg1333z00_2289; 
BgL_n2z00_2300 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2902z00_5044;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2302;
BgL_arg1353z00_2302 = 
(((BgL_n1z00_2299) | (BgL_n2z00_2300)) & -2147483648); 
BgL_test2902z00_5044 = 
(BgL_arg1353z00_2302==((long)0)); } 
if(BgL_test2902z00_5044)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2303;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2304; int32_t BgL_arg1352z00_2305;
BgL_arg1351z00_2304 = 
(int32_t)(BgL_n1z00_2299); 
BgL_arg1352z00_2305 = 
(int32_t)(BgL_n2z00_2300); 
BgL_arg1350z00_2303 = 
(BgL_arg1351z00_2304%BgL_arg1352z00_2305); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2310;
BgL_arg1447z00_2310 = 
(long)(BgL_arg1350z00_2303); 
BgL_rz00_2295 = 
(long)(BgL_arg1447z00_2310); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2295 = 
(BgL_n1z00_2299%BgL_n2z00_2300); } } } 
if(
(BgL_rz00_2295==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2240z00_2317 = BgL_qz00_2294; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2295>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2240z00_2317 = 
(BgL_qz00_2294+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2240z00_2317 = 
(BgL_qz00_2294-((long)1)); } } } 
BgL_kz00_2284 = BgL_res2240z00_2317; } } 
if(
(BgL_sigzd2lenzd2_2283==BgL_kz00_2284))
{ /* Llib/rsa.scm 564 */
return 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_keyz00_101, BgL_msgz00_102, 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_sz00_103));}  else 
{ /* Llib/rsa.scm 564 */
return ((bool_t)0);} } } 

}



/* &RSASSA-PKCS1-v1.5-verify */
obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyz52zz__cryptozd2rsazd2(obj_t BgL_envz00_2660, obj_t BgL_keyz00_2661, obj_t BgL_msgz00_2662, obj_t BgL_sz00_2663)
{
{ /* Llib/rsa.scm 561 */
{ /* Llib/rsa.scm 562 */
 bool_t BgL_tmpz00_5063;
{ /* Llib/rsa.scm 562 */
 obj_t BgL_auxz00_5079; obj_t BgL_auxz00_5072; BgL_rsazd2keyzd2_bglt BgL_auxz00_5064;
if(
STRINGP(BgL_sz00_2663))
{ /* Llib/rsa.scm 562 */
BgL_auxz00_5079 = BgL_sz00_2663
; }  else 
{ 
 obj_t BgL_auxz00_5082;
BgL_auxz00_5082 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)21301)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_sz00_2663); 
FAILURE(BgL_auxz00_5082,BFALSE,BFALSE);} 
if(
STRINGP(BgL_msgz00_2662))
{ /* Llib/rsa.scm 562 */
BgL_auxz00_5072 = BgL_msgz00_2662
; }  else 
{ 
 obj_t BgL_auxz00_5075;
BgL_auxz00_5075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)21301)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_msgz00_2662); 
FAILURE(BgL_auxz00_5075,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2661, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 562 */
BgL_auxz00_5064 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2661)
; }  else 
{ 
 obj_t BgL_auxz00_5068;
BgL_auxz00_5068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)21301)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2661); 
FAILURE(BgL_auxz00_5068,BFALSE,BFALSE);} 
BgL_tmpz00_5063 = 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyz30zz__cryptozd2rsazd2(BgL_auxz00_5064, BgL_auxz00_5072, BgL_auxz00_5079); } 
return 
BBOOL(BgL_tmpz00_5063);} } 

}



/* RSASSA-PKCS1-v1.5-verify-bignum */
BGL_EXPORTED_DEF bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_104, obj_t BgL_msgz00_105, obj_t BgL_sz00_106)
{
{ /* Llib/rsa.scm 570 */
{ /* Llib/rsa.scm 572 */
struct bgl_cell BgL_box2909_2765z00; 
 obj_t BgL_interceptzd2errorzf3z21_2765;
BgL_interceptzd2errorzf3z21_2765 = 
MAKE_CELL_STACK(BFALSE,BgL_box2909_2765z00); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_env1194z00_951;
BgL_env1194z00_951 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_cell1189z00_952;
BgL_cell1189z00_952 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_val1193z00_953;
BgL_val1193z00_953 = 
BGl_zc3z04exitza32057ze3ze70z60zz__cryptozd2rsazd2(BgL_msgz00_105, BgL_interceptzd2errorzf3z21_2765, BgL_sz00_106, BgL_keyz00_104, BgL_cell1189z00_952, BgL_env1194z00_951); 
if(
(BgL_val1193z00_953==BgL_cell1189z00_952))
{ /* Llib/rsa.scm 573 */
{ /* Llib/rsa.scm 573 */
 int BgL_tmpz00_5093;
BgL_tmpz00_5093 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_5093); } 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg2056z00_955;
BgL_arg2056z00_955 = 
CELL_REF(
((obj_t)BgL_val1193z00_953)); 
if(
CBOOL(
CELL_REF(BgL_interceptzd2errorzf3z21_2765)))
{ /* Llib/rsa.scm 575 */
return ((bool_t)0);}  else 
{ /* Llib/rsa.scm 575 */
return 
CBOOL(
BGl_raisez00zz__errorz00(BgL_arg2056z00_955));} } }  else 
{ /* Llib/rsa.scm 573 */
return 
CBOOL(BgL_val1193z00_953);} } } } } } 

}



/* <@exit:2057>~0 */
obj_t BGl_zc3z04exitza32057ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_msgz00_2763, obj_t BgL_interceptzd2errorzf3z21_2762, obj_t BgL_sz00_2761, BgL_rsazd2keyzd2_bglt BgL_keyz00_2760, obj_t BgL_cell1189z00_2759, obj_t BgL_env1194z00_2758)
{
{ /* Llib/rsa.scm 573 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1198z00_957;
if( SET_EXIT(BgL_an_exit1198z00_957 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1198z00_957 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1194z00_2758, BgL_an_exit1198z00_957, ((long)1)); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_escape1190z00_958;
BgL_escape1190z00_958 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1194z00_2758); 
{ /* Llib/rsa.scm 573 */
 bool_t BgL_res1201z00_959;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_ohs1186z00_960;
BgL_ohs1186z00_960 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1194z00_2758); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_hds1187z00_961;
BgL_hds1187z00_961 = 
MAKE_STACK_PAIR(BgL_escape1190z00_958, BgL_cell1189z00_2759); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1194z00_2758, BgL_hds1187z00_961); BUNSPEC; 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_exitd1195z00_962;
BgL_exitd1195z00_962 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1194z00_2758); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_tmp1197z00_963;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg2058z00_971;
BgL_arg2058z00_971 = 
BGL_EXITD_PROTECT(BgL_exitd1195z00_962); 
BgL_tmp1197z00_963 = 
MAKE_YOUNG_PAIR(BgL_ohs1186z00_960, BgL_arg2058z00_971); } 
{ /* Llib/rsa.scm 573 */

BGL_EXITD_PROTECT_SET(BgL_exitd1195z00_962, BgL_tmp1197z00_963); BUNSPEC; 
{ /* Llib/rsa.scm 578 */
 bool_t BgL_tmp1196z00_964;
{ /* Llib/rsa.scm 578 */
 long BgL_kz00_965;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2322;
BgL_arg1333z00_2322 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2760))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2241z00_2350;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2327; long BgL_rz00_2328;
BgL_qz00_2327 = 
(BgL_arg1333z00_2322/((long)8)); 
{ /* Llib/rsa.scm 77 */
 long BgL_n1z00_2332; long BgL_n2z00_2333;
BgL_n1z00_2332 = BgL_arg1333z00_2322; 
BgL_n2z00_2333 = ((long)8); 
{ /* Llib/rsa.scm 77 */
 bool_t BgL_test2912z00_5117;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1353z00_2335;
BgL_arg1353z00_2335 = 
(((BgL_n1z00_2332) | (BgL_n2z00_2333)) & -2147483648); 
BgL_test2912z00_5117 = 
(BgL_arg1353z00_2335==((long)0)); } 
if(BgL_test2912z00_5117)
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1350z00_2336;
{ /* Llib/rsa.scm 77 */
 int32_t BgL_arg1351z00_2337; int32_t BgL_arg1352z00_2338;
BgL_arg1351z00_2337 = 
(int32_t)(BgL_n1z00_2332); 
BgL_arg1352z00_2338 = 
(int32_t)(BgL_n2z00_2333); 
BgL_arg1350z00_2336 = 
(BgL_arg1351z00_2337%BgL_arg1352z00_2338); } 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1447z00_2343;
BgL_arg1447z00_2343 = 
(long)(BgL_arg1350z00_2336); 
BgL_rz00_2328 = 
(long)(BgL_arg1447z00_2343); } }  else 
{ /* Llib/rsa.scm 77 */
BgL_rz00_2328 = 
(BgL_n1z00_2332%BgL_n2z00_2333); } } } 
if(
(BgL_rz00_2328==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2241z00_2350 = BgL_qz00_2327; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2328>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2241z00_2350 = 
(BgL_qz00_2327+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2241z00_2350 = 
(BgL_qz00_2327-((long)1)); } } } 
BgL_kz00_965 = BgL_res2241z00_2350; } } 
{ /* Llib/rsa.scm 579 */
 obj_t BgL_mz00_966;
BgL_mz00_966 = 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_keyz00_2760, BgL_sz00_2761); 
{ /* Llib/rsa.scm 579 */
 obj_t BgL_emz00_967;
BgL_emz00_967 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_966, BgL_kz00_965); 
{ /* Llib/rsa.scm 580 */
 obj_t BgL_hashzd2algozd2_968;
BgL_hashzd2algozd2_968 = 
BGl_DERzd2prefixzd2ze3hashzd2algoz31zz__cryptozd2rsazd2(
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_emz00_967, ((long)1))); 
{ /* Llib/rsa.scm 581 */
 obj_t BgL_dummyz00_969;
{ /* Llib/rsa.scm 582 */
 obj_t BgL_auxz00_2764;
BgL_auxz00_2764 = BFALSE; 
BgL_dummyz00_969 = 
CELL_SET(BgL_interceptzd2errorzf3z21_2762, BgL_auxz00_2764); } 
{ /* Llib/rsa.scm 582 */
 obj_t BgL_em_primz00_970;
BgL_em_primz00_970 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_2763, BgL_kz00_965, BgL_hashzd2algozd2_968); 
{ /* Llib/rsa.scm 584 */

{ /* Llib/rsa.scm 585 */
 long BgL_l1z00_2357;
BgL_l1z00_2357 = 
STRING_LENGTH(BgL_emz00_967); 
if(
(BgL_l1z00_2357==
STRING_LENGTH(BgL_em_primz00_970)))
{ /* Llib/rsa.scm 585 */
 int BgL_arg1289z00_2360;
{ /* Llib/rsa.scm 585 */
 char * BgL_auxz00_5143; char * BgL_tmpz00_5141;
BgL_auxz00_5143 = 
BSTRING_TO_STRING(BgL_em_primz00_970); 
BgL_tmpz00_5141 = 
BSTRING_TO_STRING(BgL_emz00_967); 
BgL_arg1289z00_2360 = 
memcmp(BgL_tmpz00_5141, BgL_auxz00_5143, BgL_l1z00_2357); } 
BgL_tmp1196z00_964 = 
(
(long)(BgL_arg1289z00_2360)==((long)0)); }  else 
{ /* Llib/rsa.scm 585 */
BgL_tmp1196z00_964 = ((bool_t)0); } } } } } } } } } 
{ /* Llib/rsa.scm 573 */
 bool_t BgL_test2916z00_5148;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg1817z00_2367;
BgL_arg1817z00_2367 = 
BGL_EXITD_PROTECT(BgL_exitd1195z00_962); 
BgL_test2916z00_5148 = 
PAIRP(BgL_arg1817z00_2367); } 
if(BgL_test2916z00_5148)
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg1815z00_2368;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg1816z00_2369;
BgL_arg1816z00_2369 = 
BGL_EXITD_PROTECT(BgL_exitd1195z00_962); 
BgL_arg1815z00_2368 = 
CDR(
((obj_t)BgL_arg1816z00_2369)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1195z00_962, BgL_arg1815z00_2368); BUNSPEC; }  else 
{ /* Llib/rsa.scm 573 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1194z00_2758, BgL_ohs1186z00_960); BUNSPEC; 
BgL_res1201z00_959 = BgL_tmp1196z00_964; } } } } } } 
POP_ENV_EXIT(BgL_env1194z00_2758); 
return 
BBOOL(BgL_res1201z00_959);} } 
}} 

}



/* &RSASSA-PKCS1-v1.5-verify-bignum */
obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumz80zz__cryptozd2rsazd2(obj_t BgL_envz00_2664, obj_t BgL_keyz00_2665, obj_t BgL_msgz00_2666, obj_t BgL_sz00_2667)
{
{ /* Llib/rsa.scm 570 */
{ /* Llib/rsa.scm 572 */
 bool_t BgL_tmpz00_5158;
{ /* Llib/rsa.scm 572 */
 obj_t BgL_auxz00_5174; obj_t BgL_auxz00_5167; BgL_rsazd2keyzd2_bglt BgL_auxz00_5159;
if(
BIGNUMP(BgL_sz00_2667))
{ /* Llib/rsa.scm 572 */
BgL_auxz00_5174 = BgL_sz00_2667
; }  else 
{ 
 obj_t BgL_auxz00_5177;
BgL_auxz00_5177 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)21682)), BGl_string2481z00zz__cryptozd2rsazd2, BGl_string2425z00zz__cryptozd2rsazd2, BgL_sz00_2667); 
FAILURE(BgL_auxz00_5177,BFALSE,BFALSE);} 
if(
STRINGP(BgL_msgz00_2666))
{ /* Llib/rsa.scm 572 */
BgL_auxz00_5167 = BgL_msgz00_2666
; }  else 
{ 
 obj_t BgL_auxz00_5170;
BgL_auxz00_5170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)21682)), BGl_string2481z00zz__cryptozd2rsazd2, BGl_string2427z00zz__cryptozd2rsazd2, BgL_msgz00_2666); 
FAILURE(BgL_auxz00_5170,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2665, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 572 */
BgL_auxz00_5159 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2665)
; }  else 
{ 
 obj_t BgL_auxz00_5163;
BgL_auxz00_5163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2413z00zz__cryptozd2rsazd2, 
BINT(((long)21682)), BGl_string2481z00zz__cryptozd2rsazd2, BGl_string2415z00zz__cryptozd2rsazd2, BgL_keyz00_2665); 
FAILURE(BgL_auxz00_5163,BFALSE,BFALSE);} 
BgL_tmpz00_5158 = 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_auxz00_5159, BgL_auxz00_5167, BgL_auxz00_5174); } 
return 
BBOOL(BgL_tmpz00_5158);} } 

}



/* left-most-bits-char-mask */
unsigned char BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(long BgL_nz00_107)
{
{ /* Llib/rsa.scm 587 */
switch( BgL_nz00_107) { case ((long)1) : 

return 
(char)(((unsigned char)128));break;case ((long)2) : 

return 
(char)(((unsigned char)192));break;case ((long)3) : 

return 
(char)(((unsigned char)224));break;case ((long)4) : 

return 
(char)(((unsigned char)240));break;case ((long)5) : 

return 
(char)(((unsigned char)248));break;case ((long)6) : 

return 
(char)(((unsigned char)252));break;case ((long)7) : 

return 
(char)(((unsigned char)254));break;case ((long)8) : 

return 
(char)(((unsigned char)255));break;
default: 
return 
CCHAR(
BGl_errorz00zz__errorz00(BGl_string2482z00zz__cryptozd2rsazd2, BGl_string2483z00zz__cryptozd2rsazd2, 
BINT(BgL_nz00_107)));} } 

}



/* search1307~0 */
obj_t BGl_search1307ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1306z00_2757, obj_t BgL_opt1304z00_2756, obj_t BgL_k1z00_979, obj_t BgL_iz00_980)
{
{ /* Llib/rsa.scm 599 */
BGl_search1307ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_980)==
(long)CINT(BgL_l1306z00_2757)))
{ /* Llib/rsa.scm 599 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 599 */
if(
(
(long)CINT(BgL_iz00_980)==
(long)CINT(
SUBFX(BgL_l1306z00_2757, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 599 */
 obj_t BgL_arg2075z00_1009;
BgL_arg2075z00_1009 = 
BINT(
VECTOR_LENGTH(BgL_opt1304z00_2756)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)46)), BGl_string2434z00zz__cryptozd2rsazd2, BgL_arg2075z00_1009);}  else 
{ /* Llib/rsa.scm 599 */
 obj_t BgL_vz00_1010;
BgL_vz00_1010 = 
VECTOR_REF(BgL_opt1304z00_2756,
(long)CINT(BgL_iz00_980)); 
if(
(BgL_vz00_1010==BgL_k1z00_979))
{ /* Llib/rsa.scm 599 */
return 
ADDFX(BgL_iz00_980, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_5216;
BgL_iz00_5216 = 
ADDFX(BgL_iz00_980, 
BINT(((long)2))); 
BgL_iz00_980 = BgL_iz00_5216; 
goto BGl_search1307ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EMSA-PSS-encode */
obj_t BGl_EMSAzd2PSSzd2encodez00zz__cryptozd2rsazd2(obj_t BgL_mz00_108, long BgL_emzd2bitszd2_109, obj_t BgL_hashzd2funzd2_110, obj_t BgL_maskzd2funzd2_111, long BgL_saltzd2lenzd2_112)
{
{ /* Llib/rsa.scm 599 */
{ /* Llib/rsa.scm 629 */
 obj_t BgL_mzd2hashzd2_1014;
BgL_mzd2hashzd2_1014 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_110)(BgL_hashzd2funzd2_110, BgL_mz00_108, BEOA); 
{ /* Llib/rsa.scm 629 */
 long BgL_hzd2lenzd2_1015;
BgL_hzd2lenzd2_1015 = 
STRING_LENGTH(
((obj_t)BgL_mzd2hashzd2_1014)); 
{ /* Llib/rsa.scm 630 */
 long BgL_emzd2lenzd2_1016;
{ /* Llib/rsa.scm 631 */
 long BgL_res2242z00_2415;
{ /* Llib/rsa.scm 631 */
 long BgL_qz00_2392; long BgL_rz00_2393;
BgL_qz00_2392 = 
(BgL_emzd2bitszd2_109/((long)8)); 
{ /* Llib/rsa.scm 631 */
 long BgL_n1z00_2397; long BgL_n2z00_2398;
BgL_n1z00_2397 = BgL_emzd2bitszd2_109; 
BgL_n2z00_2398 = ((long)8); 
{ /* Llib/rsa.scm 631 */
 bool_t BgL_test2923z00_5226;
{ /* Llib/rsa.scm 631 */
 long BgL_arg1353z00_2400;
BgL_arg1353z00_2400 = 
(((BgL_n1z00_2397) | (BgL_n2z00_2398)) & -2147483648); 
BgL_test2923z00_5226 = 
(BgL_arg1353z00_2400==((long)0)); } 
if(BgL_test2923z00_5226)
{ /* Llib/rsa.scm 631 */
 int32_t BgL_arg1350z00_2401;
{ /* Llib/rsa.scm 631 */
 int32_t BgL_arg1351z00_2402; int32_t BgL_arg1352z00_2403;
BgL_arg1351z00_2402 = 
(int32_t)(BgL_n1z00_2397); 
BgL_arg1352z00_2403 = 
(int32_t)(BgL_n2z00_2398); 
BgL_arg1350z00_2401 = 
(BgL_arg1351z00_2402%BgL_arg1352z00_2403); } 
{ /* Llib/rsa.scm 631 */
 long BgL_arg1447z00_2408;
BgL_arg1447z00_2408 = 
(long)(BgL_arg1350z00_2401); 
BgL_rz00_2393 = 
(long)(BgL_arg1447z00_2408); } }  else 
{ /* Llib/rsa.scm 631 */
BgL_rz00_2393 = 
(BgL_n1z00_2397%BgL_n2z00_2398); } } } 
if(
(BgL_rz00_2393==((long)0)))
{ /* Llib/rsa.scm 631 */
BgL_res2242z00_2415 = BgL_qz00_2392; }  else 
{ /* Llib/rsa.scm 631 */
if(
(BgL_rz00_2393>((long)0)))
{ /* Llib/rsa.scm 631 */
BgL_res2242z00_2415 = 
(BgL_qz00_2392+((long)1)); }  else 
{ /* Llib/rsa.scm 631 */
BgL_res2242z00_2415 = 
(BgL_qz00_2392-((long)1)); } } } 
BgL_emzd2lenzd2_1016 = BgL_res2242z00_2415; } 
{ /* Llib/rsa.scm 631 */

if(
(BgL_emzd2lenzd2_1016<
(BgL_hzd2lenzd2_1015+
(BgL_saltzd2lenzd2_112+((long)2)))))
{ /* Llib/rsa.scm 632 */
BGl_errorz00zz__errorz00(BGl_string2484z00zz__cryptozd2rsazd2, BGl_string2485z00zz__cryptozd2rsazd2, 
BINT(BgL_emzd2lenzd2_1016)); }  else 
{ /* Llib/rsa.scm 632 */BFALSE; } 
{ /* Llib/rsa.scm 634 */
 obj_t BgL_saltz00_1022;
BgL_saltz00_1022 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(BgL_saltzd2lenzd2_112, BFALSE); 
{ /* Llib/rsa.scm 634 */
 obj_t BgL_mprimz00_1023;
BgL_mprimz00_1023 = 
string_append_3(BGl_string2486z00zz__cryptozd2rsazd2, BgL_mzd2hashzd2_1014, BgL_saltz00_1022); 
{ /* Llib/rsa.scm 635 */
 obj_t BgL_hz00_1024;
BgL_hz00_1024 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_110)(BgL_hashzd2funzd2_110, BgL_mprimz00_1023, BEOA); 
{ /* Llib/rsa.scm 638 */
 long BgL_pszd2lenzd2_1025;
BgL_pszd2lenzd2_1025 = 
(BgL_emzd2lenzd2_1016-
(BgL_saltzd2lenzd2_112+
(BgL_hzd2lenzd2_1015+((long)2)))); 
{ /* Llib/rsa.scm 639 */
 long BgL_dbzd2lenzd2_1026;
BgL_dbzd2lenzd2_1026 = 
(BgL_emzd2lenzd2_1016-
(BgL_hzd2lenzd2_1015+((long)1))); 
{ /* Llib/rsa.scm 640 */
 obj_t BgL_dbz00_1027;
BgL_dbz00_1027 = 
make_string(BgL_dbzd2lenzd2_1026, ((unsigned char)'\000')); 
{ /* Llib/rsa.scm 641 */

STRING_SET(BgL_dbz00_1027, BgL_pszd2lenzd2_1025, ((unsigned char)1)); 
{ /* Llib/rsa.scm 645 */
 long BgL_arg2084z00_1028;
BgL_arg2084z00_1028 = 
(BgL_pszd2lenzd2_1025+((long)1)); 
blit_string(
((obj_t)BgL_saltz00_1022), ((long)0), BgL_dbz00_1027, BgL_arg2084z00_1028, BgL_saltzd2lenzd2_112); } 
{ /* Llib/rsa.scm 646 */
 obj_t BgL_dbzd2maskzd2_1029;
{ /* Llib/rsa.scm 646 */
 long BgL_arg2090z00_1040;
BgL_arg2090z00_1040 = 
(BgL_emzd2lenzd2_1016-
(BgL_hzd2lenzd2_1015+((long)1))); 
BgL_dbzd2maskzd2_1029 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_111)(BgL_maskzd2funzd2_111, BgL_hz00_1024, 
BINT(BgL_arg2090z00_1040), BEOA); } 
{ /* Llib/rsa.scm 646 */
 obj_t BgL_maskedzd2dbzd2_1030;
BgL_maskedzd2dbzd2_1030 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_dbz00_1027, BgL_dbzd2maskzd2_1029); 
{ /* Llib/rsa.scm 647 */
 long BgL_nbzd2bitszd2tozd2clearzd2_1031;
BgL_nbzd2bitszd2tozd2clearzd2_1031 = 
(
(((long)8)*BgL_emzd2lenzd2_1016)-BgL_emzd2bitszd2_109); 
{ /* Llib/rsa.scm 648 */
 unsigned char BgL_bitzd2maskzd2_1032;
{ /* Llib/rsa.scm 649 */
 unsigned char BgL_arg2088z00_1038;
BgL_arg2088z00_1038 = 
BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(BgL_nbzd2bitszd2tozd2clearzd2_1031); 
BgL_bitzd2maskzd2_1032 = 
~(
(unsigned char)(BgL_arg2088z00_1038)); } 
{ /* Llib/rsa.scm 649 */
 unsigned char BgL_leftzd2mostzd2octetz00_1033;
BgL_leftzd2mostzd2octetz00_1033 = 
STRING_REF(BgL_maskedzd2dbzd2_1030, ((long)0)); 
{ /* Llib/rsa.scm 651 */

{ /* Llib/rsa.scm 653 */
 unsigned char BgL_tmpz00_5278;
BgL_tmpz00_5278 = 
(BgL_bitzd2maskzd2_1032&BgL_leftzd2mostzd2octetz00_1033); 
STRING_SET(BgL_maskedzd2dbzd2_1030, ((long)0), BgL_tmpz00_5278); } 
{ /* Llib/rsa.scm 654 */
 obj_t BgL_tmpz00_1035;
BgL_tmpz00_1035 = 
string_append_3(BgL_maskedzd2dbzd2_1030, BgL_hz00_1024, BGl_string2487z00zz__cryptozd2rsazd2); 
{ /* Llib/rsa.scm 655 */
 long BgL_tmpz00_5282;
BgL_tmpz00_5282 = 
(
STRING_LENGTH(BgL_tmpz00_1035)-((long)1)); 
STRING_SET(BgL_tmpz00_1035, BgL_tmpz00_5282, ((unsigned char)188)); } 
return BgL_tmpz00_1035;} } } } } } } } } } } } } } } } } } } 

}



/* search1316~0 */
obj_t BGl_search1316ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1315z00_2755, obj_t BgL_opt1313z00_2754, obj_t BgL_k1z00_1047, obj_t BgL_iz00_1048)
{
{ /* Llib/rsa.scm 658 */
BGl_search1316ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_1048)==
(long)CINT(BgL_l1315z00_2755)))
{ /* Llib/rsa.scm 658 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 658 */
if(
(
(long)CINT(BgL_iz00_1048)==
(long)CINT(
SUBFX(BgL_l1315z00_2755, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 658 */
 obj_t BgL_arg2110z00_1079;
BgL_arg2110z00_1079 = 
BINT(
VECTOR_LENGTH(BgL_opt1313z00_2754)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)48)), BGl_string2488z00zz__cryptozd2rsazd2, BgL_arg2110z00_1079);}  else 
{ /* Llib/rsa.scm 658 */
 obj_t BgL_vz00_1080;
BgL_vz00_1080 = 
VECTOR_REF(BgL_opt1313z00_2754,
(long)CINT(BgL_iz00_1048)); 
if(
(BgL_vz00_1080==BgL_k1z00_1047))
{ /* Llib/rsa.scm 658 */
return 
ADDFX(BgL_iz00_1048, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_5307;
BgL_iz00_5307 = 
ADDFX(BgL_iz00_1048, 
BINT(((long)2))); 
BgL_iz00_1048 = BgL_iz00_5307; 
goto BGl_search1316ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EMSA-PSS-verify */
bool_t BGl_EMSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(obj_t BgL_msgz00_115, obj_t BgL_emz00_116, long BgL_emzd2bitszd2_117, obj_t BgL_hashzd2funzd2_118, obj_t BgL_maskzd2funzd2_119, long BgL_saltzd2lenzd2_120)
{
{ /* Llib/rsa.scm 658 */
return 
CBOOL(
BGl_zc3z04exitza32114ze3ze70z60zz__cryptozd2rsazd2(BgL_maskzd2funzd2_119, BgL_emzd2bitszd2_117, BgL_saltzd2lenzd2_120, BgL_emz00_116, BgL_msgz00_115, BgL_hashzd2funzd2_118));} 

}



/* <@exit:2114>~0 */
obj_t BGl_zc3z04exitza32114ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_maskzd2funzd2_2753, long BgL_emzd2bitszd2_2752, long BgL_saltzd2lenzd2_2751, obj_t BgL_emz00_2750, obj_t BgL_msgz00_2749, obj_t BgL_hashzd2funzd2_2748)
{
{ /* Llib/rsa.scm 662 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1208z00_1085;
if( SET_EXIT(BgL_an_exit1208z00_1085 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1208z00_1085 = 
(void *)jmpbuf; 
{ /* Llib/rsa.scm 662 */
 obj_t BgL_env1212z00_1086;
BgL_env1212z00_1086 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1212z00_1086, BgL_an_exit1208z00_1085, ((long)1)); 
{ /* Llib/rsa.scm 662 */
 obj_t BgL_an_exitd1209z00_1087;
BgL_an_exitd1209z00_1087 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1212z00_1086); 
{ /* Llib/rsa.scm 662 */
 bool_t BgL_res1211z00_1090;
{ /* Llib/rsa.scm 664 */
 obj_t BgL_mzd2hashzd2_1091;
BgL_mzd2hashzd2_1091 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_2748)(BgL_hashzd2funzd2_2748, BgL_msgz00_2749, BEOA); 
{ /* Llib/rsa.scm 664 */
 long BgL_hzd2lenzd2_1092;
BgL_hzd2lenzd2_1092 = 
STRING_LENGTH(
((obj_t)BgL_mzd2hashzd2_1091)); 
{ /* Llib/rsa.scm 665 */
 long BgL_emzd2lenzd2_1093;
BgL_emzd2lenzd2_1093 = 
STRING_LENGTH(BgL_emz00_2750); 
{ /* Llib/rsa.scm 666 */

if(
(BgL_emzd2lenzd2_1093<
(BgL_hzd2lenzd2_1092+
(BgL_saltzd2lenzd2_2751+((long)2)))))
{ /* Llib/rsa.scm 667 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); }  else 
{ /* Llib/rsa.scm 667 */BFALSE; } 
if(
(
STRING_REF(BgL_emz00_2750, 
(BgL_emzd2lenzd2_1093-((long)1)))==((unsigned char)188)))
{ /* Llib/rsa.scm 668 */BFALSE; }  else 
{ /* Llib/rsa.scm 668 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/rsa.scm 670 */
 long BgL_dbzd2lenzd2_1104;
BgL_dbzd2lenzd2_1104 = 
(BgL_emzd2lenzd2_1093-
(BgL_hzd2lenzd2_1092+((long)1))); 
{ /* Llib/rsa.scm 670 */
 obj_t BgL_maskedzd2dbzd2_1105;
BgL_maskedzd2dbzd2_1105 = 
c_substring(BgL_emz00_2750, ((long)0), BgL_dbzd2lenzd2_1104); 
{ /* Llib/rsa.scm 671 */
 obj_t BgL_hz00_1106;
BgL_hz00_1106 = 
c_substring(BgL_emz00_2750, BgL_dbzd2lenzd2_1104, 
(BgL_dbzd2lenzd2_1104+BgL_hzd2lenzd2_1092)); 
{ /* Llib/rsa.scm 672 */
 long BgL_nbzd2clearedzd2bitsz00_1107;
BgL_nbzd2clearedzd2bitsz00_1107 = 
(
(((long)8)*BgL_emzd2lenzd2_1093)-BgL_emzd2bitszd2_2752); 
{ /* Llib/rsa.scm 673 */
 unsigned char BgL_bitzd2maskzd2_1108;
BgL_bitzd2maskzd2_1108 = 
BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(BgL_nbzd2clearedzd2bitsz00_1107); 
{ /* Llib/rsa.scm 674 */
 unsigned char BgL_leftzd2mostzd2octetz00_1109;
BgL_leftzd2mostzd2octetz00_1109 = 
STRING_REF(BgL_maskedzd2dbzd2_1105, ((long)0)); 
{ /* Llib/rsa.scm 675 */

if(
(
(BgL_leftzd2mostzd2octetz00_1109&
(unsigned char)(BgL_bitzd2maskzd2_1108))==((unsigned char)'\000')))
{ /* Llib/rsa.scm 676 */BFALSE; }  else 
{ /* Llib/rsa.scm 676 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/rsa.scm 678 */
 obj_t BgL_dbzd2maskzd2_1113;
BgL_dbzd2maskzd2_1113 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_2753)(BgL_maskzd2funzd2_2753, BgL_hz00_1106, 
BINT(BgL_dbzd2lenzd2_1104), BEOA); 
{ /* Llib/rsa.scm 678 */
 obj_t BgL_dbz00_1114;
BgL_dbz00_1114 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_maskedzd2dbzd2_1105, BgL_dbzd2maskzd2_1113); 
{ /* Llib/rsa.scm 679 */
 unsigned char BgL_dbzd2leftzd2mostzd2octetzd2_1115;
BgL_dbzd2leftzd2mostzd2octetzd2_1115 = 
STRING_REF(BgL_dbz00_1114, ((long)0)); 
{ /* Llib/rsa.scm 680 */
 unsigned char BgL_dbzd2bitzd2maskz00_1116;
BgL_dbzd2bitzd2maskz00_1116 = 
~(
(unsigned char)(BgL_bitzd2maskzd2_1108)); 
{ /* Llib/rsa.scm 681 */
 long BgL_pszd2lenzd2_1117;
BgL_pszd2lenzd2_1117 = 
(BgL_emzd2lenzd2_1093-
(BgL_hzd2lenzd2_1092+
(BgL_saltzd2lenzd2_2751+((long)2)))); 
{ /* Llib/rsa.scm 682 */

{ /* Llib/rsa.scm 683 */
 unsigned char BgL_tmpz00_5361;
BgL_tmpz00_5361 = 
(BgL_dbzd2bitzd2maskz00_1116&BgL_dbzd2leftzd2mostzd2octetzd2_1115); 
STRING_SET(BgL_dbz00_1114, ((long)0), BgL_tmpz00_5361); } 
{ /* Llib/rsa.scm 684 */
 long BgL_g1207z00_1119;
BgL_g1207z00_1119 = 
(BgL_pszd2lenzd2_1117-((long)1)); 
{ 
 long BgL_iz00_1121;
BgL_iz00_1121 = BgL_g1207z00_1119; 
BgL_zc3z04anonymousza32129ze3z87_1122:
if(
(BgL_iz00_1121<((long)0)))
{ /* Llib/rsa.scm 686 */
CNST_TABLE_REF(((long)49)); }  else 
{ /* Llib/rsa.scm 686 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_dbz00_1114, BgL_iz00_1121)))
{ 
 long BgL_iz00_5371;
BgL_iz00_5371 = 
(BgL_iz00_1121-((long)1)); 
BgL_iz00_1121 = BgL_iz00_5371; 
goto BgL_zc3z04anonymousza32129ze3z87_1122;}  else 
{ /* Llib/rsa.scm 687 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } } } } 
if(
(((unsigned char)1)==
STRING_REF(BgL_dbz00_1114, BgL_pszd2lenzd2_1117)))
{ /* Llib/rsa.scm 689 */BFALSE; }  else 
{ /* Llib/rsa.scm 689 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/rsa.scm 691 */
 obj_t BgL_saltz00_1132;
BgL_saltz00_1132 = 
c_substring(BgL_dbz00_1114, 
(BgL_dbzd2lenzd2_1104-BgL_saltzd2lenzd2_2751), BgL_dbzd2lenzd2_1104); 
{ /* Llib/rsa.scm 691 */
 obj_t BgL_mprimz00_1133;
BgL_mprimz00_1133 = 
string_append_3(BGl_string2486z00zz__cryptozd2rsazd2, BgL_mzd2hashzd2_1091, BgL_saltz00_1132); 
{ /* Llib/rsa.scm 692 */
 obj_t BgL_hprimz00_1134;
BgL_hprimz00_1134 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_2748)(BgL_hashzd2funzd2_2748, BgL_mprimz00_1133, BEOA); 
{ /* Llib/rsa.scm 695 */

{ /* Llib/rsa.scm 696 */
 long BgL_l1z00_2532;
BgL_l1z00_2532 = 
STRING_LENGTH(
((obj_t)BgL_hprimz00_1134)); 
if(
(BgL_l1z00_2532==
STRING_LENGTH(BgL_hz00_1106)))
{ /* Llib/rsa.scm 696 */
 int BgL_arg1289z00_2535;
{ /* Llib/rsa.scm 696 */
 char * BgL_auxz00_5393; char * BgL_tmpz00_5390;
BgL_auxz00_5393 = 
BSTRING_TO_STRING(BgL_hz00_1106); 
BgL_tmpz00_5390 = 
BSTRING_TO_STRING(
((obj_t)BgL_hprimz00_1134)); 
BgL_arg1289z00_2535 = 
memcmp(BgL_tmpz00_5390, BgL_auxz00_5393, BgL_l1z00_2532); } 
BgL_res1211z00_1090 = 
(
(long)(BgL_arg1289z00_2535)==((long)0)); }  else 
{ /* Llib/rsa.scm 696 */
BgL_res1211z00_1090 = ((bool_t)0); } } } } } } } } } } } } } } } } } } } } } } } 
POP_ENV_EXIT(BgL_env1212z00_1086); 
return 
BBOOL(BgL_res1211z00_1090);} } } 
}} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
{ /* Llib/rsa.scm 25 */
 obj_t BgL_arg2147z00_1144; obj_t BgL_arg2148z00_1145;
{ /* Llib/rsa.scm 25 */
 obj_t BgL_v1239z00_1157;
BgL_v1239z00_1157 = 
create_vector(((long)2)); 
{ /* Llib/rsa.scm 25 */
 obj_t BgL_arg2154z00_1158;
BgL_arg2154z00_1158 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2490z00zz__cryptozd2rsazd2, BGl_proc2489z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1239z00_1157,((long)0),BgL_arg2154z00_1158); } 
{ /* Llib/rsa.scm 25 */
 obj_t BgL_arg2159z00_1168;
BgL_arg2159z00_1168 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2492z00zz__cryptozd2rsazd2, BGl_proc2491z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1239z00_1157,((long)1),BgL_arg2159z00_1168); } 
BgL_arg2147z00_1144 = BgL_v1239z00_1157; } 
{ /* Llib/rsa.scm 25 */
 obj_t BgL_v1240z00_1178;
BgL_v1240z00_1178 = 
create_vector(((long)0)); 
BgL_arg2148z00_1145 = BgL_v1240z00_1178; } 
BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)54)), BGl_objectz00zz__objectz00, ((long)31231), BGl_proc2495z00zz__cryptozd2rsazd2, BGl_proc2494z00zz__cryptozd2rsazd2, BFALSE, BGl_proc2493z00zz__cryptozd2rsazd2, BFALSE, BgL_arg2147z00_1144, BgL_arg2148z00_1145); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2167z00_1185; obj_t BgL_arg2168z00_1186;
{ /* Llib/rsa.scm 26 */
 obj_t BgL_v1241z00_1204;
BgL_v1241z00_1204 = 
create_vector(((long)6)); 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2174z00_1205;
BgL_arg2174z00_1205 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2497z00zz__cryptozd2rsazd2, BGl_proc2496z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)0),BgL_arg2174z00_1205); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2179z00_1215;
BgL_arg2179z00_1215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2499z00zz__cryptozd2rsazd2, BGl_proc2498z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)1),BgL_arg2179z00_1215); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2184z00_1225;
BgL_arg2184z00_1225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc2501z00zz__cryptozd2rsazd2, BGl_proc2500z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)2),BgL_arg2184z00_1225); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2189z00_1235;
BgL_arg2189z00_1235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2503z00zz__cryptozd2rsazd2, BGl_proc2502z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)3),BgL_arg2189z00_1235); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2194z00_1245;
BgL_arg2194z00_1245 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2505z00zz__cryptozd2rsazd2, BGl_proc2504z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)4),BgL_arg2194z00_1245); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2200z00_1255;
BgL_arg2200z00_1255 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2507z00zz__cryptozd2rsazd2, BGl_proc2506z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)5),BgL_arg2200z00_1255); } 
BgL_arg2167z00_1185 = BgL_v1241z00_1204; } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_v1242z00_1265;
BgL_v1242z00_1265 = 
create_vector(((long)0)); 
BgL_arg2168z00_1186 = BgL_v1242z00_1265; } 
return ( 
BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)54)), BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2, ((long)27836), BGl_proc2510z00zz__cryptozd2rsazd2, BGl_proc2509z00zz__cryptozd2rsazd2, BFALSE, BGl_proc2508z00zz__cryptozd2rsazd2, BFALSE, BgL_arg2167z00_1185, BgL_arg2168z00_1186), BUNSPEC) ;} } 

}



/* &<@anonymous:2173> */
obj_t BGl_z62zc3z04anonymousza32173ze3ze5zz__cryptozd2rsazd2(obj_t BgL_envz00_2690, obj_t BgL_new1062z00_2691)
{
{ /* Llib/rsa.scm 26 */
{ 
 BgL_completezd2rsazd2keyz00_bglt BgL_auxz00_5442;
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691))))->BgL_modulusz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691))))->BgL_exponentz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691)))->BgL_ez00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691)))->BgL_pz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691)))->BgL_qz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691)))->BgL_exp1z00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691)))->BgL_exp2z00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691)))->BgL_coeffz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
BgL_auxz00_5442 = 
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2691); 
return 
((obj_t)BgL_auxz00_5442);} } 

}



/* &lambda2171 */
BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2171z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2692)
{
{ /* Llib/rsa.scm 26 */
{ /* Llib/rsa.scm 26 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1061z00_3023;
BgL_new1061z00_3023 = 
((BgL_completezd2rsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2rsazd2keyz00_bgl) ))); 
{ /* Llib/rsa.scm 26 */
 long BgL_arg2172z00_3024;
BgL_arg2172z00_3024 = 
BGL_CLASS_NUM(BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_3023), BgL_arg2172z00_3024); } 
{ /* Llib/rsa.scm 26 */
 BgL_objectz00_bglt BgL_tmpz00_5475;
BgL_tmpz00_5475 = 
((BgL_objectz00_bglt)BgL_new1061z00_3023); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5475, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1061z00_3023); 
return BgL_new1061z00_3023;} } 

}



/* &lambda2169 */
BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2169z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2693, obj_t BgL_modulus1053z00_2694, obj_t BgL_exponent1054z00_2695, obj_t BgL_e1055z00_2696, obj_t BgL_p1056z00_2697, obj_t BgL_q1057z00_2698, obj_t BgL_exp11058z00_2699, obj_t BgL_exp21059z00_2700, obj_t BgL_coeff1060z00_2701)
{
{ /* Llib/rsa.scm 26 */
{ /* Llib/rsa.scm 26 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1217z00_3033;
{ /* Llib/rsa.scm 26 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1216z00_3034;
BgL_new1216z00_3034 = 
((BgL_completezd2rsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2rsazd2keyz00_bgl) ))); 
{ /* Llib/rsa.scm 26 */
 long BgL_arg2170z00_3035;
BgL_arg2170z00_3035 = 
BGL_CLASS_NUM(BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_3034), BgL_arg2170z00_3035); } 
{ /* Llib/rsa.scm 26 */
 BgL_objectz00_bglt BgL_tmpz00_5483;
BgL_tmpz00_5483 = 
((BgL_objectz00_bglt)BgL_new1216z00_3034); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5483, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1216z00_3034); 
BgL_new1217z00_3033 = BgL_new1216z00_3034; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1217z00_3033)))->BgL_modulusz00)=((obj_t)
((obj_t)BgL_modulus1053z00_2694)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1217z00_3033)))->BgL_exponentz00)=((obj_t)
((obj_t)BgL_exponent1054z00_2695)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_3033))->BgL_ez00)=((obj_t)
((obj_t)BgL_e1055z00_2696)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_3033))->BgL_pz00)=((obj_t)
((obj_t)BgL_p1056z00_2697)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_3033))->BgL_qz00)=((obj_t)
((obj_t)BgL_q1057z00_2698)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_3033))->BgL_exp1z00)=((obj_t)
((obj_t)BgL_exp11058z00_2699)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_3033))->BgL_exp2z00)=((obj_t)
((obj_t)BgL_exp21059z00_2700)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_3033))->BgL_coeffz00)=((obj_t)
((obj_t)BgL_coeff1060z00_2701)),BUNSPEC); 
return BgL_new1217z00_3033;} } 

}



/* &lambda2204 */
obj_t BGl_z62lambda2204z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2702, obj_t BgL_oz00_2703, obj_t BgL_vz00_2704)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2703)))->BgL_coeffz00)=((obj_t)
((obj_t)BgL_vz00_2704)),BUNSPEC);} 

}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2705, obj_t BgL_oz00_2706)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2706)))->BgL_coeffz00);} 

}



/* &lambda2199 */
obj_t BGl_z62lambda2199z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2707, obj_t BgL_oz00_2708, obj_t BgL_vz00_2709)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2708)))->BgL_exp2z00)=((obj_t)
((obj_t)BgL_vz00_2709)),BUNSPEC);} 

}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2710, obj_t BgL_oz00_2711)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2711)))->BgL_exp2z00);} 

}



/* &lambda2193 */
obj_t BGl_z62lambda2193z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2712, obj_t BgL_oz00_2713, obj_t BgL_vz00_2714)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2713)))->BgL_exp1z00)=((obj_t)
((obj_t)BgL_vz00_2714)),BUNSPEC);} 

}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2715, obj_t BgL_oz00_2716)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2716)))->BgL_exp1z00);} 

}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2717, obj_t BgL_oz00_2718, obj_t BgL_vz00_2719)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2718)))->BgL_qz00)=((obj_t)
((obj_t)BgL_vz00_2719)),BUNSPEC);} 

}



/* &lambda2187 */
obj_t BGl_z62lambda2187z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2720, obj_t BgL_oz00_2721)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2721)))->BgL_qz00);} 

}



/* &lambda2183 */
obj_t BGl_z62lambda2183z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2722, obj_t BgL_oz00_2723, obj_t BgL_vz00_2724)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2723)))->BgL_pz00)=((obj_t)
((obj_t)BgL_vz00_2724)),BUNSPEC);} 

}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2725, obj_t BgL_oz00_2726)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2726)))->BgL_pz00);} 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2727, obj_t BgL_oz00_2728, obj_t BgL_vz00_2729)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2728)))->BgL_ez00)=((obj_t)
((obj_t)BgL_vz00_2729)),BUNSPEC);} 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2730, obj_t BgL_oz00_2731)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2731)))->BgL_ez00);} 

}



/* &<@anonymous:2153> */
obj_t BGl_z62zc3z04anonymousza32153ze3ze5zz__cryptozd2rsazd2(obj_t BgL_envz00_2732, obj_t BgL_new1051z00_2733)
{
{ /* Llib/rsa.scm 25 */
{ 
 BgL_rsazd2keyzd2_bglt BgL_auxz00_5535;
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1051z00_2733)))->BgL_modulusz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1051z00_2733)))->BgL_exponentz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
BgL_auxz00_5535 = 
((BgL_rsazd2keyzd2_bglt)BgL_new1051z00_2733); 
return 
((obj_t)BgL_auxz00_5535);} } 

}



/* &lambda2151 */
BgL_rsazd2keyzd2_bglt BGl_z62lambda2151z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2734)
{
{ /* Llib/rsa.scm 25 */
{ /* Llib/rsa.scm 25 */
 BgL_rsazd2keyzd2_bglt BgL_new1050z00_3055;
BgL_new1050z00_3055 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 25 */
 long BgL_arg2152z00_3056;
BgL_arg2152z00_3056 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_3055), BgL_arg2152z00_3056); } 
return BgL_new1050z00_3055;} } 

}



/* &lambda2149 */
BgL_rsazd2keyzd2_bglt BGl_z62lambda2149z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2735, obj_t BgL_modulus1048z00_2736, obj_t BgL_exponent1049z00_2737)
{
{ /* Llib/rsa.scm 25 */
{ /* Llib/rsa.scm 25 */
 BgL_rsazd2keyzd2_bglt BgL_new1215z00_3059;
{ /* Llib/rsa.scm 25 */
 BgL_rsazd2keyzd2_bglt BgL_new1214z00_3060;
BgL_new1214z00_3060 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 25 */
 long BgL_arg2150z00_3061;
BgL_arg2150z00_3061 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_3060), BgL_arg2150z00_3061); } 
BgL_new1215z00_3059 = BgL_new1214z00_3060; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1215z00_3059))->BgL_modulusz00)=((obj_t)
((obj_t)BgL_modulus1048z00_2736)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1215z00_3059))->BgL_exponentz00)=((obj_t)
((obj_t)BgL_exponent1049z00_2737)),BUNSPEC); 
return BgL_new1215z00_3059;} } 

}



/* &lambda2163 */
obj_t BGl_z62lambda2163z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2738, obj_t BgL_oz00_2739, obj_t BgL_vz00_2740)
{
{ /* Llib/rsa.scm 25 */
return 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2739)))->BgL_exponentz00)=((obj_t)
((obj_t)BgL_vz00_2740)),BUNSPEC);} 

}



/* &lambda2162 */
obj_t BGl_z62lambda2162z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2741, obj_t BgL_oz00_2742)
{
{ /* Llib/rsa.scm 25 */
return 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2742)))->BgL_exponentz00);} 

}



/* &lambda2158 */
obj_t BGl_z62lambda2158z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2743, obj_t BgL_oz00_2744, obj_t BgL_vz00_2745)
{
{ /* Llib/rsa.scm 25 */
return 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2744)))->BgL_modulusz00)=((obj_t)
((obj_t)BgL_vz00_2745)),BUNSPEC);} 

}



/* &lambda2157 */
obj_t BGl_z62lambda2157z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2746, obj_t BgL_oz00_2747)
{
{ /* Llib/rsa.scm 25 */
return 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2747)))->BgL_modulusz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string2511z00zz__cryptozd2rsazd2));} 

}

#ifdef __cplusplus
}
#endif
