/*===========================================================================*/
/*   (Llib/flac.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac.scm -o objs/flac.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_z62flaczd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62flaczd2errorzb0_bglt;


BGL_EXPORTED_DECL obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2error1718zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_flacz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00();
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_flacz00();
static obj_t BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_flacz00();
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL int bgl_flac_error(char *, char *, obj_t);
static obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__flac_flacz00();
static obj_t BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62flaczd2errorzb0zz__flac_flacz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T, long, long, long);
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_flacz00();
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1212z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1222z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1223z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1229z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1230z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda1240z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00();
static obj_t BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t, obj_t);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1339z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t, obj_t);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1341z62zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt, long, long, long, long);
static obj_t BGl_z62lambda1263z62zz__flac_flacz00(obj_t, obj_t);
static BgL_flaczd2decoderzd2_bglt BGl_z62lambda1182z62zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1264z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_flacz00();
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2zz__flac_flacz00 = BUNSPEC;
static obj_t BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T);
static obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00();
static obj_t BGl_z62lambda1271z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1192z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_custom_nil();
static obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31369ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t, obj_t);
static obj_t __cnst[ 33 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1890z00, BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1891z00, BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1892z00, BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2decoderzd2newzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d21893z00, BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1894z00, BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1800z00zz__flac_flacz00, BgL_bgl_za762lambda1230za7621895z00, BGl_z62lambda1230z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1801z00zz__flac_flacz00, BgL_bgl_za762lambda1229za7621896z00, BGl_z62lambda1229z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1802z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1897za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1803z00zz__flac_flacz00, BgL_bgl_za762lambda1241za7621898z00, BGl_z62lambda1241z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1804z00zz__flac_flacz00, BgL_bgl_za762lambda1240za7621899z00, BGl_z62lambda1240z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1805z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1900za7, BGl_z62zc3z04anonymousza31265ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__flac_flacz00, BgL_bgl_za762lambda1264za7621901z00, BGl_z62lambda1264z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1807z00zz__flac_flacz00, BgL_bgl_za762lambda1263za7621902z00, BGl_z62lambda1263z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1808z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1903za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1809z00zz__flac_flacz00, BgL_bgl_za762lambda1272za7621904z00, BGl_z62lambda1272z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1819z00zz__flac_flacz00, BgL_bgl_string1819za700za7za7_1905za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1810z00zz__flac_flacz00, BgL_bgl_za762lambda1271za7621906z00, BGl_z62lambda1271z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1811z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1907za7, BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1812z00zz__flac_flacz00, BgL_bgl_za762lambda1288za7621908z00, BGl_z62lambda1288z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1813z00zz__flac_flacz00, BgL_bgl_za762lambda1287za7621909z00, BGl_z62lambda1287z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1814z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1910za7, BGl_z62zc3z04anonymousza31185ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1821z00zz__flac_flacz00, BgL_bgl_string1821za700za7za7_1911za7, "flac-decoder-init1114", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1815z00zz__flac_flacz00, BgL_bgl_za762lambda1182za7621912z00, BGl_z62lambda1182z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1816z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1913za7, BGl_z62zc3z04anonymousza31343ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1823z00zz__flac_flacz00, BgL_bgl_string1823za700za7za7_1914za7, "flac-decoder-close1116", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1817z00zz__flac_flacz00, BgL_bgl_za762lambda1341za7621915z00, BGl_z62lambda1341z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1818z00zz__flac_flacz00, BgL_bgl_za762lambda1339za7621916z00, BGl_z62lambda1339z62zz__flac_flacz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string1825z00zz__flac_flacz00, BgL_bgl_string1825za700za7za7_1917za7, "flac-decoder-decode1118", 23 );
DEFINE_STRING( BGl_string1827z00zz__flac_flacz00, BgL_bgl_string1827za700za7za7_1918za7, "flac-decoder-decode11120", 24 );
DEFINE_STRING( BGl_string1829z00zz__flac_flacz00, BgL_bgl_string1829za700za7za7_1919za7, "flac-decoder-reset!1122", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1820z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1920z00, BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1822z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1921z00, BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1824z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1922z00, BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1831z00zz__flac_flacz00, BgL_bgl_string1831za700za7za7_1923za7, "flac-decoder-read1124", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1826z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1924z00, BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1833z00zz__flac_flacz00, BgL_bgl_string1833za700za7za7_1925za7, "flac-decoder-write1126", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1828z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1926z00, BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1835z00zz__flac_flacz00, BgL_bgl_string1835za700za7za7_1927za7, "flac-decoder-metadat1128", 24 );
DEFINE_STRING( BGl_string1837z00zz__flac_flacz00, BgL_bgl_string1837za700za7za7_1928za7, "flac-decoder-tell1130", 21 );
DEFINE_STRING( BGl_string1839z00zz__flac_flacz00, BgL_bgl_string1839za700za7za7_1929za7, "flac-decoder-seek1132", 21 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1930z00, BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1830z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1931z00, BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1832z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1932z00, BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1834z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1933z00, BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1934z00, BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1841z00zz__flac_flacz00, BgL_bgl_string1841za700za7za7_1935za7, "flac-decoder-length1134", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1836z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1936z00, BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1843z00zz__flac_flacz00, BgL_bgl_string1843za700za7za7_1937za7, "flac-decoder-info1136", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1838z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1938z00, BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1845z00zz__flac_flacz00, BgL_bgl_string1845za700za7za7_1939za7, "flac-decoder-positio1138", 24 );
DEFINE_STRING( BGl_string1847z00zz__flac_flacz00, BgL_bgl_string1847za700za7za7_1940za7, "flac-volume-get1140", 19 );
DEFINE_STRING( BGl_string1849z00zz__flac_flacz00, BgL_bgl_string1849za700za7za7_1941za7, "flac-volume-set!1142", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1840z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1942z00, BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1842z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1943z00, BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1850z00zz__flac_flacz00, BgL_bgl_string1850za700za7za7_1944za7, "No method for this object", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1844z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1945z00, BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1851z00zz__flac_flacz00, BgL_bgl_string1851za700za7za7_1946za7, "&flac-decoder-init", 18 );
DEFINE_STRING( BGl_string1852z00zz__flac_flacz00, BgL_bgl_string1852za700za7za7_1947za7, "flac-decoder", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1846z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1948z00, BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1853z00zz__flac_flacz00, BgL_bgl_string1853za700za7za7_1949za7, "&flac-decoder-close", 19 );
DEFINE_STRING( BGl_string1854z00zz__flac_flacz00, BgL_bgl_string1854za700za7za7_1950za7, "&flac-decoder-decode", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1848z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1951z00, BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1855z00zz__flac_flacz00, BgL_bgl_string1855za700za7za7_1952za7, "&flac-decoder-decode16", 22 );
DEFINE_STRING( BGl_string1856z00zz__flac_flacz00, BgL_bgl_string1856za700za7za7_1953za7, "&flac-decoder-reset!", 20 );
DEFINE_STRING( BGl_string1857z00zz__flac_flacz00, BgL_bgl_string1857za700za7za7_1954za7, "&flac-decoder-read", 18 );
DEFINE_STRING( BGl_string1858z00zz__flac_flacz00, BgL_bgl_string1858za700za7za7_1955za7, "bint", 4 );
DEFINE_STRING( BGl_string1859z00zz__flac_flacz00, BgL_bgl_string1859za700za7za7_1956za7, "&flac-decoder-write", 19 );
DEFINE_STRING( BGl_string1860z00zz__flac_flacz00, BgL_bgl_string1860za700za7za7_1957za7, "&flac-decoder-metadata", 22 );
DEFINE_STRING( BGl_string1861z00zz__flac_flacz00, BgL_bgl_string1861za700za7za7_1958za7, "bllong", 6 );
DEFINE_STRING( BGl_string1862z00zz__flac_flacz00, BgL_bgl_string1862za700za7za7_1959za7, "&flac-decoder-tell", 18 );
DEFINE_STRING( BGl_string1863z00zz__flac_flacz00, BgL_bgl_string1863za700za7za7_1960za7, "&flac-decoder-seek", 18 );
DEFINE_STRING( BGl_string1864z00zz__flac_flacz00, BgL_bgl_string1864za700za7za7_1961za7, "&flac-decoder-length", 20 );
DEFINE_STRING( BGl_string1783z00zz__flac_flacz00, BgL_bgl_string1783za700za7za7_1962za7, "Llib/flac.scm", 13 );
DEFINE_STRING( BGl_string1865z00zz__flac_flacz00, BgL_bgl_string1865za700za7za7_1963za7, "&flac-decoder-info", 18 );
DEFINE_STRING( BGl_string1784z00zz__flac_flacz00, BgL_bgl_string1784za700za7za7_1964za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/flac/src/Llib/flac.scm", 62 );
DEFINE_STRING( BGl_string1866z00zz__flac_flacz00, BgL_bgl_string1866za700za7za7_1965za7, "&flac-decoder-position", 22 );
DEFINE_STRING( BGl_string1785z00zz__flac_flacz00, BgL_bgl_string1785za700za7za7_1966za7, "&flac-error1718", 15 );
DEFINE_STRING( BGl_string1867z00zz__flac_flacz00, BgL_bgl_string1867za700za7za7_1967za7, "&flac-volume-get", 16 );
DEFINE_STRING( BGl_string1786z00zz__flac_flacz00, BgL_bgl_string1786za700za7za7_1968za7, "bstring", 7 );
DEFINE_STRING( BGl_string1868z00zz__flac_flacz00, BgL_bgl_string1868za700za7za7_1969za7, "&flac-volume-set!", 17 );
DEFINE_STRING( BGl_string1870z00zz__flac_flacz00, BgL_bgl_string1870za700za7za7_1970za7, "object-print", 12 );
DEFINE_STRING( BGl_string1871z00zz__flac_flacz00, BgL_bgl_string1871za700za7za7_1971za7, "#|flac-decoder|", 15 );
DEFINE_STRING( BGl_string1872z00zz__flac_flacz00, BgL_bgl_string1872za700za7za7_1972za7, "flac-decoder-read1124 flac-decoder-write1126 flac-decoder-metadat1128 &flac-error __flac_flac flac-decoder %rchecksum int %bchecksum md5check double %volume long %sample bool %eof bstring outbuf custom %flacbuf $flac-decoder $builtin unknown stream-decoder-uninitialized stream-decoder-memory-allocation-error stream-decoder-aborted stream-decoder-seek-error STREAM-DECODER-OGG-ERROR stream-decoder-end-of-stream stream-decoder-read-frame stream-decoder-search-for-frame-sync stream-decoder-read-metadata decoder-search-for-metata ", 531 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1787z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1973za7, BGl_z62zc3z04anonymousza31193ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1869z00zz__flac_flacz00, BgL_bgl_za762objectza7d2prin1974z00, BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1788z00zz__flac_flacz00, BgL_bgl_za762lambda1192za7621975z00, BGl_z62lambda1192z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1789z00zz__flac_flacz00, BgL_bgl_za762lambda1191za7621976z00, BGl_z62lambda1191z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1977za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1791z00zz__flac_flacz00, BgL_bgl_za762lambda1203za7621978z00, BGl_z62lambda1203z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1792z00zz__flac_flacz00, BgL_bgl_za762lambda1202za7621979z00, BGl_z62lambda1202z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1793z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1980za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1794z00zz__flac_flacz00, BgL_bgl_za762lambda1213za7621981z00, BGl_z62lambda1213z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1795z00zz__flac_flacz00, BgL_bgl_za762lambda1212za7621982z00, BGl_z62lambda1212z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1796z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1983za7, BGl_z62zc3z04anonymousza31224ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1797z00zz__flac_flacz00, BgL_bgl_za762lambda1223za7621984z00, BGl_z62lambda1223z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1798z00zz__flac_flacz00, BgL_bgl_za762lambda1222za7621985z00, BGl_z62lambda1222z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1799z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1986za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1987z00, BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1988z00, BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1989z00, BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1990z00, BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1991z00, BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1992z00, BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2errorzd2envz00zz__flac_flacz00, BgL_bgl_za762flacza7d2error11993z00, BGl_z62flaczd2error1718zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2makezd2customzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d21994z00, BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1995z00, BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1996z00, BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1997z00, BGl_z62flaczd2volumezd2getz62zz__flac_flacz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_z62flaczd2errorzb0zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_flaczd2decoderzd2zz__flac_flacz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long BgL_checksumz00_1906, char * BgL_fromz00_1907)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_flacz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_flacz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__flac_flacz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(); 
BGl_cnstzd2initzd2zz__flac_flacz00(); 
BGl_objectzd2initzd2zz__flac_flacz00(); 
BGl_genericzd2initzd2zz__flac_flacz00(); 
BGl_methodzd2initzd2zz__flac_flacz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_flacz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_flac"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
 obj_t BgL_cportz00_1229;
{ /* Llib/flac.scm 15 */
 obj_t BgL_stringz00_1237;
BgL_stringz00_1237 = BGl_string1872z00zz__flac_flacz00; 
{ /* Llib/flac.scm 15 */
 obj_t BgL_startz00_1238;
BgL_startz00_1238 = 
BINT(((long)0)); 
{ /* Llib/flac.scm 15 */
 obj_t BgL_endz00_1239;
BgL_endz00_1239 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1237))); 
{ /* Llib/flac.scm 15 */

BgL_cportz00_1229 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1237, BgL_startz00_1238, BgL_endz00_1239); } } } } 
{ 
 long BgL_iz00_1230;
BgL_iz00_1230 = ((long)32); 
BgL_loopz00_1231:
if(
(BgL_iz00_1230==((long)-1)))
{ /* Llib/flac.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
 obj_t BgL_arg1874z00_1233;
{ /* Llib/flac.scm 15 */

{ /* Llib/flac.scm 15 */
 obj_t BgL_locationz00_1235;
BgL_locationz00_1235 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac.scm 15 */

BgL_arg1874z00_1233 = 
BGl_readz00zz__readerz00(BgL_cportz00_1229, BgL_locationz00_1235); } } } 
{ /* Llib/flac.scm 15 */
 int BgL_tmpz00_1945;
BgL_tmpz00_1945 = 
(int)(BgL_iz00_1230); 
CNST_TABLE_SET(BgL_tmpz00_1945, BgL_arg1874z00_1233); } } 
{ /* Llib/flac.scm 15 */
 int BgL_auxz00_1236;
BgL_auxz00_1236 = 
(int)(
(BgL_iz00_1230-((long)1))); 
{ 
 long BgL_iz00_1950;
BgL_iz00_1950 = 
(long)(BgL_auxz00_1236); 
BgL_iz00_1230 = BgL_iz00_1950; 
goto BgL_loopz00_1231;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1783z00zz__flac_flacz00)); 
return BUNSPEC;} 

}



/* %$flac-decoder-new */
BGL_EXPORTED_DEF FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00()
{
{ /* Llib/flac.scm 77 */
return 
FLAC__stream_decoder_new();} 

}



/* &%$flac-decoder-new */
obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t BgL_envz00_928)
{
{ /* Llib/flac.scm 77 */
return 
void_star_to_obj(
BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00());} 

}



/* %$flac-make-custom */
BGL_EXPORTED_DEF obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00()
{
{ /* Llib/flac.scm 83 */
return 
create_custom(((long)0));} 

}



/* &%$flac-make-custom */
obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t BgL_envz00_929)
{
{ /* Llib/flac.scm 83 */
return 
BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00();} 

}



/* flac-decoder-state->symbol */
obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState BgL_sz00_29)
{
{ /* Llib/flac.scm 195 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_METADATA))
{ /* Llib/flac.scm 197 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/flac.scm 197 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_METADATA))
{ /* Llib/flac.scm 199 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/flac.scm 199 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_FRAME_SYNC))
{ /* Llib/flac.scm 201 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/flac.scm 201 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_FRAME))
{ /* Llib/flac.scm 203 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/flac.scm 203 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_END_OF_STREAM))
{ /* Llib/flac.scm 205 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/flac.scm 205 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_OGG_ERROR))
{ /* Llib/flac.scm 207 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/flac.scm 207 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEEK_ERROR))
{ /* Llib/flac.scm 209 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/flac.scm 209 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_ABORTED))
{ /* Llib/flac.scm 211 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/flac.scm 211 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR))
{ /* Llib/flac.scm 213 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Llib/flac.scm 213 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_UNINITIALIZED))
{ /* Llib/flac.scm 215 */
return 
CNST_TABLE_REF(((long)9));}  else 
{ /* Llib/flac.scm 215 */
return 
CNST_TABLE_REF(((long)10));} } } } } } } } } } } 

}



/* flac-error */
BGL_EXPORTED_DEF int bgl_flac_error(char * BgL_procz00_35, char * BgL_msgz00_36, obj_t BgL_objz00_37)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_arg1167z00_63;
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1103z00_64;
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1102z00_67;
BgL_new1102z00_67 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 268 */
 long BgL_arg1175z00_68;
BgL_arg1175z00_68 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_67), BgL_arg1175z00_68); } 
BgL_new1103z00_64 = BgL_new1102z00_67; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1103z00_64)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1103z00_64)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1999;
{ /* Llib/flac.scm 268 */
 obj_t BgL_arg1171z00_65;
{ /* Llib/flac.scm 268 */
 obj_t BgL_arg1172z00_66;
{ /* Llib/flac.scm 268 */
 obj_t BgL_classz00_397;
BgL_classz00_397 = BGl_z62flaczd2errorzb0zz__flac_flacz00; 
BgL_arg1172z00_66 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_397); } 
BgL_arg1171z00_65 = 
VECTOR_REF(BgL_arg1172z00_66,((long)2)); } 
BgL_auxz00_1999 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1171z00_65); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1103z00_64)))->BgL_stackz00)=((obj_t)BgL_auxz00_1999),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1103z00_64)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_35)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1103z00_64)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_36)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1103z00_64)))->BgL_objz00)=((obj_t)BgL_objz00_37),BUNSPEC); 
BgL_arg1167z00_63 = BgL_new1103z00_64; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1167z00_63)); } 
return 
(int)(((long)0));} 

}



/* &flac-error1718 */
obj_t BGl_z62flaczd2error1718zb0zz__flac_flacz00(obj_t BgL_envz00_930, obj_t BgL_procz00_931, obj_t BgL_msgz00_932, obj_t BgL_objz00_933)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 271 */
 int BgL_tmpz00_2016;
{ /* Llib/flac.scm 271 */
 char * BgL_auxz00_2026; char * BgL_auxz00_2017;
{ /* Llib/flac.scm 271 */
 obj_t BgL_tmpz00_2027;
if(
STRINGP(BgL_msgz00_932))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_2027 = BgL_msgz00_932
; }  else 
{ 
 obj_t BgL_auxz00_2030;
BgL_auxz00_2030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)12269)), BGl_string1785z00zz__flac_flacz00, BGl_string1786z00zz__flac_flacz00, BgL_msgz00_932); 
FAILURE(BgL_auxz00_2030,BFALSE,BFALSE);} 
BgL_auxz00_2026 = 
BSTRING_TO_STRING(BgL_tmpz00_2027); } 
{ /* Llib/flac.scm 271 */
 obj_t BgL_tmpz00_2018;
if(
STRINGP(BgL_procz00_931))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_2018 = BgL_procz00_931
; }  else 
{ 
 obj_t BgL_auxz00_2021;
BgL_auxz00_2021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)12269)), BGl_string1785z00zz__flac_flacz00, BGl_string1786z00zz__flac_flacz00, BgL_procz00_931); 
FAILURE(BgL_auxz00_2021,BFALSE,BFALSE);} 
BgL_auxz00_2017 = 
BSTRING_TO_STRING(BgL_tmpz00_2018); } 
BgL_tmpz00_2016 = 
bgl_flac_error(BgL_auxz00_2017, BgL_auxz00_2026, BgL_objz00_933); } 
return 
BINT(BgL_tmpz00_2016);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1180z00_71; obj_t BgL_arg1181z00_72;
{ /* Llib/flac.scm 31 */
 obj_t BgL_v1108z00_78;
BgL_v1108z00_78 = 
create_vector(((long)9)); 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1186z00_79;
BgL_arg1186z00_79 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1789z00zz__flac_flacz00, BGl_proc1788z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1787z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1108z00_78,((long)0),BgL_arg1186z00_79); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1197z00_92;
BgL_arg1197z00_92 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1792z00zz__flac_flacz00, BGl_proc1791z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1790z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1108z00_78,((long)1),BgL_arg1197z00_92); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1205z00_105;
BgL_arg1205z00_105 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1795z00zz__flac_flacz00, BGl_proc1794z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1793z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)16))); 
VECTOR_SET(BgL_v1108z00_78,((long)2),BgL_arg1205z00_105); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1215z00_118;
BgL_arg1215z00_118 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1798z00zz__flac_flacz00, BGl_proc1797z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1796z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1108z00_78,((long)3),BgL_arg1215z00_118); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1225z00_131;
BgL_arg1225z00_131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1801z00zz__flac_flacz00, BGl_proc1800z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1799z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1108z00_78,((long)4),BgL_arg1225z00_131); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1234z00_144;
BgL_arg1234z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1804z00zz__flac_flacz00, BGl_proc1803z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1802z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)22))); 
VECTOR_SET(BgL_v1108z00_78,((long)5),BgL_arg1234z00_144); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1250z00_157;
BgL_arg1250z00_157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1807z00zz__flac_flacz00, BGl_proc1806z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1805z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1108z00_78,((long)6),BgL_arg1250z00_157); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1267z00_170;
BgL_arg1267z00_170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc1810z00zz__flac_flacz00, BGl_proc1809z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1808z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1108z00_78,((long)7),BgL_arg1267z00_170); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1279z00_183;
BgL_arg1279z00_183 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc1813z00zz__flac_flacz00, BGl_proc1812z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1811z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1108z00_78,((long)8),BgL_arg1279z00_183); } 
BgL_arg1180z00_71 = BgL_v1108z00_78; } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_v1109z00_196;
BgL_v1109z00_196 = 
create_vector(((long)0)); 
BgL_arg1181z00_72 = BgL_v1109z00_196; } 
BGl_flaczd2decoderzd2zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)28)), BGl_objectz00zz__objectz00, ((long)5831), BFALSE, BGl_proc1815z00zz__flac_flacz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1814z00zz__flac_flacz00, BFALSE, BgL_arg1180z00_71, BgL_arg1181z00_72); } 
{ /* Llib/flac.scm 43 */
 obj_t BgL_arg1333z00_202; obj_t BgL_arg1338z00_203;
{ /* Llib/flac.scm 43 */
 obj_t BgL_v1110z00_219;
BgL_v1110z00_219 = 
create_vector(((long)0)); 
BgL_arg1333z00_202 = BgL_v1110z00_219; } 
{ /* Llib/flac.scm 43 */
 obj_t BgL_v1111z00_220;
BgL_v1111z00_220 = 
create_vector(((long)0)); 
BgL_arg1338z00_203 = BgL_v1111z00_220; } 
return ( 
BGl_z62flaczd2errorzb0zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)29)), 
CNST_TABLE_REF(((long)28)), BGl_z62errorz62zz__objectz00, ((long)1288), BGl_proc1818z00zz__flac_flacz00, BGl_proc1817z00zz__flac_flacz00, BFALSE, BGl_proc1816z00zz__flac_flacz00, BFALSE, BgL_arg1333z00_202, BgL_arg1338z00_203), BUNSPEC) ;} } 

}



/* &<@anonymous:1343> */
obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__flac_flacz00(obj_t BgL_envz00_966, obj_t BgL_new1083z00_967)
{
{ /* Llib/flac.scm 43 */
{ 
 BgL_z62flaczd2errorzb0_bglt BgL_auxz00_2083;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2083 = 
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_967); 
return 
((obj_t)BgL_auxz00_2083);} } 

}



/* &lambda1341 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1341z62zz__flac_flacz00(obj_t BgL_envz00_968)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1082z00_1242;
BgL_new1082z00_1242 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
 long BgL_arg1342z00_1243;
BgL_arg1342z00_1243 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_1242), BgL_arg1342z00_1243); } 
return BgL_new1082z00_1242;} } 

}



/* &lambda1339 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1339z62zz__flac_flacz00(obj_t BgL_envz00_969, obj_t BgL_fname1076z00_970, obj_t BgL_location1077z00_971, obj_t BgL_stack1078z00_972, obj_t BgL_proc1079z00_973, obj_t BgL_msg1080z00_974, obj_t BgL_obj1081z00_975)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1105z00_1244;
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1104z00_1245;
BgL_new1104z00_1245 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
 long BgL_arg1340z00_1246;
BgL_arg1340z00_1246 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_1245), BgL_arg1340z00_1246); } 
BgL_new1105z00_1244 = BgL_new1104z00_1245; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_1244)))->BgL_fnamez00)=((obj_t)BgL_fname1076z00_970),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_1244)))->BgL_locationz00)=((obj_t)BgL_location1077z00_971),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_1244)))->BgL_stackz00)=((obj_t)BgL_stack1078z00_972),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_1244)))->BgL_procz00)=((obj_t)BgL_proc1079z00_973),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_1244)))->BgL_msgz00)=((obj_t)BgL_msg1080z00_974),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_1244)))->BgL_objz00)=((obj_t)BgL_obj1081z00_975),BUNSPEC); 
return BgL_new1105z00_1244;} } 

}



/* &<@anonymous:1185> */
obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__flac_flacz00(obj_t BgL_envz00_976, obj_t BgL_new1074z00_977)
{
{ /* Llib/flac.scm 31 */
{ 
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2124;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_outbufz00)=((obj_t)BGl_string1819z00zz__flac_flacz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977)))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_2124 = 
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_977); 
return 
((obj_t)BgL_auxz00_2124);} } 

}



/* &lambda1182 */
BgL_flaczd2decoderzd2_bglt BGl_z62lambda1182z62zz__flac_flacz00(obj_t BgL_envz00_978)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 BgL_flaczd2decoderzd2_bglt BgL_new1073z00_1248;
BgL_new1073z00_1248 = 
((BgL_flaczd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2decoderzd2_bgl) ))); 
{ /* Llib/flac.scm 31 */
 long BgL_arg1184z00_1249;
BgL_arg1184z00_1249 = 
BGL_CLASS_NUM(BGl_flaczd2decoderzd2zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1248), BgL_arg1184z00_1249); } 
return BgL_new1073z00_1248;} } 

}



/* &<@anonymous:1289> */
obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_flacz00(obj_t BgL_envz00_979)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)128));} 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__flac_flacz00(obj_t BgL_envz00_980, obj_t BgL_oz00_981, obj_t BgL_vz00_982)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 int BgL_vz00_1251;
BgL_vz00_1251 = 
CINT(BgL_vz00_982); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_981)))->BgL_z52rchecksumz52)=((int)BgL_vz00_1251),BUNSPEC);} } 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__flac_flacz00(obj_t BgL_envz00_983, obj_t BgL_oz00_984)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_984)))->BgL_z52rchecksumz52));} 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__flac_flacz00(obj_t BgL_envz00_985)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)128));} 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__flac_flacz00(obj_t BgL_envz00_986, obj_t BgL_oz00_987, obj_t BgL_vz00_988)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 int BgL_vz00_1254;
BgL_vz00_1254 = 
CINT(BgL_vz00_988); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_987)))->BgL_z52bchecksumz52)=((int)BgL_vz00_1254),BUNSPEC);} } 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__flac_flacz00(obj_t BgL_envz00_989, obj_t BgL_oz00_990)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_990)))->BgL_z52bchecksumz52));} 

}



/* &<@anonymous:1265> */
obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__flac_flacz00(obj_t BgL_envz00_991)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__flac_flacz00(obj_t BgL_envz00_992, obj_t BgL_oz00_993, obj_t BgL_vz00_994)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 bool_t BgL_vz00_1257;
BgL_vz00_1257 = 
CBOOL(BgL_vz00_994); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_993)))->BgL_md5checkz00)=((bool_t)BgL_vz00_1257),BUNSPEC);} } 

}



/* &lambda1263 */
obj_t BGl_z62lambda1263z62zz__flac_flacz00(obj_t BgL_envz00_995, obj_t BgL_oz00_996)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_996)))->BgL_md5checkz00));} 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_flacz00(obj_t BgL_envz00_997)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(((double)1.0));} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__flac_flacz00(obj_t BgL_envz00_998, obj_t BgL_oz00_999, obj_t BgL_vz00_1000)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 double BgL_vz00_1260;
BgL_vz00_1260 = 
REAL_TO_DOUBLE(BgL_vz00_1000); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_999)))->BgL_z52volumez52)=((double)BgL_vz00_1260),BUNSPEC);} } 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__flac_flacz00(obj_t BgL_envz00_1001, obj_t BgL_oz00_1002)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1002)))->BgL_z52volumez52));} 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1003)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)0));} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__flac_flacz00(obj_t BgL_envz00_1004, obj_t BgL_oz00_1005, obj_t BgL_vz00_1006)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 long BgL_vz00_1263;
BgL_vz00_1263 = 
(long)CINT(BgL_vz00_1006); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1005)))->BgL_z52samplez52)=((long)BgL_vz00_1263),BUNSPEC);} } 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__flac_flacz00(obj_t BgL_envz00_1007, obj_t BgL_oz00_1008)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1008)))->BgL_z52samplez52));} 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1009)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1223 */
obj_t BGl_z62lambda1223z62zz__flac_flacz00(obj_t BgL_envz00_1010, obj_t BgL_oz00_1011, obj_t BgL_vz00_1012)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 bool_t BgL_vz00_1266;
BgL_vz00_1266 = 
CBOOL(BgL_vz00_1012); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1011)))->BgL_z52eofz52)=((bool_t)BgL_vz00_1266),BUNSPEC);} } 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__flac_flacz00(obj_t BgL_envz00_1013, obj_t BgL_oz00_1014)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1014)))->BgL_z52eofz52));} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1015)
{
{ /* Llib/flac.scm 31 */
return BGl_string1819z00zz__flac_flacz00;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__flac_flacz00(obj_t BgL_envz00_1016, obj_t BgL_oz00_1017, obj_t BgL_vz00_1018)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1017)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_1018)),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__flac_flacz00(obj_t BgL_envz00_1019, obj_t BgL_oz00_1020)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1020)))->BgL_outbufz00);} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1021)
{
{ /* Llib/flac.scm 31 */
return 
create_custom(((long)0));} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__flac_flacz00(obj_t BgL_envz00_1022, obj_t BgL_oz00_1023, obj_t BgL_vz00_1024)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1023)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_vz00_1024)),BUNSPEC);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__flac_flacz00(obj_t BgL_envz00_1025, obj_t BgL_oz00_1026)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1026)))->BgL_z52flacbufz52);} 

}



/* &<@anonymous:1193> */
obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1027)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
FLAC__stream_decoder_new());} 

}



/* &lambda1192 */
obj_t BGl_z62lambda1192z62zz__flac_flacz00(obj_t BgL_envz00_1028, obj_t BgL_oz00_1029, obj_t BgL_vz00_1030)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 FLAC__StreamDecoder * BgL_vz00_1275;
BgL_vz00_1275 = 
FOREIGN_TO_COBJ(BgL_vz00_1030); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1029)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_vz00_1275),BUNSPEC);} } 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__flac_flacz00(obj_t BgL_envz00_1031, obj_t BgL_oz00_1032)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1032)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1820z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1821z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BGl_proc1822z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1823z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BGl_proc1824z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1825z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BGl_proc1826z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1827z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_proc1828z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1829z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_proc1830z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1831z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_proc1832z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1833z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_proc1834z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1835z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_proc1836z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1837z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_proc1838z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1839z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_proc1840z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1841z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BGl_proc1842z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1843z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BGl_proc1844z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1845z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BGl_proc1846z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1847z00zz__flac_flacz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BGl_proc1848z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1849z00zz__flac_flacz00);} 

}



/* &flac-volume-set!1142 */
obj_t BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00(obj_t BgL_envz00_1052, obj_t BgL_mz00_1053, obj_t BgL_volz00_1054)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 260 */
 bool_t BgL_test2012z00_2229;
if(
(
(long)CINT(BgL_volz00_1054)>=((long)0)))
{ /* Llib/flac.scm 260 */
BgL_test2012z00_2229 = 
(
(long)CINT(BgL_volz00_1054)<=((long)100))
; }  else 
{ /* Llib/flac.scm 260 */
BgL_test2012z00_2229 = ((bool_t)0)
; } 
if(BgL_test2012z00_2229)
{ /* Llib/flac.scm 261 */
 double BgL_vz00_1278;
BgL_vz00_1278 = 
(
(double)(
(long)CINT(BgL_volz00_1054))/((double)100.0)); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1053)))->BgL_z52volumez52)=((double)
(BgL_vz00_1278*BgL_vz00_1278)),BUNSPEC);}  else 
{ /* Llib/flac.scm 260 */
return BFALSE;} } } 

}



/* &flac-volume-get1140 */
obj_t BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00(obj_t BgL_envz00_1055, obj_t BgL_mz00_1056)
{
{ /* Llib/flac.scm 251 */
return 
BINT(
(long)(
(
sqrt(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1056)))->BgL_z52volumez52))*((double)100.0))));} 

}



/* &flac-decoder-positio1138 */
obj_t BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00(obj_t BgL_envz00_1057, obj_t BgL_mz00_1058)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 240 */
 long BgL_tmpz00_2247;
if(
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1058)))->BgL_z52samplez52)<((long)0)))
{ /* Llib/flac.scm 241 */
BgL_tmpz00_2247 = ((long)0)
; }  else 
{ /* Llib/flac.scm 243 */
 unsigned long BgL_sratez00_1281;
{ /* Llib/flac.scm 243 */
 FLAC__StreamDecoder * BgL_tmpz00_2252;
BgL_tmpz00_2252 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1058)))->BgL_z42builtinz42); 
BgL_sratez00_1281 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_2252); } 
if(
(
(long)(BgL_sratez00_1281)==((long)0)))
{ /* Llib/flac.scm 244 */
BgL_tmpz00_2247 = ((long)0)
; }  else 
{ /* Llib/flac.scm 244 */
BgL_tmpz00_2247 = 
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1058)))->BgL_z52samplez52)/
(long)(BgL_sratez00_1281))
; } } 
return 
BINT(BgL_tmpz00_2247);} } 

}



/* &flac-decoder-info1136 */
obj_t BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00(obj_t BgL_envz00_1059, obj_t BgL_oz00_1060)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 188 */
 unsigned long BgL_tmpz00_2264;
{ /* Llib/flac.scm 189 */
 unsigned long BgL_val0_1106z00_1283; unsigned long BgL_val1_1107z00_1284;
{ /* Llib/flac.scm 189 */
 FLAC__StreamDecoder * BgL_tmpz00_2265;
BgL_tmpz00_2265 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1060)))->BgL_z42builtinz42); 
BgL_val0_1106z00_1283 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_tmpz00_2265); } 
{ /* Llib/flac.scm 190 */
 FLAC__StreamDecoder * BgL_tmpz00_2269;
BgL_tmpz00_2269 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1060)))->BgL_z42builtinz42); 
BgL_val1_1107z00_1284 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_2269); } 
{ /* Llib/flac.scm 189 */
 int BgL_tmpz00_2273;
BgL_tmpz00_2273 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2273); } 
{ /* Llib/flac.scm 189 */
 obj_t BgL_auxz00_2278; int BgL_tmpz00_2276;
BgL_auxz00_2278 = 
BINT(BgL_val1_1107z00_1284); 
BgL_tmpz00_2276 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2276, BgL_auxz00_2278); } 
BgL_tmpz00_2264 = BgL_val0_1106z00_1283; } 
return 
BINT(BgL_tmpz00_2264);} } 

}



/* &flac-decoder-length1134 */
obj_t BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00(obj_t BgL_envz00_1061, obj_t BgL_oz00_1062)
{
{ /* Llib/flac.scm 181 */
return 
BINT(((long)-1));} 

}



/* &flac-decoder-seek1132 */
obj_t BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00(obj_t BgL_envz00_1063, obj_t BgL_oz00_1064, obj_t BgL_offsetz00_1065)
{
{ /* Llib/flac.scm 175 */
return 
BBOOL(((bool_t)1));} 

}



/* &flac-decoder-tell1130 */
obj_t BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00(obj_t BgL_envz00_1066, obj_t BgL_oz00_1067)
{
{ /* Llib/flac.scm 169 */
return 
BBOOL(((bool_t)0));} 

}



/* &flac-decoder-metadat1128 */
obj_t BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00(obj_t BgL_envz00_1068, obj_t BgL_oz00_1069, obj_t BgL_totalz00_1070, obj_t BgL_sratez00_1071, obj_t BgL_channelsz00_1072, obj_t BgL_bpsz00_1073)
{
{ /* Llib/flac.scm 160 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string1850z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1069)));} 

}



/* &flac-decoder-write1126 */
obj_t BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00(obj_t BgL_envz00_1074, obj_t BgL_oz00_1075, obj_t BgL_blocksiza7eza7_1076, obj_t BgL_sratez00_1077, obj_t BgL_channelsz00_1078, obj_t BgL_bpsz00_1079)
{
{ /* Llib/flac.scm 151 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string1850z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1075)));} 

}



/* &flac-decoder-read1124 */
obj_t BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00(obj_t BgL_envz00_1080, obj_t BgL_oz00_1081, obj_t BgL_siza7eza7_1082)
{
{ /* Llib/flac.scm 146 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string1850z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1081)));} 

}



/* &flac-decoder-reset!1122 */
obj_t BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00(obj_t BgL_envz00_1083, obj_t BgL_oz00_1084)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 130 */
 bool_t BgL_test2016z00_2297;
{ /* Llib/flac.scm 130 */
 obj_t BgL_arg1455z00_1302;
{ /* Llib/flac.scm 141 */
 FLAC__StreamDecoderState BgL_arg1148z00_1303;
{ /* Llib/flac.scm 141 */
 FLAC__StreamDecoder * BgL_tmpz00_2298;
BgL_tmpz00_2298 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1084)))->BgL_z42builtinz42); 
BgL_arg1148z00_1303 = 
FLAC__stream_decoder_get_state(BgL_tmpz00_2298); } 
BgL_arg1455z00_1302 = 
BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(BgL_arg1148z00_1303); } 
BgL_test2016z00_2297 = 
(BgL_arg1455z00_1302==
CNST_TABLE_REF(((long)9))); } 
if(BgL_test2016z00_2297)
{ /* Llib/flac.scm 130 */
return BFALSE;}  else 
{ /* Llib/flac.scm 130 */
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1084)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1084)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
{ /* Llib/flac.scm 134 */
 FLAC__StreamDecoder * BgL_arg1414z00_1304;
BgL_arg1414z00_1304 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1084)))->BgL_z42builtinz42); 
return 
BINT(
FLAC__stream_decoder_reset(BgL_arg1414z00_1304));} } } } 

}



/* &flac-decoder-decode11120 */
obj_t BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00(obj_t BgL_envz00_1085, obj_t BgL_oz00_1086)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 119 */
 long BgL_tmpz00_2313;
{ /* Llib/flac.scm 120 */
 obj_t BgL_exitd1092z00_1306;
BgL_exitd1092z00_1306 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 124 */
 obj_t BgL_zc3z04anonymousza31369ze3z87_1307;
BgL_zc3z04anonymousza31369ze3z87_1307 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31369ze3ze5zz__flac_flacz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31369ze3z87_1307, 
(int)(((long)0)), 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086))); 
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1818z00_1308;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1819z00_1309;
BgL_arg1819z00_1309 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_1306); 
BgL_arg1818z00_1308 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31369ze3z87_1307, BgL_arg1819z00_1309); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1092z00_1306, BgL_arg1818z00_1308); BUNSPEC; } 
{ /* Llib/flac.scm 122 */
 FLAC__bool BgL_tmp1094z00_1310;
{ /* Llib/flac.scm 122 */
 FLAC__StreamDecoder * BgL_arg1367z00_1311;
BgL_arg1367z00_1311 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 122 */
 obj_t BgL_tmpz00_2327;
BgL_tmpz00_2327 = 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)); 
bgl_FLAC__stream_decoder_init_stream16(BgL_arg1367z00_1311, BgL_tmpz00_2327); } } 
{ /* Llib/flac.scm 123 */
 FLAC__StreamDecoder * BgL_tmpz00_2331;
BgL_tmpz00_2331 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)))->BgL_z42builtinz42); 
BgL_tmp1094z00_1310 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_2331); } 
{ /* Llib/flac.scm 120 */
 bool_t BgL_test2017z00_2335;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1817z00_1312;
BgL_arg1817z00_1312 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_1306); 
BgL_test2017z00_2335 = 
PAIRP(BgL_arg1817z00_1312); } 
if(BgL_test2017z00_2335)
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1815z00_1313;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1816z00_1314;
BgL_arg1816z00_1314 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_1306); 
BgL_arg1815z00_1313 = 
CDR(
((obj_t)BgL_arg1816z00_1314)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1092z00_1306, BgL_arg1815z00_1313); BUNSPEC; }  else 
{ /* Llib/flac.scm 120 */BFALSE; } } 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)); 
BgL_tmpz00_2313 = BgL_tmp1094z00_1310; } } } 
return 
BINT(BgL_tmpz00_2313);} } 

}



/* &<@anonymous:1369> */
obj_t BGl_z62zc3z04anonymousza31369ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1087)
{
{ /* Llib/flac.scm 120 */
{ /* Llib/flac.scm 124 */
 BgL_flaczd2decoderzd2_bglt BgL_oz00_1088;
BgL_oz00_1088 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1087, 
(int)(((long)0)))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1088);} } 

}



/* &flac-decoder-decode1118 */
obj_t BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00(obj_t BgL_envz00_1089, obj_t BgL_oz00_1090)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 108 */
 long BgL_tmpz00_2349;
{ /* Llib/flac.scm 109 */
 obj_t BgL_exitd1087z00_1316;
BgL_exitd1087z00_1316 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 113 */
 obj_t BgL_zc3z04anonymousza31364ze3z87_1317;
BgL_zc3z04anonymousza31364ze3z87_1317 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31364ze3ze5zz__flac_flacz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31364ze3z87_1317, 
(int)(((long)0)), 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1090))); 
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1818z00_1318;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1819z00_1319;
BgL_arg1819z00_1319 = 
BGL_EXITD_PROTECT(BgL_exitd1087z00_1316); 
BgL_arg1818z00_1318 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31364ze3z87_1317, BgL_arg1819z00_1319); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1087z00_1316, BgL_arg1818z00_1318); BUNSPEC; } 
{ /* Llib/flac.scm 111 */
 FLAC__bool BgL_tmp1089z00_1320;
{ /* Llib/flac.scm 111 */
 FLAC__StreamDecoder * BgL_arg1361z00_1321;
BgL_arg1361z00_1321 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1090)))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 111 */
 obj_t BgL_tmpz00_2363;
BgL_tmpz00_2363 = 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1090)); 
bgl_FLAC__stream_decoder_init_stream(BgL_arg1361z00_1321, BgL_tmpz00_2363); } } 
{ /* Llib/flac.scm 112 */
 FLAC__StreamDecoder * BgL_tmpz00_2367;
BgL_tmpz00_2367 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1090)))->BgL_z42builtinz42); 
BgL_tmp1089z00_1320 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_2367); } 
{ /* Llib/flac.scm 109 */
 bool_t BgL_test2018z00_2371;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1817z00_1322;
BgL_arg1817z00_1322 = 
BGL_EXITD_PROTECT(BgL_exitd1087z00_1316); 
BgL_test2018z00_2371 = 
PAIRP(BgL_arg1817z00_1322); } 
if(BgL_test2018z00_2371)
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1815z00_1323;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1816z00_1324;
BgL_arg1816z00_1324 = 
BGL_EXITD_PROTECT(BgL_exitd1087z00_1316); 
BgL_arg1815z00_1323 = 
CDR(
((obj_t)BgL_arg1816z00_1324)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1087z00_1316, BgL_arg1815z00_1323); BUNSPEC; }  else 
{ /* Llib/flac.scm 109 */BFALSE; } } 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1090)); 
BgL_tmpz00_2349 = BgL_tmp1089z00_1320; } } } 
return 
BINT(BgL_tmpz00_2349);} } 

}



/* &<@anonymous:1364> */
obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1091)
{
{ /* Llib/flac.scm 109 */
{ /* Llib/flac.scm 113 */
 BgL_flaczd2decoderzd2_bglt BgL_oz00_1092;
BgL_oz00_1092 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1091, 
(int)(((long)0)))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1092);} } 

}



/* &flac-decoder-close1116 */
obj_t BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00(obj_t BgL_envz00_1093, obj_t BgL_oz00_1094)
{
{ /* Llib/flac.scm 99 */
{ 
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2385;
{ /* Llib/flac.scm 101 */
 FLAC__StreamDecoder * BgL_arg1358z00_1326;
BgL_arg1358z00_1326 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1094)))->BgL_z42builtinz42); 
FLAC__stream_decoder_delete(BgL_arg1358z00_1326); BUNSPEC; } 
BgL_auxz00_2385 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1094); 
return 
((obj_t)BgL_auxz00_2385);} } 

}



/* &flac-decoder-init1114 */
obj_t BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00(obj_t BgL_envz00_1095, obj_t BgL_oz00_1096)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 91 */
 FLAC__StreamDecoder * BgL_arg1348z00_1330; FLAC__bool BgL_arg1349z00_1331;
BgL_arg1348z00_1330 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1096)))->BgL_z42builtinz42); 
if(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1096)))->BgL_md5checkz00))
{ /* Llib/flac.scm 92 */
BgL_arg1349z00_1331 = true; }  else 
{ /* Llib/flac.scm 92 */
BgL_arg1349z00_1331 = false; } 
FLAC__stream_decoder_set_md5_checking(BgL_arg1348z00_1330, BgL_arg1349z00_1331); } 
{ 
 obj_t BgL_auxz00_2397;
{ /* Llib/flac.scm 94 */
 long BgL_arg1354z00_1332;
BgL_arg1354z00_1332 = 
(FLAC__MAX_BLOCK_SIZE*
(FLAC__MAX_CHANNELS*((long)4))); 
{ /* Llib/flac.scm 94 */

BgL_auxz00_2397 = 
make_string(BgL_arg1354z00_1332, ((unsigned char)' ')); } } 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1096)))->BgL_outbufz00)=((obj_t)BgL_auxz00_2397),BUNSPEC);} } 

}



/* flac-decoder-init */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_6)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
 obj_t BgL_method1115z00_350;
{ /* Llib/flac.scm 89 */
 obj_t BgL_res1647z00_491;
{ /* Llib/flac.scm 89 */
 long BgL_objzd2classzd2numz00_462;
BgL_objzd2classzd2numz00_462 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_6)); 
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1801z00_463;
BgL_arg1801z00_463 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 89 */
 int BgL_offsetz00_466;
BgL_offsetz00_466 = 
(int)(BgL_objzd2classzd2numz00_462); 
{ /* Llib/flac.scm 89 */
 long BgL_offsetz00_467;
BgL_offsetz00_467 = 
(
(long)(BgL_offsetz00_466)-OBJECT_TYPE); 
{ /* Llib/flac.scm 89 */
 long BgL_modz00_468;
BgL_modz00_468 = 
(BgL_offsetz00_467 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 89 */
 long BgL_restz00_470;
BgL_restz00_470 = 
(BgL_offsetz00_467 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 89 */

{ /* Llib/flac.scm 89 */
 obj_t BgL_bucketz00_472;
BgL_bucketz00_472 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_463),BgL_modz00_468); 
BgL_res1647z00_491 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_472),BgL_restz00_470); } } } } } } } } 
BgL_method1115z00_350 = BgL_res1647z00_491; } 
return 
PROCEDURE_ENTRY(BgL_method1115z00_350)(BgL_method1115z00_350, 
((obj_t)BgL_oz00_6), BEOA);} } 

}



/* &flac-decoder-init */
obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t BgL_envz00_1033, obj_t BgL_oz00_1034)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2433;
{ /* Llib/flac.scm 89 */
 bool_t BgL_test2020z00_2434;
{ /* Llib/flac.scm 89 */
 obj_t BgL_classz00_1335;
BgL_classz00_1335 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1034))
{ /* Llib/flac.scm 89 */
 BgL_objectz00_bglt BgL_arg1799z00_1337; long BgL_arg1800z00_1338;
BgL_arg1799z00_1337 = 
(BgL_objectz00_bglt)(BgL_oz00_1034); 
BgL_arg1800z00_1338 = 
BGL_CLASS_DEPTH(BgL_classz00_1335); 
{ /* Llib/flac.scm 89 */
 bool_t BgL_arg1794z00_1342; bool_t BgL_arg1795z00_1343;
{ /* Llib/flac.scm 89 */
 long BgL_idxz00_1347;
BgL_idxz00_1347 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1337); 
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1791z00_1348;
{ /* Llib/flac.scm 89 */
 long BgL_arg1792z00_1349;
BgL_arg1792z00_1349 = 
(BgL_idxz00_1347+BgL_arg1800z00_1338); 
BgL_arg1791z00_1348 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1349); } 
BgL_arg1794z00_1342 = 
(BgL_arg1791z00_1348==BgL_classz00_1335); } } 
{ /* Llib/flac.scm 89 */
 bool_t BgL_res1875z00_1372;
{ /* Llib/flac.scm 89 */
 obj_t BgL_oclassz00_1357;
{ /* Llib/flac.scm 89 */
 long BgL_arg1804z00_1363;
{ /* Llib/flac.scm 89 */
 long BgL_arg1805z00_1364;
BgL_arg1805z00_1364 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1337); 
BgL_arg1804z00_1363 = 
(BgL_arg1805z00_1364-OBJECT_TYPE); } 
BgL_oclassz00_1357 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1363); } 
{ /* Llib/flac.scm 89 */
 bool_t BgL__ortest_1111z00_1358;
BgL__ortest_1111z00_1358 = 
(BgL_classz00_1335==BgL_oclassz00_1357); 
if(BgL__ortest_1111z00_1358)
{ /* Llib/flac.scm 89 */
BgL_res1875z00_1372 = BgL__ortest_1111z00_1358; }  else 
{ /* Llib/flac.scm 89 */
 long BgL_odepthz00_1359;
BgL_odepthz00_1359 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1357); 
if(
(BgL_arg1800z00_1338<BgL_odepthz00_1359))
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1793z00_1361;
BgL_arg1793z00_1361 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1357, BgL_arg1800z00_1338); 
BgL_res1875z00_1372 = 
(BgL_arg1793z00_1361==BgL_classz00_1335); }  else 
{ /* Llib/flac.scm 89 */
BgL_res1875z00_1372 = ((bool_t)0); } } } } 
BgL_arg1795z00_1343 = BgL_res1875z00_1372; } 
BgL_test2020z00_2434 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1342, BgL_arg1795z00_1343); } }  else 
{ /* Llib/flac.scm 89 */
BgL_test2020z00_2434 = ((bool_t)0)
; } } 
if(BgL_test2020z00_2434)
{ /* Llib/flac.scm 89 */
BgL_auxz00_2433 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1034)
; }  else 
{ 
 obj_t BgL_auxz00_2455;
BgL_auxz00_2455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)4030)), BGl_string1851z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1034); 
FAILURE(BgL_auxz00_2455,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_auxz00_2433);} } 

}



/* flac-decoder-close */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_7)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
 obj_t BgL_method1117z00_351;
{ /* Llib/flac.scm 99 */
 obj_t BgL_res1652z00_522;
{ /* Llib/flac.scm 99 */
 long BgL_objzd2classzd2numz00_493;
BgL_objzd2classzd2numz00_493 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_7)); 
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1801z00_494;
BgL_arg1801z00_494 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 99 */
 int BgL_offsetz00_497;
BgL_offsetz00_497 = 
(int)(BgL_objzd2classzd2numz00_493); 
{ /* Llib/flac.scm 99 */
 long BgL_offsetz00_498;
BgL_offsetz00_498 = 
(
(long)(BgL_offsetz00_497)-OBJECT_TYPE); 
{ /* Llib/flac.scm 99 */
 long BgL_modz00_499;
BgL_modz00_499 = 
(BgL_offsetz00_498 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 99 */
 long BgL_restz00_501;
BgL_restz00_501 = 
(BgL_offsetz00_498 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 99 */

{ /* Llib/flac.scm 99 */
 obj_t BgL_bucketz00_503;
BgL_bucketz00_503 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_494),BgL_modz00_499); 
BgL_res1652z00_522 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_503),BgL_restz00_501); } } } } } } } } 
BgL_method1117z00_351 = BgL_res1652z00_522; } 
return 
PROCEDURE_ENTRY(BgL_method1117z00_351)(BgL_method1117z00_351, 
((obj_t)BgL_oz00_7), BEOA);} } 

}



/* &flac-decoder-close */
obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t BgL_envz00_1097, obj_t BgL_oz00_1098)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2490;
{ /* Llib/flac.scm 99 */
 bool_t BgL_test2024z00_2491;
{ /* Llib/flac.scm 99 */
 obj_t BgL_classz00_1373;
BgL_classz00_1373 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1098))
{ /* Llib/flac.scm 99 */
 BgL_objectz00_bglt BgL_arg1799z00_1375; long BgL_arg1800z00_1376;
BgL_arg1799z00_1375 = 
(BgL_objectz00_bglt)(BgL_oz00_1098); 
BgL_arg1800z00_1376 = 
BGL_CLASS_DEPTH(BgL_classz00_1373); 
{ /* Llib/flac.scm 99 */
 bool_t BgL_arg1794z00_1380; bool_t BgL_arg1795z00_1381;
{ /* Llib/flac.scm 99 */
 long BgL_idxz00_1385;
BgL_idxz00_1385 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1375); 
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1791z00_1386;
{ /* Llib/flac.scm 99 */
 long BgL_arg1792z00_1387;
BgL_arg1792z00_1387 = 
(BgL_idxz00_1385+BgL_arg1800z00_1376); 
BgL_arg1791z00_1386 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1387); } 
BgL_arg1794z00_1380 = 
(BgL_arg1791z00_1386==BgL_classz00_1373); } } 
{ /* Llib/flac.scm 99 */
 bool_t BgL_res1876z00_1410;
{ /* Llib/flac.scm 99 */
 obj_t BgL_oclassz00_1395;
{ /* Llib/flac.scm 99 */
 long BgL_arg1804z00_1401;
{ /* Llib/flac.scm 99 */
 long BgL_arg1805z00_1402;
BgL_arg1805z00_1402 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1375); 
BgL_arg1804z00_1401 = 
(BgL_arg1805z00_1402-OBJECT_TYPE); } 
BgL_oclassz00_1395 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1401); } 
{ /* Llib/flac.scm 99 */
 bool_t BgL__ortest_1111z00_1396;
BgL__ortest_1111z00_1396 = 
(BgL_classz00_1373==BgL_oclassz00_1395); 
if(BgL__ortest_1111z00_1396)
{ /* Llib/flac.scm 99 */
BgL_res1876z00_1410 = BgL__ortest_1111z00_1396; }  else 
{ /* Llib/flac.scm 99 */
 long BgL_odepthz00_1397;
BgL_odepthz00_1397 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1395); 
if(
(BgL_arg1800z00_1376<BgL_odepthz00_1397))
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1793z00_1399;
BgL_arg1793z00_1399 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1395, BgL_arg1800z00_1376); 
BgL_res1876z00_1410 = 
(BgL_arg1793z00_1399==BgL_classz00_1373); }  else 
{ /* Llib/flac.scm 99 */
BgL_res1876z00_1410 = ((bool_t)0); } } } } 
BgL_arg1795z00_1381 = BgL_res1876z00_1410; } 
BgL_test2024z00_2491 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1380, BgL_arg1795z00_1381); } }  else 
{ /* Llib/flac.scm 99 */
BgL_test2024z00_2491 = ((bool_t)0)
; } } 
if(BgL_test2024z00_2491)
{ /* Llib/flac.scm 99 */
BgL_auxz00_2490 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1098)
; }  else 
{ 
 obj_t BgL_auxz00_2512;
BgL_auxz00_2512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)4535)), BGl_string1853z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1098); 
FAILURE(BgL_auxz00_2512,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_auxz00_2490);} } 

}



/* flac-decoder-decode */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_8)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
 obj_t BgL_method1119z00_352;
{ /* Llib/flac.scm 107 */
 obj_t BgL_res1657z00_553;
{ /* Llib/flac.scm 107 */
 long BgL_objzd2classzd2numz00_524;
BgL_objzd2classzd2numz00_524 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_8)); 
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1801z00_525;
BgL_arg1801z00_525 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 107 */
 int BgL_offsetz00_528;
BgL_offsetz00_528 = 
(int)(BgL_objzd2classzd2numz00_524); 
{ /* Llib/flac.scm 107 */
 long BgL_offsetz00_529;
BgL_offsetz00_529 = 
(
(long)(BgL_offsetz00_528)-OBJECT_TYPE); 
{ /* Llib/flac.scm 107 */
 long BgL_modz00_530;
BgL_modz00_530 = 
(BgL_offsetz00_529 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 107 */
 long BgL_restz00_532;
BgL_restz00_532 = 
(BgL_offsetz00_529 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 107 */

{ /* Llib/flac.scm 107 */
 obj_t BgL_bucketz00_534;
BgL_bucketz00_534 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_525),BgL_modz00_530); 
BgL_res1657z00_553 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_534),BgL_restz00_532); } } } } } } } } 
BgL_method1119z00_352 = BgL_res1657z00_553; } 
return 
PROCEDURE_ENTRY(BgL_method1119z00_352)(BgL_method1119z00_352, 
((obj_t)BgL_oz00_8), BEOA);} } 

}



/* &flac-decoder-decode */
obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t BgL_envz00_1099, obj_t BgL_oz00_1100)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2547;
{ /* Llib/flac.scm 107 */
 bool_t BgL_test2028z00_2548;
{ /* Llib/flac.scm 107 */
 obj_t BgL_classz00_1411;
BgL_classz00_1411 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1100))
{ /* Llib/flac.scm 107 */
 BgL_objectz00_bglt BgL_arg1799z00_1413; long BgL_arg1800z00_1414;
BgL_arg1799z00_1413 = 
(BgL_objectz00_bglt)(BgL_oz00_1100); 
BgL_arg1800z00_1414 = 
BGL_CLASS_DEPTH(BgL_classz00_1411); 
{ /* Llib/flac.scm 107 */
 bool_t BgL_arg1794z00_1418; bool_t BgL_arg1795z00_1419;
{ /* Llib/flac.scm 107 */
 long BgL_idxz00_1423;
BgL_idxz00_1423 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1413); 
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1791z00_1424;
{ /* Llib/flac.scm 107 */
 long BgL_arg1792z00_1425;
BgL_arg1792z00_1425 = 
(BgL_idxz00_1423+BgL_arg1800z00_1414); 
BgL_arg1791z00_1424 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1425); } 
BgL_arg1794z00_1418 = 
(BgL_arg1791z00_1424==BgL_classz00_1411); } } 
{ /* Llib/flac.scm 107 */
 bool_t BgL_res1877z00_1448;
{ /* Llib/flac.scm 107 */
 obj_t BgL_oclassz00_1433;
{ /* Llib/flac.scm 107 */
 long BgL_arg1804z00_1439;
{ /* Llib/flac.scm 107 */
 long BgL_arg1805z00_1440;
BgL_arg1805z00_1440 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1413); 
BgL_arg1804z00_1439 = 
(BgL_arg1805z00_1440-OBJECT_TYPE); } 
BgL_oclassz00_1433 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1439); } 
{ /* Llib/flac.scm 107 */
 bool_t BgL__ortest_1111z00_1434;
BgL__ortest_1111z00_1434 = 
(BgL_classz00_1411==BgL_oclassz00_1433); 
if(BgL__ortest_1111z00_1434)
{ /* Llib/flac.scm 107 */
BgL_res1877z00_1448 = BgL__ortest_1111z00_1434; }  else 
{ /* Llib/flac.scm 107 */
 long BgL_odepthz00_1435;
BgL_odepthz00_1435 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1433); 
if(
(BgL_arg1800z00_1414<BgL_odepthz00_1435))
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1793z00_1437;
BgL_arg1793z00_1437 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1433, BgL_arg1800z00_1414); 
BgL_res1877z00_1448 = 
(BgL_arg1793z00_1437==BgL_classz00_1411); }  else 
{ /* Llib/flac.scm 107 */
BgL_res1877z00_1448 = ((bool_t)0); } } } } 
BgL_arg1795z00_1419 = BgL_res1877z00_1448; } 
BgL_test2028z00_2548 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1418, BgL_arg1795z00_1419); } }  else 
{ /* Llib/flac.scm 107 */
BgL_test2028z00_2548 = ((bool_t)0)
; } } 
if(BgL_test2028z00_2548)
{ /* Llib/flac.scm 107 */
BgL_auxz00_2547 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1100)
; }  else 
{ 
 obj_t BgL_auxz00_2569;
BgL_auxz00_2569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)4902)), BGl_string1854z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1100); 
FAILURE(BgL_auxz00_2569,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_auxz00_2547);} } 

}



/* flac-decoder-decode16 */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_9)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
 obj_t BgL_method1121z00_353;
{ /* Llib/flac.scm 118 */
 obj_t BgL_res1662z00_584;
{ /* Llib/flac.scm 118 */
 long BgL_objzd2classzd2numz00_555;
BgL_objzd2classzd2numz00_555 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1801z00_556;
BgL_arg1801z00_556 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 118 */
 int BgL_offsetz00_559;
BgL_offsetz00_559 = 
(int)(BgL_objzd2classzd2numz00_555); 
{ /* Llib/flac.scm 118 */
 long BgL_offsetz00_560;
BgL_offsetz00_560 = 
(
(long)(BgL_offsetz00_559)-OBJECT_TYPE); 
{ /* Llib/flac.scm 118 */
 long BgL_modz00_561;
BgL_modz00_561 = 
(BgL_offsetz00_560 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 118 */
 long BgL_restz00_563;
BgL_restz00_563 = 
(BgL_offsetz00_560 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 118 */

{ /* Llib/flac.scm 118 */
 obj_t BgL_bucketz00_565;
BgL_bucketz00_565 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_556),BgL_modz00_561); 
BgL_res1662z00_584 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_565),BgL_restz00_563); } } } } } } } } 
BgL_method1121z00_353 = BgL_res1662z00_584; } 
return 
PROCEDURE_ENTRY(BgL_method1121z00_353)(BgL_method1121z00_353, 
((obj_t)BgL_oz00_9), BEOA);} } 

}



/* &flac-decoder-decode16 */
obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t BgL_envz00_1101, obj_t BgL_oz00_1102)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2604;
{ /* Llib/flac.scm 118 */
 bool_t BgL_test2032z00_2605;
{ /* Llib/flac.scm 118 */
 obj_t BgL_classz00_1449;
BgL_classz00_1449 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1102))
{ /* Llib/flac.scm 118 */
 BgL_objectz00_bglt BgL_arg1799z00_1451; long BgL_arg1800z00_1452;
BgL_arg1799z00_1451 = 
(BgL_objectz00_bglt)(BgL_oz00_1102); 
BgL_arg1800z00_1452 = 
BGL_CLASS_DEPTH(BgL_classz00_1449); 
{ /* Llib/flac.scm 118 */
 bool_t BgL_arg1794z00_1456; bool_t BgL_arg1795z00_1457;
{ /* Llib/flac.scm 118 */
 long BgL_idxz00_1461;
BgL_idxz00_1461 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1451); 
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1791z00_1462;
{ /* Llib/flac.scm 118 */
 long BgL_arg1792z00_1463;
BgL_arg1792z00_1463 = 
(BgL_idxz00_1461+BgL_arg1800z00_1452); 
BgL_arg1791z00_1462 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1463); } 
BgL_arg1794z00_1456 = 
(BgL_arg1791z00_1462==BgL_classz00_1449); } } 
{ /* Llib/flac.scm 118 */
 bool_t BgL_res1878z00_1486;
{ /* Llib/flac.scm 118 */
 obj_t BgL_oclassz00_1471;
{ /* Llib/flac.scm 118 */
 long BgL_arg1804z00_1477;
{ /* Llib/flac.scm 118 */
 long BgL_arg1805z00_1478;
BgL_arg1805z00_1478 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1451); 
BgL_arg1804z00_1477 = 
(BgL_arg1805z00_1478-OBJECT_TYPE); } 
BgL_oclassz00_1471 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1477); } 
{ /* Llib/flac.scm 118 */
 bool_t BgL__ortest_1111z00_1472;
BgL__ortest_1111z00_1472 = 
(BgL_classz00_1449==BgL_oclassz00_1471); 
if(BgL__ortest_1111z00_1472)
{ /* Llib/flac.scm 118 */
BgL_res1878z00_1486 = BgL__ortest_1111z00_1472; }  else 
{ /* Llib/flac.scm 118 */
 long BgL_odepthz00_1473;
BgL_odepthz00_1473 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1471); 
if(
(BgL_arg1800z00_1452<BgL_odepthz00_1473))
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1793z00_1475;
BgL_arg1793z00_1475 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1471, BgL_arg1800z00_1452); 
BgL_res1878z00_1486 = 
(BgL_arg1793z00_1475==BgL_classz00_1449); }  else 
{ /* Llib/flac.scm 118 */
BgL_res1878z00_1486 = ((bool_t)0); } } } } 
BgL_arg1795z00_1457 = BgL_res1878z00_1486; } 
BgL_test2032z00_2605 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1456, BgL_arg1795z00_1457); } }  else 
{ /* Llib/flac.scm 118 */
BgL_test2032z00_2605 = ((bool_t)0)
; } } 
if(BgL_test2032z00_2605)
{ /* Llib/flac.scm 118 */
BgL_auxz00_2604 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1102)
; }  else 
{ 
 obj_t BgL_auxz00_2626;
BgL_auxz00_2626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)5389)), BGl_string1855z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1102); 
FAILURE(BgL_auxz00_2626,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_auxz00_2604);} } 

}



/* flac-decoder-reset! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_10)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
 obj_t BgL_method1123z00_354;
{ /* Llib/flac.scm 129 */
 obj_t BgL_res1667z00_615;
{ /* Llib/flac.scm 129 */
 long BgL_objzd2classzd2numz00_586;
BgL_objzd2classzd2numz00_586 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_10)); 
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1801z00_587;
BgL_arg1801z00_587 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 129 */
 int BgL_offsetz00_590;
BgL_offsetz00_590 = 
(int)(BgL_objzd2classzd2numz00_586); 
{ /* Llib/flac.scm 129 */
 long BgL_offsetz00_591;
BgL_offsetz00_591 = 
(
(long)(BgL_offsetz00_590)-OBJECT_TYPE); 
{ /* Llib/flac.scm 129 */
 long BgL_modz00_592;
BgL_modz00_592 = 
(BgL_offsetz00_591 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 129 */
 long BgL_restz00_594;
BgL_restz00_594 = 
(BgL_offsetz00_591 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 129 */

{ /* Llib/flac.scm 129 */
 obj_t BgL_bucketz00_596;
BgL_bucketz00_596 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_587),BgL_modz00_592); 
BgL_res1667z00_615 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_596),BgL_restz00_594); } } } } } } } } 
BgL_method1123z00_354 = BgL_res1667z00_615; } 
return 
PROCEDURE_ENTRY(BgL_method1123z00_354)(BgL_method1123z00_354, 
((obj_t)BgL_oz00_10), BEOA);} } 

}



/* &flac-decoder-reset! */
obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t BgL_envz00_1103, obj_t BgL_oz00_1104)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2661;
{ /* Llib/flac.scm 129 */
 bool_t BgL_test2036z00_2662;
{ /* Llib/flac.scm 129 */
 obj_t BgL_classz00_1487;
BgL_classz00_1487 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1104))
{ /* Llib/flac.scm 129 */
 BgL_objectz00_bglt BgL_arg1799z00_1489; long BgL_arg1800z00_1490;
BgL_arg1799z00_1489 = 
(BgL_objectz00_bglt)(BgL_oz00_1104); 
BgL_arg1800z00_1490 = 
BGL_CLASS_DEPTH(BgL_classz00_1487); 
{ /* Llib/flac.scm 129 */
 bool_t BgL_arg1794z00_1494; bool_t BgL_arg1795z00_1495;
{ /* Llib/flac.scm 129 */
 long BgL_idxz00_1499;
BgL_idxz00_1499 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1489); 
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1791z00_1500;
{ /* Llib/flac.scm 129 */
 long BgL_arg1792z00_1501;
BgL_arg1792z00_1501 = 
(BgL_idxz00_1499+BgL_arg1800z00_1490); 
BgL_arg1791z00_1500 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1501); } 
BgL_arg1794z00_1494 = 
(BgL_arg1791z00_1500==BgL_classz00_1487); } } 
{ /* Llib/flac.scm 129 */
 bool_t BgL_res1879z00_1524;
{ /* Llib/flac.scm 129 */
 obj_t BgL_oclassz00_1509;
{ /* Llib/flac.scm 129 */
 long BgL_arg1804z00_1515;
{ /* Llib/flac.scm 129 */
 long BgL_arg1805z00_1516;
BgL_arg1805z00_1516 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1489); 
BgL_arg1804z00_1515 = 
(BgL_arg1805z00_1516-OBJECT_TYPE); } 
BgL_oclassz00_1509 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1515); } 
{ /* Llib/flac.scm 129 */
 bool_t BgL__ortest_1111z00_1510;
BgL__ortest_1111z00_1510 = 
(BgL_classz00_1487==BgL_oclassz00_1509); 
if(BgL__ortest_1111z00_1510)
{ /* Llib/flac.scm 129 */
BgL_res1879z00_1524 = BgL__ortest_1111z00_1510; }  else 
{ /* Llib/flac.scm 129 */
 long BgL_odepthz00_1511;
BgL_odepthz00_1511 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1509); 
if(
(BgL_arg1800z00_1490<BgL_odepthz00_1511))
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1793z00_1513;
BgL_arg1793z00_1513 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1509, BgL_arg1800z00_1490); 
BgL_res1879z00_1524 = 
(BgL_arg1793z00_1513==BgL_classz00_1487); }  else 
{ /* Llib/flac.scm 129 */
BgL_res1879z00_1524 = ((bool_t)0); } } } } 
BgL_arg1795z00_1495 = BgL_res1879z00_1524; } 
BgL_test2036z00_2662 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1494, BgL_arg1795z00_1495); } }  else 
{ /* Llib/flac.scm 129 */
BgL_test2036z00_2662 = ((bool_t)0)
; } } 
if(BgL_test2036z00_2662)
{ /* Llib/flac.scm 129 */
BgL_auxz00_2661 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1104)
; }  else 
{ 
 obj_t BgL_auxz00_2683;
BgL_auxz00_2683 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)5880)), BGl_string1856z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1104); 
FAILURE(BgL_auxz00_2683,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_auxz00_2661);} } 

}



/* flac-decoder-read */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt BgL_oz00_12, long BgL_siza7eza7_13)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
 obj_t BgL_method1125z00_355;
{ /* Llib/flac.scm 146 */
 obj_t BgL_res1672z00_646;
{ /* Llib/flac.scm 146 */
 long BgL_objzd2classzd2numz00_617;
BgL_objzd2classzd2numz00_617 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1801z00_618;
BgL_arg1801z00_618 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 146 */
 int BgL_offsetz00_621;
BgL_offsetz00_621 = 
(int)(BgL_objzd2classzd2numz00_617); 
{ /* Llib/flac.scm 146 */
 long BgL_offsetz00_622;
BgL_offsetz00_622 = 
(
(long)(BgL_offsetz00_621)-OBJECT_TYPE); 
{ /* Llib/flac.scm 146 */
 long BgL_modz00_623;
BgL_modz00_623 = 
(BgL_offsetz00_622 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 146 */
 long BgL_restz00_625;
BgL_restz00_625 = 
(BgL_offsetz00_622 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 146 */

{ /* Llib/flac.scm 146 */
 obj_t BgL_bucketz00_627;
BgL_bucketz00_627 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_618),BgL_modz00_623); 
BgL_res1672z00_646 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_627),BgL_restz00_625); } } } } } } } } 
BgL_method1125z00_355 = BgL_res1672z00_646; } 
return 
PROCEDURE_ENTRY(BgL_method1125z00_355)(BgL_method1125z00_355, 
((obj_t)BgL_oz00_12), 
BINT(BgL_siza7eza7_13), BEOA);} } 

}



/* &flac-decoder-read */
obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t BgL_envz00_1105, obj_t BgL_oz00_1106, obj_t BgL_siza7eza7_1107)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
 long BgL_auxz00_2746; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2720;
{ /* Llib/flac.scm 146 */
 obj_t BgL_tmpz00_2747;
if(
INTEGERP(BgL_siza7eza7_1107))
{ /* Llib/flac.scm 146 */
BgL_tmpz00_2747 = BgL_siza7eza7_1107
; }  else 
{ 
 obj_t BgL_auxz00_2750;
BgL_auxz00_2750 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)6750)), BGl_string1857z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_siza7eza7_1107); 
FAILURE(BgL_auxz00_2750,BFALSE,BFALSE);} 
BgL_auxz00_2746 = 
(long)CINT(BgL_tmpz00_2747); } 
{ /* Llib/flac.scm 146 */
 bool_t BgL_test2040z00_2721;
{ /* Llib/flac.scm 146 */
 obj_t BgL_classz00_1525;
BgL_classz00_1525 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1106))
{ /* Llib/flac.scm 146 */
 BgL_objectz00_bglt BgL_arg1799z00_1527; long BgL_arg1800z00_1528;
BgL_arg1799z00_1527 = 
(BgL_objectz00_bglt)(BgL_oz00_1106); 
BgL_arg1800z00_1528 = 
BGL_CLASS_DEPTH(BgL_classz00_1525); 
{ /* Llib/flac.scm 146 */
 bool_t BgL_arg1794z00_1532; bool_t BgL_arg1795z00_1533;
{ /* Llib/flac.scm 146 */
 long BgL_idxz00_1537;
BgL_idxz00_1537 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1527); 
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1791z00_1538;
{ /* Llib/flac.scm 146 */
 long BgL_arg1792z00_1539;
BgL_arg1792z00_1539 = 
(BgL_idxz00_1537+BgL_arg1800z00_1528); 
BgL_arg1791z00_1538 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1539); } 
BgL_arg1794z00_1532 = 
(BgL_arg1791z00_1538==BgL_classz00_1525); } } 
{ /* Llib/flac.scm 146 */
 bool_t BgL_res1880z00_1562;
{ /* Llib/flac.scm 146 */
 obj_t BgL_oclassz00_1547;
{ /* Llib/flac.scm 146 */
 long BgL_arg1804z00_1553;
{ /* Llib/flac.scm 146 */
 long BgL_arg1805z00_1554;
BgL_arg1805z00_1554 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1527); 
BgL_arg1804z00_1553 = 
(BgL_arg1805z00_1554-OBJECT_TYPE); } 
BgL_oclassz00_1547 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1553); } 
{ /* Llib/flac.scm 146 */
 bool_t BgL__ortest_1111z00_1548;
BgL__ortest_1111z00_1548 = 
(BgL_classz00_1525==BgL_oclassz00_1547); 
if(BgL__ortest_1111z00_1548)
{ /* Llib/flac.scm 146 */
BgL_res1880z00_1562 = BgL__ortest_1111z00_1548; }  else 
{ /* Llib/flac.scm 146 */
 long BgL_odepthz00_1549;
BgL_odepthz00_1549 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1547); 
if(
(BgL_arg1800z00_1528<BgL_odepthz00_1549))
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1793z00_1551;
BgL_arg1793z00_1551 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1547, BgL_arg1800z00_1528); 
BgL_res1880z00_1562 = 
(BgL_arg1793z00_1551==BgL_classz00_1525); }  else 
{ /* Llib/flac.scm 146 */
BgL_res1880z00_1562 = ((bool_t)0); } } } } 
BgL_arg1795z00_1533 = BgL_res1880z00_1562; } 
BgL_test2040z00_2721 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1532, BgL_arg1795z00_1533); } }  else 
{ /* Llib/flac.scm 146 */
BgL_test2040z00_2721 = ((bool_t)0)
; } } 
if(BgL_test2040z00_2721)
{ /* Llib/flac.scm 146 */
BgL_auxz00_2720 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1106)
; }  else 
{ 
 obj_t BgL_auxz00_2742;
BgL_auxz00_2742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)6750)), BGl_string1857z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1106); 
FAILURE(BgL_auxz00_2742,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_read(BgL_auxz00_2720, BgL_auxz00_2746);} } 

}



/* flac-decoder-write */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt BgL_oz00_14, long BgL_blocksiza7eza7_15, long BgL_sratez00_16, long BgL_channelsz00_17, long BgL_bpsz00_18)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
 obj_t BgL_method1127z00_356;
{ /* Llib/flac.scm 151 */
 obj_t BgL_res1677z00_677;
{ /* Llib/flac.scm 151 */
 long BgL_objzd2classzd2numz00_648;
BgL_objzd2classzd2numz00_648 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1801z00_649;
BgL_arg1801z00_649 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 151 */
 int BgL_offsetz00_652;
BgL_offsetz00_652 = 
(int)(BgL_objzd2classzd2numz00_648); 
{ /* Llib/flac.scm 151 */
 long BgL_offsetz00_653;
BgL_offsetz00_653 = 
(
(long)(BgL_offsetz00_652)-OBJECT_TYPE); 
{ /* Llib/flac.scm 151 */
 long BgL_modz00_654;
BgL_modz00_654 = 
(BgL_offsetz00_653 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 151 */
 long BgL_restz00_656;
BgL_restz00_656 = 
(BgL_offsetz00_653 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 151 */

{ /* Llib/flac.scm 151 */
 obj_t BgL_bucketz00_658;
BgL_bucketz00_658 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_649),BgL_modz00_654); 
BgL_res1677z00_677 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_658),BgL_restz00_656); } } } } } } } } 
BgL_method1127z00_356 = BgL_res1677z00_677; } 
return 
PROCEDURE_ENTRY(BgL_method1127z00_356)(BgL_method1127z00_356, 
((obj_t)BgL_oz00_14), 
BINT(BgL_blocksiza7eza7_15), 
BINT(BgL_sratez00_16), 
BINT(BgL_channelsz00_17), 
BINT(BgL_bpsz00_18), BEOA);} } 

}



/* &flac-decoder-write */
obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t BgL_envz00_1108, obj_t BgL_oz00_1109, obj_t BgL_blocksiza7eza7_1110, obj_t BgL_sratez00_1111, obj_t BgL_channelsz00_1112, obj_t BgL_bpsz00_1113)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
 long BgL_auxz00_2847; long BgL_auxz00_2838; long BgL_auxz00_2829; long BgL_auxz00_2820; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2794;
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2848;
if(
INTEGERP(BgL_bpsz00_1113))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2848 = BgL_bpsz00_1113
; }  else 
{ 
 obj_t BgL_auxz00_2851;
BgL_auxz00_2851 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1859z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_bpsz00_1113); 
FAILURE(BgL_auxz00_2851,BFALSE,BFALSE);} 
BgL_auxz00_2847 = 
(long)CINT(BgL_tmpz00_2848); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2839;
if(
INTEGERP(BgL_channelsz00_1112))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2839 = BgL_channelsz00_1112
; }  else 
{ 
 obj_t BgL_auxz00_2842;
BgL_auxz00_2842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1859z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_channelsz00_1112); 
FAILURE(BgL_auxz00_2842,BFALSE,BFALSE);} 
BgL_auxz00_2838 = 
(long)CINT(BgL_tmpz00_2839); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2830;
if(
INTEGERP(BgL_sratez00_1111))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2830 = BgL_sratez00_1111
; }  else 
{ 
 obj_t BgL_auxz00_2833;
BgL_auxz00_2833 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1859z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_sratez00_1111); 
FAILURE(BgL_auxz00_2833,BFALSE,BFALSE);} 
BgL_auxz00_2829 = 
(long)CINT(BgL_tmpz00_2830); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2821;
if(
INTEGERP(BgL_blocksiza7eza7_1110))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2821 = BgL_blocksiza7eza7_1110
; }  else 
{ 
 obj_t BgL_auxz00_2824;
BgL_auxz00_2824 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1859z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_blocksiza7eza7_1110); 
FAILURE(BgL_auxz00_2824,BFALSE,BFALSE);} 
BgL_auxz00_2820 = 
(long)CINT(BgL_tmpz00_2821); } 
{ /* Llib/flac.scm 151 */
 bool_t BgL_test2045z00_2795;
{ /* Llib/flac.scm 151 */
 obj_t BgL_classz00_1563;
BgL_classz00_1563 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1109))
{ /* Llib/flac.scm 151 */
 BgL_objectz00_bglt BgL_arg1799z00_1565; long BgL_arg1800z00_1566;
BgL_arg1799z00_1565 = 
(BgL_objectz00_bglt)(BgL_oz00_1109); 
BgL_arg1800z00_1566 = 
BGL_CLASS_DEPTH(BgL_classz00_1563); 
{ /* Llib/flac.scm 151 */
 bool_t BgL_arg1794z00_1570; bool_t BgL_arg1795z00_1571;
{ /* Llib/flac.scm 151 */
 long BgL_idxz00_1575;
BgL_idxz00_1575 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1565); 
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1791z00_1576;
{ /* Llib/flac.scm 151 */
 long BgL_arg1792z00_1577;
BgL_arg1792z00_1577 = 
(BgL_idxz00_1575+BgL_arg1800z00_1566); 
BgL_arg1791z00_1576 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1577); } 
BgL_arg1794z00_1570 = 
(BgL_arg1791z00_1576==BgL_classz00_1563); } } 
{ /* Llib/flac.scm 151 */
 bool_t BgL_res1881z00_1600;
{ /* Llib/flac.scm 151 */
 obj_t BgL_oclassz00_1585;
{ /* Llib/flac.scm 151 */
 long BgL_arg1804z00_1591;
{ /* Llib/flac.scm 151 */
 long BgL_arg1805z00_1592;
BgL_arg1805z00_1592 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1565); 
BgL_arg1804z00_1591 = 
(BgL_arg1805z00_1592-OBJECT_TYPE); } 
BgL_oclassz00_1585 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1591); } 
{ /* Llib/flac.scm 151 */
 bool_t BgL__ortest_1111z00_1586;
BgL__ortest_1111z00_1586 = 
(BgL_classz00_1563==BgL_oclassz00_1585); 
if(BgL__ortest_1111z00_1586)
{ /* Llib/flac.scm 151 */
BgL_res1881z00_1600 = BgL__ortest_1111z00_1586; }  else 
{ /* Llib/flac.scm 151 */
 long BgL_odepthz00_1587;
BgL_odepthz00_1587 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1585); 
if(
(BgL_arg1800z00_1566<BgL_odepthz00_1587))
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1793z00_1589;
BgL_arg1793z00_1589 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1585, BgL_arg1800z00_1566); 
BgL_res1881z00_1600 = 
(BgL_arg1793z00_1589==BgL_classz00_1563); }  else 
{ /* Llib/flac.scm 151 */
BgL_res1881z00_1600 = ((bool_t)0); } } } } 
BgL_arg1795z00_1571 = BgL_res1881z00_1600; } 
BgL_test2045z00_2795 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1570, BgL_arg1795z00_1571); } }  else 
{ /* Llib/flac.scm 151 */
BgL_test2045z00_2795 = ((bool_t)0)
; } } 
if(BgL_test2045z00_2795)
{ /* Llib/flac.scm 151 */
BgL_auxz00_2794 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1109)
; }  else 
{ 
 obj_t BgL_auxz00_2816;
BgL_auxz00_2816 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1859z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1109); 
FAILURE(BgL_auxz00_2816,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_write(BgL_auxz00_2794, BgL_auxz00_2820, BgL_auxz00_2829, BgL_auxz00_2838, BgL_auxz00_2847);} } 

}



/* flac-decoder-metadata */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt BgL_oz00_19, BGL_LONGLONG_T BgL_totalz00_20, long BgL_sratez00_21, long BgL_channelsz00_22, long BgL_bpsz00_23)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
 obj_t BgL_method1129z00_357;
{ /* Llib/flac.scm 160 */
 obj_t BgL_res1682z00_708;
{ /* Llib/flac.scm 160 */
 long BgL_objzd2classzd2numz00_679;
BgL_objzd2classzd2numz00_679 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_19)); 
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1801z00_680;
BgL_arg1801z00_680 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 160 */
 int BgL_offsetz00_683;
BgL_offsetz00_683 = 
(int)(BgL_objzd2classzd2numz00_679); 
{ /* Llib/flac.scm 160 */
 long BgL_offsetz00_684;
BgL_offsetz00_684 = 
(
(long)(BgL_offsetz00_683)-OBJECT_TYPE); 
{ /* Llib/flac.scm 160 */
 long BgL_modz00_685;
BgL_modz00_685 = 
(BgL_offsetz00_684 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 160 */
 long BgL_restz00_687;
BgL_restz00_687 = 
(BgL_offsetz00_684 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 160 */

{ /* Llib/flac.scm 160 */
 obj_t BgL_bucketz00_689;
BgL_bucketz00_689 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_680),BgL_modz00_685); 
BgL_res1682z00_708 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_689),BgL_restz00_687); } } } } } } } } 
BgL_method1129z00_357 = BgL_res1682z00_708; } 
return 
PROCEDURE_ENTRY(BgL_method1129z00_357)(BgL_method1129z00_357, 
((obj_t)BgL_oz00_19), 
make_bllong(BgL_totalz00_20), 
BINT(BgL_sratez00_21), 
BINT(BgL_channelsz00_22), 
BINT(BgL_bpsz00_23), BEOA);} } 

}



/* &flac-decoder-metadata */
obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t BgL_envz00_1114, obj_t BgL_oz00_1115, obj_t BgL_totalz00_1116, obj_t BgL_sratez00_1117, obj_t BgL_channelsz00_1118, obj_t BgL_bpsz00_1119)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
 long BgL_auxz00_2948; long BgL_auxz00_2939; long BgL_auxz00_2930; BGL_LONGLONG_T BgL_auxz00_2921; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2895;
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2949;
if(
INTEGERP(BgL_bpsz00_1119))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2949 = BgL_bpsz00_1119
; }  else 
{ 
 obj_t BgL_auxz00_2952;
BgL_auxz00_2952 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1860z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_bpsz00_1119); 
FAILURE(BgL_auxz00_2952,BFALSE,BFALSE);} 
BgL_auxz00_2948 = 
(long)CINT(BgL_tmpz00_2949); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2940;
if(
INTEGERP(BgL_channelsz00_1118))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2940 = BgL_channelsz00_1118
; }  else 
{ 
 obj_t BgL_auxz00_2943;
BgL_auxz00_2943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1860z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_channelsz00_1118); 
FAILURE(BgL_auxz00_2943,BFALSE,BFALSE);} 
BgL_auxz00_2939 = 
(long)CINT(BgL_tmpz00_2940); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2931;
if(
INTEGERP(BgL_sratez00_1117))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2931 = BgL_sratez00_1117
; }  else 
{ 
 obj_t BgL_auxz00_2934;
BgL_auxz00_2934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1860z00zz__flac_flacz00, BGl_string1858z00zz__flac_flacz00, BgL_sratez00_1117); 
FAILURE(BgL_auxz00_2934,BFALSE,BFALSE);} 
BgL_auxz00_2930 = 
(long)CINT(BgL_tmpz00_2931); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2922;
if(
LLONGP(BgL_totalz00_1116))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2922 = BgL_totalz00_1116
; }  else 
{ 
 obj_t BgL_auxz00_2925;
BgL_auxz00_2925 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1860z00zz__flac_flacz00, BGl_string1861z00zz__flac_flacz00, BgL_totalz00_1116); 
FAILURE(BgL_auxz00_2925,BFALSE,BFALSE);} 
BgL_auxz00_2921 = 
BLLONG_TO_LLONG(BgL_tmpz00_2922); } 
{ /* Llib/flac.scm 160 */
 bool_t BgL_test2053z00_2896;
{ /* Llib/flac.scm 160 */
 obj_t BgL_classz00_1601;
BgL_classz00_1601 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1115))
{ /* Llib/flac.scm 160 */
 BgL_objectz00_bglt BgL_arg1799z00_1603; long BgL_arg1800z00_1604;
BgL_arg1799z00_1603 = 
(BgL_objectz00_bglt)(BgL_oz00_1115); 
BgL_arg1800z00_1604 = 
BGL_CLASS_DEPTH(BgL_classz00_1601); 
{ /* Llib/flac.scm 160 */
 bool_t BgL_arg1794z00_1608; bool_t BgL_arg1795z00_1609;
{ /* Llib/flac.scm 160 */
 long BgL_idxz00_1613;
BgL_idxz00_1613 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1603); 
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1791z00_1614;
{ /* Llib/flac.scm 160 */
 long BgL_arg1792z00_1615;
BgL_arg1792z00_1615 = 
(BgL_idxz00_1613+BgL_arg1800z00_1604); 
BgL_arg1791z00_1614 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1615); } 
BgL_arg1794z00_1608 = 
(BgL_arg1791z00_1614==BgL_classz00_1601); } } 
{ /* Llib/flac.scm 160 */
 bool_t BgL_res1882z00_1638;
{ /* Llib/flac.scm 160 */
 obj_t BgL_oclassz00_1623;
{ /* Llib/flac.scm 160 */
 long BgL_arg1804z00_1629;
{ /* Llib/flac.scm 160 */
 long BgL_arg1805z00_1630;
BgL_arg1805z00_1630 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1603); 
BgL_arg1804z00_1629 = 
(BgL_arg1805z00_1630-OBJECT_TYPE); } 
BgL_oclassz00_1623 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1629); } 
{ /* Llib/flac.scm 160 */
 bool_t BgL__ortest_1111z00_1624;
BgL__ortest_1111z00_1624 = 
(BgL_classz00_1601==BgL_oclassz00_1623); 
if(BgL__ortest_1111z00_1624)
{ /* Llib/flac.scm 160 */
BgL_res1882z00_1638 = BgL__ortest_1111z00_1624; }  else 
{ /* Llib/flac.scm 160 */
 long BgL_odepthz00_1625;
BgL_odepthz00_1625 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1623); 
if(
(BgL_arg1800z00_1604<BgL_odepthz00_1625))
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1793z00_1627;
BgL_arg1793z00_1627 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1623, BgL_arg1800z00_1604); 
BgL_res1882z00_1638 = 
(BgL_arg1793z00_1627==BgL_classz00_1601); }  else 
{ /* Llib/flac.scm 160 */
BgL_res1882z00_1638 = ((bool_t)0); } } } } 
BgL_arg1795z00_1609 = BgL_res1882z00_1638; } 
BgL_test2053z00_2896 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1608, BgL_arg1795z00_1609); } }  else 
{ /* Llib/flac.scm 160 */
BgL_test2053z00_2896 = ((bool_t)0)
; } } 
if(BgL_test2053z00_2896)
{ /* Llib/flac.scm 160 */
BgL_auxz00_2895 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1115)
; }  else 
{ 
 obj_t BgL_auxz00_2917;
BgL_auxz00_2917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1860z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1115); 
FAILURE(BgL_auxz00_2917,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_metadata(BgL_auxz00_2895, BgL_auxz00_2921, BgL_auxz00_2930, BgL_auxz00_2939, BgL_auxz00_2948);} } 

}



/* flac-decoder-tell */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt BgL_oz00_24)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
 obj_t BgL_method1131z00_358;
{ /* Llib/flac.scm 169 */
 obj_t BgL_res1687z00_739;
{ /* Llib/flac.scm 169 */
 long BgL_objzd2classzd2numz00_710;
BgL_objzd2classzd2numz00_710 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_24)); 
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1801z00_711;
BgL_arg1801z00_711 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 169 */
 int BgL_offsetz00_714;
BgL_offsetz00_714 = 
(int)(BgL_objzd2classzd2numz00_710); 
{ /* Llib/flac.scm 169 */
 long BgL_offsetz00_715;
BgL_offsetz00_715 = 
(
(long)(BgL_offsetz00_714)-OBJECT_TYPE); 
{ /* Llib/flac.scm 169 */
 long BgL_modz00_716;
BgL_modz00_716 = 
(BgL_offsetz00_715 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 169 */
 long BgL_restz00_718;
BgL_restz00_718 = 
(BgL_offsetz00_715 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 169 */

{ /* Llib/flac.scm 169 */
 obj_t BgL_bucketz00_720;
BgL_bucketz00_720 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_711),BgL_modz00_716); 
BgL_res1687z00_739 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_720),BgL_restz00_718); } } } } } } } } 
BgL_method1131z00_358 = BgL_res1687z00_739; } 
return 
PROCEDURE_ENTRY(BgL_method1131z00_358)(BgL_method1131z00_358, 
((obj_t)BgL_oz00_24), BEOA);} } 

}



/* &flac-decoder-tell */
obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t BgL_envz00_1120, obj_t BgL_oz00_1121)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2988;
{ /* Llib/flac.scm 169 */
 bool_t BgL_test2061z00_2989;
{ /* Llib/flac.scm 169 */
 obj_t BgL_classz00_1639;
BgL_classz00_1639 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1121))
{ /* Llib/flac.scm 169 */
 BgL_objectz00_bglt BgL_arg1799z00_1641; long BgL_arg1800z00_1642;
BgL_arg1799z00_1641 = 
(BgL_objectz00_bglt)(BgL_oz00_1121); 
BgL_arg1800z00_1642 = 
BGL_CLASS_DEPTH(BgL_classz00_1639); 
{ /* Llib/flac.scm 169 */
 bool_t BgL_arg1794z00_1646; bool_t BgL_arg1795z00_1647;
{ /* Llib/flac.scm 169 */
 long BgL_idxz00_1651;
BgL_idxz00_1651 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1641); 
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1791z00_1652;
{ /* Llib/flac.scm 169 */
 long BgL_arg1792z00_1653;
BgL_arg1792z00_1653 = 
(BgL_idxz00_1651+BgL_arg1800z00_1642); 
BgL_arg1791z00_1652 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1653); } 
BgL_arg1794z00_1646 = 
(BgL_arg1791z00_1652==BgL_classz00_1639); } } 
{ /* Llib/flac.scm 169 */
 bool_t BgL_res1883z00_1676;
{ /* Llib/flac.scm 169 */
 obj_t BgL_oclassz00_1661;
{ /* Llib/flac.scm 169 */
 long BgL_arg1804z00_1667;
{ /* Llib/flac.scm 169 */
 long BgL_arg1805z00_1668;
BgL_arg1805z00_1668 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1641); 
BgL_arg1804z00_1667 = 
(BgL_arg1805z00_1668-OBJECT_TYPE); } 
BgL_oclassz00_1661 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1667); } 
{ /* Llib/flac.scm 169 */
 bool_t BgL__ortest_1111z00_1662;
BgL__ortest_1111z00_1662 = 
(BgL_classz00_1639==BgL_oclassz00_1661); 
if(BgL__ortest_1111z00_1662)
{ /* Llib/flac.scm 169 */
BgL_res1883z00_1676 = BgL__ortest_1111z00_1662; }  else 
{ /* Llib/flac.scm 169 */
 long BgL_odepthz00_1663;
BgL_odepthz00_1663 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1661); 
if(
(BgL_arg1800z00_1642<BgL_odepthz00_1663))
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1793z00_1665;
BgL_arg1793z00_1665 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1661, BgL_arg1800z00_1642); 
BgL_res1883z00_1676 = 
(BgL_arg1793z00_1665==BgL_classz00_1639); }  else 
{ /* Llib/flac.scm 169 */
BgL_res1883z00_1676 = ((bool_t)0); } } } } 
BgL_arg1795z00_1647 = BgL_res1883z00_1676; } 
BgL_test2061z00_2989 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1646, BgL_arg1795z00_1647); } }  else 
{ /* Llib/flac.scm 169 */
BgL_test2061z00_2989 = ((bool_t)0)
; } } 
if(BgL_test2061z00_2989)
{ /* Llib/flac.scm 169 */
BgL_auxz00_2988 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1121)
; }  else 
{ 
 obj_t BgL_auxz00_3010;
BgL_auxz00_3010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)7737)), BGl_string1862z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1121); 
FAILURE(BgL_auxz00_3010,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_tell(BgL_auxz00_2988);} } 

}



/* flac-decoder-seek */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt BgL_oz00_25, BGL_LONGLONG_T BgL_offsetz00_26)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
 obj_t BgL_method1133z00_359;
{ /* Llib/flac.scm 175 */
 obj_t BgL_res1692z00_770;
{ /* Llib/flac.scm 175 */
 long BgL_objzd2classzd2numz00_741;
BgL_objzd2classzd2numz00_741 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_25)); 
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1801z00_742;
BgL_arg1801z00_742 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 175 */
 int BgL_offsetz00_745;
BgL_offsetz00_745 = 
(int)(BgL_objzd2classzd2numz00_741); 
{ /* Llib/flac.scm 175 */
 long BgL_offsetz00_746;
BgL_offsetz00_746 = 
(
(long)(BgL_offsetz00_745)-OBJECT_TYPE); 
{ /* Llib/flac.scm 175 */
 long BgL_modz00_747;
BgL_modz00_747 = 
(BgL_offsetz00_746 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 175 */
 long BgL_restz00_749;
BgL_restz00_749 = 
(BgL_offsetz00_746 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 175 */

{ /* Llib/flac.scm 175 */
 obj_t BgL_bucketz00_751;
BgL_bucketz00_751 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_742),BgL_modz00_747); 
BgL_res1692z00_770 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_751),BgL_restz00_749); } } } } } } } } 
BgL_method1133z00_359 = BgL_res1692z00_770; } 
return 
PROCEDURE_ENTRY(BgL_method1133z00_359)(BgL_method1133z00_359, 
((obj_t)BgL_oz00_25), 
make_bllong(BgL_offsetz00_26), BEOA);} } 

}



/* &flac-decoder-seek */
obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t BgL_envz00_1122, obj_t BgL_oz00_1123, obj_t BgL_offsetz00_1124)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
 BGL_LONGLONG_T BgL_auxz00_3073; BgL_flaczd2decoderzd2_bglt BgL_auxz00_3047;
{ /* Llib/flac.scm 175 */
 obj_t BgL_tmpz00_3074;
if(
LLONGP(BgL_offsetz00_1124))
{ /* Llib/flac.scm 175 */
BgL_tmpz00_3074 = BgL_offsetz00_1124
; }  else 
{ 
 obj_t BgL_auxz00_3077;
BgL_auxz00_3077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)8019)), BGl_string1863z00zz__flac_flacz00, BGl_string1861z00zz__flac_flacz00, BgL_offsetz00_1124); 
FAILURE(BgL_auxz00_3077,BFALSE,BFALSE);} 
BgL_auxz00_3073 = 
BLLONG_TO_LLONG(BgL_tmpz00_3074); } 
{ /* Llib/flac.scm 175 */
 bool_t BgL_test2065z00_3048;
{ /* Llib/flac.scm 175 */
 obj_t BgL_classz00_1677;
BgL_classz00_1677 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1123))
{ /* Llib/flac.scm 175 */
 BgL_objectz00_bglt BgL_arg1799z00_1679; long BgL_arg1800z00_1680;
BgL_arg1799z00_1679 = 
(BgL_objectz00_bglt)(BgL_oz00_1123); 
BgL_arg1800z00_1680 = 
BGL_CLASS_DEPTH(BgL_classz00_1677); 
{ /* Llib/flac.scm 175 */
 bool_t BgL_arg1794z00_1684; bool_t BgL_arg1795z00_1685;
{ /* Llib/flac.scm 175 */
 long BgL_idxz00_1689;
BgL_idxz00_1689 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1679); 
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1791z00_1690;
{ /* Llib/flac.scm 175 */
 long BgL_arg1792z00_1691;
BgL_arg1792z00_1691 = 
(BgL_idxz00_1689+BgL_arg1800z00_1680); 
BgL_arg1791z00_1690 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1691); } 
BgL_arg1794z00_1684 = 
(BgL_arg1791z00_1690==BgL_classz00_1677); } } 
{ /* Llib/flac.scm 175 */
 bool_t BgL_res1884z00_1714;
{ /* Llib/flac.scm 175 */
 obj_t BgL_oclassz00_1699;
{ /* Llib/flac.scm 175 */
 long BgL_arg1804z00_1705;
{ /* Llib/flac.scm 175 */
 long BgL_arg1805z00_1706;
BgL_arg1805z00_1706 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1679); 
BgL_arg1804z00_1705 = 
(BgL_arg1805z00_1706-OBJECT_TYPE); } 
BgL_oclassz00_1699 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1705); } 
{ /* Llib/flac.scm 175 */
 bool_t BgL__ortest_1111z00_1700;
BgL__ortest_1111z00_1700 = 
(BgL_classz00_1677==BgL_oclassz00_1699); 
if(BgL__ortest_1111z00_1700)
{ /* Llib/flac.scm 175 */
BgL_res1884z00_1714 = BgL__ortest_1111z00_1700; }  else 
{ /* Llib/flac.scm 175 */
 long BgL_odepthz00_1701;
BgL_odepthz00_1701 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1699); 
if(
(BgL_arg1800z00_1680<BgL_odepthz00_1701))
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1793z00_1703;
BgL_arg1793z00_1703 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1699, BgL_arg1800z00_1680); 
BgL_res1884z00_1714 = 
(BgL_arg1793z00_1703==BgL_classz00_1677); }  else 
{ /* Llib/flac.scm 175 */
BgL_res1884z00_1714 = ((bool_t)0); } } } } 
BgL_arg1795z00_1685 = BgL_res1884z00_1714; } 
BgL_test2065z00_3048 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1684, BgL_arg1795z00_1685); } }  else 
{ /* Llib/flac.scm 175 */
BgL_test2065z00_3048 = ((bool_t)0)
; } } 
if(BgL_test2065z00_3048)
{ /* Llib/flac.scm 175 */
BgL_auxz00_3047 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1123)
; }  else 
{ 
 obj_t BgL_auxz00_3069;
BgL_auxz00_3069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)8019)), BGl_string1863z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1123); 
FAILURE(BgL_auxz00_3069,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_seek(BgL_auxz00_3047, BgL_auxz00_3073);} } 

}



/* flac-decoder-length */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt BgL_oz00_27)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
 obj_t BgL_method1135z00_360;
{ /* Llib/flac.scm 181 */
 obj_t BgL_res1697z00_801;
{ /* Llib/flac.scm 181 */
 long BgL_objzd2classzd2numz00_772;
BgL_objzd2classzd2numz00_772 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_27)); 
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1801z00_773;
BgL_arg1801z00_773 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 181 */
 int BgL_offsetz00_776;
BgL_offsetz00_776 = 
(int)(BgL_objzd2classzd2numz00_772); 
{ /* Llib/flac.scm 181 */
 long BgL_offsetz00_777;
BgL_offsetz00_777 = 
(
(long)(BgL_offsetz00_776)-OBJECT_TYPE); 
{ /* Llib/flac.scm 181 */
 long BgL_modz00_778;
BgL_modz00_778 = 
(BgL_offsetz00_777 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 181 */
 long BgL_restz00_780;
BgL_restz00_780 = 
(BgL_offsetz00_777 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 181 */

{ /* Llib/flac.scm 181 */
 obj_t BgL_bucketz00_782;
BgL_bucketz00_782 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_773),BgL_modz00_778); 
BgL_res1697z00_801 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_782),BgL_restz00_780); } } } } } } } } 
BgL_method1135z00_360 = BgL_res1697z00_801; } 
return 
PROCEDURE_ENTRY(BgL_method1135z00_360)(BgL_method1135z00_360, 
((obj_t)BgL_oz00_27), BEOA);} } 

}



/* &flac-decoder-length */
obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t BgL_envz00_1125, obj_t BgL_oz00_1126)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3113;
{ /* Llib/flac.scm 181 */
 bool_t BgL_test2070z00_3114;
{ /* Llib/flac.scm 181 */
 obj_t BgL_classz00_1715;
BgL_classz00_1715 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1126))
{ /* Llib/flac.scm 181 */
 BgL_objectz00_bglt BgL_arg1799z00_1717; long BgL_arg1800z00_1718;
BgL_arg1799z00_1717 = 
(BgL_objectz00_bglt)(BgL_oz00_1126); 
BgL_arg1800z00_1718 = 
BGL_CLASS_DEPTH(BgL_classz00_1715); 
{ /* Llib/flac.scm 181 */
 bool_t BgL_arg1794z00_1722; bool_t BgL_arg1795z00_1723;
{ /* Llib/flac.scm 181 */
 long BgL_idxz00_1727;
BgL_idxz00_1727 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1717); 
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1791z00_1728;
{ /* Llib/flac.scm 181 */
 long BgL_arg1792z00_1729;
BgL_arg1792z00_1729 = 
(BgL_idxz00_1727+BgL_arg1800z00_1718); 
BgL_arg1791z00_1728 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1729); } 
BgL_arg1794z00_1722 = 
(BgL_arg1791z00_1728==BgL_classz00_1715); } } 
{ /* Llib/flac.scm 181 */
 bool_t BgL_res1885z00_1752;
{ /* Llib/flac.scm 181 */
 obj_t BgL_oclassz00_1737;
{ /* Llib/flac.scm 181 */
 long BgL_arg1804z00_1743;
{ /* Llib/flac.scm 181 */
 long BgL_arg1805z00_1744;
BgL_arg1805z00_1744 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1717); 
BgL_arg1804z00_1743 = 
(BgL_arg1805z00_1744-OBJECT_TYPE); } 
BgL_oclassz00_1737 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1743); } 
{ /* Llib/flac.scm 181 */
 bool_t BgL__ortest_1111z00_1738;
BgL__ortest_1111z00_1738 = 
(BgL_classz00_1715==BgL_oclassz00_1737); 
if(BgL__ortest_1111z00_1738)
{ /* Llib/flac.scm 181 */
BgL_res1885z00_1752 = BgL__ortest_1111z00_1738; }  else 
{ /* Llib/flac.scm 181 */
 long BgL_odepthz00_1739;
BgL_odepthz00_1739 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1737); 
if(
(BgL_arg1800z00_1718<BgL_odepthz00_1739))
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1793z00_1741;
BgL_arg1793z00_1741 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1737, BgL_arg1800z00_1718); 
BgL_res1885z00_1752 = 
(BgL_arg1793z00_1741==BgL_classz00_1715); }  else 
{ /* Llib/flac.scm 181 */
BgL_res1885z00_1752 = ((bool_t)0); } } } } 
BgL_arg1795z00_1723 = BgL_res1885z00_1752; } 
BgL_test2070z00_3114 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1722, BgL_arg1795z00_1723); } }  else 
{ /* Llib/flac.scm 181 */
BgL_test2070z00_3114 = ((bool_t)0)
; } } 
if(BgL_test2070z00_3114)
{ /* Llib/flac.scm 181 */
BgL_auxz00_3113 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1126)
; }  else 
{ 
 obj_t BgL_auxz00_3135;
BgL_auxz00_3135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)8308)), BGl_string1864z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1126); 
FAILURE(BgL_auxz00_3135,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_length(BgL_auxz00_3113);} } 

}



/* flac-decoder-info */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_28)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
 obj_t BgL_method1137z00_361;
{ /* Llib/flac.scm 187 */
 obj_t BgL_res1702z00_832;
{ /* Llib/flac.scm 187 */
 long BgL_objzd2classzd2numz00_803;
BgL_objzd2classzd2numz00_803 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1801z00_804;
BgL_arg1801z00_804 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 187 */
 int BgL_offsetz00_807;
BgL_offsetz00_807 = 
(int)(BgL_objzd2classzd2numz00_803); 
{ /* Llib/flac.scm 187 */
 long BgL_offsetz00_808;
BgL_offsetz00_808 = 
(
(long)(BgL_offsetz00_807)-OBJECT_TYPE); 
{ /* Llib/flac.scm 187 */
 long BgL_modz00_809;
BgL_modz00_809 = 
(BgL_offsetz00_808 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 187 */
 long BgL_restz00_811;
BgL_restz00_811 = 
(BgL_offsetz00_808 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 187 */

{ /* Llib/flac.scm 187 */
 obj_t BgL_bucketz00_813;
BgL_bucketz00_813 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_804),BgL_modz00_809); 
BgL_res1702z00_832 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_813),BgL_restz00_811); } } } } } } } } 
BgL_method1137z00_361 = BgL_res1702z00_832; } 
return 
(long)CINT(
PROCEDURE_ENTRY(BgL_method1137z00_361)(BgL_method1137z00_361, 
((obj_t)BgL_oz00_28), BEOA));} } 

}



/* &flac-decoder-info */
obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t BgL_envz00_1127, obj_t BgL_oz00_1128)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
 long BgL_tmpz00_3171;
{ /* Llib/flac.scm 187 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3172;
{ /* Llib/flac.scm 187 */
 bool_t BgL_test2074z00_3173;
{ /* Llib/flac.scm 187 */
 obj_t BgL_classz00_1753;
BgL_classz00_1753 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1128))
{ /* Llib/flac.scm 187 */
 BgL_objectz00_bglt BgL_arg1799z00_1755; long BgL_arg1800z00_1756;
BgL_arg1799z00_1755 = 
(BgL_objectz00_bglt)(BgL_oz00_1128); 
BgL_arg1800z00_1756 = 
BGL_CLASS_DEPTH(BgL_classz00_1753); 
{ /* Llib/flac.scm 187 */
 bool_t BgL_arg1794z00_1760; bool_t BgL_arg1795z00_1761;
{ /* Llib/flac.scm 187 */
 long BgL_idxz00_1765;
BgL_idxz00_1765 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1755); 
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1791z00_1766;
{ /* Llib/flac.scm 187 */
 long BgL_arg1792z00_1767;
BgL_arg1792z00_1767 = 
(BgL_idxz00_1765+BgL_arg1800z00_1756); 
BgL_arg1791z00_1766 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1767); } 
BgL_arg1794z00_1760 = 
(BgL_arg1791z00_1766==BgL_classz00_1753); } } 
{ /* Llib/flac.scm 187 */
 bool_t BgL_res1886z00_1790;
{ /* Llib/flac.scm 187 */
 obj_t BgL_oclassz00_1775;
{ /* Llib/flac.scm 187 */
 long BgL_arg1804z00_1781;
{ /* Llib/flac.scm 187 */
 long BgL_arg1805z00_1782;
BgL_arg1805z00_1782 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1755); 
BgL_arg1804z00_1781 = 
(BgL_arg1805z00_1782-OBJECT_TYPE); } 
BgL_oclassz00_1775 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1781); } 
{ /* Llib/flac.scm 187 */
 bool_t BgL__ortest_1111z00_1776;
BgL__ortest_1111z00_1776 = 
(BgL_classz00_1753==BgL_oclassz00_1775); 
if(BgL__ortest_1111z00_1776)
{ /* Llib/flac.scm 187 */
BgL_res1886z00_1790 = BgL__ortest_1111z00_1776; }  else 
{ /* Llib/flac.scm 187 */
 long BgL_odepthz00_1777;
BgL_odepthz00_1777 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1775); 
if(
(BgL_arg1800z00_1756<BgL_odepthz00_1777))
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1793z00_1779;
BgL_arg1793z00_1779 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1775, BgL_arg1800z00_1756); 
BgL_res1886z00_1790 = 
(BgL_arg1793z00_1779==BgL_classz00_1753); }  else 
{ /* Llib/flac.scm 187 */
BgL_res1886z00_1790 = ((bool_t)0); } } } } 
BgL_arg1795z00_1761 = BgL_res1886z00_1790; } 
BgL_test2074z00_3173 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1760, BgL_arg1795z00_1761); } }  else 
{ /* Llib/flac.scm 187 */
BgL_test2074z00_3173 = ((bool_t)0)
; } } 
if(BgL_test2074z00_3173)
{ /* Llib/flac.scm 187 */
BgL_auxz00_3172 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1128)
; }  else 
{ 
 obj_t BgL_auxz00_3194;
BgL_auxz00_3194 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)8592)), BGl_string1865z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_oz00_1128); 
FAILURE(BgL_auxz00_3194,BFALSE,BFALSE);} } 
BgL_tmpz00_3171 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_auxz00_3172); } 
return 
BINT(BgL_tmpz00_3171);} } 

}



/* flac-decoder-position */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_31)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
 obj_t BgL_method1139z00_362;
{ /* Llib/flac.scm 239 */
 obj_t BgL_res1707z00_863;
{ /* Llib/flac.scm 239 */
 long BgL_objzd2classzd2numz00_834;
BgL_objzd2classzd2numz00_834 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_31)); 
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1801z00_835;
BgL_arg1801z00_835 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 239 */
 int BgL_offsetz00_838;
BgL_offsetz00_838 = 
(int)(BgL_objzd2classzd2numz00_834); 
{ /* Llib/flac.scm 239 */
 long BgL_offsetz00_839;
BgL_offsetz00_839 = 
(
(long)(BgL_offsetz00_838)-OBJECT_TYPE); 
{ /* Llib/flac.scm 239 */
 long BgL_modz00_840;
BgL_modz00_840 = 
(BgL_offsetz00_839 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 239 */
 long BgL_restz00_842;
BgL_restz00_842 = 
(BgL_offsetz00_839 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 239 */

{ /* Llib/flac.scm 239 */
 obj_t BgL_bucketz00_844;
BgL_bucketz00_844 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_835),BgL_modz00_840); 
BgL_res1707z00_863 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_844),BgL_restz00_842); } } } } } } } } 
BgL_method1139z00_362 = BgL_res1707z00_863; } 
return 
(long)CINT(
PROCEDURE_ENTRY(BgL_method1139z00_362)(BgL_method1139z00_362, 
((obj_t)BgL_mz00_31), BEOA));} } 

}



/* &flac-decoder-position */
obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t BgL_envz00_1129, obj_t BgL_mz00_1130)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
 long BgL_tmpz00_3231;
{ /* Llib/flac.scm 239 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3232;
{ /* Llib/flac.scm 239 */
 bool_t BgL_test2078z00_3233;
{ /* Llib/flac.scm 239 */
 obj_t BgL_classz00_1791;
BgL_classz00_1791 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1130))
{ /* Llib/flac.scm 239 */
 BgL_objectz00_bglt BgL_arg1799z00_1793; long BgL_arg1800z00_1794;
BgL_arg1799z00_1793 = 
(BgL_objectz00_bglt)(BgL_mz00_1130); 
BgL_arg1800z00_1794 = 
BGL_CLASS_DEPTH(BgL_classz00_1791); 
{ /* Llib/flac.scm 239 */
 bool_t BgL_arg1794z00_1798; bool_t BgL_arg1795z00_1799;
{ /* Llib/flac.scm 239 */
 long BgL_idxz00_1803;
BgL_idxz00_1803 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1793); 
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1791z00_1804;
{ /* Llib/flac.scm 239 */
 long BgL_arg1792z00_1805;
BgL_arg1792z00_1805 = 
(BgL_idxz00_1803+BgL_arg1800z00_1794); 
BgL_arg1791z00_1804 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1805); } 
BgL_arg1794z00_1798 = 
(BgL_arg1791z00_1804==BgL_classz00_1791); } } 
{ /* Llib/flac.scm 239 */
 bool_t BgL_res1887z00_1828;
{ /* Llib/flac.scm 239 */
 obj_t BgL_oclassz00_1813;
{ /* Llib/flac.scm 239 */
 long BgL_arg1804z00_1819;
{ /* Llib/flac.scm 239 */
 long BgL_arg1805z00_1820;
BgL_arg1805z00_1820 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1793); 
BgL_arg1804z00_1819 = 
(BgL_arg1805z00_1820-OBJECT_TYPE); } 
BgL_oclassz00_1813 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1819); } 
{ /* Llib/flac.scm 239 */
 bool_t BgL__ortest_1111z00_1814;
BgL__ortest_1111z00_1814 = 
(BgL_classz00_1791==BgL_oclassz00_1813); 
if(BgL__ortest_1111z00_1814)
{ /* Llib/flac.scm 239 */
BgL_res1887z00_1828 = BgL__ortest_1111z00_1814; }  else 
{ /* Llib/flac.scm 239 */
 long BgL_odepthz00_1815;
BgL_odepthz00_1815 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1813); 
if(
(BgL_arg1800z00_1794<BgL_odepthz00_1815))
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1793z00_1817;
BgL_arg1793z00_1817 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1813, BgL_arg1800z00_1794); 
BgL_res1887z00_1828 = 
(BgL_arg1793z00_1817==BgL_classz00_1791); }  else 
{ /* Llib/flac.scm 239 */
BgL_res1887z00_1828 = ((bool_t)0); } } } } 
BgL_arg1795z00_1799 = BgL_res1887z00_1828; } 
BgL_test2078z00_3233 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1798, BgL_arg1795z00_1799); } }  else 
{ /* Llib/flac.scm 239 */
BgL_test2078z00_3233 = ((bool_t)0)
; } } 
if(BgL_test2078z00_3233)
{ /* Llib/flac.scm 239 */
BgL_auxz00_3232 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1130)
; }  else 
{ 
 obj_t BgL_auxz00_3254;
BgL_auxz00_3254 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)10859)), BGl_string1866z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_mz00_1130); 
FAILURE(BgL_auxz00_3254,BFALSE,BFALSE);} } 
BgL_tmpz00_3231 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_auxz00_3232); } 
return 
BINT(BgL_tmpz00_3231);} } 

}



/* flac-volume-get */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_32)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
 obj_t BgL_method1141z00_363;
{ /* Llib/flac.scm 251 */
 obj_t BgL_res1712z00_894;
{ /* Llib/flac.scm 251 */
 long BgL_objzd2classzd2numz00_865;
BgL_objzd2classzd2numz00_865 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_32)); 
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1801z00_866;
BgL_arg1801z00_866 = 
PROCEDURE_REF(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 251 */
 int BgL_offsetz00_869;
BgL_offsetz00_869 = 
(int)(BgL_objzd2classzd2numz00_865); 
{ /* Llib/flac.scm 251 */
 long BgL_offsetz00_870;
BgL_offsetz00_870 = 
(
(long)(BgL_offsetz00_869)-OBJECT_TYPE); 
{ /* Llib/flac.scm 251 */
 long BgL_modz00_871;
BgL_modz00_871 = 
(BgL_offsetz00_870 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 251 */
 long BgL_restz00_873;
BgL_restz00_873 = 
(BgL_offsetz00_870 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 251 */

{ /* Llib/flac.scm 251 */
 obj_t BgL_bucketz00_875;
BgL_bucketz00_875 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_866),BgL_modz00_871); 
BgL_res1712z00_894 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_875),BgL_restz00_873); } } } } } } } } 
BgL_method1141z00_363 = BgL_res1712z00_894; } 
return 
PROCEDURE_ENTRY(BgL_method1141z00_363)(BgL_method1141z00_363, 
((obj_t)BgL_mz00_32), BEOA);} } 

}



/* &flac-volume-get */
obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t BgL_envz00_1131, obj_t BgL_mz00_1132)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3290;
{ /* Llib/flac.scm 251 */
 bool_t BgL_test2082z00_3291;
{ /* Llib/flac.scm 251 */
 obj_t BgL_classz00_1829;
BgL_classz00_1829 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1132))
{ /* Llib/flac.scm 251 */
 BgL_objectz00_bglt BgL_arg1799z00_1831; long BgL_arg1800z00_1832;
BgL_arg1799z00_1831 = 
(BgL_objectz00_bglt)(BgL_mz00_1132); 
BgL_arg1800z00_1832 = 
BGL_CLASS_DEPTH(BgL_classz00_1829); 
{ /* Llib/flac.scm 251 */
 bool_t BgL_arg1794z00_1836; bool_t BgL_arg1795z00_1837;
{ /* Llib/flac.scm 251 */
 long BgL_idxz00_1841;
BgL_idxz00_1841 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1831); 
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1791z00_1842;
{ /* Llib/flac.scm 251 */
 long BgL_arg1792z00_1843;
BgL_arg1792z00_1843 = 
(BgL_idxz00_1841+BgL_arg1800z00_1832); 
BgL_arg1791z00_1842 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1843); } 
BgL_arg1794z00_1836 = 
(BgL_arg1791z00_1842==BgL_classz00_1829); } } 
{ /* Llib/flac.scm 251 */
 bool_t BgL_res1888z00_1866;
{ /* Llib/flac.scm 251 */
 obj_t BgL_oclassz00_1851;
{ /* Llib/flac.scm 251 */
 long BgL_arg1804z00_1857;
{ /* Llib/flac.scm 251 */
 long BgL_arg1805z00_1858;
BgL_arg1805z00_1858 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1831); 
BgL_arg1804z00_1857 = 
(BgL_arg1805z00_1858-OBJECT_TYPE); } 
BgL_oclassz00_1851 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1857); } 
{ /* Llib/flac.scm 251 */
 bool_t BgL__ortest_1111z00_1852;
BgL__ortest_1111z00_1852 = 
(BgL_classz00_1829==BgL_oclassz00_1851); 
if(BgL__ortest_1111z00_1852)
{ /* Llib/flac.scm 251 */
BgL_res1888z00_1866 = BgL__ortest_1111z00_1852; }  else 
{ /* Llib/flac.scm 251 */
 long BgL_odepthz00_1853;
BgL_odepthz00_1853 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1851); 
if(
(BgL_arg1800z00_1832<BgL_odepthz00_1853))
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1793z00_1855;
BgL_arg1793z00_1855 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1851, BgL_arg1800z00_1832); 
BgL_res1888z00_1866 = 
(BgL_arg1793z00_1855==BgL_classz00_1829); }  else 
{ /* Llib/flac.scm 251 */
BgL_res1888z00_1866 = ((bool_t)0); } } } } 
BgL_arg1795z00_1837 = BgL_res1888z00_1866; } 
BgL_test2082z00_3291 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1836, BgL_arg1795z00_1837); } }  else 
{ /* Llib/flac.scm 251 */
BgL_test2082z00_3291 = ((bool_t)0)
; } } 
if(BgL_test2082z00_3291)
{ /* Llib/flac.scm 251 */
BgL_auxz00_3290 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1132)
; }  else 
{ 
 obj_t BgL_auxz00_3312;
BgL_auxz00_3312 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)11336)), BGl_string1867z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_mz00_1132); 
FAILURE(BgL_auxz00_3312,BFALSE,BFALSE);} } 
return 
BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_auxz00_3290);} } 

}



/* flac-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_33, obj_t BgL_volz00_34)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
 obj_t BgL_method1143z00_364;
{ /* Llib/flac.scm 258 */
 obj_t BgL_res1717z00_925;
{ /* Llib/flac.scm 258 */
 long BgL_objzd2classzd2numz00_896;
BgL_objzd2classzd2numz00_896 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_33)); 
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1801z00_897;
BgL_arg1801z00_897 = 
PROCEDURE_REF(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 258 */
 int BgL_offsetz00_900;
BgL_offsetz00_900 = 
(int)(BgL_objzd2classzd2numz00_896); 
{ /* Llib/flac.scm 258 */
 long BgL_offsetz00_901;
BgL_offsetz00_901 = 
(
(long)(BgL_offsetz00_900)-OBJECT_TYPE); 
{ /* Llib/flac.scm 258 */
 long BgL_modz00_902;
BgL_modz00_902 = 
(BgL_offsetz00_901 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 258 */
 long BgL_restz00_904;
BgL_restz00_904 = 
(BgL_offsetz00_901 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 258 */

{ /* Llib/flac.scm 258 */
 obj_t BgL_bucketz00_906;
BgL_bucketz00_906 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_897),BgL_modz00_902); 
BgL_res1717z00_925 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_906),BgL_restz00_904); } } } } } } } } 
BgL_method1143z00_364 = BgL_res1717z00_925; } 
return 
PROCEDURE_ENTRY(BgL_method1143z00_364)(BgL_method1143z00_364, 
((obj_t)BgL_mz00_33), BgL_volz00_34, BEOA);} } 

}



/* &flac-volume-set! */
obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t BgL_envz00_1133, obj_t BgL_mz00_1134, obj_t BgL_volz00_1135)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3348;
{ /* Llib/flac.scm 258 */
 bool_t BgL_test2086z00_3349;
{ /* Llib/flac.scm 258 */
 obj_t BgL_classz00_1867;
BgL_classz00_1867 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1134))
{ /* Llib/flac.scm 258 */
 BgL_objectz00_bglt BgL_arg1799z00_1869; long BgL_arg1800z00_1870;
BgL_arg1799z00_1869 = 
(BgL_objectz00_bglt)(BgL_mz00_1134); 
BgL_arg1800z00_1870 = 
BGL_CLASS_DEPTH(BgL_classz00_1867); 
{ /* Llib/flac.scm 258 */
 bool_t BgL_arg1794z00_1874; bool_t BgL_arg1795z00_1875;
{ /* Llib/flac.scm 258 */
 long BgL_idxz00_1879;
BgL_idxz00_1879 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1869); 
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1791z00_1880;
{ /* Llib/flac.scm 258 */
 long BgL_arg1792z00_1881;
BgL_arg1792z00_1881 = 
(BgL_idxz00_1879+BgL_arg1800z00_1870); 
BgL_arg1791z00_1880 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1881); } 
BgL_arg1794z00_1874 = 
(BgL_arg1791z00_1880==BgL_classz00_1867); } } 
{ /* Llib/flac.scm 258 */
 bool_t BgL_res1889z00_1904;
{ /* Llib/flac.scm 258 */
 obj_t BgL_oclassz00_1889;
{ /* Llib/flac.scm 258 */
 long BgL_arg1804z00_1895;
{ /* Llib/flac.scm 258 */
 long BgL_arg1805z00_1896;
BgL_arg1805z00_1896 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1869); 
BgL_arg1804z00_1895 = 
(BgL_arg1805z00_1896-OBJECT_TYPE); } 
BgL_oclassz00_1889 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1895); } 
{ /* Llib/flac.scm 258 */
 bool_t BgL__ortest_1111z00_1890;
BgL__ortest_1111z00_1890 = 
(BgL_classz00_1867==BgL_oclassz00_1889); 
if(BgL__ortest_1111z00_1890)
{ /* Llib/flac.scm 258 */
BgL_res1889z00_1904 = BgL__ortest_1111z00_1890; }  else 
{ /* Llib/flac.scm 258 */
 long BgL_odepthz00_1891;
BgL_odepthz00_1891 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1889); 
if(
(BgL_arg1800z00_1870<BgL_odepthz00_1891))
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1793z00_1893;
BgL_arg1793z00_1893 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1889, BgL_arg1800z00_1870); 
BgL_res1889z00_1904 = 
(BgL_arg1793z00_1893==BgL_classz00_1867); }  else 
{ /* Llib/flac.scm 258 */
BgL_res1889z00_1904 = ((bool_t)0); } } } } 
BgL_arg1795z00_1875 = BgL_res1889z00_1904; } 
BgL_test2086z00_3349 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1874, BgL_arg1795z00_1875); } }  else 
{ /* Llib/flac.scm 258 */
BgL_test2086z00_3349 = ((bool_t)0)
; } } 
if(BgL_test2086z00_3349)
{ /* Llib/flac.scm 258 */
BgL_auxz00_3348 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1134)
; }  else 
{ 
 obj_t BgL_auxz00_3370;
BgL_auxz00_3370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1784z00zz__flac_flacz00, 
BINT(((long)11704)), BGl_string1868z00zz__flac_flacz00, BGl_string1852z00zz__flac_flacz00, BgL_mz00_1134); 
FAILURE(BgL_auxz00_3370,BFALSE,BFALSE);} } 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_auxz00_3348, BgL_volz00_1135);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_proc1869z00zz__flac_flacz00, BGl_string1870z00zz__flac_flacz00);} 

}



/* &object-print-flac-de1113 */
obj_t BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00(obj_t BgL_envz00_1137, obj_t BgL_oz00_1138, obj_t BgL_portz00_1139, obj_t BgL_printzd2slotzd2_1140)
{
{ /* Llib/flac.scm 71 */
{ /* Llib/flac.scm 72 */
 obj_t BgL_tmpz00_3376;
BgL_tmpz00_3376 = 
((obj_t)BgL_portz00_1139); 
return 
bgl_display_string(BGl_string1871z00zz__flac_flacz00, BgL_tmpz00_3376);} } 

}

#ifdef __cplusplus
}
#endif
