/*===========================================================================*/
/*   (Llib/net.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/net.scm -o objs/net.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvtcpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvtcpz00_bglt;

typedef struct BgL_uvudpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   obj_t BgL_z52procmz52;
} *BgL_uvudpz00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;


extern obj_t bgl_uv_udp_getsockname(uv_udp_t *);
extern int bgl_uv_write(BgL_uvhandlez00_bglt, char *, long, long, obj_t, BgL_uvloopz00_bglt);
extern obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2sendz00zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, long, long, long, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2keepalivez00zz__libuv_netz00(BgL_uvtcpz00_bglt, bool_t, int);
extern uv_tcp_t * bgl_uv_tcp_create(uv_loop_t *, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2simultaneouszd2acceptszd2zz__libuv_netz00(BgL_uvtcpz00_bglt, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_netz00 = BUNSPEC;
extern int bgl_uv_read_start(BgL_uvhandlez00_bglt, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62z52uvzd2initzd2UvUdp1141z30zz__libuv_netz00(obj_t, obj_t);
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00();
static obj_t BGl_z62uvzd2readablezf3z43zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2streamzd2fdz62zz__libuv_netz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern obj_t BGl_UvTtyz00zz__libuv_typesz00;
static obj_t BGl_z62uvzd2udpzd2getsocknamez62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_netz00();
static obj_t BGl__uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t, obj_t);
extern int bgl_uv_shutdown(BgL_uvstreamz00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_udpzd2serverszd2zz__libuv_netz00 = BUNSPEC;
extern obj_t bgl_uv_tcp_getsockname(uv_tcp_t *);
static obj_t BGl__uvzd2tcpzd2bindz00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2tcpzd2connectz00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_netz00();
static obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2ttlz62zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2writablezf3z43zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_netz00();
static obj_t BGl_z62uvzd2ttyzd2getzd2windowzd2siza7ezc5zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2closezd2UvStream1145z62zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2ttyzd2modezd2setz12zc0zz__libuv_netz00(BgL_uvttyz00_bglt, obj_t);
static obj_t BGl__uvzd2listenzd2zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2keepalivez62zz__libuv_netz00(obj_t, obj_t, obj_t, obj_t);
extern int bgl_uv_udp_bind(uv_udp_t *, char *, int, int, int);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl__uvzd2getaddrinfozd2zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2udpzd2setzd2broadcastzb0zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2streamzd2readzd2stopzb0zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_tcpzd2mutexzd2zz__libuv_netz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uvzd2listenzd2zz__libuv_netz00(BgL_uvstreamz00_bglt, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2bindz00zz__libuv_netz00(BgL_uvtcpz00_bglt, obj_t, int, int);
extern int uv_read_stop(uv_stream_t *);
BGL_EXPORTED_DECL obj_t BGl_uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t, obj_t);
extern uv_tty_t * bgl_uv_tty_create(uv_loop_t *, obj_t, int, bool_t);
static obj_t BGl_z62uvzd2tcpzd2getsocknamez62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2simultaneouszd2acceptszb0zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2broadcastzd2zz__libuv_netz00(BgL_uvudpz00_bglt, bool_t);
extern int bgl_uv_tcp_connect(BgL_uvtcpz00_bglt, char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t bgl_uv_tty_get_winsize(uv_tty_t *);
static obj_t BGl_z62uvzd2udpzd2setzd2ttlzb0zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_netz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2connectz00zz__libuv_netz00(BgL_uvtcpz00_bglt, obj_t, int, obj_t, int, obj_t);
static obj_t BGl__uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2getpeernamez00zz__libuv_netz00(BgL_uvtcpz00_bglt);
extern int bgl_uv_getaddrinfo(char *, char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2streamzd2writez00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2ttyzd2modezd2setz12za2zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62cbz62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2streamzd2shutdownz00zz__libuv_netz00(obj_t, obj_t);
extern int bgl_uv_write2(BgL_uvhandlez00_bglt, char *, long, long, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2getaddrinfozd2zz__libuv_netz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62cb1875z62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62cb1876z62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62cb1877z62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2streamzd2write2z00zz__libuv_netz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2ttlzd2zz__libuv_netz00(BgL_uvudpz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2multicastzd2ttlz00zz__libuv_netz00(BgL_uvudpz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2readzd2stopzd2zz__libuv_netz00(BgL_uvstreamz00_bglt);
extern obj_t BGl_UvStreamz00zz__libuv_typesz00;
static obj_t BGl_z62z52uvzd2initzd2UvTty1143z30zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2nodelayz62zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2acceptzb0zz__libuv_netz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvTcpz00zz__libuv_typesz00;
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_tcpzd2serverszd2zz__libuv_netz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2getsocknamez00zz__libuv_netz00(BgL_uvudpz00_bglt);
static obj_t BGl_z62uvzd2closezd2UvTcp1238z62zz__libuv_netz00(obj_t, obj_t, obj_t);
extern uv_udp_t * bgl_uv_udp_create(uv_loop_t *, obj_t);
static obj_t BGl__uvzd2streamzd2readzd2startzd2zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2udpzd2bindz00zz__libuv_netz00(obj_t, obj_t);
extern int bgl_uv_listen(BgL_uvstreamz00_bglt, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_netz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_handlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern int bgl_uv_udp_send(uv_udp_t *, obj_t, long, long, long, char *, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_uvzd2closingzf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt);
static obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2loopz62zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04callbackza31860ze3ze5zz__libuv_netz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2writez00zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, long, long, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2readablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt);
extern obj_t BGl_UvUdpz00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_uvzd2streamzd2fdz00zz__libuv_netz00(BgL_uvstreamz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2openz00zz__libuv_netz00(BgL_uvtcpz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_uvzd2acceptzd2zz__libuv_netz00(BgL_uvstreamz00_bglt, BgL_uvstreamz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2bindz00zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, int, int, int);
BGL_EXPORTED_DECL int BGl_uvzd2udpzd2recvzd2stopzd2zz__libuv_netz00(BgL_uvudpz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2membershipzd2zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_netz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_netz00();
static obj_t BGl_z62z52uvzd2initzd2UvTcp1139z30zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_netz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2write2z00zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, long, long, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_netz00();
BGL_EXPORTED_DECL long BGl_uvzd2streamzd2writezd2queuezd2siza7eza7zz__libuv_netz00(BgL_uvstreamz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2nodelayz00zz__libuv_netz00(BgL_uvtcpz00_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2getsocknamez00zz__libuv_netz00(BgL_uvtcpz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2multicastzd2loopz00zz__libuv_netz00(BgL_uvudpz00_bglt, bool_t);
static obj_t BGl_udpzd2mutexzd2zz__libuv_netz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2shutdownz00zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2writablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt);
static obj_t BGl_z62zc3z04callbackza31865ze3ze5zz__libuv_netz00(obj_t);
static obj_t BGl_z62uvzd2streamzd2writezd2queuezd2siza7ezc5zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2udpzd2setzd2membershipzb0zz__libuv_netz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_uv_tcp_getpeername(uv_tcp_t *);
extern int bgl_uv_tcp_bind(uv_tcp_t *, char *, int, int);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62zc3z04callbackza31867ze3ze5zz__libuv_netz00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2closingzf3z43zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2udpzd2recvzd2stopzb0zz__libuv_netz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2ttyzd2getzd2windowzd2siza7eza7zz__libuv_netz00(BgL_uvttyz00_bglt);
static obj_t BGl_z62uvzd2tcpzd2openz62zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl__uvzd2udpzd2sendz00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2getpeernamez62zz__libuv_netz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2readzd2startzd2zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, obj_t, obj_t);
extern obj_t bgl_uv_inet_pton(char *, int);
static obj_t BGl_z62uvzd2closezd2UvUdp1250z62zz__libuv_netz00(obj_t, obj_t, obj_t);
extern int bgl_uv_udp_recv_start(BgL_uvhandlez00_bglt, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t __cnst[ 9 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2bindzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2udpza7d2bind1968z00, opt_generic_entry, BGl__uvzd2udpzd2bindz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2membershipzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1969za7, BGl_z62uvzd2udpzd2setzd2membershipzb0zz__libuv_netz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2connectzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2tcpza7d2conn1970z00, opt_generic_entry, BGl__uvzd2tcpzd2connectz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2writezd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2w1971z00, opt_generic_entry, BGl__uvzd2streamzd2writez00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2listenzd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2listenza7d2za71972za7, opt_generic_entry, BGl__uvzd2listenzd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2multicastzd2loopzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1973za7, BGl_z62uvzd2udpzd2setzd2multicastzd2loopz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2multicastzd2ttlzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1974za7, BGl_z62uvzd2udpzd2setzd2multicastzd2ttlz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2ttyzd2getzd2windowzd2siza7ezd2envz75zz__libuv_netz00, BgL_bgl_za762uvza7d2ttyza7d2ge1975za7, BGl_z62uvzd2ttyzd2getzd2windowzd2siza7ezc5zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2keepalivezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2ke1976za7, BGl_z62uvzd2tcpzd2keepalivez62zz__libuv_netz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2getaddrinfozd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2getaddrinf1977za7, opt_generic_entry, BGl__uvzd2getaddrinfozd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2getsocknamezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2ge1978za7, BGl_z62uvzd2tcpzd2getsocknamez62zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2closingzf3zd2envzf3zz__libuv_netz00, BgL_bgl_za762uvza7d2closingza71979za7, BGl_z62uvzd2closingzf3z43zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2shutdownzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2s1980z00, opt_generic_entry, BGl__uvzd2streamzd2shutdownz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2bindzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2tcpza7d2bind1981z00, opt_generic_entry, BGl__uvzd2tcpzd2bindz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2openzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2op1982za7, BGl_z62uvzd2tcpzd2openz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2getsocknamezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2ge1983za7, BGl_z62uvzd2udpzd2getsocknamez62zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2write2zd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2w1984z00, opt_generic_entry, BGl__uvzd2streamzd2write2z00zz__libuv_netz00, BFALSE, -1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2writezd2queuezd2siza7ezd2envz75zz__libuv_netz00, BgL_bgl_za762uvza7d2streamza7d1985za7, BGl_z62uvzd2streamzd2writezd2queuezd2siza7ezc5zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2getpeernamezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2ge1986za7, BGl_z62uvzd2tcpzd2getpeernamez62zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2readzd2stopzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2streamza7d1987za7, BGl_z62uvzd2streamzd2readzd2stopzb0zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2readablezf3zd2envzf3zz__libuv_netz00, BgL_bgl_za762uvza7d2readable1988z00, BGl_z62uvzd2readablezf3z43zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1952z00zz__libuv_netz00, BgL_bgl_string1952za700za7za7_1989za7, "uv-getaddrinfo", 14 );
DEFINE_STRING( BGl_string1953z00zz__libuv_netz00, BgL_bgl_string1953za700za7za7_1990za7, "at least one of node or service must be a string", 48 );
DEFINE_STRING( BGl_string1954z00zz__libuv_netz00, BgL_bgl_string1954za700za7za7_1991za7, "uv-tty-mode", 11 );
DEFINE_STRING( BGl_string1955z00zz__libuv_netz00, BgL_bgl_string1955za700za7za7_1992za7, "bad mode", 8 );
DEFINE_STRING( BGl_string1957z00zz__libuv_netz00, BgL_bgl_string1957za700za7za7_1993za7, "%uv-init", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2broadcastzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1994za7, BGl_z62uvzd2udpzd2setzd2broadcastzb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1961z00zz__libuv_netz00, BgL_bgl_string1961za700za7za7_1995za7, "uv-close", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1956z00zz__libuv_netz00, BgL_bgl_za762za752uvza7d2initza71996z00, BGl_z62z52uvzd2initzd2UvTcp1139z30zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1964z00zz__libuv_netz00, BgL_bgl_string1964za700za7za7_1997za7, "__libuv_net", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1958z00zz__libuv_netz00, BgL_bgl_za762za752uvza7d2initza71998z00, BGl_z62z52uvzd2initzd2UvUdp1141z30zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1965z00zz__libuv_netz00, BgL_bgl_string1965za700za7za7_1999za7, "raw normal join-group :flags :onalloc :loop :family :callback mutex ", 68 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1959z00zz__libuv_netz00, BgL_bgl_za762za752uvza7d2initza72000z00, BGl_z62z52uvzd2initzd2UvTty1143z30zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1960z00zz__libuv_netz00, BgL_bgl_za762uvza7d2closeza7d22001za7, BGl_z62uvzd2closezd2UvStream1145z62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1962z00zz__libuv_netz00, BgL_bgl_za762uvza7d2closeza7d22002za7, BGl_z62uvzd2closezd2UvTcp1238z62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1963z00zz__libuv_netz00, BgL_bgl_za762uvza7d2closeza7d22003za7, BGl_z62uvzd2closezd2UvUdp1250z62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2simultaneouszd2acceptszd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2si2004za7, BGl_z62uvzd2tcpzd2simultaneouszd2acceptszb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2acceptzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2acceptza7b2005za7, BGl_z62uvzd2acceptzb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2nodelayzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2no2006za7, BGl_z62uvzd2tcpzd2nodelayz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2recvzd2startzd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2udpza7d2recv2007z00, opt_generic_entry, BGl__uvzd2udpzd2recvzd2startzd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2recvzd2stopzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2re2008za7, BGl_z62uvzd2udpzd2recvzd2stopzb0zz__libuv_netz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_uvzd2closezd2envz00zz__libuv_handlez00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2ttyzd2modezd2setz12zd2envz12zz__libuv_netz00, BgL_bgl_za762uvza7d2ttyza7d2mo2009za7, BGl_z62uvzd2ttyzd2modezd2setz12za2zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2ttlzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se2010za7, BGl_z62uvzd2udpzd2setzd2ttlzb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2writablezf3zd2envzf3zz__libuv_netz00, BgL_bgl_za762uvza7d2writable2011z00, BGl_z62uvzd2writablezf3z43zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2readzd2startzd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2r2012z00, opt_generic_entry, BGl__uvzd2streamzd2readzd2startzd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2inetzd2ptonzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2inetza7d2pto2013z00, opt_generic_entry, BGl__uvzd2inetzd2ptonz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2sendzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2udpza7d2send2014z00, opt_generic_entry, BGl__uvzd2udpzd2sendz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2fdzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2streamza7d2015za7, BGl_z62uvzd2streamzd2fdz62zz__libuv_netz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_udpzd2serverszd2zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_tcpzd2mutexzd2zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_tcpzd2serverszd2zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_udpzd2mutexzd2zz__libuv_netz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_netz00(long BgL_checksumz00_1510, char * BgL_fromz00_1511)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_netz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_netz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_netz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_netz00(); 
BGl_cnstzd2initzd2zz__libuv_netz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_netz00(); 
BGl_methodzd2initzd2zz__libuv_netz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_netz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__libuv_net"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
{ /* Llib/net.scm 15 */
 obj_t BgL_cportz00_1467;
{ /* Llib/net.scm 15 */
 obj_t BgL_stringz00_1475;
BgL_stringz00_1475 = BGl_string1965z00zz__libuv_netz00; 
{ /* Llib/net.scm 15 */
 obj_t BgL_startz00_1476;
BgL_startz00_1476 = 
BINT(((long)0)); 
{ /* Llib/net.scm 15 */
 obj_t BgL_endz00_1477;
BgL_endz00_1477 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1475))); 
{ /* Llib/net.scm 15 */

BgL_cportz00_1467 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1475, BgL_startz00_1476, BgL_endz00_1477); } } } } 
{ 
 long BgL_iz00_1468;
BgL_iz00_1468 = ((long)8); 
BgL_loopz00_1469:
if(
(BgL_iz00_1468==((long)-1)))
{ /* Llib/net.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/net.scm 15 */
{ /* Llib/net.scm 15 */
 obj_t BgL_arg1967z00_1471;
{ /* Llib/net.scm 15 */

{ /* Llib/net.scm 15 */
 obj_t BgL_locationz00_1473;
BgL_locationz00_1473 = 
BBOOL(((bool_t)0)); 
{ /* Llib/net.scm 15 */

BgL_arg1967z00_1471 = 
BGl_readz00zz__readerz00(BgL_cportz00_1467, BgL_locationz00_1473); } } } 
{ /* Llib/net.scm 15 */
 int BgL_tmpz00_1542;
BgL_tmpz00_1542 = 
(int)(BgL_iz00_1468); 
CNST_TABLE_SET(BgL_tmpz00_1542, BgL_arg1967z00_1471); } } 
{ /* Llib/net.scm 15 */
 int BgL_auxz00_1474;
BgL_auxz00_1474 = 
(int)(
(BgL_iz00_1468-((long)1))); 
{ 
 long BgL_iz00_1547;
BgL_iz00_1547 = 
(long)(BgL_auxz00_1474); 
BgL_iz00_1468 = BgL_iz00_1547; 
goto BgL_loopz00_1469;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
BGl_tcpzd2serverszd2zz__libuv_netz00 = BNIL; 
{ /* Llib/net.scm 268 */

{ /* Llib/net.scm 268 */
 obj_t BgL_namez00_139;
BgL_namez00_139 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/net.scm 268 */

BGl_tcpzd2mutexzd2zz__libuv_netz00 = 
bgl_make_mutex(BgL_namez00_139); } } } 
BGl_udpzd2serverszd2zz__libuv_netz00 = BNIL; 
{ /* Llib/net.scm 340 */

{ /* Llib/net.scm 340 */
 obj_t BgL_namez00_140;
BgL_namez00_140 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/net.scm 340 */

BGl_udpzd2mutexzd2zz__libuv_netz00 = 
bgl_make_mutex(BgL_namez00_140); } } } 
return BUNSPEC;} 

}



/* _uv-getaddrinfo */
obj_t BGl__uvzd2getaddrinfozd2zz__libuv_netz00(obj_t BgL_env1147z00_16, obj_t BgL_opt1146z00_15)
{
{ /* Llib/net.scm 118 */
{ /* Llib/net.scm 118 */
 obj_t BgL_g1155z00_153; obj_t BgL_servicez00_154;
BgL_g1155z00_153 = 
VECTOR_REF(BgL_opt1146z00_15,((long)0)); 
BgL_servicez00_154 = 
VECTOR_REF(BgL_opt1146z00_15,((long)1)); 
{ /* Llib/net.scm 118 */
 obj_t BgL_callbackz00_155;
BgL_callbackz00_155 = BFALSE; 
{ /* Llib/net.scm 118 */
 obj_t BgL_familyz00_156;
BgL_familyz00_156 = 
BINT(((long)0)); 
{ /* Llib/net.scm 119 */
 obj_t BgL_loopz00_157;
BgL_loopz00_157 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 118 */

{ /* Llib/net.scm 118 */
 long BgL_index1152z00_158;
{ 
 long BgL_iz00_609;
BgL_iz00_609 = ((long)2); 
BgL_search1149z00_608:
if(
(BgL_iz00_609==
VECTOR_LENGTH(BgL_opt1146z00_15)))
{ /* Llib/net.scm 118 */
BgL_index1152z00_158 = ((long)-1); }  else 
{ /* Llib/net.scm 118 */
 obj_t BgL_vz00_613;
BgL_vz00_613 = 
VECTOR_REF(BgL_opt1146z00_15,BgL_iz00_609); 
if(
(BgL_vz00_613==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 118 */
BgL_index1152z00_158 = 
(BgL_iz00_609+((long)1)); }  else 
{ 
 long BgL_iz00_1569;
BgL_iz00_1569 = 
(BgL_iz00_609+((long)2)); 
BgL_iz00_609 = BgL_iz00_1569; 
goto BgL_search1149z00_608;} } } 
if(
(BgL_index1152z00_158>=((long)0)))
{ /* Llib/net.scm 118 */
BgL_callbackz00_155 = 
VECTOR_REF(BgL_opt1146z00_15,BgL_index1152z00_158); }  else 
{ /* Llib/net.scm 118 */BFALSE; } } 
{ /* Llib/net.scm 118 */
 long BgL_index1153z00_160;
{ 
 long BgL_iz00_620;
BgL_iz00_620 = ((long)2); 
BgL_search1149z00_619:
if(
(BgL_iz00_620==
VECTOR_LENGTH(BgL_opt1146z00_15)))
{ /* Llib/net.scm 118 */
BgL_index1153z00_160 = ((long)-1); }  else 
{ /* Llib/net.scm 118 */
 obj_t BgL_vz00_624;
BgL_vz00_624 = 
VECTOR_REF(BgL_opt1146z00_15,BgL_iz00_620); 
if(
(BgL_vz00_624==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 118 */
BgL_index1153z00_160 = 
(BgL_iz00_620+((long)1)); }  else 
{ 
 long BgL_iz00_1582;
BgL_iz00_1582 = 
(BgL_iz00_620+((long)2)); 
BgL_iz00_620 = BgL_iz00_1582; 
goto BgL_search1149z00_619;} } } 
if(
(BgL_index1153z00_160>=((long)0)))
{ /* Llib/net.scm 118 */
BgL_familyz00_156 = 
VECTOR_REF(BgL_opt1146z00_15,BgL_index1153z00_160); }  else 
{ /* Llib/net.scm 118 */BFALSE; } } 
{ /* Llib/net.scm 118 */
 long BgL_index1154z00_162;
{ 
 long BgL_iz00_631;
BgL_iz00_631 = ((long)2); 
BgL_search1149z00_630:
if(
(BgL_iz00_631==
VECTOR_LENGTH(BgL_opt1146z00_15)))
{ /* Llib/net.scm 118 */
BgL_index1154z00_162 = ((long)-1); }  else 
{ /* Llib/net.scm 118 */
 obj_t BgL_vz00_635;
BgL_vz00_635 = 
VECTOR_REF(BgL_opt1146z00_15,BgL_iz00_631); 
if(
(BgL_vz00_635==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 118 */
BgL_index1154z00_162 = 
(BgL_iz00_631+((long)1)); }  else 
{ 
 long BgL_iz00_1595;
BgL_iz00_1595 = 
(BgL_iz00_631+((long)2)); 
BgL_iz00_631 = BgL_iz00_1595; 
goto BgL_search1149z00_630;} } } 
if(
(BgL_index1154z00_162>=((long)0)))
{ /* Llib/net.scm 118 */
BgL_loopz00_157 = 
VECTOR_REF(BgL_opt1146z00_15,BgL_index1154z00_162); }  else 
{ /* Llib/net.scm 118 */BFALSE; } } 
{ /* Llib/net.scm 118 */
 obj_t BgL_arg1331z00_164; obj_t BgL_arg1332z00_165;
BgL_arg1331z00_164 = 
VECTOR_REF(BgL_opt1146z00_15,((long)0)); 
BgL_arg1332z00_165 = 
VECTOR_REF(BgL_opt1146z00_15,((long)1)); 
{ /* Llib/net.scm 118 */
 obj_t BgL_callbackz00_166;
BgL_callbackz00_166 = BgL_callbackz00_155; 
{ /* Llib/net.scm 118 */
 obj_t BgL_familyz00_167;
BgL_familyz00_167 = BgL_familyz00_156; 
return 
BGl_uvzd2getaddrinfozd2zz__libuv_netz00(BgL_arg1331z00_164, BgL_arg1332z00_165, BgL_callbackz00_166, BgL_familyz00_167, BgL_loopz00_157);} } } } } } } } } 

}



/* uv-getaddrinfo */
BGL_EXPORTED_DEF obj_t BGl_uvzd2getaddrinfozd2zz__libuv_netz00(obj_t BgL_nodez00_10, obj_t BgL_servicez00_11, obj_t BgL_callbackz00_12, obj_t BgL_familyz00_13, obj_t BgL_loopz00_14)
{
{ /* Llib/net.scm 118 */
if(
STRINGP(BgL_servicez00_11))
{ /* Llib/net.scm 121 */
return 
BINT(
bgl_uv_getaddrinfo(
BSTRING_TO_STRING(BgL_nodez00_10), 
BSTRING_TO_STRING(BgL_servicez00_11), 
CINT(BgL_familyz00_13), BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_14)));}  else 
{ /* Llib/net.scm 123 */
 bool_t BgL_test2028z00_1611;
if(
CBOOL(BgL_servicez00_11))
{ /* Llib/net.scm 123 */
BgL_test2028z00_1611 = ((bool_t)0)
; }  else 
{ /* Llib/net.scm 123 */
BgL_test2028z00_1611 = ((bool_t)1)
; } 
if(BgL_test2028z00_1611)
{ /* Llib/net.scm 123 */
return 
BINT(
bgl_uv_getaddrinfo(
BSTRING_TO_STRING(BgL_nodez00_10), 0L, 
CINT(BgL_familyz00_13), BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_14)));}  else 
{ /* Llib/net.scm 130 */
 obj_t BgL_arg1349z00_178;
BgL_arg1349z00_178 = 
MAKE_YOUNG_PAIR(BgL_nodez00_10, BgL_servicez00_11); 
return 
BGl_errorz00zz__errorz00(BGl_string1952z00zz__libuv_netz00, BGl_string1953z00zz__libuv_netz00, BgL_arg1349z00_178);} } } 

}



/* _uv-inet-pton */
obj_t BGl__uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t BgL_env1157z00_20, obj_t BgL_opt1156z00_19)
{
{ /* Llib/net.scm 135 */
{ /* Llib/net.scm 135 */
 obj_t BgL_g1163z00_185;
BgL_g1163z00_185 = 
VECTOR_REF(BgL_opt1156z00_19,((long)0)); 
{ /* Llib/net.scm 135 */
 obj_t BgL_familyz00_186;
BgL_familyz00_186 = 
BINT(((long)4)); 
{ /* Llib/net.scm 135 */

{ /* Llib/net.scm 135 */
 long BgL_index1162z00_187;
{ 
 long BgL_iz00_647;
BgL_iz00_647 = ((long)1); 
BgL_search1159z00_646:
if(
(BgL_iz00_647==
VECTOR_LENGTH(BgL_opt1156z00_19)))
{ /* Llib/net.scm 135 */
BgL_index1162z00_187 = ((long)-1); }  else 
{ /* Llib/net.scm 135 */
 obj_t BgL_vz00_651;
BgL_vz00_651 = 
VECTOR_REF(BgL_opt1156z00_19,BgL_iz00_647); 
if(
(BgL_vz00_651==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 135 */
BgL_index1162z00_187 = 
(BgL_iz00_647+((long)1)); }  else 
{ 
 long BgL_iz00_1631;
BgL_iz00_1631 = 
(BgL_iz00_647+((long)2)); 
BgL_iz00_647 = BgL_iz00_1631; 
goto BgL_search1159z00_646;} } } 
if(
(BgL_index1162z00_187>=((long)0)))
{ /* Llib/net.scm 135 */
BgL_familyz00_186 = 
VECTOR_REF(BgL_opt1156z00_19,BgL_index1162z00_187); }  else 
{ /* Llib/net.scm 135 */BFALSE; } } 
{ /* Llib/net.scm 135 */
 obj_t BgL_arg1354z00_189;
BgL_arg1354z00_189 = 
VECTOR_REF(BgL_opt1156z00_19,((long)0)); 
{ /* Llib/net.scm 135 */
 obj_t BgL_familyz00_190;
BgL_familyz00_190 = BgL_familyz00_186; 
return 
bgl_uv_inet_pton(
BSTRING_TO_STRING(
((obj_t)BgL_arg1354z00_189)), 
CINT(BgL_familyz00_190));} } } } } } 

}



/* uv-inet-pton */
BGL_EXPORTED_DEF obj_t BGl_uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t BgL_addrz00_17, obj_t BgL_familyz00_18)
{
{ /* Llib/net.scm 135 */
return 
bgl_uv_inet_pton(
BSTRING_TO_STRING(BgL_addrz00_17), 
CINT(BgL_familyz00_18));} 

}



/* uv-stream-write-queue-size */
BGL_EXPORTED_DEF long BGl_uvzd2streamzd2writezd2queuezd2siza7eza7zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_21)
{
{ /* Llib/net.scm 141 */
{ /* Llib/net.scm 143 */
 uv_stream_t * BgL_arg1360z00_659;
{ /* Llib/net.scm 143 */
 uv_handle_t * BgL_arg1361z00_660;
BgL_arg1361z00_660 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_21)))->BgL_z42builtinz42); 
BgL_arg1360z00_659 = 
(uv_stream_t *)(BgL_arg1361z00_660); } 
return 
(BgL_arg1360z00_659->write_queue_size);} } 

}



/* &uv-stream-write-queue-size */
obj_t BGl_z62uvzd2streamzd2writezd2queuezd2siza7ezc5zz__libuv_netz00(obj_t BgL_envz00_1343, obj_t BgL_oz00_1344)
{
{ /* Llib/net.scm 141 */
return 
BINT(
BGl_uvzd2streamzd2writezd2queuezd2siza7eza7zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_oz00_1344)));} 

}



/* uv-stream-fd */
BGL_EXPORTED_DEF long BGl_uvzd2streamzd2fdz00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_22)
{
{ /* Llib/net.scm 148 */
{ /* Llib/net.scm 150 */
 bool_t BgL_test2033z00_1651;
{ /* Llib/net.scm 150 */
 obj_t BgL_classz00_661;
BgL_classz00_661 = BGl_UvUdpz00zz__libuv_typesz00; 
{ /* Llib/net.scm 150 */
 BgL_objectz00_bglt BgL_arg1797z00_663;
{ /* Llib/net.scm 150 */
 obj_t BgL_tmpz00_1652;
BgL_tmpz00_1652 = 
((obj_t)BgL_oz00_22); 
BgL_arg1797z00_663 = 
(BgL_objectz00_bglt)(BgL_tmpz00_1652); } 
{ /* Llib/net.scm 150 */
 bool_t BgL_arg1794z00_666; bool_t BgL_arg1795z00_667;
{ /* Llib/net.scm 150 */
 long BgL_idxz00_670;
BgL_idxz00_670 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_663); 
BgL_arg1794z00_666 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_670+((long)4)))==BgL_classz00_661); } 
{ /* Llib/net.scm 150 */
 bool_t BgL_res1874z00_692;
{ /* Llib/net.scm 150 */
 obj_t BgL_oclassz00_678;
{ /* Llib/net.scm 150 */
 long BgL_arg1804z00_684;
{ /* Llib/net.scm 150 */
 long BgL_arg1805z00_685;
BgL_arg1805z00_685 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_663); 
BgL_arg1804z00_684 = 
(BgL_arg1805z00_685-OBJECT_TYPE); } 
BgL_oclassz00_678 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_684); } 
{ /* Llib/net.scm 150 */
 bool_t BgL__ortest_1111z00_679;
BgL__ortest_1111z00_679 = 
(BgL_classz00_661==BgL_oclassz00_678); 
if(BgL__ortest_1111z00_679)
{ /* Llib/net.scm 150 */
BgL_res1874z00_692 = BgL__ortest_1111z00_679; }  else 
{ /* Llib/net.scm 150 */
 long BgL_odepthz00_680;
BgL_odepthz00_680 = 
BGL_CLASS_DEPTH(BgL_oclassz00_678); 
if(
(((long)4)<BgL_odepthz00_680))
{ /* Llib/net.scm 150 */
 obj_t BgL_arg1793z00_682;
BgL_arg1793z00_682 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_678, ((long)4)); 
BgL_res1874z00_692 = 
(BgL_arg1793z00_682==BgL_classz00_661); }  else 
{ /* Llib/net.scm 150 */
BgL_res1874z00_692 = ((bool_t)0); } } } } 
BgL_arg1795z00_667 = BgL_res1874z00_692; } 
BgL_test2033z00_1651 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_666, BgL_arg1795z00_667); } } } 
if(BgL_test2033z00_1651)
{ /* Llib/net.scm 151 */
 uv_udp_t * BgL_arg1363z00_200;
{ /* Llib/net.scm 151 */
 uv_handle_t * BgL_arg1364z00_201;
BgL_arg1364z00_201 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1363z00_200 = 
(uv_udp_t *)(BgL_arg1364z00_201); } 
return 
(BgL_arg1363z00_200->io_watcher.fd);}  else 
{ /* Llib/net.scm 152 */
 uv_stream_t * BgL_arg1366z00_202;
{ /* Llib/net.scm 152 */
 uv_handle_t * BgL_arg1367z00_203;
BgL_arg1367z00_203 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1366z00_202 = 
(uv_stream_t *)(BgL_arg1367z00_203); } 
return 
(BgL_arg1366z00_202->io_watcher.fd);} } } 

}



/* &uv-stream-fd */
obj_t BGl_z62uvzd2streamzd2fdz62zz__libuv_netz00(obj_t BgL_envz00_1345, obj_t BgL_oz00_1346)
{
{ /* Llib/net.scm 148 */
return 
BINT(
BGl_uvzd2streamzd2fdz00zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_oz00_1346)));} 

}



/* _uv-stream-write */
obj_t BGl__uvzd2streamzd2writez00zz__libuv_netz00(obj_t BgL_env1165z00_30, obj_t BgL_opt1164z00_29)
{
{ /* Llib/net.scm 157 */
{ /* Llib/net.scm 157 */
 obj_t BgL_g1173z00_208; obj_t BgL_g1174z00_209; obj_t BgL_g1175z00_210; obj_t BgL_g1176z00_211;
BgL_g1173z00_208 = 
VECTOR_REF(BgL_opt1164z00_29,((long)0)); 
BgL_g1174z00_209 = 
VECTOR_REF(BgL_opt1164z00_29,((long)1)); 
BgL_g1175z00_210 = 
VECTOR_REF(BgL_opt1164z00_29,((long)2)); 
BgL_g1176z00_211 = 
VECTOR_REF(BgL_opt1164z00_29,((long)3)); 
{ /* Llib/net.scm 157 */
 obj_t BgL_callbackz00_212;
BgL_callbackz00_212 = BFALSE; 
{ /* Llib/net.scm 157 */
 obj_t BgL_loopz00_213;
BgL_loopz00_213 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 157 */

{ /* Llib/net.scm 157 */
 long BgL_index1170z00_214;
{ 
 long BgL_iz00_699;
BgL_iz00_699 = ((long)4); 
BgL_search1167z00_698:
if(
(BgL_iz00_699==
VECTOR_LENGTH(BgL_opt1164z00_29)))
{ /* Llib/net.scm 157 */
BgL_index1170z00_214 = ((long)-1); }  else 
{ /* Llib/net.scm 157 */
 obj_t BgL_vz00_703;
BgL_vz00_703 = 
VECTOR_REF(BgL_opt1164z00_29,BgL_iz00_699); 
if(
(BgL_vz00_703==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 157 */
BgL_index1170z00_214 = 
(BgL_iz00_699+((long)1)); }  else 
{ 
 long BgL_iz00_1695;
BgL_iz00_1695 = 
(BgL_iz00_699+((long)2)); 
BgL_iz00_699 = BgL_iz00_1695; 
goto BgL_search1167z00_698;} } } 
if(
(BgL_index1170z00_214>=((long)0)))
{ /* Llib/net.scm 157 */
BgL_callbackz00_212 = 
VECTOR_REF(BgL_opt1164z00_29,BgL_index1170z00_214); }  else 
{ /* Llib/net.scm 157 */BFALSE; } } 
{ /* Llib/net.scm 157 */
 long BgL_index1171z00_216;
{ 
 long BgL_iz00_710;
BgL_iz00_710 = ((long)4); 
BgL_search1167z00_709:
if(
(BgL_iz00_710==
VECTOR_LENGTH(BgL_opt1164z00_29)))
{ /* Llib/net.scm 157 */
BgL_index1171z00_216 = ((long)-1); }  else 
{ /* Llib/net.scm 157 */
 obj_t BgL_vz00_714;
BgL_vz00_714 = 
VECTOR_REF(BgL_opt1164z00_29,BgL_iz00_710); 
if(
(BgL_vz00_714==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 157 */
BgL_index1171z00_216 = 
(BgL_iz00_710+((long)1)); }  else 
{ 
 long BgL_iz00_1708;
BgL_iz00_1708 = 
(BgL_iz00_710+((long)2)); 
BgL_iz00_710 = BgL_iz00_1708; 
goto BgL_search1167z00_709;} } } 
if(
(BgL_index1171z00_216>=((long)0)))
{ /* Llib/net.scm 157 */
BgL_loopz00_213 = 
VECTOR_REF(BgL_opt1164z00_29,BgL_index1171z00_216); }  else 
{ /* Llib/net.scm 157 */BFALSE; } } 
{ /* Llib/net.scm 157 */
 obj_t BgL_arg1377z00_218; obj_t BgL_arg1378z00_219; obj_t BgL_arg1379z00_220; obj_t BgL_arg1380z00_221;
BgL_arg1377z00_218 = 
VECTOR_REF(BgL_opt1164z00_29,((long)0)); 
BgL_arg1378z00_219 = 
VECTOR_REF(BgL_opt1164z00_29,((long)1)); 
BgL_arg1379z00_220 = 
VECTOR_REF(BgL_opt1164z00_29,((long)2)); 
BgL_arg1380z00_221 = 
VECTOR_REF(BgL_opt1164z00_29,((long)3)); 
{ /* Llib/net.scm 157 */
 obj_t BgL_callbackz00_222;
BgL_callbackz00_222 = BgL_callbackz00_212; 
{ /* Llib/net.scm 157 */
 obj_t BgL_loopz00_223;
BgL_loopz00_223 = BgL_loopz00_213; 
{ /* Llib/net.scm 157 */
 long BgL_offsetz00_722; long BgL_lenz00_723;
BgL_offsetz00_722 = 
(long)CINT(BgL_arg1379z00_220); 
BgL_lenz00_723 = 
(long)CINT(BgL_arg1380z00_221); 
{ /* Llib/net.scm 161 */
 obj_t BgL_cbz00_1347;
BgL_cbz00_1347 = 
MAKE_FX_PROCEDURE(BGl_z62cbz62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1347, 
(int)(((long)0)), 
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))); 
PROCEDURE_SET(BgL_cbz00_1347, 
(int)(((long)1)), BgL_callbackz00_222); 
PROCEDURE_SET(BgL_cbz00_1347, 
(int)(((long)2)), 
((obj_t)BgL_arg1378z00_219)); 
{ /* Llib/net.scm 164 */
 int BgL_rz00_727;
BgL_rz00_727 = 
bgl_uv_write(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1378z00_219)), BgL_offsetz00_722, BgL_lenz00_723, BgL_cbz00_1347, 
((BgL_uvloopz00_bglt)BgL_loopz00_223)); 
if(
(
(long)(BgL_rz00_727)==((long)0)))
{ /* Llib/net.scm 165 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 166 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1347, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 166 */
{ /* Llib/net.scm 166 */
 obj_t BgL_arg1870z00_734; obj_t BgL_arg1871z00_735;
BgL_arg1870z00_734 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_735 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1347, BNIL); 
{ /* Llib/net.scm 166 */
 obj_t BgL_tmpz00_1759;
BgL_tmpz00_1759 = 
((obj_t)BgL_arg1870z00_734); 
SET_CDR(BgL_tmpz00_1759, BgL_arg1871z00_735); } } 
{ 
 obj_t BgL_auxz00_1762;
{ /* Llib/net.scm 166 */
 obj_t BgL_pairz00_738;
BgL_pairz00_738 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1762 = 
CDR(BgL_pairz00_738); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_218))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1762),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 165 */BFALSE; } 
return 
BINT(BgL_rz00_727);} } } } } } } } } } } 

}



/* &cb */
obj_t BGl_z62cbz62zz__libuv_netz00(obj_t BgL_envz00_1348, obj_t BgL_statusz00_1352)
{
{ /* Llib/net.scm 158 */
{ /* Llib/net.scm 161 */
 BgL_uvstreamz00_bglt BgL_oz00_1349; obj_t BgL_callbackz00_1350; obj_t BgL_bufz00_1351;
BgL_oz00_1349 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1348, 
(int)(((long)0)))); 
BgL_callbackz00_1350 = 
PROCEDURE_REF(BgL_envz00_1348, 
(int)(((long)1))); 
BgL_bufz00_1351 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1348, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1351==BgL_envz00_1348))
{ /* Llib/net.scm 161 */
return BFALSE;}  else 
{ /* Llib/net.scm 161 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1349), BgL_envz00_1348); 
return 
PROCEDURE_ENTRY(BgL_callbackz00_1350)(BgL_callbackz00_1350, BgL_statusz00_1352, BEOA);} } } 

}



/* uv-stream-write */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2writez00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_23, obj_t BgL_bufz00_24, long BgL_offsetz00_25, long BgL_lenz00_26, obj_t BgL_callbackz00_27, obj_t BgL_loopz00_28)
{
{ /* Llib/net.scm 157 */
{ /* Llib/net.scm 161 */
 obj_t BgL_cbz00_1353;
BgL_cbz00_1353 = 
MAKE_FX_PROCEDURE(BGl_z62cb1875z62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1353, 
(int)(((long)0)), 
((obj_t)BgL_oz00_23)); 
PROCEDURE_SET(BgL_cbz00_1353, 
(int)(((long)1)), BgL_callbackz00_27); 
PROCEDURE_SET(BgL_cbz00_1353, 
(int)(((long)2)), BgL_bufz00_24); 
{ /* Llib/net.scm 164 */
 int BgL_rz00_742;
BgL_rz00_742 = 
bgl_uv_write(
((BgL_uvhandlez00_bglt)BgL_oz00_23), 
BSTRING_TO_STRING(BgL_bufz00_24), BgL_offsetz00_25, BgL_lenz00_26, BgL_cbz00_1353, 
((BgL_uvloopz00_bglt)BgL_loopz00_28)); 
if(
(
(long)(BgL_rz00_742)==((long)0)))
{ /* Llib/net.scm 165 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 166 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1353, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 166 */
{ /* Llib/net.scm 166 */
 obj_t BgL_arg1870z00_749; obj_t BgL_arg1871z00_750;
BgL_arg1870z00_749 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_750 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1353, BNIL); 
{ /* Llib/net.scm 166 */
 obj_t BgL_tmpz00_1818;
BgL_tmpz00_1818 = 
((obj_t)BgL_arg1870z00_749); 
SET_CDR(BgL_tmpz00_1818, BgL_arg1871z00_750); } } 
{ 
 obj_t BgL_auxz00_1821;
{ /* Llib/net.scm 166 */
 obj_t BgL_pairz00_753;
BgL_pairz00_753 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1821 = 
CDR(BgL_pairz00_753); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1821),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 165 */BFALSE; } 
return 
BINT(BgL_rz00_742);} } } 

}



/* &cb1875 */
obj_t BGl_z62cb1875z62zz__libuv_netz00(obj_t BgL_envz00_1354, obj_t BgL_statusz00_1358)
{
{ /* Llib/net.scm 158 */
{ /* Llib/net.scm 161 */
 BgL_uvstreamz00_bglt BgL_oz00_1355; obj_t BgL_callbackz00_1356; obj_t BgL_bufz00_1357;
BgL_oz00_1355 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1354, 
(int)(((long)0)))); 
BgL_callbackz00_1356 = 
PROCEDURE_REF(BgL_envz00_1354, 
(int)(((long)1))); 
BgL_bufz00_1357 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1354, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1357==BgL_envz00_1354))
{ /* Llib/net.scm 161 */
return BFALSE;}  else 
{ /* Llib/net.scm 161 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1355), BgL_envz00_1354); 
return 
PROCEDURE_ENTRY(BgL_callbackz00_1356)(BgL_callbackz00_1356, BgL_statusz00_1358, BEOA);} } } 

}



/* _uv-stream-write2 */
obj_t BGl__uvzd2streamzd2write2z00zz__libuv_netz00(obj_t BgL_env1178z00_39, obj_t BgL_opt1177z00_38)
{
{ /* Llib/net.scm 172 */
{ /* Llib/net.scm 172 */
 obj_t BgL_g1185z00_239; obj_t BgL_g1186z00_240; obj_t BgL_g1187z00_241; obj_t BgL_g1188z00_242; obj_t BgL_g1189z00_243;
BgL_g1185z00_239 = 
VECTOR_REF(BgL_opt1177z00_38,((long)0)); 
BgL_g1186z00_240 = 
VECTOR_REF(BgL_opt1177z00_38,((long)1)); 
BgL_g1187z00_241 = 
VECTOR_REF(BgL_opt1177z00_38,((long)2)); 
BgL_g1188z00_242 = 
VECTOR_REF(BgL_opt1177z00_38,((long)3)); 
BgL_g1189z00_243 = 
VECTOR_REF(BgL_opt1177z00_38,((long)4)); 
{ /* Llib/net.scm 172 */
 obj_t BgL_callbackz00_244;
BgL_callbackz00_244 = BFALSE; 
{ /* Llib/net.scm 172 */
 obj_t BgL_loopz00_245;
BgL_loopz00_245 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 172 */

{ /* Llib/net.scm 172 */
 long BgL_index1183z00_246;
{ 
 long BgL_iz00_760;
BgL_iz00_760 = ((long)5); 
BgL_search1180z00_759:
if(
(BgL_iz00_760==
VECTOR_LENGTH(BgL_opt1177z00_38)))
{ /* Llib/net.scm 172 */
BgL_index1183z00_246 = ((long)-1); }  else 
{ /* Llib/net.scm 172 */
 obj_t BgL_vz00_764;
BgL_vz00_764 = 
VECTOR_REF(BgL_opt1177z00_38,BgL_iz00_760); 
if(
(BgL_vz00_764==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 172 */
BgL_index1183z00_246 = 
(BgL_iz00_760+((long)1)); }  else 
{ 
 long BgL_iz00_1859;
BgL_iz00_1859 = 
(BgL_iz00_760+((long)2)); 
BgL_iz00_760 = BgL_iz00_1859; 
goto BgL_search1180z00_759;} } } 
if(
(BgL_index1183z00_246>=((long)0)))
{ /* Llib/net.scm 172 */
BgL_callbackz00_244 = 
VECTOR_REF(BgL_opt1177z00_38,BgL_index1183z00_246); }  else 
{ /* Llib/net.scm 172 */BFALSE; } } 
{ /* Llib/net.scm 172 */
 long BgL_index1184z00_248;
{ 
 long BgL_iz00_771;
BgL_iz00_771 = ((long)5); 
BgL_search1180z00_770:
if(
(BgL_iz00_771==
VECTOR_LENGTH(BgL_opt1177z00_38)))
{ /* Llib/net.scm 172 */
BgL_index1184z00_248 = ((long)-1); }  else 
{ /* Llib/net.scm 172 */
 obj_t BgL_vz00_775;
BgL_vz00_775 = 
VECTOR_REF(BgL_opt1177z00_38,BgL_iz00_771); 
if(
(BgL_vz00_775==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 172 */
BgL_index1184z00_248 = 
(BgL_iz00_771+((long)1)); }  else 
{ 
 long BgL_iz00_1872;
BgL_iz00_1872 = 
(BgL_iz00_771+((long)2)); 
BgL_iz00_771 = BgL_iz00_1872; 
goto BgL_search1180z00_770;} } } 
if(
(BgL_index1184z00_248>=((long)0)))
{ /* Llib/net.scm 172 */
BgL_loopz00_245 = 
VECTOR_REF(BgL_opt1177z00_38,BgL_index1184z00_248); }  else 
{ /* Llib/net.scm 172 */BFALSE; } } 
{ /* Llib/net.scm 172 */
 obj_t BgL_arg1455z00_250; obj_t BgL_arg1456z00_251; obj_t BgL_arg1535z00_252; obj_t BgL_arg1536z00_253; obj_t BgL_arg1541z00_254;
BgL_arg1455z00_250 = 
VECTOR_REF(BgL_opt1177z00_38,((long)0)); 
BgL_arg1456z00_251 = 
VECTOR_REF(BgL_opt1177z00_38,((long)1)); 
BgL_arg1535z00_252 = 
VECTOR_REF(BgL_opt1177z00_38,((long)2)); 
BgL_arg1536z00_253 = 
VECTOR_REF(BgL_opt1177z00_38,((long)3)); 
BgL_arg1541z00_254 = 
VECTOR_REF(BgL_opt1177z00_38,((long)4)); 
{ /* Llib/net.scm 172 */
 obj_t BgL_callbackz00_255;
BgL_callbackz00_255 = BgL_callbackz00_244; 
{ /* Llib/net.scm 172 */
 obj_t BgL_loopz00_256;
BgL_loopz00_256 = BgL_loopz00_245; 
{ /* Llib/net.scm 172 */
 long BgL_offsetz00_783; long BgL_lenz00_784;
BgL_offsetz00_783 = 
(long)CINT(BgL_arg1535z00_252); 
BgL_lenz00_784 = 
(long)CINT(BgL_arg1536z00_253); 
{ /* Llib/net.scm 176 */
 obj_t BgL_cbz00_1359;
BgL_cbz00_1359 = 
MAKE_FX_PROCEDURE(BGl_z62cb1876z62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1359, 
(int)(((long)0)), 
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))); 
PROCEDURE_SET(BgL_cbz00_1359, 
(int)(((long)1)), BgL_callbackz00_255); 
PROCEDURE_SET(BgL_cbz00_1359, 
(int)(((long)2)), 
((obj_t)BgL_arg1456z00_251)); 
{ /* Llib/net.scm 179 */
 int BgL_rz00_788;
BgL_rz00_788 = 
bgl_uv_write2(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1456z00_251)), BgL_offsetz00_783, BgL_lenz00_784, BgL_arg1541z00_254, BgL_cbz00_1359, 
((BgL_uvloopz00_bglt)BgL_loopz00_256)); 
if(
(
(long)(BgL_rz00_788)==((long)0)))
{ /* Llib/net.scm 180 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 181 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1359, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 181 */
{ /* Llib/net.scm 181 */
 obj_t BgL_arg1870z00_795; obj_t BgL_arg1871z00_796;
BgL_arg1870z00_795 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_796 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1359, BNIL); 
{ /* Llib/net.scm 181 */
 obj_t BgL_tmpz00_1924;
BgL_tmpz00_1924 = 
((obj_t)BgL_arg1870z00_795); 
SET_CDR(BgL_tmpz00_1924, BgL_arg1871z00_796); } } 
{ 
 obj_t BgL_auxz00_1927;
{ /* Llib/net.scm 181 */
 obj_t BgL_pairz00_799;
BgL_pairz00_799 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1927 = 
CDR(BgL_pairz00_799); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1455z00_250))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1927),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 180 */BFALSE; } 
return 
BINT(BgL_rz00_788);} } } } } } } } } } } 

}



/* &cb1876 */
obj_t BGl_z62cb1876z62zz__libuv_netz00(obj_t BgL_envz00_1360, obj_t BgL_statusz00_1364)
{
{ /* Llib/net.scm 173 */
{ /* Llib/net.scm 176 */
 BgL_uvstreamz00_bglt BgL_oz00_1361; obj_t BgL_callbackz00_1362; obj_t BgL_bufz00_1363;
BgL_oz00_1361 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1360, 
(int)(((long)0)))); 
BgL_callbackz00_1362 = 
PROCEDURE_REF(BgL_envz00_1360, 
(int)(((long)1))); 
BgL_bufz00_1363 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1360, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1363==BgL_envz00_1360))
{ /* Llib/net.scm 176 */
return BFALSE;}  else 
{ /* Llib/net.scm 176 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1361), BgL_envz00_1360); 
return 
PROCEDURE_ENTRY(BgL_callbackz00_1362)(BgL_callbackz00_1362, BgL_statusz00_1364, BEOA);} } } 

}



/* uv-stream-write2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2write2z00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_31, obj_t BgL_bufz00_32, long BgL_offsetz00_33, long BgL_lenz00_34, obj_t BgL_handlez00_35, obj_t BgL_callbackz00_36, obj_t BgL_loopz00_37)
{
{ /* Llib/net.scm 172 */
{ /* Llib/net.scm 176 */
 obj_t BgL_cbz00_1365;
BgL_cbz00_1365 = 
MAKE_FX_PROCEDURE(BGl_z62cb1877z62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1365, 
(int)(((long)0)), 
((obj_t)BgL_oz00_31)); 
PROCEDURE_SET(BgL_cbz00_1365, 
(int)(((long)1)), BgL_callbackz00_36); 
PROCEDURE_SET(BgL_cbz00_1365, 
(int)(((long)2)), BgL_bufz00_32); 
{ /* Llib/net.scm 179 */
 int BgL_rz00_803;
BgL_rz00_803 = 
bgl_uv_write2(
((BgL_uvhandlez00_bglt)BgL_oz00_31), 
BSTRING_TO_STRING(BgL_bufz00_32), BgL_offsetz00_33, BgL_lenz00_34, BgL_handlez00_35, BgL_cbz00_1365, 
((BgL_uvloopz00_bglt)BgL_loopz00_37)); 
if(
(
(long)(BgL_rz00_803)==((long)0)))
{ /* Llib/net.scm 180 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 181 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1365, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 181 */
{ /* Llib/net.scm 181 */
 obj_t BgL_arg1870z00_810; obj_t BgL_arg1871z00_811;
BgL_arg1870z00_810 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_811 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1365, BNIL); 
{ /* Llib/net.scm 181 */
 obj_t BgL_tmpz00_1983;
BgL_tmpz00_1983 = 
((obj_t)BgL_arg1870z00_810); 
SET_CDR(BgL_tmpz00_1983, BgL_arg1871z00_811); } } 
{ 
 obj_t BgL_auxz00_1986;
{ /* Llib/net.scm 181 */
 obj_t BgL_pairz00_814;
BgL_pairz00_814 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1986 = 
CDR(BgL_pairz00_814); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1986),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 180 */BFALSE; } 
return 
BINT(BgL_rz00_803);} } } 

}



/* &cb1877 */
obj_t BGl_z62cb1877z62zz__libuv_netz00(obj_t BgL_envz00_1366, obj_t BgL_statusz00_1370)
{
{ /* Llib/net.scm 173 */
{ /* Llib/net.scm 176 */
 BgL_uvstreamz00_bglt BgL_oz00_1367; obj_t BgL_callbackz00_1368; obj_t BgL_bufz00_1369;
BgL_oz00_1367 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1366, 
(int)(((long)0)))); 
BgL_callbackz00_1368 = 
PROCEDURE_REF(BgL_envz00_1366, 
(int)(((long)1))); 
BgL_bufz00_1369 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1366, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1369==BgL_envz00_1366))
{ /* Llib/net.scm 176 */
return BFALSE;}  else 
{ /* Llib/net.scm 176 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1367), BgL_envz00_1366); 
return 
PROCEDURE_ENTRY(BgL_callbackz00_1368)(BgL_callbackz00_1368, BgL_statusz00_1370, BEOA);} } } 

}



/* _uv-stream-read-start */
obj_t BGl__uvzd2streamzd2readzd2startzd2zz__libuv_netz00(obj_t BgL_env1191z00_45, obj_t BgL_opt1190z00_44)
{
{ /* Llib/net.scm 187 */
{ /* Llib/net.scm 187 */
 obj_t BgL_g1204z00_272;
BgL_g1204z00_272 = 
VECTOR_REF(BgL_opt1190z00_44,((long)0)); 
{ /* Llib/net.scm 187 */
 obj_t BgL_callbackz00_273;
BgL_callbackz00_273 = BFALSE; 
{ /* Llib/net.scm 187 */
 obj_t BgL_loopz00_274;
BgL_loopz00_274 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 187 */
 obj_t BgL_onallocz00_275;
BgL_onallocz00_275 = BFALSE; 
{ /* Llib/net.scm 187 */

{ /* Llib/net.scm 187 */
 long BgL_index1196z00_276;
{ 
 long BgL_iz00_821;
BgL_iz00_821 = ((long)1); 
BgL_search1193z00_820:
if(
(BgL_iz00_821==
VECTOR_LENGTH(BgL_opt1190z00_44)))
{ /* Llib/net.scm 187 */
BgL_index1196z00_276 = ((long)-1); }  else 
{ /* Llib/net.scm 187 */
 obj_t BgL_vz00_825;
BgL_vz00_825 = 
VECTOR_REF(BgL_opt1190z00_44,BgL_iz00_821); 
if(
(BgL_vz00_825==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 187 */
BgL_index1196z00_276 = 
(BgL_iz00_821+((long)1)); }  else 
{ 
 long BgL_iz00_2020;
BgL_iz00_2020 = 
(BgL_iz00_821+((long)2)); 
BgL_iz00_821 = BgL_iz00_2020; 
goto BgL_search1193z00_820;} } } 
if(
(BgL_index1196z00_276>=((long)0)))
{ /* Llib/net.scm 187 */
BgL_callbackz00_273 = 
VECTOR_REF(BgL_opt1190z00_44,BgL_index1196z00_276); }  else 
{ /* Llib/net.scm 187 */BFALSE; } } 
{ /* Llib/net.scm 187 */
 long BgL_index1197z00_278;
{ 
 long BgL_iz00_832;
BgL_iz00_832 = ((long)1); 
BgL_search1193z00_831:
if(
(BgL_iz00_832==
VECTOR_LENGTH(BgL_opt1190z00_44)))
{ /* Llib/net.scm 187 */
BgL_index1197z00_278 = ((long)-1); }  else 
{ /* Llib/net.scm 187 */
 obj_t BgL_vz00_836;
BgL_vz00_836 = 
VECTOR_REF(BgL_opt1190z00_44,BgL_iz00_832); 
if(
(BgL_vz00_836==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 187 */
BgL_index1197z00_278 = 
(BgL_iz00_832+((long)1)); }  else 
{ 
 long BgL_iz00_2033;
BgL_iz00_2033 = 
(BgL_iz00_832+((long)2)); 
BgL_iz00_832 = BgL_iz00_2033; 
goto BgL_search1193z00_831;} } } 
if(
(BgL_index1197z00_278>=((long)0)))
{ /* Llib/net.scm 187 */
BgL_loopz00_274 = 
VECTOR_REF(BgL_opt1190z00_44,BgL_index1197z00_278); }  else 
{ /* Llib/net.scm 187 */BFALSE; } } 
{ /* Llib/net.scm 187 */
 long BgL_index1198z00_280;
{ 
 long BgL_iz00_843;
BgL_iz00_843 = ((long)1); 
BgL_search1193z00_842:
if(
(BgL_iz00_843==
VECTOR_LENGTH(BgL_opt1190z00_44)))
{ /* Llib/net.scm 187 */
BgL_index1198z00_280 = ((long)-1); }  else 
{ /* Llib/net.scm 187 */
 obj_t BgL_vz00_847;
BgL_vz00_847 = 
VECTOR_REF(BgL_opt1190z00_44,BgL_iz00_843); 
if(
(BgL_vz00_847==
CNST_TABLE_REF(((long)4))))
{ /* Llib/net.scm 187 */
BgL_index1198z00_280 = 
(BgL_iz00_843+((long)1)); }  else 
{ 
 long BgL_iz00_2046;
BgL_iz00_2046 = 
(BgL_iz00_843+((long)2)); 
BgL_iz00_843 = BgL_iz00_2046; 
goto BgL_search1193z00_842;} } } 
if(
(BgL_index1198z00_280>=((long)0)))
{ /* Llib/net.scm 187 */
BgL_onallocz00_275 = 
VECTOR_REF(BgL_opt1190z00_44,BgL_index1198z00_280); }  else 
{ /* Llib/net.scm 187 */BFALSE; } } 
{ /* Llib/net.scm 187 */
 obj_t BgL_arg1563z00_282;
BgL_arg1563z00_282 = 
VECTOR_REF(BgL_opt1190z00_44,((long)0)); 
{ /* Llib/net.scm 187 */
 obj_t BgL_callbackz00_283;
BgL_callbackz00_283 = BgL_callbackz00_273; 
{ /* Llib/net.scm 187 */
 obj_t BgL_loopz00_284;
BgL_loopz00_284 = BgL_loopz00_274; 
{ /* Llib/net.scm 187 */
 obj_t BgL_onallocz00_285;
BgL_onallocz00_285 = BgL_onallocz00_275; 
{ /* Llib/net.scm 188 */
 int BgL_rz00_854;
BgL_rz00_854 = 
bgl_uv_read_start(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1563z00_282)), BgL_onallocz00_285, BgL_callbackz00_283, 
((BgL_uvloopz00_bglt)BgL_loopz00_284)); 
if(
(
(long)(BgL_rz00_854)==((long)0)))
{ /* Llib/net.scm 189 */
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_arg1563z00_282)))->BgL_z52callbackz52)=((obj_t)BgL_callbackz00_283),BUNSPEC); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 192 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1563z00_282)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 192 */
{ /* Llib/net.scm 192 */
 obj_t BgL_arg1870z00_862; obj_t BgL_arg1871z00_863;
BgL_arg1870z00_862 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_863 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1563z00_282)), BNIL); 
{ /* Llib/net.scm 192 */
 obj_t BgL_tmpz00_2079;
BgL_tmpz00_2079 = 
((obj_t)BgL_arg1870z00_862); 
SET_CDR(BgL_tmpz00_2079, BgL_arg1871z00_863); } } 
{ 
 obj_t BgL_auxz00_2082;
{ /* Llib/net.scm 192 */
 obj_t BgL_pairz00_866;
BgL_pairz00_866 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2082 = 
CDR(BgL_pairz00_866); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_284)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2082),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 189 */BFALSE; } 
return 
BINT(BgL_rz00_854);} } } } } } } } } } } 

}



/* uv-stream-read-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2readzd2startzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_40, obj_t BgL_callbackz00_41, obj_t BgL_loopz00_42, obj_t BgL_onallocz00_43)
{
{ /* Llib/net.scm 187 */
{ /* Llib/net.scm 188 */
 int BgL_rz00_867;
BgL_rz00_867 = 
bgl_uv_read_start(
((BgL_uvhandlez00_bglt)BgL_oz00_40), BgL_onallocz00_43, BgL_callbackz00_41, 
((BgL_uvloopz00_bglt)BgL_loopz00_42)); 
if(
(
(long)(BgL_rz00_867)==((long)0)))
{ /* Llib/net.scm 189 */
((((BgL_uvstreamz00_bglt)COBJECT(BgL_oz00_40))->BgL_z52callbackz52)=((obj_t)BgL_callbackz00_41),BUNSPEC); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 192 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_40), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 192 */
{ /* Llib/net.scm 192 */
 obj_t BgL_arg1870z00_875; obj_t BgL_arg1871z00_876;
BgL_arg1870z00_875 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_876 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_40), BNIL); 
{ /* Llib/net.scm 192 */
 obj_t BgL_tmpz00_2112;
BgL_tmpz00_2112 = 
((obj_t)BgL_arg1870z00_875); 
SET_CDR(BgL_tmpz00_2112, BgL_arg1871z00_876); } } 
{ 
 obj_t BgL_auxz00_2115;
{ /* Llib/net.scm 192 */
 obj_t BgL_pairz00_879;
BgL_pairz00_879 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2115 = 
CDR(BgL_pairz00_879); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2115),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 189 */BFALSE; } 
return 
BINT(BgL_rz00_867);} } 

}



/* uv-stream-read-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2readzd2stopzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_46)
{
{ /* Llib/net.scm 198 */
((((BgL_uvstreamz00_bglt)COBJECT(BgL_oz00_46))->BgL_z52callbackz52)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/net.scm 202 */
 BgL_uvloopz00_bglt BgL_arg1574z00_295;
BgL_arg1574z00_295 = 
(((BgL_uvstreamz00_bglt)COBJECT(BgL_oz00_46))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1574z00_295), 
((obj_t)BgL_oz00_46)); } 
{ /* Llib/net.scm 203 */
 uv_stream_t * BgL_arg1575z00_296;
{ /* Llib/net.scm 203 */
 uv_handle_t * BgL_arg1576z00_297;
BgL_arg1576z00_297 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_46)))->BgL_z42builtinz42); 
BgL_arg1575z00_296 = 
(uv_stream_t *)(BgL_arg1576z00_297); } 
return 
BINT(
uv_read_stop(BgL_arg1575z00_296));} } 

}



/* &uv-stream-read-stop */
obj_t BGl_z62uvzd2streamzd2readzd2stopzb0zz__libuv_netz00(obj_t BgL_envz00_1371, obj_t BgL_oz00_1372)
{
{ /* Llib/net.scm 198 */
return 
BGl_uvzd2streamzd2readzd2stopzd2zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_oz00_1372));} 

}



/* _uv-stream-shutdown */
obj_t BGl__uvzd2streamzd2shutdownz00zz__libuv_netz00(obj_t BgL_env1206z00_51, obj_t BgL_opt1205z00_50)
{
{ /* Llib/net.scm 208 */
{ /* Llib/net.scm 208 */
 obj_t BgL_g1213z00_302;
BgL_g1213z00_302 = 
VECTOR_REF(BgL_opt1205z00_50,((long)0)); 
{ /* Llib/net.scm 208 */
 obj_t BgL_callbackz00_303;
BgL_callbackz00_303 = BFALSE; 
{ /* Llib/net.scm 208 */
 obj_t BgL_loopz00_304;
BgL_loopz00_304 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 208 */

{ /* Llib/net.scm 208 */
 long BgL_index1211z00_305;
{ 
 long BgL_iz00_886;
BgL_iz00_886 = ((long)1); 
BgL_search1208z00_885:
if(
(BgL_iz00_886==
VECTOR_LENGTH(BgL_opt1205z00_50)))
{ /* Llib/net.scm 208 */
BgL_index1211z00_305 = ((long)-1); }  else 
{ /* Llib/net.scm 208 */
 obj_t BgL_vz00_890;
BgL_vz00_890 = 
VECTOR_REF(BgL_opt1205z00_50,BgL_iz00_886); 
if(
(BgL_vz00_890==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 208 */
BgL_index1211z00_305 = 
(BgL_iz00_886+((long)1)); }  else 
{ 
 long BgL_iz00_2145;
BgL_iz00_2145 = 
(BgL_iz00_886+((long)2)); 
BgL_iz00_886 = BgL_iz00_2145; 
goto BgL_search1208z00_885;} } } 
if(
(BgL_index1211z00_305>=((long)0)))
{ /* Llib/net.scm 208 */
BgL_callbackz00_303 = 
VECTOR_REF(BgL_opt1205z00_50,BgL_index1211z00_305); }  else 
{ /* Llib/net.scm 208 */BFALSE; } } 
{ /* Llib/net.scm 208 */
 long BgL_index1212z00_307;
{ 
 long BgL_iz00_897;
BgL_iz00_897 = ((long)1); 
BgL_search1208z00_896:
if(
(BgL_iz00_897==
VECTOR_LENGTH(BgL_opt1205z00_50)))
{ /* Llib/net.scm 208 */
BgL_index1212z00_307 = ((long)-1); }  else 
{ /* Llib/net.scm 208 */
 obj_t BgL_vz00_901;
BgL_vz00_901 = 
VECTOR_REF(BgL_opt1205z00_50,BgL_iz00_897); 
if(
(BgL_vz00_901==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 208 */
BgL_index1212z00_307 = 
(BgL_iz00_897+((long)1)); }  else 
{ 
 long BgL_iz00_2158;
BgL_iz00_2158 = 
(BgL_iz00_897+((long)2)); 
BgL_iz00_897 = BgL_iz00_2158; 
goto BgL_search1208z00_896;} } } 
if(
(BgL_index1212z00_307>=((long)0)))
{ /* Llib/net.scm 208 */
BgL_loopz00_304 = 
VECTOR_REF(BgL_opt1205z00_50,BgL_index1212z00_307); }  else 
{ /* Llib/net.scm 208 */BFALSE; } } 
{ /* Llib/net.scm 208 */
 obj_t BgL_arg1590z00_309;
BgL_arg1590z00_309 = 
VECTOR_REF(BgL_opt1205z00_50,((long)0)); 
{ /* Llib/net.scm 208 */
 obj_t BgL_callbackz00_310;
BgL_callbackz00_310 = BgL_callbackz00_303; 
{ /* Llib/net.scm 208 */
 obj_t BgL_loopz00_311;
BgL_loopz00_311 = BgL_loopz00_304; 
{ /* Llib/net.scm 209 */
 int BgL_rz00_908;
BgL_rz00_908 = 
bgl_uv_shutdown(
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309), BgL_callbackz00_310, 
((BgL_uvloopz00_bglt)BgL_loopz00_311)); 
if(
(
(long)(BgL_rz00_908)==((long)0)))
{ /* Llib/net.scm 210 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 211 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_310, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 211 */
{ /* Llib/net.scm 211 */
 obj_t BgL_arg1870z00_915; obj_t BgL_arg1871z00_916;
BgL_arg1870z00_915 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_916 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_310, BNIL); 
{ /* Llib/net.scm 211 */
 obj_t BgL_tmpz00_2189;
BgL_tmpz00_2189 = 
((obj_t)BgL_arg1870z00_915); 
SET_CDR(BgL_tmpz00_2189, BgL_arg1871z00_916); } } 
{ 
 obj_t BgL_auxz00_2192;
{ /* Llib/net.scm 211 */
 obj_t BgL_pairz00_919;
BgL_pairz00_919 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2192 = 
CDR(BgL_pairz00_919); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2192),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 212 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 212 */
{ /* Llib/net.scm 212 */
 obj_t BgL_arg1870z00_924; obj_t BgL_arg1871z00_925;
BgL_arg1870z00_924 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_925 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1590z00_309)), BNIL); 
{ /* Llib/net.scm 212 */
 obj_t BgL_tmpz00_2218;
BgL_tmpz00_2218 = 
((obj_t)BgL_arg1870z00_924); 
SET_CDR(BgL_tmpz00_2218, BgL_arg1871z00_925); } } 
{ 
 obj_t BgL_auxz00_2221;
{ /* Llib/net.scm 212 */
 obj_t BgL_pairz00_928;
BgL_pairz00_928 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2221 = 
CDR(BgL_pairz00_928); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_311)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2221),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 210 */BFALSE; } 
return 
BINT(BgL_rz00_908);} } } } } } } } } 

}



/* uv-stream-shutdown */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2shutdownz00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_47, obj_t BgL_callbackz00_48, obj_t BgL_loopz00_49)
{
{ /* Llib/net.scm 208 */
{ /* Llib/net.scm 209 */
 int BgL_rz00_929;
BgL_rz00_929 = 
bgl_uv_shutdown(BgL_handlez00_47, BgL_callbackz00_48, 
((BgL_uvloopz00_bglt)BgL_loopz00_49)); 
if(
(
(long)(BgL_rz00_929)==((long)0)))
{ /* Llib/net.scm 210 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 211 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_48, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 211 */
{ /* Llib/net.scm 211 */
 obj_t BgL_arg1870z00_936; obj_t BgL_arg1871z00_937;
BgL_arg1870z00_936 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_937 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_48, BNIL); 
{ /* Llib/net.scm 211 */
 obj_t BgL_tmpz00_2247;
BgL_tmpz00_2247 = 
((obj_t)BgL_arg1870z00_936); 
SET_CDR(BgL_tmpz00_2247, BgL_arg1871z00_937); } } 
{ 
 obj_t BgL_auxz00_2250;
{ /* Llib/net.scm 211 */
 obj_t BgL_pairz00_940;
BgL_pairz00_940 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2250 = 
CDR(BgL_pairz00_940); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2250),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 212 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_47), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 212 */
{ /* Llib/net.scm 212 */
 obj_t BgL_arg1870z00_945; obj_t BgL_arg1871z00_946;
BgL_arg1870z00_945 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_946 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_47), BNIL); 
{ /* Llib/net.scm 212 */
 obj_t BgL_tmpz00_2272;
BgL_tmpz00_2272 = 
((obj_t)BgL_arg1870z00_945); 
SET_CDR(BgL_tmpz00_2272, BgL_arg1871z00_946); } } 
{ 
 obj_t BgL_auxz00_2275;
{ /* Llib/net.scm 212 */
 obj_t BgL_pairz00_949;
BgL_pairz00_949 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2275 = 
CDR(BgL_pairz00_949); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2275),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 210 */BFALSE; } 
return 
BINT(BgL_rz00_929);} } 

}



/* _uv-listen */
obj_t BGl__uvzd2listenzd2zz__libuv_netz00(obj_t BgL_env1215z00_57, obj_t BgL_opt1214z00_56)
{
{ /* Llib/net.scm 218 */
{ /* Llib/net.scm 218 */
 obj_t BgL_g1223z00_322; obj_t BgL_g1224z00_323;
BgL_g1223z00_322 = 
VECTOR_REF(BgL_opt1214z00_56,((long)0)); 
BgL_g1224z00_323 = 
VECTOR_REF(BgL_opt1214z00_56,((long)1)); 
{ /* Llib/net.scm 218 */
 obj_t BgL_callbackz00_324;
BgL_callbackz00_324 = BFALSE; 
{ /* Llib/net.scm 218 */
 obj_t BgL_loopz00_325;
BgL_loopz00_325 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 218 */

{ /* Llib/net.scm 218 */
 long BgL_index1220z00_326;
{ 
 long BgL_iz00_956;
BgL_iz00_956 = ((long)2); 
BgL_search1217z00_955:
if(
(BgL_iz00_956==
VECTOR_LENGTH(BgL_opt1214z00_56)))
{ /* Llib/net.scm 218 */
BgL_index1220z00_326 = ((long)-1); }  else 
{ /* Llib/net.scm 218 */
 obj_t BgL_vz00_960;
BgL_vz00_960 = 
VECTOR_REF(BgL_opt1214z00_56,BgL_iz00_956); 
if(
(BgL_vz00_960==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 218 */
BgL_index1220z00_326 = 
(BgL_iz00_956+((long)1)); }  else 
{ 
 long BgL_iz00_2294;
BgL_iz00_2294 = 
(BgL_iz00_956+((long)2)); 
BgL_iz00_956 = BgL_iz00_2294; 
goto BgL_search1217z00_955;} } } 
if(
(BgL_index1220z00_326>=((long)0)))
{ /* Llib/net.scm 218 */
BgL_callbackz00_324 = 
VECTOR_REF(BgL_opt1214z00_56,BgL_index1220z00_326); }  else 
{ /* Llib/net.scm 218 */BFALSE; } } 
{ /* Llib/net.scm 218 */
 long BgL_index1221z00_328;
{ 
 long BgL_iz00_967;
BgL_iz00_967 = ((long)2); 
BgL_search1217z00_966:
if(
(BgL_iz00_967==
VECTOR_LENGTH(BgL_opt1214z00_56)))
{ /* Llib/net.scm 218 */
BgL_index1221z00_328 = ((long)-1); }  else 
{ /* Llib/net.scm 218 */
 obj_t BgL_vz00_971;
BgL_vz00_971 = 
VECTOR_REF(BgL_opt1214z00_56,BgL_iz00_967); 
if(
(BgL_vz00_971==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 218 */
BgL_index1221z00_328 = 
(BgL_iz00_967+((long)1)); }  else 
{ 
 long BgL_iz00_2307;
BgL_iz00_2307 = 
(BgL_iz00_967+((long)2)); 
BgL_iz00_967 = BgL_iz00_2307; 
goto BgL_search1217z00_966;} } } 
if(
(BgL_index1221z00_328>=((long)0)))
{ /* Llib/net.scm 218 */
BgL_loopz00_325 = 
VECTOR_REF(BgL_opt1214z00_56,BgL_index1221z00_328); }  else 
{ /* Llib/net.scm 218 */BFALSE; } } 
{ /* Llib/net.scm 218 */
 obj_t BgL_arg1609z00_330; obj_t BgL_arg1611z00_331;
BgL_arg1609z00_330 = 
VECTOR_REF(BgL_opt1214z00_56,((long)0)); 
BgL_arg1611z00_331 = 
VECTOR_REF(BgL_opt1214z00_56,((long)1)); 
{ /* Llib/net.scm 218 */
 obj_t BgL_callbackz00_332;
BgL_callbackz00_332 = BgL_callbackz00_324; 
{ /* Llib/net.scm 218 */
 obj_t BgL_loopz00_333;
BgL_loopz00_333 = BgL_loopz00_325; 
{ /* Llib/net.scm 218 */
 int BgL_backlogz00_978;
BgL_backlogz00_978 = 
CINT(BgL_arg1611z00_331); 
{ /* Llib/net.scm 219 */
 int BgL_rz00_979;
BgL_rz00_979 = 
bgl_uv_listen(
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330), BgL_backlogz00_978, BgL_callbackz00_332, 
((BgL_uvloopz00_bglt)BgL_loopz00_333)); 
if(
(
(long)(BgL_rz00_979)==((long)0)))
{ /* Llib/net.scm 220 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 221 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_332, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 221 */
{ /* Llib/net.scm 221 */
 obj_t BgL_arg1870z00_986; obj_t BgL_arg1871z00_987;
BgL_arg1870z00_986 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_987 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_332, BNIL); 
{ /* Llib/net.scm 221 */
 obj_t BgL_tmpz00_2340;
BgL_tmpz00_2340 = 
((obj_t)BgL_arg1870z00_986); 
SET_CDR(BgL_tmpz00_2340, BgL_arg1871z00_987); } } 
{ 
 obj_t BgL_auxz00_2343;
{ /* Llib/net.scm 221 */
 obj_t BgL_pairz00_990;
BgL_pairz00_990 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2343 = 
CDR(BgL_pairz00_990); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2343),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 222 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 222 */
{ /* Llib/net.scm 222 */
 obj_t BgL_arg1870z00_995; obj_t BgL_arg1871z00_996;
BgL_arg1870z00_995 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_996 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1609z00_330)), BNIL); 
{ /* Llib/net.scm 222 */
 obj_t BgL_tmpz00_2369;
BgL_tmpz00_2369 = 
((obj_t)BgL_arg1870z00_995); 
SET_CDR(BgL_tmpz00_2369, BgL_arg1871z00_996); } } 
{ 
 obj_t BgL_auxz00_2372;
{ /* Llib/net.scm 222 */
 obj_t BgL_pairz00_999;
BgL_pairz00_999 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2372 = 
CDR(BgL_pairz00_999); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_333)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2372),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 220 */BFALSE; } 
return 
BINT(BgL_rz00_979);} } } } } } } } } } 

}



/* uv-listen */
BGL_EXPORTED_DEF obj_t BGl_uvzd2listenzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_52, int BgL_backlogz00_53, obj_t BgL_callbackz00_54, obj_t BgL_loopz00_55)
{
{ /* Llib/net.scm 218 */
{ /* Llib/net.scm 219 */
 int BgL_rz00_1000;
BgL_rz00_1000 = 
bgl_uv_listen(BgL_handlez00_52, BgL_backlogz00_53, BgL_callbackz00_54, 
((BgL_uvloopz00_bglt)BgL_loopz00_55)); 
if(
(
(long)(BgL_rz00_1000)==((long)0)))
{ /* Llib/net.scm 220 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 221 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_54, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 221 */
{ /* Llib/net.scm 221 */
 obj_t BgL_arg1870z00_1007; obj_t BgL_arg1871z00_1008;
BgL_arg1870z00_1007 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1008 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_54, BNIL); 
{ /* Llib/net.scm 221 */
 obj_t BgL_tmpz00_2398;
BgL_tmpz00_2398 = 
((obj_t)BgL_arg1870z00_1007); 
SET_CDR(BgL_tmpz00_2398, BgL_arg1871z00_1008); } } 
{ 
 obj_t BgL_auxz00_2401;
{ /* Llib/net.scm 221 */
 obj_t BgL_pairz00_1011;
BgL_pairz00_1011 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2401 = 
CDR(BgL_pairz00_1011); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2401),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 222 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_52), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 222 */
{ /* Llib/net.scm 222 */
 obj_t BgL_arg1870z00_1016; obj_t BgL_arg1871z00_1017;
BgL_arg1870z00_1016 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1017 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_52), BNIL); 
{ /* Llib/net.scm 222 */
 obj_t BgL_tmpz00_2423;
BgL_tmpz00_2423 = 
((obj_t)BgL_arg1870z00_1016); 
SET_CDR(BgL_tmpz00_2423, BgL_arg1871z00_1017); } } 
{ 
 obj_t BgL_auxz00_2426;
{ /* Llib/net.scm 222 */
 obj_t BgL_pairz00_1020;
BgL_pairz00_1020 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2426 = 
CDR(BgL_pairz00_1020); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2426),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 220 */BFALSE; } 
return 
BINT(BgL_rz00_1000);} } 

}



/* uv-accept */
BGL_EXPORTED_DEF obj_t BGl_uvzd2acceptzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_serverz00_58, BgL_uvstreamz00_bglt BgL_clientz00_59)
{
{ /* Llib/net.scm 228 */
{ /* Llib/net.scm 231 */
 uv_stream_t * BgL_arg1624z00_1023; uv_stream_t * BgL_arg1642z00_1024;
{ /* Llib/net.scm 231 */
 uv_handle_t * BgL_arg1643z00_1025;
BgL_arg1643z00_1025 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_serverz00_58)))->BgL_z42builtinz42); 
BgL_arg1624z00_1023 = 
(uv_stream_t *)(BgL_arg1643z00_1025); } 
{ /* Llib/net.scm 231 */
 uv_handle_t * BgL_arg1651z00_1026;
BgL_arg1651z00_1026 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_clientz00_59)))->BgL_z42builtinz42); 
BgL_arg1642z00_1024 = 
(uv_stream_t *)(BgL_arg1651z00_1026); } 
return 
BINT(
uv_accept(BgL_arg1624z00_1023, BgL_arg1642z00_1024));} } 

}



/* &uv-accept */
obj_t BGl_z62uvzd2acceptzb0zz__libuv_netz00(obj_t BgL_envz00_1373, obj_t BgL_serverz00_1374, obj_t BgL_clientz00_1375)
{
{ /* Llib/net.scm 228 */
return 
BGl_uvzd2acceptzd2zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_serverz00_1374), 
((BgL_uvstreamz00_bglt)BgL_clientz00_1375));} 

}



/* uv-closing? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2closingzf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_60)
{
{ /* Llib/net.scm 236 */
{ /* Llib/net.scm 238 */
 uv_handle_t * BgL_arg1653z00_1028;
BgL_arg1653z00_1028 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_60)))->BgL_z42builtinz42); 
{ /* Llib/net.scm 238 */
 int BgL_xz00_1464;
BgL_xz00_1464 = 
uv_is_closing(BgL_arg1653z00_1028); 
return ((bool_t)1);} } } 

}



/* &uv-closing? */
obj_t BGl_z62uvzd2closingzf3z43zz__libuv_netz00(obj_t BgL_envz00_1376, obj_t BgL_handlez00_1377)
{
{ /* Llib/net.scm 236 */
return 
BBOOL(
BGl_uvzd2closingzf3z21zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_handlez00_1377)));} 

}



/* uv-writable? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2writablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_61)
{
{ /* Llib/net.scm 243 */
{ /* Llib/net.scm 245 */
 uv_stream_t * BgL_arg1654z00_1030;
{ /* Llib/net.scm 245 */
 uv_handle_t * BgL_arg1657z00_1031;
BgL_arg1657z00_1031 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_61)))->BgL_z42builtinz42); 
BgL_arg1654z00_1030 = 
(uv_stream_t *)(BgL_arg1657z00_1031); } 
{ /* Llib/net.scm 245 */
 int BgL_xz00_1465;
BgL_xz00_1465 = 
uv_is_writable(BgL_arg1654z00_1030); 
return ((bool_t)1);} } } 

}



/* &uv-writable? */
obj_t BGl_z62uvzd2writablezf3z43zz__libuv_netz00(obj_t BgL_envz00_1378, obj_t BgL_handlez00_1379)
{
{ /* Llib/net.scm 243 */
return 
BBOOL(
BGl_uvzd2writablezf3z21zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_handlez00_1379)));} 

}



/* uv-readable? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2readablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_62)
{
{ /* Llib/net.scm 250 */
{ /* Llib/net.scm 252 */
 uv_stream_t * BgL_arg1664z00_1033;
{ /* Llib/net.scm 252 */
 uv_handle_t * BgL_arg1672z00_1034;
BgL_arg1672z00_1034 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_62)))->BgL_z42builtinz42); 
BgL_arg1664z00_1033 = 
(uv_stream_t *)(BgL_arg1672z00_1034); } 
{ /* Llib/net.scm 252 */
 int BgL_xz00_1466;
BgL_xz00_1466 = 
uv_is_readable(BgL_arg1664z00_1033); 
return ((bool_t)1);} } } 

}



/* &uv-readable? */
obj_t BGl_z62uvzd2readablezf3z43zz__libuv_netz00(obj_t BgL_envz00_1380, obj_t BgL_handlez00_1381)
{
{ /* Llib/net.scm 250 */
return 
BBOOL(
BGl_uvzd2readablezf3z21zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_handlez00_1381)));} 

}



/* _uv-tcp-connect */
obj_t BGl__uvzd2tcpzd2connectz00zz__libuv_netz00(obj_t BgL_env1226z00_70, obj_t BgL_opt1225z00_69)
{
{ /* Llib/net.scm 257 */
{ /* Llib/net.scm 257 */
 obj_t BgL_g1234z00_358; obj_t BgL_g1235z00_359; obj_t BgL_g1236z00_360;
BgL_g1234z00_358 = 
VECTOR_REF(BgL_opt1225z00_69,((long)0)); 
BgL_g1235z00_359 = 
VECTOR_REF(BgL_opt1225z00_69,((long)1)); 
BgL_g1236z00_360 = 
VECTOR_REF(BgL_opt1225z00_69,((long)2)); 
{ /* Llib/net.scm 257 */
 obj_t BgL_callbackz00_361;
BgL_callbackz00_361 = BFALSE; 
{ /* Llib/net.scm 257 */
 int BgL_familyz00_362;
BgL_familyz00_362 = 
(int)(((long)4)); 
{ /* Llib/net.scm 257 */
 obj_t BgL_loopz00_363;
BgL_loopz00_363 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 257 */

{ /* Llib/net.scm 257 */
 long BgL_index1231z00_364;
{ 
 long BgL_iz00_1041;
BgL_iz00_1041 = ((long)3); 
BgL_search1228z00_1040:
if(
(BgL_iz00_1041==
VECTOR_LENGTH(BgL_opt1225z00_69)))
{ /* Llib/net.scm 257 */
BgL_index1231z00_364 = ((long)-1); }  else 
{ /* Llib/net.scm 257 */
 obj_t BgL_vz00_1045;
BgL_vz00_1045 = 
VECTOR_REF(BgL_opt1225z00_69,BgL_iz00_1041); 
if(
(BgL_vz00_1045==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 257 */
BgL_index1231z00_364 = 
(BgL_iz00_1041+((long)1)); }  else 
{ 
 long BgL_iz00_2478;
BgL_iz00_2478 = 
(BgL_iz00_1041+((long)2)); 
BgL_iz00_1041 = BgL_iz00_2478; 
goto BgL_search1228z00_1040;} } } 
if(
(BgL_index1231z00_364>=((long)0)))
{ /* Llib/net.scm 257 */
BgL_callbackz00_361 = 
VECTOR_REF(BgL_opt1225z00_69,BgL_index1231z00_364); }  else 
{ /* Llib/net.scm 257 */BFALSE; } } 
{ /* Llib/net.scm 257 */
 long BgL_index1232z00_366;
{ 
 long BgL_iz00_1052;
BgL_iz00_1052 = ((long)3); 
BgL_search1228z00_1051:
if(
(BgL_iz00_1052==
VECTOR_LENGTH(BgL_opt1225z00_69)))
{ /* Llib/net.scm 257 */
BgL_index1232z00_366 = ((long)-1); }  else 
{ /* Llib/net.scm 257 */
 obj_t BgL_vz00_1056;
BgL_vz00_1056 = 
VECTOR_REF(BgL_opt1225z00_69,BgL_iz00_1052); 
if(
(BgL_vz00_1056==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 257 */
BgL_index1232z00_366 = 
(BgL_iz00_1052+((long)1)); }  else 
{ 
 long BgL_iz00_2491;
BgL_iz00_2491 = 
(BgL_iz00_1052+((long)2)); 
BgL_iz00_1052 = BgL_iz00_2491; 
goto BgL_search1228z00_1051;} } } 
if(
(BgL_index1232z00_366>=((long)0)))
{ /* Llib/net.scm 257 */
BgL_familyz00_362 = 
CINT(
VECTOR_REF(BgL_opt1225z00_69,BgL_index1232z00_366)); }  else 
{ /* Llib/net.scm 257 */BFALSE; } } 
{ /* Llib/net.scm 257 */
 long BgL_index1233z00_368;
{ 
 long BgL_iz00_1063;
BgL_iz00_1063 = ((long)3); 
BgL_search1228z00_1062:
if(
(BgL_iz00_1063==
VECTOR_LENGTH(BgL_opt1225z00_69)))
{ /* Llib/net.scm 257 */
BgL_index1233z00_368 = ((long)-1); }  else 
{ /* Llib/net.scm 257 */
 obj_t BgL_vz00_1067;
BgL_vz00_1067 = 
VECTOR_REF(BgL_opt1225z00_69,BgL_iz00_1063); 
if(
(BgL_vz00_1067==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 257 */
BgL_index1233z00_368 = 
(BgL_iz00_1063+((long)1)); }  else 
{ 
 long BgL_iz00_2505;
BgL_iz00_2505 = 
(BgL_iz00_1063+((long)2)); 
BgL_iz00_1063 = BgL_iz00_2505; 
goto BgL_search1228z00_1062;} } } 
if(
(BgL_index1233z00_368>=((long)0)))
{ /* Llib/net.scm 257 */
BgL_loopz00_363 = 
VECTOR_REF(BgL_opt1225z00_69,BgL_index1233z00_368); }  else 
{ /* Llib/net.scm 257 */BFALSE; } } 
{ /* Llib/net.scm 257 */
 obj_t BgL_arg1677z00_370; obj_t BgL_arg1684z00_371; obj_t BgL_arg1685z00_372;
BgL_arg1677z00_370 = 
VECTOR_REF(BgL_opt1225z00_69,((long)0)); 
BgL_arg1684z00_371 = 
VECTOR_REF(BgL_opt1225z00_69,((long)1)); 
BgL_arg1685z00_372 = 
VECTOR_REF(BgL_opt1225z00_69,((long)2)); 
{ /* Llib/net.scm 257 */
 obj_t BgL_callbackz00_373;
BgL_callbackz00_373 = BgL_callbackz00_361; 
{ /* Llib/net.scm 257 */
 int BgL_familyz00_374;
BgL_familyz00_374 = BgL_familyz00_362; 
{ /* Llib/net.scm 257 */
 obj_t BgL_loopz00_375;
BgL_loopz00_375 = BgL_loopz00_363; 
{ /* Llib/net.scm 257 */
 int BgL_portz00_1075;
BgL_portz00_1075 = 
CINT(BgL_arg1685z00_372); 
{ /* Llib/net.scm 258 */
 int BgL_rz00_1077;
BgL_rz00_1077 = 
bgl_uv_tcp_connect(
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1684z00_371)), BgL_portz00_1075, BgL_familyz00_374, BgL_callbackz00_373, 
((BgL_uvloopz00_bglt)BgL_loopz00_375)); 
if(
(
(long)(BgL_rz00_1077)==((long)0)))
{ /* Llib/net.scm 259 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 260 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_373, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 260 */
{ /* Llib/net.scm 260 */
 obj_t BgL_arg1870z00_1084; obj_t BgL_arg1871z00_1085;
BgL_arg1870z00_1084 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1085 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_373, BNIL); 
{ /* Llib/net.scm 260 */
 obj_t BgL_tmpz00_2541;
BgL_tmpz00_2541 = 
((obj_t)BgL_arg1870z00_1084); 
SET_CDR(BgL_tmpz00_2541, BgL_arg1871z00_1085); } } 
{ 
 obj_t BgL_auxz00_2544;
{ /* Llib/net.scm 260 */
 obj_t BgL_pairz00_1088;
BgL_pairz00_1088 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2544 = 
CDR(BgL_pairz00_1088); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2544),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 261 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 261 */
{ /* Llib/net.scm 261 */
 obj_t BgL_arg1870z00_1093; obj_t BgL_arg1871z00_1094;
BgL_arg1870z00_1093 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1094 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvtcpz00_bglt)BgL_arg1677z00_370)), BNIL); 
{ /* Llib/net.scm 261 */
 obj_t BgL_tmpz00_2570;
BgL_tmpz00_2570 = 
((obj_t)BgL_arg1870z00_1093); 
SET_CDR(BgL_tmpz00_2570, BgL_arg1871z00_1094); } } 
{ 
 obj_t BgL_auxz00_2573;
{ /* Llib/net.scm 261 */
 obj_t BgL_pairz00_1097;
BgL_pairz00_1097 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2573 = 
CDR(BgL_pairz00_1097); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_375)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2573),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 259 */BFALSE; } 
return 
BINT(BgL_rz00_1077);} } } } } } } } } } } } 

}



/* uv-tcp-connect */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2connectz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_63, obj_t BgL_hostz00_64, int BgL_portz00_65, obj_t BgL_callbackz00_66, int BgL_familyz00_67, obj_t BgL_loopz00_68)
{
{ /* Llib/net.scm 257 */
{ /* Llib/net.scm 258 */
 int BgL_rz00_1098;
BgL_rz00_1098 = 
bgl_uv_tcp_connect(BgL_handlez00_63, 
BSTRING_TO_STRING(BgL_hostz00_64), BgL_portz00_65, BgL_familyz00_67, BgL_callbackz00_66, 
((BgL_uvloopz00_bglt)BgL_loopz00_68)); 
if(
(
(long)(BgL_rz00_1098)==((long)0)))
{ /* Llib/net.scm 259 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 260 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_66, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 260 */
{ /* Llib/net.scm 260 */
 obj_t BgL_arg1870z00_1105; obj_t BgL_arg1871z00_1106;
BgL_arg1870z00_1105 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1106 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_66, BNIL); 
{ /* Llib/net.scm 260 */
 obj_t BgL_tmpz00_2600;
BgL_tmpz00_2600 = 
((obj_t)BgL_arg1870z00_1105); 
SET_CDR(BgL_tmpz00_2600, BgL_arg1871z00_1106); } } 
{ 
 obj_t BgL_auxz00_2603;
{ /* Llib/net.scm 260 */
 obj_t BgL_pairz00_1109;
BgL_pairz00_1109 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2603 = 
CDR(BgL_pairz00_1109); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2603),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 261 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_63), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 261 */
{ /* Llib/net.scm 261 */
 obj_t BgL_arg1870z00_1114; obj_t BgL_arg1871z00_1115;
BgL_arg1870z00_1114 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1115 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_63), BNIL); 
{ /* Llib/net.scm 261 */
 obj_t BgL_tmpz00_2625;
BgL_tmpz00_2625 = 
((obj_t)BgL_arg1870z00_1114); 
SET_CDR(BgL_tmpz00_2625, BgL_arg1871z00_1115); } } 
{ 
 obj_t BgL_auxz00_2628;
{ /* Llib/net.scm 261 */
 obj_t BgL_pairz00_1118;
BgL_pairz00_1118 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2628 = 
CDR(BgL_pairz00_1118); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2628),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 259 */BFALSE; } 
return 
BINT(BgL_rz00_1098);} } 

}



/* uv-tcp-open */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2openz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_75, int BgL_fdz00_76)
{
{ /* Llib/net.scm 288 */
{ /* Llib/net.scm 290 */
 uv_tcp_t * BgL_arg1691z00_1120;
{ /* Llib/net.scm 290 */
 uv_handle_t * BgL_arg1692z00_1121;
BgL_arg1692z00_1121 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_75)))->BgL_z42builtinz42); 
BgL_arg1691z00_1120 = 
(uv_tcp_t *)(BgL_arg1692z00_1121); } 
return 
uv_tcp_open(BgL_arg1691z00_1120, BgL_fdz00_76);} } 

}



/* &uv-tcp-open */
obj_t BGl_z62uvzd2tcpzd2openz62zz__libuv_netz00(obj_t BgL_envz00_1382, obj_t BgL_handlez00_1383, obj_t BgL_fdz00_1384)
{
{ /* Llib/net.scm 288 */
return 
BINT(
BGl_uvzd2tcpzd2openz00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1383), 
CINT(BgL_fdz00_1384)));} 

}



/* _uv-tcp-bind */
obj_t BGl__uvzd2tcpzd2bindz00zz__libuv_netz00(obj_t BgL_env1240z00_82, obj_t BgL_opt1239z00_81)
{
{ /* Llib/net.scm 295 */
{ /* Llib/net.scm 295 */
 obj_t BgL_g1246z00_389; obj_t BgL_g1247z00_390; obj_t BgL_g1248z00_391;
BgL_g1246z00_389 = 
VECTOR_REF(BgL_opt1239z00_81,((long)0)); 
BgL_g1247z00_390 = 
VECTOR_REF(BgL_opt1239z00_81,((long)1)); 
BgL_g1248z00_391 = 
VECTOR_REF(BgL_opt1239z00_81,((long)2)); 
{ /* Llib/net.scm 295 */
 int BgL_familyz00_392;
BgL_familyz00_392 = 
(int)(((long)4)); 
{ /* Llib/net.scm 295 */

{ /* Llib/net.scm 295 */
 long BgL_index1245z00_393;
{ 
 long BgL_iz00_1128;
BgL_iz00_1128 = ((long)3); 
BgL_search1242z00_1127:
if(
(BgL_iz00_1128==
VECTOR_LENGTH(BgL_opt1239z00_81)))
{ /* Llib/net.scm 295 */
BgL_index1245z00_393 = ((long)-1); }  else 
{ /* Llib/net.scm 295 */
 obj_t BgL_vz00_1132;
BgL_vz00_1132 = 
VECTOR_REF(BgL_opt1239z00_81,BgL_iz00_1128); 
if(
(BgL_vz00_1132==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 295 */
BgL_index1245z00_393 = 
(BgL_iz00_1128+((long)1)); }  else 
{ 
 long BgL_iz00_2655;
BgL_iz00_2655 = 
(BgL_iz00_1128+((long)2)); 
BgL_iz00_1128 = BgL_iz00_2655; 
goto BgL_search1242z00_1127;} } } 
if(
(BgL_index1245z00_393>=((long)0)))
{ /* Llib/net.scm 295 */
BgL_familyz00_392 = 
CINT(
VECTOR_REF(BgL_opt1239z00_81,BgL_index1245z00_393)); }  else 
{ /* Llib/net.scm 295 */BFALSE; } } 
{ /* Llib/net.scm 295 */
 obj_t BgL_arg1701z00_395; obj_t BgL_arg1704z00_396; obj_t BgL_arg1706z00_397;
BgL_arg1701z00_395 = 
VECTOR_REF(BgL_opt1239z00_81,((long)0)); 
BgL_arg1704z00_396 = 
VECTOR_REF(BgL_opt1239z00_81,((long)1)); 
BgL_arg1706z00_397 = 
VECTOR_REF(BgL_opt1239z00_81,((long)2)); 
{ /* Llib/net.scm 295 */
 int BgL_familyz00_398;
BgL_familyz00_398 = BgL_familyz00_392; 
{ /* Llib/net.scm 295 */
 int BgL_portz00_1140;
BgL_portz00_1140 = 
CINT(BgL_arg1706z00_397); 
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 296 */
 obj_t BgL_tmp2115z00_2665;
BgL_tmp2115z00_2665 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvtcpz00_bglt)BgL_arg1701z00_395)), BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2115z00_2665; } 
{ /* Llib/net.scm 299 */
 uv_tcp_t * BgL_arg1712z00_1143;
{ /* Llib/net.scm 299 */
 uv_handle_t * BgL_arg1725z00_1144;
BgL_arg1725z00_1144 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1701z00_395))))->BgL_z42builtinz42); 
BgL_arg1712z00_1143 = 
(uv_tcp_t *)(BgL_arg1725z00_1144); } 
return 
BINT(
bgl_uv_tcp_bind(BgL_arg1712z00_1143, 
BSTRING_TO_STRING(
((obj_t)BgL_arg1704z00_396)), BgL_portz00_1140, BgL_familyz00_398));} } } } } } } } 

}



/* uv-tcp-bind */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2bindz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_77, obj_t BgL_hostz00_78, int BgL_portz00_79, int BgL_familyz00_80)
{
{ /* Llib/net.scm 295 */
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 296 */
 obj_t BgL_tmp2116z00_2679;
BgL_tmp2116z00_2679 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_77), BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2116z00_2679; } 
{ /* Llib/net.scm 299 */
 uv_tcp_t * BgL_arg1712z00_1146;
{ /* Llib/net.scm 299 */
 uv_handle_t * BgL_arg1725z00_1147;
BgL_arg1725z00_1147 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_77)))->BgL_z42builtinz42); 
BgL_arg1712z00_1146 = 
(uv_tcp_t *)(BgL_arg1725z00_1147); } 
return 
BINT(
bgl_uv_tcp_bind(BgL_arg1712z00_1146, 
BSTRING_TO_STRING(BgL_hostz00_78), BgL_portz00_79, BgL_familyz00_80));} } 

}



/* uv-tcp-nodelay */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2nodelayz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_83, bool_t BgL_enablez00_84)
{
{ /* Llib/net.scm 304 */
{ /* Llib/net.scm 306 */
 uv_tcp_t * BgL_arg1726z00_1149;
{ /* Llib/net.scm 306 */
 uv_handle_t * BgL_arg1727z00_1150;
BgL_arg1727z00_1150 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_83)))->BgL_z42builtinz42); 
BgL_arg1726z00_1149 = 
(uv_tcp_t *)(BgL_arg1727z00_1150); } 
return 
uv_tcp_nodelay(BgL_arg1726z00_1149, BgL_enablez00_84);} } 

}



/* &uv-tcp-nodelay */
obj_t BGl_z62uvzd2tcpzd2nodelayz62zz__libuv_netz00(obj_t BgL_envz00_1385, obj_t BgL_handlez00_1386, obj_t BgL_enablez00_1387)
{
{ /* Llib/net.scm 304 */
return 
BINT(
BGl_uvzd2tcpzd2nodelayz00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1386), 
CBOOL(BgL_enablez00_1387)));} 

}



/* uv-tcp-keepalive */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2keepalivez00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_85, bool_t BgL_enablez00_86, int BgL_delayz00_87)
{
{ /* Llib/net.scm 311 */
{ /* Llib/net.scm 313 */
 uv_tcp_t * BgL_arg1728z00_1152;
{ /* Llib/net.scm 313 */
 uv_handle_t * BgL_arg1729z00_1153;
BgL_arg1729z00_1153 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_85)))->BgL_z42builtinz42); 
BgL_arg1728z00_1152 = 
(uv_tcp_t *)(BgL_arg1729z00_1153); } 
{ /* Llib/net.scm 313 */
 unsigned int BgL_tmpz00_2701;
BgL_tmpz00_2701 = 
(unsigned int)(BgL_delayz00_87); 
return 
uv_tcp_keepalive(BgL_arg1728z00_1152, BgL_enablez00_86, BgL_tmpz00_2701);} } } 

}



/* &uv-tcp-keepalive */
obj_t BGl_z62uvzd2tcpzd2keepalivez62zz__libuv_netz00(obj_t BgL_envz00_1388, obj_t BgL_handlez00_1389, obj_t BgL_enablez00_1390, obj_t BgL_delayz00_1391)
{
{ /* Llib/net.scm 311 */
return 
BINT(
BGl_uvzd2tcpzd2keepalivez00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1389), 
CBOOL(BgL_enablez00_1390), 
CINT(BgL_delayz00_1391)));} 

}



/* uv-tcp-simultaneous-accepts */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2simultaneouszd2acceptszd2zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_88, bool_t BgL_enablez00_89)
{
{ /* Llib/net.scm 318 */
{ /* Llib/net.scm 320 */
 uv_tcp_t * BgL_arg1730z00_1155;
{ /* Llib/net.scm 320 */
 uv_handle_t * BgL_arg1731z00_1156;
BgL_arg1731z00_1156 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_88)))->BgL_z42builtinz42); 
BgL_arg1730z00_1155 = 
(uv_tcp_t *)(BgL_arg1731z00_1156); } 
return 
uv_tcp_simultaneous_accepts(BgL_arg1730z00_1155, BgL_enablez00_89);} } 

}



/* &uv-tcp-simultaneous-accepts */
obj_t BGl_z62uvzd2tcpzd2simultaneouszd2acceptszb0zz__libuv_netz00(obj_t BgL_envz00_1392, obj_t BgL_handlez00_1393, obj_t BgL_enablez00_1394)
{
{ /* Llib/net.scm 318 */
return 
BINT(
BGl_uvzd2tcpzd2simultaneouszd2acceptszd2zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1393), 
CBOOL(BgL_enablez00_1394)));} 

}



/* uv-tcp-getsockname */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2getsocknamez00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_90)
{
{ /* Llib/net.scm 325 */
{ /* Llib/net.scm 327 */
 uv_tcp_t * BgL_arg1732z00_1158;
{ /* Llib/net.scm 327 */
 uv_handle_t * BgL_arg1733z00_1159;
BgL_arg1733z00_1159 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_90)))->BgL_z42builtinz42); 
BgL_arg1732z00_1158 = 
(uv_tcp_t *)(BgL_arg1733z00_1159); } 
return 
bgl_uv_tcp_getsockname(BgL_arg1732z00_1158);} } 

}



/* &uv-tcp-getsockname */
obj_t BGl_z62uvzd2tcpzd2getsocknamez62zz__libuv_netz00(obj_t BgL_envz00_1395, obj_t BgL_handlez00_1396)
{
{ /* Llib/net.scm 325 */
return 
BGl_uvzd2tcpzd2getsocknamez00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1396));} 

}



/* uv-tcp-getpeername */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2getpeernamez00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_91)
{
{ /* Llib/net.scm 332 */
{ /* Llib/net.scm 334 */
 uv_tcp_t * BgL_arg1739z00_1161;
{ /* Llib/net.scm 334 */
 uv_handle_t * BgL_arg1740z00_1162;
BgL_arg1740z00_1162 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_91)))->BgL_z42builtinz42); 
BgL_arg1739z00_1161 = 
(uv_tcp_t *)(BgL_arg1740z00_1162); } 
return 
bgl_uv_tcp_getpeername(BgL_arg1739z00_1161);} } 

}



/* &uv-tcp-getpeername */
obj_t BGl_z62uvzd2tcpzd2getpeernamez62zz__libuv_netz00(obj_t BgL_envz00_1397, obj_t BgL_handlez00_1398)
{
{ /* Llib/net.scm 332 */
return 
BGl_uvzd2tcpzd2getpeernamez00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1398));} 

}



/* _uv-udp-bind */
obj_t BGl__uvzd2udpzd2bindz00zz__libuv_netz00(obj_t BgL_env1252z00_102, obj_t BgL_opt1251z00_101)
{
{ /* Llib/net.scm 360 */
{ /* Llib/net.scm 360 */
 obj_t BgL_g1259z00_425; obj_t BgL_g1260z00_426; obj_t BgL_g1261z00_427;
BgL_g1259z00_425 = 
VECTOR_REF(BgL_opt1251z00_101,((long)0)); 
BgL_g1260z00_426 = 
VECTOR_REF(BgL_opt1251z00_101,((long)1)); 
BgL_g1261z00_427 = 
VECTOR_REF(BgL_opt1251z00_101,((long)2)); 
{ /* Llib/net.scm 360 */
 int BgL_familyz00_428;
BgL_familyz00_428 = 
(int)(((long)4)); 
{ /* Llib/net.scm 360 */
 int BgL_flagsz00_429;
BgL_flagsz00_429 = 
(int)(((long)0)); 
{ /* Llib/net.scm 360 */

{ /* Llib/net.scm 360 */
 long BgL_index1257z00_430;
{ 
 long BgL_iz00_1169;
BgL_iz00_1169 = ((long)3); 
BgL_search1254z00_1168:
if(
(BgL_iz00_1169==
VECTOR_LENGTH(BgL_opt1251z00_101)))
{ /* Llib/net.scm 360 */
BgL_index1257z00_430 = ((long)-1); }  else 
{ /* Llib/net.scm 360 */
 obj_t BgL_vz00_1173;
BgL_vz00_1173 = 
VECTOR_REF(BgL_opt1251z00_101,BgL_iz00_1169); 
if(
(BgL_vz00_1173==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 360 */
BgL_index1257z00_430 = 
(BgL_iz00_1169+((long)1)); }  else 
{ 
 long BgL_iz00_2742;
BgL_iz00_2742 = 
(BgL_iz00_1169+((long)2)); 
BgL_iz00_1169 = BgL_iz00_2742; 
goto BgL_search1254z00_1168;} } } 
if(
(BgL_index1257z00_430>=((long)0)))
{ /* Llib/net.scm 360 */
BgL_familyz00_428 = 
CINT(
VECTOR_REF(BgL_opt1251z00_101,BgL_index1257z00_430)); }  else 
{ /* Llib/net.scm 360 */BFALSE; } } 
{ /* Llib/net.scm 360 */
 long BgL_index1258z00_432;
{ 
 long BgL_iz00_1180;
BgL_iz00_1180 = ((long)3); 
BgL_search1254z00_1179:
if(
(BgL_iz00_1180==
VECTOR_LENGTH(BgL_opt1251z00_101)))
{ /* Llib/net.scm 360 */
BgL_index1258z00_432 = ((long)-1); }  else 
{ /* Llib/net.scm 360 */
 obj_t BgL_vz00_1184;
BgL_vz00_1184 = 
VECTOR_REF(BgL_opt1251z00_101,BgL_iz00_1180); 
if(
(BgL_vz00_1184==
CNST_TABLE_REF(((long)5))))
{ /* Llib/net.scm 360 */
BgL_index1258z00_432 = 
(BgL_iz00_1180+((long)1)); }  else 
{ 
 long BgL_iz00_2756;
BgL_iz00_2756 = 
(BgL_iz00_1180+((long)2)); 
BgL_iz00_1180 = BgL_iz00_2756; 
goto BgL_search1254z00_1179;} } } 
if(
(BgL_index1258z00_432>=((long)0)))
{ /* Llib/net.scm 360 */
BgL_flagsz00_429 = 
CINT(
VECTOR_REF(BgL_opt1251z00_101,BgL_index1258z00_432)); }  else 
{ /* Llib/net.scm 360 */BFALSE; } } 
{ /* Llib/net.scm 360 */
 obj_t BgL_arg1744z00_434; obj_t BgL_arg1745z00_435; obj_t BgL_arg1747z00_436;
BgL_arg1744z00_434 = 
VECTOR_REF(BgL_opt1251z00_101,((long)0)); 
BgL_arg1745z00_435 = 
VECTOR_REF(BgL_opt1251z00_101,((long)1)); 
BgL_arg1747z00_436 = 
VECTOR_REF(BgL_opt1251z00_101,((long)2)); 
{ /* Llib/net.scm 360 */
 int BgL_familyz00_437;
BgL_familyz00_437 = BgL_familyz00_428; 
{ /* Llib/net.scm 360 */
 int BgL_flagsz00_438;
BgL_flagsz00_438 = BgL_flagsz00_429; 
{ /* Llib/net.scm 360 */
 int BgL_portz00_1192;
BgL_portz00_1192 = 
CINT(BgL_arg1747z00_436); 
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 361 */
 obj_t BgL_tmp2123z00_2766;
BgL_tmp2123z00_2766 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvudpz00_bglt)BgL_arg1744z00_434)), BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2123z00_2766; } 
{ /* Llib/net.scm 364 */
 uv_udp_t * BgL_arg1756z00_1196;
{ /* Llib/net.scm 364 */
 uv_handle_t * BgL_arg1763z00_1197;
BgL_arg1763z00_1197 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_arg1744z00_434))))->BgL_z42builtinz42); 
BgL_arg1756z00_1196 = 
(uv_udp_t *)(BgL_arg1763z00_1197); } 
return 
BINT(
bgl_uv_udp_bind(BgL_arg1756z00_1196, 
BSTRING_TO_STRING(
((obj_t)BgL_arg1745z00_435)), BgL_portz00_1192, BgL_familyz00_437, BgL_flagsz00_438));} } } } } } } } } } 

}



/* uv-udp-bind */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2bindz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_96, obj_t BgL_hostz00_97, int BgL_portz00_98, int BgL_familyz00_99, int BgL_flagsz00_100)
{
{ /* Llib/net.scm 360 */
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 361 */
 obj_t BgL_tmp2124z00_2780;
BgL_tmp2124z00_2780 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_96), BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2124z00_2780; } 
{ /* Llib/net.scm 364 */
 uv_udp_t * BgL_arg1756z00_1199;
{ /* Llib/net.scm 364 */
 uv_handle_t * BgL_arg1763z00_1200;
BgL_arg1763z00_1200 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_96)))->BgL_z42builtinz42); 
BgL_arg1756z00_1199 = 
(uv_udp_t *)(BgL_arg1763z00_1200); } 
return 
BINT(
bgl_uv_udp_bind(BgL_arg1756z00_1199, 
BSTRING_TO_STRING(BgL_hostz00_97), BgL_portz00_98, BgL_familyz00_99, BgL_flagsz00_100));} } 

}



/* _uv-udp-recv-start */
obj_t BGl__uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(obj_t BgL_env1263z00_108, obj_t BgL_opt1262z00_107)
{
{ /* Llib/net.scm 369 */
{ /* Llib/net.scm 369 */
 obj_t BgL_g1271z00_450;
BgL_g1271z00_450 = 
VECTOR_REF(BgL_opt1262z00_107,((long)0)); 
{ /* Llib/net.scm 369 */
 obj_t BgL_callbackz00_451;
BgL_callbackz00_451 = BFALSE; 
{ /* Llib/net.scm 369 */
 obj_t BgL_loopz00_452;
BgL_loopz00_452 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 369 */
 obj_t BgL_onallocz00_453;
BgL_onallocz00_453 = BFALSE; 
{ /* Llib/net.scm 369 */

{ /* Llib/net.scm 369 */
 long BgL_index1268z00_454;
{ 
 long BgL_iz00_1207;
BgL_iz00_1207 = ((long)1); 
BgL_search1265z00_1206:
if(
(BgL_iz00_1207==
VECTOR_LENGTH(BgL_opt1262z00_107)))
{ /* Llib/net.scm 369 */
BgL_index1268z00_454 = ((long)-1); }  else 
{ /* Llib/net.scm 369 */
 obj_t BgL_vz00_1211;
BgL_vz00_1211 = 
VECTOR_REF(BgL_opt1262z00_107,BgL_iz00_1207); 
if(
(BgL_vz00_1211==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 369 */
BgL_index1268z00_454 = 
(BgL_iz00_1207+((long)1)); }  else 
{ 
 long BgL_iz00_2802;
BgL_iz00_2802 = 
(BgL_iz00_1207+((long)2)); 
BgL_iz00_1207 = BgL_iz00_2802; 
goto BgL_search1265z00_1206;} } } 
if(
(BgL_index1268z00_454>=((long)0)))
{ /* Llib/net.scm 369 */
BgL_callbackz00_451 = 
VECTOR_REF(BgL_opt1262z00_107,BgL_index1268z00_454); }  else 
{ /* Llib/net.scm 369 */BFALSE; } } 
{ /* Llib/net.scm 369 */
 long BgL_index1269z00_456;
{ 
 long BgL_iz00_1218;
BgL_iz00_1218 = ((long)1); 
BgL_search1265z00_1217:
if(
(BgL_iz00_1218==
VECTOR_LENGTH(BgL_opt1262z00_107)))
{ /* Llib/net.scm 369 */
BgL_index1269z00_456 = ((long)-1); }  else 
{ /* Llib/net.scm 369 */
 obj_t BgL_vz00_1222;
BgL_vz00_1222 = 
VECTOR_REF(BgL_opt1262z00_107,BgL_iz00_1218); 
if(
(BgL_vz00_1222==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 369 */
BgL_index1269z00_456 = 
(BgL_iz00_1218+((long)1)); }  else 
{ 
 long BgL_iz00_2815;
BgL_iz00_2815 = 
(BgL_iz00_1218+((long)2)); 
BgL_iz00_1218 = BgL_iz00_2815; 
goto BgL_search1265z00_1217;} } } 
if(
(BgL_index1269z00_456>=((long)0)))
{ /* Llib/net.scm 369 */
BgL_loopz00_452 = 
VECTOR_REF(BgL_opt1262z00_107,BgL_index1269z00_456); }  else 
{ /* Llib/net.scm 369 */BFALSE; } } 
{ /* Llib/net.scm 369 */
 long BgL_index1270z00_458;
{ 
 long BgL_iz00_1229;
BgL_iz00_1229 = ((long)1); 
BgL_search1265z00_1228:
if(
(BgL_iz00_1229==
VECTOR_LENGTH(BgL_opt1262z00_107)))
{ /* Llib/net.scm 369 */
BgL_index1270z00_458 = ((long)-1); }  else 
{ /* Llib/net.scm 369 */
 obj_t BgL_vz00_1233;
BgL_vz00_1233 = 
VECTOR_REF(BgL_opt1262z00_107,BgL_iz00_1229); 
if(
(BgL_vz00_1233==
CNST_TABLE_REF(((long)4))))
{ /* Llib/net.scm 369 */
BgL_index1270z00_458 = 
(BgL_iz00_1229+((long)1)); }  else 
{ 
 long BgL_iz00_2828;
BgL_iz00_2828 = 
(BgL_iz00_1229+((long)2)); 
BgL_iz00_1229 = BgL_iz00_2828; 
goto BgL_search1265z00_1228;} } } 
if(
(BgL_index1270z00_458>=((long)0)))
{ /* Llib/net.scm 369 */
BgL_onallocz00_453 = 
VECTOR_REF(BgL_opt1262z00_107,BgL_index1270z00_458); }  else 
{ /* Llib/net.scm 369 */BFALSE; } } 
{ /* Llib/net.scm 369 */
 obj_t BgL_arg1767z00_460;
BgL_arg1767z00_460 = 
VECTOR_REF(BgL_opt1262z00_107,((long)0)); 
{ /* Llib/net.scm 369 */
 obj_t BgL_callbackz00_461;
BgL_callbackz00_461 = BgL_callbackz00_451; 
{ /* Llib/net.scm 369 */
 obj_t BgL_loopz00_462;
BgL_loopz00_462 = BgL_loopz00_452; 
{ /* Llib/net.scm 369 */
 obj_t BgL_onallocz00_463;
BgL_onallocz00_463 = BgL_onallocz00_453; 
{ 
 obj_t BgL_auxz00_2834;
{ /* Llib/net.scm 371 */
 obj_t BgL_arg1777z00_1241;
BgL_arg1777z00_1241 = 
(((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_arg1767z00_460)))->BgL_z52procmz52); 
BgL_auxz00_2834 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_461, BgL_arg1777z00_1241); } 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_arg1767z00_460)))->BgL_z52procmz52)=((obj_t)BgL_auxz00_2834),BUNSPEC); } 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 372 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvudpz00_bglt)BgL_arg1767z00_460)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 372 */
{ /* Llib/net.scm 372 */
 obj_t BgL_arg1870z00_1246; obj_t BgL_arg1871z00_1247;
BgL_arg1870z00_1246 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1247 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvudpz00_bglt)BgL_arg1767z00_460)), BNIL); 
{ /* Llib/net.scm 372 */
 obj_t BgL_tmpz00_2858;
BgL_tmpz00_2858 = 
((obj_t)BgL_arg1870z00_1246); 
SET_CDR(BgL_tmpz00_2858, BgL_arg1871z00_1247); } } 
{ 
 obj_t BgL_auxz00_2861;
{ /* Llib/net.scm 372 */
 obj_t BgL_pairz00_1250;
BgL_pairz00_1250 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2861 = 
CDR(BgL_pairz00_1250); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_462)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2861),BUNSPEC); } } BUNSPEC; 
return 
BINT(
bgl_uv_udp_recv_start(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_arg1767z00_460)), BgL_onallocz00_463, BgL_callbackz00_461, 
((BgL_uvloopz00_bglt)BgL_loopz00_462)));} } } } } } } } } } 

}



/* uv-udp-recv-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_oz00_103, obj_t BgL_callbackz00_104, obj_t BgL_loopz00_105, obj_t BgL_onallocz00_106)
{
{ /* Llib/net.scm 369 */
{ 
 obj_t BgL_auxz00_2872;
{ /* Llib/net.scm 371 */
 obj_t BgL_arg1777z00_1252;
BgL_arg1777z00_1252 = 
(((BgL_uvudpz00_bglt)COBJECT(BgL_oz00_103))->BgL_z52procmz52); 
BgL_auxz00_2872 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_104, BgL_arg1777z00_1252); } 
((((BgL_uvudpz00_bglt)COBJECT(BgL_oz00_103))->BgL_z52procmz52)=((obj_t)BgL_auxz00_2872),BUNSPEC); } 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 372 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_103), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 372 */
{ /* Llib/net.scm 372 */
 obj_t BgL_arg1870z00_1257; obj_t BgL_arg1871z00_1258;
BgL_arg1870z00_1257 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52); 
BgL_arg1871z00_1258 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_103), BNIL); 
{ /* Llib/net.scm 372 */
 obj_t BgL_tmpz00_2892;
BgL_tmpz00_2892 = 
((obj_t)BgL_arg1870z00_1257); 
SET_CDR(BgL_tmpz00_2892, BgL_arg1871z00_1258); } } 
{ 
 obj_t BgL_auxz00_2895;
{ /* Llib/net.scm 372 */
 obj_t BgL_pairz00_1261;
BgL_pairz00_1261 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2895 = 
CDR(BgL_pairz00_1261); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2895),BUNSPEC); } } BUNSPEC; 
return 
BINT(
bgl_uv_udp_recv_start(
((BgL_uvhandlez00_bglt)BgL_oz00_103), BgL_onallocz00_106, BgL_callbackz00_104, 
((BgL_uvloopz00_bglt)BgL_loopz00_105)));} 

}



/* uv-udp-recv-stop */
BGL_EXPORTED_DEF int BGl_uvzd2udpzd2recvzd2stopzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_109)
{
{ /* Llib/net.scm 378 */
((((BgL_uvudpz00_bglt)COBJECT(BgL_handlez00_109))->BgL_z52procmz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/net.scm 381 */
 BgL_uvloopz00_bglt BgL_arg1789z00_471;
BgL_arg1789z00_471 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_handlez00_109)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1789z00_471), 
((obj_t)BgL_handlez00_109)); } 
{ /* Llib/net.scm 382 */
 uv_udp_t * BgL_arg1790z00_472;
{ /* Llib/net.scm 382 */
 uv_handle_t * BgL_arg1796z00_473;
BgL_arg1796z00_473 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_109)))->BgL_z42builtinz42); 
BgL_arg1790z00_472 = 
(uv_udp_t *)(BgL_arg1796z00_473); } 
return 
uv_udp_recv_stop(BgL_arg1790z00_472);} } 

}



/* &uv-udp-recv-stop */
obj_t BGl_z62uvzd2udpzd2recvzd2stopzb0zz__libuv_netz00(obj_t BgL_envz00_1399, obj_t BgL_handlez00_1400)
{
{ /* Llib/net.scm 378 */
return 
BINT(
BGl_uvzd2udpzd2recvzd2stopzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1400)));} 

}



/* uv-udp-getsockname */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2getsocknamez00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_110)
{
{ /* Llib/net.scm 387 */
{ /* Llib/net.scm 389 */
 uv_udp_t * BgL_arg1798z00_1263;
{ /* Llib/net.scm 389 */
 uv_handle_t * BgL_arg1808z00_1264;
BgL_arg1808z00_1264 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_110)))->BgL_z42builtinz42); 
BgL_arg1798z00_1263 = 
(uv_udp_t *)(BgL_arg1808z00_1264); } 
return 
bgl_uv_udp_getsockname(BgL_arg1798z00_1263);} } 

}



/* &uv-udp-getsockname */
obj_t BGl_z62uvzd2udpzd2getsocknamez62zz__libuv_netz00(obj_t BgL_envz00_1401, obj_t BgL_handlez00_1402)
{
{ /* Llib/net.scm 387 */
return 
BGl_uvzd2udpzd2getsocknamez00zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1402));} 

}



/* _uv-udp-send */
obj_t BGl__uvzd2udpzd2sendz00zz__libuv_netz00(obj_t BgL_env1273z00_121, obj_t BgL_opt1272z00_120)
{
{ /* Llib/net.scm 394 */
{ /* Llib/net.scm 394 */
 obj_t BgL_g1281z00_481; obj_t BgL_g1282z00_482; obj_t BgL_g1283z00_483; obj_t BgL_g1284z00_484; obj_t BgL_g1285z00_485; obj_t BgL_g1286z00_486;
BgL_g1281z00_481 = 
VECTOR_REF(BgL_opt1272z00_120,((long)0)); 
BgL_g1282z00_482 = 
VECTOR_REF(BgL_opt1272z00_120,((long)1)); 
BgL_g1283z00_483 = 
VECTOR_REF(BgL_opt1272z00_120,((long)2)); 
BgL_g1284z00_484 = 
VECTOR_REF(BgL_opt1272z00_120,((long)3)); 
BgL_g1285z00_485 = 
VECTOR_REF(BgL_opt1272z00_120,((long)4)); 
BgL_g1286z00_486 = 
VECTOR_REF(BgL_opt1272z00_120,((long)5)); 
{ /* Llib/net.scm 394 */
 obj_t BgL_callbackz00_487;
BgL_callbackz00_487 = BFALSE; 
{ /* Llib/net.scm 394 */
 obj_t BgL_familyz00_488;
BgL_familyz00_488 = 
BINT(((long)4)); 
{ /* Llib/net.scm 394 */
 obj_t BgL_loopz00_489;
BgL_loopz00_489 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 394 */

{ /* Llib/net.scm 394 */
 long BgL_index1278z00_490;
{ 
 long BgL_iz00_1271;
BgL_iz00_1271 = ((long)6); 
BgL_search1275z00_1270:
if(
(BgL_iz00_1271==
VECTOR_LENGTH(BgL_opt1272z00_120)))
{ /* Llib/net.scm 394 */
BgL_index1278z00_490 = ((long)-1); }  else 
{ /* Llib/net.scm 394 */
 obj_t BgL_vz00_1275;
BgL_vz00_1275 = 
VECTOR_REF(BgL_opt1272z00_120,BgL_iz00_1271); 
if(
(BgL_vz00_1275==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 394 */
BgL_index1278z00_490 = 
(BgL_iz00_1271+((long)1)); }  else 
{ 
 long BgL_iz00_2941;
BgL_iz00_2941 = 
(BgL_iz00_1271+((long)2)); 
BgL_iz00_1271 = BgL_iz00_2941; 
goto BgL_search1275z00_1270;} } } 
if(
(BgL_index1278z00_490>=((long)0)))
{ /* Llib/net.scm 394 */
BgL_callbackz00_487 = 
VECTOR_REF(BgL_opt1272z00_120,BgL_index1278z00_490); }  else 
{ /* Llib/net.scm 394 */BFALSE; } } 
{ /* Llib/net.scm 394 */
 long BgL_index1279z00_492;
{ 
 long BgL_iz00_1282;
BgL_iz00_1282 = ((long)6); 
BgL_search1275z00_1281:
if(
(BgL_iz00_1282==
VECTOR_LENGTH(BgL_opt1272z00_120)))
{ /* Llib/net.scm 394 */
BgL_index1279z00_492 = ((long)-1); }  else 
{ /* Llib/net.scm 394 */
 obj_t BgL_vz00_1286;
BgL_vz00_1286 = 
VECTOR_REF(BgL_opt1272z00_120,BgL_iz00_1282); 
if(
(BgL_vz00_1286==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 394 */
BgL_index1279z00_492 = 
(BgL_iz00_1282+((long)1)); }  else 
{ 
 long BgL_iz00_2954;
BgL_iz00_2954 = 
(BgL_iz00_1282+((long)2)); 
BgL_iz00_1282 = BgL_iz00_2954; 
goto BgL_search1275z00_1281;} } } 
if(
(BgL_index1279z00_492>=((long)0)))
{ /* Llib/net.scm 394 */
BgL_familyz00_488 = 
VECTOR_REF(BgL_opt1272z00_120,BgL_index1279z00_492); }  else 
{ /* Llib/net.scm 394 */BFALSE; } } 
{ /* Llib/net.scm 394 */
 long BgL_index1280z00_494;
{ 
 long BgL_iz00_1293;
BgL_iz00_1293 = ((long)6); 
BgL_search1275z00_1292:
if(
(BgL_iz00_1293==
VECTOR_LENGTH(BgL_opt1272z00_120)))
{ /* Llib/net.scm 394 */
BgL_index1280z00_494 = ((long)-1); }  else 
{ /* Llib/net.scm 394 */
 obj_t BgL_vz00_1297;
BgL_vz00_1297 = 
VECTOR_REF(BgL_opt1272z00_120,BgL_iz00_1293); 
if(
(BgL_vz00_1297==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 394 */
BgL_index1280z00_494 = 
(BgL_iz00_1293+((long)1)); }  else 
{ 
 long BgL_iz00_2967;
BgL_iz00_2967 = 
(BgL_iz00_1293+((long)2)); 
BgL_iz00_1293 = BgL_iz00_2967; 
goto BgL_search1275z00_1292;} } } 
if(
(BgL_index1280z00_494>=((long)0)))
{ /* Llib/net.scm 394 */
BgL_loopz00_489 = 
VECTOR_REF(BgL_opt1272z00_120,BgL_index1280z00_494); }  else 
{ /* Llib/net.scm 394 */BFALSE; } } 
{ /* Llib/net.scm 394 */
 obj_t BgL_arg1813z00_496; obj_t BgL_arg1820z00_497; obj_t BgL_arg1821z00_498; obj_t BgL_arg1822z00_499; obj_t BgL_arg1823z00_500; obj_t BgL_arg1824z00_501;
BgL_arg1813z00_496 = 
VECTOR_REF(BgL_opt1272z00_120,((long)0)); 
BgL_arg1820z00_497 = 
VECTOR_REF(BgL_opt1272z00_120,((long)1)); 
BgL_arg1821z00_498 = 
VECTOR_REF(BgL_opt1272z00_120,((long)2)); 
BgL_arg1822z00_499 = 
VECTOR_REF(BgL_opt1272z00_120,((long)3)); 
BgL_arg1823z00_500 = 
VECTOR_REF(BgL_opt1272z00_120,((long)4)); 
BgL_arg1824z00_501 = 
VECTOR_REF(BgL_opt1272z00_120,((long)5)); 
{ /* Llib/net.scm 394 */
 obj_t BgL_callbackz00_502;
BgL_callbackz00_502 = BgL_callbackz00_487; 
{ /* Llib/net.scm 394 */
 obj_t BgL_familyz00_503;
BgL_familyz00_503 = BgL_familyz00_488; 
{ /* Llib/net.scm 394 */
 obj_t BgL_loopz00_504;
BgL_loopz00_504 = BgL_loopz00_489; 
{ /* Llib/net.scm 394 */
 long BgL_offsetz00_1305; long BgL_lenz00_1306; long BgL_portz00_1307;
BgL_offsetz00_1305 = 
(long)CINT(BgL_arg1821z00_498); 
BgL_lenz00_1306 = 
(long)CINT(BgL_arg1822z00_499); 
BgL_portz00_1307 = 
(long)CINT(BgL_arg1823z00_500); 
{ /* Llib/net.scm 396 */
 uv_udp_t * BgL_arg1828z00_1310;
{ /* Llib/net.scm 396 */
 uv_handle_t * BgL_arg1829z00_1311;
BgL_arg1829z00_1311 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_arg1813z00_496))))->BgL_z42builtinz42); 
BgL_arg1828z00_1310 = 
(uv_udp_t *)(BgL_arg1829z00_1311); } 
return 
BINT(
bgl_uv_udp_send(BgL_arg1828z00_1310, 
((obj_t)BgL_arg1820z00_497), BgL_offsetz00_1305, BgL_lenz00_1306, BgL_portz00_1307, 
BSTRING_TO_STRING(
((obj_t)BgL_arg1824z00_501)), 
CINT(BgL_familyz00_503), BgL_callbackz00_502, 
((BgL_uvloopz00_bglt)BgL_loopz00_504)));} } } } } } } } } } } } 

}



/* uv-udp-send */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2sendz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_111, obj_t BgL_bufz00_112, long BgL_offsetz00_113, long BgL_lenz00_114, long BgL_portz00_115, obj_t BgL_addressz00_116, obj_t BgL_callbackz00_117, obj_t BgL_familyz00_118, obj_t BgL_loopz00_119)
{
{ /* Llib/net.scm 394 */
{ /* Llib/net.scm 396 */
 uv_udp_t * BgL_arg1828z00_1313;
{ /* Llib/net.scm 396 */
 uv_handle_t * BgL_arg1829z00_1314;
BgL_arg1829z00_1314 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_111)))->BgL_z42builtinz42); 
BgL_arg1828z00_1313 = 
(uv_udp_t *)(BgL_arg1829z00_1314); } 
return 
BINT(
bgl_uv_udp_send(BgL_arg1828z00_1313, BgL_bufz00_112, BgL_offsetz00_113, BgL_lenz00_114, BgL_portz00_115, 
BSTRING_TO_STRING(BgL_addressz00_116), 
CINT(BgL_familyz00_118), BgL_callbackz00_117, 
((BgL_uvloopz00_bglt)BgL_loopz00_119)));} } 

}



/* uv-udp-set-ttl */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2ttlzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_122, int BgL_ttlz00_123)
{
{ /* Llib/net.scm 404 */
{ /* Llib/net.scm 406 */
 uv_udp_t * BgL_arg1830z00_1316;
{ /* Llib/net.scm 406 */
 uv_handle_t * BgL_arg1831z00_1317;
BgL_arg1831z00_1317 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_122)))->BgL_z42builtinz42); 
BgL_arg1830z00_1316 = 
(uv_udp_t *)(BgL_arg1831z00_1317); } 
return 
BINT(
uv_udp_set_ttl(BgL_arg1830z00_1316, BgL_ttlz00_123));} } 

}



/* &uv-udp-set-ttl */
obj_t BGl_z62uvzd2udpzd2setzd2ttlzb0zz__libuv_netz00(obj_t BgL_envz00_1403, obj_t BgL_handlez00_1404, obj_t BgL_ttlz00_1405)
{
{ /* Llib/net.scm 404 */
return 
BGl_uvzd2udpzd2setzd2ttlzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1404), 
CINT(BgL_ttlz00_1405));} 

}



/* uv-udp-set-multicast-ttl */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2multicastzd2ttlz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_124, int BgL_ttlz00_125)
{
{ /* Llib/net.scm 411 */
{ /* Llib/net.scm 413 */
 uv_udp_t * BgL_arg1832z00_1319;
{ /* Llib/net.scm 413 */
 uv_handle_t * BgL_arg1833z00_1320;
BgL_arg1833z00_1320 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_124)))->BgL_z42builtinz42); 
BgL_arg1832z00_1319 = 
(uv_udp_t *)(BgL_arg1833z00_1320); } 
return 
BINT(
uv_udp_set_multicast_ttl(BgL_arg1832z00_1319, BgL_ttlz00_125));} } 

}



/* &uv-udp-set-multicast-ttl */
obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2ttlz62zz__libuv_netz00(obj_t BgL_envz00_1406, obj_t BgL_handlez00_1407, obj_t BgL_ttlz00_1408)
{
{ /* Llib/net.scm 411 */
return 
BGl_uvzd2udpzd2setzd2multicastzd2ttlz00zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1407), 
CINT(BgL_ttlz00_1408));} 

}



/* uv-udp-set-multicast-loop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2multicastzd2loopz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_126, bool_t BgL_onz00_127)
{
{ /* Llib/net.scm 418 */
{ /* Llib/net.scm 420 */
 uv_udp_t * BgL_arg1834z00_1322;
{ /* Llib/net.scm 420 */
 uv_handle_t * BgL_arg1835z00_1323;
BgL_arg1835z00_1323 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_126)))->BgL_z42builtinz42); 
BgL_arg1834z00_1322 = 
(uv_udp_t *)(BgL_arg1835z00_1323); } 
return 
BINT(
uv_udp_set_multicast_loop(BgL_arg1834z00_1322, BgL_onz00_127));} } 

}



/* &uv-udp-set-multicast-loop */
obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2loopz62zz__libuv_netz00(obj_t BgL_envz00_1409, obj_t BgL_handlez00_1410, obj_t BgL_onz00_1411)
{
{ /* Llib/net.scm 418 */
return 
BGl_uvzd2udpzd2setzd2multicastzd2loopz00zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1410), 
CBOOL(BgL_onz00_1411));} 

}



/* uv-udp-set-broadcast */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2broadcastzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_128, bool_t BgL_onz00_129)
{
{ /* Llib/net.scm 425 */
{ /* Llib/net.scm 427 */
 uv_udp_t * BgL_arg1836z00_1325;
{ /* Llib/net.scm 427 */
 uv_handle_t * BgL_arg1837z00_1326;
BgL_arg1837z00_1326 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_128)))->BgL_z42builtinz42); 
BgL_arg1836z00_1325 = 
(uv_udp_t *)(BgL_arg1837z00_1326); } 
return 
BINT(
uv_udp_set_broadcast(BgL_arg1836z00_1325, BgL_onz00_129));} } 

}



/* &uv-udp-set-broadcast */
obj_t BGl_z62uvzd2udpzd2setzd2broadcastzb0zz__libuv_netz00(obj_t BgL_envz00_1412, obj_t BgL_handlez00_1413, obj_t BgL_onz00_1414)
{
{ /* Llib/net.scm 425 */
return 
BGl_uvzd2udpzd2setzd2broadcastzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1413), 
CBOOL(BgL_onz00_1414));} 

}



/* uv-udp-set-membership */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2membershipzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_130, obj_t BgL_addrz00_131, obj_t BgL_ifacez00_132, obj_t BgL_membershipz00_133)
{
{ /* Llib/net.scm 432 */
{ /* Llib/net.scm 434 */
 uv_membership BgL_actz00_525;
if(
(BgL_membershipz00_133==
CNST_TABLE_REF(((long)6))))
{ /* Llib/net.scm 434 */
BgL_actz00_525 = UV_JOIN_GROUP; }  else 
{ /* Llib/net.scm 434 */
BgL_actz00_525 = UV_LEAVE_GROUP; } 
if(
STRINGP(BgL_ifacez00_132))
{ /* Llib/net.scm 438 */
 uv_udp_t * BgL_arg1839z00_527;
{ /* Llib/net.scm 438 */
 uv_handle_t * BgL_arg1840z00_528;
BgL_arg1840z00_528 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_130)))->BgL_z42builtinz42); 
BgL_arg1839z00_527 = 
(uv_udp_t *)(BgL_arg1840z00_528); } 
{ /* Llib/net.scm 438 */
 int BgL_tmpz00_3040;
{ /* Llib/net.scm 438 */
 char * BgL_auxz00_3043; char * BgL_tmpz00_3041;
BgL_auxz00_3043 = 
BSTRING_TO_STRING(BgL_ifacez00_132); 
BgL_tmpz00_3041 = 
BSTRING_TO_STRING(BgL_addrz00_131); 
BgL_tmpz00_3040 = 
uv_udp_set_membership(BgL_arg1839z00_527, BgL_tmpz00_3041, BgL_auxz00_3043, BgL_actz00_525); } 
return 
BINT(BgL_tmpz00_3040);} }  else 
{ /* Llib/net.scm 439 */
 uv_udp_t * BgL_arg1841z00_529;
{ /* Llib/net.scm 439 */
 uv_handle_t * BgL_arg1842z00_530;
BgL_arg1842z00_530 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_130)))->BgL_z42builtinz42); 
BgL_arg1841z00_529 = 
(uv_udp_t *)(BgL_arg1842z00_530); } 
{ /* Llib/net.scm 439 */
 int BgL_tmpz00_3050;
{ /* Llib/net.scm 439 */
 char * BgL_tmpz00_3051;
BgL_tmpz00_3051 = 
BSTRING_TO_STRING(BgL_addrz00_131); 
BgL_tmpz00_3050 = 
uv_udp_set_membership(BgL_arg1841z00_529, BgL_tmpz00_3051, 0L, BgL_actz00_525); } 
return 
BINT(BgL_tmpz00_3050);} } } } 

}



/* &uv-udp-set-membership */
obj_t BGl_z62uvzd2udpzd2setzd2membershipzb0zz__libuv_netz00(obj_t BgL_envz00_1415, obj_t BgL_handlez00_1416, obj_t BgL_addrz00_1417, obj_t BgL_ifacez00_1418, obj_t BgL_membershipz00_1419)
{
{ /* Llib/net.scm 432 */
return 
BGl_uvzd2udpzd2setzd2membershipzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1416), BgL_addrz00_1417, BgL_ifacez00_1418, BgL_membershipz00_1419);} 

}



/* uv-tty-mode-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2ttyzd2modezd2setz12zc0zz__libuv_netz00(BgL_uvttyz00_bglt BgL_handlez00_134, obj_t BgL_modez00_135)
{
{ /* Llib/net.scm 444 */
{ /* Llib/net.scm 453 */
 uv_tty_t * BgL_arg1844z00_533; obj_t BgL_arg1845z00_534;
{ /* Llib/net.scm 453 */
 uv_handle_t * BgL_arg1846z00_535;
BgL_arg1846z00_535 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_134)))->BgL_z42builtinz42); 
BgL_arg1844z00_533 = 
(uv_tty_t *)(BgL_arg1846z00_535); } 
if(
(BgL_modez00_135==
CNST_TABLE_REF(((long)7))))
{ /* Llib/net.scm 454 */
BgL_arg1845z00_534 = 
BINT(((long)0)); }  else 
{ /* Llib/net.scm 454 */
if(
(BgL_modez00_135==
CNST_TABLE_REF(((long)8))))
{ /* Llib/net.scm 454 */
BgL_arg1845z00_534 = 
BINT(((long)1)); }  else 
{ /* Llib/net.scm 454 */
BgL_arg1845z00_534 = 
BGl_errorz00zz__errorz00(BGl_string1954z00zz__libuv_netz00, BGl_string1955z00zz__libuv_netz00, BgL_modez00_135); } } 
{ /* Llib/net.scm 453 */
 int BgL_tmpz00_3069;
{ /* Llib/net.scm 453 */
 int BgL_tmpz00_3070;
BgL_tmpz00_3070 = 
CINT(BgL_arg1845z00_534); 
BgL_tmpz00_3069 = 
uv_tty_set_mode(BgL_arg1844z00_533, BgL_tmpz00_3070); } 
return 
BINT(BgL_tmpz00_3069);} } } 

}



/* &uv-tty-mode-set! */
obj_t BGl_z62uvzd2ttyzd2modezd2setz12za2zz__libuv_netz00(obj_t BgL_envz00_1420, obj_t BgL_handlez00_1421, obj_t BgL_modez00_1422)
{
{ /* Llib/net.scm 444 */
return 
BGl_uvzd2ttyzd2modezd2setz12zc0zz__libuv_netz00(
((BgL_uvttyz00_bglt)BgL_handlez00_1421), BgL_modez00_1422);} 

}



/* uv-tty-get-window-size */
BGL_EXPORTED_DEF obj_t BGl_uvzd2ttyzd2getzd2windowzd2siza7eza7zz__libuv_netz00(BgL_uvttyz00_bglt BgL_handlez00_136)
{
{ /* Llib/net.scm 462 */
{ /* Llib/net.scm 464 */
 uv_tty_t * BgL_arg1849z00_1330;
{ /* Llib/net.scm 464 */
 uv_handle_t * BgL_arg1850z00_1331;
BgL_arg1850z00_1331 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_136)))->BgL_z42builtinz42); 
BgL_arg1849z00_1330 = 
(uv_tty_t *)(BgL_arg1850z00_1331); } 
return 
bgl_uv_tty_get_winsize(BgL_arg1849z00_1330);} } 

}



/* &uv-tty-get-window-size */
obj_t BGl_z62uvzd2ttyzd2getzd2windowzd2siza7ezc5zz__libuv_netz00(obj_t BgL_envz00_1423, obj_t BgL_handlez00_1424)
{
{ /* Llib/net.scm 462 */
return 
BGl_uvzd2ttyzd2getzd2windowzd2siza7eza7zz__libuv_netz00(
((BgL_uvttyz00_bglt)BgL_handlez00_1424));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvTcpz00zz__libuv_typesz00, BGl_proc1956z00zz__libuv_netz00, BGl_string1957z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvUdpz00zz__libuv_typesz00, BGl_proc1958z00zz__libuv_netz00, BGl_string1957z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvTtyz00zz__libuv_typesz00, BGl_proc1959z00zz__libuv_netz00, BGl_string1957z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvStreamz00zz__libuv_typesz00, BGl_proc1960z00zz__libuv_netz00, BGl_string1961z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvTcpz00zz__libuv_typesz00, BGl_proc1962z00zz__libuv_netz00, BGl_string1961z00zz__libuv_netz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvUdpz00zz__libuv_typesz00, BGl_proc1963z00zz__libuv_netz00, BGl_string1961z00zz__libuv_netz00);} 

}



/* &uv-close-UvUdp1250 */
obj_t BGl_z62uvzd2closezd2UvUdp1250z62zz__libuv_netz00(obj_t BgL_envz00_1437, obj_t BgL_oz00_1438, obj_t BgL_callbackz00_1439)
{
{ /* Llib/net.scm 345 */
{ /* Llib/net.scm 345 */
 obj_t BgL_callbackz00_1479;
BgL_callbackz00_1479 = BgL_callbackz00_1439; 
{ 

if(
PROCEDUREP(BgL_callbackz00_1479))
{ /* Llib/net.scm 347 */
 obj_t BgL_cbz00_1482;
BgL_cbz00_1482 = BgL_callbackz00_1479; 
{ /* Llib/net.scm 349 */
 obj_t BgL_zc3z04callbackza31867ze3z87_1483;
BgL_zc3z04callbackza31867ze3z87_1483 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04callbackza31867ze3ze5zz__libuv_netz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04callbackza31867ze3z87_1483, 
(int)(((long)0)), BgL_oz00_1438); 
PROCEDURE_SET(BgL_zc3z04callbackza31867ze3z87_1483, 
(int)(((long)1)), BgL_cbz00_1482); 
BgL_callbackz00_1479 = BgL_zc3z04callbackza31867ze3z87_1483; } }  else 
{ /* Llib/net.scm 353 */
 obj_t BgL_top2151z00_3098;
BgL_top2151z00_3098 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2151z00_3098, BGl_udpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 353 */
 obj_t BgL_tmp2150z00_3097;
BgL_tmp2150z00_3097 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1438, BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2151z00_3098); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2150z00_3097; } } 
{ /* Llib/net.scm 345 */
 obj_t BgL_nextzd2method1249zd2_1481;
BgL_nextzd2method1249zd2_1481 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1438), BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvUdpz00zz__libuv_typesz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1249zd2_1481)(BgL_nextzd2method1249zd2_1481, BgL_oz00_1438, BgL_callbackz00_1479, BEOA);} } } } 

}



/* &<@callback:1867> */
obj_t BGl_z62zc3z04callbackza31867ze3ze5zz__libuv_netz00(obj_t BgL_envz00_1440)
{
{ /* Llib/net.scm 349 */
{ /* Llib/net.scm 350 */
 obj_t BgL_oz00_1441; obj_t BgL_cbz00_1442;
BgL_oz00_1441 = 
PROCEDURE_REF(BgL_envz00_1440, 
(int)(((long)0))); 
BgL_cbz00_1442 = 
PROCEDURE_REF(BgL_envz00_1440, 
(int)(((long)1))); 
{ /* Llib/net.scm 350 */
 obj_t BgL_top2153z00_3117;
BgL_top2153z00_3117 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2153z00_3117, BGl_udpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 350 */
 obj_t BgL_tmp2152z00_3116;
BgL_tmp2152z00_3116 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1441, BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2153z00_3117); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2152z00_3116; } } 
return 
PROCEDURE_ENTRY(BgL_cbz00_1442)(BgL_cbz00_1442, BEOA);} } 

}



/* &uv-close-UvTcp1238 */
obj_t BGl_z62uvzd2closezd2UvTcp1238z62zz__libuv_netz00(obj_t BgL_envz00_1443, obj_t BgL_oz00_1444, obj_t BgL_callbackz00_1445)
{
{ /* Llib/net.scm 273 */
{ /* Llib/net.scm 273 */
 obj_t BgL_callbackz00_1484;
BgL_callbackz00_1484 = BgL_callbackz00_1445; 
{ 

if(
PROCEDUREP(BgL_callbackz00_1484))
{ /* Llib/net.scm 275 */
 obj_t BgL_cbz00_1487;
BgL_cbz00_1487 = BgL_callbackz00_1484; 
{ /* Llib/net.scm 277 */
 obj_t BgL_zc3z04callbackza31865ze3z87_1488;
BgL_zc3z04callbackza31865ze3z87_1488 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04callbackza31865ze3ze5zz__libuv_netz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04callbackza31865ze3z87_1488, 
(int)(((long)0)), BgL_oz00_1444); 
PROCEDURE_SET(BgL_zc3z04callbackza31865ze3z87_1488, 
(int)(((long)1)), BgL_cbz00_1487); 
BgL_callbackz00_1484 = BgL_zc3z04callbackza31865ze3z87_1488; } }  else 
{ /* Llib/net.scm 281 */
 obj_t BgL_top2156z00_3137;
BgL_top2156z00_3137 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2156z00_3137, BGl_tcpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 281 */
 obj_t BgL_tmp2155z00_3136;
BgL_tmp2155z00_3136 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1444, BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2156z00_3137); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2155z00_3136; } } 
{ /* Llib/net.scm 273 */
 obj_t BgL_nextzd2method1237zd2_1486;
BgL_nextzd2method1237zd2_1486 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1444), BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvTcpz00zz__libuv_typesz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1237zd2_1486)(BgL_nextzd2method1237zd2_1486, BgL_oz00_1444, BgL_callbackz00_1484, BEOA);} } } } 

}



/* &<@callback:1865> */
obj_t BGl_z62zc3z04callbackza31865ze3ze5zz__libuv_netz00(obj_t BgL_envz00_1446)
{
{ /* Llib/net.scm 277 */
{ /* Llib/net.scm 278 */
 obj_t BgL_oz00_1447; obj_t BgL_cbz00_1448;
BgL_oz00_1447 = 
PROCEDURE_REF(BgL_envz00_1446, 
(int)(((long)0))); 
BgL_cbz00_1448 = 
PROCEDURE_REF(BgL_envz00_1446, 
(int)(((long)1))); 
{ /* Llib/net.scm 278 */
 obj_t BgL_top2158z00_3156;
BgL_top2158z00_3156 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2158z00_3156, BGl_tcpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 278 */
 obj_t BgL_tmp2157z00_3155;
BgL_tmp2157z00_3155 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1447, BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2158z00_3156); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2157z00_3155; } } 
return 
PROCEDURE_ENTRY(BgL_cbz00_1448)(BgL_cbz00_1448, BEOA);} } 

}



/* &uv-close-UvStream1145 */
obj_t BGl_z62uvzd2closezd2UvStream1145z62zz__libuv_netz00(obj_t BgL_envz00_1449, obj_t BgL_oz00_1450, obj_t BgL_callbackz00_1451)
{
{ /* Llib/net.scm 103 */
{ /* Llib/net.scm 103 */
 obj_t BgL_callbackz00_1489;
BgL_callbackz00_1489 = BgL_callbackz00_1451; 
{ 

if(
PROCEDUREP(BgL_callbackz00_1489))
{ /* Llib/net.scm 105 */
 obj_t BgL_cbz00_1492;
BgL_cbz00_1492 = BgL_callbackz00_1489; 
{ /* Llib/net.scm 107 */
 obj_t BgL_zc3z04callbackza31860ze3z87_1493;
BgL_zc3z04callbackza31860ze3z87_1493 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04callbackza31860ze3ze5zz__libuv_netz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04callbackza31860ze3z87_1493, 
(int)(((long)0)), BgL_oz00_1450); 
PROCEDURE_SET(BgL_zc3z04callbackza31860ze3z87_1493, 
(int)(((long)1)), BgL_cbz00_1492); 
BgL_callbackz00_1489 = BgL_zc3z04callbackza31860ze3z87_1493; } }  else 
{ /* Llib/net.scm 112 */
 BgL_uvloopz00_bglt BgL_arg1863z00_1494;
BgL_arg1863z00_1494 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_1450)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1863z00_1494), BgL_oz00_1450); } 
{ /* Llib/net.scm 103 */
 obj_t BgL_nextzd2method1144zd2_1491;
BgL_nextzd2method1144zd2_1491 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1450), BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvStreamz00zz__libuv_typesz00); 
return 
PROCEDURE_ENTRY(BgL_nextzd2method1144zd2_1491)(BgL_nextzd2method1144zd2_1491, BgL_oz00_1450, BgL_callbackz00_1489, BEOA);} } } } 

}



/* &<@callback:1860> */
obj_t BGl_z62zc3z04callbackza31860ze3ze5zz__libuv_netz00(obj_t BgL_envz00_1452)
{
{ /* Llib/net.scm 107 */
{ /* Llib/net.scm 108 */
 obj_t BgL_oz00_1453; obj_t BgL_cbz00_1454;
BgL_oz00_1453 = 
PROCEDURE_REF(BgL_envz00_1452, 
(int)(((long)0))); 
BgL_cbz00_1454 = 
PROCEDURE_REF(BgL_envz00_1452, 
(int)(((long)1))); 
{ /* Llib/net.scm 109 */
 BgL_uvloopz00_bglt BgL_arg1861z00_1495;
BgL_arg1861z00_1495 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_1453)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1861z00_1495), BgL_oz00_1453); } 
return 
PROCEDURE_ENTRY(BgL_cbz00_1454)(BgL_cbz00_1454, BEOA);} } 

}



/* &%uv-init-UvTty1143 */
obj_t BGl_z62z52uvzd2initzd2UvTty1143z30zz__libuv_netz00(obj_t BgL_envz00_1455, obj_t BgL_oz00_1456)
{
{ /* Llib/net.scm 94 */
{ /* Llib/net.scm 96 */
 BgL_uvloopz00_bglt BgL_i1072z00_1497;
BgL_i1072z00_1497 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_oz00_1456))))->BgL_loopz00); 
{ 
 uv_tty_t * BgL_auxz00_3200;
{ /* Llib/net.scm 97 */
 uv_loop_t * BgL_arg1855z00_1498; int BgL_arg1856z00_1499; bool_t BgL_arg1857z00_1500;
{ /* Llib/net.scm 97 */
 uv_handle_t * BgL_arg1858z00_1501;
BgL_arg1858z00_1501 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1072z00_1497)))->BgL_z42builtinz42); 
BgL_arg1855z00_1498 = 
(uv_loop_t *)(BgL_arg1858z00_1501); } 
BgL_arg1856z00_1499 = 
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_1456)))->BgL_fdz00); 
BgL_arg1857z00_1500 = 
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_1456)))->BgL_readablez00); 
BgL_auxz00_3200 = 
bgl_uv_tty_create(BgL_arg1855z00_1498, 
((obj_t)
((BgL_uvttyz00_bglt)BgL_oz00_1456)), BgL_arg1856z00_1499, BgL_arg1857z00_1500); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_oz00_1456))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_3200),BUNSPEC); } } 
return 
((obj_t)
((BgL_uvttyz00_bglt)BgL_oz00_1456));} 

}



/* &%uv-init-UvUdp1141 */
obj_t BGl_z62z52uvzd2initzd2UvUdp1141z30zz__libuv_netz00(obj_t BgL_envz00_1457, obj_t BgL_oz00_1458)
{
{ /* Llib/net.scm 85 */
{ /* Llib/net.scm 87 */
 BgL_uvloopz00_bglt BgL_i1070z00_1503;
BgL_i1070z00_1503 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_oz00_1458))))->BgL_loopz00); 
{ 
 uv_udp_t * BgL_auxz00_3219;
{ /* Llib/net.scm 88 */
 uv_loop_t * BgL_arg1853z00_1504;
{ /* Llib/net.scm 88 */
 uv_handle_t * BgL_arg1854z00_1505;
BgL_arg1854z00_1505 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1070z00_1503)))->BgL_z42builtinz42); 
BgL_arg1853z00_1504 = 
(uv_loop_t *)(BgL_arg1854z00_1505); } 
BgL_auxz00_3219 = 
bgl_uv_udp_create(BgL_arg1853z00_1504, 
((obj_t)
((BgL_uvudpz00_bglt)BgL_oz00_1458))); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_oz00_1458))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_3219),BUNSPEC); } } 
return 
((obj_t)
((BgL_uvudpz00_bglt)BgL_oz00_1458));} 

}



/* &%uv-init-UvTcp1139 */
obj_t BGl_z62z52uvzd2initzd2UvTcp1139z30zz__libuv_netz00(obj_t BgL_envz00_1459, obj_t BgL_oz00_1460)
{
{ /* Llib/net.scm 76 */
{ /* Llib/net.scm 78 */
 BgL_uvloopz00_bglt BgL_i1068z00_1507;
BgL_i1068z00_1507 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_oz00_1460))))->BgL_loopz00); 
{ 
 uv_tcp_t * BgL_auxz00_3234;
{ /* Llib/net.scm 79 */
 uv_loop_t * BgL_arg1851z00_1508;
{ /* Llib/net.scm 79 */
 uv_handle_t * BgL_arg1852z00_1509;
BgL_arg1852z00_1509 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1068z00_1507)))->BgL_z42builtinz42); 
BgL_arg1851z00_1508 = 
(uv_loop_t *)(BgL_arg1852z00_1509); } 
BgL_auxz00_3234 = 
bgl_uv_tcp_create(BgL_arg1851z00_1508, 
((obj_t)
((BgL_uvtcpz00_bglt)BgL_oz00_1460))); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_oz00_1460))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_3234),BUNSPEC); } 
return 
((obj_t)
((BgL_uvtcpz00_bglt)BgL_oz00_1460));} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_netz00()
{
{ /* Llib/net.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1964z00zz__libuv_netz00)); 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(((long)189772635), 
BSTRING_TO_STRING(BGl_string1964z00zz__libuv_netz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_handlez00(((long)213750674), 
BSTRING_TO_STRING(BGl_string1964z00zz__libuv_netz00));} 

}

#ifdef __cplusplus
}
#endif
