/*===========================================================================*/
/*   (Llib/midi.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/midi.scm -o objs/midi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_midiscorez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_formatz00;
   long BgL_tempoz00;
   long BgL_ppqz00;
   obj_t BgL_tracksz00;
} *BgL_midiscorez00_bglt;

typedef struct BgL_miditrackz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52streamz52;
   struct BgL_midireaderz00_bgl * BgL_z52readerz52;
   obj_t BgL_z52closez52;
   bool_t BgL_z52eotz52;
   uint32_t BgL_z52wtickz52;
   long BgL_z52statusz52;
   int32_t BgL_lenz00;
   long BgL_tempoz00;
   obj_t BgL_ipz00;
   long BgL_startz00;
   long BgL_datastartz00;
   uint32_t BgL_wtickz00;
   long BgL_statusz00;
   bool_t BgL_eotz00;
} *BgL_miditrackz00_bglt;

typedef struct BgL_midireaderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_peekzd2bytezd2;
   obj_t BgL_readzd2bytezd2;
   obj_t BgL_readzd2int16zd2;
   obj_t BgL_readzd2int32zd2;
   obj_t BgL_readzd2intzd2;
   obj_t BgL_readzd2vlqzd2;
   obj_t BgL_readzd2charszd2;
} *BgL_midireaderz00_bglt;

typedef struct BgL_midiplayerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_errz00;
   obj_t BgL_cdelayz00;
   obj_t BgL_noteoffz00;
   obj_t BgL_noteonz00;
   obj_t BgL_aftertouchz00;
   obj_t BgL_ctrlchangez00;
   obj_t BgL_prgmchangez00;
   obj_t BgL_afterzd2touchzd2;
   obj_t BgL_pitchz00;
   obj_t BgL_sysexz00;
   obj_t BgL_metazd2seqnumzd2;
   obj_t BgL_metazd2textzd2;
   obj_t BgL_metazd2copyrightzd2;
   obj_t BgL_metazd2trackzd2;
   obj_t BgL_metazd2instrumentzd2;
   obj_t BgL_metazd2lyriczd2;
   obj_t BgL_metazd2markerzd2;
   obj_t BgL_metazd2cuezd2;
   obj_t BgL_metazd2prgmnamezd2;
   obj_t BgL_metazd2devnamezd2;
   obj_t BgL_metazd2channprefzd2;
   obj_t BgL_metazd2midiportzd2;
   obj_t BgL_metazd2eotzd2;
   obj_t BgL_metazd2tempozd2;
   obj_t BgL_metazd2smtpezd2;
   obj_t BgL_metazd2timesigzd2;
   obj_t BgL_metazd2keysigzd2;
   obj_t BgL_metazd2seqspeczd2;
} *BgL_midiplayerz00_bglt;

typedef struct BgL_midisinkz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_streamz00;
   obj_t BgL_usleepz00;
   obj_t BgL_writezd2bytezd2;
   obj_t BgL_writezd2stringzd2;
   obj_t BgL_flushz00;
} *BgL_midisinkz00_bglt;


static obj_t BGl_z62lambda2494z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2576z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2577z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t);
static long BGl_readzd2intzd2zz__multimediazd2midizd2(long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt);
static obj_t BGl_z62lambda2584z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2585z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_midisinkzd2nullzd2zz__multimediazd2midizd2;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, BgL_miditrackz00_bglt, long, long, long);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2592z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2593z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32594ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32586ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_midiscorez00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DEF obj_t BGl_midiplayerz00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32587ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32579ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(obj_t, long);
static obj_t BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2();
static int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_midireaderz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, BGL_LONGLONG_T);
static obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__multimediazd2midizd2(obj_t);
static int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long);
static obj_t BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_miditrackz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midireaderzd2init1234zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2();
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31260ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_midisinkz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds();
static obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt);
static obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_midiplayerzd2readzd2zz__multimediazd2midizd2;
static obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2init1236zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62midiscorezd2init1230zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt);
static obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2202z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2203z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2208z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2209z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2214z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31356ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__multimediazd2midizd2(obj_t, obj_t);
static long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long);
static BgL_midireaderz00_bglt BGl_z62lambda2300z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2220z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32531ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2306z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31365ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2226z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2307z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2227z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_z62midisinkzd2init1238zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2311z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2312z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32532ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32524ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2233z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32516ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2234z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2316z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2155z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2317z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2158z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2240z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2321z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2402z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2();
static obj_t BGl_z62lambda2241z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2403z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32509ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2164z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2326z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31367ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2165z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2247z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2409z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2410z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2331z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2170z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2332z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2171z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2416z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2336z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2417z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2177z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2178z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62miditrackzd2init1232zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2500z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2501z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2423z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2262z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2424z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2343z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2507z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2184z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2508z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2346z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2268z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda2430z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2431z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2514z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2353z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2515z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2354z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2275z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2437z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2276z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2195z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2438z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62lambda2521z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2360z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2522z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2;
static obj_t BGl_z62lambda2282z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2444z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2283z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2445z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2367z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2529z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2368z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_z62lambda2289z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62lambda2530z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2451z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2290z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2452z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32546ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2374z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2375z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2537z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2538z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2458z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2297z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2459z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2;
static obj_t BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32571ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2381z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32539ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2544z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2545z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2465z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2466z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2388z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2389z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32564ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2552z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31665ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2472z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2473z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2555z62zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt);
static obj_t BGl_z62lambda2395z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2396z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t, long);
static obj_t BGl_z62lambda2479z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2480z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2562z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32557ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31666ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2563z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2569z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_z62lambda2570z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t __cnst[ 76 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3003z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2487za7623099z00, BGl_z62lambda2487z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3004z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2486za7623100z00, BGl_z62lambda2486z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2f3101z00, BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3005z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3102za7, BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3006z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2494za7623103z00, BGl_z62lambda2494z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3007z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2493za7623104z00, BGl_z62lambda2493z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3008z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3105za7, BGl_z62zc3z04anonymousza32502ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3009z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2501za7623106z00, BGl_z62lambda2501z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3107z00, BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23108z00, BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3010z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2500za7623109z00, BGl_z62lambda2500z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3110za7, BGl_z62zc3z04anonymousza32509ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2508za7623111z00, BGl_z62lambda2508z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2507za7623112z00, BGl_z62lambda2507z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3113za7, BGl_z62zc3z04anonymousza32516ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2515za7623114z00, BGl_z62lambda2515z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2514za7623115z00, BGl_z62lambda2514z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3116za7, BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2522za7623117z00, BGl_z62lambda2522z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2521za7623118z00, BGl_z62lambda2521z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3119za7, BGl_z62zc3z04anonymousza32531ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2530za7623120z00, BGl_z62lambda2530z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2529za7623121z00, BGl_z62lambda2529z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3122za7, BGl_z62zc3z04anonymousza32539ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2538za7623123z00, BGl_z62lambda2538z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2537za7623124z00, BGl_z62lambda2537z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3125za7, BGl_z62zc3z04anonymousza32546ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3027z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2545za7623126z00, BGl_z62lambda2545z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2544za7623127z00, BGl_z62lambda2544z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3128za7, BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2346za7623129z00, BGl_z62lambda2346z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2343za7623130z00, BGl_z62lambda2343z62zz__multimediazd2midizd2, 0L, BUNSPEC, 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3131za7, BGl_z62zc3z04anonymousza32564ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3033z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2563za7623132z00, BGl_z62lambda2563z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2562za7623133z00, BGl_z62lambda2562z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3134za7, BGl_z62zc3z04anonymousza32571ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2570za7623135z00, BGl_z62lambda2570z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2569za7623136z00, BGl_z62lambda2569z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3137za7, BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2577za7623138z00, BGl_z62lambda2577z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3139z00, BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2576za7623140z00, BGl_z62lambda2576z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3141za7, BGl_z62zc3z04anonymousza32586ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2585za7623142z00, BGl_z62lambda2585z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2584za7623143z00, BGl_z62lambda2584z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3144za7, BGl_z62zc3z04anonymousza32594ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2593za7623145z00, BGl_z62lambda2593z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3046z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2592za7623146z00, BGl_z62lambda2592z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3147za7, BGl_z62zc3z04anonymousza32557ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2555za7623148z00, BGl_z62lambda2555z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3055z00zz__multimediazd2midizd2, BgL_bgl_string3055za700za7za7_3149za7, "midiscore-init1230", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2552za7623150z00, BGl_z62lambda2552z62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3057z00zz__multimediazd2midizd2, BgL_bgl_string3057za700za7za7_3151za7, "miditrack-init1232", 18 );
DEFINE_STRING( BGl_string3059z00zz__multimediazd2midizd2, BgL_bgl_string3059za700za7za7_3152za7, "midireader-init1234", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23153z00, BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3154za7, BGl_z62zc3z04anonymousza32587ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3155za7, BGl_z62zc3z04anonymousza32579ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3156za7, BGl_z62zc3z04anonymousza32532ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3157za7, BGl_z62zc3z04anonymousza32524ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3158z00, BGl_z62midiscorezd2init1230zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3061z00zz__multimediazd2midizd2, BgL_bgl_string3061za700za7za7_3159za7, "midiplayer-init1236", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3160z00, BGl_z62miditrackzd2init1232zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3063z00zz__multimediazd2midizd2, BgL_bgl_string3063za700za7za7_3161za7, "midisink-init1238", 17 );
DEFINE_STRING( BGl_string3064z00zz__multimediazd2midizd2, BgL_bgl_string3064za700za7za7_3162za7, "&midiscore-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23163z00, BGl_z62midireaderzd2init1234zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3065z00zz__multimediazd2midizd2, BgL_bgl_string3065za700za7za7_3164za7, "&miditrack-init", 15 );
DEFINE_STRING( BGl_string3066z00zz__multimediazd2midizd2, BgL_bgl_string3066za700za7za7_3165za7, "&midireader-init", 16 );
DEFINE_STRING( BGl_string3067z00zz__multimediazd2midizd2, BgL_bgl_string3067za700za7za7_3166za7, "midireader", 10 );
DEFINE_STRING( BGl_string3068z00zz__multimediazd2midizd2, BgL_bgl_string3068za700za7za7_3167za7, "&midiplayer-init", 16 );
DEFINE_STRING( BGl_string3069z00zz__multimediazd2midizd2, BgL_bgl_string3069za700za7za7_3168za7, "&midisink-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23169z00, BGl_z62midiplayerzd2init1236zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3170z00, BGl_z62midisinkzd2init1238zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3070z00zz__multimediazd2midizd2, BgL_bgl_string3070za700za7za7_3171za7, "#() midisink flush write-string write-byte usleep stream midiplayer meta-seqspec meta-keysig meta-timesig meta-smtpe meta-tempo meta-eot meta-midiport meta-channpref meta-devname meta-prgmname meta-cue meta-marker meta-lyric meta-instrument meta-track meta-copyright meta-text meta-seqnum sysex pitch after-touch prgmchange ctrlchange aftertouch noteon noteoff cdelay err midireader read-chars read-vlq read-int read-int32 read-int16 read-byte peek-byte miditrack eot status wtick datastart start ip int32 len %status uint32 %wtick bool %eot procedure %close %reader obj %stream __multimedia-midi midiscore vector tracks ppq tempo long format string-stream #(\"C\" \"C#\" \"D\" \"D#\" \"E\" \"F\" \"F#\" \"G\" \"G#\" \"A\" \"A#\" \"B\") #(\"\" \"Acoustic Grand Piano\" \"Bright Acoustic Piano\" \"Electric Grand Piano\" \"Honky-tonk Piano\" \"Electric Piano 1\" \"Electric Piano 2\" \"Harpsichord\" \"Clavinet\" \"Celesta\" \"Glockenspiel\" \"Music Box\" \"Vibraphone\" \"Marimba\" \"Xylophone\" \"Tubular Bells\" \"Dulcimer"
"\" \"Drawbar Organ\" \"Percussive Organ\" \"Rock Organ\" \"Church Organ\" \"Reed Organ\" \"Accordion\" \"Harmonica\" \"Tango Accordion\" \"Acoustic Guitar (nylon)\" \"Acoustic Guitar (steel)\" \"Electric Guitar (jazz)\" \"Electric Guitar (clean)\" \"Electric Guitar (muted)\" \"Overdriven Guitar\" \"Distortion Guitar\" \"Guitar harmonics\" \"Acoustic Bass\" \"Electric Bass (finger)\" \"Electric Bass (pick)\" \"Fretless Bass\" \"Slap Bass 1\" \"Slap Bass 2\" \"Synth Bass 1\" \"Synth Bass 2\" \"Violin\" \"Viola\" \"Cello\" \"Contrabass\" \"Tremolo Strings\" \"Pizzicato Strings\" \"Orchestral Harp\" \"Timpani\" \"String Ensemble 1\" \"String Ensemble 2\" \"Synth Strings 1\" \"Synth Strings 2\" \"Choir Aahs\" \"Voice Oohs\" \"Synth Voice\" \"Orchestra Hit\" \"Trumpet\" \"Trombone\" \"Tuba\" \"Muted Trumpet\" \"French Horn\" \"Brass Section\" \"Synth Brass 1\" \"Synth Brass 2\" \"Soprano Sax\" \"Alto Sax\" \"Tenor Sax\" \"Baritone Sax\" \"Oboe\" \"English Horn\" \"Bassoon\" \"Clarinet\" \"Piccolo\" \"Flute\" \"Reco"
"rder\" \"Pan Flute\" \"Blown Bottle\" \"Shakuhachi\" \"Whistle\" \"Ocarina\" \"Lead 1 (square)\" \"Lead 2 (sawtooth)\" \"Lead 3 (calliope)\" \"Lead 4 (chiff)\" \"Lead 5 (charang)\" \"Lead 6 (voice)\" \"Lead 7 (fifths)\" \"Lead 8 (bass + lead)\" \"Pad 1 (new age)\" \"Pad 2 (warm)\" \"Pad 3 (polysynth)\" \"Pad 4 (choir)\" \"Pad 5 (bowed)\" \"Pad 6 (metallic)\" \"Pad 7 (halo)\" \"Pad 8 (sweep)\" \"FX 1 (rain)\" \"FX 2 (soundtrack)\" \"FX 3 (crystal)\" \"FX 4 (atmosphere)\" \"FX 5 (brightness)\" \"FX 6 (goblins)\" \"FX 7 (echoes)\" \"FX 8 (sci-fi)\" \"Sitar\" \"Banjo\" \"Shamisen\" \"Koto\" \"Kalimba\" \"Bag pipe\" \"Fiddle\" \"Shanai\" \"Tinkle Bell\" \"Agogo\" \"Steel Drums\" \"Woodblock\" \"Taiko Drum\" \"Melodic Tom\" \"Synth Drum\" \"Reverse Cymbal\" \"Guitar Fret Noise\" \"Breath Noise\" \"Seashore\" \"Bird Tweet\" \"Telephone Ring\" \"Helicopter\" \"Applause\" \"Gunshot\") #(\"Bank Select\" \"Modulation Wheel or Lever\" \"Breath Controller\" \"Undefined\" \"Foot Controller\" \"Portamento Time\" \"Data Entr"
"y MSB\" \"Channel Volume\" \"Balance\" \"Undefined\" \"Pan\" \"Expression Controller\" \"Effect Control 1\" \"Effect Control 2\" \"Undefined\" \"Undefined\" \"General Purpose Controller 1\" \"General Purpose Controller 2\" \"General Purpose Controller 3\" \"General Purpose Controller 4\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"LSB for Control 0\" \"LSB for Control 1\" \"LSB for Control 2\" \"LSB for Control 3\" \"LSB for Control 4\" \"LSB for Control 5\" \"LSB for Control 6\" \"LSB for Control 7\" \"LSB for Control 8\" \"LSB for Control 9\" \"LSB for Control 10\" \"LSB for Control 11\" \"LSB for Control 12\" \"LSB for Control 13\" \"LSB for Control 14\" \"LSB for Control 15\" \"LSB for Control 16\" \"LSB for Control 17\" \"LSB for Control 18\" \"LSB for Control 19\" \"LSB for Control 20\" \"LSB for Control 21\" \"LSB for Control 22\" \"LSB for Control 23\" \"LSB for Control 24\" \""
"LSB for Control 25\" \"LSB for Control 26\" \"LSB for Control 27\" \"LSB for Control 28\" \"LSB for Control 29\" \"LSB for Control 30\" \"LSB for Control 31\" \"Damper Pedal on/off (Sustain)\" \"Portamento On/Off\" \"Sostenuto On/Off\" \"Soft Pedal On/Off\" \"Legato Footswitch\" \"Hold 2\" \"Sound Controller 1 (default: Sound Variation)\" \"Sound Controller 2 (default: Timbre/Harmonic Intens.)\" \"Sound Controller 3 (default: Release Time)\" \"Sound Controller 4 (default: Attack Time)\" \"Sound Controller 5 (default: Brightness)\" \"Sound Controller 6 (default: Decay Time - see MMA RP-021)\" \"Sound Controller 7 (default: Vibrato Rate - see MMA RP-021)\" \"Sound Controller 8 (default: Vibrato Depth - see MMA RP-021)\" \"Sound Controller 9 (default: Vibrato Delay - see MMA RP-021)\" \"Sound Controller 10 (default undefined - see MMA RP-021)\" \"General Purpose Controller 5\" \"General Purpose Controller 6\" \"General Purpose Controller 7\" \"General Purpose Controller 8\" \"Portamento Control\" \"Undefined\" "
"\"Undefined\" \"Undefined\" \"High Resolution Velocity Prefix\" \"Undefined\" \"Undefined\" \"Effects 1 Depth\" \"Effects 2 Depth\" \"Effects 3 Depth\" \"Effects 4 Depth\" \"Effects 5 Depth\" \"Data Increment\" \"Data Decrement\" \"Non-Registered Parameter Number (NRPN)\" \"Non-Registered Parameter Number (NRPN)\" \"Registered Parameter Number (RPN)\" \"Registered Parameter Number (RPN)\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"[Channel Mode Message] All Sound Off\" \"[Channel Mode Message] Reset All Controllers\" \"[Channel Mode Message] Local Control On/Off\" \"[Channel Mode Message] All Notes Off\" \"[Channel Mode Message] Omni Mode Off (+ all notes off)\" \"[Channel Mode Message] Omni Mode On (+ all notes off)\" \"[Channel Mode Message] Mono Mode On (+ poly off, + all notes off)\" \"[Channel Mod"
"e Message] Poly Mode On (+ mono off, +all notes off)\") #(\"\" \"text\" \"copyright\" \"track\" \"instrument\" \"lyric\" \"marker\" \"cue\") ", 5730 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23172z00, BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2controllerzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2contro3173z00, BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3174z00, BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2vlqza7b03175za7, BGl_z62readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23176z00, BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3177z00, BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2playzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2p3178z00, BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int32za73179za7, BGl_z62readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23180z00, BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2stringzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2s3181z00, BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2802z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3182za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2803z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3183za7, BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2804z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3184za7, BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2805z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3185za7, BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2806z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3186za7, BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2807z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3187za7, BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2808z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3188za7, BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2809z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3189za7, BGl_z62zc3z04anonymousza31260ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string2817z00zz__multimediazd2midizd2, BgL_bgl_string2817za700za7za7_3190za7, "midiscore-file", 14 );
DEFINE_STRING( BGl_string2818z00zz__multimediazd2midizd2, BgL_bgl_string2818za700za7za7_3191za7, "format not supported", 20 );
DEFINE_STRING( BGl_string2819z00zz__multimediazd2midizd2, BgL_bgl_string2819za700za7za7_3192za7, "midiplayer-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3193z00, BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2810z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3194za7, BGl_z62zc3z04anonymousza31261ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2811z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3195za7, BGl_z62zc3z04anonymousza31355ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2812z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3196za7, BGl_z62zc3z04anonymousza31356ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2813z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3197za7, BGl_z62zc3z04anonymousza31364ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2820z00zz__multimediazd2midizd2, BgL_bgl_string2820za700za7za7_3198za7, "bad midi format", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2814z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3199za7, BGl_z62zc3z04anonymousza31365ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2821z00zz__multimediazd2midizd2, BgL_bgl_string2821za700za7za7_3200za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/multimedia/src/Llib/midi.scm", 68 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2815z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3201za7, BGl_z62zc3z04anonymousza31366ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2822z00zz__multimediazd2midizd2, BgL_bgl_string2822za700za7za7_3202za7, "&midiscore-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2816z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3203za7, BGl_z62zc3z04anonymousza31367ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2823z00zz__multimediazd2midizd2, BgL_bgl_string2823za700za7za7_3204za7, "bstring", 7 );
DEFINE_STRING( BGl_string2824z00zz__multimediazd2midizd2, BgL_bgl_string2824za700za7za7_3205za7, "&miditrack-input-port", 21 );
DEFINE_STRING( BGl_string2825z00zz__multimediazd2midizd2, BgL_bgl_string2825za700za7za7_3206za7, "input-port", 10 );
DEFINE_STRING( BGl_string2826z00zz__multimediazd2midizd2, BgL_bgl_string2826za700za7za7_3207za7, "bint", 4 );
DEFINE_STRING( BGl_string2827z00zz__multimediazd2midizd2, BgL_bgl_string2827za700za7za7_3208za7, "&miditrack-file", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2notezd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2noteza7d3209za7, BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23210z00, BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string2829z00zz__multimediazd2midizd2, BgL_bgl_string2829za700za7za7_3211za7, "&miditrack-string", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2inputzd2portzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3212z00, BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2900z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2233za7623213z00, BGl_z62lambda2233z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2901z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3214za7, BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2902z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2241za7623215z00, BGl_z62lambda2241z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2903z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2240za7623216z00, BGl_z62lambda2240z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2904z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3217za7, BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2905z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2248za7623218z00, BGl_z62lambda2248z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2830z00zz__multimediazd2midizd2, BgL_bgl_string2830za700za7za7_3219za7, "midiscore-play", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2906z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2247za7623220z00, BGl_z62lambda2247z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2831z00zz__multimediazd2midizd2, BgL_bgl_string2831za700za7za7_3221za7, "&midiscore-play", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2907z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3222za7, BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2832z00zz__multimediazd2midizd2, BgL_bgl_string2832za700za7za7_3223za7, "midiscore", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2908z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2255za7623224z00, BGl_z62lambda2255z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2833z00zz__multimediazd2midizd2, BgL_bgl_string2833za700za7za7_3225za7, "midiplayer", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2909z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2254za7623226z00, BGl_z62lambda2254z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2834z00zz__multimediazd2midizd2, BgL_bgl_string2834za700za7za7_3227za7, "midisink", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2828z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3228za7, BGl_z62zc3z04anonymousza31666ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2835z00zz__multimediazd2midizd2, BgL_bgl_string2835za700za7za7_3229za7, "~x:~x", 5 );
DEFINE_STRING( BGl_string2836z00zz__multimediazd2midizd2, BgL_bgl_string2836za700za7za7_3230za7, "midiplay", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2intza7b03231za7, BGl_z62readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2837z00zz__multimediazd2midizd2, BgL_bgl_string2837za700za7za7_3232za7, "illegal meta-event", 18 );
DEFINE_STRING( BGl_string2838z00zz__multimediazd2midizd2, BgL_bgl_string2838za700za7za7_3233za7, "illegal event", 13 );
DEFINE_STRING( BGl_string2839z00zz__multimediazd2midizd2, BgL_bgl_string2839za700za7za7_3234za7, "MThd", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3235z00, BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2910z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3236za7, BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2911z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2262za7623237z00, BGl_z62lambda2262z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2912z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2261za7623238z00, BGl_z62lambda2261z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2913z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3239za7, BGl_z62zc3z04anonymousza32270ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2914z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2269za7623240z00, BGl_z62lambda2269z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2915z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2268za7623241z00, BGl_z62lambda2268z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2840z00zz__multimediazd2midizd2, BgL_bgl_string2840za700za7za7_3242za7, "read-midi-mthd", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2916z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3243za7, BGl_z62zc3z04anonymousza32277ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2841z00zz__multimediazd2midizd2, BgL_bgl_string2841za700za7za7_3244za7, "invalid number of SMPTE frames per second", 41 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2917z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2276za7623245z00, BGl_z62lambda2276z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2842z00zz__multimediazd2midizd2, BgL_bgl_string2842za700za7za7_3246za7, "Bad header", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2918z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2275za7623247z00, BGl_z62lambda2275z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2843z00zz__multimediazd2midizd2, BgL_bgl_string2843za700za7za7_3248za7, "MTrk", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2919z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3249za7, BGl_z62zc3z04anonymousza32284ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2844z00zz__multimediazd2midizd2, BgL_bgl_string2844za700za7za7_3250za7, "read-midi-mtrk", 14 );
DEFINE_STRING( BGl_string2845z00zz__multimediazd2midizd2, BgL_bgl_string2845za700za7za7_3251za7, "&read-int", 9 );
DEFINE_STRING( BGl_string2846z00zz__multimediazd2midizd2, BgL_bgl_string2846za700za7za7_3252za7, "&string-stream-peek-byte", 24 );
DEFINE_STRING( BGl_string2847z00zz__multimediazd2midizd2, BgL_bgl_string2847za700za7za7_3253za7, "struct", 6 );
DEFINE_STRING( BGl_string2848z00zz__multimediazd2midizd2, BgL_bgl_string2848za700za7za7_3254za7, "&string-stream-read-byte", 24 );
DEFINE_STRING( BGl_string2849z00zz__multimediazd2midizd2, BgL_bgl_string2849za700za7za7_3255za7, "&string-stream-read-int16", 25 );
BGL_IMPORT obj_t BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2920z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2283za7623256z00, BGl_z62lambda2283z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2921z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2282za7623257z00, BGl_z62lambda2282z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2922z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3258za7, BGl_z62zc3z04anonymousza32291ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2923z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2290za7623259z00, BGl_z62lambda2290z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2924z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2289za7623260z00, BGl_z62lambda2289z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2925z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3261za7, BGl_z62zc3z04anonymousza32197ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2850z00zz__multimediazd2midizd2, BgL_bgl_string2850za700za7za7_3262za7, "&string-stream-read-int32", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23263z00, BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2926z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2195za7623264z00, BGl_z62lambda2195z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2851z00zz__multimediazd2midizd2, BgL_bgl_string2851za700za7za7_3265za7, "&string-stream-read-int", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3266z00, BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2927z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2192za7623267z00, BGl_z62lambda2192z62zz__multimediazd2midizd2, 0L, BUNSPEC, 14 );
DEFINE_STRING( BGl_string2852z00zz__multimediazd2midizd2, BgL_bgl_string2852za700za7za7_3268za7, "&string-stream-read-chars", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2928z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2307za7623269z00, BGl_z62lambda2307z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2853z00zz__multimediazd2midizd2, BgL_bgl_string2853za700za7za7_3270za7, "&midiplayer-cdelay", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2929z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2306za7623271z00, BGl_z62lambda2306z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2854z00zz__multimediazd2midizd2, BgL_bgl_string2854za700za7za7_3272za7, "miditrack", 9 );
DEFINE_STRING( BGl_string2855z00zz__multimediazd2midizd2, BgL_bgl_string2855za700za7za7_3273za7, "&midiplayer-ignore", 18 );
DEFINE_STRING( BGl_string2856z00zz__multimediazd2midizd2, BgL_bgl_string2856za700za7za7_3274za7, "&midiplayer-noteoff", 19 );
DEFINE_STRING( BGl_string2857z00zz__multimediazd2midizd2, BgL_bgl_string2857za700za7za7_3275za7, "&midiplayer-noteon", 18 );
DEFINE_STRING( BGl_string2858z00zz__multimediazd2midizd2, BgL_bgl_string2858za700za7za7_3276za7, "&midiplayer-aftertouch", 22 );
DEFINE_STRING( BGl_string2859z00zz__multimediazd2midizd2, BgL_bgl_string2859za700za7za7_3277za7, "&midiplayer-ctrlchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int16za73278za7, BGl_z62readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2930z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2312za7623279z00, BGl_z62lambda2312z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2931z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2311za7623280z00, BGl_z62lambda2311z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2932z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2317za7623281z00, BGl_z62lambda2317z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2933z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2316za7623282z00, BGl_z62lambda2316z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2934z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2322za7623283z00, BGl_z62lambda2322z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2935z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2321za7623284z00, BGl_z62lambda2321z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2860z00zz__multimediazd2midizd2, BgL_bgl_string2860za700za7za7_3285za7, "&midiplayer-prgmchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2936z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2327za7623286z00, BGl_z62lambda2327z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2861z00zz__multimediazd2midizd2, BgL_bgl_string2861za700za7za7_3287za7, "&midiplayer-after-touch", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2937z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2326za7623288z00, BGl_z62lambda2326z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2862z00zz__multimediazd2midizd2, BgL_bgl_string2862za700za7za7_3289za7, "&midiplayer-pitch", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2938z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2332za7623290z00, BGl_z62lambda2332z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2863z00zz__multimediazd2midizd2, BgL_bgl_string2863za700za7za7_3291za7, "&midiplayer-sysex", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2939z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2331za7623292z00, BGl_z62lambda2331z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2864z00zz__multimediazd2midizd2, BgL_bgl_string2864za700za7za7_3293za7, "~a[~a]", 6 );
DEFINE_STRING( BGl_string2865z00zz__multimediazd2midizd2, BgL_bgl_string2865za700za7za7_3294za7, "&midi-note-name", 15 );
DEFINE_STRING( BGl_string2866z00zz__multimediazd2midizd2, BgL_bgl_string2866za700za7za7_3295za7, "unknown controller", 18 );
DEFINE_STRING( BGl_string2867z00zz__multimediazd2midizd2, BgL_bgl_string2867za700za7za7_3296za7, "&midi-controller-name", 21 );
DEFINE_STRING( BGl_string2868z00zz__multimediazd2midizd2, BgL_bgl_string2868za700za7za7_3297za7, "unknown program", 15 );
DEFINE_STRING( BGl_string2869z00zz__multimediazd2midizd2, BgL_bgl_string2869za700za7za7_3298za7, "&midi-program-name", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2940z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2337za7623299z00, BGl_z62lambda2337z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2941z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2336za7623300z00, BGl_z62lambda2336z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2942z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3301za7, BGl_z62zc3z04anonymousza32302ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2943z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2300za7623302z00, BGl_z62lambda2300z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2944z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2297za7623303z00, BGl_z62lambda2297z62zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23304z00, BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2945z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3305za7, BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2870z00zz__multimediazd2midizd2, BgL_bgl_string2870za700za7za7_3306za7, "&midi-program-index", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2946z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2354za7623307z00, BGl_z62lambda2354z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2947z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2353za7623308z00, BGl_z62lambda2353z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2948z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3309za7, BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2949z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2361za7623310z00, BGl_z62lambda2361z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_sleepzd2envzd2zz__osz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2950z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2360za7623311z00, BGl_z62lambda2360z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2951z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3312za7, BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2952z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2368za7623313z00, BGl_z62lambda2368z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2871z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2165za7623314z00, BGl_z62lambda2165z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2953z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2367za7623315z00, BGl_z62lambda2367z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2872z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2164za7623316z00, BGl_z62lambda2164z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2954z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3317za7, BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2873z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3318za7, BGl_z62zc3z04anonymousza32172ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2955z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2375za7623319z00, BGl_z62lambda2375z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2874z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2171za7623320z00, BGl_z62lambda2171z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2956z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2374za7623321z00, BGl_z62lambda2374z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2875z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2170za7623322z00, BGl_z62lambda2170z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2957z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3323za7, BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2876z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3324za7, BGl_z62zc3z04anonymousza32179ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2958z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2382za7623325z00, BGl_z62lambda2382z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2877z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2178za7623326z00, BGl_z62lambda2178z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2959z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2381za7623327z00, BGl_z62lambda2381z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2878z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2177za7623328z00, BGl_z62lambda2177z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2879z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3329za7, BGl_z62zc3z04anonymousza32186ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2960z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3330za7, BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2961z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2389za7623331z00, BGl_z62lambda2389z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2880z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2185za7623332z00, BGl_z62lambda2185z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2962z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2388za7623333z00, BGl_z62lambda2388z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2881z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2184za7623334z00, BGl_z62lambda2184z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2963z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3335za7, BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2882z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3336za7, BGl_z62zc3z04anonymousza32160ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2964z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2396za7623337z00, BGl_z62lambda2396z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2883z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2158za7623338z00, BGl_z62lambda2158z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2965z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2395za7623339z00, BGl_z62lambda2395z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2884z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2155za7623340z00, BGl_z62lambda2155z62zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2966z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3341za7, BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2885z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3342za7, BGl_z62zc3z04anonymousza32204ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2967z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2403za7623343z00, BGl_z62lambda2403z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2886z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2203za7623344z00, BGl_z62lambda2203z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2968z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2402za7623345z00, BGl_z62lambda2402z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2887z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2202za7623346z00, BGl_z62lambda2202z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2969z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3347za7, BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2888z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2209za7623348z00, BGl_z62lambda2209z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2889z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2208za7623349z00, BGl_z62lambda2208z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2970z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2410za7623350z00, BGl_z62lambda2410z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2971z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2409za7623351z00, BGl_z62lambda2409z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2890z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2214za7623352z00, BGl_z62lambda2214z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2972z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3353za7, BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2891z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2213za7623354z00, BGl_z62lambda2213z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2973z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2417za7623355z00, BGl_z62lambda2417z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2892z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3356za7, BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2974z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2416za7623357z00, BGl_z62lambda2416z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2893z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2220za7623358z00, BGl_z62lambda2220z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2975z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3359za7, BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2894z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2219za7623360z00, BGl_z62lambda2219z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2976z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2424za7623361z00, BGl_z62lambda2424z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2895z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3362za7, BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2977z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2423za7623363z00, BGl_z62lambda2423z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2896z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2227za7623364z00, BGl_z62lambda2227z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2978z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3365za7, BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2897z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2226za7623366z00, BGl_z62lambda2226z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2979z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2431za7623367z00, BGl_z62lambda2431z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2898z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3368za7, BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2899z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2234za7623369z00, BGl_z62lambda2234z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2980z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2430za7623370z00, BGl_z62lambda2430z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2981z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3371za7, BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2438za7623372z00, BGl_z62lambda2438z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2983z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2437za7623373z00, BGl_z62lambda2437z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2984z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3374za7, BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2985z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2445za7623375z00, BGl_z62lambda2445z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2444za7623376z00, BGl_z62lambda2444z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2987z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3377za7, BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2988z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2452za7623378z00, BGl_z62lambda2452z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2451za7623379z00, BGl_z62lambda2451z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2990z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3380za7, BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2991z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2459za7623381z00, BGl_z62lambda2459z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2992z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2458za7623382z00, BGl_z62lambda2458z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2993z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3383za7, BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2994z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2466za7623384z00, BGl_z62lambda2466z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2995z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2465za7623385z00, BGl_z62lambda2465z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2996z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3386za7, BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2997z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2473za7623387z00, BGl_z62lambda2473z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2998z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2472za7623388z00, BGl_z62lambda2472z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2999z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3389za7, BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2f3390z00, BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2indexzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3391z00, BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23392z00, BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3393z00, BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23394z00, BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23395z00, BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3396z00, BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3397z00, BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23398z00, BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3399z00, BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3000z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2480za7623400z00, BGl_z62lambda2480z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3001z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2479za7623401z00, BGl_z62lambda2479z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3002z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3402za7, BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_midisinkzd2nullzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiscorez00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2programzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_miditrackz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midisinkz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerzd2readzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2textzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2notezd2namesz00zz__multimediazd2midizd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long BgL_checksumz00_5190, char * BgL_fromz00_5191)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(); 
BGl_cnstzd2initzd2zz__multimediazd2midizd2(); 
BGl_objectzd2initzd2zz__multimediazd2midizd2(); 
BGl_genericzd2initzd2zz__multimediazd2midizd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2midizd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-midi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
 obj_t BgL_cportz00_3853;
{ /* Llib/midi.scm 15 */
 obj_t BgL_stringz00_3861;
BgL_stringz00_3861 = BGl_string3070z00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 15 */
 obj_t BgL_startz00_3862;
BgL_startz00_3862 = 
BINT(((long)0)); 
{ /* Llib/midi.scm 15 */
 obj_t BgL_endz00_3863;
BgL_endz00_3863 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3861))); 
{ /* Llib/midi.scm 15 */

BgL_cportz00_3853 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3861, BgL_startz00_3862, BgL_endz00_3863); } } } } 
{ 
 long BgL_iz00_3854;
BgL_iz00_3854 = ((long)75); 
BgL_loopz00_3855:
if(
(BgL_iz00_3854==((long)-1)))
{ /* Llib/midi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
 obj_t BgL_arg3072z00_3857;
{ /* Llib/midi.scm 15 */

{ /* Llib/midi.scm 15 */
 obj_t BgL_locationz00_3859;
BgL_locationz00_3859 = 
BBOOL(((bool_t)0)); 
{ /* Llib/midi.scm 15 */

BgL_arg3072z00_3857 = 
BGl_readz00zz__readerz00(BgL_cportz00_3853, BgL_locationz00_3859); } } } 
{ /* Llib/midi.scm 15 */
 int BgL_tmpz00_5229;
BgL_tmpz00_5229 = 
(int)(BgL_iz00_3854); 
CNST_TABLE_SET(BgL_tmpz00_5229, BgL_arg3072z00_3857); } } 
{ /* Llib/midi.scm 15 */
 int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(
(BgL_iz00_3854-((long)1))); 
{ 
 long BgL_iz00_5234;
BgL_iz00_5234 = 
(long)(BgL_auxz00_3860); 
BgL_iz00_3854 = BgL_iz00_5234; 
goto BgL_loopz00_3855;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 133 */
 BgL_midireaderz00_bglt BgL_new1122z00_143;
{ /* Llib/midi.scm 134 */
 BgL_midireaderz00_bglt BgL_new1121z00_145;
BgL_new1121z00_145 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 134 */
 long BgL_arg1242z00_146;
BgL_arg1242z00_146 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_145), BgL_arg1242z00_146); } 
BgL_new1122z00_143 = BgL_new1121z00_145; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_peekzd2bytezd2)=((obj_t)BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2bytezd2)=((obj_t)BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2int16zd2)=((obj_t)BGl_readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2int32zd2)=((obj_t)BGl_readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2intzd2)=((obj_t)BGl_readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2vlqzd2)=((obj_t)BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2charszd2)=((obj_t)BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
{ /* Llib/midi.scm 133 */
 obj_t BgL_fun1240z00_144;
BgL_fun1240z00_144 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1240z00_144)(BgL_fun1240z00_144, 
((obj_t)BgL_new1122z00_143), BEOA); } 
BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2 = BgL_new1122z00_143; } 
{ /* Llib/midi.scm 146 */
 BgL_midireaderz00_bglt BgL_new1124z00_147;
{ /* Llib/midi.scm 147 */
 BgL_midireaderz00_bglt BgL_new1123z00_149;
BgL_new1123z00_149 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 147 */
 long BgL_arg1250z00_150;
BgL_arg1250z00_150 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_149), BgL_arg1250z00_150); } 
BgL_new1124z00_147 = BgL_new1123z00_149; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_peekzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2int16zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2int32zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2intzd2)=((obj_t)BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2vlqzd2)=((obj_t)BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2charszd2)=((obj_t)BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 146 */
 obj_t BgL_fun1243z00_148;
BgL_fun1243z00_148 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1243z00_148)(BgL_fun1243z00_148, 
((obj_t)BgL_new1124z00_147), BEOA); } 
BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2 = BgL_new1124z00_147; } 
{ /* Llib/midi.scm 159 */
 BgL_midiplayerz00_bglt BgL_new1126z00_151;
{ /* Llib/midi.scm 159 */
 BgL_midiplayerz00_bglt BgL_new1125z00_264;
BgL_new1125z00_264 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 159 */
 long BgL_arg1363z00_265;
BgL_arg1363z00_265 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_264), BgL_arg1363z00_265); } 
BgL_new1126z00_151 = BgL_new1125z00_264; } 
{ 
 obj_t BgL_auxz00_5275;
{ /* Llib/midi.scm 159 */
 obj_t BgL_arg1251z00_152;
{ /* Llib/midi.scm 159 */
 obj_t BgL_arg1252z00_153;
{ /* Llib/midi.scm 159 */
 obj_t BgL_classz00_1873;
BgL_classz00_1873 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1252z00_153 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1873); } 
BgL_arg1251z00_152 = 
VECTOR_REF(BgL_arg1252z00_153,((long)0)); } 
BgL_auxz00_5275 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1251z00_152); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_errz00)=((obj_t)BgL_auxz00_5275),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_cdelayz00)=((obj_t)BGl_proc2802z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_noteoffz00)=((obj_t)BGl_proc2803z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_noteonz00)=((obj_t)BGl_proc2804z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_aftertouchz00)=((obj_t)BGl_proc2805z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_ctrlchangez00)=((obj_t)BGl_proc2806z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_prgmchangez00)=((obj_t)BGl_proc2807z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_afterzd2touchzd2)=((obj_t)BGl_proc2808z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_pitchz00)=((obj_t)BGl_proc2809z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_sysexz00)=((obj_t)BGl_proc2810z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5289;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1262z00_214;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1263z00_215;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1875;
BgL_classz00_1875 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1263z00_215 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1875); } 
BgL_arg1262z00_214 = 
VECTOR_REF(BgL_arg1263z00_215,((long)10)); } 
BgL_auxz00_5289 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1262z00_214); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2seqnumzd2)=((obj_t)BgL_auxz00_5289),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5294;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1264z00_216;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1267z00_217;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1877;
BgL_classz00_1877 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1267z00_217 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1877); } 
BgL_arg1264z00_216 = 
VECTOR_REF(BgL_arg1267z00_217,((long)11)); } 
BgL_auxz00_5294 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1264z00_216); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2textzd2)=((obj_t)BgL_auxz00_5294),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5299;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1268z00_218;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1269z00_219;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1879;
BgL_classz00_1879 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1269z00_219 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1879); } 
BgL_arg1268z00_218 = 
VECTOR_REF(BgL_arg1269z00_219,((long)12)); } 
BgL_auxz00_5299 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1268z00_218); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2copyrightzd2)=((obj_t)BgL_auxz00_5299),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5304;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1270z00_220;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1271z00_221;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1881;
BgL_classz00_1881 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1271z00_221 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1881); } 
BgL_arg1270z00_220 = 
VECTOR_REF(BgL_arg1271z00_221,((long)13)); } 
BgL_auxz00_5304 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1270z00_220); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2trackzd2)=((obj_t)BgL_auxz00_5304),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5309;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1279z00_222;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1283z00_223;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1883;
BgL_classz00_1883 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1283z00_223 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1883); } 
BgL_arg1279z00_222 = 
VECTOR_REF(BgL_arg1283z00_223,((long)14)); } 
BgL_auxz00_5309 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1279z00_222); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2instrumentzd2)=((obj_t)BgL_auxz00_5309),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5314;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1285z00_224;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1286z00_225;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1885;
BgL_classz00_1885 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1286z00_225 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1885); } 
BgL_arg1285z00_224 = 
VECTOR_REF(BgL_arg1286z00_225,((long)15)); } 
BgL_auxz00_5314 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1285z00_224); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2lyriczd2)=((obj_t)BgL_auxz00_5314),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5319;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1287z00_226;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1288z00_227;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1887;
BgL_classz00_1887 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1288z00_227 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1887); } 
BgL_arg1287z00_226 = 
VECTOR_REF(BgL_arg1288z00_227,((long)16)); } 
BgL_auxz00_5319 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1287z00_226); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2markerzd2)=((obj_t)BgL_auxz00_5319),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5324;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1291z00_228;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1331z00_229;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1889;
BgL_classz00_1889 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1331z00_229 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1889); } 
BgL_arg1291z00_228 = 
VECTOR_REF(BgL_arg1331z00_229,((long)17)); } 
BgL_auxz00_5324 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1291z00_228); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2cuezd2)=((obj_t)BgL_auxz00_5324),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5329;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1332z00_230;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1333z00_231;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1891;
BgL_classz00_1891 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1333z00_231 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1891); } 
BgL_arg1332z00_230 = 
VECTOR_REF(BgL_arg1333z00_231,((long)18)); } 
BgL_auxz00_5329 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1332z00_230); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2prgmnamezd2)=((obj_t)BgL_auxz00_5329),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5334;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1338z00_232;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1339z00_233;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1893;
BgL_classz00_1893 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1339z00_233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1893); } 
BgL_arg1338z00_232 = 
VECTOR_REF(BgL_arg1339z00_233,((long)19)); } 
BgL_auxz00_5334 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1338z00_232); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2devnamezd2)=((obj_t)BgL_auxz00_5334),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5339;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1340z00_234;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1341z00_235;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1895;
BgL_classz00_1895 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1341z00_235 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1895); } 
BgL_arg1340z00_234 = 
VECTOR_REF(BgL_arg1341z00_235,((long)20)); } 
BgL_auxz00_5339 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1340z00_234); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2channprefzd2)=((obj_t)BgL_auxz00_5339),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5344;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1342z00_236;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1343z00_237;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1897;
BgL_classz00_1897 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1343z00_237 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1897); } 
BgL_arg1342z00_236 = 
VECTOR_REF(BgL_arg1343z00_237,((long)21)); } 
BgL_auxz00_5344 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1342z00_236); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2midiportzd2)=((obj_t)BgL_auxz00_5344),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5349;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1345z00_238;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1348z00_239;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1899;
BgL_classz00_1899 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1348z00_239 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1899); } 
BgL_arg1345z00_238 = 
VECTOR_REF(BgL_arg1348z00_239,((long)22)); } 
BgL_auxz00_5349 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1345z00_238); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2eotzd2)=((obj_t)BgL_auxz00_5349),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5354;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1349z00_240;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1354z00_241;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1901;
BgL_classz00_1901 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1354z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1901); } 
BgL_arg1349z00_240 = 
VECTOR_REF(BgL_arg1354z00_241,((long)23)); } 
BgL_auxz00_5354 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1349z00_240); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2tempozd2)=((obj_t)BgL_auxz00_5354),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2smtpezd2)=((obj_t)BGl_proc2811z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2timesigzd2)=((obj_t)BGl_proc2812z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5361;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1357z00_259;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1358z00_260;
{ /* Llib/midi.scm 83 */
 obj_t BgL_classz00_1903;
BgL_classz00_1903 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1358z00_260 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1903); } 
BgL_arg1357z00_259 = 
VECTOR_REF(BgL_arg1358z00_260,((long)26)); } 
BgL_auxz00_5361 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1357z00_259); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2keysigzd2)=((obj_t)BgL_auxz00_5361),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5366;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1360z00_261;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1361z00_262;
{ /* Llib/midi.scm 83 */
 obj_t BgL_classz00_1905;
BgL_classz00_1905 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1361z00_262 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1905); } 
BgL_arg1360z00_261 = 
VECTOR_REF(BgL_arg1361z00_262,((long)27)); } 
BgL_auxz00_5366 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1360z00_261); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2seqspeczd2)=((obj_t)BgL_auxz00_5366),BUNSPEC); } 
{ /* Llib/midi.scm 159 */
 obj_t BgL_fun1362z00_263;
BgL_fun1362z00_263 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1362z00_263)(BgL_fun1362z00_263, 
((obj_t)BgL_new1126z00_151), BEOA); } 
BGl_midiplayerzd2readzd2zz__multimediazd2midizd2 = BgL_new1126z00_151; } 
{ /* Llib/midi.scm 174 */
 BgL_midisinkz00_bglt BgL_new1128z00_266;
{ /* Llib/midi.scm 174 */
 BgL_midisinkz00_bglt BgL_new1127z00_278;
BgL_new1127z00_278 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 174 */
 long BgL_arg1377z00_279;
BgL_arg1377z00_279 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_278), BgL_arg1377z00_279); } 
BgL_new1128z00_266 = BgL_new1127z00_278; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_usleepz00)=((obj_t)BGl_proc2813z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_writezd2bytezd2)=((obj_t)BGl_proc2814z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_writezd2stringzd2)=((obj_t)BGl_proc2815z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_flushz00)=((obj_t)BGl_proc2816z00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 174 */
 obj_t BgL_fun1368z00_277;
BgL_fun1368z00_277 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1368z00_277)(BgL_fun1368z00_277, 
((obj_t)BgL_new1128z00_266), BEOA); } 
BGl_midisinkzd2nullzd2zz__multimediazd2midizd2 = BgL_new1128z00_266; } 
BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)0)); 
BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)1)); 
BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)2)); 
BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)3)); 
return BUNSPEC;} 

}



/* &<@anonymous:1367> */
obj_t BGl_z62zc3z04anonymousza31367ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2750, obj_t BgL_opz00_2751)
{
{ /* Llib/midi.scm 178 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1366> */
obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2752, obj_t BgL_opz00_2753, obj_t BgL_bz00_2754)
{
{ /* Llib/midi.scm 177 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1365> */
obj_t BGl_z62zc3z04anonymousza31365ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2755, obj_t BgL_opz00_2756, obj_t BgL_bz00_2757)
{
{ /* Llib/midi.scm 176 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1364> */
obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2758, obj_t BgL_sz00_2759)
{
{ /* Llib/midi.scm 175 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1356> */
obj_t BGl_z62zc3z04anonymousza31356ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2760, obj_t BgL_mpz00_2761, obj_t BgL_msz00_2762, obj_t BgL_tickz00_2763, obj_t BgL_nnz00_2764, obj_t BgL_ddz00_2765, obj_t BgL_ccz00_2766, obj_t BgL_bbz00_2767)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1355> */
obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2768, obj_t BgL_mpz00_2769, obj_t BgL_msz00_2770, obj_t BgL_tickz00_2771, obj_t BgL_hrz00_2772, obj_t BgL_mmz00_2773, obj_t BgL_sez00_2774, obj_t BgL_frz00_2775, obj_t BgL_ffz00_2776)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1261> */
obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2777, obj_t BgL_mpz00_2778, obj_t BgL_msz00_2779, obj_t BgL_tickz00_2780, obj_t BgL_sz00_2781)
{
{ /* Llib/midi.scm 168 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1260> */
obj_t BGl_z62zc3z04anonymousza31260ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2782, obj_t BgL_mpz00_2783, obj_t BgL_msz00_2784, obj_t BgL_tickz00_2785, obj_t BgL_xz00_2786, obj_t BgL_yz00_2787, obj_t BgL_za7za7_2788)
{
{ /* Llib/midi.scm 167 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1259> */
obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2789, obj_t BgL_mpz00_2790, obj_t BgL_msz00_2791, obj_t BgL_tickz00_2792, obj_t BgL_xz00_2793, obj_t BgL_yz00_2794)
{
{ /* Llib/midi.scm 166 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1258> */
obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2795, obj_t BgL_mpz00_2796, obj_t BgL_msz00_2797, obj_t BgL_tickz00_2798, obj_t BgL_xz00_2799, obj_t BgL_yz00_2800)
{
{ /* Llib/midi.scm 165 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1257> */
obj_t BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2801, obj_t BgL_mpz00_2802, obj_t BgL_msz00_2803, obj_t BgL_tickz00_2804, obj_t BgL_xz00_2805, obj_t BgL_yz00_2806, obj_t BgL_za7za7_2807)
{
{ /* Llib/midi.scm 164 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1256> */
obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2808, obj_t BgL_mpz00_2809, obj_t BgL_msz00_2810, obj_t BgL_tickz00_2811, obj_t BgL_xz00_2812, obj_t BgL_yz00_2813, obj_t BgL_za7za7_2814)
{
{ /* Llib/midi.scm 163 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1255> */
obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2815, obj_t BgL_mpz00_2816, obj_t BgL_msz00_2817, obj_t BgL_tickz00_2818, obj_t BgL_xz00_2819, obj_t BgL_yz00_2820, obj_t BgL_za7za7_2821)
{
{ /* Llib/midi.scm 162 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1254> */
obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2822, obj_t BgL_mpz00_2823, obj_t BgL_msz00_2824, obj_t BgL_tickz00_2825, obj_t BgL_xz00_2826, obj_t BgL_yz00_2827, obj_t BgL_za7za7_2828)
{
{ /* Llib/midi.scm 161 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2829, obj_t BgL_mpz00_2830, obj_t BgL_msz00_2831, obj_t BgL_tickz00_2832, obj_t BgL_trackz00_2833, obj_t BgL_ppqz00_2834, obj_t BgL_dtz00_2835, obj_t BgL_usz00_2836)
{
{ /* Llib/midi.scm 160 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-file */
BGL_EXPORTED_DEF BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_13)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
 obj_t BgL_ipz00_299;
{ /* Llib/midi.scm 184 */

BgL_ipz00_299 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_13, BTRUE, 
BINT(((long)5000000))); } 
{ /* Llib/midi.scm 185 */
 obj_t BgL_sza7za7_300;
BgL_sza7za7_300 = 
BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(BgL_ipz00_299); 
{ /* Llib/midi.scm 186 */
 obj_t BgL_fmtz00_301; obj_t BgL_tckz00_302; obj_t BgL_tempoz00_303; obj_t BgL_ppqz00_304;
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1917;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5414;
BgL_tmpz00_5414 = 
(int)(((long)1)); 
BgL_tmpz00_1917 = 
BGL_MVALUES_VAL(BgL_tmpz00_5414); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5417;
BgL_tmpz00_5417 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5417, BUNSPEC); } 
BgL_fmtz00_301 = BgL_tmpz00_1917; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1918;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5420;
BgL_tmpz00_5420 = 
(int)(((long)2)); 
BgL_tmpz00_1918 = 
BGL_MVALUES_VAL(BgL_tmpz00_5420); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5423;
BgL_tmpz00_5423 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5423, BUNSPEC); } 
BgL_tckz00_302 = BgL_tmpz00_1918; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1919;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5426;
BgL_tmpz00_5426 = 
(int)(((long)3)); 
BgL_tmpz00_1919 = 
BGL_MVALUES_VAL(BgL_tmpz00_5426); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5429;
BgL_tmpz00_5429 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5429, BUNSPEC); } 
BgL_tempoz00_303 = BgL_tmpz00_1919; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1920;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5432;
BgL_tmpz00_5432 = 
(int)(((long)4)); 
BgL_tmpz00_1920 = 
BGL_MVALUES_VAL(BgL_tmpz00_5432); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5435;
BgL_tmpz00_5435 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5435, BUNSPEC); } 
BgL_ppqz00_304 = BgL_tmpz00_1920; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tracksz00_305;
if(
INTEGERP(BgL_fmtz00_301))
{ /* Llib/midi.scm 187 */
switch( 
(long)CINT(BgL_fmtz00_301)) { case ((long)0) : 

{ /* Llib/midi.scm 188 */
 obj_t BgL_v1186z00_313;
BgL_v1186z00_313 = 
create_vector(((long)1)); 
{ /* Llib/midi.scm 188 */
 BgL_miditrackz00_bglt BgL_arg1574z00_314;
BgL_arg1574z00_314 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303)); 
VECTOR_SET(BgL_v1186z00_313,((long)0),
((obj_t)BgL_arg1574z00_314)); } 
BgL_tracksz00_305 = BgL_v1186z00_313; } break;case ((long)1) : 

BgL_tracksz00_305 = 
BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303), BgL_tckz00_302); break;case ((long)2) : 

BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2817z00zz__multimediazd2midizd2, BGl_string2818z00zz__multimediazd2midizd2, BgL_fmtz00_301); break;
default: 
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2819z00zz__multimediazd2midizd2, BGl_string2820z00zz__multimediazd2midizd2, BgL_fmtz00_301); } }  else 
{ /* Llib/midi.scm 187 */
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2819z00zz__multimediazd2midizd2, BGl_string2820z00zz__multimediazd2midizd2, BgL_fmtz00_301); } 
{ /* Llib/midi.scm 192 */
 BgL_midiscorez00_bglt BgL_new1132z00_306;
{ /* Llib/midi.scm 193 */
 BgL_midiscorez00_bglt BgL_new1131z00_308;
BgL_new1131z00_308 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 193 */
 long BgL_arg1572z00_309;
BgL_arg1572z00_309 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_308), BgL_arg1572z00_309); } 
BgL_new1132z00_306 = BgL_new1131z00_308; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_formatz00)=((long)
(long)CINT(BgL_fmtz00_301)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_tempoz00)=((long)
(long)CINT(BgL_tempoz00_303)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_ppqz00)=((long)
(long)CINT(BgL_ppqz00_304)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_tracksz00)=((obj_t)BgL_tracksz00_305),BUNSPEC); 
{ /* Llib/midi.scm 192 */
 obj_t BgL_fun1564z00_307;
BgL_fun1564z00_307 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1564z00_307)(BgL_fun1564z00_307, 
((obj_t)BgL_new1132z00_306), BEOA); } 
return BgL_new1132z00_306;} } } } } } 

}



/* &midiscore-file */
BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2869, obj_t BgL_filenamez00_2870)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
 obj_t BgL_auxz00_5469;
if(
STRINGP(BgL_filenamez00_2870))
{ /* Llib/midi.scm 184 */
BgL_auxz00_5469 = BgL_filenamez00_2870
; }  else 
{ 
 obj_t BgL_auxz00_5472;
BgL_auxz00_5472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)8489)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_filenamez00_2870); 
FAILURE(BgL_auxz00_5472,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2filezd2zz__multimediazd2midizd2(BgL_auxz00_5469);} } 

}



/* miditrack-input-port */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_15, long BgL_tempoz00_16)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
 BgL_miditrackz00_bglt BgL_new1136z00_331;
{ /* Llib/midi.scm 213 */
 BgL_miditrackz00_bglt BgL_new1135z00_333;
BgL_new1135z00_333 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 213 */
 long BgL_arg1609z00_334;
BgL_arg1609z00_334 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_333), BgL_arg1609z00_334); } 
BgL_new1136z00_331 = BgL_new1135z00_333; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52streamz52)=((obj_t)BgL_ipz00_15),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52closez52)=((obj_t)BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
 int32_t BgL_auxz00_5487;
{ /* Llib/midi.scm 216 */
 obj_t BgL_tmpz00_5488;
BgL_tmpz00_5488 = 
BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(BgL_ipz00_15); 
BgL_auxz00_5487 = 
BGL_BINT32_TO_INT32(BgL_tmpz00_5488); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_lenz00)=((int32_t)BgL_auxz00_5487),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_tempoz00)=((long)BgL_tempoz00_16),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 212 */
 obj_t BgL_fun1595z00_332;
BgL_fun1595z00_332 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1595z00_332)(BgL_fun1595z00_332, 
((obj_t)BgL_new1136z00_331), BEOA); } 
return BgL_new1136z00_331;} } 

}



/* &miditrack-input-port */
BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t BgL_envz00_2871, obj_t BgL_ipz00_2872, obj_t BgL_tempoz00_2873)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
 long BgL_auxz00_5512; obj_t BgL_auxz00_5505;
{ /* Llib/midi.scm 212 */
 obj_t BgL_tmpz00_5513;
if(
INTEGERP(BgL_tempoz00_2873))
{ /* Llib/midi.scm 212 */
BgL_tmpz00_5513 = BgL_tempoz00_2873
; }  else 
{ 
 obj_t BgL_auxz00_5516;
BgL_auxz00_5516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2824z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tempoz00_2873); 
FAILURE(BgL_auxz00_5516,BFALSE,BFALSE);} 
BgL_auxz00_5512 = 
(long)CINT(BgL_tmpz00_5513); } 
if(
INPUT_PORTP(BgL_ipz00_2872))
{ /* Llib/midi.scm 212 */
BgL_auxz00_5505 = BgL_ipz00_2872
; }  else 
{ 
 obj_t BgL_auxz00_5508;
BgL_auxz00_5508 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2824z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_ipz00_2872); 
FAILURE(BgL_auxz00_5508,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_auxz00_5505, BgL_auxz00_5512);} } 

}



/* miditracks-input-port */
obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_17, long BgL_tempoz00_18, obj_t BgL_tnumz00_19)
{
{ /* Llib/midi.scm 222 */
{ 
 obj_t BgL_ipz00_361; long BgL_tempoz00_362;
{ /* Llib/midi.scm 241 */
 BgL_miditrackz00_bglt BgL_t0z00_337;
BgL_ipz00_361 = BgL_ipz00_17; 
BgL_tempoz00_362 = BgL_tempoz00_18; 
{ /* Llib/midi.scm 225 */
 BgL_miditrackz00_bglt BgL_trackz00_364;
BgL_trackz00_364 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_361, BgL_tempoz00_362); 
{ /* Llib/midi.scm 227 */
 BgL_midireaderz00_bglt BgL_i1138z00_366;
BgL_i1138z00_366 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52readerz52); 
{ 

BgL_zc3z04anonymousza31656ze3z87_368:
{ /* Llib/midi.scm 229 */
 obj_t BgL_fun1658z00_369;
BgL_fun1658z00_369 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1138z00_366))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 229 */
 obj_t BgL_arg1657z00_370;
BgL_arg1657z00_370 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52streamz52); 
PROCEDURE_ENTRY(BgL_fun1658z00_369)(BgL_fun1658z00_369, BgL_arg1657z00_370, BEOA); } } 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_364, BGl_midiplayerzd2readzd2zz__multimediazd2midizd2, BGl_midisinkzd2nullzd2zz__multimediazd2midizd2, ((long)0), ((long)0), ((long)0), 
LONG_TO_LLONG(((long)0))); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52eotz52))
{ /* Llib/midi.scm 232 */
BgL_t0z00_337 = BgL_trackz00_364; }  else 
{ /* Llib/midi.scm 232 */
goto BgL_zc3z04anonymousza31656ze3z87_368;} } } } 
{ /* Llib/midi.scm 243 */
 obj_t BgL_filez00_339;
BgL_filez00_339 = 
INPUT_PORT_NAME(BgL_ipz00_17); 
{ /* Llib/midi.scm 244 */
 long BgL_g1140z00_340;
BgL_g1140z00_340 = 
INPUT_PORT_FILEPOS(BgL_ipz00_17); 
{ 
 long BgL_iz00_343; long BgL_posz00_344; obj_t BgL_tksz00_345;
BgL_iz00_343 = ((long)1); 
BgL_posz00_344 = BgL_g1140z00_340; 
BgL_tksz00_345 = BNIL; 
BgL_zc3z04anonymousza31610ze3z87_346:
if(
(BgL_iz00_343==
(long)CINT(BgL_tnumz00_19)))
{ /* Llib/midi.scm 248 */
 obj_t BgL_arg1612z00_348;
{ /* Llib/midi.scm 248 */
 obj_t BgL_arg1622z00_349;
BgL_arg1622z00_349 = 
bgl_reverse_bang(BgL_tksz00_345); 
BgL_arg1612z00_348 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_t0z00_337), BgL_arg1622z00_349); } 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1612z00_348);}  else 
{ /* Llib/midi.scm 249 */
 obj_t BgL_ipz00_350;
{ /* Llib/midi.scm 237 */
 obj_t BgL_portz00_1936;
{ /* Llib/midi.scm 237 */

BgL_portz00_1936 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_339, BTRUE, 
BINT(((long)5000000))); } 
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_portz00_1936, BgL_posz00_344); 
BgL_ipz00_350 = BgL_portz00_1936; } 
{ /* Llib/midi.scm 249 */
 BgL_miditrackz00_bglt BgL_tz00_351;
BgL_tz00_351 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_350, 
(((BgL_miditrackz00_bglt)COBJECT(BgL_t0z00_337))->BgL_tempoz00)); 
{ /* Llib/midi.scm 250 */

{ /* Llib/midi.scm 252 */
 long BgL_arg1623z00_353; long BgL_arg1624z00_354; obj_t BgL_arg1642z00_355;
BgL_arg1623z00_353 = 
(BgL_iz00_343+((long)1)); 
{ /* Llib/midi.scm 253 */
 long BgL_arg1643z00_356; long BgL_arg1651z00_357;
{ /* Llib/midi.scm 253 */
 obj_t BgL_tmpz00_5549;
BgL_tmpz00_5549 = 
((obj_t)BgL_ipz00_350); 
BgL_arg1643z00_356 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_5549); } 
{ /* Llib/midi.scm 253 */
 int32_t BgL_arg1653z00_358;
BgL_arg1653z00_358 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_tz00_351))->BgL_lenz00); 
{ /* Llib/midi.scm 253 */
 long BgL_arg1447z00_1943;
BgL_arg1447z00_1943 = 
(long)(BgL_arg1653z00_358); 
BgL_arg1651z00_357 = 
(long)(BgL_arg1447z00_1943); } } 
BgL_arg1624z00_354 = 
(BgL_arg1643z00_356+BgL_arg1651z00_357); } 
BgL_arg1642z00_355 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_351), BgL_tksz00_345); 
{ 
 obj_t BgL_tksz00_5560; long BgL_posz00_5559; long BgL_iz00_5558;
BgL_iz00_5558 = BgL_arg1623z00_353; 
BgL_posz00_5559 = BgL_arg1624z00_354; 
BgL_tksz00_5560 = BgL_arg1642z00_355; 
BgL_tksz00_345 = BgL_tksz00_5560; 
BgL_posz00_344 = BgL_posz00_5559; 
BgL_iz00_343 = BgL_iz00_5558; 
goto BgL_zc3z04anonymousza31610ze3z87_346;} } } } } } } } } } } 

}



/* miditrack-file */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_20, long BgL_offsetz00_21, long BgL_tempoz00_22)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
 obj_t BgL_zc3z04anonymousza31665ze3z87_2876;
BgL_zc3z04anonymousza31665ze3z87_2876 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31665ze3ze5zz__multimediazd2midizd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31665ze3z87_2876, 
(int)(((long)0)), 
BINT(BgL_offsetz00_21)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31665ze3z87_2876, 
(int)(((long)1)), 
BINT(BgL_tempoz00_22)); 
return 
((BgL_miditrackz00_bglt)
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filenamez00_20, BgL_zc3z04anonymousza31665ze3z87_2876));} } 

}



/* &miditrack-file */
BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2877, obj_t BgL_filenamez00_2878, obj_t BgL_offsetz00_2879, obj_t BgL_tempoz00_2880)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
 long BgL_auxz00_5588; long BgL_auxz00_5579; obj_t BgL_auxz00_5572;
{ /* Llib/midi.scm 262 */
 obj_t BgL_tmpz00_5589;
if(
INTEGERP(BgL_tempoz00_2880))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_5589 = BgL_tempoz00_2880
; }  else 
{ 
 obj_t BgL_auxz00_5592;
BgL_auxz00_5592 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2827z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tempoz00_2880); 
FAILURE(BgL_auxz00_5592,BFALSE,BFALSE);} 
BgL_auxz00_5588 = 
(long)CINT(BgL_tmpz00_5589); } 
{ /* Llib/midi.scm 262 */
 obj_t BgL_tmpz00_5580;
if(
INTEGERP(BgL_offsetz00_2879))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_5580 = BgL_offsetz00_2879
; }  else 
{ 
 obj_t BgL_auxz00_5583;
BgL_auxz00_5583 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2827z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_offsetz00_2879); 
FAILURE(BgL_auxz00_5583,BFALSE,BFALSE);} 
BgL_auxz00_5579 = 
(long)CINT(BgL_tmpz00_5580); } 
if(
STRINGP(BgL_filenamez00_2878))
{ /* Llib/midi.scm 262 */
BgL_auxz00_5572 = BgL_filenamez00_2878
; }  else 
{ 
 obj_t BgL_auxz00_5575;
BgL_auxz00_5575 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2827z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_filenamez00_2878); 
FAILURE(BgL_auxz00_5575,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2filezd2zz__multimediazd2midizd2(BgL_auxz00_5572, BgL_auxz00_5579, BgL_auxz00_5588);} } 

}



/* &<@anonymous:1665> */
obj_t BGl_z62zc3z04anonymousza31665ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2881, obj_t BgL_ipz00_2884)
{
{ /* Llib/midi.scm 261 */
{ /* Llib/midi.scm 262 */
 long BgL_offsetz00_2882; long BgL_tempoz00_2883;
BgL_offsetz00_2882 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2881, 
(int)(((long)0)))); 
BgL_tempoz00_2883 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2881, 
(int)(((long)1)))); 
{ 
 BgL_miditrackz00_bglt BgL_auxz00_5604;
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_ipz00_2884, BgL_offsetz00_2882); 
BgL_auxz00_5604 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_2884, BgL_tempoz00_2883); 
return 
((obj_t)BgL_auxz00_5604);} } } 

}



/* miditrack-string */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t BgL_stringz00_23, long BgL_tempoz00_24)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
 BgL_miditrackz00_bglt BgL_new1144z00_386;
{ /* Llib/midi.scm 270 */
 BgL_miditrackz00_bglt BgL_new1143z00_390;
BgL_new1143z00_390 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 270 */
 long BgL_arg1672z00_391;
BgL_arg1672z00_391 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_390), BgL_arg1672z00_391); } 
BgL_new1144z00_386 = BgL_new1143z00_390; } 
{ 
 obj_t BgL_auxz00_5612;
{ /* Llib/midi.scm 127 */
 obj_t BgL_newz00_1952;
BgL_newz00_1952 = 
create_struct(
CNST_TABLE_REF(((long)4)), 
(int)(((long)2))); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_5618; int BgL_tmpz00_5616;
BgL_auxz00_5618 = 
BINT(((long)0)); 
BgL_tmpz00_5616 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1952, BgL_tmpz00_5616, BgL_auxz00_5618); } 
{ /* Llib/midi.scm 127 */
 int BgL_tmpz00_5621;
BgL_tmpz00_5621 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1952, BgL_tmpz00_5621, BgL_stringz00_23); } 
BgL_auxz00_5612 = BgL_newz00_1952; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52streamz52)=((obj_t)BgL_auxz00_5612),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52closez52)=((obj_t)BGl_proc2828z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
 int32_t BgL_auxz00_5630;
{ /* Llib/midi.scm 273 */
 long BgL_tmpz00_5631;
BgL_tmpz00_5631 = 
STRING_LENGTH(BgL_stringz00_23); 
BgL_auxz00_5630 = 
(int32_t)(BgL_tmpz00_5631); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_lenz00)=((int32_t)BgL_auxz00_5630),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_tempoz00)=((long)BgL_tempoz00_24),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 269 */
 obj_t BgL_fun1667z00_389;
BgL_fun1667z00_389 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1667z00_389)(BgL_fun1667z00_389, 
((obj_t)BgL_new1144z00_386), BEOA); } 
return BgL_new1144z00_386;} } 

}



/* &miditrack-string */
BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2886, obj_t BgL_stringz00_2887, obj_t BgL_tempoz00_2888)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
 long BgL_auxz00_5655; obj_t BgL_auxz00_5648;
{ /* Llib/midi.scm 269 */
 obj_t BgL_tmpz00_5656;
if(
INTEGERP(BgL_tempoz00_2888))
{ /* Llib/midi.scm 269 */
BgL_tmpz00_5656 = BgL_tempoz00_2888
; }  else 
{ 
 obj_t BgL_auxz00_5659;
BgL_auxz00_5659 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tempoz00_2888); 
FAILURE(BgL_auxz00_5659,BFALSE,BFALSE);} 
BgL_auxz00_5655 = 
(long)CINT(BgL_tmpz00_5656); } 
if(
STRINGP(BgL_stringz00_2887))
{ /* Llib/midi.scm 269 */
BgL_auxz00_5648 = BgL_stringz00_2887
; }  else 
{ 
 obj_t BgL_auxz00_5651;
BgL_auxz00_5651 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_stringz00_2887); 
FAILURE(BgL_auxz00_5651,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(BgL_auxz00_5648, BgL_auxz00_5655);} } 

}



/* &<@anonymous:1666> */
obj_t BGl_z62zc3z04anonymousza31666ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2889, obj_t BgL_sz00_2890)
{
{ /* Llib/midi.scm 272 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-play */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_25, BgL_midiplayerz00_bglt BgL_mplayerz00_26, BgL_midisinkz00_bglt BgL_msinkz00_27)
{
{ /* Llib/midi.scm 279 */
{ 

{ /* Llib/midi.scm 281 */
 long BgL_aux1147z00_394;
BgL_aux1147z00_394 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
switch( BgL_aux1147z00_394) { case ((long)0) : 

return 
BBOOL(
BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;case ((long)1) : 

return 
BBOOL(
BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;
default: 
{ /* Llib/midi.scm 284 */
 long BgL_arg1677z00_396;
BgL_arg1677z00_396 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
return 
BGl_errorz00zz__errorz00(BGl_string2830z00zz__multimediazd2midizd2, BGl_string2820z00zz__multimediazd2midizd2, 
BINT(BgL_arg1677z00_396));} } } } } 

}



/* &midiscore-play */
obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2891, obj_t BgL_mscorez00_2892, obj_t BgL_mplayerz00_2893, obj_t BgL_msinkz00_2894)
{
{ /* Llib/midi.scm 279 */
{ /* Llib/midi.scm 280 */
 BgL_midisinkz00_bglt BgL_auxz00_5691; BgL_midiplayerz00_bglt BgL_auxz00_5683; BgL_midiscorez00_bglt BgL_auxz00_5675;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_2894, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5691 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_2894)
; }  else 
{ 
 obj_t BgL_auxz00_5695;
BgL_auxz00_5695 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msinkz00_2894); 
FAILURE(BgL_auxz00_5695,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_2893, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5683 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_2893)
; }  else 
{ 
 obj_t BgL_auxz00_5687;
BgL_auxz00_5687 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mplayerz00_2893); 
FAILURE(BgL_auxz00_5687,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_2892, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5675 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_2892)
; }  else 
{ 
 obj_t BgL_auxz00_5679;
BgL_auxz00_5679 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2832z00zz__multimediazd2midizd2, BgL_mscorez00_2892); 
FAILURE(BgL_auxz00_5679,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_auxz00_5675, BgL_auxz00_5683, BgL_auxz00_5691);} } 

}



/* midiscore-play0 */
bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_28, BgL_midiplayerz00_bglt BgL_mplayerz00_29, BgL_midisinkz00_bglt BgL_msinkz00_30)
{
{ /* Llib/midi.scm 289 */
{ /* Llib/midi.scm 291 */
 obj_t BgL_trackz00_398;
BgL_trackz00_398 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_tracksz00),((long)0)); 
{ /* Llib/midi.scm 293 */
 BgL_midireaderz00_bglt BgL_i1150z00_400;
BgL_i1150z00_400 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52readerz52); 
{ 
 uint32_t BgL_tickz00_402;
BgL_tickz00_402 = (uint32_t)(0); 
BgL_zc3z04anonymousza31678ze3z87_403:
{ /* Llib/midi.scm 295 */
 BGL_LONGLONG_T BgL_t0z00_404;
BgL_t0z00_404 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 295 */
 obj_t BgL_dtz00_405;
{ /* Llib/midi.scm 296 */
 obj_t BgL_fun1692z00_410;
BgL_fun1692z00_410 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1150z00_400))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 296 */
 obj_t BgL_arg1691z00_411;
BgL_arg1691z00_411 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52streamz52); 
BgL_dtz00_405 = 
PROCEDURE_ENTRY(BgL_fun1692z00_410)(BgL_fun1692z00_410, BgL_arg1691z00_411, BEOA); } } 
{ /* Llib/midi.scm 296 */

{ /* Llib/midi.scm 298 */
 long BgL_arg1684z00_406; long BgL_arg1685z00_407;
BgL_arg1684z00_406 = 
(long)(BgL_tickz00_402); 
BgL_arg1685z00_407 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_ppqz00); 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_398), BgL_mplayerz00_29, BgL_msinkz00_30, BgL_arg1684z00_406, BgL_arg1685z00_407, 
(long)CINT(BgL_dtz00_405), BgL_t0z00_404); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52eotz52))
{ /* Llib/midi.scm 299 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 300 */
 uint32_t BgL_arg1688z00_409;
BgL_arg1688z00_409 = 
(BgL_tickz00_402+
(uint32_t)(((long)1))); 
{ 
 uint32_t BgL_tickz00_5722;
BgL_tickz00_5722 = BgL_arg1688z00_409; 
BgL_tickz00_402 = BgL_tickz00_5722; 
goto BgL_zc3z04anonymousza31678ze3z87_403;} } } } } } } } } 

}



/* midiscore-play1 */
bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_31, BgL_midiplayerz00_bglt BgL_mplayerz00_32, BgL_midisinkz00_bglt BgL_msinkz00_33)
{
{ /* Llib/midi.scm 305 */
{ /* Llib/midi.scm 307 */
 obj_t BgL_v1192z00_415;
BgL_v1192z00_415 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
{ /* Llib/midi.scm 307 */

{ 
 long BgL_i1191z00_418;
BgL_i1191z00_418 = ((long)0); 
BgL_zc3z04anonymousza31702ze3z87_419:
if(
(BgL_i1191z00_418<
VECTOR_LENGTH(BgL_v1192z00_415)))
{ /* Llib/midi.scm 307 */
{ /* Llib/midi.scm 308 */
 obj_t BgL_trackz00_421;
BgL_trackz00_421 = 
VECTOR_REF(BgL_v1192z00_415,BgL_i1191z00_418); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52eotz52))
{ /* Llib/midi.scm 309 */BFALSE; }  else 
{ /* Llib/midi.scm 310 */
 BgL_midireaderz00_bglt BgL_i1153z00_424;
BgL_i1153z00_424 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52readerz52); 
{ /* Llib/midi.scm 311 */
 obj_t BgL_dtz00_425;
{ /* Llib/midi.scm 311 */
 obj_t BgL_fun1707z00_426;
BgL_fun1707z00_426 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1153z00_424))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 311 */
 obj_t BgL_arg1706z00_427;
BgL_arg1706z00_427 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52streamz52); 
BgL_dtz00_425 = 
PROCEDURE_ENTRY(BgL_fun1707z00_426)(BgL_fun1707z00_426, BgL_arg1706z00_427, BEOA); } } 
{ 
 uint32_t BgL_auxz00_5740;
{ /* Llib/midi.scm 312 */
 long BgL_xz00_1965;
BgL_xz00_1965 = 
(long)CINT(BgL_dtz00_425); 
{ /* Llib/midi.scm 312 */
 int32_t BgL_tmpz00_5743;
BgL_tmpz00_5743 = 
(int32_t)(BgL_xz00_1965); 
BgL_auxz00_5740 = 
(uint32_t)(BgL_tmpz00_5743); } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5740),BUNSPEC); } } } } 
{ 
 long BgL_i1191z00_5747;
BgL_i1191z00_5747 = 
(BgL_i1191z00_418+((long)1)); 
BgL_i1191z00_418 = BgL_i1191z00_5747; 
goto BgL_zc3z04anonymousza31702ze3z87_419;} }  else 
{ /* Llib/midi.scm 307 */((bool_t)0); } } } } 
{ /* Llib/midi.scm 314 */
 long BgL_resz00_430;
{ /* Llib/midi.scm 314 */
 BgL_miditrackz00_bglt BgL_i1154z00_459;
{ /* Llib/midi.scm 314 */
 obj_t BgL_arg1744z00_462;
BgL_arg1744z00_462 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
BgL_i1154z00_459 = 
((BgL_miditrackz00_bglt)
VECTOR_REF(BgL_arg1744z00_462,((long)0))); } 
BgL_resz00_430 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_i1154z00_459))->BgL_tempoz00)/
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_ppqz00)); } 
{ 
 uint32_t BgL_tickz00_432;
BgL_tickz00_432 = (uint32_t)(0); 
BgL_zc3z04anonymousza31710ze3z87_433:
{ /* Llib/midi.scm 317 */
 BGL_LONGLONG_T BgL_t0z00_434;
BgL_t0z00_434 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 317 */
 bool_t BgL_eosz00_435;
BgL_eosz00_435 = ((bool_t)1); 
{ /* Llib/midi.scm 318 */

{ /* Llib/midi.scm 319 */
 long BgL_g1155z00_436;
{ /* Llib/midi.scm 319 */
 long BgL_arg1729z00_449;
BgL_arg1729z00_449 = 
VECTOR_LENGTH(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00)); 
BgL_g1155z00_436 = 
(BgL_arg1729z00_449-((long)1)); } 
{ 
 long BgL_iz00_438;
BgL_iz00_438 = BgL_g1155z00_436; 
BgL_zc3z04anonymousza31711ze3z87_439:
if(
(BgL_iz00_438>((long)0)))
{ /* Llib/midi.scm 320 */
{ /* Llib/midi.scm 321 */
 obj_t BgL_trackz00_441;
BgL_trackz00_441 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00),BgL_iz00_438); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_441)))->BgL_z52eotz52))
{ /* Llib/midi.scm 323 */BFALSE; }  else 
{ /* Llib/midi.scm 323 */
{ /* Llib/midi.scm 325 */
 long BgL_arg1725z00_444;
BgL_arg1725z00_444 = 
(long)(BgL_tickz00_432); 
BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_441), BgL_mplayerz00_32, BgL_msinkz00_33, BgL_arg1725z00_444); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_441)))->BgL_z52eotz52))
{ /* Llib/midi.scm 326 */BFALSE; }  else 
{ /* Llib/midi.scm 326 */
BgL_eosz00_435 = ((bool_t)0); } } } 
{ 
 long BgL_iz00_5772;
BgL_iz00_5772 = 
(BgL_iz00_438-((long)1)); 
BgL_iz00_438 = BgL_iz00_5772; 
goto BgL_zc3z04anonymousza31711ze3z87_439;} }  else 
{ /* Llib/midi.scm 320 */((bool_t)0); } } } 
if(BgL_eosz00_435)
{ /* Llib/midi.scm 328 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 329 */
 long BgL_usz00_451;
{ /* Llib/midi.scm 329 */
 BGL_LONGLONG_T BgL_tmpz00_5775;
BgL_tmpz00_5775 = 
(
bgl_current_microseconds()-BgL_t0z00_434); 
BgL_usz00_451 = 
LLONG_TO_LONG(BgL_tmpz00_5775); } 
{ /* Llib/midi.scm 331 */
 obj_t BgL_fun1732z00_453;
BgL_fun1732z00_453 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_33))->BgL_usleepz00); 
{ /* Llib/midi.scm 331 */
 long BgL_arg1731z00_454;
BgL_arg1731z00_454 = 
(BgL_resz00_430-BgL_usz00_451); 
PROCEDURE_ENTRY(BgL_fun1732z00_453)(BgL_fun1732z00_453, 
BINT(BgL_arg1731z00_454), BEOA); } } 
{ 
 uint32_t BgL_tickz00_5786;
BgL_tickz00_5786 = 
(BgL_tickz00_432+(uint32_t)(1)); 
BgL_tickz00_432 = BgL_tickz00_5786; 
goto BgL_zc3z04anonymousza31710ze3z87_433;} } } } } } } } 

}



/* miditrack-wait-event */
obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_34, BgL_midiplayerz00_bglt BgL_mplayerz00_35, BgL_midisinkz00_bglt BgL_msinkz00_36, long BgL_tickz00_37)
{
{ /* Llib/midi.scm 337 */
{ /* Llib/midi.scm 340 */
 BgL_midireaderz00_bglt BgL_i1159z00_464;
BgL_i1159z00_464 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52readerz52); 
{ /* Llib/midi.scm 341 */
 bool_t BgL_test3426z00_5789;
{ /* Llib/midi.scm 341 */
 uint32_t BgL_n2z00_1985;
BgL_n2z00_1985 = 
(uint32_t)(BgL_tickz00_37); 
BgL_test3426z00_5789 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)<=BgL_n2z00_1985); } 
if(BgL_test3426z00_5789)
{ 

BgL_zc3z04anonymousza31747ze3z87_468:
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_34, BgL_mplayerz00_35, BgL_msinkz00_36, BgL_tickz00_37, ((long)0), ((long)0), ((BGL_LONGLONG_T)0)); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52eotz52))
{ /* Llib/midi.scm 344 */
return BFALSE;}  else 
{ /* Llib/midi.scm 345 */
 obj_t BgL_dtz00_470;
{ /* Llib/midi.scm 345 */
 obj_t BgL_fun1757z00_473;
BgL_fun1757z00_473 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_464))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 345 */
 obj_t BgL_arg1756z00_474;
BgL_arg1756z00_474 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52streamz52); 
BgL_dtz00_470 = 
PROCEDURE_ENTRY(BgL_fun1757z00_473)(BgL_fun1757z00_473, BgL_arg1756z00_474, BEOA); } } 
if(
(
(long)CINT(BgL_dtz00_470)==((long)0)))
{ /* Llib/midi.scm 346 */
goto BgL_zc3z04anonymousza31747ze3z87_468;}  else 
{ 
 uint32_t BgL_auxz00_5805;
{ /* Llib/midi.scm 348 */
 int32_t BgL_arg1755z00_472;
{ /* Llib/midi.scm 348 */
 long BgL_xz00_1987;
BgL_xz00_1987 = 
(long)CINT(BgL_dtz00_470); 
BgL_arg1755z00_472 = 
(int32_t)(BgL_xz00_1987); } 
{ /* Llib/midi.scm 348 */
 uint32_t BgL_za71za7_1988; uint32_t BgL_za72za7_1989;
BgL_za71za7_1988 = 
(uint32_t)(BgL_tickz00_37); 
BgL_za72za7_1989 = 
(uint32_t)(BgL_arg1755z00_472); 
BgL_auxz00_5805 = 
(BgL_za71za7_1988+BgL_za72za7_1989); } } 
return 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5805),BUNSPEC);} } }  else 
{ /* Llib/midi.scm 341 */
return BFALSE;} } } } 

}



/* miditrack-play-event */
obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_38, BgL_midiplayerz00_bglt BgL_mplayerz00_39, BgL_midisinkz00_bglt BgL_msinkz00_40, long BgL_tickz00_41, long BgL_ppqz00_42, long BgL_dtz00_43, BGL_LONGLONG_T BgL_t0z00_44)
{
{ /* Llib/midi.scm 353 */
{ /* Llib/midi.scm 357 */
 BgL_midireaderz00_bglt BgL_i1161z00_478;
BgL_i1161z00_478 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52readerz52); 
{ /* Llib/midi.scm 372 */
 obj_t BgL_statusz00_480;
{ /* Llib/midi.scm 372 */
 bool_t BgL_test3429z00_5813;
{ /* Llib/midi.scm 372 */
 obj_t BgL_arg2015z00_714;
{ /* Llib/midi.scm 372 */
 obj_t BgL_fun2017z00_715;
BgL_fun2017z00_715 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_peekzd2bytezd2); 
{ /* Llib/midi.scm 372 */
 obj_t BgL_arg2016z00_716;
BgL_arg2016z00_716 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg2015z00_714 = 
PROCEDURE_ENTRY(BgL_fun2017z00_715)(BgL_fun2017z00_715, BgL_arg2016z00_716, BEOA); } } 
BgL_test3429z00_5813 = 
(
(long)CINT(BgL_arg2015z00_714)<((long)128)); } 
if(BgL_test3429z00_5813)
{ /* Llib/midi.scm 372 */
BgL_statusz00_480 = 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)); }  else 
{ /* Llib/midi.scm 374 */
 obj_t BgL_sz00_711;
{ /* Llib/midi.scm 374 */
 obj_t BgL_fun2014z00_712;
BgL_fun2014z00_712 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 374 */
 obj_t BgL_arg2013z00_713;
BgL_arg2013z00_713 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sz00_711 = 
PROCEDURE_ENTRY(BgL_fun2014z00_712)(BgL_fun2014z00_712, BgL_arg2013z00_713, BEOA); } } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)=((long)
(long)CINT(BgL_sz00_711)),BUNSPEC); 
BgL_statusz00_480 = BgL_sz00_711; } } 
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)8)))
{ /* Llib/midi.scm 380 */
 long BgL_kkz00_483;
{ /* Llib/midi.scm 380 */
 obj_t BgL_arg1808z00_494;
{ /* Llib/midi.scm 380 */
 obj_t BgL_fun1810z00_495;
BgL_fun1810z00_495 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 380 */
 obj_t BgL_arg1809z00_496;
BgL_arg1809z00_496 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1808z00_494 = 
PROCEDURE_ENTRY(BgL_fun1810z00_495)(BgL_fun1810z00_495, BgL_arg1809z00_496, BEOA); } } 
BgL_kkz00_483 = 
(((long)127) & 
(long)CINT(BgL_arg1808z00_494)); } 
{ /* Llib/midi.scm 380 */
 long BgL_vvz00_484;
{ /* Llib/midi.scm 381 */
 obj_t BgL_arg1796z00_491;
{ /* Llib/midi.scm 381 */
 obj_t BgL_fun1799z00_492;
BgL_fun1799z00_492 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 381 */
 obj_t BgL_arg1798z00_493;
BgL_arg1798z00_493 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1796z00_491 = 
PROCEDURE_ENTRY(BgL_fun1799z00_492)(BgL_fun1799z00_492, BgL_arg1798z00_493, BEOA); } } 
BgL_vvz00_484 = 
(((long)127) & 
(long)CINT(BgL_arg1796z00_491)); } 
{ /* Llib/midi.scm 381 */

{ /* Llib/midi.scm 382 */
 obj_t BgL_fun1771z00_485;
BgL_fun1771z00_485 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 383 */
 long BgL_arg1770z00_486;
{ /* Llib/midi.scm 383 */
 BGL_LONGLONG_T BgL_tmpz00_5854;
BgL_tmpz00_5854 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1770z00_486 = 
LLONG_TO_LONG(BgL_tmpz00_5854); } 
PROCEDURE_ENTRY(BgL_fun1771z00_485)(BgL_fun1771z00_485, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1770z00_486), BEOA); } } 
{ /* Llib/midi.scm 384 */
 obj_t BgL_fun1791z00_489;
BgL_fun1791z00_489 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteoffz00); 
{ /* Llib/midi.scm 384 */
 long BgL_arg1790z00_490;
BgL_arg1790z00_490 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1791z00_489)(BgL_fun1791z00_489, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1790z00_490), 
BINT(BgL_kkz00_483), 
BINT(BgL_vvz00_484), BEOA); } } } } }  else 
{ /* Llib/midi.scm 378 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)9)))
{ /* Llib/midi.scm 387 */
 long BgL_kkz00_499;
{ /* Llib/midi.scm 387 */
 obj_t BgL_arg1829z00_510;
{ /* Llib/midi.scm 387 */
 obj_t BgL_fun1831z00_511;
BgL_fun1831z00_511 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 387 */
 obj_t BgL_arg1830z00_512;
BgL_arg1830z00_512 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1829z00_510 = 
PROCEDURE_ENTRY(BgL_fun1831z00_511)(BgL_fun1831z00_511, BgL_arg1830z00_512, BEOA); } } 
BgL_kkz00_499 = 
(((long)127) & 
(long)CINT(BgL_arg1829z00_510)); } 
{ /* Llib/midi.scm 387 */
 long BgL_vvz00_500;
{ /* Llib/midi.scm 388 */
 obj_t BgL_arg1826z00_507;
{ /* Llib/midi.scm 388 */
 obj_t BgL_fun1828z00_508;
BgL_fun1828z00_508 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 388 */
 obj_t BgL_arg1827z00_509;
BgL_arg1827z00_509 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1826z00_507 = 
PROCEDURE_ENTRY(BgL_fun1828z00_508)(BgL_fun1828z00_508, BgL_arg1827z00_509, BEOA); } } 
BgL_vvz00_500 = 
(((long)127) & 
(long)CINT(BgL_arg1826z00_507)); } 
{ /* Llib/midi.scm 388 */

{ /* Llib/midi.scm 389 */
 obj_t BgL_fun1821z00_501;
BgL_fun1821z00_501 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 390 */
 long BgL_arg1820z00_502;
{ /* Llib/midi.scm 390 */
 BGL_LONGLONG_T BgL_tmpz00_5915;
BgL_tmpz00_5915 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1820z00_502 = 
LLONG_TO_LONG(BgL_tmpz00_5915); } 
PROCEDURE_ENTRY(BgL_fun1821z00_501)(BgL_fun1821z00_501, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1820z00_502), BEOA); } } 
{ /* Llib/midi.scm 391 */
 obj_t BgL_fun1825z00_505;
BgL_fun1825z00_505 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteonz00); 
{ /* Llib/midi.scm 391 */
 long BgL_arg1824z00_506;
BgL_arg1824z00_506 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1825z00_505)(BgL_fun1825z00_505, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1824z00_506), 
BINT(BgL_kkz00_499), 
BINT(BgL_vvz00_500), BEOA); } } } } }  else 
{ /* Llib/midi.scm 385 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)10)))
{ /* Llib/midi.scm 394 */
 long BgL_ccz00_515;
{ /* Llib/midi.scm 394 */
 obj_t BgL_arg1845z00_526;
{ /* Llib/midi.scm 394 */
 obj_t BgL_fun1847z00_527;
BgL_fun1847z00_527 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 394 */
 obj_t BgL_arg1846z00_528;
BgL_arg1846z00_528 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1845z00_526 = 
PROCEDURE_ENTRY(BgL_fun1847z00_527)(BgL_fun1847z00_527, BgL_arg1846z00_528, BEOA); } } 
BgL_ccz00_515 = 
(((long)127) & 
(long)CINT(BgL_arg1845z00_526)); } 
{ /* Llib/midi.scm 394 */
 long BgL_vvz00_516;
{ /* Llib/midi.scm 395 */
 obj_t BgL_arg1841z00_523;
{ /* Llib/midi.scm 395 */
 obj_t BgL_fun1844z00_524;
BgL_fun1844z00_524 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 395 */
 obj_t BgL_arg1842z00_525;
BgL_arg1842z00_525 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1841z00_523 = 
PROCEDURE_ENTRY(BgL_fun1844z00_524)(BgL_fun1844z00_524, BgL_arg1842z00_525, BEOA); } } 
BgL_vvz00_516 = 
(((long)127) & 
(long)CINT(BgL_arg1841z00_523)); } 
{ /* Llib/midi.scm 395 */

{ /* Llib/midi.scm 396 */
 obj_t BgL_fun1835z00_517;
BgL_fun1835z00_517 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 397 */
 long BgL_arg1834z00_518;
{ /* Llib/midi.scm 397 */
 BGL_LONGLONG_T BgL_tmpz00_5976;
BgL_tmpz00_5976 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1834z00_518 = 
LLONG_TO_LONG(BgL_tmpz00_5976); } 
PROCEDURE_ENTRY(BgL_fun1835z00_517)(BgL_fun1835z00_517, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1834z00_518), BEOA); } } 
{ /* Llib/midi.scm 398 */
 obj_t BgL_fun1840z00_521;
BgL_fun1840z00_521 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_aftertouchz00); 
{ /* Llib/midi.scm 398 */
 long BgL_arg1838z00_522;
BgL_arg1838z00_522 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1840z00_521)(BgL_fun1840z00_521, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1838z00_522), 
BINT(BgL_ccz00_515), 
BINT(BgL_vvz00_516), BEOA); } } } } }  else 
{ /* Llib/midi.scm 392 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)11)))
{ /* Llib/midi.scm 401 */
 long BgL_ccz00_531;
{ /* Llib/midi.scm 401 */
 obj_t BgL_arg1859z00_542;
{ /* Llib/midi.scm 401 */
 obj_t BgL_fun1861z00_543;
BgL_fun1861z00_543 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 401 */
 obj_t BgL_arg1860z00_544;
BgL_arg1860z00_544 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1859z00_542 = 
PROCEDURE_ENTRY(BgL_fun1861z00_543)(BgL_fun1861z00_543, BgL_arg1860z00_544, BEOA); } } 
BgL_ccz00_531 = 
(((long)127) & 
(long)CINT(BgL_arg1859z00_542)); } 
{ /* Llib/midi.scm 401 */
 long BgL_nnz00_532;
{ /* Llib/midi.scm 402 */
 obj_t BgL_arg1856z00_539;
{ /* Llib/midi.scm 402 */
 obj_t BgL_fun1858z00_540;
BgL_fun1858z00_540 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 402 */
 obj_t BgL_arg1857z00_541;
BgL_arg1857z00_541 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1856z00_539 = 
PROCEDURE_ENTRY(BgL_fun1858z00_540)(BgL_fun1858z00_540, BgL_arg1857z00_541, BEOA); } } 
BgL_nnz00_532 = 
(((long)127) & 
(long)CINT(BgL_arg1856z00_539)); } 
{ /* Llib/midi.scm 402 */

{ /* Llib/midi.scm 403 */
 obj_t BgL_fun1851z00_533;
BgL_fun1851z00_533 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 404 */
 long BgL_arg1850z00_534;
{ /* Llib/midi.scm 404 */
 BGL_LONGLONG_T BgL_tmpz00_6037;
BgL_tmpz00_6037 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1850z00_534 = 
LLONG_TO_LONG(BgL_tmpz00_6037); } 
PROCEDURE_ENTRY(BgL_fun1851z00_533)(BgL_fun1851z00_533, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1850z00_534), BEOA); } } 
{ /* Llib/midi.scm 405 */
 obj_t BgL_fun1855z00_537;
BgL_fun1855z00_537 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_ctrlchangez00); 
{ /* Llib/midi.scm 405 */
 long BgL_arg1854z00_538;
BgL_arg1854z00_538 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1855z00_537)(BgL_fun1855z00_537, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1854z00_538), 
BINT(BgL_ccz00_531), 
BINT(BgL_nnz00_532), BEOA); } } } } }  else 
{ /* Llib/midi.scm 399 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)12)))
{ /* Llib/midi.scm 408 */
 long BgL_ppz00_547;
{ /* Llib/midi.scm 408 */
 obj_t BgL_arg1872z00_554;
{ /* Llib/midi.scm 408 */
 obj_t BgL_fun1874z00_555;
BgL_fun1874z00_555 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 408 */
 obj_t BgL_arg1873z00_556;
BgL_arg1873z00_556 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1872z00_554 = 
PROCEDURE_ENTRY(BgL_fun1874z00_555)(BgL_fun1874z00_555, BgL_arg1873z00_556, BEOA); } } 
BgL_ppz00_547 = 
(((long)127) & 
(long)CINT(BgL_arg1872z00_554)); } 
{ /* Llib/midi.scm 409 */
 obj_t BgL_fun1866z00_548;
BgL_fun1866z00_548 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 410 */
 long BgL_arg1865z00_549;
{ /* Llib/midi.scm 410 */
 BGL_LONGLONG_T BgL_tmpz00_6090;
BgL_tmpz00_6090 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1865z00_549 = 
LLONG_TO_LONG(BgL_tmpz00_6090); } 
PROCEDURE_ENTRY(BgL_fun1866z00_548)(BgL_fun1866z00_548, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1865z00_549), BEOA); } } 
{ /* Llib/midi.scm 411 */
 obj_t BgL_fun1871z00_552;
BgL_fun1871z00_552 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_prgmchangez00); 
{ /* Llib/midi.scm 411 */
 long BgL_arg1870z00_553;
BgL_arg1870z00_553 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1871z00_552)(BgL_fun1871z00_552, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1870z00_553), 
BINT(BgL_ppz00_547), BEOA); } } }  else 
{ /* Llib/midi.scm 406 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)13)))
{ /* Llib/midi.scm 414 */
 long BgL_ppz00_559;
{ /* Llib/midi.scm 414 */
 obj_t BgL_arg1883z00_566;
{ /* Llib/midi.scm 414 */
 obj_t BgL_fun1885z00_567;
BgL_fun1885z00_567 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 414 */
 obj_t BgL_arg1884z00_568;
BgL_arg1884z00_568 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1883z00_566 = 
PROCEDURE_ENTRY(BgL_fun1885z00_567)(BgL_fun1885z00_567, BgL_arg1884z00_568, BEOA); } } 
BgL_ppz00_559 = 
(((long)127) & 
(long)CINT(BgL_arg1883z00_566)); } 
{ /* Llib/midi.scm 415 */
 obj_t BgL_fun1878z00_560;
BgL_fun1878z00_560 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 416 */
 long BgL_arg1877z00_561;
{ /* Llib/midi.scm 416 */
 BGL_LONGLONG_T BgL_tmpz00_6141;
BgL_tmpz00_6141 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1877z00_561 = 
LLONG_TO_LONG(BgL_tmpz00_6141); } 
PROCEDURE_ENTRY(BgL_fun1878z00_560)(BgL_fun1878z00_560, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1877z00_561), BEOA); } } 
{ /* Llib/midi.scm 417 */
 obj_t BgL_fun1882z00_564;
BgL_fun1882z00_564 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_afterzd2touchzd2); 
{ /* Llib/midi.scm 417 */
 long BgL_arg1881z00_565;
BgL_arg1881z00_565 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1882z00_564)(BgL_fun1882z00_564, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1881z00_565), 
BINT(BgL_ppz00_559), BEOA); } } }  else 
{ /* Llib/midi.scm 412 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)14)))
{ /* Llib/midi.scm 420 */
 long BgL_ccz00_571;
{ /* Llib/midi.scm 420 */
 obj_t BgL_arg1897z00_582;
{ /* Llib/midi.scm 420 */
 obj_t BgL_fun1899z00_583;
BgL_fun1899z00_583 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 420 */
 obj_t BgL_arg1898z00_584;
BgL_arg1898z00_584 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1897z00_582 = 
PROCEDURE_ENTRY(BgL_fun1899z00_583)(BgL_fun1899z00_583, BgL_arg1898z00_584, BEOA); } } 
BgL_ccz00_571 = 
(((long)127) & 
(long)CINT(BgL_arg1897z00_582)); } 
{ /* Llib/midi.scm 420 */
 long BgL_vvz00_572;
{ /* Llib/midi.scm 421 */
 obj_t BgL_arg1894z00_579;
{ /* Llib/midi.scm 421 */
 obj_t BgL_fun1896z00_580;
BgL_fun1896z00_580 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 421 */
 obj_t BgL_arg1895z00_581;
BgL_arg1895z00_581 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1894z00_579 = 
PROCEDURE_ENTRY(BgL_fun1896z00_580)(BgL_fun1896z00_580, BgL_arg1895z00_581, BEOA); } } 
BgL_vvz00_572 = 
(((long)127) & 
(long)CINT(BgL_arg1894z00_579)); } 
{ /* Llib/midi.scm 421 */

{ /* Llib/midi.scm 422 */
 obj_t BgL_fun1889z00_573;
BgL_fun1889z00_573 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 423 */
 long BgL_arg1888z00_574;
{ /* Llib/midi.scm 423 */
 BGL_LONGLONG_T BgL_tmpz00_6200;
BgL_tmpz00_6200 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1888z00_574 = 
LLONG_TO_LONG(BgL_tmpz00_6200); } 
PROCEDURE_ENTRY(BgL_fun1889z00_573)(BgL_fun1889z00_573, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1888z00_574), BEOA); } } 
{ /* Llib/midi.scm 424 */
 obj_t BgL_fun1893z00_577;
BgL_fun1893z00_577 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_pitchz00); 
{ /* Llib/midi.scm 424 */
 long BgL_arg1892z00_578;
BgL_arg1892z00_578 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1893z00_577)(BgL_fun1893z00_577, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1892z00_578), 
BINT(BgL_ccz00_571), 
BINT(BgL_vvz00_572), BEOA); } } } } }  else 
{ /* Llib/midi.scm 418 */
if(
(
(long)CINT(BgL_statusz00_480)==((long)255)))
{ /* Llib/midi.scm 427 */
 obj_t BgL_cz00_586;
{ /* Llib/midi.scm 427 */
 obj_t BgL_fun1988z00_683;
BgL_fun1988z00_683 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 427 */
 obj_t BgL_arg1987z00_684;
BgL_arg1987z00_684 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_cz00_586 = 
PROCEDURE_ENTRY(BgL_fun1988z00_683)(BgL_fun1988z00_683, BgL_arg1987z00_684, BEOA); } } 
{ /* Llib/midi.scm 427 */
 obj_t BgL_lz00_587;
{ /* Llib/midi.scm 428 */
 obj_t BgL_fun1986z00_681;
BgL_fun1986z00_681 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 428 */
 obj_t BgL_arg1985z00_682;
BgL_arg1985z00_682 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_lz00_587 = 
PROCEDURE_ENTRY(BgL_fun1986z00_681)(BgL_fun1986z00_681, BgL_arg1985z00_682, BEOA); } } 
{ /* Llib/midi.scm 428 */

{ 

if(
INTEGERP(BgL_cz00_586))
{ /* Llib/midi.scm 429 */
switch( 
(long)CINT(BgL_cz00_586)) { case ((long)0) : 

{ /* Llib/midi.scm 432 */
 obj_t BgL_fun1903z00_591;
BgL_fun1903z00_591 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqnumzd2); 
{ /* Llib/midi.scm 432 */
 int32_t BgL_arg1902z00_592;
BgL_arg1902z00_592 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1903z00_591)(BgL_fun1903z00_591, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BGL_INT32_TO_BINT32(BgL_arg1902z00_592), BEOA); } } break;case ((long)1) : 

{ /* Llib/midi.scm 435 */
 obj_t BgL_fun1908z00_594;
BgL_fun1908z00_594 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2textzd2); 
{ /* Llib/midi.scm 435 */
 obj_t BgL_arg1907z00_595;
{ /* Llib/midi.scm 435 */
 obj_t BgL_fun1910z00_596;
BgL_fun1910z00_596 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 435 */
 obj_t BgL_arg1909z00_597;
BgL_arg1909z00_597 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1907z00_595 = 
PROCEDURE_ENTRY(BgL_fun1910z00_596)(BgL_fun1910z00_596, BgL_lz00_587, BgL_arg1909z00_597, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1908z00_594)(BgL_fun1908z00_594, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1907z00_595, BEOA); } } break;case ((long)2) : 

{ /* Llib/midi.scm 438 */
 obj_t BgL_fun1912z00_598;
BgL_fun1912z00_598 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2copyrightzd2); 
{ /* Llib/midi.scm 438 */
 obj_t BgL_arg1911z00_599;
{ /* Llib/midi.scm 438 */
 obj_t BgL_fun1914z00_600;
BgL_fun1914z00_600 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 438 */
 obj_t BgL_arg1913z00_601;
BgL_arg1913z00_601 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1911z00_599 = 
PROCEDURE_ENTRY(BgL_fun1914z00_600)(BgL_fun1914z00_600, BgL_lz00_587, BgL_arg1913z00_601, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1912z00_598)(BgL_fun1912z00_598, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1911z00_599, BEOA); } } break;case ((long)3) : 

{ /* Llib/midi.scm 441 */
 obj_t BgL_fun1916z00_602;
BgL_fun1916z00_602 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2trackzd2); 
{ /* Llib/midi.scm 441 */
 obj_t BgL_arg1915z00_603;
{ /* Llib/midi.scm 441 */
 obj_t BgL_fun1918z00_604;
BgL_fun1918z00_604 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 441 */
 obj_t BgL_arg1917z00_605;
BgL_arg1917z00_605 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1915z00_603 = 
PROCEDURE_ENTRY(BgL_fun1918z00_604)(BgL_fun1918z00_604, BgL_lz00_587, BgL_arg1917z00_605, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1916z00_602)(BgL_fun1916z00_602, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1915z00_603, BEOA); } } break;case ((long)4) : 

{ /* Llib/midi.scm 444 */
 obj_t BgL_fun1920z00_606;
BgL_fun1920z00_606 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2instrumentzd2); 
{ /* Llib/midi.scm 444 */
 obj_t BgL_arg1919z00_607;
{ /* Llib/midi.scm 444 */
 obj_t BgL_fun1922z00_608;
BgL_fun1922z00_608 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 444 */
 obj_t BgL_arg1921z00_609;
BgL_arg1921z00_609 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1919z00_607 = 
PROCEDURE_ENTRY(BgL_fun1922z00_608)(BgL_fun1922z00_608, BgL_lz00_587, BgL_arg1921z00_609, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1920z00_606)(BgL_fun1920z00_606, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1919z00_607, BEOA); } } break;case ((long)5) : 

{ /* Llib/midi.scm 447 */
 obj_t BgL_fun1924z00_610;
BgL_fun1924z00_610 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2lyriczd2); 
{ /* Llib/midi.scm 447 */
 obj_t BgL_arg1923z00_611;
{ /* Llib/midi.scm 447 */
 obj_t BgL_fun1926z00_612;
BgL_fun1926z00_612 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 447 */
 obj_t BgL_arg1925z00_613;
BgL_arg1925z00_613 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1923z00_611 = 
PROCEDURE_ENTRY(BgL_fun1926z00_612)(BgL_fun1926z00_612, BgL_lz00_587, BgL_arg1925z00_613, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1924z00_610)(BgL_fun1924z00_610, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1923z00_611, BEOA); } } break;case ((long)6) : 

{ /* Llib/midi.scm 450 */
 obj_t BgL_fun1928z00_614;
BgL_fun1928z00_614 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2markerzd2); 
{ /* Llib/midi.scm 450 */
 obj_t BgL_arg1927z00_615;
{ /* Llib/midi.scm 450 */
 obj_t BgL_fun1930z00_616;
BgL_fun1930z00_616 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 450 */
 obj_t BgL_arg1929z00_617;
BgL_arg1929z00_617 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1927z00_615 = 
PROCEDURE_ENTRY(BgL_fun1930z00_616)(BgL_fun1930z00_616, BgL_lz00_587, BgL_arg1929z00_617, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1928z00_614)(BgL_fun1928z00_614, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1927z00_615, BEOA); } } break;case ((long)7) : 

{ /* Llib/midi.scm 453 */
 obj_t BgL_fun1932z00_618;
BgL_fun1932z00_618 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2cuezd2); 
{ /* Llib/midi.scm 453 */
 obj_t BgL_arg1931z00_619;
{ /* Llib/midi.scm 453 */
 obj_t BgL_fun1934z00_620;
BgL_fun1934z00_620 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 453 */
 obj_t BgL_arg1933z00_621;
BgL_arg1933z00_621 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1931z00_619 = 
PROCEDURE_ENTRY(BgL_fun1934z00_620)(BgL_fun1934z00_620, BgL_lz00_587, BgL_arg1933z00_621, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1932z00_618)(BgL_fun1932z00_618, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1931z00_619, BEOA); } } break;case ((long)8) : 

{ /* Llib/midi.scm 456 */
 obj_t BgL_fun1936z00_622;
BgL_fun1936z00_622 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2prgmnamezd2); 
{ /* Llib/midi.scm 456 */
 obj_t BgL_arg1935z00_623;
{ /* Llib/midi.scm 456 */
 obj_t BgL_fun1938z00_624;
BgL_fun1938z00_624 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 456 */
 obj_t BgL_arg1937z00_625;
BgL_arg1937z00_625 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1935z00_623 = 
PROCEDURE_ENTRY(BgL_fun1938z00_624)(BgL_fun1938z00_624, BgL_lz00_587, BgL_arg1937z00_625, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1936z00_622)(BgL_fun1936z00_622, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1935z00_623, BEOA); } } break;case ((long)9) : 

{ /* Llib/midi.scm 459 */
 obj_t BgL_fun1940z00_626;
BgL_fun1940z00_626 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2devnamezd2); 
{ /* Llib/midi.scm 459 */
 obj_t BgL_arg1939z00_627;
{ /* Llib/midi.scm 459 */
 obj_t BgL_fun1942z00_628;
BgL_fun1942z00_628 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 459 */
 obj_t BgL_arg1941z00_629;
BgL_arg1941z00_629 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1939z00_627 = 
PROCEDURE_ENTRY(BgL_fun1942z00_628)(BgL_fun1942z00_628, BgL_lz00_587, BgL_arg1941z00_629, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1940z00_626)(BgL_fun1940z00_626, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1939z00_627, BEOA); } } break;case ((long)32) : 

{ /* Llib/midi.scm 462 */
 obj_t BgL_fun1944z00_630;
BgL_fun1944z00_630 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 462 */
 obj_t BgL_arg1943z00_631;
{ /* Llib/midi.scm 462 */
 obj_t BgL_fun1946z00_632;
BgL_fun1946z00_632 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 462 */
 obj_t BgL_arg1945z00_633;
BgL_arg1945z00_633 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1943z00_631 = 
PROCEDURE_ENTRY(BgL_fun1946z00_632)(BgL_fun1946z00_632, BgL_arg1945z00_633, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1944z00_630)(BgL_fun1944z00_630, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1943z00_631, BEOA); } } break;case ((long)33) : 

{ /* Llib/midi.scm 465 */
 obj_t BgL_fun1948z00_634;
BgL_fun1948z00_634 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 465 */
 long BgL_arg1947z00_635;
BgL_arg1947z00_635 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1948z00_634)(BgL_fun1948z00_634, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1947z00_635), BEOA); } } break;case ((long)47) : 

((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52eotz52)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/midi.scm 469 */
 obj_t BgL_fun1950z00_637;
BgL_fun1950z00_637 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2eotzd2); 
PROCEDURE_ENTRY(BgL_fun1950z00_637)(BgL_fun1950z00_637, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BUNSPEC, BEOA); } break;case ((long)81) : 

{ 
 long BgL_auxz00_6476;
{ /* Llib/midi.scm 472 */
 obj_t BgL_arg1951z00_638;
BgL_arg1951z00_638 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_auxz00_6476 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), BgL_arg1951z00_638); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00)=((long)BgL_auxz00_6476),BUNSPEC); } 
{ /* Llib/midi.scm 473 */
 obj_t BgL_fun1953z00_639;
BgL_fun1953z00_639 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2tempozd2); 
{ /* Llib/midi.scm 473 */
 long BgL_arg1952z00_640;
BgL_arg1952z00_640 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00); 
PROCEDURE_ENTRY(BgL_fun1953z00_639)(BgL_fun1953z00_639, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1952z00_640), BEOA); } } break;case ((long)84) : 

{ /* Llib/midi.scm 476 */
 obj_t BgL_hrz00_641;
{ /* Llib/midi.scm 476 */
 obj_t BgL_fun1964z00_655;
BgL_fun1964z00_655 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 476 */
 obj_t BgL_arg1963z00_656;
BgL_arg1963z00_656 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_hrz00_641 = 
PROCEDURE_ENTRY(BgL_fun1964z00_655)(BgL_fun1964z00_655, BgL_arg1963z00_656, BEOA); } } 
{ /* Llib/midi.scm 476 */
 obj_t BgL_mmz00_642;
{ /* Llib/midi.scm 477 */
 obj_t BgL_fun1962z00_653;
BgL_fun1962z00_653 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 477 */
 obj_t BgL_arg1961z00_654;
BgL_arg1961z00_654 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_mmz00_642 = 
PROCEDURE_ENTRY(BgL_fun1962z00_653)(BgL_fun1962z00_653, BgL_arg1961z00_654, BEOA); } } 
{ /* Llib/midi.scm 477 */
 obj_t BgL_sez00_643;
{ /* Llib/midi.scm 478 */
 obj_t BgL_fun1960z00_651;
BgL_fun1960z00_651 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 478 */
 obj_t BgL_arg1959z00_652;
BgL_arg1959z00_652 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sez00_643 = 
PROCEDURE_ENTRY(BgL_fun1960z00_651)(BgL_fun1960z00_651, BgL_arg1959z00_652, BEOA); } } 
{ /* Llib/midi.scm 478 */
 obj_t BgL_frz00_644;
{ /* Llib/midi.scm 479 */
 obj_t BgL_fun1958z00_649;
BgL_fun1958z00_649 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 479 */
 obj_t BgL_arg1957z00_650;
BgL_arg1957z00_650 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_frz00_644 = 
PROCEDURE_ENTRY(BgL_fun1958z00_649)(BgL_fun1958z00_649, BgL_arg1957z00_650, BEOA); } } 
{ /* Llib/midi.scm 479 */
 obj_t BgL_ffz00_645;
{ /* Llib/midi.scm 480 */
 obj_t BgL_fun1956z00_647;
BgL_fun1956z00_647 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 480 */
 obj_t BgL_arg1955z00_648;
BgL_arg1955z00_648 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ffz00_645 = 
PROCEDURE_ENTRY(BgL_fun1956z00_647)(BgL_fun1956z00_647, BgL_arg1955z00_648, BEOA); } } 
{ /* Llib/midi.scm 480 */

{ /* Llib/midi.scm 481 */
 obj_t BgL_fun1954z00_646;
BgL_fun1954z00_646 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2smtpezd2); 
PROCEDURE_ENTRY(BgL_fun1954z00_646)(BgL_fun1954z00_646, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_hrz00_641, BgL_mmz00_642, BgL_sez00_643, BgL_frz00_644, BgL_ffz00_645, BEOA); } } } } } } } break;case ((long)88) : 

{ /* Llib/midi.scm 484 */
 obj_t BgL_nnz00_657;
{ /* Llib/midi.scm 484 */
 obj_t BgL_fun1973z00_668;
BgL_fun1973z00_668 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 484 */
 obj_t BgL_arg1972z00_669;
BgL_arg1972z00_669 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_nnz00_657 = 
PROCEDURE_ENTRY(BgL_fun1973z00_668)(BgL_fun1973z00_668, BgL_arg1972z00_669, BEOA); } } 
{ /* Llib/midi.scm 484 */
 obj_t BgL_ddz00_658;
{ /* Llib/midi.scm 485 */
 obj_t BgL_fun1971z00_666;
BgL_fun1971z00_666 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 485 */
 obj_t BgL_arg1970z00_667;
BgL_arg1970z00_667 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ddz00_658 = 
PROCEDURE_ENTRY(BgL_fun1971z00_666)(BgL_fun1971z00_666, BgL_arg1970z00_667, BEOA); } } 
{ /* Llib/midi.scm 485 */
 obj_t BgL_ccz00_659;
{ /* Llib/midi.scm 486 */
 obj_t BgL_fun1969z00_664;
BgL_fun1969z00_664 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 486 */
 obj_t BgL_arg1968z00_665;
BgL_arg1968z00_665 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ccz00_659 = 
PROCEDURE_ENTRY(BgL_fun1969z00_664)(BgL_fun1969z00_664, BgL_arg1968z00_665, BEOA); } } 
{ /* Llib/midi.scm 486 */
 obj_t BgL_bbz00_660;
{ /* Llib/midi.scm 487 */
 obj_t BgL_fun1967z00_662;
BgL_fun1967z00_662 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 487 */
 obj_t BgL_arg1966z00_663;
BgL_arg1966z00_663 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_bbz00_660 = 
PROCEDURE_ENTRY(BgL_fun1967z00_662)(BgL_fun1967z00_662, BgL_arg1966z00_663, BEOA); } } 
{ /* Llib/midi.scm 487 */

{ /* Llib/midi.scm 488 */
 obj_t BgL_fun1965z00_661;
BgL_fun1965z00_661 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2timesigzd2); 
PROCEDURE_ENTRY(BgL_fun1965z00_661)(BgL_fun1965z00_661, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_nnz00_657, BgL_ddz00_658, BgL_ccz00_659, BgL_bbz00_660, BEOA); } } } } } } break;case ((long)89) : 

{ /* Llib/midi.scm 491 */
 obj_t BgL_fun1975z00_670;
BgL_fun1975z00_670 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2keysigzd2); 
{ /* Llib/midi.scm 491 */
 long BgL_arg1974z00_671;
BgL_arg1974z00_671 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1975z00_670)(BgL_fun1975z00_670, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1974z00_671), BEOA); } } break;case ((long)127) : 

{ /* Llib/midi.scm 494 */
 obj_t BgL_fun1978z00_673;
BgL_fun1978z00_673 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqspeczd2); 
{ /* Llib/midi.scm 494 */
 obj_t BgL_arg1977z00_674;
{ /* Llib/midi.scm 494 */
 obj_t BgL_fun1980z00_675;
BgL_fun1980z00_675 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 494 */
 obj_t BgL_arg1979z00_676;
BgL_arg1979z00_676 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1977z00_674 = 
PROCEDURE_ENTRY(BgL_fun1980z00_675)(BgL_fun1980z00_675, BgL_lz00_587, BgL_arg1979z00_676, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1978z00_673)(BgL_fun1978z00_673, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1977z00_674, BEOA); } } break;
default: 
BgL_case_else1163z00_588:
{ /* Llib/midi.scm 496 */
 obj_t BgL_fun1982z00_677;
BgL_fun1982z00_677 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
{ /* Llib/midi.scm 497 */
 obj_t BgL_arg1981z00_678;
{ /* Llib/midi.scm 497 */
 obj_t BgL_list1983z00_679;
{ /* Llib/midi.scm 497 */
 obj_t BgL_arg1984z00_680;
BgL_arg1984z00_680 = 
MAKE_YOUNG_PAIR(BgL_cz00_586, BNIL); 
BgL_list1983z00_679 = 
MAKE_YOUNG_PAIR(BgL_statusz00_480, BgL_arg1984z00_680); } 
BgL_arg1981z00_678 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2835z00zz__multimediazd2midizd2, BgL_list1983z00_679); } 
PROCEDURE_ENTRY(BgL_fun1982z00_677)(BgL_fun1982z00_677, BGl_string2836z00zz__multimediazd2midizd2, BGl_string2837z00zz__multimediazd2midizd2, BgL_arg1981z00_678, BEOA); } } } }  else 
{ /* Llib/midi.scm 429 */
goto BgL_case_else1163z00_588;} } } } }  else 
{ /* Llib/midi.scm 498 */
 bool_t BgL_test3439z00_6622;
if(
(
(long)CINT(BgL_statusz00_480)==((long)240)))
{ /* Llib/midi.scm 498 */
BgL_test3439z00_6622 = ((bool_t)1)
; }  else 
{ /* Llib/midi.scm 498 */
BgL_test3439z00_6622 = 
(
(long)CINT(BgL_statusz00_480)==((long)247))
; } 
if(BgL_test3439z00_6622)
{ /* Llib/midi.scm 500 */
 obj_t BgL_strz00_687;
{ /* Llib/midi.scm 500 */
 obj_t BgL_fun1998z00_693;
BgL_fun1998z00_693 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 500 */
 obj_t BgL_arg1996z00_694; obj_t BgL_arg1997z00_695;
{ /* Llib/midi.scm 500 */
 obj_t BgL_fun2000z00_696;
BgL_fun2000z00_696 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 500 */
 obj_t BgL_arg1999z00_697;
BgL_arg1999z00_697 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1996z00_694 = 
PROCEDURE_ENTRY(BgL_fun2000z00_696)(BgL_fun2000z00_696, BgL_arg1999z00_697, BEOA); } } 
BgL_arg1997z00_695 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_strz00_687 = 
PROCEDURE_ENTRY(BgL_fun1998z00_693)(BgL_fun1998z00_693, BgL_arg1996z00_694, BgL_arg1997z00_695, BEOA); } } 
{ /* Llib/midi.scm 501 */
 obj_t BgL_fun1992z00_688;
BgL_fun1992z00_688 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 502 */
 long BgL_arg1991z00_689;
{ /* Llib/midi.scm 502 */
 BGL_LONGLONG_T BgL_tmpz00_6642;
BgL_tmpz00_6642 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1991z00_689 = 
LLONG_TO_LONG(BgL_tmpz00_6642); } 
PROCEDURE_ENTRY(BgL_fun1992z00_688)(BgL_fun1992z00_688, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_dtz00_43), 
BINT(BgL_ppqz00_42), 
BINT(BgL_arg1991z00_689), BEOA); } } 
{ /* Llib/midi.scm 503 */
 obj_t BgL_fun1995z00_692;
BgL_fun1995z00_692 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_sysexz00); 
PROCEDURE_ENTRY(BgL_fun1995z00_692)(BgL_fun1995z00_692, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_strz00_687, BEOA); } }  else 
{ /* Llib/midi.scm 505 */
 obj_t BgL_fun2001z00_698;
BgL_fun2001z00_698 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
PROCEDURE_ENTRY(BgL_fun2001z00_698)(BgL_fun2001z00_698, BGl_string2836z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_statusz00_480, BEOA); } } } } } } } } } } 
{ /* Llib/midi.scm 507 */
 obj_t BgL_fun2019z00_718;
BgL_fun2019z00_718 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_flushz00); 
{ /* Llib/midi.scm 507 */
 obj_t BgL_arg2018z00_719;
BgL_arg2018z00_719 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2019z00_718)(BgL_fun2019z00_718, BgL_arg2018z00_719, BEOA);} } } } 

}



/* midi-read-mthd */
obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t BgL_ipz00_45)
{
{ /* Llib/midi.scm 512 */
{ /* Llib/midi.scm 513 */
 obj_t BgL_tyz00_720;
BgL_tyz00_720 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_45); 
{ /* Llib/midi.scm 514 */
 bool_t BgL_test3441z00_6689;
{ /* Llib/midi.scm 514 */
 long BgL_l1z00_2065;
BgL_l1z00_2065 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_720)); 
if(
(BgL_l1z00_2065==((long)4)))
{ /* Llib/midi.scm 514 */
 int BgL_arg1289z00_2068;
{ /* Llib/midi.scm 514 */
 char * BgL_auxz00_6697; char * BgL_tmpz00_6694;
BgL_auxz00_6697 = 
BSTRING_TO_STRING(BGl_string2839z00zz__multimediazd2midizd2); 
BgL_tmpz00_6694 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_720)); 
BgL_arg1289z00_2068 = 
memcmp(BgL_tmpz00_6694, BgL_auxz00_6697, BgL_l1z00_2065); } 
BgL_test3441z00_6689 = 
(
(long)(BgL_arg1289z00_2068)==((long)0)); }  else 
{ /* Llib/midi.scm 514 */
BgL_test3441z00_6689 = ((bool_t)0)
; } } 
if(BgL_test3441z00_6689)
{ /* Llib/midi.scm 516 */
 int32_t BgL_sza7za7_722;
BgL_sza7za7_722 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 516 */
 long BgL_fmtz00_723;
{ /* Llib/midi.scm 517 */
 int32_t BgL_arg2036z00_768;
BgL_arg2036z00_768 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 517 */
 long BgL_arg1447z00_2075;
BgL_arg1447z00_2075 = 
(long)(BgL_arg2036z00_768); 
BgL_fmtz00_723 = 
(long)(BgL_arg1447z00_2075); } } 
{ /* Llib/midi.scm 517 */
 long BgL_tckz00_724;
{ /* Llib/midi.scm 518 */
 int32_t BgL_arg2035z00_767;
BgL_arg2035z00_767 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 518 */
 long BgL_arg1447z00_2078;
BgL_arg1447z00_2078 = 
(long)(BgL_arg2035z00_767); 
BgL_tckz00_724 = 
(long)(BgL_arg1447z00_2078); } } 
{ /* Llib/midi.scm 518 */
 long BgL_divz00_725;
{ /* Llib/midi.scm 519 */
 int32_t BgL_arg2034z00_766;
BgL_arg2034z00_766 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 519 */
 long BgL_arg1447z00_2081;
BgL_arg1447z00_2081 = 
(long)(BgL_arg2034z00_766); 
BgL_divz00_725 = 
(long)(BgL_arg1447z00_2081); } } 
{ /* Llib/midi.scm 519 */

if(
(
(BgL_divz00_725 >> 
(int)(((long)15)))==((long)0)))
{ /* Llib/midi.scm 521 */
 long BgL_val4_1199z00_732;
BgL_val4_1199z00_732 = 
(BgL_divz00_725 & ((long)32767)); 
{ /* Llib/midi.scm 521 */
 int BgL_tmpz00_6717;
BgL_tmpz00_6717 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6717); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6722; int BgL_tmpz00_6720;
BgL_auxz00_6722 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6720 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6720, BgL_auxz00_6722); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6727; int BgL_tmpz00_6725;
BgL_auxz00_6727 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6725 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6725, BgL_auxz00_6727); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6732; int BgL_tmpz00_6730;
BgL_auxz00_6732 = 
BINT(((long)500000)); 
BgL_tmpz00_6730 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6730, BgL_auxz00_6732); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6737; int BgL_tmpz00_6735;
BgL_auxz00_6737 = 
BINT(BgL_val4_1199z00_732); 
BgL_tmpz00_6735 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6735, BgL_auxz00_6737); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);}  else 
{ 

{ /* Llib/midi.scm 522 */
 long BgL_aux1167z00_734;
BgL_aux1167z00_734 = 
(((long)128)-
(
(BgL_divz00_725 >> 
(int)(((long)8))) & ((long)127))); 
switch( BgL_aux1167z00_734) { case ((long)24) : 

{ /* Llib/midi.scm 524 */
 long BgL_val4_1204z00_740;
BgL_val4_1204z00_740 = 
(((long)12)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 524 */
 int BgL_tmpz00_6747;
BgL_tmpz00_6747 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6747); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6752; int BgL_tmpz00_6750;
BgL_auxz00_6752 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6750 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6750, BgL_auxz00_6752); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6757; int BgL_tmpz00_6755;
BgL_auxz00_6757 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6755 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6755, BgL_auxz00_6757); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6762; int BgL_tmpz00_6760;
BgL_auxz00_6762 = 
BINT(((long)500000)); 
BgL_tmpz00_6760 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6760, BgL_auxz00_6762); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6767; int BgL_tmpz00_6765;
BgL_auxz00_6767 = 
BINT(BgL_val4_1204z00_740); 
BgL_tmpz00_6765 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6765, BgL_auxz00_6767); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)25) : 

{ /* Llib/midi.scm 526 */
 long BgL_val4_1209z00_746;
BgL_val4_1209z00_746 = 
(((long)10)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 526 */
 int BgL_tmpz00_6773;
BgL_tmpz00_6773 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6773); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6778; int BgL_tmpz00_6776;
BgL_auxz00_6778 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6776 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6776, BgL_auxz00_6778); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6783; int BgL_tmpz00_6781;
BgL_auxz00_6783 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6781 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6781, BgL_auxz00_6783); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6788; int BgL_tmpz00_6786;
BgL_auxz00_6788 = 
BINT(((long)400000)); 
BgL_tmpz00_6786 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6786, BgL_auxz00_6788); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6793; int BgL_tmpz00_6791;
BgL_auxz00_6793 = 
BINT(BgL_val4_1209z00_746); 
BgL_tmpz00_6791 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6791, BgL_auxz00_6793); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)29) : 

{ /* Llib/midi.scm 528 */
 long BgL_val4_1214z00_752;
BgL_val4_1214z00_752 = 
(((long)2997)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 528 */
 int BgL_tmpz00_6799;
BgL_tmpz00_6799 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6799); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6804; int BgL_tmpz00_6802;
BgL_auxz00_6804 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6802 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6802, BgL_auxz00_6804); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6809; int BgL_tmpz00_6807;
BgL_auxz00_6809 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6807 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6807, BgL_auxz00_6809); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6814; int BgL_tmpz00_6812;
BgL_auxz00_6814 = 
BINT(((long)100000000)); 
BgL_tmpz00_6812 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6812, BgL_auxz00_6814); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6819; int BgL_tmpz00_6817;
BgL_auxz00_6819 = 
BINT(BgL_val4_1214z00_752); 
BgL_tmpz00_6817 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6817, BgL_auxz00_6819); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)30) : 

{ /* Llib/midi.scm 530 */
 long BgL_val4_1219z00_758;
BgL_val4_1219z00_758 = 
(((long)15)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 530 */
 int BgL_tmpz00_6825;
BgL_tmpz00_6825 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6825); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6830; int BgL_tmpz00_6828;
BgL_auxz00_6830 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6828 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6828, BgL_auxz00_6830); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6835; int BgL_tmpz00_6833;
BgL_auxz00_6835 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6833 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6833, BgL_auxz00_6835); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6840; int BgL_tmpz00_6838;
BgL_auxz00_6840 = 
BINT(((long)500000)); 
BgL_tmpz00_6838 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6838, BgL_auxz00_6840); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6845; int BgL_tmpz00_6843;
BgL_auxz00_6845 = 
BINT(BgL_val4_1219z00_758); 
BgL_tmpz00_6843 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6843, BgL_auxz00_6845); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;
default: 
{ /* Llib/midi.scm 534 */
 long BgL_arg2030z00_762;
BgL_arg2030z00_762 = 
(((long)128)-
(
(BgL_divz00_725 >> 
(int)(((long)8))) & ((long)127))); 
return 
BGl_errorz00zz__errorz00(BGl_string2840z00zz__multimediazd2midizd2, BGl_string2841z00zz__multimediazd2midizd2, 
BINT(BgL_arg2030z00_762));} } } } } } } } }  else 
{ /* Llib/midi.scm 514 */
return 
BGl_errorz00zz__errorz00(BGl_string2840z00zz__multimediazd2midizd2, BGl_string2842z00zz__multimediazd2midizd2, BgL_tyz00_720);} } } } 

}



/* midi-read-mtrk */
obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t BgL_ipz00_46)
{
{ /* Llib/midi.scm 539 */
{ /* Llib/midi.scm 540 */
 obj_t BgL_tyz00_769;
BgL_tyz00_769 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_46); 
{ /* Llib/midi.scm 541 */
 bool_t BgL_test3444z00_6859;
{ /* Llib/midi.scm 541 */
 long BgL_l1z00_2102;
BgL_l1z00_2102 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_769)); 
if(
(BgL_l1z00_2102==((long)4)))
{ /* Llib/midi.scm 541 */
 int BgL_arg1289z00_2105;
{ /* Llib/midi.scm 541 */
 char * BgL_auxz00_6867; char * BgL_tmpz00_6864;
BgL_auxz00_6867 = 
BSTRING_TO_STRING(BGl_string2843z00zz__multimediazd2midizd2); 
BgL_tmpz00_6864 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_769)); 
BgL_arg1289z00_2105 = 
memcmp(BgL_tmpz00_6864, BgL_auxz00_6867, BgL_l1z00_2102); } 
BgL_test3444z00_6859 = 
(
(long)(BgL_arg1289z00_2105)==((long)0)); }  else 
{ /* Llib/midi.scm 541 */
BgL_test3444z00_6859 = ((bool_t)0)
; } } 
if(BgL_test3444z00_6859)
{ /* Llib/midi.scm 543 */
 int32_t BgL_tmpz00_6872;
BgL_tmpz00_6872 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_46); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6872);}  else 
{ /* Llib/midi.scm 541 */
return 
BGl_errorz00zz__errorz00(BGl_string2844z00zz__multimediazd2midizd2, BGl_string2842z00zz__multimediazd2midizd2, BgL_tyz00_769);} } } } 

}



/* read-int16 */
int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_49)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
 obj_t BgL_b1z00_772;
BgL_b1z00_772 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 561 */
 obj_t BgL_b0z00_773;
BgL_b0z00_773 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 562 */

{ /* Llib/midi.scm 563 */
 int32_t BgL_arg2039z00_774; int32_t BgL_arg2040z00_775;
{ /* Llib/midi.scm 563 */
 int32_t BgL_arg2041z00_776;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6878;
BgL_tmpz00_6878 = 
(
CCHAR(BgL_b1z00_772)); 
BgL_arg2041z00_776 = 
(int32_t)(BgL_tmpz00_6878); } 
BgL_arg2039z00_774 = 
(BgL_arg2041z00_776 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6884;
BgL_tmpz00_6884 = 
(
CCHAR(BgL_b0z00_773)); 
BgL_arg2040z00_775 = 
(int32_t)(BgL_tmpz00_6884); } 
return 
(BgL_arg2039z00_774+BgL_arg2040z00_775);} } } } } 

}



/* &read-int16 */
obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2841, obj_t BgL_ipz00_2842)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
 int32_t BgL_tmpz00_6889;
BgL_tmpz00_6889 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_2842); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6889);} } 

}



/* read-int32 */
int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_50)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
 obj_t BgL_b3z00_777;
BgL_b3z00_777 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 570 */
 obj_t BgL_b2z00_778;
BgL_b2z00_778 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 571 */
 obj_t BgL_b1z00_779;
BgL_b1z00_779 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 572 */
 obj_t BgL_b0z00_780;
BgL_b0z00_780 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 573 */

{ /* Llib/midi.scm 574 */
 int32_t BgL_arg2042z00_781; int32_t BgL_arg2043z00_782;
{ /* Llib/midi.scm 574 */
 int32_t BgL_arg2044z00_783;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6896;
BgL_tmpz00_6896 = 
(
CCHAR(BgL_b3z00_777)); 
BgL_arg2044z00_783 = 
(int32_t)(BgL_tmpz00_6896); } 
BgL_arg2042z00_781 = 
(BgL_arg2044z00_783 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 575 */
 int32_t BgL_arg2045z00_784; int32_t BgL_arg2046z00_785;
{ /* Llib/midi.scm 575 */
 int32_t BgL_arg2047z00_786;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6902;
BgL_tmpz00_6902 = 
(
CCHAR(BgL_b2z00_778)); 
BgL_arg2047z00_786 = 
(int32_t)(BgL_tmpz00_6902); } 
BgL_arg2045z00_784 = 
(BgL_arg2047z00_786 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 576 */
 int32_t BgL_arg2048z00_787; int32_t BgL_arg2049z00_788;
{ /* Llib/midi.scm 576 */
 int32_t BgL_arg2050z00_789;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6908;
BgL_tmpz00_6908 = 
(
CCHAR(BgL_b1z00_779)); 
BgL_arg2050z00_789 = 
(int32_t)(BgL_tmpz00_6908); } 
BgL_arg2048z00_787 = 
(BgL_arg2050z00_789 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6914;
BgL_tmpz00_6914 = 
(
CCHAR(BgL_b0z00_780)); 
BgL_arg2049z00_788 = 
(int32_t)(BgL_tmpz00_6914); } 
BgL_arg2046z00_785 = 
(BgL_arg2048z00_787+BgL_arg2049z00_788); } 
BgL_arg2043z00_782 = 
(BgL_arg2045z00_784+BgL_arg2046z00_785); } 
return 
(BgL_arg2042z00_781+BgL_arg2043z00_782);} } } } } } } 

}



/* &read-int32 */
obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2843, obj_t BgL_ipz00_2844)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
 int32_t BgL_tmpz00_6921;
BgL_tmpz00_6921 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_2844); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6921);} } 

}



/* read-int */
long BGl_readzd2intzd2zz__multimediazd2midizd2(long BgL_lenz00_51, obj_t BgL_ipz00_52)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
 long BgL_g1168z00_790;
{ /* Llib/midi.scm 583 */
 obj_t BgL_arg2058z00_802;
BgL_arg2058z00_802 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_g1168z00_790 = 
(
CCHAR(BgL_arg2058z00_802)); } 
{ 
 long BgL_valz00_792; long BgL_lenz00_793;
BgL_valz00_792 = BgL_g1168z00_790; 
BgL_lenz00_793 = BgL_lenz00_51; 
BgL_zc3z04anonymousza32051ze3z87_794:
if(
(BgL_lenz00_793==((long)1)))
{ /* Llib/midi.scm 585 */
return BgL_valz00_792;}  else 
{ /* Llib/midi.scm 587 */
 long BgL_arg2053z00_796; long BgL_arg2054z00_797;
{ /* Llib/midi.scm 587 */
 long BgL_arg2055z00_798; long BgL_arg2056z00_799;
BgL_arg2055z00_798 = 
(BgL_valz00_792 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 587 */
 obj_t BgL_arg2057z00_800;
BgL_arg2057z00_800 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_arg2056z00_799 = 
(
CCHAR(BgL_arg2057z00_800)); } 
BgL_arg2053z00_796 = 
(BgL_arg2055z00_798+BgL_arg2056z00_799); } 
BgL_arg2054z00_797 = 
(BgL_lenz00_793-((long)1)); 
{ 
 long BgL_lenz00_6937; long BgL_valz00_6936;
BgL_valz00_6936 = BgL_arg2053z00_796; 
BgL_lenz00_6937 = BgL_arg2054z00_797; 
BgL_lenz00_793 = BgL_lenz00_6937; 
BgL_valz00_792 = BgL_valz00_6936; 
goto BgL_zc3z04anonymousza32051ze3z87_794;} } } } } 

}



/* &read-int */
obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2845, obj_t BgL_lenz00_2846, obj_t BgL_ipz00_2847)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
 long BgL_tmpz00_6938;
{ /* Llib/midi.scm 583 */
 obj_t BgL_auxz00_6948; long BgL_auxz00_6939;
if(
INPUT_PORTP(BgL_ipz00_2847))
{ /* Llib/midi.scm 583 */
BgL_auxz00_6948 = BgL_ipz00_2847
; }  else 
{ 
 obj_t BgL_auxz00_6951;
BgL_auxz00_6951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2845z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_ipz00_2847); 
FAILURE(BgL_auxz00_6951,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 583 */
 obj_t BgL_tmpz00_6940;
if(
INTEGERP(BgL_lenz00_2846))
{ /* Llib/midi.scm 583 */
BgL_tmpz00_6940 = BgL_lenz00_2846
; }  else 
{ 
 obj_t BgL_auxz00_6943;
BgL_auxz00_6943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2845z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_lenz00_2846); 
FAILURE(BgL_auxz00_6943,BFALSE,BFALSE);} 
BgL_auxz00_6939 = 
(long)CINT(BgL_tmpz00_6940); } 
BgL_tmpz00_6938 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(BgL_auxz00_6939, BgL_auxz00_6948); } 
return 
BINT(BgL_tmpz00_6938);} } 

}



/* &read-vlq */
obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2848, obj_t BgL_ipz00_2849)
{
{ /* Llib/midi.scm 593 */
{ /* Llib/midi.scm 595 */
 long BgL_tmpz00_6957;
{ 
 long BgL_accz00_3866;
BgL_accz00_3866 = ((long)0); 
BgL_loopz00_3865:
{ /* Llib/midi.scm 595 */
 long BgL_cz00_3867;
{ /* Llib/midi.scm 595 */
 obj_t BgL_arg2064z00_3868;
BgL_arg2064z00_3868 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_2849); 
BgL_cz00_3867 = 
(
CCHAR(BgL_arg2064z00_3868)); } 
if(
(BgL_cz00_3867<=((long)127)))
{ /* Llib/midi.scm 596 */
BgL_tmpz00_6957 = 
(BgL_cz00_3867+BgL_accz00_3866)
; }  else 
{ 
 long BgL_accz00_6964;
BgL_accz00_6964 = 
(
(BgL_accz00_3866+
(BgL_cz00_3867 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3866 = BgL_accz00_6964; 
goto BgL_loopz00_3865;} } } 
return 
BINT(BgL_tmpz00_6957);} } 

}



/* string-stream-peek-byte */
long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t BgL_ipz00_54)
{
{ /* Llib/midi.scm 603 */
return 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)1))))));} 

}



/* &string-stream-peek-byte */
obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2853, obj_t BgL_ipz00_2854)
{
{ /* Llib/midi.scm 603 */
{ /* Llib/midi.scm 605 */
 long BgL_tmpz00_6977;
{ /* Llib/midi.scm 605 */
 obj_t BgL_auxz00_6978;
if(
STRUCTP(BgL_ipz00_2854))
{ /* Llib/midi.scm 605 */
BgL_auxz00_6978 = BgL_ipz00_2854
; }  else 
{ 
 obj_t BgL_auxz00_6981;
BgL_auxz00_6981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)25285)), BGl_string2846z00zz__multimediazd2midizd2, BGl_string2847z00zz__multimediazd2midizd2, BgL_ipz00_2854); 
FAILURE(BgL_auxz00_6981,BFALSE,BFALSE);} 
BgL_tmpz00_6977 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_auxz00_6978); } 
return 
BINT(BgL_tmpz00_6977);} } 

}



/* &string-stream-read-byte */
obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2855, obj_t BgL_ipz00_2856)
{
{ /* Llib/midi.scm 610 */
{ /* Llib/midi.scm 611 */
 long BgL_tmpz00_6987;
{ /* Llib/midi.scm 611 */
 obj_t BgL_ipz00_3869;
if(
STRUCTP(BgL_ipz00_2856))
{ /* Llib/midi.scm 611 */
BgL_ipz00_3869 = BgL_ipz00_2856; }  else 
{ 
 obj_t BgL_auxz00_6990;
BgL_auxz00_6990 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)25610)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2847z00zz__multimediazd2midizd2, BgL_ipz00_2856); 
FAILURE(BgL_auxz00_6990,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3870;
BgL_bz00_3870 = 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_3869, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_3869, 
(int)(((long)1)))))); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3871;
BgL_arg2068z00_3871 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3869, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7007; int BgL_tmpz00_7005;
BgL_auxz00_7007 = 
BINT(BgL_arg2068z00_3871); 
BgL_tmpz00_7005 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3869, BgL_tmpz00_7005, BgL_auxz00_7007); } } 
BgL_tmpz00_6987 = BgL_bz00_3870; } } 
return 
BINT(BgL_tmpz00_6987);} } 

}



/* &string-stream-read-int16 */
obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2857, obj_t BgL_ipz00_2858)
{
{ /* Llib/midi.scm 618 */
{ /* Llib/midi.scm 619 */
 int32_t BgL_tmpz00_7011;
{ /* Llib/midi.scm 619 */
 obj_t BgL_ipz00_3872;
if(
STRUCTP(BgL_ipz00_2858))
{ /* Llib/midi.scm 619 */
BgL_ipz00_3872 = BgL_ipz00_2858; }  else 
{ 
 obj_t BgL_auxz00_7014;
BgL_auxz00_7014 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)26001)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2847z00zz__multimediazd2midizd2, BgL_ipz00_2858); 
FAILURE(BgL_auxz00_7014,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 619 */
 long BgL_b1z00_3873;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3874;
BgL_bz00_3874 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3872); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3875;
BgL_arg2068z00_3875 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3872, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7025; int BgL_tmpz00_7023;
BgL_auxz00_7025 = 
BINT(BgL_arg2068z00_3875); 
BgL_tmpz00_7023 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3872, BgL_tmpz00_7023, BgL_auxz00_7025); } } 
BgL_b1z00_3873 = BgL_bz00_3874; } 
{ /* Llib/midi.scm 619 */
 long BgL_b0z00_3876;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3877;
BgL_bz00_3877 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3872); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3878;
BgL_arg2068z00_3878 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3872, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7035; int BgL_tmpz00_7033;
BgL_auxz00_7035 = 
BINT(BgL_arg2068z00_3878); 
BgL_tmpz00_7033 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3872, BgL_tmpz00_7033, BgL_auxz00_7035); } } 
BgL_b0z00_3876 = BgL_bz00_3877; } 
{ /* Llib/midi.scm 620 */

{ /* Llib/midi.scm 621 */
 int32_t BgL_arg2070z00_3879; int32_t BgL_arg2071z00_3880;
{ /* Llib/midi.scm 621 */
 int32_t BgL_arg2072z00_3881;
BgL_arg2072z00_3881 = 
(int32_t)(BgL_b1z00_3873); 
BgL_arg2070z00_3879 = 
(BgL_arg2072z00_3881 << 
(int)(((long)8))); } 
BgL_arg2071z00_3880 = 
(int32_t)(BgL_b0z00_3876); 
BgL_tmpz00_7011 = 
(BgL_arg2070z00_3879+BgL_arg2071z00_3880); } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_7011);} } 

}



/* &string-stream-read-int32 */
obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2859, obj_t BgL_ipz00_2860)
{
{ /* Llib/midi.scm 626 */
{ /* Llib/midi.scm 627 */
 int32_t BgL_tmpz00_7044;
{ /* Llib/midi.scm 627 */
 obj_t BgL_ipz00_3882;
if(
STRUCTP(BgL_ipz00_2860))
{ /* Llib/midi.scm 627 */
BgL_ipz00_3882 = BgL_ipz00_2860; }  else 
{ 
 obj_t BgL_auxz00_7047;
BgL_auxz00_7047 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)26420)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2847z00zz__multimediazd2midizd2, BgL_ipz00_2860); 
FAILURE(BgL_auxz00_7047,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 627 */
 long BgL_b3z00_3883;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3884;
BgL_bz00_3884 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3882); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3885;
BgL_arg2068z00_3885 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3882, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7058; int BgL_tmpz00_7056;
BgL_auxz00_7058 = 
BINT(BgL_arg2068z00_3885); 
BgL_tmpz00_7056 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3882, BgL_tmpz00_7056, BgL_auxz00_7058); } } 
BgL_b3z00_3883 = BgL_bz00_3884; } 
{ /* Llib/midi.scm 627 */
 long BgL_b2z00_3886;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3887;
BgL_bz00_3887 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3882); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3888;
BgL_arg2068z00_3888 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3882, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7068; int BgL_tmpz00_7066;
BgL_auxz00_7068 = 
BINT(BgL_arg2068z00_3888); 
BgL_tmpz00_7066 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3882, BgL_tmpz00_7066, BgL_auxz00_7068); } } 
BgL_b2z00_3886 = BgL_bz00_3887; } 
{ /* Llib/midi.scm 628 */
 long BgL_b1z00_3889;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3890;
BgL_bz00_3890 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3882); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3891;
BgL_arg2068z00_3891 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3882, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7078; int BgL_tmpz00_7076;
BgL_auxz00_7078 = 
BINT(BgL_arg2068z00_3891); 
BgL_tmpz00_7076 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3882, BgL_tmpz00_7076, BgL_auxz00_7078); } } 
BgL_b1z00_3889 = BgL_bz00_3890; } 
{ /* Llib/midi.scm 629 */
 long BgL_b0z00_3892;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3893;
BgL_bz00_3893 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3882); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3894;
BgL_arg2068z00_3894 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3882, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7088; int BgL_tmpz00_7086;
BgL_auxz00_7088 = 
BINT(BgL_arg2068z00_3894); 
BgL_tmpz00_7086 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3882, BgL_tmpz00_7086, BgL_auxz00_7088); } } 
BgL_b0z00_3892 = BgL_bz00_3893; } 
{ /* Llib/midi.scm 630 */

{ /* Llib/midi.scm 631 */
 int32_t BgL_arg2073z00_3895; int32_t BgL_arg2074z00_3896;
{ /* Llib/midi.scm 631 */
 int32_t BgL_arg2075z00_3897;
BgL_arg2075z00_3897 = 
(int32_t)(BgL_b3z00_3883); 
BgL_arg2073z00_3895 = 
(BgL_arg2075z00_3897 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 632 */
 int32_t BgL_arg2076z00_3898; int32_t BgL_arg2077z00_3899;
{ /* Llib/midi.scm 632 */
 int32_t BgL_arg2078z00_3900;
BgL_arg2078z00_3900 = 
(int32_t)(BgL_b2z00_3886); 
BgL_arg2076z00_3898 = 
(BgL_arg2078z00_3900 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 633 */
 int32_t BgL_arg2079z00_3901; int32_t BgL_arg2080z00_3902;
{ /* Llib/midi.scm 633 */
 int32_t BgL_arg2081z00_3903;
BgL_arg2081z00_3903 = 
(int32_t)(BgL_b1z00_3889); 
BgL_arg2079z00_3901 = 
(BgL_arg2081z00_3903 << 
(int)(((long)8))); } 
BgL_arg2080z00_3902 = 
(int32_t)(BgL_b0z00_3892); 
BgL_arg2077z00_3899 = 
(BgL_arg2079z00_3901+BgL_arg2080z00_3902); } 
BgL_arg2074z00_3896 = 
(BgL_arg2076z00_3898+BgL_arg2077z00_3899); } 
BgL_tmpz00_7044 = 
(BgL_arg2073z00_3895+BgL_arg2074z00_3896); } } } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_7044);} } 

}



/* &string-stream-read-int */
obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2861, obj_t BgL_lenz00_2862, obj_t BgL_ipz00_2863)
{
{ /* Llib/midi.scm 639 */
{ /* Llib/midi.scm 640 */
 long BgL_tmpz00_7105;
{ /* Llib/midi.scm 640 */
 long BgL_lenz00_3904; obj_t BgL_ipz00_3905;
{ /* Llib/midi.scm 640 */
 obj_t BgL_tmpz00_7106;
if(
INTEGERP(BgL_lenz00_2862))
{ /* Llib/midi.scm 640 */
BgL_tmpz00_7106 = BgL_lenz00_2862
; }  else 
{ 
 obj_t BgL_auxz00_7109;
BgL_auxz00_7109 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_lenz00_2862); 
FAILURE(BgL_auxz00_7109,BFALSE,BFALSE);} 
BgL_lenz00_3904 = 
(long)CINT(BgL_tmpz00_7106); } 
if(
STRUCTP(BgL_ipz00_2863))
{ /* Llib/midi.scm 640 */
BgL_ipz00_3905 = BgL_ipz00_2863; }  else 
{ 
 obj_t BgL_auxz00_7116;
BgL_auxz00_7116 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2847z00zz__multimediazd2midizd2, BgL_ipz00_2863); 
FAILURE(BgL_auxz00_7116,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 640 */
 long BgL_g1169z00_3906;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3907;
BgL_bz00_3907 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3905); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3908;
BgL_arg2068z00_3908 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3905, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7127; int BgL_tmpz00_7125;
BgL_auxz00_7127 = 
BINT(BgL_arg2068z00_3908); 
BgL_tmpz00_7125 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3905, BgL_tmpz00_7125, BgL_auxz00_7127); } } 
BgL_g1169z00_3906 = BgL_bz00_3907; } 
{ 
 long BgL_valz00_3910; long BgL_lenz00_3911;
BgL_valz00_3910 = BgL_g1169z00_3906; 
BgL_lenz00_3911 = BgL_lenz00_3904; 
BgL_loopz00_3909:
if(
(BgL_lenz00_3911==((long)1)))
{ /* Llib/midi.scm 642 */
BgL_tmpz00_7105 = BgL_valz00_3910
; }  else 
{ /* Llib/midi.scm 644 */
 long BgL_arg2084z00_3912; long BgL_arg2085z00_3913;
{ /* Llib/midi.scm 644 */
 long BgL_arg2086z00_3914; long BgL_arg2087z00_3915;
BgL_arg2086z00_3914 = 
(BgL_valz00_3910 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3916;
BgL_bz00_3916 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3905); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3917;
BgL_arg2068z00_3917 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3905, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7141; int BgL_tmpz00_7139;
BgL_auxz00_7141 = 
BINT(BgL_arg2068z00_3917); 
BgL_tmpz00_7139 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3905, BgL_tmpz00_7139, BgL_auxz00_7141); } } 
BgL_arg2087z00_3915 = BgL_bz00_3916; } 
BgL_arg2084z00_3912 = 
(BgL_arg2086z00_3914+BgL_arg2087z00_3915); } 
BgL_arg2085z00_3913 = 
(BgL_lenz00_3911-((long)1)); 
{ 
 long BgL_lenz00_7147; long BgL_valz00_7146;
BgL_valz00_7146 = BgL_arg2084z00_3912; 
BgL_lenz00_7147 = BgL_arg2085z00_3913; 
BgL_lenz00_3911 = BgL_lenz00_7147; 
BgL_valz00_3910 = BgL_valz00_7146; 
goto BgL_loopz00_3909;} } } } } 
return 
BINT(BgL_tmpz00_7105);} } 

}



/* &string-stream-read-vlq */
obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2864, obj_t BgL_ipz00_2865)
{
{ /* Llib/midi.scm 650 */
{ /* Llib/midi.scm 652 */
 long BgL_tmpz00_7149;
{ 
 long BgL_accz00_3919;
BgL_accz00_3919 = ((long)0); 
BgL_loopz00_3918:
{ /* Llib/midi.scm 652 */
 long BgL_cz00_3920;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3921;
BgL_bz00_3921 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(
((obj_t)BgL_ipz00_2865)); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2068z00_3922;
BgL_arg2068z00_3922 = 
(
(long)CINT(
STRUCT_REF(
((obj_t)BgL_ipz00_2865), 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7161; int BgL_auxz00_7159; obj_t BgL_tmpz00_7157;
BgL_auxz00_7161 = 
BINT(BgL_arg2068z00_3922); 
BgL_auxz00_7159 = 
(int)(((long)1)); 
BgL_tmpz00_7157 = 
((obj_t)BgL_ipz00_2865); 
STRUCT_SET(BgL_tmpz00_7157, BgL_auxz00_7159, BgL_auxz00_7161); } } 
BgL_cz00_3920 = BgL_bz00_3921; } 
if(
(BgL_cz00_3920<=((long)127)))
{ /* Llib/midi.scm 653 */
BgL_tmpz00_7149 = 
(BgL_cz00_3920+BgL_accz00_3919)
; }  else 
{ 
 long BgL_accz00_7167;
BgL_accz00_7167 = 
(
(BgL_accz00_3919+
(BgL_cz00_3920 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3919 = BgL_accz00_7167; 
goto BgL_loopz00_3918;} } } 
return 
BINT(BgL_tmpz00_7149);} } 

}



/* &string-stream-read-chars */
obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t BgL_envz00_2866, obj_t BgL_lenz00_2867, obj_t BgL_ipz00_2868)
{
{ /* Llib/midi.scm 660 */
{ /* Llib/midi.scm 661 */
 obj_t BgL_ipz00_3923;
if(
STRUCTP(BgL_ipz00_2868))
{ /* Llib/midi.scm 661 */
BgL_ipz00_3923 = BgL_ipz00_2868; }  else 
{ 
 obj_t BgL_auxz00_7175;
BgL_auxz00_7175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)27894)), BGl_string2852z00zz__multimediazd2midizd2, BGl_string2847z00zz__multimediazd2midizd2, BgL_ipz00_2868); 
FAILURE(BgL_auxz00_7175,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 661 */
 obj_t BgL_sz00_3924;
{ /* Llib/midi.scm 661 */
 obj_t BgL_arg2095z00_3925; obj_t BgL_arg2096z00_3926; obj_t BgL_arg2097z00_3927;
BgL_arg2095z00_3925 = 
STRUCT_REF(BgL_ipz00_3923, 
(int)(((long)0))); 
BgL_arg2096z00_3926 = 
STRUCT_REF(BgL_ipz00_3923, 
(int)(((long)1))); 
BgL_arg2097z00_3927 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_3923, 
(int)(((long)1))), BgL_lenz00_2867); 
{ /* Llib/midi.scm 661 */
 long BgL_startz00_3928; long BgL_endz00_3929;
BgL_startz00_3928 = 
(long)CINT(BgL_arg2096z00_3926); 
BgL_endz00_3929 = 
(long)CINT(BgL_arg2097z00_3927); 
BgL_sz00_3924 = 
c_substring(
((obj_t)BgL_arg2095z00_3925), BgL_startz00_3928, BgL_endz00_3929); } } 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7192; int BgL_tmpz00_7190;
BgL_auxz00_7192 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_3923, 
(int)(((long)1))), BgL_lenz00_2867); 
BgL_tmpz00_7190 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3923, BgL_tmpz00_7190, BgL_auxz00_7192); } 
return BgL_sz00_3924;} } } 

}



/* midiplayer-cdelay */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_68, BgL_midisinkz00_bglt BgL_msz00_69, long BgL_tickz00_70, BgL_miditrackz00_bglt BgL_trackz00_71, long BgL_ppqz00_72, long BgL_dtz00_73, long BgL_usz00_74)
{
{ /* Llib/midi.scm 993 */
if(
(BgL_dtz00_73>((long)0)))
{ /* Llib/midi.scm 998 */
 obj_t BgL_fun2101z00_2287;
BgL_fun2101z00_2287 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_69))->BgL_usleepz00); 
{ /* Llib/midi.scm 998 */
 long BgL_arg2100z00_2288;
BgL_arg2100z00_2288 = 
(
(
(BgL_dtz00_73*
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_71))->BgL_tempoz00))/BgL_ppqz00_72)-BgL_usz00_74); 
return 
PROCEDURE_ENTRY(BgL_fun2101z00_2287)(BgL_fun2101z00_2287, 
BINT(BgL_arg2100z00_2288), BEOA);} }  else 
{ /* Llib/midi.scm 997 */
return BFALSE;} } 

}



/* &midiplayer-cdelay */
obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2895, obj_t BgL_mpz00_2896, obj_t BgL_msz00_2897, obj_t BgL_tickz00_2898, obj_t BgL_trackz00_2899, obj_t BgL_ppqz00_2900, obj_t BgL_dtz00_2901, obj_t BgL_usz00_2902)
{
{ /* Llib/midi.scm 993 */
{ /* Llib/midi.scm 995 */
 long BgL_auxz00_7314; long BgL_auxz00_7305; long BgL_auxz00_7296; BgL_miditrackz00_bglt BgL_auxz00_7270; long BgL_auxz00_7261; BgL_midisinkz00_bglt BgL_auxz00_7235; BgL_midiplayerz00_bglt BgL_auxz00_7209;
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7315;
if(
INTEGERP(BgL_usz00_2902))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7315 = BgL_usz00_2902
; }  else 
{ 
 obj_t BgL_auxz00_7318;
BgL_auxz00_7318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_usz00_2902); 
FAILURE(BgL_auxz00_7318,BFALSE,BFALSE);} 
BgL_auxz00_7314 = 
(long)CINT(BgL_tmpz00_7315); } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7306;
if(
INTEGERP(BgL_dtz00_2901))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7306 = BgL_dtz00_2901
; }  else 
{ 
 obj_t BgL_auxz00_7309;
BgL_auxz00_7309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_dtz00_2901); 
FAILURE(BgL_auxz00_7309,BFALSE,BFALSE);} 
BgL_auxz00_7305 = 
(long)CINT(BgL_tmpz00_7306); } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7297;
if(
INTEGERP(BgL_ppqz00_2900))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7297 = BgL_ppqz00_2900
; }  else 
{ 
 obj_t BgL_auxz00_7300;
BgL_auxz00_7300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_ppqz00_2900); 
FAILURE(BgL_auxz00_7300,BFALSE,BFALSE);} 
BgL_auxz00_7296 = 
(long)CINT(BgL_tmpz00_7297); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3469z00_7271;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_4006;
BgL_classz00_4006 = BGl_miditrackz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_trackz00_2899))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1799z00_4008; long BgL_arg1800z00_4009;
BgL_arg1799z00_4008 = 
(BgL_objectz00_bglt)(BgL_trackz00_2899); 
BgL_arg1800z00_4009 = 
BGL_CLASS_DEPTH(BgL_classz00_4006); 
{ /* Llib/midi.scm 995 */
 bool_t BgL_arg1794z00_4013; bool_t BgL_arg1795z00_4014;
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_4018;
BgL_idxz00_4018 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4008); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1791z00_4019;
{ /* Llib/midi.scm 995 */
 long BgL_arg1792z00_4020;
BgL_arg1792z00_4020 = 
(BgL_idxz00_4018+BgL_arg1800z00_4009); 
BgL_arg1791z00_4019 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4020); } 
BgL_arg1794z00_4013 = 
(BgL_arg1791z00_4019==BgL_classz00_4006); } } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3075z00_4043;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_4028;
{ /* Llib/midi.scm 995 */
 long BgL_arg1804z00_4034;
{ /* Llib/midi.scm 995 */
 long BgL_arg1805z00_4035;
BgL_arg1805z00_4035 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4008); 
BgL_arg1804z00_4034 = 
(BgL_arg1805z00_4035-OBJECT_TYPE); } 
BgL_oclassz00_4028 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4034); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1111z00_4029;
BgL__ortest_1111z00_4029 = 
(BgL_classz00_4006==BgL_oclassz00_4028); 
if(BgL__ortest_1111z00_4029)
{ /* Llib/midi.scm 995 */
BgL_res3075z00_4043 = BgL__ortest_1111z00_4029; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_4030;
BgL_odepthz00_4030 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4028); 
if(
(BgL_arg1800z00_4009<BgL_odepthz00_4030))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1793z00_4032;
BgL_arg1793z00_4032 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4028, BgL_arg1800z00_4009); 
BgL_res3075z00_4043 = 
(BgL_arg1793z00_4032==BgL_classz00_4006); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3075z00_4043 = ((bool_t)0); } } } } 
BgL_arg1795z00_4014 = BgL_res3075z00_4043; } 
BgL_test3469z00_7271 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4013, BgL_arg1795z00_4014); } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3469z00_7271 = ((bool_t)0)
; } } 
if(BgL_test3469z00_7271)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7270 = 
((BgL_miditrackz00_bglt)BgL_trackz00_2899)
; }  else 
{ 
 obj_t BgL_auxz00_7292;
BgL_auxz00_7292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2854z00zz__multimediazd2midizd2, BgL_trackz00_2899); 
FAILURE(BgL_auxz00_7292,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7262;
if(
INTEGERP(BgL_tickz00_2898))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7262 = BgL_tickz00_2898
; }  else 
{ 
 obj_t BgL_auxz00_7265;
BgL_auxz00_7265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2898); 
FAILURE(BgL_auxz00_7265,BFALSE,BFALSE);} 
BgL_auxz00_7261 = 
(long)CINT(BgL_tmpz00_7262); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3464z00_7236;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3968;
BgL_classz00_3968 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2897))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1799z00_3970; long BgL_arg1800z00_3971;
BgL_arg1799z00_3970 = 
(BgL_objectz00_bglt)(BgL_msz00_2897); 
BgL_arg1800z00_3971 = 
BGL_CLASS_DEPTH(BgL_classz00_3968); 
{ /* Llib/midi.scm 995 */
 bool_t BgL_arg1794z00_3975; bool_t BgL_arg1795z00_3976;
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3980;
BgL_idxz00_3980 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_3970); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1791z00_3981;
{ /* Llib/midi.scm 995 */
 long BgL_arg1792z00_3982;
BgL_arg1792z00_3982 = 
(BgL_idxz00_3980+BgL_arg1800z00_3971); 
BgL_arg1791z00_3981 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_3982); } 
BgL_arg1794z00_3975 = 
(BgL_arg1791z00_3981==BgL_classz00_3968); } } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3074z00_4005;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3990;
{ /* Llib/midi.scm 995 */
 long BgL_arg1804z00_3996;
{ /* Llib/midi.scm 995 */
 long BgL_arg1805z00_3997;
BgL_arg1805z00_3997 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_3970); 
BgL_arg1804z00_3996 = 
(BgL_arg1805z00_3997-OBJECT_TYPE); } 
BgL_oclassz00_3990 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3996); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1111z00_3991;
BgL__ortest_1111z00_3991 = 
(BgL_classz00_3968==BgL_oclassz00_3990); 
if(BgL__ortest_1111z00_3991)
{ /* Llib/midi.scm 995 */
BgL_res3074z00_4005 = BgL__ortest_1111z00_3991; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3992;
BgL_odepthz00_3992 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3990); 
if(
(BgL_arg1800z00_3971<BgL_odepthz00_3992))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1793z00_3994;
BgL_arg1793z00_3994 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3990, BgL_arg1800z00_3971); 
BgL_res3074z00_4005 = 
(BgL_arg1793z00_3994==BgL_classz00_3968); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3074z00_4005 = ((bool_t)0); } } } } 
BgL_arg1795z00_3976 = BgL_res3074z00_4005; } 
BgL_test3464z00_7236 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3975, BgL_arg1795z00_3976); } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3464z00_7236 = ((bool_t)0)
; } } 
if(BgL_test3464z00_7236)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7235 = 
((BgL_midisinkz00_bglt)BgL_msz00_2897)
; }  else 
{ 
 obj_t BgL_auxz00_7257;
BgL_auxz00_7257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2897); 
FAILURE(BgL_auxz00_7257,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3460z00_7210;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3930;
BgL_classz00_3930 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2896))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1799z00_3932; long BgL_arg1800z00_3933;
BgL_arg1799z00_3932 = 
(BgL_objectz00_bglt)(BgL_mpz00_2896); 
BgL_arg1800z00_3933 = 
BGL_CLASS_DEPTH(BgL_classz00_3930); 
{ /* Llib/midi.scm 995 */
 bool_t BgL_arg1794z00_3937; bool_t BgL_arg1795z00_3938;
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3942;
BgL_idxz00_3942 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_3932); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1791z00_3943;
{ /* Llib/midi.scm 995 */
 long BgL_arg1792z00_3944;
BgL_arg1792z00_3944 = 
(BgL_idxz00_3942+BgL_arg1800z00_3933); 
BgL_arg1791z00_3943 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_3944); } 
BgL_arg1794z00_3937 = 
(BgL_arg1791z00_3943==BgL_classz00_3930); } } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3073z00_3967;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3952;
{ /* Llib/midi.scm 995 */
 long BgL_arg1804z00_3958;
{ /* Llib/midi.scm 995 */
 long BgL_arg1805z00_3959;
BgL_arg1805z00_3959 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_3932); 
BgL_arg1804z00_3958 = 
(BgL_arg1805z00_3959-OBJECT_TYPE); } 
BgL_oclassz00_3952 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3958); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1111z00_3953;
BgL__ortest_1111z00_3953 = 
(BgL_classz00_3930==BgL_oclassz00_3952); 
if(BgL__ortest_1111z00_3953)
{ /* Llib/midi.scm 995 */
BgL_res3073z00_3967 = BgL__ortest_1111z00_3953; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3954;
BgL_odepthz00_3954 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3952); 
if(
(BgL_arg1800z00_3933<BgL_odepthz00_3954))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1793z00_3956;
BgL_arg1793z00_3956 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3952, BgL_arg1800z00_3933); 
BgL_res3073z00_3967 = 
(BgL_arg1793z00_3956==BgL_classz00_3930); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3073z00_3967 = ((bool_t)0); } } } } 
BgL_arg1795z00_3938 = BgL_res3073z00_3967; } 
BgL_test3460z00_7210 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3937, BgL_arg1795z00_3938); } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3460z00_7210 = ((bool_t)0)
; } } 
if(BgL_test3460z00_7210)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7209 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2896)
; }  else 
{ 
 obj_t BgL_auxz00_7231;
BgL_auxz00_7231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2896); 
FAILURE(BgL_auxz00_7231,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_auxz00_7209, BgL_auxz00_7235, BgL_auxz00_7261, BgL_auxz00_7270, BgL_auxz00_7296, BgL_auxz00_7305, BgL_auxz00_7314);} } 

}



/* midiplayer-ignore */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_75, BgL_midisinkz00_bglt BgL_msz00_76, long BgL_tickz00_77, obj_t BgL_objz00_78)
{
{ /* Llib/midi.scm 1003 */
return BUNSPEC;} 

}



/* &midiplayer-ignore */
obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2903, obj_t BgL_mpz00_2904, obj_t BgL_msz00_2905, obj_t BgL_tickz00_2906, obj_t BgL_objz00_2907)
{
{ /* Llib/midi.scm 1003 */
{ /* Llib/midi.scm 1003 */
 BgL_midiplayerz00_bglt BgL_mpz00_4120; BgL_midisinkz00_bglt BgL_msz00_4121; long BgL_tickz00_4122;
{ /* Llib/midi.scm 1003 */
 bool_t BgL_test3476z00_7324;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_classz00_4044;
BgL_classz00_4044 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2904))
{ /* Llib/midi.scm 1003 */
 BgL_objectz00_bglt BgL_arg1799z00_4046; long BgL_arg1800z00_4047;
BgL_arg1799z00_4046 = 
(BgL_objectz00_bglt)(BgL_mpz00_2904); 
BgL_arg1800z00_4047 = 
BGL_CLASS_DEPTH(BgL_classz00_4044); 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_arg1794z00_4051; bool_t BgL_arg1795z00_4052;
{ /* Llib/midi.scm 1003 */
 long BgL_idxz00_4056;
BgL_idxz00_4056 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4046); 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1791z00_4057;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1792z00_4058;
BgL_arg1792z00_4058 = 
(BgL_idxz00_4056+BgL_arg1800z00_4047); 
BgL_arg1791z00_4057 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4058); } 
BgL_arg1794z00_4051 = 
(BgL_arg1791z00_4057==BgL_classz00_4044); } } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_res3076z00_4081;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_oclassz00_4066;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1804z00_4072;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1805z00_4073;
BgL_arg1805z00_4073 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4046); 
BgL_arg1804z00_4072 = 
(BgL_arg1805z00_4073-OBJECT_TYPE); } 
BgL_oclassz00_4066 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4072); } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL__ortest_1111z00_4067;
BgL__ortest_1111z00_4067 = 
(BgL_classz00_4044==BgL_oclassz00_4066); 
if(BgL__ortest_1111z00_4067)
{ /* Llib/midi.scm 1003 */
BgL_res3076z00_4081 = BgL__ortest_1111z00_4067; }  else 
{ /* Llib/midi.scm 1003 */
 long BgL_odepthz00_4068;
BgL_odepthz00_4068 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4066); 
if(
(BgL_arg1800z00_4047<BgL_odepthz00_4068))
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1793z00_4070;
BgL_arg1793z00_4070 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4066, BgL_arg1800z00_4047); 
BgL_res3076z00_4081 = 
(BgL_arg1793z00_4070==BgL_classz00_4044); }  else 
{ /* Llib/midi.scm 1003 */
BgL_res3076z00_4081 = ((bool_t)0); } } } } 
BgL_arg1795z00_4052 = BgL_res3076z00_4081; } 
BgL_test3476z00_7324 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4051, BgL_arg1795z00_4052); } }  else 
{ /* Llib/midi.scm 1003 */
BgL_test3476z00_7324 = ((bool_t)0)
; } } 
if(BgL_test3476z00_7324)
{ /* Llib/midi.scm 1003 */
BgL_mpz00_4120 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2904); }  else 
{ 
 obj_t BgL_auxz00_7345;
BgL_auxz00_7345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2855z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2904); 
FAILURE(BgL_auxz00_7345,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_test3480z00_7349;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_classz00_4082;
BgL_classz00_4082 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2905))
{ /* Llib/midi.scm 1003 */
 BgL_objectz00_bglt BgL_arg1799z00_4084; long BgL_arg1800z00_4085;
BgL_arg1799z00_4084 = 
(BgL_objectz00_bglt)(BgL_msz00_2905); 
BgL_arg1800z00_4085 = 
BGL_CLASS_DEPTH(BgL_classz00_4082); 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_arg1794z00_4089; bool_t BgL_arg1795z00_4090;
{ /* Llib/midi.scm 1003 */
 long BgL_idxz00_4094;
BgL_idxz00_4094 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4084); 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1791z00_4095;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1792z00_4096;
BgL_arg1792z00_4096 = 
(BgL_idxz00_4094+BgL_arg1800z00_4085); 
BgL_arg1791z00_4095 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4096); } 
BgL_arg1794z00_4089 = 
(BgL_arg1791z00_4095==BgL_classz00_4082); } } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_res3077z00_4119;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_oclassz00_4104;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1804z00_4110;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1805z00_4111;
BgL_arg1805z00_4111 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4084); 
BgL_arg1804z00_4110 = 
(BgL_arg1805z00_4111-OBJECT_TYPE); } 
BgL_oclassz00_4104 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4110); } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL__ortest_1111z00_4105;
BgL__ortest_1111z00_4105 = 
(BgL_classz00_4082==BgL_oclassz00_4104); 
if(BgL__ortest_1111z00_4105)
{ /* Llib/midi.scm 1003 */
BgL_res3077z00_4119 = BgL__ortest_1111z00_4105; }  else 
{ /* Llib/midi.scm 1003 */
 long BgL_odepthz00_4106;
BgL_odepthz00_4106 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4104); 
if(
(BgL_arg1800z00_4085<BgL_odepthz00_4106))
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1793z00_4108;
BgL_arg1793z00_4108 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4104, BgL_arg1800z00_4085); 
BgL_res3077z00_4119 = 
(BgL_arg1793z00_4108==BgL_classz00_4082); }  else 
{ /* Llib/midi.scm 1003 */
BgL_res3077z00_4119 = ((bool_t)0); } } } } 
BgL_arg1795z00_4090 = BgL_res3077z00_4119; } 
BgL_test3480z00_7349 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4089, BgL_arg1795z00_4090); } }  else 
{ /* Llib/midi.scm 1003 */
BgL_test3480z00_7349 = ((bool_t)0)
; } } 
if(BgL_test3480z00_7349)
{ /* Llib/midi.scm 1003 */
BgL_msz00_4121 = 
((BgL_midisinkz00_bglt)BgL_msz00_2905); }  else 
{ 
 obj_t BgL_auxz00_7370;
BgL_auxz00_7370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2855z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2905); 
FAILURE(BgL_auxz00_7370,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_tmpz00_7374;
if(
INTEGERP(BgL_tickz00_2906))
{ /* Llib/midi.scm 1003 */
BgL_tmpz00_7374 = BgL_tickz00_2906
; }  else 
{ 
 obj_t BgL_auxz00_7377;
BgL_auxz00_7377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2855z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2906); 
FAILURE(BgL_auxz00_7377,BFALSE,BFALSE);} 
BgL_tickz00_4122 = 
(long)CINT(BgL_tmpz00_7374); } 
return BUNSPEC;} } 

}



/* midiplayer-noteoff */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_88, BgL_midisinkz00_bglt BgL_msz00_89, long BgL_tickz00_90, long BgL_nnz00_91, long BgL_kkz00_92, long BgL_vvz00_93)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2111z00_2322;
BgL_fun2111z00_2322 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2109z00_2323; long BgL_arg2110z00_2324;
BgL_arg2109z00_2323 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
BgL_arg2110z00_2324 = 
(((long)128) | BgL_nnz00_91); 
PROCEDURE_ENTRY(BgL_fun2111z00_2322)(BgL_fun2111z00_2322, BgL_arg2109z00_2323, 
BINT(BgL_arg2110z00_2324), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2113z00_2325;
BgL_fun2113z00_2325 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2112z00_2326;
BgL_arg2112z00_2326 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2113z00_2325)(BgL_fun2113z00_2325, BgL_arg2112z00_2326, 
BINT(BgL_kkz00_92), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2115z00_2327;
BgL_fun2115z00_2327 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2114z00_2328;
BgL_arg2114z00_2328 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2115z00_2327)(BgL_fun2115z00_2327, BgL_arg2114z00_2328, 
BINT(BgL_vvz00_93), BEOA);} } } 

}



/* &midiplayer-noteoff */
obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2908, obj_t BgL_mpz00_2909, obj_t BgL_msz00_2910, obj_t BgL_tickz00_2911, obj_t BgL_nnz00_2912, obj_t BgL_kkz00_2913, obj_t BgL_vvz00_2914)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1028 */
 long BgL_auxz00_7486; long BgL_auxz00_7477; long BgL_auxz00_7468; long BgL_auxz00_7459; BgL_midisinkz00_bglt BgL_auxz00_7433; BgL_midiplayerz00_bglt BgL_auxz00_7407;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7487;
if(
INTEGERP(BgL_vvz00_2914))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7487 = BgL_vvz00_2914
; }  else 
{ 
 obj_t BgL_auxz00_7490;
BgL_auxz00_7490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_vvz00_2914); 
FAILURE(BgL_auxz00_7490,BFALSE,BFALSE);} 
BgL_auxz00_7486 = 
(long)CINT(BgL_tmpz00_7487); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7478;
if(
INTEGERP(BgL_kkz00_2913))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7478 = BgL_kkz00_2913
; }  else 
{ 
 obj_t BgL_auxz00_7481;
BgL_auxz00_7481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_kkz00_2913); 
FAILURE(BgL_auxz00_7481,BFALSE,BFALSE);} 
BgL_auxz00_7477 = 
(long)CINT(BgL_tmpz00_7478); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7469;
if(
INTEGERP(BgL_nnz00_2912))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7469 = BgL_nnz00_2912
; }  else 
{ 
 obj_t BgL_auxz00_7472;
BgL_auxz00_7472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2912); 
FAILURE(BgL_auxz00_7472,BFALSE,BFALSE);} 
BgL_auxz00_7468 = 
(long)CINT(BgL_tmpz00_7469); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7460;
if(
INTEGERP(BgL_tickz00_2911))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7460 = BgL_tickz00_2911
; }  else 
{ 
 obj_t BgL_auxz00_7463;
BgL_auxz00_7463 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2911); 
FAILURE(BgL_auxz00_7463,BFALSE,BFALSE);} 
BgL_auxz00_7459 = 
(long)CINT(BgL_tmpz00_7460); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_test3489z00_7434;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_classz00_4161;
BgL_classz00_4161 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2910))
{ /* Llib/midi.scm 1028 */
 BgL_objectz00_bglt BgL_arg1799z00_4163; long BgL_arg1800z00_4164;
BgL_arg1799z00_4163 = 
(BgL_objectz00_bglt)(BgL_msz00_2910); 
BgL_arg1800z00_4164 = 
BGL_CLASS_DEPTH(BgL_classz00_4161); 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_arg1794z00_4168; bool_t BgL_arg1795z00_4169;
{ /* Llib/midi.scm 1028 */
 long BgL_idxz00_4173;
BgL_idxz00_4173 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4163); 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1791z00_4174;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1792z00_4175;
BgL_arg1792z00_4175 = 
(BgL_idxz00_4173+BgL_arg1800z00_4164); 
BgL_arg1791z00_4174 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4175); } 
BgL_arg1794z00_4168 = 
(BgL_arg1791z00_4174==BgL_classz00_4161); } } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_res3079z00_4198;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_oclassz00_4183;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1804z00_4189;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1805z00_4190;
BgL_arg1805z00_4190 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4163); 
BgL_arg1804z00_4189 = 
(BgL_arg1805z00_4190-OBJECT_TYPE); } 
BgL_oclassz00_4183 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4189); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL__ortest_1111z00_4184;
BgL__ortest_1111z00_4184 = 
(BgL_classz00_4161==BgL_oclassz00_4183); 
if(BgL__ortest_1111z00_4184)
{ /* Llib/midi.scm 1028 */
BgL_res3079z00_4198 = BgL__ortest_1111z00_4184; }  else 
{ /* Llib/midi.scm 1028 */
 long BgL_odepthz00_4185;
BgL_odepthz00_4185 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4183); 
if(
(BgL_arg1800z00_4164<BgL_odepthz00_4185))
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1793z00_4187;
BgL_arg1793z00_4187 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4183, BgL_arg1800z00_4164); 
BgL_res3079z00_4198 = 
(BgL_arg1793z00_4187==BgL_classz00_4161); }  else 
{ /* Llib/midi.scm 1028 */
BgL_res3079z00_4198 = ((bool_t)0); } } } } 
BgL_arg1795z00_4169 = BgL_res3079z00_4198; } 
BgL_test3489z00_7434 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4168, BgL_arg1795z00_4169); } }  else 
{ /* Llib/midi.scm 1028 */
BgL_test3489z00_7434 = ((bool_t)0)
; } } 
if(BgL_test3489z00_7434)
{ /* Llib/midi.scm 1028 */
BgL_auxz00_7433 = 
((BgL_midisinkz00_bglt)BgL_msz00_2910)
; }  else 
{ 
 obj_t BgL_auxz00_7455;
BgL_auxz00_7455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2910); 
FAILURE(BgL_auxz00_7455,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_test3485z00_7408;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_classz00_4123;
BgL_classz00_4123 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2909))
{ /* Llib/midi.scm 1028 */
 BgL_objectz00_bglt BgL_arg1799z00_4125; long BgL_arg1800z00_4126;
BgL_arg1799z00_4125 = 
(BgL_objectz00_bglt)(BgL_mpz00_2909); 
BgL_arg1800z00_4126 = 
BGL_CLASS_DEPTH(BgL_classz00_4123); 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_arg1794z00_4130; bool_t BgL_arg1795z00_4131;
{ /* Llib/midi.scm 1028 */
 long BgL_idxz00_4135;
BgL_idxz00_4135 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4125); 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1791z00_4136;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1792z00_4137;
BgL_arg1792z00_4137 = 
(BgL_idxz00_4135+BgL_arg1800z00_4126); 
BgL_arg1791z00_4136 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4137); } 
BgL_arg1794z00_4130 = 
(BgL_arg1791z00_4136==BgL_classz00_4123); } } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_res3078z00_4160;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_oclassz00_4145;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1804z00_4151;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1805z00_4152;
BgL_arg1805z00_4152 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4125); 
BgL_arg1804z00_4151 = 
(BgL_arg1805z00_4152-OBJECT_TYPE); } 
BgL_oclassz00_4145 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4151); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL__ortest_1111z00_4146;
BgL__ortest_1111z00_4146 = 
(BgL_classz00_4123==BgL_oclassz00_4145); 
if(BgL__ortest_1111z00_4146)
{ /* Llib/midi.scm 1028 */
BgL_res3078z00_4160 = BgL__ortest_1111z00_4146; }  else 
{ /* Llib/midi.scm 1028 */
 long BgL_odepthz00_4147;
BgL_odepthz00_4147 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4145); 
if(
(BgL_arg1800z00_4126<BgL_odepthz00_4147))
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1793z00_4149;
BgL_arg1793z00_4149 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4145, BgL_arg1800z00_4126); 
BgL_res3078z00_4160 = 
(BgL_arg1793z00_4149==BgL_classz00_4123); }  else 
{ /* Llib/midi.scm 1028 */
BgL_res3078z00_4160 = ((bool_t)0); } } } } 
BgL_arg1795z00_4131 = BgL_res3078z00_4160; } 
BgL_test3485z00_7408 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4130, BgL_arg1795z00_4131); } }  else 
{ /* Llib/midi.scm 1028 */
BgL_test3485z00_7408 = ((bool_t)0)
; } } 
if(BgL_test3485z00_7408)
{ /* Llib/midi.scm 1028 */
BgL_auxz00_7407 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2909)
; }  else 
{ 
 obj_t BgL_auxz00_7429;
BgL_auxz00_7429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2909); 
FAILURE(BgL_auxz00_7429,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_auxz00_7407, BgL_auxz00_7433, BgL_auxz00_7459, BgL_auxz00_7468, BgL_auxz00_7477, BgL_auxz00_7486);} } 

}



/* midiplayer-noteon */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_94, BgL_midisinkz00_bglt BgL_msz00_95, long BgL_tickz00_96, long BgL_nnz00_97, long BgL_kkz00_98, long BgL_vvz00_99)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2111z00_2335;
BgL_fun2111z00_2335 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2109z00_2336; long BgL_arg2110z00_2337;
BgL_arg2109z00_2336 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
BgL_arg2110z00_2337 = 
(((long)144) | BgL_nnz00_97); 
PROCEDURE_ENTRY(BgL_fun2111z00_2335)(BgL_fun2111z00_2335, BgL_arg2109z00_2336, 
BINT(BgL_arg2110z00_2337), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2113z00_2338;
BgL_fun2113z00_2338 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2112z00_2339;
BgL_arg2112z00_2339 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2113z00_2338)(BgL_fun2113z00_2338, BgL_arg2112z00_2339, 
BINT(BgL_kkz00_98), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2115z00_2340;
BgL_fun2115z00_2340 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2114z00_2341;
BgL_arg2114z00_2341 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2115z00_2340)(BgL_fun2115z00_2340, BgL_arg2114z00_2341, 
BINT(BgL_vvz00_99), BEOA);} } } 

}



/* &midiplayer-noteon */
obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2915, obj_t BgL_mpz00_2916, obj_t BgL_msz00_2917, obj_t BgL_tickz00_2918, obj_t BgL_nnz00_2919, obj_t BgL_kkz00_2920, obj_t BgL_vvz00_2921)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1035 */
 long BgL_auxz00_7600; long BgL_auxz00_7591; long BgL_auxz00_7582; long BgL_auxz00_7573; BgL_midisinkz00_bglt BgL_auxz00_7547; BgL_midiplayerz00_bglt BgL_auxz00_7521;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7601;
if(
INTEGERP(BgL_vvz00_2921))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7601 = BgL_vvz00_2921
; }  else 
{ 
 obj_t BgL_auxz00_7604;
BgL_auxz00_7604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2857z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_vvz00_2921); 
FAILURE(BgL_auxz00_7604,BFALSE,BFALSE);} 
BgL_auxz00_7600 = 
(long)CINT(BgL_tmpz00_7601); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7592;
if(
INTEGERP(BgL_kkz00_2920))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7592 = BgL_kkz00_2920
; }  else 
{ 
 obj_t BgL_auxz00_7595;
BgL_auxz00_7595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2857z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_kkz00_2920); 
FAILURE(BgL_auxz00_7595,BFALSE,BFALSE);} 
BgL_auxz00_7591 = 
(long)CINT(BgL_tmpz00_7592); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7583;
if(
INTEGERP(BgL_nnz00_2919))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7583 = BgL_nnz00_2919
; }  else 
{ 
 obj_t BgL_auxz00_7586;
BgL_auxz00_7586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2857z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2919); 
FAILURE(BgL_auxz00_7586,BFALSE,BFALSE);} 
BgL_auxz00_7582 = 
(long)CINT(BgL_tmpz00_7583); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7574;
if(
INTEGERP(BgL_tickz00_2918))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7574 = BgL_tickz00_2918
; }  else 
{ 
 obj_t BgL_auxz00_7577;
BgL_auxz00_7577 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2857z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2918); 
FAILURE(BgL_auxz00_7577,BFALSE,BFALSE);} 
BgL_auxz00_7573 = 
(long)CINT(BgL_tmpz00_7574); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_test3501z00_7548;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_classz00_4237;
BgL_classz00_4237 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2917))
{ /* Llib/midi.scm 1035 */
 BgL_objectz00_bglt BgL_arg1799z00_4239; long BgL_arg1800z00_4240;
BgL_arg1799z00_4239 = 
(BgL_objectz00_bglt)(BgL_msz00_2917); 
BgL_arg1800z00_4240 = 
BGL_CLASS_DEPTH(BgL_classz00_4237); 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_arg1794z00_4244; bool_t BgL_arg1795z00_4245;
{ /* Llib/midi.scm 1035 */
 long BgL_idxz00_4249;
BgL_idxz00_4249 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4239); 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1791z00_4250;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1792z00_4251;
BgL_arg1792z00_4251 = 
(BgL_idxz00_4249+BgL_arg1800z00_4240); 
BgL_arg1791z00_4250 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4251); } 
BgL_arg1794z00_4244 = 
(BgL_arg1791z00_4250==BgL_classz00_4237); } } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_res3081z00_4274;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_oclassz00_4259;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1804z00_4265;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1805z00_4266;
BgL_arg1805z00_4266 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4239); 
BgL_arg1804z00_4265 = 
(BgL_arg1805z00_4266-OBJECT_TYPE); } 
BgL_oclassz00_4259 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4265); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL__ortest_1111z00_4260;
BgL__ortest_1111z00_4260 = 
(BgL_classz00_4237==BgL_oclassz00_4259); 
if(BgL__ortest_1111z00_4260)
{ /* Llib/midi.scm 1035 */
BgL_res3081z00_4274 = BgL__ortest_1111z00_4260; }  else 
{ /* Llib/midi.scm 1035 */
 long BgL_odepthz00_4261;
BgL_odepthz00_4261 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4259); 
if(
(BgL_arg1800z00_4240<BgL_odepthz00_4261))
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1793z00_4263;
BgL_arg1793z00_4263 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4259, BgL_arg1800z00_4240); 
BgL_res3081z00_4274 = 
(BgL_arg1793z00_4263==BgL_classz00_4237); }  else 
{ /* Llib/midi.scm 1035 */
BgL_res3081z00_4274 = ((bool_t)0); } } } } 
BgL_arg1795z00_4245 = BgL_res3081z00_4274; } 
BgL_test3501z00_7548 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4244, BgL_arg1795z00_4245); } }  else 
{ /* Llib/midi.scm 1035 */
BgL_test3501z00_7548 = ((bool_t)0)
; } } 
if(BgL_test3501z00_7548)
{ /* Llib/midi.scm 1035 */
BgL_auxz00_7547 = 
((BgL_midisinkz00_bglt)BgL_msz00_2917)
; }  else 
{ 
 obj_t BgL_auxz00_7569;
BgL_auxz00_7569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2857z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2917); 
FAILURE(BgL_auxz00_7569,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_test3497z00_7522;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_classz00_4199;
BgL_classz00_4199 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2916))
{ /* Llib/midi.scm 1035 */
 BgL_objectz00_bglt BgL_arg1799z00_4201; long BgL_arg1800z00_4202;
BgL_arg1799z00_4201 = 
(BgL_objectz00_bglt)(BgL_mpz00_2916); 
BgL_arg1800z00_4202 = 
BGL_CLASS_DEPTH(BgL_classz00_4199); 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_arg1794z00_4206; bool_t BgL_arg1795z00_4207;
{ /* Llib/midi.scm 1035 */
 long BgL_idxz00_4211;
BgL_idxz00_4211 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4201); 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1791z00_4212;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1792z00_4213;
BgL_arg1792z00_4213 = 
(BgL_idxz00_4211+BgL_arg1800z00_4202); 
BgL_arg1791z00_4212 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4213); } 
BgL_arg1794z00_4206 = 
(BgL_arg1791z00_4212==BgL_classz00_4199); } } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_res3080z00_4236;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_oclassz00_4221;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1804z00_4227;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1805z00_4228;
BgL_arg1805z00_4228 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4201); 
BgL_arg1804z00_4227 = 
(BgL_arg1805z00_4228-OBJECT_TYPE); } 
BgL_oclassz00_4221 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4227); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL__ortest_1111z00_4222;
BgL__ortest_1111z00_4222 = 
(BgL_classz00_4199==BgL_oclassz00_4221); 
if(BgL__ortest_1111z00_4222)
{ /* Llib/midi.scm 1035 */
BgL_res3080z00_4236 = BgL__ortest_1111z00_4222; }  else 
{ /* Llib/midi.scm 1035 */
 long BgL_odepthz00_4223;
BgL_odepthz00_4223 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4221); 
if(
(BgL_arg1800z00_4202<BgL_odepthz00_4223))
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1793z00_4225;
BgL_arg1793z00_4225 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4221, BgL_arg1800z00_4202); 
BgL_res3080z00_4236 = 
(BgL_arg1793z00_4225==BgL_classz00_4199); }  else 
{ /* Llib/midi.scm 1035 */
BgL_res3080z00_4236 = ((bool_t)0); } } } } 
BgL_arg1795z00_4207 = BgL_res3080z00_4236; } 
BgL_test3497z00_7522 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4206, BgL_arg1795z00_4207); } }  else 
{ /* Llib/midi.scm 1035 */
BgL_test3497z00_7522 = ((bool_t)0)
; } } 
if(BgL_test3497z00_7522)
{ /* Llib/midi.scm 1035 */
BgL_auxz00_7521 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2916)
; }  else 
{ 
 obj_t BgL_auxz00_7543;
BgL_auxz00_7543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2857z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2916); 
FAILURE(BgL_auxz00_7543,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_auxz00_7521, BgL_auxz00_7547, BgL_auxz00_7573, BgL_auxz00_7582, BgL_auxz00_7591, BgL_auxz00_7600);} } 

}



/* midiplayer-aftertouch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_100, BgL_midisinkz00_bglt BgL_msz00_101, long BgL_tickz00_102, long BgL_nnz00_103, long BgL_kkz00_104, long BgL_vvz00_105)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2111z00_2348;
BgL_fun2111z00_2348 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2109z00_2349; long BgL_arg2110z00_2350;
BgL_arg2109z00_2349 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
BgL_arg2110z00_2350 = 
(((long)160) | BgL_nnz00_103); 
PROCEDURE_ENTRY(BgL_fun2111z00_2348)(BgL_fun2111z00_2348, BgL_arg2109z00_2349, 
BINT(BgL_arg2110z00_2350), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2113z00_2351;
BgL_fun2113z00_2351 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2112z00_2352;
BgL_arg2112z00_2352 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2113z00_2351)(BgL_fun2113z00_2351, BgL_arg2112z00_2352, 
BINT(BgL_kkz00_104), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2115z00_2353;
BgL_fun2115z00_2353 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2114z00_2354;
BgL_arg2114z00_2354 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2115z00_2353)(BgL_fun2115z00_2353, BgL_arg2114z00_2354, 
BINT(BgL_vvz00_105), BEOA);} } } 

}



/* &midiplayer-aftertouch */
obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2922, obj_t BgL_mpz00_2923, obj_t BgL_msz00_2924, obj_t BgL_tickz00_2925, obj_t BgL_nnz00_2926, obj_t BgL_kkz00_2927, obj_t BgL_vvz00_2928)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1042 */
 long BgL_auxz00_7714; long BgL_auxz00_7705; long BgL_auxz00_7696; long BgL_auxz00_7687; BgL_midisinkz00_bglt BgL_auxz00_7661; BgL_midiplayerz00_bglt BgL_auxz00_7635;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7715;
if(
INTEGERP(BgL_vvz00_2928))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7715 = BgL_vvz00_2928
; }  else 
{ 
 obj_t BgL_auxz00_7718;
BgL_auxz00_7718 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_vvz00_2928); 
FAILURE(BgL_auxz00_7718,BFALSE,BFALSE);} 
BgL_auxz00_7714 = 
(long)CINT(BgL_tmpz00_7715); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7706;
if(
INTEGERP(BgL_kkz00_2927))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7706 = BgL_kkz00_2927
; }  else 
{ 
 obj_t BgL_auxz00_7709;
BgL_auxz00_7709 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_kkz00_2927); 
FAILURE(BgL_auxz00_7709,BFALSE,BFALSE);} 
BgL_auxz00_7705 = 
(long)CINT(BgL_tmpz00_7706); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7697;
if(
INTEGERP(BgL_nnz00_2926))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7697 = BgL_nnz00_2926
; }  else 
{ 
 obj_t BgL_auxz00_7700;
BgL_auxz00_7700 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2926); 
FAILURE(BgL_auxz00_7700,BFALSE,BFALSE);} 
BgL_auxz00_7696 = 
(long)CINT(BgL_tmpz00_7697); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7688;
if(
INTEGERP(BgL_tickz00_2925))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7688 = BgL_tickz00_2925
; }  else 
{ 
 obj_t BgL_auxz00_7691;
BgL_auxz00_7691 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2925); 
FAILURE(BgL_auxz00_7691,BFALSE,BFALSE);} 
BgL_auxz00_7687 = 
(long)CINT(BgL_tmpz00_7688); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_test3513z00_7662;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_classz00_4313;
BgL_classz00_4313 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2924))
{ /* Llib/midi.scm 1042 */
 BgL_objectz00_bglt BgL_arg1799z00_4315; long BgL_arg1800z00_4316;
BgL_arg1799z00_4315 = 
(BgL_objectz00_bglt)(BgL_msz00_2924); 
BgL_arg1800z00_4316 = 
BGL_CLASS_DEPTH(BgL_classz00_4313); 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_arg1794z00_4320; bool_t BgL_arg1795z00_4321;
{ /* Llib/midi.scm 1042 */
 long BgL_idxz00_4325;
BgL_idxz00_4325 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4315); 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1791z00_4326;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1792z00_4327;
BgL_arg1792z00_4327 = 
(BgL_idxz00_4325+BgL_arg1800z00_4316); 
BgL_arg1791z00_4326 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4327); } 
BgL_arg1794z00_4320 = 
(BgL_arg1791z00_4326==BgL_classz00_4313); } } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_res3083z00_4350;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_oclassz00_4335;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1804z00_4341;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1805z00_4342;
BgL_arg1805z00_4342 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4315); 
BgL_arg1804z00_4341 = 
(BgL_arg1805z00_4342-OBJECT_TYPE); } 
BgL_oclassz00_4335 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4341); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL__ortest_1111z00_4336;
BgL__ortest_1111z00_4336 = 
(BgL_classz00_4313==BgL_oclassz00_4335); 
if(BgL__ortest_1111z00_4336)
{ /* Llib/midi.scm 1042 */
BgL_res3083z00_4350 = BgL__ortest_1111z00_4336; }  else 
{ /* Llib/midi.scm 1042 */
 long BgL_odepthz00_4337;
BgL_odepthz00_4337 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4335); 
if(
(BgL_arg1800z00_4316<BgL_odepthz00_4337))
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1793z00_4339;
BgL_arg1793z00_4339 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4335, BgL_arg1800z00_4316); 
BgL_res3083z00_4350 = 
(BgL_arg1793z00_4339==BgL_classz00_4313); }  else 
{ /* Llib/midi.scm 1042 */
BgL_res3083z00_4350 = ((bool_t)0); } } } } 
BgL_arg1795z00_4321 = BgL_res3083z00_4350; } 
BgL_test3513z00_7662 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4320, BgL_arg1795z00_4321); } }  else 
{ /* Llib/midi.scm 1042 */
BgL_test3513z00_7662 = ((bool_t)0)
; } } 
if(BgL_test3513z00_7662)
{ /* Llib/midi.scm 1042 */
BgL_auxz00_7661 = 
((BgL_midisinkz00_bglt)BgL_msz00_2924)
; }  else 
{ 
 obj_t BgL_auxz00_7683;
BgL_auxz00_7683 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2924); 
FAILURE(BgL_auxz00_7683,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_test3509z00_7636;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_classz00_4275;
BgL_classz00_4275 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2923))
{ /* Llib/midi.scm 1042 */
 BgL_objectz00_bglt BgL_arg1799z00_4277; long BgL_arg1800z00_4278;
BgL_arg1799z00_4277 = 
(BgL_objectz00_bglt)(BgL_mpz00_2923); 
BgL_arg1800z00_4278 = 
BGL_CLASS_DEPTH(BgL_classz00_4275); 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_arg1794z00_4282; bool_t BgL_arg1795z00_4283;
{ /* Llib/midi.scm 1042 */
 long BgL_idxz00_4287;
BgL_idxz00_4287 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4277); 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1791z00_4288;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1792z00_4289;
BgL_arg1792z00_4289 = 
(BgL_idxz00_4287+BgL_arg1800z00_4278); 
BgL_arg1791z00_4288 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4289); } 
BgL_arg1794z00_4282 = 
(BgL_arg1791z00_4288==BgL_classz00_4275); } } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_res3082z00_4312;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_oclassz00_4297;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1804z00_4303;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1805z00_4304;
BgL_arg1805z00_4304 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4277); 
BgL_arg1804z00_4303 = 
(BgL_arg1805z00_4304-OBJECT_TYPE); } 
BgL_oclassz00_4297 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4303); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL__ortest_1111z00_4298;
BgL__ortest_1111z00_4298 = 
(BgL_classz00_4275==BgL_oclassz00_4297); 
if(BgL__ortest_1111z00_4298)
{ /* Llib/midi.scm 1042 */
BgL_res3082z00_4312 = BgL__ortest_1111z00_4298; }  else 
{ /* Llib/midi.scm 1042 */
 long BgL_odepthz00_4299;
BgL_odepthz00_4299 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4297); 
if(
(BgL_arg1800z00_4278<BgL_odepthz00_4299))
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1793z00_4301;
BgL_arg1793z00_4301 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4297, BgL_arg1800z00_4278); 
BgL_res3082z00_4312 = 
(BgL_arg1793z00_4301==BgL_classz00_4275); }  else 
{ /* Llib/midi.scm 1042 */
BgL_res3082z00_4312 = ((bool_t)0); } } } } 
BgL_arg1795z00_4283 = BgL_res3082z00_4312; } 
BgL_test3509z00_7636 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4282, BgL_arg1795z00_4283); } }  else 
{ /* Llib/midi.scm 1042 */
BgL_test3509z00_7636 = ((bool_t)0)
; } } 
if(BgL_test3509z00_7636)
{ /* Llib/midi.scm 1042 */
BgL_auxz00_7635 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2923)
; }  else 
{ 
 obj_t BgL_auxz00_7657;
BgL_auxz00_7657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2923); 
FAILURE(BgL_auxz00_7657,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_auxz00_7635, BgL_auxz00_7661, BgL_auxz00_7687, BgL_auxz00_7696, BgL_auxz00_7705, BgL_auxz00_7714);} } 

}



/* midiplayer-ctrlchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_106, BgL_midisinkz00_bglt BgL_msz00_107, long BgL_tickz00_108, long BgL_nnz00_109, long BgL_kkz00_110, long BgL_vvz00_111)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2111z00_2361;
BgL_fun2111z00_2361 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2109z00_2362; long BgL_arg2110z00_2363;
BgL_arg2109z00_2362 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
BgL_arg2110z00_2363 = 
(((long)176) | BgL_nnz00_109); 
PROCEDURE_ENTRY(BgL_fun2111z00_2361)(BgL_fun2111z00_2361, BgL_arg2109z00_2362, 
BINT(BgL_arg2110z00_2363), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2113z00_2364;
BgL_fun2113z00_2364 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2112z00_2365;
BgL_arg2112z00_2365 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2113z00_2364)(BgL_fun2113z00_2364, BgL_arg2112z00_2365, 
BINT(BgL_kkz00_110), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2115z00_2366;
BgL_fun2115z00_2366 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2114z00_2367;
BgL_arg2114z00_2367 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2115z00_2366)(BgL_fun2115z00_2366, BgL_arg2114z00_2367, 
BINT(BgL_vvz00_111), BEOA);} } } 

}



/* &midiplayer-ctrlchange */
obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2929, obj_t BgL_mpz00_2930, obj_t BgL_msz00_2931, obj_t BgL_tickz00_2932, obj_t BgL_nnz00_2933, obj_t BgL_kkz00_2934, obj_t BgL_vvz00_2935)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1049 */
 long BgL_auxz00_7828; long BgL_auxz00_7819; long BgL_auxz00_7810; long BgL_auxz00_7801; BgL_midisinkz00_bglt BgL_auxz00_7775; BgL_midiplayerz00_bglt BgL_auxz00_7749;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7829;
if(
INTEGERP(BgL_vvz00_2935))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7829 = BgL_vvz00_2935
; }  else 
{ 
 obj_t BgL_auxz00_7832;
BgL_auxz00_7832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2859z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_vvz00_2935); 
FAILURE(BgL_auxz00_7832,BFALSE,BFALSE);} 
BgL_auxz00_7828 = 
(long)CINT(BgL_tmpz00_7829); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7820;
if(
INTEGERP(BgL_kkz00_2934))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7820 = BgL_kkz00_2934
; }  else 
{ 
 obj_t BgL_auxz00_7823;
BgL_auxz00_7823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2859z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_kkz00_2934); 
FAILURE(BgL_auxz00_7823,BFALSE,BFALSE);} 
BgL_auxz00_7819 = 
(long)CINT(BgL_tmpz00_7820); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7811;
if(
INTEGERP(BgL_nnz00_2933))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7811 = BgL_nnz00_2933
; }  else 
{ 
 obj_t BgL_auxz00_7814;
BgL_auxz00_7814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2859z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2933); 
FAILURE(BgL_auxz00_7814,BFALSE,BFALSE);} 
BgL_auxz00_7810 = 
(long)CINT(BgL_tmpz00_7811); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7802;
if(
INTEGERP(BgL_tickz00_2932))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7802 = BgL_tickz00_2932
; }  else 
{ 
 obj_t BgL_auxz00_7805;
BgL_auxz00_7805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2859z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2932); 
FAILURE(BgL_auxz00_7805,BFALSE,BFALSE);} 
BgL_auxz00_7801 = 
(long)CINT(BgL_tmpz00_7802); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_test3525z00_7776;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_classz00_4389;
BgL_classz00_4389 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2931))
{ /* Llib/midi.scm 1049 */
 BgL_objectz00_bglt BgL_arg1799z00_4391; long BgL_arg1800z00_4392;
BgL_arg1799z00_4391 = 
(BgL_objectz00_bglt)(BgL_msz00_2931); 
BgL_arg1800z00_4392 = 
BGL_CLASS_DEPTH(BgL_classz00_4389); 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_arg1794z00_4396; bool_t BgL_arg1795z00_4397;
{ /* Llib/midi.scm 1049 */
 long BgL_idxz00_4401;
BgL_idxz00_4401 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4391); 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1791z00_4402;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1792z00_4403;
BgL_arg1792z00_4403 = 
(BgL_idxz00_4401+BgL_arg1800z00_4392); 
BgL_arg1791z00_4402 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4403); } 
BgL_arg1794z00_4396 = 
(BgL_arg1791z00_4402==BgL_classz00_4389); } } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_res3085z00_4426;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_oclassz00_4411;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1804z00_4417;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1805z00_4418;
BgL_arg1805z00_4418 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4391); 
BgL_arg1804z00_4417 = 
(BgL_arg1805z00_4418-OBJECT_TYPE); } 
BgL_oclassz00_4411 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4417); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL__ortest_1111z00_4412;
BgL__ortest_1111z00_4412 = 
(BgL_classz00_4389==BgL_oclassz00_4411); 
if(BgL__ortest_1111z00_4412)
{ /* Llib/midi.scm 1049 */
BgL_res3085z00_4426 = BgL__ortest_1111z00_4412; }  else 
{ /* Llib/midi.scm 1049 */
 long BgL_odepthz00_4413;
BgL_odepthz00_4413 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4411); 
if(
(BgL_arg1800z00_4392<BgL_odepthz00_4413))
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1793z00_4415;
BgL_arg1793z00_4415 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4411, BgL_arg1800z00_4392); 
BgL_res3085z00_4426 = 
(BgL_arg1793z00_4415==BgL_classz00_4389); }  else 
{ /* Llib/midi.scm 1049 */
BgL_res3085z00_4426 = ((bool_t)0); } } } } 
BgL_arg1795z00_4397 = BgL_res3085z00_4426; } 
BgL_test3525z00_7776 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4396, BgL_arg1795z00_4397); } }  else 
{ /* Llib/midi.scm 1049 */
BgL_test3525z00_7776 = ((bool_t)0)
; } } 
if(BgL_test3525z00_7776)
{ /* Llib/midi.scm 1049 */
BgL_auxz00_7775 = 
((BgL_midisinkz00_bglt)BgL_msz00_2931)
; }  else 
{ 
 obj_t BgL_auxz00_7797;
BgL_auxz00_7797 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2859z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2931); 
FAILURE(BgL_auxz00_7797,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_test3521z00_7750;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_classz00_4351;
BgL_classz00_4351 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2930))
{ /* Llib/midi.scm 1049 */
 BgL_objectz00_bglt BgL_arg1799z00_4353; long BgL_arg1800z00_4354;
BgL_arg1799z00_4353 = 
(BgL_objectz00_bglt)(BgL_mpz00_2930); 
BgL_arg1800z00_4354 = 
BGL_CLASS_DEPTH(BgL_classz00_4351); 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_arg1794z00_4358; bool_t BgL_arg1795z00_4359;
{ /* Llib/midi.scm 1049 */
 long BgL_idxz00_4363;
BgL_idxz00_4363 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4353); 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1791z00_4364;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1792z00_4365;
BgL_arg1792z00_4365 = 
(BgL_idxz00_4363+BgL_arg1800z00_4354); 
BgL_arg1791z00_4364 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4365); } 
BgL_arg1794z00_4358 = 
(BgL_arg1791z00_4364==BgL_classz00_4351); } } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_res3084z00_4388;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_oclassz00_4373;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1804z00_4379;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1805z00_4380;
BgL_arg1805z00_4380 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4353); 
BgL_arg1804z00_4379 = 
(BgL_arg1805z00_4380-OBJECT_TYPE); } 
BgL_oclassz00_4373 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4379); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL__ortest_1111z00_4374;
BgL__ortest_1111z00_4374 = 
(BgL_classz00_4351==BgL_oclassz00_4373); 
if(BgL__ortest_1111z00_4374)
{ /* Llib/midi.scm 1049 */
BgL_res3084z00_4388 = BgL__ortest_1111z00_4374; }  else 
{ /* Llib/midi.scm 1049 */
 long BgL_odepthz00_4375;
BgL_odepthz00_4375 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4373); 
if(
(BgL_arg1800z00_4354<BgL_odepthz00_4375))
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1793z00_4377;
BgL_arg1793z00_4377 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4373, BgL_arg1800z00_4354); 
BgL_res3084z00_4388 = 
(BgL_arg1793z00_4377==BgL_classz00_4351); }  else 
{ /* Llib/midi.scm 1049 */
BgL_res3084z00_4388 = ((bool_t)0); } } } } 
BgL_arg1795z00_4359 = BgL_res3084z00_4388; } 
BgL_test3521z00_7750 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4358, BgL_arg1795z00_4359); } }  else 
{ /* Llib/midi.scm 1049 */
BgL_test3521z00_7750 = ((bool_t)0)
; } } 
if(BgL_test3521z00_7750)
{ /* Llib/midi.scm 1049 */
BgL_auxz00_7749 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2930)
; }  else 
{ 
 obj_t BgL_auxz00_7771;
BgL_auxz00_7771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2859z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2930); 
FAILURE(BgL_auxz00_7771,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_auxz00_7749, BgL_auxz00_7775, BgL_auxz00_7801, BgL_auxz00_7810, BgL_auxz00_7819, BgL_auxz00_7828);} } 

}



/* midiplayer-prgmchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_112, BgL_midisinkz00_bglt BgL_msz00_113, long BgL_tickz00_114, long BgL_nnz00_115, long BgL_ppz00_116)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1011 */
 obj_t BgL_fun2106z00_2373;
BgL_fun2106z00_2373 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
 obj_t BgL_arg2104z00_2374; long BgL_arg2105z00_2375;
BgL_arg2104z00_2374 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
BgL_arg2105z00_2375 = 
(((long)192) | BgL_nnz00_115); 
PROCEDURE_ENTRY(BgL_fun2106z00_2373)(BgL_fun2106z00_2373, BgL_arg2104z00_2374, 
BINT(BgL_arg2105z00_2375), BEOA); } } 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_fun2108z00_2376;
BgL_fun2108z00_2376 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_arg2107z00_2377;
BgL_arg2107z00_2377 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2108z00_2376)(BgL_fun2108z00_2376, BgL_arg2107z00_2377, 
BINT(BgL_ppz00_116), BEOA);} } } 

}



/* &midiplayer-prgmchange */
obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2936, obj_t BgL_mpz00_2937, obj_t BgL_msz00_2938, obj_t BgL_tickz00_2939, obj_t BgL_nnz00_2940, obj_t BgL_ppz00_2941)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1056 */
 long BgL_auxz00_7925; long BgL_auxz00_7916; long BgL_auxz00_7907; BgL_midisinkz00_bglt BgL_auxz00_7881; BgL_midiplayerz00_bglt BgL_auxz00_7855;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7926;
if(
INTEGERP(BgL_ppz00_2941))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7926 = BgL_ppz00_2941
; }  else 
{ 
 obj_t BgL_auxz00_7929;
BgL_auxz00_7929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2860z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_ppz00_2941); 
FAILURE(BgL_auxz00_7929,BFALSE,BFALSE);} 
BgL_auxz00_7925 = 
(long)CINT(BgL_tmpz00_7926); } 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7917;
if(
INTEGERP(BgL_nnz00_2940))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7917 = BgL_nnz00_2940
; }  else 
{ 
 obj_t BgL_auxz00_7920;
BgL_auxz00_7920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2860z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2940); 
FAILURE(BgL_auxz00_7920,BFALSE,BFALSE);} 
BgL_auxz00_7916 = 
(long)CINT(BgL_tmpz00_7917); } 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7908;
if(
INTEGERP(BgL_tickz00_2939))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7908 = BgL_tickz00_2939
; }  else 
{ 
 obj_t BgL_auxz00_7911;
BgL_auxz00_7911 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2860z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2939); 
FAILURE(BgL_auxz00_7911,BFALSE,BFALSE);} 
BgL_auxz00_7907 = 
(long)CINT(BgL_tmpz00_7908); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_test3537z00_7882;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_classz00_4465;
BgL_classz00_4465 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2938))
{ /* Llib/midi.scm 1056 */
 BgL_objectz00_bglt BgL_arg1799z00_4467; long BgL_arg1800z00_4468;
BgL_arg1799z00_4467 = 
(BgL_objectz00_bglt)(BgL_msz00_2938); 
BgL_arg1800z00_4468 = 
BGL_CLASS_DEPTH(BgL_classz00_4465); 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_arg1794z00_4472; bool_t BgL_arg1795z00_4473;
{ /* Llib/midi.scm 1056 */
 long BgL_idxz00_4477;
BgL_idxz00_4477 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4467); 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1791z00_4478;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1792z00_4479;
BgL_arg1792z00_4479 = 
(BgL_idxz00_4477+BgL_arg1800z00_4468); 
BgL_arg1791z00_4478 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4479); } 
BgL_arg1794z00_4472 = 
(BgL_arg1791z00_4478==BgL_classz00_4465); } } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_res3087z00_4502;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_oclassz00_4487;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1804z00_4493;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1805z00_4494;
BgL_arg1805z00_4494 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4467); 
BgL_arg1804z00_4493 = 
(BgL_arg1805z00_4494-OBJECT_TYPE); } 
BgL_oclassz00_4487 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4493); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL__ortest_1111z00_4488;
BgL__ortest_1111z00_4488 = 
(BgL_classz00_4465==BgL_oclassz00_4487); 
if(BgL__ortest_1111z00_4488)
{ /* Llib/midi.scm 1056 */
BgL_res3087z00_4502 = BgL__ortest_1111z00_4488; }  else 
{ /* Llib/midi.scm 1056 */
 long BgL_odepthz00_4489;
BgL_odepthz00_4489 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4487); 
if(
(BgL_arg1800z00_4468<BgL_odepthz00_4489))
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1793z00_4491;
BgL_arg1793z00_4491 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4487, BgL_arg1800z00_4468); 
BgL_res3087z00_4502 = 
(BgL_arg1793z00_4491==BgL_classz00_4465); }  else 
{ /* Llib/midi.scm 1056 */
BgL_res3087z00_4502 = ((bool_t)0); } } } } 
BgL_arg1795z00_4473 = BgL_res3087z00_4502; } 
BgL_test3537z00_7882 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4472, BgL_arg1795z00_4473); } }  else 
{ /* Llib/midi.scm 1056 */
BgL_test3537z00_7882 = ((bool_t)0)
; } } 
if(BgL_test3537z00_7882)
{ /* Llib/midi.scm 1056 */
BgL_auxz00_7881 = 
((BgL_midisinkz00_bglt)BgL_msz00_2938)
; }  else 
{ 
 obj_t BgL_auxz00_7903;
BgL_auxz00_7903 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2860z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2938); 
FAILURE(BgL_auxz00_7903,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_test3533z00_7856;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_classz00_4427;
BgL_classz00_4427 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2937))
{ /* Llib/midi.scm 1056 */
 BgL_objectz00_bglt BgL_arg1799z00_4429; long BgL_arg1800z00_4430;
BgL_arg1799z00_4429 = 
(BgL_objectz00_bglt)(BgL_mpz00_2937); 
BgL_arg1800z00_4430 = 
BGL_CLASS_DEPTH(BgL_classz00_4427); 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_arg1794z00_4434; bool_t BgL_arg1795z00_4435;
{ /* Llib/midi.scm 1056 */
 long BgL_idxz00_4439;
BgL_idxz00_4439 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4429); 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1791z00_4440;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1792z00_4441;
BgL_arg1792z00_4441 = 
(BgL_idxz00_4439+BgL_arg1800z00_4430); 
BgL_arg1791z00_4440 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4441); } 
BgL_arg1794z00_4434 = 
(BgL_arg1791z00_4440==BgL_classz00_4427); } } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_res3086z00_4464;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_oclassz00_4449;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1804z00_4455;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1805z00_4456;
BgL_arg1805z00_4456 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4429); 
BgL_arg1804z00_4455 = 
(BgL_arg1805z00_4456-OBJECT_TYPE); } 
BgL_oclassz00_4449 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4455); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL__ortest_1111z00_4450;
BgL__ortest_1111z00_4450 = 
(BgL_classz00_4427==BgL_oclassz00_4449); 
if(BgL__ortest_1111z00_4450)
{ /* Llib/midi.scm 1056 */
BgL_res3086z00_4464 = BgL__ortest_1111z00_4450; }  else 
{ /* Llib/midi.scm 1056 */
 long BgL_odepthz00_4451;
BgL_odepthz00_4451 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4449); 
if(
(BgL_arg1800z00_4430<BgL_odepthz00_4451))
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1793z00_4453;
BgL_arg1793z00_4453 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4449, BgL_arg1800z00_4430); 
BgL_res3086z00_4464 = 
(BgL_arg1793z00_4453==BgL_classz00_4427); }  else 
{ /* Llib/midi.scm 1056 */
BgL_res3086z00_4464 = ((bool_t)0); } } } } 
BgL_arg1795z00_4435 = BgL_res3086z00_4464; } 
BgL_test3533z00_7856 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4434, BgL_arg1795z00_4435); } }  else 
{ /* Llib/midi.scm 1056 */
BgL_test3533z00_7856 = ((bool_t)0)
; } } 
if(BgL_test3533z00_7856)
{ /* Llib/midi.scm 1056 */
BgL_auxz00_7855 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2937)
; }  else 
{ 
 obj_t BgL_auxz00_7877;
BgL_auxz00_7877 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2860z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2937); 
FAILURE(BgL_auxz00_7877,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_auxz00_7855, BgL_auxz00_7881, BgL_auxz00_7907, BgL_auxz00_7916, BgL_auxz00_7925);} } 

}



/* midiplayer-after-touch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_117, BgL_midisinkz00_bglt BgL_msz00_118, long BgL_tickz00_119, long BgL_nnz00_120, long BgL_ppz00_121)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1011 */
 obj_t BgL_fun2106z00_2383;
BgL_fun2106z00_2383 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
 obj_t BgL_arg2104z00_2384; long BgL_arg2105z00_2385;
BgL_arg2104z00_2384 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
BgL_arg2105z00_2385 = 
(((long)208) | BgL_nnz00_120); 
PROCEDURE_ENTRY(BgL_fun2106z00_2383)(BgL_fun2106z00_2383, BgL_arg2104z00_2384, 
BINT(BgL_arg2105z00_2385), BEOA); } } 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_fun2108z00_2386;
BgL_fun2108z00_2386 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_arg2107z00_2387;
BgL_arg2107z00_2387 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2108z00_2386)(BgL_fun2108z00_2386, BgL_arg2107z00_2387, 
BINT(BgL_ppz00_121), BEOA);} } } 

}



/* &midiplayer-after-touch */
obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t BgL_envz00_2942, obj_t BgL_mpz00_2943, obj_t BgL_msz00_2944, obj_t BgL_tickz00_2945, obj_t BgL_nnz00_2946, obj_t BgL_ppz00_2947)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1063 */
 long BgL_auxz00_8022; long BgL_auxz00_8013; long BgL_auxz00_8004; BgL_midisinkz00_bglt BgL_auxz00_7978; BgL_midiplayerz00_bglt BgL_auxz00_7952;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_8023;
if(
INTEGERP(BgL_ppz00_2947))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_8023 = BgL_ppz00_2947
; }  else 
{ 
 obj_t BgL_auxz00_8026;
BgL_auxz00_8026 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2861z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_ppz00_2947); 
FAILURE(BgL_auxz00_8026,BFALSE,BFALSE);} 
BgL_auxz00_8022 = 
(long)CINT(BgL_tmpz00_8023); } 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_8014;
if(
INTEGERP(BgL_nnz00_2946))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_8014 = BgL_nnz00_2946
; }  else 
{ 
 obj_t BgL_auxz00_8017;
BgL_auxz00_8017 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2861z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2946); 
FAILURE(BgL_auxz00_8017,BFALSE,BFALSE);} 
BgL_auxz00_8013 = 
(long)CINT(BgL_tmpz00_8014); } 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_8005;
if(
INTEGERP(BgL_tickz00_2945))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_8005 = BgL_tickz00_2945
; }  else 
{ 
 obj_t BgL_auxz00_8008;
BgL_auxz00_8008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2861z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2945); 
FAILURE(BgL_auxz00_8008,BFALSE,BFALSE);} 
BgL_auxz00_8004 = 
(long)CINT(BgL_tmpz00_8005); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_test3548z00_7979;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_classz00_4541;
BgL_classz00_4541 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2944))
{ /* Llib/midi.scm 1063 */
 BgL_objectz00_bglt BgL_arg1799z00_4543; long BgL_arg1800z00_4544;
BgL_arg1799z00_4543 = 
(BgL_objectz00_bglt)(BgL_msz00_2944); 
BgL_arg1800z00_4544 = 
BGL_CLASS_DEPTH(BgL_classz00_4541); 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_arg1794z00_4548; bool_t BgL_arg1795z00_4549;
{ /* Llib/midi.scm 1063 */
 long BgL_idxz00_4553;
BgL_idxz00_4553 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4543); 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1791z00_4554;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1792z00_4555;
BgL_arg1792z00_4555 = 
(BgL_idxz00_4553+BgL_arg1800z00_4544); 
BgL_arg1791z00_4554 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4555); } 
BgL_arg1794z00_4548 = 
(BgL_arg1791z00_4554==BgL_classz00_4541); } } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_res3089z00_4578;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_oclassz00_4563;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1804z00_4569;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1805z00_4570;
BgL_arg1805z00_4570 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4543); 
BgL_arg1804z00_4569 = 
(BgL_arg1805z00_4570-OBJECT_TYPE); } 
BgL_oclassz00_4563 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4569); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL__ortest_1111z00_4564;
BgL__ortest_1111z00_4564 = 
(BgL_classz00_4541==BgL_oclassz00_4563); 
if(BgL__ortest_1111z00_4564)
{ /* Llib/midi.scm 1063 */
BgL_res3089z00_4578 = BgL__ortest_1111z00_4564; }  else 
{ /* Llib/midi.scm 1063 */
 long BgL_odepthz00_4565;
BgL_odepthz00_4565 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4563); 
if(
(BgL_arg1800z00_4544<BgL_odepthz00_4565))
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1793z00_4567;
BgL_arg1793z00_4567 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4563, BgL_arg1800z00_4544); 
BgL_res3089z00_4578 = 
(BgL_arg1793z00_4567==BgL_classz00_4541); }  else 
{ /* Llib/midi.scm 1063 */
BgL_res3089z00_4578 = ((bool_t)0); } } } } 
BgL_arg1795z00_4549 = BgL_res3089z00_4578; } 
BgL_test3548z00_7979 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4548, BgL_arg1795z00_4549); } }  else 
{ /* Llib/midi.scm 1063 */
BgL_test3548z00_7979 = ((bool_t)0)
; } } 
if(BgL_test3548z00_7979)
{ /* Llib/midi.scm 1063 */
BgL_auxz00_7978 = 
((BgL_midisinkz00_bglt)BgL_msz00_2944)
; }  else 
{ 
 obj_t BgL_auxz00_8000;
BgL_auxz00_8000 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2861z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2944); 
FAILURE(BgL_auxz00_8000,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_test3544z00_7953;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_classz00_4503;
BgL_classz00_4503 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2943))
{ /* Llib/midi.scm 1063 */
 BgL_objectz00_bglt BgL_arg1799z00_4505; long BgL_arg1800z00_4506;
BgL_arg1799z00_4505 = 
(BgL_objectz00_bglt)(BgL_mpz00_2943); 
BgL_arg1800z00_4506 = 
BGL_CLASS_DEPTH(BgL_classz00_4503); 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_arg1794z00_4510; bool_t BgL_arg1795z00_4511;
{ /* Llib/midi.scm 1063 */
 long BgL_idxz00_4515;
BgL_idxz00_4515 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4505); 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1791z00_4516;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1792z00_4517;
BgL_arg1792z00_4517 = 
(BgL_idxz00_4515+BgL_arg1800z00_4506); 
BgL_arg1791z00_4516 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4517); } 
BgL_arg1794z00_4510 = 
(BgL_arg1791z00_4516==BgL_classz00_4503); } } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_res3088z00_4540;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_oclassz00_4525;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1804z00_4531;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1805z00_4532;
BgL_arg1805z00_4532 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4505); 
BgL_arg1804z00_4531 = 
(BgL_arg1805z00_4532-OBJECT_TYPE); } 
BgL_oclassz00_4525 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4531); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL__ortest_1111z00_4526;
BgL__ortest_1111z00_4526 = 
(BgL_classz00_4503==BgL_oclassz00_4525); 
if(BgL__ortest_1111z00_4526)
{ /* Llib/midi.scm 1063 */
BgL_res3088z00_4540 = BgL__ortest_1111z00_4526; }  else 
{ /* Llib/midi.scm 1063 */
 long BgL_odepthz00_4527;
BgL_odepthz00_4527 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4525); 
if(
(BgL_arg1800z00_4506<BgL_odepthz00_4527))
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1793z00_4529;
BgL_arg1793z00_4529 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4525, BgL_arg1800z00_4506); 
BgL_res3088z00_4540 = 
(BgL_arg1793z00_4529==BgL_classz00_4503); }  else 
{ /* Llib/midi.scm 1063 */
BgL_res3088z00_4540 = ((bool_t)0); } } } } 
BgL_arg1795z00_4511 = BgL_res3088z00_4540; } 
BgL_test3544z00_7953 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4510, BgL_arg1795z00_4511); } }  else 
{ /* Llib/midi.scm 1063 */
BgL_test3544z00_7953 = ((bool_t)0)
; } } 
if(BgL_test3544z00_7953)
{ /* Llib/midi.scm 1063 */
BgL_auxz00_7952 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2943)
; }  else 
{ 
 obj_t BgL_auxz00_7974;
BgL_auxz00_7974 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2861z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2943); 
FAILURE(BgL_auxz00_7974,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_auxz00_7952, BgL_auxz00_7978, BgL_auxz00_8004, BgL_auxz00_8013, BgL_auxz00_8022);} } 

}



/* midiplayer-pitch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_122, BgL_midisinkz00_bglt BgL_msz00_123, long BgL_tickz00_124, long BgL_nnz00_125, long BgL_ccz00_126, long BgL_vvz00_127)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2111z00_2394;
BgL_fun2111z00_2394 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2109z00_2395; long BgL_arg2110z00_2396;
BgL_arg2109z00_2395 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
BgL_arg2110z00_2396 = 
(((long)224) | BgL_nnz00_125); 
PROCEDURE_ENTRY(BgL_fun2111z00_2394)(BgL_fun2111z00_2394, BgL_arg2109z00_2395, 
BINT(BgL_arg2110z00_2396), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2113z00_2397;
BgL_fun2113z00_2397 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2112z00_2398;
BgL_arg2112z00_2398 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2113z00_2397)(BgL_fun2113z00_2397, BgL_arg2112z00_2398, 
BINT(BgL_ccz00_126), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2115z00_2399;
BgL_fun2115z00_2399 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2114z00_2400;
BgL_arg2114z00_2400 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2115z00_2399)(BgL_fun2115z00_2399, BgL_arg2114z00_2400, 
BINT(BgL_vvz00_127), BEOA);} } } 

}



/* &midiplayer-pitch */
obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2948, obj_t BgL_mpz00_2949, obj_t BgL_msz00_2950, obj_t BgL_tickz00_2951, obj_t BgL_nnz00_2952, obj_t BgL_ccz00_2953, obj_t BgL_vvz00_2954)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1070 */
 long BgL_auxz00_8136; long BgL_auxz00_8127; long BgL_auxz00_8118; long BgL_auxz00_8109; BgL_midisinkz00_bglt BgL_auxz00_8083; BgL_midiplayerz00_bglt BgL_auxz00_8057;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8137;
if(
INTEGERP(BgL_vvz00_2954))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8137 = BgL_vvz00_2954
; }  else 
{ 
 obj_t BgL_auxz00_8140;
BgL_auxz00_8140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2862z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_vvz00_2954); 
FAILURE(BgL_auxz00_8140,BFALSE,BFALSE);} 
BgL_auxz00_8136 = 
(long)CINT(BgL_tmpz00_8137); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8128;
if(
INTEGERP(BgL_ccz00_2953))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8128 = BgL_ccz00_2953
; }  else 
{ 
 obj_t BgL_auxz00_8131;
BgL_auxz00_8131 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2862z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_ccz00_2953); 
FAILURE(BgL_auxz00_8131,BFALSE,BFALSE);} 
BgL_auxz00_8127 = 
(long)CINT(BgL_tmpz00_8128); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8119;
if(
INTEGERP(BgL_nnz00_2952))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8119 = BgL_nnz00_2952
; }  else 
{ 
 obj_t BgL_auxz00_8122;
BgL_auxz00_8122 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2862z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_nnz00_2952); 
FAILURE(BgL_auxz00_8122,BFALSE,BFALSE);} 
BgL_auxz00_8118 = 
(long)CINT(BgL_tmpz00_8119); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8110;
if(
INTEGERP(BgL_tickz00_2951))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8110 = BgL_tickz00_2951
; }  else 
{ 
 obj_t BgL_auxz00_8113;
BgL_auxz00_8113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2862z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2951); 
FAILURE(BgL_auxz00_8113,BFALSE,BFALSE);} 
BgL_auxz00_8109 = 
(long)CINT(BgL_tmpz00_8110); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_test3559z00_8084;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_classz00_4617;
BgL_classz00_4617 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2950))
{ /* Llib/midi.scm 1070 */
 BgL_objectz00_bglt BgL_arg1799z00_4619; long BgL_arg1800z00_4620;
BgL_arg1799z00_4619 = 
(BgL_objectz00_bglt)(BgL_msz00_2950); 
BgL_arg1800z00_4620 = 
BGL_CLASS_DEPTH(BgL_classz00_4617); 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_arg1794z00_4624; bool_t BgL_arg1795z00_4625;
{ /* Llib/midi.scm 1070 */
 long BgL_idxz00_4629;
BgL_idxz00_4629 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4619); 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1791z00_4630;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1792z00_4631;
BgL_arg1792z00_4631 = 
(BgL_idxz00_4629+BgL_arg1800z00_4620); 
BgL_arg1791z00_4630 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4631); } 
BgL_arg1794z00_4624 = 
(BgL_arg1791z00_4630==BgL_classz00_4617); } } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_res3091z00_4654;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_oclassz00_4639;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1804z00_4645;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1805z00_4646;
BgL_arg1805z00_4646 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4619); 
BgL_arg1804z00_4645 = 
(BgL_arg1805z00_4646-OBJECT_TYPE); } 
BgL_oclassz00_4639 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4645); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL__ortest_1111z00_4640;
BgL__ortest_1111z00_4640 = 
(BgL_classz00_4617==BgL_oclassz00_4639); 
if(BgL__ortest_1111z00_4640)
{ /* Llib/midi.scm 1070 */
BgL_res3091z00_4654 = BgL__ortest_1111z00_4640; }  else 
{ /* Llib/midi.scm 1070 */
 long BgL_odepthz00_4641;
BgL_odepthz00_4641 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4639); 
if(
(BgL_arg1800z00_4620<BgL_odepthz00_4641))
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1793z00_4643;
BgL_arg1793z00_4643 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4639, BgL_arg1800z00_4620); 
BgL_res3091z00_4654 = 
(BgL_arg1793z00_4643==BgL_classz00_4617); }  else 
{ /* Llib/midi.scm 1070 */
BgL_res3091z00_4654 = ((bool_t)0); } } } } 
BgL_arg1795z00_4625 = BgL_res3091z00_4654; } 
BgL_test3559z00_8084 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4624, BgL_arg1795z00_4625); } }  else 
{ /* Llib/midi.scm 1070 */
BgL_test3559z00_8084 = ((bool_t)0)
; } } 
if(BgL_test3559z00_8084)
{ /* Llib/midi.scm 1070 */
BgL_auxz00_8083 = 
((BgL_midisinkz00_bglt)BgL_msz00_2950)
; }  else 
{ 
 obj_t BgL_auxz00_8105;
BgL_auxz00_8105 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2862z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2950); 
FAILURE(BgL_auxz00_8105,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_test3555z00_8058;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_classz00_4579;
BgL_classz00_4579 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2949))
{ /* Llib/midi.scm 1070 */
 BgL_objectz00_bglt BgL_arg1799z00_4581; long BgL_arg1800z00_4582;
BgL_arg1799z00_4581 = 
(BgL_objectz00_bglt)(BgL_mpz00_2949); 
BgL_arg1800z00_4582 = 
BGL_CLASS_DEPTH(BgL_classz00_4579); 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_arg1794z00_4586; bool_t BgL_arg1795z00_4587;
{ /* Llib/midi.scm 1070 */
 long BgL_idxz00_4591;
BgL_idxz00_4591 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4581); 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1791z00_4592;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1792z00_4593;
BgL_arg1792z00_4593 = 
(BgL_idxz00_4591+BgL_arg1800z00_4582); 
BgL_arg1791z00_4592 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4593); } 
BgL_arg1794z00_4586 = 
(BgL_arg1791z00_4592==BgL_classz00_4579); } } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_res3090z00_4616;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_oclassz00_4601;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1804z00_4607;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1805z00_4608;
BgL_arg1805z00_4608 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4581); 
BgL_arg1804z00_4607 = 
(BgL_arg1805z00_4608-OBJECT_TYPE); } 
BgL_oclassz00_4601 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4607); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL__ortest_1111z00_4602;
BgL__ortest_1111z00_4602 = 
(BgL_classz00_4579==BgL_oclassz00_4601); 
if(BgL__ortest_1111z00_4602)
{ /* Llib/midi.scm 1070 */
BgL_res3090z00_4616 = BgL__ortest_1111z00_4602; }  else 
{ /* Llib/midi.scm 1070 */
 long BgL_odepthz00_4603;
BgL_odepthz00_4603 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4601); 
if(
(BgL_arg1800z00_4582<BgL_odepthz00_4603))
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1793z00_4605;
BgL_arg1793z00_4605 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4601, BgL_arg1800z00_4582); 
BgL_res3090z00_4616 = 
(BgL_arg1793z00_4605==BgL_classz00_4579); }  else 
{ /* Llib/midi.scm 1070 */
BgL_res3090z00_4616 = ((bool_t)0); } } } } 
BgL_arg1795z00_4587 = BgL_res3090z00_4616; } 
BgL_test3555z00_8058 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4586, BgL_arg1795z00_4587); } }  else 
{ /* Llib/midi.scm 1070 */
BgL_test3555z00_8058 = ((bool_t)0)
; } } 
if(BgL_test3555z00_8058)
{ /* Llib/midi.scm 1070 */
BgL_auxz00_8057 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2949)
; }  else 
{ 
 obj_t BgL_auxz00_8079;
BgL_auxz00_8079 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2862z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2949); 
FAILURE(BgL_auxz00_8079,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_auxz00_8057, BgL_auxz00_8083, BgL_auxz00_8109, BgL_auxz00_8118, BgL_auxz00_8127, BgL_auxz00_8136);} } 

}



/* midiplayer-sysex */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_128, BgL_midisinkz00_bglt BgL_msz00_129, long BgL_tickz00_130, obj_t BgL_dataz00_131)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1077 */
 obj_t BgL_fun2117z00_2403;
BgL_fun2117z00_2403 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_writezd2stringzd2); 
{ /* Llib/midi.scm 1077 */
 obj_t BgL_arg2116z00_2404;
BgL_arg2116z00_2404 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2117z00_2403)(BgL_fun2117z00_2403, BgL_arg2116z00_2404, BEOA);} } } 

}



/* &midiplayer-sysex */
obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2955, obj_t BgL_mpz00_2956, obj_t BgL_msz00_2957, obj_t BgL_tickz00_2958, obj_t BgL_dataz00_2959)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1076 */
 obj_t BgL_auxz00_8213; long BgL_auxz00_8204; BgL_midisinkz00_bglt BgL_auxz00_8178; BgL_midiplayerz00_bglt BgL_auxz00_8152;
if(
STRINGP(BgL_dataz00_2959))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8213 = BgL_dataz00_2959
; }  else 
{ 
 obj_t BgL_auxz00_8216;
BgL_auxz00_8216 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2863z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_dataz00_2959); 
FAILURE(BgL_auxz00_8216,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_tmpz00_8205;
if(
INTEGERP(BgL_tickz00_2958))
{ /* Llib/midi.scm 1076 */
BgL_tmpz00_8205 = BgL_tickz00_2958
; }  else 
{ 
 obj_t BgL_auxz00_8208;
BgL_auxz00_8208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2863z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_tickz00_2958); 
FAILURE(BgL_auxz00_8208,BFALSE,BFALSE);} 
BgL_auxz00_8204 = 
(long)CINT(BgL_tmpz00_8205); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_test3571z00_8179;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_classz00_4693;
BgL_classz00_4693 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2957))
{ /* Llib/midi.scm 1076 */
 BgL_objectz00_bglt BgL_arg1799z00_4695; long BgL_arg1800z00_4696;
BgL_arg1799z00_4695 = 
(BgL_objectz00_bglt)(BgL_msz00_2957); 
BgL_arg1800z00_4696 = 
BGL_CLASS_DEPTH(BgL_classz00_4693); 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_arg1794z00_4700; bool_t BgL_arg1795z00_4701;
{ /* Llib/midi.scm 1076 */
 long BgL_idxz00_4705;
BgL_idxz00_4705 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4695); 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1791z00_4706;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1792z00_4707;
BgL_arg1792z00_4707 = 
(BgL_idxz00_4705+BgL_arg1800z00_4696); 
BgL_arg1791z00_4706 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4707); } 
BgL_arg1794z00_4700 = 
(BgL_arg1791z00_4706==BgL_classz00_4693); } } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_res3093z00_4730;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_oclassz00_4715;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1804z00_4721;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1805z00_4722;
BgL_arg1805z00_4722 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4695); 
BgL_arg1804z00_4721 = 
(BgL_arg1805z00_4722-OBJECT_TYPE); } 
BgL_oclassz00_4715 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4721); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL__ortest_1111z00_4716;
BgL__ortest_1111z00_4716 = 
(BgL_classz00_4693==BgL_oclassz00_4715); 
if(BgL__ortest_1111z00_4716)
{ /* Llib/midi.scm 1076 */
BgL_res3093z00_4730 = BgL__ortest_1111z00_4716; }  else 
{ /* Llib/midi.scm 1076 */
 long BgL_odepthz00_4717;
BgL_odepthz00_4717 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4715); 
if(
(BgL_arg1800z00_4696<BgL_odepthz00_4717))
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1793z00_4719;
BgL_arg1793z00_4719 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4715, BgL_arg1800z00_4696); 
BgL_res3093z00_4730 = 
(BgL_arg1793z00_4719==BgL_classz00_4693); }  else 
{ /* Llib/midi.scm 1076 */
BgL_res3093z00_4730 = ((bool_t)0); } } } } 
BgL_arg1795z00_4701 = BgL_res3093z00_4730; } 
BgL_test3571z00_8179 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4700, BgL_arg1795z00_4701); } }  else 
{ /* Llib/midi.scm 1076 */
BgL_test3571z00_8179 = ((bool_t)0)
; } } 
if(BgL_test3571z00_8179)
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8178 = 
((BgL_midisinkz00_bglt)BgL_msz00_2957)
; }  else 
{ 
 obj_t BgL_auxz00_8200;
BgL_auxz00_8200 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2863z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msz00_2957); 
FAILURE(BgL_auxz00_8200,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_test3567z00_8153;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_classz00_4655;
BgL_classz00_4655 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2956))
{ /* Llib/midi.scm 1076 */
 BgL_objectz00_bglt BgL_arg1799z00_4657; long BgL_arg1800z00_4658;
BgL_arg1799z00_4657 = 
(BgL_objectz00_bglt)(BgL_mpz00_2956); 
BgL_arg1800z00_4658 = 
BGL_CLASS_DEPTH(BgL_classz00_4655); 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_arg1794z00_4662; bool_t BgL_arg1795z00_4663;
{ /* Llib/midi.scm 1076 */
 long BgL_idxz00_4667;
BgL_idxz00_4667 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_4657); 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1791z00_4668;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1792z00_4669;
BgL_arg1792z00_4669 = 
(BgL_idxz00_4667+BgL_arg1800z00_4658); 
BgL_arg1791z00_4668 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_4669); } 
BgL_arg1794z00_4662 = 
(BgL_arg1791z00_4668==BgL_classz00_4655); } } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_res3092z00_4692;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_oclassz00_4677;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1804z00_4683;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1805z00_4684;
BgL_arg1805z00_4684 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_4657); 
BgL_arg1804z00_4683 = 
(BgL_arg1805z00_4684-OBJECT_TYPE); } 
BgL_oclassz00_4677 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_4683); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL__ortest_1111z00_4678;
BgL__ortest_1111z00_4678 = 
(BgL_classz00_4655==BgL_oclassz00_4677); 
if(BgL__ortest_1111z00_4678)
{ /* Llib/midi.scm 1076 */
BgL_res3092z00_4692 = BgL__ortest_1111z00_4678; }  else 
{ /* Llib/midi.scm 1076 */
 long BgL_odepthz00_4679;
BgL_odepthz00_4679 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4677); 
if(
(BgL_arg1800z00_4658<BgL_odepthz00_4679))
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1793z00_4681;
BgL_arg1793z00_4681 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4677, BgL_arg1800z00_4658); 
BgL_res3092z00_4692 = 
(BgL_arg1793z00_4681==BgL_classz00_4655); }  else 
{ /* Llib/midi.scm 1076 */
BgL_res3092z00_4692 = ((bool_t)0); } } } } 
BgL_arg1795z00_4663 = BgL_res3092z00_4692; } 
BgL_test3567z00_8153 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_4662, BgL_arg1795z00_4663); } }  else 
{ /* Llib/midi.scm 1076 */
BgL_test3567z00_8153 = ((bool_t)0)
; } } 
if(BgL_test3567z00_8153)
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8152 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2956)
; }  else 
{ 
 obj_t BgL_auxz00_8174;
BgL_auxz00_8174 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2863z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mpz00_2956); 
FAILURE(BgL_auxz00_8174,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_auxz00_8152, BgL_auxz00_8178, BgL_auxz00_8204, BgL_auxz00_8213);} } 

}



/* midi-note-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long BgL_kkz00_132)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
 long BgL_notez00_888; long BgL_octavez00_889;
{ /* Llib/midi.scm 1083 */
 long BgL_arg2121z00_893;
{ /* Llib/midi.scm 1083 */
 obj_t BgL_vectorz00_2405;
BgL_vectorz00_2405 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2121z00_893 = 
VECTOR_LENGTH(BgL_vectorz00_2405); } 
{ /* Llib/midi.scm 1083 */
 long BgL_n1z00_2406; long BgL_n2z00_2407;
BgL_n1z00_2406 = BgL_kkz00_132; 
BgL_n2z00_2407 = BgL_arg2121z00_893; 
{ /* Llib/midi.scm 1083 */
 bool_t BgL_test3577z00_8223;
{ /* Llib/midi.scm 1083 */
 long BgL_arg1353z00_2409;
BgL_arg1353z00_2409 = 
(((BgL_n1z00_2406) | (BgL_n2z00_2407)) & -2147483648); 
BgL_test3577z00_8223 = 
(BgL_arg1353z00_2409==((long)0)); } 
if(BgL_test3577z00_8223)
{ /* Llib/midi.scm 1083 */
 int32_t BgL_arg1350z00_2410;
{ /* Llib/midi.scm 1083 */
 int32_t BgL_arg1351z00_2411; int32_t BgL_arg1352z00_2412;
BgL_arg1351z00_2411 = 
(int32_t)(BgL_n1z00_2406); 
BgL_arg1352z00_2412 = 
(int32_t)(BgL_n2z00_2407); 
BgL_arg1350z00_2410 = 
(BgL_arg1351z00_2411%BgL_arg1352z00_2412); } 
{ /* Llib/midi.scm 1083 */
 long BgL_arg1447z00_2417;
BgL_arg1447z00_2417 = 
(long)(BgL_arg1350z00_2410); 
BgL_notez00_888 = 
(long)(BgL_arg1447z00_2417); } }  else 
{ /* Llib/midi.scm 1083 */
BgL_notez00_888 = 
(BgL_n1z00_2406%BgL_n2z00_2407); } } } } 
{ /* Llib/midi.scm 1084 */
 long BgL_arg2122z00_894;
{ /* Llib/midi.scm 1084 */
 obj_t BgL_vectorz00_2419;
BgL_vectorz00_2419 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2122z00_894 = 
VECTOR_LENGTH(BgL_vectorz00_2419); } 
BgL_octavez00_889 = 
(BgL_kkz00_132/BgL_arg2122z00_894); } 
{ /* Llib/midi.scm 1085 */
 obj_t BgL_arg2118z00_890;
{ /* Llib/midi.scm 1085 */
 obj_t BgL_vectorz00_2422;
BgL_vectorz00_2422 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2118z00_890 = 
VECTOR_REF(BgL_vectorz00_2422,BgL_notez00_888); } 
{ /* Llib/midi.scm 1085 */
 obj_t BgL_list2119z00_891;
{ /* Llib/midi.scm 1085 */
 obj_t BgL_arg2120z00_892;
BgL_arg2120z00_892 = 
MAKE_YOUNG_PAIR(
BINT(BgL_octavez00_889), BNIL); 
BgL_list2119z00_891 = 
MAKE_YOUNG_PAIR(BgL_arg2118z00_890, BgL_arg2120z00_892); } 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2864z00zz__multimediazd2midizd2, BgL_list2119z00_891);} } } } 

}



/* &midi-note-name */
obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2960, obj_t BgL_kkz00_2961)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
 long BgL_auxz00_8241;
{ /* Llib/midi.scm 1083 */
 obj_t BgL_tmpz00_8242;
if(
INTEGERP(BgL_kkz00_2961))
{ /* Llib/midi.scm 1083 */
BgL_tmpz00_8242 = BgL_kkz00_2961
; }  else 
{ 
 obj_t BgL_auxz00_8245;
BgL_auxz00_8245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)42219)), BGl_string2865z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_kkz00_2961); 
FAILURE(BgL_auxz00_8245,BFALSE,BFALSE);} 
BgL_auxz00_8241 = 
(long)CINT(BgL_tmpz00_8242); } 
return 
BGl_midizd2notezd2namez00zz__multimediazd2midizd2(BgL_auxz00_8241);} } 

}



/* midi-controller-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long BgL_ccz00_133)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
 bool_t BgL_test3579z00_8251;
{ /* Llib/midi.scm 1091 */
 long BgL_arg2125z00_2425;
{ /* Llib/midi.scm 1091 */
 obj_t BgL_vectorz00_2426;
BgL_vectorz00_2426 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2125z00_2425 = 
VECTOR_LENGTH(BgL_vectorz00_2426); } 
BgL_test3579z00_8251 = 
(BgL_ccz00_133<BgL_arg2125z00_2425); } 
if(BgL_test3579z00_8251)
{ /* Llib/midi.scm 1092 */
 obj_t BgL_vectorz00_2429;
BgL_vectorz00_2429 = 
CNST_TABLE_REF(((long)1)); 
return 
VECTOR_REF(BgL_vectorz00_2429,BgL_ccz00_133);}  else 
{ /* Llib/midi.scm 1091 */
return BGl_string2866z00zz__multimediazd2midizd2;} } } 

}



/* &midi-controller-name */
obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2962, obj_t BgL_ccz00_2963)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
 long BgL_auxz00_8257;
{ /* Llib/midi.scm 1091 */
 obj_t BgL_tmpz00_8258;
if(
INTEGERP(BgL_ccz00_2963))
{ /* Llib/midi.scm 1091 */
BgL_tmpz00_8258 = BgL_ccz00_2963
; }  else 
{ 
 obj_t BgL_auxz00_8261;
BgL_auxz00_8261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)42667)), BGl_string2867z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_ccz00_2963); 
FAILURE(BgL_auxz00_8261,BFALSE,BFALSE);} 
BgL_auxz00_8257 = 
(long)CINT(BgL_tmpz00_8258); } 
return 
BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(BgL_auxz00_8257);} } 

}



/* midi-program-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long BgL_ppz00_134)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
 bool_t BgL_test3581z00_8267;
{ /* Llib/midi.scm 1099 */
 long BgL_arg2128z00_2432;
{ /* Llib/midi.scm 1099 */
 obj_t BgL_vectorz00_2433;
BgL_vectorz00_2433 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2128z00_2432 = 
VECTOR_LENGTH(BgL_vectorz00_2433); } 
BgL_test3581z00_8267 = 
(BgL_ppz00_134<BgL_arg2128z00_2432); } 
if(BgL_test3581z00_8267)
{ /* Llib/midi.scm 1100 */
 obj_t BgL_vectorz00_2436;
BgL_vectorz00_2436 = 
CNST_TABLE_REF(((long)2)); 
return 
VECTOR_REF(BgL_vectorz00_2436,BgL_ppz00_134);}  else 
{ /* Llib/midi.scm 1099 */
return BGl_string2868z00zz__multimediazd2midizd2;} } } 

}



/* &midi-program-name */
obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2964, obj_t BgL_ppz00_2965)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
 long BgL_auxz00_8273;
{ /* Llib/midi.scm 1099 */
 obj_t BgL_tmpz00_8274;
if(
INTEGERP(BgL_ppz00_2965))
{ /* Llib/midi.scm 1099 */
BgL_tmpz00_8274 = BgL_ppz00_2965
; }  else 
{ 
 obj_t BgL_auxz00_8277;
BgL_auxz00_8277 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)43056)), BGl_string2869z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_ppz00_2965); 
FAILURE(BgL_auxz00_8277,BFALSE,BFALSE);} 
BgL_auxz00_8273 = 
(long)CINT(BgL_tmpz00_8274); } 
return 
BGl_midizd2programzd2namez00zz__multimediazd2midizd2(BgL_auxz00_8273);} } 

}



/* midi-program-index */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t BgL_prgmz00_135)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
 long BgL_g1175z00_901;
{ /* Llib/midi.scm 1107 */
 long BgL_arg2135z00_911;
{ /* Llib/midi.scm 1107 */
 obj_t BgL_vectorz00_2438;
BgL_vectorz00_2438 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2135z00_911 = 
VECTOR_LENGTH(BgL_vectorz00_2438); } 
BgL_g1175z00_901 = 
(BgL_arg2135z00_911-((long)1)); } 
{ 
 long BgL_iz00_903;
BgL_iz00_903 = BgL_g1175z00_901; 
BgL_zc3z04anonymousza32129ze3z87_904:
if(
(BgL_iz00_903>=((long)0)))
{ /* Llib/midi.scm 1109 */
 bool_t BgL_test3584z00_8288;
{ /* Llib/midi.scm 1109 */
 obj_t BgL_arg2134z00_909;
{ /* Llib/midi.scm 1109 */
 obj_t BgL_vectorz00_2441;
BgL_vectorz00_2441 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2134z00_909 = 
VECTOR_REF(BgL_vectorz00_2441,BgL_iz00_903); } 
BgL_test3584z00_8288 = 
bigloo_strcicmp(BgL_arg2134z00_909, BgL_prgmz00_135); } 
if(BgL_test3584z00_8288)
{ /* Llib/midi.scm 1109 */
return 
BINT(BgL_iz00_903);}  else 
{ 
 long BgL_iz00_8293;
BgL_iz00_8293 = 
(BgL_iz00_903-((long)1)); 
BgL_iz00_903 = BgL_iz00_8293; 
goto BgL_zc3z04anonymousza32129ze3z87_904;} }  else 
{ /* Llib/midi.scm 1108 */
return BFALSE;} } } } 

}



/* &midi-program-index */
obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t BgL_envz00_2966, obj_t BgL_prgmz00_2967)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
 obj_t BgL_auxz00_8295;
if(
STRINGP(BgL_prgmz00_2967))
{ /* Llib/midi.scm 1107 */
BgL_auxz00_8295 = BgL_prgmz00_2967
; }  else 
{ 
 obj_t BgL_auxz00_8298;
BgL_auxz00_8298 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)43433)), BGl_string2870z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_prgmz00_2967); 
FAILURE(BgL_auxz00_8298,BFALSE,BFALSE);} 
return 
BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(BgL_auxz00_8295);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2153z00_936; obj_t BgL_arg2154z00_937;
{ /* Llib/midi.scm 17 */
 obj_t BgL_v1220z00_952;
BgL_v1220z00_952 = 
create_vector(((long)4)); 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2161z00_953;
BgL_arg2161z00_953 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2872z00zz__multimediazd2midizd2, BGl_proc2871z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1220z00_952,((long)0),BgL_arg2161z00_953); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2166z00_963;
BgL_arg2166z00_963 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2875z00zz__multimediazd2midizd2, BGl_proc2874z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2873z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1220z00_952,((long)1),BgL_arg2166z00_963); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2173z00_976;
BgL_arg2173z00_976 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2878z00zz__multimediazd2midizd2, BGl_proc2877z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2876z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1220z00_952,((long)2),BgL_arg2173z00_976); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2180z00_989;
BgL_arg2180z00_989 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2881z00zz__multimediazd2midizd2, BGl_proc2880z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2879z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1220z00_952,((long)3),BgL_arg2180z00_989); } 
BgL_arg2153z00_936 = BgL_v1220z00_952; } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_v1221z00_1002;
BgL_v1221z00_1002 = 
create_vector(((long)0)); 
BgL_arg2154z00_937 = BgL_v1221z00_1002; } 
BGl_midiscorez00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)54602), BGl_proc2884z00zz__multimediazd2midizd2, BGl_proc2883z00zz__multimediazd2midizd2, BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2882z00zz__multimediazd2midizd2, BFALSE, BgL_arg2153z00_936, BgL_arg2154z00_937); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2190z00_1009; obj_t BgL_arg2191z00_1010;
{ /* Llib/midi.scm 24 */
 obj_t BgL_v1222z00_1035;
BgL_v1222z00_1035 = 
create_vector(((long)14)); 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2198z00_1036;
BgL_arg2198z00_1036 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2887z00zz__multimediazd2midizd2, BGl_proc2886z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2885z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1222z00_1035,((long)0),BgL_arg2198z00_1036); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2205z00_1049;
BgL_arg2205z00_1049 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2889z00zz__multimediazd2midizd2, BGl_proc2888z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_midireaderz00zz__multimediazd2midizd2); 
VECTOR_SET(BgL_v1222z00_1035,((long)1),BgL_arg2205z00_1049); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2210z00_1059;
BgL_arg2210z00_1059 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2891z00zz__multimediazd2midizd2, BGl_proc2890z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1222z00_1035,((long)2),BgL_arg2210z00_1059); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2215z00_1069;
BgL_arg2215z00_1069 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2894z00zz__multimediazd2midizd2, BGl_proc2893z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2892z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1222z00_1035,((long)3),BgL_arg2215z00_1069); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2222z00_1082;
BgL_arg2222z00_1082 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2897z00zz__multimediazd2midizd2, BGl_proc2896z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2895z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1222z00_1035,((long)4),BgL_arg2222z00_1082); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2229z00_1095;
BgL_arg2229z00_1095 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2900z00zz__multimediazd2midizd2, BGl_proc2899z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2898z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)5),BgL_arg2229z00_1095); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2236z00_1108;
BgL_arg2236z00_1108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2903z00zz__multimediazd2midizd2, BGl_proc2902z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2901z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1222z00_1035,((long)6),BgL_arg2236z00_1108); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2243z00_1121;
BgL_arg2243z00_1121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2906z00zz__multimediazd2midizd2, BGl_proc2905z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2904z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)7),BgL_arg2243z00_1121); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2250z00_1134;
BgL_arg2250z00_1134 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2909z00zz__multimediazd2midizd2, BGl_proc2908z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2907z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1222z00_1035,((long)8),BgL_arg2250z00_1134); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2257z00_1147;
BgL_arg2257z00_1147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2912z00zz__multimediazd2midizd2, BGl_proc2911z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2910z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)9),BgL_arg2257z00_1147); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2264z00_1160;
BgL_arg2264z00_1160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2915z00zz__multimediazd2midizd2, BGl_proc2914z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2913z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)10),BgL_arg2264z00_1160); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2271z00_1173;
BgL_arg2271z00_1173 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2918z00zz__multimediazd2midizd2, BGl_proc2917z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2916z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1222z00_1035,((long)11),BgL_arg2271z00_1173); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2278z00_1186;
BgL_arg2278z00_1186 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2921z00zz__multimediazd2midizd2, BGl_proc2920z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2919z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)12),BgL_arg2278z00_1186); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2285z00_1199;
BgL_arg2285z00_1199 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2924z00zz__multimediazd2midizd2, BGl_proc2923z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2922z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1222z00_1035,((long)13),BgL_arg2285z00_1199); } 
BgL_arg2190z00_1009 = BgL_v1222z00_1035; } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_v1223z00_1212;
BgL_v1223z00_1212 = 
create_vector(((long)0)); 
BgL_arg2191z00_1010 = BgL_v1223z00_1212; } 
BGl_miditrackz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)26896), BGl_proc2927z00zz__multimediazd2midizd2, BGl_proc2926z00zz__multimediazd2midizd2, BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2925z00zz__multimediazd2midizd2, BFALSE, BgL_arg2190z00_1009, BgL_arg2191z00_1010); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2295z00_1219; obj_t BgL_arg2296z00_1220;
{ /* Llib/midi.scm 42 */
 obj_t BgL_v1224z00_1238;
BgL_v1224z00_1238 = 
create_vector(((long)7)); 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2303z00_1239;
BgL_arg2303z00_1239 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc2929z00zz__multimediazd2midizd2, BGl_proc2928z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)0),BgL_arg2303z00_1239); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2308z00_1249;
BgL_arg2308z00_1249 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2931z00zz__multimediazd2midizd2, BGl_proc2930z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)1),BgL_arg2308z00_1249); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2313z00_1259;
BgL_arg2313z00_1259 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2933z00zz__multimediazd2midizd2, BGl_proc2932z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)2),BgL_arg2313z00_1259); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2318z00_1269;
BgL_arg2318z00_1269 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2935z00zz__multimediazd2midizd2, BGl_proc2934z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)3),BgL_arg2318z00_1269); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2323z00_1279;
BgL_arg2323z00_1279 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2937z00zz__multimediazd2midizd2, BGl_proc2936z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)4),BgL_arg2323z00_1279); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2328z00_1289;
BgL_arg2328z00_1289 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2939z00zz__multimediazd2midizd2, BGl_proc2938z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)5),BgL_arg2328z00_1289); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2333z00_1299;
BgL_arg2333z00_1299 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2941z00zz__multimediazd2midizd2, BGl_proc2940z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)6),BgL_arg2333z00_1299); } 
BgL_arg2295z00_1219 = BgL_v1224z00_1238; } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_v1225z00_1309;
BgL_v1225z00_1309 = 
create_vector(((long)0)); 
BgL_arg2296z00_1220 = BgL_v1225z00_1309; } 
BGl_midireaderz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)53877), BGl_proc2944z00zz__multimediazd2midizd2, BGl_proc2943z00zz__multimediazd2midizd2, BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2942z00zz__multimediazd2midizd2, BFALSE, BgL_arg2295z00_1219, BgL_arg2296z00_1220); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2341z00_1316; obj_t BgL_arg2342z00_1317;
{ /* Llib/midi.scm 52 */
 obj_t BgL_v1226z00_1356;
BgL_v1226z00_1356 = 
create_vector(((long)28)); 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2349z00_1357;
BgL_arg2349z00_1357 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2947z00zz__multimediazd2midizd2, BGl_proc2946z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2945z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)0),BgL_arg2349z00_1357); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2356z00_1370;
BgL_arg2356z00_1370 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2950z00zz__multimediazd2midizd2, BGl_proc2949z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2948z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)1),BgL_arg2356z00_1370); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2363z00_1383;
BgL_arg2363z00_1383 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2953z00zz__multimediazd2midizd2, BGl_proc2952z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2951z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)2),BgL_arg2363z00_1383); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2370z00_1396;
BgL_arg2370z00_1396 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2956z00zz__multimediazd2midizd2, BGl_proc2955z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2954z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)3),BgL_arg2370z00_1396); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2377z00_1409;
BgL_arg2377z00_1409 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc2959z00zz__multimediazd2midizd2, BGl_proc2958z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2957z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)4),BgL_arg2377z00_1409); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2384z00_1422;
BgL_arg2384z00_1422 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2962z00zz__multimediazd2midizd2, BGl_proc2961z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2960z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)5),BgL_arg2384z00_1422); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2391z00_1435;
BgL_arg2391z00_1435 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc2965z00zz__multimediazd2midizd2, BGl_proc2964z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2963z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)6),BgL_arg2391z00_1435); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2398z00_1448;
BgL_arg2398z00_1448 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc2968z00zz__multimediazd2midizd2, BGl_proc2967z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2966z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)7),BgL_arg2398z00_1448); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2405z00_1461;
BgL_arg2405z00_1461 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2971z00zz__multimediazd2midizd2, BGl_proc2970z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2969z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)8),BgL_arg2405z00_1461); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2412z00_1474;
BgL_arg2412z00_1474 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2974z00zz__multimediazd2midizd2, BGl_proc2973z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2972z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)9),BgL_arg2412z00_1474); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2419z00_1487;
BgL_arg2419z00_1487 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2977z00zz__multimediazd2midizd2, BGl_proc2976z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2975z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)10),BgL_arg2419z00_1487); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2426z00_1500;
BgL_arg2426z00_1500 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc2980z00zz__multimediazd2midizd2, BGl_proc2979z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2978z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)11),BgL_arg2426z00_1500); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2433z00_1513;
BgL_arg2433z00_1513 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2983z00zz__multimediazd2midizd2, BGl_proc2982z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2981z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)12),BgL_arg2433z00_1513); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2440z00_1526;
BgL_arg2440z00_1526 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc2986z00zz__multimediazd2midizd2, BGl_proc2985z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2984z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)13),BgL_arg2440z00_1526); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2447z00_1539;
BgL_arg2447z00_1539 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc2989z00zz__multimediazd2midizd2, BGl_proc2988z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2987z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)14),BgL_arg2447z00_1539); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2454z00_1552;
BgL_arg2454z00_1552 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2992z00zz__multimediazd2midizd2, BGl_proc2991z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2990z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)15),BgL_arg2454z00_1552); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2461z00_1565;
BgL_arg2461z00_1565 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2995z00zz__multimediazd2midizd2, BGl_proc2994z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2993z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)16),BgL_arg2461z00_1565); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2468z00_1578;
BgL_arg2468z00_1578 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc2998z00zz__multimediazd2midizd2, BGl_proc2997z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2996z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)17),BgL_arg2468z00_1578); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2475z00_1591;
BgL_arg2475z00_1591 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3001z00zz__multimediazd2midizd2, BGl_proc3000z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2999z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)18),BgL_arg2475z00_1591); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2482z00_1604;
BgL_arg2482z00_1604 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc3004z00zz__multimediazd2midizd2, BGl_proc3003z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3002z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)19),BgL_arg2482z00_1604); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2489z00_1617;
BgL_arg2489z00_1617 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc3007z00zz__multimediazd2midizd2, BGl_proc3006z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3005z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)20),BgL_arg2489z00_1617); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2496z00_1630;
BgL_arg2496z00_1630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc3010z00zz__multimediazd2midizd2, BGl_proc3009z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3008z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)21),BgL_arg2496z00_1630); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2503z00_1643;
BgL_arg2503z00_1643 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc3013z00zz__multimediazd2midizd2, BGl_proc3012z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3011z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)22),BgL_arg2503z00_1643); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2510z00_1656;
BgL_arg2510z00_1656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3016z00zz__multimediazd2midizd2, BGl_proc3015z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3014z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)23),BgL_arg2510z00_1656); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2517z00_1669;
BgL_arg2517z00_1669 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3019z00zz__multimediazd2midizd2, BGl_proc3018z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3017z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)24),BgL_arg2517z00_1669); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2525z00_1691;
BgL_arg2525z00_1691 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc3022z00zz__multimediazd2midizd2, BGl_proc3021z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3020z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)25),BgL_arg2525z00_1691); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2533z00_1712;
BgL_arg2533z00_1712 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3025z00zz__multimediazd2midizd2, BGl_proc3024z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3023z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)26),BgL_arg2533z00_1712); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2540z00_1725;
BgL_arg2540z00_1725 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3028z00zz__multimediazd2midizd2, BGl_proc3027z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3026z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)27),BgL_arg2540z00_1725); } 
BgL_arg2341z00_1316 = BgL_v1226z00_1356; } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_v1227z00_1738;
BgL_v1227z00_1738 = 
create_vector(((long)0)); 
BgL_arg2342z00_1317 = BgL_v1227z00_1738; } 
BGl_midiplayerz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)52705), BGl_proc3031z00zz__multimediazd2midizd2, BGl_proc3030z00zz__multimediazd2midizd2, BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3029z00zz__multimediazd2midizd2, BFALSE, BgL_arg2341z00_1316, BgL_arg2342z00_1317); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2550z00_1745; obj_t BgL_arg2551z00_1746;
{ /* Llib/midi.scm 87 */
 obj_t BgL_v1228z00_1762;
BgL_v1228z00_1762 = 
create_vector(((long)5)); 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2558z00_1763;
BgL_arg2558z00_1763 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3034z00zz__multimediazd2midizd2, BGl_proc3033z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3032z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1228z00_1762,((long)0),BgL_arg2558z00_1763); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2565z00_1776;
BgL_arg2565z00_1776 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3037z00zz__multimediazd2midizd2, BGl_proc3036z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3035z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)1),BgL_arg2565z00_1776); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2572z00_1789;
BgL_arg2572z00_1789 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3040z00zz__multimediazd2midizd2, BGl_proc3039z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3038z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)2),BgL_arg2572z00_1789); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2580z00_1805;
BgL_arg2580z00_1805 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3043z00zz__multimediazd2midizd2, BGl_proc3042z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3041z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)3),BgL_arg2580z00_1805); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2588z00_1821;
BgL_arg2588z00_1821 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3046z00zz__multimediazd2midizd2, BGl_proc3045z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3044z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)4),BgL_arg2588z00_1821); } 
BgL_arg2550z00_1745 = BgL_v1228z00_1762; } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_v1229z00_1834;
BgL_v1229z00_1834 = 
create_vector(((long)0)); 
BgL_arg2551z00_1746 = BgL_v1229z00_1834; } 
return ( 
BGl_midisinkz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)13783), BGl_proc3049z00zz__multimediazd2midizd2, BGl_proc3048z00zz__multimediazd2midizd2, BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3047z00zz__multimediazd2midizd2, BFALSE, BgL_arg2550z00_1745, BgL_arg2551z00_1746), BUNSPEC) ;} } 

}



/* &<@anonymous:2557> */
obj_t BGl_z62zc3z04anonymousza32557ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3162, obj_t BgL_new1120z00_3163)
{
{ /* Llib/midi.scm 87 */
{ 
 BgL_midisinkz00_bglt BgL_auxz00_8559;
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3163)))->BgL_streamz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3163)))->BgL_usleepz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3163)))->BgL_writezd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3163)))->BgL_writezd2stringzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3163)))->BgL_flushz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8559 = 
((BgL_midisinkz00_bglt)BgL_new1120z00_3163); 
return 
((obj_t)BgL_auxz00_8559);} } 

}



/* &lambda2555 */
BgL_midisinkz00_bglt BGl_z62lambda2555z62zz__multimediazd2midizd2(obj_t BgL_envz00_3164)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1119z00_4732;
BgL_new1119z00_4732 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
 long BgL_arg2556z00_4733;
BgL_arg2556z00_4733 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_4732), BgL_arg2556z00_4733); } 
return BgL_new1119z00_4732;} } 

}



/* &lambda2552 */
BgL_midisinkz00_bglt BGl_z62lambda2552z62zz__multimediazd2midizd2(obj_t BgL_envz00_3165, obj_t BgL_stream1114z00_3166, obj_t BgL_usleep1115z00_3167, obj_t BgL_writezd2byte1116zd2_3168, obj_t BgL_writezd2string1117zd2_3169, obj_t BgL_flush1118z00_3170)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1185z00_4738;
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1184z00_4739;
BgL_new1184z00_4739 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
 long BgL_arg2554z00_4740;
BgL_arg2554z00_4740 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1184z00_4739), BgL_arg2554z00_4740); } 
BgL_new1185z00_4738 = BgL_new1184z00_4739; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4738))->BgL_streamz00)=((obj_t)BgL_stream1114z00_3166),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4738))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_usleep1115z00_3167)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4738))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_writezd2byte1116zd2_3168)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4738))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_writezd2string1117zd2_3169)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4738))->BgL_flushz00)=((obj_t)
((obj_t)BgL_flush1118z00_3170)),BUNSPEC); 
{ /* Llib/midi.scm 87 */
 obj_t BgL_fun2553z00_4741;
BgL_fun2553z00_4741 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2553z00_4741)(BgL_fun2553z00_4741, 
((obj_t)BgL_new1185z00_4738), BEOA); } 
return BgL_new1185z00_4738;} } 

}



/* &<@anonymous:2594> */
obj_t BGl_z62zc3z04anonymousza32594ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3171)
{
{ /* Llib/midi.scm 87 */
return BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;} 

}



/* &lambda2593 */
obj_t BGl_z62lambda2593z62zz__multimediazd2midizd2(obj_t BgL_envz00_3172, obj_t BgL_oz00_3173, obj_t BgL_vz00_3174)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3173)))->BgL_flushz00)=((obj_t)
((obj_t)BgL_vz00_3174)),BUNSPEC);} 

}



/* &lambda2592 */
obj_t BGl_z62lambda2592z62zz__multimediazd2midizd2(obj_t BgL_envz00_3175, obj_t BgL_oz00_3176)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3176)))->BgL_flushz00);} 

}



/* &<@anonymous:2586> */
obj_t BGl_z62zc3z04anonymousza32586ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3177)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3050z00zz__multimediazd2midizd2;} 

}



/* &lambda2585 */
obj_t BGl_z62lambda2585z62zz__multimediazd2midizd2(obj_t BgL_envz00_3178, obj_t BgL_oz00_3179, obj_t BgL_vz00_3180)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3179)))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_vz00_3180)),BUNSPEC);} 

}



/* &lambda2584 */
obj_t BGl_z62lambda2584z62zz__multimediazd2midizd2(obj_t BgL_envz00_3181, obj_t BgL_oz00_3182)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3182)))->BgL_writezd2stringzd2);} 

}



/* &<@anonymous:2587> */
obj_t BGl_z62zc3z04anonymousza32587ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3183, obj_t BgL_opz00_3184, obj_t BgL_sz00_3185)
{
{ /* Llib/midi.scm 92 */
return 
BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_sz00_3185, BgL_opz00_3184);} 

}



/* &<@anonymous:2578> */
obj_t BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3186)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3051z00zz__multimediazd2midizd2;} 

}



/* &lambda2577 */
obj_t BGl_z62lambda2577z62zz__multimediazd2midizd2(obj_t BgL_envz00_3187, obj_t BgL_oz00_3188, obj_t BgL_vz00_3189)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3188)))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3189)),BUNSPEC);} 

}



/* &lambda2576 */
obj_t BGl_z62lambda2576z62zz__multimediazd2midizd2(obj_t BgL_envz00_3190, obj_t BgL_oz00_3191)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3191)))->BgL_writezd2bytezd2);} 

}



/* &<@anonymous:2579> */
obj_t BGl_z62zc3z04anonymousza32579ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3192, obj_t BgL_opz00_3193, obj_t BgL_bz00_3194)
{
{ /* Llib/midi.scm 91 */
{ /* Llib/midi.scm 91 */
 unsigned char BgL_bytez00_4751;
BgL_bytez00_4751 = 
(unsigned char)CINT(BgL_bz00_3194); 
{ /* Llib/midi.scm 91 */
 obj_t BgL_tmpz00_8612;
BgL_tmpz00_8612 = 
((obj_t)BgL_opz00_3193); 
return 
bgl_display_char(BgL_bytez00_4751, BgL_tmpz00_8612);} } } 

}



/* &<@anonymous:2571> */
obj_t BGl_z62zc3z04anonymousza32571ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3195)
{
{ /* Llib/midi.scm 87 */
return BGl_sleepzd2envzd2zz__osz00;} 

}



/* &lambda2570 */
obj_t BGl_z62lambda2570z62zz__multimediazd2midizd2(obj_t BgL_envz00_3196, obj_t BgL_oz00_3197, obj_t BgL_vz00_3198)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3197)))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_vz00_3198)),BUNSPEC);} 

}



/* &lambda2569 */
obj_t BGl_z62lambda2569z62zz__multimediazd2midizd2(obj_t BgL_envz00_3199, obj_t BgL_oz00_3200)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3200)))->BgL_usleepz00);} 

}



/* &<@anonymous:2564> */
obj_t BGl_z62zc3z04anonymousza32564ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3201)
{
{ /* Llib/midi.scm 87 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2563 */
obj_t BGl_z62lambda2563z62zz__multimediazd2midizd2(obj_t BgL_envz00_3202, obj_t BgL_oz00_3203, obj_t BgL_vz00_3204)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3203)))->BgL_streamz00)=((obj_t)BgL_vz00_3204),BUNSPEC);} 

}



/* &lambda2562 */
obj_t BGl_z62lambda2562z62zz__multimediazd2midizd2(obj_t BgL_envz00_3205, obj_t BgL_oz00_3206)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3206)))->BgL_streamz00);} 

}



/* &<@anonymous:2348> */
obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3207, obj_t BgL_new1112z00_3208)
{
{ /* Llib/midi.scm 52 */
{ 
 BgL_midiplayerz00_bglt BgL_auxz00_8625;
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_errz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_cdelayz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_noteoffz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_noteonz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_aftertouchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_ctrlchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_prgmchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_afterzd2touchzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_pitchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_sysexz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2seqnumzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2textzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2copyrightzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2trackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2instrumentzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2lyriczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2markerzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2cuezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2prgmnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2devnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2channprefzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2midiportzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2eotzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2tempozd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2smtpezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2timesigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2keysigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208)))->BgL_metazd2seqspeczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8625 = 
((BgL_midiplayerz00_bglt)BgL_new1112z00_3208); 
return 
((obj_t)BgL_auxz00_8625);} } 

}



/* &lambda2346 */
BgL_midiplayerz00_bglt BGl_z62lambda2346z62zz__multimediazd2midizd2(obj_t BgL_envz00_3209)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1110z00_4758;
BgL_new1110z00_4758 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
 long BgL_arg2347z00_4759;
BgL_arg2347z00_4759 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4758), BgL_arg2347z00_4759); } 
return BgL_new1110z00_4758;} } 

}



/* &lambda2343 */
BgL_midiplayerz00_bglt BGl_z62lambda2343z62zz__multimediazd2midizd2(obj_t BgL_envz00_3210, obj_t BgL_err1082z00_3211, obj_t BgL_cdelay1083z00_3212, obj_t BgL_noteoff1084z00_3213, obj_t BgL_noteon1085z00_3214, obj_t BgL_aftertouch1086z00_3215, obj_t BgL_ctrlchange1087z00_3216, obj_t BgL_prgmchange1088z00_3217, obj_t BgL_afterzd2touch1089zd2_3218, obj_t BgL_pitch1090z00_3219, obj_t BgL_sysex1091z00_3220, obj_t BgL_metazd2seqnum1092zd2_3221, obj_t BgL_metazd2text1093zd2_3222, obj_t BgL_metazd2copyright1094zd2_3223, obj_t BgL_metazd2track1095zd2_3224, obj_t BgL_metazd2instrument1096zd2_3225, obj_t BgL_metazd2lyric1097zd2_3226, obj_t BgL_metazd2marker1098zd2_3227, obj_t BgL_metazd2cue1099zd2_3228, obj_t BgL_metazd2prgmname1100zd2_3229, obj_t BgL_metazd2devname1101zd2_3230, obj_t BgL_metazd2channpref1102zd2_3231, obj_t BgL_metazd2midiport1103zd2_3232, obj_t BgL_metazd2eot1104zd2_3233, obj_t BgL_metazd2tempo1105zd2_3234, obj_t BgL_metazd2smtpe1106zd2_3235, obj_t BgL_metazd2timesig1107zd2_3236, obj_t BgL_metazd2keysig1108zd2_3237, obj_t BgL_metazd2seqspec1109zd2_3238)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1183z00_4788;
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1182z00_4789;
BgL_new1182z00_4789 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
 long BgL_arg2345z00_4790;
BgL_arg2345z00_4790 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_4789), BgL_arg2345z00_4790); } 
BgL_new1183z00_4788 = BgL_new1182z00_4789; } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_errz00)=((obj_t)
((obj_t)BgL_err1082z00_3211)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_cdelay1083z00_3212)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_noteoff1084z00_3213)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_noteon1085z00_3214)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_aftertouch1086z00_3215)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_ctrlchange1087z00_3216)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_prgmchange1088z00_3217)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_afterzd2touch1089zd2_3218)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_pitch1090z00_3219)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_sysex1091z00_3220)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_metazd2seqnum1092zd2_3221)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_metazd2text1093zd2_3222)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_metazd2copyright1094zd2_3223)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_metazd2track1095zd2_3224)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_metazd2instrument1096zd2_3225)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_metazd2lyric1097zd2_3226)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_metazd2marker1098zd2_3227)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_metazd2cue1099zd2_3228)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_metazd2prgmname1100zd2_3229)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_metazd2devname1101zd2_3230)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_metazd2channpref1102zd2_3231)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_metazd2midiport1103zd2_3232)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_metazd2eot1104zd2_3233)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_metazd2tempo1105zd2_3234)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_metazd2smtpe1106zd2_3235)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_metazd2timesig1107zd2_3236)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_metazd2keysig1108zd2_3237)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4788))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_metazd2seqspec1109zd2_3238)),BUNSPEC); 
{ /* Llib/midi.scm 52 */
 obj_t BgL_fun2344z00_4791;
BgL_fun2344z00_4791 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2344z00_4791)(BgL_fun2344z00_4791, 
((obj_t)BgL_new1183z00_4788), BEOA); } 
return BgL_new1183z00_4788;} } 

}



/* &<@anonymous:2546> */
obj_t BGl_z62zc3z04anonymousza32546ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3239)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2545 */
obj_t BGl_z62lambda2545z62zz__multimediazd2midizd2(obj_t BgL_envz00_3240, obj_t BgL_oz00_3241, obj_t BgL_vz00_3242)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3241)))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_vz00_3242)),BUNSPEC);} 

}



/* &lambda2544 */
obj_t BGl_z62lambda2544z62zz__multimediazd2midizd2(obj_t BgL_envz00_3243, obj_t BgL_oz00_3244)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3244)))->BgL_metazd2seqspeczd2);} 

}



/* &<@anonymous:2539> */
obj_t BGl_z62zc3z04anonymousza32539ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3245)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2538 */
obj_t BGl_z62lambda2538z62zz__multimediazd2midizd2(obj_t BgL_envz00_3246, obj_t BgL_oz00_3247, obj_t BgL_vz00_3248)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3247)))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_vz00_3248)),BUNSPEC);} 

}



/* &lambda2537 */
obj_t BGl_z62lambda2537z62zz__multimediazd2midizd2(obj_t BgL_envz00_3249, obj_t BgL_oz00_3250)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3250)))->BgL_metazd2keysigzd2);} 

}



/* &<@anonymous:2531> */
obj_t BGl_z62zc3z04anonymousza32531ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3251)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3052z00zz__multimediazd2midizd2;} 

}



/* &lambda2530 */
obj_t BGl_z62lambda2530z62zz__multimediazd2midizd2(obj_t BgL_envz00_3252, obj_t BgL_oz00_3253, obj_t BgL_vz00_3254)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3253)))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_vz00_3254)),BUNSPEC);} 

}



/* &lambda2529 */
obj_t BGl_z62lambda2529z62zz__multimediazd2midizd2(obj_t BgL_envz00_3255, obj_t BgL_oz00_3256)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3256)))->BgL_metazd2timesigzd2);} 

}



/* &<@anonymous:2532> */
obj_t BGl_z62zc3z04anonymousza32532ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3257, obj_t BgL_mpz00_3258, obj_t BgL_msz00_3259, obj_t BgL_tickz00_3260, obj_t BgL_nnz00_3261, obj_t BgL_ddz00_3262, obj_t BgL_ccz00_3263, obj_t BgL_bbz00_3264)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2523> */
obj_t BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3265)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3053z00zz__multimediazd2midizd2;} 

}



/* &lambda2522 */
obj_t BGl_z62lambda2522z62zz__multimediazd2midizd2(obj_t BgL_envz00_3266, obj_t BgL_oz00_3267, obj_t BgL_vz00_3268)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3267)))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_vz00_3268)),BUNSPEC);} 

}



/* &lambda2521 */
obj_t BGl_z62lambda2521z62zz__multimediazd2midizd2(obj_t BgL_envz00_3269, obj_t BgL_oz00_3270)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3270)))->BgL_metazd2smtpezd2);} 

}



/* &<@anonymous:2524> */
obj_t BGl_z62zc3z04anonymousza32524ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3271, obj_t BgL_mpz00_3272, obj_t BgL_msz00_3273, obj_t BgL_tickz00_3274, obj_t BgL_hrz00_3275, obj_t BgL_mmz00_3276, obj_t BgL_sez00_3277, obj_t BgL_frz00_3278, obj_t BgL_ffz00_3279)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2516> */
obj_t BGl_z62zc3z04anonymousza32516ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3280)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2515 */
obj_t BGl_z62lambda2515z62zz__multimediazd2midizd2(obj_t BgL_envz00_3281, obj_t BgL_oz00_3282, obj_t BgL_vz00_3283)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3282)))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_vz00_3283)),BUNSPEC);} 

}



/* &lambda2514 */
obj_t BGl_z62lambda2514z62zz__multimediazd2midizd2(obj_t BgL_envz00_3284, obj_t BgL_oz00_3285)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3285)))->BgL_metazd2tempozd2);} 

}



/* &<@anonymous:2509> */
obj_t BGl_z62zc3z04anonymousza32509ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3286)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2508 */
obj_t BGl_z62lambda2508z62zz__multimediazd2midizd2(obj_t BgL_envz00_3287, obj_t BgL_oz00_3288, obj_t BgL_vz00_3289)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3288)))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_vz00_3289)),BUNSPEC);} 

}



/* &lambda2507 */
obj_t BGl_z62lambda2507z62zz__multimediazd2midizd2(obj_t BgL_envz00_3290, obj_t BgL_oz00_3291)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3291)))->BgL_metazd2eotzd2);} 

}



/* &<@anonymous:2502> */
obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3292)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2501 */
obj_t BGl_z62lambda2501z62zz__multimediazd2midizd2(obj_t BgL_envz00_3293, obj_t BgL_oz00_3294, obj_t BgL_vz00_3295)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3294)))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_vz00_3295)),BUNSPEC);} 

}



/* &lambda2500 */
obj_t BGl_z62lambda2500z62zz__multimediazd2midizd2(obj_t BgL_envz00_3296, obj_t BgL_oz00_3297)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3297)))->BgL_metazd2midiportzd2);} 

}



/* &<@anonymous:2495> */
obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3298)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2494 */
obj_t BGl_z62lambda2494z62zz__multimediazd2midizd2(obj_t BgL_envz00_3299, obj_t BgL_oz00_3300, obj_t BgL_vz00_3301)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3300)))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_vz00_3301)),BUNSPEC);} 

}



/* &lambda2493 */
obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t BgL_envz00_3302, obj_t BgL_oz00_3303)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3303)))->BgL_metazd2channprefzd2);} 

}



/* &<@anonymous:2488> */
obj_t BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3304)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__multimediazd2midizd2(obj_t BgL_envz00_3305, obj_t BgL_oz00_3306, obj_t BgL_vz00_3307)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3306)))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_vz00_3307)),BUNSPEC);} 

}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t BgL_envz00_3308, obj_t BgL_oz00_3309)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3309)))->BgL_metazd2devnamezd2);} 

}



/* &<@anonymous:2481> */
obj_t BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3310)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2480 */
obj_t BGl_z62lambda2480z62zz__multimediazd2midizd2(obj_t BgL_envz00_3311, obj_t BgL_oz00_3312, obj_t BgL_vz00_3313)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3312)))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_vz00_3313)),BUNSPEC);} 

}



/* &lambda2479 */
obj_t BGl_z62lambda2479z62zz__multimediazd2midizd2(obj_t BgL_envz00_3314, obj_t BgL_oz00_3315)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3315)))->BgL_metazd2prgmnamezd2);} 

}



/* &<@anonymous:2474> */
obj_t BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3316)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2473 */
obj_t BGl_z62lambda2473z62zz__multimediazd2midizd2(obj_t BgL_envz00_3317, obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3318)))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_vz00_3319)),BUNSPEC);} 

}



/* &lambda2472 */
obj_t BGl_z62lambda2472z62zz__multimediazd2midizd2(obj_t BgL_envz00_3320, obj_t BgL_oz00_3321)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3321)))->BgL_metazd2cuezd2);} 

}



/* &<@anonymous:2467> */
obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3322)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2466 */
obj_t BGl_z62lambda2466z62zz__multimediazd2midizd2(obj_t BgL_envz00_3323, obj_t BgL_oz00_3324, obj_t BgL_vz00_3325)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3324)))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_vz00_3325)),BUNSPEC);} 

}



/* &lambda2465 */
obj_t BGl_z62lambda2465z62zz__multimediazd2midizd2(obj_t BgL_envz00_3326, obj_t BgL_oz00_3327)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3327)))->BgL_metazd2markerzd2);} 

}



/* &<@anonymous:2460> */
obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3328)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2459 */
obj_t BGl_z62lambda2459z62zz__multimediazd2midizd2(obj_t BgL_envz00_3329, obj_t BgL_oz00_3330, obj_t BgL_vz00_3331)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3330)))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_vz00_3331)),BUNSPEC);} 

}



/* &lambda2458 */
obj_t BGl_z62lambda2458z62zz__multimediazd2midizd2(obj_t BgL_envz00_3332, obj_t BgL_oz00_3333)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3333)))->BgL_metazd2lyriczd2);} 

}



/* &<@anonymous:2453> */
obj_t BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3334)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2452 */
obj_t BGl_z62lambda2452z62zz__multimediazd2midizd2(obj_t BgL_envz00_3335, obj_t BgL_oz00_3336, obj_t BgL_vz00_3337)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3336)))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_vz00_3337)),BUNSPEC);} 

}



/* &lambda2451 */
obj_t BGl_z62lambda2451z62zz__multimediazd2midizd2(obj_t BgL_envz00_3338, obj_t BgL_oz00_3339)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3339)))->BgL_metazd2instrumentzd2);} 

}



/* &<@anonymous:2446> */
obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3340)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2445 */
obj_t BGl_z62lambda2445z62zz__multimediazd2midizd2(obj_t BgL_envz00_3341, obj_t BgL_oz00_3342, obj_t BgL_vz00_3343)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3342)))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_vz00_3343)),BUNSPEC);} 

}



/* &lambda2444 */
obj_t BGl_z62lambda2444z62zz__multimediazd2midizd2(obj_t BgL_envz00_3344, obj_t BgL_oz00_3345)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3345)))->BgL_metazd2trackzd2);} 

}



/* &<@anonymous:2439> */
obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3346)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2438 */
obj_t BGl_z62lambda2438z62zz__multimediazd2midizd2(obj_t BgL_envz00_3347, obj_t BgL_oz00_3348, obj_t BgL_vz00_3349)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3348)))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_vz00_3349)),BUNSPEC);} 

}



/* &lambda2437 */
obj_t BGl_z62lambda2437z62zz__multimediazd2midizd2(obj_t BgL_envz00_3350, obj_t BgL_oz00_3351)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3351)))->BgL_metazd2copyrightzd2);} 

}



/* &<@anonymous:2432> */
obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3352)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2431 */
obj_t BGl_z62lambda2431z62zz__multimediazd2midizd2(obj_t BgL_envz00_3353, obj_t BgL_oz00_3354, obj_t BgL_vz00_3355)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3354)))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_vz00_3355)),BUNSPEC);} 

}



/* &lambda2430 */
obj_t BGl_z62lambda2430z62zz__multimediazd2midizd2(obj_t BgL_envz00_3356, obj_t BgL_oz00_3357)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3357)))->BgL_metazd2textzd2);} 

}



/* &<@anonymous:2425> */
obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3358)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2424 */
obj_t BGl_z62lambda2424z62zz__multimediazd2midizd2(obj_t BgL_envz00_3359, obj_t BgL_oz00_3360, obj_t BgL_vz00_3361)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3360)))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_vz00_3361)),BUNSPEC);} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__multimediazd2midizd2(obj_t BgL_envz00_3362, obj_t BgL_oz00_3363)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3363)))->BgL_metazd2seqnumzd2);} 

}



/* &<@anonymous:2418> */
obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3364)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2417 */
obj_t BGl_z62lambda2417z62zz__multimediazd2midizd2(obj_t BgL_envz00_3365, obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3366)))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_vz00_3367)),BUNSPEC);} 

}



/* &lambda2416 */
obj_t BGl_z62lambda2416z62zz__multimediazd2midizd2(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3369)))->BgL_sysexz00);} 

}



/* &<@anonymous:2411> */
obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3370)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2410 */
obj_t BGl_z62lambda2410z62zz__multimediazd2midizd2(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372, obj_t BgL_vz00_3373)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3372)))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_vz00_3373)),BUNSPEC);} 

}



/* &lambda2409 */
obj_t BGl_z62lambda2409z62zz__multimediazd2midizd2(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3375)))->BgL_pitchz00);} 

}



/* &<@anonymous:2404> */
obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3376)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2;} 

}



/* &lambda2403 */
obj_t BGl_z62lambda2403z62zz__multimediazd2midizd2(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3378)))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_vz00_3379)),BUNSPEC);} 

}



/* &lambda2402 */
obj_t BGl_z62lambda2402z62zz__multimediazd2midizd2(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3381)))->BgL_afterzd2touchzd2);} 

}



/* &<@anonymous:2397> */
obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3382)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2396 */
obj_t BGl_z62lambda2396z62zz__multimediazd2midizd2(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3384)))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_vz00_3385)),BUNSPEC);} 

}



/* &lambda2395 */
obj_t BGl_z62lambda2395z62zz__multimediazd2midizd2(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3387)))->BgL_prgmchangez00);} 

}



/* &<@anonymous:2390> */
obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3388)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2389 */
obj_t BGl_z62lambda2389z62zz__multimediazd2midizd2(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390, obj_t BgL_vz00_3391)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3390)))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_vz00_3391)),BUNSPEC);} 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__multimediazd2midizd2(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3393)))->BgL_ctrlchangez00);} 

}



/* &<@anonymous:2383> */
obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3394)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__multimediazd2midizd2(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396, obj_t BgL_vz00_3397)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3396)))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_vz00_3397)),BUNSPEC);} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__multimediazd2midizd2(obj_t BgL_envz00_3398, obj_t BgL_oz00_3399)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3399)))->BgL_aftertouchz00);} 

}



/* &<@anonymous:2376> */
obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3400)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2375 */
obj_t BGl_z62lambda2375z62zz__multimediazd2midizd2(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3402)))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_vz00_3403)),BUNSPEC);} 

}



/* &lambda2374 */
obj_t BGl_z62lambda2374z62zz__multimediazd2midizd2(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3405)))->BgL_noteonz00);} 

}



/* &<@anonymous:2369> */
obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3406)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__multimediazd2midizd2(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408, obj_t BgL_vz00_3409)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3408)))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_vz00_3409)),BUNSPEC);} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__multimediazd2midizd2(obj_t BgL_envz00_3410, obj_t BgL_oz00_3411)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3411)))->BgL_noteoffz00);} 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3412)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__multimediazd2midizd2(obj_t BgL_envz00_3413, obj_t BgL_oz00_3414, obj_t BgL_vz00_3415)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3414)))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_vz00_3415)),BUNSPEC);} 

}



/* &lambda2360 */
obj_t BGl_z62lambda2360z62zz__multimediazd2midizd2(obj_t BgL_envz00_3416, obj_t BgL_oz00_3417)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3417)))->BgL_cdelayz00);} 

}



/* &<@anonymous:2355> */
obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3418)
{
{ /* Llib/midi.scm 52 */
return BGl_errorzd2envzd2zz__errorz00;} 

}



/* &lambda2354 */
obj_t BGl_z62lambda2354z62zz__multimediazd2midizd2(obj_t BgL_envz00_3419, obj_t BgL_oz00_3420, obj_t BgL_vz00_3421)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3420)))->BgL_errz00)=((obj_t)
((obj_t)BgL_vz00_3421)),BUNSPEC);} 

}



/* &lambda2353 */
obj_t BGl_z62lambda2353z62zz__multimediazd2midizd2(obj_t BgL_envz00_3422, obj_t BgL_oz00_3423)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3423)))->BgL_errz00);} 

}



/* &<@anonymous:2302> */
obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3424, obj_t BgL_new1080z00_3425)
{
{ /* Llib/midi.scm 42 */
{ 
 BgL_midireaderz00_bglt BgL_auxz00_8896;
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_peekzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_readzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_readzd2int16zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_readzd2int32zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_readzd2intzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_readzd2vlqzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3425)))->BgL_readzd2charszd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8896 = 
((BgL_midireaderz00_bglt)BgL_new1080z00_3425); 
return 
((obj_t)BgL_auxz00_8896);} } 

}



/* &lambda2300 */
BgL_midireaderz00_bglt BGl_z62lambda2300z62zz__multimediazd2midizd2(obj_t BgL_envz00_3426)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1079z00_4877;
BgL_new1079z00_4877 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
 long BgL_arg2301z00_4878;
BgL_arg2301z00_4878 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_4877), BgL_arg2301z00_4878); } 
return BgL_new1079z00_4877;} } 

}



/* &lambda2297 */
BgL_midireaderz00_bglt BGl_z62lambda2297z62zz__multimediazd2midizd2(obj_t BgL_envz00_3427, obj_t BgL_peekzd2byte1072zd2_3428, obj_t BgL_readzd2byte1073zd2_3429, obj_t BgL_readzd2int161074zd2_3430, obj_t BgL_readzd2int321075zd2_3431, obj_t BgL_readzd2int1076zd2_3432, obj_t BgL_readzd2vlq1077zd2_3433, obj_t BgL_readzd2chars1078zd2_3434)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1181z00_4886;
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1180z00_4887;
BgL_new1180z00_4887 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
 long BgL_arg2299z00_4888;
BgL_arg2299z00_4888 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1180z00_4887), BgL_arg2299z00_4888); } 
BgL_new1181z00_4886 = BgL_new1180z00_4887; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_peekzd2byte1072zd2_3428)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_readzd2byte1073zd2_3429)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_readzd2int161074zd2_3430)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_readzd2int321075zd2_3431)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_readzd2int1076zd2_3432)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_readzd2vlq1077zd2_3433)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4886))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_readzd2chars1078zd2_3434)),BUNSPEC); 
{ /* Llib/midi.scm 42 */
 obj_t BgL_fun2298z00_4889;
BgL_fun2298z00_4889 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2298z00_4889)(BgL_fun2298z00_4889, 
((obj_t)BgL_new1181z00_4886), BEOA); } 
return BgL_new1181z00_4886;} } 

}



/* &lambda2337 */
obj_t BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436, obj_t BgL_vz00_3437)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3436)))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_vz00_3437)),BUNSPEC);} 

}



/* &lambda2336 */
obj_t BGl_z62lambda2336z62zz__multimediazd2midizd2(obj_t BgL_envz00_3438, obj_t BgL_oz00_3439)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3439)))->BgL_readzd2charszd2);} 

}



/* &lambda2332 */
obj_t BGl_z62lambda2332z62zz__multimediazd2midizd2(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3441)))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_vz00_3442)),BUNSPEC);} 

}



/* &lambda2331 */
obj_t BGl_z62lambda2331z62zz__multimediazd2midizd2(obj_t BgL_envz00_3443, obj_t BgL_oz00_3444)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3444)))->BgL_readzd2vlqzd2);} 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__multimediazd2midizd2(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3446)))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_vz00_3447)),BUNSPEC);} 

}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__multimediazd2midizd2(obj_t BgL_envz00_3448, obj_t BgL_oz00_3449)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3449)))->BgL_readzd2intzd2);} 

}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451, obj_t BgL_vz00_3452)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3451)))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_vz00_3452)),BUNSPEC);} 

}



/* &lambda2321 */
obj_t BGl_z62lambda2321z62zz__multimediazd2midizd2(obj_t BgL_envz00_3453, obj_t BgL_oz00_3454)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3454)))->BgL_readzd2int32zd2);} 

}



/* &lambda2317 */
obj_t BGl_z62lambda2317z62zz__multimediazd2midizd2(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456, obj_t BgL_vz00_3457)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3456)))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_vz00_3457)),BUNSPEC);} 

}



/* &lambda2316 */
obj_t BGl_z62lambda2316z62zz__multimediazd2midizd2(obj_t BgL_envz00_3458, obj_t BgL_oz00_3459)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3459)))->BgL_readzd2int16zd2);} 

}



/* &lambda2312 */
obj_t BGl_z62lambda2312z62zz__multimediazd2midizd2(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3461)))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3462)),BUNSPEC);} 

}



/* &lambda2311 */
obj_t BGl_z62lambda2311z62zz__multimediazd2midizd2(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3464)))->BgL_readzd2bytezd2);} 

}



/* &lambda2307 */
obj_t BGl_z62lambda2307z62zz__multimediazd2midizd2(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3466)))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3467)),BUNSPEC);} 

}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__multimediazd2midizd2(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3469)))->BgL_peekzd2bytezd2);} 

}



/* &<@anonymous:2197> */
obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3470, obj_t BgL_new1070z00_3471)
{
{ /* Llib/midi.scm 24 */
{ 
 BgL_miditrackz00_bglt BgL_auxz00_8976;
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_z52streamz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_midireaderz00_bglt BgL_auxz00_8979;
{ /* Llib/midi.scm 24 */
 obj_t BgL_classz00_4912;
BgL_classz00_4912 = BGl_midireaderz00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 24 */
 obj_t BgL__ortest_1113z00_4913;
BgL__ortest_1113z00_4913 = 
BGL_CLASS_NIL(BgL_classz00_4912); 
if(
CBOOL(BgL__ortest_1113z00_4913))
{ /* Llib/midi.scm 24 */
BgL_auxz00_8979 = 
((BgL_midireaderz00_bglt)BgL__ortest_1113z00_4913)
; }  else 
{ /* Llib/midi.scm 24 */
BgL_auxz00_8979 = 
((BgL_midireaderz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4912))
; } } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BgL_auxz00_8979),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_z52closez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_z52wtickz52)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_lenz00)=((int32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_ipz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_wtickz00)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_statusz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3471)))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_8976 = 
((BgL_miditrackz00_bglt)BgL_new1070z00_3471); 
return 
((obj_t)BgL_auxz00_8976);} } 

}



/* &lambda2195 */
BgL_miditrackz00_bglt BGl_z62lambda2195z62zz__multimediazd2midizd2(obj_t BgL_envz00_3472)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1069z00_4914;
BgL_new1069z00_4914 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
 long BgL_arg2196z00_4915;
BgL_arg2196z00_4915 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4914), BgL_arg2196z00_4915); } 
return BgL_new1069z00_4914;} } 

}



/* &lambda2192 */
BgL_miditrackz00_bglt BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t BgL_envz00_3473, obj_t BgL_z52stream1055z52_3474, obj_t BgL_z52reader1056z52_3475, obj_t BgL_z52close1057z52_3476, obj_t BgL_z52eot1058z52_3477, obj_t BgL_z52wtick1059z52_3478, obj_t BgL_z52status1060z52_3479, obj_t BgL_len1061z00_3480, obj_t BgL_tempo1062z00_3481, obj_t BgL_ip1063z00_3482, obj_t BgL_start1064z00_3483, obj_t BgL_datastart1065z00_3484, obj_t BgL_wtick1066z00_3485, obj_t BgL_status1067z00_3486, obj_t BgL_eot1068z00_3487)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_z52eot1058z52_4918; uint32_t BgL_z52wtick1059z52_4919; long BgL_z52status1060z52_4920; int32_t BgL_len1061z00_4921; long BgL_tempo1062z00_4922; long BgL_start1064z00_4923; long BgL_datastart1065z00_4924; uint32_t BgL_wtick1066z00_4925; long BgL_status1067z00_4926; bool_t BgL_eot1068z00_4927;
BgL_z52eot1058z52_4918 = 
CBOOL(BgL_z52eot1058z52_3477); 
BgL_z52wtick1059z52_4919 = 
BGL_BUINT32_TO_UINT32(BgL_z52wtick1059z52_3478); 
BgL_z52status1060z52_4920 = 
(long)CINT(BgL_z52status1060z52_3479); 
BgL_len1061z00_4921 = 
BGL_BINT32_TO_INT32(BgL_len1061z00_3480); 
BgL_tempo1062z00_4922 = 
(long)CINT(BgL_tempo1062z00_3481); 
BgL_start1064z00_4923 = 
(long)CINT(BgL_start1064z00_3483); 
BgL_datastart1065z00_4924 = 
(long)CINT(BgL_datastart1065z00_3484); 
BgL_wtick1066z00_4925 = 
BGL_BUINT32_TO_UINT32(BgL_wtick1066z00_3485); 
BgL_status1067z00_4926 = 
(long)CINT(BgL_status1067z00_3486); 
BgL_eot1068z00_4927 = 
CBOOL(BgL_eot1068z00_3487); 
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1179z00_4928;
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1178z00_4929;
BgL_new1178z00_4929 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
 long BgL_arg2194z00_4930;
BgL_arg2194z00_4930 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1178z00_4929), BgL_arg2194z00_4930); } 
BgL_new1179z00_4928 = BgL_new1178z00_4929; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_z52streamz52)=((obj_t)BgL_z52stream1055z52_3474),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_z52reader1056z52_3475)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_z52close1057z52_3476)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_z52eotz52)=((bool_t)BgL_z52eot1058z52_4918),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_z52wtickz52)=((uint32_t)BgL_z52wtick1059z52_4919),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_z52statusz52)=((long)BgL_z52status1060z52_4920),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_lenz00)=((int32_t)BgL_len1061z00_4921),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_tempoz00)=((long)BgL_tempo1062z00_4922),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_ipz00)=((obj_t)BgL_ip1063z00_3482),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_startz00)=((long)BgL_start1064z00_4923),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_datastartz00)=((long)BgL_datastart1065z00_4924),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_wtickz00)=((uint32_t)BgL_wtick1066z00_4925),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_statusz00)=((long)BgL_status1067z00_4926),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4928))->BgL_eotz00)=((bool_t)BgL_eot1068z00_4927),BUNSPEC); 
{ /* Llib/midi.scm 24 */
 obj_t BgL_fun2193z00_4931;
BgL_fun2193z00_4931 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2193z00_4931)(BgL_fun2193z00_4931, 
((obj_t)BgL_new1179z00_4928), BEOA); } 
return BgL_new1179z00_4928;} } } 

}



/* &<@anonymous:2291> */
obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3488)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2290 */
obj_t BGl_z62lambda2290z62zz__multimediazd2midizd2(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490, obj_t BgL_vz00_3491)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_vz00_4933;
BgL_vz00_4933 = 
CBOOL(BgL_vz00_3491); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3490)))->BgL_eotz00)=((bool_t)BgL_vz00_4933),BUNSPEC);} } 

}



/* &lambda2289 */
obj_t BGl_z62lambda2289z62zz__multimediazd2midizd2(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3493)))->BgL_eotz00));} 

}



/* &<@anonymous:2284> */
obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3494)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)-1));} 

}



/* &lambda2283 */
obj_t BGl_z62lambda2283z62zz__multimediazd2midizd2(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496, obj_t BgL_vz00_3497)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4936;
BgL_vz00_4936 = 
(long)CINT(BgL_vz00_3497); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3496)))->BgL_statusz00)=((long)BgL_vz00_4936),BUNSPEC);} } 

}



/* &lambda2282 */
obj_t BGl_z62lambda2282z62zz__multimediazd2midizd2(obj_t BgL_envz00_3498, obj_t BgL_oz00_3499)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3499)))->BgL_statusz00));} 

}



/* &<@anonymous:2277> */
obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3500)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__multimediazd2midizd2(obj_t BgL_envz00_3501, obj_t BgL_oz00_3502, obj_t BgL_vz00_3503)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_vz00_4939;
BgL_vz00_4939 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3503); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3502)))->BgL_wtickz00)=((uint32_t)BgL_vz00_4939),BUNSPEC);} } 

}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__multimediazd2midizd2(obj_t BgL_envz00_3504, obj_t BgL_oz00_3505)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_tmpz00_9075;
BgL_tmpz00_9075 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3505)))->BgL_wtickz00); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_9075);} } 

}



/* &<@anonymous:2270> */
obj_t BGl_z62zc3z04anonymousza32270ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3506)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2269 */
obj_t BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t BgL_envz00_3507, obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4942;
BgL_vz00_4942 = 
(long)CINT(BgL_vz00_3509); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3508)))->BgL_datastartz00)=((long)BgL_vz00_4942),BUNSPEC);} } 

}



/* &lambda2268 */
obj_t BGl_z62lambda2268z62zz__multimediazd2midizd2(obj_t BgL_envz00_3510, obj_t BgL_oz00_3511)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3511)))->BgL_datastartz00));} 

}



/* &<@anonymous:2263> */
obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3512)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2262 */
obj_t BGl_z62lambda2262z62zz__multimediazd2midizd2(obj_t BgL_envz00_3513, obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4945;
BgL_vz00_4945 = 
(long)CINT(BgL_vz00_3515); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3514)))->BgL_startz00)=((long)BgL_vz00_4945),BUNSPEC);} } 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__multimediazd2midizd2(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3517)))->BgL_startz00));} 

}



/* &<@anonymous:2256> */
obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3518)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t BgL_envz00_3519, obj_t BgL_oz00_3520, obj_t BgL_vz00_3521)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3520)))->BgL_ipz00)=((obj_t)BgL_vz00_3521),BUNSPEC);} 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t BgL_envz00_3522, obj_t BgL_oz00_3523)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3523)))->BgL_ipz00);} 

}



/* &<@anonymous:2249> */
obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3524)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)500000));} 

}



/* &lambda2248 */
obj_t BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t BgL_envz00_3525, obj_t BgL_oz00_3526, obj_t BgL_vz00_3527)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4950;
BgL_vz00_4950 = 
(long)CINT(BgL_vz00_3527); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3526)))->BgL_tempoz00)=((long)BgL_vz00_4950),BUNSPEC);} } 

}



/* &lambda2247 */
obj_t BGl_z62lambda2247z62zz__multimediazd2midizd2(obj_t BgL_envz00_3528, obj_t BgL_oz00_3529)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3529)))->BgL_tempoz00));} 

}



/* &<@anonymous:2242> */
obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3530)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2241 */
obj_t BGl_z62lambda2241z62zz__multimediazd2midizd2(obj_t BgL_envz00_3531, obj_t BgL_oz00_3532, obj_t BgL_vz00_3533)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 int32_t BgL_vz00_4953;
BgL_vz00_4953 = 
BGL_BINT32_TO_INT32(BgL_vz00_3533); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3532)))->BgL_lenz00)=((int32_t)BgL_vz00_4953),BUNSPEC);} } 

}



/* &lambda2240 */
obj_t BGl_z62lambda2240z62zz__multimediazd2midizd2(obj_t BgL_envz00_3534, obj_t BgL_oz00_3535)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 int32_t BgL_tmpz00_9109;
BgL_tmpz00_9109 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3535)))->BgL_lenz00); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_9109);} } 

}



/* &<@anonymous:2235> */
obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3536)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2234 */
obj_t BGl_z62lambda2234z62zz__multimediazd2midizd2(obj_t BgL_envz00_3537, obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4956;
BgL_vz00_4956 = 
(long)CINT(BgL_vz00_3539); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3538)))->BgL_z52statusz52)=((long)BgL_vz00_4956),BUNSPEC);} } 

}



/* &lambda2233 */
obj_t BGl_z62lambda2233z62zz__multimediazd2midizd2(obj_t BgL_envz00_3540, obj_t BgL_oz00_3541)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3541)))->BgL_z52statusz52));} 

}



/* &<@anonymous:2228> */
obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3542)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2227 */
obj_t BGl_z62lambda2227z62zz__multimediazd2midizd2(obj_t BgL_envz00_3543, obj_t BgL_oz00_3544, obj_t BgL_vz00_3545)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_vz00_4959;
BgL_vz00_4959 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3545); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3544)))->BgL_z52wtickz52)=((uint32_t)BgL_vz00_4959),BUNSPEC);} } 

}



/* &lambda2226 */
obj_t BGl_z62lambda2226z62zz__multimediazd2midizd2(obj_t BgL_envz00_3546, obj_t BgL_oz00_3547)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_tmpz00_9124;
BgL_tmpz00_9124 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3547)))->BgL_z52wtickz52); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_9124);} } 

}



/* &<@anonymous:2221> */
obj_t BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3548)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2220 */
obj_t BGl_z62lambda2220z62zz__multimediazd2midizd2(obj_t BgL_envz00_3549, obj_t BgL_oz00_3550, obj_t BgL_vz00_3551)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_vz00_4962;
BgL_vz00_4962 = 
CBOOL(BgL_vz00_3551); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3550)))->BgL_z52eotz52)=((bool_t)BgL_vz00_4962),BUNSPEC);} } 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__multimediazd2midizd2(obj_t BgL_envz00_3552, obj_t BgL_oz00_3553)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3553)))->BgL_z52eotz52));} 

}



/* &lambda2214 */
obj_t BGl_z62lambda2214z62zz__multimediazd2midizd2(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3555)))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_vz00_3556)),BUNSPEC);} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__multimediazd2midizd2(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3558)))->BgL_z52closez52);} 

}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__multimediazd2midizd2(obj_t BgL_envz00_3559, obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3560)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_vz00_3561)),BUNSPEC);} 

}



/* &lambda2208 */
BgL_midireaderz00_bglt BGl_z62lambda2208z62zz__multimediazd2midizd2(obj_t BgL_envz00_3562, obj_t BgL_oz00_3563)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3563)))->BgL_z52readerz52);} 

}



/* &<@anonymous:2204> */
obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3564)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__multimediazd2midizd2(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3566)))->BgL_z52streamz52)=((obj_t)BgL_vz00_3567),BUNSPEC);} 

}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__multimediazd2midizd2(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3569)))->BgL_z52streamz52);} 

}



/* &<@anonymous:2160> */
obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3570, obj_t BgL_new1053z00_3571)
{
{ /* Llib/midi.scm 17 */
{ 
 BgL_midiscorez00_bglt BgL_auxz00_9150;
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3571)))->BgL_formatz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3571)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3571)))->BgL_ppqz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3571)))->BgL_tracksz00)=((obj_t)
CNST_TABLE_REF(((long)75))),BUNSPEC); 
BgL_auxz00_9150 = 
((BgL_midiscorez00_bglt)BgL_new1053z00_3571); 
return 
((obj_t)BgL_auxz00_9150);} } 

}



/* &lambda2158 */
BgL_midiscorez00_bglt BGl_z62lambda2158z62zz__multimediazd2midizd2(obj_t BgL_envz00_3572)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1052z00_4973;
BgL_new1052z00_4973 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
 long BgL_arg2159z00_4974;
BgL_arg2159z00_4974 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_4973), BgL_arg2159z00_4974); } 
return BgL_new1052z00_4973;} } 

}



/* &lambda2155 */
BgL_midiscorez00_bglt BGl_z62lambda2155z62zz__multimediazd2midizd2(obj_t BgL_envz00_3573, obj_t BgL_format1048z00_3574, obj_t BgL_tempo1049z00_3575, obj_t BgL_ppq1050z00_3576, obj_t BgL_tracks1051z00_3577)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_format1048z00_4975; long BgL_tempo1049z00_4976; long BgL_ppq1050z00_4977;
BgL_format1048z00_4975 = 
(long)CINT(BgL_format1048z00_3574); 
BgL_tempo1049z00_4976 = 
(long)CINT(BgL_tempo1049z00_3575); 
BgL_ppq1050z00_4977 = 
(long)CINT(BgL_ppq1050z00_3576); 
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1177z00_4979;
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1176z00_4980;
BgL_new1176z00_4980 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
 long BgL_arg2157z00_4981;
BgL_arg2157z00_4981 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_4980), BgL_arg2157z00_4981); } 
BgL_new1177z00_4979 = BgL_new1176z00_4980; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4979))->BgL_formatz00)=((long)BgL_format1048z00_4975),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4979))->BgL_tempoz00)=((long)BgL_tempo1049z00_4976),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4979))->BgL_ppqz00)=((long)BgL_ppq1050z00_4977),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4979))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_tracks1051z00_3577)),BUNSPEC); 
{ /* Llib/midi.scm 17 */
 obj_t BgL_fun2156z00_4982;
BgL_fun2156z00_4982 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2156z00_4982)(BgL_fun2156z00_4982, 
((obj_t)BgL_new1177z00_4979), BEOA); } 
return BgL_new1177z00_4979;} } } 

}



/* &<@anonymous:2186> */
obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3578)
{
{ /* Llib/midi.scm 17 */
return 
CNST_TABLE_REF(((long)75));} 

}



/* &lambda2185 */
obj_t BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t BgL_envz00_3579, obj_t BgL_oz00_3580, obj_t BgL_vz00_3581)
{
{ /* Llib/midi.scm 17 */
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3580)))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_vz00_3581)),BUNSPEC);} 

}



/* &lambda2184 */
obj_t BGl_z62lambda2184z62zz__multimediazd2midizd2(obj_t BgL_envz00_3582, obj_t BgL_oz00_3583)
{
{ /* Llib/midi.scm 17 */
return 
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3583)))->BgL_tracksz00);} 

}



/* &<@anonymous:2179> */
obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3584)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)96));} 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__multimediazd2midizd2(obj_t BgL_envz00_3585, obj_t BgL_oz00_3586, obj_t BgL_vz00_3587)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4987;
BgL_vz00_4987 = 
(long)CINT(BgL_vz00_3587); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3586)))->BgL_ppqz00)=((long)BgL_vz00_4987),BUNSPEC);} } 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__multimediazd2midizd2(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3589)))->BgL_ppqz00));} 

}



/* &<@anonymous:2172> */
obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3590)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)500000));} 

}



/* &lambda2171 */
obj_t BGl_z62lambda2171z62zz__multimediazd2midizd2(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592, obj_t BgL_vz00_3593)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4990;
BgL_vz00_4990 = 
(long)CINT(BgL_vz00_3593); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3592)))->BgL_tempoz00)=((long)BgL_vz00_4990),BUNSPEC);} } 

}



/* &lambda2170 */
obj_t BGl_z62lambda2170z62zz__multimediazd2midizd2(obj_t BgL_envz00_3594, obj_t BgL_oz00_3595)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3595)))->BgL_tempoz00));} 

}



/* &lambda2165 */
obj_t BGl_z62lambda2165z62zz__multimediazd2midizd2(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597, obj_t BgL_vz00_3598)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4993;
BgL_vz00_4993 = 
(long)CINT(BgL_vz00_3598); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3597)))->BgL_formatz00)=((long)BgL_vz00_4993),BUNSPEC);} } 

}



/* &lambda2164 */
obj_t BGl_z62lambda2164z62zz__multimediazd2midizd2(obj_t BgL_envz00_3599, obj_t BgL_oz00_3600)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3600)))->BgL_formatz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3054z00zz__multimediazd2midizd2, BGl_midiscorez00zz__multimediazd2midizd2, BGl_string3055z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3056z00zz__multimediazd2midizd2, BGl_miditrackz00zz__multimediazd2midizd2, BGl_string3057z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3058z00zz__multimediazd2midizd2, BGl_midireaderz00zz__multimediazd2midizd2, BGl_string3059z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3060z00zz__multimediazd2midizd2, BGl_midiplayerz00zz__multimediazd2midizd2, BGl_string3061z00zz__multimediazd2midizd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3062z00zz__multimediazd2midizd2, BGl_midisinkz00zz__multimediazd2midizd2, BGl_string3063z00zz__multimediazd2midizd2);} 

}



/* &midisink-init1238 */
obj_t BGl_z62midisinkzd2init1238zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3616, obj_t BgL_msinkz00_3617)
{
{ /* Llib/midi.scm 987 */
return 
((obj_t)
((BgL_midisinkz00_bglt)BgL_msinkz00_3617));} 

}



/* &midiplayer-init1236 */
obj_t BGl_z62midiplayerzd2init1236zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3618, obj_t BgL_mplayerz00_3619)
{
{ /* Llib/midi.scm 981 */
return 
((obj_t)
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3619));} 

}



/* &midireader-init1234 */
obj_t BGl_z62midireaderzd2init1234zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3620, obj_t BgL_mreaderz00_3621)
{
{ /* Llib/midi.scm 975 */
return 
((obj_t)
((BgL_midireaderz00_bglt)BgL_mreaderz00_3621));} 

}



/* &miditrack-init1232 */
obj_t BGl_z62miditrackzd2init1232zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3622, obj_t BgL_mtrackz00_3623)
{
{ /* Llib/midi.scm 969 */
return 
((obj_t)
((BgL_miditrackz00_bglt)BgL_mtrackz00_3623));} 

}



/* &midiscore-init1230 */
obj_t BGl_z62midiscorezd2init1230zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3624, obj_t BgL_mscorez00_3625)
{
{ /* Llib/midi.scm 963 */
return 
((obj_t)
((BgL_midiscorez00_bglt)BgL_mscorez00_3625));} 

}



/* midiscore-init */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_63)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
 obj_t BgL_method1231z00_1858;
{ /* Llib/midi.scm 963 */
 obj_t BgL_res2605z00_2610;
{ /* Llib/midi.scm 963 */
 long BgL_objzd2classzd2numz00_2581;
BgL_objzd2classzd2numz00_2581 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mscorez00_63)); 
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1801z00_2582;
BgL_arg1801z00_2582 = 
PROCEDURE_REF(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 963 */
 int BgL_offsetz00_2585;
BgL_offsetz00_2585 = 
(int)(BgL_objzd2classzd2numz00_2581); 
{ /* Llib/midi.scm 963 */
 long BgL_offsetz00_2586;
BgL_offsetz00_2586 = 
(
(long)(BgL_offsetz00_2585)-OBJECT_TYPE); 
{ /* Llib/midi.scm 963 */
 long BgL_modz00_2587;
BgL_modz00_2587 = 
(BgL_offsetz00_2586 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 963 */
 long BgL_restz00_2589;
BgL_restz00_2589 = 
(BgL_offsetz00_2586 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 963 */

{ /* Llib/midi.scm 963 */
 obj_t BgL_bucketz00_2591;
BgL_bucketz00_2591 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2582),BgL_modz00_2587); 
BgL_res2605z00_2610 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2591),BgL_restz00_2589); } } } } } } } } 
BgL_method1231z00_1858 = BgL_res2605z00_2610; } 
return 
PROCEDURE_ENTRY(BgL_method1231z00_1858)(BgL_method1231z00_1858, 
((obj_t)BgL_mscorez00_63), BEOA);} } 

}



/* &midiscore-init */
obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3601, obj_t BgL_mscorez00_3602)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
 BgL_midiscorez00_bglt BgL_auxz00_9255;
{ /* Llib/midi.scm 963 */
 bool_t BgL_test3587z00_9256;
{ /* Llib/midi.scm 963 */
 obj_t BgL_classz00_5000;
BgL_classz00_5000 = BGl_midiscorez00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mscorez00_3602))
{ /* Llib/midi.scm 963 */
 BgL_objectz00_bglt BgL_arg1799z00_5002; long BgL_arg1800z00_5003;
BgL_arg1799z00_5002 = 
(BgL_objectz00_bglt)(BgL_mscorez00_3602); 
BgL_arg1800z00_5003 = 
BGL_CLASS_DEPTH(BgL_classz00_5000); 
{ /* Llib/midi.scm 963 */
 bool_t BgL_arg1794z00_5007; bool_t BgL_arg1795z00_5008;
{ /* Llib/midi.scm 963 */
 long BgL_idxz00_5012;
BgL_idxz00_5012 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5002); 
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1791z00_5013;
{ /* Llib/midi.scm 963 */
 long BgL_arg1792z00_5014;
BgL_arg1792z00_5014 = 
(BgL_idxz00_5012+BgL_arg1800z00_5003); 
BgL_arg1791z00_5013 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5014); } 
BgL_arg1794z00_5007 = 
(BgL_arg1791z00_5013==BgL_classz00_5000); } } 
{ /* Llib/midi.scm 963 */
 bool_t BgL_res3094z00_5037;
{ /* Llib/midi.scm 963 */
 obj_t BgL_oclassz00_5022;
{ /* Llib/midi.scm 963 */
 long BgL_arg1804z00_5028;
{ /* Llib/midi.scm 963 */
 long BgL_arg1805z00_5029;
BgL_arg1805z00_5029 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5002); 
BgL_arg1804z00_5028 = 
(BgL_arg1805z00_5029-OBJECT_TYPE); } 
BgL_oclassz00_5022 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5028); } 
{ /* Llib/midi.scm 963 */
 bool_t BgL__ortest_1111z00_5023;
BgL__ortest_1111z00_5023 = 
(BgL_classz00_5000==BgL_oclassz00_5022); 
if(BgL__ortest_1111z00_5023)
{ /* Llib/midi.scm 963 */
BgL_res3094z00_5037 = BgL__ortest_1111z00_5023; }  else 
{ /* Llib/midi.scm 963 */
 long BgL_odepthz00_5024;
BgL_odepthz00_5024 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5022); 
if(
(BgL_arg1800z00_5003<BgL_odepthz00_5024))
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1793z00_5026;
BgL_arg1793z00_5026 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5022, BgL_arg1800z00_5003); 
BgL_res3094z00_5037 = 
(BgL_arg1793z00_5026==BgL_classz00_5000); }  else 
{ /* Llib/midi.scm 963 */
BgL_res3094z00_5037 = ((bool_t)0); } } } } 
BgL_arg1795z00_5008 = BgL_res3094z00_5037; } 
BgL_test3587z00_9256 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5007, BgL_arg1795z00_5008); } }  else 
{ /* Llib/midi.scm 963 */
BgL_test3587z00_9256 = ((bool_t)0)
; } } 
if(BgL_test3587z00_9256)
{ /* Llib/midi.scm 963 */
BgL_auxz00_9255 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_3602)
; }  else 
{ 
 obj_t BgL_auxz00_9277;
BgL_auxz00_9277 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)36209)), BGl_string3064z00zz__multimediazd2midizd2, BGl_string2832z00zz__multimediazd2midizd2, BgL_mscorez00_3602); 
FAILURE(BgL_auxz00_9277,BFALSE,BFALSE);} } 
return 
BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9255);} } 

}



/* miditrack-init */
BGL_EXPORTED_DEF obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_mtrackz00_64)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
 obj_t BgL_method1233z00_1859;
{ /* Llib/midi.scm 969 */
 obj_t BgL_res2610z00_2641;
{ /* Llib/midi.scm 969 */
 long BgL_objzd2classzd2numz00_2612;
BgL_objzd2classzd2numz00_2612 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mtrackz00_64)); 
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1801z00_2613;
BgL_arg1801z00_2613 = 
PROCEDURE_REF(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 969 */
 int BgL_offsetz00_2616;
BgL_offsetz00_2616 = 
(int)(BgL_objzd2classzd2numz00_2612); 
{ /* Llib/midi.scm 969 */
 long BgL_offsetz00_2617;
BgL_offsetz00_2617 = 
(
(long)(BgL_offsetz00_2616)-OBJECT_TYPE); 
{ /* Llib/midi.scm 969 */
 long BgL_modz00_2618;
BgL_modz00_2618 = 
(BgL_offsetz00_2617 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 969 */
 long BgL_restz00_2620;
BgL_restz00_2620 = 
(BgL_offsetz00_2617 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 969 */

{ /* Llib/midi.scm 969 */
 obj_t BgL_bucketz00_2622;
BgL_bucketz00_2622 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2613),BgL_modz00_2618); 
BgL_res2610z00_2641 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2622),BgL_restz00_2620); } } } } } } } } 
BgL_method1233z00_1859 = BgL_res2610z00_2641; } 
return 
PROCEDURE_ENTRY(BgL_method1233z00_1859)(BgL_method1233z00_1859, 
((obj_t)BgL_mtrackz00_64), BEOA);} } 

}



/* &miditrack-init */
obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3603, obj_t BgL_mtrackz00_3604)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
 BgL_miditrackz00_bglt BgL_auxz00_9312;
{ /* Llib/midi.scm 969 */
 bool_t BgL_test3591z00_9313;
{ /* Llib/midi.scm 969 */
 obj_t BgL_classz00_5038;
BgL_classz00_5038 = BGl_miditrackz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mtrackz00_3604))
{ /* Llib/midi.scm 969 */
 BgL_objectz00_bglt BgL_arg1799z00_5040; long BgL_arg1800z00_5041;
BgL_arg1799z00_5040 = 
(BgL_objectz00_bglt)(BgL_mtrackz00_3604); 
BgL_arg1800z00_5041 = 
BGL_CLASS_DEPTH(BgL_classz00_5038); 
{ /* Llib/midi.scm 969 */
 bool_t BgL_arg1794z00_5045; bool_t BgL_arg1795z00_5046;
{ /* Llib/midi.scm 969 */
 long BgL_idxz00_5050;
BgL_idxz00_5050 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5040); 
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1791z00_5051;
{ /* Llib/midi.scm 969 */
 long BgL_arg1792z00_5052;
BgL_arg1792z00_5052 = 
(BgL_idxz00_5050+BgL_arg1800z00_5041); 
BgL_arg1791z00_5051 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5052); } 
BgL_arg1794z00_5045 = 
(BgL_arg1791z00_5051==BgL_classz00_5038); } } 
{ /* Llib/midi.scm 969 */
 bool_t BgL_res3095z00_5075;
{ /* Llib/midi.scm 969 */
 obj_t BgL_oclassz00_5060;
{ /* Llib/midi.scm 969 */
 long BgL_arg1804z00_5066;
{ /* Llib/midi.scm 969 */
 long BgL_arg1805z00_5067;
BgL_arg1805z00_5067 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5040); 
BgL_arg1804z00_5066 = 
(BgL_arg1805z00_5067-OBJECT_TYPE); } 
BgL_oclassz00_5060 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5066); } 
{ /* Llib/midi.scm 969 */
 bool_t BgL__ortest_1111z00_5061;
BgL__ortest_1111z00_5061 = 
(BgL_classz00_5038==BgL_oclassz00_5060); 
if(BgL__ortest_1111z00_5061)
{ /* Llib/midi.scm 969 */
BgL_res3095z00_5075 = BgL__ortest_1111z00_5061; }  else 
{ /* Llib/midi.scm 969 */
 long BgL_odepthz00_5062;
BgL_odepthz00_5062 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5060); 
if(
(BgL_arg1800z00_5041<BgL_odepthz00_5062))
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1793z00_5064;
BgL_arg1793z00_5064 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5060, BgL_arg1800z00_5041); 
BgL_res3095z00_5075 = 
(BgL_arg1793z00_5064==BgL_classz00_5038); }  else 
{ /* Llib/midi.scm 969 */
BgL_res3095z00_5075 = ((bool_t)0); } } } } 
BgL_arg1795z00_5046 = BgL_res3095z00_5075; } 
BgL_test3591z00_9313 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5045, BgL_arg1795z00_5046); } }  else 
{ /* Llib/midi.scm 969 */
BgL_test3591z00_9313 = ((bool_t)0)
; } } 
if(BgL_test3591z00_9313)
{ /* Llib/midi.scm 969 */
BgL_auxz00_9312 = 
((BgL_miditrackz00_bglt)BgL_mtrackz00_3604)
; }  else 
{ 
 obj_t BgL_auxz00_9334;
BgL_auxz00_9334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)36494)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string2854z00zz__multimediazd2midizd2, BgL_mtrackz00_3604); 
FAILURE(BgL_auxz00_9334,BFALSE,BFALSE);} } 
return 
BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9312);} } 

}



/* midireader-init */
BGL_EXPORTED_DEF obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt BgL_mreaderz00_65)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
 obj_t BgL_method1235z00_1860;
{ /* Llib/midi.scm 975 */
 obj_t BgL_res2615z00_2672;
{ /* Llib/midi.scm 975 */
 long BgL_objzd2classzd2numz00_2643;
BgL_objzd2classzd2numz00_2643 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mreaderz00_65)); 
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1801z00_2644;
BgL_arg1801z00_2644 = 
PROCEDURE_REF(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 975 */
 int BgL_offsetz00_2647;
BgL_offsetz00_2647 = 
(int)(BgL_objzd2classzd2numz00_2643); 
{ /* Llib/midi.scm 975 */
 long BgL_offsetz00_2648;
BgL_offsetz00_2648 = 
(
(long)(BgL_offsetz00_2647)-OBJECT_TYPE); 
{ /* Llib/midi.scm 975 */
 long BgL_modz00_2649;
BgL_modz00_2649 = 
(BgL_offsetz00_2648 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 975 */
 long BgL_restz00_2651;
BgL_restz00_2651 = 
(BgL_offsetz00_2648 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 975 */

{ /* Llib/midi.scm 975 */
 obj_t BgL_bucketz00_2653;
BgL_bucketz00_2653 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2644),BgL_modz00_2649); 
BgL_res2615z00_2672 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2653),BgL_restz00_2651); } } } } } } } } 
BgL_method1235z00_1860 = BgL_res2615z00_2672; } 
return 
PROCEDURE_ENTRY(BgL_method1235z00_1860)(BgL_method1235z00_1860, 
((obj_t)BgL_mreaderz00_65), BEOA);} } 

}



/* &midireader-init */
obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3605, obj_t BgL_mreaderz00_3606)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
 BgL_midireaderz00_bglt BgL_auxz00_9369;
{ /* Llib/midi.scm 975 */
 bool_t BgL_test3595z00_9370;
{ /* Llib/midi.scm 975 */
 obj_t BgL_classz00_5076;
BgL_classz00_5076 = BGl_midireaderz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mreaderz00_3606))
{ /* Llib/midi.scm 975 */
 BgL_objectz00_bglt BgL_arg1799z00_5078; long BgL_arg1800z00_5079;
BgL_arg1799z00_5078 = 
(BgL_objectz00_bglt)(BgL_mreaderz00_3606); 
BgL_arg1800z00_5079 = 
BGL_CLASS_DEPTH(BgL_classz00_5076); 
{ /* Llib/midi.scm 975 */
 bool_t BgL_arg1794z00_5083; bool_t BgL_arg1795z00_5084;
{ /* Llib/midi.scm 975 */
 long BgL_idxz00_5088;
BgL_idxz00_5088 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5078); 
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1791z00_5089;
{ /* Llib/midi.scm 975 */
 long BgL_arg1792z00_5090;
BgL_arg1792z00_5090 = 
(BgL_idxz00_5088+BgL_arg1800z00_5079); 
BgL_arg1791z00_5089 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5090); } 
BgL_arg1794z00_5083 = 
(BgL_arg1791z00_5089==BgL_classz00_5076); } } 
{ /* Llib/midi.scm 975 */
 bool_t BgL_res3096z00_5113;
{ /* Llib/midi.scm 975 */
 obj_t BgL_oclassz00_5098;
{ /* Llib/midi.scm 975 */
 long BgL_arg1804z00_5104;
{ /* Llib/midi.scm 975 */
 long BgL_arg1805z00_5105;
BgL_arg1805z00_5105 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5078); 
BgL_arg1804z00_5104 = 
(BgL_arg1805z00_5105-OBJECT_TYPE); } 
BgL_oclassz00_5098 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5104); } 
{ /* Llib/midi.scm 975 */
 bool_t BgL__ortest_1111z00_5099;
BgL__ortest_1111z00_5099 = 
(BgL_classz00_5076==BgL_oclassz00_5098); 
if(BgL__ortest_1111z00_5099)
{ /* Llib/midi.scm 975 */
BgL_res3096z00_5113 = BgL__ortest_1111z00_5099; }  else 
{ /* Llib/midi.scm 975 */
 long BgL_odepthz00_5100;
BgL_odepthz00_5100 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5098); 
if(
(BgL_arg1800z00_5079<BgL_odepthz00_5100))
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1793z00_5102;
BgL_arg1793z00_5102 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5098, BgL_arg1800z00_5079); 
BgL_res3096z00_5113 = 
(BgL_arg1793z00_5102==BgL_classz00_5076); }  else 
{ /* Llib/midi.scm 975 */
BgL_res3096z00_5113 = ((bool_t)0); } } } } 
BgL_arg1795z00_5084 = BgL_res3096z00_5113; } 
BgL_test3595z00_9370 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5083, BgL_arg1795z00_5084); } }  else 
{ /* Llib/midi.scm 975 */
BgL_test3595z00_9370 = ((bool_t)0)
; } } 
if(BgL_test3595z00_9370)
{ /* Llib/midi.scm 975 */
BgL_auxz00_9369 = 
((BgL_midireaderz00_bglt)BgL_mreaderz00_3606)
; }  else 
{ 
 obj_t BgL_auxz00_9391;
BgL_auxz00_9391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)36779)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3067z00zz__multimediazd2midizd2, BgL_mreaderz00_3606); 
FAILURE(BgL_auxz00_9391,BFALSE,BFALSE);} } 
return 
BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9369);} } 

}



/* midiplayer-init */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mplayerz00_66)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
 obj_t BgL_method1237z00_1861;
{ /* Llib/midi.scm 981 */
 obj_t BgL_res2620z00_2703;
{ /* Llib/midi.scm 981 */
 long BgL_objzd2classzd2numz00_2674;
BgL_objzd2classzd2numz00_2674 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mplayerz00_66)); 
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1801z00_2675;
BgL_arg1801z00_2675 = 
PROCEDURE_REF(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 981 */
 int BgL_offsetz00_2678;
BgL_offsetz00_2678 = 
(int)(BgL_objzd2classzd2numz00_2674); 
{ /* Llib/midi.scm 981 */
 long BgL_offsetz00_2679;
BgL_offsetz00_2679 = 
(
(long)(BgL_offsetz00_2678)-OBJECT_TYPE); 
{ /* Llib/midi.scm 981 */
 long BgL_modz00_2680;
BgL_modz00_2680 = 
(BgL_offsetz00_2679 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 981 */
 long BgL_restz00_2682;
BgL_restz00_2682 = 
(BgL_offsetz00_2679 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 981 */

{ /* Llib/midi.scm 981 */
 obj_t BgL_bucketz00_2684;
BgL_bucketz00_2684 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2675),BgL_modz00_2680); 
BgL_res2620z00_2703 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2684),BgL_restz00_2682); } } } } } } } } 
BgL_method1237z00_1861 = BgL_res2620z00_2703; } 
return 
PROCEDURE_ENTRY(BgL_method1237z00_1861)(BgL_method1237z00_1861, 
((obj_t)BgL_mplayerz00_66), BEOA);} } 

}



/* &midiplayer-init */
obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3607, obj_t BgL_mplayerz00_3608)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
 BgL_midiplayerz00_bglt BgL_auxz00_9426;
{ /* Llib/midi.scm 981 */
 bool_t BgL_test3599z00_9427;
{ /* Llib/midi.scm 981 */
 obj_t BgL_classz00_5114;
BgL_classz00_5114 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mplayerz00_3608))
{ /* Llib/midi.scm 981 */
 BgL_objectz00_bglt BgL_arg1799z00_5116; long BgL_arg1800z00_5117;
BgL_arg1799z00_5116 = 
(BgL_objectz00_bglt)(BgL_mplayerz00_3608); 
BgL_arg1800z00_5117 = 
BGL_CLASS_DEPTH(BgL_classz00_5114); 
{ /* Llib/midi.scm 981 */
 bool_t BgL_arg1794z00_5121; bool_t BgL_arg1795z00_5122;
{ /* Llib/midi.scm 981 */
 long BgL_idxz00_5126;
BgL_idxz00_5126 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5116); 
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1791z00_5127;
{ /* Llib/midi.scm 981 */
 long BgL_arg1792z00_5128;
BgL_arg1792z00_5128 = 
(BgL_idxz00_5126+BgL_arg1800z00_5117); 
BgL_arg1791z00_5127 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5128); } 
BgL_arg1794z00_5121 = 
(BgL_arg1791z00_5127==BgL_classz00_5114); } } 
{ /* Llib/midi.scm 981 */
 bool_t BgL_res3097z00_5151;
{ /* Llib/midi.scm 981 */
 obj_t BgL_oclassz00_5136;
{ /* Llib/midi.scm 981 */
 long BgL_arg1804z00_5142;
{ /* Llib/midi.scm 981 */
 long BgL_arg1805z00_5143;
BgL_arg1805z00_5143 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5116); 
BgL_arg1804z00_5142 = 
(BgL_arg1805z00_5143-OBJECT_TYPE); } 
BgL_oclassz00_5136 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5142); } 
{ /* Llib/midi.scm 981 */
 bool_t BgL__ortest_1111z00_5137;
BgL__ortest_1111z00_5137 = 
(BgL_classz00_5114==BgL_oclassz00_5136); 
if(BgL__ortest_1111z00_5137)
{ /* Llib/midi.scm 981 */
BgL_res3097z00_5151 = BgL__ortest_1111z00_5137; }  else 
{ /* Llib/midi.scm 981 */
 long BgL_odepthz00_5138;
BgL_odepthz00_5138 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5136); 
if(
(BgL_arg1800z00_5117<BgL_odepthz00_5138))
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1793z00_5140;
BgL_arg1793z00_5140 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5136, BgL_arg1800z00_5117); 
BgL_res3097z00_5151 = 
(BgL_arg1793z00_5140==BgL_classz00_5114); }  else 
{ /* Llib/midi.scm 981 */
BgL_res3097z00_5151 = ((bool_t)0); } } } } 
BgL_arg1795z00_5122 = BgL_res3097z00_5151; } 
BgL_test3599z00_9427 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5121, BgL_arg1795z00_5122); } }  else 
{ /* Llib/midi.scm 981 */
BgL_test3599z00_9427 = ((bool_t)0)
; } } 
if(BgL_test3599z00_9427)
{ /* Llib/midi.scm 981 */
BgL_auxz00_9426 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3608)
; }  else 
{ 
 obj_t BgL_auxz00_9448;
BgL_auxz00_9448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37068)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_mplayerz00_3608); 
FAILURE(BgL_auxz00_9448,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9426);} } 

}



/* midisink-init */
BGL_EXPORTED_DEF obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt BgL_msinkz00_67)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
 obj_t BgL_method1239z00_1862;
{ /* Llib/midi.scm 987 */
 obj_t BgL_res2625z00_2734;
{ /* Llib/midi.scm 987 */
 long BgL_objzd2classzd2numz00_2705;
BgL_objzd2classzd2numz00_2705 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_msinkz00_67)); 
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1801z00_2706;
BgL_arg1801z00_2706 = 
PROCEDURE_REF(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 987 */
 int BgL_offsetz00_2709;
BgL_offsetz00_2709 = 
(int)(BgL_objzd2classzd2numz00_2705); 
{ /* Llib/midi.scm 987 */
 long BgL_offsetz00_2710;
BgL_offsetz00_2710 = 
(
(long)(BgL_offsetz00_2709)-OBJECT_TYPE); 
{ /* Llib/midi.scm 987 */
 long BgL_modz00_2711;
BgL_modz00_2711 = 
(BgL_offsetz00_2710 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 987 */
 long BgL_restz00_2713;
BgL_restz00_2713 = 
(BgL_offsetz00_2710 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 987 */

{ /* Llib/midi.scm 987 */
 obj_t BgL_bucketz00_2715;
BgL_bucketz00_2715 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2706),BgL_modz00_2711); 
BgL_res2625z00_2734 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2715),BgL_restz00_2713); } } } } } } } } 
BgL_method1239z00_1862 = BgL_res2625z00_2734; } 
return 
PROCEDURE_ENTRY(BgL_method1239z00_1862)(BgL_method1239z00_1862, 
((obj_t)BgL_msinkz00_67), BEOA);} } 

}



/* &midisink-init */
obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3609, obj_t BgL_msinkz00_3610)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
 BgL_midisinkz00_bglt BgL_auxz00_9483;
{ /* Llib/midi.scm 987 */
 bool_t BgL_test3603z00_9484;
{ /* Llib/midi.scm 987 */
 obj_t BgL_classz00_5152;
BgL_classz00_5152 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msinkz00_3610))
{ /* Llib/midi.scm 987 */
 BgL_objectz00_bglt BgL_arg1799z00_5154; long BgL_arg1800z00_5155;
BgL_arg1799z00_5154 = 
(BgL_objectz00_bglt)(BgL_msinkz00_3610); 
BgL_arg1800z00_5155 = 
BGL_CLASS_DEPTH(BgL_classz00_5152); 
{ /* Llib/midi.scm 987 */
 bool_t BgL_arg1794z00_5159; bool_t BgL_arg1795z00_5160;
{ /* Llib/midi.scm 987 */
 long BgL_idxz00_5164;
BgL_idxz00_5164 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5154); 
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1791z00_5165;
{ /* Llib/midi.scm 987 */
 long BgL_arg1792z00_5166;
BgL_arg1792z00_5166 = 
(BgL_idxz00_5164+BgL_arg1800z00_5155); 
BgL_arg1791z00_5165 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5166); } 
BgL_arg1794z00_5159 = 
(BgL_arg1791z00_5165==BgL_classz00_5152); } } 
{ /* Llib/midi.scm 987 */
 bool_t BgL_res3098z00_5189;
{ /* Llib/midi.scm 987 */
 obj_t BgL_oclassz00_5174;
{ /* Llib/midi.scm 987 */
 long BgL_arg1804z00_5180;
{ /* Llib/midi.scm 987 */
 long BgL_arg1805z00_5181;
BgL_arg1805z00_5181 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5154); 
BgL_arg1804z00_5180 = 
(BgL_arg1805z00_5181-OBJECT_TYPE); } 
BgL_oclassz00_5174 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5180); } 
{ /* Llib/midi.scm 987 */
 bool_t BgL__ortest_1111z00_5175;
BgL__ortest_1111z00_5175 = 
(BgL_classz00_5152==BgL_oclassz00_5174); 
if(BgL__ortest_1111z00_5175)
{ /* Llib/midi.scm 987 */
BgL_res3098z00_5189 = BgL__ortest_1111z00_5175; }  else 
{ /* Llib/midi.scm 987 */
 long BgL_odepthz00_5176;
BgL_odepthz00_5176 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5174); 
if(
(BgL_arg1800z00_5155<BgL_odepthz00_5176))
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1793z00_5178;
BgL_arg1793z00_5178 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5174, BgL_arg1800z00_5155); 
BgL_res3098z00_5189 = 
(BgL_arg1793z00_5178==BgL_classz00_5152); }  else 
{ /* Llib/midi.scm 987 */
BgL_res3098z00_5189 = ((bool_t)0); } } } } 
BgL_arg1795z00_5160 = BgL_res3098z00_5189; } 
BgL_test3603z00_9484 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5159, BgL_arg1795z00_5160); } }  else 
{ /* Llib/midi.scm 987 */
BgL_test3603z00_9484 = ((bool_t)0)
; } } 
if(BgL_test3603z00_9484)
{ /* Llib/midi.scm 987 */
BgL_auxz00_9483 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_3610)
; }  else 
{ 
 obj_t BgL_auxz00_9505;
BgL_auxz00_9505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, 
BINT(((long)37357)), BGl_string3069z00zz__multimediazd2midizd2, BGl_string2834z00zz__multimediazd2midizd2, BgL_msinkz00_3610); 
FAILURE(BgL_auxz00_9505,BFALSE,BFALSE);} } 
return 
BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9483);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
