/*===========================================================================*/
/*   (Llib/mpd.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/mpd.scm -o objs/mpd.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musictagz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_titlez00;
   obj_t BgL_artistz00;
   obj_t BgL_interpretz00;
   obj_t BgL_albumz00;
   int BgL_trackz00;
   int BgL_yearz00;
   obj_t BgL_genrez00;
   obj_t BgL_commentz00;
   obj_t BgL_ufidz00;
   obj_t BgL_copyrightz00;
   obj_t BgL_picturez00;
} *BgL_musictagz00_bglt;

typedef struct BgL_musicinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
} *BgL_musicinfoz00_bglt;

typedef struct BgL_mpdzd2databasezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_directoriesz00;
   obj_t BgL_suffixesz00;
   obj_t BgL_z52basez52;
   obj_t BgL_z52artistsz52;
   obj_t BgL_z52albumsz52;
   obj_t BgL_z52genresz52;
   obj_t BgL_z52nartistsz52;
   int BgL_z52nalbumsz52;
   int BgL_z52nsongsz52;
   obj_t BgL_z52uptimez52;
   obj_t BgL_z52dbzd2updatez80;
} *BgL_mpdzd2databasezd2_bglt;


static obj_t BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
extern obj_t BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_directory_to_list(char *);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
extern obj_t BGl_musiczd2nextzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, int, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
static obj_t BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t bgl_seconds_to_date(long);
static obj_t BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2stopzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2initz121361z70zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1373z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1375z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1377z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getarti1402z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mpdzd2();
BGL_IMPORT obj_t BGl_stringzd2skipzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_hashtablezd2mapzd2zz__hashz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenr1400z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32688ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, bool_t);
static obj_t BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdz00zz__multimediazd2mpdzd2(BgL_musicz00_bglt, obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2pausezd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ti1391zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_search1355ze70ze7zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2filezd2ze3p1363z53zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static bool_t BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_search1347ze70ze7zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getarti1398z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getzd2alb1408zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2prevzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT long bgl_current_seconds();
static obj_t BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, BgL_musicz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BUNSPEC;
static bool_t BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenr1396z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, BgL_musicz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl__mpdz00zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static long BGl_cmdnz00zz__multimediazd2mpdzd2;
static obj_t BGl_z62mpdzd2databasezd2findzd2ar1385zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2datezd2zz__datez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62mpdzd2databasezd2lsinfo1381z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32342ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern BgL_musicstatusz00_bglt BGl_musiczd2statuszd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
extern obj_t BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_filezd2namezd2ze3listze3zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpdzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32090ze3ze70z60zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_getinfofilez00zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32611ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32239ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listalb1369z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t fexists(char *);
static long BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2;
extern obj_t BGl_musicz00zz__multimediazd2musiczd2;
static obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2();
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2();
static bool_t BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
extern obj_t BGl_musicinfoz00zz__multimediazd2id3zd2;
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_z62lambda2402z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static bool_t BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2();
static obj_t BGl_z62lambda2403z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
static obj_t BGl_z62lambda2409z62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2filezd2pathz00zz__osz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2410z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t BGl_z62lambda2416z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2417z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62mpdzd2databasezd2findzd2al1383zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_filezd2musictagzd2zz__multimediazd2id3zd2(obj_t);
static obj_t BGl_z62lambda2423z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2424z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2volumezd2getz00zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musictagz00zz__multimediazd2id3zd2;
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2(obj_t, obj_t);
static bool_t BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2430z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62lambda2431z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static BgL_mpdzd2databasezd2_bglt BGl_z62lambda2350z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_mpdzd2databasezd2_bglt BGl_z62lambda2353z62zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2metazd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bgl_directoryp(char *);
extern int BGl_musiczd2songzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2360z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2stats1365z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62lambda2367z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2368z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ge1393zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listart1371z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32084ze3ze70z60zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2searchzd21387zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listart1379z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2searchzd21389zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT long bgl_last_modification_time(char *);
static obj_t BGl_z62lambda2374z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2375z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listall1367z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_playlistinfoz00zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static bool_t BGl_loopze71ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static bool_t BGl_loopze72ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, bool_t, obj_t);
static bool_t BGl_loopze74ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_loopze75ze7zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62lambda2381z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(obj_t, long);
extern obj_t BGl_musiczd2seekzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62lambda2388z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2389z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2395z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2396z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
static obj_t BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2clearz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static bool_t BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT int BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t __cnst[ 104 ] ;


DEFINE_STRING( BGl_string3010z00zz__multimediazd2mpdzd2, BgL_bgl_string3010za700za7za7_3171za7, "Album: ", 7 );
DEFINE_STRING( BGl_string3011z00zz__multimediazd2mpdzd2, BgL_bgl_string3011za700za7za7_3172za7, "50@0", 4 );
DEFINE_STRING( BGl_string3012z00zz__multimediazd2mpdzd2, BgL_bgl_string3012za700za7za7_3173za7, "next", 4 );
DEFINE_STRING( BGl_string3013z00zz__multimediazd2mpdzd2, BgL_bgl_string3013za700za7za7_3174za7, "No more song", 12 );
DEFINE_STRING( BGl_string3014z00zz__multimediazd2mpdzd2, BgL_bgl_string3014za700za7za7_3175za7, "previous", 8 );
DEFINE_STRING( BGl_string3015z00zz__multimediazd2mpdzd2, BgL_bgl_string3015za700za7za7_3176za7, "No previous song", 16 );
DEFINE_STRING( BGl_string3016z00zz__multimediazd2mpdzd2, BgL_bgl_string3016za700za7za7_3177za7, "artist", 6 );
DEFINE_STRING( BGl_string3017z00zz__multimediazd2mpdzd2, BgL_bgl_string3017za700za7za7_3178za7, "genre", 5 );
DEFINE_STRING( BGl_string3018z00zz__multimediazd2mpdzd2, BgL_bgl_string3018za700za7za7_3179za7, "unknown list type \"~a\"", 22 );
DEFINE_STRING( BGl_string3019z00zz__multimediazd2mpdzd2, BgL_bgl_string3019za700za7za7_3180za7, "ACK [2@0] {list} too few arguments for \"list\"", 45 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2lsinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2lsinfoza73181za7, BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3101z00zz__multimediazd2mpdzd2, BgL_bgl_string3101za700za7za7_3182za7, "mpd-database-search-1389", 24 );
DEFINE_STRING( BGl_string3020z00zz__multimediazd2mpdzd2, BgL_bgl_string3020za700za7za7_3183za7, "cpos: ", 6 );
DEFINE_STRING( BGl_string3021z00zz__multimediazd2mpdzd2, BgL_bgl_string3021za700za7za7_3184za7, "unknown find type \"~a\"", 22 );
DEFINE_STRING( BGl_string3103z00zz__multimediazd2mpdzd2, BgL_bgl_string3103za700za7za7_3185za7, "mpd-database-find-ti1391", 24 );
DEFINE_STRING( BGl_string3022z00zz__multimediazd2mpdzd2, BgL_bgl_string3022za700za7za7_3186za7, "unknown search type \"~a\"", 24 );
DEFINE_STRING( BGl_string3105z00zz__multimediazd2mpdzd2, BgL_bgl_string3105za700za7za7_3187za7, "mpd-database-find-ge1393", 24 );
DEFINE_STRING( BGl_string3024z00zz__multimediazd2mpdzd2, BgL_bgl_string3024za700za7za7_3188za7, "command: ", 9 );
DEFINE_STRING( BGl_string3107z00zz__multimediazd2mpdzd2, BgL_bgl_string3107za700za7za7_3189za7, "mpd-database-getgenr1396", 24 );
DEFINE_STRING( BGl_string3027z00zz__multimediazd2mpdzd2, BgL_bgl_string3027za700za7za7_3190za7, "No such file", 12 );
DEFINE_STRING( BGl_string3109z00zz__multimediazd2mpdzd2, BgL_bgl_string3109za700za7za7_3191za7, "mpd-database-getarti1398", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3192z00, BGl_z62mpdzd2databasezd2searchzd21389zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3193z00, BGl_z62mpdzd2databasezd2findzd2ti1391zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3194z00, BGl_z62mpdzd2databasezd2findzd2ge1393zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3195za7, BGl_z62zc3z04anonymousza32131ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3111z00zz__multimediazd2mpdzd2, BgL_bgl_string3111za700za7za7_3196za7, "mpd-database-getgenr1400", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3197z00, BGl_z62mpdzd2databasezd2getgenr1396z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3198za7, BGl_z62zc3z04anonymousza32141ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3113z00zz__multimediazd2mpdzd2, BgL_bgl_string3113za700za7za7_3199za7, "mpd-database-getarti1402", 24 );
DEFINE_STRING( BGl_string3032z00zz__multimediazd2mpdzd2, BgL_bgl_string3032za700za7za7_3200za7, "~a-~2,0d-~2,0dT~2,0d:~2,0d:~2,0dZ", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3201za7, BGl_z62zc3z04anonymousza32168ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3202z00, BGl_z62mpdzd2databasezd2getarti1398z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3033z00zz__multimediazd2mpdzd2, BgL_bgl_string3033za700za7za7_3203za7, "unknown", 7 );
DEFINE_STRING( BGl_string3115z00zz__multimediazd2mpdzd2, BgL_bgl_string3115za700za7za7_3204za7, "mpd-database-get-alb1408", 24 );
DEFINE_STRING( BGl_string3034z00zz__multimediazd2mpdzd2, BgL_bgl_string3034za700za7za7_3205za7, "Unknown Disc", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3206za7, BGl_z62zc3z04anonymousza32202ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3207za7, BGl_z62zc3z04anonymousza32207ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3117z00zz__multimediazd2mpdzd2, BgL_bgl_string3117za700za7za7_3208za7, "directory: ", 11 );
DEFINE_STRING( BGl_string3118z00zz__multimediazd2mpdzd2, BgL_bgl_string3118za700za7za7_3209za7, "lsinfo", 6 );
DEFINE_STRING( BGl_string3119z00zz__multimediazd2mpdzd2, BgL_bgl_string3119za700za7za7_3210za7, "Genre: ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3211z00, BGl_z62mpdzd2databasezd2getgenr1400z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3212za7, BGl_z62zc3z04anonymousza32212ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3213z00, BGl_z62mpdzd2databasezd2getarti1402z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3214za7, BGl_z62zc3z04anonymousza32239ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3120z00zz__multimediazd2mpdzd2, BgL_bgl_string3120za700za7za7_3215za7, "artists: ~a\nalbums: ~a\nsongs: ~a\nuptime: ~a\nplaytime: ~a\ndb_playtime: 10000000\ndb_update: ~a\n", 93 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3216z00, BGl_z62mpdzd2databasezd2getzd2alb1408zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3122z00zz__multimediazd2mpdzd2, BgL_bgl_string3122za700za7za7_3217za7, "&mpd-database-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3218za7, BGl_z62zc3z04anonymousza32611ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3219za7, BGl_z62zc3z04anonymousza32342ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3123z00zz__multimediazd2mpdzd2, BgL_bgl_string3123za700za7za7_3220za7, "&mpd-database-file->path", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3221za7, BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3124z00zz__multimediazd2mpdzd2, BgL_bgl_string3124za700za7za7_3222za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2361za7623223z00, BGl_z62lambda2361z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3125z00zz__multimediazd2mpdzd2, BgL_bgl_string3125za700za7za7_3224za7, "&mpd-database-stats", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2360za7623225z00, BGl_z62lambda2360z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3126z00zz__multimediazd2mpdzd2, BgL_bgl_string3126za700za7za7_3226za7, "&mpd-database-listall", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3227za7, BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3127z00zz__multimediazd2mpdzd2, BgL_bgl_string3127za700za7za7_3228za7, "&mpd-database-listalbum", 23 );
DEFINE_STRING( BGl_string3128z00zz__multimediazd2mpdzd2, BgL_bgl_string3128za700za7za7_3229za7, "&mpd-database-listartistalbum", 29 );
DEFINE_STRING( BGl_string3129z00zz__multimediazd2mpdzd2, BgL_bgl_string3129za700za7za7_3230za7, "&mpd-database-listgenrealbum", 28 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3231z00, BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2seekidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2seekidza73232za7, BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2searchzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2searchza73233za7, BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playza7b03234za7, BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2368za7623235z00, BGl_z62lambda2368z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2367za7623236z00, BGl_z62lambda2367z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3237za7, BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3130z00zz__multimediazd2mpdzd2, BgL_bgl_string3130za700za7za7_3238za7, "&mpd-database-listgenreartist", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2375za7623239z00, BGl_z62lambda2375z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3131z00zz__multimediazd2mpdzd2, BgL_bgl_string3131za700za7za7_3240za7, "&mpd-database-listgenre", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2374za7623241z00, BGl_z62lambda2374z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3132z00zz__multimediazd2mpdzd2, BgL_bgl_string3132za700za7za7_3242za7, "&mpd-database-listartist", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3243za7, BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3133z00zz__multimediazd2mpdzd2, BgL_bgl_string3133za700za7za7_3244za7, "&mpd-database-lsinfo", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3046z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2382za7623245z00, BGl_z62lambda2382z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3134z00zz__multimediazd2mpdzd2, BgL_bgl_string3134za700za7za7_3246za7, "&mpd-database-find-album", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2381za7623247z00, BGl_z62lambda2381z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3135z00zz__multimediazd2mpdzd2, BgL_bgl_string3135za700za7za7_3248za7, "&mpd-database-find-artist", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3249za7, BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2rmzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2rmza7b0za7za73250za7, BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3136z00zz__multimediazd2mpdzd2, BgL_bgl_string3136za700za7za7_3251za7, "&mpd-database-search-artist-album", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2389za7623252z00, BGl_z62lambda2389z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3137z00zz__multimediazd2mpdzd2, BgL_bgl_string3137za700za7za7_3253za7, "&mpd-database-search-artist-title", 33 );
DEFINE_STRING( BGl_string3138z00zz__multimediazd2mpdzd2, BgL_bgl_string3138za700za7za7_3254za7, "&mpd-database-find-title", 24 );
DEFINE_STRING( BGl_string3139z00zz__multimediazd2mpdzd2, BgL_bgl_string3139za700za7za7_3255za7, "&mpd-database-find-genre", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3256z00, BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2deletezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2deleteza73257za7, BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listallzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listall3258z00, BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2388za7623259z00, BGl_z62lambda2388z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3260za7, BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2396za7623261z00, BGl_z62lambda2396z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3140z00zz__multimediazd2mpdzd2, BgL_bgl_string3140za700za7za7_3262za7, "&mpd-database-getgenre", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2395za7623263z00, BGl_z62lambda2395z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3141z00zz__multimediazd2mpdzd2, BgL_bgl_string3141za700za7za7_3264za7, "&mpd-database-getartist", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3265za7, BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3142z00zz__multimediazd2mpdzd2, BgL_bgl_string3142za700za7za7_3266za7, "&mpd-database-getgenreartist", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3055z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2403za7623267z00, BGl_z62lambda2403z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3143z00zz__multimediazd2mpdzd2, BgL_bgl_string3143za700za7za7_3268za7, "&mpd-database-getartistalbum", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2402za7623269z00, BGl_z62lambda2402z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3144z00zz__multimediazd2mpdzd2, BgL_bgl_string3144za700za7za7_3270za7, "&mpd-database-get-album", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3057z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3271za7, BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3145z00zz__multimediazd2mpdzd2, BgL_bgl_string3145za700za7za7_3272za7, "__multimedia-mpd", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2410za7623273z00, BGl_z62lambda2410z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3146z00zz__multimediazd2mpdzd2, BgL_bgl_string3146za700za7za7_3274za7, "(\"mp3\" \"flac\" \"ogg\" \"wav\") __multimedia-mpd mpd-database %db-update %uptime %nsongs int %nalbums obj %nartists %genres %albums %artists bstring %base suffixes pair-nil directories :Image :Time :Last-Modified :file :Genre :Date :Track :Album :Title :Artist (\"jpg\" \"JPG\" \"png\" \"gif\" \"GIF\") any genre disc album title artist :image :artist :album infofile (:album :artist :image) (\"Artist\" \"Album\" \"Title\" \"Track\" \"Name\" \"Genre\" \"Date\" \"Composer\" \"Performer\" \"Disc\") (\"http://\" \"file://\") :err :command mpd-err (:command :err) command_list_end command_list_ok_begin command_list_begin blank ok :log (:log) mpd outputs update swapid swap shuffle save rm repeat random password moveid move crossfade addid notcommands commands search find kill plconangesposid lsinfo listallinfo list listall stats close clearerror setvol volume previous next pause stop seekid seek playid play currentsong clear deleteid delete add plchanges playlistid playlistinfo playlist status tagtypes urlhandlers "
"ping ", 987 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3059z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2409za7623275z00, BGl_z62lambda2409z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2notcommandszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2notcomm3276z00, BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3277z00, BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3278za7, BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3061z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2417za7623279z00, BGl_z62lambda2417z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2416za7623280z00, BGl_z62lambda2416z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3063z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3281za7, BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2424za7623282z00, BGl_z62lambda2424z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3065z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2423za7623283z00, BGl_z62lambda2423z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3284za7, BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3073z00zz__multimediazd2mpdzd2, BgL_bgl_string3073za700za7za7_3285za7, "mpd-database-init!1361", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3067z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2431za7623286z00, BGl_z62lambda2431z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2430za7623287z00, BGl_z62lambda2430z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3075z00zz__multimediazd2mpdzd2, BgL_bgl_string3075za700za7za7_3288za7, "mpd-database-file->p1363", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3069z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3289za7, BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2updatezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2updateza73290za7, BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3077z00zz__multimediazd2mpdzd2, BgL_bgl_string3077za700za7za7_3291za7, "mpd-database-stats1365", 22 );
DEFINE_STRING( BGl_string3079z00zz__multimediazd2mpdzd2, BgL_bgl_string3079za700za7za7_3292za7, "mpd-database-listall1367", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3293z00, BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2353za7623294z00, BGl_z62lambda2353z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3071z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2350za7623295z00, BGl_z62lambda2350z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3296z00, BGl_z62mpdzd2databasezd2initz121361z70zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3297z00, BGl_z62mpdzd2databasezd2filezd2ze3p1363z53zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3081z00zz__multimediazd2mpdzd2, BgL_bgl_string3081za700za7za7_3298za7, "mpd-database-listalb1369", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3299z00, BGl_z62mpdzd2databasezd2stats1365z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3083z00zz__multimediazd2mpdzd2, BgL_bgl_string3083za700za7za7_3300za7, "mpd-database-listart1371", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3301z00, BGl_z62mpdzd2databasezd2listall1367z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3085z00zz__multimediazd2mpdzd2, BgL_bgl_string3085za700za7za7_3302za7, "mpd-database-listgen1373", 24 );
DEFINE_STRING( BGl_string3087z00zz__multimediazd2mpdzd2, BgL_bgl_string3087za700za7za7_3303za7, "mpd-database-listgen1375", 24 );
DEFINE_STRING( BGl_string3089z00zz__multimediazd2mpdzd2, BgL_bgl_string3089za700za7za7_3304za7, "mpd-database-listgen1377", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2clearerrorzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2clearer3305z00, BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3306z00, BGl_z62mpdzd2databasezd2listalb1369z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3307z00, BGl_z62mpdzd2databasezd2listart1371z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3308z00, BGl_z62mpdzd2databasezd2listgen1373z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3091z00zz__multimediazd2mpdzd2, BgL_bgl_string3091za700za7za7_3309za7, "mpd-database-listart1379", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3310z00, BGl_z62mpdzd2databasezd2listgen1375z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3093z00zz__multimediazd2mpdzd2, BgL_bgl_string3093za700za7za7_3311za7, "mpd-database-lsinfo1381", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3312z00, BGl_z62mpdzd2databasezd2listgen1377z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3095z00zz__multimediazd2mpdzd2, BgL_bgl_string3095za700za7za7_3313za7, "mpd-database-find-al1383", 24 );
DEFINE_STRING( BGl_string3097z00zz__multimediazd2mpdzd2, BgL_bgl_string3097za700za7za7_3314za7, "mpd-database-find-ar1385", 24 );
DEFINE_STRING( BGl_string3099z00zz__multimediazd2mpdzd2, BgL_bgl_string3099za700za7za7_3315za7, "mpd-database-search-1387", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3316z00, BGl_z62mpdzd2databasezd2listart1379z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3317z00, BGl_z62mpdzd2databasezd2lsinfo1381z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_LLONG( BGl_llong3121z00zz__multimediazd2mpdzd2, BgL_bgl_llong3121za700za7za7__3318za7, ((BGL_LONGLONG_T)0) );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3319z00, BGl_z62mpdzd2databasezd2findzd2al1383zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3320z00, BGl_z62mpdzd2databasezd2findzd2ar1385zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3321z00, BGl_z62mpdzd2databasezd2searchzd21387zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3322z00, BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2currentsongzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2current3323z00, BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2seekzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2seekza7b03324za7, BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2pingzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2pingza7b03325za7, BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2commandszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2command3326z00, BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2nextzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2nextza7b03327za7, BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2stopzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2stopza7b03328za7, BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2previouszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2previou3329z00, BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3330z00, BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2crossfadezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2crossfa3331z00, BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpdzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl__mpdza700za7za7__multi3332za7, opt_generic_entry, BGl__mpdz00zz__multimediazd2mpdzd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2setvolzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2setvolza73333za7, BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3334z00, BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3335z00, BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3336z00, BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3337z00, BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2statuszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2statusza73338za7, BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2clearzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2clearza7b3339za7, BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3340z00, BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2savezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2saveza7b03341za7, BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3342z00, BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3343z00, BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2plconangesposidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2plconan3344z00, BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3345z00, BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2addidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2addidza7b3346za7, BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3347z00, BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2pausezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2pauseza7b3348za7, BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2moveidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2moveidza73349za7, BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2killzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2killza7b03350za7, BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2shufflezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2shuffle3351z00, BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2closezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2closeza7b3352za7, BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2randomzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2randomza73353za7, BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2statszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2statsza7b3354za7, BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2deleteidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2deletei3355z00, BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2962z00zz__multimediazd2mpdzd2, BgL_bgl_string2962za700za7za7_3356za7, "", 0 );
DEFINE_STRING( BGl_string2963z00zz__multimediazd2mpdzd2, BgL_bgl_string2963za700za7za7_3357za7, "wrong number of arguments: [4..5] expected, provided", 52 );
DEFINE_STRING( BGl_string2964z00zz__multimediazd2mpdzd2, BgL_bgl_string2964za700za7za7_3358za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2965z00zz__multimediazd2mpdzd2, BgL_bgl_string2965za700za7za7_3359za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/multimedia/src/Llib/mpd.scm", 67 );
DEFINE_STRING( BGl_string2966z00zz__multimediazd2mpdzd2, BgL_bgl_string2966za700za7za7_3360za7, "_mpd", 4 );
DEFINE_STRING( BGl_string2967z00zz__multimediazd2mpdzd2, BgL_bgl_string2967za700za7za7_3361za7, "bint", 4 );
DEFINE_STRING( BGl_string2968z00zz__multimediazd2mpdzd2, BgL_bgl_string2968za700za7za7_3362za7, "music", 5 );
DEFINE_STRING( BGl_string2969z00zz__multimediazd2mpdzd2, BgL_bgl_string2969za700za7za7_3363za7, "input-port", 10 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3364z00, BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2plchangeszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2plchang3365z00, BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2volumezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2volumeza73366za7, BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2970z00zz__multimediazd2mpdzd2, BgL_bgl_string2970za700za7za7_3367za7, "output-port", 11 );
DEFINE_STRING( BGl_string2971z00zz__multimediazd2mpdzd2, BgL_bgl_string2971za700za7za7_3368za7, "mpd-database", 12 );
DEFINE_STRING( BGl_string2972z00zz__multimediazd2mpdzd2, BgL_bgl_string2972za700za7za7_3369za7, "OK MPD 0.16.0", 13 );
DEFINE_STRING( BGl_string2973z00zz__multimediazd2mpdzd2, BgL_bgl_string2973za700za7za7_3370za7, "OK\n", 3 );
DEFINE_STRING( BGl_string2974z00zz__multimediazd2mpdzd2, BgL_bgl_string2974za700za7za7_3371za7, "ACK [", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2addzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2addza7b0za73372z00, BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2975z00zz__multimediazd2mpdzd2, BgL_bgl_string2975za700za7za7_3373za7, "5@0", 3 );
DEFINE_STRING( BGl_string2976z00zz__multimediazd2mpdzd2, BgL_bgl_string2976za700za7za7_3374za7, "] {", 3 );
DEFINE_STRING( BGl_string2977z00zz__multimediazd2mpdzd2, BgL_bgl_string2977za700za7za7_3375za7, "} ", 2 );
DEFINE_STRING( BGl_string2978z00zz__multimediazd2mpdzd2, BgL_bgl_string2978za700za7za7_3376za7, "\n", 1 );
DEFINE_STRING( BGl_string2979z00zz__multimediazd2mpdzd2, BgL_bgl_string2979za700za7za7_3377za7, "unknown command \"~a\"", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2tagtypeszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2tagtype3378z00, BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2980z00zz__multimediazd2mpdzd2, BgL_bgl_string2980za700za7za7_3379za7, "list_OK\n", 8 );
DEFINE_STRING( BGl_string2981z00zz__multimediazd2mpdzd2, BgL_bgl_string2981za700za7za7_3380za7, "wrong number of arguments: [2..4] expected, provided", 52 );
DEFINE_STRING( BGl_string2982z00zz__multimediazd2mpdzd2, BgL_bgl_string2982za700za7za7_3381za7, "handler: ", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2swapidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2swapidza73382za7, BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2983z00zz__multimediazd2mpdzd2, BgL_bgl_string2983za700za7za7_3383za7, "tagtype: ", 9 );
DEFINE_STRING( BGl_string2984z00zz__multimediazd2mpdzd2, BgL_bgl_string2984za700za7za7_3384za7, "volume: ", 8 );
DEFINE_STRING( BGl_string2985z00zz__multimediazd2mpdzd2, BgL_bgl_string2985za700za7za7_3385za7, "state: ", 7 );
DEFINE_STRING( BGl_string2986z00zz__multimediazd2mpdzd2, BgL_bgl_string2986za700za7za7_3386za7, "playlist: ", 10 );
DEFINE_STRING( BGl_string2987z00zz__multimediazd2mpdzd2, BgL_bgl_string2987za700za7za7_3387za7, "playlistlength: ", 16 );
DEFINE_STRING( BGl_string2988z00zz__multimediazd2mpdzd2, BgL_bgl_string2988za700za7za7_3388za7, "song: ", 6 );
DEFINE_STRING( BGl_string2989z00zz__multimediazd2mpdzd2, BgL_bgl_string2989za700za7za7_3389za7, "songid: ", 8 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3390z00, BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2swapzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2swapza7b03391za7, BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3392z00, BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2urlhandlerszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2urlhand3393z00, BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2990z00zz__multimediazd2mpdzd2, BgL_bgl_string2990za700za7za7_3394za7, "bitrate: ", 9 );
DEFINE_STRING( BGl_string2991z00zz__multimediazd2mpdzd2, BgL_bgl_string2991za700za7za7_3395za7, "audio: ", 7 );
DEFINE_STRING( BGl_string2992z00zz__multimediazd2mpdzd2, BgL_bgl_string2992za700za7za7_3396za7, ":16:2\n", 6 );
DEFINE_STRING( BGl_string2993z00zz__multimediazd2mpdzd2, BgL_bgl_string2993za700za7za7_3397za7, "time: ", 6 );
DEFINE_STRING( BGl_string2994z00zz__multimediazd2mpdzd2, BgL_bgl_string2994za700za7za7_3398za7, ":", 1 );
DEFINE_STRING( BGl_string2995z00zz__multimediazd2mpdzd2, BgL_bgl_string2995za700za7za7_3399za7, "repeat: 1\n", 10 );
DEFINE_STRING( BGl_string2996z00zz__multimediazd2mpdzd2, BgL_bgl_string2996za700za7za7_3400za7, "repeat: 0\n", 10 );
DEFINE_STRING( BGl_string2997z00zz__multimediazd2mpdzd2, BgL_bgl_string2997za700za7za7_3401za7, "random: 1\n", 10 );
DEFINE_STRING( BGl_string2998z00zz__multimediazd2mpdzd2, BgL_bgl_string2998za700za7za7_3402za7, "random: 0\n", 10 );
DEFINE_STRING( BGl_string2999z00zz__multimediazd2mpdzd2, BgL_bgl_string2999za700za7za7_3403za7, "xfade: ", 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3404z00, BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2findzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2findza7b03405za7, BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2outputszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2outputs3406z00, BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playidza73407za7, BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3408z00, BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2movezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2moveza7b03409za7, BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3410z00, BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3411z00, BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3412z00, BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listza7b03413za7, BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3414z00, BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2repeatzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2repeatza73415za7, BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3416z00, BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2passwordzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2passwor3417z00, BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3000z00zz__multimediazd2mpdzd2, BgL_bgl_string3000za700za7za7_3418za7, ": ", 2 );
DEFINE_STRING( BGl_string3001z00zz__multimediazd2mpdzd2, BgL_bgl_string3001za700za7za7_3419za7, "wrong number of arguments: [3..6] expected, provided", 52 );
DEFINE_STRING( BGl_string3002z00zz__multimediazd2mpdzd2, BgL_bgl_string3002za700za7za7_3420za7, "http://", 7 );
DEFINE_STRING( BGl_string3003z00zz__multimediazd2mpdzd2, BgL_bgl_string3003za700za7za7_3421za7, "add", 3 );
DEFINE_STRING( BGl_string3004z00zz__multimediazd2mpdzd2, BgL_bgl_string3004za700za7za7_3422za7, "illegal uri \"~a\"", 16 );
DEFINE_STRING( BGl_string3005z00zz__multimediazd2mpdzd2, BgL_bgl_string3005za700za7za7_3423za7, "file: ", 6 );
DEFINE_STRING( BGl_string3006z00zz__multimediazd2mpdzd2, BgL_bgl_string3006za700za7za7_3424za7, "Pos: ", 5 );
DEFINE_STRING( BGl_string3007z00zz__multimediazd2mpdzd2, BgL_bgl_string3007za700za7za7_3425za7, "Id: ", 4 );
DEFINE_STRING( BGl_string3008z00zz__multimediazd2mpdzd2, BgL_bgl_string3008za700za7za7_3426za7, "Artist: ", 8 );
DEFINE_STRING( BGl_string3009z00zz__multimediazd2mpdzd2, BgL_bgl_string3009za700za7za7_3427za7, "Title: ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listallinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listall3428z00, BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpdzd2(long BgL_checksumz00_6527, char * BgL_fromz00_6528)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mpdzd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2(); 
BGl_objectzd2initzd2zz__multimediazd2mpdzd2(); 
BGl_genericzd2initzd2zz__multimediazd2mpdzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__multimedia-mpd"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 15 */
 obj_t BgL_cportz00_5163;
{ /* Llib/mpd.scm 15 */
 obj_t BgL_stringz00_5171;
BgL_stringz00_5171 = BGl_string3146z00zz__multimediazd2mpdzd2; 
{ /* Llib/mpd.scm 15 */
 obj_t BgL_startz00_5172;
BgL_startz00_5172 = 
BINT(((long)0)); 
{ /* Llib/mpd.scm 15 */
 obj_t BgL_endz00_5173;
BgL_endz00_5173 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5171))); 
{ /* Llib/mpd.scm 15 */

BgL_cportz00_5163 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5171, BgL_startz00_5172, BgL_endz00_5173); } } } } 
{ 
 long BgL_iz00_5164;
BgL_iz00_5164 = ((long)103); 
BgL_loopz00_5165:
if(
(BgL_iz00_5164==((long)-1)))
{ /* Llib/mpd.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 15 */
 obj_t BgL_arg3148z00_5167;
{ /* Llib/mpd.scm 15 */

{ /* Llib/mpd.scm 15 */
 obj_t BgL_locationz00_5169;
BgL_locationz00_5169 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpd.scm 15 */

BgL_arg3148z00_5167 = 
BGl_readz00zz__readerz00(BgL_cportz00_5163, BgL_locationz00_5169); } } } 
{ /* Llib/mpd.scm 15 */
 int BgL_tmpz00_6570;
BgL_tmpz00_6570 = 
(int)(BgL_iz00_5164); 
CNST_TABLE_SET(BgL_tmpz00_6570, BgL_arg3148z00_5167); } } 
{ /* Llib/mpd.scm 15 */
 int BgL_auxz00_5170;
BgL_auxz00_5170 = 
(int)(
(BgL_iz00_5164-((long)1))); 
{ 
 long BgL_iz00_6575;
BgL_iz00_6575 = 
(long)(BgL_auxz00_5170); 
BgL_iz00_5164 = BgL_iz00_6575; 
goto BgL_loopz00_5165;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = BNIL; 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = BNIL; 
BGl_cmdnz00zz__multimediazd2mpdzd2 = ((long)0); 
{ /* Llib/mpd.scm 338 */
 obj_t BgL_arg1414z00_419;
{ /* Llib/mpd.scm 338 */
 obj_t BgL_arg1455z00_420;
BgL_arg1455z00_420 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)0)), BGl_mpdzd2pingzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 338 */
 obj_t BgL_list1456z00_421;
BgL_list1456z00_421 = 
MAKE_YOUNG_PAIR(BgL_arg1455z00_420, BNIL); 
BgL_arg1414z00_419 = BgL_list1456z00_421; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1414z00_419); } 
{ /* Llib/mpd.scm 344 */
 obj_t BgL_arg1535z00_422;
{ /* Llib/mpd.scm 344 */
 obj_t BgL_arg1536z00_423;
BgL_arg1536z00_423 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)1)), BGl_mpdzd2urlhandlerszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 344 */
 obj_t BgL_list1537z00_424;
BgL_list1537z00_424 = 
MAKE_YOUNG_PAIR(BgL_arg1536z00_423, BNIL); 
BgL_arg1535z00_422 = BgL_list1537z00_424; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1535z00_422); } 
{ /* Llib/mpd.scm 354 */
 obj_t BgL_arg1541z00_425;
{ /* Llib/mpd.scm 354 */
 obj_t BgL_arg1554z00_426;
BgL_arg1554z00_426 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)2)), BGl_mpdzd2tagtypeszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 354 */
 obj_t BgL_list1555z00_427;
BgL_list1555z00_427 = 
MAKE_YOUNG_PAIR(BgL_arg1554z00_426, BNIL); 
BgL_arg1541z00_425 = BgL_list1555z00_427; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1541z00_425); } 
{ /* Llib/mpd.scm 371 */
 obj_t BgL_arg1563z00_428;
{ /* Llib/mpd.scm 371 */
 obj_t BgL_arg1564z00_429;
BgL_arg1564z00_429 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)3)), BGl_mpdzd2statuszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 371 */
 obj_t BgL_list1565z00_430;
BgL_list1565z00_430 = 
MAKE_YOUNG_PAIR(BgL_arg1564z00_429, BNIL); 
BgL_arg1563z00_428 = BgL_list1565z00_430; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1563z00_428); } 
{ /* Llib/mpd.scm 406 */
 obj_t BgL_arg1572z00_431;
{ /* Llib/mpd.scm 406 */
 obj_t BgL_arg1573z00_432;
BgL_arg1573z00_432 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)4)), BGl_mpdzd2playlistzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 406 */
 obj_t BgL_list1574z00_433;
BgL_list1574z00_433 = 
MAKE_YOUNG_PAIR(BgL_arg1573z00_432, BNIL); 
BgL_arg1572z00_431 = BgL_list1574z00_433; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1572z00_431); } 
{ /* Llib/mpd.scm 447 */
 obj_t BgL_arg1575z00_434;
{ /* Llib/mpd.scm 447 */
 obj_t BgL_arg1576z00_435;
BgL_arg1576z00_435 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)5)), BGl_mpdzd2playlistinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 447 */
 obj_t BgL_list1577z00_436;
BgL_list1577z00_436 = 
MAKE_YOUNG_PAIR(BgL_arg1576z00_435, BNIL); 
BgL_arg1575z00_434 = BgL_list1577z00_436; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1575z00_434); } 
{ /* Llib/mpd.scm 453 */
 obj_t BgL_arg1590z00_437;
{ /* Llib/mpd.scm 453 */
 obj_t BgL_arg1591z00_438;
BgL_arg1591z00_438 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BGl_mpdzd2playlistidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 453 */
 obj_t BgL_list1592z00_439;
BgL_list1592z00_439 = 
MAKE_YOUNG_PAIR(BgL_arg1591z00_438, BNIL); 
BgL_arg1590z00_437 = BgL_list1592z00_439; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1590z00_437); } 
{ /* Llib/mpd.scm 459 */
 obj_t BgL_arg1594z00_440;
{ /* Llib/mpd.scm 459 */
 obj_t BgL_arg1595z00_441;
BgL_arg1595z00_441 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)7)), BGl_mpdzd2plchangeszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 459 */
 obj_t BgL_list1596z00_442;
BgL_list1596z00_442 = 
MAKE_YOUNG_PAIR(BgL_arg1595z00_441, BNIL); 
BgL_arg1594z00_440 = BgL_list1596z00_442; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1594z00_440); } 
{ /* Llib/mpd.scm 477 */
 obj_t BgL_arg1609z00_443;
{ /* Llib/mpd.scm 477 */
 obj_t BgL_arg1611z00_444;
BgL_arg1611z00_444 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)8)), BGl_mpdzd2addzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 477 */
 obj_t BgL_list1612z00_445;
BgL_list1612z00_445 = 
MAKE_YOUNG_PAIR(BgL_arg1611z00_444, BNIL); 
BgL_arg1609z00_443 = BgL_list1612z00_445; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1609z00_443); } 
{ /* Llib/mpd.scm 493 */
 obj_t BgL_arg1622z00_446;
{ /* Llib/mpd.scm 493 */
 obj_t BgL_arg1623z00_447;
BgL_arg1623z00_447 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BGl_mpdzd2deletezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 493 */
 obj_t BgL_list1624z00_448;
BgL_list1624z00_448 = 
MAKE_YOUNG_PAIR(BgL_arg1623z00_447, BNIL); 
BgL_arg1622z00_446 = BgL_list1624z00_448; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1622z00_446); } 
{ /* Llib/mpd.scm 500 */
 obj_t BgL_arg1642z00_449;
{ /* Llib/mpd.scm 500 */
 obj_t BgL_arg1643z00_450;
BgL_arg1643z00_450 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BGl_mpdzd2deleteidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 500 */
 obj_t BgL_list1644z00_451;
BgL_list1644z00_451 = 
MAKE_YOUNG_PAIR(BgL_arg1643z00_450, BNIL); 
BgL_arg1642z00_449 = BgL_list1644z00_451; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1642z00_449); } 
{ /* Llib/mpd.scm 507 */
 obj_t BgL_arg1651z00_452;
{ /* Llib/mpd.scm 507 */
 obj_t BgL_arg1653z00_453;
BgL_arg1653z00_453 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BGl_mpdzd2clearzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 507 */
 obj_t BgL_list1654z00_454;
BgL_list1654z00_454 = 
MAKE_YOUNG_PAIR(BgL_arg1653z00_453, BNIL); 
BgL_arg1651z00_452 = BgL_list1654z00_454; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1651z00_452); } 
BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BFALSE; 
BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2 = ((long)-1); 
BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BGl_string2962z00zz__multimediazd2mpdzd2; 
{ /* Llib/mpd.scm 579 */
 obj_t BgL_arg1657z00_455;
{ /* Llib/mpd.scm 579 */
 obj_t BgL_arg1664z00_456;
BgL_arg1664z00_456 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BGl_mpdzd2currentsongzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 579 */
 obj_t BgL_list1665z00_457;
BgL_list1665z00_457 = 
MAKE_YOUNG_PAIR(BgL_arg1664z00_456, BNIL); 
BgL_arg1657z00_455 = BgL_list1665z00_457; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1657z00_455); } 
{ /* Llib/mpd.scm 589 */
 obj_t BgL_arg1672z00_458;
{ /* Llib/mpd.scm 589 */
 obj_t BgL_arg1673z00_459;
BgL_arg1673z00_459 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BGl_mpdzd2playzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 589 */
 obj_t BgL_list1674z00_460;
BgL_list1674z00_460 = 
MAKE_YOUNG_PAIR(BgL_arg1673z00_459, BNIL); 
BgL_arg1672z00_458 = BgL_list1674z00_460; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1672z00_458); } 
{ /* Llib/mpd.scm 598 */
 obj_t BgL_arg1677z00_461;
{ /* Llib/mpd.scm 598 */
 obj_t BgL_arg1684z00_462;
BgL_arg1684z00_462 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BGl_mpdzd2playidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 598 */
 obj_t BgL_list1685z00_463;
BgL_list1685z00_463 = 
MAKE_YOUNG_PAIR(BgL_arg1684z00_462, BNIL); 
BgL_arg1677z00_461 = BgL_list1685z00_463; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1677z00_461); } 
{ /* Llib/mpd.scm 607 */
 obj_t BgL_arg1688z00_464;
{ /* Llib/mpd.scm 607 */
 obj_t BgL_arg1691z00_465;
BgL_arg1691z00_465 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BGl_mpdzd2seekzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 607 */
 obj_t BgL_list1692z00_466;
BgL_list1692z00_466 = 
MAKE_YOUNG_PAIR(BgL_arg1691z00_465, BNIL); 
BgL_arg1688z00_464 = BgL_list1692z00_466; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1688z00_464); } 
{ /* Llib/mpd.scm 614 */
 obj_t BgL_arg1701z00_467;
{ /* Llib/mpd.scm 614 */
 obj_t BgL_arg1704z00_468;
BgL_arg1704z00_468 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BGl_mpdzd2seekidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 614 */
 obj_t BgL_list1705z00_469;
BgL_list1705z00_469 = 
MAKE_YOUNG_PAIR(BgL_arg1704z00_468, BNIL); 
BgL_arg1701z00_467 = BgL_list1705z00_469; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1701z00_467); } 
{ /* Llib/mpd.scm 621 */
 obj_t BgL_arg1706z00_470;
{ /* Llib/mpd.scm 621 */
 obj_t BgL_arg1707z00_471;
BgL_arg1707z00_471 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BGl_mpdzd2stopzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 621 */
 obj_t BgL_list1708z00_472;
BgL_list1708z00_472 = 
MAKE_YOUNG_PAIR(BgL_arg1707z00_471, BNIL); 
BgL_arg1706z00_470 = BgL_list1708z00_472; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1706z00_470); } 
{ /* Llib/mpd.scm 628 */
 obj_t BgL_arg1709z00_473;
{ /* Llib/mpd.scm 628 */
 obj_t BgL_arg1710z00_474;
BgL_arg1710z00_474 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BGl_mpdzd2pausezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 628 */
 obj_t BgL_list1711z00_475;
BgL_list1711z00_475 = 
MAKE_YOUNG_PAIR(BgL_arg1710z00_474, BNIL); 
BgL_arg1709z00_473 = BgL_list1711z00_475; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1709z00_473); } 
{ /* Llib/mpd.scm 635 */
 obj_t BgL_arg1712z00_476;
{ /* Llib/mpd.scm 635 */
 obj_t BgL_arg1725z00_477;
BgL_arg1725z00_477 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BGl_mpdzd2nextzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 635 */
 obj_t BgL_list1726z00_478;
BgL_list1726z00_478 = 
MAKE_YOUNG_PAIR(BgL_arg1725z00_477, BNIL); 
BgL_arg1712z00_476 = BgL_list1726z00_478; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1712z00_476); } 
{ /* Llib/mpd.scm 648 */
 obj_t BgL_arg1727z00_479;
{ /* Llib/mpd.scm 648 */
 obj_t BgL_arg1728z00_480;
BgL_arg1728z00_480 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BGl_mpdzd2previouszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 648 */
 obj_t BgL_list1729z00_481;
BgL_list1729z00_481 = 
MAKE_YOUNG_PAIR(BgL_arg1728z00_480, BNIL); 
BgL_arg1727z00_479 = BgL_list1729z00_481; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1727z00_479); } 
{ /* Llib/mpd.scm 661 */
 obj_t BgL_arg1730z00_482;
{ /* Llib/mpd.scm 661 */
 obj_t BgL_arg1731z00_483;
BgL_arg1731z00_483 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BGl_mpdzd2volumezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 661 */
 obj_t BgL_list1732z00_484;
BgL_list1732z00_484 = 
MAKE_YOUNG_PAIR(BgL_arg1731z00_483, BNIL); 
BgL_arg1730z00_482 = BgL_list1732z00_484; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1730z00_482); } 
{ /* Llib/mpd.scm 684 */
 obj_t BgL_arg1733z00_485;
{ /* Llib/mpd.scm 684 */
 obj_t BgL_arg1739z00_486;
BgL_arg1739z00_486 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)22)), BGl_mpdzd2setvolzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 684 */
 obj_t BgL_list1740z00_487;
BgL_list1740z00_487 = 
MAKE_YOUNG_PAIR(BgL_arg1739z00_486, BNIL); 
BgL_arg1733z00_485 = BgL_list1740z00_487; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1733z00_485); } 
{ /* Llib/mpd.scm 690 */
 obj_t BgL_arg1741z00_488;
{ /* Llib/mpd.scm 690 */
 obj_t BgL_arg1742z00_489;
BgL_arg1742z00_489 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)23)), BGl_mpdzd2clearerrorzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 690 */
 obj_t BgL_list1743z00_490;
BgL_list1743z00_490 = 
MAKE_YOUNG_PAIR(BgL_arg1742z00_489, BNIL); 
BgL_arg1741z00_488 = BgL_list1743z00_490; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1741z00_488); } 
{ /* Llib/mpd.scm 696 */
 obj_t BgL_arg1744z00_491;
{ /* Llib/mpd.scm 696 */
 obj_t BgL_arg1745z00_492;
BgL_arg1745z00_492 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)24)), BGl_mpdzd2closezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 696 */
 obj_t BgL_list1746z00_493;
BgL_list1746z00_493 = 
MAKE_YOUNG_PAIR(BgL_arg1745z00_492, BNIL); 
BgL_arg1744z00_491 = BgL_list1746z00_493; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1744z00_491); } 
{ /* Llib/mpd.scm 702 */
 obj_t BgL_arg1747z00_494;
{ /* Llib/mpd.scm 702 */
 obj_t BgL_arg1748z00_495;
BgL_arg1748z00_495 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)25)), BGl_mpdzd2statszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 702 */
 obj_t BgL_list1749z00_496;
BgL_list1749z00_496 = 
MAKE_YOUNG_PAIR(BgL_arg1748z00_495, BNIL); 
BgL_arg1747z00_494 = BgL_list1749z00_496; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1747z00_494); } 
{ /* Llib/mpd.scm 709 */
 obj_t BgL_arg1755z00_497;
{ /* Llib/mpd.scm 709 */
 obj_t BgL_arg1756z00_498;
BgL_arg1756z00_498 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)26)), BGl_mpdzd2listallzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 709 */
 obj_t BgL_list1757z00_499;
BgL_list1757z00_499 = 
MAKE_YOUNG_PAIR(BgL_arg1756z00_498, BNIL); 
BgL_arg1755z00_497 = BgL_list1757z00_499; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1755z00_497); } 
{ /* Llib/mpd.scm 716 */
 obj_t BgL_arg1763z00_500;
{ /* Llib/mpd.scm 716 */
 obj_t BgL_arg1766z00_501;
BgL_arg1766z00_501 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BGl_mpdzd2listzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 716 */
 obj_t BgL_list1767z00_502;
BgL_list1767z00_502 = 
MAKE_YOUNG_PAIR(BgL_arg1766z00_501, BNIL); 
BgL_arg1763z00_500 = BgL_list1767z00_502; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1763z00_500); } 
{ /* Llib/mpd.scm 745 */
 obj_t BgL_arg1770z00_503;
{ /* Llib/mpd.scm 745 */
 obj_t BgL_arg1777z00_504;
BgL_arg1777z00_504 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)28)), BGl_mpdzd2listallinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 745 */
 obj_t BgL_list1778z00_505;
BgL_list1778z00_505 = 
MAKE_YOUNG_PAIR(BgL_arg1777z00_504, BNIL); 
BgL_arg1770z00_503 = BgL_list1778z00_505; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1770z00_503); } 
{ /* Llib/mpd.scm 752 */
 obj_t BgL_arg1789z00_506;
{ /* Llib/mpd.scm 752 */
 obj_t BgL_arg1790z00_507;
BgL_arg1790z00_507 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)29)), BGl_mpdzd2lsinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 752 */
 obj_t BgL_list1791z00_508;
BgL_list1791z00_508 = 
MAKE_YOUNG_PAIR(BgL_arg1790z00_507, BNIL); 
BgL_arg1789z00_506 = BgL_list1791z00_508; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1789z00_506); } 
{ /* Llib/mpd.scm 759 */
 obj_t BgL_arg1796z00_509;
{ /* Llib/mpd.scm 759 */
 obj_t BgL_arg1798z00_510;
BgL_arg1798z00_510 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)30)), BGl_mpdzd2plconangesposidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 759 */
 obj_t BgL_list1799z00_511;
BgL_list1799z00_511 = 
MAKE_YOUNG_PAIR(BgL_arg1798z00_510, BNIL); 
BgL_arg1796z00_509 = BgL_list1799z00_511; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1796z00_509); } 
{ /* Llib/mpd.scm 771 */
 obj_t BgL_arg1808z00_512;
{ /* Llib/mpd.scm 771 */
 obj_t BgL_arg1809z00_513;
BgL_arg1809z00_513 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BGl_mpdzd2killzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 771 */
 obj_t BgL_list1810z00_514;
BgL_list1810z00_514 = 
MAKE_YOUNG_PAIR(BgL_arg1809z00_513, BNIL); 
BgL_arg1808z00_512 = BgL_list1810z00_514; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1808z00_512); } 
{ /* Llib/mpd.scm 777 */
 obj_t BgL_arg1812z00_515;
{ /* Llib/mpd.scm 777 */
 obj_t BgL_arg1813z00_516;
BgL_arg1813z00_516 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)32)), BGl_mpdzd2findzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 777 */
 obj_t BgL_list1814z00_517;
BgL_list1814z00_517 = 
MAKE_YOUNG_PAIR(BgL_arg1813z00_516, BNIL); 
BgL_arg1812z00_515 = BgL_list1814z00_517; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1812z00_515); } 
{ /* Llib/mpd.scm 797 */
 obj_t BgL_arg1820z00_518;
{ /* Llib/mpd.scm 797 */
 obj_t BgL_arg1821z00_519;
BgL_arg1821z00_519 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)33)), BGl_mpdzd2searchzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 797 */
 obj_t BgL_list1822z00_520;
BgL_list1822z00_520 = 
MAKE_YOUNG_PAIR(BgL_arg1821z00_519, BNIL); 
BgL_arg1820z00_518 = BgL_list1822z00_520; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1820z00_518); } 
{ /* Llib/mpd.scm 825 */
 obj_t BgL_arg1823z00_521;
{ /* Llib/mpd.scm 825 */
 obj_t BgL_arg1824z00_522;
BgL_arg1824z00_522 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)34)), BGl_mpdzd2commandszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 825 */
 obj_t BgL_list1825z00_523;
BgL_list1825z00_523 = 
MAKE_YOUNG_PAIR(BgL_arg1824z00_522, BNIL); 
BgL_arg1823z00_521 = BgL_list1825z00_523; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1823z00_521); } 
{ /* Llib/mpd.scm 839 */
 obj_t BgL_arg1826z00_524;
{ /* Llib/mpd.scm 839 */
 obj_t BgL_arg1827z00_525;
BgL_arg1827z00_525 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)35)), BGl_mpdzd2notcommandszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 839 */
 obj_t BgL_list1828z00_526;
BgL_list1828z00_526 = 
MAKE_YOUNG_PAIR(BgL_arg1827z00_525, BNIL); 
BgL_arg1826z00_524 = BgL_list1828z00_526; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1826z00_524); } 
{ /* Llib/mpd.scm 853 */
 obj_t BgL_arg1829z00_527;
{ /* Llib/mpd.scm 853 */
 obj_t BgL_arg1830z00_528;
BgL_arg1830z00_528 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)36)), BGl_mpdzd2addidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 853 */
 obj_t BgL_list1831z00_529;
BgL_list1831z00_529 = 
MAKE_YOUNG_PAIR(BgL_arg1830z00_528, BNIL); 
BgL_arg1829z00_527 = BgL_list1831z00_529; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1829z00_527); } 
{ /* Llib/mpd.scm 858 */
 obj_t BgL_arg1832z00_530;
{ /* Llib/mpd.scm 858 */
 obj_t BgL_arg1833z00_531;
BgL_arg1833z00_531 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)37)), BGl_mpdzd2crossfadezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 858 */
 obj_t BgL_list1834z00_532;
BgL_list1834z00_532 = 
MAKE_YOUNG_PAIR(BgL_arg1833z00_531, BNIL); 
BgL_arg1832z00_530 = BgL_list1834z00_532; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1832z00_530); } 
{ /* Llib/mpd.scm 863 */
 obj_t BgL_arg1835z00_533;
{ /* Llib/mpd.scm 863 */
 obj_t BgL_arg1836z00_534;
BgL_arg1836z00_534 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)38)), BGl_mpdzd2movezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 863 */
 obj_t BgL_list1837z00_535;
BgL_list1837z00_535 = 
MAKE_YOUNG_PAIR(BgL_arg1836z00_534, BNIL); 
BgL_arg1835z00_533 = BgL_list1837z00_535; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1835z00_533); } 
{ /* Llib/mpd.scm 868 */
 obj_t BgL_arg1838z00_536;
{ /* Llib/mpd.scm 868 */
 obj_t BgL_arg1839z00_537;
BgL_arg1839z00_537 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)39)), BGl_mpdzd2moveidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 868 */
 obj_t BgL_list1840z00_538;
BgL_list1840z00_538 = 
MAKE_YOUNG_PAIR(BgL_arg1839z00_537, BNIL); 
BgL_arg1838z00_536 = BgL_list1840z00_538; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1838z00_536); } 
{ /* Llib/mpd.scm 873 */
 obj_t BgL_arg1841z00_539;
{ /* Llib/mpd.scm 873 */
 obj_t BgL_arg1842z00_540;
BgL_arg1842z00_540 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)40)), BGl_mpdzd2passwordzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 873 */
 obj_t BgL_list1843z00_541;
BgL_list1843z00_541 = 
MAKE_YOUNG_PAIR(BgL_arg1842z00_540, BNIL); 
BgL_arg1841z00_539 = BgL_list1843z00_541; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1841z00_539); } 
{ /* Llib/mpd.scm 878 */
 obj_t BgL_arg1844z00_542;
{ /* Llib/mpd.scm 878 */
 obj_t BgL_arg1845z00_543;
BgL_arg1845z00_543 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)41)), BGl_mpdzd2randomzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 878 */
 obj_t BgL_list1846z00_544;
BgL_list1846z00_544 = 
MAKE_YOUNG_PAIR(BgL_arg1845z00_543, BNIL); 
BgL_arg1844z00_542 = BgL_list1846z00_544; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1844z00_542); } 
{ /* Llib/mpd.scm 883 */
 obj_t BgL_arg1847z00_545;
{ /* Llib/mpd.scm 883 */
 obj_t BgL_arg1848z00_546;
BgL_arg1848z00_546 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)42)), BGl_mpdzd2repeatzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 883 */
 obj_t BgL_list1849z00_547;
BgL_list1849z00_547 = 
MAKE_YOUNG_PAIR(BgL_arg1848z00_546, BNIL); 
BgL_arg1847z00_545 = BgL_list1849z00_547; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1847z00_545); } 
{ /* Llib/mpd.scm 888 */
 obj_t BgL_arg1850z00_548;
{ /* Llib/mpd.scm 888 */
 obj_t BgL_arg1851z00_549;
BgL_arg1851z00_549 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)43)), BGl_mpdzd2rmzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 888 */
 obj_t BgL_list1852z00_550;
BgL_list1852z00_550 = 
MAKE_YOUNG_PAIR(BgL_arg1851z00_549, BNIL); 
BgL_arg1850z00_548 = BgL_list1852z00_550; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1850z00_548); } 
{ /* Llib/mpd.scm 893 */
 obj_t BgL_arg1853z00_551;
{ /* Llib/mpd.scm 893 */
 obj_t BgL_arg1854z00_552;
BgL_arg1854z00_552 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)44)), BGl_mpdzd2savezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 893 */
 obj_t BgL_list1855z00_553;
BgL_list1855z00_553 = 
MAKE_YOUNG_PAIR(BgL_arg1854z00_552, BNIL); 
BgL_arg1853z00_551 = BgL_list1855z00_553; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1853z00_551); } 
{ /* Llib/mpd.scm 898 */
 obj_t BgL_arg1856z00_554;
{ /* Llib/mpd.scm 898 */
 obj_t BgL_arg1857z00_555;
BgL_arg1857z00_555 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)45)), BGl_mpdzd2shufflezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 898 */
 obj_t BgL_list1858z00_556;
BgL_list1858z00_556 = 
MAKE_YOUNG_PAIR(BgL_arg1857z00_555, BNIL); 
BgL_arg1856z00_554 = BgL_list1858z00_556; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1856z00_554); } 
{ /* Llib/mpd.scm 903 */
 obj_t BgL_arg1859z00_557;
{ /* Llib/mpd.scm 903 */
 obj_t BgL_arg1860z00_558;
BgL_arg1860z00_558 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)46)), BGl_mpdzd2swapzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 903 */
 obj_t BgL_list1861z00_559;
BgL_list1861z00_559 = 
MAKE_YOUNG_PAIR(BgL_arg1860z00_558, BNIL); 
BgL_arg1859z00_557 = BgL_list1861z00_559; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1859z00_557); } 
{ /* Llib/mpd.scm 908 */
 obj_t BgL_arg1863z00_560;
{ /* Llib/mpd.scm 908 */
 obj_t BgL_arg1864z00_561;
BgL_arg1864z00_561 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)47)), BGl_mpdzd2swapidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 908 */
 obj_t BgL_list1865z00_562;
BgL_list1865z00_562 = 
MAKE_YOUNG_PAIR(BgL_arg1864z00_561, BNIL); 
BgL_arg1863z00_560 = BgL_list1865z00_562; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1863z00_560); } 
{ /* Llib/mpd.scm 913 */
 obj_t BgL_arg1866z00_563;
{ /* Llib/mpd.scm 913 */
 obj_t BgL_arg1868z00_564;
BgL_arg1868z00_564 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)48)), BGl_mpdzd2updatezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 913 */
 obj_t BgL_list1869z00_565;
BgL_list1869z00_565 = 
MAKE_YOUNG_PAIR(BgL_arg1868z00_564, BNIL); 
BgL_arg1866z00_563 = BgL_list1869z00_565; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1866z00_563); } 
{ /* Llib/mpd.scm 918 */
 obj_t BgL_arg1870z00_566;
{ /* Llib/mpd.scm 918 */
 obj_t BgL_arg1871z00_567;
BgL_arg1871z00_567 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)49)), BGl_mpdzd2outputszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 918 */
 obj_t BgL_list1872z00_568;
BgL_list1872z00_568 = 
MAKE_YOUNG_PAIR(BgL_arg1871z00_567, BNIL); 
BgL_arg1870z00_566 = BgL_list1872z00_568; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1870z00_566); } 
return BUNSPEC;} 

}



/* get-line-command */
obj_t BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_6)
{
{ /* Llib/mpd.scm 161 */
{ /* Llib/mpd.scm 162 */
 obj_t BgL_iz00_579;
BgL_iz00_579 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_6, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_iz00_579))
{ /* Llib/mpd.scm 164 */
 obj_t BgL_arg1876z00_580;
{ /* Llib/mpd.scm 164 */
 long BgL_endz00_2415;
BgL_endz00_2415 = 
(long)CINT(BgL_iz00_579); 
BgL_arg1876z00_580 = 
c_substring(
((obj_t)BgL_linez00_6), ((long)0), BgL_endz00_2415); } 
return 
bstring_to_symbol(BgL_arg1876z00_580);}  else 
{ /* Llib/mpd.scm 163 */
return 
bstring_to_symbol(
((obj_t)BgL_linez00_6));} } } 

}



/* get-line-arg-string-nth */
obj_t BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_7, long BgL_numz00_8)
{
{ /* Llib/mpd.scm 170 */
{ 
 obj_t BgL_iz00_594; long BgL_lenz00_595;
{ /* Llib/mpd.scm 182 */
 obj_t BgL_i0z00_582; long BgL_lenz00_583;
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2439;
BgL_jz00_2439 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_jz00_2439))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1079z00_2440;
BgL__ortest_1079z00_2440 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_jz00_2439); 
if(
CBOOL(BgL__ortest_1079z00_2440))
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BgL__ortest_1079z00_2440; }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BgL_jz00_2439; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BFALSE; } } 
BgL_lenz00_583 = 
STRING_LENGTH(
((obj_t)BgL_linez00_7)); 
if(
CBOOL(BgL_i0z00_582))
{ /* Llib/mpd.scm 185 */
 long BgL_g1085z00_584;
BgL_g1085z00_584 = 
(BgL_numz00_8-((long)1)); 
{ 
 long BgL_nz00_586; obj_t BgL_iz00_587;
BgL_nz00_586 = BgL_g1085z00_584; 
BgL_iz00_587 = BgL_i0z00_582; 
BgL_zc3z04anonymousza31877ze3z87_588:
if(
CBOOL(BgL_iz00_587))
{ /* Llib/mpd.scm 188 */
if(
(BgL_nz00_586==((long)0)))
{ /* Llib/mpd.scm 190 */
if(
CBOOL(BgL_iz00_587))
{ /* Llib/mpd.scm 191 */
BgL_iz00_594 = BgL_iz00_587; 
BgL_lenz00_595 = BgL_lenz00_583; 
if(
(
(long)CINT(BgL_iz00_594)<BgL_lenz00_595))
{ /* Llib/mpd.scm 172 */
if(
(((unsigned char)'"')==
STRING_REF(
((obj_t)BgL_linez00_7), 
(long)CINT(BgL_iz00_594))))
{ /* Llib/mpd.scm 174 */
 obj_t BgL_jz00_600;
{ /* Llib/mpd.scm 174 */
 long BgL_arg1888z00_603;
BgL_arg1888z00_603 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
BgL_jz00_600 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)'"')), 
BINT(BgL_arg1888z00_603)); } 
if(
CBOOL(BgL_jz00_600))
{ /* Llib/mpd.scm 176 */
 long BgL_arg1886z00_601;
BgL_arg1886z00_601 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
{ /* Llib/mpd.scm 176 */
 long BgL_endz00_2428;
BgL_endz00_2428 = 
(long)CINT(BgL_jz00_600); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_arg1886z00_601, BgL_endz00_2428);} }  else 
{ /* Llib/mpd.scm 177 */
 long BgL_arg1887z00_602;
BgL_arg1887z00_602 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_arg1887z00_602, BgL_lenz00_595);} }  else 
{ /* Llib/mpd.scm 178 */
 obj_t BgL_jz00_604;
BgL_jz00_604 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_iz00_594); 
if(
CBOOL(BgL_jz00_604))
{ /* Llib/mpd.scm 180 */
 long BgL_startz00_2434; long BgL_endz00_2435;
BgL_startz00_2434 = 
(long)CINT(BgL_iz00_594); 
BgL_endz00_2435 = 
(long)CINT(BgL_jz00_604); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_startz00_2434, BgL_endz00_2435);}  else 
{ /* Llib/mpd.scm 181 */
 long BgL_startz00_2437;
BgL_startz00_2437 = 
(long)CINT(BgL_iz00_594); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_startz00_2437, BgL_lenz00_595);} } }  else 
{ /* Llib/mpd.scm 172 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 191 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 190 */
if(
(
(long)CINT(BgL_iz00_587)<BgL_lenz00_583))
{ /* Llib/mpd.scm 193 */
 long BgL_arg1880z00_591; obj_t BgL_arg1881z00_592;
BgL_arg1880z00_591 = 
(BgL_nz00_586-((long)1)); 
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2447;
BgL_jz00_2447 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_iz00_587); 
if(
CBOOL(BgL_jz00_2447))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1079z00_2448;
BgL__ortest_1079z00_2448 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_jz00_2447); 
if(
CBOOL(BgL__ortest_1079z00_2448))
{ /* Llib/mpd.scm 156 */
BgL_arg1881z00_592 = BgL__ortest_1079z00_2448; }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1881z00_592 = BgL_jz00_2447; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1881z00_592 = BFALSE; } } 
{ 
 obj_t BgL_iz00_6857; long BgL_nz00_6856;
BgL_nz00_6856 = BgL_arg1880z00_591; 
BgL_iz00_6857 = BgL_arg1881z00_592; 
BgL_iz00_587 = BgL_iz00_6857; 
BgL_nz00_586 = BgL_nz00_6856; 
goto BgL_zc3z04anonymousza31877ze3z87_588;} }  else 
{ /* Llib/mpd.scm 192 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 188 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 184 */
return BFALSE;} } } } 

}



/* get-line-arg-symbol-nth */
obj_t BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_9, long BgL_numz00_10)
{
{ /* Llib/mpd.scm 198 */
{ 
 obj_t BgL_iz00_620; long BgL_lenz00_621;
{ /* Llib/mpd.scm 205 */
 obj_t BgL_i0z00_608; long BgL_lenz00_609;
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2459;
BgL_jz00_2459 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_jz00_2459))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1079z00_2460;
BgL__ortest_1079z00_2460 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_jz00_2459); 
if(
CBOOL(BgL__ortest_1079z00_2460))
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BgL__ortest_1079z00_2460; }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BgL_jz00_2459; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BFALSE; } } 
BgL_lenz00_609 = 
STRING_LENGTH(
((obj_t)BgL_linez00_9)); 
if(
CBOOL(BgL_i0z00_608))
{ /* Llib/mpd.scm 208 */
 long BgL_g1086z00_610;
BgL_g1086z00_610 = 
(BgL_numz00_10-((long)1)); 
{ 
 long BgL_nz00_612; obj_t BgL_iz00_613;
BgL_nz00_612 = BgL_g1086z00_610; 
BgL_iz00_613 = BgL_i0z00_608; 
BgL_zc3z04anonymousza31890ze3z87_614:
if(
CBOOL(BgL_iz00_613))
{ /* Llib/mpd.scm 211 */
if(
(BgL_nz00_612==((long)0)))
{ /* Llib/mpd.scm 213 */
BgL_iz00_620 = BgL_iz00_613; 
BgL_lenz00_621 = BgL_lenz00_609; 
if(
(
(long)CINT(BgL_iz00_620)<BgL_lenz00_621))
{ /* Llib/mpd.scm 201 */
 obj_t BgL_jz00_624;
BgL_jz00_624 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_iz00_620); 
if(
CBOOL(BgL_jz00_624))
{ /* Llib/mpd.scm 203 */
 obj_t BgL_arg1897z00_625;
{ /* Llib/mpd.scm 203 */
 obj_t BgL_arg1898z00_626;
{ /* Llib/mpd.scm 203 */
 long BgL_startz00_2452; long BgL_endz00_2453;
BgL_startz00_2452 = 
(long)CINT(BgL_iz00_620); 
BgL_endz00_2453 = 
(long)CINT(BgL_jz00_624); 
BgL_arg1898z00_626 = 
c_substring(
((obj_t)BgL_linez00_9), BgL_startz00_2452, BgL_endz00_2453); } 
BgL_arg1897z00_625 = 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1898z00_626); } 
return 
bstring_to_symbol(BgL_arg1897z00_625);}  else 
{ /* Llib/mpd.scm 204 */
 obj_t BgL_arg1899z00_627;
{ /* Llib/mpd.scm 204 */
 obj_t BgL_arg1900z00_628;
{ /* Llib/mpd.scm 204 */
 long BgL_startz00_2456;
BgL_startz00_2456 = 
(long)CINT(BgL_iz00_620); 
BgL_arg1900z00_628 = 
c_substring(
((obj_t)BgL_linez00_9), BgL_startz00_2456, BgL_lenz00_621); } 
BgL_arg1899z00_627 = 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1900z00_628); } 
return 
bstring_to_symbol(BgL_arg1899z00_627);} }  else 
{ /* Llib/mpd.scm 200 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 213 */
if(
(
(long)CINT(BgL_iz00_613)<BgL_lenz00_609))
{ /* Llib/mpd.scm 216 */
 long BgL_arg1893z00_617; obj_t BgL_arg1894z00_618;
BgL_arg1893z00_617 = 
(BgL_nz00_612-((long)1)); 
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2467;
BgL_jz00_2467 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_iz00_613); 
if(
CBOOL(BgL_jz00_2467))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1079z00_2468;
BgL__ortest_1079z00_2468 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_jz00_2467); 
if(
CBOOL(BgL__ortest_1079z00_2468))
{ /* Llib/mpd.scm 156 */
BgL_arg1894z00_618 = BgL__ortest_1079z00_2468; }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1894z00_618 = BgL_jz00_2467; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1894z00_618 = BFALSE; } } 
{ 
 obj_t BgL_iz00_6907; long BgL_nz00_6906;
BgL_nz00_6906 = BgL_arg1893z00_617; 
BgL_iz00_6907 = BgL_arg1894z00_618; 
BgL_iz00_613 = BgL_iz00_6907; 
BgL_nz00_612 = BgL_nz00_6906; 
goto BgL_zc3z04anonymousza31890ze3z87_614;} }  else 
{ /* Llib/mpd.scm 215 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 211 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 207 */
return BFALSE;} } } } 

}



/* _mpd */
obj_t BGl__mpdz00zz__multimediazd2mpdzd2(obj_t BgL_env1334z00_19, obj_t BgL_opt1333z00_18)
{
{ /* Llib/mpd.scm 230 */
{ 
 obj_t BgL_k1z00_633; long BgL_iz00_634;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_g1340z00_636; obj_t BgL_g1341z00_637; obj_t BgL_g1342z00_638; obj_t BgL_g1343z00_639;
BgL_g1340z00_636 = 
VECTOR_REF(BgL_opt1333z00_18,((long)0)); 
BgL_g1341z00_637 = 
VECTOR_REF(BgL_opt1333z00_18,((long)1)); 
BgL_g1342z00_638 = 
VECTOR_REF(BgL_opt1333z00_18,((long)2)); 
BgL_g1343z00_639 = 
VECTOR_REF(BgL_opt1333z00_18,((long)3)); 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_logz00_640;
BgL_logz00_640 = BFALSE; 
{ /* Llib/mpd.scm 230 */

{ 
 long BgL_iz00_641;
BgL_iz00_641 = ((long)4); 
BgL_check1337z00_642:
if(
(BgL_iz00_641==
VECTOR_LENGTH(BgL_opt1333z00_18)))
{ /* Llib/mpd.scm 230 */BNIL; }  else 
{ /* Llib/mpd.scm 230 */
 bool_t BgL_test3456z00_6915;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_arg1909z00_648;
BgL_arg1909z00_648 = 
VECTOR_REF(BgL_opt1333z00_18,BgL_iz00_641); 
BgL_test3456z00_6915 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1909z00_648, 
CNST_TABLE_REF(((long)51)))); } 
if(BgL_test3456z00_6915)
{ 
 long BgL_iz00_6920;
BgL_iz00_6920 = 
(BgL_iz00_641+((long)2)); 
BgL_iz00_641 = BgL_iz00_6920; 
goto BgL_check1337z00_642;}  else 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_arg1908z00_647;
BgL_arg1908z00_647 = 
VECTOR_REF(BgL_opt1333z00_18,BgL_iz00_641); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)50)), BGl_string2964z00zz__multimediazd2mpdzd2, BgL_arg1908z00_647); } } } 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_index1339z00_649;
BgL_k1z00_633 = 
CNST_TABLE_REF(((long)52)); 
BgL_iz00_634 = ((long)4); 
BgL_search1336z00_635:
if(
(BgL_iz00_634==
VECTOR_LENGTH(BgL_opt1333z00_18)))
{ /* Llib/mpd.scm 230 */
BgL_index1339z00_649 = 
BINT(((long)-1)); }  else 
{ /* Llib/mpd.scm 230 */
if(
(BgL_iz00_634==
(
VECTOR_LENGTH(BgL_opt1333z00_18)-((long)1))))
{ /* Llib/mpd.scm 230 */
BgL_index1339z00_649 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)50)), BGl_string2963z00zz__multimediazd2mpdzd2, 
BINT(
VECTOR_LENGTH(BgL_opt1333z00_18))); }  else 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_vz00_660;
BgL_vz00_660 = 
VECTOR_REF(BgL_opt1333z00_18,BgL_iz00_634); 
if(
(BgL_vz00_660==BgL_k1z00_633))
{ /* Llib/mpd.scm 230 */
BgL_index1339z00_649 = 
BINT(
(BgL_iz00_634+((long)1))); }  else 
{ 
 long BgL_iz00_6942;
BgL_iz00_6942 = 
(BgL_iz00_634+((long)2)); 
BgL_iz00_634 = BgL_iz00_6942; 
goto BgL_search1336z00_635;} } } 
{ /* Llib/mpd.scm 230 */
 bool_t BgL_test3460z00_6945;
{ /* Llib/mpd.scm 230 */
 long BgL_n1z00_2486;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_tmpz00_6946;
if(
INTEGERP(BgL_index1339z00_649))
{ /* Llib/mpd.scm 230 */
BgL_tmpz00_6946 = BgL_index1339z00_649
; }  else 
{ 
 obj_t BgL_auxz00_6949;
BgL_auxz00_6949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2966z00zz__multimediazd2mpdzd2, BGl_string2967z00zz__multimediazd2mpdzd2, BgL_index1339z00_649); 
FAILURE(BgL_auxz00_6949,BFALSE,BFALSE);} 
BgL_n1z00_2486 = 
(long)CINT(BgL_tmpz00_6946); } 
BgL_test3460z00_6945 = 
(BgL_n1z00_2486>=((long)0)); } 
if(BgL_test3460z00_6945)
{ 
 long BgL_auxz00_6955;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_tmpz00_6956;
if(
INTEGERP(BgL_index1339z00_649))
{ /* Llib/mpd.scm 230 */
BgL_tmpz00_6956 = BgL_index1339z00_649
; }  else 
{ 
 obj_t BgL_auxz00_6959;
BgL_auxz00_6959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2966z00zz__multimediazd2mpdzd2, BGl_string2967z00zz__multimediazd2mpdzd2, BgL_index1339z00_649); 
FAILURE(BgL_auxz00_6959,BFALSE,BFALSE);} 
BgL_auxz00_6955 = 
(long)CINT(BgL_tmpz00_6956); } 
BgL_logz00_640 = 
VECTOR_REF(BgL_opt1333z00_18,BgL_auxz00_6955); }  else 
{ /* Llib/mpd.scm 230 */BFALSE; } } } 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_arg1911z00_651; obj_t BgL_arg1912z00_652; obj_t BgL_arg1913z00_653; obj_t BgL_arg1914z00_654;
BgL_arg1911z00_651 = 
VECTOR_REF(BgL_opt1333z00_18,((long)0)); 
BgL_arg1912z00_652 = 
VECTOR_REF(BgL_opt1333z00_18,((long)1)); 
BgL_arg1913z00_653 = 
VECTOR_REF(BgL_opt1333z00_18,((long)2)); 
BgL_arg1914z00_654 = 
VECTOR_REF(BgL_opt1333z00_18,((long)3)); 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_logz00_655;
BgL_logz00_655 = BgL_logz00_640; 
{ /* Llib/mpd.scm 230 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_6991; obj_t BgL_auxz00_6984; obj_t BgL_auxz00_6977; BgL_musicz00_bglt BgL_auxz00_6969;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1914z00_654, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6991 = 
((BgL_mpdzd2databasezd2_bglt)BgL_arg1914z00_654)
; }  else 
{ 
 obj_t BgL_auxz00_6995;
BgL_auxz00_6995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2966z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_arg1914z00_654); 
FAILURE(BgL_auxz00_6995,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg1913z00_653))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6984 = BgL_arg1913z00_653
; }  else 
{ 
 obj_t BgL_auxz00_6987;
BgL_auxz00_6987 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2966z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_arg1913z00_653); 
FAILURE(BgL_auxz00_6987,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg1912z00_652))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6977 = BgL_arg1912z00_652
; }  else 
{ 
 obj_t BgL_auxz00_6980;
BgL_auxz00_6980 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2966z00zz__multimediazd2mpdzd2, BGl_string2969z00zz__multimediazd2mpdzd2, BgL_arg1912z00_652); 
FAILURE(BgL_auxz00_6980,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1911z00_651, BGl_musicz00zz__multimediazd2musiczd2))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6969 = 
((BgL_musicz00_bglt)BgL_arg1911z00_651)
; }  else 
{ 
 obj_t BgL_auxz00_6973;
BgL_auxz00_6973 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2966z00zz__multimediazd2mpdzd2, BGl_string2968z00zz__multimediazd2mpdzd2, BgL_arg1911z00_651); 
FAILURE(BgL_auxz00_6973,BFALSE,BFALSE);} 
return 
BGl_mpdz00zz__multimediazd2mpdzd2(BgL_auxz00_6969, BgL_auxz00_6977, BgL_auxz00_6984, BgL_auxz00_6991, BgL_logz00_655);} } } } } } } } 

}



/* mpd */
BGL_EXPORTED_DEF obj_t BGl_mpdz00zz__multimediazd2mpdzd2(BgL_musicz00_bglt BgL_backendz00_13, obj_t BgL_ipz00_14, obj_t BgL_opz00_15, BgL_mpdzd2databasezd2_bglt BgL_dbz00_16, obj_t BgL_logz00_17)
{
{ /* Llib/mpd.scm 230 */
bgl_display_obj(BGl_string2972z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_char(((unsigned char)10), BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
{ 

BgL_zc3z04anonymousza31923ze3z87_666:
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_backendz00_13))
{ /* Llib/mpd.scm 237 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 238 */
 obj_t BgL_linez00_668;
BgL_linez00_668 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_14); 
BGl_cmdnz00zz__multimediazd2mpdzd2 = 
(((long)1)+BGl_cmdnz00zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_logz00_17))
{ /* Llib/mpd.scm 240 */
PROCEDURE_ENTRY(BgL_logz00_17)(BgL_logz00_17, BgL_linez00_668, BEOA); }  else 
{ /* Llib/mpd.scm 240 */BFALSE; } 
if(
EOF_OBJECTP(BgL_linez00_668))
{ /* Llib/mpd.scm 241 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 242 */
 obj_t BgL_vz00_670;
BgL_vz00_670 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_16, BgL_backendz00_13, BgL_ipz00_14, BgL_opz00_15, BgL_linez00_668); 
if(
(BgL_vz00_670==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 243 */
bgl_display_string(BGl_string2973z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
goto BgL_zc3z04anonymousza31923ze3z87_666;}  else 
{ /* Llib/mpd.scm 243 */
 bool_t BgL_test3471z00_7022;
{ /* Llib/mpd.scm 243 */
 bool_t BgL__ortest_1088z00_678;
BgL__ortest_1088z00_678 = 
(BgL_vz00_670==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1088z00_678)
{ /* Llib/mpd.scm 243 */
BgL_test3471z00_7022 = BgL__ortest_1088z00_678
; }  else 
{ /* Llib/mpd.scm 243 */
BgL_test3471z00_7022 = 
(BgL_vz00_670==
CNST_TABLE_REF(((long)31)))
; } } 
if(BgL_test3471z00_7022)
{ /* Llib/mpd.scm 243 */
return 
bgl_flush_output_port(BgL_opz00_15);}  else 
{ /* Llib/mpd.scm 243 */
if(
(BgL_vz00_670==
CNST_TABLE_REF(((long)54))))
{ /* Llib/mpd.scm 243 */
goto BgL_zc3z04anonymousza31923ze3z87_666;}  else 
{ /* Llib/mpd.scm 243 */
bgl_display_string(BGl_string2974z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BGl_string2975z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_string(BGl_string2976z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BGl_string2962z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_string(BGl_string2977z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BgL_vz00_670, BgL_opz00_15); 
bgl_display_string(BGl_string2978z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
CNST_TABLE_REF(((long)54)); 
goto BgL_zc3z04anonymousza31923ze3z87_666;} } } } } } } 

}



/* execute-command */
obj_t BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_20, BgL_musicz00_bglt BgL_backendz00_21, obj_t BgL_ipz00_22, obj_t BgL_opz00_23, obj_t BgL_linez00_24)
{
{ /* Llib/mpd.scm 259 */
{ /* Llib/mpd.scm 260 */
 obj_t BgL_cmdz00_680;
BgL_cmdz00_680 = 
BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(BgL_linez00_24); 
{ /* Llib/mpd.scm 262 */
 bool_t BgL_test3474z00_7042;
if(
(BgL_cmdz00_680==
CNST_TABLE_REF(((long)55))))
{ /* Llib/mpd.scm 262 */
BgL_test3474z00_7042 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 262 */
BgL_test3474z00_7042 = 
(BgL_cmdz00_680==
CNST_TABLE_REF(((long)56)))
; } 
if(BgL_test3474z00_7042)
{ /* Llib/mpd.scm 262 */
return 
BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_dbz00_20, BgL_backendz00_21, BgL_ipz00_22, BgL_opz00_23, BgL_cmdz00_680);}  else 
{ /* Llib/mpd.scm 265 */
 obj_t BgL_g1090z00_683;
BgL_g1090z00_683 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cmdz00_680, BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_g1090z00_683))
{ /* Llib/mpd.scm 267 */
 obj_t BgL_fun1931z00_686;
BgL_fun1931z00_686 = 
CDR(
((obj_t)BgL_g1090z00_683)); 
return 
PROCEDURE_ENTRY(BgL_fun1931z00_686)(BgL_fun1931z00_686, 
((obj_t)BgL_dbz00_20), 
((obj_t)BgL_backendz00_21), BgL_linez00_24, BgL_ipz00_22, BgL_opz00_23, BEOA);}  else 
{ /* Llib/mpd.scm 268 */
 obj_t BgL_g1092z00_687;
BgL_g1092z00_687 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cmdz00_680, BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_g1092z00_687))
{ /* Llib/mpd.scm 270 */
 obj_t BgL_fun1932z00_690;
BgL_fun1932z00_690 = 
CDR(
((obj_t)BgL_g1092z00_687)); 
return 
PROCEDURE_ENTRY(BgL_fun1932z00_690)(BgL_fun1932z00_690, 
((obj_t)BgL_dbz00_20), 
((obj_t)BgL_backendz00_21), BgL_linez00_24, BgL_ipz00_22, BgL_opz00_23, BEOA);}  else 
{ /* Llib/mpd.scm 268 */
if(
(
STRING_LENGTH(BgL_linez00_24)>((long)0)))
{ /* Llib/mpd.scm 273 */
 obj_t BgL_list1935z00_693;
BgL_list1935z00_693 = 
MAKE_YOUNG_PAIR(BgL_linez00_24, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2979z00zz__multimediazd2mpdzd2, BgL_list1935z00_693);}  else 
{ /* Llib/mpd.scm 272 */
return 
CNST_TABLE_REF(((long)54));} } } } } } } 

}



/* mpd-list-begin */
obj_t BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_25, BgL_musicz00_bglt BgL_backendz00_26, obj_t BgL_ipz00_27, obj_t BgL_opz00_28, obj_t BgL_cmdz00_29)
{
{ /* Llib/mpd.scm 279 */
{ 
 obj_t BgL_linesz00_698;
BgL_linesz00_698 = BNIL; 
BgL_zc3z04anonymousza31937ze3z87_699:
{ /* Llib/mpd.scm 281 */
 obj_t BgL_linez00_700;
BgL_linez00_700 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_27); 
if(
EOF_OBJECTP(BgL_linez00_700))
{ /* Llib/mpd.scm 282 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 283 */
 obj_t BgL_cz00_702;
BgL_cz00_702 = 
BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(BgL_linez00_700); 
if(
(BgL_cz00_702==
CNST_TABLE_REF(((long)57))))
{ /* Llib/mpd.scm 284 */
if(
(BgL_cmdz00_29==
CNST_TABLE_REF(((long)55))))
{ /* Llib/mpd.scm 287 */
 obj_t BgL_g1095z00_705;
BgL_g1095z00_705 = 
bgl_reverse_bang(BgL_linesz00_698); 
{ 
 obj_t BgL_lsz00_707;
BgL_lsz00_707 = BgL_g1095z00_705; 
BgL_zc3z04anonymousza31941ze3z87_708:
if(
NULLP(BgL_lsz00_707))
{ /* Llib/mpd.scm 288 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 290 */
 obj_t BgL_lz00_710;
BgL_lz00_710 = 
CAR(
((obj_t)BgL_lsz00_707)); 
{ /* Llib/mpd.scm 290 */
 obj_t BgL_vz00_711;
BgL_vz00_711 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_25, BgL_backendz00_26, BgL_ipz00_27, BgL_opz00_28, BgL_lz00_710); 
{ /* Llib/mpd.scm 291 */

if(
(BgL_vz00_711==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 293 */
 obj_t BgL_arg1944z00_713;
BgL_arg1944z00_713 = 
CDR(
((obj_t)BgL_lsz00_707)); 
{ 
 obj_t BgL_lsz00_7107;
BgL_lsz00_7107 = BgL_arg1944z00_713; 
BgL_lsz00_707 = BgL_lsz00_7107; 
goto BgL_zc3z04anonymousza31941ze3z87_708;} }  else 
{ /* Llib/mpd.scm 292 */
return BgL_vz00_711;} } } } } }  else 
{ /* Llib/mpd.scm 286 */
if(
(BgL_cmdz00_29==
CNST_TABLE_REF(((long)56))))
{ /* Llib/mpd.scm 296 */
 obj_t BgL_g1096z00_716;
BgL_g1096z00_716 = 
bgl_reverse_bang(BgL_linesz00_698); 
{ 
 obj_t BgL_lsz00_718;
BgL_lsz00_718 = BgL_g1096z00_716; 
BgL_zc3z04anonymousza31946ze3z87_719:
if(
NULLP(BgL_lsz00_718))
{ /* Llib/mpd.scm 297 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 299 */
 obj_t BgL_lz00_721;
BgL_lz00_721 = 
CAR(
((obj_t)BgL_lsz00_718)); 
{ /* Llib/mpd.scm 299 */
 obj_t BgL_vz00_722;
BgL_vz00_722 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_25, BgL_backendz00_26, BgL_ipz00_27, BgL_opz00_28, BgL_lz00_721); 
{ /* Llib/mpd.scm 300 */

if(
(BgL_vz00_722==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 301 */
bgl_display_string(BGl_string2980z00zz__multimediazd2mpdzd2, BgL_opz00_28); 
{ /* Llib/mpd.scm 304 */
 obj_t BgL_arg1949z00_724;
BgL_arg1949z00_724 = 
CDR(
((obj_t)BgL_lsz00_718)); 
{ 
 obj_t BgL_lsz00_7124;
BgL_lsz00_7124 = BgL_arg1949z00_724; 
BgL_lsz00_718 = BgL_lsz00_7124; 
goto BgL_zc3z04anonymousza31946ze3z87_719;} } }  else 
{ /* Llib/mpd.scm 301 */
return BgL_vz00_722;} } } } } }  else 
{ /* Llib/mpd.scm 295 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 306 */
 obj_t BgL_arg1950z00_726;
BgL_arg1950z00_726 = 
MAKE_YOUNG_PAIR(BgL_linez00_700, BgL_linesz00_698); 
{ 
 obj_t BgL_linesz00_7126;
BgL_linesz00_7126 = BgL_arg1950z00_726; 
BgL_linesz00_698 = BgL_linesz00_7126; 
goto BgL_zc3z04anonymousza31937ze3z87_699;} } } } } } 

}



/* search1347~0 */
obj_t BGl_search1347ze70ze7zz__multimediazd2mpdzd2(obj_t BgL_l1346z00_5025, obj_t BgL_opt1344z00_5024, obj_t BgL_k1z00_729, obj_t BgL_iz00_730)
{
{ /* Llib/mpd.scm 324 */
BGl_search1347ze70ze7zz__multimediazd2mpdzd2:
if(
(
(long)CINT(BgL_iz00_730)==
(long)CINT(BgL_l1346z00_5025)))
{ /* Llib/mpd.scm 324 */
return 
BINT(((long)-1));}  else 
{ /* Llib/mpd.scm 324 */
if(
(
(long)CINT(BgL_iz00_730)==
(long)CINT(
SUBFX(BgL_l1346z00_5025, 
BINT(((long)1))))))
{ /* Llib/mpd.scm 324 */
 obj_t BgL_arg1964z00_755;
BgL_arg1964z00_755 = 
BINT(
VECTOR_LENGTH(BgL_opt1344z00_5024)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)59)), BGl_string2981z00zz__multimediazd2mpdzd2, BgL_arg1964z00_755);}  else 
{ /* Llib/mpd.scm 324 */
 obj_t BgL_vz00_756;
BgL_vz00_756 = 
VECTOR_REF(BgL_opt1344z00_5024,
(long)CINT(BgL_iz00_730)); 
if(
(BgL_vz00_756==BgL_k1z00_729))
{ /* Llib/mpd.scm 324 */
return 
ADDFX(BgL_iz00_730, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_7148;
BgL_iz00_7148 = 
ADDFX(BgL_iz00_730, 
BINT(((long)2))); 
BgL_iz00_730 = BgL_iz00_7148; 
goto BGl_search1347ze70ze7zz__multimediazd2mpdzd2;} } } } 

}



/* &mpd-ping */
obj_t BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4338, obj_t BgL_dbz00_4339, obj_t BgL_backendz00_4340, obj_t BgL_linez00_4341, obj_t BgL_ipz00_4342, obj_t BgL_opz00_4343)
{
{ /* Llib/mpd.scm 338 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-urlhandlers */
obj_t BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4344, obj_t BgL_dbz00_4345, obj_t BgL_backendz00_4346, obj_t BgL_linez00_4347, obj_t BgL_ipz00_4348, obj_t BgL_opz00_4349)
{
{ /* Llib/mpd.scm 344 */
{ /* Llib/mpd.scm 345 */
 bool_t BgL_tmpz00_7152;
{ /* Llib/mpd.scm 345 */
 obj_t BgL_g1189z00_5175;
BgL_g1189z00_5175 = 
CNST_TABLE_REF(((long)62)); 
{ 
 obj_t BgL_l1187z00_5177;
BgL_l1187z00_5177 = BgL_g1189z00_5175; 
BgL_zc3z04anonymousza31968ze3z87_5176:
if(
PAIRP(BgL_l1187z00_5177))
{ /* Llib/mpd.scm 349 */
{ /* Llib/mpd.scm 346 */
 obj_t BgL_handlerz00_5178;
BgL_handlerz00_5178 = 
CAR(BgL_l1187z00_5177); 
{ /* Llib/mpd.scm 346 */
 obj_t BgL_tmpz00_7157;
BgL_tmpz00_7157 = 
((obj_t)BgL_opz00_4349); 
bgl_display_string(BGl_string2982z00zz__multimediazd2mpdzd2, BgL_tmpz00_7157); } 
bgl_display_obj(BgL_handlerz00_5178, BgL_opz00_4349); 
{ /* Llib/mpd.scm 348 */
 obj_t BgL_tmpz00_7161;
BgL_tmpz00_7161 = 
((obj_t)BgL_opz00_4349); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7161); } } 
{ 
 obj_t BgL_l1187z00_7164;
BgL_l1187z00_7164 = 
CDR(BgL_l1187z00_5177); 
BgL_l1187z00_5177 = BgL_l1187z00_7164; 
goto BgL_zc3z04anonymousza31968ze3z87_5176;} }  else 
{ /* Llib/mpd.scm 349 */
BgL_tmpz00_7152 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_7152);} } 

}



/* &mpd-tagtypes */
obj_t BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4350, obj_t BgL_dbz00_4351, obj_t BgL_backendz00_4352, obj_t BgL_linez00_4353, obj_t BgL_ipz00_4354, obj_t BgL_opz00_4355)
{
{ /* Llib/mpd.scm 354 */
{ /* Llib/mpd.scm 355 */
 bool_t BgL_tmpz00_7167;
{ /* Llib/mpd.scm 355 */
 obj_t BgL_g1192z00_5179;
BgL_g1192z00_5179 = 
CNST_TABLE_REF(((long)63)); 
{ 
 obj_t BgL_l1190z00_5181;
BgL_l1190z00_5181 = BgL_g1192z00_5179; 
BgL_zc3z04anonymousza31971ze3z87_5180:
if(
PAIRP(BgL_l1190z00_5181))
{ /* Llib/mpd.scm 359 */
{ /* Llib/mpd.scm 356 */
 obj_t BgL_tagz00_5182;
BgL_tagz00_5182 = 
CAR(BgL_l1190z00_5181); 
{ /* Llib/mpd.scm 356 */
 obj_t BgL_tmpz00_7172;
BgL_tmpz00_7172 = 
((obj_t)BgL_opz00_4355); 
bgl_display_string(BGl_string2983z00zz__multimediazd2mpdzd2, BgL_tmpz00_7172); } 
bgl_display_obj(BgL_tagz00_5182, BgL_opz00_4355); 
{ /* Llib/mpd.scm 358 */
 obj_t BgL_tmpz00_7176;
BgL_tmpz00_7176 = 
((obj_t)BgL_opz00_4355); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7176); } } 
{ 
 obj_t BgL_l1190z00_7179;
BgL_l1190z00_7179 = 
CDR(BgL_l1190z00_5181); 
BgL_l1190z00_5181 = BgL_l1190z00_7179; 
goto BgL_zc3z04anonymousza31971ze3z87_5180;} }  else 
{ /* Llib/mpd.scm 359 */
BgL_tmpz00_7167 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_7167);} } 

}



/* &mpd-status */
obj_t BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4356, obj_t BgL_dbz00_4357, obj_t BgL_backendz00_4358, obj_t BgL_linez00_4359, obj_t BgL_ipz00_4360, obj_t BgL_opz00_4361)
{
{ /* Llib/mpd.scm 371 */
{ /* Llib/mpd.scm 372 */
 BgL_musicstatusz00_bglt BgL_statusz00_5183;
BgL_statusz00_5183 = 
BGl_musiczd2statuszd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4358)); 
{ /* Llib/mpd.scm 376 */
 obj_t BgL_volz00_5184;
{ /* Llib/mpd.scm 376 */
 bool_t BgL_test3492z00_7184;
{ /* Llib/mpd.scm 376 */
 obj_t BgL_tmpz00_7185;
BgL_tmpz00_7185 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_volumez00); 
BgL_test3492z00_7184 = 
VECTORP(BgL_tmpz00_7185); } 
if(BgL_test3492z00_7184)
{ /* Llib/mpd.scm 376 */
 obj_t BgL_arg1976z00_5185;
BgL_arg1976z00_5185 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_volumez00); 
BgL_volz00_5184 = 
VECTOR_REF(
((obj_t)BgL_arg1976z00_5185),((long)0)); }  else 
{ /* Llib/mpd.scm 376 */
BgL_volz00_5184 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_volumez00); } } 
{ /* Llib/mpd.scm 377 */
 obj_t BgL_tmpz00_7192;
BgL_tmpz00_7192 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2984z00zz__multimediazd2mpdzd2, BgL_tmpz00_7192); } 
bgl_display_obj(BgL_volz00_5184, BgL_opz00_4361); 
{ /* Llib/mpd.scm 377 */
 obj_t BgL_tmpz00_7196;
BgL_tmpz00_7196 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7196); } } 
{ /* Llib/mpd.scm 378 */
 obj_t BgL_tmpz00_7199;
BgL_tmpz00_7199 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2985z00zz__multimediazd2mpdzd2, BgL_tmpz00_7199); } 
bgl_display_obj(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_statez00), BgL_opz00_4361); 
{ /* Llib/mpd.scm 378 */
 obj_t BgL_tmpz00_7204;
BgL_tmpz00_7204 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7204); } 
{ /* Llib/mpd.scm 379 */
 obj_t BgL_tmpz00_7207;
BgL_tmpz00_7207 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2986z00zz__multimediazd2mpdzd2, BgL_tmpz00_7207); } 
{ /* Llib/mpd.scm 379 */
 int BgL_arg1979z00_5186;
BgL_arg1979z00_5186 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_playlistidz00); 
bgl_display_obj(
BINT(BgL_arg1979z00_5186), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 379 */
 obj_t BgL_tmpz00_7213;
BgL_tmpz00_7213 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7213); } 
{ /* Llib/mpd.scm 380 */
 obj_t BgL_tmpz00_7216;
BgL_tmpz00_7216 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2987z00zz__multimediazd2mpdzd2, BgL_tmpz00_7216); } 
{ /* Llib/mpd.scm 380 */
 int BgL_arg1980z00_5187;
BgL_arg1980z00_5187 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_playlistlengthz00); 
bgl_display_obj(
BINT(BgL_arg1980z00_5187), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 380 */
 obj_t BgL_tmpz00_7222;
BgL_tmpz00_7222 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7222); } 
if(
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_songz00))>=((long)0)))
{ /* Llib/mpd.scm 381 */
{ /* Llib/mpd.scm 382 */
 obj_t BgL_tmpz00_7229;
BgL_tmpz00_7229 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_tmpz00_7229); } 
{ /* Llib/mpd.scm 382 */
 int BgL_arg1983z00_5188;
BgL_arg1983z00_5188 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_songz00); 
bgl_display_obj(
BINT(BgL_arg1983z00_5188), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 382 */
 obj_t BgL_tmpz00_7235;
BgL_tmpz00_7235 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7235); } 
{ /* Llib/mpd.scm 383 */
 obj_t BgL_tmpz00_7238;
BgL_tmpz00_7238 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2989z00zz__multimediazd2mpdzd2, BgL_tmpz00_7238); } 
{ /* Llib/mpd.scm 383 */
 int BgL_arg1984z00_5189;
BgL_arg1984z00_5189 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_songidz00); 
bgl_display_obj(
BINT(BgL_arg1984z00_5189), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 383 */
 obj_t BgL_tmpz00_7244;
BgL_tmpz00_7244 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7244); } 
{ /* Llib/mpd.scm 384 */
 obj_t BgL_tmpz00_7247;
BgL_tmpz00_7247 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2990z00zz__multimediazd2mpdzd2, BgL_tmpz00_7247); } 
{ /* Llib/mpd.scm 384 */
 int BgL_arg1985z00_5190;
BgL_arg1985z00_5190 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_bitratez00); 
bgl_display_obj(
BINT(BgL_arg1985z00_5190), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 384 */
 obj_t BgL_tmpz00_7253;
BgL_tmpz00_7253 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7253); } 
{ /* Llib/mpd.scm 385 */
 obj_t BgL_tmpz00_7256;
BgL_tmpz00_7256 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2991z00zz__multimediazd2mpdzd2, BgL_tmpz00_7256); } 
{ /* Llib/mpd.scm 386 */
 int BgL_arg1986z00_5191;
BgL_arg1986z00_5191 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_khza7za7); 
bgl_display_obj(
BINT(BgL_arg1986z00_5191), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 387 */
 obj_t BgL_tmpz00_7262;
BgL_tmpz00_7262 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2992z00zz__multimediazd2mpdzd2, BgL_tmpz00_7262); } }  else 
{ /* Llib/mpd.scm 381 */BFALSE; } 
{ /* Llib/mpd.scm 388 */
 bool_t BgL_test3494z00_7265;
if(
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_statez00)==
CNST_TABLE_REF(((long)13))))
{ /* Llib/mpd.scm 388 */
BgL_test3494z00_7265 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 388 */
BgL_test3494z00_7265 = 
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_statez00)==
CNST_TABLE_REF(((long)18)))
; } 
if(BgL_test3494z00_7265)
{ /* Llib/mpd.scm 388 */
{ /* Llib/mpd.scm 389 */
 obj_t BgL_tmpz00_7273;
BgL_tmpz00_7273 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2993z00zz__multimediazd2mpdzd2, BgL_tmpz00_7273); } 
bgl_display_obj(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_songposz00), BgL_opz00_4361); 
{ /* Llib/mpd.scm 391 */
 obj_t BgL_tmpz00_7278;
BgL_tmpz00_7278 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2994z00zz__multimediazd2mpdzd2, BgL_tmpz00_7278); } 
{ /* Llib/mpd.scm 392 */
 int BgL_arg1994z00_5192;
BgL_arg1994z00_5192 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_songlengthz00); 
bgl_display_obj(
BINT(BgL_arg1994z00_5192), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 393 */
 obj_t BgL_tmpz00_7284;
BgL_tmpz00_7284 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7284); } }  else 
{ /* Llib/mpd.scm 388 */BFALSE; } } 
if(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_repeatz00))
{ /* Llib/mpd.scm 395 */
 obj_t BgL_tmpz00_7289;
BgL_tmpz00_7289 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2995z00zz__multimediazd2mpdzd2, BgL_tmpz00_7289); }  else 
{ /* Llib/mpd.scm 396 */
 obj_t BgL_tmpz00_7292;
BgL_tmpz00_7292 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2996z00zz__multimediazd2mpdzd2, BgL_tmpz00_7292); } 
if(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_randomz00))
{ /* Llib/mpd.scm 398 */
 obj_t BgL_tmpz00_7297;
BgL_tmpz00_7297 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2997z00zz__multimediazd2mpdzd2, BgL_tmpz00_7297); }  else 
{ /* Llib/mpd.scm 399 */
 obj_t BgL_tmpz00_7300;
BgL_tmpz00_7300 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2998z00zz__multimediazd2mpdzd2, BgL_tmpz00_7300); } 
{ /* Llib/mpd.scm 400 */
 obj_t BgL_tmpz00_7303;
BgL_tmpz00_7303 = 
((obj_t)BgL_opz00_4361); 
bgl_display_string(BGl_string2999z00zz__multimediazd2mpdzd2, BgL_tmpz00_7303); } 
{ /* Llib/mpd.scm 400 */
 int BgL_arg1999z00_5193;
BgL_arg1999z00_5193 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5183))->BgL_xfadez00); 
bgl_display_obj(
BINT(BgL_arg1999z00_5193), BgL_opz00_4361); } 
{ /* Llib/mpd.scm 400 */
 obj_t BgL_tmpz00_7309;
BgL_tmpz00_7309 = 
((obj_t)BgL_opz00_4361); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7309); } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-playlist */
obj_t BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4362, obj_t BgL_dbz00_4363, obj_t BgL_backendz00_4364, obj_t BgL_linez00_4365, obj_t BgL_ipz00_4366, obj_t BgL_opz00_4367)
{
{ /* Llib/mpd.scm 406 */
{ /* Llib/mpd.scm 407 */
 obj_t BgL_g1102z00_5194;
BgL_g1102z00_5194 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4364)); 
{ 
 obj_t BgL_plistz00_5196; long BgL_numz00_5197;
BgL_plistz00_5196 = BgL_g1102z00_5194; 
BgL_numz00_5197 = ((long)0); 
BgL_loopz00_5195:
if(
PAIRP(BgL_plistz00_5196))
{ /* Llib/mpd.scm 409 */
bgl_display_obj(
BINT(BgL_numz00_5197), BgL_opz00_4367); 
{ /* Llib/mpd.scm 411 */
 obj_t BgL_tmpz00_7319;
BgL_tmpz00_7319 = 
((obj_t)BgL_opz00_4367); 
bgl_display_string(BGl_string2994z00zz__multimediazd2mpdzd2, BgL_tmpz00_7319); } 
bgl_display_obj(
CAR(BgL_plistz00_5196), BgL_opz00_4367); 
{ /* Llib/mpd.scm 413 */
 obj_t BgL_tmpz00_7324;
BgL_tmpz00_7324 = 
((obj_t)BgL_opz00_4367); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7324); } 
{ 
 long BgL_numz00_7329; obj_t BgL_plistz00_7327;
BgL_plistz00_7327 = 
CDR(BgL_plistz00_5196); 
BgL_numz00_7329 = 
(((long)1)+BgL_numz00_5197); 
BgL_numz00_5197 = BgL_numz00_7329; 
BgL_plistz00_5196 = BgL_plistz00_7327; 
goto BgL_loopz00_5195;} }  else 
{ /* Llib/mpd.scm 409 */((bool_t)0); } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* search1355~0 */
obj_t BGl_search1355ze70ze7zz__multimediazd2mpdzd2(obj_t BgL_l1354z00_5023, obj_t BgL_opt1352z00_5022, obj_t BgL_k1z00_817, obj_t BgL_iz00_818)
{
{ /* Llib/mpd.scm 420 */
BGl_search1355ze70ze7zz__multimediazd2mpdzd2:
if(
(
(long)CINT(BgL_iz00_818)==
(long)CINT(BgL_l1354z00_5023)))
{ /* Llib/mpd.scm 420 */
return 
BINT(((long)-1));}  else 
{ /* Llib/mpd.scm 420 */
if(
(
(long)CINT(BgL_iz00_818)==
(long)CINT(
SUBFX(BgL_l1354z00_5023, 
BINT(((long)1))))))
{ /* Llib/mpd.scm 420 */
 obj_t BgL_arg2020z00_849;
BgL_arg2020z00_849 = 
BINT(
VECTOR_LENGTH(BgL_opt1352z00_5022)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)65)), BGl_string3001z00zz__multimediazd2mpdzd2, BgL_arg2020z00_849);}  else 
{ /* Llib/mpd.scm 420 */
 obj_t BgL_vz00_850;
BgL_vz00_850 = 
VECTOR_REF(BgL_opt1352z00_5022,
(long)CINT(BgL_iz00_818)); 
if(
(BgL_vz00_850==BgL_k1z00_817))
{ /* Llib/mpd.scm 420 */
return 
ADDFX(BgL_iz00_818, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_7353;
BgL_iz00_7353 = 
ADDFX(BgL_iz00_818, 
BINT(((long)2))); 
BgL_iz00_818 = BgL_iz00_7353; 
goto BGl_search1355ze70ze7zz__multimediazd2mpdzd2;} } } } 

}



/* playlistinfo */
obj_t BGl_playlistinfoz00zz__multimediazd2mpdzd2(obj_t BgL_dbz00_71, obj_t BgL_backendz00_72, obj_t BgL_linez00_73, obj_t BgL_ipz00_74, obj_t BgL_opz00_75, int BgL_numz00_76)
{
{ /* Llib/mpd.scm 432 */
{ /* Llib/mpd.scm 434 */
 obj_t BgL_plistz00_867;
BgL_plistz00_867 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_72)); 
{ /* Llib/mpd.scm 435 */
 bool_t BgL_test3502z00_7358;
if(
(
(long)(BgL_numz00_76)>=((long)0)))
{ /* Llib/mpd.scm 435 */
BgL_test3502z00_7358 = 
(
(long)(BgL_numz00_76)<
bgl_list_length(BgL_plistz00_867))
; }  else 
{ /* Llib/mpd.scm 435 */
BgL_test3502z00_7358 = ((bool_t)0)
; } 
if(BgL_test3502z00_7358)
{ /* Llib/mpd.scm 436 */
 obj_t BgL_arg2033z00_871;
BgL_arg2033z00_871 = 
bgl_list_ref(BgL_plistz00_867, 
(long)(BgL_numz00_76)); 
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_2694;
BgL_g1196z00_2694 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_71, BgL_arg2033z00_871, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1194z00_2696;
BgL_l1194z00_2696 = BgL_g1196z00_2694; 
BgL_zc3z04anonymousza32024ze3z87_2695:
if(
PAIRP(BgL_l1194z00_2696))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_2698;
BgL_kz00_2698 = 
CAR(BgL_l1194z00_2696); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_2699;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_2700;
BgL_arg2027z00_2700 = 
CAR(
((obj_t)BgL_kz00_2698)); 
BgL_arg2026z00_2699 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_2700)); } 
bgl_display_obj(BgL_arg2026z00_2699, BgL_opz00_75); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_7376;
BgL_tmpz00_7376 = 
((obj_t)BgL_opz00_75); 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_tmpz00_7376); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_2701;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_2711;
BgL_pairz00_2711 = 
CDR(
((obj_t)BgL_kz00_2698)); 
BgL_arg2028z00_2701 = 
CAR(BgL_pairz00_2711); } 
bgl_display_obj(BgL_arg2028z00_2701, BgL_opz00_75); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_7383;
BgL_tmpz00_7383 = 
((obj_t)BgL_opz00_75); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7383); } } 
{ 
 obj_t BgL_l1194z00_7386;
BgL_l1194z00_7386 = 
CDR(BgL_l1194z00_2696); 
BgL_l1194z00_2696 = BgL_l1194z00_7386; 
goto BgL_zc3z04anonymousza32024ze3z87_2695;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } }  else 
{ 
 obj_t BgL_plistz00_876; long BgL_numz00_877;
BgL_plistz00_876 = BgL_plistz00_867; 
BgL_numz00_877 = ((long)0); 
BgL_zc3z04anonymousza32034ze3z87_878:
if(
PAIRP(BgL_plistz00_876))
{ /* Llib/mpd.scm 439 */
{ /* Llib/mpd.scm 440 */
 obj_t BgL_arg2036z00_880;
BgL_arg2036z00_880 = 
CAR(BgL_plistz00_876); 
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_2715;
BgL_g1196z00_2715 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_71, BgL_arg2036z00_880, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1194z00_2717;
BgL_l1194z00_2717 = BgL_g1196z00_2715; 
BgL_zc3z04anonymousza32024ze3z87_2716:
if(
PAIRP(BgL_l1194z00_2717))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_2719;
BgL_kz00_2719 = 
CAR(BgL_l1194z00_2717); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_2720;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_2721;
BgL_arg2027z00_2721 = 
CAR(
((obj_t)BgL_kz00_2719)); 
BgL_arg2026z00_2720 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_2721)); } 
bgl_display_obj(BgL_arg2026z00_2720, BgL_opz00_75); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_7400;
BgL_tmpz00_7400 = 
((obj_t)BgL_opz00_75); 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_tmpz00_7400); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_2722;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_2732;
BgL_pairz00_2732 = 
CDR(
((obj_t)BgL_kz00_2719)); 
BgL_arg2028z00_2722 = 
CAR(BgL_pairz00_2732); } 
bgl_display_obj(BgL_arg2028z00_2722, BgL_opz00_75); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_7407;
BgL_tmpz00_7407 = 
((obj_t)BgL_opz00_75); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7407); } } 
{ 
 obj_t BgL_l1194z00_7410;
BgL_l1194z00_7410 = 
CDR(BgL_l1194z00_2717); 
BgL_l1194z00_2717 = BgL_l1194z00_7410; 
goto BgL_zc3z04anonymousza32024ze3z87_2716;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } } 
{ 
 long BgL_numz00_7414; obj_t BgL_plistz00_7412;
BgL_plistz00_7412 = 
CDR(BgL_plistz00_876); 
BgL_numz00_7414 = 
(((long)1)+BgL_numz00_877); 
BgL_numz00_877 = BgL_numz00_7414; 
BgL_plistz00_876 = BgL_plistz00_7412; 
goto BgL_zc3z04anonymousza32034ze3z87_878;} }  else 
{ /* Llib/mpd.scm 439 */((bool_t)0); } } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-playlistinfo */
obj_t BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4368, obj_t BgL_dbz00_4369, obj_t BgL_backendz00_4370, obj_t BgL_linez00_4371, obj_t BgL_ipz00_4372, obj_t BgL_opz00_4373)
{
{ /* Llib/mpd.scm 447 */
{ /* Llib/mpd.scm 447 */
 obj_t BgL_numz00_5198;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5199;
BgL_strz00_5199 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4371, ((long)1)); 
if(
STRINGP(BgL_strz00_5199))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7420;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7421;
BgL_tmpz00_7421 = 
BSTRING_TO_STRING(BgL_strz00_5199); 
BgL_tmpz00_7420 = 
BGL_STRTOL(BgL_tmpz00_7421, ((long)0), ((long)10)); } 
BgL_numz00_5198 = 
BINT(BgL_tmpz00_7420); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5198 = BFALSE; } } 
{ /* Llib/mpd.scm 448 */
 obj_t BgL_arg2040z00_5200;
if(
CBOOL(BgL_numz00_5198))
{ /* Llib/mpd.scm 448 */
BgL_arg2040z00_5200 = BgL_numz00_5198; }  else 
{ /* Llib/mpd.scm 448 */
BgL_arg2040z00_5200 = 
BINT(((long)0)); } 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4369, BgL_backendz00_4370, BgL_linez00_4371, BgL_ipz00_4372, BgL_opz00_4373, 
CINT(BgL_arg2040z00_5200));} } } 

}



/* &mpd-playlistid */
obj_t BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4374, obj_t BgL_dbz00_4375, obj_t BgL_backendz00_4376, obj_t BgL_linez00_4377, obj_t BgL_ipz00_4378, obj_t BgL_opz00_4379)
{
{ /* Llib/mpd.scm 453 */
{ /* Llib/mpd.scm 453 */
 obj_t BgL_numz00_5201;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5202;
BgL_strz00_5202 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4377, ((long)1)); 
if(
STRINGP(BgL_strz00_5202))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7433;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7434;
BgL_tmpz00_7434 = 
BSTRING_TO_STRING(BgL_strz00_5202); 
BgL_tmpz00_7433 = 
BGL_STRTOL(BgL_tmpz00_7434, ((long)0), ((long)10)); } 
BgL_numz00_5201 = 
BINT(BgL_tmpz00_7433); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5201 = BFALSE; } } 
{ /* Llib/mpd.scm 454 */
 obj_t BgL_arg2041z00_5203;
if(
CBOOL(BgL_numz00_5201))
{ /* Llib/mpd.scm 454 */
BgL_arg2041z00_5203 = BgL_numz00_5201; }  else 
{ /* Llib/mpd.scm 454 */
BgL_arg2041z00_5203 = 
BINT(((long)0)); } 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4375, BgL_backendz00_4376, BgL_linez00_4377, BgL_ipz00_4378, BgL_opz00_4379, 
CINT(BgL_arg2041z00_5203));} } } 

}



/* &mpd-plchanges */
obj_t BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4380, obj_t BgL_dbz00_4381, obj_t BgL_backendz00_4382, obj_t BgL_linez00_4383, obj_t BgL_ipz00_4384, obj_t BgL_opz00_4385)
{
{ /* Llib/mpd.scm 459 */
{ /* Llib/mpd.scm 459 */
 obj_t BgL_numz00_5204;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5205;
BgL_strz00_5205 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4383, ((long)1)); 
if(
STRINGP(BgL_strz00_5205))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7446;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7447;
BgL_tmpz00_7447 = 
BSTRING_TO_STRING(BgL_strz00_5205); 
BgL_tmpz00_7446 = 
BGL_STRTOL(BgL_tmpz00_7447, ((long)0), ((long)10)); } 
BgL_numz00_5204 = 
BINT(BgL_tmpz00_7446); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5204 = BFALSE; } } 
{ /* Llib/mpd.scm 460 */
 BgL_musicstatusz00_bglt BgL_statusz00_5206;
BgL_statusz00_5206 = 
BGl_musiczd2statuszd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4382)); 
if(
(
(long)CINT(BgL_numz00_5204)<
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5206))->BgL_playlistidz00))))
{ /* Llib/mpd.scm 462 */
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4381, BgL_backendz00_4382, BgL_linez00_4383, BgL_ipz00_4384, BgL_opz00_4385, 
(int)(((long)0)));}  else 
{ /* Llib/mpd.scm 462 */
return 
CNST_TABLE_REF(((long)53));} } } } 

}



/* &mpd-add */
obj_t BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4386, obj_t BgL_dbz00_4387, obj_t BgL_backendz00_4388, obj_t BgL_linez00_4389, obj_t BgL_ipz00_4390, obj_t BgL_opz00_4391)
{
{ /* Llib/mpd.scm 477 */
{ /* Llib/mpd.scm 477 */
 obj_t BgL_uriz00_5207;
BgL_uriz00_5207 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4389, ((long)1)); 
if(
CBOOL(BgL_uriz00_5207))
{ /* Llib/mpd.scm 479 */
 obj_t BgL_pathz00_5208;
if(
bigloo_strcmp_at(BgL_uriz00_5207, BGl_string3002z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 470 */
BgL_pathz00_5208 = BgL_uriz00_5207; }  else 
{ /* Llib/mpd.scm 470 */
BgL_pathz00_5208 = 
BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(BgL_uriz00_5207, BgL_dbz00_4387, BgL_opz00_4391, BGl_string3003z00zz__multimediazd2mpdzd2); } 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_5208)))
{ /* Llib/mpd.scm 481 */
 obj_t BgL_g1204z00_5209;
BgL_g1204z00_5209 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_5208); 
{ 
 obj_t BgL_l1197z00_5211;
{ /* Llib/mpd.scm 485 */
 bool_t BgL_tmpz00_7471;
BgL_l1197z00_5211 = BgL_g1204z00_5209; 
BgL_zc3z04anonymousza32047ze3z87_5210:
if(
PAIRP(BgL_l1197z00_5211))
{ /* Llib/mpd.scm 485 */
{ /* Llib/mpd.scm 482 */
 obj_t BgL_fz00_5212;
BgL_fz00_5212 = 
CAR(BgL_l1197z00_5211); 
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_fz00_5212, BgL_dbz00_4387))
{ /* Llib/mpd.scm 484 */
 obj_t BgL_arg2050z00_5213;
BgL_arg2050z00_5213 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5208, BgL_fz00_5212); 
BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4388), BgL_arg2050z00_5213); }  else 
{ /* Llib/mpd.scm 482 */BFALSE; } } 
{ 
 obj_t BgL_l1197z00_7480;
BgL_l1197z00_7480 = 
CDR(BgL_l1197z00_5211); 
BgL_l1197z00_5211 = BgL_l1197z00_7480; 
goto BgL_zc3z04anonymousza32047ze3z87_5210;} }  else 
{ /* Llib/mpd.scm 485 */
BgL_tmpz00_7471 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_7471); } } }  else 
{ /* Llib/mpd.scm 480 */
BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4388), BgL_pathz00_5208); } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 488 */
 obj_t BgL_list2052z00_5214;
BgL_list2052z00_5214 = 
MAKE_YOUNG_PAIR(BgL_uriz00_5207, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3004z00zz__multimediazd2mpdzd2, BgL_list2052z00_5214);} } } 

}



/* &mpd-delete */
obj_t BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4392, obj_t BgL_dbz00_4393, obj_t BgL_backendz00_4394, obj_t BgL_linez00_4395, obj_t BgL_ipz00_4396, obj_t BgL_opz00_4397)
{
{ /* Llib/mpd.scm 493 */
{ /* Llib/mpd.scm 493 */
 obj_t BgL_numz00_5215;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5216;
BgL_strz00_5216 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4395, ((long)1)); 
if(
STRINGP(BgL_strz00_5216))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7491;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7492;
BgL_tmpz00_7492 = 
BSTRING_TO_STRING(BgL_strz00_5216); 
BgL_tmpz00_7491 = 
BGL_STRTOL(BgL_tmpz00_7492, ((long)0), ((long)10)); } 
BgL_numz00_5215 = 
BINT(BgL_tmpz00_7491); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5215 = BFALSE; } } 
BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4394), 
CINT(BgL_numz00_5215)); 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-deleteid */
obj_t BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4398, obj_t BgL_dbz00_4399, obj_t BgL_backendz00_4400, obj_t BgL_linez00_4401, obj_t BgL_ipz00_4402, obj_t BgL_opz00_4403)
{
{ /* Llib/mpd.scm 500 */
{ /* Llib/mpd.scm 500 */
 obj_t BgL_numz00_5217;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5218;
BgL_strz00_5218 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4401, ((long)1)); 
if(
STRINGP(BgL_strz00_5218))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7503;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7504;
BgL_tmpz00_7504 = 
BSTRING_TO_STRING(BgL_strz00_5218); 
BgL_tmpz00_7503 = 
BGL_STRTOL(BgL_tmpz00_7504, ((long)0), ((long)10)); } 
BgL_numz00_5217 = 
BINT(BgL_tmpz00_7503); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5217 = BFALSE; } } 
BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4400), 
CINT(BgL_numz00_5217)); 
{ /* Llib/mpd.scm 312 */
 obj_t BgL_tmpz00_7511;
BgL_tmpz00_7511 = 
((obj_t)BgL_opz00_4403); 
bgl_display_string(BGl_string2973z00zz__multimediazd2mpdzd2, BgL_tmpz00_7511); } 
{ /* Llib/mpd.scm 313 */
 obj_t BgL_tmpz00_7514;
BgL_tmpz00_7514 = 
((obj_t)BgL_opz00_4403); 
return 
bgl_flush_output_port(BgL_tmpz00_7514);} } } 

}



/* &mpd-clear */
obj_t BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4404, obj_t BgL_dbz00_4405, obj_t BgL_backendz00_4406, obj_t BgL_linez00_4407, obj_t BgL_ipz00_4408, obj_t BgL_opz00_4409)
{
{ /* Llib/mpd.scm 507 */
BGl_musiczd2playlistzd2clearz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4406)); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* currentsong-info */
obj_t BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(obj_t BgL_dbz00_116, obj_t BgL_backendz00_117, obj_t BgL_plistz00_118, int BgL_numz00_119, obj_t BgL_linez00_120, obj_t BgL_ipz00_121)
{
{ /* Llib/mpd.scm 514 */
{ /* Llib/mpd.scm 549 */
 obj_t BgL_filez00_919;
BgL_filez00_919 = 
bgl_list_ref(BgL_plistz00_118, 
(long)(BgL_numz00_119)); 
{ /* Llib/mpd.scm 549 */
 obj_t BgL_pathz00_920;
if(
bigloo_strcmp_at(BgL_filez00_919, BGl_string3002z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_920 = BgL_filez00_919; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_920 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_919, BgL_dbz00_116); } 
{ /* Llib/mpd.scm 550 */

{ /* Llib/mpd.scm 553 */
 obj_t BgL_zc3z04anonymousza32054ze3z87_4638;
BgL_zc3z04anonymousza32054ze3z87_4638 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32054ze3ze5zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_4638, 
(int)(((long)0)), BgL_backendz00_117); 
PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_4638, 
(int)(((long)1)), BgL_dbz00_116); 
PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_4638, 
(int)(((long)2)), BgL_linez00_120); 
PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_4638, 
(int)(((long)3)), BgL_ipz00_121); 
PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_4638, 
(int)(((long)4)), BgL_filez00_919); 
PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_4638, 
(int)(((long)5)), BgL_pathz00_920); 
return 
BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32054ze3z87_4638);} } } } } 

}



/* &<@anonymous:2054> */
obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4639, obj_t BgL_opz00_4646)
{
{ /* Llib/mpd.scm 552 */
{ /* Llib/mpd.scm 553 */
 obj_t BgL_backendz00_4640; obj_t BgL_dbz00_4641; obj_t BgL_linez00_4642; obj_t BgL_ipz00_4643; obj_t BgL_filez00_4644; obj_t BgL_pathz00_4645;
BgL_backendz00_4640 = 
PROCEDURE_REF(BgL_envz00_4639, 
(int)(((long)0))); 
BgL_dbz00_4641 = 
PROCEDURE_REF(BgL_envz00_4639, 
(int)(((long)1))); 
BgL_linez00_4642 = 
PROCEDURE_REF(BgL_envz00_4639, 
(int)(((long)2))); 
BgL_ipz00_4643 = 
PROCEDURE_REF(BgL_envz00_4639, 
(int)(((long)3))); 
BgL_filez00_4644 = 
PROCEDURE_REF(BgL_envz00_4639, 
(int)(((long)4))); 
BgL_pathz00_4645 = 
PROCEDURE_REF(BgL_envz00_4639, 
(int)(((long)5))); 
{ 
 obj_t BgL_opz00_5220; obj_t BgL_filez00_5221; obj_t BgL_pathz00_5222;
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_4644)))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_5233;
BgL_g1196z00_5233 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_4641, BgL_filez00_4644, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1194z00_5235;
{ /* Llib/mpd.scm 427 */
 bool_t BgL_tmpz00_7557;
BgL_l1194z00_5235 = BgL_g1196z00_5233; 
BgL_zc3z04anonymousza32024ze3z87_5234:
if(
PAIRP(BgL_l1194z00_5235))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_5236;
BgL_kz00_5236 = 
CAR(BgL_l1194z00_5235); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_5237;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_5238;
BgL_arg2027z00_5238 = 
CAR(
((obj_t)BgL_kz00_5236)); 
BgL_arg2026z00_5237 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_5238)); } 
bgl_display_obj(BgL_arg2026z00_5237, BgL_opz00_4646); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_7566;
BgL_tmpz00_7566 = 
((obj_t)BgL_opz00_4646); 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_tmpz00_7566); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_5239;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_5240;
BgL_pairz00_5240 = 
CDR(
((obj_t)BgL_kz00_5236)); 
BgL_arg2028z00_5239 = 
CAR(BgL_pairz00_5240); } 
bgl_display_obj(BgL_arg2028z00_5239, BgL_opz00_4646); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_7573;
BgL_tmpz00_7573 = 
((obj_t)BgL_opz00_4646); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7573); } } 
{ 
 obj_t BgL_l1194z00_7576;
BgL_l1194z00_7576 = 
CDR(BgL_l1194z00_5235); 
BgL_l1194z00_5235 = BgL_l1194z00_7576; 
goto BgL_zc3z04anonymousza32024ze3z87_5234;} }  else 
{ /* Llib/mpd.scm 427 */
BgL_tmpz00_7557 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_7557);} } }  else 
{ /* Llib/mpd.scm 553 */
BgL_opz00_5220 = BgL_opz00_4646; 
BgL_filez00_5221 = BgL_filez00_4644; 
BgL_pathz00_5222 = BgL_pathz00_4645; 
{ /* Llib/mpd.scm 518 */
 obj_t BgL_metaz00_5223;
BgL_metaz00_5223 = 
BGl_musiczd2metazd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4640)); 
if(
NULLP(BgL_metaz00_5223))
{ /* Llib/mpd.scm 520 */
 int BgL_arg2058z00_5224;
BgL_arg2058z00_5224 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4640)); 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4641, BgL_backendz00_4640, BgL_linez00_4642, BgL_ipz00_4643, BgL_opz00_5220, BgL_arg2058z00_5224);}  else 
{ /* Llib/mpd.scm 521 */
 int BgL_numz00_5225; obj_t BgL_dirz00_5226;
BgL_numz00_5225 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4640)); 
BgL_dirz00_5226 = 
BGl_dirnamez00zz__osz00(BgL_filez00_5221); 
{ /* Llib/mpd.scm 523 */
 obj_t BgL_tmpz00_7589;
BgL_tmpz00_7589 = 
((obj_t)BgL_opz00_5220); 
bgl_display_string(BGl_string3005z00zz__multimediazd2mpdzd2, BgL_tmpz00_7589); } 
bgl_display_obj(BgL_pathz00_5222, BgL_opz00_5220); 
{ /* Llib/mpd.scm 525 */
 obj_t BgL_tmpz00_7593;
BgL_tmpz00_7593 = 
((obj_t)BgL_opz00_5220); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7593); } 
{ /* Llib/mpd.scm 527 */
 obj_t BgL_tmpz00_7596;
BgL_tmpz00_7596 = 
((obj_t)BgL_opz00_5220); 
bgl_display_string(BGl_string3006z00zz__multimediazd2mpdzd2, BgL_tmpz00_7596); } 
bgl_display_obj(
BINT(BgL_numz00_5225), BgL_opz00_5220); 
{ /* Llib/mpd.scm 529 */
 obj_t BgL_tmpz00_7601;
BgL_tmpz00_7601 = 
((obj_t)BgL_opz00_5220); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7601); } 
{ /* Llib/mpd.scm 530 */
 obj_t BgL_tmpz00_7604;
BgL_tmpz00_7604 = 
((obj_t)BgL_opz00_5220); 
bgl_display_string(BGl_string3007z00zz__multimediazd2mpdzd2, BgL_tmpz00_7604); } 
bgl_display_obj(
BINT(BgL_numz00_5225), BgL_opz00_5220); 
{ /* Llib/mpd.scm 532 */
 obj_t BgL_tmpz00_7609;
BgL_tmpz00_7609 = 
((obj_t)BgL_opz00_5220); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7609); } 
{ /* Llib/mpd.scm 533 */
 obj_t BgL_caz00_5227;
BgL_caz00_5227 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)69)), BgL_metaz00_5223); 
{ /* Llib/mpd.scm 533 */
 obj_t BgL_ctz00_5228;
BgL_ctz00_5228 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)70)), BgL_metaz00_5223); 
{ /* Llib/mpd.scm 534 */
 obj_t BgL_cbz00_5229;
BgL_cbz00_5229 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)71)), BgL_metaz00_5223); 
{ /* Llib/mpd.scm 535 */
 obj_t BgL_az00_5230;
if(
PAIRP(BgL_caz00_5227))
{ /* Llib/mpd.scm 536 */
BgL_az00_5230 = 
CDR(BgL_caz00_5227); }  else 
{ /* Llib/mpd.scm 536 */
BgL_az00_5230 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5226))); } 
{ /* Llib/mpd.scm 536 */
 obj_t BgL_tz00_5231;
if(
PAIRP(BgL_ctz00_5228))
{ /* Llib/mpd.scm 539 */
BgL_tz00_5231 = 
CDR(BgL_ctz00_5228); }  else 
{ /* Llib/mpd.scm 539 */
BgL_tz00_5231 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_filez00_5221)); } 
{ /* Llib/mpd.scm 539 */
 obj_t BgL_bz00_5232;
if(
PAIRP(BgL_cbz00_5229))
{ /* Llib/mpd.scm 542 */
BgL_bz00_5232 = 
CDR(BgL_cbz00_5229); }  else 
{ /* Llib/mpd.scm 542 */
BgL_bz00_5232 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_5226)); } 
{ /* Llib/mpd.scm 542 */

{ /* Llib/mpd.scm 545 */
 obj_t BgL_tmpz00_7634;
BgL_tmpz00_7634 = 
((obj_t)BgL_opz00_5220); 
bgl_display_string(BGl_string3008z00zz__multimediazd2mpdzd2, BgL_tmpz00_7634); } 
bgl_display_obj(BgL_az00_5230, BgL_opz00_5220); 
{ /* Llib/mpd.scm 545 */
 obj_t BgL_tmpz00_7638;
BgL_tmpz00_7638 = 
((obj_t)BgL_opz00_5220); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7638); } 
{ /* Llib/mpd.scm 546 */
 obj_t BgL_tmpz00_7641;
BgL_tmpz00_7641 = 
((obj_t)BgL_opz00_5220); 
bgl_display_string(BGl_string3009z00zz__multimediazd2mpdzd2, BgL_tmpz00_7641); } 
bgl_display_obj(BgL_tz00_5231, BgL_opz00_5220); 
{ /* Llib/mpd.scm 546 */
 obj_t BgL_tmpz00_7645;
BgL_tmpz00_7645 = 
((obj_t)BgL_opz00_5220); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7645); } 
{ /* Llib/mpd.scm 547 */
 obj_t BgL_tmpz00_7648;
BgL_tmpz00_7648 = 
((obj_t)BgL_opz00_5220); 
bgl_display_string(BGl_string3010z00zz__multimediazd2mpdzd2, BgL_tmpz00_7648); } 
bgl_display_obj(BgL_bz00_5232, BgL_opz00_5220); 
{ /* Llib/mpd.scm 547 */
 obj_t BgL_tmpz00_7652;
BgL_tmpz00_7652 = 
((obj_t)BgL_opz00_5220); 
return 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7652);} } } } } } } } } } } } } } 

}



/* &mpd-currentsong */
obj_t BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4410, obj_t BgL_dbz00_4411, obj_t BgL_backendz00_4412, obj_t BgL_linez00_4413, obj_t BgL_ipz00_4414, obj_t BgL_opz00_4415)
{
{ /* Llib/mpd.scm 579 */
{ /* Llib/mpd.scm 580 */
 obj_t BgL_plistz00_5241; int BgL_numz00_5242;
BgL_plistz00_5241 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4412)); 
BgL_numz00_5242 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4412)); 
{ /* Llib/mpd.scm 582 */
 bool_t BgL_test3527z00_7659;
if(
(
(long)(BgL_numz00_5242)>=((long)0)))
{ /* Llib/mpd.scm 582 */
BgL_test3527z00_7659 = 
(
(long)(BgL_numz00_5242)<
bgl_list_length(BgL_plistz00_5241))
; }  else 
{ /* Llib/mpd.scm 582 */
BgL_test3527z00_7659 = ((bool_t)0)
; } 
if(BgL_test3527z00_7659)
{ /* Llib/mpd.scm 568 */
 bool_t BgL_test3529z00_7666;
if(
(BgL_plistz00_5241==BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 568 */
BgL_test3529z00_7666 = 
(BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2==
(long)(BgL_numz00_5242))
; }  else 
{ /* Llib/mpd.scm 568 */
BgL_test3529z00_7666 = ((bool_t)0)
; } 
if(BgL_test3529z00_7666)
{ /* Llib/mpd.scm 568 */
bgl_display_obj(BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2, BgL_opz00_4415); }  else 
{ /* Llib/mpd.scm 570 */
 obj_t BgL_infoz00_5243;
BgL_infoz00_5243 = 
BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(BgL_dbz00_4411, BgL_backendz00_4412, BgL_plistz00_5241, BgL_numz00_5242, BgL_linez00_4413, BgL_ipz00_4414); 
BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BgL_plistz00_5241; 
BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2 = 
(long)(BgL_numz00_5242); 
BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BgL_infoz00_5243; 
bgl_display_obj(BgL_infoz00_5243, BgL_opz00_4415); } }  else 
{ /* Llib/mpd.scm 582 */BFALSE; } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-play */
obj_t BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4416, obj_t BgL_dbz00_4417, obj_t BgL_backendz00_4418, obj_t BgL_linez00_4419, obj_t BgL_ipz00_4420, obj_t BgL_opz00_4421)
{
{ /* Llib/mpd.scm 589 */
{ /* Llib/mpd.scm 589 */
 obj_t BgL_numz00_5244;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5245;
BgL_strz00_5245 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4419, ((long)1)); 
if(
STRINGP(BgL_strz00_5245))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7679;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7680;
BgL_tmpz00_7680 = 
BSTRING_TO_STRING(BgL_strz00_5245); 
BgL_tmpz00_7679 = 
BGL_STRTOL(BgL_tmpz00_7680, ((long)0), ((long)10)); } 
BgL_numz00_5244 = 
BINT(BgL_tmpz00_7679); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5244 = BFALSE; } } 
{ /* Llib/mpd.scm 590 */
 bool_t BgL_test3532z00_7684;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_numz00_5244))
{ /* Llib/mpd.scm 590 */
BgL_test3532z00_7684 = 
(
(long)CINT(BgL_numz00_5244)>=((long)0))
; }  else 
{ /* Llib/mpd.scm 590 */
BgL_test3532z00_7684 = ((bool_t)0)
; } 
if(BgL_test3532z00_7684)
{ /* Llib/mpd.scm 591 */
 obj_t BgL_list2074z00_5246;
BgL_list2074z00_5246 = 
MAKE_YOUNG_PAIR(BgL_numz00_5244, BNIL); 
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4418), BgL_list2074z00_5246); }  else 
{ /* Llib/mpd.scm 590 */
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4418), BNIL); } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-playid */
obj_t BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4422, obj_t BgL_dbz00_4423, obj_t BgL_backendz00_4424, obj_t BgL_linez00_4425, obj_t BgL_ipz00_4426, obj_t BgL_opz00_4427)
{
{ /* Llib/mpd.scm 598 */
{ /* Llib/mpd.scm 598 */
 obj_t BgL_numz00_5247;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5248;
BgL_strz00_5248 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4425, ((long)1)); 
if(
STRINGP(BgL_strz00_5248))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7698;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7699;
BgL_tmpz00_7699 = 
BSTRING_TO_STRING(BgL_strz00_5248); 
BgL_tmpz00_7698 = 
BGL_STRTOL(BgL_tmpz00_7699, ((long)0), ((long)10)); } 
BgL_numz00_5247 = 
BINT(BgL_tmpz00_7698); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5247 = BFALSE; } } 
{ /* Llib/mpd.scm 599 */
 bool_t BgL_test3535z00_7703;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_numz00_5247))
{ /* Llib/mpd.scm 599 */
BgL_test3535z00_7703 = 
(
(long)CINT(BgL_numz00_5247)>=((long)0))
; }  else 
{ /* Llib/mpd.scm 599 */
BgL_test3535z00_7703 = ((bool_t)0)
; } 
if(BgL_test3535z00_7703)
{ /* Llib/mpd.scm 600 */
 obj_t BgL_list2078z00_5249;
BgL_list2078z00_5249 = 
MAKE_YOUNG_PAIR(BgL_numz00_5247, BNIL); 
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4424), BgL_list2078z00_5249); }  else 
{ /* Llib/mpd.scm 599 */
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4424), BNIL); } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-seek */
obj_t BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4428, obj_t BgL_dbz00_4429, obj_t BgL_backendz00_4430, obj_t BgL_linez00_4431, obj_t BgL_ipz00_4432, obj_t BgL_opz00_4433)
{
{ /* Llib/mpd.scm 607 */
{ /* Llib/mpd.scm 607 */
 obj_t BgL_num1z00_5250; obj_t BgL_num2z00_5251;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5252;
BgL_strz00_5252 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4431, ((long)1)); 
if(
STRINGP(BgL_strz00_5252))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7717;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7718;
BgL_tmpz00_7718 = 
BSTRING_TO_STRING(BgL_strz00_5252); 
BgL_tmpz00_7717 = 
BGL_STRTOL(BgL_tmpz00_7718, ((long)0), ((long)10)); } 
BgL_num1z00_5250 = 
BINT(BgL_tmpz00_7717); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num1z00_5250 = BFALSE; } } 
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5253;
BgL_strz00_5253 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4431, ((long)2)); 
if(
STRINGP(BgL_strz00_5253))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7725;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7726;
BgL_tmpz00_7726 = 
BSTRING_TO_STRING(BgL_strz00_5253); 
BgL_tmpz00_7725 = 
BGL_STRTOL(BgL_tmpz00_7726, ((long)0), ((long)10)); } 
BgL_num2z00_5251 = 
BINT(BgL_tmpz00_7725); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num2z00_5251 = BFALSE; } } 
{ /* Llib/mpd.scm 608 */
 obj_t BgL_list2080z00_5254;
BgL_list2080z00_5254 = 
MAKE_YOUNG_PAIR(BgL_num1z00_5250, BNIL); 
BGl_musiczd2seekzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4430), BgL_num2z00_5251, BgL_list2080z00_5254); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-seekid */
obj_t BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4434, obj_t BgL_dbz00_4435, obj_t BgL_backendz00_4436, obj_t BgL_linez00_4437, obj_t BgL_ipz00_4438, obj_t BgL_opz00_4439)
{
{ /* Llib/mpd.scm 614 */
{ /* Llib/mpd.scm 614 */
 obj_t BgL_num1z00_5255; obj_t BgL_num2z00_5256;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5257;
BgL_strz00_5257 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4437, ((long)1)); 
if(
STRINGP(BgL_strz00_5257))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7737;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7738;
BgL_tmpz00_7738 = 
BSTRING_TO_STRING(BgL_strz00_5257); 
BgL_tmpz00_7737 = 
BGL_STRTOL(BgL_tmpz00_7738, ((long)0), ((long)10)); } 
BgL_num1z00_5255 = 
BINT(BgL_tmpz00_7737); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num1z00_5255 = BFALSE; } } 
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5258;
BgL_strz00_5258 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4437, ((long)2)); 
if(
STRINGP(BgL_strz00_5258))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7745;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7746;
BgL_tmpz00_7746 = 
BSTRING_TO_STRING(BgL_strz00_5258); 
BgL_tmpz00_7745 = 
BGL_STRTOL(BgL_tmpz00_7746, ((long)0), ((long)10)); } 
BgL_num2z00_5256 = 
BINT(BgL_tmpz00_7745); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num2z00_5256 = BFALSE; } } 
{ /* Llib/mpd.scm 615 */
 obj_t BgL_list2081z00_5259;
BgL_list2081z00_5259 = 
MAKE_YOUNG_PAIR(BgL_num1z00_5255, BNIL); 
BGl_musiczd2seekzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4436), BgL_num2z00_5256, BgL_list2081z00_5259); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-stop */
obj_t BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4440, obj_t BgL_dbz00_4441, obj_t BgL_backendz00_4442, obj_t BgL_linez00_4443, obj_t BgL_ipz00_4444, obj_t BgL_opz00_4445)
{
{ /* Llib/mpd.scm 621 */
BGl_musiczd2stopzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4442)); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-pause */
obj_t BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4446, obj_t BgL_dbz00_4447, obj_t BgL_backendz00_4448, obj_t BgL_linez00_4449, obj_t BgL_ipz00_4450, obj_t BgL_opz00_4451)
{
{ /* Llib/mpd.scm 628 */
BGl_musiczd2pausezd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4448)); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* <@exit:2084>~0 */
obj_t BGl_zc3z04exitza32084ze3ze70z60zz__multimediazd2mpdzd2(obj_t BgL_backendz00_5021, obj_t BgL_cell1112z00_5020, obj_t BgL_env1117z00_5019)
{
{ /* Llib/mpd.scm 636 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1121z00_991;
if( SET_EXIT(BgL_an_exit1121z00_991 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1121z00_991 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1117z00_5019, BgL_an_exit1121z00_991, ((long)1)); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_escape1113z00_992;
BgL_escape1113z00_992 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1117z00_5019); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_res1124z00_993;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_ohs1109z00_994;
BgL_ohs1109z00_994 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1117z00_5019); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_hds1110z00_995;
BgL_hds1110z00_995 = 
MAKE_STACK_PAIR(BgL_escape1113z00_992, BgL_cell1112z00_5020); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1117z00_5019, BgL_hds1110z00_995); BUNSPEC; 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_exitd1118z00_996;
BgL_exitd1118z00_996 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1117z00_5019); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_tmp1120z00_997;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg2085z00_999;
BgL_arg2085z00_999 = 
BGL_EXITD_PROTECT(BgL_exitd1118z00_996); 
BgL_tmp1120z00_997 = 
MAKE_YOUNG_PAIR(BgL_ohs1109z00_994, BgL_arg2085z00_999); } 
{ /* Llib/mpd.scm 636 */

BGL_EXITD_PROTECT_SET(BgL_exitd1118z00_996, BgL_tmp1120z00_997); BUNSPEC; 
{ /* Llib/mpd.scm 642 */
 obj_t BgL_tmp1119z00_998;
BGl_musiczd2nextzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_5021)); 
BgL_tmp1119z00_998 = 
CNST_TABLE_REF(((long)53)); 
{ /* Llib/mpd.scm 636 */
 bool_t BgL_test3541z00_7774;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg1817z00_2903;
BgL_arg1817z00_2903 = 
BGL_EXITD_PROTECT(BgL_exitd1118z00_996); 
BgL_test3541z00_7774 = 
PAIRP(BgL_arg1817z00_2903); } 
if(BgL_test3541z00_7774)
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg1815z00_2904;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg1816z00_2905;
BgL_arg1816z00_2905 = 
BGL_EXITD_PROTECT(BgL_exitd1118z00_996); 
BgL_arg1815z00_2904 = 
CDR(
((obj_t)BgL_arg1816z00_2905)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1118z00_996, BgL_arg1815z00_2904); BUNSPEC; }  else 
{ /* Llib/mpd.scm 636 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1117z00_5019, BgL_ohs1109z00_994); BUNSPEC; 
BgL_res1124z00_993 = BgL_tmp1119z00_998; } } } } } } 
POP_ENV_EXIT(BgL_env1117z00_5019); 
return BgL_res1124z00_993;} } 
}} 

}



/* &mpd-next */
obj_t BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4452, obj_t BgL_dbz00_4453, obj_t BgL_backendz00_4454, obj_t BgL_linez00_4455, obj_t BgL_ipz00_4456, obj_t BgL_opz00_4457)
{
{ /* Llib/mpd.scm 635 */
{ /* Llib/mpd.scm 636 */
 obj_t BgL_env1117z00_5260;
BgL_env1117z00_5260 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_5262;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_cell1112z00_5277;
BgL_cell1112z00_5277 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_val1116z00_5278;
BgL_val1116z00_5278 = 
BGl_zc3z04exitza32084ze3ze70z60zz__multimediazd2mpdzd2(BgL_backendz00_4454, BgL_cell1112z00_5277, BgL_env1117z00_5260); 
if(
(BgL_val1116z00_5278==BgL_cell1112z00_5277))
{ /* Llib/mpd.scm 636 */
{ /* Llib/mpd.scm 636 */
 int BgL_tmpz00_7788;
BgL_tmpz00_7788 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_7788); } 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg2083z00_5279;
BgL_arg2083z00_5279 = 
CELL_REF(
((obj_t)BgL_val1116z00_5278)); 
BgL_ez00_5262 = BgL_arg2083z00_5279; 
{ /* Llib/mpd.scm 638 */
 bool_t BgL_test3543z00_7793;
{ /* Llib/mpd.scm 638 */
 obj_t BgL_classz00_5263;
BgL_classz00_5263 = BGl_z62iozd2errorzb0zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_5262))
{ /* Llib/mpd.scm 638 */
 BgL_objectz00_bglt BgL_arg1797z00_5264;
BgL_arg1797z00_5264 = 
(BgL_objectz00_bglt)(BgL_ez00_5262); 
{ /* Llib/mpd.scm 638 */
 bool_t BgL_arg1794z00_5265; bool_t BgL_arg1795z00_5266;
{ /* Llib/mpd.scm 638 */
 long BgL_idxz00_5267;
BgL_idxz00_5267 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_5264); 
BgL_arg1794z00_5265 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_5267+((long)4)))==BgL_classz00_5263); } 
{ /* Llib/mpd.scm 638 */
 bool_t BgL_res2757z00_5270;
{ /* Llib/mpd.scm 638 */
 obj_t BgL_oclassz00_5271;
{ /* Llib/mpd.scm 638 */
 long BgL_arg1804z00_5272;
{ /* Llib/mpd.scm 638 */
 long BgL_arg1805z00_5273;
BgL_arg1805z00_5273 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_5264); 
BgL_arg1804z00_5272 = 
(BgL_arg1805z00_5273-OBJECT_TYPE); } 
BgL_oclassz00_5271 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5272); } 
{ /* Llib/mpd.scm 638 */
 bool_t BgL__ortest_1111z00_5274;
BgL__ortest_1111z00_5274 = 
(BgL_classz00_5263==BgL_oclassz00_5271); 
if(BgL__ortest_1111z00_5274)
{ /* Llib/mpd.scm 638 */
BgL_res2757z00_5270 = BgL__ortest_1111z00_5274; }  else 
{ /* Llib/mpd.scm 638 */
 long BgL_odepthz00_5275;
BgL_odepthz00_5275 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5271); 
if(
(((long)4)<BgL_odepthz00_5275))
{ /* Llib/mpd.scm 638 */
 obj_t BgL_arg1793z00_5276;
BgL_arg1793z00_5276 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5271, ((long)4)); 
BgL_res2757z00_5270 = 
(BgL_arg1793z00_5276==BgL_classz00_5263); }  else 
{ /* Llib/mpd.scm 638 */
BgL_res2757z00_5270 = ((bool_t)0); } } } } 
BgL_arg1795z00_5266 = BgL_res2757z00_5270; } 
BgL_test3543z00_7793 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5265, BgL_arg1795z00_5266); } }  else 
{ /* Llib/mpd.scm 638 */
BgL_test3543z00_7793 = ((bool_t)0)
; } } 
if(BgL_test3543z00_7793)
{ /* Llib/mpd.scm 638 */
{ /* Llib/mpd.scm 325 */
 obj_t BgL_tmpz00_7812;
BgL_tmpz00_7812 = 
((obj_t)BgL_opz00_4457); 
bgl_display_string(BGl_string2974z00zz__multimediazd2mpdzd2, BgL_tmpz00_7812); } 
bgl_display_obj(BGl_string3011z00zz__multimediazd2mpdzd2, BgL_opz00_4457); 
{ /* Llib/mpd.scm 327 */
 obj_t BgL_tmpz00_7816;
BgL_tmpz00_7816 = 
((obj_t)BgL_opz00_4457); 
bgl_display_string(BGl_string2976z00zz__multimediazd2mpdzd2, BgL_tmpz00_7816); } 
bgl_display_obj(BGl_string3012z00zz__multimediazd2mpdzd2, BgL_opz00_4457); 
{ /* Llib/mpd.scm 329 */
 obj_t BgL_tmpz00_7820;
BgL_tmpz00_7820 = 
((obj_t)BgL_opz00_4457); 
bgl_display_string(BGl_string2977z00zz__multimediazd2mpdzd2, BgL_tmpz00_7820); } 
bgl_display_obj(BGl_string3013z00zz__multimediazd2mpdzd2, BgL_opz00_4457); 
{ /* Llib/mpd.scm 331 */
 obj_t BgL_tmpz00_7824;
BgL_tmpz00_7824 = 
((obj_t)BgL_opz00_4457); 
bgl_display_string(BGl_string2978z00zz__multimediazd2mpdzd2, BgL_tmpz00_7824); } 
{ /* Llib/mpd.scm 332 */
 obj_t BgL_tmpz00_7827;
BgL_tmpz00_7827 = 
((obj_t)BgL_opz00_4457); 
bgl_flush_output_port(BgL_tmpz00_7827); } 
return 
CNST_TABLE_REF(((long)54));}  else 
{ /* Llib/mpd.scm 638 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_5262);} } } }  else 
{ /* Llib/mpd.scm 636 */
return BgL_val1116z00_5278;} } } } } } 

}



/* <@exit:2090>~0 */
obj_t BGl_zc3z04exitza32090ze3ze70z60zz__multimediazd2mpdzd2(obj_t BgL_backendz00_5018, obj_t BgL_cell1129z00_5017, obj_t BgL_env1134z00_5016)
{
{ /* Llib/mpd.scm 649 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1138z00_1013;
if( SET_EXIT(BgL_an_exit1138z00_1013 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1138z00_1013 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1134z00_5016, BgL_an_exit1138z00_1013, ((long)1)); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_escape1130z00_1014;
BgL_escape1130z00_1014 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1134z00_5016); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_res1141z00_1015;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_ohs1126z00_1016;
BgL_ohs1126z00_1016 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1134z00_5016); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_hds1127z00_1017;
BgL_hds1127z00_1017 = 
MAKE_STACK_PAIR(BgL_escape1130z00_1014, BgL_cell1129z00_5017); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1134z00_5016, BgL_hds1127z00_1017); BUNSPEC; 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_exitd1135z00_1018;
BgL_exitd1135z00_1018 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1134z00_5016); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_tmp1137z00_1019;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg2091z00_1021;
BgL_arg2091z00_1021 = 
BGL_EXITD_PROTECT(BgL_exitd1135z00_1018); 
BgL_tmp1137z00_1019 = 
MAKE_YOUNG_PAIR(BgL_ohs1126z00_1016, BgL_arg2091z00_1021); } 
{ /* Llib/mpd.scm 649 */

BGL_EXITD_PROTECT_SET(BgL_exitd1135z00_1018, BgL_tmp1137z00_1019); BUNSPEC; 
{ /* Llib/mpd.scm 655 */
 obj_t BgL_tmp1136z00_1020;
BGl_musiczd2prevzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_5018)); 
BgL_tmp1136z00_1020 = 
CNST_TABLE_REF(((long)53)); 
{ /* Llib/mpd.scm 649 */
 bool_t BgL_test3547z00_7846;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg1817z00_2950;
BgL_arg1817z00_2950 = 
BGL_EXITD_PROTECT(BgL_exitd1135z00_1018); 
BgL_test3547z00_7846 = 
PAIRP(BgL_arg1817z00_2950); } 
if(BgL_test3547z00_7846)
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg1815z00_2951;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg1816z00_2952;
BgL_arg1816z00_2952 = 
BGL_EXITD_PROTECT(BgL_exitd1135z00_1018); 
BgL_arg1815z00_2951 = 
CDR(
((obj_t)BgL_arg1816z00_2952)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1135z00_1018, BgL_arg1815z00_2951); BUNSPEC; }  else 
{ /* Llib/mpd.scm 649 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1134z00_5016, BgL_ohs1126z00_1016); BUNSPEC; 
BgL_res1141z00_1015 = BgL_tmp1136z00_1020; } } } } } } 
POP_ENV_EXIT(BgL_env1134z00_5016); 
return BgL_res1141z00_1015;} } 
}} 

}



/* &mpd-previous */
obj_t BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4458, obj_t BgL_dbz00_4459, obj_t BgL_backendz00_4460, obj_t BgL_linez00_4461, obj_t BgL_ipz00_4462, obj_t BgL_opz00_4463)
{
{ /* Llib/mpd.scm 648 */
{ /* Llib/mpd.scm 649 */
 obj_t BgL_env1134z00_5280;
BgL_env1134z00_5280 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_5282;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_cell1129z00_5297;
BgL_cell1129z00_5297 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_val1133z00_5298;
BgL_val1133z00_5298 = 
BGl_zc3z04exitza32090ze3ze70z60zz__multimediazd2mpdzd2(BgL_backendz00_4460, BgL_cell1129z00_5297, BgL_env1134z00_5280); 
if(
(BgL_val1133z00_5298==BgL_cell1129z00_5297))
{ /* Llib/mpd.scm 649 */
{ /* Llib/mpd.scm 649 */
 int BgL_tmpz00_7860;
BgL_tmpz00_7860 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_7860); } 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg2089z00_5299;
BgL_arg2089z00_5299 = 
CELL_REF(
((obj_t)BgL_val1133z00_5298)); 
BgL_ez00_5282 = BgL_arg2089z00_5299; 
{ /* Llib/mpd.scm 651 */
 bool_t BgL_test3549z00_7865;
{ /* Llib/mpd.scm 651 */
 obj_t BgL_classz00_5283;
BgL_classz00_5283 = BGl_z62iozd2errorzb0zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_5282))
{ /* Llib/mpd.scm 651 */
 BgL_objectz00_bglt BgL_arg1797z00_5284;
BgL_arg1797z00_5284 = 
(BgL_objectz00_bglt)(BgL_ez00_5282); 
{ /* Llib/mpd.scm 651 */
 bool_t BgL_arg1794z00_5285; bool_t BgL_arg1795z00_5286;
{ /* Llib/mpd.scm 651 */
 long BgL_idxz00_5287;
BgL_idxz00_5287 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_5284); 
BgL_arg1794z00_5285 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_5287+((long)4)))==BgL_classz00_5283); } 
{ /* Llib/mpd.scm 651 */
 bool_t BgL_res2758z00_5290;
{ /* Llib/mpd.scm 651 */
 obj_t BgL_oclassz00_5291;
{ /* Llib/mpd.scm 651 */
 long BgL_arg1804z00_5292;
{ /* Llib/mpd.scm 651 */
 long BgL_arg1805z00_5293;
BgL_arg1805z00_5293 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_5284); 
BgL_arg1804z00_5292 = 
(BgL_arg1805z00_5293-OBJECT_TYPE); } 
BgL_oclassz00_5291 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5292); } 
{ /* Llib/mpd.scm 651 */
 bool_t BgL__ortest_1111z00_5294;
BgL__ortest_1111z00_5294 = 
(BgL_classz00_5283==BgL_oclassz00_5291); 
if(BgL__ortest_1111z00_5294)
{ /* Llib/mpd.scm 651 */
BgL_res2758z00_5290 = BgL__ortest_1111z00_5294; }  else 
{ /* Llib/mpd.scm 651 */
 long BgL_odepthz00_5295;
BgL_odepthz00_5295 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5291); 
if(
(((long)4)<BgL_odepthz00_5295))
{ /* Llib/mpd.scm 651 */
 obj_t BgL_arg1793z00_5296;
BgL_arg1793z00_5296 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5291, ((long)4)); 
BgL_res2758z00_5290 = 
(BgL_arg1793z00_5296==BgL_classz00_5283); }  else 
{ /* Llib/mpd.scm 651 */
BgL_res2758z00_5290 = ((bool_t)0); } } } } 
BgL_arg1795z00_5286 = BgL_res2758z00_5290; } 
BgL_test3549z00_7865 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5285, BgL_arg1795z00_5286); } }  else 
{ /* Llib/mpd.scm 651 */
BgL_test3549z00_7865 = ((bool_t)0)
; } } 
if(BgL_test3549z00_7865)
{ /* Llib/mpd.scm 651 */
{ /* Llib/mpd.scm 325 */
 obj_t BgL_tmpz00_7884;
BgL_tmpz00_7884 = 
((obj_t)BgL_opz00_4463); 
bgl_display_string(BGl_string2974z00zz__multimediazd2mpdzd2, BgL_tmpz00_7884); } 
bgl_display_obj(BGl_string3011z00zz__multimediazd2mpdzd2, BgL_opz00_4463); 
{ /* Llib/mpd.scm 327 */
 obj_t BgL_tmpz00_7888;
BgL_tmpz00_7888 = 
((obj_t)BgL_opz00_4463); 
bgl_display_string(BGl_string2976z00zz__multimediazd2mpdzd2, BgL_tmpz00_7888); } 
bgl_display_obj(BGl_string3014z00zz__multimediazd2mpdzd2, BgL_opz00_4463); 
{ /* Llib/mpd.scm 329 */
 obj_t BgL_tmpz00_7892;
BgL_tmpz00_7892 = 
((obj_t)BgL_opz00_4463); 
bgl_display_string(BGl_string2977z00zz__multimediazd2mpdzd2, BgL_tmpz00_7892); } 
bgl_display_obj(BGl_string3015z00zz__multimediazd2mpdzd2, BgL_opz00_4463); 
{ /* Llib/mpd.scm 331 */
 obj_t BgL_tmpz00_7896;
BgL_tmpz00_7896 = 
((obj_t)BgL_opz00_4463); 
bgl_display_string(BGl_string2978z00zz__multimediazd2mpdzd2, BgL_tmpz00_7896); } 
{ /* Llib/mpd.scm 332 */
 obj_t BgL_tmpz00_7899;
BgL_tmpz00_7899 = 
((obj_t)BgL_opz00_4463); 
bgl_flush_output_port(BgL_tmpz00_7899); } 
return 
CNST_TABLE_REF(((long)54));}  else 
{ /* Llib/mpd.scm 651 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_5282);} } } }  else 
{ /* Llib/mpd.scm 649 */
return BgL_val1133z00_5298;} } } } } } 

}



/* &mpd-volume */
obj_t BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4464, obj_t BgL_dbz00_4465, obj_t BgL_backendz00_4466, obj_t BgL_linez00_4467, obj_t BgL_ipz00_4468, obj_t BgL_opz00_4469)
{
{ /* Llib/mpd.scm 661 */
{ /* Llib/mpd.scm 661 */
 obj_t BgL_intz00_5300;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5301;
BgL_strz00_5301 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4467, ((long)1)); 
if(
STRINGP(BgL_strz00_5301))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7907;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7908;
BgL_tmpz00_7908 = 
BSTRING_TO_STRING(BgL_strz00_5301); 
BgL_tmpz00_7907 = 
BGL_STRTOL(BgL_tmpz00_7908, ((long)0), ((long)10)); } 
BgL_intz00_5300 = 
BINT(BgL_tmpz00_7907); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5300 = BFALSE; } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_intz00_5300))
{ /* Llib/mpd.scm 662 */
BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4466), BgL_intz00_5300); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 662 */
{ /* Llib/mpd.scm 670 */
 obj_t BgL_arg2095z00_5302;
BgL_arg2095z00_5302 = 
BGl_musiczd2volumezd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4466)); 
bgl_display_obj(BgL_arg2095z00_5302, BgL_opz00_4469); } 
{ /* Llib/mpd.scm 671 */
 obj_t BgL_tmpz00_7920;
BgL_tmpz00_7920 = 
((obj_t)BgL_opz00_4469); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7920); } 
return 
CNST_TABLE_REF(((long)53));} } } 

}



/* &mpd-setvol */
obj_t BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4470, obj_t BgL_dbz00_4471, obj_t BgL_backendz00_4472, obj_t BgL_linez00_4473, obj_t BgL_ipz00_4474, obj_t BgL_opz00_4475)
{
{ /* Llib/mpd.scm 684 */
{ /* Llib/mpd.scm 684 */
 obj_t BgL_intz00_5303;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5304;
BgL_strz00_5304 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4473, ((long)1)); 
if(
STRINGP(BgL_strz00_5304))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7927;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7928;
BgL_tmpz00_7928 = 
BSTRING_TO_STRING(BgL_strz00_5304); 
BgL_tmpz00_7927 = 
BGL_STRTOL(BgL_tmpz00_7928, ((long)0), ((long)10)); } 
BgL_intz00_5303 = 
BINT(BgL_tmpz00_7927); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5303 = BFALSE; } } 
BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4472), BgL_intz00_5303); 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-clearerror */
obj_t BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4476, obj_t BgL_dbz00_4477, obj_t BgL_backendz00_4478, obj_t BgL_linez00_4479, obj_t BgL_ipz00_4480, obj_t BgL_opz00_4481)
{
{ /* Llib/mpd.scm 690 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-close */
obj_t BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4482, obj_t BgL_dbz00_4483, obj_t BgL_backendz00_4484, obj_t BgL_linez00_4485, obj_t BgL_ipz00_4486, obj_t BgL_opz00_4487)
{
{ /* Llib/mpd.scm 696 */
return 
CNST_TABLE_REF(((long)24));} 

}



/* &mpd-stats */
obj_t BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4488, obj_t BgL_dbz00_4489, obj_t BgL_backendz00_4490, obj_t BgL_linez00_4491, obj_t BgL_ipz00_4492, obj_t BgL_opz00_4493)
{
{ /* Llib/mpd.scm 702 */
BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4489), BgL_backendz00_4490, BgL_opz00_4493); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-listall */
obj_t BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4494, obj_t BgL_dbz00_4495, obj_t BgL_backendz00_4496, obj_t BgL_linez00_4497, obj_t BgL_ipz00_4498, obj_t BgL_opz00_4499)
{
{ /* Llib/mpd.scm 709 */
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4495), BgL_opz00_4499); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-list */
obj_t BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4500, obj_t BgL_dbz00_4501, obj_t BgL_backendz00_4502, obj_t BgL_linez00_4503, obj_t BgL_ipz00_4504, obj_t BgL_opz00_4505)
{
{ /* Llib/mpd.scm 716 */
{ /* Llib/mpd.scm 716 */
 obj_t BgL_symz00_5305; obj_t BgL_string2z00_5306; obj_t BgL_string3z00_5307;
BgL_symz00_5305 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4503, ((long)1)); 
BgL_string2z00_5306 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4503, ((long)2)); 
BgL_string3z00_5307 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4503, ((long)3)); 
if(
(BgL_symz00_5305==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 717 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5306, BGl_string3016z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 720 */
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4501), BgL_opz00_4505, BgL_string3z00_5307); }  else 
{ /* Llib/mpd.scm 720 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5306, BGl_string3017z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 722 */
BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4501), BgL_opz00_4505, BgL_string3z00_5307); }  else 
{ /* Llib/mpd.scm 722 */
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4501), BgL_opz00_4505, BgL_string2z00_5306); } } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5305==
CNST_TABLE_REF(((long)69))))
{ /* Llib/mpd.scm 717 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5306, BGl_string3017z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 728 */
BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4501), BgL_opz00_4505, BgL_string3z00_5307); }  else 
{ /* Llib/mpd.scm 728 */
BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4501), BgL_opz00_4505); } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5305==
CNST_TABLE_REF(((long)72))))
{ /* Llib/mpd.scm 717 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5305==
CNST_TABLE_REF(((long)73))))
{ /* Llib/mpd.scm 717 */
BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4501), BgL_opz00_4505); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
CBOOL(BgL_symz00_5305))
{ /* Llib/mpd.scm 740 */
 obj_t BgL_list2103z00_5308;
BgL_list2103z00_5308 = 
MAKE_YOUNG_PAIR(BgL_symz00_5305, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3018z00zz__multimediazd2mpdzd2, BgL_list2103z00_5308);}  else 
{ /* Llib/mpd.scm 738 */
return BGl_string3019z00zz__multimediazd2mpdzd2;} } } } } } } 

}



/* &mpd-listallinfo */
obj_t BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4506, obj_t BgL_dbz00_4507, obj_t BgL_backendz00_4508, obj_t BgL_linez00_4509, obj_t BgL_ipz00_4510, obj_t BgL_opz00_4511)
{
{ /* Llib/mpd.scm 745 */
{ /* Llib/mpd.scm 745 */
 obj_t BgL_dirz00_5309;
BgL_dirz00_5309 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4509, ((long)1)); 
{ /* Llib/mpd.scm 746 */
 obj_t BgL_arg2104z00_5310;
if(
CBOOL(BgL_dirz00_5309))
{ /* Llib/mpd.scm 746 */
BgL_arg2104z00_5310 = BgL_dirz00_5309; }  else 
{ /* Llib/mpd.scm 746 */
 obj_t BgL_list2106z00_5311;
BgL_list2106z00_5311 = 
MAKE_YOUNG_PAIR(
BCHAR(FILE_SEPARATOR), BNIL); 
BgL_arg2104z00_5310 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2106z00_5311); } 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4507), BgL_opz00_4511, BgL_arg2104z00_5310, ((bool_t)1)); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-lsinfo */
obj_t BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4512, obj_t BgL_dbz00_4513, obj_t BgL_backendz00_4514, obj_t BgL_linez00_4515, obj_t BgL_ipz00_4516, obj_t BgL_opz00_4517)
{
{ /* Llib/mpd.scm 752 */
{ /* Llib/mpd.scm 752 */
 obj_t BgL_dirz00_5312;
BgL_dirz00_5312 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4515, ((long)1)); 
{ /* Llib/mpd.scm 753 */
 obj_t BgL_arg2107z00_5313;
if(
CBOOL(BgL_dirz00_5312))
{ /* Llib/mpd.scm 753 */
BgL_arg2107z00_5313 = BgL_dirz00_5312; }  else 
{ /* Llib/mpd.scm 753 */
 obj_t BgL_list2109z00_5314;
BgL_list2109z00_5314 = 
MAKE_YOUNG_PAIR(
BCHAR(FILE_SEPARATOR), BNIL); 
BgL_arg2107z00_5313 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2109z00_5314); } 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4513), BgL_opz00_4517, BgL_arg2107z00_5313, ((bool_t)0)); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-plconangesposid */
obj_t BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4518, obj_t BgL_dbz00_4519, obj_t BgL_backendz00_4520, obj_t BgL_linez00_4521, obj_t BgL_ipz00_4522, obj_t BgL_opz00_4523)
{
{ /* Llib/mpd.scm 759 */
{ /* Llib/mpd.scm 759 */
 obj_t BgL_intz00_5315;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5316;
BgL_strz00_5316 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4521, ((long)1)); 
if(
STRINGP(BgL_strz00_5316))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_8005;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_8006;
BgL_tmpz00_8006 = 
BSTRING_TO_STRING(BgL_strz00_5316); 
BgL_tmpz00_8005 = 
BGL_STRTOL(BgL_tmpz00_8006, ((long)0), ((long)10)); } 
BgL_intz00_5315 = 
BINT(BgL_tmpz00_8005); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5315 = BFALSE; } } 
{ /* Llib/mpd.scm 760 */
 long BgL_numz00_5317;
BgL_numz00_5317 = ((long)0); 
{ /* Llib/mpd.scm 761 */
 obj_t BgL_g1212z00_5318;
BgL_g1212z00_5318 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4520)); 
{ 
 obj_t BgL_l1210z00_5320;
BgL_l1210z00_5320 = BgL_g1212z00_5318; 
BgL_zc3z04anonymousza32110ze3z87_5319:
if(
PAIRP(BgL_l1210z00_5320))
{ /* Llib/mpd.scm 765 */
{ /* Llib/mpd.scm 762 */
 obj_t BgL_tmpz00_8014;
BgL_tmpz00_8014 = 
((obj_t)BgL_opz00_4523); 
bgl_display_string(BGl_string3020z00zz__multimediazd2mpdzd2, BgL_tmpz00_8014); } 
bgl_display_obj(
BINT(BgL_numz00_5317), BgL_opz00_4523); 
{ /* Llib/mpd.scm 762 */
 obj_t BgL_tmpz00_8019;
BgL_tmpz00_8019 = 
((obj_t)BgL_opz00_4523); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8019); } 
{ /* Llib/mpd.scm 763 */
 obj_t BgL_tmpz00_8022;
BgL_tmpz00_8022 = 
((obj_t)BgL_opz00_4523); 
bgl_display_string(BGl_string3007z00zz__multimediazd2mpdzd2, BgL_tmpz00_8022); } 
bgl_display_obj(
BINT(BgL_numz00_5317), BgL_opz00_4523); 
{ /* Llib/mpd.scm 763 */
 obj_t BgL_tmpz00_8027;
BgL_tmpz00_8027 = 
((obj_t)BgL_opz00_4523); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8027); } 
BgL_numz00_5317 = 
(BgL_numz00_5317+((long)1)); 
{ 
 obj_t BgL_l1210z00_8031;
BgL_l1210z00_8031 = 
CDR(BgL_l1210z00_5320); 
BgL_l1210z00_5320 = BgL_l1210z00_8031; 
goto BgL_zc3z04anonymousza32110ze3z87_5319;} }  else 
{ /* Llib/mpd.scm 765 */((bool_t)1); } } } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-kill */
obj_t BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4524, obj_t BgL_dbz00_4525, obj_t BgL_backendz00_4526, obj_t BgL_linez00_4527, obj_t BgL_ipz00_4528, obj_t BgL_opz00_4529)
{
{ /* Llib/mpd.scm 771 */
return 
CNST_TABLE_REF(((long)31));} 

}



/* &mpd-find */
obj_t BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4530, obj_t BgL_dbz00_4531, obj_t BgL_backendz00_4532, obj_t BgL_linez00_4533, obj_t BgL_ipz00_4534, obj_t BgL_opz00_4535)
{
{ /* Llib/mpd.scm 777 */
{ /* Llib/mpd.scm 777 */
 obj_t BgL_symbolz00_5321; obj_t BgL_string2z00_5322;
BgL_symbolz00_5321 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4533, ((long)1)); 
BgL_string2z00_5322 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4533, ((long)2)); 
if(
(BgL_symbolz00_5321==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4531), BgL_opz00_4535, BgL_string2z00_5322); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5321==
CNST_TABLE_REF(((long)69))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4531), BgL_opz00_4535, BgL_string2z00_5322); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5321==
CNST_TABLE_REF(((long)70))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4531), BgL_opz00_4535, BgL_string2z00_5322); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5321==
CNST_TABLE_REF(((long)73))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4531), BgL_opz00_4535, BgL_string2z00_5322); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 792 */
 obj_t BgL_list2117z00_5323;
BgL_list2117z00_5323 = 
MAKE_YOUNG_PAIR(BgL_symbolz00_5321, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3021z00zz__multimediazd2mpdzd2, BgL_list2117z00_5323);} } } } } } 

}



/* &mpd-search */
obj_t BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4536, obj_t BgL_dbz00_4537, obj_t BgL_backendz00_4538, obj_t BgL_linez00_4539, obj_t BgL_ipz00_4540, obj_t BgL_opz00_4541)
{
{ /* Llib/mpd.scm 797 */
{ /* Llib/mpd.scm 797 */
 obj_t BgL_symbol1z00_5324; obj_t BgL_string2z00_5325; obj_t BgL_symbol3z00_5326; obj_t BgL_string4z00_5327;
BgL_symbol1z00_5324 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4539, ((long)1)); 
BgL_string2z00_5325 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4539, ((long)2)); 
BgL_symbol3z00_5326 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4539, ((long)3)); 
BgL_string4z00_5327 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4539, ((long)4)); 
if(
(BgL_symbol1z00_5324==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541, BgL_string2z00_5325); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5324==
CNST_TABLE_REF(((long)69))))
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol3z00_5326==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541, BgL_string2z00_5325, BgL_string4z00_5327); }  else 
{ /* Llib/mpd.scm 803 */
if(
(BgL_symbol3z00_5326==
CNST_TABLE_REF(((long)70))))
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541, BgL_string2z00_5325, BgL_string4z00_5327); }  else 
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541, BgL_string2z00_5325); } } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5324==
CNST_TABLE_REF(((long)70))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541, BgL_string2z00_5325); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5324==
CNST_TABLE_REF(((long)73))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541, BgL_string2z00_5325); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5324==
CNST_TABLE_REF(((long)74))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4537), BgL_opz00_4541); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 820 */
 obj_t BgL_list2125z00_5328;
BgL_list2125z00_5328 = 
MAKE_YOUNG_PAIR(BgL_symbol1z00_5324, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3022z00zz__multimediazd2mpdzd2, BgL_list2125z00_5328);} } } } } } } 

}



/* &mpd-commands */
obj_t BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4542, obj_t BgL_dbz00_4543, obj_t BgL_backendz00_4544, obj_t BgL_linez00_4545, obj_t BgL_ipz00_4546, obj_t BgL_opz00_4547)
{
{ /* Llib/mpd.scm 825 */
{ /* Llib/mpd.scm 826 */
 obj_t BgL_g1215z00_5329;
BgL_g1215z00_5329 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3023z00zz__multimediazd2mpdzd2, BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2); 
{ 
 obj_t BgL_l1213z00_5332;
BgL_l1213z00_5332 = BgL_g1215z00_5329; 
BgL_zc3z04anonymousza32126ze3z87_5331:
if(
PAIRP(BgL_l1213z00_5332))
{ /* Llib/mpd.scm 830 */
{ /* Llib/mpd.scm 827 */
 obj_t BgL_cz00_5333;
BgL_cz00_5333 = 
CAR(BgL_l1213z00_5332); 
{ /* Llib/mpd.scm 827 */
 obj_t BgL_tmpz00_8113;
BgL_tmpz00_8113 = 
((obj_t)BgL_opz00_4547); 
bgl_display_string(BGl_string3024z00zz__multimediazd2mpdzd2, BgL_tmpz00_8113); } 
{ /* Llib/mpd.scm 828 */
 obj_t BgL_arg2128z00_5334;
BgL_arg2128z00_5334 = 
CAR(
((obj_t)BgL_cz00_5333)); 
bgl_display_obj(BgL_arg2128z00_5334, BgL_opz00_4547); } 
{ /* Llib/mpd.scm 829 */
 obj_t BgL_tmpz00_8119;
BgL_tmpz00_8119 = 
((obj_t)BgL_opz00_4547); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8119); } } 
{ 
 obj_t BgL_l1213z00_8122;
BgL_l1213z00_8122 = 
CDR(BgL_l1213z00_5332); 
BgL_l1213z00_5332 = BgL_l1213z00_8122; 
goto BgL_zc3z04anonymousza32126ze3z87_5331;} }  else 
{ /* Llib/mpd.scm 830 */((bool_t)1); } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4648, obj_t BgL_c1z00_4649, obj_t BgL_c2z00_4650)
{
{ /* Llib/mpd.scm 830 */
{ /* Llib/mpd.scm 831 */
 bool_t BgL_tmpz00_8125;
{ /* Llib/mpd.scm 831 */
 obj_t BgL_arg2132z00_5335; obj_t BgL_arg2133z00_5336;
{ /* Llib/mpd.scm 831 */
 obj_t BgL_arg2134z00_5337;
BgL_arg2134z00_5337 = 
CAR(
((obj_t)BgL_c1z00_4649)); 
{ /* Llib/mpd.scm 831 */
 obj_t BgL_arg1457z00_5338;
BgL_arg1457z00_5338 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2134z00_5337)); 
BgL_arg2132z00_5335 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_5338); } } 
{ /* Llib/mpd.scm 832 */
 obj_t BgL_arg2135z00_5339;
BgL_arg2135z00_5339 = 
CAR(
((obj_t)BgL_c2z00_4650)); 
{ /* Llib/mpd.scm 832 */
 obj_t BgL_arg1457z00_5340;
BgL_arg1457z00_5340 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2135z00_5339)); 
BgL_arg2133z00_5336 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_5340); } } 
BgL_tmpz00_8125 = 
bigloo_string_lt(BgL_arg2132z00_5335, BgL_arg2133z00_5336); } 
return 
BBOOL(BgL_tmpz00_8125);} } 

}



/* &mpd-notcommands */
obj_t BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4548, obj_t BgL_dbz00_4549, obj_t BgL_backendz00_4550, obj_t BgL_linez00_4551, obj_t BgL_ipz00_4552, obj_t BgL_opz00_4553)
{
{ /* Llib/mpd.scm 839 */
{ /* Llib/mpd.scm 840 */
 obj_t BgL_g1218z00_5341;
BgL_g1218z00_5341 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3025z00zz__multimediazd2mpdzd2, BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2); 
{ 
 obj_t BgL_l1216z00_5344;
BgL_l1216z00_5344 = BgL_g1218z00_5341; 
BgL_zc3z04anonymousza32136ze3z87_5343:
if(
PAIRP(BgL_l1216z00_5344))
{ /* Llib/mpd.scm 844 */
{ /* Llib/mpd.scm 841 */
 obj_t BgL_cz00_5345;
BgL_cz00_5345 = 
CAR(BgL_l1216z00_5344); 
{ /* Llib/mpd.scm 841 */
 obj_t BgL_tmpz00_8142;
BgL_tmpz00_8142 = 
((obj_t)BgL_opz00_4553); 
bgl_display_string(BGl_string3024z00zz__multimediazd2mpdzd2, BgL_tmpz00_8142); } 
{ /* Llib/mpd.scm 842 */
 obj_t BgL_arg2138z00_5346;
BgL_arg2138z00_5346 = 
CAR(
((obj_t)BgL_cz00_5345)); 
bgl_display_obj(BgL_arg2138z00_5346, BgL_opz00_4553); } 
{ /* Llib/mpd.scm 843 */
 obj_t BgL_tmpz00_8148;
BgL_tmpz00_8148 = 
((obj_t)BgL_opz00_4553); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8148); } } 
{ 
 obj_t BgL_l1216z00_8151;
BgL_l1216z00_8151 = 
CDR(BgL_l1216z00_5344); 
BgL_l1216z00_5344 = BgL_l1216z00_8151; 
goto BgL_zc3z04anonymousza32136ze3z87_5343;} }  else 
{ /* Llib/mpd.scm 844 */((bool_t)1); } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &<@anonymous:2141> */
obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4652, obj_t BgL_c1z00_4653, obj_t BgL_c2z00_4654)
{
{ /* Llib/mpd.scm 844 */
{ /* Llib/mpd.scm 845 */
 bool_t BgL_tmpz00_8154;
{ /* Llib/mpd.scm 845 */
 obj_t BgL_arg2142z00_5347; obj_t BgL_arg2143z00_5348;
{ /* Llib/mpd.scm 845 */
 obj_t BgL_arg2144z00_5349;
BgL_arg2144z00_5349 = 
CAR(
((obj_t)BgL_c1z00_4653)); 
{ /* Llib/mpd.scm 845 */
 obj_t BgL_arg1457z00_5350;
BgL_arg1457z00_5350 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2144z00_5349)); 
BgL_arg2142z00_5347 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_5350); } } 
{ /* Llib/mpd.scm 846 */
 obj_t BgL_arg2145z00_5351;
BgL_arg2145z00_5351 = 
CAR(
((obj_t)BgL_c2z00_4654)); 
{ /* Llib/mpd.scm 846 */
 obj_t BgL_arg1457z00_5352;
BgL_arg1457z00_5352 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2145z00_5351)); 
BgL_arg2143z00_5348 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_5352); } } 
BgL_tmpz00_8154 = 
bigloo_string_lt(BgL_arg2142z00_5347, BgL_arg2143z00_5348); } 
return 
BBOOL(BgL_tmpz00_8154);} } 

}



/* &mpd-addid */
obj_t BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4554, obj_t BgL_dbz00_4555, obj_t BgL_backendz00_4556, obj_t BgL_linez00_4557, obj_t BgL_ipz00_4558, obj_t BgL_opz00_4559)
{
{ /* Llib/mpd.scm 853 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-crossfade */
obj_t BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4560, obj_t BgL_dbz00_4561, obj_t BgL_backendz00_4562, obj_t BgL_linez00_4563, obj_t BgL_ipz00_4564, obj_t BgL_opz00_4565)
{
{ /* Llib/mpd.scm 858 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-move */
obj_t BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4566, obj_t BgL_dbz00_4567, obj_t BgL_backendz00_4568, obj_t BgL_linez00_4569, obj_t BgL_ipz00_4570, obj_t BgL_opz00_4571)
{
{ /* Llib/mpd.scm 863 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-moveid */
obj_t BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4572, obj_t BgL_dbz00_4573, obj_t BgL_backendz00_4574, obj_t BgL_linez00_4575, obj_t BgL_ipz00_4576, obj_t BgL_opz00_4577)
{
{ /* Llib/mpd.scm 868 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-password */
obj_t BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4578, obj_t BgL_dbz00_4579, obj_t BgL_backendz00_4580, obj_t BgL_linez00_4581, obj_t BgL_ipz00_4582, obj_t BgL_opz00_4583)
{
{ /* Llib/mpd.scm 873 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-random */
obj_t BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4584, obj_t BgL_dbz00_4585, obj_t BgL_backendz00_4586, obj_t BgL_linez00_4587, obj_t BgL_ipz00_4588, obj_t BgL_opz00_4589)
{
{ /* Llib/mpd.scm 878 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-repeat */
obj_t BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4590, obj_t BgL_dbz00_4591, obj_t BgL_backendz00_4592, obj_t BgL_linez00_4593, obj_t BgL_ipz00_4594, obj_t BgL_opz00_4595)
{
{ /* Llib/mpd.scm 883 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-rm */
obj_t BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4596, obj_t BgL_dbz00_4597, obj_t BgL_backendz00_4598, obj_t BgL_linez00_4599, obj_t BgL_ipz00_4600, obj_t BgL_opz00_4601)
{
{ /* Llib/mpd.scm 888 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-save */
obj_t BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4602, obj_t BgL_dbz00_4603, obj_t BgL_backendz00_4604, obj_t BgL_linez00_4605, obj_t BgL_ipz00_4606, obj_t BgL_opz00_4607)
{
{ /* Llib/mpd.scm 893 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-shuffle */
obj_t BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4608, obj_t BgL_dbz00_4609, obj_t BgL_backendz00_4610, obj_t BgL_linez00_4611, obj_t BgL_ipz00_4612, obj_t BgL_opz00_4613)
{
{ /* Llib/mpd.scm 898 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-swap */
obj_t BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4614, obj_t BgL_dbz00_4615, obj_t BgL_backendz00_4616, obj_t BgL_linez00_4617, obj_t BgL_ipz00_4618, obj_t BgL_opz00_4619)
{
{ /* Llib/mpd.scm 903 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-swapid */
obj_t BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4620, obj_t BgL_dbz00_4621, obj_t BgL_backendz00_4622, obj_t BgL_linez00_4623, obj_t BgL_ipz00_4624, obj_t BgL_opz00_4625)
{
{ /* Llib/mpd.scm 908 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-update */
obj_t BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4626, obj_t BgL_dbz00_4627, obj_t BgL_backendz00_4628, obj_t BgL_linez00_4629, obj_t BgL_ipz00_4630, obj_t BgL_opz00_4631)
{
{ /* Llib/mpd.scm 913 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-outputs */
obj_t BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4632, obj_t BgL_dbz00_4633, obj_t BgL_backendz00_4634, obj_t BgL_linez00_4635, obj_t BgL_ipz00_4636, obj_t BgL_opz00_4637)
{
{ /* Llib/mpd.scm 918 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* loop~5 */
obj_t BGl_loopze75ze7zz__multimediazd2mpdzd2(obj_t BgL_l1z00_1125, obj_t BgL_l2z00_1126)
{
{ /* Llib/mpd.scm 924 */
{ /* Llib/mpd.scm 927 */
 bool_t BgL_test3581z00_8181;
if(
NULLP(BgL_l1z00_1125))
{ /* Llib/mpd.scm 927 */
BgL_test3581z00_8181 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 927 */
BgL_test3581z00_8181 = 
NULLP(BgL_l2z00_1126)
; } 
if(BgL_test3581z00_8181)
{ /* Llib/mpd.scm 927 */
return BNIL;}  else 
{ /* Llib/mpd.scm 929 */
 bool_t BgL_test3583z00_8185;
{ /* Llib/mpd.scm 929 */
 obj_t BgL_arg2156z00_1137; obj_t BgL_arg2157z00_1138;
BgL_arg2156z00_1137 = 
CAR(
((obj_t)BgL_l1z00_1125)); 
BgL_arg2157z00_1138 = 
CAR(
((obj_t)BgL_l2z00_1126)); 
{ /* Llib/mpd.scm 929 */
 long BgL_l1z00_3042;
BgL_l1z00_3042 = 
STRING_LENGTH(
((obj_t)BgL_arg2156z00_1137)); 
if(
(BgL_l1z00_3042==
STRING_LENGTH(
((obj_t)BgL_arg2157z00_1138))))
{ /* Llib/mpd.scm 929 */
 int BgL_arg1289z00_3045;
{ /* Llib/mpd.scm 929 */
 char * BgL_auxz00_8199; char * BgL_tmpz00_8196;
BgL_auxz00_8199 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg2157z00_1138)); 
BgL_tmpz00_8196 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg2156z00_1137)); 
BgL_arg1289z00_3045 = 
memcmp(BgL_tmpz00_8196, BgL_auxz00_8199, BgL_l1z00_3042); } 
BgL_test3583z00_8185 = 
(
(long)(BgL_arg1289z00_3045)==((long)0)); }  else 
{ /* Llib/mpd.scm 929 */
BgL_test3583z00_8185 = ((bool_t)0)
; } } } 
if(BgL_test3583z00_8185)
{ /* Llib/mpd.scm 930 */
 obj_t BgL_arg2152z00_1133; obj_t BgL_arg2153z00_1134;
BgL_arg2152z00_1133 = 
CAR(
((obj_t)BgL_l1z00_1125)); 
{ /* Llib/mpd.scm 930 */
 obj_t BgL_arg2154z00_1135; obj_t BgL_arg2155z00_1136;
BgL_arg2154z00_1135 = 
CDR(
((obj_t)BgL_l1z00_1125)); 
BgL_arg2155z00_1136 = 
CDR(
((obj_t)BgL_l2z00_1126)); 
BgL_arg2153z00_1134 = 
BGl_loopze75ze7zz__multimediazd2mpdzd2(BgL_arg2154z00_1135, BgL_arg2155z00_1136); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2152z00_1133, BgL_arg2153z00_1134);}  else 
{ /* Llib/mpd.scm 929 */
return BNIL;} } } } 

}



/* file-system-root? */
bool_t BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(obj_t BgL_dirz00_330)
{
{ /* Llib/mpd.scm 949 */
if(
(
STRING_LENGTH(BgL_dirz00_330)==((long)1)))
{ /* Llib/mpd.scm 950 */
return 
(
STRING_REF(BgL_dirz00_330, ((long)0))==
(unsigned char)(FILE_SEPARATOR));}  else 
{ /* Llib/mpd.scm 950 */
return ((bool_t)0);} } 

}



/* directory->sort-list */
obj_t BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(obj_t BgL_dirz00_332)
{
{ /* Llib/mpd.scm 988 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3026z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_332)));} 

}



/* &<@anonymous:2168> */
obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4656, obj_t BgL_s1z00_4657, obj_t BgL_s2z00_4658)
{
{ /* Llib/mpd.scm 989 */
{ /* Llib/mpd.scm 990 */
 bool_t BgL_tmpz00_8222;
{ /* Llib/mpd.scm 990 */
 int BgL_arg2169z00_5353;
{ /* Llib/mpd.scm 990 */

BgL_arg2169z00_5353 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4657, BgL_s2z00_4658, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8222 = 
(
(long)(BgL_arg2169z00_5353)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8222);} } 

}



/* mpd->file */
obj_t BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(obj_t BgL_filez00_333, obj_t BgL_dbz00_334, obj_t BgL_opz00_335, obj_t BgL_cmdz00_336)
{
{ /* Llib/mpd.scm 996 */
{ /* Llib/mpd.scm 998 */
 obj_t BgL_fz00_1178;
{ /* Llib/mpd.scm 998 */
 obj_t BgL_g1221z00_1182;
BgL_g1221z00_1182 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_334)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1219z00_1184;
BgL_l1219z00_1184 = BgL_g1221z00_1182; 
BgL_zc3z04anonymousza32171ze3z87_1185:
if(
NULLP(BgL_l1219z00_1184))
{ /* Llib/mpd.scm 998 */
BgL_fz00_1178 = BFALSE; }  else 
{ /* Llib/mpd.scm 999 */
 obj_t BgL__ortest_1222z00_1187;
{ /* Llib/mpd.scm 999 */
 obj_t BgL_dirz00_1189;
BgL_dirz00_1189 = 
CAR(
((obj_t)BgL_l1219z00_1184)); 
{ /* Llib/mpd.scm 999 */
 obj_t BgL_pz00_1190;
BgL_pz00_1190 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1189, BgL_filez00_333); 
if(
fexists(
BSTRING_TO_STRING(BgL_pz00_1190)))
{ /* Llib/mpd.scm 1000 */
BgL__ortest_1222z00_1187 = BgL_pz00_1190; }  else 
{ /* Llib/mpd.scm 1000 */
BgL__ortest_1222z00_1187 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1222z00_1187))
{ /* Llib/mpd.scm 998 */
BgL_fz00_1178 = BgL__ortest_1222z00_1187; }  else 
{ /* Llib/mpd.scm 998 */
 obj_t BgL_arg2173z00_1188;
BgL_arg2173z00_1188 = 
CDR(
((obj_t)BgL_l1219z00_1184)); 
{ 
 obj_t BgL_l1219z00_8243;
BgL_l1219z00_8243 = BgL_arg2173z00_1188; 
BgL_l1219z00_1184 = BgL_l1219z00_8243; 
goto BgL_zc3z04anonymousza32171ze3z87_1185;} } } } } 
if(
STRINGP(BgL_fz00_1178))
{ /* Llib/mpd.scm 1003 */
return BgL_fz00_1178;}  else 
{ /* Llib/mpd.scm 1003 */
{ /* Llib/mpd.scm 325 */
 obj_t BgL_tmpz00_8246;
BgL_tmpz00_8246 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2974z00zz__multimediazd2mpdzd2, BgL_tmpz00_8246); } 
bgl_display_obj(BGl_string3011z00zz__multimediazd2mpdzd2, BgL_opz00_335); 
{ /* Llib/mpd.scm 327 */
 obj_t BgL_tmpz00_8250;
BgL_tmpz00_8250 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2976z00zz__multimediazd2mpdzd2, BgL_tmpz00_8250); } 
bgl_display_obj(BgL_cmdz00_336, BgL_opz00_335); 
{ /* Llib/mpd.scm 329 */
 obj_t BgL_tmpz00_8254;
BgL_tmpz00_8254 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2977z00zz__multimediazd2mpdzd2, BgL_tmpz00_8254); } 
bgl_display_obj(BGl_string3027z00zz__multimediazd2mpdzd2, BgL_opz00_335); 
{ /* Llib/mpd.scm 331 */
 obj_t BgL_tmpz00_8258;
BgL_tmpz00_8258 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2978z00zz__multimediazd2mpdzd2, BgL_tmpz00_8258); } 
{ /* Llib/mpd.scm 332 */
 obj_t BgL_tmpz00_8261;
BgL_tmpz00_8261 = 
((obj_t)BgL_opz00_335); 
bgl_flush_output_port(BgL_tmpz00_8261); } 
return 
CNST_TABLE_REF(((long)54));} } } 

}



/* file->mpd */
obj_t BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(obj_t BgL_filez00_337, obj_t BgL_dbz00_338)
{
{ /* Llib/mpd.scm 1010 */
{ /* Llib/mpd.scm 1012 */
 long BgL_blenz00_1194;
BgL_blenz00_1194 = 
STRING_LENGTH(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_338)))->BgL_z52basez52)); 
if(
(
STRING_LENGTH(
((obj_t)BgL_filez00_337))>BgL_blenz00_1194))
{ /* Llib/mpd.scm 1014 */
 long BgL_arg2177z00_1197;
BgL_arg2177z00_1197 = 
(BgL_blenz00_1194+((long)1)); 
{ /* Llib/mpd.scm 1014 */
 long BgL_endz00_1200;
BgL_endz00_1200 = 
STRING_LENGTH(
((obj_t)BgL_filez00_337)); 
{ /* Llib/mpd.scm 1014 */

return 
BGl_substringz00zz__r4_strings_6_7z00(BgL_filez00_337, BgL_arg2177z00_1197, BgL_endz00_1200);} } }  else 
{ /* Llib/mpd.scm 1013 */
return BGl_string2962z00zz__multimediazd2mpdzd2;} } } 

}



/* image-file? */
bool_t BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(obj_t BgL_fz00_341)
{
{ /* Llib/mpd.scm 1028 */
{ 
 obj_t BgL_l1223z00_1206;
BgL_l1223z00_1206 = 
CNST_TABLE_REF(((long)75)); 
BgL_zc3z04anonymousza32181ze3z87_1207:
if(
NULLP(BgL_l1223z00_1206))
{ /* Llib/mpd.scm 1029 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1029 */
 bool_t BgL__ortest_1226z00_1209;
{ /* Llib/mpd.scm 1029 */

BgL__ortest_1226z00_1209 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_l1223z00_1206)), BgL_fz00_341, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL__ortest_1226z00_1209)
{ /* Llib/mpd.scm 1029 */
return BgL__ortest_1226z00_1209;}  else 
{ 
 obj_t BgL_l1223z00_8282;
BgL_l1223z00_8282 = 
CDR(
((obj_t)BgL_l1223z00_1206)); 
BgL_l1223z00_1206 = BgL_l1223z00_8282; 
goto BgL_zc3z04anonymousza32181ze3z87_1207;} } } } 

}



/* directory-image */
obj_t BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(obj_t BgL_dirz00_342)
{
{ /* Llib/mpd.scm 1034 */
{ /* Llib/mpd.scm 1035 */
 obj_t BgL_fz00_1219;
{ /* Llib/mpd.scm 1035 */
 obj_t BgL_g1229z00_1221;
BgL_g1229z00_1221 = 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_342)); 
{ 
 obj_t BgL_list1228z00_1223;
BgL_list1228z00_1223 = BgL_g1229z00_1221; 
BgL_zc3z04anonymousza32185ze3z87_1224:
if(
PAIRP(BgL_list1228z00_1223))
{ /* Llib/mpd.scm 1035 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1228z00_1223)))
{ /* Llib/mpd.scm 1035 */
BgL_fz00_1219 = 
CAR(BgL_list1228z00_1223); }  else 
{ 
 obj_t BgL_list1228z00_8294;
BgL_list1228z00_8294 = 
CDR(BgL_list1228z00_1223); 
BgL_list1228z00_1223 = BgL_list1228z00_8294; 
goto BgL_zc3z04anonymousza32185ze3z87_1224;} }  else 
{ /* Llib/mpd.scm 1035 */
BgL_fz00_1219 = BFALSE; } } } 
if(
STRINGP(BgL_fz00_1219))
{ /* Llib/mpd.scm 1036 */
return 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_342, BgL_fz00_1219);}  else 
{ /* Llib/mpd.scm 1036 */
return BFALSE;} } } 

}



/* music-file? */
bool_t BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(obj_t BgL_fz00_343, obj_t BgL_dbz00_344)
{
{ /* Llib/mpd.scm 1042 */
{ 
 obj_t BgL_l1230z00_1234;
BgL_l1230z00_1234 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_344)))->BgL_suffixesz00); 
BgL_zc3z04anonymousza32191ze3z87_1235:
if(
NULLP(BgL_l1230z00_1234))
{ /* Llib/mpd.scm 1044 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1044 */
 bool_t BgL__ortest_1233z00_1237;
{ /* Llib/mpd.scm 1044 */

BgL__ortest_1233z00_1237 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_l1230z00_1234)), BgL_fz00_343, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL__ortest_1233z00_1237)
{ /* Llib/mpd.scm 1044 */
return BgL__ortest_1233z00_1237;}  else 
{ 
 obj_t BgL_l1230z00_8305;
BgL_l1230z00_8305 = 
CDR(
((obj_t)BgL_l1230z00_1234)); 
BgL_l1230z00_1234 = BgL_l1230z00_8305; 
goto BgL_zc3z04anonymousza32191ze3z87_1235;} } } } 

}



/* mpd-database-directories-scan */
obj_t BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_347, obj_t BgL_directoriesz00_348)
{
{ /* Llib/mpd.scm 1055 */
{ /* Llib/mpd.scm 1055 */
struct bgl_cell BgL_box3598_5014z00; 
 obj_t BgL_nsongsz00_5014;
BgL_nsongsz00_5014 = 
MAKE_CELL_STACK(
BINT(((long)0)),BgL_box3598_5014z00); 
{ /* Llib/mpd.scm 1057 */
 obj_t BgL_artistsz00_1253;
BgL_artistsz00_1253 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/mpd.scm 1058 */
 obj_t BgL_albumsz00_1254;
BgL_albumsz00_1254 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/mpd.scm 1059 */
 obj_t BgL_genresz00_1255;
BgL_genresz00_1255 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ 
 obj_t BgL_l1237z00_1258;
BgL_l1237z00_1258 = BgL_directoriesz00_348; 
BgL_zc3z04anonymousza32197ze3z87_1259:
if(
PAIRP(BgL_l1237z00_1258))
{ /* Llib/mpd.scm 1082 */
{ /* Llib/mpd.scm 1082 */
 obj_t BgL_dz00_1261;
BgL_dz00_1261 = 
CAR(BgL_l1237z00_1258); 
BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_dbz00_347, BgL_genresz00_1255, BgL_albumsz00_1254, BgL_artistsz00_1253, BgL_nsongsz00_5014, BgL_dz00_1261, BgL_dz00_1261); } 
{ 
 obj_t BgL_l1237z00_8318;
BgL_l1237z00_8318 = 
CDR(BgL_l1237z00_1258); 
BgL_l1237z00_1258 = BgL_l1237z00_8318; 
goto BgL_zc3z04anonymousza32197ze3z87_1259;} }  else 
{ /* Llib/mpd.scm 1082 */((bool_t)1); } } 
{ /* Llib/mpd.scm 1084 */
 obj_t BgL_val0_1239z00_1264; obj_t BgL_val1_1240z00_1265; obj_t BgL_val2_1241z00_1266; long BgL_val3_1242z00_1267;
BgL_val0_1239z00_1264 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3028z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_artistsz00_1253, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val1_1240z00_1265 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3029z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_albumsz00_1254, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val2_1241z00_1266 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3030z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_genresz00_1255, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val3_1242z00_1267 = 
(long)CINT(
CELL_REF(BgL_nsongsz00_5014)); 
{ /* Llib/mpd.scm 1084 */
 int BgL_tmpz00_8327;
BgL_tmpz00_8327 = 
(int)(((long)4)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8327); } 
{ /* Llib/mpd.scm 1084 */
 int BgL_tmpz00_8330;
BgL_tmpz00_8330 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_8330, BgL_val1_1240z00_1265); } 
{ /* Llib/mpd.scm 1084 */
 int BgL_tmpz00_8333;
BgL_tmpz00_8333 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_8333, BgL_val2_1241z00_1266); } 
{ /* Llib/mpd.scm 1084 */
 obj_t BgL_auxz00_8338; int BgL_tmpz00_8336;
BgL_auxz00_8338 = 
BINT(BgL_val3_1242z00_1267); 
BgL_tmpz00_8336 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_8336, BgL_auxz00_8338); } 
return BgL_val0_1239z00_1264;} } } } } } 

}



/* directory-scan~0 */
bool_t BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_5012, obj_t BgL_genresz00_5011, obj_t BgL_albumsz00_5010, obj_t BgL_artistsz00_5009, obj_t BgL_nsongsz00_5008, obj_t BgL_dirz00_1292, obj_t BgL_repoz00_1293)
{
{ /* Llib/mpd.scm 1080 */
{ /* Llib/mpd.scm 1063 */
 obj_t BgL_albumz00_1295;
BgL_albumz00_1295 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1292); 
{ /* Llib/mpd.scm 1063 */
 obj_t BgL_dir2z00_1296;
BgL_dir2z00_1296 = 
BGl_dirnamez00zz__osz00(BgL_dirz00_1292); 
{ /* Llib/mpd.scm 1064 */
 obj_t BgL_artistz00_1297;
BgL_artistz00_1297 = 
BGl_basenamez00zz__osz00(BgL_dir2z00_1296); 
{ /* Llib/mpd.scm 1065 */
 obj_t BgL_dir3z00_1298;
BgL_dir3z00_1298 = 
BGl_dirnamez00zz__osz00(BgL_dir2z00_1296); 
{ /* Llib/mpd.scm 1066 */
 obj_t BgL_genrez00_1299;
BgL_genrez00_1299 = 
BGl_basenamez00zz__osz00(BgL_dir3z00_1298); 
{ /* Llib/mpd.scm 1067 */
 bool_t BgL_addz00_1300;
BgL_addz00_1300 = ((bool_t)0); 
{ /* Llib/mpd.scm 1068 */

{ /* Llib/mpd.scm 1069 */
 obj_t BgL_g1236z00_1301;
BgL_g1236z00_1301 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_1292); 
{ 
 obj_t BgL_l1234z00_1303;
BgL_l1234z00_1303 = BgL_g1236z00_1301; 
BgL_zc3z04anonymousza32216ze3z87_1304:
if(
PAIRP(BgL_l1234z00_1303))
{ /* Llib/mpd.scm 1080 */
{ /* Llib/mpd.scm 1071 */
 obj_t BgL_pz00_1306;
BgL_pz00_1306 = 
CAR(BgL_l1234z00_1303); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1306)))
{ /* Llib/mpd.scm 1071 */
BBOOL(
BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_dbz00_5012, BgL_genresz00_5011, BgL_albumsz00_5010, BgL_artistsz00_5009, BgL_nsongsz00_5008, BgL_pz00_1306, BgL_repoz00_1293)); }  else 
{ /* Llib/mpd.scm 1071 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1306, 
((obj_t)BgL_dbz00_5012)))
{ /* Llib/mpd.scm 1073 */
{ /* Llib/mpd.scm 1074 */
 obj_t BgL_auxz00_5013;
BgL_auxz00_5013 = 
ADDFX(
CELL_REF(BgL_nsongsz00_5008), 
BINT(((long)1))); 
CELL_SET(BgL_nsongsz00_5008, BgL_auxz00_5013); } 
if(BgL_addz00_1300)
{ /* Llib/mpd.scm 1075 */BFALSE; }  else 
{ /* Llib/mpd.scm 1075 */
BgL_addz00_1300 = ((bool_t)1); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_artistsz00_5009, BgL_artistz00_1297, BgL_dir2z00_1296); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_albumsz00_5010, BgL_albumz00_1295, BgL_dirz00_1292); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_genresz00_5011, BgL_genrez00_1299, BgL_dir3z00_1298); } }  else 
{ /* Llib/mpd.scm 1073 */BFALSE; } } } 
{ 
 obj_t BgL_l1234z00_8364;
BgL_l1234z00_8364 = 
CDR(BgL_l1234z00_1303); 
BgL_l1234z00_1303 = BgL_l1234z00_8364; 
goto BgL_zc3z04anonymousza32216ze3z87_1304;} }  else 
{ /* Llib/mpd.scm 1080 */
return ((bool_t)1);} } } } } } } } } } } 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4662, obj_t BgL_e1z00_4663, obj_t BgL_e2z00_4664)
{
{ /* Llib/mpd.scm 1088 */
{ /* Llib/mpd.scm 1088 */
 bool_t BgL_tmpz00_8366;
{ /* Llib/mpd.scm 1088 */
 obj_t BgL_string1z00_5354; obj_t BgL_string2z00_5355;
BgL_string1z00_5354 = 
CAR(
((obj_t)BgL_e1z00_4663)); 
BgL_string2z00_5355 = 
CAR(
((obj_t)BgL_e2z00_4664)); 
BgL_tmpz00_8366 = 
bigloo_string_lt(BgL_string1z00_5354, BgL_string2z00_5355); } 
return 
BBOOL(BgL_tmpz00_8366);} } 

}



/* &<@anonymous:2207> */
obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4665, obj_t BgL_e1z00_4666, obj_t BgL_e2z00_4667)
{
{ /* Llib/mpd.scm 1086 */
{ /* Llib/mpd.scm 1086 */
 bool_t BgL_tmpz00_8373;
{ /* Llib/mpd.scm 1086 */
 obj_t BgL_string1z00_5356; obj_t BgL_string2z00_5357;
BgL_string1z00_5356 = 
CAR(
((obj_t)BgL_e1z00_4666)); 
BgL_string2z00_5357 = 
CAR(
((obj_t)BgL_e2z00_4667)); 
BgL_tmpz00_8373 = 
bigloo_string_lt(BgL_string1z00_5356, BgL_string2z00_5357); } 
return 
BBOOL(BgL_tmpz00_8373);} } 

}



/* &<@anonymous:2202> */
obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4668, obj_t BgL_e1z00_4669, obj_t BgL_e2z00_4670)
{
{ /* Llib/mpd.scm 1084 */
{ /* Llib/mpd.scm 1084 */
 bool_t BgL_tmpz00_8380;
{ /* Llib/mpd.scm 1084 */
 obj_t BgL_string1z00_5358; obj_t BgL_string2z00_5359;
BgL_string1z00_5358 = 
CAR(
((obj_t)BgL_e1z00_4669)); 
BgL_string2z00_5359 = 
CAR(
((obj_t)BgL_e2z00_4670)); 
BgL_tmpz00_8380 = 
bigloo_string_lt(BgL_string1z00_5358, BgL_string2z00_5359); } 
return 
BBOOL(BgL_tmpz00_8380);} } 

}



/* loop~4 */
bool_t BGl_loopze74ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_5007, BgL_mpdzd2databasezd2_bglt BgL_dbz00_5006, obj_t BgL_albumz00_5005, obj_t BgL_artistz00_5004, obj_t BgL_dirz00_1316)
{
{ /* Llib/mpd.scm 1270 */
{ /* Llib/mpd.scm 1271 */
 obj_t BgL_artistz00_1318;
if(
CBOOL(BgL_artistz00_5004))
{ /* Llib/mpd.scm 1271 */
BgL_artistz00_1318 = BgL_artistz00_5004; }  else 
{ /* Llib/mpd.scm 1271 */
BgL_artistz00_1318 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1316)); } 
{ /* Llib/mpd.scm 1271 */
 obj_t BgL_albumz00_1319;
if(
CBOOL(BgL_albumz00_5005))
{ /* Llib/mpd.scm 1272 */
BgL_albumz00_1319 = BgL_albumz00_5005; }  else 
{ /* Llib/mpd.scm 1272 */
BgL_albumz00_1319 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1316); } 
{ /* Llib/mpd.scm 1272 */
 obj_t BgL_filesz00_1320;
BgL_filesz00_1320 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3031z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_1316))); 
{ /* Llib/mpd.scm 1273 */
 obj_t BgL_imgz00_1321;
{ /* Llib/mpd.scm 1276 */
 obj_t BgL_fz00_1335;
{ 
 obj_t BgL_list1284z00_1338;
BgL_list1284z00_1338 = BgL_filesz00_1320; 
BgL_zc3z04anonymousza32231ze3z87_1339:
if(
PAIRP(BgL_list1284z00_1338))
{ /* Llib/mpd.scm 1276 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1284z00_1338)))
{ /* Llib/mpd.scm 1276 */
BgL_fz00_1335 = 
CAR(BgL_list1284z00_1338); }  else 
{ 
 obj_t BgL_list1284z00_8403;
BgL_list1284z00_8403 = 
CDR(BgL_list1284z00_1338); 
BgL_list1284z00_1338 = BgL_list1284z00_8403; 
goto BgL_zc3z04anonymousza32231ze3z87_1339;} }  else 
{ /* Llib/mpd.scm 1276 */
BgL_fz00_1335 = BFALSE; } } 
if(
STRINGP(BgL_fz00_1335))
{ /* Llib/mpd.scm 1277 */
BgL_imgz00_1321 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1316, BgL_fz00_1335); }  else 
{ /* Llib/mpd.scm 1277 */
BgL_imgz00_1321 = BFALSE; } } 
{ /* Llib/mpd.scm 1276 */

{ 
 obj_t BgL_l1285z00_1323;
BgL_l1285z00_1323 = BgL_filesz00_1320; 
BgL_zc3z04anonymousza32225ze3z87_1324:
if(
PAIRP(BgL_l1285z00_1323))
{ /* Llib/mpd.scm 1279 */
{ /* Llib/mpd.scm 1280 */
 obj_t BgL_fz00_1326;
BgL_fz00_1326 = 
CAR(BgL_l1285z00_1323); 
{ /* Llib/mpd.scm 1280 */
 obj_t BgL_pz00_1327;
BgL_pz00_1327 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1316, BgL_fz00_1326); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1327)))
{ /* Llib/mpd.scm 1282 */
BGl_loopze74ze7zz__multimediazd2mpdzd2(BgL_opz00_5007, BgL_dbz00_5006, BgL_albumz00_5005, BgL_artistz00_5004, BgL_pz00_1327); }  else 
{ /* Llib/mpd.scm 1282 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1327, 
((obj_t)BgL_dbz00_5006)))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_3129;
BgL_g1196z00_3129 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_5006), BgL_pz00_1327, BgL_artistz00_1318, BgL_albumz00_1319, BgL_imgz00_1321); 
{ 
 obj_t BgL_l1194z00_3131;
BgL_l1194z00_3131 = BgL_g1196z00_3129; 
BgL_zc3z04anonymousza32024ze3z87_3130:
if(
PAIRP(BgL_l1194z00_3131))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3133;
BgL_kz00_3133 = 
CAR(BgL_l1194z00_3131); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_3134;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_3135;
BgL_arg2027z00_3135 = 
CAR(
((obj_t)BgL_kz00_3133)); 
BgL_arg2026z00_3134 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_3135)); } 
bgl_display_obj(BgL_arg2026z00_3134, BgL_opz00_5007); } 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_opz00_5007); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_3136;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3146;
BgL_pairz00_3146 = 
CDR(
((obj_t)BgL_kz00_3133)); 
BgL_arg2028z00_3136 = 
CAR(BgL_pairz00_3146); } 
bgl_display_obj(BgL_arg2028z00_3136, BgL_opz00_5007); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5007); } 
{ 
 obj_t BgL_l1194z00_8435;
BgL_l1194z00_8435 = 
CDR(BgL_l1194z00_3131); 
BgL_l1194z00_3131 = BgL_l1194z00_8435; 
goto BgL_zc3z04anonymousza32024ze3z87_3130;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1284 */((bool_t)0); } } } } 
{ 
 obj_t BgL_l1285z00_8437;
BgL_l1285z00_8437 = 
CDR(BgL_l1285z00_1323); 
BgL_l1285z00_1323 = BgL_l1285z00_8437; 
goto BgL_zc3z04anonymousza32225ze3z87_1324;} }  else 
{ /* Llib/mpd.scm 1279 */
return ((bool_t)1);} } } } } } } } 

}



/* &<@anonymous:2239> */
obj_t BGl_z62zc3z04anonymousza32239ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4675, obj_t BgL_s1z00_4676, obj_t BgL_s2z00_4677)
{
{ /* Llib/mpd.scm 1273 */
{ /* Llib/mpd.scm 1274 */
 bool_t BgL_tmpz00_8439;
{ /* Llib/mpd.scm 1274 */
 int BgL_arg2240z00_5360;
{ /* Llib/mpd.scm 1274 */

BgL_arg2240z00_5360 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4676, BgL_s2z00_4677, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8439 = 
(
(long)(BgL_arg2240z00_5360)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8439);} } 

}



/* getinfofile */
obj_t BGl_getinfofilez00zz__multimediazd2mpdzd2(obj_t BgL_dbz00_406, obj_t BgL_filez00_407, obj_t BgL_artistz00_408, obj_t BgL_albumz00_409, obj_t BgL_imagez00_410)
{
{ /* Llib/mpd.scm 1444 */
{ 
 obj_t BgL_filez00_1450; obj_t BgL_tagz00_1451; obj_t BgL_filez00_1430; obj_t BgL_dtz00_1416;
{ /* Llib/mpd.scm 1477 */
 bool_t BgL_test3613z00_8446;
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_407)))
{ /* Llib/mpd.scm 1477 */
BgL_test3613z00_8446 = 
bgl_directoryp(
BSTRING_TO_STRING(BgL_filez00_407))
; }  else 
{ /* Llib/mpd.scm 1477 */
BgL_test3613z00_8446 = ((bool_t)1)
; } 
if(BgL_test3613z00_8446)
{ /* Llib/mpd.scm 1478 */
 obj_t BgL_arg2245z00_1383;
{ /* Llib/mpd.scm 1478 */
 obj_t BgL_arg2246z00_1384;
{ /* Llib/mpd.scm 1478 */
 obj_t BgL_arg2247z00_1385;
if(
bigloo_strcmp_at(BgL_filez00_407, BGl_string3002z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_arg2247z00_1385 = BgL_filez00_407; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_arg2247z00_1385 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_407, BgL_dbz00_406); } 
BgL_arg2246z00_1384 = 
MAKE_YOUNG_PAIR(BgL_arg2247z00_1385, BNIL); } 
BgL_arg2245z00_1383 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)82)), BgL_arg2246z00_1384); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2245z00_1383, BNIL);}  else 
{ /* Llib/mpd.scm 1479 */
 obj_t BgL_tagz00_1386; obj_t BgL_infoz00_1387; obj_t BgL_dtz00_1388; obj_t BgL_imgz00_1389;
BgL_tagz00_1386 = 
BGl_filezd2musictagzd2zz__multimediazd2id3zd2(BgL_filez00_407); 
BgL_infoz00_1387 = 
BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(BgL_filez00_407); 
BgL_dtz00_1388 = 
bgl_seconds_to_date(
bgl_last_modification_time(
BSTRING_TO_STRING(BgL_filez00_407))); 
if(
STRINGP(BgL_imagez00_410))
{ /* Llib/mpd.scm 1482 */
BgL_imgz00_1389 = 
BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(
BGl_dirnamez00zz__osz00(BgL_filez00_407)); }  else 
{ /* Llib/mpd.scm 1482 */
BgL_imgz00_1389 = BFALSE; } 
{ /* Llib/mpd.scm 1483 */
 obj_t BgL_arg2248z00_1390; obj_t BgL_arg2249z00_1391;
{ /* Llib/mpd.scm 1483 */
 obj_t BgL_arg2250z00_1392;
{ /* Llib/mpd.scm 1483 */
 obj_t BgL_arg2251z00_1393;
if(
bigloo_strcmp_at(BgL_filez00_407, BGl_string3002z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_arg2251z00_1393 = BgL_filez00_407; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_arg2251z00_1393 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_407, BgL_dbz00_406); } 
BgL_arg2250z00_1392 = 
MAKE_YOUNG_PAIR(BgL_arg2251z00_1393, BNIL); } 
BgL_arg2248z00_1390 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)82)), BgL_arg2250z00_1392); } 
{ /* Llib/mpd.scm 1484 */
 obj_t BgL_arg2252z00_1394; obj_t BgL_arg2253z00_1395;
{ /* Llib/mpd.scm 1484 */
 obj_t BgL_arg2254z00_1396;
{ /* Llib/mpd.scm 1484 */
 obj_t BgL_tmpz00_8474;
BgL_dtz00_1416 = BgL_dtz00_1388; 
{ /* Llib/mpd.scm 1448 */
 int BgL_arg2273z00_1418; int BgL_arg2274z00_1419; int BgL_arg2275z00_1420; int BgL_arg2276z00_1421; int BgL_arg2277z00_1422; int BgL_arg2278z00_1423;
BgL_arg2273z00_1418 = 
BGL_DATE_YEAR(BgL_dtz00_1416); 
BgL_arg2274z00_1419 = 
BGL_DATE_MONTH(BgL_dtz00_1416); 
BgL_arg2275z00_1420 = 
BGL_DATE_DAY(BgL_dtz00_1416); 
BgL_arg2276z00_1421 = 
BGL_DATE_HOUR(BgL_dtz00_1416); 
BgL_arg2277z00_1422 = 
BGL_DATE_MINUTE(BgL_dtz00_1416); 
BgL_arg2278z00_1423 = 
BGL_DATE_SECOND(BgL_dtz00_1416); 
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_list2279z00_1424;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2280z00_1425;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2281z00_1426;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2282z00_1427;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2283z00_1428;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2284z00_1429;
BgL_arg2284z00_1429 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2278z00_1423), BNIL); 
BgL_arg2283z00_1428 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2277z00_1422), BgL_arg2284z00_1429); } 
BgL_arg2282z00_1427 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2276z00_1421), BgL_arg2283z00_1428); } 
BgL_arg2281z00_1426 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2275z00_1420), BgL_arg2282z00_1427); } 
BgL_arg2280z00_1425 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2274z00_1419), BgL_arg2281z00_1426); } 
BgL_list2279z00_1424 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2273z00_1418), BgL_arg2280z00_1425); } 
BgL_tmpz00_8474 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3032z00zz__multimediazd2mpdzd2, BgL_list2279z00_1424); } } 
BgL_arg2254z00_1396 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_8474, BNIL); } 
BgL_arg2252z00_1394 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)83)), BgL_arg2254z00_1396); } 
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_arg2256z00_1398; obj_t BgL_arg2257z00_1399;
{ /* Llib/mpd.scm 1485 */
 bool_t BgL_test3618z00_8497;
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_classz00_3166;
BgL_classz00_3166 = BGl_musicinfoz00zz__multimediazd2id3zd2; 
if(
BGL_OBJECTP(BgL_infoz00_1387))
{ /* Llib/mpd.scm 1485 */
 BgL_objectz00_bglt BgL_arg1797z00_3168;
BgL_arg1797z00_3168 = 
(BgL_objectz00_bglt)(BgL_infoz00_1387); 
{ /* Llib/mpd.scm 1485 */
 bool_t BgL_arg1794z00_3171; bool_t BgL_arg1795z00_3172;
{ /* Llib/mpd.scm 1485 */
 long BgL_idxz00_3175;
BgL_idxz00_3175 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_3168); 
BgL_arg1794z00_3171 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3175+((long)1)))==BgL_classz00_3166); } 
{ /* Llib/mpd.scm 1485 */
 bool_t BgL_res2759z00_3197;
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_oclassz00_3183;
{ /* Llib/mpd.scm 1485 */
 long BgL_arg1804z00_3189;
{ /* Llib/mpd.scm 1485 */
 long BgL_arg1805z00_3190;
BgL_arg1805z00_3190 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_3168); 
BgL_arg1804z00_3189 = 
(BgL_arg1805z00_3190-OBJECT_TYPE); } 
BgL_oclassz00_3183 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3189); } 
{ /* Llib/mpd.scm 1485 */
 bool_t BgL__ortest_1111z00_3184;
BgL__ortest_1111z00_3184 = 
(BgL_classz00_3166==BgL_oclassz00_3183); 
if(BgL__ortest_1111z00_3184)
{ /* Llib/mpd.scm 1485 */
BgL_res2759z00_3197 = BgL__ortest_1111z00_3184; }  else 
{ /* Llib/mpd.scm 1485 */
 long BgL_odepthz00_3185;
BgL_odepthz00_3185 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3183); 
if(
(((long)1)<BgL_odepthz00_3185))
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_arg1793z00_3187;
BgL_arg1793z00_3187 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3183, ((long)1)); 
BgL_res2759z00_3197 = 
(BgL_arg1793z00_3187==BgL_classz00_3166); }  else 
{ /* Llib/mpd.scm 1485 */
BgL_res2759z00_3197 = ((bool_t)0); } } } } 
BgL_arg1795z00_3172 = BgL_res2759z00_3197; } 
BgL_test3618z00_8497 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3171, BgL_arg1795z00_3172); } }  else 
{ /* Llib/mpd.scm 1485 */
BgL_test3618z00_8497 = ((bool_t)0)
; } } 
if(BgL_test3618z00_8497)
{ /* Llib/mpd.scm 1487 */
 obj_t BgL_arg2259z00_1402;
{ /* Llib/mpd.scm 1487 */
 obj_t BgL_arg2260z00_1403;
{ /* Llib/mpd.scm 1487 */
 long BgL_arg2261z00_1404;
BgL_arg2261z00_1404 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_infoz00_1387)))->BgL_durationz00); 
BgL_arg2260z00_1403 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2261z00_1404), BNIL); } 
BgL_arg2259z00_1402 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)84)), BgL_arg2260z00_1403); } 
BgL_arg2256z00_1398 = 
MAKE_YOUNG_PAIR(BgL_arg2259z00_1402, BNIL); }  else 
{ /* Llib/mpd.scm 1485 */
BgL_arg2256z00_1398 = BNIL; } } 
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_arg2262z00_1405; obj_t BgL_arg2263z00_1406;
{ /* Llib/mpd.scm 1489 */
 bool_t BgL_test3622z00_8523;
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_classz00_3198;
BgL_classz00_3198 = BGl_musictagz00zz__multimediazd2id3zd2; 
if(
BGL_OBJECTP(BgL_tagz00_1386))
{ /* Llib/mpd.scm 1489 */
 BgL_objectz00_bglt BgL_arg1797z00_3200;
BgL_arg1797z00_3200 = 
(BgL_objectz00_bglt)(BgL_tagz00_1386); 
{ /* Llib/mpd.scm 1489 */
 bool_t BgL_arg1794z00_3203; bool_t BgL_arg1795z00_3204;
{ /* Llib/mpd.scm 1489 */
 long BgL_idxz00_3207;
BgL_idxz00_3207 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_3200); 
BgL_arg1794z00_3203 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3207+((long)1)))==BgL_classz00_3198); } 
{ /* Llib/mpd.scm 1489 */
 bool_t BgL_res2760z00_3229;
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_oclassz00_3215;
{ /* Llib/mpd.scm 1489 */
 long BgL_arg1804z00_3221;
{ /* Llib/mpd.scm 1489 */
 long BgL_arg1805z00_3222;
BgL_arg1805z00_3222 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_3200); 
BgL_arg1804z00_3221 = 
(BgL_arg1805z00_3222-OBJECT_TYPE); } 
BgL_oclassz00_3215 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3221); } 
{ /* Llib/mpd.scm 1489 */
 bool_t BgL__ortest_1111z00_3216;
BgL__ortest_1111z00_3216 = 
(BgL_classz00_3198==BgL_oclassz00_3215); 
if(BgL__ortest_1111z00_3216)
{ /* Llib/mpd.scm 1489 */
BgL_res2760z00_3229 = BgL__ortest_1111z00_3216; }  else 
{ /* Llib/mpd.scm 1489 */
 long BgL_odepthz00_3217;
BgL_odepthz00_3217 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3215); 
if(
(((long)1)<BgL_odepthz00_3217))
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_arg1793z00_3219;
BgL_arg1793z00_3219 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3215, ((long)1)); 
BgL_res2760z00_3229 = 
(BgL_arg1793z00_3219==BgL_classz00_3198); }  else 
{ /* Llib/mpd.scm 1489 */
BgL_res2760z00_3229 = ((bool_t)0); } } } } 
BgL_arg1795z00_3204 = BgL_res2760z00_3229; } 
BgL_test3622z00_8523 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3203, BgL_arg1795z00_3204); } }  else 
{ /* Llib/mpd.scm 1489 */
BgL_test3622z00_8523 = ((bool_t)0)
; } } 
if(BgL_test3622z00_8523)
{ /* Llib/mpd.scm 1489 */
BgL_filez00_1450 = BgL_filez00_407; 
BgL_tagz00_1451 = BgL_tagz00_1386; 
{ /* Llib/mpd.scm 1461 */
 obj_t BgL_dirz00_1454;
BgL_dirz00_1454 = 
BGl_dirnamez00zz__osz00(BgL_filez00_1450); 
{ /* Llib/mpd.scm 1461 */
 obj_t BgL_atz00_1455;
if(
CBOOL(BgL_artistz00_408))
{ /* Llib/mpd.scm 1462 */
BgL_atz00_1455 = BgL_artistz00_408; }  else 
{ /* Llib/mpd.scm 1462 */
if(
bigloo_strcicmp(
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_artistz00), BGl_string3033z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1463 */
BgL_atz00_1455 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1454))); }  else 
{ /* Llib/mpd.scm 1463 */
BgL_atz00_1455 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_artistz00); } } 
{ /* Llib/mpd.scm 1462 */
 obj_t BgL_alz00_1456;
if(
CBOOL(BgL_albumz00_409))
{ /* Llib/mpd.scm 1466 */
BgL_alz00_1456 = BgL_albumz00_409; }  else 
{ /* Llib/mpd.scm 1466 */
if(
bigloo_strcicmp(
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_albumz00), BGl_string3034z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1467 */
BgL_alz00_1456 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_1454)); }  else 
{ /* Llib/mpd.scm 1467 */
BgL_alz00_1456 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_albumz00); } } 
{ /* Llib/mpd.scm 1466 */

{ /* Llib/mpd.scm 1470 */
 obj_t BgL_arg2302z00_1457; obj_t BgL_arg2303z00_1458;
{ /* Llib/mpd.scm 1470 */
 obj_t BgL_arg2304z00_1459;
BgL_arg2304z00_1459 = 
MAKE_YOUNG_PAIR(BgL_atz00_1455, BNIL); 
BgL_arg2302z00_1457 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg2304z00_1459); } 
{ /* Llib/mpd.scm 1471 */
 obj_t BgL_arg2305z00_1460; obj_t BgL_arg2306z00_1461;
{ /* Llib/mpd.scm 1471 */
 obj_t BgL_arg2307z00_1462;
{ /* Llib/mpd.scm 1471 */
 obj_t BgL_arg2308z00_1463;
BgL_arg2308z00_1463 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_titlez00); 
BgL_arg2307z00_1462 = 
MAKE_YOUNG_PAIR(BgL_arg2308z00_1463, BNIL); } 
BgL_arg2305z00_1460 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)77)), BgL_arg2307z00_1462); } 
{ /* Llib/mpd.scm 1472 */
 obj_t BgL_arg2309z00_1464; obj_t BgL_arg2310z00_1465;
{ /* Llib/mpd.scm 1472 */
 obj_t BgL_arg2311z00_1466;
BgL_arg2311z00_1466 = 
MAKE_YOUNG_PAIR(BgL_alz00_1456, BNIL); 
BgL_arg2309z00_1464 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)78)), BgL_arg2311z00_1466); } 
{ /* Llib/mpd.scm 1473 */
 obj_t BgL_arg2312z00_1467; obj_t BgL_arg2313z00_1468;
{ /* Llib/mpd.scm 1473 */
 obj_t BgL_arg2314z00_1469;
{ /* Llib/mpd.scm 1473 */
 int BgL_arg2315z00_1470;
BgL_arg2315z00_1470 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_trackz00); 
BgL_arg2314z00_1469 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2315z00_1470), BNIL); } 
BgL_arg2312z00_1467 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)79)), BgL_arg2314z00_1469); } 
{ /* Llib/mpd.scm 1474 */
 obj_t BgL_arg2316z00_1471; obj_t BgL_arg2317z00_1472;
{ /* Llib/mpd.scm 1474 */
 obj_t BgL_arg2318z00_1473;
{ /* Llib/mpd.scm 1474 */
 int BgL_arg2319z00_1474;
BgL_arg2319z00_1474 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_yearz00); 
BgL_arg2318z00_1473 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2319z00_1474), BNIL); } 
BgL_arg2316z00_1471 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)80)), BgL_arg2318z00_1473); } 
{ /* Llib/mpd.scm 1475 */
 obj_t BgL_arg2320z00_1475;
{ /* Llib/mpd.scm 1475 */
 obj_t BgL_arg2321z00_1476;
{ /* Llib/mpd.scm 1475 */
 obj_t BgL_arg2322z00_1477;
BgL_arg2322z00_1477 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1451)))->BgL_genrez00); 
BgL_arg2321z00_1476 = 
MAKE_YOUNG_PAIR(BgL_arg2322z00_1477, BNIL); } 
BgL_arg2320z00_1475 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)81)), BgL_arg2321z00_1476); } 
BgL_arg2317z00_1472 = 
MAKE_YOUNG_PAIR(BgL_arg2320z00_1475, BNIL); } 
BgL_arg2313z00_1468 = 
MAKE_YOUNG_PAIR(BgL_arg2316z00_1471, BgL_arg2317z00_1472); } 
BgL_arg2310z00_1465 = 
MAKE_YOUNG_PAIR(BgL_arg2312z00_1467, BgL_arg2313z00_1468); } 
BgL_arg2306z00_1461 = 
MAKE_YOUNG_PAIR(BgL_arg2309z00_1464, BgL_arg2310z00_1465); } 
BgL_arg2303z00_1458 = 
MAKE_YOUNG_PAIR(BgL_arg2305z00_1460, BgL_arg2306z00_1461); } 
BgL_arg2262z00_1405 = 
MAKE_YOUNG_PAIR(BgL_arg2302z00_1457, BgL_arg2303z00_1458); } } } } } }  else 
{ /* Llib/mpd.scm 1489 */
BgL_filez00_1430 = BgL_filez00_407; 
{ /* Llib/mpd.scm 1452 */
 obj_t BgL_dirz00_1432;
BgL_dirz00_1432 = 
BGl_dirnamez00zz__osz00(BgL_filez00_1430); 
{ /* Llib/mpd.scm 1453 */
 obj_t BgL_arg2286z00_1433; obj_t BgL_arg2287z00_1434;
{ /* Llib/mpd.scm 1453 */
 obj_t BgL_arg2288z00_1435;
{ /* Llib/mpd.scm 1453 */
 obj_t BgL_arg2289z00_1436;
if(
CBOOL(BgL_artistz00_408))
{ /* Llib/mpd.scm 1453 */
BgL_arg2289z00_1436 = BgL_artistz00_408; }  else 
{ /* Llib/mpd.scm 1453 */
BgL_arg2289z00_1436 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1432))); } 
BgL_arg2288z00_1435 = 
MAKE_YOUNG_PAIR(BgL_arg2289z00_1436, BNIL); } 
BgL_arg2286z00_1433 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg2288z00_1435); } 
{ /* Llib/mpd.scm 1454 */
 obj_t BgL_arg2292z00_1440; obj_t BgL_arg2293z00_1441;
{ /* Llib/mpd.scm 1454 */
 obj_t BgL_arg2294z00_1442;
BgL_arg2294z00_1442 = 
MAKE_YOUNG_PAIR(
BGl_prefixz00zz__osz00(
BGl_basenamez00zz__osz00(BgL_filez00_1430)), BNIL); 
BgL_arg2292z00_1440 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)77)), BgL_arg2294z00_1442); } 
{ /* Llib/mpd.scm 1455 */
 obj_t BgL_arg2297z00_1445;
{ /* Llib/mpd.scm 1455 */
 obj_t BgL_arg2298z00_1446;
{ /* Llib/mpd.scm 1455 */
 obj_t BgL_arg2299z00_1447;
if(
CBOOL(BgL_albumz00_409))
{ /* Llib/mpd.scm 1455 */
BgL_arg2299z00_1447 = BgL_albumz00_409; }  else 
{ /* Llib/mpd.scm 1455 */
BgL_arg2299z00_1447 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_1432)); } 
BgL_arg2298z00_1446 = 
MAKE_YOUNG_PAIR(BgL_arg2299z00_1447, BNIL); } 
BgL_arg2297z00_1445 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)78)), BgL_arg2298z00_1446); } 
BgL_arg2293z00_1441 = 
MAKE_YOUNG_PAIR(BgL_arg2297z00_1445, BNIL); } 
BgL_arg2287z00_1434 = 
MAKE_YOUNG_PAIR(BgL_arg2292z00_1440, BgL_arg2293z00_1441); } 
BgL_arg2262z00_1405 = 
MAKE_YOUNG_PAIR(BgL_arg2286z00_1433, BgL_arg2287z00_1434); } } } } 
{ /* Llib/mpd.scm 1492 */
 obj_t BgL_arg2265z00_1408;
if(
STRINGP(BgL_imgz00_1389))
{ /* Llib/mpd.scm 1493 */
 obj_t BgL_arg2267z00_1410;
{ /* Llib/mpd.scm 1493 */
 obj_t BgL_arg2268z00_1411;
BgL_arg2268z00_1411 = 
MAKE_YOUNG_PAIR(BgL_imgz00_1389, BNIL); 
BgL_arg2267z00_1410 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)85)), BgL_arg2268z00_1411); } 
BgL_arg2265z00_1408 = 
MAKE_YOUNG_PAIR(BgL_arg2267z00_1410, BNIL); }  else 
{ /* Llib/mpd.scm 1492 */
BgL_arg2265z00_1408 = BNIL; } 
BgL_arg2263z00_1406 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2265z00_1408, BNIL); } 
BgL_arg2257z00_1399 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2262z00_1405, BgL_arg2263z00_1406); } 
BgL_arg2253z00_1395 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2256z00_1398, BgL_arg2257z00_1399); } 
BgL_arg2249z00_1391 = 
MAKE_YOUNG_PAIR(BgL_arg2252z00_1394, BgL_arg2253z00_1395); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2248z00_1390, BgL_arg2249z00_1391);} } } } } 

}



/* loop~3 */
obj_t BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_5003, obj_t BgL_albumz00_5002, bool_t BgL_artistz00_5001, obj_t BgL_dirz00_1493)
{
{ /* Llib/mpd.scm 1500 */
{ /* Llib/mpd.scm 1501 */
 obj_t BgL_artistz00_1495; obj_t BgL_albumz00_1496;
if(BgL_artistz00_5001)
{ /* Llib/mpd.scm 1501 */
BgL_artistz00_1495 = 
BBOOL(BgL_artistz00_5001); }  else 
{ /* Llib/mpd.scm 1501 */
BgL_artistz00_1495 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1493)); } 
if(
CBOOL(BgL_albumz00_5002))
{ /* Llib/mpd.scm 1502 */
BgL_albumz00_1496 = BgL_albumz00_5002; }  else 
{ /* Llib/mpd.scm 1502 */
BgL_albumz00_1496 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1493); } 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_l1326z00_1497;
BgL_l1326z00_1497 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3035z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_1493))); 
if(
NULLP(BgL_l1326z00_1497))
{ /* Llib/mpd.scm 1503 */
return BNIL;}  else 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_head1328z00_1499;
BgL_head1328z00_1499 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1326z00_1501; obj_t BgL_tail1329z00_1502;
BgL_l1326z00_1501 = BgL_l1326z00_1497; 
BgL_tail1329z00_1502 = BgL_head1328z00_1499; 
BgL_zc3z04anonymousza32334ze3z87_1503:
if(
NULLP(BgL_l1326z00_1501))
{ /* Llib/mpd.scm 1503 */
return 
CDR(BgL_head1328z00_1499);}  else 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_newtail1330z00_1505;
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_arg2337z00_1507;
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_fz00_1508;
BgL_fz00_1508 = 
CAR(
((obj_t)BgL_l1326z00_1501)); 
{ /* Llib/mpd.scm 1504 */
 obj_t BgL_pz00_1509;
BgL_pz00_1509 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1493, BgL_fz00_1508); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1509)))
{ /* Llib/mpd.scm 1506 */
BgL_arg2337z00_1507 = 
BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_dbz00_5003, BgL_albumz00_5002, BgL_artistz00_5001, BgL_pz00_1509); }  else 
{ /* Llib/mpd.scm 1506 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1509, 
((obj_t)BgL_dbz00_5003)))
{ /* Llib/mpd.scm 1509 */

BgL_arg2337z00_1507 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_5003), BgL_pz00_1509, BgL_artistz00_1495, BgL_albumz00_1496, BFALSE); }  else 
{ /* Llib/mpd.scm 1508 */
BgL_arg2337z00_1507 = BFALSE; } } } } 
BgL_newtail1330z00_1505 = 
MAKE_YOUNG_PAIR(BgL_arg2337z00_1507, BNIL); } 
SET_CDR(BgL_tail1329z00_1502, BgL_newtail1330z00_1505); 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_arg2336z00_1506;
BgL_arg2336z00_1506 = 
CDR(
((obj_t)BgL_l1326z00_1501)); 
{ 
 obj_t BgL_tail1329z00_8666; obj_t BgL_l1326z00_8665;
BgL_l1326z00_8665 = BgL_arg2336z00_1506; 
BgL_tail1329z00_8666 = BgL_newtail1330z00_1505; 
BgL_tail1329z00_1502 = BgL_tail1329z00_8666; 
BgL_l1326z00_1501 = BgL_l1326z00_8665; 
goto BgL_zc3z04anonymousza32334ze3z87_1503;} } } } } } } } 

}



/* &<@anonymous:2342> */
obj_t BGl_z62zc3z04anonymousza32342ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4679, obj_t BgL_s1z00_4680, obj_t BgL_s2z00_4681)
{
{ /* Llib/mpd.scm 1510 */
{ /* Llib/mpd.scm 1511 */
 bool_t BgL_tmpz00_8667;
{ /* Llib/mpd.scm 1511 */
 int BgL_arg2343z00_5361;
{ /* Llib/mpd.scm 1511 */

BgL_arg2343z00_5361 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4680, BgL_s2z00_4681, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8667 = 
(
(long)(BgL_arg2343z00_5361)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8667);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2348z00_1536; obj_t BgL_arg2349z00_1537;
{ /* Llib/mpd.scm 20 */
 obj_t BgL_v1331z00_1559;
BgL_v1331z00_1559 = 
create_vector(((long)11)); 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2356z00_1560;
BgL_arg2356z00_1560 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc3038z00zz__multimediazd2mpdzd2, BGl_proc3037z00zz__multimediazd2mpdzd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3036z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1331z00_1559,((long)0),BgL_arg2356z00_1560); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2363z00_1573;
BgL_arg2363z00_1573 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)88)), BGl_proc3041z00zz__multimediazd2mpdzd2, BGl_proc3040z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3039z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1331z00_1559,((long)1),BgL_arg2363z00_1573); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2370z00_1586;
BgL_arg2370z00_1586 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)89)), BGl_proc3044z00zz__multimediazd2mpdzd2, BGl_proc3043z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3042z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)90))); 
VECTOR_SET(BgL_v1331z00_1559,((long)2),BgL_arg2370z00_1586); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2377z00_1599;
BgL_arg2377z00_1599 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)91)), BGl_proc3047z00zz__multimediazd2mpdzd2, BGl_proc3046z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3045z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1331z00_1559,((long)3),BgL_arg2377z00_1599); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2384z00_1612;
BgL_arg2384z00_1612 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)92)), BGl_proc3050z00zz__multimediazd2mpdzd2, BGl_proc3049z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3048z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1331z00_1559,((long)4),BgL_arg2384z00_1612); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2391z00_1625;
BgL_arg2391z00_1625 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)93)), BGl_proc3053z00zz__multimediazd2mpdzd2, BGl_proc3052z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3051z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1331z00_1559,((long)5),BgL_arg2391z00_1625); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2398z00_1638;
BgL_arg2398z00_1638 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)94)), BGl_proc3056z00zz__multimediazd2mpdzd2, BGl_proc3055z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3054z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)95))); 
VECTOR_SET(BgL_v1331z00_1559,((long)6),BgL_arg2398z00_1638); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2405z00_1651;
BgL_arg2405z00_1651 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)96)), BGl_proc3059z00zz__multimediazd2mpdzd2, BGl_proc3058z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3057z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)97))); 
VECTOR_SET(BgL_v1331z00_1559,((long)7),BgL_arg2405z00_1651); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2412z00_1664;
BgL_arg2412z00_1664 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)98)), BGl_proc3062z00zz__multimediazd2mpdzd2, BGl_proc3061z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3060z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)97))); 
VECTOR_SET(BgL_v1331z00_1559,((long)8),BgL_arg2412z00_1664); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2419z00_1677;
BgL_arg2419z00_1677 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)99)), BGl_proc3065z00zz__multimediazd2mpdzd2, BGl_proc3064z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3063z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)95))); 
VECTOR_SET(BgL_v1331z00_1559,((long)9),BgL_arg2419z00_1677); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2426z00_1690;
BgL_arg2426z00_1690 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)100)), BGl_proc3068z00zz__multimediazd2mpdzd2, BGl_proc3067z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3066z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)95))); 
VECTOR_SET(BgL_v1331z00_1559,((long)10),BgL_arg2426z00_1690); } 
BgL_arg2348z00_1536 = BgL_v1331z00_1559; } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_v1332z00_1703;
BgL_v1332z00_1703 = 
create_vector(((long)0)); 
BgL_arg2349z00_1537 = BgL_v1332z00_1703; } 
return ( 
BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)101)), 
CNST_TABLE_REF(((long)102)), BGl_objectz00zz__objectz00, ((long)35653), BGl_proc3071z00zz__multimediazd2mpdzd2, BGl_proc3070z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BGl_proc3069z00zz__multimediazd2mpdzd2, BFALSE, BgL_arg2348z00_1536, BgL_arg2349z00_1537), BUNSPEC) ;} } 

}



/* &<@anonymous:2355> */
obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4718, obj_t BgL_new1066z00_4719)
{
{ /* Llib/mpd.scm 20 */
{ 
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_8723;
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_directoriesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_suffixesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52basez52)=((obj_t)BGl_string2962z00zz__multimediazd2mpdzd2),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52artistsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52albumsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52genresz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52nartistsz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52nalbumsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52nsongsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52uptimez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719)))->BgL_z52dbzd2updatez80)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_8723 = 
((BgL_mpdzd2databasezd2_bglt)BgL_new1066z00_4719); 
return 
((obj_t)BgL_auxz00_8723);} } 

}



/* &lambda2353 */
BgL_mpdzd2databasezd2_bglt BGl_z62lambda2353z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4720)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 BgL_mpdzd2databasezd2_bglt BgL_new1065z00_5363;
BgL_new1065z00_5363 = 
((BgL_mpdzd2databasezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpdzd2databasezd2_bgl) ))); 
{ /* Llib/mpd.scm 20 */
 long BgL_arg2354z00_5364;
BgL_arg2354z00_5364 = 
BGL_CLASS_NUM(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_5363), BgL_arg2354z00_5364); } 
return BgL_new1065z00_5363;} } 

}



/* &lambda2350 */
BgL_mpdzd2databasezd2_bglt BGl_z62lambda2350z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4721, obj_t BgL_directories1054z00_4722, obj_t BgL_suffixes1055z00_4723, obj_t BgL_z52base1056z52_4724, obj_t BgL_z52artists1057z52_4725, obj_t BgL_z52albums1058z52_4726, obj_t BgL_z52genres1059z52_4727, obj_t BgL_z52nartists1060z52_4728, obj_t BgL_z52nalbums1061z52_4729, obj_t BgL_z52nsongs1062z52_4730, obj_t BgL_z52uptime1063z52_4731, obj_t BgL_z52dbzd2update1064z80_4732)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 int BgL_z52nalbums1061z52_5371; int BgL_z52nsongs1062z52_5372;
BgL_z52nalbums1061z52_5371 = 
CINT(BgL_z52nalbums1061z52_4729); 
BgL_z52nsongs1062z52_5372 = 
CINT(BgL_z52nsongs1062z52_4730); 
{ /* Llib/mpd.scm 20 */
 BgL_mpdzd2databasezd2_bglt BgL_new1184z00_5373;
{ /* Llib/mpd.scm 20 */
 BgL_mpdzd2databasezd2_bglt BgL_new1183z00_5374;
BgL_new1183z00_5374 = 
((BgL_mpdzd2databasezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpdzd2databasezd2_bgl) ))); 
{ /* Llib/mpd.scm 20 */
 long BgL_arg2352z00_5375;
BgL_arg2352z00_5375 = 
BGL_CLASS_NUM(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_5374), BgL_arg2352z00_5375); } 
BgL_new1184z00_5373 = BgL_new1183z00_5374; } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_directoriesz00)=((obj_t)
((obj_t)BgL_directories1054z00_4722)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_suffixesz00)=((obj_t)
((obj_t)BgL_suffixes1055z00_4723)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52basez52)=((obj_t)
((obj_t)BgL_z52base1056z52_4724)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52artistsz52)=((obj_t)
((obj_t)BgL_z52artists1057z52_4725)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52albumsz52)=((obj_t)
((obj_t)BgL_z52albums1058z52_4726)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52genresz52)=((obj_t)
((obj_t)BgL_z52genres1059z52_4727)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52nartistsz52)=((obj_t)BgL_z52nartists1060z52_4728),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52nalbumsz52)=((int)BgL_z52nalbums1061z52_5371),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52nsongsz52)=((int)BgL_z52nsongs1062z52_5372),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52uptimez52)=((obj_t)BgL_z52uptime1063z52_4731),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1184z00_5373))->BgL_z52dbzd2updatez80)=((obj_t)BgL_z52dbzd2update1064z80_4732),BUNSPEC); 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_fun2351z00_5376;
BgL_fun2351z00_5376 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
PROCEDURE_ENTRY(BgL_fun2351z00_5376)(BgL_fun2351z00_5376, 
((obj_t)BgL_new1184z00_5373), BEOA); } 
return BgL_new1184z00_5373;} } } 

}



/* &<@anonymous:2432> */
obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4733)
{
{ /* Llib/mpd.scm 20 */
return BUNSPEC;} 

}



/* &lambda2431 */
obj_t BGl_z62lambda2431z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4734, obj_t BgL_oz00_4735, obj_t BgL_vz00_4736)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4735)))->BgL_z52dbzd2updatez80)=((obj_t)BgL_vz00_4736),BUNSPEC);} 

}



/* &lambda2430 */
obj_t BGl_z62lambda2430z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4737, obj_t BgL_oz00_4738)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4738)))->BgL_z52dbzd2updatez80);} 

}



/* &<@anonymous:2425> */
obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4739)
{
{ /* Llib/mpd.scm 20 */
return BUNSPEC;} 

}



/* &lambda2424 */
obj_t BGl_z62lambda2424z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4740, obj_t BgL_oz00_4741, obj_t BgL_vz00_4742)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4741)))->BgL_z52uptimez52)=((obj_t)BgL_vz00_4742),BUNSPEC);} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4743, obj_t BgL_oz00_4744)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4744)))->BgL_z52uptimez52);} 

}



/* &<@anonymous:2418> */
obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4745)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 

}



/* &lambda2417 */
obj_t BGl_z62lambda2417z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4746, obj_t BgL_oz00_4747, obj_t BgL_vz00_4748)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 int BgL_vz00_5382;
BgL_vz00_5382 = 
CINT(BgL_vz00_4748); 
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4747)))->BgL_z52nsongsz52)=((int)BgL_vz00_5382),BUNSPEC);} } 

}



/* &lambda2416 */
obj_t BGl_z62lambda2416z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4749, obj_t BgL_oz00_4750)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4750)))->BgL_z52nsongsz52));} 

}



/* &<@anonymous:2411> */
obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4751)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 

}



/* &lambda2410 */
obj_t BGl_z62lambda2410z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4752, obj_t BgL_oz00_4753, obj_t BgL_vz00_4754)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 int BgL_vz00_5385;
BgL_vz00_5385 = 
CINT(BgL_vz00_4754); 
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4753)))->BgL_z52nalbumsz52)=((int)BgL_vz00_5385),BUNSPEC);} } 

}



/* &lambda2409 */
obj_t BGl_z62lambda2409z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4755, obj_t BgL_oz00_4756)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4756)))->BgL_z52nalbumsz52));} 

}



/* &<@anonymous:2404> */
obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4757)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 

}



/* &lambda2403 */
obj_t BGl_z62lambda2403z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4758, obj_t BgL_oz00_4759, obj_t BgL_vz00_4760)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4759)))->BgL_z52nartistsz52)=((obj_t)BgL_vz00_4760),BUNSPEC);} 

}



/* &lambda2402 */
obj_t BGl_z62lambda2402z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4761, obj_t BgL_oz00_4762)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4762)))->BgL_z52nartistsz52);} 

}



/* &<@anonymous:2397> */
obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4763)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2396 */
obj_t BGl_z62lambda2396z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4764, obj_t BgL_oz00_4765, obj_t BgL_vz00_4766)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4765)))->BgL_z52genresz52)=((obj_t)
((obj_t)BgL_vz00_4766)),BUNSPEC);} 

}



/* &lambda2395 */
obj_t BGl_z62lambda2395z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4767, obj_t BgL_oz00_4768)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4768)))->BgL_z52genresz52);} 

}



/* &<@anonymous:2390> */
obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4769)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2389 */
obj_t BGl_z62lambda2389z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4770, obj_t BgL_oz00_4771, obj_t BgL_vz00_4772)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4771)))->BgL_z52albumsz52)=((obj_t)
((obj_t)BgL_vz00_4772)),BUNSPEC);} 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4773, obj_t BgL_oz00_4774)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4774)))->BgL_z52albumsz52);} 

}



/* &<@anonymous:2383> */
obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4775)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4776, obj_t BgL_oz00_4777, obj_t BgL_vz00_4778)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4777)))->BgL_z52artistsz52)=((obj_t)
((obj_t)BgL_vz00_4778)),BUNSPEC);} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4779, obj_t BgL_oz00_4780)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4780)))->BgL_z52artistsz52);} 

}



/* &<@anonymous:2376> */
obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4781)
{
{ /* Llib/mpd.scm 20 */
return BGl_string2968z00zz__multimediazd2mpdzd2;} 

}



/* &lambda2375 */
obj_t BGl_z62lambda2375z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4782, obj_t BgL_oz00_4783, obj_t BgL_vz00_4784)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4783)))->BgL_z52basez52)=((obj_t)
((obj_t)BgL_vz00_4784)),BUNSPEC);} 

}



/* &lambda2374 */
obj_t BGl_z62lambda2374z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4785, obj_t BgL_oz00_4786)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4786)))->BgL_z52basez52);} 

}



/* &<@anonymous:2369> */
obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4787)
{
{ /* Llib/mpd.scm 20 */
return 
CNST_TABLE_REF(((long)103));} 

}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4788, obj_t BgL_oz00_4789, obj_t BgL_vz00_4790)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4789)))->BgL_suffixesz00)=((obj_t)
((obj_t)BgL_vz00_4790)),BUNSPEC);} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4791, obj_t BgL_oz00_4792)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4792)))->BgL_suffixesz00);} 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4793)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4794, obj_t BgL_oz00_4795, obj_t BgL_vz00_4796)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4795)))->BgL_directoriesz00)=((obj_t)
((obj_t)BgL_vz00_4796)),BUNSPEC);} 

}



/* &lambda2360 */
obj_t BGl_z62lambda2360z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4797, obj_t BgL_oz00_4798)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4798)))->BgL_directoriesz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BGl_proc3072z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3073z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, BGl_proc3074z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3075z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, BGl_proc3076z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3077z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3078z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3079z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3080z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3081z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3082z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3083z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3084z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3085z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3086z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3087z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3088z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3089z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3090z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3091z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, BGl_proc3092z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3093z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, BGl_proc3094z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3095z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, BGl_proc3096z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3097z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3098z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3099z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3100z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3101z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, BGl_proc3102z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3103z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, BGl_proc3104z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3105z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3106z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3107z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3108z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3109z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3110z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3111z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3112z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3113z00zz__multimediazd2mpdzd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, BGl_proc3114z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3115z00zz__multimediazd2mpdzd2);} 

}



/* &mpd-database-get-alb1408 */
obj_t BGl_z62mpdzd2databasezd2getzd2alb1408zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4825, obj_t BgL_oz00_4826, obj_t BgL_albumz00_4827)
{
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1519 */
 obj_t BgL_cz00_5411;
BgL_cz00_5411 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_albumz00_4827, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4826)))->BgL_z52albumsz52)); 
if(
PAIRP(BgL_cz00_5411))
{ /* Llib/mpd.scm 1521 */
 obj_t BgL_dirz00_5413;
BgL_dirz00_5413 = 
CDR(BgL_cz00_5411); 
return 
BGl_loopze73ze7zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4826), BgL_albumz00_4827, ((bool_t)0), BgL_dirz00_5413);}  else 
{ /* Llib/mpd.scm 1520 */
return BFALSE;} } } 

}



/* &mpd-database-getarti1402 */
obj_t BGl_z62mpdzd2databasezd2getarti1402z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4828, obj_t BgL_oz00_4829, obj_t BgL_artistz00_4830)
{
{ /* Llib/mpd.scm 1431 */
if(
STRINGP(BgL_artistz00_4830))
{ /* Llib/mpd.scm 1434 */
 obj_t BgL_arg2686z00_5416;
BgL_arg2686z00_5416 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4829)))->BgL_z52albumsz52); 
{ /* Llib/mpd.scm 1435 */
 obj_t BgL_zc3z04anonymousza32688ze3z87_5417;
BgL_zc3z04anonymousza32688ze3z87_5417 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32688ze3ze5zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32688ze3z87_5417, 
(int)(((long)0)), BgL_artistz00_4830); 
{ /* Llib/mpd.scm 1434 */
 obj_t BgL_list2687z00_5418;
BgL_list2687z00_5418 = 
MAKE_YOUNG_PAIR(BgL_arg2686z00_5416, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza32688ze3z87_5417, BgL_list2687z00_5418);} } }  else 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_l1320z00_5419;
BgL_l1320z00_5419 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4829)))->BgL_z52albumsz52); 
if(
NULLP(BgL_l1320z00_5419))
{ /* Llib/mpd.scm 1439 */
return BNIL;}  else 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_head1322z00_5420;
BgL_head1322z00_5420 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1320z00_5422; obj_t BgL_tail1323z00_5423;
BgL_l1320z00_5422 = BgL_l1320z00_5419; 
BgL_tail1323z00_5423 = BgL_head1322z00_5420; 
BgL_zc3z04anonymousza32697ze3z87_5421:
if(
NULLP(BgL_l1320z00_5422))
{ /* Llib/mpd.scm 1439 */
return 
CDR(BgL_head1322z00_5420);}  else 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_newtail1324z00_5424;
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2700z00_5425;
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_az00_5426;
BgL_az00_5426 = 
CAR(
((obj_t)BgL_l1320z00_5422)); 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2701z00_5427;
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2702z00_5428;
BgL_arg2702z00_5428 = 
CAR(
((obj_t)BgL_az00_5426)); 
BgL_arg2701z00_5427 = 
MAKE_YOUNG_PAIR(BgL_arg2702z00_5428, BNIL); } 
BgL_arg2700z00_5425 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg2701z00_5427); } } 
BgL_newtail1324z00_5424 = 
MAKE_YOUNG_PAIR(BgL_arg2700z00_5425, BNIL); } 
SET_CDR(BgL_tail1323z00_5423, BgL_newtail1324z00_5424); 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2699z00_5429;
BgL_arg2699z00_5429 = 
CDR(
((obj_t)BgL_l1320z00_5422)); 
{ 
 obj_t BgL_tail1323z00_8902; obj_t BgL_l1320z00_8901;
BgL_l1320z00_8901 = BgL_arg2699z00_5429; 
BgL_tail1323z00_8902 = BgL_newtail1324z00_5424; 
BgL_tail1323z00_5423 = BgL_tail1323z00_8902; 
BgL_l1320z00_5422 = BgL_l1320z00_8901; 
goto BgL_zc3z04anonymousza32697ze3z87_5421;} } } } } } } 

}



/* &<@anonymous:2688> */
obj_t BGl_z62zc3z04anonymousza32688ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4831, obj_t BgL_cz00_4833)
{
{ /* Llib/mpd.scm 1434 */
{ /* Llib/mpd.scm 1435 */
 obj_t BgL_artistz00_4832;
BgL_artistz00_4832 = 
PROCEDURE_REF(BgL_envz00_4831, 
(int)(((long)0))); 
{ /* Llib/mpd.scm 1435 */
 obj_t BgL_dirz00_5430;
BgL_dirz00_5430 = 
CDR(
((obj_t)BgL_cz00_4833)); 
{ /* Llib/mpd.scm 1436 */
 bool_t BgL_test3643z00_8907;
{ /* Llib/mpd.scm 1436 */
 obj_t BgL_arg2694z00_5431;
BgL_arg2694z00_5431 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5430)); 
{ /* Llib/mpd.scm 1436 */
 long BgL_l1z00_5432;
BgL_l1z00_5432 = 
STRING_LENGTH(BgL_arg2694z00_5431); 
if(
(BgL_l1z00_5432==
STRING_LENGTH(
((obj_t)BgL_artistz00_4832))))
{ /* Llib/mpd.scm 1436 */
 int BgL_arg1289z00_5433;
{ /* Llib/mpd.scm 1436 */
 char * BgL_auxz00_8917; char * BgL_tmpz00_8915;
BgL_auxz00_8917 = 
BSTRING_TO_STRING(
((obj_t)BgL_artistz00_4832)); 
BgL_tmpz00_8915 = 
BSTRING_TO_STRING(BgL_arg2694z00_5431); 
BgL_arg1289z00_5433 = 
memcmp(BgL_tmpz00_8915, BgL_auxz00_8917, BgL_l1z00_5432); } 
BgL_test3643z00_8907 = 
(
(long)(BgL_arg1289z00_5433)==((long)0)); }  else 
{ /* Llib/mpd.scm 1436 */
BgL_test3643z00_8907 = ((bool_t)0)
; } } } 
if(BgL_test3643z00_8907)
{ /* Llib/mpd.scm 1437 */
 obj_t BgL_arg2692z00_5434;
{ /* Llib/mpd.scm 1437 */
 obj_t BgL_arg2693z00_5435;
BgL_arg2693z00_5435 = 
CAR(
((obj_t)BgL_cz00_4833)); 
BgL_arg2692z00_5434 = 
MAKE_YOUNG_PAIR(BgL_arg2693z00_5435, BNIL); } 
return 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg2692z00_5434);}  else 
{ /* Llib/mpd.scm 1436 */
return BFALSE;} } } } } 

}



/* &mpd-database-getgenr1400 */
obj_t BGl_z62mpdzd2databasezd2getgenr1400z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4834, obj_t BgL_oz00_4835, obj_t BgL_genrez00_4836)
{
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_hook1318z00_5437;
BgL_hook1318z00_5437 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_g1319z00_5438;
BgL_g1319z00_5438 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4835)))->BgL_z52artistsz52); 
{ 
 obj_t BgL_l1315z00_5440; obj_t BgL_h1316z00_5441;
BgL_l1315z00_5440 = BgL_g1319z00_5438; 
BgL_h1316z00_5441 = BgL_hook1318z00_5437; 
BgL_zc3z04anonymousza32673ze3z87_5439:
if(
NULLP(BgL_l1315z00_5440))
{ /* Llib/mpd.scm 1423 */
return 
CDR(BgL_hook1318z00_5437);}  else 
{ /* Llib/mpd.scm 1423 */
 bool_t BgL_test3646z00_8934;
{ /* Llib/mpd.scm 1424 */
 obj_t BgL_cz00_5442;
BgL_cz00_5442 = 
CAR(
((obj_t)BgL_l1315z00_5440)); 
{ /* Llib/mpd.scm 1424 */
 obj_t BgL_dirz00_5443;
BgL_dirz00_5443 = 
CDR(
((obj_t)BgL_cz00_5442)); 
{ /* Llib/mpd.scm 1425 */
 obj_t BgL_arg2681z00_5444;
BgL_arg2681z00_5444 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5443)); 
{ /* Llib/mpd.scm 1425 */
 long BgL_l1z00_5445;
BgL_l1z00_5445 = 
STRING_LENGTH(BgL_arg2681z00_5444); 
if(
(BgL_l1z00_5445==
STRING_LENGTH(
((obj_t)BgL_genrez00_4836))))
{ /* Llib/mpd.scm 1425 */
 int BgL_arg1289z00_5446;
{ /* Llib/mpd.scm 1425 */
 char * BgL_auxz00_8948; char * BgL_tmpz00_8946;
BgL_auxz00_8948 = 
BSTRING_TO_STRING(
((obj_t)BgL_genrez00_4836)); 
BgL_tmpz00_8946 = 
BSTRING_TO_STRING(BgL_arg2681z00_5444); 
BgL_arg1289z00_5446 = 
memcmp(BgL_tmpz00_8946, BgL_auxz00_8948, BgL_l1z00_5445); } 
BgL_test3646z00_8934 = 
(
(long)(BgL_arg1289z00_5446)==((long)0)); }  else 
{ /* Llib/mpd.scm 1425 */
BgL_test3646z00_8934 = ((bool_t)0)
; } } } } } 
if(BgL_test3646z00_8934)
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_nh1317z00_5447;
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_arg2679z00_5448;
BgL_arg2679z00_5448 = 
CAR(
((obj_t)BgL_l1315z00_5440)); 
BgL_nh1317z00_5447 = 
MAKE_YOUNG_PAIR(BgL_arg2679z00_5448, BNIL); } 
SET_CDR(BgL_h1316z00_5441, BgL_nh1317z00_5447); 
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_arg2678z00_5449;
BgL_arg2678z00_5449 = 
CDR(
((obj_t)BgL_l1315z00_5440)); 
{ 
 obj_t BgL_h1316z00_8961; obj_t BgL_l1315z00_8960;
BgL_l1315z00_8960 = BgL_arg2678z00_5449; 
BgL_h1316z00_8961 = BgL_nh1317z00_5447; 
BgL_h1316z00_5441 = BgL_h1316z00_8961; 
BgL_l1315z00_5440 = BgL_l1315z00_8960; 
goto BgL_zc3z04anonymousza32673ze3z87_5439;} } }  else 
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_arg2680z00_5450;
BgL_arg2680z00_5450 = 
CDR(
((obj_t)BgL_l1315z00_5440)); 
{ 
 obj_t BgL_l1315z00_8964;
BgL_l1315z00_8964 = BgL_arg2680z00_5450; 
BgL_l1315z00_5440 = BgL_l1315z00_8964; 
goto BgL_zc3z04anonymousza32673ze3z87_5439;} } } } } } } 

}



/* &mpd-database-getarti1398 */
obj_t BGl_z62mpdzd2databasezd2getarti1398z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4837, obj_t BgL_oz00_4838)
{
{ /* Llib/mpd.scm 1414 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4838)))->BgL_z52artistsz52);} 

}



/* &mpd-database-getgenr1396 */
obj_t BGl_z62mpdzd2databasezd2getgenr1396z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4839, obj_t BgL_oz00_4840)
{
{ /* Llib/mpd.scm 1407 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4840)))->BgL_z52genresz52);} 

}



/* &mpd-database-find-ge1393 */
obj_t BGl_z62mpdzd2databasezd2findzd2ge1393zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4841, obj_t BgL_oz00_4842, obj_t BgL_opz00_4843, obj_t BgL_genrez00_4844)
{
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1393 */
 bool_t BgL_tmpz00_8969;
{ /* Llib/mpd.scm 1402 */
 obj_t BgL_g1312z00_5455;
BgL_g1312z00_5455 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4842)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1310z00_5457;
BgL_l1310z00_5457 = BgL_g1312z00_5455; 
BgL_zc3z04anonymousza32655ze3z87_5456:
if(
NULLP(BgL_l1310z00_5457))
{ /* Llib/mpd.scm 1402 */
BgL_tmpz00_8969 = ((bool_t)0)
; }  else 
{ /* Llib/mpd.scm 1402 */
 bool_t BgL__ortest_1313z00_5458;
{ /* Llib/mpd.scm 1402 */
 obj_t BgL_arg2658z00_5459;
BgL_arg2658z00_5459 = 
CAR(
((obj_t)BgL_l1310z00_5457)); 
BgL__ortest_1313z00_5458 = 
BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(BgL_genrez00_4844, 
((obj_t)BgL_opz00_4843), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4842), BgL_arg2658z00_5459); } 
if(BgL__ortest_1313z00_5458)
{ /* Llib/mpd.scm 1402 */
BgL_tmpz00_8969 = BgL__ortest_1313z00_5458
; }  else 
{ /* Llib/mpd.scm 1402 */
 obj_t BgL_arg2657z00_5460;
BgL_arg2657z00_5460 = 
CDR(
((obj_t)BgL_l1310z00_5457)); 
{ 
 obj_t BgL_l1310z00_8982;
BgL_l1310z00_8982 = BgL_arg2657z00_5460; 
BgL_l1310z00_5457 = BgL_l1310z00_8982; 
goto BgL_zc3z04anonymousza32655ze3z87_5456;} } } } } 
return 
BBOOL(BgL_tmpz00_8969);} } 

}



/* find-genre~0 */
bool_t BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(obj_t BgL_genrez00_5000, obj_t BgL_opz00_4999, BgL_mpdzd2databasezd2_bglt BgL_oz00_4998, obj_t BgL_dirz00_2235)
{
{ /* Llib/mpd.scm 1399 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_dirz00_2235)))
{ /* Llib/mpd.scm 1394 */
 obj_t BgL_g1308z00_2238;
BgL_g1308z00_2238 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2235); 
{ 
 obj_t BgL_l1306z00_2240;
BgL_l1306z00_2240 = BgL_g1308z00_2238; 
BgL_zc3z04anonymousza32661ze3z87_2241:
if(
NULLP(BgL_l1306z00_2240))
{ /* Llib/mpd.scm 1394 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1394 */
 bool_t BgL__ortest_1309z00_2243;
{ /* Llib/mpd.scm 1394 */
 obj_t BgL_arg2664z00_2245;
BgL_arg2664z00_2245 = 
CAR(
((obj_t)BgL_l1306z00_2240)); 
BgL__ortest_1309z00_2243 = 
BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(BgL_genrez00_5000, BgL_opz00_4999, BgL_oz00_4998, BgL_arg2664z00_2245); } 
if(BgL__ortest_1309z00_2243)
{ /* Llib/mpd.scm 1394 */
return BgL__ortest_1309z00_2243;}  else 
{ /* Llib/mpd.scm 1394 */
 obj_t BgL_arg2663z00_2244;
BgL_arg2663z00_2244 = 
CDR(
((obj_t)BgL_l1306z00_2240)); 
{ 
 obj_t BgL_l1306z00_8996;
BgL_l1306z00_8996 = BgL_arg2663z00_2244; 
BgL_l1306z00_2240 = BgL_l1306z00_8996; 
goto BgL_zc3z04anonymousza32661ze3z87_2241;} } } } }  else 
{ /* Llib/mpd.scm 1395 */
 bool_t BgL_test3653z00_8997;
{ /* Llib/mpd.scm 1395 */
 obj_t BgL_arg2668z00_2253;
BgL_arg2668z00_2253 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_2235)); 
{ /* Llib/mpd.scm 1395 */
 long BgL_l1z00_3586;
BgL_l1z00_3586 = 
STRING_LENGTH(BgL_arg2668z00_2253); 
if(
(BgL_l1z00_3586==
STRING_LENGTH(
((obj_t)BgL_genrez00_5000))))
{ /* Llib/mpd.scm 1395 */
 int BgL_arg1289z00_3589;
{ /* Llib/mpd.scm 1395 */
 char * BgL_auxz00_9007; char * BgL_tmpz00_9005;
BgL_auxz00_9007 = 
BSTRING_TO_STRING(
((obj_t)BgL_genrez00_5000)); 
BgL_tmpz00_9005 = 
BSTRING_TO_STRING(BgL_arg2668z00_2253); 
BgL_arg1289z00_3589 = 
memcmp(BgL_tmpz00_9005, BgL_auxz00_9007, BgL_l1z00_3586); } 
BgL_test3653z00_8997 = 
(
(long)(BgL_arg1289z00_3589)==((long)0)); }  else 
{ /* Llib/mpd.scm 1395 */
BgL_test3653z00_8997 = ((bool_t)0)
; } } } 
if(BgL_test3653z00_8997)
{ /* Llib/mpd.scm 1395 */
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_3595;
BgL_g1196z00_3595 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_oz00_4998), BgL_dirz00_2235, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1194z00_3597;
BgL_l1194z00_3597 = BgL_g1196z00_3595; 
BgL_zc3z04anonymousza32024ze3z87_3596:
if(
PAIRP(BgL_l1194z00_3597))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3599;
BgL_kz00_3599 = 
CAR(BgL_l1194z00_3597); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_3600;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_3601;
BgL_arg2027z00_3601 = 
CAR(
((obj_t)BgL_kz00_3599)); 
BgL_arg2026z00_3600 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_3601)); } 
bgl_display_obj(BgL_arg2026z00_3600, BgL_opz00_4999); } 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_opz00_4999); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_3602;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3612;
BgL_pairz00_3612 = 
CDR(
((obj_t)BgL_kz00_3599)); 
BgL_arg2028z00_3602 = 
CAR(BgL_pairz00_3612); } 
bgl_display_obj(BgL_arg2028z00_3602, BgL_opz00_4999); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4999); } 
{ 
 obj_t BgL_l1194z00_9029;
BgL_l1194z00_9029 = 
CDR(BgL_l1194z00_3597); 
BgL_l1194z00_3597 = BgL_l1194z00_9029; 
goto BgL_zc3z04anonymousza32024ze3z87_3596;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } 
return ((bool_t)1);}  else 
{ /* Llib/mpd.scm 1395 */
return ((bool_t)0);} } } 

}



/* &mpd-database-find-ti1391 */
obj_t BGl_z62mpdzd2databasezd2findzd2ti1391zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4845, obj_t BgL_oz00_4846, obj_t BgL_opz00_4847, obj_t BgL_titlez00_4848)
{
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1375 */
 bool_t BgL_tmpz00_9031;
{ /* Llib/mpd.scm 1384 */
 obj_t BgL_g1304z00_5463;
BgL_g1304z00_5463 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4846)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1302z00_5465;
BgL_l1302z00_5465 = BgL_g1304z00_5463; 
BgL_zc3z04anonymousza32639ze3z87_5464:
if(
NULLP(BgL_l1302z00_5465))
{ /* Llib/mpd.scm 1384 */
BgL_tmpz00_9031 = ((bool_t)0)
; }  else 
{ /* Llib/mpd.scm 1384 */
 bool_t BgL__ortest_1305z00_5466;
{ /* Llib/mpd.scm 1384 */
 obj_t BgL_arg2642z00_5467;
BgL_arg2642z00_5467 = 
CAR(
((obj_t)BgL_l1302z00_5465)); 
BgL__ortest_1305z00_5466 = 
BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(BgL_titlez00_4848, 
((obj_t)BgL_opz00_4847), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4846), BgL_arg2642z00_5467); } 
if(BgL__ortest_1305z00_5466)
{ /* Llib/mpd.scm 1384 */
BgL_tmpz00_9031 = BgL__ortest_1305z00_5466
; }  else 
{ /* Llib/mpd.scm 1384 */
 obj_t BgL_arg2641z00_5468;
BgL_arg2641z00_5468 = 
CDR(
((obj_t)BgL_l1302z00_5465)); 
{ 
 obj_t BgL_l1302z00_9044;
BgL_l1302z00_9044 = BgL_arg2641z00_5468; 
BgL_l1302z00_5465 = BgL_l1302z00_9044; 
goto BgL_zc3z04anonymousza32639ze3z87_5464;} } } } } 
return 
BBOOL(BgL_tmpz00_9031);} } 

}



/* find-title~0 */
bool_t BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(obj_t BgL_titlez00_4997, obj_t BgL_opz00_4996, BgL_mpdzd2databasezd2_bglt BgL_oz00_4995, obj_t BgL_dirz00_2197)
{
{ /* Llib/mpd.scm 1381 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_dirz00_2197)))
{ /* Llib/mpd.scm 1376 */
 obj_t BgL_g1300z00_2200;
BgL_g1300z00_2200 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2197); 
{ 
 obj_t BgL_l1298z00_2202;
BgL_l1298z00_2202 = BgL_g1300z00_2200; 
BgL_zc3z04anonymousza32645ze3z87_2203:
if(
NULLP(BgL_l1298z00_2202))
{ /* Llib/mpd.scm 1376 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1376 */
 bool_t BgL__ortest_1301z00_2205;
{ /* Llib/mpd.scm 1376 */
 obj_t BgL_arg2648z00_2207;
BgL_arg2648z00_2207 = 
CAR(
((obj_t)BgL_l1298z00_2202)); 
BgL__ortest_1301z00_2205 = 
BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(BgL_titlez00_4997, BgL_opz00_4996, BgL_oz00_4995, BgL_arg2648z00_2207); } 
if(BgL__ortest_1301z00_2205)
{ /* Llib/mpd.scm 1376 */
return BgL__ortest_1301z00_2205;}  else 
{ /* Llib/mpd.scm 1376 */
 obj_t BgL_arg2647z00_2206;
BgL_arg2647z00_2206 = 
CDR(
((obj_t)BgL_l1298z00_2202)); 
{ 
 obj_t BgL_l1298z00_9058;
BgL_l1298z00_9058 = BgL_arg2647z00_2206; 
BgL_l1298z00_2202 = BgL_l1298z00_9058; 
goto BgL_zc3z04anonymousza32645ze3z87_2203;} } } } }  else 
{ /* Llib/mpd.scm 1377 */
 bool_t BgL_test3661z00_9059;
{ /* Llib/mpd.scm 1377 */
 obj_t BgL_arg2652z00_2215;
BgL_arg2652z00_2215 = 
BGl_prefixz00zz__osz00(
BGl_basenamez00zz__osz00(BgL_dirz00_2197)); 
{ /* Llib/mpd.scm 1377 */
 long BgL_l1z00_3550;
BgL_l1z00_3550 = 
STRING_LENGTH(BgL_arg2652z00_2215); 
if(
(BgL_l1z00_3550==
STRING_LENGTH(
((obj_t)BgL_titlez00_4997))))
{ /* Llib/mpd.scm 1377 */
 int BgL_arg1289z00_3553;
{ /* Llib/mpd.scm 1377 */
 char * BgL_auxz00_9069; char * BgL_tmpz00_9067;
BgL_auxz00_9069 = 
BSTRING_TO_STRING(
((obj_t)BgL_titlez00_4997)); 
BgL_tmpz00_9067 = 
BSTRING_TO_STRING(BgL_arg2652z00_2215); 
BgL_arg1289z00_3553 = 
memcmp(BgL_tmpz00_9067, BgL_auxz00_9069, BgL_l1z00_3550); } 
BgL_test3661z00_9059 = 
(
(long)(BgL_arg1289z00_3553)==((long)0)); }  else 
{ /* Llib/mpd.scm 1377 */
BgL_test3661z00_9059 = ((bool_t)0)
; } } } 
if(BgL_test3661z00_9059)
{ /* Llib/mpd.scm 1377 */
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_3559;
BgL_g1196z00_3559 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_oz00_4995), BgL_dirz00_2197, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1194z00_3561;
BgL_l1194z00_3561 = BgL_g1196z00_3559; 
BgL_zc3z04anonymousza32024ze3z87_3560:
if(
PAIRP(BgL_l1194z00_3561))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3563;
BgL_kz00_3563 = 
CAR(BgL_l1194z00_3561); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_3564;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_3565;
BgL_arg2027z00_3565 = 
CAR(
((obj_t)BgL_kz00_3563)); 
BgL_arg2026z00_3564 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_3565)); } 
bgl_display_obj(BgL_arg2026z00_3564, BgL_opz00_4996); } 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_opz00_4996); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_3566;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3576;
BgL_pairz00_3576 = 
CDR(
((obj_t)BgL_kz00_3563)); 
BgL_arg2028z00_3566 = 
CAR(BgL_pairz00_3576); } 
bgl_display_obj(BgL_arg2028z00_3566, BgL_opz00_4996); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4996); } 
{ 
 obj_t BgL_l1194z00_9091;
BgL_l1194z00_9091 = 
CDR(BgL_l1194z00_3561); 
BgL_l1194z00_3561 = BgL_l1194z00_9091; 
goto BgL_zc3z04anonymousza32024ze3z87_3560;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } 
return ((bool_t)1);}  else 
{ /* Llib/mpd.scm 1377 */
return ((bool_t)0);} } } 

}



/* &mpd-database-search-1389 */
obj_t BGl_z62mpdzd2databasezd2searchzd21389zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4849, obj_t BgL_oz00_4850, obj_t BgL_opz00_4851, obj_t BgL_artistz00_4852, obj_t BgL_titlez00_4853)
{
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1349 */
 bool_t BgL_tmpz00_9093;
{ 
 BgL_mpdzd2databasezd2_bglt BgL_dbz00_5472; obj_t BgL_dirz00_5473; obj_t BgL_opz00_5474;
{ /* Llib/mpd.scm 1364 */
 obj_t BgL_cz00_5475;
BgL_cz00_5475 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4852, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4850)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5475))
{ /* Llib/mpd.scm 1365 */
BgL_dbz00_5472 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4850); 
BgL_dirz00_5473 = 
CDR(BgL_cz00_5475); 
BgL_opz00_5474 = 
((obj_t)BgL_opz00_4851); 
BgL_tmpz00_9093 = 
BGl_loopze72ze7zz__multimediazd2mpdzd2(BgL_opz00_5474, BgL_dbz00_5472, BgL_artistz00_4852, BgL_titlez00_4853, BgL_dirz00_5473); }  else 
{ /* Llib/mpd.scm 1365 */
BgL_tmpz00_9093 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_9093);} } 

}



/* loop~2 */
bool_t BGl_loopze72ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_4994, BgL_mpdzd2databasezd2_bglt BgL_dbz00_4993, obj_t BgL_artistz00_4992, obj_t BgL_titlez00_4991, obj_t BgL_dirz00_2148)
{
{ /* Llib/mpd.scm 1348 */
{ /* Llib/mpd.scm 1349 */
 obj_t BgL_filesz00_2150;
BgL_filesz00_2150 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2148); 
{ /* Llib/mpd.scm 1349 */
 obj_t BgL_imgz00_2151;
{ 
 obj_t BgL_list1295z00_2170;
BgL_list1295z00_2170 = BgL_filesz00_2150; 
BgL_zc3z04anonymousza32632ze3z87_2171:
if(
PAIRP(BgL_list1295z00_2170))
{ /* Llib/mpd.scm 1350 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1295z00_2170)))
{ /* Llib/mpd.scm 1350 */
BgL_imgz00_2151 = 
CAR(BgL_list1295z00_2170); }  else 
{ 
 obj_t BgL_list1295z00_9111;
BgL_list1295z00_9111 = 
CDR(BgL_list1295z00_2170); 
BgL_list1295z00_2170 = BgL_list1295z00_9111; 
goto BgL_zc3z04anonymousza32632ze3z87_2171;} }  else 
{ /* Llib/mpd.scm 1350 */
BgL_imgz00_2151 = BFALSE; } } 
{ /* Llib/mpd.scm 1350 */

{ 
 obj_t BgL_l1296z00_2153;
BgL_l1296z00_2153 = BgL_filesz00_2150; 
BgL_zc3z04anonymousza32624ze3z87_2154:
if(
PAIRP(BgL_l1296z00_2153))
{ /* Llib/mpd.scm 1351 */
{ /* Llib/mpd.scm 1352 */
 obj_t BgL_fz00_2156;
BgL_fz00_2156 = 
CAR(BgL_l1296z00_2153); 
{ /* Llib/mpd.scm 1352 */
 obj_t BgL_pz00_2157;
BgL_pz00_2157 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2148, BgL_fz00_2156); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2157)))
{ /* Llib/mpd.scm 1354 */
BGl_loopze72ze7zz__multimediazd2mpdzd2(BgL_opz00_4994, BgL_dbz00_4993, BgL_artistz00_4992, BgL_titlez00_4991, BgL_pz00_2157); }  else 
{ /* Llib/mpd.scm 1356 */
 bool_t BgL_test3669z00_9121;
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_2157, 
((obj_t)BgL_dbz00_4993)))
{ /* Llib/mpd.scm 1356 */
 obj_t BgL_arg2630z00_2166;
BgL_arg2630z00_2166 = 
BGl_prefixz00zz__osz00(BgL_fz00_2156); 
{ /* Llib/mpd.scm 1356 */
 long BgL_l1z00_3514;
BgL_l1z00_3514 = 
STRING_LENGTH(
((obj_t)BgL_titlez00_4991)); 
if(
(BgL_l1z00_3514==
STRING_LENGTH(BgL_arg2630z00_2166)))
{ /* Llib/mpd.scm 1356 */
 int BgL_arg1289z00_3517;
{ /* Llib/mpd.scm 1356 */
 char * BgL_auxz00_9134; char * BgL_tmpz00_9131;
BgL_auxz00_9134 = 
BSTRING_TO_STRING(BgL_arg2630z00_2166); 
BgL_tmpz00_9131 = 
BSTRING_TO_STRING(
((obj_t)BgL_titlez00_4991)); 
BgL_arg1289z00_3517 = 
memcmp(BgL_tmpz00_9131, BgL_auxz00_9134, BgL_l1z00_3514); } 
BgL_test3669z00_9121 = 
(
(long)(BgL_arg1289z00_3517)==((long)0)); }  else 
{ /* Llib/mpd.scm 1356 */
BgL_test3669z00_9121 = ((bool_t)0)
; } } }  else 
{ /* Llib/mpd.scm 1356 */
BgL_test3669z00_9121 = ((bool_t)0)
; } 
if(BgL_test3669z00_9121)
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_3523;
BgL_g1196z00_3523 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_4993), BgL_pz00_2157, BgL_artistz00_4992, BgL_titlez00_4991, BgL_imgz00_2151); 
{ 
 obj_t BgL_l1194z00_3525;
BgL_l1194z00_3525 = BgL_g1196z00_3523; 
BgL_zc3z04anonymousza32024ze3z87_3524:
if(
PAIRP(BgL_l1194z00_3525))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3527;
BgL_kz00_3527 = 
CAR(BgL_l1194z00_3525); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_3528;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_3529;
BgL_arg2027z00_3529 = 
CAR(
((obj_t)BgL_kz00_3527)); 
BgL_arg2026z00_3528 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_3529)); } 
bgl_display_obj(BgL_arg2026z00_3528, BgL_opz00_4994); } 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_opz00_4994); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_3530;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3540;
BgL_pairz00_3540 = 
CDR(
((obj_t)BgL_kz00_3527)); 
BgL_arg2028z00_3530 = 
CAR(BgL_pairz00_3540); } 
bgl_display_obj(BgL_arg2028z00_3530, BgL_opz00_4994); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4994); } 
{ 
 obj_t BgL_l1194z00_9155;
BgL_l1194z00_9155 = 
CDR(BgL_l1194z00_3525); 
BgL_l1194z00_3525 = BgL_l1194z00_9155; 
goto BgL_zc3z04anonymousza32024ze3z87_3524;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1356 */((bool_t)0); } } } } 
{ 
 obj_t BgL_l1296z00_9157;
BgL_l1296z00_9157 = 
CDR(BgL_l1296z00_2153); 
BgL_l1296z00_2153 = BgL_l1296z00_9157; 
goto BgL_zc3z04anonymousza32624ze3z87_2154;} }  else 
{ /* Llib/mpd.scm 1351 */
return ((bool_t)1);} } } } } } 

}



/* &mpd-database-search-1387 */
obj_t BGl_z62mpdzd2databasezd2searchzd21387zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4854, obj_t BgL_oz00_4855, obj_t BgL_opz00_4856, obj_t BgL_artistz00_4857, obj_t BgL_albumz00_4858)
{
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1315 */
 bool_t BgL_tmpz00_9159;
{ 
 BgL_mpdzd2databasezd2_bglt BgL_dbz00_5479; obj_t BgL_dirz00_5480; obj_t BgL_opz00_5481;
{ /* Llib/mpd.scm 1338 */
 obj_t BgL_cz00_5482;
BgL_cz00_5482 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4857, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5482))
{ /* Llib/mpd.scm 1339 */
BgL_dbz00_5479 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855); 
BgL_dirz00_5480 = 
CDR(BgL_cz00_5482); 
BgL_opz00_5481 = 
((obj_t)BgL_opz00_4856); 
BgL_tmpz00_9159 = 
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_5481, BgL_dbz00_5479, BgL_artistz00_4857, BgL_albumz00_4858, BgL_dirz00_5480); }  else 
{ /* Llib/mpd.scm 1339 */
BgL_tmpz00_9159 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_9159);} } 

}



/* loop~1 */
bool_t BGl_loopze71ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_4990, BgL_mpdzd2databasezd2_bglt BgL_dbz00_4989, obj_t BgL_artistz00_4988, obj_t BgL_albumz00_4987, obj_t BgL_dirz00_2077)
{
{ /* Llib/mpd.scm 1314 */
{ /* Llib/mpd.scm 1315 */
 bool_t BgL_test3674z00_9170;
{ /* Llib/mpd.scm 1315 */
 obj_t BgL_arg2617z00_2127;
BgL_arg2617z00_2127 = 
BGl_basenamez00zz__osz00(BgL_dirz00_2077); 
{ /* Llib/mpd.scm 1315 */
 long BgL_l1z00_3461;
BgL_l1z00_3461 = 
STRING_LENGTH(BgL_arg2617z00_2127); 
if(
(BgL_l1z00_3461==
STRING_LENGTH(
((obj_t)BgL_albumz00_4987))))
{ /* Llib/mpd.scm 1315 */
 int BgL_arg1289z00_3464;
{ /* Llib/mpd.scm 1315 */
 char * BgL_auxz00_9179; char * BgL_tmpz00_9177;
BgL_auxz00_9179 = 
BSTRING_TO_STRING(
((obj_t)BgL_albumz00_4987)); 
BgL_tmpz00_9177 = 
BSTRING_TO_STRING(BgL_arg2617z00_2127); 
BgL_arg1289z00_3464 = 
memcmp(BgL_tmpz00_9177, BgL_auxz00_9179, BgL_l1z00_3461); } 
BgL_test3674z00_9170 = 
(
(long)(BgL_arg1289z00_3464)==((long)0)); }  else 
{ /* Llib/mpd.scm 1315 */
BgL_test3674z00_9170 = ((bool_t)0)
; } } } 
if(BgL_test3674z00_9170)
{ /* Llib/mpd.scm 1316 */
 obj_t BgL_filesz00_2081;
BgL_filesz00_2081 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3116z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_2077))); 
{ /* Llib/mpd.scm 1316 */
 obj_t BgL_imgz00_2082;
{ /* Llib/mpd.scm 1319 */
 obj_t BgL_fz00_2096;
{ 
 obj_t BgL_list1288z00_2099;
BgL_list1288z00_2099 = BgL_filesz00_2081; 
BgL_zc3z04anonymousza32603ze3z87_2100:
if(
PAIRP(BgL_list1288z00_2099))
{ /* Llib/mpd.scm 1319 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1288z00_2099)))
{ /* Llib/mpd.scm 1319 */
BgL_fz00_2096 = 
CAR(BgL_list1288z00_2099); }  else 
{ 
 obj_t BgL_list1288z00_9194;
BgL_list1288z00_9194 = 
CDR(BgL_list1288z00_2099); 
BgL_list1288z00_2099 = BgL_list1288z00_9194; 
goto BgL_zc3z04anonymousza32603ze3z87_2100;} }  else 
{ /* Llib/mpd.scm 1319 */
BgL_fz00_2096 = BFALSE; } } 
if(
STRINGP(BgL_fz00_2096))
{ /* Llib/mpd.scm 1320 */
BgL_imgz00_2082 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2077, BgL_fz00_2096); }  else 
{ /* Llib/mpd.scm 1320 */
BgL_imgz00_2082 = BFALSE; } } 
{ /* Llib/mpd.scm 1319 */

{ 
 obj_t BgL_l1289z00_2084;
BgL_l1289z00_2084 = BgL_filesz00_2081; 
BgL_zc3z04anonymousza32597ze3z87_2085:
if(
PAIRP(BgL_l1289z00_2084))
{ /* Llib/mpd.scm 1322 */
{ /* Llib/mpd.scm 1323 */
 obj_t BgL_fz00_2087;
BgL_fz00_2087 = 
CAR(BgL_l1289z00_2084); 
{ /* Llib/mpd.scm 1323 */
 obj_t BgL_pz00_2088;
BgL_pz00_2088 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2077, BgL_fz00_2087); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2088)))
{ /* Llib/mpd.scm 1325 */
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_4990, BgL_dbz00_4989, BgL_artistz00_4988, BgL_albumz00_4987, BgL_pz00_2088); }  else 
{ /* Llib/mpd.scm 1325 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_2088, 
((obj_t)BgL_dbz00_4989)))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_3482;
BgL_g1196z00_3482 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_4989), BgL_pz00_2088, BgL_artistz00_4988, BgL_albumz00_4987, BgL_imgz00_2082); 
{ 
 obj_t BgL_l1194z00_3484;
BgL_l1194z00_3484 = BgL_g1196z00_3482; 
BgL_zc3z04anonymousza32024ze3z87_3483:
if(
PAIRP(BgL_l1194z00_3484))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3486;
BgL_kz00_3486 = 
CAR(BgL_l1194z00_3484); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_3487;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_3488;
BgL_arg2027z00_3488 = 
CAR(
((obj_t)BgL_kz00_3486)); 
BgL_arg2026z00_3487 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_3488)); } 
bgl_display_obj(BgL_arg2026z00_3487, BgL_opz00_4990); } 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_opz00_4990); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_3489;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3499;
BgL_pairz00_3499 = 
CDR(
((obj_t)BgL_kz00_3486)); 
BgL_arg2028z00_3489 = 
CAR(BgL_pairz00_3499); } 
bgl_display_obj(BgL_arg2028z00_3489, BgL_opz00_4990); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4990); } 
{ 
 obj_t BgL_l1194z00_9226;
BgL_l1194z00_9226 = 
CDR(BgL_l1194z00_3484); 
BgL_l1194z00_3484 = BgL_l1194z00_9226; 
goto BgL_zc3z04anonymousza32024ze3z87_3483;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1327 */((bool_t)0); } } } } 
{ 
 obj_t BgL_l1289z00_9228;
BgL_l1289z00_9228 = 
CDR(BgL_l1289z00_2084); 
BgL_l1289z00_2084 = BgL_l1289z00_9228; 
goto BgL_zc3z04anonymousza32597ze3z87_2085;} }  else 
{ /* Llib/mpd.scm 1322 */
return ((bool_t)1);} } } } }  else 
{ /* Llib/mpd.scm 1333 */
 obj_t BgL_g1293z00_2118;
BgL_g1293z00_2118 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2077); 
{ 
 obj_t BgL_l1291z00_2120;
BgL_l1291z00_2120 = BgL_g1293z00_2118; 
BgL_zc3z04anonymousza32613ze3z87_2121:
if(
PAIRP(BgL_l1291z00_2120))
{ /* Llib/mpd.scm 1336 */
{ /* Llib/mpd.scm 1334 */
 obj_t BgL_pz00_2123;
BgL_pz00_2123 = 
CAR(BgL_l1291z00_2120); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2123)))
{ /* Llib/mpd.scm 1334 */
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_4990, BgL_dbz00_4989, BgL_artistz00_4988, BgL_albumz00_4987, BgL_pz00_2123); }  else 
{ /* Llib/mpd.scm 1334 */((bool_t)0); } } 
{ 
 obj_t BgL_l1291z00_9238;
BgL_l1291z00_9238 = 
CDR(BgL_l1291z00_2120); 
BgL_l1291z00_2120 = BgL_l1291z00_9238; 
goto BgL_zc3z04anonymousza32613ze3z87_2121;} }  else 
{ /* Llib/mpd.scm 1336 */
return ((bool_t)1);} } } } } 

}



/* &<@anonymous:2611> */
obj_t BGl_z62zc3z04anonymousza32611ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4859, obj_t BgL_s1z00_4860, obj_t BgL_s2z00_4861)
{
{ /* Llib/mpd.scm 1316 */
{ /* Llib/mpd.scm 1317 */
 bool_t BgL_tmpz00_9240;
{ /* Llib/mpd.scm 1317 */
 int BgL_arg2612z00_5483;
{ /* Llib/mpd.scm 1317 */

BgL_arg2612z00_5483 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4860, BgL_s2z00_4861, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_9240 = 
(
(long)(BgL_arg2612z00_5483)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_9240);} } 

}



/* &mpd-database-find-ar1385 */
obj_t BGl_z62mpdzd2databasezd2findzd2ar1385zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4862, obj_t BgL_oz00_4863, obj_t BgL_opz00_4864, obj_t BgL_artistz00_4865)
{
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1304 */
 bool_t BgL_tmpz00_9247;
{ /* Llib/mpd.scm 1305 */
 obj_t BgL_cz00_5489;
BgL_cz00_5489 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4865, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4863)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5489))
{ /* Llib/mpd.scm 1307 */
 obj_t BgL_dirz00_5491;
BgL_dirz00_5491 = 
CDR(BgL_cz00_5489); 
BgL_tmpz00_9247 = 
BGl_loopze74ze7zz__multimediazd2mpdzd2(
((obj_t)BgL_opz00_4864), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4863), BFALSE, BgL_artistz00_4865, BgL_dirz00_5491); }  else 
{ /* Llib/mpd.scm 1306 */
BgL_tmpz00_9247 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_9247);} } 

}



/* &mpd-database-find-al1383 */
obj_t BGl_z62mpdzd2databasezd2findzd2al1383zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4866, obj_t BgL_oz00_4867, obj_t BgL_opz00_4868, obj_t BgL_albumz00_4869)
{
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1295 */
 bool_t BgL_tmpz00_9258;
{ /* Llib/mpd.scm 1296 */
 obj_t BgL_cz00_5498;
BgL_cz00_5498 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_albumz00_4869, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4867)))->BgL_z52albumsz52)); 
if(
PAIRP(BgL_cz00_5498))
{ /* Llib/mpd.scm 1298 */
 obj_t BgL_dirz00_5500;
BgL_dirz00_5500 = 
CDR(BgL_cz00_5498); 
BgL_tmpz00_9258 = 
BGl_loopze74ze7zz__multimediazd2mpdzd2(
((obj_t)BgL_opz00_4868), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4867), BgL_albumz00_4869, BFALSE, BgL_dirz00_5500); }  else 
{ /* Llib/mpd.scm 1297 */
BgL_tmpz00_9258 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_9258);} } 

}



/* &mpd-database-lsinfo1381 */
obj_t BGl_z62mpdzd2databasezd2lsinfo1381z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4870, obj_t BgL_oz00_4871, obj_t BgL_opz00_4872, obj_t BgL_dirz00_4873, obj_t BgL_recz00_4874)
{
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1234 */
 bool_t BgL_tmpz00_9269;
{ /* Llib/mpd.scm 1234 */
 bool_t BgL_recz00_5505;
BgL_recz00_5505 = 
CBOOL(BgL_recz00_4874); 
{ /* Llib/mpd.scm 1235 */
 bool_t BgL_test3687z00_9271;
if(
BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(
((obj_t)BgL_dirz00_4873)))
{ /* Llib/mpd.scm 1235 */
BgL_test3687z00_9271 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 1235 */
 obj_t BgL_arg2580z00_5506;
BgL_arg2580z00_5506 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871)))->BgL_z52basez52); 
{ /* Llib/mpd.scm 1235 */
 long BgL_l1z00_5507;
BgL_l1z00_5507 = 
STRING_LENGTH(
((obj_t)BgL_dirz00_4873)); 
if(
(BgL_l1z00_5507==
STRING_LENGTH(BgL_arg2580z00_5506)))
{ /* Llib/mpd.scm 1235 */
 int BgL_arg1289z00_5508;
{ /* Llib/mpd.scm 1235 */
 char * BgL_auxz00_9285; char * BgL_tmpz00_9282;
BgL_auxz00_9285 = 
BSTRING_TO_STRING(BgL_arg2580z00_5506); 
BgL_tmpz00_9282 = 
BSTRING_TO_STRING(
((obj_t)BgL_dirz00_4873)); 
BgL_arg1289z00_5508 = 
memcmp(BgL_tmpz00_9282, BgL_auxz00_9285, BgL_l1z00_5507); } 
BgL_test3687z00_9271 = 
(
(long)(BgL_arg1289z00_5508)==((long)0)); }  else 
{ /* Llib/mpd.scm 1235 */
BgL_test3687z00_9271 = ((bool_t)0)
; } } } 
if(BgL_test3687z00_9271)
{ /* Llib/mpd.scm 1236 */
 obj_t BgL_g1278z00_5509;
BgL_g1278z00_5509 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1276z00_5511;
BgL_l1276z00_5511 = BgL_g1278z00_5509; 
BgL_zc3z04anonymousza32561ze3z87_5510:
if(
PAIRP(BgL_l1276z00_5511))
{ /* Llib/mpd.scm 1236 */
{ /* Llib/mpd.scm 1237 */
 obj_t BgL_dirz00_5512;
BgL_dirz00_5512 = 
CAR(BgL_l1276z00_5511); 
{ /* Llib/mpd.scm 1237 */
 obj_t BgL_g1275z00_5513;
BgL_g1275z00_5513 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_5512); 
{ 
 obj_t BgL_l1273z00_5515;
BgL_l1273z00_5515 = BgL_g1275z00_5513; 
BgL_zc3z04anonymousza32563ze3z87_5514:
if(
PAIRP(BgL_l1273z00_5515))
{ /* Llib/mpd.scm 1244 */
{ /* Llib/mpd.scm 1238 */
 obj_t BgL_dirz00_5516;
BgL_dirz00_5516 = 
CAR(BgL_l1273z00_5515); 
{ /* Llib/mpd.scm 1238 */
 obj_t BgL_mdz00_5517;
BgL_mdz00_5517 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_dirz00_5516, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871))); 
{ /* Llib/mpd.scm 1239 */
 obj_t BgL_tmpz00_9302;
BgL_tmpz00_9302 = 
((obj_t)BgL_opz00_4872); 
bgl_display_string(BGl_string3117z00zz__multimediazd2mpdzd2, BgL_tmpz00_9302); } 
bgl_display_obj(BgL_mdz00_5517, 
((obj_t)BgL_opz00_4872)); 
{ /* Llib/mpd.scm 1241 */
 obj_t BgL_tmpz00_9307;
BgL_tmpz00_9307 = 
((obj_t)BgL_opz00_4872); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9307); } 
if(BgL_recz00_5505)
{ /* Llib/mpd.scm 1242 */
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871), 
((obj_t)BgL_opz00_4872), BgL_mdz00_5517, BgL_recz00_5505); }  else 
{ /* Llib/mpd.scm 1242 */BFALSE; } } } 
{ 
 obj_t BgL_l1273z00_9314;
BgL_l1273z00_9314 = 
CDR(BgL_l1273z00_5515); 
BgL_l1273z00_5515 = BgL_l1273z00_9314; 
goto BgL_zc3z04anonymousza32563ze3z87_5514;} }  else 
{ /* Llib/mpd.scm 1244 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1276z00_9316;
BgL_l1276z00_9316 = 
CDR(BgL_l1276z00_5511); 
BgL_l1276z00_5511 = BgL_l1276z00_9316; 
goto BgL_zc3z04anonymousza32561ze3z87_5510;} }  else 
{ /* Llib/mpd.scm 1236 */
BgL_tmpz00_9269 = ((bool_t)1)
; } } }  else 
{ /* Llib/mpd.scm 1246 */
 obj_t BgL_pathz00_5518;
BgL_pathz00_5518 = 
BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(
((obj_t)BgL_dirz00_4873), 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871)), 
((obj_t)BgL_opz00_4872), BGl_string3118z00zz__multimediazd2mpdzd2); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_5518)))
{ /* Llib/mpd.scm 1248 */
 obj_t BgL_filesz00_5519;
BgL_filesz00_5519 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_5518); 
{ /* Llib/mpd.scm 1248 */
 obj_t BgL_imgz00_5520;
{ /* Llib/mpd.scm 1249 */
 obj_t BgL_fz00_5521;
{ 
 obj_t BgL_list1280z00_5523;
BgL_list1280z00_5523 = BgL_filesz00_5519; 
BgL_zc3z04anonymousza32574ze3z87_5522:
if(
PAIRP(BgL_list1280z00_5523))
{ /* Llib/mpd.scm 1249 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1280z00_5523)))
{ /* Llib/mpd.scm 1249 */
BgL_fz00_5521 = 
CAR(BgL_list1280z00_5523); }  else 
{ 
 obj_t BgL_list1280z00_9333;
BgL_list1280z00_9333 = 
CDR(BgL_list1280z00_5523); 
BgL_list1280z00_5523 = BgL_list1280z00_9333; 
goto BgL_zc3z04anonymousza32574ze3z87_5522;} }  else 
{ /* Llib/mpd.scm 1249 */
BgL_fz00_5521 = BFALSE; } } 
if(
STRINGP(BgL_fz00_5521))
{ /* Llib/mpd.scm 1250 */
BgL_imgz00_5520 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5518, BgL_fz00_5521); }  else 
{ /* Llib/mpd.scm 1250 */
BgL_imgz00_5520 = BFALSE; } } 
{ /* Llib/mpd.scm 1249 */

{ 
 obj_t BgL_l1281z00_5525;
BgL_l1281z00_5525 = BgL_filesz00_5519; 
BgL_zc3z04anonymousza32568ze3z87_5524:
if(
PAIRP(BgL_l1281z00_5525))
{ /* Llib/mpd.scm 1252 */
{ /* Llib/mpd.scm 1253 */
 obj_t BgL_fz00_5526;
BgL_fz00_5526 = 
CAR(BgL_l1281z00_5525); 
{ /* Llib/mpd.scm 1253 */
 obj_t BgL_pz00_5527;
BgL_pz00_5527 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5518, BgL_fz00_5526); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_5527)))
{ /* Llib/mpd.scm 1256 */
 obj_t BgL_mdz00_5528;
BgL_mdz00_5528 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pz00_5527, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871))); 
{ /* Llib/mpd.scm 1257 */
 obj_t BgL_tmpz00_9348;
BgL_tmpz00_9348 = 
((obj_t)BgL_opz00_4872); 
bgl_display_string(BGl_string3117z00zz__multimediazd2mpdzd2, BgL_tmpz00_9348); } 
bgl_display_obj(BgL_mdz00_5528, 
((obj_t)BgL_opz00_4872)); 
{ /* Llib/mpd.scm 1259 */
 obj_t BgL_tmpz00_9353;
BgL_tmpz00_9353 = 
((obj_t)BgL_opz00_4872); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9353); } 
if(BgL_recz00_5505)
{ /* Llib/mpd.scm 1260 */
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871), 
((obj_t)BgL_opz00_4872), BgL_mdz00_5528, BgL_recz00_5505); }  else 
{ /* Llib/mpd.scm 1260 */BFALSE; } }  else 
{ /* Llib/mpd.scm 1255 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_fz00_5526, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871))))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1196z00_5529;
BgL_g1196z00_5529 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4871)), BgL_pz00_5527, BFALSE, BFALSE, BgL_imgz00_5520); 
{ 
 obj_t BgL_l1194z00_5531;
{ /* Llib/mpd.scm 427 */
 bool_t BgL_tmpz00_9367;
BgL_l1194z00_5531 = BgL_g1196z00_5529; 
BgL_zc3z04anonymousza32024ze3z87_5530:
if(
PAIRP(BgL_l1194z00_5531))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_5532;
BgL_kz00_5532 = 
CAR(BgL_l1194z00_5531); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2026z00_5533;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2027z00_5534;
BgL_arg2027z00_5534 = 
CAR(
((obj_t)BgL_kz00_5532)); 
BgL_arg2026z00_5533 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2027z00_5534)); } 
bgl_display_obj(BgL_arg2026z00_5533, 
((obj_t)BgL_opz00_4872)); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_9377;
BgL_tmpz00_9377 = 
((obj_t)BgL_opz00_4872); 
bgl_display_string(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_tmpz00_9377); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2028z00_5535;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_5536;
BgL_pairz00_5536 = 
CDR(
((obj_t)BgL_kz00_5532)); 
BgL_arg2028z00_5535 = 
CAR(BgL_pairz00_5536); } 
bgl_display_obj(BgL_arg2028z00_5535, 
((obj_t)BgL_opz00_4872)); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_9385;
BgL_tmpz00_9385 = 
((obj_t)BgL_opz00_4872); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9385); } } 
{ 
 obj_t BgL_l1194z00_9388;
BgL_l1194z00_9388 = 
CDR(BgL_l1194z00_5531); 
BgL_l1194z00_5531 = BgL_l1194z00_9388; 
goto BgL_zc3z04anonymousza32024ze3z87_5530;} }  else 
{ /* Llib/mpd.scm 427 */
BgL_tmpz00_9367 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_9367); } } }  else 
{ /* Llib/mpd.scm 1262 */BFALSE; } } } } 
{ 
 obj_t BgL_l1281z00_9391;
BgL_l1281z00_9391 = 
CDR(BgL_l1281z00_5525); 
BgL_l1281z00_5525 = BgL_l1281z00_9391; 
goto BgL_zc3z04anonymousza32568ze3z87_5524;} }  else 
{ /* Llib/mpd.scm 1252 */
BgL_tmpz00_9269 = ((bool_t)1)
; } } } } }  else 
{ /* Llib/mpd.scm 1247 */
BgL_tmpz00_9269 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_9269);} } 

}



/* &mpd-database-listart1379 */
obj_t BGl_z62mpdzd2databasezd2listart1379z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4875, obj_t BgL_oz00_4876, obj_t BgL_opz00_4877)
{
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1224 */
 bool_t BgL_tmpz00_9394;
{ /* Llib/mpd.scm 1224 */
 obj_t BgL_g1272z00_5539;
BgL_g1272z00_5539 = 
BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4876)); 
{ 
 obj_t BgL_l1270z00_5541;
BgL_l1270z00_5541 = BgL_g1272z00_5539; 
BgL_zc3z04anonymousza32553ze3z87_5540:
if(
PAIRP(BgL_l1270z00_5541))
{ /* Llib/mpd.scm 1228 */
{ /* Llib/mpd.scm 1225 */
 obj_t BgL_az00_5542;
BgL_az00_5542 = 
CAR(BgL_l1270z00_5541); 
{ /* Llib/mpd.scm 1225 */
 obj_t BgL_tmpz00_9400;
BgL_tmpz00_9400 = 
((obj_t)BgL_opz00_4877); 
bgl_display_string(BGl_string3008z00zz__multimediazd2mpdzd2, BgL_tmpz00_9400); } 
{ /* Llib/mpd.scm 1226 */
 obj_t BgL_arg2555z00_5543;
BgL_arg2555z00_5543 = 
CAR(
((obj_t)BgL_az00_5542)); 
bgl_display_obj(BgL_arg2555z00_5543, 
((obj_t)BgL_opz00_4877)); } 
{ /* Llib/mpd.scm 1227 */
 obj_t BgL_tmpz00_9407;
BgL_tmpz00_9407 = 
((obj_t)BgL_opz00_4877); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9407); } } 
{ 
 obj_t BgL_l1270z00_9410;
BgL_l1270z00_9410 = 
CDR(BgL_l1270z00_5541); 
BgL_l1270z00_5541 = BgL_l1270z00_9410; 
goto BgL_zc3z04anonymousza32553ze3z87_5540;} }  else 
{ /* Llib/mpd.scm 1228 */
BgL_tmpz00_9394 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9394);} } 

}



/* &mpd-database-listgen1377 */
obj_t BGl_z62mpdzd2databasezd2listgen1377z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4878, obj_t BgL_oz00_4879, obj_t BgL_opz00_4880)
{
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1214 */
 bool_t BgL_tmpz00_9413;
{ /* Llib/mpd.scm 1214 */
 obj_t BgL_g1269z00_5546;
BgL_g1269z00_5546 = 
BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4879)); 
{ 
 obj_t BgL_l1267z00_5548;
BgL_l1267z00_5548 = BgL_g1269z00_5546; 
BgL_zc3z04anonymousza32548ze3z87_5547:
if(
PAIRP(BgL_l1267z00_5548))
{ /* Llib/mpd.scm 1218 */
{ /* Llib/mpd.scm 1215 */
 obj_t BgL_az00_5549;
BgL_az00_5549 = 
CAR(BgL_l1267z00_5548); 
{ /* Llib/mpd.scm 1215 */
 obj_t BgL_tmpz00_9419;
BgL_tmpz00_9419 = 
((obj_t)BgL_opz00_4880); 
bgl_display_string(BGl_string3119z00zz__multimediazd2mpdzd2, BgL_tmpz00_9419); } 
{ /* Llib/mpd.scm 1216 */
 obj_t BgL_arg2550z00_5550;
BgL_arg2550z00_5550 = 
CAR(
((obj_t)BgL_az00_5549)); 
bgl_display_obj(BgL_arg2550z00_5550, 
((obj_t)BgL_opz00_4880)); } 
{ /* Llib/mpd.scm 1217 */
 obj_t BgL_tmpz00_9426;
BgL_tmpz00_9426 = 
((obj_t)BgL_opz00_4880); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9426); } } 
{ 
 obj_t BgL_l1267z00_9429;
BgL_l1267z00_9429 = 
CDR(BgL_l1267z00_5548); 
BgL_l1267z00_5548 = BgL_l1267z00_9429; 
goto BgL_zc3z04anonymousza32548ze3z87_5547;} }  else 
{ /* Llib/mpd.scm 1218 */
BgL_tmpz00_9413 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9413);} } 

}



/* &mpd-database-listgen1375 */
obj_t BGl_z62mpdzd2databasezd2listgen1375z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4881, obj_t BgL_oz00_4882, obj_t BgL_opz00_4883, obj_t BgL_genrez00_4884)
{
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1204 */
 bool_t BgL_tmpz00_9432;
{ /* Llib/mpd.scm 1204 */
 obj_t BgL_g1266z00_5553;
BgL_g1266z00_5553 = 
BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4882), BgL_genrez00_4884); 
{ 
 obj_t BgL_l1264z00_5555;
BgL_l1264z00_5555 = BgL_g1266z00_5553; 
BgL_zc3z04anonymousza32543ze3z87_5554:
if(
PAIRP(BgL_l1264z00_5555))
{ /* Llib/mpd.scm 1208 */
{ /* Llib/mpd.scm 1205 */
 obj_t BgL_az00_5556;
BgL_az00_5556 = 
CAR(BgL_l1264z00_5555); 
{ /* Llib/mpd.scm 1205 */
 obj_t BgL_tmpz00_9438;
BgL_tmpz00_9438 = 
((obj_t)BgL_opz00_4883); 
bgl_display_string(BGl_string3008z00zz__multimediazd2mpdzd2, BgL_tmpz00_9438); } 
{ /* Llib/mpd.scm 1206 */
 obj_t BgL_arg2545z00_5557;
BgL_arg2545z00_5557 = 
CAR(
((obj_t)BgL_az00_5556)); 
bgl_display_obj(BgL_arg2545z00_5557, 
((obj_t)BgL_opz00_4883)); } 
{ /* Llib/mpd.scm 1207 */
 obj_t BgL_tmpz00_9445;
BgL_tmpz00_9445 = 
((obj_t)BgL_opz00_4883); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9445); } } 
{ 
 obj_t BgL_l1264z00_9448;
BgL_l1264z00_9448 = 
CDR(BgL_l1264z00_5555); 
BgL_l1264z00_5555 = BgL_l1264z00_9448; 
goto BgL_zc3z04anonymousza32543ze3z87_5554;} }  else 
{ /* Llib/mpd.scm 1208 */
BgL_tmpz00_9432 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9432);} } 

}



/* &mpd-database-listgen1373 */
obj_t BGl_z62mpdzd2databasezd2listgen1373z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4885, obj_t BgL_oz00_4886, obj_t BgL_opz00_4887, obj_t BgL_genrez00_4888)
{
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1190 */
 bool_t BgL_tmpz00_9451;
{ /* Llib/mpd.scm 1190 */
 obj_t BgL_g1263z00_5560;
{ /* Llib/mpd.scm 1194 */
 obj_t BgL_hook1259z00_5561;
BgL_hook1259z00_5561 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_g1260z00_5562;
BgL_g1260z00_5562 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4886)))->BgL_z52albumsz52); 
{ 
 obj_t BgL_l1256z00_5564; obj_t BgL_h1257z00_5565;
BgL_l1256z00_5564 = BgL_g1260z00_5562; 
BgL_h1257z00_5565 = BgL_hook1259z00_5561; 
BgL_zc3z04anonymousza32530ze3z87_5563:
if(
NULLP(BgL_l1256z00_5564))
{ /* Llib/mpd.scm 1197 */
BgL_g1263z00_5560 = 
CDR(BgL_hook1259z00_5561); }  else 
{ /* Llib/mpd.scm 1197 */
 bool_t BgL_test3706z00_9458;
{ /* Llib/mpd.scm 1195 */
 obj_t BgL_cz00_5566;
BgL_cz00_5566 = 
CAR(
((obj_t)BgL_l1256z00_5564)); 
{ /* Llib/mpd.scm 1195 */
 obj_t BgL_dirz00_5567;
BgL_dirz00_5567 = 
CDR(
((obj_t)BgL_cz00_5566)); 
{ /* Llib/mpd.scm 1196 */
 obj_t BgL_arg2539z00_5568;
BgL_arg2539z00_5568 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5567))); 
{ /* Llib/mpd.scm 1196 */
 long BgL_l1z00_5569;
BgL_l1z00_5569 = 
STRING_LENGTH(BgL_arg2539z00_5568); 
if(
(BgL_l1z00_5569==
STRING_LENGTH(
((obj_t)BgL_genrez00_4888))))
{ /* Llib/mpd.scm 1196 */
 int BgL_arg1289z00_5570;
{ /* Llib/mpd.scm 1196 */
 char * BgL_auxz00_9473; char * BgL_tmpz00_9471;
BgL_auxz00_9473 = 
BSTRING_TO_STRING(
((obj_t)BgL_genrez00_4888)); 
BgL_tmpz00_9471 = 
BSTRING_TO_STRING(BgL_arg2539z00_5568); 
BgL_arg1289z00_5570 = 
memcmp(BgL_tmpz00_9471, BgL_auxz00_9473, BgL_l1z00_5569); } 
BgL_test3706z00_9458 = 
(
(long)(BgL_arg1289z00_5570)==((long)0)); }  else 
{ /* Llib/mpd.scm 1196 */
BgL_test3706z00_9458 = ((bool_t)0)
; } } } } } 
if(BgL_test3706z00_9458)
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_nh1258z00_5571;
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_arg2537z00_5572;
BgL_arg2537z00_5572 = 
CAR(
((obj_t)BgL_l1256z00_5564)); 
BgL_nh1258z00_5571 = 
MAKE_YOUNG_PAIR(BgL_arg2537z00_5572, BNIL); } 
SET_CDR(BgL_h1257z00_5565, BgL_nh1258z00_5571); 
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_arg2536z00_5573;
BgL_arg2536z00_5573 = 
CDR(
((obj_t)BgL_l1256z00_5564)); 
{ 
 obj_t BgL_h1257z00_9486; obj_t BgL_l1256z00_9485;
BgL_l1256z00_9485 = BgL_arg2536z00_5573; 
BgL_h1257z00_9486 = BgL_nh1258z00_5571; 
BgL_h1257z00_5565 = BgL_h1257z00_9486; 
BgL_l1256z00_5564 = BgL_l1256z00_9485; 
goto BgL_zc3z04anonymousza32530ze3z87_5563;} } }  else 
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_arg2538z00_5574;
BgL_arg2538z00_5574 = 
CDR(
((obj_t)BgL_l1256z00_5564)); 
{ 
 obj_t BgL_l1256z00_9489;
BgL_l1256z00_9489 = BgL_arg2538z00_5574; 
BgL_l1256z00_5564 = BgL_l1256z00_9489; 
goto BgL_zc3z04anonymousza32530ze3z87_5563;} } } } } } 
{ 
 obj_t BgL_l1261z00_5576;
BgL_l1261z00_5576 = BgL_g1263z00_5560; 
BgL_zc3z04anonymousza32526ze3z87_5575:
if(
PAIRP(BgL_l1261z00_5576))
{ /* Llib/mpd.scm 1194 */
{ /* Llib/mpd.scm 1191 */
 obj_t BgL_az00_5577;
BgL_az00_5577 = 
CAR(BgL_l1261z00_5576); 
{ /* Llib/mpd.scm 1191 */
 obj_t BgL_tmpz00_9493;
BgL_tmpz00_9493 = 
((obj_t)BgL_opz00_4887); 
bgl_display_string(BGl_string3010z00zz__multimediazd2mpdzd2, BgL_tmpz00_9493); } 
{ /* Llib/mpd.scm 1192 */
 obj_t BgL_arg2528z00_5578;
BgL_arg2528z00_5578 = 
CAR(
((obj_t)BgL_az00_5577)); 
bgl_display_obj(BgL_arg2528z00_5578, 
((obj_t)BgL_opz00_4887)); } 
{ /* Llib/mpd.scm 1193 */
 obj_t BgL_tmpz00_9500;
BgL_tmpz00_9500 = 
((obj_t)BgL_opz00_4887); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9500); } } 
{ 
 obj_t BgL_l1261z00_9503;
BgL_l1261z00_9503 = 
CDR(BgL_l1261z00_5576); 
BgL_l1261z00_5576 = BgL_l1261z00_9503; 
goto BgL_zc3z04anonymousza32526ze3z87_5575;} }  else 
{ /* Llib/mpd.scm 1194 */
BgL_tmpz00_9451 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9451);} } 

}



/* &mpd-database-listart1371 */
obj_t BGl_z62mpdzd2databasezd2listart1371z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4889, obj_t BgL_oz00_4890, obj_t BgL_opz00_4891, obj_t BgL_artistz00_4892)
{
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1180 */
 bool_t BgL_tmpz00_9506;
{ /* Llib/mpd.scm 1180 */
 obj_t BgL_g1254z00_5581;
BgL_g1254z00_5581 = 
BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4890), BgL_artistz00_4892); 
{ 
 obj_t BgL_l1252z00_5583;
BgL_l1252z00_5583 = BgL_g1254z00_5581; 
BgL_zc3z04anonymousza32521ze3z87_5582:
if(
PAIRP(BgL_l1252z00_5583))
{ /* Llib/mpd.scm 1184 */
{ /* Llib/mpd.scm 1181 */
 obj_t BgL_az00_5584;
BgL_az00_5584 = 
CAR(BgL_l1252z00_5583); 
{ /* Llib/mpd.scm 1181 */
 obj_t BgL_tmpz00_9512;
BgL_tmpz00_9512 = 
((obj_t)BgL_opz00_4891); 
bgl_display_string(BGl_string3010z00zz__multimediazd2mpdzd2, BgL_tmpz00_9512); } 
{ /* Llib/mpd.scm 1182 */
 obj_t BgL_arg2523z00_5585;
{ /* Llib/mpd.scm 1182 */
 obj_t BgL_pairz00_5586;
BgL_pairz00_5586 = 
CDR(
((obj_t)BgL_az00_5584)); 
BgL_arg2523z00_5585 = 
CAR(BgL_pairz00_5586); } 
bgl_display_obj(BgL_arg2523z00_5585, 
((obj_t)BgL_opz00_4891)); } 
{ /* Llib/mpd.scm 1183 */
 obj_t BgL_tmpz00_9520;
BgL_tmpz00_9520 = 
((obj_t)BgL_opz00_4891); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9520); } } 
{ 
 obj_t BgL_l1252z00_9523;
BgL_l1252z00_9523 = 
CDR(BgL_l1252z00_5583); 
BgL_l1252z00_5583 = BgL_l1252z00_9523; 
goto BgL_zc3z04anonymousza32521ze3z87_5582;} }  else 
{ /* Llib/mpd.scm 1184 */
BgL_tmpz00_9506 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9506);} } 

}



/* &mpd-database-listalb1369 */
obj_t BGl_z62mpdzd2databasezd2listalb1369z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4893, obj_t BgL_oz00_4894, obj_t BgL_opz00_4895)
{
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1169 */
 bool_t BgL_tmpz00_9526;
{ /* Llib/mpd.scm 1169 */
 obj_t BgL_g1251z00_5589;
BgL_g1251z00_5589 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4894)))->BgL_z52albumsz52); 
{ 
 obj_t BgL_l1249z00_5591;
BgL_l1249z00_5591 = BgL_g1251z00_5589; 
BgL_zc3z04anonymousza32516ze3z87_5590:
if(
PAIRP(BgL_l1249z00_5591))
{ /* Llib/mpd.scm 1173 */
{ /* Llib/mpd.scm 1170 */
 obj_t BgL_az00_5592;
BgL_az00_5592 = 
CAR(BgL_l1249z00_5591); 
{ /* Llib/mpd.scm 1170 */
 obj_t BgL_tmpz00_9532;
BgL_tmpz00_9532 = 
((obj_t)BgL_opz00_4895); 
bgl_display_string(BGl_string3010z00zz__multimediazd2mpdzd2, BgL_tmpz00_9532); } 
{ /* Llib/mpd.scm 1171 */
 obj_t BgL_arg2518z00_5593;
BgL_arg2518z00_5593 = 
CAR(
((obj_t)BgL_az00_5592)); 
bgl_display_obj(BgL_arg2518z00_5593, 
((obj_t)BgL_opz00_4895)); } 
{ /* Llib/mpd.scm 1172 */
 obj_t BgL_tmpz00_9539;
BgL_tmpz00_9539 = 
((obj_t)BgL_opz00_4895); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9539); } } 
{ 
 obj_t BgL_l1249z00_9542;
BgL_l1249z00_9542 = 
CDR(BgL_l1249z00_5591); 
BgL_l1249z00_5591 = BgL_l1249z00_9542; 
goto BgL_zc3z04anonymousza32516ze3z87_5590;} }  else 
{ /* Llib/mpd.scm 1173 */
BgL_tmpz00_9526 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9526);} } 

}



/* &mpd-database-listall1367 */
obj_t BGl_z62mpdzd2databasezd2listall1367z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4896, obj_t BgL_oz00_4897, obj_t BgL_opz00_4898)
{
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1146 */
 bool_t BgL_tmpz00_9545;
{ /* Llib/mpd.scm 1160 */
 obj_t BgL_tmpz00_9546;
BgL_tmpz00_9546 = 
((obj_t)BgL_opz00_4898); 
bgl_display_string(BGl_string3117z00zz__multimediazd2mpdzd2, BgL_tmpz00_9546); } 
bgl_display_obj(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4897)))->BgL_z52basez52), 
((obj_t)BgL_opz00_4898)); 
{ /* Llib/mpd.scm 1162 */
 obj_t BgL_tmpz00_9553;
BgL_tmpz00_9553 = 
((obj_t)BgL_opz00_4898); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9553); } 
{ /* Llib/mpd.scm 1163 */
 obj_t BgL_g1248z00_5599;
BgL_g1248z00_5599 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4897)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1246z00_5601;
BgL_l1246z00_5601 = BgL_g1248z00_5599; 
BgL_zc3z04anonymousza32502ze3z87_5600:
if(
PAIRP(BgL_l1246z00_5601))
{ /* Llib/mpd.scm 1163 */
{ /* Llib/mpd.scm 1163 */
 obj_t BgL_pathz00_5604;
BgL_pathz00_5604 = 
CAR(BgL_l1246z00_5601); 
BGl_loopze70ze7zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4897), 
((obj_t)BgL_opz00_4898), BgL_pathz00_5604); } 
{ 
 obj_t BgL_l1246z00_9564;
BgL_l1246z00_9564 = 
CDR(BgL_l1246z00_5601); 
BgL_l1246z00_5601 = BgL_l1246z00_9564; 
goto BgL_zc3z04anonymousza32502ze3z87_5600;} }  else 
{ /* Llib/mpd.scm 1163 */
BgL_tmpz00_9545 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9545);} } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_4984, obj_t BgL_opz00_4983, obj_t BgL_pathz00_1850)
{
{ /* Llib/mpd.scm 1145 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_1850)))
{ /* Llib/mpd.scm 1146 */
bgl_display_string(BGl_string3117z00zz__multimediazd2mpdzd2, BgL_opz00_4983); 
{ /* Llib/mpd.scm 1149 */
 obj_t BgL_arg2509z00_1853;
BgL_arg2509z00_1853 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pathz00_1850, 
((obj_t)BgL_oz00_4984)); 
bgl_display_obj(BgL_arg2509z00_1853, BgL_opz00_4983); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4983); 
{ /* Llib/mpd.scm 1151 */
 obj_t BgL_g1245z00_1854;
BgL_g1245z00_1854 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_1850); 
{ 
 obj_t BgL_l1243z00_1856;
{ /* Llib/mpd.scm 1153 */
 bool_t BgL_tmpz00_9576;
BgL_l1243z00_1856 = BgL_g1245z00_1854; 
BgL_zc3z04anonymousza32510ze3z87_1857:
if(
PAIRP(BgL_l1243z00_1856))
{ /* Llib/mpd.scm 1153 */
{ /* Llib/mpd.scm 1152 */
 obj_t BgL_fz00_1859;
BgL_fz00_1859 = 
CAR(BgL_l1243z00_1856); 
BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_oz00_4984, BgL_opz00_4983, 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_1850, BgL_fz00_1859)); } 
{ 
 obj_t BgL_l1243z00_9582;
BgL_l1243z00_9582 = 
CDR(BgL_l1243z00_1856); 
BgL_l1243z00_1856 = BgL_l1243z00_9582; 
goto BgL_zc3z04anonymousza32510ze3z87_1857;} }  else 
{ /* Llib/mpd.scm 1153 */
BgL_tmpz00_9576 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_9576);} } } }  else 
{ /* Llib/mpd.scm 1146 */
bgl_display_string(BGl_string3005z00zz__multimediazd2mpdzd2, BgL_opz00_4983); 
{ /* Llib/mpd.scm 1156 */
 obj_t BgL_arg2514z00_1863;
BgL_arg2514z00_1863 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pathz00_1850, 
((obj_t)BgL_oz00_4984)); 
bgl_display_obj(BgL_arg2514z00_1863, BgL_opz00_4983); } 
return 
bgl_display_char(((unsigned char)10), BgL_opz00_4983);} } 

}



/* &mpd-database-stats1365 */
obj_t BGl_z62mpdzd2databasezd2stats1365z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4899, obj_t BgL_oz00_4900, obj_t BgL_backendz00_4901, obj_t BgL_opz00_4902)
{
{ /* Llib/mpd.scm 1108 */
{ 

{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2475z00_5626; int BgL_arg2476z00_5627; int BgL_arg2477z00_5628; long BgL_arg2478z00_5629; obj_t BgL_arg2479z00_5630; long BgL_arg2480z00_5631;
BgL_arg2475z00_5626 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900)))->BgL_z52nartistsz52); 
BgL_arg2476z00_5627 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900)))->BgL_z52nalbumsz52); 
BgL_arg2477z00_5628 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900)))->BgL_z52nsongsz52); 
{ /* Llib/mpd.scm 1135 */
 long BgL_arg2487z00_5632;
{ /* Llib/mpd.scm 1135 */
 long BgL_arg2488z00_5633; obj_t BgL_arg2489z00_5634;
BgL_arg2488z00_5633 = 
bgl_current_seconds(); 
BgL_arg2489z00_5634 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900)))->BgL_z52uptimez52); 
{ /* Llib/mpd.scm 1135 */
 long BgL_res2762z00_5635;
{ /* Llib/mpd.scm 1135 */
 long BgL_za72za7_5636;
BgL_za72za7_5636 = 
BELONG_TO_LONG(BgL_arg2489z00_5634); 
{ /* Llib/mpd.scm 1135 */
 long BgL_tmpz00_9600;
BgL_tmpz00_9600 = 
(BgL_arg2488z00_5633-BgL_za72za7_5636); 
BgL_res2762z00_5635 = 
(long)(BgL_tmpz00_9600); } } 
BgL_arg2487z00_5632 = BgL_res2762z00_5635; } } 
BgL_arg2478z00_5629 = 
(long)(BgL_arg2487z00_5632); } 
{ /* Llib/mpd.scm 1111 */
 obj_t BgL_plistz00_5607; int BgL_numz00_5608;
BgL_plistz00_5607 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4901)); 
BgL_numz00_5608 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4901)); 
{ /* Llib/mpd.scm 1113 */
 bool_t BgL_test3714z00_9608;
if(
(
(long)(BgL_numz00_5608)>=((long)0)))
{ /* Llib/mpd.scm 1113 */
BgL_test3714z00_9608 = 
(
(long)(BgL_numz00_5608)<
bgl_list_length(BgL_plistz00_5607))
; }  else 
{ /* Llib/mpd.scm 1113 */
BgL_test3714z00_9608 = ((bool_t)0)
; } 
if(BgL_test3714z00_9608)
{ /* Llib/mpd.scm 1114 */
 obj_t BgL_filez00_5609;
BgL_filez00_5609 = 
bgl_list_ref(BgL_plistz00_5607, 
(long)(BgL_numz00_5608)); 
{ /* Llib/mpd.scm 1114 */
 obj_t BgL_pathz00_5610;
if(
bigloo_strcmp_at(BgL_filez00_5609, BGl_string3002z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_5610 = BgL_filez00_5609; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_5610 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_5609, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900))); } 
{ /* Llib/mpd.scm 1115 */

if(
fexists(
BSTRING_TO_STRING(BgL_filez00_5609)))
{ /* Llib/mpd.scm 1117 */
 obj_t BgL_infoz00_5611;
BgL_infoz00_5611 = 
BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(BgL_filez00_5609); 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL_test3718z00_9626;
{ /* Llib/mpd.scm 1118 */
 obj_t BgL_classz00_5612;
BgL_classz00_5612 = BGl_musicinfoz00zz__multimediazd2id3zd2; 
if(
BGL_OBJECTP(BgL_infoz00_5611))
{ /* Llib/mpd.scm 1118 */
 BgL_objectz00_bglt BgL_arg1797z00_5613;
BgL_arg1797z00_5613 = 
(BgL_objectz00_bglt)(BgL_infoz00_5611); 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL_arg1794z00_5614; bool_t BgL_arg1795z00_5615;
{ /* Llib/mpd.scm 1118 */
 long BgL_idxz00_5616;
BgL_idxz00_5616 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_5613); 
BgL_arg1794z00_5614 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_5616+((long)1)))==BgL_classz00_5612); } 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL_res2761z00_5619;
{ /* Llib/mpd.scm 1118 */
 obj_t BgL_oclassz00_5620;
{ /* Llib/mpd.scm 1118 */
 long BgL_arg1804z00_5621;
{ /* Llib/mpd.scm 1118 */
 long BgL_arg1805z00_5622;
BgL_arg1805z00_5622 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_5613); 
BgL_arg1804z00_5621 = 
(BgL_arg1805z00_5622-OBJECT_TYPE); } 
BgL_oclassz00_5620 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5621); } 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL__ortest_1111z00_5623;
BgL__ortest_1111z00_5623 = 
(BgL_classz00_5612==BgL_oclassz00_5620); 
if(BgL__ortest_1111z00_5623)
{ /* Llib/mpd.scm 1118 */
BgL_res2761z00_5619 = BgL__ortest_1111z00_5623; }  else 
{ /* Llib/mpd.scm 1118 */
 long BgL_odepthz00_5624;
BgL_odepthz00_5624 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5620); 
if(
(((long)1)<BgL_odepthz00_5624))
{ /* Llib/mpd.scm 1118 */
 obj_t BgL_arg1793z00_5625;
BgL_arg1793z00_5625 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5620, ((long)1)); 
BgL_res2761z00_5619 = 
(BgL_arg1793z00_5625==BgL_classz00_5612); }  else 
{ /* Llib/mpd.scm 1118 */
BgL_res2761z00_5619 = ((bool_t)0); } } } } 
BgL_arg1795z00_5615 = BgL_res2761z00_5619; } 
BgL_test3718z00_9626 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5614, BgL_arg1795z00_5615); } }  else 
{ /* Llib/mpd.scm 1118 */
BgL_test3718z00_9626 = ((bool_t)0)
; } } 
if(BgL_test3718z00_9626)
{ /* Llib/mpd.scm 1118 */
BgL_arg2479z00_5630 = 
BINT(
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_infoz00_5611)))->BgL_durationz00)); }  else 
{ /* Llib/mpd.scm 1118 */
BgL_arg2479z00_5630 = 
BINT(((long)1000000)); } } }  else 
{ /* Llib/mpd.scm 1116 */
BgL_arg2479z00_5630 = 
BINT(((long)1000000)); } } } }  else 
{ /* Llib/mpd.scm 1113 */
BgL_arg2479z00_5630 = BFALSE; } } } 
{ /* Llib/mpd.scm 1137 */
 long BgL_arg2490z00_5637;
{ /* Llib/mpd.scm 1137 */
 long BgL_arg2491z00_5638; obj_t BgL_arg2492z00_5639;
BgL_arg2491z00_5638 = 
bgl_current_seconds(); 
BgL_arg2492z00_5639 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900)))->BgL_z52dbzd2updatez80); 
{ /* Llib/mpd.scm 1137 */
 long BgL_res2763z00_5640;
{ /* Llib/mpd.scm 1137 */
 long BgL_za72za7_5641;
BgL_za72za7_5641 = 
BELONG_TO_LONG(BgL_arg2492z00_5639); 
{ /* Llib/mpd.scm 1137 */
 long BgL_tmpz00_9654;
BgL_tmpz00_9654 = 
(BgL_arg2491z00_5638-BgL_za72za7_5641); 
BgL_res2763z00_5640 = 
(long)(BgL_tmpz00_9654); } } 
BgL_arg2490z00_5637 = BgL_res2763z00_5640; } } 
BgL_arg2480z00_5631 = 
(long)(BgL_arg2490z00_5637); } 
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_list2481z00_5642;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2482z00_5643;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2483z00_5644;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2484z00_5645;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2485z00_5646;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2486z00_5647;
BgL_arg2486z00_5647 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2480z00_5631), BNIL); 
BgL_arg2485z00_5646 = 
MAKE_YOUNG_PAIR(BgL_arg2479z00_5630, BgL_arg2486z00_5647); } 
BgL_arg2484z00_5645 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2478z00_5629), BgL_arg2485z00_5646); } 
BgL_arg2483z00_5644 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2477z00_5628), BgL_arg2484z00_5645); } 
BgL_arg2482z00_5643 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2476z00_5627), BgL_arg2483z00_5644); } 
BgL_list2481z00_5642 = 
MAKE_YOUNG_PAIR(BgL_arg2475z00_5626, BgL_arg2482z00_5643); } 
return 
BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_opz00_4902, BGl_string3120z00zz__multimediazd2mpdzd2, BgL_list2481z00_5642);} } } } 

}



/* &mpd-database-file->p1363 */
obj_t BGl_z62mpdzd2databasezd2filezd2ze3p1363z53zz__multimediazd2mpdzd2(obj_t BgL_envz00_4903, obj_t BgL_oz00_4904, obj_t BgL_filez00_4905)
{
{ /* Llib/mpd.scm 1095 */
if(
NULLP(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4904)))->BgL_directoriesz00)))
{ /* Llib/mpd.scm 1097 */
return 
((obj_t)BgL_filez00_4905);}  else 
{ /* Llib/mpd.scm 1099 */
 obj_t BgL_dirz00_5650;
{ /* Llib/mpd.scm 1099 */
 obj_t BgL_arg2472z00_5651;
BgL_arg2472z00_5651 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
((obj_t)BgL_filez00_4905)); 
BgL_dirz00_5650 = 
CAR(
((obj_t)BgL_arg2472z00_5651)); } 
{ /* Llib/mpd.scm 1099 */
 obj_t BgL_nz00_5652;
{ /* Llib/mpd.scm 1100 */
 obj_t BgL_arg2470z00_5653;
BgL_arg2470z00_5653 = 
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4904)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 1100 */

BgL_nz00_5652 = 
BGl_stringzd2containszd2zz__r4_strings_6_7z00(BgL_arg2470z00_5653, BgL_dirz00_5650, 
(int)(((long)0))); } } 
{ /* Llib/mpd.scm 1100 */

if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_5652))
{ /* Llib/mpd.scm 1102 */
 obj_t BgL_arg2467z00_5654;
{ /* Llib/mpd.scm 1102 */
 obj_t BgL_arg2468z00_5655;
BgL_arg2468z00_5655 = 
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4904)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 1102 */
 long BgL_endz00_5656;
BgL_endz00_5656 = 
(long)CINT(BgL_nz00_5652); 
BgL_arg2467z00_5654 = 
c_substring(
((obj_t)BgL_arg2468z00_5655), ((long)0), BgL_endz00_5656); } } 
return 
string_append(BgL_arg2467z00_5654, 
((obj_t)BgL_filez00_4905));}  else 
{ /* Llib/mpd.scm 1101 */
return 
((obj_t)BgL_filez00_4905);} } } } } 

}



/* &mpd-database-init!1361 */
obj_t BGl_z62mpdzd2databasezd2initz121361z70zz__multimediazd2mpdzd2(obj_t BgL_envz00_4906, obj_t BgL_oz00_4907)
{
{ /* Llib/mpd.scm 956 */
{ 
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_9694;
if(
NULLP(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00)))
{ /* Llib/mpd.scm 962 */BFALSE; }  else 
{ /* Llib/mpd.scm 962 */
if(
NULLP(
CDR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00))))
{ 
 obj_t BgL_auxz00_9704;
{ /* Llib/mpd.scm 964 */
 obj_t BgL_pairz00_5660;
BgL_pairz00_5660 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00); 
BgL_auxz00_9704 = 
CAR(BgL_pairz00_5660); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52basez52)=((obj_t)BgL_auxz00_9704),BUNSPEC); }  else 
{ /* Llib/mpd.scm 965 */
 obj_t BgL_g1149z00_5661; obj_t BgL_g1150z00_5662;
BgL_g1149z00_5661 = 
CDR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00)); 
BgL_g1150z00_5662 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00))); 
{ 
 obj_t BgL_dirsz00_5664; obj_t BgL_lz00_5665;
BgL_dirsz00_5664 = BgL_g1149z00_5661; 
BgL_lz00_5665 = BgL_g1150z00_5662; 
BgL_loopz00_5663:
if(
NULLP(BgL_dirsz00_5664))
{ 
 obj_t BgL_auxz00_9719;
{ /* Llib/mpd.scm 968 */
 obj_t BgL_runner2444z00_5666;
BgL_runner2444z00_5666 = BgL_lz00_5665; 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_aux2442z00_5667;
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5668;
BgL_pairz00_5668 = BgL_runner2444z00_5666; 
BgL_aux2442z00_5667 = 
CAR(BgL_pairz00_5668); } 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5669;
BgL_pairz00_5669 = BgL_runner2444z00_5666; 
BgL_runner2444z00_5666 = 
CDR(BgL_pairz00_5669); } 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_aux2443z00_5670;
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5671;
BgL_pairz00_5671 = BgL_runner2444z00_5666; 
BgL_aux2443z00_5670 = 
CAR(BgL_pairz00_5671); } 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5672;
BgL_pairz00_5672 = BgL_runner2444z00_5666; 
BgL_runner2444z00_5666 = 
CDR(BgL_pairz00_5672); } 
BgL_auxz00_9719 = 
BGl_makezd2filezd2pathz00zz__osz00(BgL_aux2442z00_5667, BgL_aux2443z00_5670, BgL_runner2444z00_5666); } } } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52basez52)=((obj_t)BgL_auxz00_9719),BUNSPEC); }  else 
{ /* Llib/mpd.scm 969 */
 obj_t BgL_nlz00_5673;
BgL_nlz00_5673 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
BGl_dirnamez00zz__osz00(
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00)))); 
{ /* Llib/mpd.scm 970 */
 obj_t BgL_arg2445z00_5674; obj_t BgL_arg2446z00_5675;
BgL_arg2445z00_5674 = 
CDR(
((obj_t)BgL_dirsz00_5664)); 
BgL_arg2446z00_5675 = 
BGl_loopze75ze7zz__multimediazd2mpdzd2(BgL_lz00_5665, BgL_nlz00_5673); 
{ 
 obj_t BgL_lz00_9736; obj_t BgL_dirsz00_9735;
BgL_dirsz00_9735 = BgL_arg2445z00_5674; 
BgL_lz00_9736 = BgL_arg2446z00_5675; 
BgL_lz00_5665 = BgL_lz00_9736; 
BgL_dirsz00_5664 = BgL_dirsz00_9735; 
goto BgL_loopz00_5663;} } } } } } 
{ 
 obj_t BgL_auxz00_9737;
{ /* Llib/mpd.scm 972 */
 long BgL_arg2456z00_5678; long BgL_arg2457z00_5679;
BgL_arg2456z00_5678 = 
bgl_current_seconds(); 
{ /* Llib/mpd.scm 972 */
 obj_t BgL_arg2458z00_5680;
BgL_arg2458z00_5680 = 
BGl_makezd2datezd2zz__datez00(
BINT(((long)1)), 
BINT(((long)-1)), 
BINT(((long)0)), 
BINT(((long)0)), 
BINT(((long)1)), BGl_llong3121z00zz__multimediazd2mpdzd2, 
BINT(((long)0)), BFALSE, 
BINT(((long)1970))); 
BgL_arg2457z00_5679 = 
bgl_date_to_seconds(
((obj_t)BgL_arg2458z00_5680)); } 
BgL_auxz00_9737 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg2456z00_5678), 
make_belong(BgL_arg2457z00_5679)); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52dbzd2updatez80)=((obj_t)BgL_auxz00_9737),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_9754;
{ /* Llib/mpd.scm 973 */
 long BgL_arg2459z00_5681; long BgL_arg2460z00_5682;
BgL_arg2459z00_5681 = 
bgl_current_seconds(); 
{ /* Llib/mpd.scm 973 */
 obj_t BgL_arg2461z00_5683;
BgL_arg2461z00_5683 = 
BGl_makezd2datezd2zz__datez00(
BINT(((long)1)), 
BINT(((long)-1)), 
BINT(((long)0)), 
BINT(((long)0)), 
BINT(((long)1)), BGl_llong3121z00zz__multimediazd2mpdzd2, 
BINT(((long)0)), BFALSE, 
BINT(((long)1970))); 
BgL_arg2460z00_5682 = 
bgl_date_to_seconds(
((obj_t)BgL_arg2461z00_5683)); } 
BgL_auxz00_9754 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg2459z00_5681), 
make_belong(BgL_arg2460z00_5682)); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52uptimez52)=((obj_t)BgL_auxz00_9754),BUNSPEC); } 
{ /* Llib/mpd.scm 975 */
 obj_t BgL_artistsz00_5684;
BgL_artistsz00_5684 = 
BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907), 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 976 */
 obj_t BgL_albumsz00_5685; obj_t BgL_genresz00_5686; obj_t BgL_nsongz00_5687;
{ /* Llib/mpd.scm 977 */
 obj_t BgL_tmpz00_5688;
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9775;
BgL_tmpz00_9775 = 
(int)(((long)1)); 
BgL_tmpz00_5688 = 
BGL_MVALUES_VAL(BgL_tmpz00_9775); } 
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9778;
BgL_tmpz00_9778 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_9778, BUNSPEC); } 
BgL_albumsz00_5685 = BgL_tmpz00_5688; } 
{ /* Llib/mpd.scm 977 */
 obj_t BgL_tmpz00_5689;
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9781;
BgL_tmpz00_9781 = 
(int)(((long)2)); 
BgL_tmpz00_5689 = 
BGL_MVALUES_VAL(BgL_tmpz00_9781); } 
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9784;
BgL_tmpz00_9784 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_9784, BUNSPEC); } 
BgL_genresz00_5686 = BgL_tmpz00_5689; } 
{ /* Llib/mpd.scm 977 */
 obj_t BgL_tmpz00_5690;
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9787;
BgL_tmpz00_9787 = 
(int)(((long)3)); 
BgL_tmpz00_5690 = 
BGL_MVALUES_VAL(BgL_tmpz00_9787); } 
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9790;
BgL_tmpz00_9790 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_9790, BUNSPEC); } 
BgL_nsongz00_5687 = BgL_tmpz00_5690; } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52artistsz52)=((obj_t)BgL_artistsz00_5684),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52nartistsz52)=((obj_t)
BINT(
bgl_list_length(BgL_artistsz00_5684))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52albumsz52)=((obj_t)BgL_albumsz00_5685),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52genresz52)=((obj_t)BgL_genresz00_5686),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52nalbumsz52)=((int)
(int)(
bgl_list_length(BgL_albumsz00_5685))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907)))->BgL_z52nsongsz52)=((int)
CINT(BgL_nsongz00_5687)),BUNSPEC); } } 
BgL_auxz00_9694 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4907); 
return 
((obj_t)BgL_auxz00_9694);} } 

}



/* mpd-database-init! */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_331)
{
{ /* Llib/mpd.scm 956 */
{ /* Llib/mpd.scm 956 */
 obj_t BgL_method1362z00_2340;
{ /* Llib/mpd.scm 956 */
 obj_t BgL_res2768z00_3686;
{ /* Llib/mpd.scm 956 */
 long BgL_objzd2classzd2numz00_3657;
BgL_objzd2classzd2numz00_3657 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_331)); 
{ /* Llib/mpd.scm 956 */
 obj_t BgL_arg1801z00_3658;
BgL_arg1801z00_3658 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 956 */
 int BgL_offsetz00_3661;
BgL_offsetz00_3661 = 
(int)(BgL_objzd2classzd2numz00_3657); 
{ /* Llib/mpd.scm 956 */
 long BgL_offsetz00_3662;
BgL_offsetz00_3662 = 
(
(long)(BgL_offsetz00_3661)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 956 */
 long BgL_modz00_3663;
BgL_modz00_3663 = 
(BgL_offsetz00_3662 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 956 */
 long BgL_restz00_3665;
BgL_restz00_3665 = 
(BgL_offsetz00_3662 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 956 */

{ /* Llib/mpd.scm 956 */
 obj_t BgL_bucketz00_3667;
BgL_bucketz00_3667 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3658),BgL_modz00_3663); 
BgL_res2768z00_3686 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3667),BgL_restz00_3665); } } } } } } } } 
BgL_method1362z00_2340 = BgL_res2768z00_3686; } 
return 
PROCEDURE_ENTRY(BgL_method1362z00_2340)(BgL_method1362z00_2340, 
((obj_t)BgL_oz00_331), BEOA);} } 

}



/* &mpd-database-init! */
obj_t BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2(obj_t BgL_envz00_4799, obj_t BgL_oz00_4800)
{
{ /* Llib/mpd.scm 956 */
{ /* Llib/mpd.scm 956 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_9842;
{ /* Llib/mpd.scm 956 */
 bool_t BgL_test3727z00_9843;
{ /* Llib/mpd.scm 956 */
 obj_t BgL_classz00_5691;
BgL_classz00_5691 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4800))
{ /* Llib/mpd.scm 956 */
 BgL_objectz00_bglt BgL_arg1799z00_5693; long BgL_arg1800z00_5694;
BgL_arg1799z00_5693 = 
(BgL_objectz00_bglt)(BgL_oz00_4800); 
BgL_arg1800z00_5694 = 
BGL_CLASS_DEPTH(BgL_classz00_5691); 
{ /* Llib/mpd.scm 956 */
 bool_t BgL_arg1794z00_5698; bool_t BgL_arg1795z00_5699;
{ /* Llib/mpd.scm 956 */
 long BgL_idxz00_5703;
BgL_idxz00_5703 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5693); 
{ /* Llib/mpd.scm 956 */
 obj_t BgL_arg1791z00_5704;
{ /* Llib/mpd.scm 956 */
 long BgL_arg1792z00_5705;
BgL_arg1792z00_5705 = 
(BgL_idxz00_5703+BgL_arg1800z00_5694); 
BgL_arg1791z00_5704 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5705); } 
BgL_arg1794z00_5698 = 
(BgL_arg1791z00_5704==BgL_classz00_5691); } } 
{ /* Llib/mpd.scm 956 */
 bool_t BgL_res3149z00_5728;
{ /* Llib/mpd.scm 956 */
 obj_t BgL_oclassz00_5713;
{ /* Llib/mpd.scm 956 */
 long BgL_arg1804z00_5719;
{ /* Llib/mpd.scm 956 */
 long BgL_arg1805z00_5720;
BgL_arg1805z00_5720 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5693); 
BgL_arg1804z00_5719 = 
(BgL_arg1805z00_5720-OBJECT_TYPE); } 
BgL_oclassz00_5713 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5719); } 
{ /* Llib/mpd.scm 956 */
 bool_t BgL__ortest_1111z00_5714;
BgL__ortest_1111z00_5714 = 
(BgL_classz00_5691==BgL_oclassz00_5713); 
if(BgL__ortest_1111z00_5714)
{ /* Llib/mpd.scm 956 */
BgL_res3149z00_5728 = BgL__ortest_1111z00_5714; }  else 
{ /* Llib/mpd.scm 956 */
 long BgL_odepthz00_5715;
BgL_odepthz00_5715 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5713); 
if(
(BgL_arg1800z00_5694<BgL_odepthz00_5715))
{ /* Llib/mpd.scm 956 */
 obj_t BgL_arg1793z00_5717;
BgL_arg1793z00_5717 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5713, BgL_arg1800z00_5694); 
BgL_res3149z00_5728 = 
(BgL_arg1793z00_5717==BgL_classz00_5691); }  else 
{ /* Llib/mpd.scm 956 */
BgL_res3149z00_5728 = ((bool_t)0); } } } } 
BgL_arg1795z00_5699 = BgL_res3149z00_5728; } 
BgL_test3727z00_9843 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5698, BgL_arg1795z00_5699); } }  else 
{ /* Llib/mpd.scm 956 */
BgL_test3727z00_9843 = ((bool_t)0)
; } } 
if(BgL_test3727z00_9843)
{ /* Llib/mpd.scm 956 */
BgL_auxz00_9842 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4800)
; }  else 
{ 
 obj_t BgL_auxz00_9864;
BgL_auxz00_9864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)37998)), BGl_string3122z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4800); 
FAILURE(BgL_auxz00_9864,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_auxz00_9842);} } 

}



/* mpd-database-file->path */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_349, obj_t BgL_filez00_350)
{
{ /* Llib/mpd.scm 1095 */
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_method1364z00_2341;
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_res2773z00_3717;
{ /* Llib/mpd.scm 1095 */
 long BgL_objzd2classzd2numz00_3688;
BgL_objzd2classzd2numz00_3688 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_349)); 
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_arg1801z00_3689;
BgL_arg1801z00_3689 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1095 */
 int BgL_offsetz00_3692;
BgL_offsetz00_3692 = 
(int)(BgL_objzd2classzd2numz00_3688); 
{ /* Llib/mpd.scm 1095 */
 long BgL_offsetz00_3693;
BgL_offsetz00_3693 = 
(
(long)(BgL_offsetz00_3692)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1095 */
 long BgL_modz00_3694;
BgL_modz00_3694 = 
(BgL_offsetz00_3693 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1095 */
 long BgL_restz00_3696;
BgL_restz00_3696 = 
(BgL_offsetz00_3693 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1095 */

{ /* Llib/mpd.scm 1095 */
 obj_t BgL_bucketz00_3698;
BgL_bucketz00_3698 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3689),BgL_modz00_3694); 
BgL_res2773z00_3717 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3698),BgL_restz00_3696); } } } } } } } } 
BgL_method1364z00_2341 = BgL_res2773z00_3717; } 
return 
PROCEDURE_ENTRY(BgL_method1364z00_2341)(BgL_method1364z00_2341, 
((obj_t)BgL_oz00_349), BgL_filez00_350, BEOA);} } 

}



/* &mpd-database-file->path */
obj_t BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2(obj_t BgL_envz00_4908, obj_t BgL_oz00_4909, obj_t BgL_filez00_4910)
{
{ /* Llib/mpd.scm 1095 */
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_auxz00_9926; BgL_mpdzd2databasezd2_bglt BgL_auxz00_9900;
if(
STRINGP(BgL_filez00_4910))
{ /* Llib/mpd.scm 1095 */
BgL_auxz00_9926 = BgL_filez00_4910
; }  else 
{ 
 obj_t BgL_auxz00_9929;
BgL_auxz00_9929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)43641)), BGl_string3123z00zz__multimediazd2mpdzd2, BGl_string3124z00zz__multimediazd2mpdzd2, BgL_filez00_4910); 
FAILURE(BgL_auxz00_9929,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL_test3731z00_9901;
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_classz00_5729;
BgL_classz00_5729 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4909))
{ /* Llib/mpd.scm 1095 */
 BgL_objectz00_bglt BgL_arg1799z00_5731; long BgL_arg1800z00_5732;
BgL_arg1799z00_5731 = 
(BgL_objectz00_bglt)(BgL_oz00_4909); 
BgL_arg1800z00_5732 = 
BGL_CLASS_DEPTH(BgL_classz00_5729); 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL_arg1794z00_5736; bool_t BgL_arg1795z00_5737;
{ /* Llib/mpd.scm 1095 */
 long BgL_idxz00_5741;
BgL_idxz00_5741 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5731); 
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_arg1791z00_5742;
{ /* Llib/mpd.scm 1095 */
 long BgL_arg1792z00_5743;
BgL_arg1792z00_5743 = 
(BgL_idxz00_5741+BgL_arg1800z00_5732); 
BgL_arg1791z00_5742 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5743); } 
BgL_arg1794z00_5736 = 
(BgL_arg1791z00_5742==BgL_classz00_5729); } } 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL_res3150z00_5766;
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_oclassz00_5751;
{ /* Llib/mpd.scm 1095 */
 long BgL_arg1804z00_5757;
{ /* Llib/mpd.scm 1095 */
 long BgL_arg1805z00_5758;
BgL_arg1805z00_5758 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5731); 
BgL_arg1804z00_5757 = 
(BgL_arg1805z00_5758-OBJECT_TYPE); } 
BgL_oclassz00_5751 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5757); } 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL__ortest_1111z00_5752;
BgL__ortest_1111z00_5752 = 
(BgL_classz00_5729==BgL_oclassz00_5751); 
if(BgL__ortest_1111z00_5752)
{ /* Llib/mpd.scm 1095 */
BgL_res3150z00_5766 = BgL__ortest_1111z00_5752; }  else 
{ /* Llib/mpd.scm 1095 */
 long BgL_odepthz00_5753;
BgL_odepthz00_5753 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5751); 
if(
(BgL_arg1800z00_5732<BgL_odepthz00_5753))
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_arg1793z00_5755;
BgL_arg1793z00_5755 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5751, BgL_arg1800z00_5732); 
BgL_res3150z00_5766 = 
(BgL_arg1793z00_5755==BgL_classz00_5729); }  else 
{ /* Llib/mpd.scm 1095 */
BgL_res3150z00_5766 = ((bool_t)0); } } } } 
BgL_arg1795z00_5737 = BgL_res3150z00_5766; } 
BgL_test3731z00_9901 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5736, BgL_arg1795z00_5737); } }  else 
{ /* Llib/mpd.scm 1095 */
BgL_test3731z00_9901 = ((bool_t)0)
; } } 
if(BgL_test3731z00_9901)
{ /* Llib/mpd.scm 1095 */
BgL_auxz00_9900 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4909)
; }  else 
{ 
 obj_t BgL_auxz00_9922;
BgL_auxz00_9922 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)43641)), BGl_string3123z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4909); 
FAILURE(BgL_auxz00_9922,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_auxz00_9900, BgL_auxz00_9926);} } 

}



/* mpd-database-stats */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_351, obj_t BgL_backendz00_352, obj_t BgL_opz00_353)
{
{ /* Llib/mpd.scm 1108 */
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_method1366z00_2342;
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_res2778z00_3748;
{ /* Llib/mpd.scm 1108 */
 long BgL_objzd2classzd2numz00_3719;
BgL_objzd2classzd2numz00_3719 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_351)); 
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_arg1801z00_3720;
BgL_arg1801z00_3720 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1108 */
 int BgL_offsetz00_3723;
BgL_offsetz00_3723 = 
(int)(BgL_objzd2classzd2numz00_3719); 
{ /* Llib/mpd.scm 1108 */
 long BgL_offsetz00_3724;
BgL_offsetz00_3724 = 
(
(long)(BgL_offsetz00_3723)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1108 */
 long BgL_modz00_3725;
BgL_modz00_3725 = 
(BgL_offsetz00_3724 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1108 */
 long BgL_restz00_3727;
BgL_restz00_3727 = 
(BgL_offsetz00_3724 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1108 */

{ /* Llib/mpd.scm 1108 */
 obj_t BgL_bucketz00_3729;
BgL_bucketz00_3729 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3720),BgL_modz00_3725); 
BgL_res2778z00_3748 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3729),BgL_restz00_3727); } } } } } } } } 
BgL_method1366z00_2342 = BgL_res2778z00_3748; } 
return 
PROCEDURE_ENTRY(BgL_method1366z00_2342)(BgL_method1366z00_2342, 
((obj_t)BgL_oz00_351), BgL_backendz00_352, BgL_opz00_353, BEOA);} } 

}



/* &mpd-database-stats */
obj_t BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4911, obj_t BgL_oz00_4912, obj_t BgL_backendz00_4913, obj_t BgL_opz00_4914)
{
{ /* Llib/mpd.scm 1108 */
{ /* Llib/mpd.scm 1108 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_9966;
{ /* Llib/mpd.scm 1108 */
 bool_t BgL_test3736z00_9967;
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_classz00_5767;
BgL_classz00_5767 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4912))
{ /* Llib/mpd.scm 1108 */
 BgL_objectz00_bglt BgL_arg1799z00_5769; long BgL_arg1800z00_5770;
BgL_arg1799z00_5769 = 
(BgL_objectz00_bglt)(BgL_oz00_4912); 
BgL_arg1800z00_5770 = 
BGL_CLASS_DEPTH(BgL_classz00_5767); 
{ /* Llib/mpd.scm 1108 */
 bool_t BgL_arg1794z00_5774; bool_t BgL_arg1795z00_5775;
{ /* Llib/mpd.scm 1108 */
 long BgL_idxz00_5779;
BgL_idxz00_5779 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5769); 
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_arg1791z00_5780;
{ /* Llib/mpd.scm 1108 */
 long BgL_arg1792z00_5781;
BgL_arg1792z00_5781 = 
(BgL_idxz00_5779+BgL_arg1800z00_5770); 
BgL_arg1791z00_5780 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5781); } 
BgL_arg1794z00_5774 = 
(BgL_arg1791z00_5780==BgL_classz00_5767); } } 
{ /* Llib/mpd.scm 1108 */
 bool_t BgL_res3151z00_5804;
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_oclassz00_5789;
{ /* Llib/mpd.scm 1108 */
 long BgL_arg1804z00_5795;
{ /* Llib/mpd.scm 1108 */
 long BgL_arg1805z00_5796;
BgL_arg1805z00_5796 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5769); 
BgL_arg1804z00_5795 = 
(BgL_arg1805z00_5796-OBJECT_TYPE); } 
BgL_oclassz00_5789 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5795); } 
{ /* Llib/mpd.scm 1108 */
 bool_t BgL__ortest_1111z00_5790;
BgL__ortest_1111z00_5790 = 
(BgL_classz00_5767==BgL_oclassz00_5789); 
if(BgL__ortest_1111z00_5790)
{ /* Llib/mpd.scm 1108 */
BgL_res3151z00_5804 = BgL__ortest_1111z00_5790; }  else 
{ /* Llib/mpd.scm 1108 */
 long BgL_odepthz00_5791;
BgL_odepthz00_5791 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5789); 
if(
(BgL_arg1800z00_5770<BgL_odepthz00_5791))
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_arg1793z00_5793;
BgL_arg1793z00_5793 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5789, BgL_arg1800z00_5770); 
BgL_res3151z00_5804 = 
(BgL_arg1793z00_5793==BgL_classz00_5767); }  else 
{ /* Llib/mpd.scm 1108 */
BgL_res3151z00_5804 = ((bool_t)0); } } } } 
BgL_arg1795z00_5775 = BgL_res3151z00_5804; } 
BgL_test3736z00_9967 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5774, BgL_arg1795z00_5775); } }  else 
{ /* Llib/mpd.scm 1108 */
BgL_test3736z00_9967 = ((bool_t)0)
; } } 
if(BgL_test3736z00_9967)
{ /* Llib/mpd.scm 1108 */
BgL_auxz00_9966 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4912)
; }  else 
{ 
 obj_t BgL_auxz00_9988;
BgL_auxz00_9988 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)44204)), BGl_string3125z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4912); 
FAILURE(BgL_auxz00_9988,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_auxz00_9966, BgL_backendz00_4913, BgL_opz00_4914);} } 

}



/* mpd-database-listall */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_354, obj_t BgL_opz00_355)
{
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_method1368z00_2343;
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_res2783z00_3779;
{ /* Llib/mpd.scm 1142 */
 long BgL_objzd2classzd2numz00_3750;
BgL_objzd2classzd2numz00_3750 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_354)); 
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_arg1801z00_3751;
BgL_arg1801z00_3751 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1142 */
 int BgL_offsetz00_3754;
BgL_offsetz00_3754 = 
(int)(BgL_objzd2classzd2numz00_3750); 
{ /* Llib/mpd.scm 1142 */
 long BgL_offsetz00_3755;
BgL_offsetz00_3755 = 
(
(long)(BgL_offsetz00_3754)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1142 */
 long BgL_modz00_3756;
BgL_modz00_3756 = 
(BgL_offsetz00_3755 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1142 */
 long BgL_restz00_3758;
BgL_restz00_3758 = 
(BgL_offsetz00_3755 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1142 */

{ /* Llib/mpd.scm 1142 */
 obj_t BgL_bucketz00_3760;
BgL_bucketz00_3760 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3751),BgL_modz00_3756); 
BgL_res2783z00_3779 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3760),BgL_restz00_3758); } } } } } } } } 
BgL_method1368z00_2343 = BgL_res2783z00_3779; } 
return 
PROCEDURE_ENTRY(BgL_method1368z00_2343)(BgL_method1368z00_2343, 
((obj_t)BgL_oz00_354), BgL_opz00_355, BEOA);} } 

}



/* &mpd-database-listall */
obj_t BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4915, obj_t BgL_oz00_4916, obj_t BgL_opz00_4917)
{
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_auxz00_10050; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10024;
if(
OUTPUT_PORTP(BgL_opz00_4917))
{ /* Llib/mpd.scm 1142 */
BgL_auxz00_10050 = BgL_opz00_4917
; }  else 
{ 
 obj_t BgL_auxz00_10053;
BgL_auxz00_10053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)45279)), BGl_string3126z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4917); 
FAILURE(BgL_auxz00_10053,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL_test3740z00_10025;
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_classz00_5805;
BgL_classz00_5805 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4916))
{ /* Llib/mpd.scm 1142 */
 BgL_objectz00_bglt BgL_arg1799z00_5807; long BgL_arg1800z00_5808;
BgL_arg1799z00_5807 = 
(BgL_objectz00_bglt)(BgL_oz00_4916); 
BgL_arg1800z00_5808 = 
BGL_CLASS_DEPTH(BgL_classz00_5805); 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL_arg1794z00_5812; bool_t BgL_arg1795z00_5813;
{ /* Llib/mpd.scm 1142 */
 long BgL_idxz00_5817;
BgL_idxz00_5817 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5807); 
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_arg1791z00_5818;
{ /* Llib/mpd.scm 1142 */
 long BgL_arg1792z00_5819;
BgL_arg1792z00_5819 = 
(BgL_idxz00_5817+BgL_arg1800z00_5808); 
BgL_arg1791z00_5818 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5819); } 
BgL_arg1794z00_5812 = 
(BgL_arg1791z00_5818==BgL_classz00_5805); } } 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL_res3152z00_5842;
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_oclassz00_5827;
{ /* Llib/mpd.scm 1142 */
 long BgL_arg1804z00_5833;
{ /* Llib/mpd.scm 1142 */
 long BgL_arg1805z00_5834;
BgL_arg1805z00_5834 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5807); 
BgL_arg1804z00_5833 = 
(BgL_arg1805z00_5834-OBJECT_TYPE); } 
BgL_oclassz00_5827 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5833); } 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL__ortest_1111z00_5828;
BgL__ortest_1111z00_5828 = 
(BgL_classz00_5805==BgL_oclassz00_5827); 
if(BgL__ortest_1111z00_5828)
{ /* Llib/mpd.scm 1142 */
BgL_res3152z00_5842 = BgL__ortest_1111z00_5828; }  else 
{ /* Llib/mpd.scm 1142 */
 long BgL_odepthz00_5829;
BgL_odepthz00_5829 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5827); 
if(
(BgL_arg1800z00_5808<BgL_odepthz00_5829))
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_arg1793z00_5831;
BgL_arg1793z00_5831 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5827, BgL_arg1800z00_5808); 
BgL_res3152z00_5842 = 
(BgL_arg1793z00_5831==BgL_classz00_5805); }  else 
{ /* Llib/mpd.scm 1142 */
BgL_res3152z00_5842 = ((bool_t)0); } } } } 
BgL_arg1795z00_5813 = BgL_res3152z00_5842; } 
BgL_test3740z00_10025 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5812, BgL_arg1795z00_5813); } }  else 
{ /* Llib/mpd.scm 1142 */
BgL_test3740z00_10025 = ((bool_t)0)
; } } 
if(BgL_test3740z00_10025)
{ /* Llib/mpd.scm 1142 */
BgL_auxz00_10024 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4916)
; }  else 
{ 
 obj_t BgL_auxz00_10046;
BgL_auxz00_10046 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)45279)), BGl_string3126z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4916); 
FAILURE(BgL_auxz00_10046,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_auxz00_10024, BgL_auxz00_10050);} } 

}



/* mpd-database-listalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_356, obj_t BgL_opz00_357)
{
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_method1370z00_2344;
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_res2788z00_3810;
{ /* Llib/mpd.scm 1168 */
 long BgL_objzd2classzd2numz00_3781;
BgL_objzd2classzd2numz00_3781 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_356)); 
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_arg1801z00_3782;
BgL_arg1801z00_3782 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1168 */
 int BgL_offsetz00_3785;
BgL_offsetz00_3785 = 
(int)(BgL_objzd2classzd2numz00_3781); 
{ /* Llib/mpd.scm 1168 */
 long BgL_offsetz00_3786;
BgL_offsetz00_3786 = 
(
(long)(BgL_offsetz00_3785)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1168 */
 long BgL_modz00_3787;
BgL_modz00_3787 = 
(BgL_offsetz00_3786 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1168 */
 long BgL_restz00_3789;
BgL_restz00_3789 = 
(BgL_offsetz00_3786 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1168 */

{ /* Llib/mpd.scm 1168 */
 obj_t BgL_bucketz00_3791;
BgL_bucketz00_3791 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3782),BgL_modz00_3787); 
BgL_res2788z00_3810 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3791),BgL_restz00_3789); } } } } } } } } 
BgL_method1370z00_2344 = BgL_res2788z00_3810; } 
return 
PROCEDURE_ENTRY(BgL_method1370z00_2344)(BgL_method1370z00_2344, 
((obj_t)BgL_oz00_356), BgL_opz00_357, BEOA);} } 

}



/* &mpd-database-listalbum */
obj_t BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4918, obj_t BgL_oz00_4919, obj_t BgL_opz00_4920)
{
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_auxz00_10115; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10089;
if(
OUTPUT_PORTP(BgL_opz00_4920))
{ /* Llib/mpd.scm 1168 */
BgL_auxz00_10115 = BgL_opz00_4920
; }  else 
{ 
 obj_t BgL_auxz00_10118;
BgL_auxz00_10118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)46110)), BGl_string3127z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4920); 
FAILURE(BgL_auxz00_10118,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL_test3745z00_10090;
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_classz00_5843;
BgL_classz00_5843 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4919))
{ /* Llib/mpd.scm 1168 */
 BgL_objectz00_bglt BgL_arg1799z00_5845; long BgL_arg1800z00_5846;
BgL_arg1799z00_5845 = 
(BgL_objectz00_bglt)(BgL_oz00_4919); 
BgL_arg1800z00_5846 = 
BGL_CLASS_DEPTH(BgL_classz00_5843); 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL_arg1794z00_5850; bool_t BgL_arg1795z00_5851;
{ /* Llib/mpd.scm 1168 */
 long BgL_idxz00_5855;
BgL_idxz00_5855 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5845); 
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_arg1791z00_5856;
{ /* Llib/mpd.scm 1168 */
 long BgL_arg1792z00_5857;
BgL_arg1792z00_5857 = 
(BgL_idxz00_5855+BgL_arg1800z00_5846); 
BgL_arg1791z00_5856 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5857); } 
BgL_arg1794z00_5850 = 
(BgL_arg1791z00_5856==BgL_classz00_5843); } } 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL_res3153z00_5880;
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_oclassz00_5865;
{ /* Llib/mpd.scm 1168 */
 long BgL_arg1804z00_5871;
{ /* Llib/mpd.scm 1168 */
 long BgL_arg1805z00_5872;
BgL_arg1805z00_5872 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5845); 
BgL_arg1804z00_5871 = 
(BgL_arg1805z00_5872-OBJECT_TYPE); } 
BgL_oclassz00_5865 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5871); } 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL__ortest_1111z00_5866;
BgL__ortest_1111z00_5866 = 
(BgL_classz00_5843==BgL_oclassz00_5865); 
if(BgL__ortest_1111z00_5866)
{ /* Llib/mpd.scm 1168 */
BgL_res3153z00_5880 = BgL__ortest_1111z00_5866; }  else 
{ /* Llib/mpd.scm 1168 */
 long BgL_odepthz00_5867;
BgL_odepthz00_5867 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5865); 
if(
(BgL_arg1800z00_5846<BgL_odepthz00_5867))
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_arg1793z00_5869;
BgL_arg1793z00_5869 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5865, BgL_arg1800z00_5846); 
BgL_res3153z00_5880 = 
(BgL_arg1793z00_5869==BgL_classz00_5843); }  else 
{ /* Llib/mpd.scm 1168 */
BgL_res3153z00_5880 = ((bool_t)0); } } } } 
BgL_arg1795z00_5851 = BgL_res3153z00_5880; } 
BgL_test3745z00_10090 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5850, BgL_arg1795z00_5851); } }  else 
{ /* Llib/mpd.scm 1168 */
BgL_test3745z00_10090 = ((bool_t)0)
; } } 
if(BgL_test3745z00_10090)
{ /* Llib/mpd.scm 1168 */
BgL_auxz00_10089 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4919)
; }  else 
{ 
 obj_t BgL_auxz00_10111;
BgL_auxz00_10111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)46110)), BGl_string3127z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4919); 
FAILURE(BgL_auxz00_10111,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_10089, BgL_auxz00_10115);} } 

}



/* mpd-database-listartistalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_358, obj_t BgL_opz00_359, obj_t BgL_artistz00_360)
{
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_method1372z00_2345;
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_res2793z00_3841;
{ /* Llib/mpd.scm 1179 */
 long BgL_objzd2classzd2numz00_3812;
BgL_objzd2classzd2numz00_3812 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_358)); 
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_arg1801z00_3813;
BgL_arg1801z00_3813 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1179 */
 int BgL_offsetz00_3816;
BgL_offsetz00_3816 = 
(int)(BgL_objzd2classzd2numz00_3812); 
{ /* Llib/mpd.scm 1179 */
 long BgL_offsetz00_3817;
BgL_offsetz00_3817 = 
(
(long)(BgL_offsetz00_3816)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1179 */
 long BgL_modz00_3818;
BgL_modz00_3818 = 
(BgL_offsetz00_3817 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1179 */
 long BgL_restz00_3820;
BgL_restz00_3820 = 
(BgL_offsetz00_3817 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1179 */

{ /* Llib/mpd.scm 1179 */
 obj_t BgL_bucketz00_3822;
BgL_bucketz00_3822 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3813),BgL_modz00_3818); 
BgL_res2793z00_3841 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3822),BgL_restz00_3820); } } } } } } } } 
BgL_method1372z00_2345 = BgL_res2793z00_3841; } 
return 
PROCEDURE_ENTRY(BgL_method1372z00_2345)(BgL_method1372z00_2345, 
((obj_t)BgL_oz00_358), BgL_opz00_359, BgL_artistz00_360, BEOA);} } 

}



/* &mpd-database-listartistalbum */
obj_t BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4921, obj_t BgL_oz00_4922, obj_t BgL_opz00_4923, obj_t BgL_artistz00_4924)
{
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_auxz00_10181; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10155;
if(
OUTPUT_PORTP(BgL_opz00_4923))
{ /* Llib/mpd.scm 1179 */
BgL_auxz00_10181 = BgL_opz00_4923
; }  else 
{ 
 obj_t BgL_auxz00_10184;
BgL_auxz00_10184 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)46540)), BGl_string3128z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4923); 
FAILURE(BgL_auxz00_10184,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL_test3750z00_10156;
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_classz00_5881;
BgL_classz00_5881 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4922))
{ /* Llib/mpd.scm 1179 */
 BgL_objectz00_bglt BgL_arg1799z00_5883; long BgL_arg1800z00_5884;
BgL_arg1799z00_5883 = 
(BgL_objectz00_bglt)(BgL_oz00_4922); 
BgL_arg1800z00_5884 = 
BGL_CLASS_DEPTH(BgL_classz00_5881); 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL_arg1794z00_5888; bool_t BgL_arg1795z00_5889;
{ /* Llib/mpd.scm 1179 */
 long BgL_idxz00_5893;
BgL_idxz00_5893 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5883); 
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_arg1791z00_5894;
{ /* Llib/mpd.scm 1179 */
 long BgL_arg1792z00_5895;
BgL_arg1792z00_5895 = 
(BgL_idxz00_5893+BgL_arg1800z00_5884); 
BgL_arg1791z00_5894 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5895); } 
BgL_arg1794z00_5888 = 
(BgL_arg1791z00_5894==BgL_classz00_5881); } } 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL_res3154z00_5918;
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_oclassz00_5903;
{ /* Llib/mpd.scm 1179 */
 long BgL_arg1804z00_5909;
{ /* Llib/mpd.scm 1179 */
 long BgL_arg1805z00_5910;
BgL_arg1805z00_5910 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5883); 
BgL_arg1804z00_5909 = 
(BgL_arg1805z00_5910-OBJECT_TYPE); } 
BgL_oclassz00_5903 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5909); } 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL__ortest_1111z00_5904;
BgL__ortest_1111z00_5904 = 
(BgL_classz00_5881==BgL_oclassz00_5903); 
if(BgL__ortest_1111z00_5904)
{ /* Llib/mpd.scm 1179 */
BgL_res3154z00_5918 = BgL__ortest_1111z00_5904; }  else 
{ /* Llib/mpd.scm 1179 */
 long BgL_odepthz00_5905;
BgL_odepthz00_5905 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5903); 
if(
(BgL_arg1800z00_5884<BgL_odepthz00_5905))
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_arg1793z00_5907;
BgL_arg1793z00_5907 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5903, BgL_arg1800z00_5884); 
BgL_res3154z00_5918 = 
(BgL_arg1793z00_5907==BgL_classz00_5881); }  else 
{ /* Llib/mpd.scm 1179 */
BgL_res3154z00_5918 = ((bool_t)0); } } } } 
BgL_arg1795z00_5889 = BgL_res3154z00_5918; } 
BgL_test3750z00_10156 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5888, BgL_arg1795z00_5889); } }  else 
{ /* Llib/mpd.scm 1179 */
BgL_test3750z00_10156 = ((bool_t)0)
; } } 
if(BgL_test3750z00_10156)
{ /* Llib/mpd.scm 1179 */
BgL_auxz00_10155 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4922)
; }  else 
{ 
 obj_t BgL_auxz00_10177;
BgL_auxz00_10177 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)46540)), BGl_string3128z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4922); 
FAILURE(BgL_auxz00_10177,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_10155, BgL_auxz00_10181, BgL_artistz00_4924);} } 

}



/* mpd-database-listgenrealbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_361, obj_t BgL_opz00_362, obj_t BgL_genrez00_363)
{
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_method1374z00_2346;
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_res2798z00_3872;
{ /* Llib/mpd.scm 1189 */
 long BgL_objzd2classzd2numz00_3843;
BgL_objzd2classzd2numz00_3843 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_361)); 
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_arg1801z00_3844;
BgL_arg1801z00_3844 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1189 */
 int BgL_offsetz00_3847;
BgL_offsetz00_3847 = 
(int)(BgL_objzd2classzd2numz00_3843); 
{ /* Llib/mpd.scm 1189 */
 long BgL_offsetz00_3848;
BgL_offsetz00_3848 = 
(
(long)(BgL_offsetz00_3847)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1189 */
 long BgL_modz00_3849;
BgL_modz00_3849 = 
(BgL_offsetz00_3848 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1189 */
 long BgL_restz00_3851;
BgL_restz00_3851 = 
(BgL_offsetz00_3848 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1189 */

{ /* Llib/mpd.scm 1189 */
 obj_t BgL_bucketz00_3853;
BgL_bucketz00_3853 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3844),BgL_modz00_3849); 
BgL_res2798z00_3872 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3853),BgL_restz00_3851); } } } } } } } } 
BgL_method1374z00_2346 = BgL_res2798z00_3872; } 
return 
PROCEDURE_ENTRY(BgL_method1374z00_2346)(BgL_method1374z00_2346, 
((obj_t)BgL_oz00_361), BgL_opz00_362, BgL_genrez00_363, BEOA);} } 

}



/* &mpd-database-listgenrealbum */
obj_t BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4925, obj_t BgL_oz00_4926, obj_t BgL_opz00_4927, obj_t BgL_genrez00_4928)
{
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_auxz00_10247; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10221;
if(
OUTPUT_PORTP(BgL_opz00_4927))
{ /* Llib/mpd.scm 1189 */
BgL_auxz00_10247 = BgL_opz00_4927
; }  else 
{ 
 obj_t BgL_auxz00_10250;
BgL_auxz00_10250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)46973)), BGl_string3129z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4927); 
FAILURE(BgL_auxz00_10250,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL_test3755z00_10222;
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_classz00_5919;
BgL_classz00_5919 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4926))
{ /* Llib/mpd.scm 1189 */
 BgL_objectz00_bglt BgL_arg1799z00_5921; long BgL_arg1800z00_5922;
BgL_arg1799z00_5921 = 
(BgL_objectz00_bglt)(BgL_oz00_4926); 
BgL_arg1800z00_5922 = 
BGL_CLASS_DEPTH(BgL_classz00_5919); 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL_arg1794z00_5926; bool_t BgL_arg1795z00_5927;
{ /* Llib/mpd.scm 1189 */
 long BgL_idxz00_5931;
BgL_idxz00_5931 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5921); 
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_arg1791z00_5932;
{ /* Llib/mpd.scm 1189 */
 long BgL_arg1792z00_5933;
BgL_arg1792z00_5933 = 
(BgL_idxz00_5931+BgL_arg1800z00_5922); 
BgL_arg1791z00_5932 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5933); } 
BgL_arg1794z00_5926 = 
(BgL_arg1791z00_5932==BgL_classz00_5919); } } 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL_res3155z00_5956;
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_oclassz00_5941;
{ /* Llib/mpd.scm 1189 */
 long BgL_arg1804z00_5947;
{ /* Llib/mpd.scm 1189 */
 long BgL_arg1805z00_5948;
BgL_arg1805z00_5948 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5921); 
BgL_arg1804z00_5947 = 
(BgL_arg1805z00_5948-OBJECT_TYPE); } 
BgL_oclassz00_5941 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5947); } 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL__ortest_1111z00_5942;
BgL__ortest_1111z00_5942 = 
(BgL_classz00_5919==BgL_oclassz00_5941); 
if(BgL__ortest_1111z00_5942)
{ /* Llib/mpd.scm 1189 */
BgL_res3155z00_5956 = BgL__ortest_1111z00_5942; }  else 
{ /* Llib/mpd.scm 1189 */
 long BgL_odepthz00_5943;
BgL_odepthz00_5943 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5941); 
if(
(BgL_arg1800z00_5922<BgL_odepthz00_5943))
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_arg1793z00_5945;
BgL_arg1793z00_5945 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5941, BgL_arg1800z00_5922); 
BgL_res3155z00_5956 = 
(BgL_arg1793z00_5945==BgL_classz00_5919); }  else 
{ /* Llib/mpd.scm 1189 */
BgL_res3155z00_5956 = ((bool_t)0); } } } } 
BgL_arg1795z00_5927 = BgL_res3155z00_5956; } 
BgL_test3755z00_10222 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5926, BgL_arg1795z00_5927); } }  else 
{ /* Llib/mpd.scm 1189 */
BgL_test3755z00_10222 = ((bool_t)0)
; } } 
if(BgL_test3755z00_10222)
{ /* Llib/mpd.scm 1189 */
BgL_auxz00_10221 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4926)
; }  else 
{ 
 obj_t BgL_auxz00_10243;
BgL_auxz00_10243 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)46973)), BGl_string3129z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4926); 
FAILURE(BgL_auxz00_10243,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_auxz00_10221, BgL_auxz00_10247, BgL_genrez00_4928);} } 

}



/* mpd-database-listgenreartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_364, obj_t BgL_opz00_365, obj_t BgL_genrez00_366)
{
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_method1376z00_2347;
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_res2803z00_3903;
{ /* Llib/mpd.scm 1203 */
 long BgL_objzd2classzd2numz00_3874;
BgL_objzd2classzd2numz00_3874 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_364)); 
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_arg1801z00_3875;
BgL_arg1801z00_3875 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1203 */
 int BgL_offsetz00_3878;
BgL_offsetz00_3878 = 
(int)(BgL_objzd2classzd2numz00_3874); 
{ /* Llib/mpd.scm 1203 */
 long BgL_offsetz00_3879;
BgL_offsetz00_3879 = 
(
(long)(BgL_offsetz00_3878)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1203 */
 long BgL_modz00_3880;
BgL_modz00_3880 = 
(BgL_offsetz00_3879 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1203 */
 long BgL_restz00_3882;
BgL_restz00_3882 = 
(BgL_offsetz00_3879 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1203 */

{ /* Llib/mpd.scm 1203 */
 obj_t BgL_bucketz00_3884;
BgL_bucketz00_3884 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3875),BgL_modz00_3880); 
BgL_res2803z00_3903 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3884),BgL_restz00_3882); } } } } } } } } 
BgL_method1376z00_2347 = BgL_res2803z00_3903; } 
return 
PROCEDURE_ENTRY(BgL_method1376z00_2347)(BgL_method1376z00_2347, 
((obj_t)BgL_oz00_364), BgL_opz00_365, BgL_genrez00_366, BEOA);} } 

}



/* &mpd-database-listgenreartist */
obj_t BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4929, obj_t BgL_oz00_4930, obj_t BgL_opz00_4931, obj_t BgL_genrez00_4932)
{
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_auxz00_10313; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10287;
if(
OUTPUT_PORTP(BgL_opz00_4931))
{ /* Llib/mpd.scm 1203 */
BgL_auxz00_10313 = BgL_opz00_4931
; }  else 
{ 
 obj_t BgL_auxz00_10316;
BgL_auxz00_10316 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)47524)), BGl_string3130z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4931); 
FAILURE(BgL_auxz00_10316,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL_test3760z00_10288;
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_classz00_5957;
BgL_classz00_5957 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4930))
{ /* Llib/mpd.scm 1203 */
 BgL_objectz00_bglt BgL_arg1799z00_5959; long BgL_arg1800z00_5960;
BgL_arg1799z00_5959 = 
(BgL_objectz00_bglt)(BgL_oz00_4930); 
BgL_arg1800z00_5960 = 
BGL_CLASS_DEPTH(BgL_classz00_5957); 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL_arg1794z00_5964; bool_t BgL_arg1795z00_5965;
{ /* Llib/mpd.scm 1203 */
 long BgL_idxz00_5969;
BgL_idxz00_5969 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5959); 
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_arg1791z00_5970;
{ /* Llib/mpd.scm 1203 */
 long BgL_arg1792z00_5971;
BgL_arg1792z00_5971 = 
(BgL_idxz00_5969+BgL_arg1800z00_5960); 
BgL_arg1791z00_5970 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5971); } 
BgL_arg1794z00_5964 = 
(BgL_arg1791z00_5970==BgL_classz00_5957); } } 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL_res3156z00_5994;
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_oclassz00_5979;
{ /* Llib/mpd.scm 1203 */
 long BgL_arg1804z00_5985;
{ /* Llib/mpd.scm 1203 */
 long BgL_arg1805z00_5986;
BgL_arg1805z00_5986 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5959); 
BgL_arg1804z00_5985 = 
(BgL_arg1805z00_5986-OBJECT_TYPE); } 
BgL_oclassz00_5979 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5985); } 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL__ortest_1111z00_5980;
BgL__ortest_1111z00_5980 = 
(BgL_classz00_5957==BgL_oclassz00_5979); 
if(BgL__ortest_1111z00_5980)
{ /* Llib/mpd.scm 1203 */
BgL_res3156z00_5994 = BgL__ortest_1111z00_5980; }  else 
{ /* Llib/mpd.scm 1203 */
 long BgL_odepthz00_5981;
BgL_odepthz00_5981 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5979); 
if(
(BgL_arg1800z00_5960<BgL_odepthz00_5981))
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_arg1793z00_5983;
BgL_arg1793z00_5983 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5979, BgL_arg1800z00_5960); 
BgL_res3156z00_5994 = 
(BgL_arg1793z00_5983==BgL_classz00_5957); }  else 
{ /* Llib/mpd.scm 1203 */
BgL_res3156z00_5994 = ((bool_t)0); } } } } 
BgL_arg1795z00_5965 = BgL_res3156z00_5994; } 
BgL_test3760z00_10288 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5964, BgL_arg1795z00_5965); } }  else 
{ /* Llib/mpd.scm 1203 */
BgL_test3760z00_10288 = ((bool_t)0)
; } } 
if(BgL_test3760z00_10288)
{ /* Llib/mpd.scm 1203 */
BgL_auxz00_10287 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4930)
; }  else 
{ 
 obj_t BgL_auxz00_10309;
BgL_auxz00_10309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)47524)), BGl_string3130z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4930); 
FAILURE(BgL_auxz00_10309,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_auxz00_10287, BgL_auxz00_10313, BgL_genrez00_4932);} } 

}



/* mpd-database-listgenre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_367, obj_t BgL_opz00_368)
{
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_method1378z00_2348;
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_res2808z00_3934;
{ /* Llib/mpd.scm 1213 */
 long BgL_objzd2classzd2numz00_3905;
BgL_objzd2classzd2numz00_3905 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_367)); 
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_arg1801z00_3906;
BgL_arg1801z00_3906 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1213 */
 int BgL_offsetz00_3909;
BgL_offsetz00_3909 = 
(int)(BgL_objzd2classzd2numz00_3905); 
{ /* Llib/mpd.scm 1213 */
 long BgL_offsetz00_3910;
BgL_offsetz00_3910 = 
(
(long)(BgL_offsetz00_3909)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1213 */
 long BgL_modz00_3911;
BgL_modz00_3911 = 
(BgL_offsetz00_3910 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1213 */
 long BgL_restz00_3913;
BgL_restz00_3913 = 
(BgL_offsetz00_3910 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1213 */

{ /* Llib/mpd.scm 1213 */
 obj_t BgL_bucketz00_3915;
BgL_bucketz00_3915 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3906),BgL_modz00_3911); 
BgL_res2808z00_3934 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3915),BgL_restz00_3913); } } } } } } } } 
BgL_method1378z00_2348 = BgL_res2808z00_3934; } 
return 
PROCEDURE_ENTRY(BgL_method1378z00_2348)(BgL_method1378z00_2348, 
((obj_t)BgL_oz00_367), BgL_opz00_368, BEOA);} } 

}



/* &mpd-database-listgenre */
obj_t BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4933, obj_t BgL_oz00_4934, obj_t BgL_opz00_4935)
{
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_auxz00_10378; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10352;
if(
OUTPUT_PORTP(BgL_opz00_4935))
{ /* Llib/mpd.scm 1213 */
BgL_auxz00_10378 = BgL_opz00_4935
; }  else 
{ 
 obj_t BgL_auxz00_10381;
BgL_auxz00_10381 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)47955)), BGl_string3131z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4935); 
FAILURE(BgL_auxz00_10381,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL_test3765z00_10353;
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_classz00_5995;
BgL_classz00_5995 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4934))
{ /* Llib/mpd.scm 1213 */
 BgL_objectz00_bglt BgL_arg1799z00_5997; long BgL_arg1800z00_5998;
BgL_arg1799z00_5997 = 
(BgL_objectz00_bglt)(BgL_oz00_4934); 
BgL_arg1800z00_5998 = 
BGL_CLASS_DEPTH(BgL_classz00_5995); 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL_arg1794z00_6002; bool_t BgL_arg1795z00_6003;
{ /* Llib/mpd.scm 1213 */
 long BgL_idxz00_6007;
BgL_idxz00_6007 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5997); 
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_arg1791z00_6008;
{ /* Llib/mpd.scm 1213 */
 long BgL_arg1792z00_6009;
BgL_arg1792z00_6009 = 
(BgL_idxz00_6007+BgL_arg1800z00_5998); 
BgL_arg1791z00_6008 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6009); } 
BgL_arg1794z00_6002 = 
(BgL_arg1791z00_6008==BgL_classz00_5995); } } 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL_res3157z00_6032;
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_oclassz00_6017;
{ /* Llib/mpd.scm 1213 */
 long BgL_arg1804z00_6023;
{ /* Llib/mpd.scm 1213 */
 long BgL_arg1805z00_6024;
BgL_arg1805z00_6024 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5997); 
BgL_arg1804z00_6023 = 
(BgL_arg1805z00_6024-OBJECT_TYPE); } 
BgL_oclassz00_6017 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6023); } 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL__ortest_1111z00_6018;
BgL__ortest_1111z00_6018 = 
(BgL_classz00_5995==BgL_oclassz00_6017); 
if(BgL__ortest_1111z00_6018)
{ /* Llib/mpd.scm 1213 */
BgL_res3157z00_6032 = BgL__ortest_1111z00_6018; }  else 
{ /* Llib/mpd.scm 1213 */
 long BgL_odepthz00_6019;
BgL_odepthz00_6019 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6017); 
if(
(BgL_arg1800z00_5998<BgL_odepthz00_6019))
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_arg1793z00_6021;
BgL_arg1793z00_6021 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6017, BgL_arg1800z00_5998); 
BgL_res3157z00_6032 = 
(BgL_arg1793z00_6021==BgL_classz00_5995); }  else 
{ /* Llib/mpd.scm 1213 */
BgL_res3157z00_6032 = ((bool_t)0); } } } } 
BgL_arg1795z00_6003 = BgL_res3157z00_6032; } 
BgL_test3765z00_10353 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6002, BgL_arg1795z00_6003); } }  else 
{ /* Llib/mpd.scm 1213 */
BgL_test3765z00_10353 = ((bool_t)0)
; } } 
if(BgL_test3765z00_10353)
{ /* Llib/mpd.scm 1213 */
BgL_auxz00_10352 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4934)
; }  else 
{ 
 obj_t BgL_auxz00_10374;
BgL_auxz00_10374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)47955)), BGl_string3131z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4934); 
FAILURE(BgL_auxz00_10374,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_auxz00_10352, BgL_auxz00_10378);} } 

}



/* mpd-database-listartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_369, obj_t BgL_opz00_370)
{
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_method1380z00_2349;
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_res2813z00_3965;
{ /* Llib/mpd.scm 1223 */
 long BgL_objzd2classzd2numz00_3936;
BgL_objzd2classzd2numz00_3936 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_369)); 
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_arg1801z00_3937;
BgL_arg1801z00_3937 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1223 */
 int BgL_offsetz00_3940;
BgL_offsetz00_3940 = 
(int)(BgL_objzd2classzd2numz00_3936); 
{ /* Llib/mpd.scm 1223 */
 long BgL_offsetz00_3941;
BgL_offsetz00_3941 = 
(
(long)(BgL_offsetz00_3940)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1223 */
 long BgL_modz00_3942;
BgL_modz00_3942 = 
(BgL_offsetz00_3941 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1223 */
 long BgL_restz00_3944;
BgL_restz00_3944 = 
(BgL_offsetz00_3941 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1223 */

{ /* Llib/mpd.scm 1223 */
 obj_t BgL_bucketz00_3946;
BgL_bucketz00_3946 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3937),BgL_modz00_3942); 
BgL_res2813z00_3965 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3946),BgL_restz00_3944); } } } } } } } } 
BgL_method1380z00_2349 = BgL_res2813z00_3965; } 
return 
PROCEDURE_ENTRY(BgL_method1380z00_2349)(BgL_method1380z00_2349, 
((obj_t)BgL_oz00_369), BgL_opz00_370, BEOA);} } 

}



/* &mpd-database-listartist */
obj_t BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4936, obj_t BgL_oz00_4937, obj_t BgL_opz00_4938)
{
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_auxz00_10443; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10417;
if(
OUTPUT_PORTP(BgL_opz00_4938))
{ /* Llib/mpd.scm 1223 */
BgL_auxz00_10443 = BgL_opz00_4938
; }  else 
{ 
 obj_t BgL_auxz00_10446;
BgL_auxz00_10446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)48361)), BGl_string3132z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4938); 
FAILURE(BgL_auxz00_10446,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL_test3770z00_10418;
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_classz00_6033;
BgL_classz00_6033 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4937))
{ /* Llib/mpd.scm 1223 */
 BgL_objectz00_bglt BgL_arg1799z00_6035; long BgL_arg1800z00_6036;
BgL_arg1799z00_6035 = 
(BgL_objectz00_bglt)(BgL_oz00_4937); 
BgL_arg1800z00_6036 = 
BGL_CLASS_DEPTH(BgL_classz00_6033); 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL_arg1794z00_6040; bool_t BgL_arg1795z00_6041;
{ /* Llib/mpd.scm 1223 */
 long BgL_idxz00_6045;
BgL_idxz00_6045 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6035); 
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_arg1791z00_6046;
{ /* Llib/mpd.scm 1223 */
 long BgL_arg1792z00_6047;
BgL_arg1792z00_6047 = 
(BgL_idxz00_6045+BgL_arg1800z00_6036); 
BgL_arg1791z00_6046 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6047); } 
BgL_arg1794z00_6040 = 
(BgL_arg1791z00_6046==BgL_classz00_6033); } } 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL_res3158z00_6070;
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_oclassz00_6055;
{ /* Llib/mpd.scm 1223 */
 long BgL_arg1804z00_6061;
{ /* Llib/mpd.scm 1223 */
 long BgL_arg1805z00_6062;
BgL_arg1805z00_6062 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6035); 
BgL_arg1804z00_6061 = 
(BgL_arg1805z00_6062-OBJECT_TYPE); } 
BgL_oclassz00_6055 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6061); } 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL__ortest_1111z00_6056;
BgL__ortest_1111z00_6056 = 
(BgL_classz00_6033==BgL_oclassz00_6055); 
if(BgL__ortest_1111z00_6056)
{ /* Llib/mpd.scm 1223 */
BgL_res3158z00_6070 = BgL__ortest_1111z00_6056; }  else 
{ /* Llib/mpd.scm 1223 */
 long BgL_odepthz00_6057;
BgL_odepthz00_6057 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6055); 
if(
(BgL_arg1800z00_6036<BgL_odepthz00_6057))
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_arg1793z00_6059;
BgL_arg1793z00_6059 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6055, BgL_arg1800z00_6036); 
BgL_res3158z00_6070 = 
(BgL_arg1793z00_6059==BgL_classz00_6033); }  else 
{ /* Llib/mpd.scm 1223 */
BgL_res3158z00_6070 = ((bool_t)0); } } } } 
BgL_arg1795z00_6041 = BgL_res3158z00_6070; } 
BgL_test3770z00_10418 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6040, BgL_arg1795z00_6041); } }  else 
{ /* Llib/mpd.scm 1223 */
BgL_test3770z00_10418 = ((bool_t)0)
; } } 
if(BgL_test3770z00_10418)
{ /* Llib/mpd.scm 1223 */
BgL_auxz00_10417 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4937)
; }  else 
{ 
 obj_t BgL_auxz00_10439;
BgL_auxz00_10439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)48361)), BGl_string3132z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4937); 
FAILURE(BgL_auxz00_10439,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_auxz00_10417, BgL_auxz00_10443);} } 

}



/* mpd-database-lsinfo */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_371, obj_t BgL_opz00_372, obj_t BgL_dirz00_373, bool_t BgL_recz00_374)
{
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_method1382z00_2350;
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_res2818z00_3996;
{ /* Llib/mpd.scm 1233 */
 long BgL_objzd2classzd2numz00_3967;
BgL_objzd2classzd2numz00_3967 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_371)); 
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_arg1801z00_3968;
BgL_arg1801z00_3968 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1233 */
 int BgL_offsetz00_3971;
BgL_offsetz00_3971 = 
(int)(BgL_objzd2classzd2numz00_3967); 
{ /* Llib/mpd.scm 1233 */
 long BgL_offsetz00_3972;
BgL_offsetz00_3972 = 
(
(long)(BgL_offsetz00_3971)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1233 */
 long BgL_modz00_3973;
BgL_modz00_3973 = 
(BgL_offsetz00_3972 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1233 */
 long BgL_restz00_3975;
BgL_restz00_3975 = 
(BgL_offsetz00_3972 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1233 */

{ /* Llib/mpd.scm 1233 */
 obj_t BgL_bucketz00_3977;
BgL_bucketz00_3977 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3968),BgL_modz00_3973); 
BgL_res2818z00_3996 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3977),BgL_restz00_3975); } } } } } } } } 
BgL_method1382z00_2350 = BgL_res2818z00_3996; } 
return 
PROCEDURE_ENTRY(BgL_method1382z00_2350)(BgL_method1382z00_2350, 
((obj_t)BgL_oz00_371), BgL_opz00_372, BgL_dirz00_373, 
BBOOL(BgL_recz00_374), BEOA);} } 

}



/* &mpd-database-lsinfo */
obj_t BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4939, obj_t BgL_oz00_4940, obj_t BgL_opz00_4941, obj_t BgL_dirz00_4942, obj_t BgL_recz00_4943)
{
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_auxz00_10518; obj_t BgL_auxz00_10511; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10485;
if(
STRINGP(BgL_dirz00_4942))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_10518 = BgL_dirz00_4942
; }  else 
{ 
 obj_t BgL_auxz00_10521;
BgL_auxz00_10521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3133z00zz__multimediazd2mpdzd2, BGl_string3124z00zz__multimediazd2mpdzd2, BgL_dirz00_4942); 
FAILURE(BgL_auxz00_10521,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_opz00_4941))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_10511 = BgL_opz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_10514;
BgL_auxz00_10514 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3133z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4941); 
FAILURE(BgL_auxz00_10514,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL_test3775z00_10486;
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_classz00_6071;
BgL_classz00_6071 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4940))
{ /* Llib/mpd.scm 1233 */
 BgL_objectz00_bglt BgL_arg1799z00_6073; long BgL_arg1800z00_6074;
BgL_arg1799z00_6073 = 
(BgL_objectz00_bglt)(BgL_oz00_4940); 
BgL_arg1800z00_6074 = 
BGL_CLASS_DEPTH(BgL_classz00_6071); 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL_arg1794z00_6078; bool_t BgL_arg1795z00_6079;
{ /* Llib/mpd.scm 1233 */
 long BgL_idxz00_6083;
BgL_idxz00_6083 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6073); 
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_arg1791z00_6084;
{ /* Llib/mpd.scm 1233 */
 long BgL_arg1792z00_6085;
BgL_arg1792z00_6085 = 
(BgL_idxz00_6083+BgL_arg1800z00_6074); 
BgL_arg1791z00_6084 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6085); } 
BgL_arg1794z00_6078 = 
(BgL_arg1791z00_6084==BgL_classz00_6071); } } 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL_res3159z00_6108;
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_oclassz00_6093;
{ /* Llib/mpd.scm 1233 */
 long BgL_arg1804z00_6099;
{ /* Llib/mpd.scm 1233 */
 long BgL_arg1805z00_6100;
BgL_arg1805z00_6100 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6073); 
BgL_arg1804z00_6099 = 
(BgL_arg1805z00_6100-OBJECT_TYPE); } 
BgL_oclassz00_6093 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6099); } 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL__ortest_1111z00_6094;
BgL__ortest_1111z00_6094 = 
(BgL_classz00_6071==BgL_oclassz00_6093); 
if(BgL__ortest_1111z00_6094)
{ /* Llib/mpd.scm 1233 */
BgL_res3159z00_6108 = BgL__ortest_1111z00_6094; }  else 
{ /* Llib/mpd.scm 1233 */
 long BgL_odepthz00_6095;
BgL_odepthz00_6095 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6093); 
if(
(BgL_arg1800z00_6074<BgL_odepthz00_6095))
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_arg1793z00_6097;
BgL_arg1793z00_6097 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6093, BgL_arg1800z00_6074); 
BgL_res3159z00_6108 = 
(BgL_arg1793z00_6097==BgL_classz00_6071); }  else 
{ /* Llib/mpd.scm 1233 */
BgL_res3159z00_6108 = ((bool_t)0); } } } } 
BgL_arg1795z00_6079 = BgL_res3159z00_6108; } 
BgL_test3775z00_10486 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6078, BgL_arg1795z00_6079); } }  else 
{ /* Llib/mpd.scm 1233 */
BgL_test3775z00_10486 = ((bool_t)0)
; } } 
if(BgL_test3775z00_10486)
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_10485 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4940)
; }  else 
{ 
 obj_t BgL_auxz00_10507;
BgL_auxz00_10507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3133z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4940); 
FAILURE(BgL_auxz00_10507,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_auxz00_10485, BgL_auxz00_10511, BgL_auxz00_10518, 
CBOOL(BgL_recz00_4943));} } 

}



/* mpd-database-find-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_380, obj_t BgL_opz00_381, obj_t BgL_albumz00_382)
{
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_method1384z00_2351;
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_res2823z00_4027;
{ /* Llib/mpd.scm 1294 */
 long BgL_objzd2classzd2numz00_3998;
BgL_objzd2classzd2numz00_3998 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_380)); 
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_arg1801z00_3999;
BgL_arg1801z00_3999 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1294 */
 int BgL_offsetz00_4002;
BgL_offsetz00_4002 = 
(int)(BgL_objzd2classzd2numz00_3998); 
{ /* Llib/mpd.scm 1294 */
 long BgL_offsetz00_4003;
BgL_offsetz00_4003 = 
(
(long)(BgL_offsetz00_4002)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1294 */
 long BgL_modz00_4004;
BgL_modz00_4004 = 
(BgL_offsetz00_4003 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1294 */
 long BgL_restz00_4006;
BgL_restz00_4006 = 
(BgL_offsetz00_4003 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1294 */

{ /* Llib/mpd.scm 1294 */
 obj_t BgL_bucketz00_4008;
BgL_bucketz00_4008 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3999),BgL_modz00_4004); 
BgL_res2823z00_4027 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4008),BgL_restz00_4006); } } } } } } } } 
BgL_method1384z00_2351 = BgL_res2823z00_4027; } 
return 
PROCEDURE_ENTRY(BgL_method1384z00_2351)(BgL_method1384z00_2351, 
((obj_t)BgL_oz00_380), BgL_opz00_381, BgL_albumz00_382, BEOA);} } 

}



/* &mpd-database-find-album */
obj_t BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4944, obj_t BgL_oz00_4945, obj_t BgL_opz00_4946, obj_t BgL_albumz00_4947)
{
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_auxz00_10585; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10559;
if(
OUTPUT_PORTP(BgL_opz00_4946))
{ /* Llib/mpd.scm 1294 */
BgL_auxz00_10585 = BgL_opz00_4946
; }  else 
{ 
 obj_t BgL_auxz00_10588;
BgL_auxz00_10588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)50979)), BGl_string3134z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4946); 
FAILURE(BgL_auxz00_10588,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL_test3781z00_10560;
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_classz00_6109;
BgL_classz00_6109 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4945))
{ /* Llib/mpd.scm 1294 */
 BgL_objectz00_bglt BgL_arg1799z00_6111; long BgL_arg1800z00_6112;
BgL_arg1799z00_6111 = 
(BgL_objectz00_bglt)(BgL_oz00_4945); 
BgL_arg1800z00_6112 = 
BGL_CLASS_DEPTH(BgL_classz00_6109); 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL_arg1794z00_6116; bool_t BgL_arg1795z00_6117;
{ /* Llib/mpd.scm 1294 */
 long BgL_idxz00_6121;
BgL_idxz00_6121 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6111); 
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_arg1791z00_6122;
{ /* Llib/mpd.scm 1294 */
 long BgL_arg1792z00_6123;
BgL_arg1792z00_6123 = 
(BgL_idxz00_6121+BgL_arg1800z00_6112); 
BgL_arg1791z00_6122 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6123); } 
BgL_arg1794z00_6116 = 
(BgL_arg1791z00_6122==BgL_classz00_6109); } } 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL_res3160z00_6146;
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_oclassz00_6131;
{ /* Llib/mpd.scm 1294 */
 long BgL_arg1804z00_6137;
{ /* Llib/mpd.scm 1294 */
 long BgL_arg1805z00_6138;
BgL_arg1805z00_6138 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6111); 
BgL_arg1804z00_6137 = 
(BgL_arg1805z00_6138-OBJECT_TYPE); } 
BgL_oclassz00_6131 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6137); } 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL__ortest_1111z00_6132;
BgL__ortest_1111z00_6132 = 
(BgL_classz00_6109==BgL_oclassz00_6131); 
if(BgL__ortest_1111z00_6132)
{ /* Llib/mpd.scm 1294 */
BgL_res3160z00_6146 = BgL__ortest_1111z00_6132; }  else 
{ /* Llib/mpd.scm 1294 */
 long BgL_odepthz00_6133;
BgL_odepthz00_6133 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6131); 
if(
(BgL_arg1800z00_6112<BgL_odepthz00_6133))
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_arg1793z00_6135;
BgL_arg1793z00_6135 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6131, BgL_arg1800z00_6112); 
BgL_res3160z00_6146 = 
(BgL_arg1793z00_6135==BgL_classz00_6109); }  else 
{ /* Llib/mpd.scm 1294 */
BgL_res3160z00_6146 = ((bool_t)0); } } } } 
BgL_arg1795z00_6117 = BgL_res3160z00_6146; } 
BgL_test3781z00_10560 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6116, BgL_arg1795z00_6117); } }  else 
{ /* Llib/mpd.scm 1294 */
BgL_test3781z00_10560 = ((bool_t)0)
; } } 
if(BgL_test3781z00_10560)
{ /* Llib/mpd.scm 1294 */
BgL_auxz00_10559 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4945)
; }  else 
{ 
 obj_t BgL_auxz00_10581;
BgL_auxz00_10581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)50979)), BGl_string3134z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4945); 
FAILURE(BgL_auxz00_10581,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_auxz00_10559, BgL_auxz00_10585, BgL_albumz00_4947);} } 

}



/* mpd-database-find-artist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_383, obj_t BgL_opz00_384, obj_t BgL_artistz00_385)
{
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_method1386z00_2352;
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_res2828z00_4058;
{ /* Llib/mpd.scm 1303 */
 long BgL_objzd2classzd2numz00_4029;
BgL_objzd2classzd2numz00_4029 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_383)); 
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_arg1801z00_4030;
BgL_arg1801z00_4030 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1303 */
 int BgL_offsetz00_4033;
BgL_offsetz00_4033 = 
(int)(BgL_objzd2classzd2numz00_4029); 
{ /* Llib/mpd.scm 1303 */
 long BgL_offsetz00_4034;
BgL_offsetz00_4034 = 
(
(long)(BgL_offsetz00_4033)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1303 */
 long BgL_modz00_4035;
BgL_modz00_4035 = 
(BgL_offsetz00_4034 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1303 */
 long BgL_restz00_4037;
BgL_restz00_4037 = 
(BgL_offsetz00_4034 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1303 */

{ /* Llib/mpd.scm 1303 */
 obj_t BgL_bucketz00_4039;
BgL_bucketz00_4039 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4030),BgL_modz00_4035); 
BgL_res2828z00_4058 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4039),BgL_restz00_4037); } } } } } } } } 
BgL_method1386z00_2352 = BgL_res2828z00_4058; } 
return 
PROCEDURE_ENTRY(BgL_method1386z00_2352)(BgL_method1386z00_2352, 
((obj_t)BgL_oz00_383), BgL_opz00_384, BgL_artistz00_385, BEOA);} } 

}



/* &mpd-database-find-artist */
obj_t BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4948, obj_t BgL_oz00_4949, obj_t BgL_opz00_4950, obj_t BgL_artistz00_4951)
{
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_auxz00_10651; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10625;
if(
OUTPUT_PORTP(BgL_opz00_4950))
{ /* Llib/mpd.scm 1303 */
BgL_auxz00_10651 = BgL_opz00_4950
; }  else 
{ 
 obj_t BgL_auxz00_10654;
BgL_auxz00_10654 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)51417)), BGl_string3135z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4950); 
FAILURE(BgL_auxz00_10654,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL_test3786z00_10626;
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_classz00_6147;
BgL_classz00_6147 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4949))
{ /* Llib/mpd.scm 1303 */
 BgL_objectz00_bglt BgL_arg1799z00_6149; long BgL_arg1800z00_6150;
BgL_arg1799z00_6149 = 
(BgL_objectz00_bglt)(BgL_oz00_4949); 
BgL_arg1800z00_6150 = 
BGL_CLASS_DEPTH(BgL_classz00_6147); 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL_arg1794z00_6154; bool_t BgL_arg1795z00_6155;
{ /* Llib/mpd.scm 1303 */
 long BgL_idxz00_6159;
BgL_idxz00_6159 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6149); 
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_arg1791z00_6160;
{ /* Llib/mpd.scm 1303 */
 long BgL_arg1792z00_6161;
BgL_arg1792z00_6161 = 
(BgL_idxz00_6159+BgL_arg1800z00_6150); 
BgL_arg1791z00_6160 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6161); } 
BgL_arg1794z00_6154 = 
(BgL_arg1791z00_6160==BgL_classz00_6147); } } 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL_res3161z00_6184;
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_oclassz00_6169;
{ /* Llib/mpd.scm 1303 */
 long BgL_arg1804z00_6175;
{ /* Llib/mpd.scm 1303 */
 long BgL_arg1805z00_6176;
BgL_arg1805z00_6176 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6149); 
BgL_arg1804z00_6175 = 
(BgL_arg1805z00_6176-OBJECT_TYPE); } 
BgL_oclassz00_6169 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6175); } 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL__ortest_1111z00_6170;
BgL__ortest_1111z00_6170 = 
(BgL_classz00_6147==BgL_oclassz00_6169); 
if(BgL__ortest_1111z00_6170)
{ /* Llib/mpd.scm 1303 */
BgL_res3161z00_6184 = BgL__ortest_1111z00_6170; }  else 
{ /* Llib/mpd.scm 1303 */
 long BgL_odepthz00_6171;
BgL_odepthz00_6171 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6169); 
if(
(BgL_arg1800z00_6150<BgL_odepthz00_6171))
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_arg1793z00_6173;
BgL_arg1793z00_6173 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6169, BgL_arg1800z00_6150); 
BgL_res3161z00_6184 = 
(BgL_arg1793z00_6173==BgL_classz00_6147); }  else 
{ /* Llib/mpd.scm 1303 */
BgL_res3161z00_6184 = ((bool_t)0); } } } } 
BgL_arg1795z00_6155 = BgL_res3161z00_6184; } 
BgL_test3786z00_10626 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6154, BgL_arg1795z00_6155); } }  else 
{ /* Llib/mpd.scm 1303 */
BgL_test3786z00_10626 = ((bool_t)0)
; } } 
if(BgL_test3786z00_10626)
{ /* Llib/mpd.scm 1303 */
BgL_auxz00_10625 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4949)
; }  else 
{ 
 obj_t BgL_auxz00_10647;
BgL_auxz00_10647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)51417)), BGl_string3135z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4949); 
FAILURE(BgL_auxz00_10647,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_auxz00_10625, BgL_auxz00_10651, BgL_artistz00_4951);} } 

}



/* mpd-database-search-artist-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_386, obj_t BgL_opz00_387, obj_t BgL_artistz00_388, obj_t BgL_albumz00_389)
{
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_method1388z00_2353;
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_res2833z00_4089;
{ /* Llib/mpd.scm 1312 */
 long BgL_objzd2classzd2numz00_4060;
BgL_objzd2classzd2numz00_4060 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_386)); 
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_arg1801z00_4061;
BgL_arg1801z00_4061 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1312 */
 int BgL_offsetz00_4064;
BgL_offsetz00_4064 = 
(int)(BgL_objzd2classzd2numz00_4060); 
{ /* Llib/mpd.scm 1312 */
 long BgL_offsetz00_4065;
BgL_offsetz00_4065 = 
(
(long)(BgL_offsetz00_4064)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1312 */
 long BgL_modz00_4066;
BgL_modz00_4066 = 
(BgL_offsetz00_4065 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1312 */
 long BgL_restz00_4068;
BgL_restz00_4068 = 
(BgL_offsetz00_4065 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1312 */

{ /* Llib/mpd.scm 1312 */
 obj_t BgL_bucketz00_4070;
BgL_bucketz00_4070 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4061),BgL_modz00_4066); 
BgL_res2833z00_4089 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4070),BgL_restz00_4068); } } } } } } } } 
BgL_method1388z00_2353 = BgL_res2833z00_4089; } 
return 
PROCEDURE_ENTRY(BgL_method1388z00_2353)(BgL_method1388z00_2353, 
((obj_t)BgL_oz00_386), BgL_opz00_387, BgL_artistz00_388, BgL_albumz00_389, BEOA);} } 

}



/* &mpd-database-search-artist-album */
obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4952, obj_t BgL_oz00_4953, obj_t BgL_opz00_4954, obj_t BgL_artistz00_4955, obj_t BgL_albumz00_4956)
{
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_auxz00_10718; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10692;
if(
OUTPUT_PORTP(BgL_opz00_4954))
{ /* Llib/mpd.scm 1312 */
BgL_auxz00_10718 = BgL_opz00_4954
; }  else 
{ 
 obj_t BgL_auxz00_10721;
BgL_auxz00_10721 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)51861)), BGl_string3136z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4954); 
FAILURE(BgL_auxz00_10721,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL_test3791z00_10693;
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_classz00_6185;
BgL_classz00_6185 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4953))
{ /* Llib/mpd.scm 1312 */
 BgL_objectz00_bglt BgL_arg1799z00_6187; long BgL_arg1800z00_6188;
BgL_arg1799z00_6187 = 
(BgL_objectz00_bglt)(BgL_oz00_4953); 
BgL_arg1800z00_6188 = 
BGL_CLASS_DEPTH(BgL_classz00_6185); 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL_arg1794z00_6192; bool_t BgL_arg1795z00_6193;
{ /* Llib/mpd.scm 1312 */
 long BgL_idxz00_6197;
BgL_idxz00_6197 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6187); 
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_arg1791z00_6198;
{ /* Llib/mpd.scm 1312 */
 long BgL_arg1792z00_6199;
BgL_arg1792z00_6199 = 
(BgL_idxz00_6197+BgL_arg1800z00_6188); 
BgL_arg1791z00_6198 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6199); } 
BgL_arg1794z00_6192 = 
(BgL_arg1791z00_6198==BgL_classz00_6185); } } 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL_res3162z00_6222;
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_oclassz00_6207;
{ /* Llib/mpd.scm 1312 */
 long BgL_arg1804z00_6213;
{ /* Llib/mpd.scm 1312 */
 long BgL_arg1805z00_6214;
BgL_arg1805z00_6214 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6187); 
BgL_arg1804z00_6213 = 
(BgL_arg1805z00_6214-OBJECT_TYPE); } 
BgL_oclassz00_6207 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6213); } 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL__ortest_1111z00_6208;
BgL__ortest_1111z00_6208 = 
(BgL_classz00_6185==BgL_oclassz00_6207); 
if(BgL__ortest_1111z00_6208)
{ /* Llib/mpd.scm 1312 */
BgL_res3162z00_6222 = BgL__ortest_1111z00_6208; }  else 
{ /* Llib/mpd.scm 1312 */
 long BgL_odepthz00_6209;
BgL_odepthz00_6209 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6207); 
if(
(BgL_arg1800z00_6188<BgL_odepthz00_6209))
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_arg1793z00_6211;
BgL_arg1793z00_6211 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6207, BgL_arg1800z00_6188); 
BgL_res3162z00_6222 = 
(BgL_arg1793z00_6211==BgL_classz00_6185); }  else 
{ /* Llib/mpd.scm 1312 */
BgL_res3162z00_6222 = ((bool_t)0); } } } } 
BgL_arg1795z00_6193 = BgL_res3162z00_6222; } 
BgL_test3791z00_10693 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6192, BgL_arg1795z00_6193); } }  else 
{ /* Llib/mpd.scm 1312 */
BgL_test3791z00_10693 = ((bool_t)0)
; } } 
if(BgL_test3791z00_10693)
{ /* Llib/mpd.scm 1312 */
BgL_auxz00_10692 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4953)
; }  else 
{ 
 obj_t BgL_auxz00_10714;
BgL_auxz00_10714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)51861)), BGl_string3136z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4953); 
FAILURE(BgL_auxz00_10714,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_auxz00_10692, BgL_auxz00_10718, BgL_artistz00_4955, BgL_albumz00_4956);} } 

}



/* mpd-database-search-artist-title */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_390, obj_t BgL_opz00_391, obj_t BgL_artistz00_392, obj_t BgL_titlez00_393)
{
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_method1390z00_2354;
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_res2838z00_4120;
{ /* Llib/mpd.scm 1345 */
 long BgL_objzd2classzd2numz00_4091;
BgL_objzd2classzd2numz00_4091 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_390)); 
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_arg1801z00_4092;
BgL_arg1801z00_4092 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1345 */
 int BgL_offsetz00_4095;
BgL_offsetz00_4095 = 
(int)(BgL_objzd2classzd2numz00_4091); 
{ /* Llib/mpd.scm 1345 */
 long BgL_offsetz00_4096;
BgL_offsetz00_4096 = 
(
(long)(BgL_offsetz00_4095)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1345 */
 long BgL_modz00_4097;
BgL_modz00_4097 = 
(BgL_offsetz00_4096 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1345 */
 long BgL_restz00_4099;
BgL_restz00_4099 = 
(BgL_offsetz00_4096 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1345 */

{ /* Llib/mpd.scm 1345 */
 obj_t BgL_bucketz00_4101;
BgL_bucketz00_4101 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4092),BgL_modz00_4097); 
BgL_res2838z00_4120 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4101),BgL_restz00_4099); } } } } } } } } 
BgL_method1390z00_2354 = BgL_res2838z00_4120; } 
return 
PROCEDURE_ENTRY(BgL_method1390z00_2354)(BgL_method1390z00_2354, 
((obj_t)BgL_oz00_390), BgL_opz00_391, BgL_artistz00_392, BgL_titlez00_393, BEOA);} } 

}



/* &mpd-database-search-artist-title */
obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4957, obj_t BgL_oz00_4958, obj_t BgL_opz00_4959, obj_t BgL_artistz00_4960, obj_t BgL_titlez00_4961)
{
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_auxz00_10785; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10759;
if(
OUTPUT_PORTP(BgL_opz00_4959))
{ /* Llib/mpd.scm 1345 */
BgL_auxz00_10785 = BgL_opz00_4959
; }  else 
{ 
 obj_t BgL_auxz00_10788;
BgL_auxz00_10788 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)53036)), BGl_string3137z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4959); 
FAILURE(BgL_auxz00_10788,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL_test3796z00_10760;
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_classz00_6223;
BgL_classz00_6223 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4958))
{ /* Llib/mpd.scm 1345 */
 BgL_objectz00_bglt BgL_arg1799z00_6225; long BgL_arg1800z00_6226;
BgL_arg1799z00_6225 = 
(BgL_objectz00_bglt)(BgL_oz00_4958); 
BgL_arg1800z00_6226 = 
BGL_CLASS_DEPTH(BgL_classz00_6223); 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL_arg1794z00_6230; bool_t BgL_arg1795z00_6231;
{ /* Llib/mpd.scm 1345 */
 long BgL_idxz00_6235;
BgL_idxz00_6235 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6225); 
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_arg1791z00_6236;
{ /* Llib/mpd.scm 1345 */
 long BgL_arg1792z00_6237;
BgL_arg1792z00_6237 = 
(BgL_idxz00_6235+BgL_arg1800z00_6226); 
BgL_arg1791z00_6236 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6237); } 
BgL_arg1794z00_6230 = 
(BgL_arg1791z00_6236==BgL_classz00_6223); } } 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL_res3163z00_6260;
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_oclassz00_6245;
{ /* Llib/mpd.scm 1345 */
 long BgL_arg1804z00_6251;
{ /* Llib/mpd.scm 1345 */
 long BgL_arg1805z00_6252;
BgL_arg1805z00_6252 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6225); 
BgL_arg1804z00_6251 = 
(BgL_arg1805z00_6252-OBJECT_TYPE); } 
BgL_oclassz00_6245 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6251); } 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL__ortest_1111z00_6246;
BgL__ortest_1111z00_6246 = 
(BgL_classz00_6223==BgL_oclassz00_6245); 
if(BgL__ortest_1111z00_6246)
{ /* Llib/mpd.scm 1345 */
BgL_res3163z00_6260 = BgL__ortest_1111z00_6246; }  else 
{ /* Llib/mpd.scm 1345 */
 long BgL_odepthz00_6247;
BgL_odepthz00_6247 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6245); 
if(
(BgL_arg1800z00_6226<BgL_odepthz00_6247))
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_arg1793z00_6249;
BgL_arg1793z00_6249 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6245, BgL_arg1800z00_6226); 
BgL_res3163z00_6260 = 
(BgL_arg1793z00_6249==BgL_classz00_6223); }  else 
{ /* Llib/mpd.scm 1345 */
BgL_res3163z00_6260 = ((bool_t)0); } } } } 
BgL_arg1795z00_6231 = BgL_res3163z00_6260; } 
BgL_test3796z00_10760 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6230, BgL_arg1795z00_6231); } }  else 
{ /* Llib/mpd.scm 1345 */
BgL_test3796z00_10760 = ((bool_t)0)
; } } 
if(BgL_test3796z00_10760)
{ /* Llib/mpd.scm 1345 */
BgL_auxz00_10759 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4958)
; }  else 
{ 
 obj_t BgL_auxz00_10781;
BgL_auxz00_10781 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)53036)), BGl_string3137z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4958); 
FAILURE(BgL_auxz00_10781,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_auxz00_10759, BgL_auxz00_10785, BgL_artistz00_4960, BgL_titlez00_4961);} } 

}



/* mpd-database-find-title */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_394, obj_t BgL_opz00_395, obj_t BgL_titlez00_396)
{
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_method1392z00_2355;
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_res2843z00_4151;
{ /* Llib/mpd.scm 1371 */
 long BgL_objzd2classzd2numz00_4122;
BgL_objzd2classzd2numz00_4122 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_394)); 
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_arg1801z00_4123;
BgL_arg1801z00_4123 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1371 */
 int BgL_offsetz00_4126;
BgL_offsetz00_4126 = 
(int)(BgL_objzd2classzd2numz00_4122); 
{ /* Llib/mpd.scm 1371 */
 long BgL_offsetz00_4127;
BgL_offsetz00_4127 = 
(
(long)(BgL_offsetz00_4126)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1371 */
 long BgL_modz00_4128;
BgL_modz00_4128 = 
(BgL_offsetz00_4127 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1371 */
 long BgL_restz00_4130;
BgL_restz00_4130 = 
(BgL_offsetz00_4127 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1371 */

{ /* Llib/mpd.scm 1371 */
 obj_t BgL_bucketz00_4132;
BgL_bucketz00_4132 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4123),BgL_modz00_4128); 
BgL_res2843z00_4151 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4132),BgL_restz00_4130); } } } } } } } } 
BgL_method1392z00_2355 = BgL_res2843z00_4151; } 
return 
PROCEDURE_ENTRY(BgL_method1392z00_2355)(BgL_method1392z00_2355, 
((obj_t)BgL_oz00_394), BgL_opz00_395, BgL_titlez00_396, BEOA);} } 

}



/* &mpd-database-find-title */
obj_t BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4962, obj_t BgL_oz00_4963, obj_t BgL_opz00_4964, obj_t BgL_titlez00_4965)
{
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_auxz00_10851; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10825;
if(
OUTPUT_PORTP(BgL_opz00_4964))
{ /* Llib/mpd.scm 1371 */
BgL_auxz00_10851 = BgL_opz00_4964
; }  else 
{ 
 obj_t BgL_auxz00_10854;
BgL_auxz00_10854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)53940)), BGl_string3138z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4964); 
FAILURE(BgL_auxz00_10854,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL_test3801z00_10826;
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_classz00_6261;
BgL_classz00_6261 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4963))
{ /* Llib/mpd.scm 1371 */
 BgL_objectz00_bglt BgL_arg1799z00_6263; long BgL_arg1800z00_6264;
BgL_arg1799z00_6263 = 
(BgL_objectz00_bglt)(BgL_oz00_4963); 
BgL_arg1800z00_6264 = 
BGL_CLASS_DEPTH(BgL_classz00_6261); 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL_arg1794z00_6268; bool_t BgL_arg1795z00_6269;
{ /* Llib/mpd.scm 1371 */
 long BgL_idxz00_6273;
BgL_idxz00_6273 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6263); 
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_arg1791z00_6274;
{ /* Llib/mpd.scm 1371 */
 long BgL_arg1792z00_6275;
BgL_arg1792z00_6275 = 
(BgL_idxz00_6273+BgL_arg1800z00_6264); 
BgL_arg1791z00_6274 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6275); } 
BgL_arg1794z00_6268 = 
(BgL_arg1791z00_6274==BgL_classz00_6261); } } 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL_res3164z00_6298;
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_oclassz00_6283;
{ /* Llib/mpd.scm 1371 */
 long BgL_arg1804z00_6289;
{ /* Llib/mpd.scm 1371 */
 long BgL_arg1805z00_6290;
BgL_arg1805z00_6290 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6263); 
BgL_arg1804z00_6289 = 
(BgL_arg1805z00_6290-OBJECT_TYPE); } 
BgL_oclassz00_6283 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6289); } 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL__ortest_1111z00_6284;
BgL__ortest_1111z00_6284 = 
(BgL_classz00_6261==BgL_oclassz00_6283); 
if(BgL__ortest_1111z00_6284)
{ /* Llib/mpd.scm 1371 */
BgL_res3164z00_6298 = BgL__ortest_1111z00_6284; }  else 
{ /* Llib/mpd.scm 1371 */
 long BgL_odepthz00_6285;
BgL_odepthz00_6285 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6283); 
if(
(BgL_arg1800z00_6264<BgL_odepthz00_6285))
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_arg1793z00_6287;
BgL_arg1793z00_6287 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6283, BgL_arg1800z00_6264); 
BgL_res3164z00_6298 = 
(BgL_arg1793z00_6287==BgL_classz00_6261); }  else 
{ /* Llib/mpd.scm 1371 */
BgL_res3164z00_6298 = ((bool_t)0); } } } } 
BgL_arg1795z00_6269 = BgL_res3164z00_6298; } 
BgL_test3801z00_10826 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6268, BgL_arg1795z00_6269); } }  else 
{ /* Llib/mpd.scm 1371 */
BgL_test3801z00_10826 = ((bool_t)0)
; } } 
if(BgL_test3801z00_10826)
{ /* Llib/mpd.scm 1371 */
BgL_auxz00_10825 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4963)
; }  else 
{ 
 obj_t BgL_auxz00_10847;
BgL_auxz00_10847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)53940)), BGl_string3138z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4963); 
FAILURE(BgL_auxz00_10847,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_auxz00_10825, BgL_auxz00_10851, BgL_titlez00_4965);} } 

}



/* mpd-database-find-genre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_397, obj_t BgL_opz00_398, obj_t BgL_genrez00_399)
{
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_method1395z00_2356;
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_res2848z00_4182;
{ /* Llib/mpd.scm 1389 */
 long BgL_objzd2classzd2numz00_4153;
BgL_objzd2classzd2numz00_4153 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_397)); 
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_arg1801z00_4154;
BgL_arg1801z00_4154 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1389 */
 int BgL_offsetz00_4157;
BgL_offsetz00_4157 = 
(int)(BgL_objzd2classzd2numz00_4153); 
{ /* Llib/mpd.scm 1389 */
 long BgL_offsetz00_4158;
BgL_offsetz00_4158 = 
(
(long)(BgL_offsetz00_4157)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1389 */
 long BgL_modz00_4159;
BgL_modz00_4159 = 
(BgL_offsetz00_4158 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1389 */
 long BgL_restz00_4161;
BgL_restz00_4161 = 
(BgL_offsetz00_4158 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1389 */

{ /* Llib/mpd.scm 1389 */
 obj_t BgL_bucketz00_4163;
BgL_bucketz00_4163 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4154),BgL_modz00_4159); 
BgL_res2848z00_4182 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4163),BgL_restz00_4161); } } } } } } } } 
BgL_method1395z00_2356 = BgL_res2848z00_4182; } 
return 
PROCEDURE_ENTRY(BgL_method1395z00_2356)(BgL_method1395z00_2356, 
((obj_t)BgL_oz00_397), BgL_opz00_398, BgL_genrez00_399, BEOA);} } 

}



/* &mpd-database-find-genre */
obj_t BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4966, obj_t BgL_oz00_4967, obj_t BgL_opz00_4968, obj_t BgL_genrez00_4969)
{
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_auxz00_10917; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10891;
if(
OUTPUT_PORTP(BgL_opz00_4968))
{ /* Llib/mpd.scm 1389 */
BgL_auxz00_10917 = BgL_opz00_4968
; }  else 
{ 
 obj_t BgL_auxz00_10920;
BgL_auxz00_10920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)54520)), BGl_string3139z00zz__multimediazd2mpdzd2, BGl_string2970z00zz__multimediazd2mpdzd2, BgL_opz00_4968); 
FAILURE(BgL_auxz00_10920,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL_test3806z00_10892;
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_classz00_6299;
BgL_classz00_6299 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4967))
{ /* Llib/mpd.scm 1389 */
 BgL_objectz00_bglt BgL_arg1799z00_6301; long BgL_arg1800z00_6302;
BgL_arg1799z00_6301 = 
(BgL_objectz00_bglt)(BgL_oz00_4967); 
BgL_arg1800z00_6302 = 
BGL_CLASS_DEPTH(BgL_classz00_6299); 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL_arg1794z00_6306; bool_t BgL_arg1795z00_6307;
{ /* Llib/mpd.scm 1389 */
 long BgL_idxz00_6311;
BgL_idxz00_6311 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6301); 
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_arg1791z00_6312;
{ /* Llib/mpd.scm 1389 */
 long BgL_arg1792z00_6313;
BgL_arg1792z00_6313 = 
(BgL_idxz00_6311+BgL_arg1800z00_6302); 
BgL_arg1791z00_6312 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6313); } 
BgL_arg1794z00_6306 = 
(BgL_arg1791z00_6312==BgL_classz00_6299); } } 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL_res3165z00_6336;
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_oclassz00_6321;
{ /* Llib/mpd.scm 1389 */
 long BgL_arg1804z00_6327;
{ /* Llib/mpd.scm 1389 */
 long BgL_arg1805z00_6328;
BgL_arg1805z00_6328 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6301); 
BgL_arg1804z00_6327 = 
(BgL_arg1805z00_6328-OBJECT_TYPE); } 
BgL_oclassz00_6321 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6327); } 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL__ortest_1111z00_6322;
BgL__ortest_1111z00_6322 = 
(BgL_classz00_6299==BgL_oclassz00_6321); 
if(BgL__ortest_1111z00_6322)
{ /* Llib/mpd.scm 1389 */
BgL_res3165z00_6336 = BgL__ortest_1111z00_6322; }  else 
{ /* Llib/mpd.scm 1389 */
 long BgL_odepthz00_6323;
BgL_odepthz00_6323 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6321); 
if(
(BgL_arg1800z00_6302<BgL_odepthz00_6323))
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_arg1793z00_6325;
BgL_arg1793z00_6325 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6321, BgL_arg1800z00_6302); 
BgL_res3165z00_6336 = 
(BgL_arg1793z00_6325==BgL_classz00_6299); }  else 
{ /* Llib/mpd.scm 1389 */
BgL_res3165z00_6336 = ((bool_t)0); } } } } 
BgL_arg1795z00_6307 = BgL_res3165z00_6336; } 
BgL_test3806z00_10892 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6306, BgL_arg1795z00_6307); } }  else 
{ /* Llib/mpd.scm 1389 */
BgL_test3806z00_10892 = ((bool_t)0)
; } } 
if(BgL_test3806z00_10892)
{ /* Llib/mpd.scm 1389 */
BgL_auxz00_10891 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4967)
; }  else 
{ 
 obj_t BgL_auxz00_10913;
BgL_auxz00_10913 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)54520)), BGl_string3139z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4967); 
FAILURE(BgL_auxz00_10913,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_auxz00_10891, BgL_auxz00_10917, BgL_genrez00_4969);} } 

}



/* mpd-database-getgenre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_400)
{
{ /* Llib/mpd.scm 1407 */
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_method1397z00_2357;
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_res2853z00_4213;
{ /* Llib/mpd.scm 1407 */
 long BgL_objzd2classzd2numz00_4184;
BgL_objzd2classzd2numz00_4184 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_400)); 
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_arg1801z00_4185;
BgL_arg1801z00_4185 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1407 */
 int BgL_offsetz00_4188;
BgL_offsetz00_4188 = 
(int)(BgL_objzd2classzd2numz00_4184); 
{ /* Llib/mpd.scm 1407 */
 long BgL_offsetz00_4189;
BgL_offsetz00_4189 = 
(
(long)(BgL_offsetz00_4188)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1407 */
 long BgL_modz00_4190;
BgL_modz00_4190 = 
(BgL_offsetz00_4189 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1407 */
 long BgL_restz00_4192;
BgL_restz00_4192 = 
(BgL_offsetz00_4189 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1407 */

{ /* Llib/mpd.scm 1407 */
 obj_t BgL_bucketz00_4194;
BgL_bucketz00_4194 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4185),BgL_modz00_4190); 
BgL_res2853z00_4213 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4194),BgL_restz00_4192); } } } } } } } } 
BgL_method1397z00_2357 = BgL_res2853z00_4213; } 
return 
PROCEDURE_ENTRY(BgL_method1397z00_2357)(BgL_method1397z00_2357, 
((obj_t)BgL_oz00_400), BEOA);} } 

}



/* &mpd-database-getgenre */
obj_t BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4970, obj_t BgL_oz00_4971)
{
{ /* Llib/mpd.scm 1407 */
{ /* Llib/mpd.scm 1407 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_10955;
{ /* Llib/mpd.scm 1407 */
 bool_t BgL_test3811z00_10956;
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_classz00_6337;
BgL_classz00_6337 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4971))
{ /* Llib/mpd.scm 1407 */
 BgL_objectz00_bglt BgL_arg1799z00_6339; long BgL_arg1800z00_6340;
BgL_arg1799z00_6339 = 
(BgL_objectz00_bglt)(BgL_oz00_4971); 
BgL_arg1800z00_6340 = 
BGL_CLASS_DEPTH(BgL_classz00_6337); 
{ /* Llib/mpd.scm 1407 */
 bool_t BgL_arg1794z00_6344; bool_t BgL_arg1795z00_6345;
{ /* Llib/mpd.scm 1407 */
 long BgL_idxz00_6349;
BgL_idxz00_6349 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6339); 
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_arg1791z00_6350;
{ /* Llib/mpd.scm 1407 */
 long BgL_arg1792z00_6351;
BgL_arg1792z00_6351 = 
(BgL_idxz00_6349+BgL_arg1800z00_6340); 
BgL_arg1791z00_6350 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6351); } 
BgL_arg1794z00_6344 = 
(BgL_arg1791z00_6350==BgL_classz00_6337); } } 
{ /* Llib/mpd.scm 1407 */
 bool_t BgL_res3166z00_6374;
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_oclassz00_6359;
{ /* Llib/mpd.scm 1407 */
 long BgL_arg1804z00_6365;
{ /* Llib/mpd.scm 1407 */
 long BgL_arg1805z00_6366;
BgL_arg1805z00_6366 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6339); 
BgL_arg1804z00_6365 = 
(BgL_arg1805z00_6366-OBJECT_TYPE); } 
BgL_oclassz00_6359 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6365); } 
{ /* Llib/mpd.scm 1407 */
 bool_t BgL__ortest_1111z00_6360;
BgL__ortest_1111z00_6360 = 
(BgL_classz00_6337==BgL_oclassz00_6359); 
if(BgL__ortest_1111z00_6360)
{ /* Llib/mpd.scm 1407 */
BgL_res3166z00_6374 = BgL__ortest_1111z00_6360; }  else 
{ /* Llib/mpd.scm 1407 */
 long BgL_odepthz00_6361;
BgL_odepthz00_6361 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6359); 
if(
(BgL_arg1800z00_6340<BgL_odepthz00_6361))
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_arg1793z00_6363;
BgL_arg1793z00_6363 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6359, BgL_arg1800z00_6340); 
BgL_res3166z00_6374 = 
(BgL_arg1793z00_6363==BgL_classz00_6337); }  else 
{ /* Llib/mpd.scm 1407 */
BgL_res3166z00_6374 = ((bool_t)0); } } } } 
BgL_arg1795z00_6345 = BgL_res3166z00_6374; } 
BgL_test3811z00_10956 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6344, BgL_arg1795z00_6345); } }  else 
{ /* Llib/mpd.scm 1407 */
BgL_test3811z00_10956 = ((bool_t)0)
; } } 
if(BgL_test3811z00_10956)
{ /* Llib/mpd.scm 1407 */
BgL_auxz00_10955 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4971)
; }  else 
{ 
 obj_t BgL_auxz00_10977;
BgL_auxz00_10977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)55101)), BGl_string3140z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4971); 
FAILURE(BgL_auxz00_10977,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_auxz00_10955);} } 

}



/* mpd-database-getartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_401)
{
{ /* Llib/mpd.scm 1414 */
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_method1399z00_2358;
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_res2858z00_4244;
{ /* Llib/mpd.scm 1414 */
 long BgL_objzd2classzd2numz00_4215;
BgL_objzd2classzd2numz00_4215 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_401)); 
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_arg1801z00_4216;
BgL_arg1801z00_4216 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1414 */
 int BgL_offsetz00_4219;
BgL_offsetz00_4219 = 
(int)(BgL_objzd2classzd2numz00_4215); 
{ /* Llib/mpd.scm 1414 */
 long BgL_offsetz00_4220;
BgL_offsetz00_4220 = 
(
(long)(BgL_offsetz00_4219)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1414 */
 long BgL_modz00_4221;
BgL_modz00_4221 = 
(BgL_offsetz00_4220 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1414 */
 long BgL_restz00_4223;
BgL_restz00_4223 = 
(BgL_offsetz00_4220 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1414 */

{ /* Llib/mpd.scm 1414 */
 obj_t BgL_bucketz00_4225;
BgL_bucketz00_4225 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4216),BgL_modz00_4221); 
BgL_res2858z00_4244 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4225),BgL_restz00_4223); } } } } } } } } 
BgL_method1399z00_2358 = BgL_res2858z00_4244; } 
return 
PROCEDURE_ENTRY(BgL_method1399z00_2358)(BgL_method1399z00_2358, 
((obj_t)BgL_oz00_401), BEOA);} } 

}



/* &mpd-database-getartist */
obj_t BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4972, obj_t BgL_oz00_4973)
{
{ /* Llib/mpd.scm 1414 */
{ /* Llib/mpd.scm 1414 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11012;
{ /* Llib/mpd.scm 1414 */
 bool_t BgL_test3815z00_11013;
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_classz00_6375;
BgL_classz00_6375 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4973))
{ /* Llib/mpd.scm 1414 */
 BgL_objectz00_bglt BgL_arg1799z00_6377; long BgL_arg1800z00_6378;
BgL_arg1799z00_6377 = 
(BgL_objectz00_bglt)(BgL_oz00_4973); 
BgL_arg1800z00_6378 = 
BGL_CLASS_DEPTH(BgL_classz00_6375); 
{ /* Llib/mpd.scm 1414 */
 bool_t BgL_arg1794z00_6382; bool_t BgL_arg1795z00_6383;
{ /* Llib/mpd.scm 1414 */
 long BgL_idxz00_6387;
BgL_idxz00_6387 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6377); 
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_arg1791z00_6388;
{ /* Llib/mpd.scm 1414 */
 long BgL_arg1792z00_6389;
BgL_arg1792z00_6389 = 
(BgL_idxz00_6387+BgL_arg1800z00_6378); 
BgL_arg1791z00_6388 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6389); } 
BgL_arg1794z00_6382 = 
(BgL_arg1791z00_6388==BgL_classz00_6375); } } 
{ /* Llib/mpd.scm 1414 */
 bool_t BgL_res3167z00_6412;
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_oclassz00_6397;
{ /* Llib/mpd.scm 1414 */
 long BgL_arg1804z00_6403;
{ /* Llib/mpd.scm 1414 */
 long BgL_arg1805z00_6404;
BgL_arg1805z00_6404 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6377); 
BgL_arg1804z00_6403 = 
(BgL_arg1805z00_6404-OBJECT_TYPE); } 
BgL_oclassz00_6397 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6403); } 
{ /* Llib/mpd.scm 1414 */
 bool_t BgL__ortest_1111z00_6398;
BgL__ortest_1111z00_6398 = 
(BgL_classz00_6375==BgL_oclassz00_6397); 
if(BgL__ortest_1111z00_6398)
{ /* Llib/mpd.scm 1414 */
BgL_res3167z00_6412 = BgL__ortest_1111z00_6398; }  else 
{ /* Llib/mpd.scm 1414 */
 long BgL_odepthz00_6399;
BgL_odepthz00_6399 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6397); 
if(
(BgL_arg1800z00_6378<BgL_odepthz00_6399))
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_arg1793z00_6401;
BgL_arg1793z00_6401 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6397, BgL_arg1800z00_6378); 
BgL_res3167z00_6412 = 
(BgL_arg1793z00_6401==BgL_classz00_6375); }  else 
{ /* Llib/mpd.scm 1414 */
BgL_res3167z00_6412 = ((bool_t)0); } } } } 
BgL_arg1795z00_6383 = BgL_res3167z00_6412; } 
BgL_test3815z00_11013 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6382, BgL_arg1795z00_6383); } }  else 
{ /* Llib/mpd.scm 1414 */
BgL_test3815z00_11013 = ((bool_t)0)
; } } 
if(BgL_test3815z00_11013)
{ /* Llib/mpd.scm 1414 */
BgL_auxz00_11012 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4973)
; }  else 
{ 
 obj_t BgL_auxz00_11034;
BgL_auxz00_11034 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)55438)), BGl_string3141z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4973); 
FAILURE(BgL_auxz00_11034,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_auxz00_11012);} } 

}



/* mpd-database-getgenreartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_402, obj_t BgL_genrez00_403)
{
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_method1401z00_2359;
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_res2863z00_4275;
{ /* Llib/mpd.scm 1421 */
 long BgL_objzd2classzd2numz00_4246;
BgL_objzd2classzd2numz00_4246 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_402)); 
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_arg1801z00_4247;
BgL_arg1801z00_4247 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1421 */
 int BgL_offsetz00_4250;
BgL_offsetz00_4250 = 
(int)(BgL_objzd2classzd2numz00_4246); 
{ /* Llib/mpd.scm 1421 */
 long BgL_offsetz00_4251;
BgL_offsetz00_4251 = 
(
(long)(BgL_offsetz00_4250)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1421 */
 long BgL_modz00_4252;
BgL_modz00_4252 = 
(BgL_offsetz00_4251 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1421 */
 long BgL_restz00_4254;
BgL_restz00_4254 = 
(BgL_offsetz00_4251 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1421 */

{ /* Llib/mpd.scm 1421 */
 obj_t BgL_bucketz00_4256;
BgL_bucketz00_4256 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4247),BgL_modz00_4252); 
BgL_res2863z00_4275 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4256),BgL_restz00_4254); } } } } } } } } 
BgL_method1401z00_2359 = BgL_res2863z00_4275; } 
return 
PROCEDURE_ENTRY(BgL_method1401z00_2359)(BgL_method1401z00_2359, 
((obj_t)BgL_oz00_402), BgL_genrez00_403, BEOA);} } 

}



/* &mpd-database-getgenreartist */
obj_t BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4974, obj_t BgL_oz00_4975, obj_t BgL_genrez00_4976)
{
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1421 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11070;
{ /* Llib/mpd.scm 1421 */
 bool_t BgL_test3819z00_11071;
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_classz00_6413;
BgL_classz00_6413 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4975))
{ /* Llib/mpd.scm 1421 */
 BgL_objectz00_bglt BgL_arg1799z00_6415; long BgL_arg1800z00_6416;
BgL_arg1799z00_6415 = 
(BgL_objectz00_bglt)(BgL_oz00_4975); 
BgL_arg1800z00_6416 = 
BGL_CLASS_DEPTH(BgL_classz00_6413); 
{ /* Llib/mpd.scm 1421 */
 bool_t BgL_arg1794z00_6420; bool_t BgL_arg1795z00_6421;
{ /* Llib/mpd.scm 1421 */
 long BgL_idxz00_6425;
BgL_idxz00_6425 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6415); 
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_arg1791z00_6426;
{ /* Llib/mpd.scm 1421 */
 long BgL_arg1792z00_6427;
BgL_arg1792z00_6427 = 
(BgL_idxz00_6425+BgL_arg1800z00_6416); 
BgL_arg1791z00_6426 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6427); } 
BgL_arg1794z00_6420 = 
(BgL_arg1791z00_6426==BgL_classz00_6413); } } 
{ /* Llib/mpd.scm 1421 */
 bool_t BgL_res3168z00_6450;
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_oclassz00_6435;
{ /* Llib/mpd.scm 1421 */
 long BgL_arg1804z00_6441;
{ /* Llib/mpd.scm 1421 */
 long BgL_arg1805z00_6442;
BgL_arg1805z00_6442 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6415); 
BgL_arg1804z00_6441 = 
(BgL_arg1805z00_6442-OBJECT_TYPE); } 
BgL_oclassz00_6435 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6441); } 
{ /* Llib/mpd.scm 1421 */
 bool_t BgL__ortest_1111z00_6436;
BgL__ortest_1111z00_6436 = 
(BgL_classz00_6413==BgL_oclassz00_6435); 
if(BgL__ortest_1111z00_6436)
{ /* Llib/mpd.scm 1421 */
BgL_res3168z00_6450 = BgL__ortest_1111z00_6436; }  else 
{ /* Llib/mpd.scm 1421 */
 long BgL_odepthz00_6437;
BgL_odepthz00_6437 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6435); 
if(
(BgL_arg1800z00_6416<BgL_odepthz00_6437))
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_arg1793z00_6439;
BgL_arg1793z00_6439 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6435, BgL_arg1800z00_6416); 
BgL_res3168z00_6450 = 
(BgL_arg1793z00_6439==BgL_classz00_6413); }  else 
{ /* Llib/mpd.scm 1421 */
BgL_res3168z00_6450 = ((bool_t)0); } } } } 
BgL_arg1795z00_6421 = BgL_res3168z00_6450; } 
BgL_test3819z00_11071 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6420, BgL_arg1795z00_6421); } }  else 
{ /* Llib/mpd.scm 1421 */
BgL_test3819z00_11071 = ((bool_t)0)
; } } 
if(BgL_test3819z00_11071)
{ /* Llib/mpd.scm 1421 */
BgL_auxz00_11070 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4975)
; }  else 
{ 
 obj_t BgL_auxz00_11092;
BgL_auxz00_11092 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)55778)), BGl_string3142z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4975); 
FAILURE(BgL_auxz00_11092,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_auxz00_11070, BgL_genrez00_4976);} } 

}



/* mpd-database-getartistalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_404, obj_t BgL_artistz00_405)
{
{ /* Llib/mpd.scm 1431 */
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_method1403z00_2360;
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_res2868z00_4306;
{ /* Llib/mpd.scm 1431 */
 long BgL_objzd2classzd2numz00_4277;
BgL_objzd2classzd2numz00_4277 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_404)); 
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_arg1801z00_4278;
BgL_arg1801z00_4278 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1431 */
 int BgL_offsetz00_4281;
BgL_offsetz00_4281 = 
(int)(BgL_objzd2classzd2numz00_4277); 
{ /* Llib/mpd.scm 1431 */
 long BgL_offsetz00_4282;
BgL_offsetz00_4282 = 
(
(long)(BgL_offsetz00_4281)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1431 */
 long BgL_modz00_4283;
BgL_modz00_4283 = 
(BgL_offsetz00_4282 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1431 */
 long BgL_restz00_4285;
BgL_restz00_4285 = 
(BgL_offsetz00_4282 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1431 */

{ /* Llib/mpd.scm 1431 */
 obj_t BgL_bucketz00_4287;
BgL_bucketz00_4287 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4278),BgL_modz00_4283); 
BgL_res2868z00_4306 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4287),BgL_restz00_4285); } } } } } } } } 
BgL_method1403z00_2360 = BgL_res2868z00_4306; } 
return 
PROCEDURE_ENTRY(BgL_method1403z00_2360)(BgL_method1403z00_2360, 
((obj_t)BgL_oz00_404), BgL_artistz00_405, BEOA);} } 

}



/* &mpd-database-getartistalbum */
obj_t BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4977, obj_t BgL_oz00_4978, obj_t BgL_artistz00_4979)
{
{ /* Llib/mpd.scm 1431 */
{ /* Llib/mpd.scm 1431 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11128;
{ /* Llib/mpd.scm 1431 */
 bool_t BgL_test3823z00_11129;
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_classz00_6451;
BgL_classz00_6451 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4978))
{ /* Llib/mpd.scm 1431 */
 BgL_objectz00_bglt BgL_arg1799z00_6453; long BgL_arg1800z00_6454;
BgL_arg1799z00_6453 = 
(BgL_objectz00_bglt)(BgL_oz00_4978); 
BgL_arg1800z00_6454 = 
BGL_CLASS_DEPTH(BgL_classz00_6451); 
{ /* Llib/mpd.scm 1431 */
 bool_t BgL_arg1794z00_6458; bool_t BgL_arg1795z00_6459;
{ /* Llib/mpd.scm 1431 */
 long BgL_idxz00_6463;
BgL_idxz00_6463 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6453); 
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_arg1791z00_6464;
{ /* Llib/mpd.scm 1431 */
 long BgL_arg1792z00_6465;
BgL_arg1792z00_6465 = 
(BgL_idxz00_6463+BgL_arg1800z00_6454); 
BgL_arg1791z00_6464 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6465); } 
BgL_arg1794z00_6458 = 
(BgL_arg1791z00_6464==BgL_classz00_6451); } } 
{ /* Llib/mpd.scm 1431 */
 bool_t BgL_res3169z00_6488;
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_oclassz00_6473;
{ /* Llib/mpd.scm 1431 */
 long BgL_arg1804z00_6479;
{ /* Llib/mpd.scm 1431 */
 long BgL_arg1805z00_6480;
BgL_arg1805z00_6480 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6453); 
BgL_arg1804z00_6479 = 
(BgL_arg1805z00_6480-OBJECT_TYPE); } 
BgL_oclassz00_6473 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6479); } 
{ /* Llib/mpd.scm 1431 */
 bool_t BgL__ortest_1111z00_6474;
BgL__ortest_1111z00_6474 = 
(BgL_classz00_6451==BgL_oclassz00_6473); 
if(BgL__ortest_1111z00_6474)
{ /* Llib/mpd.scm 1431 */
BgL_res3169z00_6488 = BgL__ortest_1111z00_6474; }  else 
{ /* Llib/mpd.scm 1431 */
 long BgL_odepthz00_6475;
BgL_odepthz00_6475 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6473); 
if(
(BgL_arg1800z00_6454<BgL_odepthz00_6475))
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_arg1793z00_6477;
BgL_arg1793z00_6477 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6473, BgL_arg1800z00_6454); 
BgL_res3169z00_6488 = 
(BgL_arg1793z00_6477==BgL_classz00_6451); }  else 
{ /* Llib/mpd.scm 1431 */
BgL_res3169z00_6488 = ((bool_t)0); } } } } 
BgL_arg1795z00_6459 = BgL_res3169z00_6488; } 
BgL_test3823z00_11129 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6458, BgL_arg1795z00_6459); } }  else 
{ /* Llib/mpd.scm 1431 */
BgL_test3823z00_11129 = ((bool_t)0)
; } } 
if(BgL_test3823z00_11129)
{ /* Llib/mpd.scm 1431 */
BgL_auxz00_11128 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4978)
; }  else 
{ 
 obj_t BgL_auxz00_11150;
BgL_auxz00_11150 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)56226)), BGl_string3143z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4978); 
FAILURE(BgL_auxz00_11150,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_11128, BgL_artistz00_4979);} } 

}



/* mpd-database-get-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_417, obj_t BgL_albumz00_418)
{
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_method1409z00_2361;
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_res2873z00_4337;
{ /* Llib/mpd.scm 1517 */
 long BgL_objzd2classzd2numz00_4308;
BgL_objzd2classzd2numz00_4308 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_417)); 
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_arg1801z00_4309;
BgL_arg1801z00_4309 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1517 */
 int BgL_offsetz00_4312;
BgL_offsetz00_4312 = 
(int)(BgL_objzd2classzd2numz00_4308); 
{ /* Llib/mpd.scm 1517 */
 long BgL_offsetz00_4313;
BgL_offsetz00_4313 = 
(
(long)(BgL_offsetz00_4312)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1517 */
 long BgL_modz00_4314;
BgL_modz00_4314 = 
(BgL_offsetz00_4313 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1517 */
 long BgL_restz00_4316;
BgL_restz00_4316 = 
(BgL_offsetz00_4313 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1517 */

{ /* Llib/mpd.scm 1517 */
 obj_t BgL_bucketz00_4318;
BgL_bucketz00_4318 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_4309),BgL_modz00_4314); 
BgL_res2873z00_4337 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4318),BgL_restz00_4316); } } } } } } } } 
BgL_method1409z00_2361 = BgL_res2873z00_4337; } 
return 
PROCEDURE_ENTRY(BgL_method1409z00_2361)(BgL_method1409z00_2361, 
((obj_t)BgL_oz00_417), BgL_albumz00_418, BEOA);} } 

}



/* &mpd-database-get-album */
obj_t BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4980, obj_t BgL_oz00_4981, obj_t BgL_albumz00_4982)
{
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1517 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11186;
{ /* Llib/mpd.scm 1517 */
 bool_t BgL_test3827z00_11187;
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_classz00_6489;
BgL_classz00_6489 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4981))
{ /* Llib/mpd.scm 1517 */
 BgL_objectz00_bglt BgL_arg1799z00_6491; long BgL_arg1800z00_6492;
BgL_arg1799z00_6491 = 
(BgL_objectz00_bglt)(BgL_oz00_4981); 
BgL_arg1800z00_6492 = 
BGL_CLASS_DEPTH(BgL_classz00_6489); 
{ /* Llib/mpd.scm 1517 */
 bool_t BgL_arg1794z00_6496; bool_t BgL_arg1795z00_6497;
{ /* Llib/mpd.scm 1517 */
 long BgL_idxz00_6501;
BgL_idxz00_6501 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6491); 
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_arg1791z00_6502;
{ /* Llib/mpd.scm 1517 */
 long BgL_arg1792z00_6503;
BgL_arg1792z00_6503 = 
(BgL_idxz00_6501+BgL_arg1800z00_6492); 
BgL_arg1791z00_6502 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6503); } 
BgL_arg1794z00_6496 = 
(BgL_arg1791z00_6502==BgL_classz00_6489); } } 
{ /* Llib/mpd.scm 1517 */
 bool_t BgL_res3170z00_6526;
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_oclassz00_6511;
{ /* Llib/mpd.scm 1517 */
 long BgL_arg1804z00_6517;
{ /* Llib/mpd.scm 1517 */
 long BgL_arg1805z00_6518;
BgL_arg1805z00_6518 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6491); 
BgL_arg1804z00_6517 = 
(BgL_arg1805z00_6518-OBJECT_TYPE); } 
BgL_oclassz00_6511 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6517); } 
{ /* Llib/mpd.scm 1517 */
 bool_t BgL__ortest_1111z00_6512;
BgL__ortest_1111z00_6512 = 
(BgL_classz00_6489==BgL_oclassz00_6511); 
if(BgL__ortest_1111z00_6512)
{ /* Llib/mpd.scm 1517 */
BgL_res3170z00_6526 = BgL__ortest_1111z00_6512; }  else 
{ /* Llib/mpd.scm 1517 */
 long BgL_odepthz00_6513;
BgL_odepthz00_6513 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6511); 
if(
(BgL_arg1800z00_6492<BgL_odepthz00_6513))
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_arg1793z00_6515;
BgL_arg1793z00_6515 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6511, BgL_arg1800z00_6492); 
BgL_res3170z00_6526 = 
(BgL_arg1793z00_6515==BgL_classz00_6489); }  else 
{ /* Llib/mpd.scm 1517 */
BgL_res3170z00_6526 = ((bool_t)0); } } } } 
BgL_arg1795z00_6497 = BgL_res3170z00_6526; } 
BgL_test3827z00_11187 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6496, BgL_arg1795z00_6497); } }  else 
{ /* Llib/mpd.scm 1517 */
BgL_test3827z00_11187 = ((bool_t)0)
; } } 
if(BgL_test3827z00_11187)
{ /* Llib/mpd.scm 1517 */
BgL_auxz00_11186 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4981)
; }  else 
{ 
 obj_t BgL_auxz00_11208;
BgL_auxz00_11208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2965z00zz__multimediazd2mpdzd2, 
BINT(((long)59323)), BGl_string3144z00zz__multimediazd2mpdzd2, BGl_string2971z00zz__multimediazd2mpdzd2, BgL_oz00_4981); 
FAILURE(BgL_auxz00_11208,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_auxz00_11186, BgL_albumz00_4982);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2()
{
{ /* Llib/mpd.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)95358739), 
BSTRING_TO_STRING(BGl_string3145z00zz__multimediazd2mpdzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(((long)299260312), 
BSTRING_TO_STRING(BGl_string3145z00zz__multimediazd2mpdzd2));} 

}

#ifdef __cplusplus
}
#endif
