/*===========================================================================*/
/*   (Llib/musicproc.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/musicproc.scm -o objs/musicproc.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62iozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2errorzb0_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicprocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_charsetz00;
   obj_t BgL_z52processz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52playidz52;
   bool_t BgL_z52quotezd2uriz80;
   obj_t BgL_z52commandzd2volumez80;
   obj_t BgL_z52commandzd2stopz80;
   obj_t BgL_z52commandzd2loadpausedz80;
   obj_t BgL_z52commandzd2loadz80;
   obj_t BgL_z52commandzd2pausez80;
   obj_t BgL_z52commandzd2seekzd2formatz52;
   obj_t BgL_z52userzd2statez80;
   obj_t BgL_z52pmutexz52;
   obj_t BgL_z52pcondvz52;
   bool_t BgL_z52inexecz52;
} *BgL_musicprocz00_bglt;


static obj_t BGl_z62lambda1689z62zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_musicproczd2loadpausedzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31773ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62lambda1690z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1772z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2closezd2musicpro1168z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2getzd2m1174zb0zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2musicproczd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31758ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62musicproczd2connectz121165za2zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1797z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1798z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__multimediazd2musicproczd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_musicproczd2loadzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2musicproczd2();
static obj_t BGl_execze70ze7zz__multimediazd2musicproczd2(obj_t, obj_t, BgL_musicprocz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt, bool_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62musicproczd2load1183zb0zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_musicproczd2parsezd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt);
static obj_t BGl_genericzd2initzd2zz__multimediazd2musicproczd2();
static obj_t BGl_z62musicproczd2start1161zb0zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musicproczd2parsezb0zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2volumezd2getzd2mus1208zb0zz__multimediazd2musicproczd2(obj_t, obj_t);
extern obj_t BGl_musiczd2charsetzd2convertz00zz__multimediazd2musiczd2(obj_t, obj_t);
BGL_IMPORT obj_t c_process_kill(obj_t);
static obj_t BGl_z62musiczd2seekzd2musicproc1188z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2musicproczd2();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2songposzd2musicp1206z62zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_musicproczd2startzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt);
static obj_t BGl_z62musicproczd2startzb0zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2volumezd2setz12zd2mu1210za2zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2resetz12zd2musicpr1172z70zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_z62musiczd2crossfadezd2musi1198z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2addz12zd21176za2zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31799ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62musiczd2pausezd2musicpro1192z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2musicproczd2();
static obj_t BGl_z62musiczd2playzd2musicproc1186z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2closezd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62musiczd2randomzd2setz12zd2mu1200za2zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musicproczd2loadpaused1181zb0zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62musiczd2nextzd2musicproc1194z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2delet1178z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t c_process_alivep(obj_t);
static obj_t BGl_z62musiczd2songzd2musicproc1204z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62musicproczd2connectz12za2zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2clear1180z62zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
static obj_t BGl_z62musiczd2closedzf3zd2musicp1170z91zz__multimediazd2musicproczd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicproczd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_musicz00zz__multimediazd2musiczd2;
static obj_t BGl_z62musiczd2stopzd2musicproc1190z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31263ze3ze70z60zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31344ze3ze70z60zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt, obj_t, obj_t, BgL_musicprocz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musicproczd2parse1211zb0zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__multimediazd2musicproczd2(obj_t);
static BgL_musicstatusz00_bglt BGl_z62musiczd2statuszd2musicpr1164z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2musicproczd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2musicproczd2();
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2musicproczd2();
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2musicproczd2();
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
static obj_t BGl_z62musiczd2repeatzd2setz12zd2mu1202za2zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31709ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62lambda1537z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1538z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1623z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static BgL_musicprocz00_bglt BGl_z62lambda1380z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1624z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1707z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1708z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static BgL_musicprocz00_bglt BGl_z62lambda1384z62zz__multimediazd2musicproczd2(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31736ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62lambda1564z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1565z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1727z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1728z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musicstatusz00zz__multimediazd2musiczd2;
static obj_t BGl_z62zc3z04anonymousza31745ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31656ze3ze5zz__multimediazd2musicproczd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_musicprocz00zz__multimediazd2musicproczd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31729ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62lambda1734z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1654z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1735z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1655z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1576z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1577z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda1743z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1744z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_z62musicproczd2loadzb0zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicproczd2loadpausedzb0zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt);
static obj_t BGl_z62lambda1674z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1675z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1756z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1757z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1596z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62lambda1597z62zz__multimediazd2musicproczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2prevzd2musicproc1196z62zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl__musicproczd2execzd2zz__multimediazd2musicproczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31691ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__multimediazd2musicproczd2(obj_t);
static obj_t __cnst[ 36 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2031z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1577za7622141z00, BGl_z62lambda1577z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2113z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2nextza72142za7, BGl_z62musiczd2nextzd2musicproc1194z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2032z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1576za7622143z00, BGl_z62lambda1576z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2120z00zz__multimediazd2musicproczd2, BgL_bgl_string2120za700za7za7_2144za7, "music-random-set!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2033z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2145za7, BGl_z62zc3z04anonymousza31598ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2115z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2prevza72146za7, BGl_z62musiczd2prevzd2musicproc1196z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2034z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1597za7622147z00, BGl_z62lambda1597z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_musicproczd2execzd2envz00zz__multimediazd2musicproczd2, BgL_bgl__musicprocza7d2exe2148za7, opt_generic_entry, BGl__musicproczd2execzd2zz__multimediazd2musicproczd2, BFALSE, -1 );
DEFINE_STRING( BGl_string2122z00zz__multimediazd2musicproczd2, BgL_bgl_string2122za700za7za7_2149za7, "music-repeat-set!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2035z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1596za7622150z00, BGl_z62lambda1596z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2cross2151z00, BGl_z62musiczd2crossfadezd2musi1198z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2036z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2152za7, BGl_z62zc3z04anonymousza31625ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2124z00zz__multimediazd2musicproczd2, BgL_bgl_string2124za700za7za7_2153za7, "music-song", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2037z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1624za7622154z00, BGl_z62lambda1624z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2119z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2rando2155z00, BGl_z62musiczd2randomzd2setz12zd2mu1200za2zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2038z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1623za7622156z00, BGl_z62lambda1623z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2126z00zz__multimediazd2musicproczd2, BgL_bgl_string2126za700za7za7_2157za7, "music-songpos", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2039z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2158za7, BGl_z62zc3z04anonymousza31656ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2128z00zz__multimediazd2musicproczd2, BgL_bgl_string2128za700za7za7_2159za7, "music-volume-get", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2121z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2repea2160z00, BGl_z62musiczd2repeatzd2setz12zd2mu1202za2zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2040z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1655za7622161z00, BGl_z62lambda1655z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2041z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1654za7622162z00, BGl_z62lambda1654z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2123z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2songza72163za7, BGl_z62musiczd2songzd2musicproc1204z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2042z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2164za7, BGl_z62zc3z04anonymousza31676ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2130z00zz__multimediazd2musicproczd2, BgL_bgl_string2130za700za7za7_2165za7, "music-volume-set!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2043z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1675za7622166z00, BGl_z62lambda1675z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2131z00zz__multimediazd2musicproczd2, BgL_bgl_string2131za700za7za7_2167za7, "quit", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2125z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2songp2168z00, BGl_z62musiczd2songposzd2musicp1206z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2044z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1674za7622169z00, BGl_z62lambda1674z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2132z00zz__multimediazd2musicproczd2, BgL_bgl_string2132za700za7za7_2170za7, "__multimedia-musicproc", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2045z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2171za7, BGl_z62zc3z04anonymousza31691ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2133z00zz__multimediazd2musicproczd2, BgL_bgl_string2133za700za7za7_2172za7, "|music-play ::musicproc| |music-seek ::musicproc| pause musicproc-start1161 musicproc-parse1211 ISO-LATIN-1 play condition-variable _ __multimedia-musicproc musicproc %inexec condvar %pcondv mutex %pmutex %user-state %command-seek-format %command-pause %command-load %command-loadpaused %command-stop %command-volume bool %quote-uri int %playid pair-nil %playlist obj %process symbol charset playlist stop playlist-load! ", 421 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2127z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2volum2173z00, BGl_z62musiczd2volumezd2getzd2mus1208zb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2046z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1690za7622174z00, BGl_z62lambda1690z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2047z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1689za7622175z00, BGl_z62lambda1689z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2129z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2volum2176z00, BGl_z62musiczd2volumezd2setz12zd2mu1210za2zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2048z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2177za7, BGl_z62zc3z04anonymousza31709ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2049z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1708za7622178z00, BGl_z62lambda1708z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2050z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1707za7622179z00, BGl_z62lambda1707z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2051z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2180za7, BGl_z62zc3z04anonymousza31729ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2052z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1728za7622181z00, BGl_z62lambda1728z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2053z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1727za7622182z00, BGl_z62lambda1727z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2054z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2183za7, BGl_z62zc3z04anonymousza31736ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2055z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1735za7622184z00, BGl_z62lambda1735z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2056z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1734za7622185z00, BGl_z62lambda1734z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2057z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2186za7, BGl_z62zc3z04anonymousza31745ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2058z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1744za7622187z00, BGl_z62lambda1744z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2059z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1743za7622188z00, BGl_z62lambda1743z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2060z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2189za7, BGl_z62zc3z04anonymousza31758ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2061z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1757za7622190z00, BGl_z62lambda1757z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2062z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1756za7622191z00, BGl_z62lambda1756z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2063z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2192za7, BGl_z62zc3z04anonymousza31773ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2064z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1772za7622193z00, BGl_z62lambda1772z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2065z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1771za7622194z00, BGl_z62lambda1771z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2066z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2195za7, BGl_z62zc3z04anonymousza31799ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2073z00zz__multimediazd2musicproczd2, BgL_bgl_string2073za700za7za7_2196za7, "musicproc-start1161", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2067z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1798za7622197z00, BGl_z62lambda1798z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2068z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1797za7622198z00, BGl_z62lambda1797z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2075z00zz__multimediazd2musicproczd2, BgL_bgl_string2075za700za7za7_2199za7, "musicproc-connect!1165", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2069z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2200za7, BGl_z62zc3z04anonymousza31415ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2077z00zz__multimediazd2musicproczd2, BgL_bgl_string2077za700za7za7_2201za7, "musicproc-loadpaused1181", 24 );
DEFINE_STRING( BGl_string2079z00zz__multimediazd2musicproczd2, BgL_bgl_string2079za700za7za7_2202za7, "musicproc-load1183", 18 );
extern obj_t BGl_musiczd2volumezd2getzd2envzd2zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2070z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1384za7622203z00, BGl_z62lambda1384z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2071z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1380za7622204z00, BGl_z62lambda1380z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2072z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2s2205z00, BGl_z62musicproczd2start1161zb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2074z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2c2206z00, BGl_z62musicproczd2connectz121165za2zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2081z00zz__multimediazd2musicproczd2, BgL_bgl_string2081za700za7za7_2207za7, "musicproc-parse1211", 19 );
DEFINE_STRING( BGl_string2082z00zz__multimediazd2musicproczd2, BgL_bgl_string2082za700za7za7_2208za7, "No method for this object", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2076z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2l2209z00, BGl_z62musicproczd2loadpaused1181zb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2083z00zz__multimediazd2musicproczd2, BgL_bgl_string2083za700za7za7_2210za7, "\"", 1 );
DEFINE_STRING( BGl_string2084z00zz__multimediazd2musicproczd2, BgL_bgl_string2084za700za7za7_2211za7, "&musicproc-start", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2078z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2l2212z00, BGl_z62musicproczd2load1183zb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2085z00zz__multimediazd2musicproczd2, BgL_bgl_string2085za700za7za7_2213za7, "&musicproc-connect!", 19 );
DEFINE_STRING( BGl_string2086z00zz__multimediazd2musicproczd2, BgL_bgl_string2086za700za7za7_2214za7, "&musicproc-loadpaused", 21 );
DEFINE_STRING( BGl_string2087z00zz__multimediazd2musicproczd2, BgL_bgl_string2087za700za7za7_2215za7, "&musicproc-load", 15 );
DEFINE_STRING( BGl_string2088z00zz__multimediazd2musicproczd2, BgL_bgl_string2088za700za7za7_2216za7, "&musicproc-parse", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2080z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2p2217z00, BGl_z62musicproczd2parse1211zb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2090z00zz__multimediazd2musicproczd2, BgL_bgl_string2090za700za7za7_2218za7, "music-status", 12 );
extern obj_t BGl_musiczd2playlistzd2getzd2envzd2zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string2092z00zz__multimediazd2musicproczd2, BgL_bgl_string2092za700za7za7_2219za7, "music-close", 11 );
DEFINE_STRING( BGl_string2094z00zz__multimediazd2musicproczd2, BgL_bgl_string2094za700za7za7_2220za7, "music-closed?", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2089z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2statu2221z00, BGl_z62musiczd2statuszd2musicpr1164z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2096z00zz__multimediazd2musicproczd2, BgL_bgl_string2096za700za7za7_2222za7, "music-reset!", 12 );
DEFINE_STRING( BGl_string2098z00zz__multimediazd2musicproczd2, BgL_bgl_string2098za700za7za7_2223za7, "music-playlist-get", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2091z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2close2224z00, BGl_z62musiczd2closezd2musicpro1168z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2093z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2close2225z00, BGl_z62musiczd2closedzf3zd2musicp1170z91zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2095z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2reset2226z00, BGl_z62musiczd2resetz12zd2musicpr1172z70zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2097z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2playl2227z00, BGl_z62musiczd2playlistzd2getzd2m1174zb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2099z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2playl2228z00, BGl_z62musiczd2playlistzd2addz12zd21176za2zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_musicproczd2startzd2envz00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2s2229z00, BGl_z62musicproczd2startzb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_musiczd2repeatzd2setz12zd2envzc0zz__multimediazd2musiczd2;
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_GENERIC( BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2l2230z00, BGl_z62musicproczd2loadzb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_musiczd2resetz12zd2envz12zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2songposzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2songzd2envz00zz__multimediazd2musiczd2;
DEFINE_EXPORT_BGL_GENERIC( BGl_musicproczd2loadpausedzd2envz00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2l2231z00, BGl_z62musicproczd2loadpausedzb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_musicproczd2connectz12zd2envz12zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2c2232z00, BGl_z62musicproczd2connectz12za2zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_musiczd2playlistzd2clearz12zd2envzc0zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playlistzd2deletez12zd2envzc0zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2seekzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2nextzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2stopzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2volumezd2setz12zd2envzc0zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2crossfadezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2statuszd2envz00zz__multimediazd2musiczd2;
DEFINE_EXPORT_BGL_GENERIC( BGl_musicproczd2parsezd2envz00zz__multimediazd2musicproczd2, BgL_bgl_za762musicprocza7d2p2233z00, BGl_z62musicproczd2parsezb0zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_musiczd2prevzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2pausezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string2018z00zz__multimediazd2musicproczd2, BgL_bgl_string2018za700za7za7_2234za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/multimedia/src/Llib/musicproc.scm", 73 );
DEFINE_STRING( BGl_string2019z00zz__multimediazd2musicproczd2, BgL_bgl_string2019za700za7za7_2235za7, "_musicproc-exec", 15 );
DEFINE_STRING( BGl_string2100z00zz__multimediazd2musicproczd2, BgL_bgl_string2100za700za7za7_2236za7, "music-playlist-add!", 19 );
DEFINE_STRING( BGl_string2020z00zz__multimediazd2musicproczd2, BgL_bgl_string2020za700za7za7_2237za7, "musicproc", 9 );
DEFINE_STRING( BGl_string2102z00zz__multimediazd2musicproczd2, BgL_bgl_string2102za700za7za7_2238za7, "music-playlist-delete!", 22 );
DEFINE_STRING( BGl_string2021z00zz__multimediazd2musicproczd2, BgL_bgl_string2021za700za7za7_2239za7, "bstring", 7 );
DEFINE_STRING( BGl_string2022z00zz__multimediazd2musicproczd2, BgL_bgl_string2022za700za7za7_2240za7, " ", 1 );
DEFINE_STRING( BGl_string2104z00zz__multimediazd2musicproczd2, BgL_bgl_string2104za700za7za7_2241za7, "music-playlist-clear!", 21 );
DEFINE_STRING( BGl_string2023z00zz__multimediazd2musicproczd2, BgL_bgl_string2023za700za7za7_2242za7, "No such song: ~a", 16 );
DEFINE_STRING( BGl_string2106z00zz__multimediazd2musicproczd2, BgL_bgl_string2106za700za7za7_2243za7, "music-play", 10 );
DEFINE_STRING( BGl_string2108z00zz__multimediazd2musicproczd2, BgL_bgl_string2108za700za7za7_2244za7, "music-seek", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2101z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2playl2245z00, BGl_z62musiczd2playlistzd2delet1178z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2103z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2playl2246z00, BGl_z62musiczd2playlistzd2clear1180z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2110z00zz__multimediazd2musicproczd2, BgL_bgl_string2110za700za7za7_2247za7, "music-stop", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2105z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2playza72248za7, va_generic_entry, BGl_z62musiczd2playzd2musicproc1186z62zz__multimediazd2musicproczd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2024z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2249za7, BGl_z62zc3z04anonymousza31539ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2112z00zz__multimediazd2musicproczd2, BgL_bgl_string2112za700za7za7_2250za7, "music-pause", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2025z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1538za7622251z00, BGl_z62lambda1538z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2107z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2seekza72252za7, va_generic_entry, BGl_z62musiczd2seekzd2musicproc1188z62zz__multimediazd2musicproczd2, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2026z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1537za7622253z00, BGl_z62lambda1537z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2114z00zz__multimediazd2musicproczd2, BgL_bgl_string2114za700za7za7_2254za7, "music-next", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2027z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2255za7, BGl_z62zc3z04anonymousza31566ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );
extern obj_t BGl_musiczd2randomzd2setz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2109z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2stopza72256za7, BGl_z62musiczd2stopzd2musicproc1190z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2028z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1565za7622257z00, BGl_z62lambda1565z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2116z00zz__multimediazd2musicproczd2, BgL_bgl_string2116za700za7za7_2258za7, "music-prev", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2029z00zz__multimediazd2musicproczd2, BgL_bgl_za762lambda1564za7622259z00, BGl_z62lambda1564z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2118z00zz__multimediazd2musicproczd2, BgL_bgl_string2118za700za7za7_2260za7, "music-crossfade", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2111z00zz__multimediazd2musicproczd2, BgL_bgl_za762musicza7d2pause2261z00, BGl_z62musiczd2pausezd2musicpro1192z62zz__multimediazd2musicproczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2030z00zz__multimediazd2musicproczd2, BgL_bgl_za762za7c3za704anonymo2262za7, BGl_z62zc3z04anonymousza31578ze3ze5zz__multimediazd2musicproczd2, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2musicproczd2) );
ADD_ROOT( (void *)(&BGl_musicprocz00zz__multimediazd2musicproczd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicproczd2(long BgL_checksumz00_1781, char * BgL_fromz00_1782)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2musicproczd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2musicproczd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2musicproczd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2musicproczd2(); 
BGl_cnstzd2initzd2zz__multimediazd2musicproczd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2musicproczd2(); 
BGl_objectzd2initzd2zz__multimediazd2musicproczd2(); 
BGl_genericzd2initzd2zz__multimediazd2musicproczd2(); 
BGl_methodzd2initzd2zz__multimediazd2musicproczd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2musicproczd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__processz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-musicproc"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__multimedia-musicproc"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
{ /* Llib/musicproc.scm 15 */
 obj_t BgL_cportz00_1427;
{ /* Llib/musicproc.scm 15 */
 obj_t BgL_stringz00_1435;
BgL_stringz00_1435 = BGl_string2133z00zz__multimediazd2musicproczd2; 
{ /* Llib/musicproc.scm 15 */
 obj_t BgL_startz00_1436;
BgL_startz00_1436 = 
BINT(((long)0)); 
{ /* Llib/musicproc.scm 15 */
 obj_t BgL_endz00_1437;
BgL_endz00_1437 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1435))); 
{ /* Llib/musicproc.scm 15 */

BgL_cportz00_1427 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1435, BgL_startz00_1436, BgL_endz00_1437); } } } } 
{ 
 long BgL_iz00_1428;
BgL_iz00_1428 = ((long)35); 
BgL_loopz00_1429:
if(
(BgL_iz00_1428==((long)-1)))
{ /* Llib/musicproc.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/musicproc.scm 15 */
{ /* Llib/musicproc.scm 15 */
 obj_t BgL_arg2135z00_1431;
{ /* Llib/musicproc.scm 15 */

{ /* Llib/musicproc.scm 15 */
 obj_t BgL_locationz00_1433;
BgL_locationz00_1433 = 
BBOOL(((bool_t)0)); 
{ /* Llib/musicproc.scm 15 */

BgL_arg2135z00_1431 = 
BGl_readz00zz__readerz00(BgL_cportz00_1427, BgL_locationz00_1433); } } } 
{ /* Llib/musicproc.scm 15 */
 int BgL_tmpz00_1820;
BgL_tmpz00_1820 = 
(int)(BgL_iz00_1428); 
CNST_TABLE_SET(BgL_tmpz00_1820, BgL_arg2135z00_1431); } } 
{ /* Llib/musicproc.scm 15 */
 int BgL_auxz00_1434;
BgL_auxz00_1434 = 
(int)(
(BgL_iz00_1428-((long)1))); 
{ 
 long BgL_iz00_1825;
BgL_iz00_1825 = 
(long)(BgL_auxz00_1434); 
BgL_iz00_1428 = BgL_iz00_1825; 
goto BgL_loopz00_1429;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
return BUNSPEC;} 

}



/* _musicproc-exec */
obj_t BGl__musicproczd2execzd2zz__multimediazd2musicproczd2(obj_t BgL_env1155z00_8, obj_t BgL_opt1154z00_7)
{
{ /* Llib/musicproc.scm 47 */
{ /* Llib/musicproc.scm 47 */
 obj_t BgL_g1156z00_59; obj_t BgL_g1157z00_60; obj_t BgL_g1158z00_61;
BgL_g1156z00_59 = 
VECTOR_REF(BgL_opt1154z00_7,((long)0)); 
BgL_g1157z00_60 = 
VECTOR_REF(BgL_opt1154z00_7,((long)1)); 
BgL_g1158z00_61 = 
VECTOR_REF(BgL_opt1154z00_7,((long)2)); 
switch( 
VECTOR_LENGTH(BgL_opt1154z00_7)) { case ((long)3) : 

{ /* Llib/musicproc.scm 47 */

{ /* Llib/musicproc.scm 47 */
 obj_t BgL_auxz00_1839; BgL_musicprocz00_bglt BgL_auxz00_1831;
if(
STRINGP(BgL_g1158z00_61))
{ /* Llib/musicproc.scm 47 */
BgL_auxz00_1839 = BgL_g1158z00_61
; }  else 
{ 
 obj_t BgL_auxz00_1843;
BgL_auxz00_1843 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)2309)), BGl_string2019z00zz__multimediazd2musicproczd2, BGl_string2021z00zz__multimediazd2musicproczd2, BgL_g1158z00_61); 
FAILURE(BgL_auxz00_1843,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_g1156z00_59, BGl_musicprocz00zz__multimediazd2musicproczd2))
{ /* Llib/musicproc.scm 47 */
BgL_auxz00_1831 = 
((BgL_musicprocz00_bglt)BgL_g1156z00_59)
; }  else 
{ 
 obj_t BgL_auxz00_1835;
BgL_auxz00_1835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)2309)), BGl_string2019z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_g1156z00_59); 
FAILURE(BgL_auxz00_1835,BFALSE,BFALSE);} 
return 
BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(BgL_auxz00_1831, 
CBOOL(BgL_g1157z00_60), BgL_auxz00_1839, BFALSE);} } break;case ((long)4) : 

{ /* Llib/musicproc.scm 47 */
 obj_t BgL_argz00_66;
BgL_argz00_66 = 
VECTOR_REF(BgL_opt1154z00_7,((long)3)); 
{ /* Llib/musicproc.scm 47 */

{ /* Llib/musicproc.scm 47 */
 obj_t BgL_auxz00_1857; BgL_musicprocz00_bglt BgL_auxz00_1849;
if(
STRINGP(BgL_g1158z00_61))
{ /* Llib/musicproc.scm 47 */
BgL_auxz00_1857 = BgL_g1158z00_61
; }  else 
{ 
 obj_t BgL_auxz00_1861;
BgL_auxz00_1861 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)2309)), BGl_string2019z00zz__multimediazd2musicproczd2, BGl_string2021z00zz__multimediazd2musicproczd2, BgL_g1158z00_61); 
FAILURE(BgL_auxz00_1861,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_g1156z00_59, BGl_musicprocz00zz__multimediazd2musicproczd2))
{ /* Llib/musicproc.scm 47 */
BgL_auxz00_1849 = 
((BgL_musicprocz00_bglt)BgL_g1156z00_59)
; }  else 
{ 
 obj_t BgL_auxz00_1853;
BgL_auxz00_1853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)2309)), BGl_string2019z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_g1156z00_59); 
FAILURE(BgL_auxz00_1853,BFALSE,BFALSE);} 
return 
BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(BgL_auxz00_1849, 
CBOOL(BgL_g1157z00_60), BgL_auxz00_1857, BgL_argz00_66);} } } break;
default: 
return BUNSPEC;} } } 

}



/* musicproc-exec */
BGL_EXPORTED_DEF obj_t BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_3, bool_t BgL_waitz00_4, obj_t BgL_commandz00_5, obj_t BgL_argz00_6)
{
{ /* Llib/musicproc.scm 47 */
{ 

if(BgL_waitz00_4)
{ /* Llib/musicproc.scm 69 */
 bool_t BgL_test2270z00_1869;
{ /* Llib/musicproc.scm 69 */
 obj_t BgL_mutex1220z00_84;
BgL_mutex1220z00_84 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52pmutexz52); 
{ /* Llib/musicproc.scm 69 */
 obj_t BgL_top2272z00_1872;
BgL_top2272z00_1872 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1220z00_84); 
BGL_EXITD_PUSH_PROTECT(BgL_top2272z00_1872, BgL_mutex1220z00_84); BUNSPEC; 
{ /* Llib/musicproc.scm 69 */
 bool_t BgL_tmp2271z00_1871;
if(
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52inexecz52))
{ /* Llib/musicproc.scm 70 */
BGl_execze70ze7zz__multimediazd2musicproczd2(BgL_argz00_6, BgL_commandz00_5, BgL_oz00_3); 
{ 

BgL_zc3z04anonymousza31229ze3z87_87:
if(
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52inexecz52))
{ /* Llib/musicproc.scm 74 */
{ /* Llib/musicproc.scm 75 */
 obj_t BgL_arg1230z00_89; obj_t BgL_arg1231z00_90;
BgL_arg1230z00_89 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52pcondvz52); 
BgL_arg1231z00_90 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52pmutexz52); 
{ /* Llib/musicproc.scm 75 */

BGL_CONDVAR_WAIT(BgL_arg1230z00_89, BgL_arg1231z00_90); } } 
goto BgL_zc3z04anonymousza31229ze3z87_87;}  else 
{ /* Llib/musicproc.scm 74 */((bool_t)0); } } 
BgL_tmp2271z00_1871 = ((bool_t)1); }  else 
{ /* Llib/musicproc.scm 70 */
((((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52inexecz52)=((bool_t)((bool_t)1)),BUNSPEC); 
BGl_execze70ze7zz__multimediazd2musicproczd2(BgL_argz00_6, BgL_commandz00_5, BgL_oz00_3); 
BgL_tmp2271z00_1871 = ((bool_t)0); } 
BGL_EXITD_POP_PROTECT(BgL_top2272z00_1872); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1220z00_84); 
BgL_test2270z00_1869 = BgL_tmp2271z00_1871; } } } 
if(BgL_test2270z00_1869)
{ /* Llib/musicproc.scm 69 */
return BFALSE;}  else 
{ /* Llib/musicproc.scm 69 */
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_env1083z00_110;
BgL_env1083z00_110 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_cell1078z00_111;
BgL_cell1078z00_111 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_val1082z00_112;
BgL_val1082z00_112 = 
BGl_zc3z04exitza31263ze3ze70z60zz__multimediazd2musicproczd2(BgL_oz00_3, BgL_cell1078z00_111, BgL_env1083z00_110); 
if(
(BgL_val1082z00_112==BgL_cell1078z00_111))
{ /* Llib/musicproc.scm 61 */
{ /* Llib/musicproc.scm 61 */
 int BgL_tmpz00_1893;
BgL_tmpz00_1893 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_1893); } 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_arg1262z00_114;
BgL_arg1262z00_114 = 
CELL_REF(
((obj_t)BgL_val1082z00_112)); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_arg1262z00_114); } }  else 
{ /* Llib/musicproc.scm 61 */BgL_val1082z00_112; } } } } 
{ /* Llib/musicproc.scm 83 */
 obj_t BgL_mutex1227z00_82;
BgL_mutex1227z00_82 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52pmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1227z00_82); 
{ /* Llib/musicproc.scm 83 */
 obj_t BgL_tmp2276z00_1900;
((((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52inexecz52)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/musicproc.scm 85 */
 obj_t BgL_arg1228z00_83;
BgL_arg1228z00_83 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_3))->BgL_z52pcondvz52); 
BgL_tmp2276z00_1900 = 
BBOOL(
BGL_CONDVAR_BROADCAST(BgL_arg1228z00_83)); } 
BGL_MUTEX_UNLOCK(BgL_mutex1227z00_82); 
return BgL_tmp2276z00_1900;} } } }  else 
{ /* Llib/musicproc.scm 67 */
return 
BGl_execze70ze7zz__multimediazd2musicproczd2(BgL_argz00_6, BgL_commandz00_5, BgL_oz00_3);} } } 

}



/* <@exit:1263>~0 */
obj_t BGl_zc3z04exitza31263ze3ze70z60zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_1388, obj_t BgL_cell1078z00_1387, obj_t BgL_env1083z00_1386)
{
{ /* Llib/musicproc.scm 61 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1087z00_116;
if( SET_EXIT(BgL_an_exit1087z00_116 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1087z00_116 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1083z00_1386, BgL_an_exit1087z00_116, ((long)1)); 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_escape1079z00_117;
BgL_escape1079z00_117 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1083z00_1386); 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_res1090z00_118;
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_ohs1075z00_119;
BgL_ohs1075z00_119 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1083z00_1386); 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_hds1076z00_120;
BgL_hds1076z00_120 = 
MAKE_STACK_PAIR(BgL_escape1079z00_117, BgL_cell1078z00_1387); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1083z00_1386, BgL_hds1076z00_120); BUNSPEC; 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_exitd1084z00_121;
BgL_exitd1084z00_121 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1083z00_1386); 
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_tmp1086z00_122;
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_arg1264z00_124;
BgL_arg1264z00_124 = 
BGL_EXITD_PROTECT(BgL_exitd1084z00_121); 
BgL_tmp1086z00_122 = 
MAKE_YOUNG_PAIR(BgL_ohs1075z00_119, BgL_arg1264z00_124); } 
{ /* Llib/musicproc.scm 61 */

BGL_EXITD_PROTECT_SET(BgL_exitd1084z00_121, BgL_tmp1086z00_122); BUNSPEC; 
{ /* Llib/musicproc.scm 64 */
 obj_t BgL_tmp1085z00_123;
BgL_tmp1085z00_123 = 
BGl_musicproczd2parsezd2zz__multimediazd2musicproczd2(BgL_oz00_1388); 
{ /* Llib/musicproc.scm 61 */
 bool_t BgL_test2277z00_1920;
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_arg1817z00_757;
BgL_arg1817z00_757 = 
BGL_EXITD_PROTECT(BgL_exitd1084z00_121); 
BgL_test2277z00_1920 = 
PAIRP(BgL_arg1817z00_757); } 
if(BgL_test2277z00_1920)
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_arg1815z00_758;
{ /* Llib/musicproc.scm 61 */
 obj_t BgL_arg1816z00_759;
BgL_arg1816z00_759 = 
BGL_EXITD_PROTECT(BgL_exitd1084z00_121); 
BgL_arg1815z00_758 = 
CDR(
((obj_t)BgL_arg1816z00_759)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1084z00_121, BgL_arg1815z00_758); BUNSPEC; }  else 
{ /* Llib/musicproc.scm 61 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1083z00_1386, BgL_ohs1075z00_119); BUNSPEC; 
BgL_res1090z00_118 = BgL_tmp1085z00_123; } } } } } } 
POP_ENV_EXIT(BgL_env1083z00_1386); 
return BgL_res1090z00_118;} } 
}} 

}



/* exec~0 */
obj_t BGl_execze70ze7zz__multimediazd2musicproczd2(obj_t BgL_argz00_1390, obj_t BgL_commandz00_1389, BgL_musicprocz00_bglt BgL_oz00_95)
{
{ /* Llib/musicproc.scm 58 */
{ /* Llib/musicproc.scm 51 */
 bool_t BgL_test2278z00_1929;
{ /* Llib/musicproc.scm 51 */
 bool_t BgL_test2279z00_1930;
{ /* Llib/musicproc.scm 51 */
 obj_t BgL_tmpz00_1931;
BgL_tmpz00_1931 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_95))->BgL_z52processz52); 
BgL_test2279z00_1930 = 
PROCESSP(BgL_tmpz00_1931); } 
if(BgL_test2279z00_1930)
{ /* Llib/musicproc.scm 51 */
 obj_t BgL_arg1250z00_106;
BgL_arg1250z00_106 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_95))->BgL_z52processz52); 
BgL_test2278z00_1929 = 
c_process_alivep(
((obj_t)BgL_arg1250z00_106)); }  else 
{ /* Llib/musicproc.scm 51 */
BgL_test2278z00_1929 = ((bool_t)0)
; } } 
if(BgL_test2278z00_1929)
{ /* Llib/musicproc.scm 52 */
 obj_t BgL_pz00_103;
{ /* Llib/musicproc.scm 52 */
 obj_t BgL_arg1242z00_104;
BgL_arg1242z00_104 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_95))->BgL_z52processz52); 
BgL_pz00_103 = 
PROCESS_INPUT_PORT(
((obj_t)BgL_arg1242z00_104)); } 
bgl_display_obj(BgL_commandz00_1389, BgL_pz00_103); 
if(
CBOOL(BgL_argz00_1390))
{ /* Llib/musicproc.scm 54 */
{ /* Llib/musicproc.scm 55 */
 obj_t BgL_tmpz00_1943;
BgL_tmpz00_1943 = 
((obj_t)BgL_pz00_103); 
bgl_display_string(BGl_string2022z00zz__multimediazd2musicproczd2, BgL_tmpz00_1943); } 
bgl_display_obj(BgL_argz00_1390, BgL_pz00_103); }  else 
{ /* Llib/musicproc.scm 54 */BFALSE; } 
{ /* Llib/musicproc.scm 57 */
 obj_t BgL_tmpz00_1947;
BgL_tmpz00_1947 = 
((obj_t)BgL_pz00_103); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_1947); } 
{ /* Llib/musicproc.scm 58 */
 obj_t BgL_tmpz00_1950;
BgL_tmpz00_1950 = 
((obj_t)BgL_pz00_103); 
return 
bgl_flush_output_port(BgL_tmpz00_1950);} }  else 
{ /* Llib/musicproc.scm 51 */
return BFALSE;} } } 

}



/* playlist-load-inner! */
obj_t BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_25, obj_t BgL_iz00_26, obj_t BgL_proccmdz00_27)
{
{ /* Llib/musicproc.scm 202 */
{ /* Llib/musicproc.scm 204 */
 BgL_musicstatusz00_bglt BgL_i1107z00_131;
BgL_i1107z00_131 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_oz00_25)))->BgL_z52statusz52); 
{ /* Llib/musicproc.scm 205 */
 bool_t BgL_test2281z00_1955;
if(
(
(long)CINT(BgL_iz00_26)<((long)0)))
{ /* Llib/musicproc.scm 205 */
BgL_test2281z00_1955 = ((bool_t)1)
; }  else 
{ /* Llib/musicproc.scm 205 */
BgL_test2281z00_1955 = 
(
(long)CINT(BgL_iz00_26)>=
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_playlistlengthz00)))
; } 
if(BgL_test2281z00_1955)
{ /* Llib/musicproc.scm 207 */
 BgL_z62iozd2errorzb0_bglt BgL_arg1279z00_135;
{ /* Llib/musicproc.scm 207 */
 BgL_z62iozd2errorzb0_bglt BgL_new1109z00_136;
{ /* Llib/musicproc.scm 207 */
 BgL_z62iozd2errorzb0_bglt BgL_new1108z00_140;
BgL_new1108z00_140 = 
((BgL_z62iozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2errorzb0_bgl) ))); 
{ /* Llib/musicproc.scm 207 */
 long BgL_arg1287z00_141;
BgL_arg1287z00_141 = 
BGL_CLASS_NUM(BGl_z62iozd2errorzb0zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_140), BgL_arg1287z00_141); } 
BgL_new1109z00_136 = BgL_new1108z00_140; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_136)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_136)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1971;
{ /* Llib/musicproc.scm 207 */
 obj_t BgL_arg1283z00_137;
{ /* Llib/musicproc.scm 207 */
 obj_t BgL_arg1285z00_138;
{ /* Llib/musicproc.scm 207 */
 obj_t BgL_classz00_774;
BgL_classz00_774 = BGl_z62iozd2errorzb0zz__objectz00; 
BgL_arg1285z00_138 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_774); } 
BgL_arg1283z00_137 = 
VECTOR_REF(BgL_arg1285z00_138,((long)2)); } 
BgL_auxz00_1971 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1283z00_137); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_136)))->BgL_stackz00)=((obj_t)BgL_auxz00_1971),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1109z00_136)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1980;
{ /* Llib/musicproc.scm 209 */
 obj_t BgL_list1286z00_139;
BgL_list1286z00_139 = 
MAKE_YOUNG_PAIR(BgL_iz00_26, BNIL); 
BgL_auxz00_1980 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2023z00zz__multimediazd2musicproczd2, BgL_list1286z00_139); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1109z00_136)))->BgL_msgz00)=((obj_t)BgL_auxz00_1980),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1109z00_136)))->BgL_objz00)=((obj_t)
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_25))->BgL_z52playlistz52)),BUNSPEC); 
BgL_arg1279z00_135 = BgL_new1109z00_136; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1279z00_135));}  else 
{ /* Llib/musicproc.scm 211 */
 obj_t BgL_playlistz00_142; long BgL_playidz00_143;
BgL_playlistz00_142 = 
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_25))->BgL_z52playlistz52); 
BgL_playidz00_143 = 
(((long)1)+
(long)(
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_25))->BgL_z52playidz52))); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_25))->BgL_z52playidz52)=((int)
(int)(BgL_playidz00_143)),BUNSPEC); 
{ 
 obj_t BgL_iz00_146; obj_t BgL_pidz00_147;
{ /* Llib/musicproc.scm 214 */
 int BgL_arg1288z00_145;
BgL_arg1288z00_145 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_playlistidz00); 
{ /* Llib/musicproc.scm 214 */
 bool_t BgL_tmpz00_1997;
BgL_iz00_146 = BgL_iz00_26; 
BgL_pidz00_147 = 
BINT(BgL_arg1288z00_145); 
BgL_zc3z04anonymousza31289ze3z87_148:
if(
(
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_25))->BgL_z52userzd2statez80)==
CNST_TABLE_REF(((long)1))))
{ /* Llib/musicproc.scm 216 */
BgL_tmpz00_1997 = ((bool_t)0)
; }  else 
{ /* Llib/musicproc.scm 216 */
if(
(
(long)CINT(BgL_iz00_146)<
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_playlistlengthz00))))
{ /* Llib/musicproc.scm 218 */
 obj_t BgL_mz00_153;
BgL_mz00_153 = 
bgl_list_ref(BgL_playlistz00_142, 
(long)CINT(BgL_iz00_146)); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_songz00)=((int)
CINT(BgL_iz00_146)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_songidz00)=((int)
CINT(BgL_iz00_146)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_songposz00)=((obj_t)
BINT(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_131))->BgL_songlengthz00)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/musicproc.scm 223 */
 obj_t BgL_arg1338z00_154;
BgL_arg1338z00_154 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_oz00_25)))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 223 */
 int BgL_arg1675z00_780;
BgL_arg1675z00_780 = 
BGL_MUTEX_UNLOCK(BgL_arg1338z00_154); 
(
(long)(BgL_arg1675z00_780)==((long)0)); } } 
if(
CBOOL(BgL_pidz00_147))
{ /* Llib/musicproc.scm 224 */
 obj_t BgL_fun1339z00_155;
BgL_fun1339z00_155 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_oz00_25)))->BgL_oneventz00); 
PROCEDURE_ENTRY(BgL_fun1339z00_155)(BgL_fun1339z00_155, 
((obj_t)BgL_oz00_25), 
CNST_TABLE_REF(((long)2)), BgL_pidz00_147, BEOA); }  else 
{ /* Llib/musicproc.scm 224 */BFALSE; } 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_env1118z00_157;
BgL_env1118z00_157 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_cell1113z00_158;
BgL_cell1113z00_158 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_val1117z00_159;
BgL_val1117z00_159 = 
BGl_zc3z04exitza31344ze3ze70z60zz__multimediazd2musicproczd2(BgL_oz00_25, BgL_proccmdz00_27, BgL_mz00_153, BgL_oz00_25, BgL_cell1113z00_158, BgL_env1118z00_157); 
if(
(BgL_val1117z00_159==BgL_cell1113z00_158))
{ /* Llib/musicproc.scm 225 */
{ /* Llib/musicproc.scm 225 */
 int BgL_tmpz00_2039;
BgL_tmpz00_2039 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_2039); } 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_arg1343z00_161;
BgL_arg1343z00_161 = 
CELL_REF(
((obj_t)BgL_val1117z00_159)); BFALSE; } }  else 
{ /* Llib/musicproc.scm 225 */BgL_val1117z00_159; } } } } 
{ /* Llib/musicproc.scm 228 */
 obj_t BgL_arg1354z00_177;
BgL_arg1354z00_177 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_oz00_25)))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 228 */

{ /* Llib/musicproc.scm 228 */
 int BgL_arg1680z00_791;
BgL_arg1680z00_791 = 
BGL_MUTEX_LOCK(BgL_arg1354z00_177); 
(
(long)(BgL_arg1680z00_791)==((long)0)); } } } 
if(
(
(long)(
(((BgL_musicprocz00_bglt)COBJECT(BgL_oz00_25))->BgL_z52playidz52))==BgL_playidz00_143))
{ /* Llib/musicproc.scm 230 */
 long BgL_arg1357z00_182;
BgL_arg1357z00_182 = 
(
(long)CINT(BgL_iz00_146)+((long)1)); 
{ 
 obj_t BgL_pidz00_2057; obj_t BgL_iz00_2055;
BgL_iz00_2055 = 
BINT(BgL_arg1357z00_182); 
BgL_pidz00_2057 = BFALSE; 
BgL_pidz00_147 = BgL_pidz00_2057; 
BgL_iz00_146 = BgL_iz00_2055; 
goto BgL_zc3z04anonymousza31289ze3z87_148;} }  else 
{ /* Llib/musicproc.scm 229 */
BgL_tmpz00_1997 = ((bool_t)0)
; } }  else 
{ /* Llib/musicproc.scm 217 */
BgL_tmpz00_1997 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_1997);} } } } } } } 

}



/* <@exit:1344>~0 */
obj_t BGl_zc3z04exitza31344ze3ze70z60zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_1385, obj_t BgL_proccmdz00_1384, obj_t BgL_mz00_1383, BgL_musicprocz00_bglt BgL_i1106z00_1382, obj_t BgL_cell1113z00_1381, obj_t BgL_env1118z00_1380)
{
{ /* Llib/musicproc.scm 225 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1122z00_163;
if( SET_EXIT(BgL_an_exit1122z00_163 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1122z00_163 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1118z00_1380, BgL_an_exit1122z00_163, ((long)1)); 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_escape1114z00_164;
BgL_escape1114z00_164 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1118z00_1380); 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_res1125z00_165;
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_ohs1110z00_166;
BgL_ohs1110z00_166 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1118z00_1380); 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_hds1111z00_167;
BgL_hds1111z00_167 = 
MAKE_STACK_PAIR(BgL_escape1114z00_164, BgL_cell1113z00_1381); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1118z00_1380, BgL_hds1111z00_167); BUNSPEC; 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_exitd1119z00_168;
BgL_exitd1119z00_168 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1118z00_1380); 
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_tmp1121z00_169;
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_arg1349z00_173;
BgL_arg1349z00_173 = 
BGL_EXITD_PROTECT(BgL_exitd1119z00_168); 
BgL_tmp1121z00_169 = 
MAKE_YOUNG_PAIR(BgL_ohs1110z00_166, BgL_arg1349z00_173); } 
{ /* Llib/musicproc.scm 225 */

BGL_EXITD_PROTECT_SET(BgL_exitd1119z00_168, BgL_tmp1121z00_169); BUNSPEC; 
{ /* Llib/musicproc.scm 227 */
 obj_t BgL_tmp1120z00_170;
{ /* Llib/musicproc.scm 227 */
 obj_t BgL_arg1345z00_171;
BgL_arg1345z00_171 = 
BGl_musiczd2charsetzd2convertz00zz__multimediazd2musiczd2(BgL_mz00_1383, 
(((BgL_musicprocz00_bglt)COBJECT(BgL_i1106z00_1382))->BgL_charsetz00)); 
BgL_tmp1120z00_170 = 
PROCEDURE_ENTRY(BgL_proccmdz00_1384)(BgL_proccmdz00_1384, 
((obj_t)BgL_oz00_1385), BgL_arg1345z00_171, BEOA); } 
{ /* Llib/musicproc.scm 225 */
 bool_t BgL_test2288z00_2079;
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_arg1817z00_783;
BgL_arg1817z00_783 = 
BGL_EXITD_PROTECT(BgL_exitd1119z00_168); 
BgL_test2288z00_2079 = 
PAIRP(BgL_arg1817z00_783); } 
if(BgL_test2288z00_2079)
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_arg1815z00_784;
{ /* Llib/musicproc.scm 225 */
 obj_t BgL_arg1816z00_785;
BgL_arg1816z00_785 = 
BGL_EXITD_PROTECT(BgL_exitd1119z00_168); 
BgL_arg1815z00_784 = 
CDR(
((obj_t)BgL_arg1816z00_785)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1119z00_168, BgL_arg1815z00_784); BUNSPEC; }  else 
{ /* Llib/musicproc.scm 225 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1118z00_1380, BgL_ohs1110z00_166); BUNSPEC; 
BgL_res1125z00_165 = BgL_tmp1120z00_170; } } } } } } 
POP_ENV_EXIT(BgL_env1118z00_1380); 
return BgL_res1125z00_165;} } 
}} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1378z00_199; obj_t BgL_arg1379z00_200;
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_v1152z00_232;
BgL_v1152z00_232 = 
create_vector(((long)15)); 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1455z00_233;
BgL_arg1455z00_233 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2026z00zz__multimediazd2musicproczd2, BGl_proc2025z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2024z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1152z00_232,((long)0),BgL_arg1455z00_233); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1541z00_246;
BgL_arg1541z00_246 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2029z00zz__multimediazd2musicproczd2, BGl_proc2028z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2027z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)1),BgL_arg1541z00_246); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1572z00_259;
BgL_arg1572z00_259 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2032z00zz__multimediazd2musicproczd2, BGl_proc2031z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2030z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1152z00_232,((long)2),BgL_arg1572z00_259); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1590z00_272;
BgL_arg1590z00_272 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2035z00zz__multimediazd2musicproczd2, BGl_proc2034z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2033z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1152z00_232,((long)3),BgL_arg1590z00_272); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1609z00_285;
BgL_arg1609z00_285 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2038z00zz__multimediazd2musicproczd2, BGl_proc2037z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2036z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1152z00_232,((long)4),BgL_arg1609z00_285); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1642z00_298;
BgL_arg1642z00_298 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2041z00zz__multimediazd2musicproczd2, BGl_proc2040z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2039z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)5),BgL_arg1642z00_298); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1657z00_311;
BgL_arg1657z00_311 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2044z00zz__multimediazd2musicproczd2, BGl_proc2043z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2042z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)6),BgL_arg1657z00_311); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1677z00_324;
BgL_arg1677z00_324 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2047z00zz__multimediazd2musicproczd2, BGl_proc2046z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2045z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)7),BgL_arg1677z00_324); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1692z00_337;
BgL_arg1692z00_337 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2050z00zz__multimediazd2musicproczd2, BGl_proc2049z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2048z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)8),BgL_arg1692z00_337); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1710z00_350;
BgL_arg1710z00_350 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2053z00zz__multimediazd2musicproczd2, BGl_proc2052z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2051z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)9),BgL_arg1710z00_350); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1730z00_363;
BgL_arg1730z00_363 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2056z00zz__multimediazd2musicproczd2, BGl_proc2055z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2054z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1152z00_232,((long)10),BgL_arg1730z00_363); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1739z00_376;
BgL_arg1739z00_376 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2059z00zz__multimediazd2musicproczd2, BGl_proc2058z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2057z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1152z00_232,((long)11),BgL_arg1739z00_376); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1747z00_389;
BgL_arg1747z00_389 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2062z00zz__multimediazd2musicproczd2, BGl_proc2061z00zz__multimediazd2musicproczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2060z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1152z00_232,((long)12),BgL_arg1747z00_389); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1763z00_403;
BgL_arg1763z00_403 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2065z00zz__multimediazd2musicproczd2, BGl_proc2064z00zz__multimediazd2musicproczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2063z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)23))); 
VECTOR_SET(BgL_v1152z00_232,((long)13),BgL_arg1763z00_403); } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_arg1777z00_417;
BgL_arg1777z00_417 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc2068z00zz__multimediazd2musicproczd2, BGl_proc2067z00zz__multimediazd2musicproczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2066z00zz__multimediazd2musicproczd2, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1152z00_232,((long)14),BgL_arg1777z00_417); } 
BgL_arg1378z00_199 = BgL_v1152z00_232; } 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_v1153z00_430;
BgL_v1153z00_430 = 
create_vector(((long)0)); 
BgL_arg1379z00_200 = BgL_v1153z00_430; } 
return ( 
BGl_musicprocz00zz__multimediazd2musicproczd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)25)), 
CNST_TABLE_REF(((long)26)), BGl_musicz00zz__multimediazd2musiczd2, ((long)50224), BGl_proc2071z00zz__multimediazd2musicproczd2, BGl_proc2070z00zz__multimediazd2musicproczd2, BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2, BGl_proc2069z00zz__multimediazd2musicproczd2, BFALSE, BgL_arg1378z00_199, BgL_arg1379z00_200), BUNSPEC) ;} } 

}



/* &<@anonymous:1415> */
obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1111, obj_t BgL_new1072z00_1112)
{
{ /* Llib/musicproc.scm 19 */
{ 
 BgL_musicprocz00_bglt BgL_auxz00_2153;
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_new1072z00_1112))))->BgL_onstatez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_new1072z00_1112))))->BgL_onvolumez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_new1072z00_1112))))->BgL_onerrorz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_new1072z00_1112))))->BgL_oneventz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_new1072z00_1112))))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
{ 
 BgL_musicstatusz00_bglt BgL_auxz00_2170;
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_classz00_1440;
BgL_classz00_1440 = BGl_musicstatusz00zz__multimediazd2musiczd2; 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL__ortest_1113z00_1441;
BgL__ortest_1113z00_1441 = 
BGL_CLASS_NIL(BgL_classz00_1440); 
if(
CBOOL(BgL__ortest_1113z00_1441))
{ /* Llib/musicproc.scm 19 */
BgL_auxz00_2170 = 
((BgL_musicstatusz00_bglt)BgL__ortest_1113z00_1441)
; }  else 
{ /* Llib/musicproc.scm 19 */
BgL_auxz00_2170 = 
((BgL_musicstatusz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1440))
; } } } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_new1072z00_1112))))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)BgL_auxz00_2170),BUNSPEC); } 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_charsetz00)=((obj_t)
CNST_TABLE_REF(((long)27))),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52processz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52playlistz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52playidz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52quotezd2uriz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52commandzd2volumez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52commandzd2stopz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52commandzd2loadpausedz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52commandzd2loadz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52commandzd2pausez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52commandzd2seekzd2formatz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)27))),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52pmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52pcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_new1072z00_1112)))->BgL_z52inexecz52)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_2153 = 
((BgL_musicprocz00_bglt)BgL_new1072z00_1112); 
return 
((obj_t)BgL_auxz00_2153);} } 

}



/* &lambda1384 */
BgL_musicprocz00_bglt BGl_z62lambda1384z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1113)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 19 */
 BgL_musicprocz00_bglt BgL_new1071z00_1442;
BgL_new1071z00_1442 = 
((BgL_musicprocz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_musicprocz00_bgl) ))); 
{ /* Llib/musicproc.scm 19 */
 long BgL_arg1414z00_1443;
BgL_arg1414z00_1443 = 
BGL_CLASS_NUM(BGl_musicprocz00zz__multimediazd2musicproczd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_1442), BgL_arg1414z00_1443); } 
return BgL_new1071z00_1442;} } 

}



/* &lambda1380 */
BgL_musicprocz00_bglt BGl_z62lambda1380z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1114, obj_t BgL_onstate1050z00_1115, obj_t BgL_onvolume1051z00_1116, obj_t BgL_onerror1052z00_1117, obj_t BgL_onevent1053z00_1118, obj_t BgL_z52mutex1054z52_1119, obj_t BgL_z52status1055z52_1120, obj_t BgL_charset1056z00_1121, obj_t BgL_z52process1057z52_1122, obj_t BgL_z52playlist1058z52_1123, obj_t BgL_z52playid1059z52_1124, obj_t BgL_z52quotezd2uri1060z80_1125, obj_t BgL_z52commandzd2volume1061z80_1126, obj_t BgL_z52commandzd2stop1062z80_1127, obj_t BgL_z52commandzd2loadpaused1063z80_1128, obj_t BgL_z52commandzd2load1064z80_1129, obj_t BgL_z52commandzd2pause1065z80_1130, obj_t BgL_z52commandzd2seekzd2format1066z52_1131, obj_t BgL_z52userzd2state1067z80_1132, obj_t BgL_z52pmutex1068z52_1133, obj_t BgL_z52pcondv1069z52_1134, obj_t BgL_z52inexec1070z52_1135)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 19 */
 int BgL_z52playid1059z52_1452; bool_t BgL_z52quotezd2uri1060z80_1453; bool_t BgL_z52inexec1070z52_1457;
BgL_z52playid1059z52_1452 = 
CINT(BgL_z52playid1059z52_1124); 
BgL_z52quotezd2uri1060z80_1453 = 
CBOOL(BgL_z52quotezd2uri1060z80_1125); 
BgL_z52inexec1070z52_1457 = 
CBOOL(BgL_z52inexec1070z52_1135); 
{ /* Llib/musicproc.scm 19 */
 BgL_musicprocz00_bglt BgL_new1150z00_1458;
{ /* Llib/musicproc.scm 19 */
 BgL_musicprocz00_bglt BgL_new1149z00_1459;
BgL_new1149z00_1459 = 
((BgL_musicprocz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_musicprocz00_bgl) ))); 
{ /* Llib/musicproc.scm 19 */
 long BgL_arg1383z00_1460;
BgL_arg1383z00_1460 = 
BGL_CLASS_NUM(BGl_musicprocz00zz__multimediazd2musicproczd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_1459), BgL_arg1383z00_1460); } 
BgL_new1150z00_1458 = BgL_new1149z00_1459; } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1150z00_1458)))->BgL_onstatez00)=((obj_t)
((obj_t)BgL_onstate1050z00_1115)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1150z00_1458)))->BgL_onvolumez00)=((obj_t)
((obj_t)BgL_onvolume1051z00_1116)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1150z00_1458)))->BgL_onerrorz00)=((obj_t)
((obj_t)BgL_onerror1052z00_1117)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1150z00_1458)))->BgL_oneventz00)=((obj_t)
((obj_t)BgL_onevent1053z00_1118)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1150z00_1458)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1054z52_1119)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1150z00_1458)))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)
((BgL_musicstatusz00_bglt)BgL_z52status1055z52_1120)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_charsetz00)=((obj_t)
((obj_t)BgL_charset1056z00_1121)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52processz52)=((obj_t)BgL_z52process1057z52_1122),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52playlistz52)=((obj_t)
((obj_t)BgL_z52playlist1058z52_1123)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52playidz52)=((int)BgL_z52playid1059z52_1452),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52quotezd2uriz80)=((bool_t)BgL_z52quotezd2uri1060z80_1453),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52commandzd2volumez80)=((obj_t)BgL_z52commandzd2volume1061z80_1126),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52commandzd2stopz80)=((obj_t)BgL_z52commandzd2stop1062z80_1127),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52commandzd2loadpausedz80)=((obj_t)BgL_z52commandzd2loadpaused1063z80_1128),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52commandzd2loadz80)=((obj_t)BgL_z52commandzd2load1064z80_1129),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52commandzd2pausez80)=((obj_t)BgL_z52commandzd2pause1065z80_1130),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52commandzd2seekzd2formatz52)=((obj_t)BgL_z52commandzd2seekzd2format1066z52_1131),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52userzd2statez80)=((obj_t)
((obj_t)BgL_z52userzd2state1067z80_1132)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52pmutexz52)=((obj_t)
((obj_t)BgL_z52pmutex1068z52_1133)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52pcondvz52)=((obj_t)
((obj_t)BgL_z52pcondv1069z52_1134)),BUNSPEC); 
((((BgL_musicprocz00_bglt)COBJECT(BgL_new1150z00_1458))->BgL_z52inexecz52)=((bool_t)BgL_z52inexec1070z52_1457),BUNSPEC); 
{ /* Llib/musicproc.scm 19 */
 obj_t BgL_fun1381z00_1461;
BgL_fun1381z00_1461 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_musicprocz00zz__multimediazd2musicproczd2); 
PROCEDURE_ENTRY(BgL_fun1381z00_1461)(BgL_fun1381z00_1461, 
((obj_t)BgL_new1150z00_1458), BEOA); } 
return BgL_new1150z00_1458;} } } 

}



/* &<@anonymous:1799> */
obj_t BGl_z62zc3z04anonymousza31799ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1136)
{
{ /* Llib/musicproc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1798 */
obj_t BGl_z62lambda1798z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1137, obj_t BgL_oz00_1138, obj_t BgL_vz00_1139)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 19 */
 bool_t BgL_vz00_1463;
BgL_vz00_1463 = 
CBOOL(BgL_vz00_1139); 
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1138)))->BgL_z52inexecz52)=((bool_t)BgL_vz00_1463),BUNSPEC);} } 

}



/* &lambda1797 */
obj_t BGl_z62lambda1797z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1140, obj_t BgL_oz00_1141)
{
{ /* Llib/musicproc.scm 19 */
return 
BBOOL(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1141)))->BgL_z52inexecz52));} 

}



/* &<@anonymous:1773> */
obj_t BGl_z62zc3z04anonymousza31773ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1142)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 33 */

{ /* Llib/musicproc.scm 33 */
 obj_t BgL_namez00_1465;
BgL_namez00_1465 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)28))); 
{ /* Llib/musicproc.scm 33 */

return 
bgl_make_condvar(BgL_namez00_1465);} } } } 

}



/* &lambda1772 */
obj_t BGl_z62lambda1772z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1143, obj_t BgL_oz00_1144, obj_t BgL_vz00_1145)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1144)))->BgL_z52pcondvz52)=((obj_t)
((obj_t)BgL_vz00_1145)),BUNSPEC);} 

}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1146, obj_t BgL_oz00_1147)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1147)))->BgL_z52pcondvz52);} 

}



/* &<@anonymous:1758> */
obj_t BGl_z62zc3z04anonymousza31758ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1148)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 32 */

{ /* Llib/musicproc.scm 32 */
 obj_t BgL_namez00_1469;
BgL_namez00_1469 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)21))); 
{ /* Llib/musicproc.scm 32 */

return 
bgl_make_mutex(BgL_namez00_1469);} } } } 

}



/* &lambda1757 */
obj_t BGl_z62lambda1757z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1149, obj_t BgL_oz00_1150, obj_t BgL_vz00_1151)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1150)))->BgL_z52pmutexz52)=((obj_t)
((obj_t)BgL_vz00_1151)),BUNSPEC);} 

}



/* &lambda1756 */
obj_t BGl_z62lambda1756z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1152, obj_t BgL_oz00_1153)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1153)))->BgL_z52pmutexz52);} 

}



/* &<@anonymous:1745> */
obj_t BGl_z62zc3z04anonymousza31745ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1154)
{
{ /* Llib/musicproc.scm 19 */
return 
CNST_TABLE_REF(((long)29));} 

}



/* &lambda1744 */
obj_t BGl_z62lambda1744z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1155, obj_t BgL_oz00_1156, obj_t BgL_vz00_1157)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1156)))->BgL_z52userzd2statez80)=((obj_t)
((obj_t)BgL_vz00_1157)),BUNSPEC);} 

}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1158, obj_t BgL_oz00_1159)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1159)))->BgL_z52userzd2statez80);} 

}



/* &<@anonymous:1736> */
obj_t BGl_z62zc3z04anonymousza31736ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1160)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1735 */
obj_t BGl_z62lambda1735z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1161, obj_t BgL_oz00_1162, obj_t BgL_vz00_1163)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1162)))->BgL_z52commandzd2seekzd2formatz52)=((obj_t)BgL_vz00_1163),BUNSPEC);} 

}



/* &lambda1734 */
obj_t BGl_z62lambda1734z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1164, obj_t BgL_oz00_1165)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1165)))->BgL_z52commandzd2seekzd2formatz52);} 

}



/* &<@anonymous:1729> */
obj_t BGl_z62zc3z04anonymousza31729ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1166)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1728 */
obj_t BGl_z62lambda1728z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1167, obj_t BgL_oz00_1168, obj_t BgL_vz00_1169)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1168)))->BgL_z52commandzd2pausez80)=((obj_t)BgL_vz00_1169),BUNSPEC);} 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1170, obj_t BgL_oz00_1171)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1171)))->BgL_z52commandzd2pausez80);} 

}



/* &<@anonymous:1709> */
obj_t BGl_z62zc3z04anonymousza31709ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1172)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1708 */
obj_t BGl_z62lambda1708z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1173, obj_t BgL_oz00_1174, obj_t BgL_vz00_1175)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1174)))->BgL_z52commandzd2loadz80)=((obj_t)BgL_vz00_1175),BUNSPEC);} 

}



/* &lambda1707 */
obj_t BGl_z62lambda1707z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1176, obj_t BgL_oz00_1177)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1177)))->BgL_z52commandzd2loadz80);} 

}



/* &<@anonymous:1691> */
obj_t BGl_z62zc3z04anonymousza31691ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1178)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1690 */
obj_t BGl_z62lambda1690z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1179, obj_t BgL_oz00_1180, obj_t BgL_vz00_1181)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1180)))->BgL_z52commandzd2loadpausedz80)=((obj_t)BgL_vz00_1181),BUNSPEC);} 

}



/* &lambda1689 */
obj_t BGl_z62lambda1689z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1182, obj_t BgL_oz00_1183)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1183)))->BgL_z52commandzd2loadpausedz80);} 

}



/* &<@anonymous:1676> */
obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1184)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1675 */
obj_t BGl_z62lambda1675z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1185, obj_t BgL_oz00_1186, obj_t BgL_vz00_1187)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1186)))->BgL_z52commandzd2stopz80)=((obj_t)BgL_vz00_1187),BUNSPEC);} 

}



/* &lambda1674 */
obj_t BGl_z62lambda1674z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1188, obj_t BgL_oz00_1189)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1189)))->BgL_z52commandzd2stopz80);} 

}



/* &<@anonymous:1656> */
obj_t BGl_z62zc3z04anonymousza31656ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1190)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1191, obj_t BgL_oz00_1192, obj_t BgL_vz00_1193)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1192)))->BgL_z52commandzd2volumez80)=((obj_t)BgL_vz00_1193),BUNSPEC);} 

}



/* &lambda1654 */
obj_t BGl_z62lambda1654z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1194, obj_t BgL_oz00_1195)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1195)))->BgL_z52commandzd2volumez80);} 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1196)
{
{ /* Llib/musicproc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1624 */
obj_t BGl_z62lambda1624z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1197, obj_t BgL_oz00_1198, obj_t BgL_vz00_1199)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 19 */
 bool_t BgL_vz00_1489;
BgL_vz00_1489 = 
CBOOL(BgL_vz00_1199); 
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1198)))->BgL_z52quotezd2uriz80)=((bool_t)BgL_vz00_1489),BUNSPEC);} } 

}



/* &lambda1623 */
obj_t BGl_z62lambda1623z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1200, obj_t BgL_oz00_1201)
{
{ /* Llib/musicproc.scm 19 */
return 
BBOOL(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1201)))->BgL_z52quotezd2uriz80));} 

}



/* &<@anonymous:1598> */
obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1202)
{
{ /* Llib/musicproc.scm 19 */
return 
BINT(((long)0));} 

}



/* &lambda1597 */
obj_t BGl_z62lambda1597z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1203, obj_t BgL_oz00_1204, obj_t BgL_vz00_1205)
{
{ /* Llib/musicproc.scm 19 */
{ /* Llib/musicproc.scm 19 */
 int BgL_vz00_1492;
BgL_vz00_1492 = 
CINT(BgL_vz00_1205); 
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1204)))->BgL_z52playidz52)=((int)BgL_vz00_1492),BUNSPEC);} } 

}



/* &lambda1596 */
obj_t BGl_z62lambda1596z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1206, obj_t BgL_oz00_1207)
{
{ /* Llib/musicproc.scm 19 */
return 
BINT(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1207)))->BgL_z52playidz52));} 

}



/* &<@anonymous:1578> */
obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1208)
{
{ /* Llib/musicproc.scm 19 */
return BNIL;} 

}



/* &lambda1577 */
obj_t BGl_z62lambda1577z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1209, obj_t BgL_oz00_1210, obj_t BgL_vz00_1211)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1210)))->BgL_z52playlistz52)=((obj_t)
((obj_t)BgL_vz00_1211)),BUNSPEC);} 

}



/* &lambda1576 */
obj_t BGl_z62lambda1576z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1212, obj_t BgL_oz00_1213)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1213)))->BgL_z52playlistz52);} 

}



/* &<@anonymous:1566> */
obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1214)
{
{ /* Llib/musicproc.scm 19 */
return BUNSPEC;} 

}



/* &lambda1565 */
obj_t BGl_z62lambda1565z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1215, obj_t BgL_oz00_1216, obj_t BgL_vz00_1217)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1216)))->BgL_z52processz52)=((obj_t)BgL_vz00_1217),BUNSPEC);} 

}



/* &lambda1564 */
obj_t BGl_z62lambda1564z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1218, obj_t BgL_oz00_1219)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1219)))->BgL_z52processz52);} 

}



/* &<@anonymous:1539> */
obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__multimediazd2musicproczd2(obj_t BgL_envz00_1220)
{
{ /* Llib/musicproc.scm 19 */
return 
CNST_TABLE_REF(((long)30));} 

}



/* &lambda1538 */
obj_t BGl_z62lambda1538z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1221, obj_t BgL_oz00_1222, obj_t BgL_vz00_1223)
{
{ /* Llib/musicproc.scm 19 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1222)))->BgL_charsetz00)=((obj_t)
((obj_t)BgL_vz00_1223)),BUNSPEC);} 

}



/* &lambda1537 */
obj_t BGl_z62lambda1537z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1224, obj_t BgL_oz00_1225)
{
{ /* Llib/musicproc.scm 19 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1225)))->BgL_charsetz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_musicproczd2startzd2envz00zz__multimediazd2musicproczd2, BGl_proc2072z00zz__multimediazd2musicproczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_string2073z00zz__multimediazd2musicproczd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_musicproczd2connectz12zd2envz12zz__multimediazd2musicproczd2, BGl_proc2074z00zz__multimediazd2musicproczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_string2075z00zz__multimediazd2musicproczd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_musicproczd2loadpausedzd2envz00zz__multimediazd2musicproczd2, BGl_proc2076z00zz__multimediazd2musicproczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_string2077z00zz__multimediazd2musicproczd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2, BGl_proc2078z00zz__multimediazd2musicproczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_string2079z00zz__multimediazd2musicproczd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_musicproczd2parsezd2envz00zz__multimediazd2musicproczd2, BGl_proc2080z00zz__multimediazd2musicproczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_string2081z00zz__multimediazd2musicproczd2);} 

}



/* &musicproc-parse1211 */
obj_t BGl_z62musicproczd2parse1211zb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1233, obj_t BgL_oz00_1234)
{
{ /* Llib/musicproc.scm 399 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string2082z00zz__multimediazd2musicproczd2, 
((obj_t)
((BgL_musicprocz00_bglt)BgL_oz00_1234)));} 

}



/* &musicproc-load1183 */
obj_t BGl_z62musicproczd2load1183zb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1235, obj_t BgL_oz00_1236, obj_t BgL_mz00_1237)
{
{ /* Llib/musicproc.scm 192 */
{ /* Llib/musicproc.scm 194 */
 obj_t BgL_uriz00_1505;
if(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1236)))->BgL_z52quotezd2uriz80))
{ /* Llib/musicproc.scm 194 */
BgL_uriz00_1505 = 
string_append_3(BGl_string2083z00zz__multimediazd2musicproczd2, 
((obj_t)BgL_mz00_1237), BGl_string2083z00zz__multimediazd2musicproczd2); }  else 
{ /* Llib/musicproc.scm 194 */
BgL_uriz00_1505 = 
((obj_t)BgL_mz00_1237); } 
return 
BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1236), ((bool_t)1), 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1236)))->BgL_z52commandzd2loadz80), BgL_uriz00_1505);} } 

}



/* &musicproc-loadpaused1181 */
obj_t BGl_z62musicproczd2loadpaused1181zb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1238, obj_t BgL_oz00_1239, obj_t BgL_mz00_1240)
{
{ /* Llib/musicproc.scm 182 */
{ /* Llib/musicproc.scm 184 */
 obj_t BgL_uriz00_1508;
if(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1239)))->BgL_z52quotezd2uriz80))
{ /* Llib/musicproc.scm 184 */
BgL_uriz00_1508 = 
string_append_3(BGl_string2083z00zz__multimediazd2musicproczd2, 
((obj_t)BgL_mz00_1240), BGl_string2083z00zz__multimediazd2musicproczd2); }  else 
{ /* Llib/musicproc.scm 184 */
BgL_uriz00_1508 = 
((obj_t)BgL_mz00_1240); } 
return 
BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1239), ((bool_t)1), 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1239)))->BgL_z52commandzd2loadpausedz80), BgL_uriz00_1508);} } 

}



/* &musicproc-connect!1165 */
obj_t BGl_z62musicproczd2connectz121165za2zz__multimediazd2musicproczd2(obj_t BgL_envz00_1241, obj_t BgL_oz00_1242)
{
{ /* Llib/musicproc.scm 102 */
{ /* Llib/musicproc.scm 105 */
 bool_t BgL_test2292z00_2383;
{ /* Llib/musicproc.scm 105 */
 bool_t BgL_test2293z00_2384;
{ /* Llib/musicproc.scm 105 */
 obj_t BgL_tmpz00_2385;
BgL_tmpz00_2385 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1242)))->BgL_z52processz52); 
BgL_test2293z00_2384 = 
PROCESSP(BgL_tmpz00_2385); } 
if(BgL_test2293z00_2384)
{ /* Llib/musicproc.scm 105 */
 obj_t BgL_arg1823z00_1510;
BgL_arg1823z00_1510 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1242)))->BgL_z52processz52); 
BgL_test2292z00_2383 = 
c_process_alivep(
((obj_t)BgL_arg1823z00_1510)); }  else 
{ /* Llib/musicproc.scm 105 */
BgL_test2292z00_2383 = ((bool_t)0)
; } } 
if(BgL_test2292z00_2383)
{ /* Llib/musicproc.scm 105 */
return BFALSE;}  else 
{ /* Llib/musicproc.scm 105 */
return 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1242)))->BgL_z52processz52)=((obj_t)
BGl_musicproczd2startzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1242))),BUNSPEC);} } } 

}



/* &musicproc-start1161 */
obj_t BGl_z62musicproczd2start1161zb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1243, obj_t BgL_oz00_1244)
{
{ /* Llib/musicproc.scm 90 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string2082z00zz__multimediazd2musicproczd2, 
((obj_t)
((BgL_musicprocz00_bglt)BgL_oz00_1244)));} 

}



/* musicproc-start */
BGL_EXPORTED_DEF obj_t BGl_musicproczd2startzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_9)
{
{ /* Llib/musicproc.scm 90 */
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_method1162z00_473;
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_res1943z00_873;
{ /* Llib/musicproc.scm 90 */
 long BgL_objzd2classzd2numz00_844;
BgL_objzd2classzd2numz00_844 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_arg1801z00_845;
BgL_arg1801z00_845 = 
PROCEDURE_REF(BGl_musicproczd2startzd2envz00zz__multimediazd2musicproczd2, 
(int)(((long)1))); 
{ /* Llib/musicproc.scm 90 */
 int BgL_offsetz00_848;
BgL_offsetz00_848 = 
(int)(BgL_objzd2classzd2numz00_844); 
{ /* Llib/musicproc.scm 90 */
 long BgL_offsetz00_849;
BgL_offsetz00_849 = 
(
(long)(BgL_offsetz00_848)-OBJECT_TYPE); 
{ /* Llib/musicproc.scm 90 */
 long BgL_modz00_850;
BgL_modz00_850 = 
(BgL_offsetz00_849 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/musicproc.scm 90 */
 long BgL_restz00_852;
BgL_restz00_852 = 
(BgL_offsetz00_849 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/musicproc.scm 90 */

{ /* Llib/musicproc.scm 90 */
 obj_t BgL_bucketz00_854;
BgL_bucketz00_854 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_845),BgL_modz00_850); 
BgL_res1943z00_873 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_854),BgL_restz00_852); } } } } } } } } 
BgL_method1162z00_473 = BgL_res1943z00_873; } 
return 
PROCEDURE_ENTRY(BgL_method1162z00_473)(BgL_method1162z00_473, 
((obj_t)BgL_oz00_9), BEOA);} } 

}



/* &musicproc-start */
obj_t BGl_z62musicproczd2startzb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1245, obj_t BgL_oz00_1246)
{
{ /* Llib/musicproc.scm 90 */
{ /* Llib/musicproc.scm 90 */
 BgL_musicprocz00_bglt BgL_auxz00_2431;
{ /* Llib/musicproc.scm 90 */
 bool_t BgL_test2294z00_2432;
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_classz00_1512;
BgL_classz00_1512 = BGl_musicprocz00zz__multimediazd2musicproczd2; 
if(
BGL_OBJECTP(BgL_oz00_1246))
{ /* Llib/musicproc.scm 90 */
 BgL_objectz00_bglt BgL_arg1799z00_1514; long BgL_arg1800z00_1515;
BgL_arg1799z00_1514 = 
(BgL_objectz00_bglt)(BgL_oz00_1246); 
BgL_arg1800z00_1515 = 
BGL_CLASS_DEPTH(BgL_classz00_1512); 
{ /* Llib/musicproc.scm 90 */
 bool_t BgL_arg1794z00_1519; bool_t BgL_arg1795z00_1520;
{ /* Llib/musicproc.scm 90 */
 long BgL_idxz00_1524;
BgL_idxz00_1524 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1514); 
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_arg1791z00_1525;
{ /* Llib/musicproc.scm 90 */
 long BgL_arg1792z00_1526;
BgL_arg1792z00_1526 = 
(BgL_idxz00_1524+BgL_arg1800z00_1515); 
BgL_arg1791z00_1525 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1526); } 
BgL_arg1794z00_1519 = 
(BgL_arg1791z00_1525==BgL_classz00_1512); } } 
{ /* Llib/musicproc.scm 90 */
 bool_t BgL_res2136z00_1549;
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_oclassz00_1534;
{ /* Llib/musicproc.scm 90 */
 long BgL_arg1804z00_1540;
{ /* Llib/musicproc.scm 90 */
 long BgL_arg1805z00_1541;
BgL_arg1805z00_1541 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1514); 
BgL_arg1804z00_1540 = 
(BgL_arg1805z00_1541-OBJECT_TYPE); } 
BgL_oclassz00_1534 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1540); } 
{ /* Llib/musicproc.scm 90 */
 bool_t BgL__ortest_1111z00_1535;
BgL__ortest_1111z00_1535 = 
(BgL_classz00_1512==BgL_oclassz00_1534); 
if(BgL__ortest_1111z00_1535)
{ /* Llib/musicproc.scm 90 */
BgL_res2136z00_1549 = BgL__ortest_1111z00_1535; }  else 
{ /* Llib/musicproc.scm 90 */
 long BgL_odepthz00_1536;
BgL_odepthz00_1536 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1534); 
if(
(BgL_arg1800z00_1515<BgL_odepthz00_1536))
{ /* Llib/musicproc.scm 90 */
 obj_t BgL_arg1793z00_1538;
BgL_arg1793z00_1538 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1534, BgL_arg1800z00_1515); 
BgL_res2136z00_1549 = 
(BgL_arg1793z00_1538==BgL_classz00_1512); }  else 
{ /* Llib/musicproc.scm 90 */
BgL_res2136z00_1549 = ((bool_t)0); } } } } 
BgL_arg1795z00_1520 = BgL_res2136z00_1549; } 
BgL_test2294z00_2432 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1519, BgL_arg1795z00_1520); } }  else 
{ /* Llib/musicproc.scm 90 */
BgL_test2294z00_2432 = ((bool_t)0)
; } } 
if(BgL_test2294z00_2432)
{ /* Llib/musicproc.scm 90 */
BgL_auxz00_2431 = 
((BgL_musicprocz00_bglt)BgL_oz00_1246)
; }  else 
{ 
 obj_t BgL_auxz00_2453;
BgL_auxz00_2453 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)3489)), BGl_string2084z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_oz00_1246); 
FAILURE(BgL_auxz00_2453,BFALSE,BFALSE);} } 
return 
BGl_musicproczd2startzd2zz__multimediazd2musicproczd2(BgL_auxz00_2431);} } 

}



/* musicproc-connect! */
BGL_EXPORTED_DEF obj_t BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_11)
{
{ /* Llib/musicproc.scm 102 */
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_method1166z00_474;
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_res1948z00_904;
{ /* Llib/musicproc.scm 102 */
 long BgL_objzd2classzd2numz00_875;
BgL_objzd2classzd2numz00_875 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_11)); 
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_arg1801z00_876;
BgL_arg1801z00_876 = 
PROCEDURE_REF(BGl_musicproczd2connectz12zd2envz12zz__multimediazd2musicproczd2, 
(int)(((long)1))); 
{ /* Llib/musicproc.scm 102 */
 int BgL_offsetz00_879;
BgL_offsetz00_879 = 
(int)(BgL_objzd2classzd2numz00_875); 
{ /* Llib/musicproc.scm 102 */
 long BgL_offsetz00_880;
BgL_offsetz00_880 = 
(
(long)(BgL_offsetz00_879)-OBJECT_TYPE); 
{ /* Llib/musicproc.scm 102 */
 long BgL_modz00_881;
BgL_modz00_881 = 
(BgL_offsetz00_880 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/musicproc.scm 102 */
 long BgL_restz00_883;
BgL_restz00_883 = 
(BgL_offsetz00_880 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/musicproc.scm 102 */

{ /* Llib/musicproc.scm 102 */
 obj_t BgL_bucketz00_885;
BgL_bucketz00_885 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_876),BgL_modz00_881); 
BgL_res1948z00_904 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_885),BgL_restz00_883); } } } } } } } } 
BgL_method1166z00_474 = BgL_res1948z00_904; } 
return 
PROCEDURE_ENTRY(BgL_method1166z00_474)(BgL_method1166z00_474, 
((obj_t)BgL_oz00_11), BEOA);} } 

}



/* &musicproc-connect! */
obj_t BGl_z62musicproczd2connectz12za2zz__multimediazd2musicproczd2(obj_t BgL_envz00_1247, obj_t BgL_oz00_1248)
{
{ /* Llib/musicproc.scm 102 */
{ /* Llib/musicproc.scm 102 */
 BgL_musicprocz00_bglt BgL_auxz00_2488;
{ /* Llib/musicproc.scm 102 */
 bool_t BgL_test2298z00_2489;
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_classz00_1550;
BgL_classz00_1550 = BGl_musicprocz00zz__multimediazd2musicproczd2; 
if(
BGL_OBJECTP(BgL_oz00_1248))
{ /* Llib/musicproc.scm 102 */
 BgL_objectz00_bglt BgL_arg1799z00_1552; long BgL_arg1800z00_1553;
BgL_arg1799z00_1552 = 
(BgL_objectz00_bglt)(BgL_oz00_1248); 
BgL_arg1800z00_1553 = 
BGL_CLASS_DEPTH(BgL_classz00_1550); 
{ /* Llib/musicproc.scm 102 */
 bool_t BgL_arg1794z00_1557; bool_t BgL_arg1795z00_1558;
{ /* Llib/musicproc.scm 102 */
 long BgL_idxz00_1562;
BgL_idxz00_1562 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1552); 
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_arg1791z00_1563;
{ /* Llib/musicproc.scm 102 */
 long BgL_arg1792z00_1564;
BgL_arg1792z00_1564 = 
(BgL_idxz00_1562+BgL_arg1800z00_1553); 
BgL_arg1791z00_1563 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1564); } 
BgL_arg1794z00_1557 = 
(BgL_arg1791z00_1563==BgL_classz00_1550); } } 
{ /* Llib/musicproc.scm 102 */
 bool_t BgL_res2137z00_1587;
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_oclassz00_1572;
{ /* Llib/musicproc.scm 102 */
 long BgL_arg1804z00_1578;
{ /* Llib/musicproc.scm 102 */
 long BgL_arg1805z00_1579;
BgL_arg1805z00_1579 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1552); 
BgL_arg1804z00_1578 = 
(BgL_arg1805z00_1579-OBJECT_TYPE); } 
BgL_oclassz00_1572 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1578); } 
{ /* Llib/musicproc.scm 102 */
 bool_t BgL__ortest_1111z00_1573;
BgL__ortest_1111z00_1573 = 
(BgL_classz00_1550==BgL_oclassz00_1572); 
if(BgL__ortest_1111z00_1573)
{ /* Llib/musicproc.scm 102 */
BgL_res2137z00_1587 = BgL__ortest_1111z00_1573; }  else 
{ /* Llib/musicproc.scm 102 */
 long BgL_odepthz00_1574;
BgL_odepthz00_1574 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1572); 
if(
(BgL_arg1800z00_1553<BgL_odepthz00_1574))
{ /* Llib/musicproc.scm 102 */
 obj_t BgL_arg1793z00_1576;
BgL_arg1793z00_1576 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1572, BgL_arg1800z00_1553); 
BgL_res2137z00_1587 = 
(BgL_arg1793z00_1576==BgL_classz00_1550); }  else 
{ /* Llib/musicproc.scm 102 */
BgL_res2137z00_1587 = ((bool_t)0); } } } } 
BgL_arg1795z00_1558 = BgL_res2137z00_1587; } 
BgL_test2298z00_2489 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1557, BgL_arg1795z00_1558); } }  else 
{ /* Llib/musicproc.scm 102 */
BgL_test2298z00_2489 = ((bool_t)0)
; } } 
if(BgL_test2298z00_2489)
{ /* Llib/musicproc.scm 102 */
BgL_auxz00_2488 = 
((BgL_musicprocz00_bglt)BgL_oz00_1248)
; }  else 
{ 
 obj_t BgL_auxz00_2510;
BgL_auxz00_2510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)4077)), BGl_string2085z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_oz00_1248); 
FAILURE(BgL_auxz00_2510,BFALSE,BFALSE);} } 
return 
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(BgL_auxz00_2488);} } 

}



/* musicproc-loadpaused */
BGL_EXPORTED_DEF obj_t BGl_musicproczd2loadpausedzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_21, obj_t BgL_mz00_22)
{
{ /* Llib/musicproc.scm 182 */
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_method1182z00_475;
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_res1953z00_935;
{ /* Llib/musicproc.scm 182 */
 long BgL_objzd2classzd2numz00_906;
BgL_objzd2classzd2numz00_906 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_21)); 
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_arg1801z00_907;
BgL_arg1801z00_907 = 
PROCEDURE_REF(BGl_musicproczd2loadpausedzd2envz00zz__multimediazd2musicproczd2, 
(int)(((long)1))); 
{ /* Llib/musicproc.scm 182 */
 int BgL_offsetz00_910;
BgL_offsetz00_910 = 
(int)(BgL_objzd2classzd2numz00_906); 
{ /* Llib/musicproc.scm 182 */
 long BgL_offsetz00_911;
BgL_offsetz00_911 = 
(
(long)(BgL_offsetz00_910)-OBJECT_TYPE); 
{ /* Llib/musicproc.scm 182 */
 long BgL_modz00_912;
BgL_modz00_912 = 
(BgL_offsetz00_911 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/musicproc.scm 182 */
 long BgL_restz00_914;
BgL_restz00_914 = 
(BgL_offsetz00_911 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/musicproc.scm 182 */

{ /* Llib/musicproc.scm 182 */
 obj_t BgL_bucketz00_916;
BgL_bucketz00_916 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_907),BgL_modz00_912); 
BgL_res1953z00_935 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_916),BgL_restz00_914); } } } } } } } } 
BgL_method1182z00_475 = BgL_res1953z00_935; } 
return 
PROCEDURE_ENTRY(BgL_method1182z00_475)(BgL_method1182z00_475, 
((obj_t)BgL_oz00_21), BgL_mz00_22, BEOA);} } 

}



/* &musicproc-loadpaused */
obj_t BGl_z62musicproczd2loadpausedzb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1249, obj_t BgL_oz00_1250, obj_t BgL_mz00_1251)
{
{ /* Llib/musicproc.scm 182 */
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_auxz00_2572; BgL_musicprocz00_bglt BgL_auxz00_2546;
if(
STRINGP(BgL_mz00_1251))
{ /* Llib/musicproc.scm 182 */
BgL_auxz00_2572 = BgL_mz00_1251
; }  else 
{ 
 obj_t BgL_auxz00_2575;
BgL_auxz00_2575 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)7834)), BGl_string2086z00zz__multimediazd2musicproczd2, BGl_string2021z00zz__multimediazd2musicproczd2, BgL_mz00_1251); 
FAILURE(BgL_auxz00_2575,BFALSE,BFALSE);} 
{ /* Llib/musicproc.scm 182 */
 bool_t BgL_test2302z00_2547;
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_classz00_1588;
BgL_classz00_1588 = BGl_musicprocz00zz__multimediazd2musicproczd2; 
if(
BGL_OBJECTP(BgL_oz00_1250))
{ /* Llib/musicproc.scm 182 */
 BgL_objectz00_bglt BgL_arg1799z00_1590; long BgL_arg1800z00_1591;
BgL_arg1799z00_1590 = 
(BgL_objectz00_bglt)(BgL_oz00_1250); 
BgL_arg1800z00_1591 = 
BGL_CLASS_DEPTH(BgL_classz00_1588); 
{ /* Llib/musicproc.scm 182 */
 bool_t BgL_arg1794z00_1595; bool_t BgL_arg1795z00_1596;
{ /* Llib/musicproc.scm 182 */
 long BgL_idxz00_1600;
BgL_idxz00_1600 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1590); 
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_arg1791z00_1601;
{ /* Llib/musicproc.scm 182 */
 long BgL_arg1792z00_1602;
BgL_arg1792z00_1602 = 
(BgL_idxz00_1600+BgL_arg1800z00_1591); 
BgL_arg1791z00_1601 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1602); } 
BgL_arg1794z00_1595 = 
(BgL_arg1791z00_1601==BgL_classz00_1588); } } 
{ /* Llib/musicproc.scm 182 */
 bool_t BgL_res2138z00_1625;
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_oclassz00_1610;
{ /* Llib/musicproc.scm 182 */
 long BgL_arg1804z00_1616;
{ /* Llib/musicproc.scm 182 */
 long BgL_arg1805z00_1617;
BgL_arg1805z00_1617 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1590); 
BgL_arg1804z00_1616 = 
(BgL_arg1805z00_1617-OBJECT_TYPE); } 
BgL_oclassz00_1610 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1616); } 
{ /* Llib/musicproc.scm 182 */
 bool_t BgL__ortest_1111z00_1611;
BgL__ortest_1111z00_1611 = 
(BgL_classz00_1588==BgL_oclassz00_1610); 
if(BgL__ortest_1111z00_1611)
{ /* Llib/musicproc.scm 182 */
BgL_res2138z00_1625 = BgL__ortest_1111z00_1611; }  else 
{ /* Llib/musicproc.scm 182 */
 long BgL_odepthz00_1612;
BgL_odepthz00_1612 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1610); 
if(
(BgL_arg1800z00_1591<BgL_odepthz00_1612))
{ /* Llib/musicproc.scm 182 */
 obj_t BgL_arg1793z00_1614;
BgL_arg1793z00_1614 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1610, BgL_arg1800z00_1591); 
BgL_res2138z00_1625 = 
(BgL_arg1793z00_1614==BgL_classz00_1588); }  else 
{ /* Llib/musicproc.scm 182 */
BgL_res2138z00_1625 = ((bool_t)0); } } } } 
BgL_arg1795z00_1596 = BgL_res2138z00_1625; } 
BgL_test2302z00_2547 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1595, BgL_arg1795z00_1596); } }  else 
{ /* Llib/musicproc.scm 182 */
BgL_test2302z00_2547 = ((bool_t)0)
; } } 
if(BgL_test2302z00_2547)
{ /* Llib/musicproc.scm 182 */
BgL_auxz00_2546 = 
((BgL_musicprocz00_bglt)BgL_oz00_1250)
; }  else 
{ 
 obj_t BgL_auxz00_2568;
BgL_auxz00_2568 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)7834)), BGl_string2086z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_oz00_1250); 
FAILURE(BgL_auxz00_2568,BFALSE,BFALSE);} } 
return 
BGl_musicproczd2loadpausedzd2zz__multimediazd2musicproczd2(BgL_auxz00_2546, BgL_auxz00_2572);} } 

}



/* musicproc-load */
BGL_EXPORTED_DEF obj_t BGl_musicproczd2loadzd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_23, obj_t BgL_mz00_24)
{
{ /* Llib/musicproc.scm 192 */
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_method1184z00_476;
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_res1958z00_966;
{ /* Llib/musicproc.scm 192 */
 long BgL_objzd2classzd2numz00_937;
BgL_objzd2classzd2numz00_937 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_23)); 
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_arg1801z00_938;
BgL_arg1801z00_938 = 
PROCEDURE_REF(BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2, 
(int)(((long)1))); 
{ /* Llib/musicproc.scm 192 */
 int BgL_offsetz00_941;
BgL_offsetz00_941 = 
(int)(BgL_objzd2classzd2numz00_937); 
{ /* Llib/musicproc.scm 192 */
 long BgL_offsetz00_942;
BgL_offsetz00_942 = 
(
(long)(BgL_offsetz00_941)-OBJECT_TYPE); 
{ /* Llib/musicproc.scm 192 */
 long BgL_modz00_943;
BgL_modz00_943 = 
(BgL_offsetz00_942 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/musicproc.scm 192 */
 long BgL_restz00_945;
BgL_restz00_945 = 
(BgL_offsetz00_942 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/musicproc.scm 192 */

{ /* Llib/musicproc.scm 192 */
 obj_t BgL_bucketz00_947;
BgL_bucketz00_947 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_938),BgL_modz00_943); 
BgL_res1958z00_966 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_947),BgL_restz00_945); } } } } } } } } 
BgL_method1184z00_476 = BgL_res1958z00_966; } 
return 
PROCEDURE_ENTRY(BgL_method1184z00_476)(BgL_method1184z00_476, 
((obj_t)BgL_oz00_23), BgL_mz00_24, BEOA);} } 

}



/* &musicproc-load */
obj_t BGl_z62musicproczd2loadzb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1252, obj_t BgL_oz00_1253, obj_t BgL_mz00_1254)
{
{ /* Llib/musicproc.scm 192 */
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_auxz00_2637; BgL_musicprocz00_bglt BgL_auxz00_2611;
if(
STRINGP(BgL_mz00_1254))
{ /* Llib/musicproc.scm 192 */
BgL_auxz00_2637 = BgL_mz00_1254
; }  else 
{ 
 obj_t BgL_auxz00_2640;
BgL_auxz00_2640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)8328)), BGl_string2087z00zz__multimediazd2musicproczd2, BGl_string2021z00zz__multimediazd2musicproczd2, BgL_mz00_1254); 
FAILURE(BgL_auxz00_2640,BFALSE,BFALSE);} 
{ /* Llib/musicproc.scm 192 */
 bool_t BgL_test2307z00_2612;
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_classz00_1626;
BgL_classz00_1626 = BGl_musicprocz00zz__multimediazd2musicproczd2; 
if(
BGL_OBJECTP(BgL_oz00_1253))
{ /* Llib/musicproc.scm 192 */
 BgL_objectz00_bglt BgL_arg1799z00_1628; long BgL_arg1800z00_1629;
BgL_arg1799z00_1628 = 
(BgL_objectz00_bglt)(BgL_oz00_1253); 
BgL_arg1800z00_1629 = 
BGL_CLASS_DEPTH(BgL_classz00_1626); 
{ /* Llib/musicproc.scm 192 */
 bool_t BgL_arg1794z00_1633; bool_t BgL_arg1795z00_1634;
{ /* Llib/musicproc.scm 192 */
 long BgL_idxz00_1638;
BgL_idxz00_1638 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1628); 
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_arg1791z00_1639;
{ /* Llib/musicproc.scm 192 */
 long BgL_arg1792z00_1640;
BgL_arg1792z00_1640 = 
(BgL_idxz00_1638+BgL_arg1800z00_1629); 
BgL_arg1791z00_1639 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1640); } 
BgL_arg1794z00_1633 = 
(BgL_arg1791z00_1639==BgL_classz00_1626); } } 
{ /* Llib/musicproc.scm 192 */
 bool_t BgL_res2139z00_1663;
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_oclassz00_1648;
{ /* Llib/musicproc.scm 192 */
 long BgL_arg1804z00_1654;
{ /* Llib/musicproc.scm 192 */
 long BgL_arg1805z00_1655;
BgL_arg1805z00_1655 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1628); 
BgL_arg1804z00_1654 = 
(BgL_arg1805z00_1655-OBJECT_TYPE); } 
BgL_oclassz00_1648 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1654); } 
{ /* Llib/musicproc.scm 192 */
 bool_t BgL__ortest_1111z00_1649;
BgL__ortest_1111z00_1649 = 
(BgL_classz00_1626==BgL_oclassz00_1648); 
if(BgL__ortest_1111z00_1649)
{ /* Llib/musicproc.scm 192 */
BgL_res2139z00_1663 = BgL__ortest_1111z00_1649; }  else 
{ /* Llib/musicproc.scm 192 */
 long BgL_odepthz00_1650;
BgL_odepthz00_1650 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1648); 
if(
(BgL_arg1800z00_1629<BgL_odepthz00_1650))
{ /* Llib/musicproc.scm 192 */
 obj_t BgL_arg1793z00_1652;
BgL_arg1793z00_1652 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1648, BgL_arg1800z00_1629); 
BgL_res2139z00_1663 = 
(BgL_arg1793z00_1652==BgL_classz00_1626); }  else 
{ /* Llib/musicproc.scm 192 */
BgL_res2139z00_1663 = ((bool_t)0); } } } } 
BgL_arg1795z00_1634 = BgL_res2139z00_1663; } 
BgL_test2307z00_2612 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1633, BgL_arg1795z00_1634); } }  else 
{ /* Llib/musicproc.scm 192 */
BgL_test2307z00_2612 = ((bool_t)0)
; } } 
if(BgL_test2307z00_2612)
{ /* Llib/musicproc.scm 192 */
BgL_auxz00_2611 = 
((BgL_musicprocz00_bglt)BgL_oz00_1253)
; }  else 
{ 
 obj_t BgL_auxz00_2633;
BgL_auxz00_2633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)8328)), BGl_string2087z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_oz00_1253); 
FAILURE(BgL_auxz00_2633,BFALSE,BFALSE);} } 
return 
BGl_musicproczd2loadzd2zz__multimediazd2musicproczd2(BgL_auxz00_2611, BgL_auxz00_2637);} } 

}



/* musicproc-parse */
BGL_EXPORTED_DEF obj_t BGl_musicproczd2parsezd2zz__multimediazd2musicproczd2(BgL_musicprocz00_bglt BgL_oz00_50)
{
{ /* Llib/musicproc.scm 399 */
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_method1213z00_477;
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_res1963z00_997;
{ /* Llib/musicproc.scm 399 */
 long BgL_objzd2classzd2numz00_968;
BgL_objzd2classzd2numz00_968 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_50)); 
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_arg1801z00_969;
BgL_arg1801z00_969 = 
PROCEDURE_REF(BGl_musicproczd2parsezd2envz00zz__multimediazd2musicproczd2, 
(int)(((long)1))); 
{ /* Llib/musicproc.scm 399 */
 int BgL_offsetz00_972;
BgL_offsetz00_972 = 
(int)(BgL_objzd2classzd2numz00_968); 
{ /* Llib/musicproc.scm 399 */
 long BgL_offsetz00_973;
BgL_offsetz00_973 = 
(
(long)(BgL_offsetz00_972)-OBJECT_TYPE); 
{ /* Llib/musicproc.scm 399 */
 long BgL_modz00_974;
BgL_modz00_974 = 
(BgL_offsetz00_973 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/musicproc.scm 399 */
 long BgL_restz00_976;
BgL_restz00_976 = 
(BgL_offsetz00_973 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/musicproc.scm 399 */

{ /* Llib/musicproc.scm 399 */
 obj_t BgL_bucketz00_978;
BgL_bucketz00_978 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_969),BgL_modz00_974); 
BgL_res1963z00_997 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_978),BgL_restz00_976); } } } } } } } } 
BgL_method1213z00_477 = BgL_res1963z00_997; } 
return 
PROCEDURE_ENTRY(BgL_method1213z00_477)(BgL_method1213z00_477, 
((obj_t)BgL_oz00_50), BEOA);} } 

}



/* &musicproc-parse */
obj_t BGl_z62musicproczd2parsezb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1255, obj_t BgL_oz00_1256)
{
{ /* Llib/musicproc.scm 399 */
{ /* Llib/musicproc.scm 399 */
 BgL_musicprocz00_bglt BgL_auxz00_2675;
{ /* Llib/musicproc.scm 399 */
 bool_t BgL_test2312z00_2676;
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_classz00_1664;
BgL_classz00_1664 = BGl_musicprocz00zz__multimediazd2musicproczd2; 
if(
BGL_OBJECTP(BgL_oz00_1256))
{ /* Llib/musicproc.scm 399 */
 BgL_objectz00_bglt BgL_arg1799z00_1666; long BgL_arg1800z00_1667;
BgL_arg1799z00_1666 = 
(BgL_objectz00_bglt)(BgL_oz00_1256); 
BgL_arg1800z00_1667 = 
BGL_CLASS_DEPTH(BgL_classz00_1664); 
{ /* Llib/musicproc.scm 399 */
 bool_t BgL_arg1794z00_1671; bool_t BgL_arg1795z00_1672;
{ /* Llib/musicproc.scm 399 */
 long BgL_idxz00_1676;
BgL_idxz00_1676 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1666); 
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_arg1791z00_1677;
{ /* Llib/musicproc.scm 399 */
 long BgL_arg1792z00_1678;
BgL_arg1792z00_1678 = 
(BgL_idxz00_1676+BgL_arg1800z00_1667); 
BgL_arg1791z00_1677 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1678); } 
BgL_arg1794z00_1671 = 
(BgL_arg1791z00_1677==BgL_classz00_1664); } } 
{ /* Llib/musicproc.scm 399 */
 bool_t BgL_res2140z00_1701;
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_oclassz00_1686;
{ /* Llib/musicproc.scm 399 */
 long BgL_arg1804z00_1692;
{ /* Llib/musicproc.scm 399 */
 long BgL_arg1805z00_1693;
BgL_arg1805z00_1693 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1666); 
BgL_arg1804z00_1692 = 
(BgL_arg1805z00_1693-OBJECT_TYPE); } 
BgL_oclassz00_1686 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1692); } 
{ /* Llib/musicproc.scm 399 */
 bool_t BgL__ortest_1111z00_1687;
BgL__ortest_1111z00_1687 = 
(BgL_classz00_1664==BgL_oclassz00_1686); 
if(BgL__ortest_1111z00_1687)
{ /* Llib/musicproc.scm 399 */
BgL_res2140z00_1701 = BgL__ortest_1111z00_1687; }  else 
{ /* Llib/musicproc.scm 399 */
 long BgL_odepthz00_1688;
BgL_odepthz00_1688 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1686); 
if(
(BgL_arg1800z00_1667<BgL_odepthz00_1688))
{ /* Llib/musicproc.scm 399 */
 obj_t BgL_arg1793z00_1690;
BgL_arg1793z00_1690 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1686, BgL_arg1800z00_1667); 
BgL_res2140z00_1701 = 
(BgL_arg1793z00_1690==BgL_classz00_1664); }  else 
{ /* Llib/musicproc.scm 399 */
BgL_res2140z00_1701 = ((bool_t)0); } } } } 
BgL_arg1795z00_1672 = BgL_res2140z00_1701; } 
BgL_test2312z00_2676 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1671, BgL_arg1795z00_1672); } }  else 
{ /* Llib/musicproc.scm 399 */
BgL_test2312z00_2676 = ((bool_t)0)
; } } 
if(BgL_test2312z00_2676)
{ /* Llib/musicproc.scm 399 */
BgL_auxz00_2675 = 
((BgL_musicprocz00_bglt)BgL_oz00_1256)
; }  else 
{ 
 obj_t BgL_auxz00_2697;
BgL_auxz00_2697 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2018z00zz__multimediazd2musicproczd2, 
BINT(((long)17343)), BGl_string2088z00zz__multimediazd2musicproczd2, BGl_string2020z00zz__multimediazd2musicproczd2, BgL_oz00_1256); 
FAILURE(BgL_auxz00_2697,BFALSE,BFALSE);} } 
return 
BGl_musicproczd2parsezd2zz__multimediazd2musicproczd2(BgL_auxz00_2675);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2statuszd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2089z00zz__multimediazd2musicproczd2, BGl_string2090z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2091z00zz__multimediazd2musicproczd2, BGl_string2092z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2093z00zz__multimediazd2musicproczd2, BGl_string2094z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2resetz12zd2envz12zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2095z00zz__multimediazd2musicproczd2, BGl_string2096z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2getzd2envzd2zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2097z00zz__multimediazd2musicproczd2, BGl_string2098z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2099z00zz__multimediazd2musicproczd2, BGl_string2100z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2deletez12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2101z00zz__multimediazd2musicproczd2, BGl_string2102z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2clearz12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2103z00zz__multimediazd2musicproczd2, BGl_string2104z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2105z00zz__multimediazd2musicproczd2, BGl_string2106z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2seekzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2107z00zz__multimediazd2musicproczd2, BGl_string2108z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2stopzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2109z00zz__multimediazd2musicproczd2, BGl_string2110z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2pausezd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2111z00zz__multimediazd2musicproczd2, BGl_string2112z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2nextzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2113z00zz__multimediazd2musicproczd2, BGl_string2114z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2prevzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2115z00zz__multimediazd2musicproczd2, BGl_string2116z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2crossfadezd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2117z00zz__multimediazd2musicproczd2, BGl_string2118z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2randomzd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2119z00zz__multimediazd2musicproczd2, BGl_string2120z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2repeatzd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2121z00zz__multimediazd2musicproczd2, BGl_string2122z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2songzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2123z00zz__multimediazd2musicproczd2, BGl_string2124z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2songposzd2envz00zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2125z00zz__multimediazd2musicproczd2, BGl_string2126z00zz__multimediazd2musicproczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2volumezd2getzd2envzd2zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2127z00zz__multimediazd2musicproczd2, BGl_string2128z00zz__multimediazd2musicproczd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2volumezd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2, BGl_proc2129z00zz__multimediazd2musicproczd2, BGl_string2130z00zz__multimediazd2musicproczd2);} 

}



/* &music-volume-set!-mu1210 */
obj_t BGl_z62musiczd2volumezd2setz12zd2mu1210za2zz__multimediazd2musicproczd2(obj_t BgL_envz00_1281, obj_t BgL_oz00_1282, obj_t BgL_vz00_1283)
{
{ /* Llib/musicproc.scm 386 */
{ /* Llib/musicproc.scm 388 */
 obj_t BgL_mutex1936z00_1703;
BgL_mutex1936z00_1703 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1282))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 388 */
 obj_t BgL_top2317z00_2727;
BgL_top2317z00_2727 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1936z00_1703); 
BGL_EXITD_PUSH_PROTECT(BgL_top2317z00_2727, BgL_mutex1936z00_1703); BUNSPEC; 
{ /* Llib/musicproc.scm 388 */
 obj_t BgL_tmp2316z00_2726;
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1282)); 
BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1282), ((bool_t)0), 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1282)))->BgL_z52commandzd2volumez80), BgL_vz00_1283); 
{ /* Llib/musicproc.scm 391 */
 BgL_musicstatusz00_bglt BgL_i1148z00_1704;
BgL_i1148z00_1704 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1282))))->BgL_z52statusz52); 
BgL_tmp2316z00_2726 = 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1148z00_1704))->BgL_volumez00)=((obj_t)BgL_vz00_1283),BUNSPEC); } 
BGL_EXITD_POP_PROTECT(BgL_top2317z00_2727); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1936z00_1703); BgL_tmp2316z00_2726; } } } 
{ /* Llib/musicproc.scm 393 */
 obj_t BgL_fun1938z00_1705;
BgL_fun1938z00_1705 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1282))))->BgL_onvolumez00); 
PROCEDURE_ENTRY(BgL_fun1938z00_1705)(BgL_fun1938z00_1705, 
((obj_t)
((BgL_musicprocz00_bglt)BgL_oz00_1282)), BgL_vz00_1283, BEOA); } 
return BgL_vz00_1283;} 

}



/* &music-volume-get-mus1208 */
obj_t BGl_z62musiczd2volumezd2getzd2mus1208zb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1284, obj_t BgL_oz00_1285)
{
{ /* Llib/musicproc.scm 378 */
return 
(((BgL_musicstatusz00_bglt)COBJECT(
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1285))))->BgL_z52statusz52)))->BgL_volumez00);} 

}



/* &music-songpos-musicp1206 */
obj_t BGl_z62musiczd2songposzd2musicp1206z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1286, obj_t BgL_oz00_1287)
{
{ /* Llib/musicproc.scm 369 */
{ /* Llib/musicproc.scm 371 */
 obj_t BgL_mutex1935z00_1708;
BgL_mutex1935z00_1708 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1287))))->BgL_z52mutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1935z00_1708); 
{ /* Llib/musicproc.scm 371 */
 obj_t BgL_tmp2318z00_2760;
BgL_tmp2318z00_2760 = 
(((BgL_musicstatusz00_bglt)COBJECT(
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1287))))->BgL_z52statusz52)))->BgL_songposz00); 
BGL_MUTEX_UNLOCK(BgL_mutex1935z00_1708); 
return BgL_tmp2318z00_2760;} } } 

}



/* &music-song-musicproc1204 */
obj_t BGl_z62musiczd2songzd2musicproc1204z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1288, obj_t BgL_oz00_1289)
{
{ /* Llib/musicproc.scm 358 */
{ /* Llib/musicproc.scm 359 */
 int BgL_tmpz00_2767;
{ /* Llib/musicproc.scm 360 */
 BgL_musicstatusz00_bglt BgL_i1142z00_1710;
BgL_i1142z00_1710 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1289))))->BgL_z52statusz52); 
{ /* Llib/musicproc.scm 361 */
 obj_t BgL_mutex1931z00_1711;
BgL_mutex1931z00_1711 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1289))))->BgL_z52mutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1931z00_1711); 
{ /* Llib/musicproc.scm 361 */
 int BgL_tmp2319z00_2774;
if(
NULLP(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1289)))->BgL_z52playlistz52)))
{ /* Llib/musicproc.scm 362 */
BgL_tmp2319z00_2774 = 
(int)(((long)0)); }  else 
{ /* Llib/musicproc.scm 362 */
BgL_tmp2319z00_2774 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1142z00_1710))->BgL_songz00); } 
BGL_MUTEX_UNLOCK(BgL_mutex1931z00_1711); 
BgL_tmpz00_2767 = BgL_tmp2319z00_2774; } } } 
return 
BINT(BgL_tmpz00_2767);} } 

}



/* &music-repeat-set!-mu1202 */
obj_t BGl_z62musiczd2repeatzd2setz12zd2mu1202za2zz__multimediazd2musicproczd2(obj_t BgL_envz00_1290, obj_t BgL_oz00_1291, obj_t BgL_flagz00_1292)
{
{ /* Llib/musicproc.scm 350 */
{ /* Llib/musicproc.scm 351 */
 bool_t BgL_flagz00_1713;
BgL_flagz00_1713 = 
CBOOL(BgL_flagz00_1292); 
{ /* Llib/musicproc.scm 352 */
 BgL_musicstatusz00_bglt BgL_i1140z00_1714;
BgL_i1140z00_1714 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1291))))->BgL_z52statusz52); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1140z00_1714))->BgL_repeatz00)=((bool_t)BgL_flagz00_1713),BUNSPEC);} } } 

}



/* &music-random-set!-mu1200 */
obj_t BGl_z62musiczd2randomzd2setz12zd2mu1200za2zz__multimediazd2musicproczd2(obj_t BgL_envz00_1293, obj_t BgL_oz00_1294, obj_t BgL_flagz00_1295)
{
{ /* Llib/musicproc.scm 342 */
{ /* Llib/musicproc.scm 343 */
 bool_t BgL_flagz00_1716;
BgL_flagz00_1716 = 
CBOOL(BgL_flagz00_1295); 
{ /* Llib/musicproc.scm 344 */
 BgL_musicstatusz00_bglt BgL_i1138z00_1717;
BgL_i1138z00_1717 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1294))))->BgL_z52statusz52); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1138z00_1717))->BgL_randomz00)=((bool_t)BgL_flagz00_1716),BUNSPEC);} } } 

}



/* &music-crossfade-musi1198 */
obj_t BGl_z62musiczd2crossfadezd2musi1198z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1296, obj_t BgL_oz00_1297, obj_t BgL_secz00_1298)
{
{ /* Llib/musicproc.scm 336 */
return BUNSPEC;} 

}



/* &music-prev-musicproc1196 */
obj_t BGl_z62musiczd2prevzd2musicproc1196z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1299, obj_t BgL_oz00_1300)
{
{ /* Llib/musicproc.scm 323 */
{ /* Llib/musicproc.scm 325 */
 BgL_musicstatusz00_bglt BgL_i1136z00_1721;
BgL_i1136z00_1721 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1300))))->BgL_z52statusz52); 
{ /* Llib/musicproc.scm 326 */
 obj_t BgL_mutex1920z00_1722;
BgL_mutex1920z00_1722 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1300))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 326 */
 obj_t BgL_top2322z00_2801;
BgL_top2322z00_2801 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1920z00_1722); 
BGL_EXITD_PUSH_PROTECT(BgL_top2322z00_2801, BgL_mutex1920z00_1722); BUNSPEC; 
{ /* Llib/musicproc.scm 326 */
 obj_t BgL_tmp2321z00_2800;
{ /* Llib/musicproc.scm 327 */
 bool_t BgL_test2323z00_2805;
if(
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1136z00_1721))->BgL_songz00))<=((long)0)))
{ /* Llib/musicproc.scm 327 */
BgL_test2323z00_2805 = ((bool_t)1)
; }  else 
{ /* Llib/musicproc.scm 327 */
BgL_test2323z00_2805 = 
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1136z00_1721))->BgL_playlistlengthz00))==((long)0))
; } 
if(BgL_test2323z00_2805)
{ /* Llib/musicproc.scm 327 */
BgL_tmp2321z00_2800 = BFALSE; }  else 
{ /* Llib/musicproc.scm 327 */
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1300)); 
{ /* Llib/musicproc.scm 329 */
 obj_t BgL_arg1926z00_1723;
BgL_arg1926z00_1723 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1300)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 329 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1300), ((bool_t)1), BgL_arg1926z00_1723, BFALSE); } } 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1300)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); 
{ /* Llib/musicproc.scm 331 */
 long BgL_arg1927z00_1724;
BgL_arg1927z00_1724 = 
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1136z00_1721))->BgL_songz00))-((long)1)); 
{ /* Llib/musicproc.scm 237 */
 obj_t BgL_arg1366z00_1725;
BgL_arg1366z00_1725 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1300)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 237 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1300), ((bool_t)1), BgL_arg1366z00_1725, BFALSE); } } 
BgL_tmp2321z00_2800 = 
BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1300), 
BINT(BgL_arg1927z00_1724), BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2322z00_2801); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1920z00_1722); 
return BgL_tmp2321z00_2800;} } } } } 

}



/* &music-next-musicproc1194 */
obj_t BGl_z62musiczd2nextzd2musicproc1194z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1301, obj_t BgL_oz00_1302)
{
{ /* Llib/musicproc.scm 310 */
{ /* Llib/musicproc.scm 312 */
 BgL_musicstatusz00_bglt BgL_i1134z00_1727;
BgL_i1134z00_1727 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1302))))->BgL_z52statusz52); 
{ /* Llib/musicproc.scm 313 */
 obj_t BgL_mutex1909z00_1728;
BgL_mutex1909z00_1728 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1302))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 313 */
 obj_t BgL_top2326z00_2841;
BgL_top2326z00_2841 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1909z00_1728); 
BGL_EXITD_PUSH_PROTECT(BgL_top2326z00_2841, BgL_mutex1909z00_1728); BUNSPEC; 
{ /* Llib/musicproc.scm 313 */
 obj_t BgL_tmp2325z00_2840;
if(
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1134z00_1727))->BgL_songz00))>=
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1134z00_1727))->BgL_playlistlengthz00))-((long)1))))
{ /* Llib/musicproc.scm 314 */
BgL_tmp2325z00_2840 = BFALSE; }  else 
{ /* Llib/musicproc.scm 314 */
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1302)); 
{ /* Llib/musicproc.scm 316 */
 obj_t BgL_arg1914z00_1729;
BgL_arg1914z00_1729 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1302)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 316 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1302), ((bool_t)1), BgL_arg1914z00_1729, BFALSE); } } 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1302)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); 
{ /* Llib/musicproc.scm 318 */
 long BgL_arg1915z00_1730;
BgL_arg1915z00_1730 = 
(((long)1)+
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1134z00_1727))->BgL_songz00))); 
{ /* Llib/musicproc.scm 237 */
 obj_t BgL_arg1366z00_1731;
BgL_arg1366z00_1731 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1302)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 237 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1302), ((bool_t)1), BgL_arg1366z00_1731, BFALSE); } } 
BgL_tmp2325z00_2840 = 
BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1302), 
BINT(BgL_arg1915z00_1730), BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2); } } 
BGL_EXITD_POP_PROTECT(BgL_top2326z00_2841); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1909z00_1728); 
return BgL_tmp2325z00_2840;} } } } } 

}



/* &music-pause-musicpro1192 */
obj_t BGl_z62musiczd2pausezd2musicpro1192z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1303, obj_t BgL_oz00_1304)
{
{ /* Llib/musicproc.scm 298 */
{ /* Llib/musicproc.scm 300 */
 obj_t BgL_mutex1903z00_1733;
BgL_mutex1903z00_1733 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1304))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 300 */
 obj_t BgL_top2329z00_2877;
BgL_top2329z00_2877 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1903z00_1733); 
BGL_EXITD_PUSH_PROTECT(BgL_top2329z00_2877, BgL_mutex1903z00_1733); BUNSPEC; 
{ /* Llib/musicproc.scm 300 */
 obj_t BgL_tmp2328z00_2876;
if(
(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1304)))->BgL_z52userzd2statez80)==
CNST_TABLE_REF(((long)33))))
{ /* Llib/musicproc.scm 301 */
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1304)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); }  else 
{ /* Llib/musicproc.scm 301 */
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1304)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)33))),BUNSPEC); } 
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1304)); 
{ /* Llib/musicproc.scm 305 */
 obj_t BgL_arg1908z00_1734;
BgL_arg1908z00_1734 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1304)))->BgL_z52commandzd2pausez80); 
{ /* Llib/musicproc.scm 305 */

BgL_tmp2328z00_2876 = 
BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1304), ((bool_t)0), BgL_arg1908z00_1734, BFALSE); } } 
BGL_EXITD_POP_PROTECT(BgL_top2329z00_2877); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1903z00_1733); 
return BgL_tmp2328z00_2876;} } } } 

}



/* &music-stop-musicproc1190 */
obj_t BGl_z62musiczd2stopzd2musicproc1190z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1305, obj_t BgL_oz00_1306)
{
{ /* Llib/musicproc.scm 288 */
{ /* Llib/musicproc.scm 290 */
 obj_t BgL_mutex1901z00_1736;
BgL_mutex1901z00_1736 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1306))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 290 */
 obj_t BgL_top2332z00_2904;
BgL_top2332z00_2904 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1901z00_1736); 
BGL_EXITD_PUSH_PROTECT(BgL_top2332z00_2904, BgL_mutex1901z00_1736); BUNSPEC; 
{ /* Llib/musicproc.scm 290 */
 obj_t BgL_tmp2331z00_2903;
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1306)); 
{ /* Llib/musicproc.scm 292 */
 obj_t BgL_arg1902z00_1737;
BgL_arg1902z00_1737 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1306)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 292 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1306), ((bool_t)1), BgL_arg1902z00_1737, BFALSE); } } 
BgL_tmp2331z00_2903 = 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1306)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)1))),BUNSPEC); 
BGL_EXITD_POP_PROTECT(BgL_top2332z00_2904); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1901z00_1736); 
return BgL_tmp2331z00_2903;} } } } 

}



/* &music-seek-musicproc1188 */
obj_t BGl_z62musiczd2seekzd2musicproc1188z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1307, obj_t BgL_oz00_1308, obj_t BgL_posz00_1309, obj_t BgL_sz00_1310)
{
{ /* Llib/musicproc.scm 267 */
{ /* Llib/musicproc.scm 273 */
 obj_t BgL_mutex1884z00_1739;
BgL_mutex1884z00_1739 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1308))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 273 */
 obj_t BgL_top2334z00_2923;
BgL_top2334z00_2923 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1884z00_1739); 
BGL_EXITD_PUSH_PROTECT(BgL_top2334z00_2923, BgL_mutex1884z00_1739); BUNSPEC; 
{ /* Llib/musicproc.scm 273 */
 obj_t BgL_tmp2333z00_2922;
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1308)); 
if(
PAIRP(BgL_sz00_1310))
{ /* Llib/musicproc.scm 275 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(
CAR(BgL_sz00_1310)))
{ /* Llib/musicproc.scm 276 */
BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1308), 
CAR(BgL_sz00_1310), BGl_musicproczd2loadpausedzd2envz00zz__multimediazd2musicproczd2); 
{ /* Llib/musicproc.scm 280 */
 obj_t BgL_arg1889z00_1740;
{ /* Llib/musicproc.scm 280 */
 obj_t BgL_arg1890z00_1741;
BgL_arg1890z00_1741 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1308)))->BgL_z52commandzd2seekzd2formatz52); 
{ /* Llib/musicproc.scm 280 */
 obj_t BgL_list1891z00_1742;
BgL_list1891z00_1742 = 
MAKE_YOUNG_PAIR(BgL_posz00_1309, BNIL); 
BgL_arg1889z00_1740 = 
BGl_formatz00zz__r4_output_6_10_3z00(BgL_arg1890z00_1741, BgL_list1891z00_1742); } } 
{ /* Llib/musicproc.scm 280 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1308), ((bool_t)0), BgL_arg1889z00_1740, BFALSE); } } 
{ /* Llib/musicproc.scm 281 */
 obj_t BgL_arg1892z00_1743;
BgL_arg1892z00_1743 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1308)))->BgL_z52commandzd2pausez80); 
{ /* Llib/musicproc.scm 281 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1308), ((bool_t)0), BgL_arg1892z00_1743, BFALSE); } } }  else 
{ /* Llib/musicproc.scm 277 */
 obj_t BgL_arg1893z00_1744;
BgL_arg1893z00_1744 = 
CAR(BgL_sz00_1310); 
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), 
CNST_TABLE_REF(((long)10)), BgL_arg1893z00_1744); } }  else 
{ /* Llib/musicproc.scm 282 */
 obj_t BgL_arg1895z00_1745;
{ /* Llib/musicproc.scm 282 */
 obj_t BgL_arg1896z00_1746;
BgL_arg1896z00_1746 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1308)))->BgL_z52commandzd2seekzd2formatz52); 
{ /* Llib/musicproc.scm 282 */
 obj_t BgL_list1897z00_1747;
BgL_list1897z00_1747 = 
MAKE_YOUNG_PAIR(BgL_posz00_1309, BNIL); 
BgL_arg1895z00_1745 = 
BGl_formatz00zz__r4_output_6_10_3z00(BgL_arg1896z00_1746, BgL_list1897z00_1747); } } 
{ /* Llib/musicproc.scm 282 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1308), ((bool_t)0), BgL_arg1895z00_1745, BFALSE); } } 
BgL_tmp2333z00_2922 = 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1308)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); 
BGL_EXITD_POP_PROTECT(BgL_top2334z00_2923); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1884z00_1739); 
return BgL_tmp2333z00_2922;} } } } 

}



/* &music-play-musicproc1186 */
obj_t BGl_z62musiczd2playzd2musicproc1186z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1311, obj_t BgL_oz00_1312, obj_t BgL_sz00_1313)
{
{ /* Llib/musicproc.scm 243 */
{ /* Llib/musicproc.scm 246 */
 BgL_musicstatusz00_bglt BgL_i1129z00_1749;
BgL_i1129z00_1749 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1312))))->BgL_z52statusz52); 
{ /* Llib/musicproc.scm 247 */
 obj_t BgL_mutex1860z00_1750;
BgL_mutex1860z00_1750 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1312))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 247 */
 obj_t BgL_top2338z00_2969;
BgL_top2338z00_2969 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1860z00_1750); 
BGL_EXITD_PUSH_PROTECT(BgL_top2338z00_2969, BgL_mutex1860z00_1750); BUNSPEC; 
{ /* Llib/musicproc.scm 247 */
 obj_t BgL_tmp2337z00_2968;
if(
PAIRP(BgL_sz00_1313))
{ /* Llib/musicproc.scm 249 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(
CAR(BgL_sz00_1313)))
{ /* Llib/musicproc.scm 250 */BFALSE; }  else 
{ /* Llib/musicproc.scm 251 */
 obj_t BgL_arg1865z00_1751;
BgL_arg1865z00_1751 = 
CAR(BgL_sz00_1313); 
BGl_bigloozd2typezd2errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), 
CNST_TABLE_REF(((long)10)), BgL_arg1865z00_1751); } 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); 
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312)); 
{ /* Llib/musicproc.scm 254 */
 obj_t BgL_arg1868z00_1752;
BgL_arg1868z00_1752 = 
CAR(BgL_sz00_1313); 
{ /* Llib/musicproc.scm 237 */
 obj_t BgL_arg1366z00_1753;
BgL_arg1366z00_1753 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 237 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312), ((bool_t)1), BgL_arg1366z00_1753, BFALSE); } } 
BgL_tmp2337z00_2968 = 
BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312), BgL_arg1868z00_1752, BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2); } }  else 
{ /* Llib/musicproc.scm 249 */
if(
(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52userzd2statez80)==
CNST_TABLE_REF(((long)33))))
{ /* Llib/musicproc.scm 255 */
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312)); 
{ /* Llib/musicproc.scm 257 */
 obj_t BgL_arg1871z00_1754;
BgL_arg1871z00_1754 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52commandzd2pausez80); 
{ /* Llib/musicproc.scm 257 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312), ((bool_t)0), BgL_arg1871z00_1754, BFALSE); } } 
BgL_tmp2337z00_2968 = 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); }  else 
{ /* Llib/musicproc.scm 259 */
 bool_t BgL_test2342z00_3008;
if(
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1129z00_1749))->BgL_songz00))>=((long)0)))
{ /* Llib/musicproc.scm 259 */
BgL_test2342z00_3008 = 
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1129z00_1749))->BgL_songz00))<
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1129z00_1749))->BgL_playlistlengthz00)))
; }  else 
{ /* Llib/musicproc.scm 259 */
BgL_test2342z00_3008 = ((bool_t)0)
; } 
if(BgL_test2342z00_3008)
{ /* Llib/musicproc.scm 259 */
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52userzd2statez80)=((obj_t)
CNST_TABLE_REF(((long)29))),BUNSPEC); 
BGl_musicproczd2connectz12zc0zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312)); 
{ /* Llib/musicproc.scm 262 */
 int BgL_arg1878z00_1755;
BgL_arg1878z00_1755 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1129z00_1749))->BgL_songz00); 
{ /* Llib/musicproc.scm 237 */
 obj_t BgL_arg1366z00_1756;
BgL_arg1366z00_1756 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1312)))->BgL_z52commandzd2stopz80); 
{ /* Llib/musicproc.scm 237 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312), ((bool_t)1), BgL_arg1366z00_1756, BFALSE); } } 
BgL_tmp2337z00_2968 = 
BGl_playlistzd2loadzd2innerz12z12zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1312), 
BINT(BgL_arg1878z00_1755), BGl_musicproczd2loadzd2envz00zz__multimediazd2musicproczd2); } }  else 
{ /* Llib/musicproc.scm 259 */
BgL_tmp2337z00_2968 = BFALSE; } } } 
BGL_EXITD_POP_PROTECT(BgL_top2338z00_2969); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1860z00_1750); 
return BgL_tmp2337z00_2968;} } } } } 

}



/* &music-playlist-clear1180 */
obj_t BGl_z62musiczd2playlistzd2clear1180z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1314, obj_t BgL_oz00_1315)
{
{ /* Llib/musicproc.scm 170 */
{ /* Llib/musicproc.scm 172 */
 obj_t BgL_mutex1859z00_1758;
BgL_mutex1859z00_1758 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1315))))->BgL_z52mutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1859z00_1758); 
{ /* Llib/musicproc.scm 172 */
 obj_t BgL_tmp2344z00_3036;
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1315)))->BgL_z52playlistz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/musicproc.scm 174 */
 BgL_musicstatusz00_bglt BgL_i1103z00_1759;
BgL_i1103z00_1759 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1315))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_1759))->BgL_songz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_1759))->BgL_songidz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_tmp2344z00_3036 = 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_1759))->BgL_playlistlengthz00)=((int)
(int)(((long)0))),BUNSPEC); } 
BGL_MUTEX_UNLOCK(BgL_mutex1859z00_1758); 
return BgL_tmp2344z00_3036;} } } 

}



/* &music-playlist-delet1178 */
obj_t BGl_z62musiczd2playlistzd2delet1178z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1316, obj_t BgL_oz00_1317, obj_t BgL_nz00_1318)
{
{ /* Llib/musicproc.scm 158 */
{ /* Llib/musicproc.scm 160 */
 obj_t BgL_mutex1849z00_1761;
BgL_mutex1849z00_1761 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1317))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 160 */
 obj_t BgL_top2346z00_3054;
BgL_top2346z00_3054 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1849z00_1761); 
BGL_EXITD_PUSH_PROTECT(BgL_top2346z00_3054, BgL_mutex1849z00_1761); BUNSPEC; 
{ /* Llib/musicproc.scm 160 */
 obj_t BgL_tmp2345z00_3053;
{ /* Llib/musicproc.scm 161 */
 BgL_musicstatusz00_bglt BgL_i1101z00_1762;
BgL_i1101z00_1762 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1317))))->BgL_z52statusz52); 
{ /* Llib/musicproc.scm 162 */
 bool_t BgL_test2347z00_3061;
if(
(
(long)CINT(BgL_nz00_1318)>=((long)0)))
{ /* Llib/musicproc.scm 162 */
BgL_test2347z00_3061 = 
(
(long)CINT(BgL_nz00_1318)<
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1101z00_1762))->BgL_playlistlengthz00)))
; }  else 
{ /* Llib/musicproc.scm 162 */
BgL_test2347z00_3061 = ((bool_t)0)
; } 
if(BgL_test2347z00_3061)
{ /* Llib/musicproc.scm 162 */
{ 
 obj_t BgL_auxz00_3069;
{ /* Llib/musicproc.scm 163 */
 obj_t BgL_arg1853z00_1763; obj_t BgL_arg1854z00_1764;
BgL_arg1853z00_1763 = 
bgl_list_ref(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1317)))->BgL_z52playlistz52), 
(long)CINT(BgL_nz00_1318)); 
BgL_arg1854z00_1764 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1317)))->BgL_z52playlistz52); 
BgL_auxz00_3069 = 
bgl_remq_bang(BgL_arg1853z00_1763, BgL_arg1854z00_1764); } 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1317)))->BgL_z52playlistz52)=((obj_t)BgL_auxz00_3069),BUNSPEC); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1101z00_1762))->BgL_playlistidz00)=((int)
(int)(
(((long)1)+
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1101z00_1762))->BgL_playlistidz00))))),BUNSPEC); 
BgL_tmp2345z00_3053 = 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1101z00_1762))->BgL_playlistlengthz00)=((int)
(int)(
bgl_list_length(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1317)))->BgL_z52playlistz52)))),BUNSPEC); }  else 
{ /* Llib/musicproc.scm 162 */
BgL_tmp2345z00_3053 = BFALSE; } } } 
BGL_EXITD_POP_PROTECT(BgL_top2346z00_3054); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1849z00_1761); 
return BgL_tmp2345z00_3053;} } } } 

}



/* &music-playlist-add!-1176 */
obj_t BGl_z62musiczd2playlistzd2addz12zd21176za2zz__multimediazd2musicproczd2(obj_t BgL_envz00_1319, obj_t BgL_oz00_1320, obj_t BgL_sz00_1321)
{
{ /* Llib/musicproc.scm 146 */
{ 

{ /* Llib/musicproc.scm 146 */
 obj_t BgL_nextzd2method1175zd2_1767;
BgL_nextzd2method1175zd2_1767 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1320)), BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2, BGl_musicprocz00zz__multimediazd2musicproczd2); 
PROCEDURE_ENTRY(BgL_nextzd2method1175zd2_1767)(BgL_nextzd2method1175zd2_1767, 
((obj_t)
((BgL_musicprocz00_bglt)BgL_oz00_1320)), BgL_sz00_1321, BEOA); } 
{ /* Llib/musicproc.scm 149 */
 obj_t BgL_mutex1843z00_1768;
BgL_mutex1843z00_1768 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1320))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 149 */
 obj_t BgL_top2350z00_3105;
BgL_top2350z00_3105 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1843z00_1768); 
BGL_EXITD_PUSH_PROTECT(BgL_top2350z00_3105, BgL_mutex1843z00_1768); BUNSPEC; 
{ /* Llib/musicproc.scm 149 */
 obj_t BgL_tmp2349z00_3104;
{ 
 obj_t BgL_auxz00_3109;
{ /* Llib/musicproc.scm 150 */
 obj_t BgL_arg1844z00_1769; obj_t BgL_arg1845z00_1770;
BgL_arg1844z00_1769 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1320)))->BgL_z52playlistz52); 
{ /* Llib/musicproc.scm 150 */
 obj_t BgL_list1846z00_1771;
BgL_list1846z00_1771 = 
MAKE_YOUNG_PAIR(BgL_sz00_1321, BNIL); 
BgL_arg1845z00_1770 = BgL_list1846z00_1771; } 
BgL_auxz00_3109 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BgL_arg1844z00_1769, BgL_arg1845z00_1770); } 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1320)))->BgL_z52playlistz52)=((obj_t)BgL_auxz00_3109),BUNSPEC); } 
{ /* Llib/musicproc.scm 151 */
 BgL_musicstatusz00_bglt BgL_i1099z00_1772;
BgL_i1099z00_1772 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1320))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1099z00_1772))->BgL_playlistidz00)=((int)
(int)(
(((long)1)+
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1099z00_1772))->BgL_playlistidz00))))),BUNSPEC); 
BgL_tmp2349z00_3104 = 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1099z00_1772))->BgL_playlistlengthz00)=((int)
(int)(
(((long)1)+
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1099z00_1772))->BgL_playlistlengthz00))))),BUNSPEC); } 
BGL_EXITD_POP_PROTECT(BgL_top2350z00_3105); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1843z00_1768); 
return BgL_tmp2349z00_3104;} } } } } 

}



/* &music-playlist-get-m1174 */
obj_t BGl_z62musiczd2playlistzd2getzd2m1174zb0zz__multimediazd2musicproczd2(obj_t BgL_envz00_1322, obj_t BgL_oz00_1323)
{
{ /* Llib/musicproc.scm 139 */
return 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1323)))->BgL_z52playlistz52);} 

}



/* &music-reset!-musicpr1172 */
obj_t BGl_z62musiczd2resetz12zd2musicpr1172z70zz__multimediazd2musicproczd2(obj_t BgL_envz00_1324, obj_t BgL_musicprocz00_1325)
{
{ /* Llib/musicproc.scm 133 */
return 
BGl_musiczd2closezd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_musicprocz00_1325)));} 

}



/* &music-closed?-musicp1170 */
obj_t BGl_z62musiczd2closedzf3zd2musicp1170z91zz__multimediazd2musicproczd2(obj_t BgL_envz00_1326, obj_t BgL_oz00_1327)
{
{ /* Llib/musicproc.scm 126 */
{ /* Llib/musicproc.scm 128 */
 bool_t BgL_tmpz00_3136;
if(
CBOOL(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1327)))->BgL_z52processz52)))
{ /* Llib/musicproc.scm 128 */
BgL_tmpz00_3136 = ((bool_t)0)
; }  else 
{ /* Llib/musicproc.scm 128 */
BgL_tmpz00_3136 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3136);} } 

}



/* &music-close-musicpro1168 */
obj_t BGl_z62musiczd2closezd2musicpro1168z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1328, obj_t BgL_oz00_1329)
{
{ /* Llib/musicproc.scm 111 */
{ /* Llib/musicproc.scm 114 */
 obj_t BgL_mutex1832z00_1777;
BgL_mutex1832z00_1777 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1329))))->BgL_z52mutexz52); 
{ /* Llib/musicproc.scm 114 */
 obj_t BgL_top2353z00_3146;
BgL_top2353z00_3146 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1832z00_1777); 
BGL_EXITD_PUSH_PROTECT(BgL_top2353z00_3146, BgL_mutex1832z00_1777); BUNSPEC; 
{ /* Llib/musicproc.scm 114 */
 obj_t BgL_tmp2352z00_3145;
if(
CBOOL(
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1329)))->BgL_z52processz52)))
{ /* Llib/musicproc.scm 115 */
{ /* Llib/musicproc.scm 117 */

BGl_musicproczd2execzd2zz__multimediazd2musicproczd2(
((BgL_musicprocz00_bglt)BgL_oz00_1329), ((bool_t)0), BGl_string2131z00zz__multimediazd2musicproczd2, BFALSE); } 
{ /* Llib/musicproc.scm 119 */
 bool_t BgL_test2355z00_3156;
{ /* Llib/musicproc.scm 119 */
 bool_t BgL_test2356z00_3157;
{ /* Llib/musicproc.scm 119 */
 obj_t BgL_tmpz00_3158;
BgL_tmpz00_3158 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1329)))->BgL_z52processz52); 
BgL_test2356z00_3157 = 
PROCESSP(BgL_tmpz00_3158); } 
if(BgL_test2356z00_3157)
{ /* Llib/musicproc.scm 119 */
 obj_t BgL_arg1840z00_1778;
BgL_arg1840z00_1778 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1329)))->BgL_z52processz52); 
BgL_test2355z00_3156 = 
c_process_alivep(
((obj_t)BgL_arg1840z00_1778)); }  else 
{ /* Llib/musicproc.scm 119 */
BgL_test2355z00_3156 = ((bool_t)0)
; } } 
if(BgL_test2355z00_3156)
{ /* Llib/musicproc.scm 120 */
 obj_t BgL_arg1839z00_1779;
BgL_arg1839z00_1779 = 
(((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1329)))->BgL_z52processz52); 
c_process_kill(
((obj_t)BgL_arg1839z00_1779)); 
BGl_closezd2processzd2portsz00zz__processz00(
((obj_t)BgL_arg1839z00_1779)); }  else 
{ /* Llib/musicproc.scm 119 */BFALSE; } } 
BgL_tmp2352z00_3145 = 
((((BgL_musicprocz00_bglt)COBJECT(
((BgL_musicprocz00_bglt)BgL_oz00_1329)))->BgL_z52processz52)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/musicproc.scm 115 */
BgL_tmp2352z00_3145 = BFALSE; } 
BGL_EXITD_POP_PROTECT(BgL_top2353z00_3146); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1832z00_1777); 
return BgL_tmp2352z00_3145;} } } } 

}



/* &music-status-musicpr1164 */
BgL_musicstatusz00_bglt BGl_z62musiczd2statuszd2musicpr1164z62zz__multimediazd2musicproczd2(obj_t BgL_envz00_1330, obj_t BgL_oz00_1331)
{
{ /* Llib/musicproc.scm 95 */
return 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicprocz00_bglt)BgL_oz00_1331))))->BgL_z52statusz52);} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2musicproczd2()
{
{ /* Llib/musicproc.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)95358739), 
BSTRING_TO_STRING(BGl_string2132z00zz__multimediazd2musicproczd2));} 

}

#ifdef __cplusplus
}
#endif
